/*===========================================================================*/
/*   (Llib/ciphers.scm)                                                      */
/*   Bigloo (4.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Jan 27 07:55:05 AM CET 2025     */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.6a-build/bigloo-4.6a/bin/bigloo -ldopt -L/builddir/build/BUILD/bigloo-4.6a-build/bigloo-4.6a/libbacktrace/usr/lib64/bigloo/4.6a  -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo-4.6a-build/bigloo-4.6a/lib/bigloo/4.6a -I Llib -lib-dir /builddir/build/BUILD/bigloo-4.6a-build/bigloo-4.6a/lib/bigloo/4.6a -unsafe -safee -copt -fPIC -copt -IPosix Llib/ciphers.scm -o objs/ciphers.o -c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C" {
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL_BgL___CRYPTOzd2CIPHERSzd2_TYPE_DEFINITIONS
#define BGL_BgL___CRYPTOzd2CIPHERSzd2_TYPE_DEFINITIONS
#endif // BGL_BgL___CRYPTOzd2CIPHERSzd2_TYPE_DEFINITIONS
#endif // BGL_MODULE_TYPE_DEFINITIONS

static obj_t BGl_requirezd2initializa7ationz75zz__cryptozd2cipherszd2 = BUNSPEC;
static obj_t BGl_toplevelzd2initzd2zz__cryptozd2cipherszd2(void);
static obj_t BGl_genericzd2initzd2zz__cryptozd2cipherszd2(void);
static obj_t BGl_objectzd2initzd2zz__cryptozd2cipherszd2(void);
static obj_t BGl_methodzd2initzd2zz__cryptozd2cipherszd2(void);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__cryptozd2cipherszd2(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__cryptozd2castzd2128z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__cryptozd2ideazd2(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__cryptozd2deszd2(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__cryptozd2aeszd2(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
static obj_t BGl_libraryzd2moduleszd2initz00zz__cryptozd2cipherszd2(void);
static obj_t BGl_importedzd2moduleszd2initz00zz__cryptozd2cipherszd2(void);
static obj_t BGl_gczd2rootszd2initz00zz__cryptozd2cipherszd2(void);
static obj_t *__cnst;


DEFINE_STRING( BGl_string1015z00zz__cryptozd2cipherszd2, BgL_bgl_string1015za700za7za7_1016za7, "__crypto-ciphers", 16 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__cryptozd2cipherszd2) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__cryptozd2cipherszd2(long BgL_checksumz00_12, char * BgL_fromz00_13)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__cryptozd2cipherszd2))
{ 
BGl_requirezd2initializa7ationz75zz__cryptozd2cipherszd2 = 
BBOOL(((bool_t)0)); 
BGL_GC_INIT(); 
BGl_gczd2rootszd2initz00zz__cryptozd2cipherszd2(); 
BGl_libraryzd2moduleszd2initz00zz__cryptozd2cipherszd2(); 
BGl_importedzd2moduleszd2initz00zz__cryptozd2cipherszd2(); 
return 
BGl_toplevelzd2initzd2zz__cryptozd2cipherszd2();}  else 
{ 
return BUNSPEC;} } 

}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zz__cryptozd2cipherszd2(void)
{
{ /* Llib/ciphers.scm 1 */
BGl_modulezd2initializa7ationz75zz__readerz00(0L, "__crypto-ciphers"); 
return BUNSPEC;} 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__cryptozd2cipherszd2(void)
{
{ /* Llib/ciphers.scm 1 */
return 
bgl_gc_roots_register();} 

}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__cryptozd2cipherszd2(void)
{
{ /* Llib/ciphers.scm 1 */
return BUNSPEC;} 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__cryptozd2cipherszd2(void)
{
{ /* Llib/ciphers.scm 1 */
return BUNSPEC;} 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__cryptozd2cipherszd2(void)
{
{ /* Llib/ciphers.scm 1 */
return BUNSPEC;} 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__cryptozd2cipherszd2(void)
{
{ /* Llib/ciphers.scm 1 */
return BUNSPEC;} 

}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__cryptozd2cipherszd2(void)
{
{ /* Llib/ciphers.scm 1 */
BGl_modulezd2initializa7ationz75zz__cryptozd2aeszd2(519812010L, 
BSTRING_TO_STRING(BGl_string1015z00zz__cryptozd2cipherszd2)); 
BGl_modulezd2initializa7ationz75zz__cryptozd2deszd2(519815277L, 
BSTRING_TO_STRING(BGl_string1015z00zz__cryptozd2cipherszd2)); 
BGl_modulezd2initializa7ationz75zz__cryptozd2ideazd2(511084100L, 
BSTRING_TO_STRING(BGl_string1015z00zz__cryptozd2cipherszd2)); 
return 
BGl_modulezd2initializa7ationz75zz__cryptozd2castzd2128z00(414704452L, 
BSTRING_TO_STRING(BGl_string1015z00zz__cryptozd2cipherszd2));} 

}

#ifdef __cplusplus
}
#endif
