/*===========================================================================*/
/*   (Llib/flac_alsadec.scm)                                                 */
/*   Bigloo (4.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Jan 27 07:55:05 AM CET 2025     */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.6a-build/bigloo-4.6a/bin/bigloo -ldopt -L/builddir/build/BUILD/bigloo-4.6a-build/bigloo-4.6a/libbacktrace/usr/lib64/bigloo/4.6a  -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo-4.6a-build/bigloo-4.6a/lib/bigloo/4.6a -I Llib -lib-dir /builddir/build/BUILD/bigloo-4.6a-build/bigloo-4.6a/lib/bigloo/4.6a -unsafe -safee -srfi flac -copt  -DBGL_DUMMY -copt -fPIC -copt -IClib Llib/flac_alsadec.scm -o objs/flac_alsadec.o -c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>
#include <FLAC/stream_decoder.h>
#include <bglflac.h>
#include <alsa/asoundlib.h>

#ifdef __cplusplus
extern "C" {
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL___FLAC_ALSADEC_TYPE_DEFINITIONS
#define BGL___FLAC_ALSADEC_TYPE_DEFINITIONS

/* object type definitions */
typedef struct BgL_musicz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_onstatez00;
   obj_t BgL_onvolumez00;
   obj_t BgL_onerrorz00;
   obj_t BgL_oneventz00;
   obj_t BgL_z52mutexz52;
   struct BgL_musicstatusz00_bgl * BgL_z52statusz52;
} *BgL_musicz00_bglt;

typedef struct BgL_musicstatusz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_statez00;
   obj_t BgL_volumez00;
   bool_t BgL_repeatz00;
   bool_t BgL_randomz00;
   int BgL_playlistidz00;
   int BgL_playlistlengthz00;
   int BgL_xfadez00;
   int BgL_songz00;
   int BgL_songidz00;
   obj_t BgL_songposz00;
   int BgL_songlengthz00;
   int BgL_bitratez00;
   int BgL_khza7za7;
   obj_t BgL_errz00;
   int BgL_bufferingz00;
} *BgL_musicstatusz00_bglt;

typedef struct BgL_musicbufferz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_urlz00;
   bool_t BgL_z52eofz52;
   obj_t BgL_z52bcondvz52;
   obj_t BgL_z52bmutexz52;
   long BgL_z52inlenz52;
   char * BgL_z52inbufpz52;
   long BgL_z52headz52;
   long BgL_z52tailz52;
   bool_t BgL_z52emptyz52;
} *BgL_musicbufferz00_bglt;

typedef struct BgL_musicbufz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_onstatez00;
   obj_t BgL_onvolumez00;
   obj_t BgL_onerrorz00;
   obj_t BgL_oneventz00;
   obj_t BgL_z52mutexz52;
   struct BgL_musicstatusz00_bgl * BgL_z52statusz52;
   obj_t BgL_inbufz00;
   obj_t BgL_decodersz00;
   obj_t BgL_mkthreadz00;
   obj_t BgL_timeoutz00;
   obj_t BgL_z52decoderz52;
   obj_t BgL_z52bufferz52;
   obj_t BgL_z52nextbufferz52;
   obj_t BgL_z52playlistz52;
   int BgL_z52usecntz52;
   obj_t BgL_z52amutexz52;
   int BgL_z52z12pidz40;
   obj_t BgL_z52acondvz52;
} *BgL_musicbufz00_bglt;

typedef struct BgL_musicdecoderz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_mimetypesz00;
   int BgL_bufferzd2timezd2nearz00;
   int BgL_bufferzd2siza7ezd2nearzd2ratioz75;
   int BgL_periodzd2siza7ezd2nearzd2ratioz75;
   bool_t BgL_z52z12dpausez40;
   bool_t BgL_z52z12dabortz40;
   bool_t BgL_z52z12stopz40;
   obj_t BgL_z52dmutexz52;
   obj_t BgL_z52dcondvz52;
   obj_t BgL_z52doutcondvz52;
} *BgL_musicdecoderz00_bglt;

typedef struct BgL_alsamusicz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_onstatez00;
   obj_t BgL_onvolumez00;
   obj_t BgL_onerrorz00;
   obj_t BgL_oneventz00;
   obj_t BgL_z52mutexz52;
   struct BgL_musicstatusz00_bgl * BgL_z52statusz52;
   obj_t BgL_inbufz00;
   obj_t BgL_decodersz00;
   obj_t BgL_mkthreadz00;
   obj_t BgL_timeoutz00;
   obj_t BgL_z52decoderz52;
   obj_t BgL_z52bufferz52;
   obj_t BgL_z52nextbufferz52;
   obj_t BgL_z52playlistz52;
   int BgL_z52usecntz52;
   obj_t BgL_z52amutexz52;
   int BgL_z52z12pidz40;
   obj_t BgL_z52acondvz52;
   struct BgL_alsazd2sndzd2pcmz00_bgl * BgL_pcmz00;
} *BgL_alsamusicz00_bglt;

typedef struct BgL_alsazd2sndzd2pcmz00_bgl {
   header_t header;
   obj_t widening;
   snd_pcm_t * BgL_z42builtinz42;
   obj_t BgL_namez00;
   obj_t BgL_devicez00;
   obj_t BgL_streamz00;
   obj_t BgL_modez00;
   int BgL_hwbpsz00;
   int BgL_hwsratez00;
} *BgL_alsazd2sndzd2pcmz00_bglt;

typedef struct BgL_flaczd2decoderzd2_bgl {
   header_t header;
   obj_t widening;
   FLAC__StreamDecoder * BgL_z42builtinz42;
   obj_t BgL_z52flacbufz52;
   obj_t BgL_outbufz00;
   bool_t BgL_z52eofz52;
   long BgL_z52samplez52;
   double BgL_z52volumez52;
   bool_t BgL_md5checkz00;
   int BgL_z52bchecksumz52;
   int BgL_z52rchecksumz52;
} *BgL_flaczd2decoderzd2_bglt;

typedef struct BgL_flacdecz00_bgl {
   header_t header;
   obj_t widening;
   FLAC__StreamDecoder * BgL_z42builtinz42;
   obj_t BgL_z52flacbufz52;
   obj_t BgL_outbufz00;
   bool_t BgL_z52eofz52;
   long BgL_z52samplez52;
   double BgL_z52volumez52;
   bool_t BgL_md5checkz00;
   int BgL_z52bchecksumz52;
   int BgL_z52rchecksumz52;
   obj_t BgL_z52musicz52;
   obj_t BgL_z52bufferz52;
   obj_t BgL_z52decoderz52;
   int BgL_z52ratez52;
   int BgL_z52ratezd2maxz80;
   int BgL_z52ratezd2minz80;
   int BgL_z52lastzd2percentagez80;
} *BgL_flacdecz00_bglt;

typedef struct BgL_flacmusicdecoderz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_mimetypesz00;
   int BgL_bufferzd2timezd2nearz00;
   int BgL_bufferzd2siza7ezd2nearzd2ratioz75;
   int BgL_periodzd2siza7ezd2nearzd2ratioz75;
   bool_t BgL_z52z12dpausez40;
   bool_t BgL_z52z12dabortz40;
   bool_t BgL_z52z12stopz40;
   obj_t BgL_z52dmutexz52;
   obj_t BgL_z52dcondvz52;
   obj_t BgL_z52doutcondvz52;
   obj_t BgL_z52flacz52;
   obj_t BgL_z52inseekz52;
} *BgL_flacmusicdecoderz00_bglt;

typedef struct BgL_flacalsadecz00_bgl {
   header_t header;
   obj_t widening;
   FLAC__StreamDecoder * BgL_z42builtinz42;
   obj_t BgL_z52flacbufz52;
   obj_t BgL_outbufz00;
   bool_t BgL_z52eofz52;
   long BgL_z52samplez52;
   double BgL_z52volumez52;
   bool_t BgL_md5checkz00;
   int BgL_z52bchecksumz52;
   int BgL_z52rchecksumz52;
   obj_t BgL_z52musicz52;
   obj_t BgL_z52bufferz52;
   obj_t BgL_z52decoderz52;
   int BgL_z52ratez52;
   int BgL_z52ratezd2maxz80;
   int BgL_z52ratezd2minz80;
   int BgL_z52lastzd2percentagez80;
} *BgL_flacalsadecz00_bglt;

typedef struct BgL_flaczd2alsadecoderzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_mimetypesz00;
   int BgL_bufferzd2timezd2nearz00;
   int BgL_bufferzd2siza7ezd2nearzd2ratioz75;
   int BgL_periodzd2siza7ezd2nearzd2ratioz75;
   bool_t BgL_z52z12dpausez40;
   bool_t BgL_z52z12dabortz40;
   bool_t BgL_z52z12stopz40;
   obj_t BgL_z52dmutexz52;
   obj_t BgL_z52dcondvz52;
   obj_t BgL_z52doutcondvz52;
   obj_t BgL_z52flacz52;
   obj_t BgL_z52inseekz52;
} *BgL_flaczd2alsadecoderzd2_bglt;


#endif // BGL___FLAC_ALSADEC_TYPE_DEFINITIONS
#endif // BGL_MODULE_TYPE_DEFINITIONS

static obj_t BGl_requirezd2initializa7ationz75zz__flac_alsadecz00 = BUNSPEC;
static obj_t BGl_z62musicdecoderzd2decodezd21155z62zz__flac_alsadecz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_toplevelzd2initzd2zz__flac_alsadecz00(void);
BGL_IMPORT obj_t BGl_alsazd2sndzd2pcmzd2hwzd2setzd2paramsz12zc0zz__alsa_pcmz00(BgL_alsazd2sndzd2pcmz00_bglt, obj_t);
static obj_t BGl_flacalsadecz00zz__flac_alsadecz00 = BUNSPEC;
BGL_IMPORT obj_t BGl_musiczd2statezd2setz12z12zz__multimediazd2musiczd2(BgL_musicz00_bglt, obj_t);
static obj_t BGl_genericzd2initzd2zz__flac_alsadecz00(void);
static obj_t BGl_z62zc3z04anonymousza31206ze3ze5zz__flac_alsadecz00(obj_t);
static obj_t BGl_objectzd2initzd2zz__flac_alsadecz00(void);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_mutexzd2nilzd2zz__threadz00(void);
BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t, obj_t, obj_t);
static obj_t BGl_z62flaczd2decoderzd2readzd2fl1159zb0zz__flac_alsadecz00(obj_t, obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zz__flac_alsadecz00(void);
static obj_t BGl_z62flaczd2decoderzd2metadat1157z62zz__flac_alsadecz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_flaczd2decoderzd2decode16z00zz__flac_flacz00(BgL_flaczd2decoderzd2_bglt);
static obj_t BGl_z62musicdecoderzd2initzd2fl1153z62zz__flac_alsadecz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_classzd2constructorzd2zz__objectz00(obj_t);
BGL_IMPORT obj_t BGl_conditionzd2variablezd2nilz00zz__threadz00(void);
static obj_t BGl_z62zc3z04anonymousza31192ze3ze5zz__flac_alsadecz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31176ze3ze5zz__flac_alsadecz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_alsazd2sndzd2pcmzd2reopenzd2zz__alsa_pcmz00(BgL_alsazd2sndzd2pcmz00_bglt);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__flac_alsadecz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__flac_decoderz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__flac_flacz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__alsa_alsaz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__alsa_pcmz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__multimediazd2musiczd2(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__multimediazd2musicbufzd2(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__customz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
static BgL_flacalsadecz00_bglt BGl_z62lambda1169z62zz__flac_alsadecz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_alsazd2sndzd2pcmzd2swzd2setzd2paramsz12zc0zz__alsa_pcmz00(BgL_alsazd2sndzd2pcmz00_bglt, obj_t);
static BgL_flacalsadecz00_bglt BGl_z62lambda1172z62zz__flac_alsadecz00(obj_t);
static BgL_flaczd2alsadecoderzd2_bglt BGl_z62lambda1187z62zz__flac_alsadecz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_cnstzd2initzd2zz__flac_alsadecz00(void);
static obj_t BGl_libraryzd2moduleszd2initz00zz__flac_alsadecz00(void);
BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zz__flac_alsadecz00(void);
static obj_t BGl_gczd2rootszd2initz00zz__flac_alsadecz00(void);
static BgL_flaczd2alsadecoderzd2_bglt BGl_z62lambda1190z62zz__flac_alsadecz00(obj_t);
BGL_IMPORT long BGl_musicdecoderzd2positionzd2zz__multimediazd2musicbufzd2(BgL_musicdecoderz00_bglt, BgL_musicbufferz00_bglt);
BGL_IMPORT obj_t bgl_custom_nil(void);
BGL_EXPORTED_DEF obj_t BGl_flaczd2alsadecoderzd2zz__flac_alsadecz00 = BUNSPEC;
BGL_IMPORT long BGl_musicbufferzd2availablezd2zz__multimediazd2musicbufzd2(BgL_musicbufferz00_bglt);
BGL_IMPORT obj_t BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(obj_t);
extern obj_t BGl_flacdecz00zz__flac_decoderz00;
BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_musicdecoderzd2decodezd21155ze70ze7zz__flac_alsadecz00(BgL_flaczd2alsadecoderzd2_bglt, BgL_musicbufz00_bglt, BgL_musicbufferz00_bglt);
BGL_IMPORT obj_t BGl_alsazd2sndzd2pcmzd2cleanupzd2zz__alsa_pcmz00(BgL_alsazd2sndzd2pcmz00_bglt);
extern obj_t BGl_flaczd2decoderzd2decodez00zz__flac_flacz00(BgL_flaczd2decoderzd2_bglt);
BGL_IMPORT obj_t BGl_findzd2superzd2classzd2methodzd2zz__objectz00(BgL_objectz00_bglt, obj_t, obj_t);
extern obj_t BGl_flacmusicdecoderz00zz__flac_decoderz00;
static obj_t __cnst[ 22 ] ;


BGL_IMPORT obj_t BGl_musicdecoderzd2decodezd2envz00zz__multimediazd2musicbufzd2;
extern obj_t BGl_flaczd2decoderzd2metadatazd2envzd2zz__flac_flacz00;
DEFINE_STRING( BGl_string1724z00zz__flac_alsadecz00, BgL_bgl_string1724za700za7za7_1744za7, "Llib/flac_alsadec.scm", 21 );
DEFINE_STRING( BGl_string1731z00zz__flac_alsadecz00, BgL_bgl_string1731za700za7za7_1745za7, "", 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1725z00zz__flac_alsadecz00, BgL_bgl_za762za7c3za704anonymo1746za7, BGl_z62zc3z04anonymousza31176ze3ze5zz__flac_alsadecz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1726z00zz__flac_alsadecz00, BgL_bgl_za762lambda1172za7621747z00, BGl_z62lambda1172z62zz__flac_alsadecz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string1733z00zz__flac_alsadecz00, BgL_bgl_string1733za700za7za7_1748za7, "musicdecoder-init", 17 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1727z00zz__flac_alsadecz00, BgL_bgl_za762lambda1169za7621749z00, BGl_z62lambda1169z62zz__flac_alsadecz00, 0L, BUNSPEC, 16 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1728z00zz__flac_alsadecz00, BgL_bgl_za762za7c3za704anonymo1750za7, BGl_z62zc3z04anonymousza31192ze3ze5zz__flac_alsadecz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1735z00zz__flac_alsadecz00, BgL_bgl_string1735za700za7za7_1751za7, "musicdecoder-decode", 19 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1729z00zz__flac_alsadecz00, BgL_bgl_za762lambda1190za7621752z00, BGl_z62lambda1190z62zz__flac_alsadecz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string1737z00zz__flac_alsadecz00, BgL_bgl_string1737za700za7za7_1753za7, "flac-decoder-metadata", 21 );
DEFINE_STRING( BGl_string1739z00zz__flac_alsadecz00, BgL_bgl_string1739za700za7za7_1754za7, "flac-decoder-read", 17 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1730z00zz__flac_alsadecz00, BgL_bgl_za762lambda1187za7621755z00, BGl_z62lambda1187z62zz__flac_alsadecz00, 0L, BUNSPEC, 12 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1732z00zz__flac_alsadecz00, BgL_bgl_za762musicdecoderza71756z00, BGl_z62musicdecoderzd2initzd2fl1153z62zz__flac_alsadecz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1740z00zz__flac_alsadecz00, BgL_bgl_string1740za700za7za7_1757za7, "__flac_alsadec", 14 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1734z00zz__flac_alsadecz00, BgL_bgl_za762musicdecoderza71758z00, BGl_z62musicdecoderzd2decodezd21155z62zz__flac_alsadecz00, 0L, BUNSPEC, 3 );
DEFINE_STRING( BGl_string1741z00zz__flac_alsadecz00, BgL_bgl_string1741za700za7za7_1759za7, "stop ended :start-threshold :avail-min :rate-resample :access rw-interleaved :format :channels :rate-near :buffer-time-near :buffer-size-near :period-size-near s32 s24-3le s16 buffering play pause flac-alsadecoder __flac_alsadec flacalsadec ", 241 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1736z00zz__flac_alsadecz00, BgL_bgl_za762flacza7d2decode1760z00, BGl_z62flaczd2decoderzd2metadat1157z62zz__flac_alsadecz00, 0L, BUNSPEC, 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1738z00zz__flac_alsadecz00, BgL_bgl_za762flacza7d2decode1761z00, BGl_z62flaczd2decoderzd2readzd2fl1159zb0zz__flac_alsadecz00, 0L, BUNSPEC, 2 );
extern obj_t BGl_flaczd2decoderzd2initzd2envzd2zz__flac_flacz00;
extern obj_t BGl_flaczd2decoderzd2readzd2envzd2zz__flac_flacz00;
BGL_IMPORT obj_t BGl_musicdecoderzd2initzd2envz00zz__multimediazd2musicbufzd2;

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__flac_alsadecz00) );
ADD_ROOT( (void *)(&BGl_flacalsadecz00zz__flac_alsadecz00) );
ADD_ROOT( (void *)(&BGl_flaczd2alsadecoderzd2zz__flac_alsadecz00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__flac_alsadecz00(long BgL_checksumz00_628, char * BgL_fromz00_629)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__flac_alsadecz00))
{ 
BGl_requirezd2initializa7ationz75zz__flac_alsadecz00 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zz__flac_alsadecz00(); 
BGl_libraryzd2moduleszd2initz00zz__flac_alsadecz00(); 
BGl_cnstzd2initzd2zz__flac_alsadecz00(); 
BGl_importedzd2moduleszd2initz00zz__flac_alsadecz00(); 
BGl_objectzd2initzd2zz__flac_alsadecz00(); 
BGl_methodzd2initzd2zz__flac_alsadecz00(); 
return 
BGl_toplevelzd2initzd2zz__flac_alsadecz00();}  else 
{ 
return BUNSPEC;} } 

}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zz__flac_alsadecz00(void)
{
{ /* Llib/flac_alsadec.scm 15 */
BGl_modulezd2initializa7ationz75zz__multimediazd2musicbufzd2(0L, "__flac_alsadec"); 
BGl_modulezd2initializa7ationz75zz__alsa_pcmz00(0L, "__flac_alsadec"); 
BGl_modulezd2initializa7ationz75zz__multimediazd2musiczd2(0L, "__flac_alsadec"); 
BGl_modulezd2initializa7ationz75zz__readerz00(0L, "__flac_alsadec"); 
BGl_modulezd2initializa7ationz75zz__threadz00(0L, "__flac_alsadec"); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(0L, "__flac_alsadec"); 
BGl_modulezd2initializa7ationz75zz__objectz00(0L, "__flac_alsadec"); 
BGl_modulezd2initializa7ationz75zz__alsa_alsaz00(0L, "__flac_alsadec"); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(0L, "__flac_alsadec"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(0L, "__flac_alsadec"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(0L, "__flac_alsadec"); 
BGl_modulezd2initializa7ationz75zz__bexitz00(0L, "__flac_alsadec"); 
BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(0L, "__flac_alsadec"); 
BGl_modulezd2initializa7ationz75zz__customz00(0L, "__flac_alsadec"); 
return BUNSPEC;} 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__flac_alsadecz00(void)
{
{ /* Llib/flac_alsadec.scm 15 */
{ /* Llib/flac_alsadec.scm 15 */
 obj_t BgL_cportz00_488;
{ /* Llib/flac_alsadec.scm 15 */
 obj_t BgL_stringz00_495;
BgL_stringz00_495 = BGl_string1741z00zz__flac_alsadecz00; 
{ /* Llib/flac_alsadec.scm 15 */
 obj_t BgL_startz00_496;
BgL_startz00_496 = 
BINT(0L); 
{ /* Llib/flac_alsadec.scm 15 */
 obj_t BgL_endz00_497;
BgL_endz00_497 = 
BINT(
STRING_LENGTH(
((obj_t)BgL_stringz00_495))); 
{ /* Llib/flac_alsadec.scm 15 */

BgL_cportz00_488 = 
BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(BgL_stringz00_495, BgL_startz00_496, BgL_endz00_497); } } } } 
{ 
 long BgL_iz00_489;
BgL_iz00_489 = 21L; 
BgL_loopz00_490:
if(
(BgL_iz00_489==(-1L)))
{ /* Llib/flac_alsadec.scm 15 */
return BUNSPEC;}  else 
{ /* Llib/flac_alsadec.scm 15 */
{ /* Llib/flac_alsadec.scm 15 */
 obj_t BgL_arg1743z00_491;
{ /* Llib/flac_alsadec.scm 15 */

{ /* Llib/flac_alsadec.scm 15 */
 obj_t BgL_locationz00_493;
BgL_locationz00_493 = 
BBOOL(((bool_t)0)); 
{ /* Llib/flac_alsadec.scm 15 */

BgL_arg1743z00_491 = 
BGl_readz00zz__readerz00(BgL_cportz00_488, BgL_locationz00_493); } } } 
{ /* Llib/flac_alsadec.scm 15 */
 int BgL_tmpz00_663;
BgL_tmpz00_663 = 
(int)(BgL_iz00_489); 
CNST_TABLE_SET(BgL_tmpz00_663, BgL_arg1743z00_491); } } 
{ /* Llib/flac_alsadec.scm 15 */
 int BgL_auxz00_494;
BgL_auxz00_494 = 
(int)(
(BgL_iz00_489-1L)); 
{ 
 long BgL_iz00_668;
BgL_iz00_668 = 
(long)(BgL_auxz00_494); 
BgL_iz00_489 = BgL_iz00_668; 
goto BgL_loopz00_490;} } } } } } 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__flac_alsadecz00(void)
{
{ /* Llib/flac_alsadec.scm 15 */
return 
bgl_gc_roots_register();} 

}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__flac_alsadecz00(void)
{
{ /* Llib/flac_alsadec.scm 15 */
BGl_modulezd2initializa7ationz75zz__alsa_alsaz00(0L, 
BSTRING_TO_STRING(BGl_string1724z00zz__flac_alsadecz00)); 
BGl_modulezd2initializa7ationz75zz__multimediazd2musiczd2(0L, 
BSTRING_TO_STRING(BGl_string1724z00zz__flac_alsadecz00)); 
return BUNSPEC;} 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__flac_alsadecz00(void)
{
{ /* Llib/flac_alsadec.scm 15 */
{ /* Llib/flac_alsadec.scm 26 */
 obj_t BgL_arg1167z00_26; obj_t BgL_arg1168z00_27;
{ /* Llib/flac_alsadec.scm 26 */
 obj_t BgL_v1148z00_54;
BgL_v1148z00_54 = 
create_vector(0L); 
BgL_arg1167z00_26 = BgL_v1148z00_54; } 
{ /* Llib/flac_alsadec.scm 26 */
 obj_t BgL_v1149z00_55;
BgL_v1149z00_55 = 
create_vector(0L); 
BgL_arg1168z00_27 = BgL_v1149z00_55; } 
BGl_flacalsadecz00zz__flac_alsadecz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
((obj_t)
CNST_TABLE_REF(0)), 
((obj_t)
CNST_TABLE_REF(1)), BGl_flacdecz00zz__flac_decoderz00, 31914L, BGl_proc1727z00zz__flac_alsadecz00, BGl_proc1726z00zz__flac_alsadecz00, BGl_flaczd2decoderzd2initzd2envzd2zz__flac_flacz00, BGl_proc1725z00zz__flac_alsadecz00, BFALSE, BgL_arg1167z00_26, BgL_arg1168z00_27); } 
{ /* Llib/flac_alsadec.scm 30 */
 obj_t BgL_arg1185z00_62; obj_t BgL_arg1186z00_63;
{ /* Llib/flac_alsadec.scm 30 */
 obj_t BgL_v1150z00_86;
BgL_v1150z00_86 = 
create_vector(0L); 
BgL_arg1185z00_62 = BgL_v1150z00_86; } 
{ /* Llib/flac_alsadec.scm 30 */
 obj_t BgL_v1151z00_87;
BgL_v1151z00_87 = 
create_vector(0L); 
BgL_arg1186z00_63 = BgL_v1151z00_87; } 
return ( 
BGl_flaczd2alsadecoderzd2zz__flac_alsadecz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
((obj_t)
CNST_TABLE_REF(2)), 
((obj_t)
CNST_TABLE_REF(1)), BGl_flacmusicdecoderz00zz__flac_decoderz00, 10516L, BGl_proc1730z00zz__flac_alsadecz00, BGl_proc1729z00zz__flac_alsadecz00, BGl_musicdecoderzd2initzd2envz00zz__multimediazd2musicbufzd2, BGl_proc1728z00zz__flac_alsadecz00, BFALSE, BgL_arg1185z00_62, BgL_arg1186z00_63), BUNSPEC) ;} } 

}



/* &<@anonymous:1192> */
obj_t BGl_z62zc3z04anonymousza31192ze3ze5zz__flac_alsadecz00(obj_t BgL_envz00_411, obj_t BgL_new1118z00_412)
{
{ /* Llib/flac_alsadec.scm 30 */
{ 
 BgL_flaczd2alsadecoderzd2_bglt BgL_auxz00_689;
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_flaczd2alsadecoderzd2_bglt)BgL_new1118z00_412))))->BgL_mimetypesz00)=((obj_t)BNIL),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_flaczd2alsadecoderzd2_bglt)BgL_new1118z00_412))))->BgL_bufferzd2timezd2nearz00)=((int)
(int)(0L)),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_flaczd2alsadecoderzd2_bglt)BgL_new1118z00_412))))->BgL_bufferzd2siza7ezd2nearzd2ratioz75)=((int)
(int)(0L)),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_flaczd2alsadecoderzd2_bglt)BgL_new1118z00_412))))->BgL_periodzd2siza7ezd2nearzd2ratioz75)=((int)
(int)(0L)),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_flaczd2alsadecoderzd2_bglt)BgL_new1118z00_412))))->BgL_z52z12dpausez40)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_flaczd2alsadecoderzd2_bglt)BgL_new1118z00_412))))->BgL_z52z12dabortz40)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_flaczd2alsadecoderzd2_bglt)BgL_new1118z00_412))))->BgL_z52z12stopz40)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_flaczd2alsadecoderzd2_bglt)BgL_new1118z00_412))))->BgL_z52dmutexz52)=((obj_t)
BGl_mutexzd2nilzd2zz__threadz00()),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_flaczd2alsadecoderzd2_bglt)BgL_new1118z00_412))))->BgL_z52dcondvz52)=((obj_t)
BGl_conditionzd2variablezd2nilz00zz__threadz00()),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_flaczd2alsadecoderzd2_bglt)BgL_new1118z00_412))))->BgL_z52doutcondvz52)=((obj_t)
BGl_conditionzd2variablezd2nilz00zz__threadz00()),BUNSPEC); 
((((BgL_flacmusicdecoderz00_bglt)COBJECT(
((BgL_flacmusicdecoderz00_bglt)
((BgL_flaczd2alsadecoderzd2_bglt)BgL_new1118z00_412))))->BgL_z52flacz52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_flacmusicdecoderz00_bglt)COBJECT(
((BgL_flacmusicdecoderz00_bglt)
((BgL_flaczd2alsadecoderzd2_bglt)BgL_new1118z00_412))))->BgL_z52inseekz52)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_689 = 
((BgL_flaczd2alsadecoderzd2_bglt)BgL_new1118z00_412); 
return 
((obj_t)BgL_auxz00_689);} } 

}



/* &lambda1190 */
BgL_flaczd2alsadecoderzd2_bglt BGl_z62lambda1190z62zz__flac_alsadecz00(obj_t BgL_envz00_413)
{
{ /* Llib/flac_alsadec.scm 30 */
{ /* Llib/flac_alsadec.scm 30 */
 BgL_flaczd2alsadecoderzd2_bglt BgL_new1117z00_500;
BgL_new1117z00_500 = 
((BgL_flaczd2alsadecoderzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_flaczd2alsadecoderzd2_bgl) ))); 
{ /* Llib/flac_alsadec.scm 30 */
 long BgL_arg1191z00_501;
BgL_arg1191z00_501 = 
BGL_CLASS_NUM(BGl_flaczd2alsadecoderzd2zz__flac_alsadecz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1117z00_500), BgL_arg1191z00_501); } 
return BgL_new1117z00_500;} } 

}



/* &lambda1187 */
BgL_flaczd2alsadecoderzd2_bglt BGl_z62lambda1187z62zz__flac_alsadecz00(obj_t BgL_envz00_414, obj_t BgL_mimetypes1105z00_415, obj_t BgL_bufferzd2timezd2near1106z00_416, obj_t BgL_bufferzd2siza7ezd2nearzd2rat1107z75_417, obj_t BgL_periodzd2siza7ezd2nearzd2rat1108z75_418, obj_t BgL_z52z12dpause1109z40_419, obj_t BgL_z52z12dabort1110z40_420, obj_t BgL_z52z12stop1111z40_421, obj_t BgL_z52dmutex1112z52_422, obj_t BgL_z52dcondv1113z52_423, obj_t BgL_z52doutcondv1114z52_424, obj_t BgL_z52flac1115z52_425, obj_t BgL_z52inseek1116z52_426)
{
{ /* Llib/flac_alsadec.scm 30 */
{ /* Llib/flac_alsadec.scm 30 */
 int BgL_bufferzd2timezd2near1106z00_503; int BgL_bufferzd2siza7ezd2nearzd2rat1107z75_504; int BgL_periodzd2siza7ezd2nearzd2rat1108z75_505; bool_t BgL_z52z12dpause1109z40_506; bool_t BgL_z52z12dabort1110z40_507; bool_t BgL_z52z12stop1111z40_508;
BgL_bufferzd2timezd2near1106z00_503 = 
CINT(BgL_bufferzd2timezd2near1106z00_416); 
BgL_bufferzd2siza7ezd2nearzd2rat1107z75_504 = 
CINT(BgL_bufferzd2siza7ezd2nearzd2rat1107z75_417); 
BgL_periodzd2siza7ezd2nearzd2rat1108z75_505 = 
CINT(BgL_periodzd2siza7ezd2nearzd2rat1108z75_418); 
BgL_z52z12dpause1109z40_506 = 
CBOOL(BgL_z52z12dpause1109z40_419); 
BgL_z52z12dabort1110z40_507 = 
CBOOL(BgL_z52z12dabort1110z40_420); 
BgL_z52z12stop1111z40_508 = 
CBOOL(BgL_z52z12stop1111z40_421); 
{ /* Llib/flac_alsadec.scm 30 */
 BgL_flaczd2alsadecoderzd2_bglt BgL_new1147z00_512;
{ /* Llib/flac_alsadec.scm 30 */
 BgL_flaczd2alsadecoderzd2_bglt BgL_new1146z00_513;
BgL_new1146z00_513 = 
((BgL_flaczd2alsadecoderzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_flaczd2alsadecoderzd2_bgl) ))); 
{ /* Llib/flac_alsadec.scm 30 */
 long BgL_arg1189z00_514;
BgL_arg1189z00_514 = 
BGL_CLASS_NUM(BGl_flaczd2alsadecoderzd2zz__flac_alsadecz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1146z00_513), BgL_arg1189z00_514); } 
BgL_new1147z00_512 = BgL_new1146z00_513; } 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)BgL_new1147z00_512)))->BgL_mimetypesz00)=((obj_t)
((obj_t)BgL_mimetypes1105z00_415)),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)BgL_new1147z00_512)))->BgL_bufferzd2timezd2nearz00)=((int)BgL_bufferzd2timezd2near1106z00_503),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)BgL_new1147z00_512)))->BgL_bufferzd2siza7ezd2nearzd2ratioz75)=((int)BgL_bufferzd2siza7ezd2nearzd2rat1107z75_504),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)BgL_new1147z00_512)))->BgL_periodzd2siza7ezd2nearzd2ratioz75)=((int)BgL_periodzd2siza7ezd2nearzd2rat1108z75_505),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)BgL_new1147z00_512)))->BgL_z52z12dpausez40)=((bool_t)BgL_z52z12dpause1109z40_506),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)BgL_new1147z00_512)))->BgL_z52z12dabortz40)=((bool_t)BgL_z52z12dabort1110z40_507),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)BgL_new1147z00_512)))->BgL_z52z12stopz40)=((bool_t)BgL_z52z12stop1111z40_508),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)BgL_new1147z00_512)))->BgL_z52dmutexz52)=((obj_t)
((obj_t)BgL_z52dmutex1112z52_422)),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)BgL_new1147z00_512)))->BgL_z52dcondvz52)=((obj_t)
((obj_t)BgL_z52dcondv1113z52_423)),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)BgL_new1147z00_512)))->BgL_z52doutcondvz52)=((obj_t)
((obj_t)BgL_z52doutcondv1114z52_424)),BUNSPEC); 
((((BgL_flacmusicdecoderz00_bglt)COBJECT(
((BgL_flacmusicdecoderz00_bglt)BgL_new1147z00_512)))->BgL_z52flacz52)=((obj_t)BgL_z52flac1115z52_425),BUNSPEC); 
((((BgL_flacmusicdecoderz00_bglt)COBJECT(
((BgL_flacmusicdecoderz00_bglt)BgL_new1147z00_512)))->BgL_z52inseekz52)=((obj_t)BgL_z52inseek1116z52_426),BUNSPEC); 
{ /* Llib/flac_alsadec.scm 30 */
 obj_t BgL_fun1188z00_515;
BgL_fun1188z00_515 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_flaczd2alsadecoderzd2zz__flac_alsadecz00); 
BGL_PROCEDURE_CALL1(BgL_fun1188z00_515, 
((obj_t)BgL_new1147z00_512)); } 
return BgL_new1147z00_512;} } } 

}



/* &<@anonymous:1176> */
obj_t BGl_z62zc3z04anonymousza31176ze3ze5zz__flac_alsadecz00(obj_t BgL_envz00_427, obj_t BgL_new1103z00_428)
{
{ /* Llib/flac_alsadec.scm 26 */
{ 
 BgL_flacalsadecz00_bglt BgL_auxz00_782;
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)
((BgL_flacalsadecz00_bglt)BgL_new1103z00_428))))->BgL_z42builtinz42)=((FLAC__StreamDecoder *)
0L),BUNSPEC); 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)
((BgL_flacalsadecz00_bglt)BgL_new1103z00_428))))->BgL_z52flacbufz52)=((obj_t)
bgl_custom_nil()),BUNSPEC); 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)
((BgL_flacalsadecz00_bglt)BgL_new1103z00_428))))->BgL_outbufz00)=((obj_t)BGl_string1731z00zz__flac_alsadecz00),BUNSPEC); 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)
((BgL_flacalsadecz00_bglt)BgL_new1103z00_428))))->BgL_z52eofz52)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)
((BgL_flacalsadecz00_bglt)BgL_new1103z00_428))))->BgL_z52samplez52)=((long)0L),BUNSPEC); 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)
((BgL_flacalsadecz00_bglt)BgL_new1103z00_428))))->BgL_z52volumez52)=((double)((double)0.0)),BUNSPEC); 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)
((BgL_flacalsadecz00_bglt)BgL_new1103z00_428))))->BgL_md5checkz00)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)
((BgL_flacalsadecz00_bglt)BgL_new1103z00_428))))->BgL_z52bchecksumz52)=((int)
(int)(0L)),BUNSPEC); 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)
((BgL_flacalsadecz00_bglt)BgL_new1103z00_428))))->BgL_z52rchecksumz52)=((int)
(int)(0L)),BUNSPEC); 
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)
((BgL_flacalsadecz00_bglt)BgL_new1103z00_428))))->BgL_z52musicz52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)
((BgL_flacalsadecz00_bglt)BgL_new1103z00_428))))->BgL_z52bufferz52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)
((BgL_flacalsadecz00_bglt)BgL_new1103z00_428))))->BgL_z52decoderz52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)
((BgL_flacalsadecz00_bglt)BgL_new1103z00_428))))->BgL_z52ratez52)=((int)
(int)(0L)),BUNSPEC); 
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)
((BgL_flacalsadecz00_bglt)BgL_new1103z00_428))))->BgL_z52ratezd2maxz80)=((int)
(int)(0L)),BUNSPEC); 
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)
((BgL_flacalsadecz00_bglt)BgL_new1103z00_428))))->BgL_z52ratezd2minz80)=((int)
(int)(0L)),BUNSPEC); 
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)
((BgL_flacalsadecz00_bglt)BgL_new1103z00_428))))->BgL_z52lastzd2percentagez80)=((int)
(int)(0L)),BUNSPEC); 
BgL_auxz00_782 = 
((BgL_flacalsadecz00_bglt)BgL_new1103z00_428); 
return 
((obj_t)BgL_auxz00_782);} } 

}



/* &lambda1172 */
BgL_flacalsadecz00_bglt BGl_z62lambda1172z62zz__flac_alsadecz00(obj_t BgL_envz00_429)
{
{ /* Llib/flac_alsadec.scm 26 */
{ /* Llib/flac_alsadec.scm 26 */
 BgL_flacalsadecz00_bglt BgL_new1102z00_517;
BgL_new1102z00_517 = 
((BgL_flacalsadecz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_flacalsadecz00_bgl) ))); 
{ /* Llib/flac_alsadec.scm 26 */
 long BgL_arg1175z00_518;
BgL_arg1175z00_518 = 
BGL_CLASS_NUM(BGl_flacalsadecz00zz__flac_alsadecz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1102z00_517), BgL_arg1175z00_518); } 
return BgL_new1102z00_517;} } 

}



/* &lambda1169 */
BgL_flacalsadecz00_bglt BGl_z62lambda1169z62zz__flac_alsadecz00(obj_t BgL_envz00_430, obj_t BgL_z42builtin1086z42_431, obj_t BgL_z52flacbuf1087z52_432, obj_t BgL_outbuf1088z00_433, obj_t BgL_z52eof1089z52_434, obj_t BgL_z52sample1090z52_435, obj_t BgL_z52volume1091z52_436, obj_t BgL_md5check1092z00_437, obj_t BgL_z52bchecksum1093z52_438, obj_t BgL_z52rchecksum1094z52_439, obj_t BgL_z52music1095z52_440, obj_t BgL_z52buffer1096z52_441, obj_t BgL_z52decoder1097z52_442, obj_t BgL_z52rate1098z52_443, obj_t BgL_z52ratezd2max1099z80_444, obj_t BgL_z52ratezd2min1100z80_445, obj_t BgL_z52lastzd2percentage1101z80_446)
{
{ /* Llib/flac_alsadec.scm 26 */
{ /* Llib/flac_alsadec.scm 26 */
 FLAC__StreamDecoder * BgL_z42builtin1086z42_519; bool_t BgL_z52eof1089z52_522; long BgL_z52sample1090z52_523; double BgL_z52volume1091z52_524; bool_t BgL_md5check1092z00_525; int BgL_z52bchecksum1093z52_526; int BgL_z52rchecksum1094z52_527; int BgL_z52rate1098z52_528; int BgL_z52ratezd2max1099z80_529; int BgL_z52ratezd2min1100z80_530; int BgL_z52lastzd2percentage1101z80_531;
BgL_z42builtin1086z42_519 = 
FOREIGN_TO_COBJ(BgL_z42builtin1086z42_431); 
BgL_z52eof1089z52_522 = 
CBOOL(BgL_z52eof1089z52_434); 
BgL_z52sample1090z52_523 = 
(long)CINT(BgL_z52sample1090z52_435); 
BgL_z52volume1091z52_524 = 
REAL_TO_DOUBLE(BgL_z52volume1091z52_436); 
BgL_md5check1092z00_525 = 
CBOOL(BgL_md5check1092z00_437); 
BgL_z52bchecksum1093z52_526 = 
CINT(BgL_z52bchecksum1093z52_438); 
BgL_z52rchecksum1094z52_527 = 
CINT(BgL_z52rchecksum1094z52_439); 
BgL_z52rate1098z52_528 = 
CINT(BgL_z52rate1098z52_443); 
BgL_z52ratezd2max1099z80_529 = 
CINT(BgL_z52ratezd2max1099z80_444); 
BgL_z52ratezd2min1100z80_530 = 
CINT(BgL_z52ratezd2min1100z80_445); 
BgL_z52lastzd2percentage1101z80_531 = 
CINT(BgL_z52lastzd2percentage1101z80_446); 
{ /* Llib/flac_alsadec.scm 26 */
 BgL_flacalsadecz00_bglt BgL_new1145z00_532;
{ /* Llib/flac_alsadec.scm 26 */
 BgL_flacalsadecz00_bglt BgL_new1144z00_533;
BgL_new1144z00_533 = 
((BgL_flacalsadecz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_flacalsadecz00_bgl) ))); 
{ /* Llib/flac_alsadec.scm 26 */
 long BgL_arg1171z00_534;
BgL_arg1171z00_534 = 
BGL_CLASS_NUM(BGl_flacalsadecz00zz__flac_alsadecz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1144z00_533), BgL_arg1171z00_534); } 
BgL_new1145z00_532 = BgL_new1144z00_533; } 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_new1145z00_532)))->BgL_z42builtinz42)=((FLAC__StreamDecoder *)BgL_z42builtin1086z42_519),BUNSPEC); 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_new1145z00_532)))->BgL_z52flacbufz52)=((obj_t)
((obj_t)BgL_z52flacbuf1087z52_432)),BUNSPEC); 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_new1145z00_532)))->BgL_outbufz00)=((obj_t)
((obj_t)BgL_outbuf1088z00_433)),BUNSPEC); 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_new1145z00_532)))->BgL_z52eofz52)=((bool_t)BgL_z52eof1089z52_522),BUNSPEC); 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_new1145z00_532)))->BgL_z52samplez52)=((long)BgL_z52sample1090z52_523),BUNSPEC); 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_new1145z00_532)))->BgL_z52volumez52)=((double)BgL_z52volume1091z52_524),BUNSPEC); 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_new1145z00_532)))->BgL_md5checkz00)=((bool_t)BgL_md5check1092z00_525),BUNSPEC); 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_new1145z00_532)))->BgL_z52bchecksumz52)=((int)BgL_z52bchecksum1093z52_526),BUNSPEC); 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_new1145z00_532)))->BgL_z52rchecksumz52)=((int)BgL_z52rchecksum1094z52_527),BUNSPEC); 
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_new1145z00_532)))->BgL_z52musicz52)=((obj_t)BgL_z52music1095z52_440),BUNSPEC); 
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_new1145z00_532)))->BgL_z52bufferz52)=((obj_t)BgL_z52buffer1096z52_441),BUNSPEC); 
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_new1145z00_532)))->BgL_z52decoderz52)=((obj_t)BgL_z52decoder1097z52_442),BUNSPEC); 
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_new1145z00_532)))->BgL_z52ratez52)=((int)BgL_z52rate1098z52_528),BUNSPEC); 
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_new1145z00_532)))->BgL_z52ratezd2maxz80)=((int)BgL_z52ratezd2max1099z80_529),BUNSPEC); 
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_new1145z00_532)))->BgL_z52ratezd2minz80)=((int)BgL_z52ratezd2min1100z80_530),BUNSPEC); 
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_new1145z00_532)))->BgL_z52lastzd2percentagez80)=((int)BgL_z52lastzd2percentage1101z80_531),BUNSPEC); 
{ /* Llib/flac_alsadec.scm 26 */
 obj_t BgL_fun1170z00_535;
BgL_fun1170z00_535 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_flacalsadecz00zz__flac_alsadecz00); 
BGL_PROCEDURE_CALL1(BgL_fun1170z00_535, 
((obj_t)BgL_new1145z00_532)); } 
return BgL_new1145z00_532;} } } 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__flac_alsadecz00(void)
{
{ /* Llib/flac_alsadec.scm 15 */
return BUNSPEC;} 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__flac_alsadecz00(void)
{
{ /* Llib/flac_alsadec.scm 15 */
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_musicdecoderzd2initzd2envz00zz__multimediazd2musicbufzd2, BGl_flaczd2alsadecoderzd2zz__flac_alsadecz00, BGl_proc1732z00zz__flac_alsadecz00, BGl_string1733z00zz__flac_alsadecz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_musicdecoderzd2decodezd2envz00zz__multimediazd2musicbufzd2, BGl_flaczd2alsadecoderzd2zz__flac_alsadecz00, BGl_proc1734z00zz__flac_alsadecz00, BGl_string1735z00zz__flac_alsadecz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_flaczd2decoderzd2metadatazd2envzd2zz__flac_flacz00, BGl_flacalsadecz00zz__flac_alsadecz00, BGl_proc1736z00zz__flac_alsadecz00, BGl_string1737z00zz__flac_alsadecz00); 
return 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_flaczd2decoderzd2readzd2envzd2zz__flac_flacz00, BGl_flacalsadecz00zz__flac_alsadecz00, BGl_proc1738z00zz__flac_alsadecz00, BGl_string1739z00zz__flac_alsadecz00);} 

}



/* &flac-decoder-read-fl1159 */
obj_t BGl_z62flaczd2decoderzd2readzd2fl1159zb0zz__flac_alsadecz00(obj_t BgL_envz00_456, obj_t BgL_oz00_457, obj_t BgL_siza7eza7_458)
{
{ /* Llib/flac_alsadec.scm 97 */
{ /* Llib/flac_alsadec.scm 98 */
 long BgL_siza7eza7_537;
BgL_siza7eza7_537 = 
(long)CINT(BgL_siza7eza7_458); 
{ /* Llib/flac_alsadec.scm 100 */
 BgL_musicdecoderz00_bglt BgL_i1137z00_538;
BgL_i1137z00_538 = 
((BgL_musicdecoderz00_bglt)
(((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)
((BgL_flacalsadecz00_bglt)BgL_oz00_457))))->BgL_z52decoderz52)); 
{ /* Llib/flac_alsadec.scm 101 */
 BgL_musicbufferz00_bglt BgL_i1138z00_539;
BgL_i1138z00_539 = 
((BgL_musicbufferz00_bglt)
(((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)
((BgL_flacalsadecz00_bglt)BgL_oz00_457))))->BgL_z52bufferz52)); 
{ /* Llib/flac_alsadec.scm 101 */
 long BgL_inlenz00_540;
BgL_inlenz00_540 = 
(((BgL_musicbufferz00_bglt)COBJECT(BgL_i1138z00_539))->BgL_z52inlenz52); 
{ /* Llib/flac_alsadec.scm 109 */
 char * BgL_flacbufz00_541;
{ /* Llib/flac_alsadec.scm 109 */
 obj_t BgL_arg1711z00_542;
BgL_arg1711z00_542 = 
(((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)
((BgL_flacdecz00_bglt)
((BgL_flacalsadecz00_bglt)BgL_oz00_457)))))->BgL_z52flacbufz52); 
BgL_flacbufz00_541 = 
CUSTOM_IDENTIFIER(BgL_arg1711z00_542); } 
{ 

{ 

{ 
 long BgL_siza7eza7_555;
{ 
 long BgL_siza7eza7_562; long BgL_iz00_563;
BgL_siza7eza7_562 = BgL_siza7eza7_537; 
BgL_iz00_563 = 0L; 
BgL_loopz00_561:
if(
(((BgL_musicdecoderz00_bglt)COBJECT(BgL_i1137z00_538))->BgL_z52z12dpausez40))
{ /* Llib/flac_alsadec.scm 156 */
{ /* Llib/flac_alsadec.scm 157 */
 obj_t BgL_arg1248z00_564;
BgL_arg1248z00_564 = 
(((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)
((BgL_flacalsadecz00_bglt)BgL_oz00_457))))->BgL_z52musicz52); 
BGl_musiczd2statezd2setz12z12zz__multimediazd2musiczd2(
((BgL_musicz00_bglt)BgL_arg1248z00_564), 
((obj_t)
CNST_TABLE_REF(3))); } 
{ /* Llib/flac_alsadec.scm 159 */
 BgL_alsamusicz00_bglt BgL_i1140z00_565;
BgL_i1140z00_565 = 
((BgL_alsamusicz00_bglt)
(((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)
((BgL_flacalsadecz00_bglt)BgL_oz00_457))))->BgL_z52musicz52)); 
{ /* Llib/flac_alsadec.scm 160 */
 BgL_musicstatusz00_bglt BgL_i1141z00_566;
BgL_i1141z00_566 = 
(((BgL_musicz00_bglt)COBJECT(
((BgL_musicz00_bglt)BgL_i1140z00_565)))->BgL_z52statusz52); 
{ 
 obj_t BgL_auxz00_934;
{ /* Llib/flac_alsadec.scm 162 */
 obj_t BgL_arg1263z00_567; obj_t BgL_arg1264z00_568;
BgL_arg1263z00_567 = 
(((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)
((BgL_flacalsadecz00_bglt)BgL_oz00_457))))->BgL_z52decoderz52); 
BgL_arg1264z00_568 = 
(((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)
((BgL_flacalsadecz00_bglt)BgL_oz00_457))))->BgL_z52bufferz52); 
BgL_auxz00_934 = 
BINT(
BGl_musicdecoderzd2positionzd2zz__multimediazd2musicbufzd2(
((BgL_musicdecoderz00_bglt)BgL_arg1263z00_567), 
((BgL_musicbufferz00_bglt)BgL_arg1264z00_568))); } 
((((BgL_musicstatusz00_bglt)COBJECT(BgL_i1141z00_566))->BgL_songposz00)=((obj_t)BgL_auxz00_934),BUNSPEC); } } } 
{ /* Llib/flac_alsadec.scm 163 */
 obj_t BgL_mutex1265z00_569;
BgL_mutex1265z00_569 = 
(((BgL_musicdecoderz00_bglt)COBJECT(BgL_i1137z00_538))->BgL_z52dmutexz52); 
BGL_MUTEX_LOCK(BgL_mutex1265z00_569); 
{ /* Llib/flac_alsadec.scm 163 */
 bool_t BgL_tmp1766z00_947;
{ 

BgL_liipz00_570:
if(
(((BgL_musicdecoderz00_bglt)COBJECT(BgL_i1137z00_538))->BgL_z52z12dpausez40))
{ /* Llib/flac_alsadec.scm 165 */
{ /* Llib/flac_alsadec.scm 166 */
 obj_t BgL_arg1269z00_571; obj_t BgL_arg1270z00_572;
BgL_arg1269z00_571 = 
(((BgL_musicdecoderz00_bglt)COBJECT(BgL_i1137z00_538))->BgL_z52dcondvz52); 
BgL_arg1270z00_572 = 
(((BgL_musicdecoderz00_bglt)COBJECT(BgL_i1137z00_538))->BgL_z52dmutexz52); 
{ /* Llib/flac_alsadec.scm 166 */

BGL_CONDVAR_WAIT(BgL_arg1269z00_571, BgL_arg1270z00_572); } } 
goto BgL_liipz00_570;}  else 
{ /* Llib/flac_alsadec.scm 165 */
BgL_tmp1766z00_947 = ((bool_t)0); } } 
BGL_MUTEX_UNLOCK(BgL_mutex1265z00_569); BgL_tmp1766z00_947; } } 
{ /* Llib/flac_alsadec.scm 168 */
 obj_t BgL_arg1278z00_573;
BgL_arg1278z00_573 = 
(((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)
((BgL_flacalsadecz00_bglt)BgL_oz00_457))))->BgL_z52musicz52); 
BGl_musiczd2statezd2setz12z12zz__multimediazd2musiczd2(
((BgL_musicz00_bglt)BgL_arg1278z00_573), 
((obj_t)
CNST_TABLE_REF(4))); } 
{ 

goto BgL_loopz00_561;} }  else 
{ /* Llib/flac_alsadec.scm 156 */
if(
(((BgL_musicdecoderz00_bglt)COBJECT(BgL_i1137z00_538))->BgL_z52z12dabortz40))
{ /* Llib/flac_alsadec.scm 170 */
return 
BINT((-1L));}  else 
{ /* Llib/flac_alsadec.scm 170 */
if(
(((BgL_musicbufferz00_bglt)COBJECT(BgL_i1138z00_539))->BgL_z52emptyz52))
{ /* Llib/flac_alsadec.scm 173 */
if(
(((BgL_musicbufferz00_bglt)COBJECT(BgL_i1138z00_539))->BgL_z52eofz52))
{ /* Llib/flac_alsadec.scm 175 */
return BEOF;}  else 
{ /* Llib/flac_alsadec.scm 175 */
{ /* Llib/flac_alsadec.scm 178 */
 BgL_alsamusicz00_bglt BgL_i1142z00_574;
BgL_i1142z00_574 = 
((BgL_alsamusicz00_bglt)
(((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)
((BgL_flacalsadecz00_bglt)BgL_oz00_457))))->BgL_z52musicz52)); 
{ /* Llib/flac_alsadec.scm 179 */
 BgL_musicstatusz00_bglt BgL_i1143z00_575;
BgL_i1143z00_575 = 
(((BgL_musicz00_bglt)COBJECT(
((BgL_musicz00_bglt)BgL_i1142z00_574)))->BgL_z52statusz52); 
{ 
 int BgL_auxz00_975;
{ /* Llib/flac_alsadec.scm 181 */
 long BgL_tmpz00_976;
{ /* Llib/flac_alsadec.scm 114 */
 BGL_LONGLONG_T BgL_arg1691z00_544;
{ /* Llib/flac_alsadec.scm 114 */
 BGL_LONGLONG_T BgL_arg1692z00_545; BGL_LONGLONG_T BgL_arg1698z00_546;
{ /* Llib/flac_alsadec.scm 114 */
 BGL_LONGLONG_T BgL_arg1705z00_547;
{ /* Llib/flac_alsadec.scm 114 */
 long BgL_arg1707z00_548;
{ /* Llib/flac_alsadec.scm 114 */
 obj_t BgL_arg1708z00_549;
BgL_arg1708z00_549 = 
(((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)
((BgL_flacalsadecz00_bglt)BgL_oz00_457))))->BgL_z52bufferz52); 
BgL_arg1707z00_548 = 
BGl_musicbufferzd2availablezd2zz__multimediazd2musicbufzd2(
((BgL_musicbufferz00_bglt)BgL_arg1708z00_549)); } 
BgL_arg1705z00_547 = 
LONG_TO_LLONG(BgL_arg1707z00_548); } 
BgL_arg1692z00_545 = 
(((BGL_LONGLONG_T)100)*BgL_arg1705z00_547); } 
BgL_arg1698z00_546 = 
LONG_TO_LLONG(BgL_inlenz00_540); 
BgL_arg1691z00_544 = 
(BgL_arg1692z00_545/BgL_arg1698z00_546); } 
BgL_tmpz00_976 = 
LLONG_TO_LONG(BgL_arg1691z00_544); } 
BgL_auxz00_975 = 
(int)(BgL_tmpz00_976); } 
((((BgL_musicstatusz00_bglt)COBJECT(BgL_i1143z00_575))->BgL_bufferingz00)=((int)BgL_auxz00_975),BUNSPEC); } } } 
{ /* Llib/flac_alsadec.scm 182 */
 obj_t BgL_arg1286z00_576;
BgL_arg1286z00_576 = 
(((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)
((BgL_flacalsadecz00_bglt)BgL_oz00_457))))->BgL_z52musicz52); 
BGl_musiczd2statezd2setz12z12zz__multimediazd2musiczd2(
((BgL_musicz00_bglt)BgL_arg1286z00_576), 
((obj_t)
CNST_TABLE_REF(5))); } 
{ /* Llib/flac_alsadec.scm 183 */
 obj_t BgL_mutex1287z00_577;
BgL_mutex1287z00_577 = 
(((BgL_musicbufferz00_bglt)COBJECT(BgL_i1138z00_539))->BgL_z52bmutexz52); 
{ /* Llib/flac_alsadec.scm 183 */
 obj_t BgL_top1773z00_998;
BgL_top1773z00_998 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGL_MUTEX_LOCK(BgL_mutex1287z00_577); 
BGL_EXITD_PUSH_PROTECT(BgL_top1773z00_998, BgL_mutex1287z00_577); BUNSPEC; 
{ /* Llib/flac_alsadec.scm 183 */
 bool_t BgL_tmp1772z00_997;
{ /* Llib/flac_alsadec.scm 185 */
 bool_t BgL_test1774z00_1002;
if(
(((BgL_musicbufferz00_bglt)COBJECT(BgL_i1138z00_539))->BgL_z52emptyz52))
{ /* Llib/flac_alsadec.scm 185 */
if(
(((BgL_musicbufferz00_bglt)COBJECT(BgL_i1138z00_539))->BgL_z52eofz52))
{ /* Llib/flac_alsadec.scm 185 */
BgL_test1774z00_1002 = ((bool_t)1)
; }  else 
{ /* Llib/flac_alsadec.scm 185 */
if(
(((BgL_musicdecoderz00_bglt)COBJECT(BgL_i1137z00_538))->BgL_z52z12dabortz40))
{ /* Llib/flac_alsadec.scm 185 */
BgL_test1774z00_1002 = ((bool_t)1)
; }  else 
{ /* Llib/flac_alsadec.scm 185 */
if(
(((BgL_musicbufferz00_bglt)COBJECT(BgL_i1138z00_539))->BgL_z52emptyz52))
{ /* Llib/flac_alsadec.scm 119 */
BgL_test1774z00_1002 = ((bool_t)0)
; }  else 
{ /* Llib/flac_alsadec.scm 120 */
 long BgL_arg1653z00_551;
{ /* Llib/flac_alsadec.scm 120 */
 long BgL_arg1654z00_552;
{ /* Llib/flac_alsadec.scm 120 */
 obj_t BgL_arg1667z00_553;
BgL_arg1667z00_553 = 
(((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)
((BgL_flacalsadecz00_bglt)BgL_oz00_457))))->BgL_z52bufferz52); 
BgL_arg1654z00_552 = 
BGl_musicbufferzd2availablezd2zz__multimediazd2musicbufzd2(
((BgL_musicbufferz00_bglt)BgL_arg1667z00_553)); } 
BgL_arg1653z00_551 = 
(4L*BgL_arg1654z00_552); } 
BgL_test1774z00_1002 = 
(BgL_arg1653z00_551>BgL_inlenz00_540); } } } }  else 
{ /* Llib/flac_alsadec.scm 185 */
BgL_test1774z00_1002 = ((bool_t)1)
; } 
if(BgL_test1774z00_1002)
{ /* Llib/flac_alsadec.scm 185 */
BgL_tmp1772z00_997 = ((bool_t)0); }  else 
{ /* Llib/flac_alsadec.scm 189 */
 obj_t BgL_arg1325z00_578; obj_t BgL_arg1337z00_579;
BgL_arg1325z00_578 = 
(((BgL_musicbufferz00_bglt)COBJECT(BgL_i1138z00_539))->BgL_z52bcondvz52); 
BgL_arg1337z00_579 = 
(((BgL_musicbufferz00_bglt)COBJECT(BgL_i1138z00_539))->BgL_z52bmutexz52); 
{ /* Llib/flac_alsadec.scm 189 */

BgL_tmp1772z00_997 = 
BGL_CONDVAR_WAIT(BgL_arg1325z00_578, BgL_arg1337z00_579); } } } 
BGL_EXITD_POP_PROTECT(BgL_top1773z00_998); BUNSPEC; 
BGL_MUTEX_UNLOCK(BgL_mutex1287z00_577); BgL_tmp1772z00_997; } } } 
{ /* Llib/flac_alsadec.scm 190 */
 obj_t BgL_arg1353z00_580;
BgL_arg1353z00_580 = 
(((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)
((BgL_flacalsadecz00_bglt)BgL_oz00_457))))->BgL_z52musicz52); 
BGl_musiczd2statezd2setz12z12zz__multimediazd2musiczd2(
((BgL_musicz00_bglt)BgL_arg1353z00_580), 
((obj_t)
CNST_TABLE_REF(4))); } 
{ 

goto BgL_loopz00_561;} } }  else 
{ /* Llib/flac_alsadec.scm 193 */
 long BgL_sz00_581;
{ /* Llib/flac_alsadec.scm 193 */
 long BgL_bz00_582;
if(
(
(((BgL_musicbufferz00_bglt)COBJECT(BgL_i1138z00_539))->BgL_z52headz52)>
(((BgL_musicbufferz00_bglt)COBJECT(BgL_i1138z00_539))->BgL_z52tailz52)))
{ /* Llib/flac_alsadec.scm 194 */
BgL_bz00_582 = 
(
(((BgL_musicbufferz00_bglt)COBJECT(BgL_i1138z00_539))->BgL_z52headz52)-
(((BgL_musicbufferz00_bglt)COBJECT(BgL_i1138z00_539))->BgL_z52tailz52)); }  else 
{ /* Llib/flac_alsadec.scm 194 */
BgL_bz00_582 = 
(BgL_inlenz00_540-
(((BgL_musicbufferz00_bglt)COBJECT(BgL_i1138z00_539))->BgL_z52tailz52)); } 
if(
(BgL_siza7eza7_562<BgL_bz00_582))
{ /* Llib/flac_alsadec.scm 194 */
BgL_sz00_581 = BgL_siza7eza7_562; }  else 
{ /* Llib/flac_alsadec.scm 194 */
BgL_sz00_581 = BgL_bz00_582; } } 
if(
(BgL_sz00_581>0L))
{ /* Llib/flac_alsadec.scm 197 */
{ /* Llib/flac_alsadec.scm 198 */
 char * BgL_arg1359z00_583; long BgL_arg1360z00_584;
BgL_arg1359z00_583 = 
(((BgL_musicbufferz00_bglt)COBJECT(BgL_i1138z00_539))->BgL_z52inbufpz52); 
BgL_arg1360z00_584 = 
(((BgL_musicbufferz00_bglt)COBJECT(BgL_i1138z00_539))->BgL_z52tailz52); 
BGL_FLAC_BLIT_STRING(BgL_arg1359z00_583, BgL_arg1360z00_584, BgL_flacbufz00_541, BgL_iz00_563, BgL_sz00_581); BUNSPEC; } 
BgL_siza7eza7_555 = BgL_sz00_581; 
{ /* Llib/flac_alsadec.scm 128 */
 long BgL_ntailz00_556;
BgL_ntailz00_556 = 
(
(((BgL_musicbufferz00_bglt)COBJECT(BgL_i1138z00_539))->BgL_z52tailz52)+BgL_siza7eza7_555); 
if(
(BgL_ntailz00_556==BgL_inlenz00_540))
{ /* Llib/flac_alsadec.scm 129 */
BgL_ntailz00_556 = 0L; }  else 
{ /* Llib/flac_alsadec.scm 129 */BFALSE; } 
if(
(BgL_ntailz00_556==
(((BgL_musicbufferz00_bglt)COBJECT(BgL_i1138z00_539))->BgL_z52headz52)))
{ /* Llib/flac_alsadec.scm 132 */
if(
(
(long)(
(((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)
((BgL_flacalsadecz00_bglt)BgL_oz00_457))))->BgL_z52ratez52))<80L))
{ /* Llib/flac_alsadec.scm 133 */
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)
((BgL_flacalsadecz00_bglt)BgL_oz00_457))))->BgL_z52ratez52)=((int)
(int)(80L)),BUNSPEC); }  else 
{ /* Llib/flac_alsadec.scm 133 */BFALSE; } 
((((BgL_musicbufferz00_bglt)COBJECT(BgL_i1138z00_539))->BgL_z52emptyz52)=((bool_t)((bool_t)1)),BUNSPEC); }  else 
{ /* Llib/flac_alsadec.scm 132 */BFALSE; } 
((((BgL_musicbufferz00_bglt)COBJECT(BgL_i1138z00_539))->BgL_z52tailz52)=((long)BgL_ntailz00_556),BUNSPEC); } 
if(
(((BgL_musicbufferz00_bglt)COBJECT(BgL_i1138z00_539))->BgL_z52eofz52))
{ /* Llib/flac_alsadec.scm 137 */BFALSE; }  else 
{ /* Llib/flac_alsadec.scm 140 */
 long BgL_availz00_557;
{ /* Llib/flac_alsadec.scm 140 */
 obj_t BgL_arg1633z00_558;
BgL_arg1633z00_558 = 
(((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)
((BgL_flacalsadecz00_bglt)BgL_oz00_457))))->BgL_z52bufferz52); 
BgL_availz00_557 = 
BGl_musicbufferzd2availablezd2zz__multimediazd2musicbufzd2(
((BgL_musicbufferz00_bglt)BgL_arg1633z00_558)); } 
{ /* Llib/flac_alsadec.scm 140 */
 long BgL_pz00_559;
BgL_pz00_559 = 
(
(BgL_availz00_557*100L)/BgL_inlenz00_540); 
{ /* Llib/flac_alsadec.scm 141 */

if(
(BgL_pz00_559<
(long)(
(((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)
((BgL_flacalsadecz00_bglt)BgL_oz00_457))))->BgL_z52ratez52))))
{ /* Llib/flac_alsadec.scm 143 */
{ /* Llib/flac_alsadec.scm 123 */
 obj_t BgL_mutex1635z00_560;
BgL_mutex1635z00_560 = 
(((BgL_musicbufferz00_bglt)COBJECT(BgL_i1138z00_539))->BgL_z52bmutexz52); 
BGL_MUTEX_LOCK(BgL_mutex1635z00_560); 
{ /* Llib/flac_alsadec.scm 123 */
 bool_t BgL_tmp1789z00_1081;
{ /* Llib/flac_alsadec.scm 124 */
 obj_t BgL_tmpz00_1083;
BgL_tmpz00_1083 = 
(((BgL_musicbufferz00_bglt)COBJECT(BgL_i1138z00_539))->BgL_z52bcondvz52); 
BgL_tmp1789z00_1081 = 
BGL_CONDVAR_BROADCAST(BgL_tmpz00_1083); } 
BGL_MUTEX_UNLOCK(BgL_mutex1635z00_560); BgL_tmp1789z00_1081; } } 
{ /* Llib/flac_alsadec.scm 145 */
 bool_t BgL_test1790z00_1087;
if(
(BgL_pz00_559<=
(long)(
(((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)
((BgL_flacalsadecz00_bglt)BgL_oz00_457))))->BgL_z52lastzd2percentagez80))))
{ /* Llib/flac_alsadec.scm 145 */
BgL_test1790z00_1087 = 
(
(long)(
(((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)
((BgL_flacalsadecz00_bglt)BgL_oz00_457))))->BgL_z52ratez52))<
(long)(
(((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)
((BgL_flacalsadecz00_bglt)BgL_oz00_457))))->BgL_z52ratezd2maxz80)))
; }  else 
{ /* Llib/flac_alsadec.scm 145 */
BgL_test1790z00_1087 = ((bool_t)0)
; } 
if(BgL_test1790z00_1087)
{ /* Llib/flac_alsadec.scm 145 */
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)
((BgL_flacalsadecz00_bglt)BgL_oz00_457))))->BgL_z52ratez52)=((int)
(int)(
(
(long)(
(((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)
((BgL_flacalsadecz00_bglt)BgL_oz00_457))))->BgL_z52ratez52))+10L))),BUNSPEC); }  else 
{ /* Llib/flac_alsadec.scm 145 */BFALSE; } } }  else 
{ /* Llib/flac_alsadec.scm 143 */
if(
(BgL_pz00_559>
(long)(
(((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)
((BgL_flacalsadecz00_bglt)BgL_oz00_457))))->BgL_z52ratezd2minz80))))
{ /* Llib/flac_alsadec.scm 147 */
if(
(
(long)(
(((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)
((BgL_flacalsadecz00_bglt)BgL_oz00_457))))->BgL_z52ratez52))>
(long)(
(((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)
((BgL_flacalsadecz00_bglt)BgL_oz00_457))))->BgL_z52ratezd2minz80))))
{ /* Llib/flac_alsadec.scm 148 */
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)
((BgL_flacalsadecz00_bglt)BgL_oz00_457))))->BgL_z52ratez52)=((int)
(int)(
(
(long)(
(((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)
((BgL_flacalsadecz00_bglt)BgL_oz00_457))))->BgL_z52ratez52))-1L))),BUNSPEC); }  else 
{ /* Llib/flac_alsadec.scm 148 */BFALSE; } }  else 
{ /* Llib/flac_alsadec.scm 147 */BFALSE; } } 
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)
((BgL_flacalsadecz00_bglt)BgL_oz00_457))))->BgL_z52lastzd2percentagez80)=((int)
(int)(BgL_pz00_559)),BUNSPEC); BUNSPEC; } } } }  else 
{ /* Llib/flac_alsadec.scm 197 */BFALSE; } 
if(
(BgL_sz00_581<BgL_siza7eza7_562))
{ 
 long BgL_iz00_1145; long BgL_siza7eza7_1143;
BgL_siza7eza7_1143 = 
(BgL_siza7eza7_562-BgL_sz00_581); 
BgL_iz00_1145 = 
(BgL_iz00_563+BgL_sz00_581); 
BgL_iz00_563 = BgL_iz00_1145; 
BgL_siza7eza7_562 = BgL_siza7eza7_1143; 
goto BgL_loopz00_561;}  else 
{ /* Llib/flac_alsadec.scm 200 */
return 
BINT(
(BgL_iz00_563+BgL_sz00_581));} } } } } } } } } } } } } } 

}



/* &flac-decoder-metadat1157 */
obj_t BGl_z62flaczd2decoderzd2metadat1157z62zz__flac_alsadecz00(obj_t BgL_envz00_459, obj_t BgL_oz00_460, obj_t BgL_totalz00_461, obj_t BgL_ratez00_462, obj_t BgL_channelsz00_463, obj_t BgL_bpsz00_464)
{
{ /* Llib/flac_alsadec.scm 72 */
{ /* Llib/flac_alsadec.scm 74 */
 BgL_alsamusicz00_bglt BgL_i1133z00_586;
BgL_i1133z00_586 = 
((BgL_alsamusicz00_bglt)
(((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)
((BgL_flacalsadecz00_bglt)BgL_oz00_460))))->BgL_z52musicz52)); 
{ /* Llib/flac_alsadec.scm 75 */
 obj_t BgL_encodingz00_587;
if(
INTEGERP(BgL_bpsz00_464))
{ /* Llib/flac_alsadec.scm 75 */
switch( 
(long)CINT(BgL_bpsz00_464)) { case 8L : 

BgL_encodingz00_587 = 
((obj_t)
CNST_TABLE_REF(6)); break;case 16L : 

BgL_encodingz00_587 = 
((obj_t)
CNST_TABLE_REF(6)); break;case 24L : 

BgL_encodingz00_587 = 
((obj_t)
CNST_TABLE_REF(7)); break;case 32L : 

BgL_encodingz00_587 = 
((obj_t)
CNST_TABLE_REF(8)); break;
default: 
BgL_encodingz00_587 = BUNSPEC; } }  else 
{ /* Llib/flac_alsadec.scm 75 */
BgL_encodingz00_587 = BUNSPEC; } 
BGl_alsazd2sndzd2pcmzd2reopenzd2zz__alsa_pcmz00(
(((BgL_alsamusicz00_bglt)COBJECT(BgL_i1133z00_586))->BgL_pcmz00)); 
{ /* Llib/flac_alsadec.scm 81 */
 BgL_alsazd2sndzd2pcmz00_bglt BgL_arg1214z00_588; long BgL_arg1215z00_589; long BgL_arg1216z00_590;
BgL_arg1214z00_588 = 
(((BgL_alsamusicz00_bglt)COBJECT(BgL_i1133z00_586))->BgL_pcmz00); 
BgL_arg1215z00_589 = 
(
(long)CINT(BgL_ratez00_462)/2L); 
BgL_arg1216z00_590 = 
(
(long)CINT(BgL_ratez00_462)/8L); 
{ /* Llib/flac_alsadec.scm 81 */
 obj_t BgL_list1217z00_591;
{ /* Llib/flac_alsadec.scm 81 */
 obj_t BgL_arg1218z00_592;
{ /* Llib/flac_alsadec.scm 81 */
 obj_t BgL_arg1219z00_593;
{ /* Llib/flac_alsadec.scm 81 */
 obj_t BgL_arg1220z00_594;
{ /* Llib/flac_alsadec.scm 81 */
 obj_t BgL_arg1221z00_595;
{ /* Llib/flac_alsadec.scm 81 */
 obj_t BgL_arg1222z00_596;
{ /* Llib/flac_alsadec.scm 81 */
 obj_t BgL_arg1223z00_597;
{ /* Llib/flac_alsadec.scm 81 */
 obj_t BgL_arg1224z00_598;
{ /* Llib/flac_alsadec.scm 81 */
 obj_t BgL_arg1225z00_599;
{ /* Llib/flac_alsadec.scm 81 */
 obj_t BgL_arg1227z00_600;
{ /* Llib/flac_alsadec.scm 81 */
 obj_t BgL_arg1228z00_601;
{ /* Llib/flac_alsadec.scm 81 */
 obj_t BgL_arg1229z00_602;
{ /* Llib/flac_alsadec.scm 81 */
 obj_t BgL_arg1230z00_603;
{ /* Llib/flac_alsadec.scm 81 */
 obj_t BgL_arg1231z00_604;
{ /* Llib/flac_alsadec.scm 81 */
 obj_t BgL_arg1232z00_605;
{ /* Llib/flac_alsadec.scm 81 */
 obj_t BgL_arg1233z00_606;
BgL_arg1233z00_606 = 
MAKE_YOUNG_PAIR(
BINT(BgL_arg1216z00_590), BNIL); 
BgL_arg1232z00_605 = 
MAKE_YOUNG_PAIR(
((obj_t)
CNST_TABLE_REF(9)), BgL_arg1233z00_606); } 
BgL_arg1231z00_604 = 
MAKE_YOUNG_PAIR(
BINT(BgL_arg1215z00_589), BgL_arg1232z00_605); } 
BgL_arg1230z00_603 = 
MAKE_YOUNG_PAIR(
((obj_t)
CNST_TABLE_REF(10)), BgL_arg1231z00_604); } 
BgL_arg1229z00_602 = 
MAKE_YOUNG_PAIR(
BINT(500000L), BgL_arg1230z00_603); } 
BgL_arg1228z00_601 = 
MAKE_YOUNG_PAIR(
((obj_t)
CNST_TABLE_REF(11)), BgL_arg1229z00_602); } 
BgL_arg1227z00_600 = 
MAKE_YOUNG_PAIR(BgL_ratez00_462, BgL_arg1228z00_601); } 
BgL_arg1225z00_599 = 
MAKE_YOUNG_PAIR(
((obj_t)
CNST_TABLE_REF(12)), BgL_arg1227z00_600); } 
BgL_arg1224z00_598 = 
MAKE_YOUNG_PAIR(BgL_channelsz00_463, BgL_arg1225z00_599); } 
BgL_arg1223z00_597 = 
MAKE_YOUNG_PAIR(
((obj_t)
CNST_TABLE_REF(13)), BgL_arg1224z00_598); } 
BgL_arg1222z00_596 = 
MAKE_YOUNG_PAIR(BgL_encodingz00_587, BgL_arg1223z00_597); } 
BgL_arg1221z00_595 = 
MAKE_YOUNG_PAIR(
((obj_t)
CNST_TABLE_REF(14)), BgL_arg1222z00_596); } 
BgL_arg1220z00_594 = 
MAKE_YOUNG_PAIR(
((obj_t)
CNST_TABLE_REF(15)), BgL_arg1221z00_595); } 
BgL_arg1219z00_593 = 
MAKE_YOUNG_PAIR(
((obj_t)
CNST_TABLE_REF(16)), BgL_arg1220z00_594); } 
BgL_arg1218z00_592 = 
MAKE_YOUNG_PAIR(
BINT(1L), BgL_arg1219z00_593); } 
BgL_list1217z00_591 = 
MAKE_YOUNG_PAIR(
((obj_t)
CNST_TABLE_REF(17)), BgL_arg1218z00_592); } 
BGl_alsazd2sndzd2pcmzd2hwzd2setzd2paramsz12zc0zz__alsa_pcmz00(BgL_arg1214z00_588, BgL_list1217z00_591); } } 
{ /* Llib/flac_alsadec.scm 90 */
 BgL_alsazd2sndzd2pcmz00_bglt BgL_arg1234z00_607;
BgL_arg1234z00_607 = 
(((BgL_alsamusicz00_bglt)COBJECT(BgL_i1133z00_586))->BgL_pcmz00); 
{ /* Llib/flac_alsadec.scm 90 */
 obj_t BgL_list1235z00_608;
{ /* Llib/flac_alsadec.scm 90 */
 obj_t BgL_arg1238z00_609;
{ /* Llib/flac_alsadec.scm 90 */
 obj_t BgL_arg1239z00_610;
{ /* Llib/flac_alsadec.scm 90 */
 obj_t BgL_arg1243z00_611;
BgL_arg1243z00_611 = 
MAKE_YOUNG_PAIR(
BINT(1L), BNIL); 
BgL_arg1239z00_610 = 
MAKE_YOUNG_PAIR(
((obj_t)
CNST_TABLE_REF(18)), BgL_arg1243z00_611); } 
BgL_arg1238z00_609 = 
MAKE_YOUNG_PAIR(
BINT(1L), BgL_arg1239z00_610); } 
BgL_list1235z00_608 = 
MAKE_YOUNG_PAIR(
((obj_t)
CNST_TABLE_REF(19)), BgL_arg1238z00_609); } 
return 
BGl_alsazd2sndzd2pcmzd2swzd2setzd2paramsz12zc0zz__alsa_pcmz00(BgL_arg1234z00_607, BgL_list1235z00_608);} } } } } 

}



/* &musicdecoder-decode-1155 */
obj_t BGl_z62musicdecoderzd2decodezd21155z62zz__flac_alsadecz00(obj_t BgL_envz00_465, obj_t BgL_decz00_466, obj_t BgL_amz00_467, obj_t BgL_bufferz00_468)
{
{ /* Llib/flac_alsadec.scm 50 */
return 
BGl_musicdecoderzd2decodezd21155ze70ze7zz__flac_alsadecz00(
((BgL_flaczd2alsadecoderzd2_bglt)BgL_decz00_466), 
((BgL_musicbufz00_bglt)BgL_amz00_467), 
((BgL_musicbufferz00_bglt)BgL_bufferz00_468));} 

}



/* musicdecoder-decode-1155~0 */
obj_t BGl_musicdecoderzd2decodezd21155ze70ze7zz__flac_alsadecz00(BgL_flaczd2alsadecoderzd2_bglt BgL_decz00_105, BgL_musicbufz00_bglt BgL_amz00_106, BgL_musicbufferz00_bglt BgL_bufferz00_107)
{
{ /* Llib/flac_alsadec.scm 50 */
{ /* Llib/flac_alsadec.scm 54 */
 BgL_flacdecz00_bglt BgL_i1123z00_111;
BgL_i1123z00_111 = 
((BgL_flacdecz00_bglt)
(((BgL_flacmusicdecoderz00_bglt)COBJECT(
((BgL_flacmusicdecoderz00_bglt)BgL_decz00_105)))->BgL_z52flacz52)); 
((((BgL_flacdecz00_bglt)COBJECT(BgL_i1123z00_111))->BgL_z52bufferz52)=((obj_t)
((obj_t)BgL_bufferz00_107)),BUNSPEC); 
((((BgL_flacdecz00_bglt)COBJECT(BgL_i1123z00_111))->BgL_z52musicz52)=((obj_t)
((obj_t)BgL_amz00_106)),BUNSPEC); 
((((BgL_flacdecz00_bglt)COBJECT(BgL_i1123z00_111))->BgL_z52decoderz52)=((obj_t)
((obj_t)BgL_decz00_105)),BUNSPEC); 
{ /* Llib/flac_alsadec.scm 60 */
 obj_t BgL_exitd1126z00_114;
BgL_exitd1126z00_114 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Llib/flac_alsadec.scm 65 */
 obj_t BgL_zc3z04anonymousza31206ze3z87_453;
BgL_zc3z04anonymousza31206ze3z87_453 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31206ze3ze5zz__flac_alsadecz00, 
(int)(0L), 
(int)(3L)); 
PROCEDURE_SET(BgL_zc3z04anonymousza31206ze3z87_453, 
(int)(0L), 
((obj_t)BgL_i1123z00_111)); 
PROCEDURE_SET(BgL_zc3z04anonymousza31206ze3z87_453, 
(int)(1L), 
((obj_t)
((BgL_alsamusicz00_bglt)BgL_amz00_106))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31206ze3z87_453, 
(int)(2L), 
((obj_t)BgL_amz00_106)); 
{ /* Llib/flac_alsadec.scm 60 */
 obj_t BgL_arg1846z00_329;
{ /* Llib/flac_alsadec.scm 60 */
 obj_t BgL_arg1847z00_330;
BgL_arg1847z00_330 = 
BGL_EXITD_PROTECT(BgL_exitd1126z00_114); 
BgL_arg1846z00_329 = 
MAKE_YOUNG_PAIR(BgL_zc3z04anonymousza31206ze3z87_453, BgL_arg1847z00_330); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1126z00_114, BgL_arg1846z00_329); BUNSPEC; } 
{ /* Llib/flac_alsadec.scm 61 */
 obj_t BgL_tmp1128z00_116;
{ /* Llib/flac_alsadec.scm 61 */
 BgL_alsazd2sndzd2pcmz00_bglt BgL_i1131z00_117;
BgL_i1131z00_117 = 
(((BgL_alsamusicz00_bglt)COBJECT(
((BgL_alsamusicz00_bglt)BgL_amz00_106)))->BgL_pcmz00); 
if(
(
(long)(
(((BgL_alsazd2sndzd2pcmz00_bglt)COBJECT(BgL_i1131z00_117))->BgL_hwbpsz00))<=16L))
{ /* Llib/flac_alsadec.scm 63 */
 obj_t BgL_arg1203z00_120;
BgL_arg1203z00_120 = 
(((BgL_flacmusicdecoderz00_bglt)COBJECT(
((BgL_flacmusicdecoderz00_bglt)BgL_decz00_105)))->BgL_z52flacz52); 
BgL_tmp1128z00_116 = 
BGl_flaczd2decoderzd2decode16z00zz__flac_flacz00(
((BgL_flaczd2decoderzd2_bglt)BgL_arg1203z00_120)); }  else 
{ /* Llib/flac_alsadec.scm 64 */
 obj_t BgL_arg1204z00_121;
BgL_arg1204z00_121 = 
(((BgL_flacmusicdecoderz00_bglt)COBJECT(
((BgL_flacmusicdecoderz00_bglt)BgL_decz00_105)))->BgL_z52flacz52); 
BgL_tmp1128z00_116 = 
BGl_flaczd2decoderzd2decodez00zz__flac_flacz00(
((BgL_flaczd2decoderzd2_bglt)BgL_arg1204z00_121)); } } 
{ /* Llib/flac_alsadec.scm 60 */
 bool_t BgL_test1798z00_1267;
{ /* Llib/flac_alsadec.scm 60 */
 obj_t BgL_arg1845z00_333;
BgL_arg1845z00_333 = 
BGL_EXITD_PROTECT(BgL_exitd1126z00_114); 
BgL_test1798z00_1267 = 
PAIRP(BgL_arg1845z00_333); } 
if(BgL_test1798z00_1267)
{ /* Llib/flac_alsadec.scm 60 */
 obj_t BgL_arg1843z00_334;
{ /* Llib/flac_alsadec.scm 60 */
 obj_t BgL_arg1844z00_335;
BgL_arg1844z00_335 = 
BGL_EXITD_PROTECT(BgL_exitd1126z00_114); 
BgL_arg1843z00_334 = 
CDR(
((obj_t)BgL_arg1844z00_335)); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1126z00_114, BgL_arg1843z00_334); BUNSPEC; }  else 
{ /* Llib/flac_alsadec.scm 60 */BFALSE; } } 
BGl_z62zc3z04anonymousza31206ze3ze5zz__flac_alsadecz00(BgL_zc3z04anonymousza31206ze3z87_453); 
return BgL_tmp1128z00_116;} } } } } 

}



/* &<@anonymous:1206> */
obj_t BGl_z62zc3z04anonymousza31206ze3ze5zz__flac_alsadecz00(obj_t BgL_envz00_469)
{
{ /* Llib/flac_alsadec.scm 60 */
{ /* Llib/flac_alsadec.scm 65 */
 BgL_flacdecz00_bglt BgL_i1123z00_470; BgL_alsamusicz00_bglt BgL_i1124z00_471; BgL_musicbufz00_bglt BgL_amz00_472;
BgL_i1123z00_470 = 
((BgL_flacdecz00_bglt)
PROCEDURE_REF(BgL_envz00_469, 
(int)(0L))); 
BgL_i1124z00_471 = 
((BgL_alsamusicz00_bglt)
PROCEDURE_REF(BgL_envz00_469, 
(int)(1L))); 
BgL_amz00_472 = 
((BgL_musicbufz00_bglt)
PROCEDURE_REF(BgL_envz00_469, 
(int)(2L))); 
{ /* Llib/flac_alsadec.scm 65 */
 BgL_musicbufferz00_bglt BgL_i1130z00_612;
BgL_i1130z00_612 = 
((BgL_musicbufferz00_bglt)
(((BgL_flacdecz00_bglt)COBJECT(BgL_i1123z00_470))->BgL_z52bufferz52)); 
BGl_alsazd2sndzd2pcmzd2cleanupzd2zz__alsa_pcmz00(
(((BgL_alsamusicz00_bglt)COBJECT(BgL_i1124z00_471))->BgL_pcmz00)); 
{ /* Llib/flac_alsadec.scm 67 */
 obj_t BgL_arg1210z00_613;
if(
(((BgL_musicbufferz00_bglt)COBJECT(BgL_i1130z00_612))->BgL_z52eofz52))
{ /* Llib/flac_alsadec.scm 67 */
BgL_arg1210z00_613 = 
((obj_t)
CNST_TABLE_REF(20)); }  else 
{ /* Llib/flac_alsadec.scm 67 */
BgL_arg1210z00_613 = 
((obj_t)
CNST_TABLE_REF(21)); } 
return 
BGl_musiczd2statezd2setz12z12zz__multimediazd2musiczd2(
((BgL_musicz00_bglt)BgL_amz00_472), BgL_arg1210z00_613);} } } } 

}



/* &musicdecoder-init-fl1153 */
obj_t BGl_z62musicdecoderzd2initzd2fl1153z62zz__flac_alsadecz00(obj_t BgL_envz00_473, obj_t BgL_decz00_474)
{
{ /* Llib/flac_alsadec.scm 42 */
{ 

{ /* Llib/flac_alsadec.scm 42 */
 obj_t BgL_nextzd2method1152zd2_616;
BgL_nextzd2method1152zd2_616 = 
BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
((BgL_objectz00_bglt)
((BgL_flaczd2alsadecoderzd2_bglt)BgL_decz00_474)), BGl_musicdecoderzd2initzd2envz00zz__multimediazd2musicbufzd2, BGl_flaczd2alsadecoderzd2zz__flac_alsadecz00); 
BGL_PROCEDURE_CALL1(BgL_nextzd2method1152zd2_616, 
((obj_t)
((BgL_flaczd2alsadecoderzd2_bglt)BgL_decz00_474))); } 
if(
CBOOL(
(((BgL_flacmusicdecoderz00_bglt)COBJECT(
((BgL_flacmusicdecoderz00_bglt)
((BgL_flaczd2alsadecoderzd2_bglt)BgL_decz00_474))))->BgL_z52flacz52)))
{ /* Llib/flac_alsadec.scm 45 */
return BFALSE;}  else 
{ 
 obj_t BgL_auxz00_1310;
{ /* Llib/flac_alsadec.scm 45 */
 BgL_flacalsadecz00_bglt BgL_new1121z00_617;
{ /* Llib/flac_alsadec.scm 45 */
 BgL_flacalsadecz00_bglt BgL_new1120z00_618;
BgL_new1120z00_618 = 
((BgL_flacalsadecz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_flacalsadecz00_bgl) ))); 
{ /* Llib/flac_alsadec.scm 45 */
 long BgL_arg1200z00_619;
{ /* Llib/flac_alsadec.scm 45 */
 obj_t BgL_classz00_620;
BgL_classz00_620 = BGl_flacalsadecz00zz__flac_alsadecz00; 
BgL_arg1200z00_619 = 
BGL_CLASS_NUM(BgL_classz00_620); } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1120z00_618), BgL_arg1200z00_619); } 
BgL_new1121z00_617 = BgL_new1120z00_618; } 
{ 
 void * BgL_auxz00_1317;
{ /* Llib/flac_alsadec.scm 45 */
 obj_t BgL_arg1194z00_621;
{ /* Llib/flac_alsadec.scm 45 */
 obj_t BgL_arg1196z00_622;
{ /* Llib/flac_alsadec.scm 45 */
 obj_t BgL_classz00_623;
BgL_classz00_623 = BGl_flacalsadecz00zz__flac_alsadecz00; 
BgL_arg1196z00_622 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_623); } 
BgL_arg1194z00_621 = 
VECTOR_REF(BgL_arg1196z00_622,0L); } 
BgL_auxz00_1317 = 
FOREIGN_TO_COBJ(
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1194z00_621)); } 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_new1121z00_617)))->BgL_z42builtinz42)=((FLAC__StreamDecoder *)BgL_auxz00_1317),BUNSPEC); } 
{ 
 obj_t BgL_auxz00_1324;
{ /* Llib/flac_alsadec.scm 45 */
 obj_t BgL_arg1197z00_624;
{ /* Llib/flac_alsadec.scm 45 */
 obj_t BgL_arg1198z00_625;
{ /* Llib/flac_alsadec.scm 45 */
 obj_t BgL_classz00_626;
BgL_classz00_626 = BGl_flacalsadecz00zz__flac_alsadecz00; 
BgL_arg1198z00_625 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_626); } 
BgL_arg1197z00_624 = 
VECTOR_REF(BgL_arg1198z00_625,1L); } 
BgL_auxz00_1324 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1197z00_624); } 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_new1121z00_617)))->BgL_z52flacbufz52)=((obj_t)BgL_auxz00_1324),BUNSPEC); } 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_new1121z00_617)))->BgL_outbufz00)=((obj_t)BGl_string1731z00zz__flac_alsadecz00),BUNSPEC); 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_new1121z00_617)))->BgL_z52eofz52)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_new1121z00_617)))->BgL_z52samplez52)=((long)0L),BUNSPEC); 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_new1121z00_617)))->BgL_z52volumez52)=((double)((double)1.0)),BUNSPEC); 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_new1121z00_617)))->BgL_md5checkz00)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_new1121z00_617)))->BgL_z52bchecksumz52)=((int)
(int)(128L)),BUNSPEC); 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_new1121z00_617)))->BgL_z52rchecksumz52)=((int)
(int)(128L)),BUNSPEC); 
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_new1121z00_617)))->BgL_z52musicz52)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_new1121z00_617)))->BgL_z52bufferz52)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_new1121z00_617)))->BgL_z52decoderz52)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_new1121z00_617)))->BgL_z52ratez52)=((int)
(int)(80L)),BUNSPEC); 
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_new1121z00_617)))->BgL_z52ratezd2maxz80)=((int)
(int)(80L)),BUNSPEC); 
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_new1121z00_617)))->BgL_z52ratezd2minz80)=((int)
(int)(50L)),BUNSPEC); 
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_new1121z00_617)))->BgL_z52lastzd2percentagez80)=((int)
(int)(0L)),BUNSPEC); 
{ /* Llib/flac_alsadec.scm 45 */
 obj_t BgL_fun1199z00_627;
BgL_fun1199z00_627 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_flacalsadecz00zz__flac_alsadecz00); 
BGL_PROCEDURE_CALL1(BgL_fun1199z00_627, 
((obj_t)BgL_new1121z00_617)); } 
BgL_auxz00_1310 = 
((obj_t)BgL_new1121z00_617); } 
return 
((((BgL_flacmusicdecoderz00_bglt)COBJECT(
((BgL_flacmusicdecoderz00_bglt)
((BgL_flaczd2alsadecoderzd2_bglt)BgL_decz00_474))))->BgL_z52flacz52)=((obj_t)BgL_auxz00_1310),BUNSPEC);} } } 

}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__flac_alsadecz00(void)
{
{ /* Llib/flac_alsadec.scm 15 */
BGl_modulezd2initializa7ationz75zz__flac_flacz00(107017853L, 
BSTRING_TO_STRING(BGl_string1740z00zz__flac_alsadecz00)); 
return 
BGl_modulezd2initializa7ationz75zz__flac_decoderz00(630617L, 
BSTRING_TO_STRING(BGl_string1740z00zz__flac_alsadecz00));} 

}

#ifdef __cplusplus
}
#endif
