/*===========================================================================*/
/*   (Llib/_thread.scm)                                                      */
/*   Bigloo (4.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Jan 27 07:55:05 AM CET 2025     */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.6a-build/bigloo-4.6a/bin/bigloo -ldopt -L/builddir/build/BUILD/bigloo-4.6a-build/bigloo-4.6a/libbacktrace/usr/lib64/bigloo/4.6a  -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo-4.6a-build/bigloo-4.6a/lib/bigloo/4.6a -I Llib -lib-dir /builddir/build/BUILD/bigloo-4.6a-build/bigloo-4.6a/lib/bigloo/4.6a -unsafe -safee -copt -fPIC -copt -IPosix Llib/_thread.scm -o objs/_thread.o -c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C" {
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL_BgL___FT_z52THREADz52_TYPE_DEFINITIONS
#define BGL_BgL___FT_z52THREADz52_TYPE_DEFINITIONS

/* object type definitions */
typedef struct BgL_threadz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_namez00;
} *BgL_threadz00_bglt;

typedef struct BgL_fthreadz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_namez00;
   obj_t BgL_schedulerz00;
   obj_t BgL_z52builtinz52;
   int BgL_z52timeoutz52;
   obj_t BgL_z52statez52;
   bool_t BgL_z52iszd2suspendz80;
   obj_t BgL_z52terminatez52;
   obj_t BgL_z52resultz52;
   obj_t BgL_z52exczd2resultz80;
   bool_t BgL_z52exczd2raisedz80;
   int BgL_z52identz52;
   obj_t BgL_z52signalsz52;
   obj_t BgL_z52awakezd2signalz80;
   obj_t BgL_z52awakezd2valuez80;
   obj_t BgL_z52cleanupz52;
   obj_t BgL_z52specificz52;
   obj_t BgL_bodyz00;
} *BgL_fthreadz00_bglt;

typedef struct BgL_schedulerz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_namez00;
   obj_t BgL_schedulerz00;
   obj_t BgL_z52builtinz52;
   int BgL_z52timeoutz52;
   obj_t BgL_z52statez52;
   bool_t BgL_z52iszd2suspendz80;
   obj_t BgL_z52terminatez52;
   obj_t BgL_z52resultz52;
   obj_t BgL_z52exczd2resultz80;
   bool_t BgL_z52exczd2raisedz80;
   int BgL_z52identz52;
   obj_t BgL_z52signalsz52;
   obj_t BgL_z52awakezd2signalz80;
   obj_t BgL_z52awakezd2valuez80;
   obj_t BgL_z52cleanupz52;
   obj_t BgL_z52specificz52;
   obj_t BgL_bodyz00;
   obj_t BgL_envzb2zb2;
   obj_t BgL_strictzd2orderzf3z21;
} *BgL_schedulerz00_bglt;

typedef struct BgL_z52schedulerz52_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_namez00;
   obj_t BgL_schedulerz00;
   obj_t BgL_z52builtinz52;
   int BgL_z52timeoutz52;
   obj_t BgL_z52statez52;
   bool_t BgL_z52iszd2suspendz80;
   obj_t BgL_z52terminatez52;
   obj_t BgL_z52resultz52;
   obj_t BgL_z52exczd2resultz80;
   bool_t BgL_z52exczd2raisedz80;
   int BgL_z52identz52;
   obj_t BgL_z52signalsz52;
   obj_t BgL_z52awakezd2signalz80;
   obj_t BgL_z52awakezd2valuez80;
   obj_t BgL_z52cleanupz52;
   obj_t BgL_z52specificz52;
   obj_t BgL_bodyz00;
   obj_t BgL_envzb2zb2;
   obj_t BgL_strictzd2orderzf3z21;
   obj_t BgL_nextzd2instantzd2;
   obj_t BgL_currentzd2threadzd2;
   int BgL_z52livezd2threadzd2numberz52;
   bool_t BgL_z52threadszd2readyz80;
   obj_t BgL_threadszd2runnablezd2;
   obj_t BgL_threadszd2runnablezd2lastzd2pairzd2;
   obj_t BgL_asynczd2runnablezd2;
   obj_t BgL_threadszd2timeoutzd2;
   obj_t BgL_threadszd2yieldzd2;
   obj_t BgL_tostartz00;
   obj_t BgL_toterminatez00;
   obj_t BgL_tosuspendzf2resumezf2;
   obj_t BgL_tobroadcastz00;
   obj_t BgL_tospawnz00;
   obj_t BgL_currentzd2tokenzd2;
} *BgL_z52schedulerz52_bglt;

typedef struct BgL_z52pthreadz52_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_namez00;
   obj_t BgL_bodyz00;
   bool_t BgL_detachedpz00;
   obj_t BgL_endzd2resultzd2;
   obj_t BgL_endzd2exceptionzd2;
   void * BgL_z42builtinz42;
   obj_t BgL_fthreadz00;
   obj_t BgL_mutexz00;
   obj_t BgL_condvarz00;
   obj_t BgL_idz00;
   obj_t BgL_parentz00;
} *BgL_z52pthreadz52_bglt;


#endif // BGL_BgL___FT_z52THREADz52_TYPE_DEFINITIONS
#endif // BGL_MODULE_TYPE_DEFINITIONS

static obj_t BGl_requirezd2initializa7ationz75zz__ft_z52threadz52 = BUNSPEC;
static obj_t BGl_z62z52threadzd2cooperateze2zz__ft_z52threadz52(obj_t, obj_t);
BGL_IMPORT obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
BGL_EXPORTED_DECL bool_t BGl_z52threadzd2iszd2deadz52zz__ft_z52threadz52(BgL_fthreadz00_bglt, obj_t);
static obj_t BGl_z62z52threadzd2iszd2deadz30zz__ft_z52threadz52(obj_t, obj_t, obj_t);
static obj_t BGl_toplevelzd2initzd2zz__ft_z52threadz52(void);
static obj_t BGl_genericzd2initzd2zz__ft_z52threadz52(void);
extern obj_t BGl_z52schedulerzd2switchzd2tozd2nextzd2threadz52zz__ft_z52schedulerz52(BgL_fthreadz00_bglt, BgL_schedulerz00_bglt);
static obj_t BGl_objectzd2initzd2zz__ft_z52threadz52(void);
BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
extern obj_t BGl_z52schedulerzd2addzd2asynczd2runnablez12z92zz__ft_z52schedulerz52(BgL_z52schedulerz52_bglt, BgL_fthreadz00_bglt);
BGL_EXPORTED_DECL obj_t BGl_z52threadzd2unregisterzd2signalsz12z40zz__ft_z52threadz52(BgL_fthreadz00_bglt);
BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_z52threadzd2killz12z92zz__ft_z52threadz52(BgL_fthreadz00_bglt);
static obj_t BGl_z62z52threadzd2awakez12zf0zz__ft_z52threadz52(obj_t, obj_t);
extern obj_t BGl_fthreadz00zz__ft_typesz00;
static obj_t BGl_methodzd2initzd2zz__ft_z52threadz52(void);
BGL_EXPORTED_DECL bool_t BGl_z52threadzd2attachedzf3z73zz__ft_z52threadz52(BgL_fthreadz00_bglt);
BGL_EXPORTED_DECL bool_t BGl_z52threadzd2iszd2terminatedz52zz__ft_z52threadz52(BgL_fthreadz00_bglt, obj_t);
BGL_EXPORTED_DECL obj_t BGl_z52threadzd2awakez12z92zz__ft_z52threadz52(BgL_fthreadz00_bglt);
BGL_EXPORTED_DECL bool_t BGl_z52threadzd2iszd2toterminatez52zz__ft_z52threadz52(BgL_fthreadz00_bglt, obj_t);
BGL_IMPORT obj_t bgl_remq_bang(obj_t, obj_t);
static obj_t BGl_z62z52threadzd2unregisterzd2signalsz12z22zz__ft_z52threadz52(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__ft_z52threadz52(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__ft_z52pthreadz52(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__ft_z52schedulerz52(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__ft_schedulerz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__ft_signalz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__ft_z52typesz52(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__ft_typesz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__pth_threadz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
static obj_t BGl_z62z52threadzd2iszd2terminatedz30zz__ft_z52threadz52(obj_t, obj_t, obj_t);
extern obj_t BGl_z52pthreadzd2switchz80zz__ft_z52pthreadz52(obj_t, BgL_z52pthreadz52_bglt);
extern obj_t BGl_schedulerz00zz__ft_typesz00;
static obj_t BGl_cnstzd2initzd2zz__ft_z52threadz52(void);
static obj_t BGl_libraryzd2moduleszd2initz00zz__ft_z52threadz52(void);
static obj_t BGl_importedzd2moduleszd2initz00zz__ft_z52threadz52(void);
BGL_EXPORTED_DECL obj_t BGl_z52threadzd2cooperatez80zz__ft_z52threadz52(BgL_fthreadz00_bglt);
static obj_t BGl_gczd2rootszd2initz00zz__ft_z52threadz52(void);
static obj_t BGl_z62z52threadzd2yieldz12zf0zz__ft_z52threadz52(obj_t, obj_t);
static obj_t BGl_z62z52threadzd2attachedzf3z11zz__ft_z52threadz52(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_z52threadzd2timeoutz12z92zz__ft_z52threadz52(BgL_fthreadz00_bglt, int);
static obj_t BGl_z62z52threadzd2iszd2toterminatez30zz__ft_z52threadz52(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_z52threadzd2asynchroniza7ez12z35zz__ft_z52threadz52(BgL_fthreadz00_bglt, obj_t);
static obj_t BGl_z62z52threadzd2synchroniza7ez12z57zz__ft_z52threadz52(obj_t, obj_t);
extern obj_t BGl_signalzd2unbindzd2threadz12z12zz__ft_signalz00(obj_t, BgL_threadz00_bglt);
BGL_EXPORTED_DECL obj_t BGl_z52threadzd2synchroniza7ez12z35zz__ft_z52threadz52(obj_t);
BGL_IMPORT obj_t BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(obj_t);
extern obj_t BGl_z52pthreadzd2waitz80zz__ft_z52pthreadz52(BgL_z52pthreadz52_bglt);
BGL_EXPORTED_DECL obj_t BGl_z52threadzd2yieldz12z92zz__ft_z52threadz52(BgL_fthreadz00_bglt);
static obj_t BGl_z62z52threadzd2killz12zf0zz__ft_z52threadz52(obj_t, obj_t);
static obj_t BGl_z62z52threadzd2asynchroniza7ez12z57zz__ft_z52threadz52(obj_t, obj_t, obj_t);
extern obj_t BGl_z52schedulerzd2nextzd2threadz52zz__ft_z52schedulerz52(BgL_fthreadz00_bglt, BgL_schedulerz00_bglt);
static obj_t BGl_z62z52threadzd2timeoutz12zf0zz__ft_z52threadz52(obj_t, obj_t, obj_t);
static obj_t __cnst[ 3 ] ;


DEFINE_EXPORT_BGL_PROCEDURE( BGl_z52threadzd2timeoutz12zd2envz40zz__ft_z52threadz52, BgL_bgl_za762za752threadza7d2t1186za7, BGl_z62z52threadzd2timeoutz12zf0zz__ft_z52threadz52, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string1166z00zz__ft_z52threadz52, BgL_bgl_string1166za700za7za7_1187za7, "Llib/_thread.scm", 16 );
DEFINE_STRING( BGl_string1167z00zz__ft_z52threadz52, BgL_bgl_string1167za700za7za7_1188za7, "/builddir/build/BUILD/bigloo-4.6a-build/bigloo-4.6a/api/fthread/src/Llib/_thread.scm", 84 );
DEFINE_STRING( BGl_string1168z00zz__ft_z52threadz52, BgL_bgl_string1168za700za7za7_1189za7, "&%thread-awake!", 15 );
DEFINE_STRING( BGl_string1169z00zz__ft_z52threadz52, BgL_bgl_string1169za700za7za7_1190za7, "fthread", 7 );
DEFINE_STRING( BGl_string1170z00zz__ft_z52threadz52, BgL_bgl_string1170za700za7za7_1191za7, "&%thread-cooperate", 18 );
DEFINE_STRING( BGl_string1171z00zz__ft_z52threadz52, BgL_bgl_string1171za700za7za7_1192za7, "&%thread-yield!", 15 );
DEFINE_STRING( BGl_string1172z00zz__ft_z52threadz52, BgL_bgl_string1172za700za7za7_1193za7, "&%thread-timeout!", 17 );
DEFINE_STRING( BGl_string1173z00zz__ft_z52threadz52, BgL_bgl_string1173za700za7za7_1194za7, "bint", 4 );
DEFINE_STRING( BGl_string1174z00zz__ft_z52threadz52, BgL_bgl_string1174za700za7za7_1195za7, "&%thread-kill!", 14 );
DEFINE_STRING( BGl_string1175z00zz__ft_z52threadz52, BgL_bgl_string1175za700za7za7_1196za7, "&%thread-unregister-signals!", 28 );
DEFINE_STRING( BGl_string1176z00zz__ft_z52threadz52, BgL_bgl_string1176za700za7za7_1197za7, "&%thread-attached?", 18 );
DEFINE_STRING( BGl_string1177z00zz__ft_z52threadz52, BgL_bgl_string1177za700za7za7_1198za7, "&%thread-is-dead", 16 );
DEFINE_STRING( BGl_string1178z00zz__ft_z52threadz52, BgL_bgl_string1178za700za7za7_1199za7, "&%thread-is-toterminate", 23 );
DEFINE_STRING( BGl_string1179z00zz__ft_z52threadz52, BgL_bgl_string1179za700za7za7_1200za7, "&%thread-is-terminated", 22 );
DEFINE_STRING( BGl_string1180z00zz__ft_z52threadz52, BgL_bgl_string1180za700za7za7_1201za7, "&%thread-asynchronize!", 22 );
DEFINE_STRING( BGl_string1181z00zz__ft_z52threadz52, BgL_bgl_string1181za700za7za7_1202za7, "symbol", 6 );
DEFINE_STRING( BGl_string1182z00zz__ft_z52threadz52, BgL_bgl_string1182za700za7za7_1203za7, "__ft_%thread", 12 );
DEFINE_STRING( BGl_string1183z00zz__ft_z52threadz52, BgL_bgl_string1183za700za7za7_1204za7, "terminated toterminate dead ", 28 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_z52threadzd2yieldz12zd2envz40zz__ft_z52threadz52, BgL_bgl_za762za752threadza7d2y1205za7, BGl_z62z52threadzd2yieldz12zf0zz__ft_z52threadz52, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_z52threadzd2cooperatezd2envz52zz__ft_z52threadz52, BgL_bgl_za762za752threadza7d2c1206za7, BGl_z62z52threadzd2cooperateze2zz__ft_z52threadz52, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_z52threadzd2killz12zd2envz40zz__ft_z52threadz52, BgL_bgl_za762za752threadza7d2k1207za7, BGl_z62z52threadzd2killz12zf0zz__ft_z52threadz52, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_z52threadzd2iszd2deadzd2envz80zz__ft_z52threadz52, BgL_bgl_za762za752threadza7d2i1208za7, va_generic_entry, BGl_z62z52threadzd2iszd2deadz30zz__ft_z52threadz52, BUNSPEC, -2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_z52threadzd2attachedzf3zd2envza1zz__ft_z52threadz52, BgL_bgl_za762za752threadza7d2a1209za7, BGl_z62z52threadzd2attachedzf3z11zz__ft_z52threadz52, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_z52threadzd2iszd2toterminatezd2envz80zz__ft_z52threadz52, BgL_bgl_za762za752threadza7d2i1210za7, va_generic_entry, BGl_z62z52threadzd2iszd2toterminatez30zz__ft_z52threadz52, BUNSPEC, -2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_z52threadzd2unregisterzd2signalsz12zd2envz92zz__ft_z52threadz52, BgL_bgl_za762za752threadza7d2u1211za7, BGl_z62z52threadzd2unregisterzd2signalsz12z22zz__ft_z52threadz52, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_z52threadzd2iszd2terminatedzd2envz80zz__ft_z52threadz52, BgL_bgl_za762za752threadza7d2i1212za7, va_generic_entry, BGl_z62z52threadzd2iszd2terminatedz30zz__ft_z52threadz52, BUNSPEC, -2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_z52threadzd2synchroniza7ez12zd2envze7zz__ft_z52threadz52, BgL_bgl_za762za752threadza7d2s1213za7, BGl_z62z52threadzd2synchroniza7ez12z57zz__ft_z52threadz52, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_z52threadzd2asynchroniza7ez12zd2envze7zz__ft_z52threadz52, BgL_bgl_za762za752threadza7d2a1214za7, BGl_z62z52threadzd2asynchroniza7ez12z57zz__ft_z52threadz52, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_z52threadzd2awakez12zd2envz40zz__ft_z52threadz52, BgL_bgl_za762za752threadza7d2a1215za7, BGl_z62z52threadzd2awakez12zf0zz__ft_z52threadz52, 0L, BUNSPEC, 1 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__ft_z52threadz52) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__ft_z52threadz52(long BgL_checksumz00_252, char * BgL_fromz00_253)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__ft_z52threadz52))
{ 
BGl_requirezd2initializa7ationz75zz__ft_z52threadz52 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zz__ft_z52threadz52(); 
BGl_libraryzd2moduleszd2initz00zz__ft_z52threadz52(); 
BGl_cnstzd2initzd2zz__ft_z52threadz52(); 
BGl_importedzd2moduleszd2initz00zz__ft_z52threadz52(); 
return 
BGl_toplevelzd2initzd2zz__ft_z52threadz52();}  else 
{ 
return BUNSPEC;} } 

}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zz__ft_z52threadz52(void)
{
{ /* Llib/_thread.scm 15 */
BGl_modulezd2initializa7ationz75zz__errorz00(0L, "__ft_%thread"); 
BGl_modulezd2initializa7ationz75zz__objectz00(0L, "__ft_%thread"); 
BGl_modulezd2initializa7ationz75zz__readerz00(0L, "__ft_%thread"); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(0L, "__ft_%thread"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(0L, "__ft_%thread"); 
BGl_modulezd2initializa7ationz75zz__pth_threadz00(0L, "__ft_%thread"); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(0L, "__ft_%thread"); 
BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(0L, "__ft_%thread"); 
BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(0L, "__ft_%thread"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(0L, "__ft_%thread"); 
return BUNSPEC;} 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__ft_z52threadz52(void)
{
{ /* Llib/_thread.scm 15 */
{ /* Llib/_thread.scm 15 */
 obj_t BgL_cportz00_237;
{ /* Llib/_thread.scm 15 */
 obj_t BgL_stringz00_244;
BgL_stringz00_244 = BGl_string1183z00zz__ft_z52threadz52; 
{ /* Llib/_thread.scm 15 */
 obj_t BgL_startz00_245;
BgL_startz00_245 = 
BINT(0L); 
{ /* Llib/_thread.scm 15 */
 obj_t BgL_endz00_246;
BgL_endz00_246 = 
BINT(
STRING_LENGTH(
((obj_t)BgL_stringz00_244))); 
{ /* Llib/_thread.scm 15 */

BgL_cportz00_237 = 
BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(BgL_stringz00_244, BgL_startz00_245, BgL_endz00_246); } } } } 
{ 
 long BgL_iz00_238;
BgL_iz00_238 = 2L; 
BgL_loopz00_239:
if(
(BgL_iz00_238==(-1L)))
{ /* Llib/_thread.scm 15 */
return BUNSPEC;}  else 
{ /* Llib/_thread.scm 15 */
{ /* Llib/_thread.scm 15 */
 obj_t BgL_arg1185z00_240;
{ /* Llib/_thread.scm 15 */

{ /* Llib/_thread.scm 15 */
 obj_t BgL_locationz00_242;
BgL_locationz00_242 = 
BBOOL(((bool_t)0)); 
{ /* Llib/_thread.scm 15 */

BgL_arg1185z00_240 = 
BGl_readz00zz__readerz00(BgL_cportz00_237, BgL_locationz00_242); } } } 
{ /* Llib/_thread.scm 15 */
 int BgL_tmpz00_281;
BgL_tmpz00_281 = 
(int)(BgL_iz00_238); 
CNST_TABLE_SET(BgL_tmpz00_281, BgL_arg1185z00_240); } } 
{ /* Llib/_thread.scm 15 */
 int BgL_auxz00_243;
BgL_auxz00_243 = 
(int)(
(BgL_iz00_238-1L)); 
{ 
 long BgL_iz00_286;
BgL_iz00_286 = 
(long)(BgL_auxz00_243); 
BgL_iz00_238 = BgL_iz00_286; 
goto BgL_loopz00_239;} } } } } } 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__ft_z52threadz52(void)
{
{ /* Llib/_thread.scm 15 */
return 
bgl_gc_roots_register();} 

}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__ft_z52threadz52(void)
{
{ /* Llib/_thread.scm 15 */
BGl_modulezd2initializa7ationz75zz__pth_threadz00(0L, 
BSTRING_TO_STRING(BGl_string1166z00zz__ft_z52threadz52)); 
return BFALSE;} 

}



/* %thread-awake! */
BGL_EXPORTED_DEF obj_t BGl_z52threadzd2awakez12z92zz__ft_z52threadz52(BgL_fthreadz00_bglt BgL_tz00_3)
{
{ /* Llib/_thread.scm 42 */
{ /* Llib/_thread.scm 44 */
 BgL_z52schedulerz52_bglt BgL_i1060z00_31;
BgL_i1060z00_31 = 
((BgL_z52schedulerz52_bglt)
(((BgL_fthreadz00_bglt)COBJECT(BgL_tz00_3))->BgL_schedulerz00)); 
((((BgL_fthreadz00_bglt)COBJECT(BgL_tz00_3))->BgL_z52timeoutz52)=((int)
(int)(1L)),BUNSPEC); 
if(
NULLP(
(((BgL_z52schedulerz52_bglt)COBJECT(BgL_i1060z00_31))->BgL_threadszd2runnablezd2lastzd2pairzd2)))
{ /* Llib/_thread.scm 47 */
{ 
 obj_t BgL_auxz00_298;
{ /* Llib/_thread.scm 52 */
 obj_t BgL_list1092z00_36;
BgL_list1092z00_36 = 
MAKE_YOUNG_PAIR(
((obj_t)BgL_tz00_3), BNIL); 
BgL_auxz00_298 = BgL_list1092z00_36; } 
((((BgL_z52schedulerz52_bglt)COBJECT(BgL_i1060z00_31))->BgL_threadszd2runnablezd2)=((obj_t)BgL_auxz00_298),BUNSPEC); } 
return 
((((BgL_z52schedulerz52_bglt)COBJECT(BgL_i1060z00_31))->BgL_threadszd2runnablezd2lastzd2pairzd2)=((obj_t)
(((BgL_z52schedulerz52_bglt)COBJECT(BgL_i1060z00_31))->BgL_threadszd2runnablezd2)),BUNSPEC);}  else 
{ /* Llib/_thread.scm 48 */
 obj_t BgL_pz00_34;
BgL_pz00_34 = 
MAKE_YOUNG_PAIR(
((obj_t)BgL_tz00_3), BNIL); 
{ /* Llib/_thread.scm 49 */
 obj_t BgL_arg1091z00_35;
BgL_arg1091z00_35 = 
(((BgL_z52schedulerz52_bglt)COBJECT(BgL_i1060z00_31))->BgL_threadszd2runnablezd2lastzd2pairzd2); 
{ /* Llib/_thread.scm 49 */
 obj_t BgL_tmpz00_307;
BgL_tmpz00_307 = 
((obj_t)BgL_arg1091z00_35); 
SET_CDR(BgL_tmpz00_307, BgL_pz00_34); } } 
return 
((((BgL_z52schedulerz52_bglt)COBJECT(BgL_i1060z00_31))->BgL_threadszd2runnablezd2lastzd2pairzd2)=((obj_t)BgL_pz00_34),BUNSPEC);} } } 

}



/* &%thread-awake! */
obj_t BGl_z62z52threadzd2awakez12zf0zz__ft_z52threadz52(obj_t BgL_envz00_158, obj_t BgL_tz00_159)
{
{ /* Llib/_thread.scm 42 */
{ /* Llib/_thread.scm 43 */
 BgL_fthreadz00_bglt BgL_auxz00_311;
if(
BGl_isazf3zf3zz__objectz00(BgL_tz00_159, BGl_fthreadz00zz__ft_typesz00))
{ /* Llib/_thread.scm 43 */
BgL_auxz00_311 = 
((BgL_fthreadz00_bglt)BgL_tz00_159)
; }  else 
{ 
 obj_t BgL_auxz00_315;
BgL_auxz00_315 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1167z00zz__ft_z52threadz52, 
BINT(1915L), BGl_string1168z00zz__ft_z52threadz52, BGl_string1169z00zz__ft_z52threadz52, BgL_tz00_159); 
FAILURE(BgL_auxz00_315,BFALSE,BFALSE);} 
return 
BGl_z52threadzd2awakez12z92zz__ft_z52threadz52(BgL_auxz00_311);} } 

}



/* %thread-cooperate */
BGL_EXPORTED_DEF obj_t BGl_z52threadzd2cooperatez80zz__ft_z52threadz52(BgL_fthreadz00_bglt BgL_tz00_4)
{
{ /* Llib/_thread.scm 58 */
{ /* Llib/_thread.scm 64 */
 obj_t BgL_arg1094z00_39;
BgL_arg1094z00_39 = 
(((BgL_fthreadz00_bglt)COBJECT(BgL_tz00_4))->BgL_schedulerz00); 
BGl_z52schedulerzd2switchzd2tozd2nextzd2threadz52zz__ft_z52schedulerz52(BgL_tz00_4, 
((BgL_schedulerz00_bglt)BgL_arg1094z00_39)); } 
if(
BGl_z52threadzd2iszd2terminatedz52zz__ft_z52threadz52(BgL_tz00_4, BNIL))
{ /* Llib/_thread.scm 66 */
 obj_t BgL_fun1097z00_42;
BgL_fun1097z00_42 = 
(((BgL_fthreadz00_bglt)COBJECT(BgL_tz00_4))->BgL_z52terminatez52); 
return 
BGL_PROCEDURE_CALL1(BgL_fun1097z00_42, 
((obj_t)BgL_tz00_4));}  else 
{ /* Llib/_thread.scm 65 */
return BFALSE;} } 

}



/* &%thread-cooperate */
obj_t BGl_z62z52threadzd2cooperateze2zz__ft_z52threadz52(obj_t BgL_envz00_160, obj_t BgL_tz00_161)
{
{ /* Llib/_thread.scm 58 */
{ /* Llib/_thread.scm 59 */
 BgL_fthreadz00_bglt BgL_auxz00_331;
if(
BGl_isazf3zf3zz__objectz00(BgL_tz00_161, BGl_fthreadz00zz__ft_typesz00))
{ /* Llib/_thread.scm 59 */
BgL_auxz00_331 = 
((BgL_fthreadz00_bglt)BgL_tz00_161)
; }  else 
{ 
 obj_t BgL_auxz00_335;
BgL_auxz00_335 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1167z00zz__ft_z52threadz52, 
BINT(2597L), BGl_string1170z00zz__ft_z52threadz52, BGl_string1169z00zz__ft_z52threadz52, BgL_tz00_161); 
FAILURE(BgL_auxz00_335,BFALSE,BFALSE);} 
return 
BGl_z52threadzd2cooperatez80zz__ft_z52threadz52(BgL_auxz00_331);} } 

}



/* %thread-yield! */
BGL_EXPORTED_DEF obj_t BGl_z52threadzd2yieldz12z92zz__ft_z52threadz52(BgL_fthreadz00_bglt BgL_tz00_5)
{
{ /* Llib/_thread.scm 71 */
{ /* Llib/_thread.scm 73 */
 BgL_z52schedulerz52_bglt BgL_i1063z00_45;
BgL_i1063z00_45 = 
((BgL_z52schedulerz52_bglt)
(((BgL_fthreadz00_bglt)COBJECT(BgL_tz00_5))->BgL_schedulerz00)); 
{ 
 obj_t BgL_auxz00_342;
{ /* Llib/_thread.scm 74 */
 obj_t BgL_arg1099z00_46;
BgL_arg1099z00_46 = 
(((BgL_z52schedulerz52_bglt)COBJECT(BgL_i1063z00_45))->BgL_threadszd2yieldzd2); 
BgL_auxz00_342 = 
MAKE_YOUNG_PAIR(
((obj_t)BgL_tz00_5), BgL_arg1099z00_46); } 
((((BgL_z52schedulerz52_bglt)COBJECT(BgL_i1063z00_45))->BgL_threadszd2yieldzd2)=((obj_t)BgL_auxz00_342),BUNSPEC); } 
((((BgL_z52schedulerz52_bglt)COBJECT(BgL_i1063z00_45))->BgL_z52threadszd2readyz80)=((bool_t)((bool_t)1)),BUNSPEC); 
BGL_TAIL return 
BGl_z52threadzd2cooperatez80zz__ft_z52threadz52(BgL_tz00_5);} } 

}



/* &%thread-yield! */
obj_t BGl_z62z52threadzd2yieldz12zf0zz__ft_z52threadz52(obj_t BgL_envz00_162, obj_t BgL_tz00_163)
{
{ /* Llib/_thread.scm 71 */
{ /* Llib/_thread.scm 72 */
 BgL_fthreadz00_bglt BgL_auxz00_349;
if(
BGl_isazf3zf3zz__objectz00(BgL_tz00_163, BGl_fthreadz00zz__ft_typesz00))
{ /* Llib/_thread.scm 72 */
BgL_auxz00_349 = 
((BgL_fthreadz00_bglt)BgL_tz00_163)
; }  else 
{ 
 obj_t BgL_auxz00_353;
BgL_auxz00_353 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1167z00zz__ft_z52threadz52, 
BINT(3208L), BGl_string1171z00zz__ft_z52threadz52, BGl_string1169z00zz__ft_z52threadz52, BgL_tz00_163); 
FAILURE(BgL_auxz00_353,BFALSE,BFALSE);} 
return 
BGl_z52threadzd2yieldz12z92zz__ft_z52threadz52(BgL_auxz00_349);} } 

}



/* %thread-timeout! */
BGL_EXPORTED_DEF obj_t BGl_z52threadzd2timeoutz12z92zz__ft_z52threadz52(BgL_fthreadz00_bglt BgL_tz00_6, int BgL_tmtz00_7)
{
{ /* Llib/_thread.scm 81 */
((((BgL_fthreadz00_bglt)COBJECT(BgL_tz00_6))->BgL_z52timeoutz52)=((int)BgL_tmtz00_7),BUNSPEC); 
{ /* Llib/_thread.scm 84 */
 BgL_z52schedulerz52_bglt BgL_i1065z00_48;
BgL_i1065z00_48 = 
((BgL_z52schedulerz52_bglt)
(((BgL_fthreadz00_bglt)COBJECT(BgL_tz00_6))->BgL_schedulerz00)); 
{ 
 obj_t BgL_auxz00_361;
{ /* Llib/_thread.scm 85 */
 obj_t BgL_arg1100z00_49;
BgL_arg1100z00_49 = 
(((BgL_z52schedulerz52_bglt)COBJECT(BgL_i1065z00_48))->BgL_threadszd2timeoutzd2); 
BgL_auxz00_361 = 
MAKE_YOUNG_PAIR(
((obj_t)BgL_tz00_6), BgL_arg1100z00_49); } 
((((BgL_z52schedulerz52_bglt)COBJECT(BgL_i1065z00_48))->BgL_threadszd2timeoutzd2)=((obj_t)BgL_auxz00_361),BUNSPEC); } 
((((BgL_z52schedulerz52_bglt)COBJECT(BgL_i1065z00_48))->BgL_z52threadszd2readyz80)=((bool_t)((bool_t)1)),BUNSPEC); 
return 
BGl_z52threadzd2cooperatez80zz__ft_z52threadz52(BgL_tz00_6);} } 

}



/* &%thread-timeout! */
obj_t BGl_z62z52threadzd2timeoutz12zf0zz__ft_z52threadz52(obj_t BgL_envz00_164, obj_t BgL_tz00_165, obj_t BgL_tmtz00_166)
{
{ /* Llib/_thread.scm 81 */
{ /* Llib/_thread.scm 82 */
 int BgL_auxz00_376; BgL_fthreadz00_bglt BgL_auxz00_368;
{ /* Llib/_thread.scm 82 */
 obj_t BgL_tmpz00_377;
if(
INTEGERP(BgL_tmtz00_166))
{ /* Llib/_thread.scm 82 */
BgL_tmpz00_377 = BgL_tmtz00_166
; }  else 
{ 
 obj_t BgL_auxz00_380;
BgL_auxz00_380 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1167z00zz__ft_z52threadz52, 
BINT(3689L), BGl_string1172z00zz__ft_z52threadz52, BGl_string1173z00zz__ft_z52threadz52, BgL_tmtz00_166); 
FAILURE(BgL_auxz00_380,BFALSE,BFALSE);} 
BgL_auxz00_376 = 
CINT(BgL_tmpz00_377); } 
if(
BGl_isazf3zf3zz__objectz00(BgL_tz00_165, BGl_fthreadz00zz__ft_typesz00))
{ /* Llib/_thread.scm 82 */
BgL_auxz00_368 = 
((BgL_fthreadz00_bglt)BgL_tz00_165)
; }  else 
{ 
 obj_t BgL_auxz00_372;
BgL_auxz00_372 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1167z00zz__ft_z52threadz52, 
BINT(3689L), BGl_string1172z00zz__ft_z52threadz52, BGl_string1169z00zz__ft_z52threadz52, BgL_tz00_165); 
FAILURE(BgL_auxz00_372,BFALSE,BFALSE);} 
return 
BGl_z52threadzd2timeoutz12z92zz__ft_z52threadz52(BgL_auxz00_368, BgL_auxz00_376);} } 

}



/* %thread-kill! */
BGL_EXPORTED_DEF obj_t BGl_z52threadzd2killz12z92zz__ft_z52threadz52(BgL_fthreadz00_bglt BgL_tz00_8)
{
{ /* Llib/_thread.scm 92 */
{ /* Llib/_thread.scm 96 */
 obj_t BgL_list1101z00_51;
BgL_list1101z00_51 = 
MAKE_YOUNG_PAIR(BTRUE, BNIL); 
BGl_z52threadzd2iszd2deadz52zz__ft_z52threadz52(BgL_tz00_8, BgL_list1101z00_51); } 
{ /* Llib/_thread.scm 97 */
 BgL_z52schedulerz52_bglt BgL_i1067z00_52;
BgL_i1067z00_52 = 
((BgL_z52schedulerz52_bglt)
(((BgL_fthreadz00_bglt)COBJECT(BgL_tz00_8))->BgL_schedulerz00)); 
((((BgL_z52schedulerz52_bglt)COBJECT(BgL_i1067z00_52))->BgL_z52livezd2threadzd2numberz52)=((int)
(int)(
(
(long)(
(((BgL_z52schedulerz52_bglt)COBJECT(BgL_i1067z00_52))->BgL_z52livezd2threadzd2numberz52))-1L))),BUNSPEC); 
{ 
 obj_t BgL_auxz00_395;
{ /* Llib/_thread.scm 101 */
 obj_t BgL_arg1106z00_54;
BgL_arg1106z00_54 = 
(((BgL_z52schedulerz52_bglt)COBJECT(BgL_i1067z00_52))->BgL_threadszd2runnablezd2); 
BgL_auxz00_395 = 
bgl_remq_bang(
((obj_t)BgL_tz00_8), BgL_arg1106z00_54); } 
((((BgL_z52schedulerz52_bglt)COBJECT(BgL_i1067z00_52))->BgL_threadszd2runnablezd2)=((obj_t)BgL_auxz00_395),BUNSPEC); } 
if(
NULLP(
(((BgL_z52schedulerz52_bglt)COBJECT(BgL_i1067z00_52))->BgL_threadszd2runnablezd2)))
{ /* Llib/_thread.scm 102 */
((((BgL_z52schedulerz52_bglt)COBJECT(BgL_i1067z00_52))->BgL_threadszd2runnablezd2lastzd2pairzd2)=((obj_t)BNIL),BUNSPEC); }  else 
{ /* Llib/_thread.scm 102 */
((((BgL_z52schedulerz52_bglt)COBJECT(BgL_i1067z00_52))->BgL_threadszd2runnablezd2lastzd2pairzd2)=((obj_t)
BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(
(((BgL_z52schedulerz52_bglt)COBJECT(BgL_i1067z00_52))->BgL_threadszd2runnablezd2))),BUNSPEC); } 
{ /* Llib/_thread.scm 122 */
 obj_t BgL_g1084z00_102;
BgL_g1084z00_102 = 
(((BgL_fthreadz00_bglt)COBJECT(BgL_tz00_8))->BgL_z52signalsz52); 
{ 
 obj_t BgL_l1078z00_104;
BgL_l1078z00_104 = BgL_g1084z00_102; 
BgL_zc3z04anonymousza31117ze3z87_103:
if(
PAIRP(BgL_l1078z00_104))
{ /* Llib/_thread.scm 122 */
{ /* Llib/_thread.scm 122 */
 obj_t BgL_sz00_106;
BgL_sz00_106 = 
CAR(BgL_l1078z00_104); 
BGl_signalzd2unbindzd2threadz12z12zz__ft_signalz00(BgL_sz00_106, 
((BgL_threadz00_bglt)BgL_tz00_8)); } 
{ 
 obj_t BgL_l1078z00_413;
BgL_l1078z00_413 = 
CDR(BgL_l1078z00_104); 
BgL_l1078z00_104 = BgL_l1078z00_413; 
goto BgL_zc3z04anonymousza31117ze3z87_103;} }  else 
{ /* Llib/_thread.scm 122 */((bool_t)1); } } } 
{ /* Llib/_thread.scm 106 */
 obj_t BgL_arg1116z00_59;
BgL_arg1116z00_59 = 
(((BgL_fthreadz00_bglt)COBJECT(BgL_tz00_8))->BgL_schedulerz00); 
BGl_z52schedulerzd2switchzd2tozd2nextzd2threadz52zz__ft_z52schedulerz52(BgL_tz00_8, 
((BgL_schedulerz00_bglt)BgL_arg1116z00_59)); } 
return BUNSPEC;} } 

}



/* &%thread-kill! */
obj_t BGl_z62z52threadzd2killz12zf0zz__ft_z52threadz52(obj_t BgL_envz00_167, obj_t BgL_tz00_168)
{
{ /* Llib/_thread.scm 92 */
{ /* Llib/_thread.scm 93 */
 BgL_fthreadz00_bglt BgL_auxz00_418;
if(
BGl_isazf3zf3zz__objectz00(BgL_tz00_168, BGl_fthreadz00zz__ft_typesz00))
{ /* Llib/_thread.scm 93 */
BgL_auxz00_418 = 
((BgL_fthreadz00_bglt)BgL_tz00_168)
; }  else 
{ 
 obj_t BgL_auxz00_422;
BgL_auxz00_422 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1167z00zz__ft_z52threadz52, 
BINT(4201L), BGl_string1174z00zz__ft_z52threadz52, BGl_string1169z00zz__ft_z52threadz52, BgL_tz00_168); 
FAILURE(BgL_auxz00_422,BFALSE,BFALSE);} 
return 
BGl_z52threadzd2killz12z92zz__ft_z52threadz52(BgL_auxz00_418);} } 

}



/* %thread-unregister-signals! */
BGL_EXPORTED_DEF obj_t BGl_z52threadzd2unregisterzd2signalsz12z40zz__ft_z52threadz52(BgL_fthreadz00_bglt BgL_tz00_10)
{
{ /* Llib/_thread.scm 120 */
{ /* Llib/_thread.scm 122 */
 obj_t BgL_g1084z00_248;
BgL_g1084z00_248 = 
(((BgL_fthreadz00_bglt)COBJECT(BgL_tz00_10))->BgL_z52signalsz52); 
{ 
 obj_t BgL_l1078z00_250;
{ /* Llib/_thread.scm 122 */
 bool_t BgL_tmpz00_428;
BgL_l1078z00_250 = BgL_g1084z00_248; 
BgL_zc3z04anonymousza31117ze3z87_249:
if(
PAIRP(BgL_l1078z00_250))
{ /* Llib/_thread.scm 122 */
{ /* Llib/_thread.scm 122 */
 obj_t BgL_sz00_251;
BgL_sz00_251 = 
CAR(BgL_l1078z00_250); 
BGl_signalzd2unbindzd2threadz12z12zz__ft_signalz00(BgL_sz00_251, 
((BgL_threadz00_bglt)BgL_tz00_10)); } 
{ 
 obj_t BgL_l1078z00_434;
BgL_l1078z00_434 = 
CDR(BgL_l1078z00_250); 
BgL_l1078z00_250 = BgL_l1078z00_434; 
goto BgL_zc3z04anonymousza31117ze3z87_249;} }  else 
{ /* Llib/_thread.scm 122 */
BgL_tmpz00_428 = ((bool_t)1)
; } 
return 
BBOOL(BgL_tmpz00_428);} } } } 

}



/* &%thread-unregister-signals! */
obj_t BGl_z62z52threadzd2unregisterzd2signalsz12z22zz__ft_z52threadz52(obj_t BgL_envz00_169, obj_t BgL_tz00_170)
{
{ /* Llib/_thread.scm 120 */
{ /* Llib/_thread.scm 121 */
 BgL_fthreadz00_bglt BgL_auxz00_437;
if(
BGl_isazf3zf3zz__objectz00(BgL_tz00_170, BGl_fthreadz00zz__ft_typesz00))
{ /* Llib/_thread.scm 121 */
BgL_auxz00_437 = 
((BgL_fthreadz00_bglt)BgL_tz00_170)
; }  else 
{ 
 obj_t BgL_auxz00_441;
BgL_auxz00_441 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1167z00zz__ft_z52threadz52, 
BINT(5556L), BGl_string1175z00zz__ft_z52threadz52, BGl_string1169z00zz__ft_z52threadz52, BgL_tz00_170); 
FAILURE(BgL_auxz00_441,BFALSE,BFALSE);} 
return 
BGl_z52threadzd2unregisterzd2signalsz12z40zz__ft_z52threadz52(BgL_auxz00_437);} } 

}



/* %thread-attached? */
BGL_EXPORTED_DEF bool_t BGl_z52threadzd2attachedzf3z73zz__ft_z52threadz52(BgL_fthreadz00_bglt BgL_tz00_11)
{
{ /* Llib/_thread.scm 127 */
{ /* Llib/_thread.scm 129 */
 obj_t BgL_arg1120z00_120;
BgL_arg1120z00_120 = 
(((BgL_fthreadz00_bglt)COBJECT(BgL_tz00_11))->BgL_schedulerz00); 
{ /* Llib/_thread.scm 129 */
 obj_t BgL_classz00_121;
BgL_classz00_121 = BGl_schedulerz00zz__ft_typesz00; 
if(
BGL_OBJECTP(BgL_arg1120z00_120))
{ /* Llib/_thread.scm 129 */
 BgL_objectz00_bglt BgL_arg1827z00_123;
BgL_arg1827z00_123 = 
(BgL_objectz00_bglt)(BgL_arg1120z00_120); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/_thread.scm 129 */
 long BgL_idxz00_129;
BgL_idxz00_129 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1827z00_123); 
return 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_129+3L))==BgL_classz00_121);}  else 
{ /* Llib/_thread.scm 129 */
 bool_t BgL_res1140z00_154;
{ /* Llib/_thread.scm 129 */
 obj_t BgL_oclassz00_137;
{ /* Llib/_thread.scm 129 */
 obj_t BgL_arg1834z00_145; long BgL_arg1835z00_146;
BgL_arg1834z00_145 = 
(BGl_za2classesza2z00zz__objectz00); 
{ /* Llib/_thread.scm 129 */
 long BgL_arg1836z00_147;
BgL_arg1836z00_147 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1827z00_123); 
BgL_arg1835z00_146 = 
(BgL_arg1836z00_147-OBJECT_TYPE); } 
BgL_oclassz00_137 = 
VECTOR_REF(BgL_arg1834z00_145,BgL_arg1835z00_146); } 
{ /* Llib/_thread.scm 129 */
 bool_t BgL__ortest_1114z00_138;
BgL__ortest_1114z00_138 = 
(BgL_classz00_121==BgL_oclassz00_137); 
if(BgL__ortest_1114z00_138)
{ /* Llib/_thread.scm 129 */
BgL_res1140z00_154 = BgL__ortest_1114z00_138; }  else 
{ /* Llib/_thread.scm 129 */
 long BgL_odepthz00_139;
{ /* Llib/_thread.scm 129 */
 obj_t BgL_arg1824z00_140;
BgL_arg1824z00_140 = 
(BgL_oclassz00_137); 
BgL_odepthz00_139 = 
BGL_CLASS_DEPTH(BgL_arg1824z00_140); } 
if(
(3L<BgL_odepthz00_139))
{ /* Llib/_thread.scm 129 */
 obj_t BgL_arg1822z00_142;
{ /* Llib/_thread.scm 129 */
 obj_t BgL_arg1823z00_143;
BgL_arg1823z00_143 = 
(BgL_oclassz00_137); 
BgL_arg1822z00_142 = 
BGL_CLASS_ANCESTORS_REF(BgL_arg1823z00_143, 3L); } 
BgL_res1140z00_154 = 
(BgL_arg1822z00_142==BgL_classz00_121); }  else 
{ /* Llib/_thread.scm 129 */
BgL_res1140z00_154 = ((bool_t)0); } } } } 
return BgL_res1140z00_154;} }  else 
{ /* Llib/_thread.scm 129 */
return ((bool_t)0);} } } } 

}



/* &%thread-attached? */
obj_t BGl_z62z52threadzd2attachedzf3z11zz__ft_z52threadz52(obj_t BgL_envz00_171, obj_t BgL_tz00_172)
{
{ /* Llib/_thread.scm 127 */
{ /* Llib/_thread.scm 128 */
 bool_t BgL_tmpz00_469;
{ /* Llib/_thread.scm 128 */
 BgL_fthreadz00_bglt BgL_auxz00_470;
if(
BGl_isazf3zf3zz__objectz00(BgL_tz00_172, BGl_fthreadz00zz__ft_typesz00))
{ /* Llib/_thread.scm 128 */
BgL_auxz00_470 = 
((BgL_fthreadz00_bglt)BgL_tz00_172)
; }  else 
{ 
 obj_t BgL_auxz00_474;
BgL_auxz00_474 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1167z00zz__ft_z52threadz52, 
BINT(5925L), BGl_string1176z00zz__ft_z52threadz52, BGl_string1169z00zz__ft_z52threadz52, BgL_tz00_172); 
FAILURE(BgL_auxz00_474,BFALSE,BFALSE);} 
BgL_tmpz00_469 = 
BGl_z52threadzd2attachedzf3z73zz__ft_z52threadz52(BgL_auxz00_470); } 
return 
BBOOL(BgL_tmpz00_469);} } 

}



/* %thread-is-dead */
BGL_EXPORTED_DEF bool_t BGl_z52threadzd2iszd2deadz52zz__ft_z52threadz52(BgL_fthreadz00_bglt BgL_tz00_12, obj_t BgL_vz00_13)
{
{ /* Llib/_thread.scm 134 */
{ /* Llib/_thread.scm 136 */
 bool_t BgL_test1236z00_480;
if(
PAIRP(BgL_vz00_13))
{ /* Llib/_thread.scm 136 */
BgL_test1236z00_480 = 
CBOOL(
CAR(BgL_vz00_13))
; }  else 
{ /* Llib/_thread.scm 136 */
BgL_test1236z00_480 = ((bool_t)0)
; } 
if(BgL_test1236z00_480)
{ /* Llib/_thread.scm 137 */
 obj_t BgL_xz00_216;
BgL_xz00_216 = 
((((BgL_fthreadz00_bglt)COBJECT(BgL_tz00_12))->BgL_z52statez52)=((obj_t)
((obj_t)
CNST_TABLE_REF(0))),BUNSPEC); 
return ((bool_t)1);}  else 
{ /* Llib/_thread.scm 136 */
return 
(
(((BgL_fthreadz00_bglt)COBJECT(BgL_tz00_12))->BgL_z52statez52)==
((obj_t)
CNST_TABLE_REF(0)));} } } 

}



/* &%thread-is-dead */
obj_t BGl_z62z52threadzd2iszd2deadz30zz__ft_z52threadz52(obj_t BgL_envz00_173, obj_t BgL_tz00_174, obj_t BgL_vz00_175)
{
{ /* Llib/_thread.scm 134 */
{ /* Llib/_thread.scm 135 */
 bool_t BgL_tmpz00_492;
{ /* Llib/_thread.scm 135 */
 BgL_fthreadz00_bglt BgL_auxz00_493;
if(
BGl_isazf3zf3zz__objectz00(BgL_tz00_174, BGl_fthreadz00zz__ft_typesz00))
{ /* Llib/_thread.scm 135 */
BgL_auxz00_493 = 
((BgL_fthreadz00_bglt)BgL_tz00_174)
; }  else 
{ 
 obj_t BgL_auxz00_497;
BgL_auxz00_497 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1167z00zz__ft_z52threadz52, 
BINT(6265L), BGl_string1177z00zz__ft_z52threadz52, BGl_string1169z00zz__ft_z52threadz52, BgL_tz00_174); 
FAILURE(BgL_auxz00_497,BFALSE,BFALSE);} 
BgL_tmpz00_492 = 
BGl_z52threadzd2iszd2deadz52zz__ft_z52threadz52(BgL_auxz00_493, BgL_vz00_175); } 
return 
BBOOL(BgL_tmpz00_492);} } 

}



/* %thread-is-toterminate */
BGL_EXPORTED_DEF bool_t BGl_z52threadzd2iszd2toterminatez52zz__ft_z52threadz52(BgL_fthreadz00_bglt BgL_tz00_14, obj_t BgL_vz00_15)
{
{ /* Llib/_thread.scm 143 */
{ /* Llib/_thread.scm 145 */
 bool_t BgL_test1240z00_503;
if(
PAIRP(BgL_vz00_15))
{ /* Llib/_thread.scm 145 */
BgL_test1240z00_503 = 
CBOOL(
CAR(BgL_vz00_15))
; }  else 
{ /* Llib/_thread.scm 145 */
BgL_test1240z00_503 = ((bool_t)0)
; } 
if(BgL_test1240z00_503)
{ /* Llib/_thread.scm 146 */
 obj_t BgL_xz00_221;
BgL_xz00_221 = 
((((BgL_fthreadz00_bglt)COBJECT(BgL_tz00_14))->BgL_z52statez52)=((obj_t)
((obj_t)
CNST_TABLE_REF(1))),BUNSPEC); 
return ((bool_t)1);}  else 
{ /* Llib/_thread.scm 145 */
return 
(
(((BgL_fthreadz00_bglt)COBJECT(BgL_tz00_14))->BgL_z52statez52)==
((obj_t)
CNST_TABLE_REF(1)));} } } 

}



/* &%thread-is-toterminate */
obj_t BGl_z62z52threadzd2iszd2toterminatez30zz__ft_z52threadz52(obj_t BgL_envz00_176, obj_t BgL_tz00_177, obj_t BgL_vz00_178)
{
{ /* Llib/_thread.scm 143 */
{ /* Llib/_thread.scm 144 */
 bool_t BgL_tmpz00_515;
{ /* Llib/_thread.scm 144 */
 BgL_fthreadz00_bglt BgL_auxz00_516;
if(
BGl_isazf3zf3zz__objectz00(BgL_tz00_177, BGl_fthreadz00zz__ft_typesz00))
{ /* Llib/_thread.scm 144 */
BgL_auxz00_516 = 
((BgL_fthreadz00_bglt)BgL_tz00_177)
; }  else 
{ 
 obj_t BgL_auxz00_520;
BgL_auxz00_520 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1167z00zz__ft_z52threadz52, 
BINT(6654L), BGl_string1178z00zz__ft_z52threadz52, BGl_string1169z00zz__ft_z52threadz52, BgL_tz00_177); 
FAILURE(BgL_auxz00_520,BFALSE,BFALSE);} 
BgL_tmpz00_515 = 
BGl_z52threadzd2iszd2toterminatez52zz__ft_z52threadz52(BgL_auxz00_516, BgL_vz00_178); } 
return 
BBOOL(BgL_tmpz00_515);} } 

}



/* %thread-is-terminated */
BGL_EXPORTED_DEF bool_t BGl_z52threadzd2iszd2terminatedz52zz__ft_z52threadz52(BgL_fthreadz00_bglt BgL_tz00_16, obj_t BgL_vz00_17)
{
{ /* Llib/_thread.scm 152 */
{ /* Llib/_thread.scm 154 */
 bool_t BgL_test1243z00_526;
if(
PAIRP(BgL_vz00_17))
{ /* Llib/_thread.scm 154 */
BgL_test1243z00_526 = 
CBOOL(
CAR(BgL_vz00_17))
; }  else 
{ /* Llib/_thread.scm 154 */
BgL_test1243z00_526 = ((bool_t)0)
; } 
if(BgL_test1243z00_526)
{ /* Llib/_thread.scm 155 */
 obj_t BgL_xz00_226;
BgL_xz00_226 = 
((((BgL_fthreadz00_bglt)COBJECT(BgL_tz00_16))->BgL_z52statez52)=((obj_t)
((obj_t)
CNST_TABLE_REF(2))),BUNSPEC); 
return ((bool_t)1);}  else 
{ /* Llib/_thread.scm 154 */
return 
(
(((BgL_fthreadz00_bglt)COBJECT(BgL_tz00_16))->BgL_z52statez52)==
((obj_t)
CNST_TABLE_REF(2)));} } } 

}



/* &%thread-is-terminated */
obj_t BGl_z62z52threadzd2iszd2terminatedz30zz__ft_z52threadz52(obj_t BgL_envz00_179, obj_t BgL_tz00_180, obj_t BgL_vz00_181)
{
{ /* Llib/_thread.scm 152 */
{ /* Llib/_thread.scm 153 */
 bool_t BgL_tmpz00_538;
{ /* Llib/_thread.scm 153 */
 BgL_fthreadz00_bglt BgL_auxz00_539;
if(
BGl_isazf3zf3zz__objectz00(BgL_tz00_180, BGl_fthreadz00zz__ft_typesz00))
{ /* Llib/_thread.scm 153 */
BgL_auxz00_539 = 
((BgL_fthreadz00_bglt)BgL_tz00_180)
; }  else 
{ 
 obj_t BgL_auxz00_543;
BgL_auxz00_543 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1167z00zz__ft_z52threadz52, 
BINT(7056L), BGl_string1179z00zz__ft_z52threadz52, BGl_string1169z00zz__ft_z52threadz52, BgL_tz00_180); 
FAILURE(BgL_auxz00_543,BFALSE,BFALSE);} 
BgL_tmpz00_538 = 
BGl_z52threadzd2iszd2terminatedz52zz__ft_z52threadz52(BgL_auxz00_539, BgL_vz00_181); } 
return 
BBOOL(BgL_tmpz00_538);} } 

}



/* %thread-asynchronize! */
BGL_EXPORTED_DEF obj_t BGl_z52threadzd2asynchroniza7ez12z35zz__ft_z52threadz52(BgL_fthreadz00_bglt BgL_tz00_18, obj_t BgL_idz00_19)
{
{ /* Llib/_thread.scm 161 */
{ /* Llib/_thread.scm 166 */
 BgL_z52pthreadz52_bglt BgL_i1074z00_87;
BgL_i1074z00_87 = 
((BgL_z52pthreadz52_bglt)
(((BgL_fthreadz00_bglt)COBJECT(BgL_tz00_18))->BgL_z52builtinz52)); 
((((BgL_z52pthreadz52_bglt)COBJECT(BgL_i1074z00_87))->BgL_idz00)=((obj_t)BgL_idz00_19),BUNSPEC); } 
{ /* Llib/_thread.scm 168 */
 obj_t BgL_ntz00_88;
{ /* Llib/_thread.scm 168 */
 obj_t BgL_arg1136z00_92;
BgL_arg1136z00_92 = 
(((BgL_fthreadz00_bglt)COBJECT(BgL_tz00_18))->BgL_schedulerz00); 
BgL_ntz00_88 = 
BGl_z52schedulerzd2nextzd2threadz52zz__ft_z52schedulerz52(BgL_tz00_18, 
((BgL_schedulerz00_bglt)BgL_arg1136z00_92)); } 
{ /* Llib/_thread.scm 170 */
 obj_t BgL_arg1132z00_90; obj_t BgL_arg1133z00_91;
BgL_arg1132z00_90 = 
(((BgL_fthreadz00_bglt)COBJECT(BgL_tz00_18))->BgL_z52builtinz52); 
BgL_arg1133z00_91 = 
(((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_ntz00_88)))->BgL_z52builtinz52); 
BGl_z52pthreadzd2switchz80zz__ft_z52pthreadz52(BgL_arg1132z00_90, 
((BgL_z52pthreadz52_bglt)BgL_arg1133z00_91)); } } 
return BUNSPEC;} 

}



/* &%thread-asynchronize! */
obj_t BGl_z62z52threadzd2asynchroniza7ez12z57zz__ft_z52threadz52(obj_t BgL_envz00_182, obj_t BgL_tz00_183, obj_t BgL_idz00_184)
{
{ /* Llib/_thread.scm 161 */
{ /* Llib/_thread.scm 165 */
 obj_t BgL_auxz00_568; BgL_fthreadz00_bglt BgL_auxz00_560;
if(
SYMBOLP(BgL_idz00_184))
{ /* Llib/_thread.scm 165 */
BgL_auxz00_568 = BgL_idz00_184
; }  else 
{ 
 obj_t BgL_auxz00_571;
BgL_auxz00_571 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1167z00zz__ft_z52threadz52, 
BINT(7578L), BGl_string1180z00zz__ft_z52threadz52, BGl_string1181z00zz__ft_z52threadz52, BgL_idz00_184); 
FAILURE(BgL_auxz00_571,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_tz00_183, BGl_fthreadz00zz__ft_typesz00))
{ /* Llib/_thread.scm 165 */
BgL_auxz00_560 = 
((BgL_fthreadz00_bglt)BgL_tz00_183)
; }  else 
{ 
 obj_t BgL_auxz00_564;
BgL_auxz00_564 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1167z00zz__ft_z52threadz52, 
BINT(7578L), BGl_string1180z00zz__ft_z52threadz52, BGl_string1169z00zz__ft_z52threadz52, BgL_tz00_183); 
FAILURE(BgL_auxz00_564,BFALSE,BFALSE);} 
return 
BGl_z52threadzd2asynchroniza7ez12z35zz__ft_z52threadz52(BgL_auxz00_560, BgL_auxz00_568);} } 

}



/* %thread-synchronize! */
BGL_EXPORTED_DEF obj_t BGl_z52threadzd2synchroniza7ez12z35zz__ft_z52threadz52(obj_t BgL_tz00_20)
{
{ /* Llib/_thread.scm 176 */
{ /* Llib/_thread.scm 182 */
 obj_t BgL_arg1137z00_94;
BgL_arg1137z00_94 = 
(((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_tz00_20)))->BgL_schedulerz00); 
BGl_z52schedulerzd2addzd2asynczd2runnablez12z92zz__ft_z52schedulerz52(
((BgL_z52schedulerz52_bglt)BgL_arg1137z00_94), 
((BgL_fthreadz00_bglt)BgL_tz00_20)); } 
{ /* Llib/_thread.scm 184 */
 obj_t BgL_arg1138z00_95;
BgL_arg1138z00_95 = 
(((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_tz00_20)))->BgL_z52builtinz52); 
BGl_z52pthreadzd2waitz80zz__ft_z52pthreadz52(
((BgL_z52pthreadz52_bglt)BgL_arg1138z00_95)); } 
{ /* Llib/_thread.scm 185 */
 BgL_z52pthreadz52_bglt BgL_i1077z00_96;
BgL_i1077z00_96 = 
((BgL_z52pthreadz52_bglt)
(((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_tz00_20)))->BgL_z52builtinz52)); 
return 
((((BgL_z52pthreadz52_bglt)COBJECT(BgL_i1077z00_96))->BgL_idz00)=((obj_t)
(((BgL_threadz00_bglt)COBJECT(
((BgL_threadz00_bglt)
((BgL_fthreadz00_bglt)BgL_tz00_20))))->BgL_namez00)),BUNSPEC);} } 

}



/* &%thread-synchronize! */
obj_t BGl_z62z52threadzd2synchroniza7ez12z57zz__ft_z52threadz52(obj_t BgL_envz00_185, obj_t BgL_tz00_186)
{
{ /* Llib/_thread.scm 176 */
return 
BGl_z52threadzd2synchroniza7ez12z35zz__ft_z52threadz52(BgL_tz00_186);} 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__ft_z52threadz52(void)
{
{ /* Llib/_thread.scm 15 */
return BUNSPEC;} 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__ft_z52threadz52(void)
{
{ /* Llib/_thread.scm 15 */
return BUNSPEC;} 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__ft_z52threadz52(void)
{
{ /* Llib/_thread.scm 15 */
return BUNSPEC;} 

}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__ft_z52threadz52(void)
{
{ /* Llib/_thread.scm 15 */
BGl_modulezd2initializa7ationz75zz__ft_typesz00(414892275L, 
BSTRING_TO_STRING(BGl_string1182z00zz__ft_z52threadz52)); 
BGl_modulezd2initializa7ationz75zz__ft_z52typesz52(0L, 
BSTRING_TO_STRING(BGl_string1182z00zz__ft_z52threadz52)); 
BGl_modulezd2initializa7ationz75zz__ft_signalz00(295111899L, 
BSTRING_TO_STRING(BGl_string1182z00zz__ft_z52threadz52)); 
BGl_modulezd2initializa7ationz75zz__ft_schedulerz00(427827911L, 
BSTRING_TO_STRING(BGl_string1182z00zz__ft_z52threadz52)); 
BGl_modulezd2initializa7ationz75zz__ft_z52schedulerz52(398966270L, 
BSTRING_TO_STRING(BGl_string1182z00zz__ft_z52threadz52)); 
return 
BGl_modulezd2initializa7ationz75zz__ft_z52pthreadz52(486293435L, 
BSTRING_TO_STRING(BGl_string1182z00zz__ft_z52threadz52));} 

}

#ifdef __cplusplus
}
#endif
