/*===========================================================================*/
/*   (Llib/scheduler.scm)                                                    */
/*   Bigloo (4.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Jan 27 07:55:05 AM CET 2025     */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.6a-build/bigloo-4.6a/bin/bigloo -ldopt -L/builddir/build/BUILD/bigloo-4.6a-build/bigloo-4.6a/libbacktrace/usr/lib64/bigloo/4.6a  -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo-4.6a-build/bigloo-4.6a/lib/bigloo/4.6a -I Llib -lib-dir /builddir/build/BUILD/bigloo-4.6a-build/bigloo-4.6a/lib/bigloo/4.6a -unsafe -safee -copt -fPIC -copt -IPosix Llib/scheduler.scm -o objs/scheduler.o -c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C" {
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL___FT_SCHEDULER_TYPE_DEFINITIONS
#define BGL___FT_SCHEDULER_TYPE_DEFINITIONS

/* object type definitions */
typedef struct BgL_threadz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_namez00;
} *BgL_threadz00_bglt;

typedef struct BgL_fthreadz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_namez00;
   obj_t BgL_schedulerz00;
   obj_t BgL_z52builtinz52;
   int BgL_z52timeoutz52;
   obj_t BgL_z52statez52;
   bool_t BgL_z52iszd2suspendz80;
   obj_t BgL_z52terminatez52;
   obj_t BgL_z52resultz52;
   obj_t BgL_z52exczd2resultz80;
   bool_t BgL_z52exczd2raisedz80;
   int BgL_z52identz52;
   obj_t BgL_z52signalsz52;
   obj_t BgL_z52awakezd2signalz80;
   obj_t BgL_z52awakezd2valuez80;
   obj_t BgL_z52cleanupz52;
   obj_t BgL_z52specificz52;
   obj_t BgL_bodyz00;
} *BgL_fthreadz00_bglt;

typedef struct BgL_schedulerz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_namez00;
   obj_t BgL_schedulerz00;
   obj_t BgL_z52builtinz52;
   int BgL_z52timeoutz52;
   obj_t BgL_z52statez52;
   bool_t BgL_z52iszd2suspendz80;
   obj_t BgL_z52terminatez52;
   obj_t BgL_z52resultz52;
   obj_t BgL_z52exczd2resultz80;
   bool_t BgL_z52exczd2raisedz80;
   int BgL_z52identz52;
   obj_t BgL_z52signalsz52;
   obj_t BgL_z52awakezd2signalz80;
   obj_t BgL_z52awakezd2valuez80;
   obj_t BgL_z52cleanupz52;
   obj_t BgL_z52specificz52;
   obj_t BgL_bodyz00;
   obj_t BgL_envzb2zb2;
   obj_t BgL_strictzd2orderzf3z21;
} *BgL_schedulerz00_bglt;

typedef struct BgL_ftenvz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_instantz00;
} *BgL_ftenvz00_bglt;

typedef struct BgL_z52schedulerz52_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_namez00;
   obj_t BgL_schedulerz00;
   obj_t BgL_z52builtinz52;
   int BgL_z52timeoutz52;
   obj_t BgL_z52statez52;
   bool_t BgL_z52iszd2suspendz80;
   obj_t BgL_z52terminatez52;
   obj_t BgL_z52resultz52;
   obj_t BgL_z52exczd2resultz80;
   bool_t BgL_z52exczd2raisedz80;
   int BgL_z52identz52;
   obj_t BgL_z52signalsz52;
   obj_t BgL_z52awakezd2signalz80;
   obj_t BgL_z52awakezd2valuez80;
   obj_t BgL_z52cleanupz52;
   obj_t BgL_z52specificz52;
   obj_t BgL_bodyz00;
   obj_t BgL_envzb2zb2;
   obj_t BgL_strictzd2orderzf3z21;
   obj_t BgL_nextzd2instantzd2;
   obj_t BgL_currentzd2threadzd2;
   int BgL_z52livezd2threadzd2numberz52;
   bool_t BgL_z52threadszd2readyz80;
   obj_t BgL_threadszd2runnablezd2;
   obj_t BgL_threadszd2runnablezd2lastzd2pairzd2;
   obj_t BgL_asynczd2runnablezd2;
   obj_t BgL_threadszd2timeoutzd2;
   obj_t BgL_threadszd2yieldzd2;
   obj_t BgL_tostartz00;
   obj_t BgL_toterminatez00;
   obj_t BgL_tosuspendzf2resumezf2;
   obj_t BgL_tobroadcastz00;
   obj_t BgL_tospawnz00;
   obj_t BgL_currentzd2tokenzd2;
} *BgL_z52schedulerz52_bglt;

typedef struct BgL_z52pthreadz52_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_namez00;
   obj_t BgL_bodyz00;
   bool_t BgL_detachedpz00;
   obj_t BgL_endzd2resultzd2;
   obj_t BgL_endzd2exceptionzd2;
   void * BgL_z42builtinz42;
   obj_t BgL_fthreadz00;
   obj_t BgL_mutexz00;
   obj_t BgL_condvarz00;
   obj_t BgL_idz00;
   obj_t BgL_parentz00;
} *BgL_z52pthreadz52_bglt;

typedef struct BgL_z52envz52_bgl {
   header_t header;
   obj_t widening;
   long BgL_instantz00;
   obj_t BgL_z52signalsz52;
   obj_t BgL_z52lastzd2signalsz80;
} *BgL_z52envz52_bglt;


#endif // BGL___FT_SCHEDULER_TYPE_DEFINITIONS
#endif // BGL_MODULE_TYPE_DEFINITIONS

static obj_t BGl_z62currentzd2schedulerzd2setz12z70zz__ft_schedulerz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_schedulerzd2terminatez12zc0zz__ft_schedulerz00(obj_t);
static obj_t BGl_requirezd2initializa7ationz75zz__ft_schedulerz00 = BUNSPEC;
BGL_IMPORT obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62schedulerzd2startz12za2zz__ft_schedulerz00(obj_t, obj_t);
static obj_t BGl_z62schedulerzd2reactz12za2zz__ft_schedulerz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
extern bool_t BGl_z52threadzd2iszd2deadz52zz__ft_z52threadz52(BgL_fthreadz00_bglt, obj_t);
extern obj_t BGl_z52asynczd2synchroniza7ez27zz__ft_z52pthreadz52(BgL_z52pthreadz52_bglt);
static obj_t BGl_toplevelzd2initzd2zz__ft_schedulerz00(void);
static obj_t BGl_genericzd2initzd2zz__ft_schedulerz00(void);
BGL_EXPORTED_DECL obj_t BGl_broadcastz12z12zz__ft_schedulerz00(obj_t, obj_t);
static obj_t BGl_z62currentzd2schedulerzb0zz__ft_schedulerz00(obj_t);
static obj_t BGl_objectzd2initzd2zz__ft_schedulerz00(void);
BGL_IMPORT obj_t BGl_2zb2zb2zz__r4_numbers_6_5z00(obj_t, obj_t);
extern obj_t BGl_z52asynczd2asynchroniza7ez27zz__ft_z52pthreadz52(BgL_z52pthreadz52_bglt);
BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
extern obj_t BGl_z52schedulerz52zz__ft_z52typesz52;
static obj_t BGl_z62zc3z04anonymousza31232ze3ze5zz__ft_schedulerz00(obj_t, obj_t);
static obj_t BGl_z62broadcastz12z70zz__ft_schedulerz00(obj_t, obj_t, obj_t);
extern obj_t BGl_z52schedulerzd2addzd2broadcastz12z40zz__ft_z52schedulerz52(BgL_z52schedulerz52_bglt, obj_t, obj_t);
BGL_IMPORT obj_t bgl_bignum_add(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31241ze3ze5zz__ft_schedulerz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31144ze3ze5zz__ft_schedulerz00(obj_t);
static obj_t BGl_z62schedulerzd2instantzb0zz__ft_schedulerz00(obj_t, obj_t);
BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
static obj_t BGl_za2currentzd2schedulerza2zd2zz__ft_schedulerz00 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza31161ze3ze5zz__ft_schedulerz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31153ze3ze5zz__ft_schedulerz00(obj_t);
BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t, obj_t, obj_t);
static obj_t BGl_z62defaultzd2schedulerzb0zz__ft_schedulerz00(obj_t, obj_t);
static obj_t BGl_appendzd221010zd2zz__ft_schedulerz00(obj_t, obj_t);
extern obj_t BGl_fthreadz00zz__ft_typesz00;
static obj_t BGl_za2currentzd2scdlzd2paramzd2idza2zd2zz__ft_schedulerz00 = BUNSPEC;
static obj_t BGl_methodzd2initzd2zz__ft_schedulerz00(void);
static BgL_schedulerz00_bglt BGl_z62makezd2schedulerzb0zz__ft_schedulerz00(obj_t, obj_t);
extern obj_t BGl_z52asynczd2schedulerzd2waitz52zz__ft_z52pthreadz52(BgL_z52pthreadz52_bglt);
extern obj_t BGl_z52schedulerzd2waitingzd2threadsz52zz__ft_z52schedulerz52(BgL_z52schedulerz52_bglt);
BGL_IMPORT obj_t BGl_threadzd2parameterzd2setz12z12zz__threadz00(obj_t, obj_t);
static obj_t BGl_z62busyzd2waitingzd2nextzd2instantzb0zz__ft_schedulerz00(obj_t, obj_t, obj_t);
extern bool_t BGl_z52threadzd2attachedzf3z73zz__ft_z52threadz52(BgL_fthreadz00_bglt);
static obj_t BGl_z62zc3z04anonymousza31229ze3ze5zz__ft_schedulerz00(obj_t, obj_t);
extern obj_t BGl_z52schedulezd2instantz80zz__ft_z52schedulerz52(BgL_z52schedulerz52_bglt);
BGL_IMPORT obj_t bgl_long_to_bignum(long);
extern obj_t BGl_z52envz52zz__ft_z52envz52;
static obj_t BGl_z62schedulerzd2broadcastz12za2zz__ft_schedulerz00(obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62withzd2schedulerzb0zz__ft_schedulerz00(obj_t, obj_t, obj_t);
static obj_t BGl_za2defaultzd2schedulerza2zd2zz__ft_schedulerz00 = BUNSPEC;
BGL_EXPORTED_DECL obj_t BGl_schedulerzd2broadcastz12zc0zz__ft_schedulerz00(BgL_schedulerz00_bglt, obj_t, obj_t);
BGL_IMPORT obj_t BGl_classzd2constructorzd2zz__objectz00(obj_t);
BGL_EXPORTED_DECL BgL_schedulerz00_bglt BGl_makezd2schedulerzd2zz__ft_schedulerz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__ft_schedulerz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__ft_z52pthreadz52(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__ft_signalz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__ft_threadz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__ft_z52threadz52(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__ft_z52envz52(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__ft_z52schedulerz52(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__ft_z52typesz52(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__ft_typesz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__pth_threadz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bignumz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
extern obj_t BGl_z52schedulerzd2timez80zz__ft_z52schedulerz52(BgL_schedulerz00_bglt);
extern obj_t BGl_z52pthreadzd2enterzd2schedulerz52zz__ft_z52pthreadz52(BgL_z52pthreadz52_bglt);
BGL_IMPORT obj_t BGl_currentzd2threadzd2zz__threadz00(void);
BGL_IMPORT bool_t BGl_numberzf3zf3zz__r4_numbers_6_5z00(obj_t);
extern obj_t BGl_z52pthreadzd2leavezd2schedulerz52zz__ft_z52pthreadz52(BgL_z52pthreadz52_bglt);
extern obj_t BGl_schedulerz00zz__ft_typesz00;
BGL_EXPORTED_DECL obj_t BGl_withzd2schedulerzd2zz__ft_schedulerz00(BgL_schedulerz00_bglt, obj_t);
static obj_t BGl_cnstzd2initzd2zz__ft_schedulerz00(void);
static obj_t BGl_libraryzd2moduleszd2initz00zz__ft_schedulerz00(void);
BGL_EXPORTED_DECL obj_t BGl_currentzd2schedulerzd2setz12z12zz__ft_schedulerz00(obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zz__ft_schedulerz00(void);
static obj_t BGl_gczd2rootszd2initz00zz__ft_schedulerz00(void);
static obj_t BGl_z62zc3z04anonymousza31198ze3ze5zz__ft_schedulerz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(obj_t);
static obj_t BGl_z62nozd2busyzd2waitingzd2nextzd2instantz62zz__ft_schedulerz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_currentzd2schedulerzd2zz__ft_schedulerz00(void);
BGL_IMPORT obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
extern obj_t BGl_z52fschedulerzd2newz80zz__ft_z52pthreadz52(BgL_z52schedulerz52_bglt);
extern BgL_schedulerz00_bglt BGl_z52getzd2optionalzd2schedulerz52zz__ft_z52schedulerz52(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_schedulerzd2startz12zc0zz__ft_schedulerz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_schedulerzd2reactz12zc0zz__ft_schedulerz00(obj_t);
BGL_IMPORT obj_t BGl_threadzd2parameterzd2zz__threadz00(obj_t);
BGL_EXPORTED_DECL int BGl_schedulerzd2instantzd2zz__ft_schedulerz00(obj_t);
BGL_IMPORT obj_t BGl_threadzd2terminatez12zc0zz__threadz00(BgL_threadz00_bglt);
static obj_t BGl_schedulerzd2statezd2zz__ft_schedulerz00(BgL_schedulerz00_bglt);
BGL_IMPORT bool_t BGl_2ze3zd3z30zz__r4_numbers_6_5z00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_defaultzd2schedulerzd2zz__ft_schedulerz00(obj_t);
BGL_IMPORT obj_t BGl_threadz00zz__threadz00;
extern obj_t BGl_z52broadcastz12z40zz__ft_z52schedulerz52(BgL_z52schedulerz52_bglt, obj_t, obj_t);
static obj_t BGl_z62schedulerzd2terminatez12za2zz__ft_schedulerz00(obj_t, obj_t);
static obj_t BGl_schedulez00zz__ft_schedulerz00(BgL_z52schedulerz52_bglt);
static obj_t __cnst[ 12 ] ;


DEFINE_EXPORT_BGL_PROCEDURE( BGl_defaultzd2schedulerzd2envz00zz__ft_schedulerz00, BgL_bgl_za762defaultza7d2sch1483z00, va_generic_entry, BGl_z62defaultzd2schedulerzb0zz__ft_schedulerz00, BUNSPEC, -1 );
DEFINE_STRING( BGl_string1430z00zz__ft_schedulerz00, BgL_bgl_string1430za700za7za7_1484za7, "Llib/scheduler.scm", 18 );
DEFINE_STRING( BGl_string1431z00zz__ft_schedulerz00, BgL_bgl_string1431za700za7za7_1485za7, "Read-only value", 15 );
DEFINE_STRING( BGl_string1432z00zz__ft_schedulerz00, BgL_bgl_string1432za700za7za7_1486za7, "default-scheduler", 17 );
DEFINE_STRING( BGl_string1433z00zz__ft_schedulerz00, BgL_bgl_string1433za700za7za7_1487za7, "Illegal scheduler", 17 );
DEFINE_STRING( BGl_string1434z00zz__ft_schedulerz00, BgL_bgl_string1434za700za7za7_1488za7, "/builddir/build/BUILD/bigloo-4.6a-build/bigloo-4.6a/api/fthread/src/Llib/scheduler.scm", 86 );
DEFINE_STRING( BGl_string1435z00zz__ft_schedulerz00, BgL_bgl_string1435za700za7za7_1489za7, "&with-scheduler", 15 );
DEFINE_STRING( BGl_string1436z00zz__ft_schedulerz00, BgL_bgl_string1436za700za7za7_1490za7, "scheduler", 9 );
DEFINE_STRING( BGl_string1437z00zz__ft_schedulerz00, BgL_bgl_string1437za700za7za7_1491za7, "procedure", 9 );
DEFINE_STRING( BGl_string1441z00zz__ft_schedulerz00, BgL_bgl_string1441za700za7za7_1492za7, "scheduler-start!", 16 );
DEFINE_STRING( BGl_string1442z00zz__ft_schedulerz00, BgL_bgl_string1442za700za7za7_1493za7, "Illegal optional parameter", 26 );
DEFINE_STRING( BGl_string1443z00zz__ft_schedulerz00, BgL_bgl_string1443za700za7za7_1494za7, "broadcast!", 10 );
DEFINE_STRING( BGl_string1444z00zz__ft_schedulerz00, BgL_bgl_string1444za700za7za7_1495za7, "Unattached thread", 17 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1438z00zz__ft_schedulerz00, BgL_bgl_za762za7c3za704anonymo1496za7, BGl_z62zc3z04anonymousza31161ze3ze5zz__ft_schedulerz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string1445z00zz__ft_schedulerz00, BgL_bgl_string1445za700za7za7_1497za7, "&scheduler-broadcast!", 21 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1439z00zz__ft_schedulerz00, BgL_bgl_za762za7c3za704anonymo1498za7, BGl_z62zc3z04anonymousza31198ze3ze5zz__ft_schedulerz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string1446z00zz__ft_schedulerz00, BgL_bgl_string1446za700za7za7_1499za7, "scheduler-react!", 16 );
DEFINE_STRING( BGl_string1447z00zz__ft_schedulerz00, BgL_bgl_string1447za700za7za7_1500za7, "scheduler-instant", 17 );
DEFINE_STRING( BGl_string1448z00zz__ft_schedulerz00, BgL_bgl_string1448za700za7za7_1501za7, "__ft_scheduler", 14 );
DEFINE_STRING( BGl_string1449z00zz__ft_schedulerz00, BgL_bgl_string1449za700za7za7_1502za7, "#z-1 scheduler-start! scheduler-react! await dead ready done unattached scheduler fthread*default-scheduler* current-scheduler-set! %current@__ft_scheduler ", 156 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1440z00zz__ft_schedulerz00, BgL_bgl_za762za7c3za704anonymo1503za7, BGl_z62zc3z04anonymousza31229ze3ze5zz__ft_schedulerz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_schedulerzd2startz12zd2envz12zz__ft_schedulerz00, BgL_bgl_za762schedulerza7d2s1504z00, va_generic_entry, BGl_z62schedulerzd2startz12za2zz__ft_schedulerz00, BUNSPEC, -1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_schedulerzd2reactz12zd2envz12zz__ft_schedulerz00, BgL_bgl_za762schedulerza7d2r1505z00, va_generic_entry, BGl_z62schedulerzd2reactz12za2zz__ft_schedulerz00, BUNSPEC, -1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_schedulerzd2broadcastz12zd2envz12zz__ft_schedulerz00, BgL_bgl_za762schedulerza7d2b1506z00, va_generic_entry, BGl_z62schedulerzd2broadcastz12za2zz__ft_schedulerz00, BUNSPEC, -3 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_schedulerzd2instantzd2envz00zz__ft_schedulerz00, BgL_bgl_za762schedulerza7d2i1507z00, va_generic_entry, BGl_z62schedulerzd2instantzb0zz__ft_schedulerz00, BUNSPEC, -1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_withzd2schedulerzd2envz00zz__ft_schedulerz00, BgL_bgl_za762withza7d2schedu1508z00, BGl_z62withzd2schedulerzb0zz__ft_schedulerz00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_currentzd2schedulerzd2envz00zz__ft_schedulerz00, BgL_bgl_za762currentza7d2sch1509z00, BGl_z62currentzd2schedulerzb0zz__ft_schedulerz00, 0L, BUNSPEC, 0 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_broadcastz12zd2envzc0zz__ft_schedulerz00, BgL_bgl_za762broadcastza712za71510za7, va_generic_entry, BGl_z62broadcastz12z70zz__ft_schedulerz00, BUNSPEC, -2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_schedulerzd2terminatez12zd2envz12zz__ft_schedulerz00, BgL_bgl_za762schedulerza7d2t1511z00, va_generic_entry, BGl_z62schedulerzd2terminatez12za2zz__ft_schedulerz00, BUNSPEC, -1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_makezd2schedulerzd2envz00zz__ft_schedulerz00, BgL_bgl_za762makeza7d2schedu1512z00, va_generic_entry, BGl_z62makezd2schedulerzb0zz__ft_schedulerz00, BUNSPEC, -1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_currentzd2schedulerzd2setz12zd2envzc0zz__ft_schedulerz00, BgL_bgl_za762currentza7d2sch1513z00, BGl_z62currentzd2schedulerzd2setz12z70zz__ft_schedulerz00, 0L, BUNSPEC, 1 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__ft_schedulerz00) );
ADD_ROOT( (void *)(&BGl_za2currentzd2schedulerza2zd2zz__ft_schedulerz00) );
ADD_ROOT( (void *)(&BGl_za2currentzd2scdlzd2paramzd2idza2zd2zz__ft_schedulerz00) );
ADD_ROOT( (void *)(&BGl_za2defaultzd2schedulerza2zd2zz__ft_schedulerz00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__ft_schedulerz00(long BgL_checksumz00_910, char * BgL_fromz00_911)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__ft_schedulerz00))
{ 
BGl_requirezd2initializa7ationz75zz__ft_schedulerz00 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zz__ft_schedulerz00(); 
BGl_libraryzd2moduleszd2initz00zz__ft_schedulerz00(); 
BGl_cnstzd2initzd2zz__ft_schedulerz00(); 
BGl_importedzd2moduleszd2initz00zz__ft_schedulerz00(); 
return 
BGl_toplevelzd2initzd2zz__ft_schedulerz00();}  else 
{ 
return BUNSPEC;} } 

}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zz__ft_schedulerz00(void)
{
{ /* Llib/scheduler.scm 15 */
BGl_modulezd2initializa7ationz75zz__errorz00(0L, "__ft_scheduler"); 
BGl_modulezd2initializa7ationz75zz__objectz00(0L, "__ft_scheduler"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(0L, "__ft_scheduler"); 
BGl_modulezd2initializa7ationz75zz__readerz00(0L, "__ft_scheduler"); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(0L, "__ft_scheduler"); 
BGl_modulezd2initializa7ationz75zz__threadz00(0L, "__ft_scheduler"); 
BGl_modulezd2initializa7ationz75zz__pth_threadz00(0L, "__ft_scheduler"); 
BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(0L, "__ft_scheduler"); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(0L, "__ft_scheduler"); 
BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(0L, "__ft_scheduler"); 
BGl_modulezd2initializa7ationz75zz__bignumz00(0L, "__ft_scheduler"); 
BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(0L, "__ft_scheduler"); 
BGl_modulezd2initializa7ationz75zz__bexitz00(0L, "__ft_scheduler"); 
BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(0L, "__ft_scheduler"); 
BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(0L, "__ft_scheduler"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(0L, "__ft_scheduler"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(0L, "__ft_scheduler"); 
return BUNSPEC;} 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__ft_schedulerz00(void)
{
{ /* Llib/scheduler.scm 15 */
{ /* Llib/scheduler.scm 15 */
 obj_t BgL_cportz00_887;
{ /* Llib/scheduler.scm 15 */
 obj_t BgL_stringz00_894;
BgL_stringz00_894 = BGl_string1449z00zz__ft_schedulerz00; 
{ /* Llib/scheduler.scm 15 */
 obj_t BgL_startz00_895;
BgL_startz00_895 = 
BINT(0L); 
{ /* Llib/scheduler.scm 15 */
 obj_t BgL_endz00_896;
BgL_endz00_896 = 
BINT(
STRING_LENGTH(
((obj_t)BgL_stringz00_894))); 
{ /* Llib/scheduler.scm 15 */

BgL_cportz00_887 = 
BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(BgL_stringz00_894, BgL_startz00_895, BgL_endz00_896); } } } } 
{ 
 long BgL_iz00_888;
BgL_iz00_888 = 11L; 
BgL_loopz00_889:
if(
(BgL_iz00_888==(-1L)))
{ /* Llib/scheduler.scm 15 */
return BUNSPEC;}  else 
{ /* Llib/scheduler.scm 15 */
{ /* Llib/scheduler.scm 15 */
 obj_t BgL_arg1482z00_890;
{ /* Llib/scheduler.scm 15 */

{ /* Llib/scheduler.scm 15 */
 obj_t BgL_locationz00_892;
BgL_locationz00_892 = 
BBOOL(((bool_t)0)); 
{ /* Llib/scheduler.scm 15 */

BgL_arg1482z00_890 = 
BGl_readz00zz__readerz00(BgL_cportz00_887, BgL_locationz00_892); } } } 
{ /* Llib/scheduler.scm 15 */
 int BgL_tmpz00_946;
BgL_tmpz00_946 = 
(int)(BgL_iz00_888); 
CNST_TABLE_SET(BgL_tmpz00_946, BgL_arg1482z00_890); } } 
{ /* Llib/scheduler.scm 15 */
 int BgL_auxz00_893;
BgL_auxz00_893 = 
(int)(
(BgL_iz00_888-1L)); 
{ 
 long BgL_iz00_951;
BgL_iz00_951 = 
(long)(BgL_auxz00_893); 
BgL_iz00_888 = BgL_iz00_951; 
goto BgL_loopz00_889;} } } } } } 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__ft_schedulerz00(void)
{
{ /* Llib/scheduler.scm 15 */
return 
bgl_gc_roots_register();} 

}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__ft_schedulerz00(void)
{
{ /* Llib/scheduler.scm 15 */
BGl_modulezd2initializa7ationz75zz__pth_threadz00(0L, 
BSTRING_TO_STRING(BGl_string1430z00zz__ft_schedulerz00)); 
BGl_za2currentzd2schedulerza2zd2zz__ft_schedulerz00 = BFALSE; 
BGl_za2defaultzd2schedulerza2zd2zz__ft_schedulerz00 = BFALSE; 
return ( 
BGl_za2currentzd2scdlzd2paramzd2idza2zd2zz__ft_schedulerz00 = 
((obj_t)
CNST_TABLE_REF(0)), BUNSPEC) ;} 

}



/* append-21010 */
obj_t BGl_appendzd221010zd2zz__ft_schedulerz00(obj_t BgL_l1z00_1, obj_t BgL_l2z00_2)
{
{ 
if(
NULLP(BgL_l1z00_1))
{ 
return BgL_l2z00_2;}  else 
{ 
 obj_t BgL_headz00_21;
BgL_headz00_21 = 
MAKE_YOUNG_PAIR(BNIL, BgL_l2z00_2); 
{ 
 obj_t BgL_prevz00_22; obj_t BgL_tailz00_23;
BgL_prevz00_22 = BgL_headz00_21; 
BgL_tailz00_23 = BgL_l1z00_1; 
BgL_loopz00_24:
if(
PAIRP(BgL_tailz00_23))
{ 
 obj_t BgL_newzd2prevzd2_26;
BgL_newzd2prevzd2_26 = 
MAKE_YOUNG_PAIR(
CAR(BgL_tailz00_23), BgL_l2z00_2); 
SET_CDR(BgL_prevz00_22, BgL_newzd2prevzd2_26); 
{ 
 obj_t BgL_tailz00_967; obj_t BgL_prevz00_966;
BgL_prevz00_966 = BgL_newzd2prevzd2_26; 
BgL_tailz00_967 = 
CDR(BgL_tailz00_23); 
BgL_tailz00_23 = BgL_tailz00_967; 
BgL_prevz00_22 = BgL_prevz00_966; 
goto BgL_loopz00_24;} }  else 
{ BNIL; } 
return 
CDR(BgL_headz00_21);} } } 

}



/* current-scheduler */
BGL_EXPORTED_DEF obj_t BGl_currentzd2schedulerzd2zz__ft_schedulerz00(void)
{
{ /* Llib/scheduler.scm 53 */
{ /* Llib/scheduler.scm 54 */
 obj_t BgL_thz00_29;
BgL_thz00_29 = 
BGl_currentzd2threadzd2zz__threadz00(); 
{ /* Llib/scheduler.scm 56 */
 bool_t BgL_test1518z00_971;
{ /* Llib/scheduler.scm 56 */
 obj_t BgL_classz00_284;
BgL_classz00_284 = BGl_schedulerz00zz__ft_typesz00; 
if(
BGL_OBJECTP(BgL_thz00_29))
{ /* Llib/scheduler.scm 56 */
 BgL_objectz00_bglt BgL_arg1827z00_286;
BgL_arg1827z00_286 = 
(BgL_objectz00_bglt)(BgL_thz00_29); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/scheduler.scm 56 */
 long BgL_idxz00_292;
BgL_idxz00_292 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1827z00_286); 
BgL_test1518z00_971 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_292+3L))==BgL_classz00_284); }  else 
{ /* Llib/scheduler.scm 56 */
 bool_t BgL_res1410z00_317;
{ /* Llib/scheduler.scm 56 */
 obj_t BgL_oclassz00_300;
{ /* Llib/scheduler.scm 56 */
 obj_t BgL_arg1834z00_308; long BgL_arg1835z00_309;
BgL_arg1834z00_308 = 
(BGl_za2classesza2z00zz__objectz00); 
{ /* Llib/scheduler.scm 56 */
 long BgL_arg1836z00_310;
BgL_arg1836z00_310 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1827z00_286); 
BgL_arg1835z00_309 = 
(BgL_arg1836z00_310-OBJECT_TYPE); } 
BgL_oclassz00_300 = 
VECTOR_REF(BgL_arg1834z00_308,BgL_arg1835z00_309); } 
{ /* Llib/scheduler.scm 56 */
 bool_t BgL__ortest_1114z00_301;
BgL__ortest_1114z00_301 = 
(BgL_classz00_284==BgL_oclassz00_300); 
if(BgL__ortest_1114z00_301)
{ /* Llib/scheduler.scm 56 */
BgL_res1410z00_317 = BgL__ortest_1114z00_301; }  else 
{ /* Llib/scheduler.scm 56 */
 long BgL_odepthz00_302;
{ /* Llib/scheduler.scm 56 */
 obj_t BgL_arg1824z00_303;
BgL_arg1824z00_303 = 
(BgL_oclassz00_300); 
BgL_odepthz00_302 = 
BGL_CLASS_DEPTH(BgL_arg1824z00_303); } 
if(
(3L<BgL_odepthz00_302))
{ /* Llib/scheduler.scm 56 */
 obj_t BgL_arg1822z00_305;
{ /* Llib/scheduler.scm 56 */
 obj_t BgL_arg1823z00_306;
BgL_arg1823z00_306 = 
(BgL_oclassz00_300); 
BgL_arg1822z00_305 = 
BGL_CLASS_ANCESTORS_REF(BgL_arg1823z00_306, 3L); } 
BgL_res1410z00_317 = 
(BgL_arg1822z00_305==BgL_classz00_284); }  else 
{ /* Llib/scheduler.scm 56 */
BgL_res1410z00_317 = ((bool_t)0); } } } } 
BgL_test1518z00_971 = BgL_res1410z00_317; } }  else 
{ /* Llib/scheduler.scm 56 */
BgL_test1518z00_971 = ((bool_t)0)
; } } 
if(BgL_test1518z00_971)
{ /* Llib/scheduler.scm 56 */
return BgL_thz00_29;}  else 
{ /* Llib/scheduler.scm 58 */
 bool_t BgL_test1523z00_994;
{ /* Llib/scheduler.scm 58 */
 obj_t BgL_classz00_318;
BgL_classz00_318 = BGl_fthreadz00zz__ft_typesz00; 
if(
BGL_OBJECTP(BgL_thz00_29))
{ /* Llib/scheduler.scm 58 */
 BgL_objectz00_bglt BgL_arg1827z00_320;
BgL_arg1827z00_320 = 
(BgL_objectz00_bglt)(BgL_thz00_29); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/scheduler.scm 58 */
 long BgL_idxz00_326;
BgL_idxz00_326 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1827z00_320); 
BgL_test1523z00_994 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_326+2L))==BgL_classz00_318); }  else 
{ /* Llib/scheduler.scm 58 */
 bool_t BgL_res1411z00_351;
{ /* Llib/scheduler.scm 58 */
 obj_t BgL_oclassz00_334;
{ /* Llib/scheduler.scm 58 */
 obj_t BgL_arg1834z00_342; long BgL_arg1835z00_343;
BgL_arg1834z00_342 = 
(BGl_za2classesza2z00zz__objectz00); 
{ /* Llib/scheduler.scm 58 */
 long BgL_arg1836z00_344;
BgL_arg1836z00_344 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1827z00_320); 
BgL_arg1835z00_343 = 
(BgL_arg1836z00_344-OBJECT_TYPE); } 
BgL_oclassz00_334 = 
VECTOR_REF(BgL_arg1834z00_342,BgL_arg1835z00_343); } 
{ /* Llib/scheduler.scm 58 */
 bool_t BgL__ortest_1114z00_335;
BgL__ortest_1114z00_335 = 
(BgL_classz00_318==BgL_oclassz00_334); 
if(BgL__ortest_1114z00_335)
{ /* Llib/scheduler.scm 58 */
BgL_res1411z00_351 = BgL__ortest_1114z00_335; }  else 
{ /* Llib/scheduler.scm 58 */
 long BgL_odepthz00_336;
{ /* Llib/scheduler.scm 58 */
 obj_t BgL_arg1824z00_337;
BgL_arg1824z00_337 = 
(BgL_oclassz00_334); 
BgL_odepthz00_336 = 
BGL_CLASS_DEPTH(BgL_arg1824z00_337); } 
if(
(2L<BgL_odepthz00_336))
{ /* Llib/scheduler.scm 58 */
 obj_t BgL_arg1822z00_339;
{ /* Llib/scheduler.scm 58 */
 obj_t BgL_arg1823z00_340;
BgL_arg1823z00_340 = 
(BgL_oclassz00_334); 
BgL_arg1822z00_339 = 
BGL_CLASS_ANCESTORS_REF(BgL_arg1823z00_340, 2L); } 
BgL_res1411z00_351 = 
(BgL_arg1822z00_339==BgL_classz00_318); }  else 
{ /* Llib/scheduler.scm 58 */
BgL_res1411z00_351 = ((bool_t)0); } } } } 
BgL_test1523z00_994 = BgL_res1411z00_351; } }  else 
{ /* Llib/scheduler.scm 58 */
BgL_test1523z00_994 = ((bool_t)0)
; } } 
if(BgL_test1523z00_994)
{ /* Llib/scheduler.scm 58 */
return 
(((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_thz00_29)))->BgL_schedulerz00);}  else 
{ /* Llib/scheduler.scm 60 */
 bool_t BgL_test1528z00_1019;
{ /* Llib/scheduler.scm 60 */
 obj_t BgL_classz00_352;
BgL_classz00_352 = BGl_threadz00zz__threadz00; 
if(
BGL_OBJECTP(BgL_thz00_29))
{ /* Llib/scheduler.scm 60 */
 BgL_objectz00_bglt BgL_arg1827z00_354;
BgL_arg1827z00_354 = 
(BgL_objectz00_bglt)(BgL_thz00_29); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/scheduler.scm 60 */
 long BgL_idxz00_360;
BgL_idxz00_360 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1827z00_354); 
BgL_test1528z00_1019 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_360+1L))==BgL_classz00_352); }  else 
{ /* Llib/scheduler.scm 60 */
 bool_t BgL_res1412z00_385;
{ /* Llib/scheduler.scm 60 */
 obj_t BgL_oclassz00_368;
{ /* Llib/scheduler.scm 60 */
 obj_t BgL_arg1834z00_376; long BgL_arg1835z00_377;
BgL_arg1834z00_376 = 
(BGl_za2classesza2z00zz__objectz00); 
{ /* Llib/scheduler.scm 60 */
 long BgL_arg1836z00_378;
BgL_arg1836z00_378 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1827z00_354); 
BgL_arg1835z00_377 = 
(BgL_arg1836z00_378-OBJECT_TYPE); } 
BgL_oclassz00_368 = 
VECTOR_REF(BgL_arg1834z00_376,BgL_arg1835z00_377); } 
{ /* Llib/scheduler.scm 60 */
 bool_t BgL__ortest_1114z00_369;
BgL__ortest_1114z00_369 = 
(BgL_classz00_352==BgL_oclassz00_368); 
if(BgL__ortest_1114z00_369)
{ /* Llib/scheduler.scm 60 */
BgL_res1412z00_385 = BgL__ortest_1114z00_369; }  else 
{ /* Llib/scheduler.scm 60 */
 long BgL_odepthz00_370;
{ /* Llib/scheduler.scm 60 */
 obj_t BgL_arg1824z00_371;
BgL_arg1824z00_371 = 
(BgL_oclassz00_368); 
BgL_odepthz00_370 = 
BGL_CLASS_DEPTH(BgL_arg1824z00_371); } 
if(
(1L<BgL_odepthz00_370))
{ /* Llib/scheduler.scm 60 */
 obj_t BgL_arg1822z00_373;
{ /* Llib/scheduler.scm 60 */
 obj_t BgL_arg1823z00_374;
BgL_arg1823z00_374 = 
(BgL_oclassz00_368); 
BgL_arg1822z00_373 = 
BGL_CLASS_ANCESTORS_REF(BgL_arg1823z00_374, 1L); } 
BgL_res1412z00_385 = 
(BgL_arg1822z00_373==BgL_classz00_352); }  else 
{ /* Llib/scheduler.scm 60 */
BgL_res1412z00_385 = ((bool_t)0); } } } } 
BgL_test1528z00_1019 = BgL_res1412z00_385; } }  else 
{ /* Llib/scheduler.scm 60 */
BgL_test1528z00_1019 = ((bool_t)0)
; } } 
if(BgL_test1528z00_1019)
{ /* Llib/scheduler.scm 60 */
return 
BGl_threadzd2parameterzd2zz__threadz00(
((obj_t)
CNST_TABLE_REF(0)));}  else 
{ /* Llib/scheduler.scm 60 */
return BGl_za2currentzd2schedulerza2zd2zz__ft_schedulerz00;} } } } } } 

}



/* &current-scheduler */
obj_t BGl_z62currentzd2schedulerzb0zz__ft_schedulerz00(obj_t BgL_envz00_814)
{
{ /* Llib/scheduler.scm 53 */
return 
BGl_currentzd2schedulerzd2zz__ft_schedulerz00();} 

}



/* current-scheduler-set! */
BGL_EXPORTED_DEF obj_t BGl_currentzd2schedulerzd2setz12z12zz__ft_schedulerz00(obj_t BgL_scdlz00_3)
{
{ /* Llib/scheduler.scm 65 */
{ /* Llib/scheduler.scm 66 */
 obj_t BgL_thz00_34;
BgL_thz00_34 = 
BGl_currentzd2threadzd2zz__threadz00(); 
{ /* Llib/scheduler.scm 68 */
 bool_t BgL_test1533z00_1047;
{ /* Llib/scheduler.scm 68 */
 obj_t BgL_classz00_386;
BgL_classz00_386 = BGl_fthreadz00zz__ft_typesz00; 
if(
BGL_OBJECTP(BgL_thz00_34))
{ /* Llib/scheduler.scm 68 */
 BgL_objectz00_bglt BgL_arg1827z00_388;
BgL_arg1827z00_388 = 
(BgL_objectz00_bglt)(BgL_thz00_34); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/scheduler.scm 68 */
 long BgL_idxz00_394;
BgL_idxz00_394 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1827z00_388); 
BgL_test1533z00_1047 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_394+2L))==BgL_classz00_386); }  else 
{ /* Llib/scheduler.scm 68 */
 bool_t BgL_res1413z00_419;
{ /* Llib/scheduler.scm 68 */
 obj_t BgL_oclassz00_402;
{ /* Llib/scheduler.scm 68 */
 obj_t BgL_arg1834z00_410; long BgL_arg1835z00_411;
BgL_arg1834z00_410 = 
(BGl_za2classesza2z00zz__objectz00); 
{ /* Llib/scheduler.scm 68 */
 long BgL_arg1836z00_412;
BgL_arg1836z00_412 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1827z00_388); 
BgL_arg1835z00_411 = 
(BgL_arg1836z00_412-OBJECT_TYPE); } 
BgL_oclassz00_402 = 
VECTOR_REF(BgL_arg1834z00_410,BgL_arg1835z00_411); } 
{ /* Llib/scheduler.scm 68 */
 bool_t BgL__ortest_1114z00_403;
BgL__ortest_1114z00_403 = 
(BgL_classz00_386==BgL_oclassz00_402); 
if(BgL__ortest_1114z00_403)
{ /* Llib/scheduler.scm 68 */
BgL_res1413z00_419 = BgL__ortest_1114z00_403; }  else 
{ /* Llib/scheduler.scm 68 */
 long BgL_odepthz00_404;
{ /* Llib/scheduler.scm 68 */
 obj_t BgL_arg1824z00_405;
BgL_arg1824z00_405 = 
(BgL_oclassz00_402); 
BgL_odepthz00_404 = 
BGL_CLASS_DEPTH(BgL_arg1824z00_405); } 
if(
(2L<BgL_odepthz00_404))
{ /* Llib/scheduler.scm 68 */
 obj_t BgL_arg1822z00_407;
{ /* Llib/scheduler.scm 68 */
 obj_t BgL_arg1823z00_408;
BgL_arg1823z00_408 = 
(BgL_oclassz00_402); 
BgL_arg1822z00_407 = 
BGL_CLASS_ANCESTORS_REF(BgL_arg1823z00_408, 2L); } 
BgL_res1413z00_419 = 
(BgL_arg1822z00_407==BgL_classz00_386); }  else 
{ /* Llib/scheduler.scm 68 */
BgL_res1413z00_419 = ((bool_t)0); } } } } 
BgL_test1533z00_1047 = BgL_res1413z00_419; } }  else 
{ /* Llib/scheduler.scm 68 */
BgL_test1533z00_1047 = ((bool_t)0)
; } } 
if(BgL_test1533z00_1047)
{ /* Llib/scheduler.scm 68 */
return 
BGl_errorz00zz__errorz00(
((obj_t)
CNST_TABLE_REF(1)), BGl_string1431z00zz__ft_schedulerz00, BgL_thz00_34);}  else 
{ /* Llib/scheduler.scm 70 */
 bool_t BgL_test1538z00_1073;
{ /* Llib/scheduler.scm 70 */
 obj_t BgL_classz00_420;
BgL_classz00_420 = BGl_threadz00zz__threadz00; 
if(
BGL_OBJECTP(BgL_thz00_34))
{ /* Llib/scheduler.scm 70 */
 BgL_objectz00_bglt BgL_arg1827z00_422;
BgL_arg1827z00_422 = 
(BgL_objectz00_bglt)(BgL_thz00_34); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/scheduler.scm 70 */
 long BgL_idxz00_428;
BgL_idxz00_428 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1827z00_422); 
BgL_test1538z00_1073 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_428+1L))==BgL_classz00_420); }  else 
{ /* Llib/scheduler.scm 70 */
 bool_t BgL_res1414z00_453;
{ /* Llib/scheduler.scm 70 */
 obj_t BgL_oclassz00_436;
{ /* Llib/scheduler.scm 70 */
 obj_t BgL_arg1834z00_444; long BgL_arg1835z00_445;
BgL_arg1834z00_444 = 
(BGl_za2classesza2z00zz__objectz00); 
{ /* Llib/scheduler.scm 70 */
 long BgL_arg1836z00_446;
BgL_arg1836z00_446 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1827z00_422); 
BgL_arg1835z00_445 = 
(BgL_arg1836z00_446-OBJECT_TYPE); } 
BgL_oclassz00_436 = 
VECTOR_REF(BgL_arg1834z00_444,BgL_arg1835z00_445); } 
{ /* Llib/scheduler.scm 70 */
 bool_t BgL__ortest_1114z00_437;
BgL__ortest_1114z00_437 = 
(BgL_classz00_420==BgL_oclassz00_436); 
if(BgL__ortest_1114z00_437)
{ /* Llib/scheduler.scm 70 */
BgL_res1414z00_453 = BgL__ortest_1114z00_437; }  else 
{ /* Llib/scheduler.scm 70 */
 long BgL_odepthz00_438;
{ /* Llib/scheduler.scm 70 */
 obj_t BgL_arg1824z00_439;
BgL_arg1824z00_439 = 
(BgL_oclassz00_436); 
BgL_odepthz00_438 = 
BGL_CLASS_DEPTH(BgL_arg1824z00_439); } 
if(
(1L<BgL_odepthz00_438))
{ /* Llib/scheduler.scm 70 */
 obj_t BgL_arg1822z00_441;
{ /* Llib/scheduler.scm 70 */
 obj_t BgL_arg1823z00_442;
BgL_arg1823z00_442 = 
(BgL_oclassz00_436); 
BgL_arg1822z00_441 = 
BGL_CLASS_ANCESTORS_REF(BgL_arg1823z00_442, 1L); } 
BgL_res1414z00_453 = 
(BgL_arg1822z00_441==BgL_classz00_420); }  else 
{ /* Llib/scheduler.scm 70 */
BgL_res1414z00_453 = ((bool_t)0); } } } } 
BgL_test1538z00_1073 = BgL_res1414z00_453; } }  else 
{ /* Llib/scheduler.scm 70 */
BgL_test1538z00_1073 = ((bool_t)0)
; } } 
if(BgL_test1538z00_1073)
{ /* Llib/scheduler.scm 70 */
return 
BGl_threadzd2parameterzd2setz12z12zz__threadz00(
((obj_t)
CNST_TABLE_REF(0)), BgL_scdlz00_3);}  else 
{ /* Llib/scheduler.scm 70 */
return ( 
BGl_za2currentzd2schedulerza2zd2zz__ft_schedulerz00 = BgL_scdlz00_3, BUNSPEC) ;} } } } } 

}



/* &current-scheduler-set! */
obj_t BGl_z62currentzd2schedulerzd2setz12z70zz__ft_schedulerz00(obj_t BgL_envz00_815, obj_t BgL_scdlz00_816)
{
{ /* Llib/scheduler.scm 65 */
return 
BGl_currentzd2schedulerzd2setz12z12zz__ft_schedulerz00(BgL_scdlz00_816);} 

}



/* default-scheduler */
BGL_EXPORTED_DEF obj_t BGl_defaultzd2schedulerzd2zz__ft_schedulerz00(obj_t BgL_scdlz00_4)
{
{ /* Llib/scheduler.scm 78 */
{ /* Llib/scheduler.scm 79 */
 obj_t BgL_thz00_37;
BgL_thz00_37 = 
BGl_currentzd2threadzd2zz__threadz00(); 
{ /* Llib/scheduler.scm 82 */
 bool_t BgL_test1543z00_1101;
{ /* Llib/scheduler.scm 82 */
 obj_t BgL_objz00_454; obj_t BgL_classz00_455;
BgL_objz00_454 = BgL_thz00_37; 
BgL_classz00_455 = BGl_fthreadz00zz__ft_typesz00; 
if(
BGL_OBJECTP(BgL_objz00_454))
{ /* Llib/scheduler.scm 82 */
 BgL_objectz00_bglt BgL_arg1827z00_457;
BgL_arg1827z00_457 = 
(BgL_objectz00_bglt)(BgL_objz00_454); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/scheduler.scm 82 */
 long BgL_idxz00_463;
BgL_idxz00_463 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1827z00_457); 
BgL_test1543z00_1101 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_463+2L))==BgL_classz00_455); }  else 
{ /* Llib/scheduler.scm 82 */
 bool_t BgL_res1415z00_488;
{ /* Llib/scheduler.scm 82 */
 obj_t BgL_oclassz00_471;
{ /* Llib/scheduler.scm 82 */
 obj_t BgL_arg1834z00_479; long BgL_arg1835z00_480;
BgL_arg1834z00_479 = 
(BGl_za2classesza2z00zz__objectz00); 
{ /* Llib/scheduler.scm 82 */
 long BgL_arg1836z00_481;
BgL_arg1836z00_481 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1827z00_457); 
BgL_arg1835z00_480 = 
(BgL_arg1836z00_481-OBJECT_TYPE); } 
BgL_oclassz00_471 = 
VECTOR_REF(BgL_arg1834z00_479,BgL_arg1835z00_480); } 
{ /* Llib/scheduler.scm 82 */
 bool_t BgL__ortest_1114z00_472;
BgL__ortest_1114z00_472 = 
(BgL_classz00_455==BgL_oclassz00_471); 
if(BgL__ortest_1114z00_472)
{ /* Llib/scheduler.scm 82 */
BgL_res1415z00_488 = BgL__ortest_1114z00_472; }  else 
{ /* Llib/scheduler.scm 82 */
 long BgL_odepthz00_473;
{ /* Llib/scheduler.scm 82 */
 obj_t BgL_arg1824z00_474;
BgL_arg1824z00_474 = 
(BgL_oclassz00_471); 
BgL_odepthz00_473 = 
BGL_CLASS_DEPTH(BgL_arg1824z00_474); } 
if(
(2L<BgL_odepthz00_473))
{ /* Llib/scheduler.scm 82 */
 obj_t BgL_arg1822z00_476;
{ /* Llib/scheduler.scm 82 */
 obj_t BgL_arg1823z00_477;
BgL_arg1823z00_477 = 
(BgL_oclassz00_471); 
BgL_arg1822z00_476 = 
BGL_CLASS_ANCESTORS_REF(BgL_arg1823z00_477, 2L); } 
BgL_res1415z00_488 = 
(BgL_arg1822z00_476==BgL_classz00_455); }  else 
{ /* Llib/scheduler.scm 82 */
BgL_res1415z00_488 = ((bool_t)0); } } } } 
BgL_test1543z00_1101 = BgL_res1415z00_488; } }  else 
{ /* Llib/scheduler.scm 82 */
BgL_test1543z00_1101 = ((bool_t)0)
; } } 
if(BgL_test1543z00_1101)
{ /* Llib/scheduler.scm 83 */
 obj_t BgL_sz00_39;
{ /* Llib/scheduler.scm 83 */
 bool_t BgL_test1548z00_1124;
{ /* Llib/scheduler.scm 83 */
 obj_t BgL_objz00_489; obj_t BgL_classz00_490;
BgL_objz00_489 = BgL_thz00_37; 
BgL_classz00_490 = BGl_schedulerz00zz__ft_typesz00; 
if(
BGL_OBJECTP(BgL_objz00_489))
{ /* Llib/scheduler.scm 83 */
 BgL_objectz00_bglt BgL_arg1827z00_492;
BgL_arg1827z00_492 = 
(BgL_objectz00_bglt)(BgL_objz00_489); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/scheduler.scm 83 */
 long BgL_idxz00_498;
BgL_idxz00_498 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1827z00_492); 
BgL_test1548z00_1124 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_498+3L))==BgL_classz00_490); }  else 
{ /* Llib/scheduler.scm 83 */
 bool_t BgL_res1416z00_523;
{ /* Llib/scheduler.scm 83 */
 obj_t BgL_oclassz00_506;
{ /* Llib/scheduler.scm 83 */
 obj_t BgL_arg1834z00_514; long BgL_arg1835z00_515;
BgL_arg1834z00_514 = 
(BGl_za2classesza2z00zz__objectz00); 
{ /* Llib/scheduler.scm 83 */
 long BgL_arg1836z00_516;
BgL_arg1836z00_516 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1827z00_492); 
BgL_arg1835z00_515 = 
(BgL_arg1836z00_516-OBJECT_TYPE); } 
BgL_oclassz00_506 = 
VECTOR_REF(BgL_arg1834z00_514,BgL_arg1835z00_515); } 
{ /* Llib/scheduler.scm 83 */
 bool_t BgL__ortest_1114z00_507;
BgL__ortest_1114z00_507 = 
(BgL_classz00_490==BgL_oclassz00_506); 
if(BgL__ortest_1114z00_507)
{ /* Llib/scheduler.scm 83 */
BgL_res1416z00_523 = BgL__ortest_1114z00_507; }  else 
{ /* Llib/scheduler.scm 83 */
 long BgL_odepthz00_508;
{ /* Llib/scheduler.scm 83 */
 obj_t BgL_arg1824z00_509;
BgL_arg1824z00_509 = 
(BgL_oclassz00_506); 
BgL_odepthz00_508 = 
BGL_CLASS_DEPTH(BgL_arg1824z00_509); } 
if(
(3L<BgL_odepthz00_508))
{ /* Llib/scheduler.scm 83 */
 obj_t BgL_arg1822z00_511;
{ /* Llib/scheduler.scm 83 */
 obj_t BgL_arg1823z00_512;
BgL_arg1823z00_512 = 
(BgL_oclassz00_506); 
BgL_arg1822z00_511 = 
BGL_CLASS_ANCESTORS_REF(BgL_arg1823z00_512, 3L); } 
BgL_res1416z00_523 = 
(BgL_arg1822z00_511==BgL_classz00_490); }  else 
{ /* Llib/scheduler.scm 83 */
BgL_res1416z00_523 = ((bool_t)0); } } } } 
BgL_test1548z00_1124 = BgL_res1416z00_523; } }  else 
{ /* Llib/scheduler.scm 83 */
BgL_test1548z00_1124 = ((bool_t)0)
; } } 
if(BgL_test1548z00_1124)
{ /* Llib/scheduler.scm 83 */
BgL_sz00_39 = BgL_thz00_37; }  else 
{ /* Llib/scheduler.scm 85 */
 BgL_fthreadz00_bglt BgL_i1062z00_43;
BgL_i1062z00_43 = 
((BgL_fthreadz00_bglt)BgL_thz00_37); 
BgL_sz00_39 = 
(((BgL_fthreadz00_bglt)COBJECT(BgL_i1062z00_43))->BgL_schedulerz00); } } 
{ /* Llib/scheduler.scm 87 */
 BgL_z52pthreadz52_bglt BgL_i1064z00_41;
BgL_i1064z00_41 = 
((BgL_z52pthreadz52_bglt)
(((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_sz00_39)))->BgL_z52builtinz52)); 
BgL_thz00_37 = 
(((BgL_z52pthreadz52_bglt)COBJECT(BgL_i1064z00_41))->BgL_parentz00); } }  else 
{ /* Llib/scheduler.scm 82 */BFALSE; } } 
if(
NULLP(BgL_scdlz00_4))
{ /* Llib/scheduler.scm 92 */
 bool_t BgL_test1554z00_1155;
{ /* Llib/scheduler.scm 92 */
 obj_t BgL_objz00_524; obj_t BgL_classz00_525;
BgL_objz00_524 = BgL_thz00_37; 
BgL_classz00_525 = BGl_threadz00zz__threadz00; 
if(
BGL_OBJECTP(BgL_objz00_524))
{ /* Llib/scheduler.scm 92 */
 BgL_objectz00_bglt BgL_arg1827z00_527;
BgL_arg1827z00_527 = 
(BgL_objectz00_bglt)(BgL_objz00_524); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/scheduler.scm 92 */
 long BgL_idxz00_533;
BgL_idxz00_533 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1827z00_527); 
BgL_test1554z00_1155 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_533+1L))==BgL_classz00_525); }  else 
{ /* Llib/scheduler.scm 92 */
 bool_t BgL_res1417z00_558;
{ /* Llib/scheduler.scm 92 */
 obj_t BgL_oclassz00_541;
{ /* Llib/scheduler.scm 92 */
 obj_t BgL_arg1834z00_549; long BgL_arg1835z00_550;
BgL_arg1834z00_549 = 
(BGl_za2classesza2z00zz__objectz00); 
{ /* Llib/scheduler.scm 92 */
 long BgL_arg1836z00_551;
BgL_arg1836z00_551 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1827z00_527); 
BgL_arg1835z00_550 = 
(BgL_arg1836z00_551-OBJECT_TYPE); } 
BgL_oclassz00_541 = 
VECTOR_REF(BgL_arg1834z00_549,BgL_arg1835z00_550); } 
{ /* Llib/scheduler.scm 92 */
 bool_t BgL__ortest_1114z00_542;
BgL__ortest_1114z00_542 = 
(BgL_classz00_525==BgL_oclassz00_541); 
if(BgL__ortest_1114z00_542)
{ /* Llib/scheduler.scm 92 */
BgL_res1417z00_558 = BgL__ortest_1114z00_542; }  else 
{ /* Llib/scheduler.scm 92 */
 long BgL_odepthz00_543;
{ /* Llib/scheduler.scm 92 */
 obj_t BgL_arg1824z00_544;
BgL_arg1824z00_544 = 
(BgL_oclassz00_541); 
BgL_odepthz00_543 = 
BGL_CLASS_DEPTH(BgL_arg1824z00_544); } 
if(
(1L<BgL_odepthz00_543))
{ /* Llib/scheduler.scm 92 */
 obj_t BgL_arg1822z00_546;
{ /* Llib/scheduler.scm 92 */
 obj_t BgL_arg1823z00_547;
BgL_arg1823z00_547 = 
(BgL_oclassz00_541); 
BgL_arg1822z00_546 = 
BGL_CLASS_ANCESTORS_REF(BgL_arg1823z00_547, 1L); } 
BgL_res1417z00_558 = 
(BgL_arg1822z00_546==BgL_classz00_525); }  else 
{ /* Llib/scheduler.scm 92 */
BgL_res1417z00_558 = ((bool_t)0); } } } } 
BgL_test1554z00_1155 = BgL_res1417z00_558; } }  else 
{ /* Llib/scheduler.scm 92 */
BgL_test1554z00_1155 = ((bool_t)0)
; } } 
if(BgL_test1554z00_1155)
{ /* Llib/scheduler.scm 92 */
return 
BGl_threadzd2parameterzd2zz__threadz00(
((obj_t)
CNST_TABLE_REF(2)));}  else 
{ /* Llib/scheduler.scm 92 */
return BGl_za2defaultzd2schedulerza2zd2zz__ft_schedulerz00;} }  else 
{ /* Llib/scheduler.scm 95 */
 bool_t BgL_test1559z00_1181;
{ /* Llib/scheduler.scm 95 */
 obj_t BgL_arg1142z00_51;
BgL_arg1142z00_51 = 
CAR(
((obj_t)BgL_scdlz00_4)); 
{ /* Llib/scheduler.scm 95 */
 obj_t BgL_classz00_560;
BgL_classz00_560 = BGl_schedulerz00zz__ft_typesz00; 
if(
BGL_OBJECTP(BgL_arg1142z00_51))
{ /* Llib/scheduler.scm 95 */
 BgL_objectz00_bglt BgL_arg1827z00_562;
BgL_arg1827z00_562 = 
(BgL_objectz00_bglt)(BgL_arg1142z00_51); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/scheduler.scm 95 */
 long BgL_idxz00_568;
BgL_idxz00_568 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1827z00_562); 
BgL_test1559z00_1181 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_568+3L))==BgL_classz00_560); }  else 
{ /* Llib/scheduler.scm 95 */
 bool_t BgL_res1418z00_593;
{ /* Llib/scheduler.scm 95 */
 obj_t BgL_oclassz00_576;
{ /* Llib/scheduler.scm 95 */
 obj_t BgL_arg1834z00_584; long BgL_arg1835z00_585;
BgL_arg1834z00_584 = 
(BGl_za2classesza2z00zz__objectz00); 
{ /* Llib/scheduler.scm 95 */
 long BgL_arg1836z00_586;
BgL_arg1836z00_586 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1827z00_562); 
BgL_arg1835z00_585 = 
(BgL_arg1836z00_586-OBJECT_TYPE); } 
BgL_oclassz00_576 = 
VECTOR_REF(BgL_arg1834z00_584,BgL_arg1835z00_585); } 
{ /* Llib/scheduler.scm 95 */
 bool_t BgL__ortest_1114z00_577;
BgL__ortest_1114z00_577 = 
(BgL_classz00_560==BgL_oclassz00_576); 
if(BgL__ortest_1114z00_577)
{ /* Llib/scheduler.scm 95 */
BgL_res1418z00_593 = BgL__ortest_1114z00_577; }  else 
{ /* Llib/scheduler.scm 95 */
 long BgL_odepthz00_578;
{ /* Llib/scheduler.scm 95 */
 obj_t BgL_arg1824z00_579;
BgL_arg1824z00_579 = 
(BgL_oclassz00_576); 
BgL_odepthz00_578 = 
BGL_CLASS_DEPTH(BgL_arg1824z00_579); } 
if(
(3L<BgL_odepthz00_578))
{ /* Llib/scheduler.scm 95 */
 obj_t BgL_arg1822z00_581;
{ /* Llib/scheduler.scm 95 */
 obj_t BgL_arg1823z00_582;
BgL_arg1823z00_582 = 
(BgL_oclassz00_576); 
BgL_arg1822z00_581 = 
BGL_CLASS_ANCESTORS_REF(BgL_arg1823z00_582, 3L); } 
BgL_res1418z00_593 = 
(BgL_arg1822z00_581==BgL_classz00_560); }  else 
{ /* Llib/scheduler.scm 95 */
BgL_res1418z00_593 = ((bool_t)0); } } } } 
BgL_test1559z00_1181 = BgL_res1418z00_593; } }  else 
{ /* Llib/scheduler.scm 95 */
BgL_test1559z00_1181 = ((bool_t)0)
; } } } 
if(BgL_test1559z00_1181)
{ /* Llib/scheduler.scm 95 */
{ /* Llib/scheduler.scm 96 */
 bool_t BgL_test1564z00_1206;
{ /* Llib/scheduler.scm 96 */
 obj_t BgL_objz00_594; obj_t BgL_classz00_595;
BgL_objz00_594 = BgL_thz00_37; 
BgL_classz00_595 = BGl_threadz00zz__threadz00; 
if(
BGL_OBJECTP(BgL_objz00_594))
{ /* Llib/scheduler.scm 96 */
 BgL_objectz00_bglt BgL_arg1827z00_597;
BgL_arg1827z00_597 = 
(BgL_objectz00_bglt)(BgL_objz00_594); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/scheduler.scm 96 */
 long BgL_idxz00_603;
BgL_idxz00_603 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1827z00_597); 
BgL_test1564z00_1206 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_603+1L))==BgL_classz00_595); }  else 
{ /* Llib/scheduler.scm 96 */
 bool_t BgL_res1419z00_628;
{ /* Llib/scheduler.scm 96 */
 obj_t BgL_oclassz00_611;
{ /* Llib/scheduler.scm 96 */
 obj_t BgL_arg1834z00_619; long BgL_arg1835z00_620;
BgL_arg1834z00_619 = 
(BGl_za2classesza2z00zz__objectz00); 
{ /* Llib/scheduler.scm 96 */
 long BgL_arg1836z00_621;
BgL_arg1836z00_621 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1827z00_597); 
BgL_arg1835z00_620 = 
(BgL_arg1836z00_621-OBJECT_TYPE); } 
BgL_oclassz00_611 = 
VECTOR_REF(BgL_arg1834z00_619,BgL_arg1835z00_620); } 
{ /* Llib/scheduler.scm 96 */
 bool_t BgL__ortest_1114z00_612;
BgL__ortest_1114z00_612 = 
(BgL_classz00_595==BgL_oclassz00_611); 
if(BgL__ortest_1114z00_612)
{ /* Llib/scheduler.scm 96 */
BgL_res1419z00_628 = BgL__ortest_1114z00_612; }  else 
{ /* Llib/scheduler.scm 96 */
 long BgL_odepthz00_613;
{ /* Llib/scheduler.scm 96 */
 obj_t BgL_arg1824z00_614;
BgL_arg1824z00_614 = 
(BgL_oclassz00_611); 
BgL_odepthz00_613 = 
BGL_CLASS_DEPTH(BgL_arg1824z00_614); } 
if(
(1L<BgL_odepthz00_613))
{ /* Llib/scheduler.scm 96 */
 obj_t BgL_arg1822z00_616;
{ /* Llib/scheduler.scm 96 */
 obj_t BgL_arg1823z00_617;
BgL_arg1823z00_617 = 
(BgL_oclassz00_611); 
BgL_arg1822z00_616 = 
BGL_CLASS_ANCESTORS_REF(BgL_arg1823z00_617, 1L); } 
BgL_res1419z00_628 = 
(BgL_arg1822z00_616==BgL_classz00_595); }  else 
{ /* Llib/scheduler.scm 96 */
BgL_res1419z00_628 = ((bool_t)0); } } } } 
BgL_test1564z00_1206 = BgL_res1419z00_628; } }  else 
{ /* Llib/scheduler.scm 96 */
BgL_test1564z00_1206 = ((bool_t)0)
; } } 
if(BgL_test1564z00_1206)
{ /* Llib/scheduler.scm 97 */
 obj_t BgL_arg1140z00_49;
BgL_arg1140z00_49 = 
CAR(
((obj_t)BgL_scdlz00_4)); 
BGl_threadzd2parameterzd2setz12z12zz__threadz00(
((obj_t)
CNST_TABLE_REF(2)), BgL_arg1140z00_49); }  else 
{ /* Llib/scheduler.scm 96 */
BGl_za2defaultzd2schedulerza2zd2zz__ft_schedulerz00 = 
CAR(
((obj_t)BgL_scdlz00_4)); } } 
return 
CAR(
((obj_t)BgL_scdlz00_4));}  else 
{ /* Llib/scheduler.scm 101 */
 obj_t BgL_arg1141z00_50;
BgL_arg1141z00_50 = 
CAR(
((obj_t)BgL_scdlz00_4)); 
return 
BGl_errorz00zz__errorz00(BGl_string1432z00zz__ft_schedulerz00, BGl_string1433z00zz__ft_schedulerz00, BgL_arg1141z00_50);} } } } 

}



/* &default-scheduler */
obj_t BGl_z62defaultzd2schedulerzb0zz__ft_schedulerz00(obj_t BgL_envz00_817, obj_t BgL_scdlz00_818)
{
{ /* Llib/scheduler.scm 78 */
return 
BGl_defaultzd2schedulerzd2zz__ft_schedulerz00(BgL_scdlz00_818);} 

}



/* with-scheduler */
BGL_EXPORTED_DEF obj_t BGl_withzd2schedulerzd2zz__ft_schedulerz00(BgL_schedulerz00_bglt BgL_sz00_5, obj_t BgL_thunkz00_6)
{
{ /* Llib/scheduler.scm 106 */
{ /* Llib/scheduler.scm 107 */
 obj_t BgL_oldz00_52;
BgL_oldz00_52 = 
BGl_defaultzd2schedulerzd2zz__ft_schedulerz00(BNIL); 
{ /* Llib/scheduler.scm 108 */
 obj_t BgL_exitd1065z00_53;
BgL_exitd1065z00_53 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Llib/scheduler.scm 112 */
 obj_t BgL_zc3z04anonymousza31144ze3z87_819;
BgL_zc3z04anonymousza31144ze3z87_819 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31144ze3ze5zz__ft_schedulerz00, 
(int)(0L), 
(int)(1L)); 
PROCEDURE_SET(BgL_zc3z04anonymousza31144ze3z87_819, 
(int)(0L), BgL_oldz00_52); 
{ /* Llib/scheduler.scm 108 */
 obj_t BgL_arg1846z00_634;
{ /* Llib/scheduler.scm 108 */
 obj_t BgL_arg1847z00_635;
BgL_arg1847z00_635 = 
BGL_EXITD_PROTECT(BgL_exitd1065z00_53); 
BgL_arg1846z00_634 = 
MAKE_YOUNG_PAIR(BgL_zc3z04anonymousza31144ze3z87_819, BgL_arg1847z00_635); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1065z00_53, BgL_arg1846z00_634); BUNSPEC; } 
{ /* Llib/scheduler.scm 110 */
 obj_t BgL_tmp1067z00_55;
{ /* Llib/scheduler.scm 110 */
 obj_t BgL_list1143z00_56;
BgL_list1143z00_56 = 
MAKE_YOUNG_PAIR(
((obj_t)BgL_sz00_5), BNIL); 
BGl_defaultzd2schedulerzd2zz__ft_schedulerz00(BgL_list1143z00_56); } 
BgL_tmp1067z00_55 = 
BGL_PROCEDURE_CALL0(BgL_thunkz00_6); 
{ /* Llib/scheduler.scm 108 */
 bool_t BgL_test1569z00_1258;
{ /* Llib/scheduler.scm 108 */
 obj_t BgL_arg1845z00_637;
BgL_arg1845z00_637 = 
BGL_EXITD_PROTECT(BgL_exitd1065z00_53); 
BgL_test1569z00_1258 = 
PAIRP(BgL_arg1845z00_637); } 
if(BgL_test1569z00_1258)
{ /* Llib/scheduler.scm 108 */
 obj_t BgL_arg1843z00_638;
{ /* Llib/scheduler.scm 108 */
 obj_t BgL_arg1844z00_639;
BgL_arg1844z00_639 = 
BGL_EXITD_PROTECT(BgL_exitd1065z00_53); 
BgL_arg1843z00_638 = 
CDR(
((obj_t)BgL_arg1844z00_639)); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1065z00_53, BgL_arg1843z00_638); BUNSPEC; }  else 
{ /* Llib/scheduler.scm 108 */BFALSE; } } 
{ /* Llib/scheduler.scm 112 */
 obj_t BgL_list1145z00_641;
BgL_list1145z00_641 = 
MAKE_YOUNG_PAIR(BgL_oldz00_52, BNIL); 
BGl_defaultzd2schedulerzd2zz__ft_schedulerz00(BgL_list1145z00_641); } 
return BgL_tmp1067z00_55;} } } } } 

}



/* &with-scheduler */
obj_t BGl_z62withzd2schedulerzb0zz__ft_schedulerz00(obj_t BgL_envz00_820, obj_t BgL_sz00_821, obj_t BgL_thunkz00_822)
{
{ /* Llib/scheduler.scm 106 */
{ /* Llib/scheduler.scm 107 */
 obj_t BgL_auxz00_1275; BgL_schedulerz00_bglt BgL_auxz00_1267;
if(
PROCEDUREP(BgL_thunkz00_822))
{ /* Llib/scheduler.scm 107 */
BgL_auxz00_1275 = BgL_thunkz00_822
; }  else 
{ 
 obj_t BgL_auxz00_1278;
BgL_auxz00_1278 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1434z00zz__ft_schedulerz00, 
BINT(3989L), BGl_string1435z00zz__ft_schedulerz00, BGl_string1437z00zz__ft_schedulerz00, BgL_thunkz00_822); 
FAILURE(BgL_auxz00_1278,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_sz00_821, BGl_schedulerz00zz__ft_typesz00))
{ /* Llib/scheduler.scm 107 */
BgL_auxz00_1267 = 
((BgL_schedulerz00_bglt)BgL_sz00_821)
; }  else 
{ 
 obj_t BgL_auxz00_1271;
BgL_auxz00_1271 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1434z00zz__ft_schedulerz00, 
BINT(3989L), BGl_string1435z00zz__ft_schedulerz00, BGl_string1436z00zz__ft_schedulerz00, BgL_sz00_821); 
FAILURE(BgL_auxz00_1271,BFALSE,BFALSE);} 
return 
BGl_withzd2schedulerzd2zz__ft_schedulerz00(BgL_auxz00_1267, BgL_auxz00_1275);} } 

}



/* &<@anonymous:1144> */
obj_t BGl_z62zc3z04anonymousza31144ze3ze5zz__ft_schedulerz00(obj_t BgL_envz00_823)
{
{ /* Llib/scheduler.scm 108 */
{ /* Llib/scheduler.scm 112 */
 obj_t BgL_oldz00_824;
BgL_oldz00_824 = 
PROCEDURE_REF(BgL_envz00_823, 
(int)(0L)); 
{ /* Llib/scheduler.scm 112 */
 obj_t BgL_list1145z00_898;
BgL_list1145z00_898 = 
MAKE_YOUNG_PAIR(BgL_oldz00_824, BNIL); 
return 
BGl_defaultzd2schedulerzd2zz__ft_schedulerz00(BgL_list1145z00_898);} } } 

}



/* make-scheduler */
BGL_EXPORTED_DEF BgL_schedulerz00_bglt BGl_makezd2schedulerzd2zz__ft_schedulerz00(obj_t BgL_argsz00_7)
{
{ /* Llib/scheduler.scm 117 */
{ /* Llib/scheduler.scm 119 */
 obj_t BgL_idz00_61;
BgL_idz00_61 = 
BGl_gensymz00zz__r4_symbols_6_4z00(
((obj_t)
CNST_TABLE_REF(3))); 
{ /* Llib/scheduler.scm 119 */
 bool_t BgL_orderzd2setzf3z21_62;
if(
PAIRP(BgL_argsz00_7))
{ /* Llib/scheduler.scm 120 */
 obj_t BgL_tmpz00_1292;
BgL_tmpz00_1292 = 
CAR(BgL_argsz00_7); 
BgL_orderzd2setzf3z21_62 = 
BOOLEANP(BgL_tmpz00_1292); }  else 
{ /* Llib/scheduler.scm 120 */
BgL_orderzd2setzf3z21_62 = ((bool_t)0); } 
{ /* Llib/scheduler.scm 120 */
 obj_t BgL_orderz00_63;
if(BgL_orderzd2setzf3z21_62)
{ /* Llib/scheduler.scm 121 */
BgL_orderz00_63 = 
CAR(BgL_argsz00_7); }  else 
{ /* Llib/scheduler.scm 121 */
BgL_orderz00_63 = BFALSE; } 
{ /* Llib/scheduler.scm 121 */
 obj_t BgL_envsz00_64;
if(BgL_orderzd2setzf3z21_62)
{ /* Llib/scheduler.scm 122 */
BgL_envsz00_64 = 
CDR(BgL_argsz00_7); }  else 
{ /* Llib/scheduler.scm 122 */
BgL_envsz00_64 = BgL_argsz00_7; } 
{ /* Llib/scheduler.scm 122 */

{ /* Llib/scheduler.scm 123 */
 obj_t BgL_sz00_834;
BgL_sz00_834 = 
BGL_MAKE_UNSAFE_CELL(BUNSPEC); 
{ /* Llib/scheduler.scm 123 */
 BgL_z52schedulerz52_bglt BgL_g1165z00_87;
{ /* Llib/scheduler.scm 123 */
 BgL_z52schedulerz52_bglt BgL_new1071z00_71;
{ /* Llib/scheduler.scm 125 */
 BgL_z52schedulerz52_bglt BgL_new1070z00_85;
BgL_new1070z00_85 = 
((BgL_z52schedulerz52_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z52schedulerz52_bgl) ))); 
{ /* Llib/scheduler.scm 125 */
 long BgL_arg1163z00_86;
BgL_arg1163z00_86 = 
BGL_CLASS_NUM(BGl_z52schedulerz52zz__ft_z52typesz52); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1070z00_85), BgL_arg1163z00_86); } 
BgL_new1071z00_71 = BgL_new1070z00_85; } 
((((BgL_threadz00_bglt)COBJECT(
((BgL_threadz00_bglt)BgL_new1071z00_71)))->BgL_namez00)=((obj_t)BgL_idz00_61),BUNSPEC); 
((((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_new1071z00_71)))->BgL_schedulerz00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_new1071z00_71)))->BgL_z52builtinz52)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_new1071z00_71)))->BgL_z52timeoutz52)=((int)
(int)(1L)),BUNSPEC); 
((((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_new1071z00_71)))->BgL_z52statez52)=((obj_t)
((obj_t)
CNST_TABLE_REF(4))),BUNSPEC); 
((((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_new1071z00_71)))->BgL_z52iszd2suspendz80)=((bool_t)((bool_t)0)),BUNSPEC); 
{ 
 obj_t BgL_auxz00_1318;
{ /* Llib/types.scm 28 */
 obj_t BgL_arg1151z00_72;
{ /* Llib/types.scm 28 */
 obj_t BgL_arg1152z00_73;
{ /* Llib/types.scm 28 */
 obj_t BgL_classz00_648;
BgL_classz00_648 = BGl_z52schedulerz52zz__ft_z52typesz52; 
BgL_arg1152z00_73 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_648); } 
BgL_arg1151z00_72 = 
VECTOR_REF(BgL_arg1152z00_73,8L); } 
BgL_auxz00_1318 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1151z00_72); } 
((((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_new1071z00_71)))->BgL_z52terminatez52)=((obj_t)BgL_auxz00_1318),BUNSPEC); } 
((((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_new1071z00_71)))->BgL_z52resultz52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_new1071z00_71)))->BgL_z52exczd2resultz80)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_new1071z00_71)))->BgL_z52exczd2raisedz80)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_new1071z00_71)))->BgL_z52identz52)=((int)
(int)(0L)),BUNSPEC); 
((((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_new1071z00_71)))->BgL_z52signalsz52)=((obj_t)BNIL),BUNSPEC); 
((((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_new1071z00_71)))->BgL_z52awakezd2signalz80)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_new1071z00_71)))->BgL_z52awakezd2valuez80)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_new1071z00_71)))->BgL_z52cleanupz52)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_new1071z00_71)))->BgL_z52specificz52)=((obj_t)BUNSPEC),BUNSPEC); 
{ 
 obj_t BgL_auxz00_1343;
{ /* Llib/scheduler.scm 124 */
 obj_t BgL_zc3z04anonymousza31153ze3z87_826;
BgL_zc3z04anonymousza31153ze3z87_826 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31153ze3ze5zz__ft_schedulerz00, 
(int)(0L), 
(int)(1L)); 
PROCEDURE_SET(BgL_zc3z04anonymousza31153ze3z87_826, 
(int)(0L), 
((obj_t)BgL_sz00_834)); 
BgL_auxz00_1343 = BgL_zc3z04anonymousza31153ze3z87_826; } 
((((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_new1071z00_71)))->BgL_bodyz00)=((obj_t)BgL_auxz00_1343),BUNSPEC); } 
{ 
 obj_t BgL_auxz00_1352;
{ /* Llib/scheduler.scm 126 */
 obj_t BgL_arg1154z00_75;
{ /* Llib/scheduler.scm 126 */
 BgL_z52envz52_bglt BgL_arg1155z00_76;
{ /* Llib/scheduler.scm 126 */
 BgL_z52envz52_bglt BgL_new1073z00_78;
{ /* Llib/_env.scm 25 */
 BgL_z52envz52_bglt BgL_new1072z00_79;
BgL_new1072z00_79 = 
((BgL_z52envz52_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z52envz52_bgl) ))); 
{ /* Llib/_env.scm 25 */
 long BgL_arg1160z00_80;
{ /* Llib/_env.scm 25 */
 obj_t BgL_classz00_650;
BgL_classz00_650 = BGl_z52envz52zz__ft_z52envz52; 
BgL_arg1160z00_80 = 
BGL_CLASS_NUM(BgL_classz00_650); } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1072z00_79), BgL_arg1160z00_80); } 
BgL_new1073z00_78 = BgL_new1072z00_79; } 
((((BgL_ftenvz00_bglt)COBJECT(
((BgL_ftenvz00_bglt)BgL_new1073z00_78)))->BgL_instantz00)=((long)0L),BUNSPEC); 
((((BgL_z52envz52_bglt)COBJECT(BgL_new1073z00_78))->BgL_z52signalsz52)=((obj_t)BNIL),BUNSPEC); 
((((BgL_z52envz52_bglt)COBJECT(BgL_new1073z00_78))->BgL_z52lastzd2signalsz80)=((obj_t)BNIL),BUNSPEC); 
BgL_arg1155z00_76 = BgL_new1073z00_78; } 
{ /* Llib/scheduler.scm 126 */
 obj_t BgL_list1156z00_77;
BgL_list1156z00_77 = 
MAKE_YOUNG_PAIR(
((obj_t)BgL_arg1155z00_76), BNIL); 
BgL_arg1154z00_75 = BgL_list1156z00_77; } } 
BgL_auxz00_1352 = 
BGl_appendzd221010zd2zz__ft_schedulerz00(BgL_envsz00_64, BgL_arg1154z00_75); } 
((((BgL_schedulerz00_bglt)COBJECT(
((BgL_schedulerz00_bglt)BgL_new1071z00_71)))->BgL_envzb2zb2)=((obj_t)BgL_auxz00_1352),BUNSPEC); } 
((((BgL_schedulerz00_bglt)COBJECT(
((BgL_schedulerz00_bglt)BgL_new1071z00_71)))->BgL_strictzd2orderzf3z21)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z52schedulerz52_bglt)COBJECT(BgL_new1071z00_71))->BgL_nextzd2instantzd2)=((obj_t)BGl_proc1438z00zz__ft_schedulerz00),BUNSPEC); 
((((BgL_z52schedulerz52_bglt)COBJECT(BgL_new1071z00_71))->BgL_currentzd2threadzd2)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z52schedulerz52_bglt)COBJECT(BgL_new1071z00_71))->BgL_z52livezd2threadzd2numberz52)=((int)
(int)(0L)),BUNSPEC); 
((((BgL_z52schedulerz52_bglt)COBJECT(BgL_new1071z00_71))->BgL_z52threadszd2readyz80)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_z52schedulerz52_bglt)COBJECT(BgL_new1071z00_71))->BgL_threadszd2runnablezd2)=((obj_t)BNIL),BUNSPEC); 
((((BgL_z52schedulerz52_bglt)COBJECT(BgL_new1071z00_71))->BgL_threadszd2runnablezd2lastzd2pairzd2)=((obj_t)BNIL),BUNSPEC); 
((((BgL_z52schedulerz52_bglt)COBJECT(BgL_new1071z00_71))->BgL_asynczd2runnablezd2)=((obj_t)BNIL),BUNSPEC); 
((((BgL_z52schedulerz52_bglt)COBJECT(BgL_new1071z00_71))->BgL_threadszd2timeoutzd2)=((obj_t)BNIL),BUNSPEC); 
((((BgL_z52schedulerz52_bglt)COBJECT(BgL_new1071z00_71))->BgL_threadszd2yieldzd2)=((obj_t)BNIL),BUNSPEC); 
((((BgL_z52schedulerz52_bglt)COBJECT(BgL_new1071z00_71))->BgL_tostartz00)=((obj_t)BNIL),BUNSPEC); 
((((BgL_z52schedulerz52_bglt)COBJECT(BgL_new1071z00_71))->BgL_toterminatez00)=((obj_t)BNIL),BUNSPEC); 
((((BgL_z52schedulerz52_bglt)COBJECT(BgL_new1071z00_71))->BgL_tosuspendzf2resumezf2)=((obj_t)BNIL),BUNSPEC); 
((((BgL_z52schedulerz52_bglt)COBJECT(BgL_new1071z00_71))->BgL_tobroadcastz00)=((obj_t)BNIL),BUNSPEC); 
((((BgL_z52schedulerz52_bglt)COBJECT(BgL_new1071z00_71))->BgL_tospawnz00)=((obj_t)BNIL),BUNSPEC); 
((((BgL_z52schedulerz52_bglt)COBJECT(BgL_new1071z00_71))->BgL_currentzd2tokenzd2)=((obj_t)BFALSE),BUNSPEC); 
{ /* Llib/scheduler.scm 123 */
 obj_t BgL_fun1162z00_84;
BgL_fun1162z00_84 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_z52schedulerz52zz__ft_z52typesz52); 
BGL_PROCEDURE_CALL1(BgL_fun1162z00_84, 
((obj_t)BgL_new1071z00_71)); } 
BgL_g1165z00_87 = BgL_new1071z00_71; } 
BGL_UNSAFE_CELL_SET(BgL_sz00_834, 
((obj_t)BgL_g1165z00_87)); 
{ /* Llib/scheduler.scm 130 */
 BgL_z52schedulerz52_bglt BgL_i1074z00_66;
BgL_i1074z00_66 = 
((BgL_z52schedulerz52_bglt)
((BgL_z52schedulerz52_bglt)
BGL_UNSAFE_CELL_REF(BgL_sz00_834))); 
((((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_i1074z00_66)))->BgL_z52builtinz52)=((obj_t)
BGl_z52fschedulerzd2newz80zz__ft_z52pthreadz52(
((BgL_z52schedulerz52_bglt)
((BgL_z52schedulerz52_bglt)
BGL_UNSAFE_CELL_REF(BgL_sz00_834))))),BUNSPEC); 
((((BgL_schedulerz00_bglt)COBJECT(
((BgL_schedulerz00_bglt)BgL_i1074z00_66)))->BgL_strictzd2orderzf3z21)=((obj_t)BgL_orderz00_63),BUNSPEC); } 
if(
CBOOL(
BGl_defaultzd2schedulerzd2zz__ft_schedulerz00(BNIL)))
{ /* Llib/scheduler.scm 134 */BFALSE; }  else 
{ /* Llib/scheduler.scm 134 */
 obj_t BgL_list1149z00_69;
BgL_list1149z00_69 = 
MAKE_YOUNG_PAIR(
BGL_UNSAFE_CELL_REF(BgL_sz00_834), BNIL); 
BGl_defaultzd2schedulerzd2zz__ft_schedulerz00(BgL_list1149z00_69); } 
return 
((BgL_schedulerz00_bglt)
((BgL_schedulerz00_bglt)
BGL_UNSAFE_CELL_REF(BgL_sz00_834)));} } } } } } } } 

}



/* &make-scheduler */
BgL_schedulerz00_bglt BGl_z62makezd2schedulerzb0zz__ft_schedulerz00(obj_t BgL_envz00_827, obj_t BgL_argsz00_828)
{
{ /* Llib/scheduler.scm 117 */
return 
BGl_makezd2schedulerzd2zz__ft_schedulerz00(BgL_argsz00_828);} 

}



/* &<@anonymous:1161> */
obj_t BGl_z62zc3z04anonymousza31161ze3ze5zz__ft_schedulerz00(obj_t BgL_envz00_829, obj_t BgL_sz00_830, obj_t BgL_iz00_831)
{
{ /* Llib/_types.scm 23 */
return 
BBOOL(((bool_t)0));} 

}



/* &<@anonymous:1153> */
obj_t BGl_z62zc3z04anonymousza31153ze3ze5zz__ft_schedulerz00(obj_t BgL_envz00_832)
{
{ /* Llib/scheduler.scm 124 */
{ /* Llib/scheduler.scm 124 */
 obj_t BgL_sz00_833;
BgL_sz00_833 = 
PROCEDURE_REF(BgL_envz00_832, 
(int)(0L)); 
return 
BGl_schedulez00zz__ft_schedulerz00(
((BgL_z52schedulerz52_bglt)
((BgL_z52schedulerz52_bglt)
BGL_UNSAFE_CELL_REF(BgL_sz00_833))));} } 

}



/* scheduler-state */
obj_t BGl_schedulerzd2statezd2zz__ft_schedulerz00(BgL_schedulerz00_bglt BgL_sz00_8)
{
{ /* Llib/scheduler.scm 141 */
if(
(
(long)(
(((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_sz00_8)))->BgL_z52livezd2threadzd2numberz52))==0L))
{ /* Llib/scheduler.scm 149 */
return 
((obj_t)
CNST_TABLE_REF(5));}  else 
{ /* Llib/scheduler.scm 151 */
 bool_t BgL_test1579z00_1421;
if(
(((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_sz00_8)))->BgL_z52threadszd2readyz80))
{ /* Llib/scheduler.scm 151 */
BgL_test1579z00_1421 = ((bool_t)1)
; }  else 
{ /* Llib/scheduler.scm 151 */
if(
NULLP(
(((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_sz00_8)))->BgL_tostartz00)))
{ /* Llib/scheduler.scm 152 */
if(
NULLP(
(((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_sz00_8)))->BgL_toterminatez00)))
{ /* Llib/scheduler.scm 154 */
 obj_t BgL_tmpz00_1433;
BgL_tmpz00_1433 = 
(((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_sz00_8)))->BgL_tosuspendzf2resumezf2); 
BgL_test1579z00_1421 = 
PAIRP(BgL_tmpz00_1433); }  else 
{ /* Llib/scheduler.scm 153 */
BgL_test1579z00_1421 = ((bool_t)1)
; } }  else 
{ /* Llib/scheduler.scm 152 */
BgL_test1579z00_1421 = ((bool_t)1)
; } } 
if(BgL_test1579z00_1421)
{ /* Llib/scheduler.scm 151 */
return 
((obj_t)
CNST_TABLE_REF(6));}  else 
{ /* Llib/scheduler.scm 151 */
if(
BGl_z52threadzd2iszd2deadz52zz__ft_z52threadz52(
((BgL_fthreadz00_bglt)BgL_sz00_8), BNIL))
{ /* Llib/scheduler.scm 157 */
return 
((obj_t)
CNST_TABLE_REF(7));}  else 
{ /* Llib/scheduler.scm 157 */
return 
((obj_t)
CNST_TABLE_REF(8));} } } } 

}



/* schedule */
obj_t BGl_schedulez00zz__ft_schedulerz00(BgL_z52schedulerz52_bglt BgL_scdlz00_9)
{
{ /* Llib/scheduler.scm 168 */
{ /* Llib/scheduler.scm 172 */
 obj_t BgL_g1084z00_113;
BgL_g1084z00_113 = 
BGl_z52schedulerzd2timez80zz__ft_z52schedulerz52(
((BgL_schedulerz00_bglt)BgL_scdlz00_9)); 
{ 
 obj_t BgL_iz00_115;
BgL_iz00_115 = BgL_g1084z00_113; 
BgL_zc3z04anonymousza31192ze3z87_116:
BGl_z52schedulezd2instantz80zz__ft_z52schedulerz52(BgL_scdlz00_9); 
{ /* Llib/scheduler.scm 174 */
 bool_t BgL_test1585z00_1449;
{ /* Llib/scheduler.scm 174 */
 obj_t BgL_fun1197z00_120;
BgL_fun1197z00_120 = 
(((BgL_z52schedulerz52_bglt)COBJECT(BgL_scdlz00_9))->BgL_nextzd2instantzd2); 
BgL_test1585z00_1449 = 
CBOOL(
BGL_PROCEDURE_CALL2(BgL_fun1197z00_120, 
((obj_t)BgL_scdlz00_9), BgL_iz00_115)); } 
if(BgL_test1585z00_1449)
{ /* Llib/scheduler.scm 175 */
 long BgL_arg1196z00_119;
BgL_arg1196z00_119 = 
(
(long)CINT(BgL_iz00_115)+1L); 
{ 
 obj_t BgL_iz00_1460;
BgL_iz00_1460 = 
BINT(BgL_arg1196z00_119); 
BgL_iz00_115 = BgL_iz00_1460; 
goto BgL_zc3z04anonymousza31192ze3z87_116;} }  else 
{ /* Llib/scheduler.scm 174 */((bool_t)0); } } } } 
return BUNSPEC;} 

}



/* scheduler-react! */
BGL_EXPORTED_DEF obj_t BGl_schedulerzd2reactz12zc0zz__ft_schedulerz00(obj_t BgL_oz00_10)
{
{ /* Llib/scheduler.scm 184 */
{ /* Llib/scheduler.scm 185 */
 BgL_schedulerz00_bglt BgL_scdlz00_122;
BgL_scdlz00_122 = 
BGl_z52getzd2optionalzd2schedulerz52zz__ft_z52schedulerz52(
((obj_t)
CNST_TABLE_REF(9)), BgL_oz00_10); 
((((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_scdlz00_122)))->BgL_nextzd2instantzd2)=((obj_t)BGl_proc1439z00zz__ft_schedulerz00),BUNSPEC); 
{ /* Llib/scheduler.scm 193 */
 obj_t BgL_arg1200z00_130;
BgL_arg1200z00_130 = 
(((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_scdlz00_122)))->BgL_z52builtinz52); 
BGl_z52pthreadzd2enterzd2schedulerz52zz__ft_z52pthreadz52(
((BgL_z52pthreadz52_bglt)BgL_arg1200z00_130)); } 
return 
BGl_schedulerzd2statezd2zz__ft_schedulerz00(BgL_scdlz00_122);} } 

}



/* &scheduler-react! */
obj_t BGl_z62schedulerzd2reactz12za2zz__ft_schedulerz00(obj_t BgL_envz00_838, obj_t BgL_oz00_839)
{
{ /* Llib/scheduler.scm 184 */
return 
BGl_schedulerzd2reactz12zc0zz__ft_schedulerz00(BgL_oz00_839);} 

}



/* &<@anonymous:1198> */
obj_t BGl_z62zc3z04anonymousza31198ze3ze5zz__ft_schedulerz00(obj_t BgL_envz00_840, obj_t BgL_scdlz00_841, obj_t BgL_iz00_842)
{
{ /* Llib/scheduler.scm 188 */
{ /* Llib/scheduler.scm 190 */
 obj_t BgL_arg1199z00_899;
BgL_arg1199z00_899 = 
(((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)
((BgL_schedulerz00_bglt)BgL_scdlz00_841))))->BgL_z52builtinz52); 
return 
BGl_z52pthreadzd2leavezd2schedulerz52zz__ft_z52pthreadz52(
((BgL_z52pthreadz52_bglt)BgL_arg1199z00_899));} } 

}



/* scheduler-start! */
BGL_EXPORTED_DEF obj_t BGl_schedulerzd2startz12zc0zz__ft_schedulerz00(obj_t BgL_argsz00_11)
{
{ /* Llib/scheduler.scm 200 */
{ /* Llib/scheduler.scm 201 */
 bool_t BgL_iterpz00_131;
if(
PAIRP(BgL_argsz00_11))
{ /* Llib/scheduler.scm 201 */
BgL_iterpz00_131 = 
BGl_numberzf3zf3zz__r4_numbers_6_5z00(
CAR(BgL_argsz00_11)); }  else 
{ /* Llib/scheduler.scm 201 */
BgL_iterpz00_131 = ((bool_t)0); } 
{ /* Llib/scheduler.scm 201 */
 obj_t BgL_scdlz00_132;
if(
NULLP(BgL_argsz00_11))
{ /* Llib/scheduler.scm 202 */
BgL_scdlz00_132 = 
BGl_defaultzd2schedulerzd2zz__ft_schedulerz00(BNIL); }  else 
{ /* Llib/scheduler.scm 204 */
 obj_t BgL_arg1263z00_199;
BgL_arg1263z00_199 = 
CDR(
((obj_t)BgL_argsz00_11)); 
BgL_scdlz00_132 = 
((obj_t)
BGl_z52getzd2optionalzd2schedulerz52zz__ft_z52schedulerz52(
((obj_t)
CNST_TABLE_REF(10)), BgL_arg1263z00_199)); } 
{ /* Llib/scheduler.scm 202 */
 obj_t BgL_stopz00_133;
if(
NULLP(BgL_argsz00_11))
{ /* Llib/scheduler.scm 206 */
BgL_stopz00_133 = BGl_proc1440z00zz__ft_schedulerz00; }  else 
{ /* Llib/scheduler.scm 209 */
 bool_t BgL_test1589z00_1493;
{ /* Llib/scheduler.scm 209 */
 obj_t BgL_arg1248z00_196;
BgL_arg1248z00_196 = 
CAR(
((obj_t)BgL_argsz00_11)); 
BgL_test1589z00_1493 = 
BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_arg1248z00_196); } 
if(BgL_test1589z00_1493)
{ /* Llib/scheduler.scm 210 */
 obj_t BgL_stz00_182;
{ /* Llib/scheduler.scm 210 */
 obj_t BgL_a1102z00_186;
BgL_a1102z00_186 = 
CAR(
((obj_t)BgL_argsz00_11)); 
{ /* Llib/scheduler.scm 210 */
 obj_t BgL_b1103z00_187;
{ /* Llib/scheduler.scm 210 */
 obj_t BgL_a1101z00_189;
BgL_a1101z00_189 = 
BGl_z52schedulerzd2timez80zz__ft_z52schedulerz52(
((BgL_schedulerz00_bglt)BgL_scdlz00_132)); 
if(
INTEGERP(BgL_a1101z00_189))
{ /* Llib/scheduler.scm 210 */
 obj_t BgL_tmpz00_664;
BgL_tmpz00_664 = 
BINT(0L); 
{ /* Llib/scheduler.scm 210 */
 bool_t BgL_test1591z00_1504;
{ /* Llib/scheduler.scm 210 */
 obj_t BgL_tmpz00_1505;
BgL_tmpz00_1505 = 
BINT((-1L)); 
BgL_test1591z00_1504 = 
BGL_ADDFX_OV(BgL_a1101z00_189, BgL_tmpz00_1505, BgL_tmpz00_664); } 
if(BgL_test1591z00_1504)
{ /* Llib/scheduler.scm 210 */
BgL_b1103z00_187 = 
bgl_bignum_add(
bgl_long_to_bignum(
(long)CINT(BgL_a1101z00_189)), 
((obj_t)
CNST_TABLE_REF(11))); }  else 
{ /* Llib/scheduler.scm 210 */
BgL_b1103z00_187 = BgL_tmpz00_664; } } }  else 
{ /* Llib/scheduler.scm 210 */
BgL_b1103z00_187 = 
BGl_2zb2zb2zz__r4_numbers_6_5z00(BgL_a1101z00_189, 
BINT((-1L))); } } 
{ /* Llib/scheduler.scm 210 */

{ /* Llib/scheduler.scm 210 */
 bool_t BgL_test1592z00_1515;
if(
INTEGERP(BgL_a1102z00_186))
{ /* Llib/scheduler.scm 210 */
BgL_test1592z00_1515 = 
INTEGERP(BgL_b1103z00_187)
; }  else 
{ /* Llib/scheduler.scm 210 */
BgL_test1592z00_1515 = ((bool_t)0)
; } 
if(BgL_test1592z00_1515)
{ /* Llib/scheduler.scm 210 */
 obj_t BgL_tmpz00_674;
BgL_tmpz00_674 = 
BINT(0L); 
if(
BGL_ADDFX_OV(BgL_a1102z00_186, BgL_b1103z00_187, BgL_tmpz00_674))
{ /* Llib/scheduler.scm 210 */
BgL_stz00_182 = 
bgl_bignum_add(
bgl_long_to_bignum(
(long)CINT(BgL_a1102z00_186)), 
bgl_long_to_bignum(
(long)CINT(BgL_b1103z00_187))); }  else 
{ /* Llib/scheduler.scm 210 */
BgL_stz00_182 = BgL_tmpz00_674; } }  else 
{ /* Llib/scheduler.scm 210 */
BgL_stz00_182 = 
BGl_2zb2zb2zz__r4_numbers_6_5z00(BgL_a1102z00_186, BgL_b1103z00_187); } } } } } 
{ /* Llib/scheduler.scm 211 */
 obj_t BgL_zc3z04anonymousza31232ze3z87_846;
BgL_zc3z04anonymousza31232ze3z87_846 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31232ze3ze5zz__ft_schedulerz00, 
(int)(1L), 
(int)(1L)); 
PROCEDURE_SET(BgL_zc3z04anonymousza31232ze3z87_846, 
(int)(0L), BgL_stz00_182); 
BgL_stopz00_133 = BgL_zc3z04anonymousza31232ze3z87_846; } }  else 
{ /* Llib/scheduler.scm 213 */
 bool_t BgL_test1596z00_1533;
{ /* Llib/scheduler.scm 213 */
 obj_t BgL_tmpz00_1534;
BgL_tmpz00_1534 = 
CAR(
((obj_t)BgL_argsz00_11)); 
BgL_test1596z00_1533 = 
PROCEDUREP(BgL_tmpz00_1534); } 
if(BgL_test1596z00_1533)
{ /* Llib/scheduler.scm 214 */
 obj_t BgL_zc3z04anonymousza31241ze3z87_847;
BgL_zc3z04anonymousza31241ze3z87_847 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31241ze3ze5zz__ft_schedulerz00, 
(int)(1L), 
(int)(1L)); 
PROCEDURE_SET(BgL_zc3z04anonymousza31241ze3z87_847, 
(int)(0L), BgL_argsz00_11); 
BgL_stopz00_133 = BgL_zc3z04anonymousza31241ze3z87_847; }  else 
{ /* Llib/scheduler.scm 213 */
BgL_stopz00_133 = 
BGl_errorz00zz__errorz00(BGl_string1441z00zz__ft_schedulerz00, BGl_string1442z00zz__ft_schedulerz00, BgL_argsz00_11); } } } 
{ /* Llib/scheduler.scm 205 */

{ /* Llib/scheduler.scm 221 */
 obj_t BgL_nozd2busyzd2waitingzd2nextzd2instantz00_844; obj_t BgL_busyzd2waitingzd2nextzd2instantzd2_843;
BgL_nozd2busyzd2waitingzd2nextzd2instantz00_844 = 
MAKE_FX_PROCEDURE(BGl_z62nozd2busyzd2waitingzd2nextzd2instantz62zz__ft_schedulerz00, 
(int)(2L), 
(int)(1L)); 
BgL_busyzd2waitingzd2nextzd2instantzd2_843 = 
MAKE_FX_PROCEDURE(BGl_z62busyzd2waitingzd2nextzd2instantzb0zz__ft_schedulerz00, 
(int)(2L), 
(int)(1L)); 
PROCEDURE_SET(BgL_nozd2busyzd2waitingzd2nextzd2instantz00_844, 
(int)(0L), BgL_stopz00_133); 
PROCEDURE_SET(BgL_busyzd2waitingzd2nextzd2instantzd2_843, 
(int)(0L), BgL_stopz00_133); 
{ 
 obj_t BgL_auxz00_1554;
if(BgL_iterpz00_131)
{ /* Llib/scheduler.scm 267 */
BgL_auxz00_1554 = BgL_busyzd2waitingzd2nextzd2instantzd2_843
; }  else 
{ /* Llib/scheduler.scm 267 */
BgL_auxz00_1554 = BgL_nozd2busyzd2waitingzd2nextzd2instantz00_844
; } 
((((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_scdlz00_132)))->BgL_nextzd2instantzd2)=((obj_t)BgL_auxz00_1554),BUNSPEC); } 
{ /* Llib/scheduler.scm 272 */
 obj_t BgL_arg1201z00_138;
BgL_arg1201z00_138 = 
(((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)
((BgL_schedulerz00_bglt)BgL_scdlz00_132))))->BgL_z52builtinz52); 
BGl_z52pthreadzd2enterzd2schedulerz52zz__ft_z52pthreadz52(
((BgL_z52pthreadz52_bglt)BgL_arg1201z00_138)); } 
return BUNSPEC;} } } } } } 

}



/* &scheduler-start! */
obj_t BGl_z62schedulerzd2startz12za2zz__ft_schedulerz00(obj_t BgL_envz00_848, obj_t BgL_argsz00_849)
{
{ /* Llib/scheduler.scm 200 */
return 
BGl_schedulerzd2startz12zc0zz__ft_schedulerz00(BgL_argsz00_849);} 

}



/* &busy-waiting-next-instant */
obj_t BGl_z62busyzd2waitingzd2nextzd2instantzb0zz__ft_schedulerz00(obj_t BgL_envz00_850, obj_t BgL_scdlz00_852, obj_t BgL_iz00_853)
{
{ /* Llib/scheduler.scm 235 */
{ /* Llib/scheduler.scm 221 */
 obj_t BgL_stopz00_851;
BgL_stopz00_851 = 
PROCEDURE_REF(BgL_envz00_850, 
(int)(0L)); 
if(
CBOOL(
BGL_PROCEDURE_CALL1(BgL_stopz00_851, BgL_iz00_853)))
{ /* Llib/scheduler.scm 223 */
 obj_t BgL_arg1204z00_900;
BgL_arg1204z00_900 = 
(((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)
((BgL_schedulerz00_bglt)BgL_scdlz00_852))))->BgL_z52builtinz52); 
return 
BGl_z52pthreadzd2leavezd2schedulerz52zz__ft_z52pthreadz52(
((BgL_z52pthreadz52_bglt)BgL_arg1204z00_900));}  else 
{ /* Llib/scheduler.scm 224 */
 obj_t BgL_statez00_901;
BgL_statez00_901 = 
BGl_schedulerzd2statezd2zz__ft_schedulerz00(
((BgL_schedulerz00_bglt)BgL_scdlz00_852)); 
if(
(BgL_statez00_901==
((obj_t)
CNST_TABLE_REF(6))))
{ /* Llib/scheduler.scm 227 */
return BTRUE;}  else 
{ /* Llib/scheduler.scm 227 */
if(
(BgL_statez00_901==
((obj_t)
CNST_TABLE_REF(8))))
{ /* Llib/scheduler.scm 227 */
return BTRUE;}  else 
{ /* Llib/scheduler.scm 235 */
 obj_t BgL_arg1209z00_902;
BgL_arg1209z00_902 = 
(((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)
((BgL_schedulerz00_bglt)BgL_scdlz00_852))))->BgL_z52builtinz52); 
return 
BGl_z52pthreadzd2leavezd2schedulerz52zz__ft_z52pthreadz52(
((BgL_z52pthreadz52_bglt)BgL_arg1209z00_902));} } } } } 

}



/* &no-busy-waiting-next-instant */
obj_t BGl_z62nozd2busyzd2waitingzd2nextzd2instantz62zz__ft_schedulerz00(obj_t BgL_envz00_854, obj_t BgL_scdlz00_856, obj_t BgL_iz00_857)
{
{ /* Llib/scheduler.scm 263 */
{ /* Llib/scheduler.scm 237 */
 obj_t BgL_stopz00_855;
BgL_stopz00_855 = 
PROCEDURE_REF(BgL_envz00_854, 
(int)(0L)); 
if(
CBOOL(
BGL_PROCEDURE_CALL1(BgL_stopz00_855, BgL_iz00_857)))
{ /* Llib/scheduler.scm 239 */
 obj_t BgL_arg1213z00_903;
BgL_arg1213z00_903 = 
(((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)
((BgL_schedulerz00_bglt)BgL_scdlz00_856))))->BgL_z52builtinz52); 
return 
BGl_z52pthreadzd2leavezd2schedulerz52zz__ft_z52pthreadz52(
((BgL_z52pthreadz52_bglt)BgL_arg1213z00_903));}  else 
{ /* Llib/scheduler.scm 240 */
 obj_t BgL_statez00_904;
BgL_statez00_904 = 
BGl_schedulerzd2statezd2zz__ft_schedulerz00(
((BgL_schedulerz00_bglt)BgL_scdlz00_856)); 
if(
(BgL_statez00_904==
((obj_t)
CNST_TABLE_REF(6))))
{ /* Llib/scheduler.scm 243 */
return BTRUE;}  else 
{ /* Llib/scheduler.scm 243 */
if(
(BgL_statez00_904==
((obj_t)
CNST_TABLE_REF(8))))
{ /* Llib/scheduler.scm 243 */
{ /* Llib/scheduler.scm 251 */
 obj_t BgL_arg1216z00_905;
BgL_arg1216z00_905 = 
(((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)
((BgL_z52schedulerz52_bglt)BgL_scdlz00_856))))->BgL_z52builtinz52); 
BGl_z52asynczd2synchroniza7ez27zz__ft_z52pthreadz52(
((BgL_z52pthreadz52_bglt)BgL_arg1216z00_905)); } 
{ /* Llib/scheduler.scm 255 */
 bool_t BgL_test1607z00_1620;
if(
NULLP(
(((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_scdlz00_856)))->BgL_tobroadcastz00)))
{ /* Llib/scheduler.scm 255 */
BgL_test1607z00_1620 = 
NULLP(
(((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_scdlz00_856)))->BgL_asynczd2runnablezd2))
; }  else 
{ /* Llib/scheduler.scm 255 */
BgL_test1607z00_1620 = ((bool_t)0)
; } 
if(BgL_test1607z00_1620)
{ /* Llib/scheduler.scm 255 */
{ /* Llib/scheduler.scm 257 */
 obj_t BgL_arg1222z00_906;
BgL_arg1222z00_906 = 
(((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)
((BgL_z52schedulerz52_bglt)BgL_scdlz00_856))))->BgL_z52builtinz52); 
BGl_z52asynczd2schedulerzd2waitz52zz__ft_z52pthreadz52(
((BgL_z52pthreadz52_bglt)BgL_arg1222z00_906)); } BUNSPEC; }  else 
{ /* Llib/scheduler.scm 255 */BFALSE; } } 
{ /* Llib/scheduler.scm 259 */
 obj_t BgL_arg1225z00_907;
BgL_arg1225z00_907 = 
(((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)
((BgL_z52schedulerz52_bglt)BgL_scdlz00_856))))->BgL_z52builtinz52); 
BGl_z52asynczd2asynchroniza7ez27zz__ft_z52pthreadz52(
((BgL_z52pthreadz52_bglt)BgL_arg1225z00_907)); } 
return BTRUE;}  else 
{ /* Llib/scheduler.scm 263 */
 obj_t BgL_arg1227z00_908;
BgL_arg1227z00_908 = 
(((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)
((BgL_schedulerz00_bglt)BgL_scdlz00_856))))->BgL_z52builtinz52); 
return 
BGl_z52pthreadzd2leavezd2schedulerz52zz__ft_z52pthreadz52(
((BgL_z52pthreadz52_bglt)BgL_arg1227z00_908));} } } } } 

}



/* &<@anonymous:1229> */
obj_t BGl_z62zc3z04anonymousza31229ze3ze5zz__ft_schedulerz00(obj_t BgL_envz00_858, obj_t BgL_iz00_859)
{
{ /* Llib/scheduler.scm 207 */
return 
BBOOL(((bool_t)0));} 

}



/* &<@anonymous:1232> */
obj_t BGl_z62zc3z04anonymousza31232ze3ze5zz__ft_schedulerz00(obj_t BgL_envz00_860, obj_t BgL_iz00_862)
{
{ /* Llib/scheduler.scm 211 */
{ /* Llib/scheduler.scm 212 */
 obj_t BgL_stz00_861;
BgL_stz00_861 = 
PROCEDURE_REF(BgL_envz00_860, 
(int)(0L)); 
{ /* Llib/scheduler.scm 212 */
 bool_t BgL_tmpz00_1646;
{ /* Llib/scheduler.scm 212 */
 bool_t BgL_test1609z00_1647;
if(
INTEGERP(BgL_iz00_862))
{ /* Llib/scheduler.scm 212 */
BgL_test1609z00_1647 = 
INTEGERP(BgL_stz00_861)
; }  else 
{ /* Llib/scheduler.scm 212 */
BgL_test1609z00_1647 = ((bool_t)0)
; } 
if(BgL_test1609z00_1647)
{ /* Llib/scheduler.scm 212 */
BgL_tmpz00_1646 = 
(
(long)CINT(BgL_iz00_862)>=
(long)CINT(BgL_stz00_861))
; }  else 
{ /* Llib/scheduler.scm 212 */
BgL_tmpz00_1646 = 
BGl_2ze3zd3z30zz__r4_numbers_6_5z00(BgL_iz00_862, BgL_stz00_861)
; } } 
return 
BBOOL(BgL_tmpz00_1646);} } } 

}



/* &<@anonymous:1241> */
obj_t BGl_z62zc3z04anonymousza31241ze3ze5zz__ft_schedulerz00(obj_t BgL_envz00_863, obj_t BgL_iz00_865)
{
{ /* Llib/scheduler.scm 214 */
{ /* Llib/scheduler.scm 215 */
 obj_t BgL_argsz00_864;
BgL_argsz00_864 = 
PROCEDURE_REF(BgL_envz00_863, 
(int)(0L)); 
{ /* Llib/scheduler.scm 215 */
 obj_t BgL_fun1242z00_909;
BgL_fun1242z00_909 = 
CAR(
((obj_t)BgL_argsz00_864)); 
return 
BGL_PROCEDURE_CALL1(BgL_fun1242z00_909, BgL_iz00_865);} } } 

}



/* broadcast! */
BGL_EXPORTED_DEF obj_t BGl_broadcastz12z12zz__ft_schedulerz00(obj_t BgL_sigz00_12, obj_t BgL_valz00_13)
{
{ /* Llib/scheduler.scm 278 */
{ /* Llib/scheduler.scm 279 */
 obj_t BgL_tz00_202; obj_t BgL_vz00_203;
BgL_tz00_202 = 
BGl_currentzd2threadzd2zz__threadz00(); 
if(
PAIRP(BgL_valz00_13))
{ /* Llib/scheduler.scm 280 */
BgL_vz00_203 = 
CAR(BgL_valz00_13); }  else 
{ /* Llib/scheduler.scm 280 */
BgL_vz00_203 = BUNSPEC; } 
{ /* Llib/scheduler.scm 281 */
 bool_t BgL_test1613z00_1668;
{ /* Llib/scheduler.scm 281 */
 obj_t BgL_classz00_692;
BgL_classz00_692 = BGl_threadz00zz__threadz00; 
if(
BGL_OBJECTP(BgL_tz00_202))
{ /* Llib/scheduler.scm 281 */
 BgL_objectz00_bglt BgL_arg1827z00_694;
BgL_arg1827z00_694 = 
(BgL_objectz00_bglt)(BgL_tz00_202); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/scheduler.scm 281 */
 long BgL_idxz00_700;
BgL_idxz00_700 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1827z00_694); 
BgL_test1613z00_1668 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_700+1L))==BgL_classz00_692); }  else 
{ /* Llib/scheduler.scm 281 */
 bool_t BgL_res1421z00_725;
{ /* Llib/scheduler.scm 281 */
 obj_t BgL_oclassz00_708;
{ /* Llib/scheduler.scm 281 */
 obj_t BgL_arg1834z00_716; long BgL_arg1835z00_717;
BgL_arg1834z00_716 = 
(BGl_za2classesza2z00zz__objectz00); 
{ /* Llib/scheduler.scm 281 */
 long BgL_arg1836z00_718;
BgL_arg1836z00_718 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1827z00_694); 
BgL_arg1835z00_717 = 
(BgL_arg1836z00_718-OBJECT_TYPE); } 
BgL_oclassz00_708 = 
VECTOR_REF(BgL_arg1834z00_716,BgL_arg1835z00_717); } 
{ /* Llib/scheduler.scm 281 */
 bool_t BgL__ortest_1114z00_709;
BgL__ortest_1114z00_709 = 
(BgL_classz00_692==BgL_oclassz00_708); 
if(BgL__ortest_1114z00_709)
{ /* Llib/scheduler.scm 281 */
BgL_res1421z00_725 = BgL__ortest_1114z00_709; }  else 
{ /* Llib/scheduler.scm 281 */
 long BgL_odepthz00_710;
{ /* Llib/scheduler.scm 281 */
 obj_t BgL_arg1824z00_711;
BgL_arg1824z00_711 = 
(BgL_oclassz00_708); 
BgL_odepthz00_710 = 
BGL_CLASS_DEPTH(BgL_arg1824z00_711); } 
if(
(1L<BgL_odepthz00_710))
{ /* Llib/scheduler.scm 281 */
 obj_t BgL_arg1822z00_713;
{ /* Llib/scheduler.scm 281 */
 obj_t BgL_arg1823z00_714;
BgL_arg1823z00_714 = 
(BgL_oclassz00_708); 
BgL_arg1822z00_713 = 
BGL_CLASS_ANCESTORS_REF(BgL_arg1823z00_714, 1L); } 
BgL_res1421z00_725 = 
(BgL_arg1822z00_713==BgL_classz00_692); }  else 
{ /* Llib/scheduler.scm 281 */
BgL_res1421z00_725 = ((bool_t)0); } } } } 
BgL_test1613z00_1668 = BgL_res1421z00_725; } }  else 
{ /* Llib/scheduler.scm 281 */
BgL_test1613z00_1668 = ((bool_t)0)
; } } 
if(BgL_test1613z00_1668)
{ /* Llib/scheduler.scm 281 */
if(
BGl_z52threadzd2attachedzf3z73zz__ft_z52threadz52(
((BgL_fthreadz00_bglt)BgL_tz00_202)))
{ /* Llib/scheduler.scm 284 */
 obj_t BgL_arg1269z00_207;
BgL_arg1269z00_207 = 
(((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_tz00_202)))->BgL_schedulerz00); 
return 
BGl_z52broadcastz12z40zz__ft_z52schedulerz52(
((BgL_z52schedulerz52_bglt)BgL_arg1269z00_207), BgL_sigz00_12, BgL_vz00_203);}  else 
{ /* Llib/scheduler.scm 282 */
return 
BGl_errorz00zz__errorz00(BGl_string1443z00zz__ft_schedulerz00, BGl_string1444z00zz__ft_schedulerz00, BgL_tz00_202);} }  else 
{ /* Llib/scheduler.scm 281 */
return BFALSE;} } } } 

}



/* &broadcast! */
obj_t BGl_z62broadcastz12z70zz__ft_schedulerz00(obj_t BgL_envz00_866, obj_t BgL_sigz00_867, obj_t BgL_valz00_868)
{
{ /* Llib/scheduler.scm 278 */
return 
BGl_broadcastz12z12zz__ft_schedulerz00(BgL_sigz00_867, BgL_valz00_868);} 

}



/* scheduler-broadcast! */
BGL_EXPORTED_DEF obj_t BGl_schedulerzd2broadcastz12zc0zz__ft_schedulerz00(BgL_schedulerz00_bglt BgL_sz00_14, obj_t BgL_sigz00_15, obj_t BgL_valz00_16)
{
{ /* Llib/scheduler.scm 290 */
{ /* Llib/scheduler.scm 291 */
 obj_t BgL_arg1278z00_726;
if(
PAIRP(BgL_valz00_16))
{ /* Llib/scheduler.scm 291 */
BgL_arg1278z00_726 = 
CAR(BgL_valz00_16); }  else 
{ /* Llib/scheduler.scm 291 */
BgL_arg1278z00_726 = BUNSPEC; } 
return 
BGl_z52schedulerzd2addzd2broadcastz12z40zz__ft_z52schedulerz52(
((BgL_z52schedulerz52_bglt)BgL_sz00_14), BgL_sigz00_15, BgL_arg1278z00_726);} } 

}



/* &scheduler-broadcast! */
obj_t BGl_z62schedulerzd2broadcastz12za2zz__ft_schedulerz00(obj_t BgL_envz00_869, obj_t BgL_sz00_870, obj_t BgL_sigz00_871, obj_t BgL_valz00_872)
{
{ /* Llib/scheduler.scm 290 */
{ /* Llib/scheduler.scm 291 */
 BgL_schedulerz00_bglt BgL_auxz00_1705;
if(
BGl_isazf3zf3zz__objectz00(BgL_sz00_870, BGl_schedulerz00zz__ft_typesz00))
{ /* Llib/scheduler.scm 291 */
BgL_auxz00_1705 = 
((BgL_schedulerz00_bglt)BgL_sz00_870)
; }  else 
{ 
 obj_t BgL_auxz00_1709;
BgL_auxz00_1709 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1434z00zz__ft_schedulerz00, 
BINT(10938L), BGl_string1445z00zz__ft_schedulerz00, BGl_string1436z00zz__ft_schedulerz00, BgL_sz00_870); 
FAILURE(BgL_auxz00_1709,BFALSE,BFALSE);} 
return 
BGl_schedulerzd2broadcastz12zc0zz__ft_schedulerz00(BgL_auxz00_1705, BgL_sigz00_871, BgL_valz00_872);} } 

}



/* scheduler-terminate! */
BGL_EXPORTED_DEF obj_t BGl_schedulerzd2terminatez12zc0zz__ft_schedulerz00(obj_t BgL_sz00_17)
{
{ /* Llib/scheduler.scm 296 */
{ /* Llib/scheduler.scm 297 */
 obj_t BgL_sz00_211;
if(
NULLP(BgL_sz00_17))
{ /* Llib/scheduler.scm 298 */
BgL_sz00_211 = 
BGl_defaultzd2schedulerzd2zz__ft_schedulerz00(BNIL); }  else 
{ /* Llib/scheduler.scm 300 */
 bool_t BgL_test1625z00_1717;
{ /* Llib/scheduler.scm 300 */
 obj_t BgL_arg1382z00_260;
BgL_arg1382z00_260 = 
CAR(
((obj_t)BgL_sz00_17)); 
{ /* Llib/scheduler.scm 300 */
 obj_t BgL_classz00_730;
BgL_classz00_730 = BGl_schedulerz00zz__ft_typesz00; 
if(
BGL_OBJECTP(BgL_arg1382z00_260))
{ /* Llib/scheduler.scm 300 */
 BgL_objectz00_bglt BgL_arg1827z00_732;
BgL_arg1827z00_732 = 
(BgL_objectz00_bglt)(BgL_arg1382z00_260); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/scheduler.scm 300 */
 long BgL_idxz00_738;
BgL_idxz00_738 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1827z00_732); 
BgL_test1625z00_1717 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_738+3L))==BgL_classz00_730); }  else 
{ /* Llib/scheduler.scm 300 */
 bool_t BgL_res1422z00_763;
{ /* Llib/scheduler.scm 300 */
 obj_t BgL_oclassz00_746;
{ /* Llib/scheduler.scm 300 */
 obj_t BgL_arg1834z00_754; long BgL_arg1835z00_755;
BgL_arg1834z00_754 = 
(BGl_za2classesza2z00zz__objectz00); 
{ /* Llib/scheduler.scm 300 */
 long BgL_arg1836z00_756;
BgL_arg1836z00_756 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1827z00_732); 
BgL_arg1835z00_755 = 
(BgL_arg1836z00_756-OBJECT_TYPE); } 
BgL_oclassz00_746 = 
VECTOR_REF(BgL_arg1834z00_754,BgL_arg1835z00_755); } 
{ /* Llib/scheduler.scm 300 */
 bool_t BgL__ortest_1114z00_747;
BgL__ortest_1114z00_747 = 
(BgL_classz00_730==BgL_oclassz00_746); 
if(BgL__ortest_1114z00_747)
{ /* Llib/scheduler.scm 300 */
BgL_res1422z00_763 = BgL__ortest_1114z00_747; }  else 
{ /* Llib/scheduler.scm 300 */
 long BgL_odepthz00_748;
{ /* Llib/scheduler.scm 300 */
 obj_t BgL_arg1824z00_749;
BgL_arg1824z00_749 = 
(BgL_oclassz00_746); 
BgL_odepthz00_748 = 
BGL_CLASS_DEPTH(BgL_arg1824z00_749); } 
if(
(3L<BgL_odepthz00_748))
{ /* Llib/scheduler.scm 300 */
 obj_t BgL_arg1822z00_751;
{ /* Llib/scheduler.scm 300 */
 obj_t BgL_arg1823z00_752;
BgL_arg1823z00_752 = 
(BgL_oclassz00_746); 
BgL_arg1822z00_751 = 
BGL_CLASS_ANCESTORS_REF(BgL_arg1823z00_752, 3L); } 
BgL_res1422z00_763 = 
(BgL_arg1822z00_751==BgL_classz00_730); }  else 
{ /* Llib/scheduler.scm 300 */
BgL_res1422z00_763 = ((bool_t)0); } } } } 
BgL_test1625z00_1717 = BgL_res1422z00_763; } }  else 
{ /* Llib/scheduler.scm 300 */
BgL_test1625z00_1717 = ((bool_t)0)
; } } } 
if(BgL_test1625z00_1717)
{ /* Llib/scheduler.scm 300 */
BgL_sz00_211 = 
CAR(
((obj_t)BgL_sz00_17)); }  else 
{ /* Llib/scheduler.scm 305 */
 obj_t BgL_arg1381z00_259;
BgL_arg1381z00_259 = 
CAR(
((obj_t)BgL_sz00_17)); 
BgL_sz00_211 = 
BGl_errorz00zz__errorz00(BGl_string1446z00zz__ft_schedulerz00, BGl_string1433z00zz__ft_schedulerz00, BgL_arg1381z00_259); } } 
{ /* Llib/scheduler.scm 322 */
 obj_t BgL_arg1286z00_213;
BgL_arg1286z00_213 = 
(((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_sz00_211)))->BgL_currentzd2threadzd2); 
BGl_threadzd2terminatez12zc0zz__threadz00(
((BgL_threadz00_bglt)BgL_arg1286z00_213)); } 
{ /* Llib/scheduler.scm 323 */
 obj_t BgL_g1106z00_214;
BgL_g1106z00_214 = 
(((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_sz00_211)))->BgL_tosuspendzf2resumezf2); 
{ 
 obj_t BgL_l1104z00_216;
BgL_l1104z00_216 = BgL_g1106z00_214; 
BgL_zc3z04anonymousza31287ze3z87_217:
if(
PAIRP(BgL_l1104z00_216))
{ /* Llib/scheduler.scm 323 */
{ /* Llib/scheduler.scm 323 */
 obj_t BgL_arg1325z00_219;
BgL_arg1325z00_219 = 
CAR(BgL_l1104z00_216); 
BGl_threadzd2terminatez12zc0zz__threadz00(
((BgL_threadz00_bglt)BgL_arg1325z00_219)); } 
{ 
 obj_t BgL_l1104z00_1758;
BgL_l1104z00_1758 = 
CDR(BgL_l1104z00_216); 
BgL_l1104z00_216 = BgL_l1104z00_1758; 
goto BgL_zc3z04anonymousza31287ze3z87_217;} }  else 
{ /* Llib/scheduler.scm 323 */((bool_t)1); } } } 
{ /* Llib/scheduler.scm 324 */
 obj_t BgL_g1109z00_222;
BgL_g1109z00_222 = 
(((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_sz00_211)))->BgL_threadszd2runnablezd2); 
{ 
 obj_t BgL_l1107z00_224;
BgL_l1107z00_224 = BgL_g1109z00_222; 
BgL_zc3z04anonymousza31338ze3z87_225:
if(
PAIRP(BgL_l1107z00_224))
{ /* Llib/scheduler.scm 324 */
{ /* Llib/scheduler.scm 324 */
 obj_t BgL_arg1353z00_227;
BgL_arg1353z00_227 = 
CAR(BgL_l1107z00_224); 
BGl_threadzd2terminatez12zc0zz__threadz00(
((BgL_threadz00_bglt)BgL_arg1353z00_227)); } 
{ 
 obj_t BgL_l1107z00_1767;
BgL_l1107z00_1767 = 
CDR(BgL_l1107z00_224); 
BgL_l1107z00_224 = BgL_l1107z00_1767; 
goto BgL_zc3z04anonymousza31338ze3z87_225;} }  else 
{ /* Llib/scheduler.scm 324 */((bool_t)1); } } } 
{ /* Llib/scheduler.scm 325 */
 obj_t BgL_g1112z00_230;
BgL_g1112z00_230 = 
(((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_sz00_211)))->BgL_threadszd2yieldzd2); 
{ 
 obj_t BgL_l1110z00_232;
BgL_l1110z00_232 = BgL_g1112z00_230; 
BgL_zc3z04anonymousza31355ze3z87_233:
if(
PAIRP(BgL_l1110z00_232))
{ /* Llib/scheduler.scm 325 */
{ /* Llib/scheduler.scm 325 */
 obj_t BgL_arg1359z00_235;
BgL_arg1359z00_235 = 
CAR(BgL_l1110z00_232); 
BGl_threadzd2terminatez12zc0zz__threadz00(
((BgL_threadz00_bglt)BgL_arg1359z00_235)); } 
{ 
 obj_t BgL_l1110z00_1776;
BgL_l1110z00_1776 = 
CDR(BgL_l1110z00_232); 
BgL_l1110z00_232 = BgL_l1110z00_1776; 
goto BgL_zc3z04anonymousza31355ze3z87_233;} }  else 
{ /* Llib/scheduler.scm 325 */((bool_t)1); } } } 
{ /* Llib/scheduler.scm 326 */
 obj_t BgL_g1115z00_238;
BgL_g1115z00_238 = 
(((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_sz00_211)))->BgL_threadszd2timeoutzd2); 
{ 
 obj_t BgL_l1113z00_240;
BgL_l1113z00_240 = BgL_g1115z00_238; 
BgL_zc3z04anonymousza31361ze3z87_241:
if(
PAIRP(BgL_l1113z00_240))
{ /* Llib/scheduler.scm 326 */
{ /* Llib/scheduler.scm 326 */
 obj_t BgL_arg1364z00_243;
BgL_arg1364z00_243 = 
CAR(BgL_l1113z00_240); 
BGl_threadzd2terminatez12zc0zz__threadz00(
((BgL_threadz00_bglt)BgL_arg1364z00_243)); } 
{ 
 obj_t BgL_l1113z00_1785;
BgL_l1113z00_1785 = 
CDR(BgL_l1113z00_240); 
BgL_l1113z00_240 = BgL_l1113z00_1785; 
goto BgL_zc3z04anonymousza31361ze3z87_241;} }  else 
{ /* Llib/scheduler.scm 326 */((bool_t)1); } } } 
{ /* Llib/scheduler.scm 328 */
 obj_t BgL_g1118z00_246;
BgL_g1118z00_246 = 
BGl_z52schedulerzd2waitingzd2threadsz52zz__ft_z52schedulerz52(
((BgL_z52schedulerz52_bglt)BgL_sz00_211)); 
{ 
 obj_t BgL_l1116z00_248;
BgL_l1116z00_248 = BgL_g1118z00_246; 
BgL_zc3z04anonymousza31366ze3z87_249:
if(
PAIRP(BgL_l1116z00_248))
{ /* Llib/scheduler.scm 328 */
{ /* Llib/scheduler.scm 328 */
 obj_t BgL_arg1370z00_251;
BgL_arg1370z00_251 = 
CAR(BgL_l1116z00_248); 
BGl_threadzd2terminatez12zc0zz__threadz00(
((BgL_threadz00_bglt)BgL_arg1370z00_251)); } 
{ 
 obj_t BgL_l1116z00_1794;
BgL_l1116z00_1794 = 
CDR(BgL_l1116z00_248); 
BgL_l1116z00_248 = BgL_l1116z00_1794; 
goto BgL_zc3z04anonymousza31366ze3z87_249;} }  else 
{ /* Llib/scheduler.scm 328 */((bool_t)1); } } } 
((((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_sz00_211)))->BgL_tosuspendzf2resumezf2)=((obj_t)BNIL),BUNSPEC); 
((((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_sz00_211)))->BgL_tostartz00)=((obj_t)BNIL),BUNSPEC); 
{ /* Llib/scheduler.scm 333 */
 obj_t BgL_list1374z00_254;
BgL_list1374z00_254 = 
MAKE_YOUNG_PAIR(BTRUE, BNIL); 
return 
BBOOL(
BGl_z52threadzd2iszd2deadz52zz__ft_z52threadz52(
((BgL_fthreadz00_bglt)BgL_sz00_211), BgL_list1374z00_254));} } } 

}



/* &scheduler-terminate! */
obj_t BGl_z62schedulerzd2terminatez12za2zz__ft_schedulerz00(obj_t BgL_envz00_873, obj_t BgL_sz00_874)
{
{ /* Llib/scheduler.scm 296 */
return 
BGl_schedulerzd2terminatez12zc0zz__ft_schedulerz00(BgL_sz00_874);} 

}



/* scheduler-instant */
BGL_EXPORTED_DEF int BGl_schedulerzd2instantzd2zz__ft_schedulerz00(obj_t BgL_sz00_18)
{
{ /* Llib/scheduler.scm 338 */
{ /* Llib/scheduler.scm 339 */
 obj_t BgL_sz00_261;
if(
NULLP(BgL_sz00_18))
{ /* Llib/scheduler.scm 340 */
BgL_sz00_261 = 
BGl_defaultzd2schedulerzd2zz__ft_schedulerz00(BNIL); }  else 
{ /* Llib/scheduler.scm 342 */
 bool_t BgL_test1639z00_1808;
{ /* Llib/scheduler.scm 342 */
 obj_t BgL_arg1406z00_270;
BgL_arg1406z00_270 = 
CAR(
((obj_t)BgL_sz00_18)); 
{ /* Llib/scheduler.scm 342 */
 obj_t BgL_classz00_777;
BgL_classz00_777 = BGl_schedulerz00zz__ft_typesz00; 
if(
BGL_OBJECTP(BgL_arg1406z00_270))
{ /* Llib/scheduler.scm 342 */
 BgL_objectz00_bglt BgL_arg1827z00_779;
BgL_arg1827z00_779 = 
(BgL_objectz00_bglt)(BgL_arg1406z00_270); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/scheduler.scm 342 */
 long BgL_idxz00_785;
BgL_idxz00_785 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1827z00_779); 
BgL_test1639z00_1808 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_785+3L))==BgL_classz00_777); }  else 
{ /* Llib/scheduler.scm 342 */
 bool_t BgL_res1423z00_810;
{ /* Llib/scheduler.scm 342 */
 obj_t BgL_oclassz00_793;
{ /* Llib/scheduler.scm 342 */
 obj_t BgL_arg1834z00_801; long BgL_arg1835z00_802;
BgL_arg1834z00_801 = 
(BGl_za2classesza2z00zz__objectz00); 
{ /* Llib/scheduler.scm 342 */
 long BgL_arg1836z00_803;
BgL_arg1836z00_803 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1827z00_779); 
BgL_arg1835z00_802 = 
(BgL_arg1836z00_803-OBJECT_TYPE); } 
BgL_oclassz00_793 = 
VECTOR_REF(BgL_arg1834z00_801,BgL_arg1835z00_802); } 
{ /* Llib/scheduler.scm 342 */
 bool_t BgL__ortest_1114z00_794;
BgL__ortest_1114z00_794 = 
(BgL_classz00_777==BgL_oclassz00_793); 
if(BgL__ortest_1114z00_794)
{ /* Llib/scheduler.scm 342 */
BgL_res1423z00_810 = BgL__ortest_1114z00_794; }  else 
{ /* Llib/scheduler.scm 342 */
 long BgL_odepthz00_795;
{ /* Llib/scheduler.scm 342 */
 obj_t BgL_arg1824z00_796;
BgL_arg1824z00_796 = 
(BgL_oclassz00_793); 
BgL_odepthz00_795 = 
BGL_CLASS_DEPTH(BgL_arg1824z00_796); } 
if(
(3L<BgL_odepthz00_795))
{ /* Llib/scheduler.scm 342 */
 obj_t BgL_arg1822z00_798;
{ /* Llib/scheduler.scm 342 */
 obj_t BgL_arg1823z00_799;
BgL_arg1823z00_799 = 
(BgL_oclassz00_793); 
BgL_arg1822z00_798 = 
BGL_CLASS_ANCESTORS_REF(BgL_arg1823z00_799, 3L); } 
BgL_res1423z00_810 = 
(BgL_arg1822z00_798==BgL_classz00_777); }  else 
{ /* Llib/scheduler.scm 342 */
BgL_res1423z00_810 = ((bool_t)0); } } } } 
BgL_test1639z00_1808 = BgL_res1423z00_810; } }  else 
{ /* Llib/scheduler.scm 342 */
BgL_test1639z00_1808 = ((bool_t)0)
; } } } 
if(BgL_test1639z00_1808)
{ /* Llib/scheduler.scm 342 */
BgL_sz00_261 = 
CAR(
((obj_t)BgL_sz00_18)); }  else 
{ /* Llib/scheduler.scm 345 */
 obj_t BgL_arg1402z00_269;
BgL_arg1402z00_269 = 
CAR(
((obj_t)BgL_sz00_18)); 
BgL_sz00_261 = 
BGl_errorz00zz__errorz00(BGl_string1447z00zz__ft_schedulerz00, BGl_string1433z00zz__ft_schedulerz00, BgL_arg1402z00_269); } } 
return 
(int)(
(((BgL_ftenvz00_bglt)COBJECT(
((BgL_ftenvz00_bglt)
CAR(
(((BgL_schedulerz00_bglt)COBJECT(
((BgL_schedulerz00_bglt)
((BgL_z52schedulerz52_bglt)BgL_sz00_261))))->BgL_envzb2zb2)))))->BgL_instantz00));} } 

}



/* &scheduler-instant */
obj_t BGl_z62schedulerzd2instantzb0zz__ft_schedulerz00(obj_t BgL_envz00_875, obj_t BgL_sz00_876)
{
{ /* Llib/scheduler.scm 338 */
return 
BINT(
BGl_schedulerzd2instantzd2zz__ft_schedulerz00(BgL_sz00_876));} 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__ft_schedulerz00(void)
{
{ /* Llib/scheduler.scm 15 */
return BUNSPEC;} 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__ft_schedulerz00(void)
{
{ /* Llib/scheduler.scm 15 */
return BUNSPEC;} 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__ft_schedulerz00(void)
{
{ /* Llib/scheduler.scm 15 */
return BUNSPEC;} 

}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__ft_schedulerz00(void)
{
{ /* Llib/scheduler.scm 15 */
BGl_modulezd2initializa7ationz75zz__ft_typesz00(414892275L, 
BSTRING_TO_STRING(BGl_string1448z00zz__ft_schedulerz00)); 
BGl_modulezd2initializa7ationz75zz__ft_z52typesz52(0L, 
BSTRING_TO_STRING(BGl_string1448z00zz__ft_schedulerz00)); 
BGl_modulezd2initializa7ationz75zz__ft_z52schedulerz52(398966270L, 
BSTRING_TO_STRING(BGl_string1448z00zz__ft_schedulerz00)); 
BGl_modulezd2initializa7ationz75zz__ft_z52envz52(471565054L, 
BSTRING_TO_STRING(BGl_string1448z00zz__ft_schedulerz00)); 
BGl_modulezd2initializa7ationz75zz__ft_z52threadz52(536507091L, 
BSTRING_TO_STRING(BGl_string1448z00zz__ft_schedulerz00)); 
BGl_modulezd2initializa7ationz75zz__ft_threadz00(431919647L, 
BSTRING_TO_STRING(BGl_string1448z00zz__ft_schedulerz00)); 
BGl_modulezd2initializa7ationz75zz__ft_signalz00(295111899L, 
BSTRING_TO_STRING(BGl_string1448z00zz__ft_schedulerz00)); 
return 
BGl_modulezd2initializa7ationz75zz__ft_z52pthreadz52(486293435L, 
BSTRING_TO_STRING(BGl_string1448z00zz__ft_schedulerz00));} 

}

#ifdef __cplusplus
}
#endif
