/*===========================================================================*/
/*   (Llib/thread.scm)                                                       */
/*   Bigloo (4.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Jan 27 07:55:05 AM CET 2025     */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.6a-build/bigloo-4.6a/bin/bigloo -ldopt -L/builddir/build/BUILD/bigloo-4.6a-build/bigloo-4.6a/libbacktrace/usr/lib64/bigloo/4.6a  -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo-4.6a-build/bigloo-4.6a/lib/bigloo/4.6a -I Llib -lib-dir /builddir/build/BUILD/bigloo-4.6a-build/bigloo-4.6a/lib/bigloo/4.6a -unsafe -safee -copt -fPIC -copt -IPosix Llib/thread.scm -o objs/thread.o -c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C" {
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL___FT_THREAD_TYPE_DEFINITIONS
#define BGL___FT_THREAD_TYPE_DEFINITIONS

/* object type definitions */
typedef struct BgL_threadz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_namez00;
} *BgL_threadz00_bglt;

typedef struct BgL_z62exceptionz62_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_stackz00;
} *BgL_z62exceptionz62_bglt;

typedef struct BgL_terminatedzd2threadzd2exceptionz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_stackz00;
} *BgL_terminatedzd2threadzd2exceptionz00_bglt;

typedef struct BgL_fthreadz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_namez00;
   obj_t BgL_schedulerz00;
   obj_t BgL_z52builtinz52;
   int BgL_z52timeoutz52;
   obj_t BgL_z52statez52;
   bool_t BgL_z52iszd2suspendz80;
   obj_t BgL_z52terminatez52;
   obj_t BgL_z52resultz52;
   obj_t BgL_z52exczd2resultz80;
   bool_t BgL_z52exczd2raisedz80;
   int BgL_z52identz52;
   obj_t BgL_z52signalsz52;
   obj_t BgL_z52awakezd2signalz80;
   obj_t BgL_z52awakezd2valuez80;
   obj_t BgL_z52cleanupz52;
   obj_t BgL_z52specificz52;
   obj_t BgL_bodyz00;
} *BgL_fthreadz00_bglt;

typedef struct BgL_schedulerz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_namez00;
   obj_t BgL_schedulerz00;
   obj_t BgL_z52builtinz52;
   int BgL_z52timeoutz52;
   obj_t BgL_z52statez52;
   bool_t BgL_z52iszd2suspendz80;
   obj_t BgL_z52terminatez52;
   obj_t BgL_z52resultz52;
   obj_t BgL_z52exczd2resultz80;
   bool_t BgL_z52exczd2raisedz80;
   int BgL_z52identz52;
   obj_t BgL_z52signalsz52;
   obj_t BgL_z52awakezd2signalz80;
   obj_t BgL_z52awakezd2valuez80;
   obj_t BgL_z52cleanupz52;
   obj_t BgL_z52specificz52;
   obj_t BgL_bodyz00;
   obj_t BgL_envzb2zb2;
   obj_t BgL_strictzd2orderzf3z21;
} *BgL_schedulerz00_bglt;

typedef struct BgL_z52sigjoinz52_bgl {
   header_t header;
   obj_t widening;
   struct BgL_fthreadz00_bgl * BgL_threadz00;
} *BgL_z52sigjoinz52_bglt;

typedef struct BgL_z52schedulerz52_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_namez00;
   obj_t BgL_schedulerz00;
   obj_t BgL_z52builtinz52;
   int BgL_z52timeoutz52;
   obj_t BgL_z52statez52;
   bool_t BgL_z52iszd2suspendz80;
   obj_t BgL_z52terminatez52;
   obj_t BgL_z52resultz52;
   obj_t BgL_z52exczd2resultz80;
   bool_t BgL_z52exczd2raisedz80;
   int BgL_z52identz52;
   obj_t BgL_z52signalsz52;
   obj_t BgL_z52awakezd2signalz80;
   obj_t BgL_z52awakezd2valuez80;
   obj_t BgL_z52cleanupz52;
   obj_t BgL_z52specificz52;
   obj_t BgL_bodyz00;
   obj_t BgL_envzb2zb2;
   obj_t BgL_strictzd2orderzf3z21;
   obj_t BgL_nextzd2instantzd2;
   obj_t BgL_currentzd2threadzd2;
   int BgL_z52livezd2threadzd2numberz52;
   bool_t BgL_z52threadszd2readyz80;
   obj_t BgL_threadszd2runnablezd2;
   obj_t BgL_threadszd2runnablezd2lastzd2pairzd2;
   obj_t BgL_asynczd2runnablezd2;
   obj_t BgL_threadszd2timeoutzd2;
   obj_t BgL_threadszd2yieldzd2;
   obj_t BgL_tostartz00;
   obj_t BgL_toterminatez00;
   obj_t BgL_tosuspendzf2resumezf2;
   obj_t BgL_tobroadcastz00;
   obj_t BgL_tospawnz00;
   obj_t BgL_currentzd2tokenzd2;
} *BgL_z52schedulerz52_bglt;

typedef struct BgL_z52sigasyncz52_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_spawnedz00;
   obj_t BgL_idz00;
   obj_t BgL_thunkz00;
} *BgL_z52sigasyncz52_bglt;

typedef struct BgL_joinzd2timeoutzd2exceptionz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_stackz00;
} *BgL_joinzd2timeoutzd2exceptionz00_bglt;


#endif // BGL___FT_THREAD_TYPE_DEFINITIONS
#endif // BGL_MODULE_TYPE_DEFINITIONS

BGL_EXPORTED_DECL obj_t BGl_threadzd2awaitza2z12z62zz__ft_threadz00(obj_t, obj_t);
static obj_t BGl_z62threadzd2specificzd2fthr1153z62zz__ft_threadz00(obj_t, obj_t);
static obj_t BGl_z62threadzd2getzd2valuesz12z70zz__ft_threadz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_threadzd2getzd2valuesza2z12zb0zz__ft_threadz00(obj_t);
static obj_t BGl_requirezd2initializa7ationz75zz__ft_threadz00 = BUNSPEC;
BGL_IMPORT obj_t BGl_raisez00zz__errorz00(obj_t);
static obj_t BGl_z62threadzd2resumez12za2zz__ft_threadz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
BGL_EXPORTED_DECL obj_t BGl_threadzd2awaitzd2valuesza2z12zb0zz__ft_threadz00(obj_t, obj_t);
extern bool_t BGl_z52threadzd2iszd2deadz52zz__ft_z52threadz52(BgL_fthreadz00_bglt, obj_t);
static obj_t BGl_toplevelzd2initzd2zz__ft_threadz00(void);
static obj_t BGl_z62threadzd2joinz12zd2fthread1145z70zz__ft_threadz00(obj_t, obj_t, obj_t);
static obj_t BGl_genericzd2initzd2zz__ft_threadz00(void);
static obj_t BGl_objectzd2initzd2zz__ft_threadz00(void);
BGL_IMPORT obj_t BGl_libraryzd2multithreadzd2setz12z12zz__libraryz00(bool_t);
static obj_t BGl_z62threadzd2awaitzd2valuesza2z12zd2zz__ft_threadz00(obj_t, obj_t, obj_t);
BGL_IMPORT bool_t BGl_2ze3ze3zz__r4_numbers_6_5z00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
BGL_IMPORT obj_t BGl_z62exceptionz62zz__objectz00;
BGL_EXPORTED_DECL obj_t BGl_threadzd2resumez12zc0zz__ft_threadz00(BgL_fthreadz00_bglt);
static obj_t BGl_z62threadzd2awaitz12za2zz__ft_threadz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62objectzd2writezd2fthread1147z62zz__ft_threadz00(obj_t, obj_t, obj_t);
BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t, obj_t, obj_t);
extern obj_t BGl_fthreadz00zz__ft_typesz00;
static obj_t BGl_methodzd2initzd2zz__ft_threadz00(void);
extern obj_t BGl_z52sigjoinz52zz__ft_typesz00;
extern obj_t BGl_z52pthreadzd2newz80zz__ft_z52pthreadz52(BgL_fthreadz00_bglt);
static obj_t BGl_z62threadzd2cleanupzd2fthre1157z62zz__ft_threadz00(obj_t, obj_t);
extern bool_t BGl_z52threadzd2attachedzf3z73zz__ft_z52threadz52(BgL_fthreadz00_bglt);
BGL_EXPORTED_DEF obj_t BGl_joinzd2timeoutzd2exceptionz00zz__ft_threadz00 = BUNSPEC;
extern obj_t BGl_signalzd2registerzd2threadz12z12zz__ft_signalz00(obj_t, obj_t, BgL_threadz00_bglt);
extern bool_t BGl_z52threadzd2iszd2terminatedz52zz__ft_z52threadz52(BgL_fthreadz00_bglt, obj_t);
BGL_EXPORTED_DECL obj_t BGl_threadzd2getzd2valuesz12z12zz__ft_threadz00(obj_t);
BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31182ze3ze5zz__ft_threadz00(obj_t);
extern bool_t BGl_z52threadzd2iszd2toterminatez52zz__ft_z52threadz52(BgL_fthreadz00_bglt, obj_t);
extern obj_t BGl_z52schedulerzd2spawnzd2asyncz52zz__ft_z52schedulerz52(BgL_z52schedulerz52_bglt, BgL_z52sigasyncz52_bglt);
BGL_IMPORT obj_t BGl_terminatedzd2threadzd2exceptionz00zz__pth_threadz00;
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__ft_threadz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__ft_z52pthreadz52(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__ft_signalz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__ft_z52envz52(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__ft_envz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__ft_z52schedulerz52(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__ft_schedulerz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__ft_z52threadz52(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__ft_z52typesz52(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__ft_typesz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__pth_threadz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__libraryz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
BGL_IMPORT obj_t BGl_withzd2outputzd2tozd2portzd2zz__r4_ports_6_10_1z00(obj_t, obj_t);
static obj_t BGl_z62threadzd2terminatez12zd2ft1151z70zz__ft_threadz00(obj_t, obj_t);
extern obj_t BGl_z52sigasyncz52zz__ft_z52typesz52;
BGL_IMPORT obj_t BGl_currentzd2threadzd2zz__threadz00(void);
BGL_IMPORT bool_t BGl_numberzf3zf3zz__r4_numbers_6_5z00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_threadzd2awaitz12zc0zz__ft_threadz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_threadzd2startz12zc0zz__threadz00(BgL_threadz00_bglt, obj_t);
static obj_t BGl_cnstzd2initzd2zz__ft_threadz00(void);
static obj_t BGl_libraryzd2moduleszd2initz00zz__ft_threadz00(void);
BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zz__ft_threadz00(void);
extern obj_t BGl_z52threadzd2cooperatez80zz__ft_z52threadz52(BgL_fthreadz00_bglt);
static obj_t BGl_gczd2rootszd2initz00zz__ft_threadz00(void);
BGL_EXPORTED_DECL obj_t BGl_threadzd2suspendz12zc0zz__ft_threadz00(BgL_fthreadz00_bglt);
static obj_t BGl_z62threadzd2suspendz12za2zz__ft_threadz00(obj_t, obj_t);
static obj_t BGl_z62threadzd2specificzd2setz121155z70zz__ft_threadz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
extern obj_t BGl_signalzd2lookupzd2zz__ft_signalz00(obj_t, obj_t);
static obj_t BGl_z62threadzd2awaitzd2valuesz12z70zz__ft_threadz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_displayza2za2zz__r4_output_6_10_3z00(obj_t);
BGL_IMPORT obj_t BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(obj_t);
static obj_t BGl_threadzd2suspendzf2resumez12z32zz__ft_threadz00(BgL_fthreadz00_bglt, obj_t, bool_t);
static obj_t BGl_z62zc3z04anonymousza31734ze3ze5zz__ft_threadz00(obj_t);
extern obj_t BGl_z52threadzd2timeoutz12z92zz__ft_z52threadz52(BgL_fthreadz00_bglt, int);
static obj_t BGl_z62threadzd2getzd2valuesza2z12zd2zz__ft_threadz00(obj_t, obj_t);
static BgL_joinzd2timeoutzd2exceptionz00_bglt BGl_z62lambda1387z62zz__ft_threadz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62threadzd2cleanupzd2setz12zd21159za2zz__ft_threadz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62threadzd2awaitza2z12z00zz__ft_threadz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_threadzd2awaitzd2valuesz12z12zz__ft_threadz00(obj_t, obj_t);
static BgL_joinzd2timeoutzd2exceptionz00_bglt BGl_z62lambda1397z62zz__ft_threadz00(obj_t);
BGL_IMPORT obj_t BGl_bigloozd2typezd2errorz00zz__errorz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t, obj_t, obj_t);
extern BgL_schedulerz00_bglt BGl_z52getzd2optionalzd2schedulerz52zz__ft_z52schedulerz52(obj_t, obj_t);
extern obj_t BGl_z52threadzd2asynchroniza7ez12z35zz__ft_z52threadz52(BgL_fthreadz00_bglt, obj_t);
extern obj_t BGl_signalzd2valuezd2zz__ft_signalz00(obj_t, obj_t);
static obj_t BGl_z62threadzd2startz12zd2fthrea1149z70zz__ft_threadz00(obj_t, obj_t, obj_t);
extern obj_t BGl_z52threadzd2synchroniza7ez12z35zz__ft_z52threadz52(obj_t);
extern obj_t BGl_z52threadzd2yieldz12z92zz__ft_z52threadz52(BgL_fthreadz00_bglt);
BGL_IMPORT bool_t BGl_2ze3zd3z30zz__r4_numbers_6_5z00(obj_t, obj_t);
static obj_t BGl_z62objectzd2equalzf3zd2z52sigjo1143zc3zz__ft_threadz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_threadz00zz__threadz00;
static obj_t BGl_z62zc3z04anonymousza31399ze3ze5zz__ft_threadz00(obj_t, obj_t);
extern obj_t BGl_z52broadcastz12z40zz__ft_z52schedulerz52(BgL_z52schedulerz52_bglt, obj_t, obj_t);
extern obj_t BGl_signalzd2lastzd2valuesz00zz__ft_signalz00(obj_t, obj_t);
static obj_t BGl_awaitze70ze7zz__ft_threadz00(obj_t, BgL_schedulerz00_bglt, obj_t);
static obj_t __cnst[ 11 ] ;


DEFINE_EXPORT_BGL_PROCEDURE( BGl_threadzd2resumez12zd2envz12zz__ft_threadz00, BgL_bgl_za762threadza7d2resu1883z00, BGl_z62threadzd2resumez12za2zz__ft_threadz00, 0L, BUNSPEC, 1 );
BGL_IMPORT obj_t BGl_threadzd2cleanupzd2envz00zz__threadz00;
DEFINE_EXPORT_BGL_PROCEDURE( BGl_threadzd2awaitz12zd2envz12zz__ft_threadz00, BgL_bgl_za762threadza7d2awai1884z00, va_generic_entry, BGl_z62threadzd2awaitz12za2zz__ft_threadz00, BUNSPEC, -2 );
BGL_IMPORT obj_t BGl_threadzd2startz12zd2envz12zz__threadz00;
BGL_IMPORT obj_t BGl_objectzd2writezd2envz00zz__objectz00;
BGL_IMPORT obj_t BGl_threadzd2joinz12zd2envz12zz__threadz00;
BGL_IMPORT obj_t BGl_threadzd2specificzd2envz00zz__threadz00;
DEFINE_STRING( BGl_string1836z00zz__ft_threadz00, BgL_bgl_string1836za700za7za7_1885za7, "Llib/thread.scm", 15 );
DEFINE_STRING( BGl_string1837z00zz__ft_threadz00, BgL_bgl_string1837za700za7za7_1886za7, "thread-await", 12 );
DEFINE_STRING( BGl_string1838z00zz__ft_threadz00, BgL_bgl_string1838za700za7za7_1887za7, "Illegal timeout", 15 );
DEFINE_STRING( BGl_string1839z00zz__ft_threadz00, BgL_bgl_string1839za700za7za7_1888za7, "unattached thread", 17 );
DEFINE_STRING( BGl_string1840z00zz__ft_threadz00, BgL_bgl_string1840za700za7za7_1889za7, "no such thread", 14 );
DEFINE_STRING( BGl_string1841z00zz__ft_threadz00, BgL_bgl_string1841za700za7za7_1890za7, "thread-await*", 13 );
DEFINE_STRING( BGl_string1842z00zz__ft_threadz00, BgL_bgl_string1842za700za7za7_1891za7, "/builddir/build/BUILD/bigloo-4.6a-build/bigloo-4.6a/api/fthread/src/Llib/thread.scm", 83 );
DEFINE_STRING( BGl_string1843z00zz__ft_threadz00, BgL_bgl_string1843za700za7za7_1892za7, "&thread-await*!", 15 );
DEFINE_STRING( BGl_string1844z00zz__ft_threadz00, BgL_bgl_string1844za700za7za7_1893za7, "pair", 4 );
DEFINE_STRING( BGl_string1845z00zz__ft_threadz00, BgL_bgl_string1845za700za7za7_1894za7, "&thread-get-values*!", 20 );
DEFINE_STRING( BGl_string1846z00zz__ft_threadz00, BgL_bgl_string1846za700za7za7_1895za7, "&thread-await-values*!", 22 );
DEFINE_STRING( BGl_string1847z00zz__ft_threadz00, BgL_bgl_string1847za700za7za7_1896za7, "Unattached thread", 17 );
DEFINE_STRING( BGl_string1848z00zz__ft_threadz00, BgL_bgl_string1848za700za7za7_1897za7, "&thread-suspend!", 16 );
DEFINE_STRING( BGl_string1849z00zz__ft_threadz00, BgL_bgl_string1849za700za7za7_1898za7, "fthread", 7 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_threadzd2awaitzd2valuesza2z12zd2envz62zz__ft_threadz00, BgL_bgl_za762threadza7d2awai1899z00, va_generic_entry, BGl_z62threadzd2awaitzd2valuesza2z12zd2zz__ft_threadz00, BUNSPEC, -2 );
DEFINE_STRING( BGl_string1850z00zz__ft_threadz00, BgL_bgl_string1850za700za7za7_1900za7, "&thread-resume!", 15 );
DEFINE_STRING( BGl_string1855z00zz__ft_threadz00, BgL_bgl_string1855za700za7za7_1901za7, "object-equal?", 13 );
DEFINE_STRING( BGl_string1857z00zz__ft_threadz00, BgL_bgl_string1857za700za7za7_1902za7, "thread-join!", 12 );
DEFINE_STRING( BGl_string1859z00zz__ft_threadz00, BgL_bgl_string1859za700za7za7_1903za7, "object-write", 12 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1851z00zz__ft_threadz00, BgL_bgl_za762za7c3za704anonymo1904za7, BGl_z62zc3z04anonymousza31399ze3ze5zz__ft_threadz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1852z00zz__ft_threadz00, BgL_bgl_za762lambda1397za7621905z00, BGl_z62lambda1397z62zz__ft_threadz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1853z00zz__ft_threadz00, BgL_bgl_za762lambda1387za7621906z00, BGl_z62lambda1387z62zz__ft_threadz00, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1854z00zz__ft_threadz00, BgL_bgl_za762objectza7d2equa1907z00, BGl_z62objectzd2equalzf3zd2z52sigjo1143zc3zz__ft_threadz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string1861z00zz__ft_threadz00, BgL_bgl_string1861za700za7za7_1908za7, "thread-start!", 13 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1856z00zz__ft_threadz00, BgL_bgl_za762threadza7d2join1909z00, va_generic_entry, BGl_z62threadzd2joinz12zd2fthread1145z70zz__ft_threadz00, BUNSPEC, -2 );
DEFINE_STRING( BGl_string1863z00zz__ft_threadz00, BgL_bgl_string1863za700za7za7_1910za7, "thread-terminate!", 17 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1858z00zz__ft_threadz00, BgL_bgl_za762objectza7d2writ1911z00, va_generic_entry, BGl_z62objectzd2writezd2fthread1147z62zz__ft_threadz00, BUNSPEC, -2 );
DEFINE_STRING( BGl_string1865z00zz__ft_threadz00, BgL_bgl_string1865za700za7za7_1912za7, "thread-specific", 15 );
DEFINE_STRING( BGl_string1867z00zz__ft_threadz00, BgL_bgl_string1867za700za7za7_1913za7, "thread-specific-set!", 20 );
DEFINE_STRING( BGl_string1869z00zz__ft_threadz00, BgL_bgl_string1869za700za7za7_1914za7, "thread-cleanup", 14 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1860z00zz__ft_threadz00, BgL_bgl_za762threadza7d2star1915z00, va_generic_entry, BGl_z62threadzd2startz12zd2fthrea1149z70zz__ft_threadz00, BUNSPEC, -2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1862z00zz__ft_threadz00, BgL_bgl_za762threadza7d2term1916z00, BGl_z62threadzd2terminatez12zd2ft1151z70zz__ft_threadz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1864z00zz__ft_threadz00, BgL_bgl_za762threadza7d2spec1917z00, BGl_z62threadzd2specificzd2fthr1153z62zz__ft_threadz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1871z00zz__ft_threadz00, BgL_bgl_string1871za700za7za7_1918za7, "thread-cleanup-set!", 19 );
DEFINE_STRING( BGl_string1872z00zz__ft_threadz00, BgL_bgl_string1872za700za7za7_1919za7, "thread already running", 22 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1866z00zz__ft_threadz00, BgL_bgl_za762threadza7d2spec1920z00, BGl_z62threadzd2specificzd2setz121155z70zz__ft_threadz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string1873z00zz__ft_threadz00, BgL_bgl_string1873za700za7za7_1921za7, ">", 1 );
DEFINE_STRING( BGl_string1874z00zz__ft_threadz00, BgL_bgl_string1874za700za7za7_1922za7, " signals=", 9 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1868z00zz__ft_threadz00, BgL_bgl_za762threadza7d2clea1923z00, BGl_z62threadzd2cleanupzd2fthre1157z62zz__ft_threadz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1875z00zz__ft_threadz00, BgL_bgl_string1875za700za7za7_1924za7, " timeout=", 9 );
DEFINE_STRING( BGl_string1876z00zz__ft_threadz00, BgL_bgl_string1876za700za7za7_1925za7, " state=", 7 );
DEFINE_STRING( BGl_string1877z00zz__ft_threadz00, BgL_bgl_string1877za700za7za7_1926za7, "#<fthread:", 10 );
DEFINE_STRING( BGl_string1878z00zz__ft_threadz00, BgL_bgl_string1878za700za7za7_1927za7, "thread-join", 11 );
DEFINE_STRING( BGl_string1879z00zz__ft_threadz00, BgL_bgl_string1879za700za7za7_1928za7, "integer", 7 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1870z00zz__ft_threadz00, BgL_bgl_za762threadza7d2clea1929z00, BGl_z62threadzd2cleanupzd2setz12zd21159za2zz__ft_threadz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string1880z00zz__ft_threadz00, BgL_bgl_string1880za700za7za7_1930za7, "__ft_thread", 11 );
DEFINE_STRING( BGl_string1881z00zz__ft_threadz00, BgL_bgl_string1881za700za7za7_1931za7, "dead terminated started thread-start! thread-terminate! __ft_thread join-timeout-exception thread-resume! thread-suspend! end init ", 131 );
BGL_IMPORT obj_t BGl_objectzd2equalzf3zd2envzf3zz__objectz00;
DEFINE_EXPORT_BGL_PROCEDURE( BGl_threadzd2getzd2valuesza2z12zd2envz62zz__ft_threadz00, BgL_bgl_za762threadza7d2getza71932za7, BGl_z62threadzd2getzd2valuesza2z12zd2zz__ft_threadz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_threadzd2suspendz12zd2envz12zz__ft_threadz00, BgL_bgl_za762threadza7d2susp1933z00, BGl_z62threadzd2suspendz12za2zz__ft_threadz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_threadzd2awaitza2z12zd2envzb0zz__ft_threadz00, BgL_bgl_za762threadza7d2awai1934z00, va_generic_entry, BGl_z62threadzd2awaitza2z12z00zz__ft_threadz00, BUNSPEC, -2 );
BGL_IMPORT obj_t BGl_threadzd2terminatez12zd2envz12zz__threadz00;
DEFINE_EXPORT_BGL_PROCEDURE( BGl_threadzd2getzd2valuesz12zd2envzc0zz__ft_threadz00, BgL_bgl_za762threadza7d2getza71935za7, BGl_z62threadzd2getzd2valuesz12z70zz__ft_threadz00, 0L, BUNSPEC, 1 );
BGL_IMPORT obj_t BGl_threadzd2specificzd2setz12zd2envzc0zz__threadz00;
BGL_IMPORT obj_t BGl_threadzd2cleanupzd2setz12zd2envzc0zz__threadz00;
DEFINE_EXPORT_BGL_PROCEDURE( BGl_threadzd2awaitzd2valuesz12zd2envzc0zz__ft_threadz00, BgL_bgl_za762threadza7d2awai1936z00, va_generic_entry, BGl_z62threadzd2awaitzd2valuesz12z70zz__ft_threadz00, BUNSPEC, -2 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__ft_threadz00) );
ADD_ROOT( (void *)(&BGl_joinzd2timeoutzd2exceptionz00zz__ft_threadz00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__ft_threadz00(long BgL_checksumz00_1110, char * BgL_fromz00_1111)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__ft_threadz00))
{ 
BGl_requirezd2initializa7ationz75zz__ft_threadz00 = 
BBOOL(((bool_t)0)); 
BGL_GC_INIT(); 
BGl_gczd2rootszd2initz00zz__ft_threadz00(); 
BGl_libraryzd2moduleszd2initz00zz__ft_threadz00(); 
BGl_cnstzd2initzd2zz__ft_threadz00(); 
BGl_importedzd2moduleszd2initz00zz__ft_threadz00(); 
BGl_objectzd2initzd2zz__ft_threadz00(); 
BGl_methodzd2initzd2zz__ft_threadz00(); 
return 
BGl_toplevelzd2initzd2zz__ft_threadz00();}  else 
{ 
return BUNSPEC;} } 

}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zz__ft_threadz00(void)
{
{ /* Llib/thread.scm 15 */
BGl_modulezd2initializa7ationz75zz__errorz00(0L, "__ft_thread"); 
BGl_modulezd2initializa7ationz75zz__objectz00(0L, "__ft_thread"); 
BGl_modulezd2initializa7ationz75zz__threadz00(0L, "__ft_thread"); 
BGl_modulezd2initializa7ationz75zz__libraryz00(0L, "__ft_thread"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(0L, "__ft_thread"); 
BGl_modulezd2initializa7ationz75zz__readerz00(0L, "__ft_thread"); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(0L, "__ft_thread"); 
BGl_modulezd2initializa7ationz75zz__pth_threadz00(0L, "__ft_thread"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(0L, "__ft_thread"); 
BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(0L, "__ft_thread"); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(0L, "__ft_thread"); 
BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(0L, "__ft_thread"); 
BGl_modulezd2initializa7ationz75zz__bexitz00(0L, "__ft_thread"); 
BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(0L, "__ft_thread"); 
BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(0L, "__ft_thread"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(0L, "__ft_thread"); 
return BUNSPEC;} 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__ft_threadz00(void)
{
{ /* Llib/thread.scm 15 */
{ /* Llib/thread.scm 15 */
 obj_t BgL_cportz00_959;
{ /* Llib/thread.scm 15 */
 obj_t BgL_stringz00_966;
BgL_stringz00_966 = BGl_string1881z00zz__ft_threadz00; 
{ /* Llib/thread.scm 15 */
 obj_t BgL_startz00_967;
BgL_startz00_967 = 
BINT(0L); 
{ /* Llib/thread.scm 15 */
 obj_t BgL_endz00_968;
BgL_endz00_968 = 
BINT(
STRING_LENGTH(
((obj_t)BgL_stringz00_966))); 
{ /* Llib/thread.scm 15 */

BgL_cportz00_959 = 
BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(BgL_stringz00_966, BgL_startz00_967, BgL_endz00_968); } } } } 
{ 
 long BgL_iz00_960;
BgL_iz00_960 = 10L; 
BgL_loopz00_961:
if(
(BgL_iz00_960==(-1L)))
{ /* Llib/thread.scm 15 */
return BUNSPEC;}  else 
{ /* Llib/thread.scm 15 */
{ /* Llib/thread.scm 15 */
 obj_t BgL_arg1882z00_962;
{ /* Llib/thread.scm 15 */

{ /* Llib/thread.scm 15 */
 obj_t BgL_locationz00_964;
BgL_locationz00_964 = 
BBOOL(((bool_t)0)); 
{ /* Llib/thread.scm 15 */

BgL_arg1882z00_962 = 
BGl_readz00zz__readerz00(BgL_cportz00_959, BgL_locationz00_964); } } } 
{ /* Llib/thread.scm 15 */
 int BgL_tmpz00_1148;
BgL_tmpz00_1148 = 
(int)(BgL_iz00_960); 
CNST_TABLE_SET(BgL_tmpz00_1148, BgL_arg1882z00_962); } } 
{ /* Llib/thread.scm 15 */
 int BgL_auxz00_965;
BgL_auxz00_965 = 
(int)(
(BgL_iz00_960-1L)); 
{ 
 long BgL_iz00_1153;
BgL_iz00_1153 = 
(long)(BgL_auxz00_965); 
BgL_iz00_960 = BgL_iz00_1153; 
goto BgL_loopz00_961;} } } } } } 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__ft_threadz00(void)
{
{ /* Llib/thread.scm 15 */
return 
bgl_gc_roots_register();} 

}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__ft_threadz00(void)
{
{ /* Llib/thread.scm 15 */
BGl_modulezd2initializa7ationz75zz__pth_threadz00(0L, 
BSTRING_TO_STRING(BGl_string1836z00zz__ft_threadz00)); 
BGl_libraryzd2multithreadzd2setz12z12zz__libraryz00(((bool_t)1)); 
return BUNSPEC;} 

}



/* thread-await! */
BGL_EXPORTED_DEF obj_t BGl_threadzd2awaitz12zc0zz__ft_threadz00(obj_t BgL_sigz00_7, obj_t BgL_argz00_8)
{
{ /* Llib/thread.scm 107 */
{ /* Llib/thread.scm 108 */
 obj_t BgL_tz00_43;
BgL_tz00_43 = 
BGl_currentzd2threadzd2zz__threadz00(); 
{ /* Llib/thread.scm 108 */

{ 
 BgL_schedulerz00_bglt BgL_scdlz00_80; obj_t BgL_sigz00_81; obj_t BgL_timeoutz00_82;
{ /* Llib/thread.scm 159 */
 bool_t BgL_test1939z00_1160;
{ /* Llib/thread.scm 159 */
 obj_t BgL_classz00_504;
BgL_classz00_504 = BGl_threadz00zz__threadz00; 
if(
BGL_OBJECTP(BgL_tz00_43))
{ /* Llib/thread.scm 159 */
 BgL_objectz00_bglt BgL_arg1827z00_506;
BgL_arg1827z00_506 = 
(BgL_objectz00_bglt)(BgL_tz00_43); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/thread.scm 159 */
 long BgL_idxz00_512;
BgL_idxz00_512 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1827z00_506); 
BgL_test1939z00_1160 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_512+1L))==BgL_classz00_504); }  else 
{ /* Llib/thread.scm 159 */
 bool_t BgL_res1802z00_537;
{ /* Llib/thread.scm 159 */
 obj_t BgL_oclassz00_520;
{ /* Llib/thread.scm 159 */
 obj_t BgL_arg1834z00_528; long BgL_arg1835z00_529;
BgL_arg1834z00_528 = 
(BGl_za2classesza2z00zz__objectz00); 
{ /* Llib/thread.scm 159 */
 long BgL_arg1836z00_530;
BgL_arg1836z00_530 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1827z00_506); 
BgL_arg1835z00_529 = 
(BgL_arg1836z00_530-OBJECT_TYPE); } 
BgL_oclassz00_520 = 
VECTOR_REF(BgL_arg1834z00_528,BgL_arg1835z00_529); } 
{ /* Llib/thread.scm 159 */
 bool_t BgL__ortest_1114z00_521;
BgL__ortest_1114z00_521 = 
(BgL_classz00_504==BgL_oclassz00_520); 
if(BgL__ortest_1114z00_521)
{ /* Llib/thread.scm 159 */
BgL_res1802z00_537 = BgL__ortest_1114z00_521; }  else 
{ /* Llib/thread.scm 159 */
 long BgL_odepthz00_522;
{ /* Llib/thread.scm 159 */
 obj_t BgL_arg1824z00_523;
BgL_arg1824z00_523 = 
(BgL_oclassz00_520); 
BgL_odepthz00_522 = 
BGL_CLASS_DEPTH(BgL_arg1824z00_523); } 
if(
(1L<BgL_odepthz00_522))
{ /* Llib/thread.scm 159 */
 obj_t BgL_arg1822z00_525;
{ /* Llib/thread.scm 159 */
 obj_t BgL_arg1823z00_526;
BgL_arg1823z00_526 = 
(BgL_oclassz00_520); 
BgL_arg1822z00_525 = 
BGL_CLASS_ANCESTORS_REF(BgL_arg1823z00_526, 1L); } 
BgL_res1802z00_537 = 
(BgL_arg1822z00_525==BgL_classz00_504); }  else 
{ /* Llib/thread.scm 159 */
BgL_res1802z00_537 = ((bool_t)0); } } } } 
BgL_test1939z00_1160 = BgL_res1802z00_537; } }  else 
{ /* Llib/thread.scm 159 */
BgL_test1939z00_1160 = ((bool_t)0)
; } } 
if(BgL_test1939z00_1160)
{ /* Llib/thread.scm 159 */
if(
BGl_z52threadzd2attachedzf3z73zz__ft_z52threadz52(
((BgL_fthreadz00_bglt)BgL_tz00_43)))
{ /* Llib/thread.scm 161 */
if(
PAIRP(BgL_argz00_8))
{ /* Llib/thread.scm 165 */
 obj_t BgL_arg1167z00_50; obj_t BgL_arg1168z00_51;
BgL_arg1167z00_50 = 
(((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_tz00_43)))->BgL_schedulerz00); 
BgL_arg1168z00_51 = 
CAR(BgL_argz00_8); 
BgL_scdlz00_80 = 
((BgL_schedulerz00_bglt)BgL_arg1167z00_50); 
BgL_sigz00_81 = BgL_sigz00_7; 
BgL_timeoutz00_82 = BgL_arg1168z00_51; 
{ /* Llib/thread.scm 137 */
 bool_t BgL_test1946z00_1191;
if(
BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_timeoutz00_82))
{ /* Llib/thread.scm 137 */
if(
INTEGERP(BgL_timeoutz00_82))
{ /* Llib/thread.scm 137 */
BgL_test1946z00_1191 = 
(
(long)CINT(BgL_timeoutz00_82)>0L)
; }  else 
{ /* Llib/thread.scm 137 */
BgL_test1946z00_1191 = 
BGl_2ze3ze3zz__r4_numbers_6_5z00(BgL_timeoutz00_82, 
BINT(0L))
; } }  else 
{ /* Llib/thread.scm 137 */
BgL_test1946z00_1191 = ((bool_t)0)
; } 
if(BgL_test1946z00_1191)
{ /* Llib/thread.scm 140 */
 bool_t BgL_test1949z00_1200;
{ /* Llib/thread.scm 140 */
 obj_t BgL_arg1203z00_96;
BgL_arg1203z00_96 = 
(((BgL_schedulerz00_bglt)COBJECT(BgL_scdlz00_80))->BgL_envzb2zb2); 
BgL_test1949z00_1200 = 
CBOOL(
BGl_signalzd2lookupzd2zz__ft_signalz00(BgL_sigz00_81, BgL_arg1203z00_96)); } 
if(BgL_test1949z00_1200)
{ /* Llib/thread.scm 140 */
return 
BGl_signalzd2valuezd2zz__ft_signalz00(BgL_sigz00_81, 
(((BgL_schedulerz00_bglt)COBJECT(BgL_scdlz00_80))->BgL_envzb2zb2));}  else 
{ /* Llib/thread.scm 140 */
{ /* Llib/thread.scm 144 */
 obj_t BgL_arg1197z00_90;
BgL_arg1197z00_90 = 
(((BgL_schedulerz00_bglt)COBJECT(BgL_scdlz00_80))->BgL_envzb2zb2); 
BGl_signalzd2registerzd2threadz12z12zz__ft_signalz00(BgL_sigz00_81, BgL_arg1197z00_90, 
((BgL_threadz00_bglt)BgL_tz00_43)); } 
{ /* Llib/thread.scm 147 */
 bool_t BgL_test1950z00_1209;
{ /* Llib/thread.scm 147 */
 obj_t BgL_classz00_470;
BgL_classz00_470 = BGl_z52sigasyncz52zz__ft_z52typesz52; 
if(
BGL_OBJECTP(BgL_sigz00_81))
{ /* Llib/thread.scm 147 */
 BgL_objectz00_bglt BgL_arg1827z00_472;
BgL_arg1827z00_472 = 
(BgL_objectz00_bglt)(BgL_sigz00_81); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/thread.scm 147 */
 long BgL_idxz00_478;
BgL_idxz00_478 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1827z00_472); 
BgL_test1950z00_1209 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_478+1L))==BgL_classz00_470); }  else 
{ /* Llib/thread.scm 147 */
 bool_t BgL_res1801z00_503;
{ /* Llib/thread.scm 147 */
 obj_t BgL_oclassz00_486;
{ /* Llib/thread.scm 147 */
 obj_t BgL_arg1834z00_494; long BgL_arg1835z00_495;
BgL_arg1834z00_494 = 
(BGl_za2classesza2z00zz__objectz00); 
{ /* Llib/thread.scm 147 */
 long BgL_arg1836z00_496;
BgL_arg1836z00_496 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1827z00_472); 
BgL_arg1835z00_495 = 
(BgL_arg1836z00_496-OBJECT_TYPE); } 
BgL_oclassz00_486 = 
VECTOR_REF(BgL_arg1834z00_494,BgL_arg1835z00_495); } 
{ /* Llib/thread.scm 147 */
 bool_t BgL__ortest_1114z00_487;
BgL__ortest_1114z00_487 = 
(BgL_classz00_470==BgL_oclassz00_486); 
if(BgL__ortest_1114z00_487)
{ /* Llib/thread.scm 147 */
BgL_res1801z00_503 = BgL__ortest_1114z00_487; }  else 
{ /* Llib/thread.scm 147 */
 long BgL_odepthz00_488;
{ /* Llib/thread.scm 147 */
 obj_t BgL_arg1824z00_489;
BgL_arg1824z00_489 = 
(BgL_oclassz00_486); 
BgL_odepthz00_488 = 
BGL_CLASS_DEPTH(BgL_arg1824z00_489); } 
if(
(1L<BgL_odepthz00_488))
{ /* Llib/thread.scm 147 */
 obj_t BgL_arg1822z00_491;
{ /* Llib/thread.scm 147 */
 obj_t BgL_arg1823z00_492;
BgL_arg1823z00_492 = 
(BgL_oclassz00_486); 
BgL_arg1822z00_491 = 
BGL_CLASS_ANCESTORS_REF(BgL_arg1823z00_492, 1L); } 
BgL_res1801z00_503 = 
(BgL_arg1822z00_491==BgL_classz00_470); }  else 
{ /* Llib/thread.scm 147 */
BgL_res1801z00_503 = ((bool_t)0); } } } } 
BgL_test1950z00_1209 = BgL_res1801z00_503; } }  else 
{ /* Llib/thread.scm 147 */
BgL_test1950z00_1209 = ((bool_t)0)
; } } 
if(BgL_test1950z00_1209)
{ /* Llib/thread.scm 147 */
BGl_z52schedulerzd2spawnzd2asyncz52zz__ft_z52schedulerz52(
((BgL_z52schedulerz52_bglt)BgL_scdlz00_80), 
((BgL_z52sigasyncz52_bglt)BgL_sigz00_81)); }  else 
{ /* Llib/thread.scm 147 */BFALSE; } } 
BGl_z52threadzd2timeoutz12z92zz__ft_z52threadz52(
((BgL_fthreadz00_bglt)BgL_tz00_43), 
CINT(BgL_timeoutz00_82)); 
{ /* Llib/thread.scm 152 */
 bool_t BgL_test1955z00_1238;
{ /* Llib/thread.scm 152 */
 obj_t BgL_arg1202z00_95;
BgL_arg1202z00_95 = 
(((BgL_schedulerz00_bglt)COBJECT(BgL_scdlz00_80))->BgL_envzb2zb2); 
BgL_test1955z00_1238 = 
CBOOL(
BGl_signalzd2lookupzd2zz__ft_signalz00(BgL_sigz00_81, BgL_arg1202z00_95)); } 
if(BgL_test1955z00_1238)
{ /* Llib/thread.scm 152 */
return 
BGl_signalzd2valuezd2zz__ft_signalz00(BgL_sigz00_81, 
(((BgL_schedulerz00_bglt)COBJECT(BgL_scdlz00_80))->BgL_envzb2zb2));}  else 
{ /* Llib/thread.scm 152 */
return BFALSE;} } } }  else 
{ /* Llib/thread.scm 137 */
return 
BGl_errorz00zz__errorz00(BGl_string1837z00zz__ft_threadz00, BGl_string1838z00zz__ft_threadz00, BgL_timeoutz00_82);} } }  else 
{ /* Llib/thread.scm 168 */
 obj_t BgL_arg1169z00_53;
BgL_arg1169z00_53 = 
(((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_tz00_43)))->BgL_schedulerz00); 
return 
BGl_awaitze70ze7zz__ft_threadz00(BgL_tz00_43, 
((BgL_schedulerz00_bglt)BgL_arg1169z00_53), BgL_sigz00_7);} }  else 
{ /* Llib/thread.scm 161 */
return 
BGl_errorz00zz__errorz00(BGl_string1837z00zz__ft_threadz00, BGl_string1839z00zz__ft_threadz00, BgL_tz00_43);} }  else 
{ /* Llib/thread.scm 159 */
return 
BGl_errorz00zz__errorz00(BGl_string1837z00zz__ft_threadz00, BGl_string1840z00zz__ft_threadz00, BgL_tz00_43);} } } } } } 

}



/* await~0 */
obj_t BGl_awaitze70ze7zz__ft_threadz00(obj_t BgL_tz00_944, BgL_schedulerz00_bglt BgL_scdlz00_54, obj_t BgL_sigz00_55)
{
{ /* Llib/thread.scm 134 */
{ /* Llib/thread.scm 113 */
 bool_t BgL_test1956z00_1252;
{ /* Llib/thread.scm 113 */
 obj_t BgL_arg1188z00_79;
BgL_arg1188z00_79 = 
(((BgL_schedulerz00_bglt)COBJECT(BgL_scdlz00_54))->BgL_envzb2zb2); 
BgL_test1956z00_1252 = 
CBOOL(
BGl_signalzd2lookupzd2zz__ft_signalz00(BgL_sigz00_55, BgL_arg1188z00_79)); } 
if(BgL_test1956z00_1252)
{ /* Llib/thread.scm 113 */
return 
BGl_signalzd2valuezd2zz__ft_signalz00(BgL_sigz00_55, 
(((BgL_schedulerz00_bglt)COBJECT(BgL_scdlz00_54))->BgL_envzb2zb2));}  else 
{ /* Llib/thread.scm 116 */
 bool_t BgL_test1957z00_1258;
{ /* Llib/thread.scm 116 */
 bool_t BgL_test1958z00_1259;
{ /* Llib/thread.scm 116 */
 obj_t BgL_classz00_428;
BgL_classz00_428 = BGl_z52sigasyncz52zz__ft_z52typesz52; 
if(
BGL_OBJECTP(BgL_sigz00_55))
{ /* Llib/thread.scm 116 */
 BgL_objectz00_bglt BgL_arg1827z00_430;
BgL_arg1827z00_430 = 
(BgL_objectz00_bglt)(BgL_sigz00_55); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/thread.scm 116 */
 long BgL_idxz00_436;
BgL_idxz00_436 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1827z00_430); 
BgL_test1958z00_1259 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_436+1L))==BgL_classz00_428); }  else 
{ /* Llib/thread.scm 116 */
 bool_t BgL_res1800z00_461;
{ /* Llib/thread.scm 116 */
 obj_t BgL_oclassz00_444;
{ /* Llib/thread.scm 116 */
 obj_t BgL_arg1834z00_452; long BgL_arg1835z00_453;
BgL_arg1834z00_452 = 
(BGl_za2classesza2z00zz__objectz00); 
{ /* Llib/thread.scm 116 */
 long BgL_arg1836z00_454;
BgL_arg1836z00_454 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1827z00_430); 
BgL_arg1835z00_453 = 
(BgL_arg1836z00_454-OBJECT_TYPE); } 
BgL_oclassz00_444 = 
VECTOR_REF(BgL_arg1834z00_452,BgL_arg1835z00_453); } 
{ /* Llib/thread.scm 116 */
 bool_t BgL__ortest_1114z00_445;
BgL__ortest_1114z00_445 = 
(BgL_classz00_428==BgL_oclassz00_444); 
if(BgL__ortest_1114z00_445)
{ /* Llib/thread.scm 116 */
BgL_res1800z00_461 = BgL__ortest_1114z00_445; }  else 
{ /* Llib/thread.scm 116 */
 long BgL_odepthz00_446;
{ /* Llib/thread.scm 116 */
 obj_t BgL_arg1824z00_447;
BgL_arg1824z00_447 = 
(BgL_oclassz00_444); 
BgL_odepthz00_446 = 
BGL_CLASS_DEPTH(BgL_arg1824z00_447); } 
if(
(1L<BgL_odepthz00_446))
{ /* Llib/thread.scm 116 */
 obj_t BgL_arg1822z00_449;
{ /* Llib/thread.scm 116 */
 obj_t BgL_arg1823z00_450;
BgL_arg1823z00_450 = 
(BgL_oclassz00_444); 
BgL_arg1822z00_449 = 
BGL_CLASS_ANCESTORS_REF(BgL_arg1823z00_450, 1L); } 
BgL_res1800z00_461 = 
(BgL_arg1822z00_449==BgL_classz00_428); }  else 
{ /* Llib/thread.scm 116 */
BgL_res1800z00_461 = ((bool_t)0); } } } } 
BgL_test1958z00_1259 = BgL_res1800z00_461; } }  else 
{ /* Llib/thread.scm 116 */
BgL_test1958z00_1259 = ((bool_t)0)
; } } 
if(BgL_test1958z00_1259)
{ /* Llib/thread.scm 116 */
if(
(((BgL_z52sigasyncz52_bglt)COBJECT(
((BgL_z52sigasyncz52_bglt)BgL_sigz00_55)))->BgL_spawnedz00))
{ /* Llib/thread.scm 118 */
BgL_test1957z00_1258 = ((bool_t)0)
; }  else 
{ /* Llib/thread.scm 118 */
BgL_test1957z00_1258 = ((bool_t)1)
; } }  else 
{ /* Llib/thread.scm 116 */
BgL_test1957z00_1258 = ((bool_t)0)
; } } 
if(BgL_test1957z00_1258)
{ /* Llib/thread.scm 116 */
((((BgL_z52sigasyncz52_bglt)COBJECT(
((BgL_z52sigasyncz52_bglt)BgL_sigz00_55)))->BgL_spawnedz00)=((bool_t)((bool_t)1)),BUNSPEC); 
{ /* Llib/thread.scm 123 */
 obj_t BgL_arg1180z00_66;
BgL_arg1180z00_66 = 
(((BgL_z52sigasyncz52_bglt)COBJECT(
((BgL_z52sigasyncz52_bglt)BgL_sigz00_55)))->BgL_idz00); 
BGl_z52threadzd2asynchroniza7ez12z35zz__ft_z52threadz52(
((BgL_fthreadz00_bglt)BgL_tz00_944), BgL_arg1180z00_66); } 
{ /* Llib/thread.scm 124 */
 obj_t BgL_resz00_67;
{ /* Llib/thread.scm 124 */
 obj_t BgL_exitd1083z00_68;
BgL_exitd1083z00_68 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Llib/thread.scm 126 */
 obj_t BgL_zc3z04anonymousza31182ze3z87_851;
BgL_zc3z04anonymousza31182ze3z87_851 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31182ze3ze5zz__ft_threadz00, 
(int)(0L), 
(int)(1L)); 
PROCEDURE_SET(BgL_zc3z04anonymousza31182ze3z87_851, 
(int)(0L), BgL_tz00_944); 
{ /* Llib/thread.scm 124 */
 obj_t BgL_arg1846z00_462;
{ /* Llib/thread.scm 124 */
 obj_t BgL_arg1847z00_463;
BgL_arg1847z00_463 = 
BGL_EXITD_PROTECT(BgL_exitd1083z00_68); 
BgL_arg1846z00_462 = 
MAKE_YOUNG_PAIR(BgL_zc3z04anonymousza31182ze3z87_851, BgL_arg1847z00_463); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1083z00_68, BgL_arg1846z00_462); BUNSPEC; } 
{ /* Llib/thread.scm 125 */
 obj_t BgL_tmp1085z00_70;
{ /* Llib/thread.scm 125 */
 obj_t BgL_fun1181z00_71;
BgL_fun1181z00_71 = 
(((BgL_z52sigasyncz52_bglt)COBJECT(
((BgL_z52sigasyncz52_bglt)BgL_sigz00_55)))->BgL_thunkz00); 
BgL_tmp1085z00_70 = 
BGL_PROCEDURE_CALL0(BgL_fun1181z00_71); } 
{ /* Llib/thread.scm 124 */
 bool_t BgL_test1964z00_1305;
{ /* Llib/thread.scm 124 */
 obj_t BgL_arg1845z00_465;
BgL_arg1845z00_465 = 
BGL_EXITD_PROTECT(BgL_exitd1083z00_68); 
BgL_test1964z00_1305 = 
PAIRP(BgL_arg1845z00_465); } 
if(BgL_test1964z00_1305)
{ /* Llib/thread.scm 124 */
 obj_t BgL_arg1843z00_466;
{ /* Llib/thread.scm 124 */
 obj_t BgL_arg1844z00_467;
BgL_arg1844z00_467 = 
BGL_EXITD_PROTECT(BgL_exitd1083z00_68); 
BgL_arg1843z00_466 = 
CDR(
((obj_t)BgL_arg1844z00_467)); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1083z00_68, BgL_arg1843z00_466); BUNSPEC; }  else 
{ /* Llib/thread.scm 124 */BFALSE; } } 
BGl_z52threadzd2synchroniza7ez12z35zz__ft_z52threadz52(BgL_tz00_944); 
BgL_resz00_67 = BgL_tmp1085z00_70; } } } 
BGl_z52broadcastz12z40zz__ft_z52schedulerz52(
((BgL_z52schedulerz52_bglt)BgL_scdlz00_54), BgL_sigz00_55, BgL_resz00_67); 
return BgL_resz00_67;} }  else 
{ /* Llib/thread.scm 116 */
{ /* Llib/thread.scm 131 */
 obj_t BgL_arg1185z00_74;
BgL_arg1185z00_74 = 
(((BgL_schedulerz00_bglt)COBJECT(BgL_scdlz00_54))->BgL_envzb2zb2); 
BGl_signalzd2registerzd2threadz12z12zz__ft_signalz00(BgL_sigz00_55, BgL_arg1185z00_74, 
((BgL_threadz00_bglt)BgL_tz00_944)); } 
BGl_z52threadzd2cooperatez80zz__ft_z52threadz52(
((BgL_fthreadz00_bglt)BgL_tz00_944)); 
return 
BGl_signalzd2valuezd2zz__ft_signalz00(BgL_sigz00_55, 
(((BgL_schedulerz00_bglt)COBJECT(BgL_scdlz00_54))->BgL_envzb2zb2));} } } } 

}



/* &thread-await! */
obj_t BGl_z62threadzd2awaitz12za2zz__ft_threadz00(obj_t BgL_envz00_852, obj_t BgL_sigz00_853, obj_t BgL_argz00_854)
{
{ /* Llib/thread.scm 107 */
return 
BGl_threadzd2awaitz12zc0zz__ft_threadz00(BgL_sigz00_853, BgL_argz00_854);} 

}



/* &<@anonymous:1182> */
obj_t BGl_z62zc3z04anonymousza31182ze3ze5zz__ft_threadz00(obj_t BgL_envz00_855)
{
{ /* Llib/thread.scm 124 */
return 
BGl_z52threadzd2synchroniza7ez12z35zz__ft_z52threadz52(
PROCEDURE_REF(BgL_envz00_855, 
(int)(0L)));} 

}



/* thread-await*! */
BGL_EXPORTED_DEF obj_t BGl_threadzd2awaitza2z12z62zz__ft_threadz00(obj_t BgL_sza2za2_9, obj_t BgL_argz00_10)
{
{ /* Llib/thread.scm 173 */
{ /* Llib/thread.scm 174 */
 obj_t BgL_tz00_100;
BgL_tz00_100 = 
BGl_currentzd2threadzd2zz__threadz00(); 
{ /* Llib/thread.scm 174 */

{ 
 obj_t BgL_eza2za2_142; obj_t BgL_sz00_143; obj_t BgL_timeoutz00_144; obj_t BgL_eza2za2_111; obj_t BgL_sz00_112;
{ /* Llib/thread.scm 215 */
 bool_t BgL_test1965z00_1327;
{ /* Llib/thread.scm 215 */
 obj_t BgL_classz00_552;
BgL_classz00_552 = BGl_threadz00zz__threadz00; 
if(
BGL_OBJECTP(BgL_tz00_100))
{ /* Llib/thread.scm 215 */
 BgL_objectz00_bglt BgL_arg1827z00_554;
BgL_arg1827z00_554 = 
(BgL_objectz00_bglt)(BgL_tz00_100); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/thread.scm 215 */
 long BgL_idxz00_560;
BgL_idxz00_560 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1827z00_554); 
BgL_test1965z00_1327 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_560+1L))==BgL_classz00_552); }  else 
{ /* Llib/thread.scm 215 */
 bool_t BgL_res1803z00_585;
{ /* Llib/thread.scm 215 */
 obj_t BgL_oclassz00_568;
{ /* Llib/thread.scm 215 */
 obj_t BgL_arg1834z00_576; long BgL_arg1835z00_577;
BgL_arg1834z00_576 = 
(BGl_za2classesza2z00zz__objectz00); 
{ /* Llib/thread.scm 215 */
 long BgL_arg1836z00_578;
BgL_arg1836z00_578 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1827z00_554); 
BgL_arg1835z00_577 = 
(BgL_arg1836z00_578-OBJECT_TYPE); } 
BgL_oclassz00_568 = 
VECTOR_REF(BgL_arg1834z00_576,BgL_arg1835z00_577); } 
{ /* Llib/thread.scm 215 */
 bool_t BgL__ortest_1114z00_569;
BgL__ortest_1114z00_569 = 
(BgL_classz00_552==BgL_oclassz00_568); 
if(BgL__ortest_1114z00_569)
{ /* Llib/thread.scm 215 */
BgL_res1803z00_585 = BgL__ortest_1114z00_569; }  else 
{ /* Llib/thread.scm 215 */
 long BgL_odepthz00_570;
{ /* Llib/thread.scm 215 */
 obj_t BgL_arg1824z00_571;
BgL_arg1824z00_571 = 
(BgL_oclassz00_568); 
BgL_odepthz00_570 = 
BGL_CLASS_DEPTH(BgL_arg1824z00_571); } 
if(
(1L<BgL_odepthz00_570))
{ /* Llib/thread.scm 215 */
 obj_t BgL_arg1822z00_573;
{ /* Llib/thread.scm 215 */
 obj_t BgL_arg1823z00_574;
BgL_arg1823z00_574 = 
(BgL_oclassz00_568); 
BgL_arg1822z00_573 = 
BGL_CLASS_ANCESTORS_REF(BgL_arg1823z00_574, 1L); } 
BgL_res1803z00_585 = 
(BgL_arg1822z00_573==BgL_classz00_552); }  else 
{ /* Llib/thread.scm 215 */
BgL_res1803z00_585 = ((bool_t)0); } } } } 
BgL_test1965z00_1327 = BgL_res1803z00_585; } }  else 
{ /* Llib/thread.scm 215 */
BgL_test1965z00_1327 = ((bool_t)0)
; } } 
if(BgL_test1965z00_1327)
{ /* Llib/thread.scm 215 */
if(
BGl_z52threadzd2attachedzf3z73zz__ft_z52threadz52(
((BgL_fthreadz00_bglt)BgL_tz00_100)))
{ /* Llib/thread.scm 217 */
if(
PAIRP(BgL_argz00_10))
{ /* Llib/thread.scm 221 */
 obj_t BgL_arg1209z00_107; obj_t BgL_arg1210z00_108;
BgL_arg1209z00_107 = 
(((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_tz00_100)))->BgL_schedulerz00); 
BgL_arg1210z00_108 = 
CAR(BgL_argz00_10); 
BgL_eza2za2_142 = BgL_sza2za2_9; 
BgL_sz00_143 = BgL_arg1209z00_107; 
BgL_timeoutz00_144 = BgL_arg1210z00_108; 
{ /* Llib/thread.scm 194 */
 bool_t BgL_test1972z00_1358;
if(
BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_timeoutz00_144))
{ /* Llib/thread.scm 194 */
if(
INTEGERP(BgL_timeoutz00_144))
{ /* Llib/thread.scm 194 */
BgL_test1972z00_1358 = 
(
(long)CINT(BgL_timeoutz00_144)>=0L)
; }  else 
{ /* Llib/thread.scm 194 */
BgL_test1972z00_1358 = 
BGl_2ze3zd3z30zz__r4_numbers_6_5z00(BgL_timeoutz00_144, 
BINT(0L))
; } }  else 
{ /* Llib/thread.scm 194 */
BgL_test1972z00_1358 = ((bool_t)0)
; } 
if(BgL_test1972z00_1358)
{ /* Llib/thread.scm 196 */
 obj_t BgL_g1094z00_149;
BgL_g1094z00_149 = 
((obj_t)
CNST_TABLE_REF(0)); 
{ 
 obj_t BgL_esz00_151; obj_t BgL_stagez00_152;
BgL_esz00_151 = BgL_eza2za2_142; 
BgL_stagez00_152 = BgL_g1094z00_149; 
BgL_zc3z04anonymousza31231ze3z87_153:
if(
NULLP(BgL_esz00_151))
{ /* Llib/thread.scm 199 */
if(
(BgL_stagez00_152==
((obj_t)
CNST_TABLE_REF(0))))
{ /* Llib/thread.scm 200 */
{ /* Llib/thread.scm 202 */
 BgL_schedulerz00_bglt BgL_i1096z00_156;
BgL_i1096z00_156 = 
((BgL_schedulerz00_bglt)
(((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_tz00_100)))->BgL_schedulerz00)); 
{ 
 obj_t BgL_l1126z00_158;
BgL_l1126z00_158 = BgL_eza2za2_142; 
BgL_zc3z04anonymousza31233ze3z87_159:
if(
PAIRP(BgL_l1126z00_158))
{ /* Llib/thread.scm 203 */
{ /* Llib/thread.scm 204 */
 obj_t BgL_ez00_161;
BgL_ez00_161 = 
CAR(BgL_l1126z00_158); 
{ /* Llib/thread.scm 204 */
 obj_t BgL_arg1238z00_162;
BgL_arg1238z00_162 = 
(((BgL_schedulerz00_bglt)COBJECT(BgL_i1096z00_156))->BgL_envzb2zb2); 
BGl_signalzd2registerzd2threadz12z12zz__ft_signalz00(BgL_ez00_161, BgL_arg1238z00_162, 
((BgL_threadz00_bglt)BgL_tz00_100)); } } 
{ 
 obj_t BgL_l1126z00_1384;
BgL_l1126z00_1384 = 
CDR(BgL_l1126z00_158); 
BgL_l1126z00_158 = BgL_l1126z00_1384; 
goto BgL_zc3z04anonymousza31233ze3z87_159;} }  else 
{ /* Llib/thread.scm 203 */((bool_t)1); } } } 
BGl_z52threadzd2timeoutz12z92zz__ft_z52threadz52(
((BgL_fthreadz00_bglt)BgL_tz00_100), 
CINT(BgL_timeoutz00_144)); 
{ 
 obj_t BgL_stagez00_1390; obj_t BgL_esz00_1389;
BgL_esz00_1389 = BgL_eza2za2_142; 
BgL_stagez00_1390 = 
((obj_t)
CNST_TABLE_REF(1)); 
BgL_stagez00_152 = BgL_stagez00_1390; 
BgL_esz00_151 = BgL_esz00_1389; 
goto BgL_zc3z04anonymousza31231ze3z87_153;} }  else 
{ /* Llib/thread.scm 200 */
{ /* Llib/thread.scm 208 */
 int BgL_tmpz00_1393;
BgL_tmpz00_1393 = 
(int)(2L); 
BGL_MVALUES_NUMBER_SET(BgL_tmpz00_1393); } 
{ /* Llib/thread.scm 208 */
 int BgL_tmpz00_1396;
BgL_tmpz00_1396 = 
(int)(1L); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_1396, BFALSE); } 
return BFALSE;} }  else 
{ /* Llib/thread.scm 209 */
 bool_t BgL_test1978z00_1399;
{ /* Llib/thread.scm 209 */
 obj_t BgL_arg1269z00_175; obj_t BgL_arg1270z00_176;
BgL_arg1269z00_175 = 
CAR(
((obj_t)BgL_esz00_151)); 
BgL_arg1270z00_176 = 
(((BgL_schedulerz00_bglt)COBJECT(
((BgL_schedulerz00_bglt)BgL_sz00_143)))->BgL_envzb2zb2); 
BgL_test1978z00_1399 = 
CBOOL(
BGl_signalzd2lookupzd2zz__ft_signalz00(BgL_arg1269z00_175, BgL_arg1270z00_176)); } 
if(BgL_test1978z00_1399)
{ /* Llib/thread.scm 210 */
 obj_t BgL_val0_1130z00_170; obj_t BgL_val1_1131z00_171;
{ /* Llib/thread.scm 210 */
 obj_t BgL_arg1263z00_172; obj_t BgL_arg1264z00_173;
BgL_arg1263z00_172 = 
CAR(
((obj_t)BgL_esz00_151)); 
BgL_arg1264z00_173 = 
(((BgL_schedulerz00_bglt)COBJECT(
((BgL_schedulerz00_bglt)BgL_sz00_143)))->BgL_envzb2zb2); 
BgL_val0_1130z00_170 = 
BGl_signalzd2valuezd2zz__ft_signalz00(BgL_arg1263z00_172, BgL_arg1264z00_173); } 
BgL_val1_1131z00_171 = 
CAR(
((obj_t)BgL_esz00_151)); 
{ /* Llib/thread.scm 210 */
 int BgL_tmpz00_1413;
BgL_tmpz00_1413 = 
(int)(2L); 
BGL_MVALUES_NUMBER_SET(BgL_tmpz00_1413); } 
{ /* Llib/thread.scm 210 */
 int BgL_tmpz00_1416;
BgL_tmpz00_1416 = 
(int)(1L); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_1416, BgL_val1_1131z00_171); } 
return BgL_val0_1130z00_170;}  else 
{ /* Llib/thread.scm 212 */
 obj_t BgL_arg1265z00_174;
BgL_arg1265z00_174 = 
CDR(
((obj_t)BgL_esz00_151)); 
{ 
 obj_t BgL_esz00_1421;
BgL_esz00_1421 = BgL_arg1265z00_174; 
BgL_esz00_151 = BgL_esz00_1421; 
goto BgL_zc3z04anonymousza31231ze3z87_153;} } } } }  else 
{ /* Llib/thread.scm 194 */
return 
BGl_errorz00zz__errorz00(BGl_string1841z00zz__ft_threadz00, BGl_string1838z00zz__ft_threadz00, BgL_timeoutz00_144);} } }  else 
{ /* Llib/thread.scm 224 */
 obj_t BgL_arg1211z00_110;
BgL_arg1211z00_110 = 
(((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_tz00_100)))->BgL_schedulerz00); 
BgL_eza2za2_111 = BgL_sza2za2_9; 
BgL_sz00_112 = BgL_arg1211z00_110; 
{ 
 obj_t BgL_esz00_116;
BgL_esz00_116 = BgL_eza2za2_111; 
BgL_zc3z04anonymousza31213ze3z87_117:
if(
NULLP(BgL_esz00_116))
{ /* Llib/thread.scm 180 */
{ 
 obj_t BgL_l1120z00_121;
BgL_l1120z00_121 = BgL_eza2za2_111; 
BgL_zc3z04anonymousza31215ze3z87_122:
if(
PAIRP(BgL_l1120z00_121))
{ /* Llib/thread.scm 182 */
{ /* Llib/thread.scm 183 */
 obj_t BgL_ez00_124;
BgL_ez00_124 = 
CAR(BgL_l1120z00_121); 
{ /* Llib/thread.scm 183 */
 obj_t BgL_arg1217z00_125;
BgL_arg1217z00_125 = 
(((BgL_schedulerz00_bglt)COBJECT(
((BgL_schedulerz00_bglt)BgL_sz00_112)))->BgL_envzb2zb2); 
BGl_signalzd2registerzd2threadz12z12zz__ft_signalz00(BgL_ez00_124, BgL_arg1217z00_125, 
((BgL_threadz00_bglt)BgL_tz00_100)); } } 
{ 
 obj_t BgL_l1120z00_1434;
BgL_l1120z00_1434 = 
CDR(BgL_l1120z00_121); 
BgL_l1120z00_121 = BgL_l1120z00_1434; 
goto BgL_zc3z04anonymousza31215ze3z87_122;} }  else 
{ /* Llib/thread.scm 182 */((bool_t)1); } } 
BGl_z52threadzd2cooperatez80zz__ft_z52threadz52(
((BgL_fthreadz00_bglt)BgL_tz00_100)); 
{ /* Llib/thread.scm 187 */
 obj_t BgL_val0_1122z00_129; obj_t BgL_val1_1123z00_130;
BgL_val0_1122z00_129 = 
(((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_tz00_100)))->BgL_z52awakezd2valuez80); 
BgL_val1_1123z00_130 = 
(((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_tz00_100)))->BgL_z52awakezd2signalz80); 
{ /* Llib/thread.scm 187 */
 int BgL_tmpz00_1442;
BgL_tmpz00_1442 = 
(int)(2L); 
BGL_MVALUES_NUMBER_SET(BgL_tmpz00_1442); } 
{ /* Llib/thread.scm 187 */
 int BgL_tmpz00_1445;
BgL_tmpz00_1445 = 
(int)(1L); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_1445, BgL_val1_1123z00_130); } 
return BgL_val0_1122z00_129;} }  else 
{ /* Llib/thread.scm 188 */
 bool_t BgL_test1981z00_1448;
{ /* Llib/thread.scm 188 */
 obj_t BgL_arg1225z00_139; obj_t BgL_arg1227z00_140;
BgL_arg1225z00_139 = 
CAR(
((obj_t)BgL_esz00_116)); 
BgL_arg1227z00_140 = 
(((BgL_schedulerz00_bglt)COBJECT(
((BgL_schedulerz00_bglt)BgL_sz00_112)))->BgL_envzb2zb2); 
BgL_test1981z00_1448 = 
CBOOL(
BGl_signalzd2lookupzd2zz__ft_signalz00(BgL_arg1225z00_139, BgL_arg1227z00_140)); } 
if(BgL_test1981z00_1448)
{ /* Llib/thread.scm 189 */
 obj_t BgL_val0_1124z00_134; obj_t BgL_val1_1125z00_135;
{ /* Llib/thread.scm 189 */
 obj_t BgL_arg1222z00_136; obj_t BgL_arg1223z00_137;
BgL_arg1222z00_136 = 
CAR(
((obj_t)BgL_esz00_116)); 
BgL_arg1223z00_137 = 
(((BgL_schedulerz00_bglt)COBJECT(
((BgL_schedulerz00_bglt)BgL_sz00_112)))->BgL_envzb2zb2); 
BgL_val0_1124z00_134 = 
BGl_signalzd2valuezd2zz__ft_signalz00(BgL_arg1222z00_136, BgL_arg1223z00_137); } 
BgL_val1_1125z00_135 = 
CAR(
((obj_t)BgL_esz00_116)); 
{ /* Llib/thread.scm 189 */
 int BgL_tmpz00_1462;
BgL_tmpz00_1462 = 
(int)(2L); 
BGL_MVALUES_NUMBER_SET(BgL_tmpz00_1462); } 
{ /* Llib/thread.scm 189 */
 int BgL_tmpz00_1465;
BgL_tmpz00_1465 = 
(int)(1L); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_1465, BgL_val1_1125z00_135); } 
return BgL_val0_1124z00_134;}  else 
{ /* Llib/thread.scm 191 */
 obj_t BgL_arg1224z00_138;
BgL_arg1224z00_138 = 
CDR(
((obj_t)BgL_esz00_116)); 
{ 
 obj_t BgL_esz00_1470;
BgL_esz00_1470 = BgL_arg1224z00_138; 
BgL_esz00_116 = BgL_esz00_1470; 
goto BgL_zc3z04anonymousza31213ze3z87_117;} } } } } }  else 
{ /* Llib/thread.scm 217 */
return 
BGl_errorz00zz__errorz00(BGl_string1837z00zz__ft_threadz00, BGl_string1839z00zz__ft_threadz00, BgL_tz00_100);} }  else 
{ /* Llib/thread.scm 215 */
return 
BGl_errorz00zz__errorz00(BGl_string1837z00zz__ft_threadz00, BGl_string1840z00zz__ft_threadz00, BgL_tz00_100);} } } } } } 

}



/* &thread-await*! */
obj_t BGl_z62threadzd2awaitza2z12z00zz__ft_threadz00(obj_t BgL_envz00_857, obj_t BgL_sza2za2_858, obj_t BgL_argz00_859)
{
{ /* Llib/thread.scm 173 */
{ /* Llib/thread.scm 174 */
 obj_t BgL_auxz00_1473;
if(
PAIRP(BgL_sza2za2_858))
{ /* Llib/thread.scm 174 */
BgL_auxz00_1473 = BgL_sza2za2_858
; }  else 
{ 
 obj_t BgL_auxz00_1476;
BgL_auxz00_1476 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1842z00zz__ft_threadz00, 
BINT(6510L), BGl_string1843z00zz__ft_threadz00, BGl_string1844z00zz__ft_threadz00, BgL_sza2za2_858); 
FAILURE(BgL_auxz00_1476,BFALSE,BFALSE);} 
return 
BGl_threadzd2awaitza2z12z62zz__ft_threadz00(BgL_auxz00_1473, BgL_argz00_859);} } 

}



/* thread-get-values! */
BGL_EXPORTED_DEF obj_t BGl_threadzd2getzd2valuesz12z12zz__ft_threadz00(obj_t BgL_sz00_11)
{
{ /* Llib/thread.scm 229 */
{ /* Llib/thread.scm 230 */
 obj_t BgL_tz00_181;
BgL_tz00_181 = 
BGl_currentzd2threadzd2zz__threadz00(); 
{ /* Llib/thread.scm 231 */
 bool_t BgL_test1983z00_1482;
{ /* Llib/thread.scm 231 */
 obj_t BgL_classz00_587;
BgL_classz00_587 = BGl_threadz00zz__threadz00; 
if(
BGL_OBJECTP(BgL_tz00_181))
{ /* Llib/thread.scm 231 */
 BgL_objectz00_bglt BgL_arg1827z00_589;
BgL_arg1827z00_589 = 
(BgL_objectz00_bglt)(BgL_tz00_181); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/thread.scm 231 */
 long BgL_idxz00_595;
BgL_idxz00_595 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1827z00_589); 
BgL_test1983z00_1482 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_595+1L))==BgL_classz00_587); }  else 
{ /* Llib/thread.scm 231 */
 bool_t BgL_res1804z00_620;
{ /* Llib/thread.scm 231 */
 obj_t BgL_oclassz00_603;
{ /* Llib/thread.scm 231 */
 obj_t BgL_arg1834z00_611; long BgL_arg1835z00_612;
BgL_arg1834z00_611 = 
(BGl_za2classesza2z00zz__objectz00); 
{ /* Llib/thread.scm 231 */
 long BgL_arg1836z00_613;
BgL_arg1836z00_613 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1827z00_589); 
BgL_arg1835z00_612 = 
(BgL_arg1836z00_613-OBJECT_TYPE); } 
BgL_oclassz00_603 = 
VECTOR_REF(BgL_arg1834z00_611,BgL_arg1835z00_612); } 
{ /* Llib/thread.scm 231 */
 bool_t BgL__ortest_1114z00_604;
BgL__ortest_1114z00_604 = 
(BgL_classz00_587==BgL_oclassz00_603); 
if(BgL__ortest_1114z00_604)
{ /* Llib/thread.scm 231 */
BgL_res1804z00_620 = BgL__ortest_1114z00_604; }  else 
{ /* Llib/thread.scm 231 */
 long BgL_odepthz00_605;
{ /* Llib/thread.scm 231 */
 obj_t BgL_arg1824z00_606;
BgL_arg1824z00_606 = 
(BgL_oclassz00_603); 
BgL_odepthz00_605 = 
BGL_CLASS_DEPTH(BgL_arg1824z00_606); } 
if(
(1L<BgL_odepthz00_605))
{ /* Llib/thread.scm 231 */
 obj_t BgL_arg1822z00_608;
{ /* Llib/thread.scm 231 */
 obj_t BgL_arg1823z00_609;
BgL_arg1823z00_609 = 
(BgL_oclassz00_603); 
BgL_arg1822z00_608 = 
BGL_CLASS_ANCESTORS_REF(BgL_arg1823z00_609, 1L); } 
BgL_res1804z00_620 = 
(BgL_arg1822z00_608==BgL_classz00_587); }  else 
{ /* Llib/thread.scm 231 */
BgL_res1804z00_620 = ((bool_t)0); } } } } 
BgL_test1983z00_1482 = BgL_res1804z00_620; } }  else 
{ /* Llib/thread.scm 231 */
BgL_test1983z00_1482 = ((bool_t)0)
; } } 
if(BgL_test1983z00_1482)
{ /* Llib/thread.scm 231 */
BGl_z52threadzd2yieldz12z92zz__ft_z52threadz52(
((BgL_fthreadz00_bglt)BgL_tz00_181)); 
{ /* Llib/thread.scm 234 */
 BgL_schedulerz00_bglt BgL_i1100z00_184;
BgL_i1100z00_184 = 
((BgL_schedulerz00_bglt)
(((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_tz00_181)))->BgL_schedulerz00)); 
return 
BGl_signalzd2lastzd2valuesz00zz__ft_signalz00(BgL_sz00_11, 
(((BgL_schedulerz00_bglt)COBJECT(BgL_i1100z00_184))->BgL_envzb2zb2));} }  else 
{ /* Llib/thread.scm 231 */
return BFALSE;} } } } 

}



/* &thread-get-values! */
obj_t BGl_z62threadzd2getzd2valuesz12z70zz__ft_threadz00(obj_t BgL_envz00_860, obj_t BgL_sz00_861)
{
{ /* Llib/thread.scm 229 */
return 
BGl_threadzd2getzd2valuesz12z12zz__ft_threadz00(BgL_sz00_861);} 

}



/* thread-get-values*! */
BGL_EXPORTED_DEF obj_t BGl_threadzd2getzd2valuesza2z12zb0zz__ft_threadz00(obj_t BgL_sza2za2_12)
{
{ /* Llib/thread.scm 240 */
{ /* Llib/thread.scm 241 */
 obj_t BgL_tz00_186;
BgL_tz00_186 = 
BGl_currentzd2threadzd2zz__threadz00(); 
{ /* Llib/thread.scm 242 */
 bool_t BgL_test1988z00_1514;
{ /* Llib/thread.scm 242 */
 obj_t BgL_classz00_621;
BgL_classz00_621 = BGl_threadz00zz__threadz00; 
if(
BGL_OBJECTP(BgL_tz00_186))
{ /* Llib/thread.scm 242 */
 BgL_objectz00_bglt BgL_arg1827z00_623;
BgL_arg1827z00_623 = 
(BgL_objectz00_bglt)(BgL_tz00_186); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/thread.scm 242 */
 long BgL_idxz00_629;
BgL_idxz00_629 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1827z00_623); 
BgL_test1988z00_1514 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_629+1L))==BgL_classz00_621); }  else 
{ /* Llib/thread.scm 242 */
 bool_t BgL_res1805z00_654;
{ /* Llib/thread.scm 242 */
 obj_t BgL_oclassz00_637;
{ /* Llib/thread.scm 242 */
 obj_t BgL_arg1834z00_645; long BgL_arg1835z00_646;
BgL_arg1834z00_645 = 
(BGl_za2classesza2z00zz__objectz00); 
{ /* Llib/thread.scm 242 */
 long BgL_arg1836z00_647;
BgL_arg1836z00_647 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1827z00_623); 
BgL_arg1835z00_646 = 
(BgL_arg1836z00_647-OBJECT_TYPE); } 
BgL_oclassz00_637 = 
VECTOR_REF(BgL_arg1834z00_645,BgL_arg1835z00_646); } 
{ /* Llib/thread.scm 242 */
 bool_t BgL__ortest_1114z00_638;
BgL__ortest_1114z00_638 = 
(BgL_classz00_621==BgL_oclassz00_637); 
if(BgL__ortest_1114z00_638)
{ /* Llib/thread.scm 242 */
BgL_res1805z00_654 = BgL__ortest_1114z00_638; }  else 
{ /* Llib/thread.scm 242 */
 long BgL_odepthz00_639;
{ /* Llib/thread.scm 242 */
 obj_t BgL_arg1824z00_640;
BgL_arg1824z00_640 = 
(BgL_oclassz00_637); 
BgL_odepthz00_639 = 
BGL_CLASS_DEPTH(BgL_arg1824z00_640); } 
if(
(1L<BgL_odepthz00_639))
{ /* Llib/thread.scm 242 */
 obj_t BgL_arg1822z00_642;
{ /* Llib/thread.scm 242 */
 obj_t BgL_arg1823z00_643;
BgL_arg1823z00_643 = 
(BgL_oclassz00_637); 
BgL_arg1822z00_642 = 
BGL_CLASS_ANCESTORS_REF(BgL_arg1823z00_643, 1L); } 
BgL_res1805z00_654 = 
(BgL_arg1822z00_642==BgL_classz00_621); }  else 
{ /* Llib/thread.scm 242 */
BgL_res1805z00_654 = ((bool_t)0); } } } } 
BgL_test1988z00_1514 = BgL_res1805z00_654; } }  else 
{ /* Llib/thread.scm 242 */
BgL_test1988z00_1514 = ((bool_t)0)
; } } 
if(BgL_test1988z00_1514)
{ /* Llib/thread.scm 242 */
BGl_z52threadzd2yieldz12z92zz__ft_z52threadz52(
((BgL_fthreadz00_bglt)BgL_tz00_186)); 
{ /* Llib/thread.scm 244 */
 obj_t BgL_head1134z00_190;
BgL_head1134z00_190 = 
MAKE_YOUNG_PAIR(BNIL, BNIL); 
{ 
 obj_t BgL_l1132z00_192; obj_t BgL_tail1135z00_193;
BgL_l1132z00_192 = BgL_sza2za2_12; 
BgL_tail1135z00_193 = BgL_head1134z00_190; 
BgL_zc3z04anonymousza31282ze3z87_194:
if(
NULLP(BgL_l1132z00_192))
{ /* Llib/thread.scm 244 */
return 
CDR(BgL_head1134z00_190);}  else 
{ /* Llib/thread.scm 244 */
 obj_t BgL_newtail1136z00_196;
{ /* Llib/thread.scm 244 */
 obj_t BgL_arg1325z00_198;
{ /* Llib/thread.scm 244 */
 obj_t BgL_sz00_199;
BgL_sz00_199 = 
CAR(
((obj_t)BgL_l1132z00_192)); 
{ /* Llib/thread.scm 246 */
 BgL_schedulerz00_bglt BgL_i1102z00_201;
BgL_i1102z00_201 = 
((BgL_schedulerz00_bglt)
(((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_tz00_186)))->BgL_schedulerz00)); 
BgL_arg1325z00_198 = 
MAKE_YOUNG_PAIR(BgL_sz00_199, 
BGl_signalzd2lastzd2valuesz00zz__ft_signalz00(BgL_sz00_199, 
(((BgL_schedulerz00_bglt)COBJECT(BgL_i1102z00_201))->BgL_envzb2zb2))); } } 
BgL_newtail1136z00_196 = 
MAKE_YOUNG_PAIR(BgL_arg1325z00_198, BNIL); } 
SET_CDR(BgL_tail1135z00_193, BgL_newtail1136z00_196); 
{ /* Llib/thread.scm 244 */
 obj_t BgL_arg1286z00_197;
BgL_arg1286z00_197 = 
CDR(
((obj_t)BgL_l1132z00_192)); 
{ 
 obj_t BgL_tail1135z00_1556; obj_t BgL_l1132z00_1555;
BgL_l1132z00_1555 = BgL_arg1286z00_197; 
BgL_tail1135z00_1556 = BgL_newtail1136z00_196; 
BgL_tail1135z00_193 = BgL_tail1135z00_1556; 
BgL_l1132z00_192 = BgL_l1132z00_1555; 
goto BgL_zc3z04anonymousza31282ze3z87_194;} } } } } }  else 
{ /* Llib/thread.scm 242 */
return BFALSE;} } } } 

}



/* &thread-get-values*! */
obj_t BGl_z62threadzd2getzd2valuesza2z12zd2zz__ft_threadz00(obj_t BgL_envz00_862, obj_t BgL_sza2za2_863)
{
{ /* Llib/thread.scm 240 */
{ /* Llib/thread.scm 241 */
 obj_t BgL_auxz00_1557;
if(
PAIRP(BgL_sza2za2_863))
{ /* Llib/thread.scm 241 */
BgL_auxz00_1557 = BgL_sza2za2_863
; }  else 
{ 
 obj_t BgL_auxz00_1560;
BgL_auxz00_1560 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1842z00zz__ft_threadz00, 
BINT(8929L), BGl_string1845z00zz__ft_threadz00, BGl_string1844z00zz__ft_threadz00, BgL_sza2za2_863); 
FAILURE(BgL_auxz00_1560,BFALSE,BFALSE);} 
return 
BGl_threadzd2getzd2valuesza2z12zb0zz__ft_threadz00(BgL_auxz00_1557);} } 

}



/* thread-await-values! */
BGL_EXPORTED_DEF obj_t BGl_threadzd2awaitzd2valuesz12z12zz__ft_threadz00(obj_t BgL_sz00_13, obj_t BgL_tmtz00_14)
{
{ /* Llib/thread.scm 253 */
{ /* Llib/thread.scm 254 */
 obj_t BgL_runner1356z00_659;
{ /* Llib/thread.scm 254 */
 obj_t BgL_list1354z00_660;
BgL_list1354z00_660 = 
MAKE_YOUNG_PAIR(BgL_tmtz00_14, BNIL); 
BgL_runner1356z00_659 = 
BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(BgL_sz00_13, BgL_list1354z00_660); } 
{ /* Llib/thread.scm 254 */
 obj_t BgL_aux1355z00_661;
BgL_aux1355z00_661 = 
CAR(BgL_runner1356z00_659); 
BgL_runner1356z00_659 = 
CDR(BgL_runner1356z00_659); 
BGl_threadzd2awaitz12zc0zz__ft_threadz00(BgL_aux1355z00_661, BgL_runner1356z00_659); } } 
return 
BGl_threadzd2getzd2valuesz12z12zz__ft_threadz00(BgL_sz00_13);} 

}



/* &thread-await-values! */
obj_t BGl_z62threadzd2awaitzd2valuesz12z70zz__ft_threadz00(obj_t BgL_envz00_864, obj_t BgL_sz00_865, obj_t BgL_tmtz00_866)
{
{ /* Llib/thread.scm 253 */
return 
BGl_threadzd2awaitzd2valuesz12z12zz__ft_threadz00(BgL_sz00_865, BgL_tmtz00_866);} 

}



/* thread-await-values*! */
BGL_EXPORTED_DEF obj_t BGl_threadzd2awaitzd2valuesza2z12zb0zz__ft_threadz00(obj_t BgL_sza2za2_15, obj_t BgL_tmtz00_16)
{
{ /* Llib/thread.scm 260 */
{ /* Llib/thread.scm 261 */
 obj_t BgL_runner1359z00_664;
{ /* Llib/thread.scm 261 */
 obj_t BgL_list1357z00_665;
BgL_list1357z00_665 = 
MAKE_YOUNG_PAIR(BgL_tmtz00_16, BNIL); 
BgL_runner1359z00_664 = 
BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(BgL_sza2za2_15, BgL_list1357z00_665); } 
{ /* Llib/thread.scm 261 */
 obj_t BgL_aux1358z00_666;
BgL_aux1358z00_666 = 
CAR(BgL_runner1359z00_664); 
BgL_runner1359z00_664 = 
CDR(BgL_runner1359z00_664); 
BGl_threadzd2awaitza2z12z62zz__ft_threadz00(BgL_aux1358z00_666, BgL_runner1359z00_664); } } 
return 
BGl_threadzd2getzd2valuesza2z12zb0zz__ft_threadz00(BgL_sza2za2_15);} 

}



/* &thread-await-values*! */
obj_t BGl_z62threadzd2awaitzd2valuesza2z12zd2zz__ft_threadz00(obj_t BgL_envz00_867, obj_t BgL_sza2za2_868, obj_t BgL_tmtz00_869)
{
{ /* Llib/thread.scm 260 */
{ /* Llib/thread.scm 261 */
 obj_t BgL_auxz00_1578;
if(
PAIRP(BgL_sza2za2_868))
{ /* Llib/thread.scm 261 */
BgL_auxz00_1578 = BgL_sza2za2_868
; }  else 
{ 
 obj_t BgL_auxz00_1581;
BgL_auxz00_1581 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1842z00zz__ft_threadz00, 
BINT(9790L), BGl_string1846z00zz__ft_threadz00, BGl_string1844z00zz__ft_threadz00, BgL_sza2za2_868); 
FAILURE(BgL_auxz00_1581,BFALSE,BFALSE);} 
return 
BGl_threadzd2awaitzd2valuesza2z12zb0zz__ft_threadz00(BgL_auxz00_1578, BgL_tmtz00_869);} } 

}



/* thread-suspend/resume! */
obj_t BGl_threadzd2suspendzf2resumez12z32zz__ft_threadz00(BgL_fthreadz00_bglt BgL_tz00_22, obj_t BgL_whoz00_23, bool_t BgL_valz00_24)
{
{ /* Llib/thread.scm 341 */
if(
BGl_z52threadzd2attachedzf3z73zz__ft_z52threadz52(BgL_tz00_22))
{ /* Llib/thread.scm 346 */
 bool_t BgL_test1997z00_1588;
if(
BGl_z52threadzd2iszd2toterminatez52zz__ft_z52threadz52(BgL_tz00_22, BNIL))
{ /* Llib/thread.scm 346 */
BgL_test1997z00_1588 = ((bool_t)1)
; }  else 
{ /* Llib/thread.scm 346 */
if(
BGl_z52threadzd2iszd2terminatedz52zz__ft_z52threadz52(BgL_tz00_22, BNIL))
{ /* Llib/thread.scm 347 */
BgL_test1997z00_1588 = ((bool_t)1)
; }  else 
{ /* Llib/thread.scm 347 */
BgL_test1997z00_1588 = 
BGl_z52threadzd2iszd2deadz52zz__ft_z52threadz52(BgL_tz00_22, BNIL)
; } } 
if(BgL_test1997z00_1588)
{ /* Llib/thread.scm 346 */
return BUNSPEC;}  else 
{ /* Llib/thread.scm 355 */
 BgL_z52schedulerz52_bglt BgL_i1111z00_221;
BgL_i1111z00_221 = 
((BgL_z52schedulerz52_bglt)
(((BgL_fthreadz00_bglt)COBJECT(BgL_tz00_22))->BgL_schedulerz00)); 
{ 
 obj_t BgL_auxz00_1596;
{ /* Llib/thread.scm 356 */
 obj_t BgL_arg1373z00_222; obj_t BgL_arg1374z00_223;
BgL_arg1373z00_222 = 
MAKE_YOUNG_PAIR(
((obj_t)BgL_tz00_22), 
BBOOL(BgL_valz00_24)); 
BgL_arg1374z00_223 = 
(((BgL_z52schedulerz52_bglt)COBJECT(BgL_i1111z00_221))->BgL_tosuspendzf2resumezf2); 
BgL_auxz00_1596 = 
MAKE_YOUNG_PAIR(BgL_arg1373z00_222, BgL_arg1374z00_223); } 
return 
((((BgL_z52schedulerz52_bglt)COBJECT(BgL_i1111z00_221))->BgL_tosuspendzf2resumezf2)=((obj_t)BgL_auxz00_1596),BUNSPEC);} } }  else 
{ /* Llib/thread.scm 343 */
return 
BGl_errorz00zz__errorz00(BgL_whoz00_23, BGl_string1847z00zz__ft_threadz00, 
((obj_t)BgL_tz00_22));} } 

}



/* thread-suspend! */
BGL_EXPORTED_DEF obj_t BGl_threadzd2suspendz12zc0zz__ft_threadz00(BgL_fthreadz00_bglt BgL_tz00_25)
{
{ /* Llib/thread.scm 361 */
return 
BGl_threadzd2suspendzf2resumez12z32zz__ft_threadz00(BgL_tz00_25, 
((obj_t)
CNST_TABLE_REF(2)), ((bool_t)1));} 

}



/* &thread-suspend! */
obj_t BGl_z62threadzd2suspendz12za2zz__ft_threadz00(obj_t BgL_envz00_870, obj_t BgL_tz00_871)
{
{ /* Llib/thread.scm 361 */
{ /* Llib/thread.scm 362 */
 BgL_fthreadz00_bglt BgL_auxz00_1608;
if(
BGl_isazf3zf3zz__objectz00(BgL_tz00_871, BGl_fthreadz00zz__ft_typesz00))
{ /* Llib/thread.scm 362 */
BgL_auxz00_1608 = 
((BgL_fthreadz00_bglt)BgL_tz00_871)
; }  else 
{ 
 obj_t BgL_auxz00_1612;
BgL_auxz00_1612 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1842z00zz__ft_threadz00, 
BINT(14254L), BGl_string1848z00zz__ft_threadz00, BGl_string1849z00zz__ft_threadz00, BgL_tz00_871); 
FAILURE(BgL_auxz00_1612,BFALSE,BFALSE);} 
return 
BGl_threadzd2suspendz12zc0zz__ft_threadz00(BgL_auxz00_1608);} } 

}



/* thread-resume! */
BGL_EXPORTED_DEF obj_t BGl_threadzd2resumez12zc0zz__ft_threadz00(BgL_fthreadz00_bglt BgL_tz00_26)
{
{ /* Llib/thread.scm 367 */
return 
BGl_threadzd2suspendzf2resumez12z32zz__ft_threadz00(BgL_tz00_26, 
((obj_t)
CNST_TABLE_REF(3)), ((bool_t)0));} 

}



/* &thread-resume! */
obj_t BGl_z62threadzd2resumez12za2zz__ft_threadz00(obj_t BgL_envz00_872, obj_t BgL_tz00_873)
{
{ /* Llib/thread.scm 367 */
{ /* Llib/thread.scm 368 */
 BgL_fthreadz00_bglt BgL_auxz00_1620;
if(
BGl_isazf3zf3zz__objectz00(BgL_tz00_873, BGl_fthreadz00zz__ft_typesz00))
{ /* Llib/thread.scm 368 */
BgL_auxz00_1620 = 
((BgL_fthreadz00_bglt)BgL_tz00_873)
; }  else 
{ 
 obj_t BgL_auxz00_1624;
BgL_auxz00_1624 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1842z00zz__ft_threadz00, 
BINT(14555L), BGl_string1850z00zz__ft_threadz00, BGl_string1849z00zz__ft_threadz00, BgL_tz00_873); 
FAILURE(BgL_auxz00_1624,BFALSE,BFALSE);} 
return 
BGl_threadzd2resumez12zc0zz__ft_threadz00(BgL_auxz00_1620);} } 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__ft_threadz00(void)
{
{ /* Llib/thread.scm 15 */
{ /* Llib/thread.scm 31 */
 obj_t BgL_arg1385z00_232; obj_t BgL_arg1386z00_233;
{ /* Llib/thread.scm 31 */
 obj_t BgL_v1137z00_246;
BgL_v1137z00_246 = 
create_vector(0L); 
BgL_arg1385z00_232 = BgL_v1137z00_246; } 
{ /* Llib/thread.scm 31 */
 obj_t BgL_v1138z00_247;
BgL_v1138z00_247 = 
create_vector(0L); 
BgL_arg1386z00_233 = BgL_v1138z00_247; } 
return ( 
BGl_joinzd2timeoutzd2exceptionz00zz__ft_threadz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
((obj_t)
CNST_TABLE_REF(4)), 
((obj_t)
CNST_TABLE_REF(5)), BGl_z62exceptionz62zz__objectz00, 60410L, BGl_proc1853z00zz__ft_threadz00, BGl_proc1852z00zz__ft_threadz00, BFALSE, BGl_proc1851z00zz__ft_threadz00, BFALSE, BgL_arg1385z00_232, BgL_arg1386z00_233), BUNSPEC) ;} } 

}



/* &<@anonymous:1399> */
obj_t BGl_z62zc3z04anonymousza31399ze3ze5zz__ft_threadz00(obj_t BgL_envz00_877, obj_t BgL_new1065z00_878)
{
{ /* Llib/thread.scm 31 */
{ 
 BgL_joinzd2timeoutzd2exceptionz00_bglt BgL_auxz00_1636;
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)
((BgL_joinzd2timeoutzd2exceptionz00_bglt)BgL_new1065z00_878))))->BgL_fnamez00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)
((BgL_joinzd2timeoutzd2exceptionz00_bglt)BgL_new1065z00_878))))->BgL_locationz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)
((BgL_joinzd2timeoutzd2exceptionz00_bglt)BgL_new1065z00_878))))->BgL_stackz00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_1636 = 
((BgL_joinzd2timeoutzd2exceptionz00_bglt)BgL_new1065z00_878); 
return 
((obj_t)BgL_auxz00_1636);} } 

}



/* &lambda1397 */
BgL_joinzd2timeoutzd2exceptionz00_bglt BGl_z62lambda1397z62zz__ft_threadz00(obj_t BgL_envz00_879)
{
{ /* Llib/thread.scm 31 */
{ /* Llib/thread.scm 31 */
 BgL_joinzd2timeoutzd2exceptionz00_bglt BgL_new1064z00_971;
BgL_new1064z00_971 = 
((BgL_joinzd2timeoutzd2exceptionz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_joinzd2timeoutzd2exceptionz00_bgl) ))); 
{ /* Llib/thread.scm 31 */
 long BgL_arg1398z00_972;
BgL_arg1398z00_972 = 
BGL_CLASS_NUM(BGl_joinzd2timeoutzd2exceptionz00zz__ft_threadz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1064z00_971), BgL_arg1398z00_972); } 
return BgL_new1064z00_971;} } 

}



/* &lambda1387 */
BgL_joinzd2timeoutzd2exceptionz00_bglt BGl_z62lambda1387z62zz__ft_threadz00(obj_t BgL_envz00_880, obj_t BgL_fname1061z00_881, obj_t BgL_location1062z00_882, obj_t BgL_stack1063z00_883)
{
{ /* Llib/thread.scm 31 */
{ /* Llib/thread.scm 31 */
 BgL_joinzd2timeoutzd2exceptionz00_bglt BgL_new1118z00_973;
{ /* Llib/thread.scm 31 */
 BgL_joinzd2timeoutzd2exceptionz00_bglt BgL_new1117z00_974;
BgL_new1117z00_974 = 
((BgL_joinzd2timeoutzd2exceptionz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_joinzd2timeoutzd2exceptionz00_bgl) ))); 
{ /* Llib/thread.scm 31 */
 long BgL_arg1396z00_975;
BgL_arg1396z00_975 = 
BGL_CLASS_NUM(BGl_joinzd2timeoutzd2exceptionz00zz__ft_threadz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1117z00_974), BgL_arg1396z00_975); } 
BgL_new1118z00_973 = BgL_new1117z00_974; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1118z00_973)))->BgL_fnamez00)=((obj_t)BgL_fname1061z00_881),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1118z00_973)))->BgL_locationz00)=((obj_t)BgL_location1062z00_882),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1118z00_973)))->BgL_stackz00)=((obj_t)BgL_stack1063z00_883),BUNSPEC); 
return BgL_new1118z00_973;} } 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__ft_threadz00(void)
{
{ /* Llib/thread.scm 15 */
return BUNSPEC;} 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__ft_threadz00(void)
{
{ /* Llib/thread.scm 15 */
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_objectzd2equalzf3zd2envzf3zz__objectz00, BGl_z52sigjoinz52zz__ft_typesz00, BGl_proc1854z00zz__ft_threadz00, BGl_string1855z00zz__ft_threadz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_threadzd2joinz12zd2envz12zz__threadz00, BGl_fthreadz00zz__ft_typesz00, BGl_proc1856z00zz__ft_threadz00, BGl_string1857z00zz__ft_threadz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_objectzd2writezd2envz00zz__objectz00, BGl_fthreadz00zz__ft_typesz00, BGl_proc1858z00zz__ft_threadz00, BGl_string1859z00zz__ft_threadz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_threadzd2startz12zd2envz12zz__threadz00, BGl_fthreadz00zz__ft_typesz00, BGl_proc1860z00zz__ft_threadz00, BGl_string1861z00zz__ft_threadz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_threadzd2terminatez12zd2envz12zz__threadz00, BGl_fthreadz00zz__ft_typesz00, BGl_proc1862z00zz__ft_threadz00, BGl_string1863z00zz__ft_threadz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_threadzd2specificzd2envz00zz__threadz00, BGl_fthreadz00zz__ft_typesz00, BGl_proc1864z00zz__ft_threadz00, BGl_string1865z00zz__ft_threadz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_threadzd2specificzd2setz12zd2envzc0zz__threadz00, BGl_fthreadz00zz__ft_typesz00, BGl_proc1866z00zz__ft_threadz00, BGl_string1867z00zz__ft_threadz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_threadzd2cleanupzd2envz00zz__threadz00, BGl_fthreadz00zz__ft_typesz00, BGl_proc1868z00zz__ft_threadz00, BGl_string1869z00zz__ft_threadz00); 
return 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_threadzd2cleanupzd2setz12zd2envzc0zz__threadz00, BGl_fthreadz00zz__ft_typesz00, BGl_proc1870z00zz__ft_threadz00, BGl_string1871z00zz__ft_threadz00);} 

}



/* &thread-cleanup-set!-1159 */
obj_t BGl_z62threadzd2cleanupzd2setz12zd21159za2zz__ft_threadz00(obj_t BgL_envz00_894, obj_t BgL_thz00_895, obj_t BgL_vz00_896)
{
{ /* Llib/thread.scm 394 */
return 
((((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_thz00_895)))->BgL_z52cleanupz52)=((obj_t)BgL_vz00_896),BUNSPEC);} 

}



/* &thread-cleanup-fthre1157 */
obj_t BGl_z62threadzd2cleanupzd2fthre1157z62zz__ft_threadz00(obj_t BgL_envz00_897, obj_t BgL_thz00_898)
{
{ /* Llib/thread.scm 387 */
return 
(((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_thz00_898)))->BgL_z52cleanupz52);} 

}



/* &thread-specific-set!1155 */
obj_t BGl_z62threadzd2specificzd2setz121155z70zz__ft_threadz00(obj_t BgL_envz00_899, obj_t BgL_thz00_900, obj_t BgL_vz00_901)
{
{ /* Llib/thread.scm 380 */
return 
((((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_thz00_900)))->BgL_z52specificz52)=((obj_t)BgL_vz00_901),BUNSPEC);} 

}



/* &thread-specific-fthr1153 */
obj_t BGl_z62threadzd2specificzd2fthr1153z62zz__ft_threadz00(obj_t BgL_envz00_902, obj_t BgL_thz00_903)
{
{ /* Llib/thread.scm 373 */
return 
(((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_thz00_903)))->BgL_z52specificz52);} 

}



/* &thread-terminate!-ft1151 */
obj_t BGl_z62threadzd2terminatez12zd2ft1151z70zz__ft_threadz00(obj_t BgL_envz00_904, obj_t BgL_tz00_905)
{
{ /* Llib/thread.scm 309 */
if(
BGl_z52threadzd2attachedzf3z73zz__ft_z52threadz52(
((BgL_fthreadz00_bglt)BgL_tz00_905)))
{ /* Llib/thread.scm 318 */
if(
BGl_z52threadzd2iszd2deadz52zz__ft_z52threadz52(
((BgL_fthreadz00_bglt)BgL_tz00_905), BNIL))
{ /* Llib/thread.scm 321 */
return BUNSPEC;}  else 
{ /* Llib/thread.scm 321 */
if(
BGl_z52threadzd2iszd2toterminatez52zz__ft_z52threadz52(
((BgL_fthreadz00_bglt)BgL_tz00_905), BNIL))
{ /* Llib/thread.scm 324 */
return BUNSPEC;}  else 
{ /* Llib/thread.scm 324 */
{ /* Llib/thread.scm 329 */
 obj_t BgL_list1780z00_981;
BgL_list1780z00_981 = 
MAKE_YOUNG_PAIR(BTRUE, BNIL); 
BGl_z52threadzd2iszd2toterminatez52zz__ft_z52threadz52(
((BgL_fthreadz00_bglt)BgL_tz00_905), BgL_list1780z00_981); } 
{ 
 obj_t BgL_auxz00_1691;
{ /* Llib/thread.scm 331 */
 BgL_terminatedzd2threadzd2exceptionz00_bglt BgL_new1108z00_982;
{ /* Llib/thread.scm 331 */
 BgL_terminatedzd2threadzd2exceptionz00_bglt BgL_new1107z00_983;
BgL_new1107z00_983 = 
((BgL_terminatedzd2threadzd2exceptionz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_terminatedzd2threadzd2exceptionz00_bgl) ))); 
{ /* Llib/thread.scm 331 */
 long BgL_arg1788z00_984;
{ /* Llib/thread.scm 331 */
 obj_t BgL_classz00_985;
BgL_classz00_985 = BGl_terminatedzd2threadzd2exceptionz00zz__pth_threadz00; 
BgL_arg1788z00_984 = 
BGL_CLASS_NUM(BgL_classz00_985); } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1107z00_983), BgL_arg1788z00_984); } 
BgL_new1108z00_982 = BgL_new1107z00_983; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1108z00_982)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1108z00_982)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_1701;
{ /* Llib/thread.scm 331 */
 obj_t BgL_arg1784z00_986;
{ /* Llib/thread.scm 331 */
 obj_t BgL_arg1785z00_987;
{ /* Llib/thread.scm 331 */
 obj_t BgL_classz00_988;
BgL_classz00_988 = BGl_terminatedzd2threadzd2exceptionz00zz__pth_threadz00; 
BgL_arg1785z00_987 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_988); } 
BgL_arg1784z00_986 = 
VECTOR_REF(BgL_arg1785z00_987,2L); } 
BgL_auxz00_1701 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1784z00_986); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1108z00_982)))->BgL_stackz00)=((obj_t)BgL_auxz00_1701),BUNSPEC); } 
BgL_auxz00_1691 = 
((obj_t)BgL_new1108z00_982); } 
((((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_tz00_905)))->BgL_z52exczd2resultz80)=((obj_t)BgL_auxz00_1691),BUNSPEC); } 
{ /* Llib/thread.scm 334 */
 BgL_z52schedulerz52_bglt BgL_i1109z00_989;
BgL_i1109z00_989 = 
((BgL_z52schedulerz52_bglt)
(((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_tz00_905)))->BgL_schedulerz00)); 
{ 
 obj_t BgL_auxz00_1712;
{ /* Llib/thread.scm 336 */
 obj_t BgL_arg1792z00_990;
BgL_arg1792z00_990 = 
(((BgL_z52schedulerz52_bglt)COBJECT(BgL_i1109z00_989))->BgL_toterminatez00); 
BgL_auxz00_1712 = 
MAKE_YOUNG_PAIR(
((obj_t)
((BgL_fthreadz00_bglt)BgL_tz00_905)), BgL_arg1792z00_990); } 
return 
((((BgL_z52schedulerz52_bglt)COBJECT(BgL_i1109z00_989))->BgL_toterminatez00)=((obj_t)BgL_auxz00_1712),BUNSPEC);} } } } }  else 
{ /* Llib/thread.scm 318 */
return 
BGl_errorz00zz__errorz00(
((obj_t)
CNST_TABLE_REF(6)), BGl_string1847z00zz__ft_threadz00, 
((obj_t)
((BgL_fthreadz00_bglt)BgL_tz00_905)));} } 

}



/* &thread-start!-fthrea1149 */
obj_t BGl_z62threadzd2startz12zd2fthrea1149z70zz__ft_threadz00(obj_t BgL_envz00_906, obj_t BgL_tz00_907, obj_t BgL_oz00_908)
{
{ /* Llib/thread.scm 280 */
if(
BGl_z52threadzd2attachedzf3z73zz__ft_z52threadz52(
((BgL_fthreadz00_bglt)BgL_tz00_907)))
{ /* Llib/thread.scm 286 */
return 
BGl_errorz00zz__errorz00(BGl_string1861z00zz__ft_threadz00, BGl_string1872z00zz__ft_threadz00, 
((obj_t)
((BgL_fthreadz00_bglt)BgL_tz00_907)));}  else 
{ /* Llib/thread.scm 288 */
 BgL_schedulerz00_bglt BgL_scdlz00_992;
BgL_scdlz00_992 = 
BGl_z52getzd2optionalzd2schedulerz52zz__ft_z52schedulerz52(
((obj_t)
CNST_TABLE_REF(7)), BgL_oz00_908); 
((((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_tz00_907)))->BgL_schedulerz00)=((obj_t)
((obj_t)BgL_scdlz00_992)),BUNSPEC); 
((((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_tz00_907)))->BgL_z52builtinz52)=((obj_t)
BGl_z52pthreadzd2newz80zz__ft_z52pthreadz52(
((BgL_fthreadz00_bglt)BgL_tz00_907))),BUNSPEC); 
((((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_tz00_907)))->BgL_z52statez52)=((obj_t)
((obj_t)
CNST_TABLE_REF(8))),BUNSPEC); 
{ /* Llib/thread.scm 295 */
 obj_t BgL_arg1762z00_993;
BgL_arg1762z00_993 = 
(((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_tz00_907)))->BgL_z52builtinz52); 
BGl_threadzd2startz12zc0zz__threadz00(
((BgL_threadz00_bglt)BgL_arg1762z00_993), BNIL); } 
((((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_scdlz00_992)))->BgL_z52livezd2threadzd2numberz52)=((int)
(int)(
(1L+
(long)(
(((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_scdlz00_992)))->BgL_z52livezd2threadzd2numberz52))))),BUNSPEC); 
{ 
 obj_t BgL_auxz00_1754;
{ /* Llib/thread.scm 302 */
 obj_t BgL_arg1771z00_994;
BgL_arg1771z00_994 = 
(((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_scdlz00_992)))->BgL_tostartz00); 
BgL_auxz00_1754 = 
MAKE_YOUNG_PAIR(
((obj_t)
((BgL_fthreadz00_bglt)BgL_tz00_907)), BgL_arg1771z00_994); } 
((((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_scdlz00_992)))->BgL_tostartz00)=((obj_t)BgL_auxz00_1754),BUNSPEC); } 
return 
((obj_t)
((BgL_fthreadz00_bglt)BgL_tz00_907));} } 

}



/* &object-write-fthread1147 */
obj_t BGl_z62objectzd2writezd2fthread1147z62zz__ft_threadz00(obj_t BgL_envz00_909, obj_t BgL_oz00_910, obj_t BgL_portz00_911)
{
{ /* Llib/thread.scm 267 */
{ /* Llib/thread.scm 268 */
 obj_t BgL_arg1731z00_996;
if(
PAIRP(BgL_portz00_911))
{ /* Llib/thread.scm 268 */
BgL_arg1731z00_996 = 
CAR(BgL_portz00_911); }  else 
{ /* Llib/thread.scm 268 */
 obj_t BgL_tmpz00_1767;
BgL_tmpz00_1767 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_arg1731z00_996 = 
BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_1767); } 
{ /* Llib/thread.scm 270 */
 obj_t BgL_zc3z04anonymousza31734ze3z87_997;
BgL_zc3z04anonymousza31734ze3z87_997 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31734ze3ze5zz__ft_threadz00, 
(int)(0L), 
(int)(1L)); 
PROCEDURE_SET(BgL_zc3z04anonymousza31734ze3z87_997, 
(int)(0L), 
((obj_t)
((BgL_fthreadz00_bglt)BgL_oz00_910))); 
return 
BGl_withzd2outputzd2tozd2portzd2zz__r4_ports_6_10_1z00(BgL_arg1731z00_996, BgL_zc3z04anonymousza31734ze3z87_997);} } } 

}



/* &<@anonymous:1734> */
obj_t BGl_z62zc3z04anonymousza31734ze3ze5zz__ft_threadz00(obj_t BgL_envz00_912)
{
{ /* Llib/thread.scm 269 */
{ /* Llib/thread.scm 270 */
 BgL_fthreadz00_bglt BgL_oz00_913;
BgL_oz00_913 = 
((BgL_fthreadz00_bglt)
PROCEDURE_REF(BgL_envz00_912, 
(int)(0L))); 
{ /* Llib/thread.scm 271 */
 obj_t BgL_arg1737z00_998; obj_t BgL_arg1738z00_999; int BgL_arg1740z00_1000; obj_t BgL_arg1741z00_1001;
BgL_arg1737z00_998 = 
(((BgL_threadz00_bglt)COBJECT(
((BgL_threadz00_bglt)BgL_oz00_913)))->BgL_namez00); 
BgL_arg1738z00_999 = 
(((BgL_fthreadz00_bglt)COBJECT(BgL_oz00_913))->BgL_z52statez52); 
BgL_arg1740z00_1000 = 
(((BgL_fthreadz00_bglt)COBJECT(BgL_oz00_913))->BgL_z52timeoutz52); 
BgL_arg1741z00_1001 = 
(((BgL_fthreadz00_bglt)COBJECT(BgL_oz00_913))->BgL_z52signalsz52); 
{ /* Llib/thread.scm 271 */
 obj_t BgL_list1742z00_1002;
{ /* Llib/thread.scm 271 */
 obj_t BgL_arg1743z00_1003;
{ /* Llib/thread.scm 271 */
 obj_t BgL_arg1744z00_1004;
{ /* Llib/thread.scm 271 */
 obj_t BgL_arg1746z00_1005;
{ /* Llib/thread.scm 271 */
 obj_t BgL_arg1755z00_1006;
{ /* Llib/thread.scm 271 */
 obj_t BgL_arg1756z00_1007;
{ /* Llib/thread.scm 271 */
 obj_t BgL_arg1757z00_1008;
{ /* Llib/thread.scm 271 */
 obj_t BgL_arg1758z00_1009;
{ /* Llib/thread.scm 271 */
 obj_t BgL_arg1759z00_1010;
BgL_arg1759z00_1010 = 
MAKE_YOUNG_PAIR(BGl_string1873z00zz__ft_threadz00, BNIL); 
BgL_arg1758z00_1009 = 
MAKE_YOUNG_PAIR(BgL_arg1741z00_1001, BgL_arg1759z00_1010); } 
BgL_arg1757z00_1008 = 
MAKE_YOUNG_PAIR(BGl_string1874z00zz__ft_threadz00, BgL_arg1758z00_1009); } 
BgL_arg1756z00_1007 = 
MAKE_YOUNG_PAIR(
BINT(BgL_arg1740z00_1000), BgL_arg1757z00_1008); } 
BgL_arg1755z00_1006 = 
MAKE_YOUNG_PAIR(BGl_string1875z00zz__ft_threadz00, BgL_arg1756z00_1007); } 
BgL_arg1746z00_1005 = 
MAKE_YOUNG_PAIR(BgL_arg1738z00_999, BgL_arg1755z00_1006); } 
BgL_arg1744z00_1004 = 
MAKE_YOUNG_PAIR(BGl_string1876z00zz__ft_threadz00, BgL_arg1746z00_1005); } 
BgL_arg1743z00_1003 = 
MAKE_YOUNG_PAIR(BgL_arg1737z00_998, BgL_arg1744z00_1004); } 
BgL_list1742z00_1002 = 
MAKE_YOUNG_PAIR(BGl_string1877z00zz__ft_threadz00, BgL_arg1743z00_1003); } 
return 
BGl_displayza2za2zz__r4_output_6_10_3z00(BgL_list1742z00_1002);} } } } 

}



/* &thread-join!-fthread1145 */
obj_t BGl_z62threadzd2joinz12zd2fthread1145z70zz__ft_threadz00(obj_t BgL_envz00_914, obj_t BgL_tz00_915, obj_t BgL_argsz00_916)
{
{ /* Llib/thread.scm 59 */
{ /* Llib/thread.scm 61 */
 bool_t BgL_test2007z00_1797;
if(
(
(((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_tz00_915)))->BgL_z52statez52)==
((obj_t)
CNST_TABLE_REF(9))))
{ /* Llib/thread.scm 61 */
BgL_test2007z00_1797 = ((bool_t)1)
; }  else 
{ /* Llib/thread.scm 61 */
BgL_test2007z00_1797 = 
(
(((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_tz00_915)))->BgL_z52statez52)==
((obj_t)
CNST_TABLE_REF(10)))
; } 
if(BgL_test2007z00_1797)
{ /* Llib/thread.scm 61 */
if(
(((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_tz00_915)))->BgL_z52exczd2raisedz80))
{ /* Llib/thread.scm 62 */
return 
BGl_raisez00zz__errorz00(
(((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_tz00_915)))->BgL_z52exczd2resultz80));}  else 
{ /* Llib/thread.scm 62 */
return 
(((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_tz00_915)))->BgL_z52resultz52);} }  else 
{ 
 obj_t BgL_toz00_1066; obj_t BgL_tozd2valzd2_1067; obj_t BgL_toz00_1036;
if(
PAIRP(BgL_argsz00_916))
{ /* Llib/thread.scm 65 */
 obj_t BgL_cdrzd2110zd2_1090;
BgL_cdrzd2110zd2_1090 = 
CDR(
((obj_t)BgL_argsz00_916)); 
if(
PAIRP(BgL_cdrzd2110zd2_1090))
{ /* Llib/thread.scm 65 */
if(
NULLP(
CDR(BgL_cdrzd2110zd2_1090)))
{ /* Llib/thread.scm 65 */
 obj_t BgL_arg1578z00_1091; obj_t BgL_arg1582z00_1092;
BgL_arg1578z00_1091 = 
CAR(
((obj_t)BgL_argsz00_916)); 
BgL_arg1582z00_1092 = 
CAR(BgL_cdrzd2110zd2_1090); 
BgL_toz00_1066 = BgL_arg1578z00_1091; 
BgL_tozd2valzd2_1067 = BgL_arg1582z00_1092; 
if(
BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_toz00_1066))
{ /* Llib/thread.scm 69 */
 obj_t BgL_vz00_1068;
{ /* Llib/thread.scm 69 */
 BgL_z52sigjoinz52_bglt BgL_arg1620z00_1069;
{ /* Llib/thread.scm 69 */
 BgL_z52sigjoinz52_bglt BgL_new1070z00_1070;
{ /* Llib/thread.scm 70 */
 BgL_z52sigjoinz52_bglt BgL_new1069z00_1071;
BgL_new1069z00_1071 = 
((BgL_z52sigjoinz52_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z52sigjoinz52_bgl) ))); 
{ /* Llib/thread.scm 70 */
 long BgL_arg1632z00_1072;
BgL_arg1632z00_1072 = 
BGL_CLASS_NUM(BGl_z52sigjoinz52zz__ft_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1069z00_1071), BgL_arg1632z00_1072); } 
BgL_new1070z00_1070 = BgL_new1069z00_1071; } 
((((BgL_z52sigjoinz52_bglt)COBJECT(BgL_new1070z00_1070))->BgL_threadz00)=((BgL_fthreadz00_bglt)
((BgL_fthreadz00_bglt)BgL_tz00_915)),BUNSPEC); 
BgL_arg1620z00_1069 = BgL_new1070z00_1070; } 
{ /* Llib/thread.scm 69 */
 obj_t BgL_list1621z00_1073;
BgL_list1621z00_1073 = 
MAKE_YOUNG_PAIR(BgL_toz00_1066, BNIL); 
BgL_vz00_1068 = 
BGl_threadzd2awaitz12zc0zz__ft_threadz00(
((obj_t)BgL_arg1620z00_1069), BgL_list1621z00_1073); } } 
{ /* Llib/thread.scm 74 */
 bool_t BgL_test2014z00_1840;
{ /* Llib/thread.scm 74 */
 obj_t BgL_arg1619z00_1074;
BgL_arg1619z00_1074 = 
(((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_tz00_915)))->BgL_z52exczd2resultz80); 
{ /* Llib/thread.scm 74 */
 obj_t BgL_classz00_1075;
BgL_classz00_1075 = BGl_terminatedzd2threadzd2exceptionz00zz__pth_threadz00; 
if(
BGL_OBJECTP(BgL_arg1619z00_1074))
{ /* Llib/thread.scm 74 */
 BgL_objectz00_bglt BgL_arg1827z00_1076;
BgL_arg1827z00_1076 = 
(BgL_objectz00_bglt)(BgL_arg1619z00_1074); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/thread.scm 74 */
 long BgL_idxz00_1077;
BgL_idxz00_1077 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1827z00_1076); 
BgL_test2014z00_1840 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_1077+3L))==BgL_classz00_1075); }  else 
{ /* Llib/thread.scm 74 */
 bool_t BgL_res1807z00_1080;
{ /* Llib/thread.scm 74 */
 obj_t BgL_oclassz00_1081;
{ /* Llib/thread.scm 74 */
 obj_t BgL_arg1834z00_1082; long BgL_arg1835z00_1083;
BgL_arg1834z00_1082 = 
(BGl_za2classesza2z00zz__objectz00); 
{ /* Llib/thread.scm 74 */
 long BgL_arg1836z00_1084;
BgL_arg1836z00_1084 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1827z00_1076); 
BgL_arg1835z00_1083 = 
(BgL_arg1836z00_1084-OBJECT_TYPE); } 
BgL_oclassz00_1081 = 
VECTOR_REF(BgL_arg1834z00_1082,BgL_arg1835z00_1083); } 
{ /* Llib/thread.scm 74 */
 bool_t BgL__ortest_1114z00_1085;
BgL__ortest_1114z00_1085 = 
(BgL_classz00_1075==BgL_oclassz00_1081); 
if(BgL__ortest_1114z00_1085)
{ /* Llib/thread.scm 74 */
BgL_res1807z00_1080 = BgL__ortest_1114z00_1085; }  else 
{ /* Llib/thread.scm 74 */
 long BgL_odepthz00_1086;
{ /* Llib/thread.scm 74 */
 obj_t BgL_arg1824z00_1087;
BgL_arg1824z00_1087 = 
(BgL_oclassz00_1081); 
BgL_odepthz00_1086 = 
BGL_CLASS_DEPTH(BgL_arg1824z00_1087); } 
if(
(3L<BgL_odepthz00_1086))
{ /* Llib/thread.scm 74 */
 obj_t BgL_arg1822z00_1088;
{ /* Llib/thread.scm 74 */
 obj_t BgL_arg1823z00_1089;
BgL_arg1823z00_1089 = 
(BgL_oclassz00_1081); 
BgL_arg1822z00_1088 = 
BGL_CLASS_ANCESTORS_REF(BgL_arg1823z00_1089, 3L); } 
BgL_res1807z00_1080 = 
(BgL_arg1822z00_1088==BgL_classz00_1075); }  else 
{ /* Llib/thread.scm 74 */
BgL_res1807z00_1080 = ((bool_t)0); } } } } 
BgL_test2014z00_1840 = BgL_res1807z00_1080; } }  else 
{ /* Llib/thread.scm 74 */
BgL_test2014z00_1840 = ((bool_t)0)
; } } } 
if(BgL_test2014z00_1840)
{ /* Llib/thread.scm 74 */
return 
BGl_raisez00zz__errorz00(
(((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_tz00_915)))->BgL_z52exczd2resultz80));}  else 
{ /* Llib/thread.scm 74 */
if(
CBOOL(BgL_vz00_1068))
{ /* Llib/thread.scm 76 */
return BgL_vz00_1068;}  else 
{ /* Llib/thread.scm 76 */
return BgL_tozd2valzd2_1067;} } } }  else 
{ /* Llib/thread.scm 67 */
return 
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_string1878z00zz__ft_threadz00, BGl_string1879z00zz__ft_threadz00, BgL_toz00_1066);} }  else 
{ /* Llib/thread.scm 65 */
BgL_tagzd2103zd2_1012:
{ /* Llib/thread.scm 95 */
 obj_t BgL_vz00_1015;
{ /* Llib/thread.scm 95 */
 BgL_z52sigjoinz52_bglt BgL_arg1711z00_1016;
{ /* Llib/thread.scm 95 */
 BgL_z52sigjoinz52_bglt BgL_new1078z00_1017;
{ /* Llib/thread.scm 96 */
 BgL_z52sigjoinz52_bglt BgL_new1077z00_1018;
BgL_new1077z00_1018 = 
((BgL_z52sigjoinz52_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z52sigjoinz52_bgl) ))); 
{ /* Llib/thread.scm 96 */
 long BgL_arg1716z00_1019;
BgL_arg1716z00_1019 = 
BGL_CLASS_NUM(BGl_z52sigjoinz52zz__ft_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1077z00_1018), BgL_arg1716z00_1019); } 
BgL_new1078z00_1017 = BgL_new1077z00_1018; } 
((((BgL_z52sigjoinz52_bglt)COBJECT(BgL_new1078z00_1017))->BgL_threadz00)=((BgL_fthreadz00_bglt)
((BgL_fthreadz00_bglt)BgL_tz00_915)),BUNSPEC); 
BgL_arg1711z00_1016 = BgL_new1078z00_1017; } 
BgL_vz00_1015 = 
BGl_threadzd2awaitz12zc0zz__ft_threadz00(
((obj_t)BgL_arg1711z00_1016), BNIL); } 
{ /* Llib/thread.scm 99 */
 bool_t BgL_test2020z00_1879;
{ /* Llib/thread.scm 99 */
 obj_t BgL_arg1708z00_1020;
BgL_arg1708z00_1020 = 
(((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_tz00_915)))->BgL_z52exczd2resultz80); 
{ /* Llib/thread.scm 99 */
 obj_t BgL_classz00_1021;
BgL_classz00_1021 = BGl_terminatedzd2threadzd2exceptionz00zz__pth_threadz00; 
if(
BGL_OBJECTP(BgL_arg1708z00_1020))
{ /* Llib/thread.scm 99 */
 BgL_objectz00_bglt BgL_arg1827z00_1022;
BgL_arg1827z00_1022 = 
(BgL_objectz00_bglt)(BgL_arg1708z00_1020); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/thread.scm 99 */
 long BgL_idxz00_1023;
BgL_idxz00_1023 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1827z00_1022); 
BgL_test2020z00_1879 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_1023+3L))==BgL_classz00_1021); }  else 
{ /* Llib/thread.scm 99 */
 bool_t BgL_res1809z00_1026;
{ /* Llib/thread.scm 99 */
 obj_t BgL_oclassz00_1027;
{ /* Llib/thread.scm 99 */
 obj_t BgL_arg1834z00_1028; long BgL_arg1835z00_1029;
BgL_arg1834z00_1028 = 
(BGl_za2classesza2z00zz__objectz00); 
{ /* Llib/thread.scm 99 */
 long BgL_arg1836z00_1030;
BgL_arg1836z00_1030 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1827z00_1022); 
BgL_arg1835z00_1029 = 
(BgL_arg1836z00_1030-OBJECT_TYPE); } 
BgL_oclassz00_1027 = 
VECTOR_REF(BgL_arg1834z00_1028,BgL_arg1835z00_1029); } 
{ /* Llib/thread.scm 99 */
 bool_t BgL__ortest_1114z00_1031;
BgL__ortest_1114z00_1031 = 
(BgL_classz00_1021==BgL_oclassz00_1027); 
if(BgL__ortest_1114z00_1031)
{ /* Llib/thread.scm 99 */
BgL_res1809z00_1026 = BgL__ortest_1114z00_1031; }  else 
{ /* Llib/thread.scm 99 */
 long BgL_odepthz00_1032;
{ /* Llib/thread.scm 99 */
 obj_t BgL_arg1824z00_1033;
BgL_arg1824z00_1033 = 
(BgL_oclassz00_1027); 
BgL_odepthz00_1032 = 
BGL_CLASS_DEPTH(BgL_arg1824z00_1033); } 
if(
(3L<BgL_odepthz00_1032))
{ /* Llib/thread.scm 99 */
 obj_t BgL_arg1822z00_1034;
{ /* Llib/thread.scm 99 */
 obj_t BgL_arg1823z00_1035;
BgL_arg1823z00_1035 = 
(BgL_oclassz00_1027); 
BgL_arg1822z00_1034 = 
BGL_CLASS_ANCESTORS_REF(BgL_arg1823z00_1035, 3L); } 
BgL_res1809z00_1026 = 
(BgL_arg1822z00_1034==BgL_classz00_1021); }  else 
{ /* Llib/thread.scm 99 */
BgL_res1809z00_1026 = ((bool_t)0); } } } } 
BgL_test2020z00_1879 = BgL_res1809z00_1026; } }  else 
{ /* Llib/thread.scm 99 */
BgL_test2020z00_1879 = ((bool_t)0)
; } } } 
if(BgL_test2020z00_1879)
{ /* Llib/thread.scm 99 */
return 
BGl_raisez00zz__errorz00(
(((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_tz00_915)))->BgL_z52exczd2resultz80));}  else 
{ /* Llib/thread.scm 99 */
return BgL_vz00_1015;} } } } }  else 
{ /* Llib/thread.scm 65 */
if(
NULLP(BgL_cdrzd2110zd2_1090))
{ /* Llib/thread.scm 65 */
 obj_t BgL_arg1603z00_1093;
BgL_arg1603z00_1093 = 
CAR(
((obj_t)BgL_argsz00_916)); 
BgL_toz00_1036 = BgL_arg1603z00_1093; 
if(
BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_toz00_1036))
{ /* Llib/thread.scm 83 */
 obj_t BgL_vz00_1037;
{ /* Llib/thread.scm 83 */
 BgL_z52sigjoinz52_bglt BgL_arg1692z00_1038;
{ /* Llib/thread.scm 83 */
 BgL_z52sigjoinz52_bglt BgL_new1073z00_1039;
{ /* Llib/thread.scm 84 */
 BgL_z52sigjoinz52_bglt BgL_new1072z00_1040;
BgL_new1072z00_1040 = 
((BgL_z52sigjoinz52_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z52sigjoinz52_bgl) ))); 
{ /* Llib/thread.scm 84 */
 long BgL_arg1698z00_1041;
BgL_arg1698z00_1041 = 
BGL_CLASS_NUM(BGl_z52sigjoinz52zz__ft_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1072z00_1040), BgL_arg1698z00_1041); } 
BgL_new1073z00_1039 = BgL_new1072z00_1040; } 
((((BgL_z52sigjoinz52_bglt)COBJECT(BgL_new1073z00_1039))->BgL_threadz00)=((BgL_fthreadz00_bglt)
((BgL_fthreadz00_bglt)BgL_tz00_915)),BUNSPEC); 
BgL_arg1692z00_1038 = BgL_new1073z00_1039; } 
{ /* Llib/thread.scm 83 */
 obj_t BgL_list1693z00_1042;
BgL_list1693z00_1042 = 
MAKE_YOUNG_PAIR(BgL_toz00_1036, BNIL); 
BgL_vz00_1037 = 
BGl_threadzd2awaitz12zc0zz__ft_threadz00(
((obj_t)BgL_arg1692z00_1038), BgL_list1693z00_1042); } } 
{ /* Llib/thread.scm 88 */
 bool_t BgL_test2027z00_1922;
{ /* Llib/thread.scm 88 */
 obj_t BgL_arg1691z00_1043;
BgL_arg1691z00_1043 = 
(((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_tz00_915)))->BgL_z52exczd2resultz80); 
{ /* Llib/thread.scm 88 */
 obj_t BgL_classz00_1044;
BgL_classz00_1044 = BGl_terminatedzd2threadzd2exceptionz00zz__pth_threadz00; 
if(
BGL_OBJECTP(BgL_arg1691z00_1043))
{ /* Llib/thread.scm 88 */
 BgL_objectz00_bglt BgL_arg1827z00_1045;
BgL_arg1827z00_1045 = 
(BgL_objectz00_bglt)(BgL_arg1691z00_1043); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/thread.scm 88 */
 long BgL_idxz00_1046;
BgL_idxz00_1046 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1827z00_1045); 
BgL_test2027z00_1922 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_1046+3L))==BgL_classz00_1044); }  else 
{ /* Llib/thread.scm 88 */
 bool_t BgL_res1808z00_1049;
{ /* Llib/thread.scm 88 */
 obj_t BgL_oclassz00_1050;
{ /* Llib/thread.scm 88 */
 obj_t BgL_arg1834z00_1051; long BgL_arg1835z00_1052;
BgL_arg1834z00_1051 = 
(BGl_za2classesza2z00zz__objectz00); 
{ /* Llib/thread.scm 88 */
 long BgL_arg1836z00_1053;
BgL_arg1836z00_1053 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1827z00_1045); 
BgL_arg1835z00_1052 = 
(BgL_arg1836z00_1053-OBJECT_TYPE); } 
BgL_oclassz00_1050 = 
VECTOR_REF(BgL_arg1834z00_1051,BgL_arg1835z00_1052); } 
{ /* Llib/thread.scm 88 */
 bool_t BgL__ortest_1114z00_1054;
BgL__ortest_1114z00_1054 = 
(BgL_classz00_1044==BgL_oclassz00_1050); 
if(BgL__ortest_1114z00_1054)
{ /* Llib/thread.scm 88 */
BgL_res1808z00_1049 = BgL__ortest_1114z00_1054; }  else 
{ /* Llib/thread.scm 88 */
 long BgL_odepthz00_1055;
{ /* Llib/thread.scm 88 */
 obj_t BgL_arg1824z00_1056;
BgL_arg1824z00_1056 = 
(BgL_oclassz00_1050); 
BgL_odepthz00_1055 = 
BGL_CLASS_DEPTH(BgL_arg1824z00_1056); } 
if(
(3L<BgL_odepthz00_1055))
{ /* Llib/thread.scm 88 */
 obj_t BgL_arg1822z00_1057;
{ /* Llib/thread.scm 88 */
 obj_t BgL_arg1823z00_1058;
BgL_arg1823z00_1058 = 
(BgL_oclassz00_1050); 
BgL_arg1822z00_1057 = 
BGL_CLASS_ANCESTORS_REF(BgL_arg1823z00_1058, 3L); } 
BgL_res1808z00_1049 = 
(BgL_arg1822z00_1057==BgL_classz00_1044); }  else 
{ /* Llib/thread.scm 88 */
BgL_res1808z00_1049 = ((bool_t)0); } } } } 
BgL_test2027z00_1922 = BgL_res1808z00_1049; } }  else 
{ /* Llib/thread.scm 88 */
BgL_test2027z00_1922 = ((bool_t)0)
; } } } 
if(BgL_test2027z00_1922)
{ /* Llib/thread.scm 88 */
return 
BGl_raisez00zz__errorz00(
(((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_tz00_915)))->BgL_z52exczd2resultz80));}  else 
{ /* Llib/thread.scm 88 */
if(
CBOOL(BgL_vz00_1037))
{ /* Llib/thread.scm 90 */
return BgL_vz00_1037;}  else 
{ /* Llib/thread.scm 93 */
 BgL_joinzd2timeoutzd2exceptionz00_bglt BgL_arg1652z00_1059;
{ /* Llib/thread.scm 93 */
 BgL_joinzd2timeoutzd2exceptionz00_bglt BgL_new1076z00_1060;
{ /* Llib/thread.scm 93 */
 BgL_joinzd2timeoutzd2exceptionz00_bglt BgL_new1075z00_1061;
BgL_new1075z00_1061 = 
((BgL_joinzd2timeoutzd2exceptionz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_joinzd2timeoutzd2exceptionz00_bgl) ))); 
{ /* Llib/thread.scm 93 */
 long BgL_arg1667z00_1062;
BgL_arg1667z00_1062 = 
BGL_CLASS_NUM(BGl_joinzd2timeoutzd2exceptionz00zz__ft_threadz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1075z00_1061), BgL_arg1667z00_1062); } 
BgL_new1076z00_1060 = BgL_new1075z00_1061; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1076z00_1060)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1076z00_1060)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_1960;
{ /* Llib/thread.scm 93 */
 obj_t BgL_arg1653z00_1063;
{ /* Llib/thread.scm 93 */
 obj_t BgL_arg1654z00_1064;
{ /* Llib/thread.scm 93 */
 obj_t BgL_classz00_1065;
BgL_classz00_1065 = BGl_joinzd2timeoutzd2exceptionz00zz__ft_threadz00; 
BgL_arg1654z00_1064 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_1065); } 
BgL_arg1653z00_1063 = 
VECTOR_REF(BgL_arg1654z00_1064,2L); } 
BgL_auxz00_1960 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1653z00_1063); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1076z00_1060)))->BgL_stackz00)=((obj_t)BgL_auxz00_1960),BUNSPEC); } 
BgL_arg1652z00_1059 = BgL_new1076z00_1060; } 
return 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1652z00_1059));} } } }  else 
{ /* Llib/thread.scm 81 */
return 
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_string1878z00zz__ft_threadz00, BGl_string1879z00zz__ft_threadz00, BgL_toz00_1036);} }  else 
{ /* Llib/thread.scm 65 */
goto BgL_tagzd2103zd2_1012;} } }  else 
{ /* Llib/thread.scm 65 */
goto BgL_tagzd2103zd2_1012;} } } } 

}



/* &object-equal?-%sigjo1143 */
obj_t BGl_z62objectzd2equalzf3zd2z52sigjo1143zc3zz__ft_threadz00(obj_t BgL_envz00_917, obj_t BgL_o1z00_918, obj_t BgL_o2z00_919)
{
{ /* Llib/thread.scm 50 */
{ /* Llib/thread.scm 51 */
 bool_t BgL_tmpz00_1969;
{ /* Llib/thread.scm 51 */
 bool_t BgL_test2033z00_1970;
{ /* Llib/thread.scm 51 */
 obj_t BgL_classz00_1095;
BgL_classz00_1095 = BGl_z52sigjoinz52zz__ft_typesz00; 
if(
BGL_OBJECTP(BgL_o2z00_919))
{ /* Llib/thread.scm 51 */
 BgL_objectz00_bglt BgL_arg1827z00_1096;
BgL_arg1827z00_1096 = 
(BgL_objectz00_bglt)(BgL_o2z00_919); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/thread.scm 51 */
 long BgL_idxz00_1097;
BgL_idxz00_1097 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1827z00_1096); 
BgL_test2033z00_1970 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_1097+1L))==BgL_classz00_1095); }  else 
{ /* Llib/thread.scm 51 */
 bool_t BgL_res1806z00_1100;
{ /* Llib/thread.scm 51 */
 obj_t BgL_oclassz00_1101;
{ /* Llib/thread.scm 51 */
 obj_t BgL_arg1834z00_1102; long BgL_arg1835z00_1103;
BgL_arg1834z00_1102 = 
(BGl_za2classesza2z00zz__objectz00); 
{ /* Llib/thread.scm 51 */
 long BgL_arg1836z00_1104;
BgL_arg1836z00_1104 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1827z00_1096); 
BgL_arg1835z00_1103 = 
(BgL_arg1836z00_1104-OBJECT_TYPE); } 
BgL_oclassz00_1101 = 
VECTOR_REF(BgL_arg1834z00_1102,BgL_arg1835z00_1103); } 
{ /* Llib/thread.scm 51 */
 bool_t BgL__ortest_1114z00_1105;
BgL__ortest_1114z00_1105 = 
(BgL_classz00_1095==BgL_oclassz00_1101); 
if(BgL__ortest_1114z00_1105)
{ /* Llib/thread.scm 51 */
BgL_res1806z00_1100 = BgL__ortest_1114z00_1105; }  else 
{ /* Llib/thread.scm 51 */
 long BgL_odepthz00_1106;
{ /* Llib/thread.scm 51 */
 obj_t BgL_arg1824z00_1107;
BgL_arg1824z00_1107 = 
(BgL_oclassz00_1101); 
BgL_odepthz00_1106 = 
BGL_CLASS_DEPTH(BgL_arg1824z00_1107); } 
if(
(1L<BgL_odepthz00_1106))
{ /* Llib/thread.scm 51 */
 obj_t BgL_arg1822z00_1108;
{ /* Llib/thread.scm 51 */
 obj_t BgL_arg1823z00_1109;
BgL_arg1823z00_1109 = 
(BgL_oclassz00_1101); 
BgL_arg1822z00_1108 = 
BGL_CLASS_ANCESTORS_REF(BgL_arg1823z00_1109, 1L); } 
BgL_res1806z00_1100 = 
(BgL_arg1822z00_1108==BgL_classz00_1095); }  else 
{ /* Llib/thread.scm 51 */
BgL_res1806z00_1100 = ((bool_t)0); } } } } 
BgL_test2033z00_1970 = BgL_res1806z00_1100; } }  else 
{ /* Llib/thread.scm 51 */
BgL_test2033z00_1970 = ((bool_t)0)
; } } 
if(BgL_test2033z00_1970)
{ /* Llib/thread.scm 51 */
BgL_tmpz00_1969 = 
(
((obj_t)
(((BgL_z52sigjoinz52_bglt)COBJECT(
((BgL_z52sigjoinz52_bglt)BgL_o1z00_918)))->BgL_threadz00))==
((obj_t)
(((BgL_z52sigjoinz52_bglt)COBJECT(
((BgL_z52sigjoinz52_bglt)BgL_o2z00_919)))->BgL_threadz00)))
; }  else 
{ /* Llib/thread.scm 51 */
BgL_tmpz00_1969 = ((bool_t)0)
; } } 
return 
BBOOL(BgL_tmpz00_1969);} } 

}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__ft_threadz00(void)
{
{ /* Llib/thread.scm 15 */
BGl_modulezd2initializa7ationz75zz__ft_typesz00(414892275L, 
BSTRING_TO_STRING(BGl_string1880z00zz__ft_threadz00)); 
BGl_modulezd2initializa7ationz75zz__ft_z52typesz52(0L, 
BSTRING_TO_STRING(BGl_string1880z00zz__ft_threadz00)); 
BGl_modulezd2initializa7ationz75zz__ft_z52threadz52(536507091L, 
BSTRING_TO_STRING(BGl_string1880z00zz__ft_threadz00)); 
BGl_modulezd2initializa7ationz75zz__ft_schedulerz00(427827911L, 
BSTRING_TO_STRING(BGl_string1880z00zz__ft_threadz00)); 
BGl_modulezd2initializa7ationz75zz__ft_z52schedulerz52(398966270L, 
BSTRING_TO_STRING(BGl_string1880z00zz__ft_threadz00)); 
BGl_modulezd2initializa7ationz75zz__ft_envz00(360853603L, 
BSTRING_TO_STRING(BGl_string1880z00zz__ft_threadz00)); 
BGl_modulezd2initializa7ationz75zz__ft_z52envz52(471565054L, 
BSTRING_TO_STRING(BGl_string1880z00zz__ft_threadz00)); 
BGl_modulezd2initializa7ationz75zz__ft_signalz00(295111899L, 
BSTRING_TO_STRING(BGl_string1880z00zz__ft_threadz00)); 
return 
BGl_modulezd2initializa7ationz75zz__ft_z52pthreadz52(486293435L, 
BSTRING_TO_STRING(BGl_string1880z00zz__ft_threadz00));} 

}

#ifdef __cplusplus
}
#endif
