/*===========================================================================*/
/*   (Llib/mpg123_alsadec.scm)                                               */
/*   Bigloo (4.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Jan 27 07:55:05 AM CET 2025     */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.6a-build/bigloo-4.6a/bin/bigloo -ldopt -L/builddir/build/BUILD/bigloo-4.6a-build/bigloo-4.6a/libbacktrace/usr/lib64/bigloo/4.6a  -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo-4.6a-build/bigloo-4.6a/lib/bigloo/4.6a -I Llib -lib-dir /builddir/build/BUILD/bigloo-4.6a-build/bigloo-4.6a/lib/bigloo/4.6a -unsafe -safee -srfi mpg123 -copt  -DBGL_DUMMY -copt -fPIC -copt -IClib Llib/mpg123_alsadec.scm -o objs/mpg123_alsadec.o -c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>
#include <mpg123.h>
#include <alsa/asoundlib.h>

#ifdef __cplusplus
extern "C" {
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL___MPG123_ALSADEC_TYPE_DEFINITIONS
#define BGL___MPG123_ALSADEC_TYPE_DEFINITIONS

/* object type definitions */
typedef struct BgL_musicdecoderz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_mimetypesz00;
   int BgL_bufferzd2timezd2nearz00;
   int BgL_bufferzd2siza7ezd2nearzd2ratioz75;
   int BgL_periodzd2siza7ezd2nearzd2ratioz75;
   bool_t BgL_z52z12dpausez40;
   bool_t BgL_z52z12dabortz40;
   bool_t BgL_z52z12stopz40;
   obj_t BgL_z52dmutexz52;
   obj_t BgL_z52dcondvz52;
   obj_t BgL_z52doutcondvz52;
} *BgL_musicdecoderz00_bglt;

typedef struct BgL_alsamusicz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_onstatez00;
   obj_t BgL_onvolumez00;
   obj_t BgL_onerrorz00;
   obj_t BgL_oneventz00;
   obj_t BgL_z52mutexz52;
   struct BgL_musicstatusz00_bgl * BgL_z52statusz52;
   obj_t BgL_inbufz00;
   obj_t BgL_decodersz00;
   obj_t BgL_mkthreadz00;
   obj_t BgL_timeoutz00;
   obj_t BgL_z52decoderz52;
   obj_t BgL_z52bufferz52;
   obj_t BgL_z52nextbufferz52;
   obj_t BgL_z52playlistz52;
   int BgL_z52usecntz52;
   obj_t BgL_z52amutexz52;
   int BgL_z52z12pidz40;
   obj_t BgL_z52acondvz52;
   struct BgL_alsazd2sndzd2pcmz00_bgl * BgL_pcmz00;
} *BgL_alsamusicz00_bglt;

typedef struct BgL_alsazd2sndzd2pcmz00_bgl {
   header_t header;
   obj_t widening;
   snd_pcm_t * BgL_z42builtinz42;
   obj_t BgL_namez00;
   obj_t BgL_devicez00;
   obj_t BgL_streamz00;
   obj_t BgL_modez00;
   int BgL_hwbpsz00;
   int BgL_hwsratez00;
} *BgL_alsazd2sndzd2pcmz00_bglt;

typedef struct BgL_mpg123zd2decoderzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_mimetypesz00;
   int BgL_bufferzd2timezd2nearz00;
   int BgL_bufferzd2siza7ezd2nearzd2ratioz75;
   int BgL_periodzd2siza7ezd2nearzd2ratioz75;
   bool_t BgL_z52z12dpausez40;
   bool_t BgL_z52z12dabortz40;
   bool_t BgL_z52z12stopz40;
   obj_t BgL_z52dmutexz52;
   obj_t BgL_z52dcondvz52;
   obj_t BgL_z52doutcondvz52;
   obj_t BgL_outbufz00;
   obj_t BgL_z52mpg123z52;
   long BgL_z52z12dseekz40;
   int BgL_z52ratez52;
   int BgL_z52channelsz52;
   obj_t BgL_z52encodingz52;
} *BgL_mpg123zd2decoderzd2_bglt;

typedef struct BgL_mpg123zd2alsadecoderzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_mimetypesz00;
   int BgL_bufferzd2timezd2nearz00;
   int BgL_bufferzd2siza7ezd2nearzd2ratioz75;
   int BgL_periodzd2siza7ezd2nearzd2ratioz75;
   bool_t BgL_z52z12dpausez40;
   bool_t BgL_z52z12dabortz40;
   bool_t BgL_z52z12stopz40;
   obj_t BgL_z52dmutexz52;
   obj_t BgL_z52dcondvz52;
   obj_t BgL_z52doutcondvz52;
   obj_t BgL_outbufz00;
   obj_t BgL_z52mpg123z52;
   long BgL_z52z12dseekz40;
   int BgL_z52ratez52;
   int BgL_z52channelsz52;
   obj_t BgL_z52encodingz52;
} *BgL_mpg123zd2alsadecoderzd2_bglt;


#endif // BGL___MPG123_ALSADEC_TYPE_DEFINITIONS
#endif // BGL_MODULE_TYPE_DEFINITIONS

extern obj_t BGl_mpg123zd2decoderzd2zz__mpg123_decoderz00;
static obj_t BGl_requirezd2initializa7ationz75zz__mpg123_alsadecz00 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza31131ze3ze5zz__mpg123_alsadecz00(obj_t, obj_t);
static obj_t BGl_toplevelzd2initzd2zz__mpg123_alsadecz00(void);
BGL_IMPORT obj_t BGl_alsazd2sndzd2pcmzd2hwzd2setzd2paramsz12zc0zz__alsa_pcmz00(BgL_alsazd2sndzd2pcmz00_bglt, obj_t);
static obj_t BGl_genericzd2initzd2zz__mpg123_alsadecz00(void);
static obj_t BGl_objectzd2initzd2zz__mpg123_alsadecz00(void);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_mutexzd2nilzd2zz__threadz00(void);
BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t, obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zz__mpg123_alsadecz00(void);
static BgL_mpg123zd2alsadecoderzd2_bglt BGl_z62lambda1123z62zz__mpg123_alsadecz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_mpg123zd2alsadecoderzd2_bglt BGl_z62lambda1126z62zz__mpg123_alsadecz00(obj_t);
static obj_t BGl_z62musicdecoderzd2hwparam1110zb0zz__mpg123_alsadecz00(obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_classzd2constructorzd2zz__objectz00(obj_t);
BGL_IMPORT obj_t BGl_conditionzd2variablezd2nilz00zz__threadz00(void);
BGL_IMPORT obj_t BGl_alsazd2sndzd2pcmzd2reopenzd2zz__alsa_pcmz00(BgL_alsazd2sndzd2pcmz00_bglt);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__mpg123_alsadecz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__mpg123_decoderz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__mpg123_mpg123z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__alsa_alsaz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__alsa_pcmz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__multimediazd2musiczd2(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__multimediazd2musicbufzd2(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
BGL_EXPORTED_DEF obj_t BGl_mpg123zd2alsadecoderzd2zz__mpg123_alsadecz00 = BUNSPEC;
BGL_IMPORT obj_t BGl_alsazd2sndzd2pcmzd2swzd2setzd2paramsz12zc0zz__alsa_pcmz00(BgL_alsazd2sndzd2pcmz00_bglt, obj_t);
static obj_t BGl_cnstzd2initzd2zz__mpg123_alsadecz00(void);
static obj_t BGl_libraryzd2moduleszd2initz00zz__mpg123_alsadecz00(void);
BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zz__mpg123_alsadecz00(void);
static obj_t BGl_gczd2rootszd2initz00zz__mpg123_alsadecz00(void);
BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t, obj_t, obj_t);
static obj_t __cnst[ 12 ] ;


DEFINE_STRING( BGl_string1172z00zz__mpg123_alsadecz00, BgL_bgl_string1172za700za7za7_1182za7, "Llib/mpg123_alsadec.scm", 23 );
DEFINE_STRING( BGl_string1176z00zz__mpg123_alsadecz00, BgL_bgl_string1176za700za7za7_1183za7, "", 0 );
DEFINE_STRING( BGl_string1178z00zz__mpg123_alsadecz00, BgL_bgl_string1178za700za7za7_1184za7, "musicdecoder-hwparams-set!", 26 );
DEFINE_STRING( BGl_string1179z00zz__mpg123_alsadecz00, BgL_bgl_string1179za700za7za7_1185za7, "__mpg123_alsadec", 16 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1173z00zz__mpg123_alsadecz00, BgL_bgl_za762za7c3za704anonymo1186za7, BGl_z62zc3z04anonymousza31131ze3ze5zz__mpg123_alsadecz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1180z00zz__mpg123_alsadecz00, BgL_bgl_string1180za700za7za7_1187za7, ":start-threshold :avail-min :access rw-interleaved :format :channels :rate-near :buffer-size-near-ratio :period-size-near-ratio _ __mpg123_alsadec mpg123-alsadecoder ", 166 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1174z00zz__mpg123_alsadecz00, BgL_bgl_za762lambda1126za7621188z00, BGl_z62lambda1126z62zz__mpg123_alsadecz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1175z00zz__mpg123_alsadecz00, BgL_bgl_za762lambda1123za7621189z00, BGl_z62lambda1123z62zz__mpg123_alsadecz00, 0L, BUNSPEC, 16 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1177z00zz__mpg123_alsadecz00, BgL_bgl_za762musicdecoderza71190z00, BGl_z62musicdecoderzd2hwparam1110zb0zz__mpg123_alsadecz00, 0L, BUNSPEC, 3 );
BGL_IMPORT obj_t BGl_musicdecoderzd2initzd2envz00zz__multimediazd2musicbufzd2;
BGL_IMPORT obj_t BGl_musicdecoderzd2hwparamszd2setz12zd2envzc0zz__multimediazd2musicbufzd2;

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__mpg123_alsadecz00) );
ADD_ROOT( (void *)(&BGl_mpg123zd2alsadecoderzd2zz__mpg123_alsadecz00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__mpg123_alsadecz00(long BgL_checksumz00_185, char * BgL_fromz00_186)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__mpg123_alsadecz00))
{ 
BGl_requirezd2initializa7ationz75zz__mpg123_alsadecz00 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zz__mpg123_alsadecz00(); 
BGl_libraryzd2moduleszd2initz00zz__mpg123_alsadecz00(); 
BGl_cnstzd2initzd2zz__mpg123_alsadecz00(); 
BGl_importedzd2moduleszd2initz00zz__mpg123_alsadecz00(); 
BGl_objectzd2initzd2zz__mpg123_alsadecz00(); 
BGl_methodzd2initzd2zz__mpg123_alsadecz00(); 
return 
BGl_toplevelzd2initzd2zz__mpg123_alsadecz00();}  else 
{ 
return BUNSPEC;} } 

}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zz__mpg123_alsadecz00(void)
{
{ /* Llib/mpg123_alsadec.scm 15 */
BGl_modulezd2initializa7ationz75zz__alsa_pcmz00(0L, "__mpg123_alsadec"); 
BGl_modulezd2initializa7ationz75zz__readerz00(0L, "__mpg123_alsadec"); 
BGl_modulezd2initializa7ationz75zz__threadz00(0L, "__mpg123_alsadec"); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(0L, "__mpg123_alsadec"); 
BGl_modulezd2initializa7ationz75zz__objectz00(0L, "__mpg123_alsadec"); 
BGl_modulezd2initializa7ationz75zz__alsa_alsaz00(0L, "__mpg123_alsadec"); 
BGl_modulezd2initializa7ationz75zz__multimediazd2musiczd2(0L, "__mpg123_alsadec"); 
BGl_modulezd2initializa7ationz75zz__multimediazd2musicbufzd2(0L, "__mpg123_alsadec"); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(0L, "__mpg123_alsadec"); 
return BUNSPEC;} 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__mpg123_alsadecz00(void)
{
{ /* Llib/mpg123_alsadec.scm 15 */
{ /* Llib/mpg123_alsadec.scm 15 */
 obj_t BgL_cportz00_127;
{ /* Llib/mpg123_alsadec.scm 15 */
 obj_t BgL_stringz00_134;
BgL_stringz00_134 = BGl_string1180z00zz__mpg123_alsadecz00; 
{ /* Llib/mpg123_alsadec.scm 15 */
 obj_t BgL_startz00_135;
BgL_startz00_135 = 
BINT(0L); 
{ /* Llib/mpg123_alsadec.scm 15 */
 obj_t BgL_endz00_136;
BgL_endz00_136 = 
BINT(
STRING_LENGTH(
((obj_t)BgL_stringz00_134))); 
{ /* Llib/mpg123_alsadec.scm 15 */

BgL_cportz00_127 = 
BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(BgL_stringz00_134, BgL_startz00_135, BgL_endz00_136); } } } } 
{ 
 long BgL_iz00_128;
BgL_iz00_128 = 11L; 
BgL_loopz00_129:
if(
(BgL_iz00_128==(-1L)))
{ /* Llib/mpg123_alsadec.scm 15 */
return BUNSPEC;}  else 
{ /* Llib/mpg123_alsadec.scm 15 */
{ /* Llib/mpg123_alsadec.scm 15 */
 obj_t BgL_arg1181z00_130;
{ /* Llib/mpg123_alsadec.scm 15 */

{ /* Llib/mpg123_alsadec.scm 15 */
 obj_t BgL_locationz00_132;
BgL_locationz00_132 = 
BBOOL(((bool_t)0)); 
{ /* Llib/mpg123_alsadec.scm 15 */

BgL_arg1181z00_130 = 
BGl_readz00zz__readerz00(BgL_cportz00_127, BgL_locationz00_132); } } } 
{ /* Llib/mpg123_alsadec.scm 15 */
 int BgL_tmpz00_215;
BgL_tmpz00_215 = 
(int)(BgL_iz00_128); 
CNST_TABLE_SET(BgL_tmpz00_215, BgL_arg1181z00_130); } } 
{ /* Llib/mpg123_alsadec.scm 15 */
 int BgL_auxz00_133;
BgL_auxz00_133 = 
(int)(
(BgL_iz00_128-1L)); 
{ 
 long BgL_iz00_220;
BgL_iz00_220 = 
(long)(BgL_auxz00_133); 
BgL_iz00_128 = BgL_iz00_220; 
goto BgL_loopz00_129;} } } } } } 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__mpg123_alsadecz00(void)
{
{ /* Llib/mpg123_alsadec.scm 15 */
return 
bgl_gc_roots_register();} 

}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__mpg123_alsadecz00(void)
{
{ /* Llib/mpg123_alsadec.scm 15 */
BGl_modulezd2initializa7ationz75zz__alsa_alsaz00(0L, 
BSTRING_TO_STRING(BGl_string1172z00zz__mpg123_alsadecz00)); 
BGl_modulezd2initializa7ationz75zz__multimediazd2musiczd2(0L, 
BSTRING_TO_STRING(BGl_string1172z00zz__mpg123_alsadecz00)); 
return BUNSPEC;} 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__mpg123_alsadecz00(void)
{
{ /* Llib/mpg123_alsadec.scm 15 */
{ /* Llib/mpg123_alsadec.scm 28 */
 obj_t BgL_arg1121z00_18; obj_t BgL_arg1122z00_19;
{ /* Llib/mpg123_alsadec.scm 28 */
 obj_t BgL_v1107z00_46;
BgL_v1107z00_46 = 
create_vector(0L); 
BgL_arg1121z00_18 = BgL_v1107z00_46; } 
{ /* Llib/mpg123_alsadec.scm 28 */
 obj_t BgL_v1108z00_47;
BgL_v1108z00_47 = 
create_vector(0L); 
BgL_arg1122z00_19 = BgL_v1108z00_47; } 
return ( 
BGl_mpg123zd2alsadecoderzd2zz__mpg123_alsadecz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
((obj_t)
CNST_TABLE_REF(0)), 
((obj_t)
CNST_TABLE_REF(1)), BGl_mpg123zd2decoderzd2zz__mpg123_decoderz00, 49408L, BGl_proc1175z00zz__mpg123_alsadecz00, BGl_proc1174z00zz__mpg123_alsadecz00, BGl_musicdecoderzd2initzd2envz00zz__multimediazd2musicbufzd2, BGl_proc1173z00zz__mpg123_alsadecz00, BFALSE, BgL_arg1121z00_18, BgL_arg1122z00_19), BUNSPEC) ;} } 

}



/* &<@anonymous:1131> */
obj_t BGl_z62zc3z04anonymousza31131ze3ze5zz__mpg123_alsadecz00(obj_t BgL_envz00_96, obj_t BgL_new1102z00_97)
{
{ /* Llib/mpg123_alsadec.scm 28 */
{ 
 BgL_mpg123zd2alsadecoderzd2_bglt BgL_auxz00_234;
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_mpg123zd2alsadecoderzd2_bglt)BgL_new1102z00_97))))->BgL_mimetypesz00)=((obj_t)BNIL),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_mpg123zd2alsadecoderzd2_bglt)BgL_new1102z00_97))))->BgL_bufferzd2timezd2nearz00)=((int)
(int)(0L)),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_mpg123zd2alsadecoderzd2_bglt)BgL_new1102z00_97))))->BgL_bufferzd2siza7ezd2nearzd2ratioz75)=((int)
(int)(0L)),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_mpg123zd2alsadecoderzd2_bglt)BgL_new1102z00_97))))->BgL_periodzd2siza7ezd2nearzd2ratioz75)=((int)
(int)(0L)),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_mpg123zd2alsadecoderzd2_bglt)BgL_new1102z00_97))))->BgL_z52z12dpausez40)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_mpg123zd2alsadecoderzd2_bglt)BgL_new1102z00_97))))->BgL_z52z12dabortz40)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_mpg123zd2alsadecoderzd2_bglt)BgL_new1102z00_97))))->BgL_z52z12stopz40)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_mpg123zd2alsadecoderzd2_bglt)BgL_new1102z00_97))))->BgL_z52dmutexz52)=((obj_t)
BGl_mutexzd2nilzd2zz__threadz00()),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_mpg123zd2alsadecoderzd2_bglt)BgL_new1102z00_97))))->BgL_z52dcondvz52)=((obj_t)
BGl_conditionzd2variablezd2nilz00zz__threadz00()),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_mpg123zd2alsadecoderzd2_bglt)BgL_new1102z00_97))))->BgL_z52doutcondvz52)=((obj_t)
BGl_conditionzd2variablezd2nilz00zz__threadz00()),BUNSPEC); 
((((BgL_mpg123zd2decoderzd2_bglt)COBJECT(
((BgL_mpg123zd2decoderzd2_bglt)
((BgL_mpg123zd2alsadecoderzd2_bglt)BgL_new1102z00_97))))->BgL_outbufz00)=((obj_t)BGl_string1176z00zz__mpg123_alsadecz00),BUNSPEC); 
((((BgL_mpg123zd2decoderzd2_bglt)COBJECT(
((BgL_mpg123zd2decoderzd2_bglt)
((BgL_mpg123zd2alsadecoderzd2_bglt)BgL_new1102z00_97))))->BgL_z52mpg123z52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_mpg123zd2decoderzd2_bglt)COBJECT(
((BgL_mpg123zd2decoderzd2_bglt)
((BgL_mpg123zd2alsadecoderzd2_bglt)BgL_new1102z00_97))))->BgL_z52z12dseekz40)=((long)0L),BUNSPEC); 
((((BgL_mpg123zd2decoderzd2_bglt)COBJECT(
((BgL_mpg123zd2decoderzd2_bglt)
((BgL_mpg123zd2alsadecoderzd2_bglt)BgL_new1102z00_97))))->BgL_z52ratez52)=((int)
(int)(0L)),BUNSPEC); 
((((BgL_mpg123zd2decoderzd2_bglt)COBJECT(
((BgL_mpg123zd2decoderzd2_bglt)
((BgL_mpg123zd2alsadecoderzd2_bglt)BgL_new1102z00_97))))->BgL_z52channelsz52)=((int)
(int)(0L)),BUNSPEC); 
((((BgL_mpg123zd2decoderzd2_bglt)COBJECT(
((BgL_mpg123zd2decoderzd2_bglt)
((BgL_mpg123zd2alsadecoderzd2_bglt)BgL_new1102z00_97))))->BgL_z52encodingz52)=((obj_t)
((obj_t)
CNST_TABLE_REF(2))),BUNSPEC); 
BgL_auxz00_234 = 
((BgL_mpg123zd2alsadecoderzd2_bglt)BgL_new1102z00_97); 
return 
((obj_t)BgL_auxz00_234);} } 

}



/* &lambda1126 */
BgL_mpg123zd2alsadecoderzd2_bglt BGl_z62lambda1126z62zz__mpg123_alsadecz00(obj_t BgL_envz00_98)
{
{ /* Llib/mpg123_alsadec.scm 28 */
{ /* Llib/mpg123_alsadec.scm 28 */
 BgL_mpg123zd2alsadecoderzd2_bglt BgL_new1101z00_139;
BgL_new1101z00_139 = 
((BgL_mpg123zd2alsadecoderzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_mpg123zd2alsadecoderzd2_bgl) ))); 
{ /* Llib/mpg123_alsadec.scm 28 */
 long BgL_arg1130z00_140;
BgL_arg1130z00_140 = 
BGL_CLASS_NUM(BGl_mpg123zd2alsadecoderzd2zz__mpg123_alsadecz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1101z00_139), BgL_arg1130z00_140); } 
return BgL_new1101z00_139;} } 

}



/* &lambda1123 */
BgL_mpg123zd2alsadecoderzd2_bglt BGl_z62lambda1123z62zz__mpg123_alsadecz00(obj_t BgL_envz00_99, obj_t BgL_mimetypes1085z00_100, obj_t BgL_bufferzd2timezd2near1086z00_101, obj_t BgL_bufferzd2siza7ezd2nearzd2rat1087z75_102, obj_t BgL_periodzd2siza7ezd2nearzd2rat1088z75_103, obj_t BgL_z52z12dpause1089z40_104, obj_t BgL_z52z12dabort1090z40_105, obj_t BgL_z52z12stop1091z40_106, obj_t BgL_z52dmutex1092z52_107, obj_t BgL_z52dcondv1093z52_108, obj_t BgL_z52doutcondv1094z52_109, obj_t BgL_outbuf1095z00_110, obj_t BgL_z52mpg1231096z52_111, obj_t BgL_z52z12dseek1097z40_112, obj_t BgL_z52rate1098z52_113, obj_t BgL_z52channels1099z52_114, obj_t BgL_z52encoding1100z52_115)
{
{ /* Llib/mpg123_alsadec.scm 28 */
{ /* Llib/mpg123_alsadec.scm 28 */
 int BgL_bufferzd2timezd2near1086z00_142; int BgL_bufferzd2siza7ezd2nearzd2rat1087z75_143; int BgL_periodzd2siza7ezd2nearzd2rat1088z75_144; bool_t BgL_z52z12dpause1089z40_145; bool_t BgL_z52z12dabort1090z40_146; bool_t BgL_z52z12stop1091z40_147; long BgL_z52z12dseek1097z40_152; int BgL_z52rate1098z52_153; int BgL_z52channels1099z52_154;
BgL_bufferzd2timezd2near1086z00_142 = 
CINT(BgL_bufferzd2timezd2near1086z00_101); 
BgL_bufferzd2siza7ezd2nearzd2rat1087z75_143 = 
CINT(BgL_bufferzd2siza7ezd2nearzd2rat1087z75_102); 
BgL_periodzd2siza7ezd2nearzd2rat1088z75_144 = 
CINT(BgL_periodzd2siza7ezd2nearzd2rat1088z75_103); 
BgL_z52z12dpause1089z40_145 = 
CBOOL(BgL_z52z12dpause1089z40_104); 
BgL_z52z12dabort1090z40_146 = 
CBOOL(BgL_z52z12dabort1090z40_105); 
BgL_z52z12stop1091z40_147 = 
CBOOL(BgL_z52z12stop1091z40_106); 
BgL_z52z12dseek1097z40_152 = 
(long)CINT(BgL_z52z12dseek1097z40_112); 
BgL_z52rate1098z52_153 = 
CINT(BgL_z52rate1098z52_113); 
BgL_z52channels1099z52_154 = 
CINT(BgL_z52channels1099z52_114); 
{ /* Llib/mpg123_alsadec.scm 28 */
 BgL_mpg123zd2alsadecoderzd2_bglt BgL_new1106z00_156;
{ /* Llib/mpg123_alsadec.scm 28 */
 BgL_mpg123zd2alsadecoderzd2_bglt BgL_new1105z00_157;
BgL_new1105z00_157 = 
((BgL_mpg123zd2alsadecoderzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_mpg123zd2alsadecoderzd2_bgl) ))); 
{ /* Llib/mpg123_alsadec.scm 28 */
 long BgL_arg1125z00_158;
BgL_arg1125z00_158 = 
BGL_CLASS_NUM(BGl_mpg123zd2alsadecoderzd2zz__mpg123_alsadecz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1105z00_157), BgL_arg1125z00_158); } 
BgL_new1106z00_156 = BgL_new1105z00_157; } 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)BgL_new1106z00_156)))->BgL_mimetypesz00)=((obj_t)
((obj_t)BgL_mimetypes1085z00_100)),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)BgL_new1106z00_156)))->BgL_bufferzd2timezd2nearz00)=((int)BgL_bufferzd2timezd2near1086z00_142),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)BgL_new1106z00_156)))->BgL_bufferzd2siza7ezd2nearzd2ratioz75)=((int)BgL_bufferzd2siza7ezd2nearzd2rat1087z75_143),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)BgL_new1106z00_156)))->BgL_periodzd2siza7ezd2nearzd2ratioz75)=((int)BgL_periodzd2siza7ezd2nearzd2rat1088z75_144),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)BgL_new1106z00_156)))->BgL_z52z12dpausez40)=((bool_t)BgL_z52z12dpause1089z40_145),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)BgL_new1106z00_156)))->BgL_z52z12dabortz40)=((bool_t)BgL_z52z12dabort1090z40_146),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)BgL_new1106z00_156)))->BgL_z52z12stopz40)=((bool_t)BgL_z52z12stop1091z40_147),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)BgL_new1106z00_156)))->BgL_z52dmutexz52)=((obj_t)
((obj_t)BgL_z52dmutex1092z52_107)),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)BgL_new1106z00_156)))->BgL_z52dcondvz52)=((obj_t)
((obj_t)BgL_z52dcondv1093z52_108)),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)BgL_new1106z00_156)))->BgL_z52doutcondvz52)=((obj_t)
((obj_t)BgL_z52doutcondv1094z52_109)),BUNSPEC); 
((((BgL_mpg123zd2decoderzd2_bglt)COBJECT(
((BgL_mpg123zd2decoderzd2_bglt)BgL_new1106z00_156)))->BgL_outbufz00)=((obj_t)
((obj_t)BgL_outbuf1095z00_110)),BUNSPEC); 
((((BgL_mpg123zd2decoderzd2_bglt)COBJECT(
((BgL_mpg123zd2decoderzd2_bglt)BgL_new1106z00_156)))->BgL_z52mpg123z52)=((obj_t)BgL_z52mpg1231096z52_111),BUNSPEC); 
((((BgL_mpg123zd2decoderzd2_bglt)COBJECT(
((BgL_mpg123zd2decoderzd2_bglt)BgL_new1106z00_156)))->BgL_z52z12dseekz40)=((long)BgL_z52z12dseek1097z40_152),BUNSPEC); 
((((BgL_mpg123zd2decoderzd2_bglt)COBJECT(
((BgL_mpg123zd2decoderzd2_bglt)BgL_new1106z00_156)))->BgL_z52ratez52)=((int)BgL_z52rate1098z52_153),BUNSPEC); 
((((BgL_mpg123zd2decoderzd2_bglt)COBJECT(
((BgL_mpg123zd2decoderzd2_bglt)BgL_new1106z00_156)))->BgL_z52channelsz52)=((int)BgL_z52channels1099z52_154),BUNSPEC); 
((((BgL_mpg123zd2decoderzd2_bglt)COBJECT(
((BgL_mpg123zd2decoderzd2_bglt)BgL_new1106z00_156)))->BgL_z52encodingz52)=((obj_t)
((obj_t)BgL_z52encoding1100z52_115)),BUNSPEC); 
{ /* Llib/mpg123_alsadec.scm 28 */
 obj_t BgL_fun1124z00_159;
BgL_fun1124z00_159 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_mpg123zd2alsadecoderzd2zz__mpg123_alsadecz00); 
BGL_PROCEDURE_CALL1(BgL_fun1124z00_159, 
((obj_t)BgL_new1106z00_156)); } 
return BgL_new1106z00_156;} } } 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__mpg123_alsadecz00(void)
{
{ /* Llib/mpg123_alsadec.scm 15 */
return BUNSPEC;} 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__mpg123_alsadecz00(void)
{
{ /* Llib/mpg123_alsadec.scm 15 */
return 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_musicdecoderzd2hwparamszd2setz12zd2envzc0zz__multimediazd2musicbufzd2, BGl_mpg123zd2decoderzd2zz__mpg123_decoderz00, BGl_proc1177z00zz__mpg123_alsadecz00, BGl_string1178z00zz__mpg123_alsadecz00);} 

}



/* &musicdecoder-hwparam1110 */
obj_t BGl_z62musicdecoderzd2hwparam1110zb0zz__mpg123_alsadecz00(obj_t BgL_envz00_119, obj_t BgL_decz00_120, obj_t BgL_amz00_121, obj_t BgL_bufferz00_122)
{
{ /* Llib/mpg123_alsadec.scm 40 */
{ /* Llib/mpg123_alsadec.scm 48 */
 BgL_alsazd2sndzd2pcmz00_bglt BgL_arg1132z00_161;
BgL_arg1132z00_161 = 
(((BgL_alsamusicz00_bglt)COBJECT(
((BgL_alsamusicz00_bglt)BgL_amz00_121)))->BgL_pcmz00); 
BGl_alsazd2sndzd2pcmzd2reopenzd2zz__alsa_pcmz00(BgL_arg1132z00_161); } 
{ /* Llib/mpg123_alsadec.scm 49 */
 BgL_alsazd2sndzd2pcmz00_bglt BgL_arg1133z00_162; obj_t BgL_arg1136z00_163; int BgL_arg1137z00_164; int BgL_arg1138z00_165; int BgL_arg1140z00_166; int BgL_arg1141z00_167;
BgL_arg1133z00_162 = 
(((BgL_alsamusicz00_bglt)COBJECT(
((BgL_alsamusicz00_bglt)BgL_amz00_121)))->BgL_pcmz00); 
BgL_arg1136z00_163 = 
(((BgL_mpg123zd2decoderzd2_bglt)COBJECT(
((BgL_mpg123zd2decoderzd2_bglt)BgL_decz00_120)))->BgL_z52encodingz52); 
BgL_arg1137z00_164 = 
(((BgL_mpg123zd2decoderzd2_bglt)COBJECT(
((BgL_mpg123zd2decoderzd2_bglt)BgL_decz00_120)))->BgL_z52channelsz52); 
BgL_arg1138z00_165 = 
(((BgL_mpg123zd2decoderzd2_bglt)COBJECT(
((BgL_mpg123zd2decoderzd2_bglt)BgL_decz00_120)))->BgL_z52ratez52); 
BgL_arg1140z00_166 = 
(((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_mpg123zd2decoderzd2_bglt)BgL_decz00_120))))->BgL_bufferzd2siza7ezd2nearzd2ratioz75); 
BgL_arg1141z00_167 = 
(((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_mpg123zd2decoderzd2_bglt)BgL_decz00_120))))->BgL_periodzd2siza7ezd2nearzd2ratioz75); 
{ /* Llib/mpg123_alsadec.scm 49 */
 obj_t BgL_list1142z00_168;
{ /* Llib/mpg123_alsadec.scm 49 */
 obj_t BgL_arg1143z00_169;
{ /* Llib/mpg123_alsadec.scm 49 */
 obj_t BgL_arg1144z00_170;
{ /* Llib/mpg123_alsadec.scm 49 */
 obj_t BgL_arg1147z00_171;
{ /* Llib/mpg123_alsadec.scm 49 */
 obj_t BgL_arg1148z00_172;
{ /* Llib/mpg123_alsadec.scm 49 */
 obj_t BgL_arg1149z00_173;
{ /* Llib/mpg123_alsadec.scm 49 */
 obj_t BgL_arg1150z00_174;
{ /* Llib/mpg123_alsadec.scm 49 */
 obj_t BgL_arg1151z00_175;
{ /* Llib/mpg123_alsadec.scm 49 */
 obj_t BgL_arg1152z00_176;
{ /* Llib/mpg123_alsadec.scm 49 */
 obj_t BgL_arg1154z00_177;
{ /* Llib/mpg123_alsadec.scm 49 */
 obj_t BgL_arg1155z00_178;
{ /* Llib/mpg123_alsadec.scm 49 */
 obj_t BgL_arg1160z00_179;
BgL_arg1160z00_179 = 
MAKE_YOUNG_PAIR(
BINT(BgL_arg1141z00_167), BNIL); 
BgL_arg1155z00_178 = 
MAKE_YOUNG_PAIR(
((obj_t)
CNST_TABLE_REF(3)), BgL_arg1160z00_179); } 
BgL_arg1154z00_177 = 
MAKE_YOUNG_PAIR(
BINT(BgL_arg1140z00_166), BgL_arg1155z00_178); } 
BgL_arg1152z00_176 = 
MAKE_YOUNG_PAIR(
((obj_t)
CNST_TABLE_REF(4)), BgL_arg1154z00_177); } 
BgL_arg1151z00_175 = 
MAKE_YOUNG_PAIR(
BINT(BgL_arg1138z00_165), BgL_arg1152z00_176); } 
BgL_arg1150z00_174 = 
MAKE_YOUNG_PAIR(
((obj_t)
CNST_TABLE_REF(5)), BgL_arg1151z00_175); } 
BgL_arg1149z00_173 = 
MAKE_YOUNG_PAIR(
BINT(BgL_arg1137z00_164), BgL_arg1150z00_174); } 
BgL_arg1148z00_172 = 
MAKE_YOUNG_PAIR(
((obj_t)
CNST_TABLE_REF(6)), BgL_arg1149z00_173); } 
BgL_arg1147z00_171 = 
MAKE_YOUNG_PAIR(BgL_arg1136z00_163, BgL_arg1148z00_172); } 
BgL_arg1144z00_170 = 
MAKE_YOUNG_PAIR(
((obj_t)
CNST_TABLE_REF(7)), BgL_arg1147z00_171); } 
BgL_arg1143z00_169 = 
MAKE_YOUNG_PAIR(
((obj_t)
CNST_TABLE_REF(8)), BgL_arg1144z00_170); } 
BgL_list1142z00_168 = 
MAKE_YOUNG_PAIR(
((obj_t)
CNST_TABLE_REF(9)), BgL_arg1143z00_169); } 
BGl_alsazd2sndzd2pcmzd2hwzd2setzd2paramsz12zc0zz__alsa_pcmz00(BgL_arg1133z00_162, BgL_list1142z00_168); } } 
{ /* Llib/mpg123_alsadec.scm 56 */
 BgL_alsazd2sndzd2pcmz00_bglt BgL_arg1162z00_180;
BgL_arg1162z00_180 = 
(((BgL_alsamusicz00_bglt)COBJECT(
((BgL_alsamusicz00_bglt)BgL_amz00_121)))->BgL_pcmz00); 
{ /* Llib/mpg123_alsadec.scm 56 */
 obj_t BgL_list1163z00_181;
{ /* Llib/mpg123_alsadec.scm 56 */
 obj_t BgL_arg1164z00_182;
{ /* Llib/mpg123_alsadec.scm 56 */
 obj_t BgL_arg1165z00_183;
{ /* Llib/mpg123_alsadec.scm 56 */
 obj_t BgL_arg1166z00_184;
BgL_arg1166z00_184 = 
MAKE_YOUNG_PAIR(
BINT(1L), BNIL); 
BgL_arg1165z00_183 = 
MAKE_YOUNG_PAIR(
((obj_t)
CNST_TABLE_REF(10)), BgL_arg1166z00_184); } 
BgL_arg1164z00_182 = 
MAKE_YOUNG_PAIR(
BINT(1L), BgL_arg1165z00_183); } 
BgL_list1163z00_181 = 
MAKE_YOUNG_PAIR(
((obj_t)
CNST_TABLE_REF(11)), BgL_arg1164z00_182); } 
return 
BGl_alsazd2sndzd2pcmzd2swzd2setzd2paramsz12zc0zz__alsa_pcmz00(BgL_arg1162z00_180, BgL_list1163z00_181);} } } 

}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__mpg123_alsadecz00(void)
{
{ /* Llib/mpg123_alsadec.scm 15 */
BGl_modulezd2initializa7ationz75zz__mpg123_mpg123z00(388603996L, 
BSTRING_TO_STRING(BGl_string1179z00zz__mpg123_alsadecz00)); 
return 
BGl_modulezd2initializa7ationz75zz__mpg123_decoderz00(0L, 
BSTRING_TO_STRING(BGl_string1179z00zz__mpg123_alsadecz00));} 

}

#ifdef __cplusplus
}
#endif
