/*===========================================================================*/
/*   (Llib/levenshtein.scm)                                                  */
/*   Bigloo (4.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Jan 27 07:55:05 AM CET 2025     */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.6a-build/bigloo-4.6a/bin/bigloo -ldopt -L/builddir/build/BUILD/bigloo-4.6a-build/bigloo-4.6a/libbacktrace/usr/lib64/bigloo/4.6a  -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo-4.6a-build/bigloo-4.6a/lib/bigloo/4.6a -I Llib -lib-dir /builddir/build/BUILD/bigloo-4.6a-build/bigloo-4.6a/lib/bigloo/4.6a -srfi text -unsafe -safee -copt -fPIC -copt -IPosix Llib/levenshtein.scm -o objs/levenshtein.o -c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C" {
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL___TEXT_LEVENSHTEIN_TYPE_DEFINITIONS
#define BGL___TEXT_LEVENSHTEIN_TYPE_DEFINITIONS
#endif // BGL___TEXT_LEVENSHTEIN_TYPE_DEFINITIONS
#endif // BGL_MODULE_TYPE_DEFINITIONS

static obj_t BGl_requirezd2initializa7ationz75zz__text_levenshteinz00 = BUNSPEC;
static obj_t BGl_z62levenshteinzd2listzb0zz__text_levenshteinz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_listzd2ze3vectorz31zz__r4_vectors_6_8z00(obj_t);
static obj_t BGl_levenshteinzd2datatypezd2zz__text_levenshteinz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_genericzd2initzd2zz__text_levenshteinz00(void);
static obj_t BGl_z62levenshteinz62zz__text_levenshteinz00(obj_t, obj_t, obj_t);
static obj_t BGl_objectzd2initzd2zz__text_levenshteinz00(void);
BGL_IMPORT obj_t BGl_2zd2zd2zz__r4_numbers_6_5z00(obj_t, obj_t);
static obj_t BGl_levenshteinzd2vectorzf2predicatez20zz__text_levenshteinz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
BGL_IMPORT obj_t make_vector(long, obj_t);
BGL_EXPORTED_DECL long BGl_levenshteinzd2vectorzd2zz__text_levenshteinz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t, obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zz__text_levenshteinz00(void);
BGL_EXPORTED_DECL long BGl_levenshteinzd2stringzd2zz__text_levenshteinz00(obj_t, obj_t);
BGL_IMPORT obj_t bgl_bignum_sub(obj_t, obj_t);
BGL_IMPORT obj_t bgl_long_to_bignum(long);
BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
BGL_IMPORT bool_t BGl_pairzd2orzd2nullzf3zf3zz__r4_pairs_and_lists_6_3z00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__text_levenshteinz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bignumz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
static obj_t BGl_levenshteinzd2listzf2predicatez20zz__text_levenshteinz00(obj_t, obj_t, obj_t);
static obj_t BGl_z52stringzd2ze3vectorz63zz__text_levenshteinz00(obj_t);
static obj_t BGl_z62z52stringzd2ze3vectorz01zz__text_levenshteinz00(obj_t, obj_t);
static obj_t BGl_cnstzd2initzd2zz__text_levenshteinz00(void);
BGL_IMPORT bool_t BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(obj_t);
static obj_t BGl_libraryzd2moduleszd2initz00zz__text_levenshteinz00(void);
BGL_IMPORT long bgl_list_length(obj_t);
static obj_t BGl_gczd2rootszd2initz00zz__text_levenshteinz00(void);
static obj_t BGl_levenshteinzf2predicatezf2zz__text_levenshteinz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62levenshteinzd2vectorzb0zz__text_levenshteinz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL long BGl_levenshteinzd2listzd2zz__text_levenshteinz00(obj_t, obj_t);
BGL_EXPORTED_DECL long BGl_levenshteinz00zz__text_levenshteinz00(obj_t, obj_t);
static obj_t BGl_z62levenshteinzd2stringzb0zz__text_levenshteinz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62z52identityz30zz__text_levenshteinz00(obj_t, obj_t);
static obj_t __cnst[ 1 ] ;


DEFINE_STRING( BGl_string1089z00zz__text_levenshteinz00, BgL_bgl_string1089za700za7za7_1101za7, "/builddir/build/BUILD/bigloo-4.6a-build/bigloo-4.6a/api/text/src/Llib/levenshtein.scm", 85 );
DEFINE_STRING( BGl_string1090z00zz__text_levenshteinz00, BgL_bgl_string1090za700za7za7_1102za7, "&levenshtein-vector", 19 );
DEFINE_STRING( BGl_string1091z00zz__text_levenshteinz00, BgL_bgl_string1091za700za7za7_1103za7, "vector", 6 );
DEFINE_STRING( BGl_string1092z00zz__text_levenshteinz00, BgL_bgl_string1092za700za7za7_1104za7, "&levenshtein-list", 17 );
DEFINE_STRING( BGl_string1093z00zz__text_levenshteinz00, BgL_bgl_string1093za700za7za7_1105za7, "pair-nil", 8 );
DEFINE_STRING( BGl_string1094z00zz__text_levenshteinz00, BgL_bgl_string1094za700za7za7_1106za7, "levenshtein", 11 );
DEFINE_STRING( BGl_string1095z00zz__text_levenshteinz00, BgL_bgl_string1095za700za7za7_1107za7, "term 2 must be vector, list, or string:", 39 );
DEFINE_STRING( BGl_string1096z00zz__text_levenshteinz00, BgL_bgl_string1096za700za7za7_1108za7, "term 1 must be vector, list, or string:", 39 );
DEFINE_STRING( BGl_string1097z00zz__text_levenshteinz00, BgL_bgl_string1097za700za7za7_1109za7, "&levenshtein-string", 19 );
DEFINE_STRING( BGl_string1098z00zz__text_levenshteinz00, BgL_bgl_string1098za700za7za7_1110za7, "bstring", 7 );
DEFINE_STRING( BGl_string1099z00zz__text_levenshteinz00, BgL_bgl_string1099za700za7za7_1111za7, "#z1 ", 4 );
BGL_IMPORT obj_t BGl_listzd2ze3vectorzd2envze3zz__r4_vectors_6_8z00;
BGL_IMPORT obj_t BGl_vectorzd2lengthzd2envz00zz__r4_vectors_6_8z00;
BGL_IMPORT obj_t BGl_stringzd2nullzf3zd2envzf3zz__r4_strings_6_7z00;
DEFINE_EXPORT_BGL_PROCEDURE( BGl_levenshteinzd2stringzd2envz00zz__text_levenshteinz00, BgL_bgl_za762levenshteinza7d1112z00, BGl_z62levenshteinzd2stringzb0zz__text_levenshteinz00, 0L, BUNSPEC, 2 );
BGL_IMPORT obj_t BGl_charzd3zf3zd2envzf2zz__r4_characters_6_6z00;
DEFINE_EXPORT_BGL_PROCEDURE( BGl_levenshteinzd2envzd2zz__text_levenshteinz00, BgL_bgl_za762levenshteinza761113z00, BGl_z62levenshteinz62zz__text_levenshteinz00, 0L, BUNSPEC, 2 );
BGL_IMPORT obj_t BGl_nullzf3zd2envz21zz__r4_pairs_and_lists_6_3z00;
DEFINE_EXPORT_BGL_PROCEDURE( BGl_levenshteinzd2listzd2envz00zz__text_levenshteinz00, BgL_bgl_za762levenshteinza7d1114z00, BGl_z62levenshteinzd2listzb0zz__text_levenshteinz00, 0L, BUNSPEC, 2 );
static obj_t BGl_z52vectorzd2emptyzf3zd2envza1zz__text_levenshteinz00;
BGL_IMPORT obj_t BGl_stringzd2lengthzd2envz00zz__r4_strings_6_7z00;
DEFINE_STATIC_BGL_PROCEDURE( BGl_z52stringzd2ze3vectorzd2envzb1zz__text_levenshteinz00, BgL_bgl_za762za752stringza7d2za71115z00, BGl_z62z52stringzd2ze3vectorz01zz__text_levenshteinz00, 0L, BUNSPEC, 1 );
BGL_IMPORT obj_t BGl_lengthzd2envzd2zz__r4_pairs_and_lists_6_3z00;
DEFINE_EXPORT_BGL_PROCEDURE( BGl_levenshteinzd2vectorzd2envz00zz__text_levenshteinz00, BgL_bgl_za762levenshteinza7d1116z00, BGl_z62levenshteinzd2vectorzb0zz__text_levenshteinz00, 0L, BUNSPEC, 2 );
BGL_IMPORT obj_t BGl_equalzf3zd2envz21zz__r4_equivalence_6_2z00;
DEFINE_STATIC_BGL_PROCEDURE( BGl_z52identityzd2envz80zz__text_levenshteinz00, BgL_bgl_za762za752identityza731117za7, BGl_z62z52identityz30zz__text_levenshteinz00, 0L, BUNSPEC, 1 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__text_levenshteinz00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__text_levenshteinz00(long BgL_checksumz00_343, char * BgL_fromz00_344)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__text_levenshteinz00))
{ 
BGl_requirezd2initializa7ationz75zz__text_levenshteinz00 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zz__text_levenshteinz00(); 
BGl_libraryzd2moduleszd2initz00zz__text_levenshteinz00(); 
BGl_cnstzd2initzd2zz__text_levenshteinz00(); 
return 
BGl_methodzd2initzd2zz__text_levenshteinz00();}  else 
{ 
return BUNSPEC;} } 

}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zz__text_levenshteinz00(void)
{
{ /* Llib/levenshtein.scm 26 */
BGl_modulezd2initializa7ationz75zz__errorz00(0L, "__text_levenshtein"); 
BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(0L, "__text_levenshtein"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(0L, "__text_levenshtein"); 
BGl_modulezd2initializa7ationz75zz__readerz00(0L, "__text_levenshtein"); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(0L, "__text_levenshtein"); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(0L, "__text_levenshtein"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(0L, "__text_levenshtein"); 
BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(0L, "__text_levenshtein"); 
BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(0L, "__text_levenshtein"); 
BGl_modulezd2initializa7ationz75zz__bignumz00(0L, "__text_levenshtein"); 
BGl_modulezd2initializa7ationz75zz__biglooz00(0L, "__text_levenshtein"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(0L, "__text_levenshtein"); 
return BUNSPEC;} 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__text_levenshteinz00(void)
{
{ /* Llib/levenshtein.scm 26 */
{ /* Llib/levenshtein.scm 26 */
 obj_t BgL_cportz00_332;
{ /* Llib/levenshtein.scm 26 */
 obj_t BgL_stringz00_339;
BgL_stringz00_339 = BGl_string1099z00zz__text_levenshteinz00; 
{ /* Llib/levenshtein.scm 26 */
 obj_t BgL_startz00_340;
BgL_startz00_340 = 
BINT(0L); 
{ /* Llib/levenshtein.scm 26 */
 obj_t BgL_endz00_341;
BgL_endz00_341 = 
BINT(
STRING_LENGTH(
((obj_t)BgL_stringz00_339))); 
{ /* Llib/levenshtein.scm 26 */

BgL_cportz00_332 = 
BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(BgL_stringz00_339, BgL_startz00_340, BgL_endz00_341); } } } } 
{ 
 long BgL_iz00_333;
BgL_iz00_333 = 0L; 
BgL_loopz00_334:
if(
(BgL_iz00_333==(-1L)))
{ /* Llib/levenshtein.scm 26 */
return BUNSPEC;}  else 
{ /* Llib/levenshtein.scm 26 */
{ /* Llib/levenshtein.scm 26 */
 obj_t BgL_arg1100z00_335;
{ /* Llib/levenshtein.scm 26 */

{ /* Llib/levenshtein.scm 26 */
 obj_t BgL_locationz00_337;
BgL_locationz00_337 = 
BBOOL(((bool_t)0)); 
{ /* Llib/levenshtein.scm 26 */

BgL_arg1100z00_335 = 
BGl_readz00zz__readerz00(BgL_cportz00_332, BgL_locationz00_337); } } } 
{ /* Llib/levenshtein.scm 26 */
 int BgL_tmpz00_373;
BgL_tmpz00_373 = 
(int)(BgL_iz00_333); 
CNST_TABLE_SET(BgL_tmpz00_373, BgL_arg1100z00_335); } } 
{ /* Llib/levenshtein.scm 26 */
 int BgL_auxz00_338;
BgL_auxz00_338 = 
(int)(
(BgL_iz00_333-1L)); 
{ 
 long BgL_iz00_378;
BgL_iz00_378 = 
(long)(BgL_auxz00_338); 
BgL_iz00_333 = BgL_iz00_378; 
goto BgL_loopz00_334;} } } } } } 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__text_levenshteinz00(void)
{
{ /* Llib/levenshtein.scm 26 */
return 
bgl_gc_roots_register();} 

}



/* &%identity */
obj_t BGl_z62z52identityz30zz__text_levenshteinz00(obj_t BgL_envz00_282, obj_t BgL_xz00_283)
{
{ /* Llib/levenshtein.scm 35 */
return BgL_xz00_283;} 

}



/* %string->vector */
obj_t BGl_z52stringzd2ze3vectorz63zz__text_levenshteinz00(obj_t BgL_sz00_5)
{
{ /* Llib/levenshtein.scm 47 */
{ /* Llib/levenshtein.scm 48 */
 long BgL_lz00_51;
BgL_lz00_51 = 
STRING_LENGTH(
((obj_t)BgL_sz00_5)); 
{ /* Llib/levenshtein.scm 48 */
 obj_t BgL_vz00_52;
BgL_vz00_52 = 
make_vector(BgL_lz00_51, BUNSPEC); 
{ /* Llib/levenshtein.scm 49 */

{ 
 long BgL_iz00_54;
BgL_iz00_54 = 0L; 
BgL_zc3z04anonymousza31018ze3z87_55:
if(
(BgL_lz00_51==BgL_iz00_54))
{ /* Llib/levenshtein.scm 51 */
return BgL_vz00_52;}  else 
{ /* Llib/levenshtein.scm 51 */
{ /* Llib/levenshtein.scm 54 */
 unsigned char BgL_arg1020z00_57;
BgL_arg1020z00_57 = 
STRING_REF(
((obj_t)BgL_sz00_5), BgL_iz00_54); 
VECTOR_SET(BgL_vz00_52,BgL_iz00_54,
BCHAR(BgL_arg1020z00_57)); } 
{ 
 long BgL_iz00_390;
BgL_iz00_390 = 
(BgL_iz00_54+1L); 
BgL_iz00_54 = BgL_iz00_390; 
goto BgL_zc3z04anonymousza31018ze3z87_55;} } } } } } } 

}



/* &%string->vector */
obj_t BGl_z62z52stringzd2ze3vectorz01zz__text_levenshteinz00(obj_t BgL_envz00_286, obj_t BgL_sz00_287)
{
{ /* Llib/levenshtein.scm 47 */
return 
BGl_z52stringzd2ze3vectorz63zz__text_levenshteinz00(BgL_sz00_287);} 

}



/* levenshtein-vector/predicate */
obj_t BGl_levenshteinzd2vectorzf2predicatez20zz__text_levenshteinz00(obj_t BgL_az00_6, obj_t BgL_bz00_7, obj_t BgL_predz00_8)
{
{ /* Llib/levenshtein.scm 60 */
if(
(
VECTOR_LENGTH(BgL_az00_6)==0L))
{ /* Llib/levenshtein.scm 64 */
return 
BINT(
VECTOR_LENGTH(BgL_bz00_7));}  else 
{ /* Llib/levenshtein.scm 64 */
if(
(
VECTOR_LENGTH(BgL_bz00_7)==0L))
{ /* Llib/levenshtein.scm 66 */
return 
BINT(
VECTOR_LENGTH(BgL_az00_6));}  else 
{ /* Llib/levenshtein.scm 69 */
 obj_t BgL_wz00_65; obj_t BgL_nextz00_66;
{ /* Llib/levenshtein.scm 69 */
 long BgL_arg1041z00_100;
BgL_arg1041z00_100 = 
(1L+
VECTOR_LENGTH(BgL_bz00_7)); 
BgL_wz00_65 = 
make_vector(BgL_arg1041z00_100, BUNSPEC); } 
BgL_nextz00_66 = BFALSE; 
{ 
 obj_t BgL_kz00_68;
BgL_kz00_68 = 
BINT(
VECTOR_LENGTH(BgL_bz00_7)); 
BgL_zc3z04anonymousza31025ze3z87_69:
VECTOR_SET(BgL_wz00_65,
(long)CINT(BgL_kz00_68),BgL_kz00_68); 
{ /* Llib/levenshtein.scm 73 */
 bool_t BgL__ortest_1011z00_70;
BgL__ortest_1011z00_70 = 
(
(long)CINT(BgL_kz00_68)==0L); 
if(BgL__ortest_1011z00_70)
{ /* Llib/levenshtein.scm 73 */BgL__ortest_1011z00_70; }  else 
{ /* Llib/levenshtein.scm 73 */
 obj_t BgL_arg1026z00_71;
if(
INTEGERP(BgL_kz00_68))
{ /* Llib/levenshtein.scm 73 */
 obj_t BgL_tmpz00_168;
BgL_tmpz00_168 = 
BINT(0L); 
{ /* Llib/levenshtein.scm 73 */
 bool_t BgL_test1125z00_414;
{ /* Llib/levenshtein.scm 73 */
 obj_t BgL_tmpz00_415;
BgL_tmpz00_415 = 
BINT(1L); 
BgL_test1125z00_414 = 
BGL_SUBFX_OV(BgL_kz00_68, BgL_tmpz00_415, BgL_tmpz00_168); } 
if(BgL_test1125z00_414)
{ /* Llib/levenshtein.scm 73 */
BgL_arg1026z00_71 = 
bgl_bignum_sub(
bgl_long_to_bignum(
(long)CINT(BgL_kz00_68)), 
((obj_t)
CNST_TABLE_REF(0))); }  else 
{ /* Llib/levenshtein.scm 73 */
BgL_arg1026z00_71 = BgL_tmpz00_168; } } }  else 
{ /* Llib/levenshtein.scm 73 */
BgL_arg1026z00_71 = 
BGl_2zd2zd2zz__r4_numbers_6_5z00(BgL_kz00_68, 
BINT(1L)); } 
{ 
 obj_t BgL_kz00_425;
BgL_kz00_425 = BgL_arg1026z00_71; 
BgL_kz00_68 = BgL_kz00_425; 
goto BgL_zc3z04anonymousza31025ze3z87_69;} } } } 
{ 
 long BgL_iz00_74;
BgL_iz00_74 = 0L; 
BgL_zc3z04anonymousza31027ze3z87_75:
if(
(BgL_iz00_74==
VECTOR_LENGTH(BgL_az00_6)))
{ /* Llib/levenshtein.scm 75 */
return BgL_nextz00_66;}  else 
{ /* Llib/levenshtein.scm 77 */
 obj_t BgL_azd2izd2_77;
BgL_azd2izd2_77 = 
VECTOR_REF(BgL_az00_6,BgL_iz00_74); 
{ /* Llib/levenshtein.scm 78 */
 long BgL_g1012z00_78;
BgL_g1012z00_78 = 
(1L+BgL_iz00_74); 
{ 
 long BgL_jz00_80; obj_t BgL_curz00_81;
BgL_jz00_80 = 0L; 
BgL_curz00_81 = 
BINT(BgL_g1012z00_78); 
BgL_zc3z04anonymousza31029ze3z87_82:
if(
(BgL_jz00_80==
VECTOR_LENGTH(BgL_bz00_7)))
{ /* Llib/levenshtein.scm 80 */
{ /* Llib/levenshtein.scm 82 */
 obj_t BgL_objz00_185;
BgL_objz00_185 = BgL_nextz00_66; 
VECTOR_SET(BgL_wz00_65,
VECTOR_LENGTH(BgL_bz00_7),BgL_objz00_185); } 
{ 
 long BgL_iz00_438;
BgL_iz00_438 = 
(1L+BgL_iz00_74); 
BgL_iz00_74 = BgL_iz00_438; 
goto BgL_zc3z04anonymousza31027ze3z87_75;} }  else 
{ /* Llib/levenshtein.scm 80 */
{ /* Llib/levenshtein.scm 85 */
 long BgL_az00_85; obj_t BgL_bz00_86;
{ /* Llib/levenshtein.scm 86 */
 obj_t BgL_arg1033z00_88;
BgL_arg1033z00_88 = 
VECTOR_REF(BgL_wz00_65,
(1L+BgL_jz00_80)); 
BgL_az00_85 = 
(1L+
(long)CINT(BgL_arg1033z00_88)); } 
{ /* Llib/levenshtein.scm 87 */
 long BgL_az00_90; obj_t BgL_bz00_91;
BgL_az00_90 = 
(1L+
(long)CINT(BgL_curz00_81)); 
{ /* Llib/levenshtein.scm 88 */
 bool_t BgL_test1128z00_446;
{ /* Llib/levenshtein.scm 88 */
 obj_t BgL_arg1039z00_96;
BgL_arg1039z00_96 = 
VECTOR_REF(BgL_bz00_7,BgL_jz00_80); 
BgL_test1128z00_446 = 
CBOOL(
BGL_PROCEDURE_CALL2(BgL_predz00_8, BgL_azd2izd2_77, BgL_arg1039z00_96)); } 
if(BgL_test1128z00_446)
{ /* Llib/levenshtein.scm 88 */
BgL_bz00_91 = 
VECTOR_REF(BgL_wz00_65,BgL_jz00_80); }  else 
{ /* Llib/levenshtein.scm 88 */
BgL_bz00_91 = 
ADDFX(
BINT(1L), 
VECTOR_REF(BgL_wz00_65,BgL_jz00_80)); } } 
if(
(BgL_az00_90<
(long)CINT(BgL_bz00_91)))
{ /* Llib/levenshtein.scm 87 */
BgL_bz00_86 = 
BINT(BgL_az00_90); }  else 
{ /* Llib/levenshtein.scm 87 */
BgL_bz00_86 = BgL_bz00_91; } } 
if(
(BgL_az00_85<
(long)CINT(BgL_bz00_86)))
{ /* Llib/levenshtein.scm 87 */
BgL_nextz00_66 = 
BINT(BgL_az00_85); }  else 
{ /* Llib/levenshtein.scm 87 */
BgL_nextz00_66 = BgL_bz00_86; } } 
VECTOR_SET(BgL_wz00_65,BgL_jz00_80,BgL_curz00_81); 
{ /* Llib/levenshtein.scm 92 */
 long BgL_arg1040z00_97;
BgL_arg1040z00_97 = 
(1L+BgL_jz00_80); 
{ 
 obj_t BgL_curz00_469; long BgL_jz00_468;
BgL_jz00_468 = BgL_arg1040z00_97; 
BgL_curz00_469 = BgL_nextz00_66; 
BgL_curz00_81 = BgL_curz00_469; 
BgL_jz00_80 = BgL_jz00_468; 
goto BgL_zc3z04anonymousza31029ze3z87_82;} } } } } } } } } } 

}



/* levenshtein-vector */
BGL_EXPORTED_DEF long BGl_levenshteinzd2vectorzd2zz__text_levenshteinz00(obj_t BgL_az00_15, obj_t BgL_bz00_16)
{
{ /* Llib/levenshtein.scm 101 */
return 
(long)CINT(
BGl_levenshteinzd2vectorzf2predicatez20zz__text_levenshteinz00(BgL_az00_15, BgL_bz00_16, BGl_equalzf3zd2envz21zz__r4_equivalence_6_2z00));} 

}



/* &levenshtein-vector */
obj_t BGl_z62levenshteinzd2vectorzb0zz__text_levenshteinz00(obj_t BgL_envz00_288, obj_t BgL_az00_289, obj_t BgL_bz00_290)
{
{ /* Llib/levenshtein.scm 101 */
{ /* Llib/levenshtein.scm 99 */
 long BgL_tmpz00_473;
{ /* Llib/levenshtein.scm 99 */
 obj_t BgL_auxz00_481; obj_t BgL_auxz00_474;
if(
VECTORP(BgL_bz00_290))
{ /* Llib/levenshtein.scm 99 */
BgL_auxz00_481 = BgL_bz00_290
; }  else 
{ 
 obj_t BgL_auxz00_484;
BgL_auxz00_484 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1089z00zz__text_levenshteinz00, 
BINT(4130L), BGl_string1090z00zz__text_levenshteinz00, BGl_string1091z00zz__text_levenshteinz00, BgL_bz00_290); 
FAILURE(BgL_auxz00_484,BFALSE,BFALSE);} 
if(
VECTORP(BgL_az00_289))
{ /* Llib/levenshtein.scm 99 */
BgL_auxz00_474 = BgL_az00_289
; }  else 
{ 
 obj_t BgL_auxz00_477;
BgL_auxz00_477 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1089z00zz__text_levenshteinz00, 
BINT(4130L), BGl_string1090z00zz__text_levenshteinz00, BGl_string1091z00zz__text_levenshteinz00, BgL_az00_289); 
FAILURE(BgL_auxz00_477,BFALSE,BFALSE);} 
BgL_tmpz00_473 = 
BGl_levenshteinzd2vectorzd2zz__text_levenshteinz00(BgL_auxz00_474, BgL_auxz00_481); } 
return 
BINT(BgL_tmpz00_473);} } 

}



/* levenshtein-list/predicate */
obj_t BGl_levenshteinzd2listzf2predicatez20zz__text_levenshteinz00(obj_t BgL_az00_17, obj_t BgL_bz00_18, obj_t BgL_predz00_19)
{
{ /* Llib/levenshtein.scm 107 */
if(
NULLP(BgL_az00_17))
{ /* Llib/levenshtein.scm 109 */
return 
BINT(
bgl_list_length(BgL_bz00_18));}  else 
{ /* Llib/levenshtein.scm 109 */
if(
NULLP(BgL_bz00_18))
{ /* Llib/levenshtein.scm 111 */
return 
BINT(
bgl_list_length(BgL_az00_17));}  else 
{ /* Llib/levenshtein.scm 111 */
return 
BGl_levenshteinzd2vectorzf2predicatez20zz__text_levenshteinz00(
BGl_listzd2ze3vectorz31zz__r4_vectors_6_8z00(BgL_az00_17), 
BGl_listzd2ze3vectorz31zz__r4_vectors_6_8z00(BgL_bz00_18), BgL_predz00_19);} } } 

}



/* levenshtein-list */
BGL_EXPORTED_DEF long BGl_levenshteinzd2listzd2zz__text_levenshteinz00(obj_t BgL_az00_26, obj_t BgL_bz00_27)
{
{ /* Llib/levenshtein.scm 125 */
return 
(long)CINT(
BGl_levenshteinzd2listzf2predicatez20zz__text_levenshteinz00(BgL_az00_26, BgL_bz00_27, BGl_equalzf3zd2envz21zz__r4_equivalence_6_2z00));} 

}



/* &levenshtein-list */
obj_t BGl_z62levenshteinzd2listzb0zz__text_levenshteinz00(obj_t BgL_envz00_294, obj_t BgL_az00_295, obj_t BgL_bz00_296)
{
{ /* Llib/levenshtein.scm 125 */
{ /* Llib/levenshtein.scm 123 */
 long BgL_tmpz00_503;
{ /* Llib/levenshtein.scm 123 */
 obj_t BgL_auxz00_511; obj_t BgL_auxz00_504;
if(
BGl_pairzd2orzd2nullzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_bz00_296))
{ /* Llib/levenshtein.scm 123 */
BgL_auxz00_511 = BgL_bz00_296
; }  else 
{ 
 obj_t BgL_auxz00_514;
BgL_auxz00_514 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1089z00zz__text_levenshteinz00, 
BINT(4899L), BGl_string1092z00zz__text_levenshteinz00, BGl_string1093z00zz__text_levenshteinz00, BgL_bz00_296); 
FAILURE(BgL_auxz00_514,BFALSE,BFALSE);} 
if(
BGl_pairzd2orzd2nullzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_az00_295))
{ /* Llib/levenshtein.scm 123 */
BgL_auxz00_504 = BgL_az00_295
; }  else 
{ 
 obj_t BgL_auxz00_507;
BgL_auxz00_507 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1089z00zz__text_levenshteinz00, 
BINT(4899L), BGl_string1092z00zz__text_levenshteinz00, BGl_string1093z00zz__text_levenshteinz00, BgL_az00_295); 
FAILURE(BgL_auxz00_507,BFALSE,BFALSE);} 
BgL_tmpz00_503 = 
BGl_levenshteinzd2listzd2zz__text_levenshteinz00(BgL_auxz00_504, BgL_auxz00_511); } 
return 
BINT(BgL_tmpz00_503);} } 

}



/* levenshtein-datatype */
obj_t BGl_levenshteinzd2datatypezd2zz__text_levenshteinz00(obj_t BgL_az00_28, obj_t BgL_bz00_29, obj_t BgL_predz00_30, obj_t BgL_azd2empzd2_31, obj_t BgL_azd2lenzd2_32, obj_t BgL_azd2veczd2_33)
{
{ /* Llib/levenshtein.scm 131 */
if(
VECTORP(BgL_bz00_29))
{ /* Llib/levenshtein.scm 139 */
if(
(
VECTOR_LENGTH(BgL_bz00_29)==0L))
{ /* Llib/levenshtein.scm 134 */
return 
BGL_PROCEDURE_CALL1(BgL_azd2lenzd2_32, BgL_az00_28);}  else 
{ /* Llib/levenshtein.scm 136 */
 obj_t BgL_arg1052z00_220;
BgL_arg1052z00_220 = 
BGL_PROCEDURE_CALL1(BgL_azd2veczd2_33, BgL_az00_28); 
return 
BGl_levenshteinzd2vectorzf2predicatez20zz__text_levenshteinz00(BgL_arg1052z00_220, BgL_bz00_29, BgL_predz00_30);} }  else 
{ /* Llib/levenshtein.scm 139 */
if(
STRINGP(BgL_bz00_29))
{ /* Llib/levenshtein.scm 141 */
if(
(
STRING_LENGTH(BgL_bz00_29)==0L))
{ /* Llib/levenshtein.scm 134 */
return 
BGL_PROCEDURE_CALL1(BgL_azd2lenzd2_32, BgL_az00_28);}  else 
{ /* Llib/levenshtein.scm 136 */
 obj_t BgL_arg1052z00_227; obj_t BgL_arg1053z00_228;
BgL_arg1052z00_227 = 
BGL_PROCEDURE_CALL1(BgL_azd2veczd2_33, BgL_az00_28); 
BgL_arg1053z00_228 = 
BGl_z52stringzd2ze3vectorz63zz__text_levenshteinz00(BgL_bz00_29); 
return 
BGl_levenshteinzd2vectorzf2predicatez20zz__text_levenshteinz00(BgL_arg1052z00_227, BgL_arg1053z00_228, BgL_predz00_30);} }  else 
{ /* Llib/levenshtein.scm 141 */
if(
BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_bz00_29))
{ /* Llib/levenshtein.scm 143 */
if(
NULLP(BgL_bz00_29))
{ /* Llib/levenshtein.scm 134 */
return 
BGL_PROCEDURE_CALL1(BgL_azd2lenzd2_32, BgL_az00_28);}  else 
{ /* Llib/levenshtein.scm 136 */
 obj_t BgL_arg1052z00_234; obj_t BgL_arg1053z00_235;
BgL_arg1052z00_234 = 
BGL_PROCEDURE_CALL1(BgL_azd2veczd2_33, BgL_az00_28); 
BgL_arg1053z00_235 = 
BGl_listzd2ze3vectorz31zz__r4_vectors_6_8z00(BgL_bz00_29); 
return 
BGl_levenshteinzd2vectorzf2predicatez20zz__text_levenshteinz00(BgL_arg1052z00_234, BgL_arg1053z00_235, BgL_predz00_30);} }  else 
{ /* Llib/levenshtein.scm 143 */
return 
BGl_errorz00zz__errorz00(BGl_string1094z00zz__text_levenshteinz00, BGl_string1095z00zz__text_levenshteinz00, BgL_bz00_29);} } } } 

}



/* levenshtein/predicate */
obj_t BGl_levenshteinzf2predicatezf2zz__text_levenshteinz00(obj_t BgL_az00_34, obj_t BgL_bz00_35, obj_t BgL_predz00_36)
{
{ /* Llib/levenshtein.scm 151 */
if(
VECTORP(BgL_az00_34))
{ /* Llib/levenshtein.scm 166 */
if(
VECTORP(BgL_bz00_35))
{ /* Llib/levenshtein.scm 167 */
return 
BGl_levenshteinzd2vectorzf2predicatez20zz__text_levenshteinz00(BgL_az00_34, BgL_bz00_35, BgL_predz00_36);}  else 
{ /* Llib/levenshtein.scm 167 */
return 
BGl_levenshteinzd2datatypezd2zz__text_levenshteinz00(BgL_az00_34, BgL_bz00_35, BgL_predz00_36, BGl_z52vectorzd2emptyzf3zd2envza1zz__text_levenshteinz00, BGl_vectorzd2lengthzd2envz00zz__r4_vectors_6_8z00, BGl_z52identityzd2envz80zz__text_levenshteinz00);} }  else 
{ /* Llib/levenshtein.scm 166 */
if(
STRINGP(BgL_az00_34))
{ /* Llib/levenshtein.scm 173 */
if(
STRINGP(BgL_bz00_35))
{ /* Llib/levenshtein.scm 174 */
if(
(
STRING_LENGTH(BgL_az00_34)==0L))
{ /* Llib/levenshtein.scm 155 */
return 
BINT(
STRING_LENGTH(BgL_bz00_35));}  else 
{ /* Llib/levenshtein.scm 155 */
if(
(
STRING_LENGTH(BgL_bz00_35)==0L))
{ /* Llib/levenshtein.scm 157 */
return 
BINT(
STRING_LENGTH(BgL_az00_34));}  else 
{ /* Llib/levenshtein.scm 157 */
return 
BGl_levenshteinzd2vectorzf2predicatez20zz__text_levenshteinz00(
BGl_z52stringzd2ze3vectorz63zz__text_levenshteinz00(BgL_az00_34), 
BGl_z52stringzd2ze3vectorz63zz__text_levenshteinz00(BgL_bz00_35), BgL_predz00_36);} } }  else 
{ /* Llib/levenshtein.scm 174 */
return 
BGl_levenshteinzd2datatypezd2zz__text_levenshteinz00(BgL_az00_34, BgL_bz00_35, BgL_predz00_36, BGl_stringzd2nullzf3zd2envzf3zz__r4_strings_6_7z00, BGl_stringzd2lengthzd2envz00zz__r4_strings_6_7z00, BGl_z52stringzd2ze3vectorzd2envzb1zz__text_levenshteinz00);} }  else 
{ /* Llib/levenshtein.scm 173 */
if(
BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_az00_34))
{ /* Llib/levenshtein.scm 180 */
if(
BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_bz00_35))
{ /* Llib/levenshtein.scm 181 */
if(
NULLP(
((obj_t)BgL_az00_34)))
{ /* Llib/levenshtein.scm 109 */
return 
BINT(
bgl_list_length(
((obj_t)BgL_bz00_35)));}  else 
{ /* Llib/levenshtein.scm 109 */
if(
NULLP(
((obj_t)BgL_bz00_35)))
{ /* Llib/levenshtein.scm 111 */
return 
BINT(
bgl_list_length(
((obj_t)BgL_az00_34)));}  else 
{ /* Llib/levenshtein.scm 114 */
 obj_t BgL_arg1045z00_268; obj_t BgL_arg1046z00_269;
BgL_arg1045z00_268 = 
BGl_listzd2ze3vectorz31zz__r4_vectors_6_8z00(
((obj_t)BgL_az00_34)); 
BgL_arg1046z00_269 = 
BGl_listzd2ze3vectorz31zz__r4_vectors_6_8z00(
((obj_t)BgL_bz00_35)); 
return 
BGl_levenshteinzd2vectorzf2predicatez20zz__text_levenshteinz00(BgL_arg1045z00_268, BgL_arg1046z00_269, BgL_predz00_36);} } }  else 
{ /* Llib/levenshtein.scm 181 */
return 
BGl_levenshteinzd2datatypezd2zz__text_levenshteinz00(BgL_az00_34, BgL_bz00_35, BgL_predz00_36, BGl_nullzf3zd2envz21zz__r4_pairs_and_lists_6_3z00, BGl_lengthzd2envzd2zz__r4_pairs_and_lists_6_3z00, BGl_listzd2ze3vectorzd2envze3zz__r4_vectors_6_8z00);} }  else 
{ /* Llib/levenshtein.scm 180 */
return 
BGl_errorz00zz__errorz00(BGl_string1094z00zz__text_levenshteinz00, BGl_string1096z00zz__text_levenshteinz00, BgL_az00_34);} } } } 

}



/* levenshtein-string */
BGL_EXPORTED_DEF long BGl_levenshteinzd2stringzd2zz__text_levenshteinz00(obj_t BgL_az00_37, obj_t BgL_bz00_38)
{
{ /* Llib/levenshtein.scm 190 */
if(
(
STRING_LENGTH(BgL_az00_37)==0L))
{ /* Llib/levenshtein.scm 192 */
return 
STRING_LENGTH(BgL_bz00_38);}  else 
{ /* Llib/levenshtein.scm 192 */
if(
(
STRING_LENGTH(BgL_bz00_38)==0L))
{ /* Llib/levenshtein.scm 194 */
return 
STRING_LENGTH(BgL_az00_37);}  else 
{ /* Llib/levenshtein.scm 198 */
 obj_t BgL_arg1067z00_136; obj_t BgL_arg1068z00_137;
BgL_arg1067z00_136 = 
BGl_z52stringzd2ze3vectorz63zz__text_levenshteinz00(BgL_az00_37); 
BgL_arg1068z00_137 = 
BGl_z52stringzd2ze3vectorz63zz__text_levenshteinz00(BgL_bz00_38); 
return 
(long)CINT(
BGl_levenshteinzd2vectorzf2predicatez20zz__text_levenshteinz00(BgL_arg1067z00_136, BgL_arg1068z00_137, BGl_charzd3zf3zd2envzf2zz__r4_characters_6_6z00));} } } 

}



/* &levenshtein-string */
obj_t BGl_z62levenshteinzd2stringzb0zz__text_levenshteinz00(obj_t BgL_envz00_309, obj_t BgL_az00_310, obj_t BgL_bz00_311)
{
{ /* Llib/levenshtein.scm 190 */
{ /* Llib/levenshtein.scm 192 */
 long BgL_tmpz00_623;
{ /* Llib/levenshtein.scm 192 */
 obj_t BgL_auxz00_631; obj_t BgL_auxz00_624;
if(
STRINGP(BgL_bz00_311))
{ /* Llib/levenshtein.scm 192 */
BgL_auxz00_631 = BgL_bz00_311
; }  else 
{ 
 obj_t BgL_auxz00_634;
BgL_auxz00_634 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1089z00zz__text_levenshteinz00, 
BINT(7160L), BGl_string1097z00zz__text_levenshteinz00, BGl_string1098z00zz__text_levenshteinz00, BgL_bz00_311); 
FAILURE(BgL_auxz00_634,BFALSE,BFALSE);} 
if(
STRINGP(BgL_az00_310))
{ /* Llib/levenshtein.scm 192 */
BgL_auxz00_624 = BgL_az00_310
; }  else 
{ 
 obj_t BgL_auxz00_627;
BgL_auxz00_627 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1089z00zz__text_levenshteinz00, 
BINT(7160L), BGl_string1097z00zz__text_levenshteinz00, BGl_string1098z00zz__text_levenshteinz00, BgL_az00_310); 
FAILURE(BgL_auxz00_627,BFALSE,BFALSE);} 
BgL_tmpz00_623 = 
BGl_levenshteinzd2stringzd2zz__text_levenshteinz00(BgL_auxz00_624, BgL_auxz00_631); } 
return 
BINT(BgL_tmpz00_623);} } 

}



/* levenshtein */
BGL_EXPORTED_DEF long BGl_levenshteinz00zz__text_levenshteinz00(obj_t BgL_az00_39, obj_t BgL_bz00_40)
{
{ /* Llib/levenshtein.scm 205 */
{ /* Llib/levenshtein.scm 206 */
 bool_t BgL_test1157z00_640;
if(
STRINGP(BgL_az00_39))
{ /* Llib/levenshtein.scm 206 */
BgL_test1157z00_640 = 
STRINGP(BgL_bz00_40)
; }  else 
{ /* Llib/levenshtein.scm 206 */
BgL_test1157z00_640 = ((bool_t)0)
; } 
if(BgL_test1157z00_640)
{ /* Llib/levenshtein.scm 206 */
return 
BGl_levenshteinzd2stringzd2zz__text_levenshteinz00(BgL_az00_39, BgL_bz00_40);}  else 
{ /* Llib/levenshtein.scm 206 */
return 
(long)CINT(
BGl_levenshteinzf2predicatezf2zz__text_levenshteinz00(BgL_az00_39, BgL_bz00_40, BGl_equalzf3zd2envz21zz__r4_equivalence_6_2z00));} } } 

}



/* &levenshtein */
obj_t BGl_z62levenshteinz62zz__text_levenshteinz00(obj_t BgL_envz00_315, obj_t BgL_az00_316, obj_t BgL_bz00_317)
{
{ /* Llib/levenshtein.scm 205 */
return 
BINT(
BGl_levenshteinz00zz__text_levenshteinz00(BgL_az00_316, BgL_bz00_317));} 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__text_levenshteinz00(void)
{
{ /* Llib/levenshtein.scm 26 */
return BUNSPEC;} 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__text_levenshteinz00(void)
{
{ /* Llib/levenshtein.scm 26 */
return BUNSPEC;} 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__text_levenshteinz00(void)
{
{ /* Llib/levenshtein.scm 26 */
return BUNSPEC;} 

}

#ifdef __cplusplus
}
#endif
