/*===========================================================================*/
/*   (Ast/exit.scm)                                                          */
/*   Bigloo (4.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Jan 27 07:45:49 AM CET 2025     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.6a/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.6a/lib/bigloo/4.6a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -stdc -indent Ast/exit.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL_AST_EXIT_TYPE_DEFINITIONS
#define BGL_AST_EXIT_TYPE_DEFINITIONS

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_nullz00;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_sexitz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_handlerz00;
		bool_t BgL_detachedzf3zf3;
	}               *BgL_sexitz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_nodezf2effectzf2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
	}                       *BgL_nodezf2effectzf2_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_refz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_refz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_pragmaz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_formatz00;
		obj_t BgL_srfi0z00;
	}                *BgL_pragmaz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		struct BgL_nodez00_bgl *BgL_onexitz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;


#endif													// BGL_AST_EXIT_TYPE_DEFINITIONS
#endif													// BGL_MODULE_TYPE_DEFINITIONS

	extern obj_t BGl_normaliza7ezd2prognz75zztools_prognz00(obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzast_exitz00 = BUNSPEC;
	extern obj_t BGl_findzd2locationzf2locz20zztools_locationz00(obj_t, obj_t);
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_genericzd2initzd2zzast_exitz00(void);
	extern obj_t BGl_sexitz00zzast_varz00;
	static obj_t BGl_objectzd2initzd2zzast_exitz00(void);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	extern obj_t BGl_refz00zzast_nodez00;
	extern obj_t BGl_za2exitza2z00zztype_cachez00;
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzast_exitz00(void);
	static BgL_letzd2funzd2_bglt
		BGl_z62setzd2exitzd2ze3nodez81zzast_exitz00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	extern BgL_localz00_bglt BGl_makezd2localzd2sexitz00zzast_localz00(obj_t,
		BgL_typez00_bglt, BgL_sexitz00_bglt);
	extern obj_t BGl_za2_za2z00zztype_cachez00;
	extern obj_t BGl_pragmaz00zzast_nodez00;
	extern BgL_typez00_bglt
		BGl_strictzd2nodezd2typez00zzast_nodez00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	extern obj_t BGl_makezd2anonymouszd2namez00zzast_sexpz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_letzd2funzd2_bglt
		BGl_setzd2exitzd2ze3nodeze3zzast_exitz00(obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzast_exitz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_prognz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_localz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_EXPORTED_DECL BgL_jumpzd2exzd2itz00_bglt
		BGl_jumpzd2exitzd2ze3nodeze3zzast_exitz00(obj_t, obj_t, obj_t, obj_t);
	static BgL_jumpzd2exzd2itz00_bglt
		BGl_z62jumpzd2exitzd2ze3nodez81zzast_exitz00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzast_exitz00(void);
	static obj_t BGl_libraryzd2moduleszd2initz00zzast_exitz00(void);
	extern BgL_nodez00_bglt BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzast_exitz00(void);
	static obj_t BGl_gczd2rootszd2initz00zzast_exitz00(void);
	extern BgL_nodez00_bglt BGl_sexpzd2ze3nodez31zzast_sexpz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_za2unspecza2z00zztype_cachez00;
	extern obj_t BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00(obj_t);
	static BgL_localz00_bglt BGl_makezd2localzd2exitze70ze7zzast_exitz00(obj_t,
		obj_t);
	static obj_t __cnst[5];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_setzd2exitzd2ze3nodezd2envz31zzast_exitz00,
		BgL_bgl_za762setza7d2exitza7d21531za7,
		BGl_z62setzd2exitzd2ze3nodez81zzast_exitz00, 0L, BUNSPEC, 4);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_jumpzd2exitzd2ze3nodezd2envz31zzast_exitz00,
		BgL_bgl_za762jumpza7d2exitza7d1532za7,
		BGl_z62jumpzd2exitzd2ze3nodez81zzast_exitz00, 0L, BUNSPEC, 4);
	      DEFINE_STRING(BGl_string1512z00zzast_exitz00,
		BgL_bgl_string1512za700za7za7a1533za7, "Illegal `set-exit' form", 23);
	      DEFINE_STRING(BGl_string1513z00zzast_exitz00,
		BgL_bgl_string1513za700za7za7a1534za7, "exit", 4);
	      DEFINE_STRING(BGl_string1514z00zzast_exitz00,
		BgL_bgl_string1514za700za7za7a1535za7, "BGL_EXIT_VALUE()", 16);
	      DEFINE_STRING(BGl_string1515z00zzast_exitz00,
		BgL_bgl_string1515za700za7za7a1536za7, "Illegal `jump-exit' form", 24);
	      DEFINE_STRING(BGl_string1516z00zzast_exitz00,
		BgL_bgl_string1516za700za7za7a1537za7, "ast_exit", 8);
	      DEFINE_STRING(BGl_string1517z00zzast_exitz00,
		BgL_bgl_string1517za700za7za7a1538za7,
		":onexit bigloo-c snifun value labels ", 37);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		     ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zzast_exitz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzast_exitz00(long
		BgL_checksumz00_1735, char *BgL_fromz00_1736)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzast_exitz00))
				{
					BGl_requirezd2initializa7ationz75zzast_exitz00 = BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzast_exitz00();
					BGl_libraryzd2moduleszd2initz00zzast_exitz00();
					BGl_cnstzd2initzd2zzast_exitz00();
					BGl_importedzd2moduleszd2initz00zzast_exitz00();
					return BGl_methodzd2initzd2zzast_exitz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzast_exitz00(void)
	{
		{	/* Ast/exit.scm 14 */
			BGl_modulezd2initializa7ationz75zz__readerz00(0L, "ast_exit");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(0L, "ast_exit");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(0L, "ast_exit");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(0L,
				"ast_exit");
			BGl_modulezd2initializa7ationz75zz__objectz00(0L, "ast_exit");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzast_exitz00(void)
	{
		{	/* Ast/exit.scm 14 */
			{	/* Ast/exit.scm 14 */
				obj_t BgL_cportz00_1724;

				{	/* Ast/exit.scm 14 */
					obj_t BgL_stringz00_1731;

					BgL_stringz00_1731 = BGl_string1517z00zzast_exitz00;
					{	/* Ast/exit.scm 14 */
						obj_t BgL_startz00_1732;

						BgL_startz00_1732 = BINT(0L);
						{	/* Ast/exit.scm 14 */
							obj_t BgL_endz00_1733;

							BgL_endz00_1733 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_1731)));
							{	/* Ast/exit.scm 14 */

								BgL_cportz00_1724 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_1731, BgL_startz00_1732, BgL_endz00_1733);
				}}}}
				{
					long BgL_iz00_1725;

					BgL_iz00_1725 = 4L;
				BgL_loopz00_1726:
					if ((BgL_iz00_1725 == (-1L)))
						{	/* Ast/exit.scm 14 */
							return BUNSPEC;
						}
					else
						{	/* Ast/exit.scm 14 */
							{	/* Ast/exit.scm 14 */
								obj_t BgL_arg1530z00_1727;

								{	/* Ast/exit.scm 14 */

									{	/* Ast/exit.scm 14 */
										obj_t BgL_locationz00_1729;

										BgL_locationz00_1729 = BBOOL(((bool_t) 0));
										{	/* Ast/exit.scm 14 */

											BgL_arg1530z00_1727 =
												BGl_readz00zz__readerz00(BgL_cportz00_1724,
												BgL_locationz00_1729);
										}
									}
								}
								{	/* Ast/exit.scm 14 */
									int BgL_tmpz00_1759;

									BgL_tmpz00_1759 = (int) (BgL_iz00_1725);
									CNST_TABLE_SET(BgL_tmpz00_1759, BgL_arg1530z00_1727);
							}}
							{	/* Ast/exit.scm 14 */
								int BgL_auxz00_1730;

								BgL_auxz00_1730 = (int) ((BgL_iz00_1725 - 1L));
								{
									long BgL_iz00_1764;

									BgL_iz00_1764 = (long) (BgL_auxz00_1730);
									BgL_iz00_1725 = BgL_iz00_1764;
									goto BgL_loopz00_1726;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzast_exitz00(void)
	{
		{	/* Ast/exit.scm 14 */
			return bgl_gc_roots_register();
		}

	}



/* set-exit->node */
	BGL_EXPORTED_DEF BgL_letzd2funzd2_bglt
		BGl_setzd2exitzd2ze3nodeze3zzast_exitz00(obj_t BgL_expz00_3,
		obj_t BgL_stackz00_4, obj_t BgL_locz00_5, obj_t BgL_sitez00_6)
	{
		{	/* Ast/exit.scm 33 */
			{	/* Ast/exit.scm 38 */
				obj_t BgL_locz00_1366;

				BgL_locz00_1366 =
					BGl_findzd2locationzf2locz20zztools_locationz00(BgL_expz00_3,
					BgL_locz00_5);
				{
					obj_t BgL_exitz00_1367;
					obj_t BgL_bodyz00_1368;
					obj_t BgL_exitz00_1370;
					obj_t BgL_bodyz00_1371;
					obj_t BgL_onexitz00_1372;

					if (PAIRP(BgL_expz00_3))
						{	/* Ast/exit.scm 39 */
							obj_t BgL_cdrzd2369zd2_1377;

							BgL_cdrzd2369zd2_1377 = CDR(((obj_t) BgL_expz00_3));
							if (PAIRP(BgL_cdrzd2369zd2_1377))
								{	/* Ast/exit.scm 39 */
									obj_t BgL_carzd2372zd2_1379;
									obj_t BgL_cdrzd2373zd2_1380;

									BgL_carzd2372zd2_1379 = CAR(BgL_cdrzd2369zd2_1377);
									BgL_cdrzd2373zd2_1380 = CDR(BgL_cdrzd2369zd2_1377);
									if (PAIRP(BgL_carzd2372zd2_1379))
										{	/* Ast/exit.scm 39 */
											if (NULLP(CDR(BgL_carzd2372zd2_1379)))
												{	/* Ast/exit.scm 39 */
													if (PAIRP(BgL_cdrzd2373zd2_1380))
														{	/* Ast/exit.scm 39 */
															if (NULLP(CDR(BgL_cdrzd2373zd2_1380)))
																{	/* Ast/exit.scm 39 */
																	obj_t BgL_arg1252z00_1387;
																	obj_t BgL_arg1253z00_1388;

																	BgL_arg1252z00_1387 =
																		CAR(BgL_carzd2372zd2_1379);
																	BgL_arg1253z00_1388 =
																		CAR(BgL_cdrzd2373zd2_1380);
																	{
																		BgL_nodez00_bglt BgL_auxz00_1788;

																		BgL_exitz00_1367 = BgL_arg1252z00_1387;
																		BgL_bodyz00_1368 = BgL_arg1253z00_1388;
																		{	/* Ast/exit.scm 41 */
																			obj_t BgL_hdlgzd2namezd2_1407;

																			{	/* Ast/exit.scm 42 */
																				obj_t BgL_arg1292z00_1435;

																				{	/* Ast/exit.scm 42 */
																					obj_t BgL_list1293z00_1436;

																					BgL_list1293z00_1436 =
																						MAKE_YOUNG_PAIR
																						(BGl_string1513z00zzast_exitz00,
																						BNIL);
																					BgL_arg1292z00_1435 =
																						BGl_makezd2anonymouszd2namez00zzast_sexpz00
																						(BgL_locz00_1366,
																						BgL_list1293z00_1436);
																				}
																				BgL_hdlgzd2namezd2_1407 =
																					BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
																					(BgL_arg1292z00_1435);
																			}
																			{	/* Ast/exit.scm 41 */
																				obj_t BgL_hdlgzd2sexpzd2_1408;

																				{	/* Ast/exit.scm 43 */
																					obj_t BgL_arg1282z00_1428;

																					{	/* Ast/exit.scm 43 */
																						obj_t BgL_arg1284z00_1429;
																						obj_t BgL_arg1285z00_1430;

																						{	/* Ast/exit.scm 43 */
																							obj_t BgL_arg1287z00_1431;

																							{	/* Ast/exit.scm 43 */
																								obj_t BgL_arg1288z00_1432;

																								{	/* Ast/exit.scm 43 */
																									obj_t BgL_arg1289z00_1433;

																									BgL_arg1289z00_1433 =
																										MAKE_YOUNG_PAIR(BUNSPEC,
																										BNIL);
																									BgL_arg1288z00_1432 =
																										MAKE_YOUNG_PAIR(BNIL,
																										BgL_arg1289z00_1433);
																								}
																								BgL_arg1287z00_1431 =
																									MAKE_YOUNG_PAIR
																									(BgL_hdlgzd2namezd2_1407,
																									BgL_arg1288z00_1432);
																							}
																							BgL_arg1284z00_1429 =
																								MAKE_YOUNG_PAIR
																								(BgL_arg1287z00_1431, BNIL);
																						}
																						{	/* Ast/exit.scm 44 */
																							obj_t BgL_arg1291z00_1434;

																							BgL_arg1291z00_1434 =
																								MAKE_YOUNG_PAIR
																								(BgL_hdlgzd2namezd2_1407, BNIL);
																							BgL_arg1285z00_1430 =
																								MAKE_YOUNG_PAIR
																								(BgL_arg1291z00_1434, BNIL);
																						}
																						BgL_arg1282z00_1428 =
																							MAKE_YOUNG_PAIR
																							(BgL_arg1284z00_1429,
																							BgL_arg1285z00_1430);
																					}
																					BgL_hdlgzd2sexpzd2_1408 =
																						MAKE_YOUNG_PAIR(
																						((obj_t)
																							CNST_TABLE_REF(0)),
																						BgL_arg1282z00_1428);
																				}
																				{	/* Ast/exit.scm 43 */
																					BgL_nodez00_bglt
																						BgL_hdlgzd2nodezd2_1409;
																					BgL_hdlgzd2nodezd2_1409 =
																						BGl_sexpzd2ze3nodez31zzast_sexpz00
																						(BgL_hdlgzd2sexpzd2_1408,
																						BgL_stackz00_4, BgL_locz00_1366,
																						BgL_sitez00_6);
																					{	/* Ast/exit.scm 45 */
																						obj_t BgL_hdlgzd2funzd2_1410;

																						{	/* Ast/exit.scm 46 */
																							obj_t BgL_pairz00_1653;

																							BgL_pairz00_1653 =
																								(((BgL_letzd2funzd2_bglt)
																									COBJECT((
																											(BgL_letzd2funzd2_bglt)
																											BgL_hdlgzd2nodezd2_1409)))->
																								BgL_localsz00);
																							BgL_hdlgzd2funzd2_1410 =
																								CAR(BgL_pairz00_1653);
																						}
																						{	/* Ast/exit.scm 46 */
																							BgL_localz00_bglt
																								BgL_exitz00_1411;
																							BgL_exitz00_1411 =
																								BGl_makezd2localzd2exitze70ze7zzast_exitz00
																								(BgL_exitz00_1367,
																								BgL_hdlgzd2funzd2_1410);
																							{	/* Ast/exit.scm 47 */
																								BgL_nodez00_bglt
																									BgL_bodyz00_1412;
																								{	/* Ast/exit.scm 48 */
																									obj_t BgL_arg1280z00_1426;

																									BgL_arg1280z00_1426 =
																										MAKE_YOUNG_PAIR(
																										((obj_t) BgL_exitz00_1411),
																										BgL_stackz00_4);
																									BgL_bodyz00_1412 =
																										BGl_sexpzd2ze3nodez31zzast_sexpz00
																										(BgL_bodyz00_1368,
																										BgL_arg1280z00_1426,
																										BgL_locz00_1366,
																										((obj_t)
																											CNST_TABLE_REF(1)));
																								}
																								{	/* Ast/exit.scm 48 */
																									BgL_pragmaz00_bglt
																										BgL_onexitz00_1413;
																									{	/* Ast/exit.scm 49 */
																										BgL_pragmaz00_bglt
																											BgL_new1109z00_1423;
																										{	/* Ast/exit.scm 50 */
																											BgL_pragmaz00_bglt
																												BgL_new1108z00_1424;
																											BgL_new1108z00_1424 =
																												((BgL_pragmaz00_bglt)
																												BOBJECT(GC_MALLOC(sizeof
																														(struct
																															BgL_pragmaz00_bgl))));
																											{	/* Ast/exit.scm 50 */
																												long
																													BgL_arg1279z00_1425;
																												BgL_arg1279z00_1425 =
																													BGL_CLASS_NUM
																													(BGl_pragmaz00zzast_nodez00);
																												BGL_OBJECT_CLASS_NUM_SET
																													(((BgL_objectz00_bglt)
																														BgL_new1108z00_1424),
																													BgL_arg1279z00_1425);
																											}
																											{	/* Ast/exit.scm 50 */
																												BgL_objectz00_bglt
																													BgL_tmpz00_1816;
																												BgL_tmpz00_1816 =
																													((BgL_objectz00_bglt)
																													BgL_new1108z00_1424);
																												BGL_OBJECT_WIDENING_SET
																													(BgL_tmpz00_1816,
																													BFALSE);
																											}
																											((BgL_objectz00_bglt)
																												BgL_new1108z00_1424);
																											BgL_new1109z00_1423 =
																												BgL_new1108z00_1424;
																										}
																										((((BgL_nodez00_bglt)
																													COBJECT((
																															(BgL_nodez00_bglt)
																															BgL_new1109z00_1423)))->
																												BgL_locz00) =
																											((obj_t) BgL_locz00_1366),
																											BUNSPEC);
																										((((BgL_nodez00_bglt)
																													COBJECT((
																															(BgL_nodez00_bglt)
																															BgL_new1109z00_1423)))->
																												BgL_typez00) =
																											((BgL_typez00_bglt)
																												BGl_strictzd2nodezd2typez00zzast_nodez00
																												(((BgL_typez00_bglt)
																														BGl_za2objza2z00zztype_cachez00),
																													((BgL_typez00_bglt)
																														BGl_za2_za2z00zztype_cachez00))),
																											BUNSPEC);
																										((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt) BgL_new1109z00_1423)))->BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
																										((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt) BgL_new1109z00_1423)))->BgL_keyz00) = ((obj_t) BINT((-1L))), BUNSPEC);
																										((((BgL_externz00_bglt)
																													COBJECT((
																															(BgL_externz00_bglt)
																															BgL_new1109z00_1423)))->
																												BgL_exprza2za2) =
																											((obj_t) BNIL), BUNSPEC);
																										((((BgL_externz00_bglt)
																													COBJECT((
																															(BgL_externz00_bglt)
																															BgL_new1109z00_1423)))->
																												BgL_effectz00) =
																											((obj_t) BUNSPEC),
																											BUNSPEC);
																										((((BgL_pragmaz00_bglt)
																													COBJECT
																													(BgL_new1109z00_1423))->
																												BgL_formatz00) =
																											((obj_t)
																												BGl_string1514z00zzast_exitz00),
																											BUNSPEC);
																										((((BgL_pragmaz00_bglt)
																													COBJECT
																													(BgL_new1109z00_1423))->
																												BgL_srfi0z00) =
																											((obj_t) ((obj_t)
																													CNST_TABLE_REF(3))),
																											BUNSPEC);
																										BgL_onexitz00_1413 =
																											BgL_new1109z00_1423;
																									}
																									{	/* Ast/exit.scm 49 */
																										BgL_setzd2exzd2itz00_bglt
																											BgL_exitzd2bodyzd2_1414;
																										{	/* Ast/exit.scm 54 */
																											BgL_setzd2exzd2itz00_bglt
																												BgL_new1112z00_1417;
																											{	/* Ast/exit.scm 55 */
																												BgL_setzd2exzd2itz00_bglt
																													BgL_new1110z00_1421;
																												BgL_new1110z00_1421 =
																													(
																													(BgL_setzd2exzd2itz00_bglt)
																													BOBJECT(GC_MALLOC
																														(sizeof(struct
																																BgL_setzd2exzd2itz00_bgl))));
																												{	/* Ast/exit.scm 55 */
																													long
																														BgL_arg1277z00_1422;
																													BgL_arg1277z00_1422 =
																														BGL_CLASS_NUM
																														(BGl_setzd2exzd2itz00zzast_nodez00);
																													BGL_OBJECT_CLASS_NUM_SET
																														(((BgL_objectz00_bglt) BgL_new1110z00_1421), BgL_arg1277z00_1422);
																												}
																												{	/* Ast/exit.scm 55 */
																													BgL_objectz00_bglt
																														BgL_tmpz00_1844;
																													BgL_tmpz00_1844 =
																														(
																														(BgL_objectz00_bglt)
																														BgL_new1110z00_1421);
																													BGL_OBJECT_WIDENING_SET
																														(BgL_tmpz00_1844,
																														BFALSE);
																												}
																												((BgL_objectz00_bglt)
																													BgL_new1110z00_1421);
																												BgL_new1112z00_1417 =
																													BgL_new1110z00_1421;
																											}
																											((((BgL_nodez00_bglt)
																														COBJECT((
																																(BgL_nodez00_bglt)
																																BgL_new1112z00_1417)))->
																													BgL_locz00) =
																												((obj_t)
																													BgL_locz00_1366),
																												BUNSPEC);
																											((((BgL_nodez00_bglt)
																														COBJECT((
																																(BgL_nodez00_bglt)
																																BgL_new1112z00_1417)))->
																													BgL_typez00) =
																												((BgL_typez00_bglt)
																													BGl_strictzd2nodezd2typez00zzast_nodez00
																													(((BgL_typez00_bglt)
																															BGl_za2objza2z00zztype_cachez00),
																														((BgL_typez00_bglt)
																															BGl_za2_za2z00zztype_cachez00))),
																												BUNSPEC);
																											{
																												BgL_varz00_bglt
																													BgL_auxz00_1855;
																												{	/* Ast/exit.scm 57 */
																													BgL_refz00_bglt
																														BgL_new1115z00_1418;
																													{	/* Ast/exit.scm 59 */
																														BgL_refz00_bglt
																															BgL_new1113z00_1419;
																														BgL_new1113z00_1419
																															=
																															((BgL_refz00_bglt)
																															BOBJECT(GC_MALLOC
																																(sizeof(struct
																																		BgL_refz00_bgl))));
																														{	/* Ast/exit.scm 59 */
																															long
																																BgL_arg1276z00_1420;
																															{	/* Ast/exit.scm 59 */
																																obj_t
																																	BgL_classz00_1662;
																																BgL_classz00_1662
																																	=
																																	BGl_refz00zzast_nodez00;
																																BgL_arg1276z00_1420
																																	=
																																	BGL_CLASS_NUM
																																	(BgL_classz00_1662);
																															}
																															BGL_OBJECT_CLASS_NUM_SET
																																(((BgL_objectz00_bglt) BgL_new1113z00_1419), BgL_arg1276z00_1420);
																														}
																														{	/* Ast/exit.scm 59 */
																															BgL_objectz00_bglt
																																BgL_tmpz00_1860;
																															BgL_tmpz00_1860 =
																																(
																																(BgL_objectz00_bglt)
																																BgL_new1113z00_1419);
																															BGL_OBJECT_WIDENING_SET
																																(BgL_tmpz00_1860,
																																BFALSE);
																														}
																														((BgL_objectz00_bglt) BgL_new1113z00_1419);
																														BgL_new1115z00_1418
																															=
																															BgL_new1113z00_1419;
																													}
																													((((BgL_nodez00_bglt)
																																COBJECT((
																																		(BgL_nodez00_bglt)
																																		BgL_new1115z00_1418)))->
																															BgL_locz00) =
																														((obj_t)
																															BgL_locz00_1366),
																														BUNSPEC);
																													((((BgL_nodez00_bglt)
																																COBJECT((
																																		(BgL_nodez00_bglt)
																																		BgL_new1115z00_1418)))->
																															BgL_typez00) =
																														((BgL_typez00_bglt)
																															BGl_strictzd2nodezd2typez00zzast_nodez00
																															(((BgL_typez00_bglt) BGl_za2_za2z00zztype_cachez00), ((BgL_typez00_bglt) BGl_za2exitza2z00zztype_cachez00))), BUNSPEC);
																													((((BgL_varz00_bglt)
																																COBJECT((
																																		(BgL_varz00_bglt)
																																		BgL_new1115z00_1418)))->
																															BgL_variablez00) =
																														((BgL_variablez00_bglt) ((BgL_variablez00_bglt) BgL_exitz00_1411)), BUNSPEC);
																													BgL_auxz00_1855 =
																														((BgL_varz00_bglt)
																														BgL_new1115z00_1418);
																												}
																												((((BgL_setzd2exzd2itz00_bglt) COBJECT(BgL_new1112z00_1417))->BgL_varz00) = ((BgL_varz00_bglt) BgL_auxz00_1855), BUNSPEC);
																											}
																											((((BgL_setzd2exzd2itz00_bglt) COBJECT(BgL_new1112z00_1417))->BgL_bodyz00) = ((BgL_nodez00_bglt) BgL_bodyz00_1412), BUNSPEC);
																											((((BgL_setzd2exzd2itz00_bglt) COBJECT(BgL_new1112z00_1417))->BgL_onexitz00) = ((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_onexitz00_1413)), BUNSPEC);
																											BgL_exitzd2bodyzd2_1414 =
																												BgL_new1112z00_1417;
																										}
																										{	/* Ast/exit.scm 54 */

																											((((BgL_variablez00_bglt)
																														COBJECT((
																																(BgL_variablez00_bglt)
																																((BgL_localz00_bglt) BgL_hdlgzd2funzd2_1410))))->BgL_userzf3zf3) = ((bool_t) ((bool_t) 1)), BUNSPEC);
																											{	/* Ast/exit.scm 69 */
																												BgL_valuez00_bglt
																													BgL_arg1274z00_1415;
																												BgL_arg1274z00_1415 =
																													(((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt) ((BgL_localz00_bglt) BgL_hdlgzd2funzd2_1410))))->BgL_valuez00);
																												{	/* Ast/exit.scm 69 */
																													obj_t BgL_vz00_1670;

																													BgL_vz00_1670 =
																														((obj_t)
																														CNST_TABLE_REF(2));
																													((((BgL_sfunz00_bglt)
																																COBJECT((
																																		(BgL_sfunz00_bglt)
																																		BgL_arg1274z00_1415)))->
																															BgL_classz00) =
																														((obj_t)
																															BgL_vz00_1670),
																														BUNSPEC);
																											}}
																											{	/* Ast/exit.scm 70 */
																												BgL_valuez00_bglt
																													BgL_arg1275z00_1416;
																												BgL_arg1275z00_1416 =
																													(((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt) ((BgL_localz00_bglt) BgL_hdlgzd2funzd2_1410))))->BgL_valuez00);
																												((((BgL_sfunz00_bglt)
																															COBJECT((
																																	(BgL_sfunz00_bglt)
																																	BgL_arg1275z00_1416)))->
																														BgL_bodyz00) =
																													((obj_t) ((obj_t)
																															BgL_exitzd2bodyzd2_1414)),
																													BUNSPEC);
																											}
																											BgL_auxz00_1788 =
																												BgL_hdlgzd2nodezd2_1409;
																		}}}}}}}}}
																		return
																			((BgL_letzd2funzd2_bglt) BgL_auxz00_1788);
																	}
																}
															else
																{	/* Ast/exit.scm 39 */
																	obj_t BgL_cdrzd2398zd2_1390;

																	BgL_cdrzd2398zd2_1390 =
																		CDR(((obj_t) BgL_cdrzd2369zd2_1377));
																	{	/* Ast/exit.scm 39 */
																		obj_t BgL_cdrzd2409zd2_1391;

																		BgL_cdrzd2409zd2_1391 =
																			CDR(((obj_t) BgL_cdrzd2398zd2_1390));
																		if (PAIRP(BgL_cdrzd2409zd2_1391))
																			{	/* Ast/exit.scm 39 */
																				obj_t BgL_cdrzd2414zd2_1393;

																				BgL_cdrzd2414zd2_1393 =
																					CDR(BgL_cdrzd2409zd2_1391);
																				if (
																					(CAR(BgL_cdrzd2409zd2_1391) ==
																						((obj_t) CNST_TABLE_REF(4))))
																					{	/* Ast/exit.scm 39 */
																						if (PAIRP(BgL_cdrzd2414zd2_1393))
																							{	/* Ast/exit.scm 39 */
																								if (NULLP(CDR
																										(BgL_cdrzd2414zd2_1393)))
																									{	/* Ast/exit.scm 39 */
																										obj_t BgL_arg1260z00_1399;
																										obj_t BgL_arg1262z00_1400;
																										obj_t BgL_arg1266z00_1401;

																										{	/* Ast/exit.scm 39 */
																											obj_t BgL_pairz00_1704;

																											BgL_pairz00_1704 =
																												CAR(
																												((obj_t)
																													BgL_cdrzd2369zd2_1377));
																											BgL_arg1260z00_1399 =
																												CAR(BgL_pairz00_1704);
																										}
																										BgL_arg1262z00_1400 =
																											CAR(
																											((obj_t)
																												BgL_cdrzd2398zd2_1390));
																										BgL_arg1266z00_1401 =
																											CAR
																											(BgL_cdrzd2414zd2_1393);
																										{
																											BgL_nodez00_bglt
																												BgL_auxz00_1919;
																											BgL_exitz00_1370 =
																												BgL_arg1260z00_1399;
																											BgL_bodyz00_1371 =
																												BgL_arg1262z00_1400;
																											BgL_onexitz00_1372 =
																												BgL_arg1266z00_1401;
																											{	/* Ast/exit.scm 74 */
																												obj_t
																													BgL_hdlgzd2namezd2_1437;
																												{	/* Ast/exit.scm 75 */
																													obj_t
																														BgL_arg1311z00_1462;
																													{	/* Ast/exit.scm 75 */
																														obj_t
																															BgL_list1312z00_1463;
																														BgL_list1312z00_1463
																															=
																															MAKE_YOUNG_PAIR
																															(BGl_string1513z00zzast_exitz00,
																															BNIL);
																														BgL_arg1311z00_1462
																															=
																															BGl_makezd2anonymouszd2namez00zzast_sexpz00
																															(BgL_locz00_1366,
																															BgL_list1312z00_1463);
																													}
																													BgL_hdlgzd2namezd2_1437
																														=
																														BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
																														(BgL_arg1311z00_1462);
																												}
																												{	/* Ast/exit.scm 74 */
																													obj_t
																														BgL_hdlgzd2sexpzd2_1438;
																													{	/* Ast/exit.scm 76 */
																														obj_t
																															BgL_arg1301z00_1455;
																														{	/* Ast/exit.scm 76 */
																															obj_t
																																BgL_arg1302z00_1456;
																															obj_t
																																BgL_arg1303z00_1457;
																															{	/* Ast/exit.scm 76 */
																																obj_t
																																	BgL_arg1304z00_1458;
																																{	/* Ast/exit.scm 76 */
																																	obj_t
																																		BgL_arg1305z00_1459;
																																	{	/* Ast/exit.scm 76 */
																																		obj_t
																																			BgL_arg1309z00_1460;
																																		BgL_arg1309z00_1460
																																			=
																																			MAKE_YOUNG_PAIR
																																			(BUNSPEC,
																																			BNIL);
																																		BgL_arg1305z00_1459
																																			=
																																			MAKE_YOUNG_PAIR
																																			(BNIL,
																																			BgL_arg1309z00_1460);
																																	}
																																	BgL_arg1304z00_1458
																																		=
																																		MAKE_YOUNG_PAIR
																																		(BgL_hdlgzd2namezd2_1437,
																																		BgL_arg1305z00_1459);
																																}
																																BgL_arg1302z00_1456
																																	=
																																	MAKE_YOUNG_PAIR
																																	(BgL_arg1304z00_1458,
																																	BNIL);
																															}
																															{	/* Ast/exit.scm 77 */
																																obj_t
																																	BgL_arg1310z00_1461;
																																BgL_arg1310z00_1461
																																	=
																																	MAKE_YOUNG_PAIR
																																	(BgL_hdlgzd2namezd2_1437,
																																	BNIL);
																																BgL_arg1303z00_1457
																																	=
																																	MAKE_YOUNG_PAIR
																																	(BgL_arg1310z00_1461,
																																	BNIL);
																															}
																															BgL_arg1301z00_1455
																																=
																																MAKE_YOUNG_PAIR
																																(BgL_arg1302z00_1456,
																																BgL_arg1303z00_1457);
																														}
																														BgL_hdlgzd2sexpzd2_1438
																															=
																															MAKE_YOUNG_PAIR((
																																(obj_t)
																																CNST_TABLE_REF
																																(0)),
																															BgL_arg1301z00_1455);
																													}
																													{	/* Ast/exit.scm 76 */
																														BgL_nodez00_bglt
																															BgL_hdlgzd2nodezd2_1439;
																														BgL_hdlgzd2nodezd2_1439
																															=
																															BGl_sexpzd2ze3nodez31zzast_sexpz00
																															(BgL_hdlgzd2sexpzd2_1438,
																															BgL_stackz00_4,
																															BgL_locz00_1366,
																															BgL_sitez00_6);
																														{	/* Ast/exit.scm 78 */
																															obj_t
																																BgL_hdlgzd2funzd2_1440;
																															{	/* Ast/exit.scm 79 */
																																obj_t
																																	BgL_pairz00_1674;
																																BgL_pairz00_1674
																																	=
																																	(((BgL_letzd2funzd2_bglt) COBJECT(((BgL_letzd2funzd2_bglt) BgL_hdlgzd2nodezd2_1439)))->BgL_localsz00);
																																BgL_hdlgzd2funzd2_1440
																																	=
																																	CAR
																																	(BgL_pairz00_1674);
																															}
																															{	/* Ast/exit.scm 79 */
																																BgL_localz00_bglt
																																	BgL_exitz00_1441;
																																BgL_exitz00_1441
																																	=
																																	BGl_makezd2localzd2exitze70ze7zzast_exitz00
																																	(BgL_exitz00_1370,
																																	BgL_hdlgzd2funzd2_1440);
																																{	/* Ast/exit.scm 80 */
																																	BgL_nodez00_bglt
																																		BgL_bodyz00_1442;
																																	{	/* Ast/exit.scm 81 */
																																		obj_t
																																			BgL_arg1298z00_1453;
																																		BgL_arg1298z00_1453
																																			=
																																			MAKE_YOUNG_PAIR
																																			(((obj_t)
																																				BgL_exitz00_1441),
																																			BgL_stackz00_4);
																																		BgL_bodyz00_1442
																																			=
																																			BGl_sexpzd2ze3nodez31zzast_sexpz00
																																			(BgL_bodyz00_1371,
																																			BgL_arg1298z00_1453,
																																			BgL_locz00_1366,
																																			((obj_t)
																																				CNST_TABLE_REF
																																				(1)));
																																	}
																																	{	/* Ast/exit.scm 81 */
																																		BgL_nodez00_bglt
																																			BgL_onexitz00_1443;
																																		BgL_onexitz00_1443
																																			=
																																			BGl_sexpzd2ze3nodez31zzast_sexpz00
																																			(BgL_onexitz00_1372,
																																			BgL_stackz00_4,
																																			BgL_locz00_1366,
																																			((obj_t)
																																				CNST_TABLE_REF
																																				(1)));
																																		{	/* Ast/exit.scm 82 */
																																			BgL_setzd2exzd2itz00_bglt
																																				BgL_exitzd2bodyzd2_1444;
																																			{	/* Ast/exit.scm 83 */
																																				BgL_setzd2exzd2itz00_bglt
																																					BgL_new1118z00_1447;
																																				{	/* Ast/exit.scm 84 */
																																					BgL_setzd2exzd2itz00_bglt
																																						BgL_new1116z00_1451;
																																					BgL_new1116z00_1451
																																						=
																																						(
																																						(BgL_setzd2exzd2itz00_bglt)
																																						BOBJECT
																																						(GC_MALLOC
																																							(sizeof
																																								(struct
																																									BgL_setzd2exzd2itz00_bgl))));
																																					{	/* Ast/exit.scm 84 */
																																						long
																																							BgL_arg1297z00_1452;
																																						BgL_arg1297z00_1452
																																							=
																																							BGL_CLASS_NUM
																																							(BGl_setzd2exzd2itz00zzast_nodez00);
																																						BGL_OBJECT_CLASS_NUM_SET
																																							(((BgL_objectz00_bglt) BgL_new1116z00_1451), BgL_arg1297z00_1452);
																																					}
																																					{	/* Ast/exit.scm 84 */
																																						BgL_objectz00_bglt
																																							BgL_tmpz00_1950;
																																						BgL_tmpz00_1950
																																							=
																																							(
																																							(BgL_objectz00_bglt)
																																							BgL_new1116z00_1451);
																																						BGL_OBJECT_WIDENING_SET
																																							(BgL_tmpz00_1950,
																																							BFALSE);
																																					}
																																					((BgL_objectz00_bglt) BgL_new1116z00_1451);
																																					BgL_new1118z00_1447
																																						=
																																						BgL_new1116z00_1451;
																																				}
																																				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt) BgL_new1118z00_1447)))->BgL_locz00) = ((obj_t) BgL_locz00_1366), BUNSPEC);
																																				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt) BgL_new1118z00_1447)))->BgL_typez00) = ((BgL_typez00_bglt) BGl_strictzd2nodezd2typez00zzast_nodez00(((BgL_typez00_bglt) BGl_za2objza2z00zztype_cachez00), ((BgL_typez00_bglt) BGl_za2_za2z00zztype_cachez00))), BUNSPEC);
																																				{
																																					BgL_varz00_bglt
																																						BgL_auxz00_1961;
																																					{	/* Ast/exit.scm 86 */
																																						BgL_refz00_bglt
																																							BgL_new1121z00_1448;
																																						{	/* Ast/exit.scm 88 */
																																							BgL_refz00_bglt
																																								BgL_new1120z00_1449;
																																							BgL_new1120z00_1449
																																								=
																																								(
																																								(BgL_refz00_bglt)
																																								BOBJECT
																																								(GC_MALLOC
																																									(sizeof
																																										(struct
																																											BgL_refz00_bgl))));
																																							{	/* Ast/exit.scm 88 */
																																								long
																																									BgL_arg1296z00_1450;
																																								{	/* Ast/exit.scm 88 */
																																									obj_t
																																										BgL_classz00_1679;
																																									BgL_classz00_1679
																																										=
																																										BGl_refz00zzast_nodez00;
																																									BgL_arg1296z00_1450
																																										=
																																										BGL_CLASS_NUM
																																										(BgL_classz00_1679);
																																								}
																																								BGL_OBJECT_CLASS_NUM_SET
																																									(
																																									((BgL_objectz00_bglt) BgL_new1120z00_1449), BgL_arg1296z00_1450);
																																							}
																																							{	/* Ast/exit.scm 88 */
																																								BgL_objectz00_bglt
																																									BgL_tmpz00_1966;
																																								BgL_tmpz00_1966
																																									=
																																									(
																																									(BgL_objectz00_bglt)
																																									BgL_new1120z00_1449);
																																								BGL_OBJECT_WIDENING_SET
																																									(BgL_tmpz00_1966,
																																									BFALSE);
																																							}
																																							((BgL_objectz00_bglt) BgL_new1120z00_1449);
																																							BgL_new1121z00_1448
																																								=
																																								BgL_new1120z00_1449;
																																						}
																																						((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt) BgL_new1121z00_1448)))->BgL_locz00) = ((obj_t) BgL_locz00_1366), BUNSPEC);
																																						((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt) BgL_new1121z00_1448)))->BgL_typez00) = ((BgL_typez00_bglt) BGl_strictzd2nodezd2typez00zzast_nodez00(((BgL_typez00_bglt) BGl_za2_za2z00zztype_cachez00), ((BgL_typez00_bglt) BGl_za2exitza2z00zztype_cachez00))), BUNSPEC);
																																						((((BgL_varz00_bglt) COBJECT(((BgL_varz00_bglt) BgL_new1121z00_1448)))->BgL_variablez00) = ((BgL_variablez00_bglt) ((BgL_variablez00_bglt) BgL_exitz00_1441)), BUNSPEC);
																																						BgL_auxz00_1961
																																							=
																																							(
																																							(BgL_varz00_bglt)
																																							BgL_new1121z00_1448);
																																					}
																																					((((BgL_setzd2exzd2itz00_bglt) COBJECT(BgL_new1118z00_1447))->BgL_varz00) = ((BgL_varz00_bglt) BgL_auxz00_1961), BUNSPEC);
																																				}
																																				((((BgL_setzd2exzd2itz00_bglt) COBJECT(BgL_new1118z00_1447))->BgL_bodyz00) = ((BgL_nodez00_bglt) BgL_bodyz00_1442), BUNSPEC);
																																				((((BgL_setzd2exzd2itz00_bglt) COBJECT(BgL_new1118z00_1447))->BgL_onexitz00) = ((BgL_nodez00_bglt) BgL_onexitz00_1443), BUNSPEC);
																																				BgL_exitzd2bodyzd2_1444
																																					=
																																					BgL_new1118z00_1447;
																																			}
																																			{	/* Ast/exit.scm 83 */

																																				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt) ((BgL_localz00_bglt) BgL_hdlgzd2funzd2_1440))))->BgL_userzf3zf3) = ((bool_t) ((bool_t) 1)), BUNSPEC);
																																				{	/* Ast/exit.scm 98 */
																																					BgL_valuez00_bglt
																																						BgL_arg1294z00_1445;
																																					BgL_arg1294z00_1445
																																						=
																																						(((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt) ((BgL_localz00_bglt) BgL_hdlgzd2funzd2_1440))))->BgL_valuez00);
																																					{	/* Ast/exit.scm 98 */
																																						obj_t
																																							BgL_vz00_1687;
																																						BgL_vz00_1687
																																							=
																																							(
																																							(obj_t)
																																							CNST_TABLE_REF
																																							(2));
																																						((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt) BgL_arg1294z00_1445)))->BgL_classz00) = ((obj_t) BgL_vz00_1687), BUNSPEC);
																																				}}
																																				{	/* Ast/exit.scm 99 */
																																					BgL_valuez00_bglt
																																						BgL_arg1295z00_1446;
																																					BgL_arg1295z00_1446
																																						=
																																						(((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt) ((BgL_localz00_bglt) BgL_hdlgzd2funzd2_1440))))->BgL_valuez00);
																																					((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt) BgL_arg1295z00_1446)))->BgL_bodyz00) = ((obj_t) ((obj_t) BgL_exitzd2bodyzd2_1444)), BUNSPEC);
																																				}
																																				BgL_auxz00_1919
																																					=
																																					BgL_hdlgzd2nodezd2_1439;
																											}}}}}}}}}
																											return
																												((BgL_letzd2funzd2_bglt)
																												BgL_auxz00_1919);
																										}
																									}
																								else
																									{
																										BgL_nodez00_bglt
																											BgL_auxz00_2001;
																									BgL_tagzd2361zd2_1374:
																										BgL_auxz00_2001 =
																											BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00
																											(BGl_string1512z00zzast_exitz00,
																											BgL_expz00_3,
																											BgL_locz00_1366);
																										return (
																											(BgL_letzd2funzd2_bglt)
																											BgL_auxz00_2001);
																									}
																							}
																						else
																							{
																								BgL_nodez00_bglt
																									BgL_auxz00_2004;
																								goto BgL_tagzd2361zd2_1374;
																								return
																									((BgL_letzd2funzd2_bglt)
																									BgL_auxz00_2004);
																							}
																					}
																				else
																					{
																						BgL_nodez00_bglt BgL_auxz00_2006;

																						goto BgL_tagzd2361zd2_1374;
																						return
																							((BgL_letzd2funzd2_bglt)
																							BgL_auxz00_2006);
																					}
																			}
																		else
																			{
																				BgL_nodez00_bglt BgL_auxz00_2008;

																				goto BgL_tagzd2361zd2_1374;
																				return
																					((BgL_letzd2funzd2_bglt)
																					BgL_auxz00_2008);
																			}
																	}
																}
														}
													else
														{
															BgL_nodez00_bglt BgL_auxz00_2010;

															goto BgL_tagzd2361zd2_1374;
															return ((BgL_letzd2funzd2_bglt) BgL_auxz00_2010);
														}
												}
											else
												{
													BgL_nodez00_bglt BgL_auxz00_2012;

													goto BgL_tagzd2361zd2_1374;
													return ((BgL_letzd2funzd2_bglt) BgL_auxz00_2012);
												}
										}
									else
										{
											BgL_nodez00_bglt BgL_auxz00_2014;

											goto BgL_tagzd2361zd2_1374;
											return ((BgL_letzd2funzd2_bglt) BgL_auxz00_2014);
										}
								}
							else
								{
									BgL_nodez00_bglt BgL_auxz00_2016;

									goto BgL_tagzd2361zd2_1374;
									return ((BgL_letzd2funzd2_bglt) BgL_auxz00_2016);
								}
						}
					else
						{
							BgL_nodez00_bglt BgL_auxz00_2018;

							goto BgL_tagzd2361zd2_1374;
							return ((BgL_letzd2funzd2_bglt) BgL_auxz00_2018);
						}
				}
			}
		}

	}



/* make-local-exit~0 */
	BgL_localz00_bglt BGl_makezd2localzd2exitze70ze7zzast_exitz00(obj_t
		BgL_exitz00_1464, obj_t BgL_handlerz00_1465)
	{
		{	/* Ast/exit.scm 36 */
			{	/* Ast/exit.scm 36 */
				BgL_sexitz00_bglt BgL_arg1314z00_1467;

				{	/* Ast/exit.scm 36 */
					BgL_sexitz00_bglt BgL_new1107z00_1468;

					{	/* Ast/exit.scm 36 */
						BgL_sexitz00_bglt BgL_new1106z00_1469;

						BgL_new1106z00_1469 =
							((BgL_sexitz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_sexitz00_bgl))));
						{	/* Ast/exit.scm 36 */
							long BgL_arg1315z00_1470;

							BgL_arg1315z00_1470 = BGL_CLASS_NUM(BGl_sexitz00zzast_varz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1106z00_1469),
								BgL_arg1315z00_1470);
						}
						{	/* Ast/exit.scm 36 */
							BgL_objectz00_bglt BgL_tmpz00_2024;

							BgL_tmpz00_2024 = ((BgL_objectz00_bglt) BgL_new1106z00_1469);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2024, BFALSE);
						}
						((BgL_objectz00_bglt) BgL_new1106z00_1469);
						BgL_new1107z00_1468 = BgL_new1106z00_1469;
					}
					((((BgL_sexitz00_bglt) COBJECT(BgL_new1107z00_1468))->
							BgL_handlerz00) = ((obj_t) BgL_handlerz00_1465), BUNSPEC);
					((((BgL_sexitz00_bglt) COBJECT(BgL_new1107z00_1468))->
							BgL_detachedzf3zf3) = ((bool_t) ((bool_t) 0)), BUNSPEC);
					BgL_arg1314z00_1467 = BgL_new1107z00_1468;
				}
				return
					BGl_makezd2localzd2sexitz00zzast_localz00(BgL_exitz00_1464,
					((BgL_typez00_bglt) BGl_za2exitza2z00zztype_cachez00),
					BgL_arg1314z00_1467);
			}
		}

	}



/* &set-exit->node */
	BgL_letzd2funzd2_bglt BGl_z62setzd2exitzd2ze3nodez81zzast_exitz00(obj_t
		BgL_envz00_1714, obj_t BgL_expz00_1715, obj_t BgL_stackz00_1716,
		obj_t BgL_locz00_1717, obj_t BgL_sitez00_1718)
	{
		{	/* Ast/exit.scm 33 */
			return
				BGl_setzd2exitzd2ze3nodeze3zzast_exitz00(BgL_expz00_1715,
				BgL_stackz00_1716, BgL_locz00_1717, BgL_sitez00_1718);
		}

	}



/* jump-exit->node */
	BGL_EXPORTED_DEF BgL_jumpzd2exzd2itz00_bglt
		BGl_jumpzd2exitzd2ze3nodeze3zzast_exitz00(obj_t BgL_expz00_7,
		obj_t BgL_stackz00_8, obj_t BgL_locz00_9, obj_t BgL_sitez00_10)
	{
		{	/* Ast/exit.scm 107 */
			{	/* Ast/exit.scm 108 */
				obj_t BgL_locz00_1472;

				BgL_locz00_1472 =
					BGl_findzd2locationzf2locz20zztools_locationz00(BgL_expz00_7,
					BgL_locz00_9);
				{
					obj_t BgL_exitz00_1473;
					obj_t BgL_valuez00_1474;

					if (PAIRP(BgL_expz00_7))
						{	/* Ast/exit.scm 109 */
							obj_t BgL_cdrzd2459zd2_1479;

							BgL_cdrzd2459zd2_1479 = CDR(((obj_t) BgL_expz00_7));
							if (PAIRP(BgL_cdrzd2459zd2_1479))
								{	/* Ast/exit.scm 109 */
									BgL_exitz00_1473 = CAR(BgL_cdrzd2459zd2_1479);
									BgL_valuez00_1474 = CDR(BgL_cdrzd2459zd2_1479);
									{	/* Ast/exit.scm 111 */
										BgL_nodez00_bglt BgL_valuez00_1483;
										BgL_nodez00_bglt BgL_exitz00_1484;

										{	/* Ast/exit.scm 111 */
											obj_t BgL_arg1321z00_1488;

											BgL_arg1321z00_1488 =
												BGl_normaliza7ezd2prognz75zztools_prognz00
												(BgL_valuez00_1474);
											BgL_valuez00_1483 =
												BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_arg1321z00_1488,
												BgL_stackz00_8, BgL_locz00_1472,
												((obj_t) CNST_TABLE_REF(1)));
										}
										BgL_exitz00_1484 =
											BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_exitz00_1473,
											BgL_stackz00_8, BgL_locz00_1472,
											((obj_t) CNST_TABLE_REF(1)));
										{	/* Ast/exit.scm 113 */
											BgL_jumpzd2exzd2itz00_bglt BgL_new1124z00_1485;

											{	/* Ast/exit.scm 114 */
												BgL_jumpzd2exzd2itz00_bglt BgL_new1123z00_1486;

												BgL_new1123z00_1486 =
													((BgL_jumpzd2exzd2itz00_bglt)
													BOBJECT(GC_MALLOC(sizeof(struct
																BgL_jumpzd2exzd2itz00_bgl))));
												{	/* Ast/exit.scm 114 */
													long BgL_arg1320z00_1487;

													BgL_arg1320z00_1487 =
														BGL_CLASS_NUM(BGl_jumpzd2exzd2itz00zzast_nodez00);
													BGL_OBJECT_CLASS_NUM_SET(
														((BgL_objectz00_bglt) BgL_new1123z00_1486),
														BgL_arg1320z00_1487);
												}
												{	/* Ast/exit.scm 114 */
													BgL_objectz00_bglt BgL_tmpz00_2051;

													BgL_tmpz00_2051 =
														((BgL_objectz00_bglt) BgL_new1123z00_1486);
													BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2051, BFALSE);
												}
												((BgL_objectz00_bglt) BgL_new1123z00_1486);
												BgL_new1124z00_1485 = BgL_new1123z00_1486;
											}
											((((BgL_nodez00_bglt) COBJECT(
															((BgL_nodez00_bglt) BgL_new1124z00_1485)))->
													BgL_locz00) = ((obj_t) BgL_locz00_1472), BUNSPEC);
											((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
																BgL_new1124z00_1485)))->BgL_typez00) =
												((BgL_typez00_bglt)
													BGl_strictzd2nodezd2typez00zzast_nodez00((
															(BgL_typez00_bglt)
															BGl_za2unspecza2z00zztype_cachez00),
														((BgL_typez00_bglt)
															BGl_za2_za2z00zztype_cachez00))), BUNSPEC);
											((((BgL_jumpzd2exzd2itz00_bglt)
														COBJECT(BgL_new1124z00_1485))->BgL_exitz00) =
												((BgL_nodez00_bglt) BgL_exitz00_1484), BUNSPEC);
											((((BgL_jumpzd2exzd2itz00_bglt)
														COBJECT(BgL_new1124z00_1485))->BgL_valuez00) =
												((BgL_nodez00_bglt) BgL_valuez00_1483), BUNSPEC);
											return BgL_new1124z00_1485;
										}
									}
								}
							else
								{
									BgL_nodez00_bglt BgL_auxz00_2066;

								BgL_tagzd2452zd2_1476:
									BgL_auxz00_2066 =
										BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00
										(BGl_string1515z00zzast_exitz00, BgL_expz00_7,
										BgL_locz00_1472);
									return ((BgL_jumpzd2exzd2itz00_bglt) BgL_auxz00_2066);
								}
						}
					else
						{
							BgL_nodez00_bglt BgL_auxz00_2069;

							goto BgL_tagzd2452zd2_1476;
							return ((BgL_jumpzd2exzd2itz00_bglt) BgL_auxz00_2069);
						}
				}
			}
		}

	}



/* &jump-exit->node */
	BgL_jumpzd2exzd2itz00_bglt BGl_z62jumpzd2exitzd2ze3nodez81zzast_exitz00(obj_t
		BgL_envz00_1719, obj_t BgL_expz00_1720, obj_t BgL_stackz00_1721,
		obj_t BgL_locz00_1722, obj_t BgL_sitez00_1723)
	{
		{	/* Ast/exit.scm 107 */
			return
				BGl_jumpzd2exitzd2ze3nodeze3zzast_exitz00(BgL_expz00_1720,
				BgL_stackz00_1721, BgL_locz00_1722, BgL_sitez00_1723);
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzast_exitz00(void)
	{
		{	/* Ast/exit.scm 14 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzast_exitz00(void)
	{
		{	/* Ast/exit.scm 14 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzast_exitz00(void)
	{
		{	/* Ast/exit.scm 14 */
			return BUNSPEC;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzast_exitz00(void)
	{
		{	/* Ast/exit.scm 14 */
			BGl_modulezd2initializa7ationz75zztype_typez00(515343395L,
				BSTRING_TO_STRING(BGl_string1516z00zzast_exitz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(90839984L,
				BSTRING_TO_STRING(BGl_string1516z00zzast_exitz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(469732712L,
				BSTRING_TO_STRING(BGl_string1516z00zzast_exitz00));
			BGl_modulezd2initializa7ationz75zztools_tracez00(54713316L,
				BSTRING_TO_STRING(BGl_string1516z00zzast_exitz00));
			BGl_modulezd2initializa7ationz75zzast_sexpz00(163122759L,
				BSTRING_TO_STRING(BGl_string1516z00zzast_exitz00));
			BGl_modulezd2initializa7ationz75zzast_localz00(315247917L,
				BSTRING_TO_STRING(BGl_string1516z00zzast_exitz00));
			BGl_modulezd2initializa7ationz75zzast_identz00(174885617L,
				BSTRING_TO_STRING(BGl_string1516z00zzast_exitz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(489890788L,
				BSTRING_TO_STRING(BGl_string1516z00zzast_exitz00));
			BGl_modulezd2initializa7ationz75zztools_prognz00(301998274L,
				BSTRING_TO_STRING(BGl_string1516z00zzast_exitz00));
			return
				BGl_modulezd2initializa7ationz75zztools_locationz00(462333240L,
				BSTRING_TO_STRING(BGl_string1516z00zzast_exitz00));
		}

	}

#ifdef __cplusplus
}
#endif
