/*===========================================================================*/
/*   (Ast/glo_decl.scm)                                                      */
/*   Bigloo (4.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Jan 27 07:45:49 AM CET 2025     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.6a/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.6a/lib/bigloo/4.6a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -stdc -indent Ast/glo_decl.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL_BgL_AST_GLOzd2DECLzd2_TYPE_DEFINITIONS
#define BGL_BgL_AST_GLOzd2DECLzd2_TYPE_DEFINITIONS

/* object type definitions */
	typedef struct BgL_backendz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
		bool_t BgL_boundzd2checkzd2;
		bool_t BgL_typezd2checkzd2;
		bool_t BgL_typedzd2funcallzd2;
		bool_t BgL_strictzd2typezd2castz00;
		bool_t BgL_forcezd2registerzd2gczd2rootszd2;
		bool_t BgL_stringzd2literalzd2supportz00;
		bool_t BgL_boxedzd2fixnumszd2;
		bool_t BgL_typedzd2closureszd2;
	}                 *BgL_backendz00_bglt;

	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_nullz00;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_qualifiedzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_cfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_argszd2typezd2;
		bool_t BgL_macrozf3zf3;
		bool_t BgL_infixzf3zf3;
		obj_t BgL_methodz00;
	}              *BgL_cfunz00_bglt;

	typedef struct BgL_svarz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}              *BgL_svarz00_bglt;

	typedef struct BgL_scnstz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_nodez00;
		obj_t BgL_classz00;
		obj_t BgL_locz00;
	}               *BgL_scnstz00_bglt;

	typedef struct BgL_cvarz00_bgl
	{
		header_t header;
		obj_t widening;
		bool_t BgL_macrozf3zf3;
	}              *BgL_cvarz00_bglt;


#endif													// BGL_BgL_AST_GLOzd2DECLzd2_TYPE_DEFINITIONS
#endif													// BGL_MODULE_TYPE_DEFINITIONS

	static obj_t BGl_requirezd2initializa7ationz75zzast_glozd2declzd2 = BUNSPEC;
	extern obj_t BGl_dssslzd2keyszd2zztools_dssslz00(obj_t);
	extern obj_t BGl_za2pairzd2nilza2zd2zztype_cachez00;
	extern obj_t BGl_findzd2locationzf2locz20zztools_locationz00(obj_t, obj_t);
	extern obj_t BGl_sfunz00zzast_varz00;
	extern obj_t BGl_fastzd2idzd2ofzd2idzd2zzast_identz00(obj_t, obj_t);
	extern obj_t BGl_parsezd2idzf2importzd2locationzf2zzast_identz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_dssslzd2formalszd2zztools_dssslz00(obj_t);
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	extern BgL_globalz00_bglt BGl_bindzd2globalz12zc0zzast_envz00(obj_t, obj_t,
		obj_t, BgL_valuez00_bglt, obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzast_glozd2declzd2(void);
	static obj_t BGl_objectzd2initzd2zzast_glozd2declzd2(void);
	BGL_EXPORTED_DECL BgL_globalz00_bglt
		BGl_declarezd2globalzd2scnstz12z12zzast_glozd2declzd2(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	BGL_IMPORT obj_t bgl_reverse_bang(obj_t);
	static BgL_globalz00_bglt
		BGl_z62declarezd2globalzd2cfunz12z70zzast_glozd2declzd2(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	extern bool_t BGl_dssslzd2keyzd2onlyzd2prototypezf3z21zztools_dssslz00(obj_t);
	BGL_IMPORT obj_t BGl_dropz00zz__r4_pairs_and_lists_6_3z00(obj_t, long);
	static BgL_globalz00_bglt
		BGl_z62declarezd2globalzd2sfunz12z70zzast_glozd2declzd2(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_thezd2backendzd2zzbackend_backendz00(void);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT obj_t bstring_to_symbol(obj_t);
	BGL_EXPORTED_DECL BgL_globalz00_bglt
		BGl_declarezd2globalzd2cfunz12z12zzast_glozd2declzd2(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, bool_t, bool_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_globalz00_bglt
		BGl_declarezd2globalzd2sfunz12z12zzast_glozd2declzd2(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_appendzd221011zd2zzast_glozd2declzd2(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzast_glozd2declzd2(void);
	static BgL_globalz00_bglt
		BGl_z62declarezd2globalzd2scnstz12z70zzast_glozd2declzd2(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_findzd2globalzd2zzast_envz00(obj_t, obj_t);
	extern obj_t BGl_za2bdbzd2debugza2zd2zzengine_paramz00;
	extern obj_t BGl_za2_za2z00zztype_cachez00;
	extern obj_t BGl_svarz00zzast_varz00;
	extern bool_t
		BGl_dssslzd2optionalzd2onlyzd2prototypezf3z21zztools_dssslz00(obj_t);
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	extern BgL_typez00_bglt
		BGl_typezd2ofzd2idzf2importzd2locationz20zzast_identz00(obj_t, obj_t,
		obj_t);
	static BgL_globalz00_bglt
		BGl_declarezd2globalzd2nooptzd2sfunz12zc0zzast_glozd2declzd2(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzast_glozd2declzd2(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_localz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_dssslz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_argsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__dssslz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	extern obj_t BGl_findzd2locationzd2zztools_locationz00(obj_t);
	extern obj_t BGl_cfunz00zzast_varz00;
	static BgL_globalz00_bglt
		BGl_z62declarezd2globalzd2cvarz12z70zzast_glozd2declzd2(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	static BgL_globalz00_bglt
		BGl_z62declarezd2globalzd2svarz12z70zzast_glozd2declzd2(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_cnstzd2initzd2zzast_glozd2declzd2(void);
	static obj_t BGl_libraryzd2moduleszd2initz00zzast_glozd2declzd2(void);
	BGL_IMPORT long bgl_list_length(obj_t);
	extern long BGl_globalzd2arityzd2zztools_argsz00(obj_t);
	BGL_EXPORTED_DECL BgL_globalz00_bglt
		BGl_declarezd2globalzd2cvarz12z12zzast_glozd2declzd2(obj_t, obj_t, obj_t,
		obj_t, bool_t, obj_t, obj_t);
	extern obj_t BGl_scnstz00zzast_varz00;
	static obj_t BGl_importedzd2moduleszd2initz00zzast_glozd2declzd2(void);
	static BgL_globalz00_bglt
		BGl_declarezd2globalzd2dssslzd2sfunz12zc0zzast_glozd2declzd2(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_dssslzd2optionalszd2zztools_dssslz00(obj_t);
	static obj_t BGl_gczd2rootszd2initz00zzast_glozd2declzd2(void);
	extern obj_t BGl_parsezd2idzd2zzast_identz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_globalz00_bglt
		BGl_declarezd2globalzd2svarz12z12zzast_glozd2declzd2(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	extern BgL_typez00_bglt
		BGl_usezd2foreignzd2typezf2importzd2locz12z32zztype_envz00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
	extern obj_t BGl_argsza2zd2ze3argszd2listz41zztools_argsz00(obj_t);
	static obj_t BGl_symbol1717z00zzast_glozd2declzd2 = BUNSPEC;
	static obj_t BGl_loopze70ze7zzast_glozd2declzd2(obj_t, obj_t);
	extern obj_t BGl_userzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_cvarz00zzast_varz00;
	BGL_IMPORT bool_t BGl_dssslzd2namedzd2constantzf3zf3zz__dssslz00(obj_t);
	static obj_t __cnst[11];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_declarezd2globalzd2scnstz12zd2envzc0zzast_glozd2declzd2,
		BgL_bgl_za762declareza7d2glo1725z00,
		BGl_z62declarezd2globalzd2scnstz12z70zzast_glozd2declzd2, 0L, BUNSPEC, 7);
	      DEFINE_STRING(BGl_string1718z00zzast_glozd2declzd2,
		BgL_bgl_string1718za700za7za7a1726za7, "", 0);
	      DEFINE_STRING(BGl_string1719z00zzast_glozd2declzd2,
		BgL_bgl_string1719za700za7za7a1727za7, "Illegal nary argument type", 26);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_declarezd2globalzd2cfunz12zd2envzc0zzast_glozd2declzd2,
		BgL_bgl_za762declareza7d2glo1728z00,
		BGl_z62declarezd2globalzd2cfunz12z70zzast_glozd2declzd2, 0L, BUNSPEC, 10);
	      DEFINE_STRING(BGl_string1720z00zzast_glozd2declzd2,
		BgL_bgl_string1720za700za7za7a1729za7, "Illegal type for global variable",
		32);
	      DEFINE_STRING(BGl_string1721z00zzast_glozd2declzd2,
		BgL_bgl_string1721za700za7za7a1730za7, "ast_glo-decl", 12);
	      DEFINE_STRING(BGl_string1722z00zzast_glozd2declzd2,
		BgL_bgl_string1722za700za7za7a1731za7,
		"foreign a-cnst write read (export import) bigloo sgfun \077\077? export bdb static ",
		77);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_declarezd2globalzd2sfunz12zd2envzc0zzast_glozd2declzd2,
		BgL_bgl_za762declareza7d2glo1732z00,
		BGl_z62declarezd2globalzd2sfunz12z70zzast_glozd2declzd2, 0L, BUNSPEC, 8);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_declarezd2globalzd2cvarz12zd2envzc0zzast_glozd2declzd2,
		BgL_bgl_za762declareza7d2glo1733z00,
		BGl_z62declarezd2globalzd2cvarz12z70zzast_glozd2declzd2, 0L, BUNSPEC, 7);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_declarezd2globalzd2svarz12zd2envzc0zzast_glozd2declzd2,
		BgL_bgl_za762declareza7d2glo1734z00,
		BGl_z62declarezd2globalzd2svarz12z70zzast_glozd2declzd2, 0L, BUNSPEC, 6);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zzast_glozd2declzd2));
		     ADD_ROOT((void *) (&BGl_symbol1717z00zzast_glozd2declzd2));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzast_glozd2declzd2(long
		BgL_checksumz00_2119, char *BgL_fromz00_2120)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzast_glozd2declzd2))
				{
					BGl_requirezd2initializa7ationz75zzast_glozd2declzd2 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzast_glozd2declzd2();
					BGl_libraryzd2moduleszd2initz00zzast_glozd2declzd2();
					BGl_cnstzd2initzd2zzast_glozd2declzd2();
					BGl_importedzd2moduleszd2initz00zzast_glozd2declzd2();
					return BGl_methodzd2initzd2zzast_glozd2declzd2();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzast_glozd2declzd2(void)
	{
		{	/* Ast/glo_decl.scm 17 */
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(0L,
				"ast_glo-decl");
			BGl_modulezd2initializa7ationz75zz__readerz00(0L, "ast_glo-decl");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(0L,
				"ast_glo-decl");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(0L, "ast_glo-decl");
			BGl_modulezd2initializa7ationz75zz__dssslz00(0L, "ast_glo-decl");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(0L, "ast_glo-decl");
			BGl_modulezd2initializa7ationz75zz__objectz00(0L, "ast_glo-decl");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(0L,
				"ast_glo-decl");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzast_glozd2declzd2(void)
	{
		{	/* Ast/glo_decl.scm 17 */
			{	/* Ast/glo_decl.scm 17 */
				obj_t BgL_cportz00_2107;

				{	/* Ast/glo_decl.scm 17 */
					obj_t BgL_stringz00_2114;

					BgL_stringz00_2114 = BGl_string1722z00zzast_glozd2declzd2;
					{	/* Ast/glo_decl.scm 17 */
						obj_t BgL_startz00_2115;

						BgL_startz00_2115 = BINT(0L);
						{	/* Ast/glo_decl.scm 17 */
							obj_t BgL_endz00_2116;

							BgL_endz00_2116 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_2114)));
							{	/* Ast/glo_decl.scm 17 */

								BgL_cportz00_2107 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_2114, BgL_startz00_2115, BgL_endz00_2116);
				}}}}
				{
					long BgL_iz00_2108;

					BgL_iz00_2108 = 10L;
				BgL_loopz00_2109:
					if ((BgL_iz00_2108 == (-1L)))
						{	/* Ast/glo_decl.scm 17 */
							BUNSPEC;
						}
					else
						{	/* Ast/glo_decl.scm 17 */
							{	/* Ast/glo_decl.scm 17 */
								obj_t BgL_arg1724z00_2110;

								{	/* Ast/glo_decl.scm 17 */

									{	/* Ast/glo_decl.scm 17 */
										obj_t BgL_locationz00_2112;

										BgL_locationz00_2112 = BBOOL(((bool_t) 0));
										{	/* Ast/glo_decl.scm 17 */

											BgL_arg1724z00_2110 =
												BGl_readz00zz__readerz00(BgL_cportz00_2107,
												BgL_locationz00_2112);
										}
									}
								}
								{	/* Ast/glo_decl.scm 17 */
									int BgL_tmpz00_2146;

									BgL_tmpz00_2146 = (int) (BgL_iz00_2108);
									CNST_TABLE_SET(BgL_tmpz00_2146, BgL_arg1724z00_2110);
							}}
							{	/* Ast/glo_decl.scm 17 */
								int BgL_auxz00_2113;

								BgL_auxz00_2113 = (int) ((BgL_iz00_2108 - 1L));
								{
									long BgL_iz00_2151;

									BgL_iz00_2151 = (long) (BgL_auxz00_2113);
									BgL_iz00_2108 = BgL_iz00_2151;
									goto BgL_loopz00_2109;
								}
							}
						}
				}
			}
			return (BGl_symbol1717z00zzast_glozd2declzd2 =
				bstring_to_symbol(BGl_string1718z00zzast_glozd2declzd2), BUNSPEC);
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzast_glozd2declzd2(void)
	{
		{	/* Ast/glo_decl.scm 17 */
			return bgl_gc_roots_register();
		}

	}



/* append-21011 */
	obj_t BGl_appendzd221011zd2zzast_glozd2declzd2(obj_t BgL_l1z00_1,
		obj_t BgL_l2z00_2)
	{
		{
			if (NULLP(BgL_l1z00_1))
				{
					return BgL_l2z00_2;
				}
			else
				{
					obj_t BgL_headz00_1530;

					BgL_headz00_1530 = MAKE_YOUNG_PAIR(BNIL, BgL_l2z00_2);
					{
						obj_t BgL_prevz00_1531;
						obj_t BgL_tailz00_1532;

						BgL_prevz00_1531 = BgL_headz00_1530;
						BgL_tailz00_1532 = BgL_l1z00_1;
					BgL_loopz00_1533:
						if (PAIRP(BgL_tailz00_1532))
							{
								obj_t BgL_newzd2prevzd2_1535;

								BgL_newzd2prevzd2_1535 =
									MAKE_YOUNG_PAIR(CAR(BgL_tailz00_1532), BgL_l2z00_2);
								SET_CDR(BgL_prevz00_1531, BgL_newzd2prevzd2_1535);
								{
									obj_t BgL_tailz00_2164;
									obj_t BgL_prevz00_2163;

									BgL_prevz00_2163 = BgL_newzd2prevzd2_1535;
									BgL_tailz00_2164 = CDR(BgL_tailz00_1532);
									BgL_tailz00_1532 = BgL_tailz00_2164;
									BgL_prevz00_1531 = BgL_prevz00_2163;
									goto BgL_loopz00_1533;
								}
							}
						else
							{
								BNIL;
							}
						return CDR(BgL_headz00_1530);
					}
				}
		}

	}



/* declare-global-sfun! */
	BGL_EXPORTED_DEF BgL_globalz00_bglt
		BGl_declarezd2globalzd2sfunz12z12zzast_glozd2declzd2(obj_t BgL_idz00_3,
		obj_t BgL_aliasz00_4, obj_t BgL_argsz00_5, obj_t BgL_modulez00_6,
		obj_t BgL_importz00_7, obj_t BgL_classz00_8, obj_t BgL_srcez00_9,
		obj_t BgL_srciz00_10)
	{
		{	/* Ast/glo_decl.scm 56 */
			if (BGl_dssslzd2optionalzd2onlyzd2prototypezf3z21zztools_dssslz00
				(BgL_argsz00_5))
				{	/* Ast/glo_decl.scm 60 */
					return
						BGl_declarezd2globalzd2dssslzd2sfunz12zc0zzast_glozd2declzd2
						(BGl_dssslzd2optionalszd2zztools_dssslz00(BgL_argsz00_5), BNIL,
						BgL_idz00_3, BgL_aliasz00_4, BgL_argsz00_5, BgL_modulez00_6,
						BgL_importz00_7, BgL_classz00_8, BgL_srcez00_9, BgL_srciz00_10);
				}
			else
				{	/* Ast/glo_decl.scm 60 */
					if (BGl_dssslzd2keyzd2onlyzd2prototypezf3z21zztools_dssslz00
						(BgL_argsz00_5))
						{	/* Ast/glo_decl.scm 62 */
							return
								BGl_declarezd2globalzd2dssslzd2sfunz12zc0zzast_glozd2declzd2
								(BNIL, BGl_dssslzd2keyszd2zztools_dssslz00(BgL_argsz00_5),
								BgL_idz00_3, BgL_aliasz00_4, BgL_argsz00_5, BgL_modulez00_6,
								BgL_importz00_7, BgL_classz00_8, BgL_srcez00_9, BgL_srciz00_10);
						}
					else
						{	/* Ast/glo_decl.scm 62 */
							return
								BGl_declarezd2globalzd2nooptzd2sfunz12zc0zzast_glozd2declzd2
								(BgL_idz00_3, BgL_aliasz00_4, BgL_argsz00_5, BgL_modulez00_6,
								BgL_importz00_7, BgL_classz00_8, BgL_srcez00_9, BgL_srciz00_10);
						}
				}
		}

	}



/* &declare-global-sfun! */
	BgL_globalz00_bglt
		BGl_z62declarezd2globalzd2sfunz12z70zzast_glozd2declzd2(obj_t
		BgL_envz00_2063, obj_t BgL_idz00_2064, obj_t BgL_aliasz00_2065,
		obj_t BgL_argsz00_2066, obj_t BgL_modulez00_2067, obj_t BgL_importz00_2068,
		obj_t BgL_classz00_2069, obj_t BgL_srcez00_2070, obj_t BgL_srciz00_2071)
	{
		{	/* Ast/glo_decl.scm 56 */
			return
				BGl_declarezd2globalzd2sfunz12z12zzast_glozd2declzd2(BgL_idz00_2064,
				BgL_aliasz00_2065, BgL_argsz00_2066, BgL_modulez00_2067,
				BgL_importz00_2068, BgL_classz00_2069, BgL_srcez00_2070,
				BgL_srciz00_2071);
		}

	}



/* declare-global-dsssl-sfun! */
	BgL_globalz00_bglt
		BGl_declarezd2globalzd2dssslzd2sfunz12zc0zzast_glozd2declzd2(obj_t
		BgL_optsz00_11, obj_t BgL_keysz00_12, obj_t BgL_idz00_13,
		obj_t BgL_aliasz00_14, obj_t BgL_argsz00_15, obj_t BgL_modulez00_16,
		obj_t BgL_importz00_17, obj_t BgL_classz00_18, obj_t BgL_srcez00_19,
		obj_t BgL_srciz00_20)
	{
		{	/* Ast/glo_decl.scm 70 */
			{	/* Ast/glo_decl.scm 73 */
				long BgL_arityz00_1540;

				BgL_arityz00_1540 =
					BGl_globalzd2arityzd2zztools_argsz00(BgL_argsz00_15);
				{	/* Ast/glo_decl.scm 73 */
					bool_t BgL_exportzf3zf3_1541;

					{	/* Ast/glo_decl.scm 74 */
						bool_t BgL__ortest_1108z00_1625;

						if ((BgL_importz00_17 == ((obj_t) CNST_TABLE_REF(0))))
							{	/* Ast/glo_decl.scm 74 */
								BgL__ortest_1108z00_1625 = ((bool_t) 0);
							}
						else
							{	/* Ast/glo_decl.scm 74 */
								BgL__ortest_1108z00_1625 = ((bool_t) 1);
							}
						if (BgL__ortest_1108z00_1625)
							{	/* Ast/glo_decl.scm 74 */
								BgL_exportzf3zf3_1541 = BgL__ortest_1108z00_1625;
							}
						else
							{	/* Ast/glo_decl.scm 75 */
								obj_t BgL__andtest_1109z00_1626;

								{	/* Ast/glo_decl.scm 75 */
									obj_t BgL_arg1320z00_1627;

									{	/* Ast/glo_decl.scm 75 */
										obj_t BgL_arg1321z00_1628;

										BgL_arg1321z00_1628 =
											BGl_thezd2backendzd2zzbackend_backendz00();
										BgL_arg1320z00_1627 =
											(((BgL_backendz00_bglt) COBJECT(
													((BgL_backendz00_bglt) BgL_arg1321z00_1628)))->
											BgL_debugzd2supportzd2);
									}
									BgL__andtest_1109z00_1626 =
										BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
										((obj_t) CNST_TABLE_REF(1)), BgL_arg1320z00_1627);
								}
								if (CBOOL(BgL__andtest_1109z00_1626))
									{	/* Ast/glo_decl.scm 75 */
										BgL_exportzf3zf3_1541 =
											(
											(long) CINT(BGl_za2bdbzd2debugza2zd2zzengine_paramz00) >=
											3L);
									}
								else
									{	/* Ast/glo_decl.scm 75 */
										BgL_exportzf3zf3_1541 = ((bool_t) 0);
									}
							}
					}
					{	/* Ast/glo_decl.scm 74 */
						obj_t BgL_importz00_1542;

						{	/* Ast/glo_decl.scm 77 */
							bool_t BgL_test1744z00_2193;

							if ((BgL_importz00_17 == ((obj_t) CNST_TABLE_REF(0))))
								{	/* Ast/glo_decl.scm 78 */
									bool_t BgL_test1747z00_2198;

									{	/* Ast/glo_decl.scm 78 */
										obj_t BgL_arg1318z00_1623;

										{	/* Ast/glo_decl.scm 78 */
											obj_t BgL_arg1319z00_1624;

											BgL_arg1319z00_1624 =
												BGl_thezd2backendzd2zzbackend_backendz00();
											BgL_arg1318z00_1623 =
												(((BgL_backendz00_bglt) COBJECT(
														((BgL_backendz00_bglt) BgL_arg1319z00_1624)))->
												BgL_debugzd2supportzd2);
										}
										BgL_test1747z00_2198 =
											CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
												((obj_t) CNST_TABLE_REF(1)), BgL_arg1318z00_1623));
									}
									if (BgL_test1747z00_2198)
										{	/* Ast/glo_decl.scm 78 */
											BgL_test1744z00_2193 =
												(
												(long) CINT(BGl_za2bdbzd2debugza2zd2zzengine_paramz00)
												>= 3L);
										}
									else
										{	/* Ast/glo_decl.scm 78 */
											BgL_test1744z00_2193 = ((bool_t) 0);
										}
								}
							else
								{	/* Ast/glo_decl.scm 77 */
									BgL_test1744z00_2193 = ((bool_t) 0);
								}
							if (BgL_test1744z00_2193)
								{	/* Ast/glo_decl.scm 77 */
									BgL_importz00_1542 = ((obj_t) CNST_TABLE_REF(2));
								}
							else
								{	/* Ast/glo_decl.scm 77 */
									BgL_importz00_1542 = BgL_importz00_17;
								}
						}
						{	/* Ast/glo_decl.scm 77 */
							obj_t BgL_locz00_1543;

							BgL_locz00_1543 =
								BGl_findzd2locationzd2zztools_locationz00(BgL_srcez00_19);
							{	/* Ast/glo_decl.scm 82 */
								obj_t BgL_lociz00_1544;

								BgL_lociz00_1544 =
									BGl_findzd2locationzf2locz20zztools_locationz00
									(BgL_srciz00_20, BgL_locz00_1543);
								{	/* Ast/glo_decl.scm 83 */
									obj_t BgL_argsz00_1545;

									if (NULLP(BgL_keysz00_12))
										{	/* Ast/glo_decl.scm 84 */
											BgL_argsz00_1545 = BgL_argsz00_15;
										}
									else
										{	/* Ast/glo_decl.scm 84 */
											BgL_argsz00_1545 =
												BGl_loopze70ze7zzast_glozd2declzd2(BgL_keysz00_12,
												BgL_argsz00_15);
										}
									{	/* Ast/glo_decl.scm 84 */
										obj_t BgL_argszd2typezd2_1546;

										{
											obj_t BgL_argsz00_1580;
											obj_t BgL_resz00_1581;

											BgL_argsz00_1580 = BgL_argsz00_1545;
											BgL_resz00_1581 = BNIL;
										BgL_zc3z04anonymousza31278ze3z87_1582:
											if (NULLP(BgL_argsz00_1580))
												{	/* Ast/glo_decl.scm 102 */
													BgL_argszd2typezd2_1546 =
														bgl_reverse_bang(BgL_resz00_1581);
												}
											else
												{	/* Ast/glo_decl.scm 104 */
													bool_t BgL_test1751z00_2218;

													{	/* Ast/glo_decl.scm 104 */
														obj_t BgL_arg1291z00_1596;

														BgL_arg1291z00_1596 =
															CAR(((obj_t) BgL_argsz00_1580));
														BgL_test1751z00_2218 =
															BGl_dssslzd2namedzd2constantzf3zf3zz__dssslz00
															(BgL_arg1291z00_1596);
													}
													if (BgL_test1751z00_2218)
														{	/* Ast/glo_decl.scm 105 */
															obj_t BgL_arg1282z00_1586;

															BgL_arg1282z00_1586 =
																CDR(((obj_t) BgL_argsz00_1580));
															{
																obj_t BgL_argsz00_2224;

																BgL_argsz00_2224 = BgL_arg1282z00_1586;
																BgL_argsz00_1580 = BgL_argsz00_2224;
																goto BgL_zc3z04anonymousza31278ze3z87_1582;
															}
														}
													else
														{	/* Ast/glo_decl.scm 107 */
															obj_t BgL_az00_1587;

															{	/* Ast/glo_decl.scm 107 */
																bool_t BgL_test1752z00_2225;

																{	/* Ast/glo_decl.scm 107 */
																	obj_t BgL_tmpz00_2226;

																	BgL_tmpz00_2226 =
																		CAR(((obj_t) BgL_argsz00_1580));
																	BgL_test1752z00_2225 =
																		SYMBOLP(BgL_tmpz00_2226);
																}
																if (BgL_test1752z00_2225)
																	{	/* Ast/glo_decl.scm 107 */
																		BgL_az00_1587 =
																			CAR(((obj_t) BgL_argsz00_1580));
																	}
																else
																	{	/* Ast/glo_decl.scm 109 */
																		obj_t BgL_pairz00_1966;

																		BgL_pairz00_1966 =
																			CAR(((obj_t) BgL_argsz00_1580));
																		BgL_az00_1587 = CAR(BgL_pairz00_1966);
																	}
															}
															{	/* Ast/glo_decl.scm 107 */
																obj_t BgL_tyz00_1588;

																{	/* Ast/glo_decl.scm 110 */
																	obj_t BgL_tz00_1591;

																	BgL_tz00_1591 =
																		((obj_t)
																		BGl_typezd2ofzd2idzf2importzd2locationz20zzast_identz00
																		(BgL_az00_1587, BgL_locz00_1543,
																			BgL_lociz00_1544));
																	{	/* Ast/glo_decl.scm 112 */
																		bool_t BgL_test1753z00_2237;

																		if (
																			(BgL_tz00_1591 ==
																				BGl_za2_za2z00zztype_cachez00))
																			{	/* Ast/glo_decl.scm 112 */
																				BgL_test1753z00_2237 =
																					BgL_exportzf3zf3_1541;
																			}
																		else
																			{	/* Ast/glo_decl.scm 112 */
																				BgL_test1753z00_2237 = ((bool_t) 0);
																			}
																		if (BgL_test1753z00_2237)
																			{	/* Ast/glo_decl.scm 112 */
																				BgL_tyz00_1588 =
																					BGl_za2objza2z00zztype_cachez00;
																			}
																		else
																			{	/* Ast/glo_decl.scm 112 */
																				BgL_tyz00_1588 = BgL_tz00_1591;
																			}
																	}
																}
																{	/* Ast/glo_decl.scm 110 */

																	{	/* Ast/glo_decl.scm 115 */
																		obj_t BgL_arg1284z00_1589;
																		obj_t BgL_arg1285z00_1590;

																		BgL_arg1284z00_1589 =
																			CDR(((obj_t) BgL_argsz00_1580));
																		BgL_arg1285z00_1590 =
																			MAKE_YOUNG_PAIR(BgL_tyz00_1588,
																			BgL_resz00_1581);
																		{
																			obj_t BgL_resz00_2244;
																			obj_t BgL_argsz00_2243;

																			BgL_argsz00_2243 = BgL_arg1284z00_1589;
																			BgL_resz00_2244 = BgL_arg1285z00_1590;
																			BgL_resz00_1581 = BgL_resz00_2244;
																			BgL_argsz00_1580 = BgL_argsz00_2243;
																			goto
																				BgL_zc3z04anonymousza31278ze3z87_1582;
																		}
																	}
																}
															}
														}
												}
										}
										{	/* Ast/glo_decl.scm 99 */
											obj_t BgL_argszd2namezd2_1547;

											{
												obj_t BgL_argsz00_1560;
												obj_t BgL_resz00_1561;

												BgL_argsz00_1560 = BgL_argsz00_1545;
												BgL_resz00_1561 = BNIL;
											BgL_zc3z04anonymousza31263ze3z87_1562:
												if (NULLP(BgL_argsz00_1560))
													{	/* Ast/glo_decl.scm 119 */
														BgL_argszd2namezd2_1547 =
															bgl_reverse_bang(BgL_resz00_1561);
													}
												else
													{	/* Ast/glo_decl.scm 121 */
														bool_t BgL_test1756z00_2248;

														{	/* Ast/glo_decl.scm 121 */
															obj_t BgL_arg1277z00_1576;

															BgL_arg1277z00_1576 =
																CAR(((obj_t) BgL_argsz00_1560));
															BgL_test1756z00_2248 =
																BGl_dssslzd2namedzd2constantzf3zf3zz__dssslz00
																(BgL_arg1277z00_1576);
														}
														if (BgL_test1756z00_2248)
															{	/* Ast/glo_decl.scm 122 */
																obj_t BgL_arg1271z00_1566;

																BgL_arg1271z00_1566 =
																	CDR(((obj_t) BgL_argsz00_1560));
																{
																	obj_t BgL_argsz00_2254;

																	BgL_argsz00_2254 = BgL_arg1271z00_1566;
																	BgL_argsz00_1560 = BgL_argsz00_2254;
																	goto BgL_zc3z04anonymousza31263ze3z87_1562;
																}
															}
														else
															{	/* Ast/glo_decl.scm 124 */
																obj_t BgL_az00_1567;

																{	/* Ast/glo_decl.scm 124 */
																	bool_t BgL_test1758z00_2255;

																	{	/* Ast/glo_decl.scm 124 */
																		obj_t BgL_tmpz00_2256;

																		BgL_tmpz00_2256 =
																			CAR(((obj_t) BgL_argsz00_1560));
																		BgL_test1758z00_2255 =
																			SYMBOLP(BgL_tmpz00_2256);
																	}
																	if (BgL_test1758z00_2255)
																		{	/* Ast/glo_decl.scm 124 */
																			BgL_az00_1567 =
																				CAR(((obj_t) BgL_argsz00_1560));
																		}
																	else
																		{	/* Ast/glo_decl.scm 126 */
																			obj_t BgL_pairz00_1975;

																			BgL_pairz00_1975 =
																				CAR(((obj_t) BgL_argsz00_1560));
																			BgL_az00_1567 = CAR(BgL_pairz00_1975);
																		}
																}
																{	/* Ast/glo_decl.scm 124 */
																	obj_t BgL_vidz00_1568;

																	BgL_vidz00_1568 =
																		BGl_fastzd2idzd2ofzd2idzd2zzast_identz00
																		(BgL_az00_1567, BgL_locz00_1543);
																	{	/* Ast/glo_decl.scm 127 */
																		obj_t BgL_varz00_1569;

																		if (
																			(BgL_vidz00_1568 ==
																				BGl_symbol1717z00zzast_glozd2declzd2))
																			{	/* Ast/glo_decl.scm 129 */

																				{	/* Ast/glo_decl.scm 129 */

																					BgL_varz00_1569 =
																						BGl_gensymz00zz__r4_symbols_6_4z00
																						(BFALSE);
																				}
																			}
																		else
																			{	/* Ast/glo_decl.scm 128 */
																				BgL_varz00_1569 = BgL_vidz00_1568;
																			}
																		{	/* Ast/glo_decl.scm 128 */

																			{	/* Ast/glo_decl.scm 131 */
																				obj_t BgL_arg1272z00_1570;
																				obj_t BgL_arg1273z00_1571;

																				BgL_arg1272z00_1570 =
																					CDR(((obj_t) BgL_argsz00_1560));
																				BgL_arg1273z00_1571 =
																					MAKE_YOUNG_PAIR(BgL_varz00_1569,
																					BgL_resz00_1561);
																				{
																					obj_t BgL_resz00_2273;
																					obj_t BgL_argsz00_2272;

																					BgL_argsz00_2272 =
																						BgL_arg1272z00_1570;
																					BgL_resz00_2273 = BgL_arg1273z00_1571;
																					BgL_resz00_1561 = BgL_resz00_2273;
																					BgL_argsz00_1560 = BgL_argsz00_2272;
																					goto
																						BgL_zc3z04anonymousza31263ze3z87_1562;
																				}
																			}
																		}
																	}
																}
															}
													}
											}
											{	/* Ast/glo_decl.scm 116 */
												obj_t BgL_idzd2typezd2_1548;

												BgL_idzd2typezd2_1548 =
													BGl_parsezd2idzf2importzd2locationzf2zzast_identz00
													(BgL_idz00_13, BgL_locz00_1543, BgL_lociz00_1544);
												{	/* Ast/glo_decl.scm 132 */
													obj_t BgL_typezd2reszd2_1549;

													BgL_typezd2reszd2_1549 = CDR(BgL_idzd2typezd2_1548);
													{	/* Ast/glo_decl.scm 133 */
														obj_t BgL_idz00_1550;

														BgL_idz00_1550 = CAR(BgL_idzd2typezd2_1548);
														{	/* Ast/glo_decl.scm 134 */
															BgL_sfunz00_bglt BgL_sfunz00_1551;

															{	/* Ast/glo_decl.scm 135 */
																BgL_sfunz00_bglt BgL_new1113z00_1555;

																{	/* Ast/glo_decl.scm 136 */
																	BgL_sfunz00_bglt BgL_new1112z00_1556;

																	BgL_new1112z00_1556 =
																		((BgL_sfunz00_bglt)
																		BOBJECT(GC_MALLOC(sizeof(struct
																					BgL_sfunz00_bgl))));
																	{	/* Ast/glo_decl.scm 136 */
																		long BgL_arg1262z00_1557;

																		BgL_arg1262z00_1557 =
																			BGL_CLASS_NUM(BGl_sfunz00zzast_varz00);
																		BGL_OBJECT_CLASS_NUM_SET(
																			((BgL_objectz00_bglt)
																				BgL_new1112z00_1556),
																			BgL_arg1262z00_1557);
																	}
																	{	/* Ast/glo_decl.scm 136 */
																		BgL_objectz00_bglt BgL_tmpz00_2281;

																		BgL_tmpz00_2281 =
																			((BgL_objectz00_bglt)
																			BgL_new1112z00_1556);
																		BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2281,
																			BFALSE);
																	}
																	((BgL_objectz00_bglt) BgL_new1112z00_1556);
																	BgL_new1113z00_1555 = BgL_new1112z00_1556;
																}
																((((BgL_funz00_bglt) COBJECT(
																				((BgL_funz00_bglt)
																					BgL_new1113z00_1555)))->
																		BgL_arityz00) =
																	((long) BgL_arityz00_1540), BUNSPEC);
																((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
																					BgL_new1113z00_1555)))->
																		BgL_sidezd2effectzd2) =
																	((obj_t) BUNSPEC), BUNSPEC);
																((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
																					BgL_new1113z00_1555)))->
																		BgL_predicatezd2ofzd2) =
																	((obj_t) BFALSE), BUNSPEC);
																((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
																					BgL_new1113z00_1555)))->
																		BgL_stackzd2allocatorzd2) =
																	((obj_t) BFALSE), BUNSPEC);
																((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
																					BgL_new1113z00_1555)))->
																		BgL_topzf3zf3) =
																	((bool_t) ((bool_t) 1)), BUNSPEC);
																((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
																					BgL_new1113z00_1555)))->
																		BgL_thezd2closurezd2) =
																	((obj_t) BUNSPEC), BUNSPEC);
																((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
																					BgL_new1113z00_1555)))->
																		BgL_effectz00) =
																	((obj_t) BUNSPEC), BUNSPEC);
																((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
																					BgL_new1113z00_1555)))->
																		BgL_failsafez00) =
																	((obj_t) BUNSPEC), BUNSPEC);
																((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
																					BgL_new1113z00_1555)))->
																		BgL_argszd2noescapezd2) =
																	((obj_t) BNIL), BUNSPEC);
																((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
																					BgL_new1113z00_1555)))->
																		BgL_argszd2retescapezd2) =
																	((obj_t) BNIL), BUNSPEC);
																((((BgL_sfunz00_bglt)
																			COBJECT(BgL_new1113z00_1555))->
																		BgL_propertyz00) = ((obj_t) BNIL), BUNSPEC);
																((((BgL_sfunz00_bglt)
																			COBJECT(BgL_new1113z00_1555))->
																		BgL_argsz00) =
																	((obj_t) BgL_argszd2typezd2_1546), BUNSPEC);
																((((BgL_sfunz00_bglt)
																			COBJECT(BgL_new1113z00_1555))->
																		BgL_argszd2namezd2) =
																	((obj_t) BgL_argszd2namezd2_1547), BUNSPEC);
																((((BgL_sfunz00_bglt)
																			COBJECT(BgL_new1113z00_1555))->
																		BgL_bodyz00) = ((obj_t) BUNSPEC), BUNSPEC);
																((((BgL_sfunz00_bglt)
																			COBJECT(BgL_new1113z00_1555))->
																		BgL_classz00) =
																	((obj_t) BgL_classz00_18), BUNSPEC);
																((((BgL_sfunz00_bglt)
																			COBJECT(BgL_new1113z00_1555))->
																		BgL_dssslzd2keywordszd2) =
																	((obj_t) BNIL), BUNSPEC);
																((((BgL_sfunz00_bglt)
																			COBJECT(BgL_new1113z00_1555))->
																		BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
																((((BgL_sfunz00_bglt)
																			COBJECT(BgL_new1113z00_1555))->
																		BgL_optionalsz00) =
																	((obj_t) BgL_optsz00_11), BUNSPEC);
																((((BgL_sfunz00_bglt)
																			COBJECT(BgL_new1113z00_1555))->
																		BgL_keysz00) =
																	((obj_t) BgL_keysz00_12), BUNSPEC);
																((((BgL_sfunz00_bglt)
																			COBJECT(BgL_new1113z00_1555))->
																		BgL_thezd2closurezd2globalz00) =
																	((obj_t) BUNSPEC), BUNSPEC);
																((((BgL_sfunz00_bglt)
																			COBJECT(BgL_new1113z00_1555))->
																		BgL_strengthz00) =
																	((obj_t) ((obj_t) CNST_TABLE_REF(3))),
																	BUNSPEC);
																((((BgL_sfunz00_bglt)
																			COBJECT(BgL_new1113z00_1555))->
																		BgL_stackablez00) =
																	((obj_t) BUNSPEC), BUNSPEC);
																BgL_sfunz00_1551 = BgL_new1113z00_1555;
															}
															{	/* Ast/glo_decl.scm 135 */
																obj_t BgL_oldz00_1552;

																BgL_oldz00_1552 =
																	BGl_findzd2globalzd2zzast_envz00
																	(BgL_idz00_1550, BNIL);
																{	/* Ast/glo_decl.scm 142 */
																	BgL_globalz00_bglt BgL_globalz00_1553;

																	BgL_globalz00_1553 =
																		BGl_bindzd2globalz12zc0zzast_envz00
																		(BgL_idz00_1550, BgL_aliasz00_14,
																		BgL_modulez00_16,
																		((BgL_valuez00_bglt) BgL_sfunz00_1551),
																		BgL_importz00_1542, BgL_srcez00_19);
																	{	/* Ast/glo_decl.scm 143 */

																		if (
																			(BgL_typezd2reszd2_1549 ==
																				BGl_za2_za2z00zztype_cachez00))
																			{	/* Ast/glo_decl.scm 151 */
																				if (BgL_exportzf3zf3_1541)
																					{	/* Ast/glo_decl.scm 154 */
																						BgL_typez00_bglt BgL_vz00_1984;

																						BgL_vz00_1984 =
																							((BgL_typez00_bglt)
																							BGl_za2objza2z00zztype_cachez00);
																						((((BgL_variablez00_bglt)
																									COBJECT((
																											(BgL_variablez00_bglt)
																											BgL_globalz00_1553)))->
																								BgL_typez00) =
																							((BgL_typez00_bglt)
																								BgL_vz00_1984), BUNSPEC);
																					}
																				else
																					{	/* Ast/glo_decl.scm 153 */
																						((((BgL_variablez00_bglt) COBJECT(
																										((BgL_variablez00_bglt)
																											BgL_globalz00_1553)))->
																								BgL_typez00) =
																							((BgL_typez00_bglt) (
																									(BgL_typez00_bglt)
																									BgL_typezd2reszd2_1549)),
																							BUNSPEC);
																					}
																			}
																		else
																			{	/* Ast/glo_decl.scm 151 */
																				((((BgL_variablez00_bglt) COBJECT(
																								((BgL_variablez00_bglt)
																									BgL_globalz00_1553)))->
																						BgL_typez00) =
																					((BgL_typez00_bglt) (
																							(BgL_typez00_bglt)
																							BgL_typezd2reszd2_1549)),
																					BUNSPEC);
																			}
																		return BgL_globalz00_1553;
																	}
																}
															}
														}
													}
												}
											}
										}
									}
								}
							}
						}
					}
				}
			}
		}

	}



/* loop~0 */
	obj_t BGl_loopze70ze7zzast_glozd2declzd2(obj_t BgL_keysz00_2106,
		obj_t BgL_argsz00_1600)
	{
		{	/* Ast/glo_decl.scm 87 */
			if (NULLP(BgL_argsz00_1600))
				{	/* Ast/glo_decl.scm 89 */
					return BNIL;
				}
			else
				{	/* Ast/glo_decl.scm 89 */
					if ((CAR(((obj_t) BgL_argsz00_1600)) == (BKEY)))
						{	/* Ast/glo_decl.scm 92 */
							obj_t BgL_arg1297z00_1605;
							obj_t BgL_arg1298z00_1606;

							BgL_arg1297z00_1605 = CAR(((obj_t) BgL_argsz00_1600));
							{	/* Ast/glo_decl.scm 95 */
								obj_t BgL_arg1299z00_1607;

								{	/* Ast/glo_decl.scm 95 */
									obj_t BgL_arg1301z00_1608;

									BgL_arg1301z00_1608 =
										BGl_dropz00zz__r4_pairs_and_lists_6_3z00(CDR(
											((obj_t) BgL_argsz00_1600)),
										bgl_list_length(BgL_keysz00_2106));
									BgL_arg1299z00_1607 =
										BGl_loopze70ze7zzast_glozd2declzd2(BgL_keysz00_2106,
										BgL_arg1301z00_1608);
								}
								BgL_arg1298z00_1606 =
									BGl_appendzd221011zd2zzast_glozd2declzd2(BgL_keysz00_2106,
									BgL_arg1299z00_1607);
							}
							return MAKE_YOUNG_PAIR(BgL_arg1297z00_1605, BgL_arg1298z00_1606);
						}
					else
						{	/* Ast/glo_decl.scm 97 */
							obj_t BgL_arg1304z00_1611;
							obj_t BgL_arg1305z00_1612;

							BgL_arg1304z00_1611 = CAR(((obj_t) BgL_argsz00_1600));
							{	/* Ast/glo_decl.scm 97 */
								obj_t BgL_arg1309z00_1613;

								BgL_arg1309z00_1613 = CDR(((obj_t) BgL_argsz00_1600));
								BgL_arg1305z00_1612 =
									BGl_loopze70ze7zzast_glozd2declzd2(BgL_keysz00_2106,
									BgL_arg1309z00_1613);
							}
							return MAKE_YOUNG_PAIR(BgL_arg1304z00_1611, BgL_arg1305z00_1612);
						}
				}
		}

	}



/* declare-global-noopt-sfun! */
	BgL_globalz00_bglt
		BGl_declarezd2globalzd2nooptzd2sfunz12zc0zzast_glozd2declzd2(obj_t
		BgL_idz00_37, obj_t BgL_aliasz00_38, obj_t BgL_argsz00_39,
		obj_t BgL_modulez00_40, obj_t BgL_importz00_41, obj_t BgL_classz00_42,
		obj_t BgL_srcez00_43, obj_t BgL_srciz00_44)
	{
		{	/* Ast/glo_decl.scm 177 */
			{	/* Ast/glo_decl.scm 178 */
				long BgL_arityz00_1631;

				BgL_arityz00_1631 =
					BGl_globalzd2arityzd2zztools_argsz00(BgL_argsz00_39);
				{	/* Ast/glo_decl.scm 178 */
					obj_t BgL_argsz00_1632;

					BgL_argsz00_1632 =
						BGl_argsza2zd2ze3argszd2listz41zztools_argsz00(BgL_argsz00_39);
					{	/* Ast/glo_decl.scm 179 */
						bool_t BgL_exportzf3zf3_1633;

						{	/* Ast/glo_decl.scm 180 */
							bool_t BgL__ortest_1114z00_1701;

							if ((BgL_importz00_41 == ((obj_t) CNST_TABLE_REF(0))))
								{	/* Ast/glo_decl.scm 180 */
									BgL__ortest_1114z00_1701 = ((bool_t) 0);
								}
							else
								{	/* Ast/glo_decl.scm 180 */
									BgL__ortest_1114z00_1701 = ((bool_t) 1);
								}
							if (BgL__ortest_1114z00_1701)
								{	/* Ast/glo_decl.scm 180 */
									BgL_exportzf3zf3_1633 = BgL__ortest_1114z00_1701;
								}
							else
								{	/* Ast/glo_decl.scm 181 */
									obj_t BgL__andtest_1115z00_1702;

									{	/* Ast/glo_decl.scm 181 */
										obj_t BgL_arg1388z00_1703;

										{	/* Ast/glo_decl.scm 181 */
											obj_t BgL_arg1390z00_1704;

											BgL_arg1390z00_1704 =
												BGl_thezd2backendzd2zzbackend_backendz00();
											BgL_arg1388z00_1703 =
												(((BgL_backendz00_bglt) COBJECT(
														((BgL_backendz00_bglt) BgL_arg1390z00_1704)))->
												BgL_debugzd2supportzd2);
										}
										BgL__andtest_1115z00_1702 =
											BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
											((obj_t) CNST_TABLE_REF(1)), BgL_arg1388z00_1703);
									}
									if (CBOOL(BgL__andtest_1115z00_1702))
										{	/* Ast/glo_decl.scm 181 */
											BgL_exportzf3zf3_1633 =
												(
												(long) CINT(BGl_za2bdbzd2debugza2zd2zzengine_paramz00)
												>= 3L);
										}
									else
										{	/* Ast/glo_decl.scm 181 */
											BgL_exportzf3zf3_1633 = ((bool_t) 0);
										}
								}
						}
						{	/* Ast/glo_decl.scm 180 */
							obj_t BgL_importz00_1634;

							{	/* Ast/glo_decl.scm 183 */
								bool_t BgL_test1773z00_2372;

								if ((BgL_importz00_41 == ((obj_t) CNST_TABLE_REF(0))))
									{	/* Ast/glo_decl.scm 184 */
										bool_t BgL_test1775z00_2377;

										{	/* Ast/glo_decl.scm 184 */
											obj_t BgL_arg1385z00_1699;

											{	/* Ast/glo_decl.scm 184 */
												obj_t BgL_arg1386z00_1700;

												BgL_arg1386z00_1700 =
													BGl_thezd2backendzd2zzbackend_backendz00();
												BgL_arg1385z00_1699 =
													(((BgL_backendz00_bglt) COBJECT(
															((BgL_backendz00_bglt) BgL_arg1386z00_1700)))->
													BgL_debugzd2supportzd2);
											}
											BgL_test1775z00_2377 =
												CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
													((obj_t) CNST_TABLE_REF(1)), BgL_arg1385z00_1699));
										}
										if (BgL_test1775z00_2377)
											{	/* Ast/glo_decl.scm 184 */
												BgL_test1773z00_2372 =
													(
													(long) CINT(BGl_za2bdbzd2debugza2zd2zzengine_paramz00)
													>= 3L);
											}
										else
											{	/* Ast/glo_decl.scm 184 */
												BgL_test1773z00_2372 = ((bool_t) 0);
											}
									}
								else
									{	/* Ast/glo_decl.scm 183 */
										BgL_test1773z00_2372 = ((bool_t) 0);
									}
								if (BgL_test1773z00_2372)
									{	/* Ast/glo_decl.scm 183 */
										BgL_importz00_1634 = ((obj_t) CNST_TABLE_REF(2));
									}
								else
									{	/* Ast/glo_decl.scm 183 */
										BgL_importz00_1634 = BgL_importz00_41;
									}
							}
							{	/* Ast/glo_decl.scm 183 */
								obj_t BgL_locz00_1635;

								BgL_locz00_1635 =
									BGl_findzd2locationzd2zztools_locationz00(BgL_srcez00_43);
								{	/* Ast/glo_decl.scm 188 */
									obj_t BgL_lociz00_1636;

									BgL_lociz00_1636 =
										BGl_findzd2locationzf2locz20zztools_locationz00
										(BgL_srciz00_44, BgL_locz00_1635);
									{	/* Ast/glo_decl.scm 189 */
										obj_t BgL_argszd2typezd2_1637;

										{	/* Ast/glo_decl.scm 190 */
											bool_t BgL_g1117z00_1665;

											BgL_g1117z00_1665 =
												(BgL_classz00_42 == ((obj_t) CNST_TABLE_REF(4)));
											{
												obj_t BgL_argsz00_1667;
												obj_t BgL_resz00_1668;
												bool_t BgL_sgfunzf3zf3_1669;

												BgL_argsz00_1667 = BgL_argsz00_1632;
												BgL_resz00_1668 = BNIL;
												BgL_sgfunzf3zf3_1669 = BgL_g1117z00_1665;
											BgL_zc3z04anonymousza31343ze3z87_1670:
												if (NULLP(BgL_argsz00_1667))
													{	/* Ast/glo_decl.scm 194 */
														if ((BgL_arityz00_1631 >= 0L))
															{	/* Ast/glo_decl.scm 195 */
																BgL_argszd2typezd2_1637 =
																	bgl_reverse_bang(BgL_resz00_1668);
															}
														else
															{	/* Ast/glo_decl.scm 197 */
																obj_t BgL_typez00_1673;

																BgL_typez00_1673 =
																	CAR(((obj_t) BgL_resz00_1668));
																{	/* Ast/glo_decl.scm 199 */
																	bool_t BgL_test1778z00_2401;

																	if (
																		(BgL_typez00_1673 ==
																			BGl_za2objza2z00zztype_cachez00))
																		{	/* Ast/glo_decl.scm 199 */
																			BgL_test1778z00_2401 = ((bool_t) 1);
																		}
																	else
																		{	/* Ast/glo_decl.scm 199 */
																			BgL_test1778z00_2401 =
																				(BgL_typez00_1673 ==
																				BGl_za2pairzd2nilza2zd2zztype_cachez00);
																		}
																	if (BgL_test1778z00_2401)
																		{	/* Ast/glo_decl.scm 199 */
																			BgL_argszd2typezd2_1637 =
																				bgl_reverse_bang(BgL_resz00_1668);
																		}
																	else
																		{	/* Ast/glo_decl.scm 199 */
																			if (
																				(BgL_typez00_1673 ==
																					BGl_za2_za2z00zztype_cachez00))
																				{	/* Ast/glo_decl.scm 203 */
																					obj_t BgL_arg1355z00_1675;

																					{	/* Ast/glo_decl.scm 203 */
																						obj_t BgL_arg1358z00_1676;

																						BgL_arg1358z00_1676 =
																							CDR(((obj_t) BgL_resz00_1668));
																						BgL_arg1355z00_1675 =
																							MAKE_YOUNG_PAIR
																							(BGl_za2objza2z00zztype_cachez00,
																							BgL_arg1358z00_1676);
																					}
																					BgL_argszd2typezd2_1637 =
																						bgl_reverse_bang
																						(BgL_arg1355z00_1675);
																				}
																			else
																				{	/* Ast/glo_decl.scm 202 */
																					BgL_argszd2typezd2_1637 =
																						BGl_userzd2errorzd2zztools_errorz00
																						(BgL_idz00_37,
																						BGl_string1719z00zzast_glozd2declzd2,
																						BGl_shapez00zztools_shapez00
																						(BgL_typez00_1673), BNIL);
																				}
																		}
																}
															}
													}
												else
													{	/* Ast/glo_decl.scm 208 */
														bool_t BgL_test1781z00_2414;

														{	/* Ast/glo_decl.scm 208 */
															obj_t BgL_arg1371z00_1690;

															BgL_arg1371z00_1690 =
																CAR(((obj_t) BgL_argsz00_1667));
															BgL_test1781z00_2414 =
																BGl_dssslzd2namedzd2constantzf3zf3zz__dssslz00
																(BgL_arg1371z00_1690);
														}
														if (BgL_test1781z00_2414)
															{	/* Ast/glo_decl.scm 209 */
																obj_t BgL_arg1364z00_1681;

																BgL_arg1364z00_1681 =
																	MAKE_YOUNG_PAIR
																	(BGl_za2objza2z00zztype_cachez00,
																	BgL_resz00_1668);
																BgL_argszd2typezd2_1637 =
																	bgl_reverse_bang(BgL_arg1364z00_1681);
															}
														else
															{	/* Ast/glo_decl.scm 211 */
																obj_t BgL_typez00_1682;

																{	/* Ast/glo_decl.scm 211 */
																	obj_t BgL_tz00_1685;

																	{	/* Ast/glo_decl.scm 212 */
																		obj_t BgL_arg1370z00_1689;

																		BgL_arg1370z00_1689 =
																			CAR(((obj_t) BgL_argsz00_1667));
																		BgL_tz00_1685 =
																			((obj_t)
																			BGl_typezd2ofzd2idzf2importzd2locationz20zzast_identz00
																			(BgL_arg1370z00_1689, BgL_locz00_1635,
																				BgL_lociz00_1636));
																	}
																	{	/* Ast/glo_decl.scm 213 */
																		bool_t BgL_test1783z00_2424;

																		if (
																			(BgL_tz00_1685 ==
																				BGl_za2_za2z00zztype_cachez00))
																			{	/* Ast/glo_decl.scm 213 */
																				if (BgL_exportzf3zf3_1633)
																					{	/* Ast/glo_decl.scm 214 */
																						BgL_test1783z00_2424 =
																							BgL_exportzf3zf3_1633;
																					}
																				else
																					{	/* Ast/glo_decl.scm 214 */
																						BgL_test1783z00_2424 =
																							BgL_sgfunzf3zf3_1669;
																					}
																			}
																		else
																			{	/* Ast/glo_decl.scm 213 */
																				BgL_test1783z00_2424 = ((bool_t) 0);
																			}
																		if (BgL_test1783z00_2424)
																			{	/* Ast/glo_decl.scm 213 */
																				BgL_typez00_1682 =
																					BGl_za2objza2z00zztype_cachez00;
																			}
																		else
																			{	/* Ast/glo_decl.scm 213 */
																				BgL_typez00_1682 = BgL_tz00_1685;
																			}
																	}
																}
																{	/* Ast/glo_decl.scm 217 */
																	obj_t BgL_arg1365z00_1683;
																	obj_t BgL_arg1367z00_1684;

																	BgL_arg1365z00_1683 =
																		CDR(((obj_t) BgL_argsz00_1667));
																	BgL_arg1367z00_1684 =
																		MAKE_YOUNG_PAIR(BgL_typez00_1682,
																		BgL_resz00_1668);
																	{
																		bool_t BgL_sgfunzf3zf3_2433;
																		obj_t BgL_resz00_2432;
																		obj_t BgL_argsz00_2431;

																		BgL_argsz00_2431 = BgL_arg1365z00_1683;
																		BgL_resz00_2432 = BgL_arg1367z00_1684;
																		BgL_sgfunzf3zf3_2433 = ((bool_t) 0);
																		BgL_sgfunzf3zf3_1669 = BgL_sgfunzf3zf3_2433;
																		BgL_resz00_1668 = BgL_resz00_2432;
																		BgL_argsz00_1667 = BgL_argsz00_2431;
																		goto BgL_zc3z04anonymousza31343ze3z87_1670;
																	}
																}
															}
													}
											}
										}
										{	/* Ast/glo_decl.scm 190 */
											obj_t BgL_argszd2namezd2_1638;

											{
												obj_t BgL_argsz00_1651;
												obj_t BgL_resz00_1652;

												BgL_argsz00_1651 = BgL_argsz00_1632;
												BgL_resz00_1652 = BNIL;
											BgL_zc3z04anonymousza31332ze3z87_1653:
												if (NULLP(BgL_argsz00_1651))
													{	/* Ast/glo_decl.scm 223 */
														BgL_argszd2namezd2_1638 =
															bgl_reverse_bang(BgL_resz00_1652);
													}
												else
													{	/* Ast/glo_decl.scm 225 */
														bool_t BgL_test1788z00_2437;

														{	/* Ast/glo_decl.scm 225 */
															obj_t BgL_arg1342z00_1662;

															BgL_arg1342z00_1662 =
																CAR(((obj_t) BgL_argsz00_1651));
															BgL_test1788z00_2437 =
																BGl_dssslzd2namedzd2constantzf3zf3zz__dssslz00
																(BgL_arg1342z00_1662);
														}
														if (BgL_test1788z00_2437)
															{	/* Ast/glo_decl.scm 226 */
																obj_t BgL_arg1338z00_1657;

																BgL_arg1338z00_1657 =
																	CDR(((obj_t) BgL_argsz00_1651));
																{
																	obj_t BgL_argsz00_2443;

																	BgL_argsz00_2443 = BgL_arg1338z00_1657;
																	BgL_argsz00_1651 = BgL_argsz00_2443;
																	goto BgL_zc3z04anonymousza31332ze3z87_1653;
																}
															}
														else
															{	/* Ast/glo_decl.scm 228 */
																obj_t BgL_az00_1658;

																{	/* Ast/glo_decl.scm 228 */
																	obj_t BgL_arg1341z00_1661;

																	BgL_arg1341z00_1661 =
																		CAR(((obj_t) BgL_argsz00_1651));
																	BgL_az00_1658 =
																		BGl_fastzd2idzd2ofzd2idzd2zzast_identz00
																		(BgL_arg1341z00_1661, BgL_locz00_1635);
																}
																{	/* Ast/glo_decl.scm 229 */
																	obj_t BgL_arg1339z00_1659;
																	obj_t BgL_arg1340z00_1660;

																	BgL_arg1339z00_1659 =
																		CDR(((obj_t) BgL_argsz00_1651));
																	BgL_arg1340z00_1660 =
																		MAKE_YOUNG_PAIR(BgL_az00_1658,
																		BgL_resz00_1652);
																	{
																		obj_t BgL_resz00_2451;
																		obj_t BgL_argsz00_2450;

																		BgL_argsz00_2450 = BgL_arg1339z00_1659;
																		BgL_resz00_2451 = BgL_arg1340z00_1660;
																		BgL_resz00_1652 = BgL_resz00_2451;
																		BgL_argsz00_1651 = BgL_argsz00_2450;
																		goto BgL_zc3z04anonymousza31332ze3z87_1653;
																	}
																}
															}
													}
											}
											{	/* Ast/glo_decl.scm 220 */
												obj_t BgL_idzd2typezd2_1639;

												BgL_idzd2typezd2_1639 =
													BGl_parsezd2idzf2importzd2locationzf2zzast_identz00
													(BgL_idz00_37, BgL_locz00_1635, BgL_lociz00_1636);
												{	/* Ast/glo_decl.scm 230 */
													obj_t BgL_typezd2reszd2_1640;

													BgL_typezd2reszd2_1640 = CDR(BgL_idzd2typezd2_1639);
													{	/* Ast/glo_decl.scm 231 */
														obj_t BgL_idz00_1641;

														BgL_idz00_1641 = CAR(BgL_idzd2typezd2_1639);
														{	/* Ast/glo_decl.scm 232 */
															BgL_sfunz00_bglt BgL_sfunz00_1642;

															{	/* Ast/glo_decl.scm 233 */
																BgL_sfunz00_bglt BgL_new1121z00_1646;

																{	/* Ast/glo_decl.scm 234 */
																	BgL_sfunz00_bglt BgL_new1120z00_1647;

																	BgL_new1120z00_1647 =
																		((BgL_sfunz00_bglt)
																		BOBJECT(GC_MALLOC(sizeof(struct
																					BgL_sfunz00_bgl))));
																	{	/* Ast/glo_decl.scm 234 */
																		long BgL_arg1331z00_1648;

																		BgL_arg1331z00_1648 =
																			BGL_CLASS_NUM(BGl_sfunz00zzast_varz00);
																		BGL_OBJECT_CLASS_NUM_SET(
																			((BgL_objectz00_bglt)
																				BgL_new1120z00_1647),
																			BgL_arg1331z00_1648);
																	}
																	{	/* Ast/glo_decl.scm 234 */
																		BgL_objectz00_bglt BgL_tmpz00_2459;

																		BgL_tmpz00_2459 =
																			((BgL_objectz00_bglt)
																			BgL_new1120z00_1647);
																		BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2459,
																			BFALSE);
																	}
																	((BgL_objectz00_bglt) BgL_new1120z00_1647);
																	BgL_new1121z00_1646 = BgL_new1120z00_1647;
																}
																((((BgL_funz00_bglt) COBJECT(
																				((BgL_funz00_bglt)
																					BgL_new1121z00_1646)))->
																		BgL_arityz00) =
																	((long) BgL_arityz00_1631), BUNSPEC);
																((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
																					BgL_new1121z00_1646)))->
																		BgL_sidezd2effectzd2) =
																	((obj_t) BUNSPEC), BUNSPEC);
																((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
																					BgL_new1121z00_1646)))->
																		BgL_predicatezd2ofzd2) =
																	((obj_t) BFALSE), BUNSPEC);
																((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
																					BgL_new1121z00_1646)))->
																		BgL_stackzd2allocatorzd2) =
																	((obj_t) BFALSE), BUNSPEC);
																((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
																					BgL_new1121z00_1646)))->
																		BgL_topzf3zf3) =
																	((bool_t) ((bool_t) 1)), BUNSPEC);
																((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
																					BgL_new1121z00_1646)))->
																		BgL_thezd2closurezd2) =
																	((obj_t) BUNSPEC), BUNSPEC);
																((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
																					BgL_new1121z00_1646)))->
																		BgL_effectz00) =
																	((obj_t) BUNSPEC), BUNSPEC);
																((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
																					BgL_new1121z00_1646)))->
																		BgL_failsafez00) =
																	((obj_t) BUNSPEC), BUNSPEC);
																((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
																					BgL_new1121z00_1646)))->
																		BgL_argszd2noescapezd2) =
																	((obj_t) BNIL), BUNSPEC);
																((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
																					BgL_new1121z00_1646)))->
																		BgL_argszd2retescapezd2) =
																	((obj_t) BNIL), BUNSPEC);
																((((BgL_sfunz00_bglt)
																			COBJECT(BgL_new1121z00_1646))->
																		BgL_propertyz00) = ((obj_t) BNIL), BUNSPEC);
																((((BgL_sfunz00_bglt)
																			COBJECT(BgL_new1121z00_1646))->
																		BgL_argsz00) =
																	((obj_t) BgL_argszd2typezd2_1637), BUNSPEC);
																((((BgL_sfunz00_bglt)
																			COBJECT(BgL_new1121z00_1646))->
																		BgL_argszd2namezd2) =
																	((obj_t) BgL_argszd2namezd2_1638), BUNSPEC);
																((((BgL_sfunz00_bglt)
																			COBJECT(BgL_new1121z00_1646))->
																		BgL_bodyz00) = ((obj_t) BUNSPEC), BUNSPEC);
																((((BgL_sfunz00_bglt)
																			COBJECT(BgL_new1121z00_1646))->
																		BgL_classz00) =
																	((obj_t) BgL_classz00_42), BUNSPEC);
																((((BgL_sfunz00_bglt)
																			COBJECT(BgL_new1121z00_1646))->
																		BgL_dssslzd2keywordszd2) =
																	((obj_t)
																		BGl_dssslzd2formalszd2zztools_dssslz00
																		(BgL_argsz00_1632)), BUNSPEC);
																((((BgL_sfunz00_bglt)
																			COBJECT(BgL_new1121z00_1646))->
																		BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
																((((BgL_sfunz00_bglt)
																			COBJECT(BgL_new1121z00_1646))->
																		BgL_optionalsz00) =
																	((obj_t) BNIL), BUNSPEC);
																((((BgL_sfunz00_bglt)
																			COBJECT(BgL_new1121z00_1646))->
																		BgL_keysz00) = ((obj_t) BNIL), BUNSPEC);
																((((BgL_sfunz00_bglt)
																			COBJECT(BgL_new1121z00_1646))->
																		BgL_thezd2closurezd2globalz00) =
																	((obj_t) BUNSPEC), BUNSPEC);
																((((BgL_sfunz00_bglt)
																			COBJECT(BgL_new1121z00_1646))->
																		BgL_strengthz00) =
																	((obj_t) ((obj_t) CNST_TABLE_REF(3))),
																	BUNSPEC);
																((((BgL_sfunz00_bglt)
																			COBJECT(BgL_new1121z00_1646))->
																		BgL_stackablez00) =
																	((obj_t) BUNSPEC), BUNSPEC);
																BgL_sfunz00_1642 = BgL_new1121z00_1646;
															}
															{	/* Ast/glo_decl.scm 233 */
																obj_t BgL_oldz00_1643;

																BgL_oldz00_1643 =
																	BGl_findzd2globalzd2zzast_envz00
																	(BgL_idz00_1641, BNIL);
																{	/* Ast/glo_decl.scm 239 */
																	BgL_globalz00_bglt BgL_globalz00_1644;

																	BgL_globalz00_1644 =
																		BGl_bindzd2globalz12zc0zzast_envz00
																		(BgL_idz00_1641, BgL_aliasz00_38,
																		BgL_modulez00_40,
																		((BgL_valuez00_bglt) BgL_sfunz00_1642),
																		BgL_importz00_1634, BgL_srcez00_43);
																	{	/* Ast/glo_decl.scm 240 */

																		if (
																			(BgL_typezd2reszd2_1640 ==
																				BGl_za2_za2z00zztype_cachez00))
																			{	/* Ast/glo_decl.scm 248 */
																				if (BgL_exportzf3zf3_1633)
																					{	/* Ast/glo_decl.scm 251 */
																						BgL_typez00_bglt BgL_vz00_2012;

																						BgL_vz00_2012 =
																							((BgL_typez00_bglt)
																							BGl_za2objza2z00zztype_cachez00);
																						((((BgL_variablez00_bglt)
																									COBJECT((
																											(BgL_variablez00_bglt)
																											BgL_globalz00_1644)))->
																								BgL_typez00) =
																							((BgL_typez00_bglt)
																								BgL_vz00_2012), BUNSPEC);
																					}
																				else
																					{	/* Ast/glo_decl.scm 250 */
																						((((BgL_variablez00_bglt) COBJECT(
																										((BgL_variablez00_bglt)
																											BgL_globalz00_1644)))->
																								BgL_typez00) =
																							((BgL_typez00_bglt) (
																									(BgL_typez00_bglt)
																									BgL_typezd2reszd2_1640)),
																							BUNSPEC);
																					}
																			}
																		else
																			{	/* Ast/glo_decl.scm 248 */
																				((((BgL_variablez00_bglt) COBJECT(
																								((BgL_variablez00_bglt)
																									BgL_globalz00_1644)))->
																						BgL_typez00) =
																					((BgL_typez00_bglt) (
																							(BgL_typez00_bglt)
																							BgL_typezd2reszd2_1640)),
																					BUNSPEC);
																			}
																		return BgL_globalz00_1644;
																	}
																}
															}
														}
													}
												}
											}
										}
									}
								}
							}
						}
					}
				}
			}
		}

	}



/* declare-global-svar! */
	BGL_EXPORTED_DEF BgL_globalz00_bglt
		BGl_declarezd2globalzd2svarz12z12zzast_glozd2declzd2(obj_t BgL_idz00_45,
		obj_t BgL_aliasz00_46, obj_t BgL_modulez00_47, obj_t BgL_importz00_48,
		obj_t BgL_srcez00_49, obj_t BgL_srciz00_50)
	{
		{	/* Ast/glo_decl.scm 260 */
			{	/* Ast/glo_decl.scm 261 */
				obj_t BgL_locz00_1705;

				BgL_locz00_1705 =
					BGl_findzd2locationzd2zztools_locationz00(BgL_srcez00_49);
				{	/* Ast/glo_decl.scm 261 */
					obj_t BgL_lociz00_1706;

					BgL_lociz00_1706 =
						BGl_findzd2locationzf2locz20zztools_locationz00(BgL_srciz00_50,
						BgL_locz00_1705);
					{	/* Ast/glo_decl.scm 262 */
						obj_t BgL_idzd2typezd2_1707;

						BgL_idzd2typezd2_1707 =
							BGl_parsezd2idzf2importzd2locationzf2zzast_identz00(BgL_idz00_45,
							BgL_locz00_1705, BgL_lociz00_1706);
						{	/* Ast/glo_decl.scm 263 */
							obj_t BgL_typez00_1708;

							{	/* Ast/glo_decl.scm 264 */
								obj_t BgL_typez00_1726;

								BgL_typez00_1726 = CDR(BgL_idzd2typezd2_1707);
								if (
									((((BgL_typez00_bglt) COBJECT(
													((BgL_typez00_bglt) BgL_typez00_1726)))->
											BgL_classz00) == ((obj_t) CNST_TABLE_REF(5))))
									{	/* Ast/glo_decl.scm 273 */
										bool_t BgL_test1793z00_2523;

										if ((BgL_typez00_1726 == BGl_za2_za2z00zztype_cachez00))
											{	/* Ast/glo_decl.scm 274 */
												obj_t BgL__ortest_1122z00_1734;

												BgL__ortest_1122z00_1734 =
													BGl_memqz00zz__r4_pairs_and_lists_6_3z00
													(BgL_importz00_48, ((obj_t) CNST_TABLE_REF(6)));
												if (CBOOL(BgL__ortest_1122z00_1734))
													{	/* Ast/glo_decl.scm 274 */
														BgL_test1793z00_2523 =
															CBOOL(BgL__ortest_1122z00_1734);
													}
												else
													{	/* Ast/glo_decl.scm 275 */
														obj_t BgL__andtest_1123z00_1735;

														{	/* Ast/glo_decl.scm 276 */
															obj_t BgL_arg1487z00_1736;

															{	/* Ast/glo_decl.scm 276 */
																obj_t BgL_arg1489z00_1737;

																BgL_arg1489z00_1737 =
																	BGl_thezd2backendzd2zzbackend_backendz00();
																BgL_arg1487z00_1736 =
																	(((BgL_backendz00_bglt) COBJECT(
																			((BgL_backendz00_bglt)
																				BgL_arg1489z00_1737)))->
																	BgL_debugzd2supportzd2);
															}
															BgL__andtest_1123z00_1735 =
																BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
																((obj_t)
																	CNST_TABLE_REF(1)), BgL_arg1487z00_1736);
														}
														if (CBOOL(BgL__andtest_1123z00_1735))
															{	/* Ast/glo_decl.scm 275 */
																BgL_test1793z00_2523 =
																	(
																	(long)
																	CINT
																	(BGl_za2bdbzd2debugza2zd2zzengine_paramz00) >
																	0L);
															}
														else
															{	/* Ast/glo_decl.scm 275 */
																BgL_test1793z00_2523 = ((bool_t) 0);
															}
													}
											}
										else
											{	/* Ast/glo_decl.scm 273 */
												BgL_test1793z00_2523 = ((bool_t) 0);
											}
										if (BgL_test1793z00_2523)
											{	/* Ast/glo_decl.scm 273 */
												BgL_typez00_1708 = BGl_za2objza2z00zztype_cachez00;
											}
										else
											{	/* Ast/glo_decl.scm 273 */
												BgL_typez00_1708 = BgL_typez00_1726;
											}
									}
								else
									{	/* Ast/glo_decl.scm 271 */
										obj_t BgL_arg1490z00_1738;

										BgL_arg1490z00_1738 =
											BGl_shapez00zztools_shapez00(BgL_typez00_1726);
										{	/* Ast/glo_decl.scm 269 */
											obj_t BgL_list1491z00_1739;

											BgL_list1491z00_1739 =
												MAKE_YOUNG_PAIR(BGl_za2_za2z00zztype_cachez00, BNIL);
											BgL_typez00_1708 =
												BGl_userzd2errorzd2zztools_errorz00(BgL_idz00_45,
												BGl_string1720z00zzast_glozd2declzd2,
												BgL_arg1490z00_1738, BgL_list1491z00_1739);
										}
									}
							}
							{	/* Ast/glo_decl.scm 264 */
								obj_t BgL_importz00_1709;

								{	/* Ast/glo_decl.scm 281 */
									bool_t BgL_test1798z00_2545;

									if ((BgL_importz00_48 == ((obj_t) CNST_TABLE_REF(0))))
										{	/* Ast/glo_decl.scm 282 */
											bool_t BgL_test1801z00_2550;

											{	/* Ast/glo_decl.scm 282 */
												obj_t BgL_arg1446z00_1724;

												{	/* Ast/glo_decl.scm 282 */
													obj_t BgL_arg1457z00_1725;

													BgL_arg1457z00_1725 =
														BGl_thezd2backendzd2zzbackend_backendz00();
													BgL_arg1446z00_1724 =
														(((BgL_backendz00_bglt) COBJECT(
																((BgL_backendz00_bglt) BgL_arg1457z00_1725)))->
														BgL_debugzd2supportzd2);
												}
												BgL_test1801z00_2550 =
													CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
														((obj_t) CNST_TABLE_REF(1)), BgL_arg1446z00_1724));
											}
											if (BgL_test1801z00_2550)
												{	/* Ast/glo_decl.scm 282 */
													BgL_test1798z00_2545 =
														(
														(long)
														CINT(BGl_za2bdbzd2debugza2zd2zzengine_paramz00) >=
														3L);
												}
											else
												{	/* Ast/glo_decl.scm 282 */
													BgL_test1798z00_2545 = ((bool_t) 0);
												}
										}
									else
										{	/* Ast/glo_decl.scm 281 */
											BgL_test1798z00_2545 = ((bool_t) 0);
										}
									if (BgL_test1798z00_2545)
										{	/* Ast/glo_decl.scm 281 */
											BgL_importz00_1709 = ((obj_t) CNST_TABLE_REF(2));
										}
									else
										{	/* Ast/glo_decl.scm 281 */
											BgL_importz00_1709 = BgL_importz00_48;
										}
								}
								{	/* Ast/glo_decl.scm 281 */
									obj_t BgL_idz00_1710;

									BgL_idz00_1710 = CAR(BgL_idzd2typezd2_1707);
									{	/* Ast/glo_decl.scm 286 */
										BgL_svarz00_bglt BgL_svarz00_1711;

										{	/* Ast/glo_decl.scm 287 */
											BgL_svarz00_bglt BgL_new1125z00_1714;

											{	/* Ast/glo_decl.scm 287 */
												BgL_svarz00_bglt BgL_new1124z00_1715;

												BgL_new1124z00_1715 =
													((BgL_svarz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
																BgL_svarz00_bgl))));
												{	/* Ast/glo_decl.scm 287 */
													long BgL_arg1400z00_1716;

													BgL_arg1400z00_1716 =
														BGL_CLASS_NUM(BGl_svarz00zzast_varz00);
													BGL_OBJECT_CLASS_NUM_SET(
														((BgL_objectz00_bglt) BgL_new1124z00_1715),
														BgL_arg1400z00_1716);
												}
												{	/* Ast/glo_decl.scm 287 */
													BgL_objectz00_bglt BgL_tmpz00_2567;

													BgL_tmpz00_2567 =
														((BgL_objectz00_bglt) BgL_new1124z00_1715);
													BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2567, BFALSE);
												}
												((BgL_objectz00_bglt) BgL_new1124z00_1715);
												BgL_new1125z00_1714 = BgL_new1124z00_1715;
											}
											((((BgL_svarz00_bglt) COBJECT(BgL_new1125z00_1714))->
													BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
											BgL_svarz00_1711 = BgL_new1125z00_1714;
										}
										{	/* Ast/glo_decl.scm 287 */
											BgL_globalz00_bglt BgL_globalz00_1712;

											BgL_globalz00_1712 =
												BGl_bindzd2globalz12zc0zzast_envz00(BgL_idz00_1710,
												BgL_aliasz00_46, BgL_modulez00_47,
												((BgL_valuez00_bglt) BgL_svarz00_1711),
												BgL_importz00_1709, BgL_srcez00_49);
											{	/* Ast/glo_decl.scm 288 */

												((((BgL_variablez00_bglt) COBJECT(
																((BgL_variablez00_bglt) BgL_globalz00_1712)))->
														BgL_typez00) =
													((BgL_typez00_bglt) ((BgL_typez00_bglt)
															BgL_typez00_1708)), BUNSPEC);
												{	/* Ast/glo_decl.scm 292 */
													obj_t BgL_arg1392z00_1713;

													if (
														(BgL_importz00_1709 == ((obj_t) CNST_TABLE_REF(0))))
														{	/* Ast/glo_decl.scm 292 */
															BgL_arg1392z00_1713 = ((obj_t) CNST_TABLE_REF(7));
														}
													else
														{	/* Ast/glo_decl.scm 292 */
															BgL_arg1392z00_1713 = ((obj_t) CNST_TABLE_REF(8));
														}
													((((BgL_variablez00_bglt) COBJECT(
																	((BgL_variablez00_bglt)
																		BgL_globalz00_1712)))->BgL_accessz00) =
														((obj_t) BgL_arg1392z00_1713), BUNSPEC);
												}
												return BgL_globalz00_1712;
											}
										}
									}
								}
							}
						}
					}
				}
			}
		}

	}



/* &declare-global-svar! */
	BgL_globalz00_bglt
		BGl_z62declarezd2globalzd2svarz12z70zzast_glozd2declzd2(obj_t
		BgL_envz00_2072, obj_t BgL_idz00_2073, obj_t BgL_aliasz00_2074,
		obj_t BgL_modulez00_2075, obj_t BgL_importz00_2076, obj_t BgL_srcez00_2077,
		obj_t BgL_srciz00_2078)
	{
		{	/* Ast/glo_decl.scm 260 */
			return
				BGl_declarezd2globalzd2svarz12z12zzast_glozd2declzd2(BgL_idz00_2073,
				BgL_aliasz00_2074, BgL_modulez00_2075, BgL_importz00_2076,
				BgL_srcez00_2077, BgL_srciz00_2078);
		}

	}



/* declare-global-scnst! */
	BGL_EXPORTED_DEF BgL_globalz00_bglt
		BGl_declarezd2globalzd2scnstz12z12zzast_glozd2declzd2(obj_t BgL_idz00_51,
		obj_t BgL_aliasz00_52, obj_t BgL_modulez00_53, obj_t BgL_importz00_54,
		obj_t BgL_nodez00_55, obj_t BgL_classz00_56, obj_t BgL_locz00_57)
	{
		{	/* Ast/glo_decl.scm 299 */
			{	/* Ast/glo_decl.scm 300 */
				obj_t BgL_idzd2typezd2_1741;

				BgL_idzd2typezd2_1741 =
					BGl_parsezd2idzd2zzast_identz00(BgL_idz00_51, BgL_locz00_57);
				{	/* Ast/glo_decl.scm 300 */
					obj_t BgL_typez00_1742;

					{	/* Ast/glo_decl.scm 301 */
						obj_t BgL_typez00_1749;

						BgL_typez00_1749 = CDR(BgL_idzd2typezd2_1741);
						if ((BgL_typez00_1749 == BGl_za2_za2z00zztype_cachez00))
							{	/* Ast/glo_decl.scm 305 */
								BgL_typez00_1742 =
									BGl_internalzd2errorzd2zztools_errorz00(BgL_idz00_51,
									BGl_string1720z00zzast_glozd2declzd2,
									BGl_shapez00zztools_shapez00(BgL_typez00_1749));
							}
						else
							{	/* Ast/glo_decl.scm 305 */
								BgL_typez00_1742 = BgL_typez00_1749;
							}
					}
					{	/* Ast/glo_decl.scm 301 */
						obj_t BgL_idz00_1743;

						BgL_idz00_1743 = CAR(BgL_idzd2typezd2_1741);
						{	/* Ast/glo_decl.scm 311 */
							BgL_scnstz00_bglt BgL_scnstz00_1744;

							{	/* Ast/glo_decl.scm 312 */
								BgL_scnstz00_bglt BgL_new1127z00_1746;

								{	/* Ast/glo_decl.scm 314 */
									BgL_scnstz00_bglt BgL_new1126z00_1747;

									BgL_new1126z00_1747 =
										((BgL_scnstz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
													BgL_scnstz00_bgl))));
									{	/* Ast/glo_decl.scm 314 */
										long BgL_arg1511z00_1748;

										BgL_arg1511z00_1748 =
											BGL_CLASS_NUM(BGl_scnstz00zzast_varz00);
										BGL_OBJECT_CLASS_NUM_SET(
											((BgL_objectz00_bglt) BgL_new1126z00_1747),
											BgL_arg1511z00_1748);
									}
									{	/* Ast/glo_decl.scm 314 */
										BgL_objectz00_bglt BgL_tmpz00_2599;

										BgL_tmpz00_2599 =
											((BgL_objectz00_bglt) BgL_new1126z00_1747);
										BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2599, BFALSE);
									}
									((BgL_objectz00_bglt) BgL_new1126z00_1747);
									BgL_new1127z00_1746 = BgL_new1126z00_1747;
								}
								((((BgL_scnstz00_bglt) COBJECT(BgL_new1127z00_1746))->
										BgL_nodez00) = ((obj_t) BgL_nodez00_55), BUNSPEC);
								((((BgL_scnstz00_bglt) COBJECT(BgL_new1127z00_1746))->
										BgL_classz00) = ((obj_t) BgL_classz00_56), BUNSPEC);
								((((BgL_scnstz00_bglt) COBJECT(BgL_new1127z00_1746))->
										BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
								BgL_scnstz00_1744 = BgL_new1127z00_1746;
							}
							{	/* Ast/glo_decl.scm 312 */
								BgL_globalz00_bglt BgL_globalz00_1745;

								BgL_globalz00_1745 =
									BGl_bindzd2globalz12zc0zzast_envz00(BgL_idz00_1743,
									BgL_aliasz00_52, BgL_modulez00_53,
									((BgL_valuez00_bglt) BgL_scnstz00_1744), BgL_importz00_54,
									((obj_t) CNST_TABLE_REF(9)));
								{	/* Ast/glo_decl.scm 315 */

									((((BgL_variablez00_bglt) COBJECT(
													((BgL_variablez00_bglt) BgL_globalz00_1745)))->
											BgL_typez00) =
										((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_typez00_1742)),
										BUNSPEC);
									{	/* Ast/glo_decl.scm 319 */
										obj_t BgL_vz00_2040;

										BgL_vz00_2040 = ((obj_t) CNST_TABLE_REF(7));
										((((BgL_variablez00_bglt) COBJECT(
														((BgL_variablez00_bglt) BgL_globalz00_1745)))->
												BgL_accessz00) = ((obj_t) BgL_vz00_2040), BUNSPEC);
									}
									return BgL_globalz00_1745;
								}
							}
						}
					}
				}
			}
		}

	}



/* &declare-global-scnst! */
	BgL_globalz00_bglt
		BGl_z62declarezd2globalzd2scnstz12z70zzast_glozd2declzd2(obj_t
		BgL_envz00_2079, obj_t BgL_idz00_2080, obj_t BgL_aliasz00_2081,
		obj_t BgL_modulez00_2082, obj_t BgL_importz00_2083, obj_t BgL_nodez00_2084,
		obj_t BgL_classz00_2085, obj_t BgL_locz00_2086)
	{
		{	/* Ast/glo_decl.scm 299 */
			return
				BGl_declarezd2globalzd2scnstz12z12zzast_glozd2declzd2(BgL_idz00_2080,
				BgL_aliasz00_2081, BgL_modulez00_2082, BgL_importz00_2083,
				BgL_nodez00_2084, BgL_classz00_2085, BgL_locz00_2086);
		}

	}



/* declare-global-cfun! */
	BGL_EXPORTED_DEF BgL_globalz00_bglt
		BGl_declarezd2globalzd2cfunz12z12zzast_glozd2declzd2(obj_t BgL_idz00_58,
		obj_t BgL_aliasz00_59, obj_t BgL_modulez00_60, obj_t BgL_namez00_61,
		obj_t BgL_treszd2idzd2_62, obj_t BgL_targszd2idzd2_63,
		bool_t BgL_infixzf3zf3_64, bool_t BgL_macrozf3zf3_65, obj_t BgL_srcez00_66,
		obj_t BgL_srciz00_67)
	{
		{	/* Ast/glo_decl.scm 326 */
			{	/* Ast/glo_decl.scm 327 */
				long BgL_arityz00_1751;

				BgL_arityz00_1751 =
					BGl_globalzd2arityzd2zztools_argsz00(BgL_targszd2idzd2_63);
				{	/* Ast/glo_decl.scm 327 */
					obj_t BgL_locz00_1752;

					BgL_locz00_1752 =
						BGl_findzd2locationzd2zztools_locationz00(BgL_srcez00_66);
					{	/* Ast/glo_decl.scm 328 */
						obj_t BgL_lociz00_1753;

						BgL_lociz00_1753 =
							BGl_findzd2locationzf2locz20zztools_locationz00(BgL_srciz00_67,
							BgL_locz00_1752);
						{	/* Ast/glo_decl.scm 329 */
							BgL_typez00_bglt BgL_typezd2reszd2_1754;

							BgL_typezd2reszd2_1754 =
								BGl_usezd2foreignzd2typezf2importzd2locz12z32zztype_envz00
								(BgL_treszd2idzd2_62, BgL_locz00_1752, BgL_lociz00_1753);
							{	/* Ast/glo_decl.scm 330 */
								obj_t BgL_typezd2argszd2_1755;

								{	/* Ast/glo_decl.scm 331 */
									obj_t BgL_l1249z00_1761;

									BgL_l1249z00_1761 =
										BGl_argsza2zd2ze3argszd2listz41zztools_argsz00
										(BgL_targszd2idzd2_63);
									if (NULLP(BgL_l1249z00_1761))
										{	/* Ast/glo_decl.scm 331 */
											BgL_typezd2argszd2_1755 = BNIL;
										}
									else
										{	/* Ast/glo_decl.scm 331 */
											obj_t BgL_head1251z00_1763;

											BgL_head1251z00_1763 = MAKE_YOUNG_PAIR(BNIL, BNIL);
											{
												obj_t BgL_l1249z00_1765;
												obj_t BgL_tail1252z00_1766;

												BgL_l1249z00_1765 = BgL_l1249z00_1761;
												BgL_tail1252z00_1766 = BgL_head1251z00_1763;
											BgL_zc3z04anonymousza31515ze3z87_1767:
												if (NULLP(BgL_l1249z00_1765))
													{	/* Ast/glo_decl.scm 331 */
														BgL_typezd2argszd2_1755 = CDR(BgL_head1251z00_1763);
													}
												else
													{	/* Ast/glo_decl.scm 331 */
														obj_t BgL_newtail1253z00_1769;

														{	/* Ast/glo_decl.scm 331 */
															BgL_typez00_bglt BgL_arg1532z00_1771;

															{	/* Ast/glo_decl.scm 331 */
																obj_t BgL_tz00_1772;

																BgL_tz00_1772 =
																	CAR(((obj_t) BgL_l1249z00_1765));
																BgL_arg1532z00_1771 =
																	BGl_usezd2foreignzd2typezf2importzd2locz12z32zztype_envz00
																	(BgL_tz00_1772, BgL_locz00_1752,
																	BgL_lociz00_1753);
															}
															BgL_newtail1253z00_1769 =
																MAKE_YOUNG_PAIR(
																((obj_t) BgL_arg1532z00_1771), BNIL);
														}
														SET_CDR(BgL_tail1252z00_1766,
															BgL_newtail1253z00_1769);
														{	/* Ast/glo_decl.scm 331 */
															obj_t BgL_arg1530z00_1770;

															BgL_arg1530z00_1770 =
																CDR(((obj_t) BgL_l1249z00_1765));
															{
																obj_t BgL_tail1252z00_2638;
																obj_t BgL_l1249z00_2637;

																BgL_l1249z00_2637 = BgL_arg1530z00_1770;
																BgL_tail1252z00_2638 = BgL_newtail1253z00_1769;
																BgL_tail1252z00_1766 = BgL_tail1252z00_2638;
																BgL_l1249z00_1765 = BgL_l1249z00_2637;
																goto BgL_zc3z04anonymousza31515ze3z87_1767;
															}
														}
													}
											}
										}
								}
								{	/* Ast/glo_decl.scm 331 */
									BgL_cfunz00_bglt BgL_cfunz00_1756;

									{	/* Ast/glo_decl.scm 334 */
										BgL_cfunz00_bglt BgL_new1129z00_1758;

										{	/* Ast/glo_decl.scm 334 */
											BgL_cfunz00_bglt BgL_new1128z00_1759;

											BgL_new1128z00_1759 =
												((BgL_cfunz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
															BgL_cfunz00_bgl))));
											{	/* Ast/glo_decl.scm 334 */
												long BgL_arg1513z00_1760;

												BgL_arg1513z00_1760 =
													BGL_CLASS_NUM(BGl_cfunz00zzast_varz00);
												BGL_OBJECT_CLASS_NUM_SET(
													((BgL_objectz00_bglt) BgL_new1128z00_1759),
													BgL_arg1513z00_1760);
											}
											{	/* Ast/glo_decl.scm 334 */
												BgL_objectz00_bglt BgL_tmpz00_2643;

												BgL_tmpz00_2643 =
													((BgL_objectz00_bglt) BgL_new1128z00_1759);
												BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2643, BFALSE);
											}
											((BgL_objectz00_bglt) BgL_new1128z00_1759);
											BgL_new1129z00_1758 = BgL_new1128z00_1759;
										}
										((((BgL_funz00_bglt) COBJECT(
														((BgL_funz00_bglt) BgL_new1129z00_1758)))->
												BgL_arityz00) = ((long) BgL_arityz00_1751), BUNSPEC);
										((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
															BgL_new1129z00_1758)))->BgL_sidezd2effectzd2) =
											((obj_t) BUNSPEC), BUNSPEC);
										((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
															BgL_new1129z00_1758)))->BgL_predicatezd2ofzd2) =
											((obj_t) BFALSE), BUNSPEC);
										((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
															BgL_new1129z00_1758)))->
												BgL_stackzd2allocatorzd2) = ((obj_t) BFALSE), BUNSPEC);
										((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
															BgL_new1129z00_1758)))->BgL_topzf3zf3) =
											((bool_t) ((bool_t) 1)), BUNSPEC);
										((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
															BgL_new1129z00_1758)))->BgL_thezd2closurezd2) =
											((obj_t) BUNSPEC), BUNSPEC);
										((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
															BgL_new1129z00_1758)))->BgL_effectz00) =
											((obj_t) BUNSPEC), BUNSPEC);
										((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
															BgL_new1129z00_1758)))->BgL_failsafez00) =
											((obj_t) BUNSPEC), BUNSPEC);
										((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
															BgL_new1129z00_1758)))->BgL_argszd2noescapezd2) =
											((obj_t) BNIL), BUNSPEC);
										((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
															BgL_new1129z00_1758)))->BgL_argszd2retescapezd2) =
											((obj_t) BNIL), BUNSPEC);
										((((BgL_cfunz00_bglt) COBJECT(BgL_new1129z00_1758))->
												BgL_argszd2typezd2) =
											((obj_t) BgL_typezd2argszd2_1755), BUNSPEC);
										((((BgL_cfunz00_bglt) COBJECT(BgL_new1129z00_1758))->
												BgL_macrozf3zf3) =
											((bool_t) BgL_macrozf3zf3_65), BUNSPEC);
										((((BgL_cfunz00_bglt) COBJECT(BgL_new1129z00_1758))->
												BgL_infixzf3zf3) =
											((bool_t) BgL_infixzf3zf3_64), BUNSPEC);
										((((BgL_cfunz00_bglt) COBJECT(BgL_new1129z00_1758))->
												BgL_methodz00) = ((obj_t) BNIL), BUNSPEC);
										BgL_cfunz00_1756 = BgL_new1129z00_1758;
									}
									{	/* Ast/glo_decl.scm 334 */
										BgL_globalz00_bglt BgL_globalz00_1757;

										BgL_globalz00_1757 =
											BGl_bindzd2globalz12zc0zzast_envz00(BgL_idz00_58,
											BgL_aliasz00_59, BgL_modulez00_60,
											((BgL_valuez00_bglt) BgL_cfunz00_1756),
											((obj_t) CNST_TABLE_REF(10)), BgL_srcez00_66);
										{	/* Ast/glo_decl.scm 338 */

											((((BgL_variablez00_bglt) COBJECT(
															((BgL_variablez00_bglt) BgL_globalz00_1757)))->
													BgL_namez00) = ((obj_t) BgL_namez00_61), BUNSPEC);
											((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
																BgL_globalz00_1757)))->BgL_typez00) =
												((BgL_typez00_bglt) BgL_typezd2reszd2_1754), BUNSPEC);
											((((BgL_globalz00_bglt) COBJECT(BgL_globalz00_1757))->
													BgL_evaluablezf3zf3) =
												((bool_t) ((bool_t) 0)), BUNSPEC);
											return BgL_globalz00_1757;
										}
									}
								}
							}
						}
					}
				}
			}
		}

	}



/* &declare-global-cfun! */
	BgL_globalz00_bglt
		BGl_z62declarezd2globalzd2cfunz12z70zzast_glozd2declzd2(obj_t
		BgL_envz00_2087, obj_t BgL_idz00_2088, obj_t BgL_aliasz00_2089,
		obj_t BgL_modulez00_2090, obj_t BgL_namez00_2091,
		obj_t BgL_treszd2idzd2_2092, obj_t BgL_targszd2idzd2_2093,
		obj_t BgL_infixzf3zf3_2094, obj_t BgL_macrozf3zf3_2095,
		obj_t BgL_srcez00_2096, obj_t BgL_srciz00_2097)
	{
		{	/* Ast/glo_decl.scm 326 */
			return
				BGl_declarezd2globalzd2cfunz12z12zzast_glozd2declzd2(BgL_idz00_2088,
				BgL_aliasz00_2089, BgL_modulez00_2090, BgL_namez00_2091,
				BgL_treszd2idzd2_2092, BgL_targszd2idzd2_2093,
				CBOOL(BgL_infixzf3zf3_2094), CBOOL(BgL_macrozf3zf3_2095),
				BgL_srcez00_2096, BgL_srciz00_2097);
		}

	}



/* declare-global-cvar! */
	BGL_EXPORTED_DEF BgL_globalz00_bglt
		BGl_declarezd2globalzd2cvarz12z12zzast_glozd2declzd2(obj_t BgL_idz00_68,
		obj_t BgL_aliasz00_69, obj_t BgL_namez00_70, obj_t BgL_typezd2idzd2_71,
		bool_t BgL_macrozf3zf3_72, obj_t BgL_srcez00_73, obj_t BgL_srciz00_74)
	{
		{	/* Ast/glo_decl.scm 351 */
			{	/* Ast/glo_decl.scm 352 */
				obj_t BgL_locz00_1774;

				BgL_locz00_1774 =
					BGl_findzd2locationzd2zztools_locationz00(BgL_srcez00_73);
				{	/* Ast/glo_decl.scm 352 */
					obj_t BgL_lociz00_1775;

					BgL_lociz00_1775 =
						BGl_findzd2locationzf2locz20zztools_locationz00(BgL_srciz00_74,
						BgL_locz00_1774);
					{	/* Ast/glo_decl.scm 353 */
						BgL_typez00_bglt BgL_typez00_1776;

						BgL_typez00_1776 =
							BGl_usezd2foreignzd2typezf2importzd2locz12z32zztype_envz00
							(BgL_typezd2idzd2_71, BgL_locz00_1774, BgL_lociz00_1775);
						{	/* Ast/glo_decl.scm 354 */
							BgL_cvarz00_bglt BgL_cvarz00_1777;

							{	/* Ast/glo_decl.scm 355 */
								BgL_cvarz00_bglt BgL_new1131z00_1779;

								{	/* Ast/glo_decl.scm 355 */
									BgL_cvarz00_bglt BgL_new1130z00_1780;

									BgL_new1130z00_1780 =
										((BgL_cvarz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
													BgL_cvarz00_bgl))));
									{	/* Ast/glo_decl.scm 355 */
										long BgL_arg1535z00_1781;

										BgL_arg1535z00_1781 =
											BGL_CLASS_NUM(BGl_cvarz00zzast_varz00);
										BGL_OBJECT_CLASS_NUM_SET(
											((BgL_objectz00_bglt) BgL_new1130z00_1780),
											BgL_arg1535z00_1781);
									}
									{	/* Ast/glo_decl.scm 355 */
										BgL_objectz00_bglt BgL_tmpz00_2690;

										BgL_tmpz00_2690 =
											((BgL_objectz00_bglt) BgL_new1130z00_1780);
										BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2690, BFALSE);
									}
									((BgL_objectz00_bglt) BgL_new1130z00_1780);
									BgL_new1131z00_1779 = BgL_new1130z00_1780;
								}
								((((BgL_cvarz00_bglt) COBJECT(BgL_new1131z00_1779))->
										BgL_macrozf3zf3) = ((bool_t) BgL_macrozf3zf3_72), BUNSPEC);
								BgL_cvarz00_1777 = BgL_new1131z00_1779;
							}
							{	/* Ast/glo_decl.scm 355 */
								BgL_globalz00_bglt BgL_globalz00_1778;

								BgL_globalz00_1778 =
									BGl_bindzd2globalz12zc0zzast_envz00(BgL_idz00_68,
									BgL_aliasz00_69, ((obj_t) CNST_TABLE_REF(10)),
									((BgL_valuez00_bglt) BgL_cvarz00_1777),
									((obj_t) CNST_TABLE_REF(10)), BgL_srcez00_73);
								{	/* Ast/glo_decl.scm 356 */

									((((BgL_variablez00_bglt) COBJECT(
													((BgL_variablez00_bglt) BgL_globalz00_1778)))->
											BgL_namez00) = ((obj_t) BgL_namez00_70), BUNSPEC);
									((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
														BgL_globalz00_1778)))->BgL_typez00) =
										((BgL_typez00_bglt) BgL_typez00_1776), BUNSPEC);
									((((BgL_globalz00_bglt) COBJECT(BgL_globalz00_1778))->
											BgL_evaluablezf3zf3) = ((bool_t) ((bool_t) 0)), BUNSPEC);
									return BgL_globalz00_1778;
								}
							}
						}
					}
				}
			}
		}

	}



/* &declare-global-cvar! */
	BgL_globalz00_bglt
		BGl_z62declarezd2globalzd2cvarz12z70zzast_glozd2declzd2(obj_t
		BgL_envz00_2098, obj_t BgL_idz00_2099, obj_t BgL_aliasz00_2100,
		obj_t BgL_namez00_2101, obj_t BgL_typezd2idzd2_2102,
		obj_t BgL_macrozf3zf3_2103, obj_t BgL_srcez00_2104, obj_t BgL_srciz00_2105)
	{
		{	/* Ast/glo_decl.scm 351 */
			return
				BGl_declarezd2globalzd2cvarz12z12zzast_glozd2declzd2(BgL_idz00_2099,
				BgL_aliasz00_2100, BgL_namez00_2101, BgL_typezd2idzd2_2102,
				CBOOL(BgL_macrozf3zf3_2103), BgL_srcez00_2104, BgL_srciz00_2105);
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzast_glozd2declzd2(void)
	{
		{	/* Ast/glo_decl.scm 17 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzast_glozd2declzd2(void)
	{
		{	/* Ast/glo_decl.scm 17 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzast_glozd2declzd2(void)
	{
		{	/* Ast/glo_decl.scm 17 */
			return BUNSPEC;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzast_glozd2declzd2(void)
	{
		{	/* Ast/glo_decl.scm 17 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(54713316L,
				BSTRING_TO_STRING(BGl_string1721z00zzast_glozd2declzd2));
			BGl_modulezd2initializa7ationz75zztools_errorz00(300504031L,
				BSTRING_TO_STRING(BGl_string1721z00zzast_glozd2declzd2));
			BGl_modulezd2initializa7ationz75zztools_argsz00(47102372L,
				BSTRING_TO_STRING(BGl_string1721z00zzast_glozd2declzd2));
			BGl_modulezd2initializa7ationz75zztools_shapez00(365925558L,
				BSTRING_TO_STRING(BGl_string1721z00zzast_glozd2declzd2));
			BGl_modulezd2initializa7ationz75zztools_dssslz00(275867955L,
				BSTRING_TO_STRING(BGl_string1721z00zzast_glozd2declzd2));
			BGl_modulezd2initializa7ationz75zztools_locationz00(462333240L,
				BSTRING_TO_STRING(BGl_string1721z00zzast_glozd2declzd2));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(216206620L,
				BSTRING_TO_STRING(BGl_string1721z00zzast_glozd2declzd2));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(161876678L,
				BSTRING_TO_STRING(BGl_string1721z00zzast_glozd2declzd2));
			BGl_modulezd2initializa7ationz75zztype_typez00(515343395L,
				BSTRING_TO_STRING(BGl_string1721z00zzast_glozd2declzd2));
			BGl_modulezd2initializa7ationz75zztype_cachez00(489890788L,
				BSTRING_TO_STRING(BGl_string1721z00zzast_glozd2declzd2));
			BGl_modulezd2initializa7ationz75zzast_varz00(90839984L,
				BSTRING_TO_STRING(BGl_string1721z00zzast_glozd2declzd2));
			BGl_modulezd2initializa7ationz75zzast_envz00(146730773L,
				BSTRING_TO_STRING(BGl_string1721z00zzast_glozd2declzd2));
			BGl_modulezd2initializa7ationz75zzast_identz00(174885617L,
				BSTRING_TO_STRING(BGl_string1721z00zzast_glozd2declzd2));
			BGl_modulezd2initializa7ationz75zzast_nodez00(469732712L,
				BSTRING_TO_STRING(BGl_string1721z00zzast_glozd2declzd2));
			BGl_modulezd2initializa7ationz75zztype_envz00(296457443L,
				BSTRING_TO_STRING(BGl_string1721z00zzast_glozd2declzd2));
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(158397907L,
				BSTRING_TO_STRING(BGl_string1721z00zzast_glozd2declzd2));
			return
				BGl_modulezd2initializa7ationz75zzast_localz00(315247917L,
				BSTRING_TO_STRING(BGl_string1721z00zzast_glozd2declzd2));
		}

	}

#ifdef __cplusplus
}
#endif
