/*===========================================================================*/
/*   (Ast/remove.scm)                                                        */
/*   Bigloo (4.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Jan 27 07:45:49 AM CET 2025     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.6a/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.6a/lib/bigloo/4.6a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -stdc -indent Ast/remove.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL_AST_REMOVE_TYPE_DEFINITIONS
#define BGL_AST_REMOVE_TYPE_DEFINITIONS

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_nullz00;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_qualifiedzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_kwotez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}               *BgL_kwotez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
		obj_t BgL_metaz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_stackablez00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_switchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_switchz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		struct BgL_nodez00_bgl *BgL_onexitz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_retblockz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                  *BgL_retblockz00_bglt;

	typedef struct BgL_returnz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_retblockz00_bgl *BgL_blockz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                *BgL_returnz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		obj_t BgL_stackablez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}              *BgL_syncz00_bglt;


#endif													// BGL_AST_REMOVE_TYPE_DEFINITIONS
#endif													// BGL_MODULE_TYPE_DEFINITIONS

	static obj_t BGl_z62nodezd2removez12zd2letzd2fun1270za2zzast_removez00(obj_t,
		obj_t);
	extern obj_t BGl_za2optimza2z00zzengine_paramz00;
	extern obj_t BGl_setqz00zzast_nodez00;
	extern obj_t BGl_returnz00zzast_nodez00;
	static obj_t BGl_requirezd2initializa7ationz75zzast_removez00 = BUNSPEC;
	static obj_t BGl_z62nodezd2removez12zd2appzd2ly1246za2zzast_removez00(obj_t,
		obj_t);
	extern obj_t BGl_syncz00zzast_nodez00;
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_atomz00zzast_nodez00;
	static obj_t BGl_z62nodezd2removez12za2zzast_removez00(obj_t, obj_t);
	static obj_t BGl_toplevelzd2initzd2zzast_removez00(void);
	extern obj_t BGl_occurzd2nodezd2sfunz12z12zzast_occurz00(BgL_sfunz00_bglt,
		BgL_globalz00_bglt);
	extern obj_t BGl_sequencez00zzast_nodez00;
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	static obj_t BGl_genericzd2initzd2zzast_removez00(void);
	BGL_IMPORT obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
	static obj_t BGl_z62nodezd2removez12zd2extern1250z70zzast_removez00(obj_t,
		obj_t);
	static obj_t BGl_objectzd2initzd2zzast_removez00(void);
	static obj_t BGl_z62nodezd2removez12zd2return1280z70zzast_removez00(obj_t,
		obj_t);
	extern obj_t BGl_castz00zzast_nodez00;
	static obj_t BGl_nodezd2removeza2z12z62zzast_removez00(obj_t);
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	static obj_t BGl_z62nodezd2removez12zd2switch1261z70zzast_removez00(obj_t,
		obj_t);
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	static obj_t BGl_z62nodezd2removez121229za2zzast_removez00(obj_t, obj_t);
	BGL_IMPORT obj_t bgl_reverse_bang(obj_t);
	BGL_IMPORT obj_t string_append_3(obj_t, obj_t, obj_t);
	static long BGl_za2removedzd2countza2zd2zzast_removez00 = 0L;
	static obj_t
		BGl_z62nodezd2removez12zd2setzd2exzd21274z70zzast_removez00(obj_t, obj_t);
	static obj_t BGl_z62nodezd2removez12zd2funcall1248z70zzast_removez00(obj_t,
		obj_t);
	static obj_t BGl_z62nodezd2removez12zd2kwote1238z70zzast_removez00(obj_t,
		obj_t);
	static obj_t BGl_z62nodezd2removez12zd2conditi1256z70zzast_removez00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t BGl_z62nodezd2removez12zd2retbloc1278z70zzast_removez00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzast_removez00(void);
	static obj_t BGl_z62nodezd2removez12zd2boxzd2set1267za2zzast_removez00(obj_t,
		obj_t);
	extern obj_t BGl_externz00zzast_nodez00;
	static obj_t BGl_z62nodezd2removez12zd2letzd2var1272za2zzast_removez00(obj_t,
		obj_t);
	static obj_t BGl_z62nodezd2removez12zd2cast1252z70zzast_removez00(obj_t,
		obj_t);
	static obj_t BGl_z62nodezd2removez12zd2boxzd2ref1265za2zzast_removez00(obj_t,
		obj_t);
	extern obj_t BGl_za2bdbzd2debugza2zd2zzengine_paramz00;
	static obj_t BGl_z62nodezd2removez12zd2setq1254z70zzast_removez00(obj_t,
		obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	static obj_t BGl_z62nodezd2removez12zd2sync1242z70zzast_removez00(obj_t,
		obj_t);
	static obj_t BGl_z62nodezd2removez12zd2fail1259z70zzast_removez00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_removezd2varzd2zzast_removez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_removezd2varzd2fromz12z12zzast_removez00(obj_t,
		BgL_variablez00_bglt);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62nodezd2removez12zd2sequenc1240z70zzast_removez00(obj_t,
		obj_t);
	static obj_t BGl_z62removezd2varzb0zzast_removez00(obj_t, obj_t, obj_t);
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	static obj_t BGl_globalzd2removezd2sfunz12z12zzast_removez00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzast_removez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_occurz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzeffect_effectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	static obj_t BGl_z62nodezd2removez12zd2makezd2bo1263za2zzast_removez00(obj_t,
		obj_t);
	extern obj_t BGl_appz00zzast_nodez00;
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	static obj_t BGl_z62nodezd2removez12zd2var1236z70zzast_removez00(obj_t,
		obj_t);
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_kwotez00zzast_nodez00;
	static obj_t BGl_z62removezd2varzd2fromz12z70zzast_removez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	extern obj_t BGl_occurzd2varzd2zzast_occurz00(obj_t);
	static obj_t BGl_cnstzd2initzd2zzast_removez00(void);
	static obj_t BGl_libraryzd2moduleszd2initz00zzast_removez00(void);
	BGL_EXPORTED_DECL obj_t
		BGl_nodezd2removez12zc0zzast_removez00(BgL_nodez00_bglt);
	static obj_t BGl_importedzd2moduleszd2initz00zzast_removez00(void);
	static obj_t BGl_gczd2rootszd2initz00zzast_removez00(void);
	extern bool_t BGl_sidezd2effectzf3z21zzeffect_effectz00(BgL_nodez00_bglt);
	extern obj_t BGl_retblockz00zzast_nodez00;
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	static obj_t BGl_z62nodezd2removez12zd2app1244z70zzast_removez00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62nodezd2removez12zd2jumpzd2ex1276za2zzast_removez00(obj_t,
		obj_t);
	extern obj_t BGl_switchz00zzast_nodez00;
	extern obj_t BGl_conditionalz00zzast_nodez00;
	extern obj_t BGl_funcallz00zzast_nodez00;
	static obj_t BGl_z62nodezd2removez12zd2atom1234z70zzast_removez00(obj_t,
		obj_t);
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	static obj_t __cnst[7];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_removezd2varzd2fromz12zd2envzc0zzast_removez00,
		BgL_bgl_za762removeza7d2varza71939za7,
		BGl_z62removezd2varzd2fromz12z70zzast_removez00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string1901z00zzast_removez00,
		BgL_bgl_string1901za700za7za7a1940za7, "/", 1);
	      DEFINE_STRING(BGl_string1902z00zzast_removez00,
		BgL_bgl_string1902za700za7za7a1941za7, "remove-var-from!", 16);
	      DEFINE_STRING(BGl_string1903z00zzast_removez00,
		BgL_bgl_string1903za700za7za7a1942za7, "already removable variable", 26);
	      DEFINE_STRING(BGl_string1904z00zzast_removez00,
		BgL_bgl_string1904za700za7za7a1943za7, "         removing ", 18);
	      DEFINE_STRING(BGl_string1905z00zzast_removez00,
		BgL_bgl_string1905za700za7za7a1944za7, ")", 1);
	      DEFINE_STRING(BGl_string1906z00zzast_removez00,
		BgL_bgl_string1906za700za7za7a1945za7, " (import: ", 10);
	      DEFINE_STRING(BGl_string1907z00zzast_removez00,
		BgL_bgl_string1907za700za7za7a1946za7, " removed ", 9);
	      DEFINE_STRING(BGl_string1908z00zzast_removez00,
		BgL_bgl_string1908za700za7za7a1947za7, "        ", 8);
	      DEFINE_STRING(BGl_string1910z00zzast_removez00,
		BgL_bgl_string1910za700za7za7a1948za7, "node-remove!1229", 16);
	      DEFINE_STRING(BGl_string1911z00zzast_removez00,
		BgL_bgl_string1911za700za7za7a1949za7, "No method for this object", 25);
	      DEFINE_STRING(BGl_string1913z00zzast_removez00,
		BgL_bgl_string1913za700za7za7a1950za7, "node-remove!", 12);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1909z00zzast_removez00,
		BgL_bgl_za762nodeza7d2remove1951z00,
		BGl_z62nodezd2removez121229za2zzast_removez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1912z00zzast_removez00,
		BgL_bgl_za762nodeza7d2remove1952z00,
		BGl_z62nodezd2removez12zd2atom1234z70zzast_removez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1914z00zzast_removez00,
		BgL_bgl_za762nodeza7d2remove1953z00,
		BGl_z62nodezd2removez12zd2var1236z70zzast_removez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1915z00zzast_removez00,
		BgL_bgl_za762nodeza7d2remove1954z00,
		BGl_z62nodezd2removez12zd2kwote1238z70zzast_removez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1916z00zzast_removez00,
		BgL_bgl_za762nodeza7d2remove1955z00,
		BGl_z62nodezd2removez12zd2sequenc1240z70zzast_removez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1917z00zzast_removez00,
		BgL_bgl_za762nodeza7d2remove1956z00,
		BGl_z62nodezd2removez12zd2sync1242z70zzast_removez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1918z00zzast_removez00,
		BgL_bgl_za762nodeza7d2remove1957z00,
		BGl_z62nodezd2removez12zd2app1244z70zzast_removez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1919z00zzast_removez00,
		BgL_bgl_za762nodeza7d2remove1958z00,
		BGl_z62nodezd2removez12zd2appzd2ly1246za2zzast_removez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1920z00zzast_removez00,
		BgL_bgl_za762nodeza7d2remove1959z00,
		BGl_z62nodezd2removez12zd2funcall1248z70zzast_removez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1921z00zzast_removez00,
		BgL_bgl_za762nodeza7d2remove1960z00,
		BGl_z62nodezd2removez12zd2extern1250z70zzast_removez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1922z00zzast_removez00,
		BgL_bgl_za762nodeza7d2remove1961z00,
		BGl_z62nodezd2removez12zd2cast1252z70zzast_removez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1923z00zzast_removez00,
		BgL_bgl_za762nodeza7d2remove1962z00,
		BGl_z62nodezd2removez12zd2setq1254z70zzast_removez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1924z00zzast_removez00,
		BgL_bgl_za762nodeza7d2remove1963z00,
		BGl_z62nodezd2removez12zd2conditi1256z70zzast_removez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1925z00zzast_removez00,
		BgL_bgl_za762nodeza7d2remove1964z00,
		BGl_z62nodezd2removez12zd2fail1259z70zzast_removez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1926z00zzast_removez00,
		BgL_bgl_za762nodeza7d2remove1965z00,
		BGl_z62nodezd2removez12zd2switch1261z70zzast_removez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1927z00zzast_removez00,
		BgL_bgl_za762nodeza7d2remove1966z00,
		BGl_z62nodezd2removez12zd2makezd2bo1263za2zzast_removez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1928z00zzast_removez00,
		BgL_bgl_za762nodeza7d2remove1967z00,
		BGl_z62nodezd2removez12zd2boxzd2ref1265za2zzast_removez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1929z00zzast_removez00,
		BgL_bgl_za762nodeza7d2remove1968z00,
		BGl_z62nodezd2removez12zd2boxzd2set1267za2zzast_removez00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1936z00zzast_removez00,
		BgL_bgl_string1936za700za7za7a1969za7, "ast_remove", 10);
	      DEFINE_STRING(BGl_string1937z00zzast_removez00,
		BgL_bgl_string1937za700za7za7a1970za7,
		"read node-remove!1229 done no-remove export ok now ", 51);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1930z00zzast_removez00,
		BgL_bgl_za762nodeza7d2remove1971z00,
		BGl_z62nodezd2removez12zd2letzd2fun1270za2zzast_removez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1931z00zzast_removez00,
		BgL_bgl_za762nodeza7d2remove1972z00,
		BGl_z62nodezd2removez12zd2letzd2var1272za2zzast_removez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1932z00zzast_removez00,
		BgL_bgl_za762nodeza7d2remove1973z00,
		BGl_z62nodezd2removez12zd2setzd2exzd21274z70zzast_removez00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1933z00zzast_removez00,
		BgL_bgl_za762nodeza7d2remove1974z00,
		BGl_z62nodezd2removez12zd2jumpzd2ex1276za2zzast_removez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1934z00zzast_removez00,
		BgL_bgl_za762nodeza7d2remove1975z00,
		BGl_z62nodezd2removez12zd2retbloc1278z70zzast_removez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1935z00zzast_removez00,
		BgL_bgl_za762nodeza7d2remove1976z00,
		BGl_z62nodezd2removez12zd2return1280z70zzast_removez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_GENERIC(BGl_nodezd2removez12zd2envz12zzast_removez00,
		BgL_bgl_za762nodeza7d2remove1977z00,
		BGl_z62nodezd2removez12za2zzast_removez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_removezd2varzd2envz00zzast_removez00,
		BgL_bgl_za762removeza7d2varza71978za7,
		BGl_z62removezd2varzb0zzast_removez00, 0L, BUNSPEC, 2);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		     ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zzast_removez00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzast_removez00(long
		BgL_checksumz00_2292, char *BgL_fromz00_2293)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzast_removez00))
				{
					BGl_requirezd2initializa7ationz75zzast_removez00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzast_removez00();
					BGl_libraryzd2moduleszd2initz00zzast_removez00();
					BGl_cnstzd2initzd2zzast_removez00();
					BGl_importedzd2moduleszd2initz00zzast_removez00();
					BGl_genericzd2initzd2zzast_removez00();
					BGl_methodzd2initzd2zzast_removez00();
					return BGl_toplevelzd2initzd2zzast_removez00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzast_removez00(void)
	{
		{	/* Ast/remove.scm 16 */
			BGl_modulezd2initializa7ationz75zz__objectz00(0L, "ast_remove");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(0L, "ast_remove");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(0L,
				"ast_remove");
			BGl_modulezd2initializa7ationz75zz__readerz00(0L, "ast_remove");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(0L, "ast_remove");
			BGl_modulezd2initializa7ationz75zz__errorz00(0L, "ast_remove");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(0L,
				"ast_remove");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(0L, "ast_remove");
			BGl_modulezd2initializa7ationz75zz__bitz00(0L, "ast_remove");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(0L,
				"ast_remove");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(0L, "ast_remove");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzast_removez00(void)
	{
		{	/* Ast/remove.scm 16 */
			{	/* Ast/remove.scm 16 */
				obj_t BgL_cportz00_2181;

				{	/* Ast/remove.scm 16 */
					obj_t BgL_stringz00_2188;

					BgL_stringz00_2188 = BGl_string1937z00zzast_removez00;
					{	/* Ast/remove.scm 16 */
						obj_t BgL_startz00_2189;

						BgL_startz00_2189 = BINT(0L);
						{	/* Ast/remove.scm 16 */
							obj_t BgL_endz00_2190;

							BgL_endz00_2190 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_2188)));
							{	/* Ast/remove.scm 16 */

								BgL_cportz00_2181 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_2188, BgL_startz00_2189, BgL_endz00_2190);
				}}}}
				{
					long BgL_iz00_2182;

					BgL_iz00_2182 = 6L;
				BgL_loopz00_2183:
					if ((BgL_iz00_2182 == (-1L)))
						{	/* Ast/remove.scm 16 */
							return BUNSPEC;
						}
					else
						{	/* Ast/remove.scm 16 */
							{	/* Ast/remove.scm 16 */
								obj_t BgL_arg1938z00_2184;

								{	/* Ast/remove.scm 16 */

									{	/* Ast/remove.scm 16 */
										obj_t BgL_locationz00_2186;

										BgL_locationz00_2186 = BBOOL(((bool_t) 0));
										{	/* Ast/remove.scm 16 */

											BgL_arg1938z00_2184 =
												BGl_readz00zz__readerz00(BgL_cportz00_2181,
												BgL_locationz00_2186);
										}
									}
								}
								{	/* Ast/remove.scm 16 */
									int BgL_tmpz00_2324;

									BgL_tmpz00_2324 = (int) (BgL_iz00_2182);
									CNST_TABLE_SET(BgL_tmpz00_2324, BgL_arg1938z00_2184);
							}}
							{	/* Ast/remove.scm 16 */
								int BgL_auxz00_2187;

								BgL_auxz00_2187 = (int) ((BgL_iz00_2182 - 1L));
								{
									long BgL_iz00_2329;

									BgL_iz00_2329 = (long) (BgL_auxz00_2187);
									BgL_iz00_2182 = BgL_iz00_2329;
									goto BgL_loopz00_2183;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzast_removez00(void)
	{
		{	/* Ast/remove.scm 16 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzast_removez00(void)
	{
		{	/* Ast/remove.scm 16 */
			BGl_za2removedzd2countza2zd2zzast_removez00 = 0L;
			return BUNSPEC;
		}

	}



/* remove-var-from! */
	BGL_EXPORTED_DEF obj_t BGl_removezd2varzd2fromz12z12zzast_removez00(obj_t
		BgL_passz00_3, BgL_variablez00_bglt BgL_varz00_4)
	{
		{	/* Ast/remove.scm 32 */
			{	/* Ast/remove.scm 33 */
				obj_t BgL_oldz00_1387;

				BgL_oldz00_1387 =
					(((BgL_variablez00_bglt) COBJECT(BgL_varz00_4))->BgL_removablez00);
				if ((BgL_oldz00_1387 == ((obj_t) CNST_TABLE_REF(0))))
					{	/* Ast/remove.scm 35 */
						return
							((((BgL_variablez00_bglt) COBJECT(
										((BgL_variablez00_bglt)
											((BgL_globalz00_bglt) BgL_varz00_4))))->
								BgL_removablez00) = ((obj_t) BgL_passz00_3), BUNSPEC);
					}
				else
					{	/* Ast/remove.scm 35 */
						if ((BgL_oldz00_1387 == BgL_passz00_3))
							{	/* Ast/remove.scm 38 */
								return ((obj_t) CNST_TABLE_REF(1));
							}
						else
							{	/* Ast/remove.scm 38 */
								if ((BgL_passz00_3 == ((obj_t) CNST_TABLE_REF(0))))
									{	/* Ast/remove.scm 40 */
										return ((obj_t) CNST_TABLE_REF(1));
									}
								else
									{	/* Ast/remove.scm 45 */
										obj_t BgL_arg1287z00_1388;

										{	/* Ast/remove.scm 45 */
											obj_t BgL_arg1288z00_1389;
											obj_t BgL_arg1289z00_1390;

											{	/* Ast/remove.scm 45 */
												obj_t BgL_arg1486z00_1853;

												BgL_arg1486z00_1853 =
													SYMBOL_TO_STRING(((obj_t) BgL_oldz00_1387));
												BgL_arg1288z00_1389 =
													BGl_stringzd2copyzd2zz__r4_strings_6_7z00
													(BgL_arg1486z00_1853);
											}
											{	/* Ast/remove.scm 47 */
												obj_t BgL_arg1486z00_1855;

												BgL_arg1486z00_1855 = SYMBOL_TO_STRING(BgL_passz00_3);
												BgL_arg1289z00_1390 =
													BGl_stringzd2copyzd2zz__r4_strings_6_7z00
													(BgL_arg1486z00_1855);
											}
											BgL_arg1287z00_1388 =
												string_append_3(BgL_arg1288z00_1389,
												BGl_string1901z00zzast_removez00, BgL_arg1289z00_1390);
										}
										return
											BGl_internalzd2errorzd2zztools_errorz00
											(BGl_string1902z00zzast_removez00,
											BGl_string1903z00zzast_removez00, BgL_arg1287z00_1388);
									}
							}
					}
			}
		}

	}



/* &remove-var-from! */
	obj_t BGl_z62removezd2varzd2fromz12z70zzast_removez00(obj_t BgL_envz00_2101,
		obj_t BgL_passz00_2102, obj_t BgL_varz00_2103)
	{
		{	/* Ast/remove.scm 32 */
			return
				BGl_removezd2varzd2fromz12z12zzast_removez00(BgL_passz00_2102,
				((BgL_variablez00_bglt) BgL_varz00_2103));
		}

	}



/* remove-var */
	BGL_EXPORTED_DEF obj_t BGl_removezd2varzd2zzast_removez00(obj_t BgL_passz00_5,
		obj_t BgL_globalsz00_6)
	{
		{	/* Ast/remove.scm 57 */
			BGl_occurzd2varzd2zzast_occurz00(BgL_globalsz00_6);
			{
				obj_t BgL_globalsz00_1393;
				obj_t BgL_resz00_1394;
				bool_t BgL_fixpz00_1395;

				BgL_globalsz00_1393 = BgL_globalsz00_6;
				BgL_resz00_1394 = BNIL;
				BgL_fixpz00_1395 = ((bool_t) 1);
			BgL_zc3z04anonymousza31290ze3z87_1396:
				if (NULLP(BgL_globalsz00_1393))
					{	/* Ast/remove.scm 69 */
						obj_t BgL_nglobalsz00_1398;

						BgL_nglobalsz00_1398 = bgl_reverse_bang(BgL_resz00_1394);
						BGl_occurzd2varzd2zzast_occurz00(BgL_nglobalsz00_1398);
						if (BgL_fixpz00_1395)
							{	/* Ast/remove.scm 72 */
								return BgL_nglobalsz00_1398;
							}
						else
							{
								bool_t BgL_fixpz00_2367;
								obj_t BgL_resz00_2366;
								obj_t BgL_globalsz00_2365;

								BgL_globalsz00_2365 = BgL_nglobalsz00_1398;
								BgL_resz00_2366 = BNIL;
								BgL_fixpz00_2367 = ((bool_t) 1);
								BgL_fixpz00_1395 = BgL_fixpz00_2367;
								BgL_resz00_1394 = BgL_resz00_2366;
								BgL_globalsz00_1393 = BgL_globalsz00_2365;
								goto BgL_zc3z04anonymousza31290ze3z87_1396;
							}
					}
				else
					{	/* Ast/remove.scm 75 */
						obj_t BgL_globalz00_1399;

						BgL_globalz00_1399 = CAR(((obj_t) BgL_globalsz00_1393));
						if (
							((((BgL_globalz00_bglt) COBJECT(
											((BgL_globalz00_bglt) BgL_globalz00_1399)))->
									BgL_importz00) == ((obj_t) CNST_TABLE_REF(2))))
							{	/* Ast/remove.scm 78 */
								BGl_globalzd2removezd2sfunz12z12zzast_removez00
									(BgL_globalz00_1399);
								{	/* Ast/remove.scm 80 */
									obj_t BgL_arg1295z00_1402;
									obj_t BgL_arg1296z00_1403;

									BgL_arg1295z00_1402 = CDR(((obj_t) BgL_globalsz00_1393));
									BgL_arg1296z00_1403 =
										MAKE_YOUNG_PAIR(BgL_globalz00_1399, BgL_resz00_1394);
									{
										obj_t BgL_resz00_2381;
										obj_t BgL_globalsz00_2380;

										BgL_globalsz00_2380 = BgL_arg1295z00_1402;
										BgL_resz00_2381 = BgL_arg1296z00_1403;
										BgL_resz00_1394 = BgL_resz00_2381;
										BgL_globalsz00_1393 = BgL_globalsz00_2380;
										goto BgL_zc3z04anonymousza31290ze3z87_1396;
									}
								}
							}
						else
							{	/* Ast/remove.scm 83 */
								bool_t BgL_test1987z00_2382;

								if (
									((((BgL_variablez00_bglt) COBJECT(
													((BgL_variablez00_bglt)
														((BgL_globalz00_bglt) BgL_globalz00_1399))))->
											BgL_removablez00) == BgL_passz00_5))
									{	/* Ast/remove.scm 83 */
										BgL_test1987z00_2382 = ((bool_t) 1);
									}
								else
									{	/* Ast/remove.scm 83 */
										if (PAIRP(BgL_passz00_5))
											{	/* Ast/remove.scm 84 */
												BgL_test1987z00_2382 =
													CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
														(((BgL_variablez00_bglt) COBJECT(
																	((BgL_variablez00_bglt)
																		((BgL_globalz00_bglt)
																			BgL_globalz00_1399))))->BgL_removablez00),
														BgL_passz00_5));
											}
										else
											{	/* Ast/remove.scm 84 */
												BgL_test1987z00_2382 = ((bool_t) 0);
											}
									}
								if (BgL_test1987z00_2382)
									{	/* Ast/remove.scm 83 */
										if (
											((((BgL_variablez00_bglt) COBJECT(
															((BgL_variablez00_bglt)
																((BgL_globalz00_bglt) BgL_globalz00_1399))))->
													BgL_occurrencez00) <= 0L))
											{	/* Ast/remove.scm 86 */
												{	/* Ast/remove.scm 90 */
													obj_t BgL_arg1311z00_1412;

													BgL_arg1311z00_1412 =
														BGl_shapez00zztools_shapez00(BgL_globalz00_1399);
													{	/* Ast/remove.scm 89 */
														obj_t BgL_list1312z00_1413;

														{	/* Ast/remove.scm 89 */
															obj_t BgL_arg1313z00_1414;

															{	/* Ast/remove.scm 89 */
																obj_t BgL_arg1314z00_1415;

																BgL_arg1314z00_1415 =
																	MAKE_YOUNG_PAIR(BCHAR(((unsigned char) 10)),
																	BNIL);
																BgL_arg1313z00_1414 =
																	MAKE_YOUNG_PAIR(BgL_arg1311z00_1412,
																	BgL_arg1314z00_1415);
															}
															BgL_list1312z00_1413 =
																MAKE_YOUNG_PAIR
																(BGl_string1904z00zzast_removez00,
																BgL_arg1313z00_1414);
														}
														BGl_verbosez00zztools_speekz00(BINT(3L),
															BgL_list1312z00_1413);
												}}
												{	/* Ast/remove.scm 91 */
													obj_t BgL_arg1315z00_1416;

													BgL_arg1315z00_1416 =
														CDR(((obj_t) BgL_globalsz00_1393));
													{
														bool_t BgL_fixpz00_2410;
														obj_t BgL_globalsz00_2409;

														BgL_globalsz00_2409 = BgL_arg1315z00_1416;
														BgL_fixpz00_2410 = ((bool_t) 0);
														BgL_fixpz00_1395 = BgL_fixpz00_2410;
														BgL_globalsz00_1393 = BgL_globalsz00_2409;
														goto BgL_zc3z04anonymousza31290ze3z87_1396;
													}
												}
											}
										else
											{	/* Ast/remove.scm 86 */
												{	/* Ast/remove.scm 93 */
													obj_t BgL_vz00_1865;

													BgL_vz00_1865 = ((obj_t) CNST_TABLE_REF(0));
													((((BgL_variablez00_bglt) COBJECT(
																	((BgL_variablez00_bglt)
																		((BgL_globalz00_bglt)
																			BgL_globalz00_1399))))->
															BgL_removablez00) =
														((obj_t) BgL_vz00_1865), BUNSPEC);
												}
												BGl_globalzd2removezd2sfunz12z12zzast_removez00
													(BgL_globalz00_1399);
												{	/* Ast/remove.scm 95 */
													obj_t BgL_arg1316z00_1417;
													obj_t BgL_arg1317z00_1418;

													BgL_arg1316z00_1417 =
														CDR(((obj_t) BgL_globalsz00_1393));
													BgL_arg1317z00_1418 =
														MAKE_YOUNG_PAIR(BgL_globalz00_1399,
														BgL_resz00_1394);
													{
														obj_t BgL_resz00_2421;
														obj_t BgL_globalsz00_2420;

														BgL_globalsz00_2420 = BgL_arg1316z00_1417;
														BgL_resz00_2421 = BgL_arg1317z00_1418;
														BgL_resz00_1394 = BgL_resz00_2421;
														BgL_globalsz00_1393 = BgL_globalsz00_2420;
														goto BgL_zc3z04anonymousza31290ze3z87_1396;
													}
												}
											}
									}
								else
									{	/* Ast/remove.scm 96 */
										bool_t BgL_test1991z00_2422;

										if (
											((((BgL_variablez00_bglt) COBJECT(
															((BgL_variablez00_bglt)
																((BgL_globalz00_bglt) BgL_globalz00_1399))))->
													BgL_occurrencez00) <= 0L))
											{	/* Ast/remove.scm 96 */
												if (
													((((BgL_variablez00_bglt) COBJECT(
																	((BgL_variablez00_bglt)
																		((BgL_globalz00_bglt)
																			BgL_globalz00_1399))))->
															BgL_removablez00) == ((obj_t) CNST_TABLE_REF(0))))
													{	/* Ast/remove.scm 97 */
														if ((BgL_passz00_5 == ((obj_t) CNST_TABLE_REF(3))))
															{	/* Ast/remove.scm 98 */
																BgL_test1991z00_2422 = ((bool_t) 0);
															}
														else
															{	/* Ast/remove.scm 98 */
																BgL_test1991z00_2422 = ((bool_t) 1);
															}
													}
												else
													{	/* Ast/remove.scm 97 */
														BgL_test1991z00_2422 = ((bool_t) 0);
													}
											}
										else
											{	/* Ast/remove.scm 96 */
												BgL_test1991z00_2422 = ((bool_t) 0);
											}
										if (BgL_test1991z00_2422)
											{	/* Ast/remove.scm 96 */
												{	/* Ast/remove.scm 100 */
													obj_t BgL_arg1331z00_1427;
													obj_t BgL_arg1332z00_1428;

													BgL_arg1331z00_1427 =
														BGl_shapez00zztools_shapez00(BgL_globalz00_1399);
													BgL_arg1332z00_1428 =
														(((BgL_globalz00_bglt) COBJECT(
																((BgL_globalz00_bglt) BgL_globalz00_1399)))->
														BgL_importz00);
													{	/* Ast/remove.scm 100 */
														obj_t BgL_list1333z00_1429;

														{	/* Ast/remove.scm 100 */
															obj_t BgL_arg1336z00_1430;

															{	/* Ast/remove.scm 100 */
																obj_t BgL_arg1338z00_1431;

																{	/* Ast/remove.scm 100 */
																	obj_t BgL_arg1339z00_1432;

																	{	/* Ast/remove.scm 100 */
																		obj_t BgL_arg1340z00_1433;

																		{	/* Ast/remove.scm 100 */
																			obj_t BgL_arg1341z00_1434;

																			{	/* Ast/remove.scm 100 */
																				obj_t BgL_arg1342z00_1435;

																				BgL_arg1342z00_1435 =
																					MAKE_YOUNG_PAIR(BCHAR(((unsigned char)
																							10)), BNIL);
																				BgL_arg1341z00_1434 =
																					MAKE_YOUNG_PAIR
																					(BGl_string1905z00zzast_removez00,
																					BgL_arg1342z00_1435);
																			}
																			BgL_arg1340z00_1433 =
																				MAKE_YOUNG_PAIR(BgL_arg1332z00_1428,
																				BgL_arg1341z00_1434);
																		}
																		BgL_arg1339z00_1432 =
																			MAKE_YOUNG_PAIR
																			(BGl_string1906z00zzast_removez00,
																			BgL_arg1340z00_1433);
																	}
																	BgL_arg1338z00_1431 =
																		MAKE_YOUNG_PAIR
																		(BGl_string1907z00zzast_removez00,
																		BgL_arg1339z00_1432);
																}
																BgL_arg1336z00_1430 =
																	MAKE_YOUNG_PAIR(BgL_arg1331z00_1427,
																	BgL_arg1338z00_1431);
															}
															BgL_list1333z00_1429 =
																MAKE_YOUNG_PAIR
																(BGl_string1908z00zzast_removez00,
																BgL_arg1336z00_1430);
														}
														BGl_verbosez00zztools_speekz00(BINT(3L),
															BgL_list1333z00_1429);
												}}
												{	/* Ast/remove.scm 103 */
													obj_t BgL_arg1355z00_1436;

													BgL_arg1355z00_1436 =
														CDR(((obj_t) BgL_globalsz00_1393));
													{
														bool_t BgL_fixpz00_2455;
														obj_t BgL_globalsz00_2454;

														BgL_globalsz00_2454 = BgL_arg1355z00_1436;
														BgL_fixpz00_2455 = ((bool_t) 0);
														BgL_fixpz00_1395 = BgL_fixpz00_2455;
														BgL_globalsz00_1393 = BgL_globalsz00_2454;
														goto BgL_zc3z04anonymousza31290ze3z87_1396;
													}
												}
											}
										else
											{	/* Ast/remove.scm 96 */
												BGl_globalzd2removezd2sfunz12z12zzast_removez00
													(BgL_globalz00_1399);
												{	/* Ast/remove.scm 107 */
													obj_t BgL_arg1358z00_1437;
													obj_t BgL_arg1359z00_1438;

													BgL_arg1358z00_1437 =
														CDR(((obj_t) BgL_globalsz00_1393));
													BgL_arg1359z00_1438 =
														MAKE_YOUNG_PAIR(BgL_globalz00_1399,
														BgL_resz00_1394);
													{
														obj_t BgL_resz00_2461;
														obj_t BgL_globalsz00_2460;

														BgL_globalsz00_2460 = BgL_arg1358z00_1437;
														BgL_resz00_2461 = BgL_arg1359z00_1438;
														BgL_resz00_1394 = BgL_resz00_2461;
														BgL_globalsz00_1393 = BgL_globalsz00_2460;
														goto BgL_zc3z04anonymousza31290ze3z87_1396;
													}
												}
											}
									}
							}
					}
			}
		}

	}



/* &remove-var */
	obj_t BGl_z62removezd2varzb0zzast_removez00(obj_t BgL_envz00_2104,
		obj_t BgL_passz00_2105, obj_t BgL_globalsz00_2106)
	{
		{	/* Ast/remove.scm 57 */
			return
				BGl_removezd2varzd2zzast_removez00(BgL_passz00_2105,
				BgL_globalsz00_2106);
		}

	}



/* global-remove-sfun! */
	obj_t BGl_globalzd2removezd2sfunz12z12zzast_removez00(obj_t BgL_globalz00_7)
	{
		{	/* Ast/remove.scm 112 */
		BGl_globalzd2removezd2sfunz12z12zzast_removez00:
			{	/* Ast/remove.scm 115 */
				BgL_valuez00_bglt BgL_sfunz00_1449;

				BgL_sfunz00_1449 =
					(((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt)
								((BgL_globalz00_bglt) BgL_globalz00_7))))->BgL_valuez00);
				BGl_za2removedzd2countza2zd2zzast_removez00 = 0L;
				{	/* Ast/remove.scm 117 */
					obj_t BgL_arg1370z00_1450;

					{	/* Ast/remove.scm 117 */
						obj_t BgL_arg1371z00_1451;

						BgL_arg1371z00_1451 =
							(((BgL_sfunz00_bglt) COBJECT(
									((BgL_sfunz00_bglt) BgL_sfunz00_1449)))->BgL_bodyz00);
						BgL_arg1370z00_1450 =
							BGl_nodezd2removez12zc0zzast_removez00(
							((BgL_nodez00_bglt) BgL_arg1371z00_1451));
					}
					((((BgL_sfunz00_bglt) COBJECT(
									((BgL_sfunz00_bglt) BgL_sfunz00_1449)))->BgL_bodyz00) =
						((obj_t) BgL_arg1370z00_1450), BUNSPEC);
				}
				{	/* Ast/remove.scm 118 */
					bool_t BgL_test1995z00_2472;

					if (((long) CINT(BGl_za2optimza2z00zzengine_paramz00) >= 2L))
						{	/* Ast/remove.scm 118 */
							BgL_test1995z00_2472 =
								(BGl_za2removedzd2countza2zd2zzast_removez00 > 0L);
						}
					else
						{	/* Ast/remove.scm 118 */
							BgL_test1995z00_2472 = ((bool_t) 0);
						}
					if (BgL_test1995z00_2472)
						{	/* Ast/remove.scm 118 */
							{	/* Ast/remove.scm 121 */
								BgL_valuez00_bglt BgL_arg1376z00_1454;

								BgL_arg1376z00_1454 =
									(((BgL_variablez00_bglt) COBJECT(
											((BgL_variablez00_bglt)
												((BgL_globalz00_bglt) BgL_globalz00_7))))->
									BgL_valuez00);
								BGl_occurzd2nodezd2sfunz12z12zzast_occurz00(((BgL_sfunz00_bglt)
										BgL_arg1376z00_1454),
									((BgL_globalz00_bglt) BgL_globalz00_7));
							}
							{

								goto BGl_globalzd2removezd2sfunz12z12zzast_removez00;
							}
						}
					else
						{	/* Ast/remove.scm 118 */
							return BgL_globalz00_7;
						}
				}
			}
		}

	}



/* node-remove*! */
	obj_t BGl_nodezd2removeza2z12z62zzast_removez00(obj_t BgL_nodeza2za2_32)
	{
		{	/* Ast/remove.scm 356 */
		BGl_nodezd2removeza2z12z62zzast_removez00:
			if (NULLP(BgL_nodeza2za2_32))
				{	/* Ast/remove.scm 357 */
					return ((obj_t) CNST_TABLE_REF(4));
				}
			else
				{	/* Ast/remove.scm 357 */
					{	/* Ast/remove.scm 360 */
						obj_t BgL_arg1379z00_1457;

						{	/* Ast/remove.scm 360 */
							obj_t BgL_arg1380z00_1458;

							BgL_arg1380z00_1458 = CAR(((obj_t) BgL_nodeza2za2_32));
							BgL_arg1379z00_1457 =
								BGl_nodezd2removez12zc0zzast_removez00(
								((BgL_nodez00_bglt) BgL_arg1380z00_1458));
						}
						{	/* Ast/remove.scm 360 */
							obj_t BgL_tmpz00_2491;

							BgL_tmpz00_2491 = ((obj_t) BgL_nodeza2za2_32);
							SET_CAR(BgL_tmpz00_2491, BgL_arg1379z00_1457);
						}
					}
					{	/* Ast/remove.scm 361 */
						obj_t BgL_arg1382z00_1459;

						BgL_arg1382z00_1459 = CDR(((obj_t) BgL_nodeza2za2_32));
						{
							obj_t BgL_nodeza2za2_2496;

							BgL_nodeza2za2_2496 = BgL_arg1382z00_1459;
							BgL_nodeza2za2_32 = BgL_nodeza2za2_2496;
							goto BGl_nodezd2removeza2z12z62zzast_removez00;
						}
					}
				}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzast_removez00(void)
	{
		{	/* Ast/remove.scm 16 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzast_removez00(void)
	{
		{	/* Ast/remove.scm 16 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_nodezd2removez12zd2envz12zzast_removez00,
				BGl_proc1909z00zzast_removez00, BGl_nodez00zzast_nodez00,
				BGl_string1910z00zzast_removez00);
		}

	}



/* &node-remove!1229 */
	obj_t BGl_z62nodezd2removez121229za2zzast_removez00(obj_t BgL_envz00_2108,
		obj_t BgL_nodez00_2109)
	{
		{	/* Ast/remove.scm 128 */
			return
				BGl_errorz00zz__errorz00(
				((obj_t)
					CNST_TABLE_REF(5)), BGl_string1911z00zzast_removez00,
				((obj_t) ((BgL_nodez00_bglt) BgL_nodez00_2109)));
		}

	}



/* node-remove! */
	BGL_EXPORTED_DEF obj_t BGl_nodezd2removez12zc0zzast_removez00(BgL_nodez00_bglt
		BgL_nodez00_8)
	{
		{	/* Ast/remove.scm 128 */
			{	/* Ast/remove.scm 128 */
				obj_t BgL_method1231z00_1464;

				{	/* Ast/remove.scm 128 */
					obj_t BgL_res1898z00_1912;

					{	/* Ast/remove.scm 128 */
						long BgL_objzd2classzd2numz00_1883;

						BgL_objzd2classzd2numz00_1883 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_8));
						{	/* Ast/remove.scm 128 */
							obj_t BgL_arg1862z00_1884;

							BgL_arg1862z00_1884 =
								PROCEDURE_REF(BGl_nodezd2removez12zd2envz12zzast_removez00,
								(int) (1L));
							{	/* Ast/remove.scm 128 */
								int BgL_offsetz00_1887;

								BgL_offsetz00_1887 = (int) (BgL_objzd2classzd2numz00_1883);
								{	/* Ast/remove.scm 128 */
									long BgL_offsetz00_1888;

									BgL_offsetz00_1888 =
										((long) (BgL_offsetz00_1887) - OBJECT_TYPE);
									{	/* Ast/remove.scm 128 */
										long BgL_modz00_1889;

										BgL_modz00_1889 =
											(BgL_offsetz00_1888 >> (int) ((long) ((int) (4L))));
										{	/* Ast/remove.scm 128 */
											long BgL_restz00_1891;

											BgL_restz00_1891 =
												(BgL_offsetz00_1888 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(1L <<
																		(int) ((long) ((int) (4L)))))) - 1L))));
											{	/* Ast/remove.scm 128 */

												{	/* Ast/remove.scm 128 */
													obj_t BgL_bucketz00_1893;

													BgL_bucketz00_1893 =
														VECTOR_REF(
														((obj_t) BgL_arg1862z00_1884), BgL_modz00_1889);
													BgL_res1898z00_1912 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_1893), BgL_restz00_1891);
					}}}}}}}}
					BgL_method1231z00_1464 = BgL_res1898z00_1912;
				}
				return
					BGL_PROCEDURE_CALL1(BgL_method1231z00_1464, ((obj_t) BgL_nodez00_8));
			}
		}

	}



/* &node-remove! */
	obj_t BGl_z62nodezd2removez12za2zzast_removez00(obj_t BgL_envz00_2110,
		obj_t BgL_nodez00_2111)
	{
		{	/* Ast/remove.scm 128 */
			return
				BGl_nodezd2removez12zc0zzast_removez00(
				((BgL_nodez00_bglt) BgL_nodez00_2111));
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzast_removez00(void)
	{
		{	/* Ast/remove.scm 16 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2removez12zd2envz12zzast_removez00, BGl_atomz00zzast_nodez00,
				BGl_proc1912z00zzast_removez00, BGl_string1913z00zzast_removez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2removez12zd2envz12zzast_removez00, BGl_varz00zzast_nodez00,
				BGl_proc1914z00zzast_removez00, BGl_string1913z00zzast_removez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2removez12zd2envz12zzast_removez00,
				BGl_kwotez00zzast_nodez00, BGl_proc1915z00zzast_removez00,
				BGl_string1913z00zzast_removez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2removez12zd2envz12zzast_removez00,
				BGl_sequencez00zzast_nodez00, BGl_proc1916z00zzast_removez00,
				BGl_string1913z00zzast_removez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2removez12zd2envz12zzast_removez00, BGl_syncz00zzast_nodez00,
				BGl_proc1917z00zzast_removez00, BGl_string1913z00zzast_removez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2removez12zd2envz12zzast_removez00, BGl_appz00zzast_nodez00,
				BGl_proc1918z00zzast_removez00, BGl_string1913z00zzast_removez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2removez12zd2envz12zzast_removez00,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc1919z00zzast_removez00,
				BGl_string1913z00zzast_removez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2removez12zd2envz12zzast_removez00,
				BGl_funcallz00zzast_nodez00, BGl_proc1920z00zzast_removez00,
				BGl_string1913z00zzast_removez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2removez12zd2envz12zzast_removez00,
				BGl_externz00zzast_nodez00, BGl_proc1921z00zzast_removez00,
				BGl_string1913z00zzast_removez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2removez12zd2envz12zzast_removez00, BGl_castz00zzast_nodez00,
				BGl_proc1922z00zzast_removez00, BGl_string1913z00zzast_removez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2removez12zd2envz12zzast_removez00, BGl_setqz00zzast_nodez00,
				BGl_proc1923z00zzast_removez00, BGl_string1913z00zzast_removez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2removez12zd2envz12zzast_removez00,
				BGl_conditionalz00zzast_nodez00, BGl_proc1924z00zzast_removez00,
				BGl_string1913z00zzast_removez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2removez12zd2envz12zzast_removez00, BGl_failz00zzast_nodez00,
				BGl_proc1925z00zzast_removez00, BGl_string1913z00zzast_removez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2removez12zd2envz12zzast_removez00,
				BGl_switchz00zzast_nodez00, BGl_proc1926z00zzast_removez00,
				BGl_string1913z00zzast_removez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2removez12zd2envz12zzast_removez00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc1927z00zzast_removez00,
				BGl_string1913z00zzast_removez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2removez12zd2envz12zzast_removez00,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc1928z00zzast_removez00,
				BGl_string1913z00zzast_removez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2removez12zd2envz12zzast_removez00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc1929z00zzast_removez00,
				BGl_string1913z00zzast_removez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2removez12zd2envz12zzast_removez00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc1930z00zzast_removez00,
				BGl_string1913z00zzast_removez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2removez12zd2envz12zzast_removez00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc1931z00zzast_removez00,
				BGl_string1913z00zzast_removez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2removez12zd2envz12zzast_removez00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc1932z00zzast_removez00,
				BGl_string1913z00zzast_removez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2removez12zd2envz12zzast_removez00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc1933z00zzast_removez00,
				BGl_string1913z00zzast_removez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2removez12zd2envz12zzast_removez00,
				BGl_retblockz00zzast_nodez00, BGl_proc1934z00zzast_removez00,
				BGl_string1913z00zzast_removez00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2removez12zd2envz12zzast_removez00,
				BGl_returnz00zzast_nodez00, BGl_proc1935z00zzast_removez00,
				BGl_string1913z00zzast_removez00);
		}

	}



/* &node-remove!-return1280 */
	obj_t BGl_z62nodezd2removez12zd2return1280z70zzast_removez00(obj_t
		BgL_envz00_2135, obj_t BgL_nodez00_2136)
	{
		{	/* Ast/remove.scm 349 */
			{	/* Ast/remove.scm 350 */
				obj_t BgL_arg1757z00_2194;

				BgL_arg1757z00_2194 =
					BGl_nodezd2removez12zc0zzast_removez00(
					(((BgL_returnz00_bglt) COBJECT(
								((BgL_returnz00_bglt) BgL_nodez00_2136)))->BgL_valuez00));
				((((BgL_returnz00_bglt) COBJECT(
								((BgL_returnz00_bglt) BgL_nodez00_2136)))->BgL_valuez00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_arg1757z00_2194)),
					BUNSPEC);
			}
			return ((obj_t) ((BgL_returnz00_bglt) BgL_nodez00_2136));
		}

	}



/* &node-remove!-retbloc1278 */
	obj_t BGl_z62nodezd2removez12zd2retbloc1278z70zzast_removez00(obj_t
		BgL_envz00_2137, obj_t BgL_nodez00_2138)
	{
		{	/* Ast/remove.scm 342 */
			{	/* Ast/remove.scm 343 */
				obj_t BgL_arg1755z00_2196;

				BgL_arg1755z00_2196 =
					BGl_nodezd2removez12zc0zzast_removez00(
					(((BgL_retblockz00_bglt) COBJECT(
								((BgL_retblockz00_bglt) BgL_nodez00_2138)))->BgL_bodyz00));
				((((BgL_retblockz00_bglt) COBJECT(
								((BgL_retblockz00_bglt) BgL_nodez00_2138)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_arg1755z00_2196)),
					BUNSPEC);
			}
			return ((obj_t) ((BgL_retblockz00_bglt) BgL_nodez00_2138));
		}

	}



/* &node-remove!-jump-ex1276 */
	obj_t BGl_z62nodezd2removez12zd2jumpzd2ex1276za2zzast_removez00(obj_t
		BgL_envz00_2139, obj_t BgL_nodez00_2140)
	{
		{	/* Ast/remove.scm 334 */
			{	/* Ast/remove.scm 335 */
				obj_t BgL_arg1729z00_2198;

				BgL_arg1729z00_2198 =
					BGl_nodezd2removez12zc0zzast_removez00(
					(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2140)))->
						BgL_exitz00));
				((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(((BgL_jumpzd2exzd2itz00_bglt)
									BgL_nodez00_2140)))->BgL_exitz00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_arg1729z00_2198)),
					BUNSPEC);
			}
			{	/* Ast/remove.scm 336 */
				obj_t BgL_arg1746z00_2199;

				BgL_arg1746z00_2199 =
					BGl_nodezd2removez12zc0zzast_removez00(
					(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2140)))->
						BgL_valuez00));
				((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(((BgL_jumpzd2exzd2itz00_bglt)
									BgL_nodez00_2140)))->BgL_valuez00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_arg1746z00_2199)),
					BUNSPEC);
			}
			return ((obj_t) ((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2140));
		}

	}



/* &node-remove!-set-ex-1274 */
	obj_t BGl_z62nodezd2removez12zd2setzd2exzd21274z70zzast_removez00(obj_t
		BgL_envz00_2141, obj_t BgL_nodez00_2142)
	{
		{	/* Ast/remove.scm 324 */
			{	/* Ast/remove.scm 325 */
				obj_t BgL_arg1692z00_2201;

				BgL_arg1692z00_2201 =
					BGl_nodezd2removez12zc0zzast_removez00(
					(((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2142)))->BgL_bodyz00));
				((((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2142)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_arg1692z00_2201)),
					BUNSPEC);
			}
			{	/* Ast/remove.scm 326 */
				obj_t BgL_arg1695z00_2202;

				BgL_arg1695z00_2202 =
					BGl_nodezd2removez12zc0zzast_removez00(
					(((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2142)))->
						BgL_onexitz00));
				((((BgL_setzd2exzd2itz00_bglt) COBJECT(((BgL_setzd2exzd2itz00_bglt)
									BgL_nodez00_2142)))->BgL_onexitz00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_arg1695z00_2202)),
					BUNSPEC);
			}
			if (
				((((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt)
									((BgL_localz00_bglt)
										(((BgL_varz00_bglt) COBJECT(
													(((BgL_setzd2exzd2itz00_bglt) COBJECT(
																((BgL_setzd2exzd2itz00_bglt)
																	BgL_nodez00_2142)))->BgL_varz00)))->
											BgL_variablez00)))))->BgL_occurrencez00) <= 0L))
				{	/* Ast/remove.scm 327 */
					return
						((obj_t)
						(((BgL_setzd2exzd2itz00_bglt) COBJECT(
									((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2142)))->
							BgL_bodyz00));
				}
			else
				{	/* Ast/remove.scm 327 */
					return ((obj_t) ((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2142));
				}
		}

	}



/* &node-remove!-let-var1272 */
	obj_t BGl_z62nodezd2removez12zd2letzd2var1272za2zzast_removez00(obj_t
		BgL_envz00_2143, obj_t BgL_nodez00_2144)
	{
		{	/* Ast/remove.scm 285 */
			{
				BgL_nodez00_bglt BgL_auxz00_2613;

				{	/* Ast/remove.scm 287 */
					BgL_nodez00_bglt BgL_arg1638z00_2204;

					BgL_arg1638z00_2204 =
						(((BgL_letzd2varzd2_bglt) COBJECT(
								((BgL_letzd2varzd2_bglt) BgL_nodez00_2144)))->BgL_bodyz00);
					BgL_auxz00_2613 =
						((BgL_nodez00_bglt)
						BGl_nodezd2removez12zc0zzast_removez00(BgL_arg1638z00_2204));
				}
				((((BgL_letzd2varzd2_bglt) COBJECT(
								((BgL_letzd2varzd2_bglt) BgL_nodez00_2144)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_2613), BUNSPEC);
			}
			{
				obj_t BgL_oldzd2bindingszd2_2206;
				obj_t BgL_newzd2bindingszd2_2207;

				{	/* Ast/remove.scm 288 */
					obj_t BgL_arg1642z00_2232;

					BgL_arg1642z00_2232 =
						(((BgL_letzd2varzd2_bglt) COBJECT(
								((BgL_letzd2varzd2_bglt) BgL_nodez00_2144)))->BgL_bindingsz00);
					{
						BgL_nodez00_bglt BgL_auxz00_2622;

						BgL_oldzd2bindingszd2_2206 = BgL_arg1642z00_2232;
						BgL_newzd2bindingszd2_2207 = BNIL;
					BgL_loopz00_2205:
						if (NULLP(BgL_oldzd2bindingszd2_2206))
							{	/* Ast/remove.scm 290 */
								if (NULLP(BgL_newzd2bindingszd2_2207))
									{	/* Ast/remove.scm 291 */
										if (
											(((BgL_letzd2varzd2_bglt) COBJECT(
														((BgL_letzd2varzd2_bglt) BgL_nodez00_2144)))->
												BgL_removablezf3zf3))
											{	/* Ast/remove.scm 292 */
												BgL_auxz00_2622 =
													(((BgL_letzd2varzd2_bglt) COBJECT(
															((BgL_letzd2varzd2_bglt) BgL_nodez00_2144)))->
													BgL_bodyz00);
											}
										else
											{	/* Ast/remove.scm 292 */
												((((BgL_letzd2varzd2_bglt) COBJECT(
																((BgL_letzd2varzd2_bglt) BgL_nodez00_2144)))->
														BgL_bindingsz00) = ((obj_t) BNIL), BUNSPEC);
												BgL_auxz00_2622 =
													((BgL_nodez00_bglt) ((BgL_letzd2varzd2_bglt)
														BgL_nodez00_2144));
											}
									}
								else
									{	/* Ast/remove.scm 291 */
										((((BgL_letzd2varzd2_bglt) COBJECT(
														((BgL_letzd2varzd2_bglt) BgL_nodez00_2144)))->
												BgL_bindingsz00) =
											((obj_t) bgl_reverse_bang(BgL_newzd2bindingszd2_2207)),
											BUNSPEC);
										BgL_auxz00_2622 =
											((BgL_nodez00_bglt) ((BgL_letzd2varzd2_bglt)
												BgL_nodez00_2144));
									}
							}
						else
							{	/* Ast/remove.scm 300 */
								obj_t BgL_bindingz00_2208;

								BgL_bindingz00_2208 = CAR(((obj_t) BgL_oldzd2bindingszd2_2206));
								{	/* Ast/remove.scm 300 */
									obj_t BgL_varz00_2209;

									BgL_varz00_2209 = CAR(((obj_t) BgL_bindingz00_2208));
									{	/* Ast/remove.scm 301 */
										obj_t BgL_valz00_2210;

										{	/* Ast/remove.scm 302 */
											obj_t BgL_arg1691z00_2211;

											BgL_arg1691z00_2211 = CDR(((obj_t) BgL_bindingz00_2208));
											BgL_valz00_2210 =
												BGl_nodezd2removez12zc0zzast_removez00(
												((BgL_nodez00_bglt) BgL_arg1691z00_2211));
										}
										{	/* Ast/remove.scm 302 */

											{	/* Ast/remove.scm 303 */
												bool_t BgL_test2002z00_2649;

												if (
													((((BgL_variablez00_bglt) COBJECT(
																	((BgL_variablez00_bglt)
																		((BgL_localz00_bglt) BgL_varz00_2209))))->
															BgL_occurrencez00) <= 0L))
													{	/* Ast/remove.scm 303 */
														if (BGl_sidezd2effectzf3z21zzeffect_effectz00(
																((BgL_nodez00_bglt) BgL_valz00_2210)))
															{	/* Ast/remove.scm 304 */
																BgL_test2002z00_2649 = ((bool_t) 0);
															}
														else
															{	/* Ast/remove.scm 304 */
																if (
																	((((BgL_variablez00_bglt) COBJECT(
																					((BgL_variablez00_bglt)
																						((BgL_localz00_bglt)
																							BgL_varz00_2209))))->
																			BgL_accessz00) ==
																		((obj_t) CNST_TABLE_REF(6))))
																	{	/* Ast/remove.scm 306 */
																		bool_t BgL__ortest_1108z00_2212;

																		if (
																			(((BgL_variablez00_bglt) COBJECT(
																						((BgL_variablez00_bglt)
																							((BgL_localz00_bglt)
																								BgL_varz00_2209))))->
																				BgL_userzf3zf3))
																			{	/* Ast/remove.scm 306 */
																				BgL__ortest_1108z00_2212 = ((bool_t) 0);
																			}
																		else
																			{	/* Ast/remove.scm 306 */
																				BgL__ortest_1108z00_2212 = ((bool_t) 1);
																			}
																		if (BgL__ortest_1108z00_2212)
																			{	/* Ast/remove.scm 306 */
																				BgL_test2002z00_2649 =
																					BgL__ortest_1108z00_2212;
																			}
																		else
																			{	/* Ast/remove.scm 306 */
																				BgL_test2002z00_2649 =
																					(
																					(long)
																					CINT
																					(BGl_za2bdbzd2debugza2zd2zzengine_paramz00)
																					== 0L);
																	}}
																else
																	{	/* Ast/remove.scm 305 */
																		BgL_test2002z00_2649 = ((bool_t) 0);
																	}
															}
													}
												else
													{	/* Ast/remove.scm 303 */
														BgL_test2002z00_2649 = ((bool_t) 0);
													}
												if (BgL_test2002z00_2649)
													{	/* Ast/remove.scm 303 */
														{	/* Ast/remove.scm 309 */
															bool_t BgL_test2008z00_2672;

															{	/* Ast/remove.scm 309 */
																obj_t BgL_classz00_2213;

																BgL_classz00_2213 = BGl_varz00zzast_nodez00;
																if (BGL_OBJECTP(BgL_valz00_2210))
																	{	/* Ast/remove.scm 309 */
																		BgL_objectz00_bglt BgL_arg1858z00_2214;

																		BgL_arg1858z00_2214 =
																			(BgL_objectz00_bglt) (BgL_valz00_2210);
																		if (BGL_CONDEXPAND_ISA_ARCH64())
																			{	/* Ast/remove.scm 309 */
																				long BgL_idxz00_2215;

																				BgL_idxz00_2215 =
																					BGL_OBJECT_INHERITANCE_NUM
																					(BgL_arg1858z00_2214);
																				BgL_test2008z00_2672 =
																					(VECTOR_REF
																					(BGl_za2inheritancesza2z00zz__objectz00,
																						(BgL_idxz00_2215 + 2L)) ==
																					BgL_classz00_2213);
																			}
																		else
																			{	/* Ast/remove.scm 309 */
																				bool_t BgL_res1899z00_2218;

																				{	/* Ast/remove.scm 309 */
																					obj_t BgL_oclassz00_2219;

																					{	/* Ast/remove.scm 309 */
																						obj_t BgL_arg1866z00_2220;
																						long BgL_arg1867z00_2221;

																						BgL_arg1866z00_2220 =
																							(BGl_za2classesza2z00zz__objectz00);
																						{	/* Ast/remove.scm 309 */
																							long BgL_arg1869z00_2222;

																							BgL_arg1869z00_2222 =
																								BGL_OBJECT_CLASS_NUM
																								(BgL_arg1858z00_2214);
																							BgL_arg1867z00_2221 =
																								(BgL_arg1869z00_2222 -
																								OBJECT_TYPE);
																						}
																						BgL_oclassz00_2219 =
																							VECTOR_REF(BgL_arg1866z00_2220,
																							BgL_arg1867z00_2221);
																					}
																					{	/* Ast/remove.scm 309 */
																						bool_t BgL__ortest_1115z00_2223;

																						BgL__ortest_1115z00_2223 =
																							(BgL_classz00_2213 ==
																							BgL_oclassz00_2219);
																						if (BgL__ortest_1115z00_2223)
																							{	/* Ast/remove.scm 309 */
																								BgL_res1899z00_2218 =
																									BgL__ortest_1115z00_2223;
																							}
																						else
																							{	/* Ast/remove.scm 309 */
																								long BgL_odepthz00_2224;

																								{	/* Ast/remove.scm 309 */
																									obj_t BgL_arg1855z00_2225;

																									BgL_arg1855z00_2225 =
																										(BgL_oclassz00_2219);
																									BgL_odepthz00_2224 =
																										BGL_CLASS_DEPTH
																										(BgL_arg1855z00_2225);
																								}
																								if ((2L < BgL_odepthz00_2224))
																									{	/* Ast/remove.scm 309 */
																										obj_t BgL_arg1853z00_2226;

																										{	/* Ast/remove.scm 309 */
																											obj_t BgL_arg1854z00_2227;

																											BgL_arg1854z00_2227 =
																												(BgL_oclassz00_2219);
																											BgL_arg1853z00_2226 =
																												BGL_CLASS_ANCESTORS_REF
																												(BgL_arg1854z00_2227,
																												2L);
																										}
																										BgL_res1899z00_2218 =
																											(BgL_arg1853z00_2226 ==
																											BgL_classz00_2213);
																									}
																								else
																									{	/* Ast/remove.scm 309 */
																										BgL_res1899z00_2218 =
																											((bool_t) 0);
																									}
																							}
																					}
																				}
																				BgL_test2008z00_2672 =
																					BgL_res1899z00_2218;
																			}
																	}
																else
																	{	/* Ast/remove.scm 309 */
																		BgL_test2008z00_2672 = ((bool_t) 0);
																	}
															}
															if (BgL_test2008z00_2672)
																{	/* Ast/remove.scm 310 */
																	BgL_variablez00_bglt BgL_vz00_2228;

																	BgL_vz00_2228 =
																		(((BgL_varz00_bglt) COBJECT(
																				((BgL_varz00_bglt) BgL_valz00_2210)))->
																		BgL_variablez00);
																	((((BgL_variablez00_bglt)
																				COBJECT(BgL_vz00_2228))->
																			BgL_occurrencez00) =
																		((long) ((((BgL_variablez00_bglt)
																						COBJECT(BgL_vz00_2228))->
																					BgL_occurrencez00) - 1L)), BUNSPEC);
																}
															else
																{	/* Ast/remove.scm 309 */
																	BFALSE;
																}
														}
														BGl_za2removedzd2countza2zd2zzast_removez00 =
															(BGl_za2removedzd2countza2zd2zzast_removez00 +
															1L);
														{	/* Ast/remove.scm 315 */
															obj_t BgL_arg1675z00_2229;

															BgL_arg1675z00_2229 =
																CDR(((obj_t) BgL_oldzd2bindingszd2_2206));
															{
																obj_t BgL_oldzd2bindingszd2_2703;

																BgL_oldzd2bindingszd2_2703 =
																	BgL_arg1675z00_2229;
																BgL_oldzd2bindingszd2_2206 =
																	BgL_oldzd2bindingszd2_2703;
																goto BgL_loopz00_2205;
															}
														}
													}
												else
													{	/* Ast/remove.scm 303 */
														{	/* Ast/remove.scm 317 */
															obj_t BgL_tmpz00_2704;

															BgL_tmpz00_2704 = ((obj_t) BgL_bindingz00_2208);
															SET_CDR(BgL_tmpz00_2704, BgL_valz00_2210);
														}
														{	/* Ast/remove.scm 318 */
															obj_t BgL_arg1677z00_2230;
															obj_t BgL_arg1679z00_2231;

															BgL_arg1677z00_2230 =
																CDR(((obj_t) BgL_oldzd2bindingszd2_2206));
															BgL_arg1679z00_2231 =
																MAKE_YOUNG_PAIR(BgL_bindingz00_2208,
																BgL_newzd2bindingszd2_2207);
															{
																obj_t BgL_newzd2bindingszd2_2711;
																obj_t BgL_oldzd2bindingszd2_2710;

																BgL_oldzd2bindingszd2_2710 =
																	BgL_arg1677z00_2230;
																BgL_newzd2bindingszd2_2711 =
																	BgL_arg1679z00_2231;
																BgL_newzd2bindingszd2_2207 =
																	BgL_newzd2bindingszd2_2711;
																BgL_oldzd2bindingszd2_2206 =
																	BgL_oldzd2bindingszd2_2710;
																goto BgL_loopz00_2205;
															}
														}
													}
											}
										}
									}
								}
							}
						return ((obj_t) BgL_auxz00_2622);
					}
				}
			}
		}

	}



/* &node-remove!-let-fun1270 */
	obj_t BGl_z62nodezd2removez12zd2letzd2fun1270za2zzast_removez00(obj_t
		BgL_envz00_2145, obj_t BgL_nodez00_2146)
	{
		{	/* Ast/remove.scm 262 */
			{
				BgL_nodez00_bglt BgL_auxz00_2713;

				{	/* Ast/remove.scm 264 */
					BgL_nodez00_bglt BgL_arg1597z00_2234;

					BgL_arg1597z00_2234 =
						(((BgL_letzd2funzd2_bglt) COBJECT(
								((BgL_letzd2funzd2_bglt) BgL_nodez00_2146)))->BgL_bodyz00);
					BgL_auxz00_2713 =
						((BgL_nodez00_bglt)
						BGl_nodezd2removez12zc0zzast_removez00(BgL_arg1597z00_2234));
				}
				((((BgL_letzd2funzd2_bglt) COBJECT(
								((BgL_letzd2funzd2_bglt) BgL_nodez00_2146)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_2713), BUNSPEC);
			}
			{
				obj_t BgL_oldzd2localszd2_2236;
				obj_t BgL_newzd2localszd2_2237;

				{	/* Ast/remove.scm 265 */
					obj_t BgL_arg1605z00_2245;

					BgL_arg1605z00_2245 =
						(((BgL_letzd2funzd2_bglt) COBJECT(
								((BgL_letzd2funzd2_bglt) BgL_nodez00_2146)))->BgL_localsz00);
					{
						BgL_nodez00_bglt BgL_auxz00_2722;

						BgL_oldzd2localszd2_2236 = BgL_arg1605z00_2245;
						BgL_newzd2localszd2_2237 = BNIL;
					BgL_loopz00_2235:
						if (NULLP(BgL_oldzd2localszd2_2236))
							{	/* Ast/remove.scm 267 */
								if (NULLP(BgL_newzd2localszd2_2237))
									{	/* Ast/remove.scm 268 */
										BgL_auxz00_2722 =
											(((BgL_letzd2funzd2_bglt) COBJECT(
													((BgL_letzd2funzd2_bglt) BgL_nodez00_2146)))->
											BgL_bodyz00);
									}
								else
									{	/* Ast/remove.scm 268 */
										((((BgL_letzd2funzd2_bglt) COBJECT(
														((BgL_letzd2funzd2_bglt) BgL_nodez00_2146)))->
												BgL_localsz00) =
											((obj_t) bgl_reverse_bang(BgL_newzd2localszd2_2237)),
											BUNSPEC);
										BgL_auxz00_2722 =
											((BgL_nodez00_bglt) ((BgL_letzd2funzd2_bglt)
												BgL_nodez00_2146));
									}
							}
						else
							{	/* Ast/remove.scm 273 */
								obj_t BgL_localz00_2238;

								BgL_localz00_2238 = CAR(((obj_t) BgL_oldzd2localszd2_2236));
								if (
									((((BgL_variablez00_bglt) COBJECT(
													((BgL_variablez00_bglt)
														((BgL_localz00_bglt) BgL_localz00_2238))))->
											BgL_occurrencez00) <= 0L))
									{	/* Ast/remove.scm 274 */
										BGl_za2removedzd2countza2zd2zzast_removez00 =
											(BGl_za2removedzd2countza2zd2zzast_removez00 + 1L);
										{	/* Ast/remove.scm 277 */
											obj_t BgL_arg1625z00_2239;

											BgL_arg1625z00_2239 =
												CDR(((obj_t) BgL_oldzd2localszd2_2236));
											{
												obj_t BgL_oldzd2localszd2_2744;

												BgL_oldzd2localszd2_2744 = BgL_arg1625z00_2239;
												BgL_oldzd2localszd2_2236 = BgL_oldzd2localszd2_2744;
												goto BgL_loopz00_2235;
											}
										}
									}
								else
									{	/* Ast/remove.scm 278 */
										BgL_valuez00_bglt BgL_sfunz00_2240;

										BgL_sfunz00_2240 =
											(((BgL_variablez00_bglt) COBJECT(
													((BgL_variablez00_bglt)
														((BgL_localz00_bglt) BgL_localz00_2238))))->
											BgL_valuez00);
										{	/* Ast/remove.scm 279 */
											obj_t BgL_arg1626z00_2241;

											{	/* Ast/remove.scm 279 */
												obj_t BgL_arg1631z00_2242;

												BgL_arg1631z00_2242 =
													(((BgL_sfunz00_bglt) COBJECT(
															((BgL_sfunz00_bglt) BgL_sfunz00_2240)))->
													BgL_bodyz00);
												BgL_arg1626z00_2241 =
													BGl_nodezd2removez12zc0zzast_removez00((
														(BgL_nodez00_bglt) BgL_arg1631z00_2242));
											}
											((((BgL_sfunz00_bglt) COBJECT(
															((BgL_sfunz00_bglt) BgL_sfunz00_2240)))->
													BgL_bodyz00) =
												((obj_t) BgL_arg1626z00_2241), BUNSPEC);
										}
										{	/* Ast/remove.scm 280 */
											obj_t BgL_arg1632z00_2243;
											obj_t BgL_arg1633z00_2244;

											BgL_arg1632z00_2243 =
												CDR(((obj_t) BgL_oldzd2localszd2_2236));
											BgL_arg1633z00_2244 =
												MAKE_YOUNG_PAIR(BgL_localz00_2238,
												BgL_newzd2localszd2_2237);
											{
												obj_t BgL_newzd2localszd2_2758;
												obj_t BgL_oldzd2localszd2_2757;

												BgL_oldzd2localszd2_2757 = BgL_arg1632z00_2243;
												BgL_newzd2localszd2_2758 = BgL_arg1633z00_2244;
												BgL_newzd2localszd2_2237 = BgL_newzd2localszd2_2758;
												BgL_oldzd2localszd2_2236 = BgL_oldzd2localszd2_2757;
												goto BgL_loopz00_2235;
											}
										}
									}
							}
						return ((obj_t) BgL_auxz00_2722);
					}
				}
			}
		}

	}



/* &node-remove!-box-set1267 */
	obj_t BGl_z62nodezd2removez12zd2boxzd2set1267za2zzast_removez00(obj_t
		BgL_envz00_2147, obj_t BgL_nodez00_2148)
	{
		{	/* Ast/remove.scm 254 */
			{	/* Ast/remove.scm 255 */
				obj_t BgL_arg1588z00_2247;

				{	/* Ast/remove.scm 255 */
					BgL_varz00_bglt BgL_arg1590z00_2248;

					BgL_arg1590z00_2248 =
						(((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2148)))->BgL_varz00);
					BgL_arg1588z00_2247 =
						BGl_nodezd2removez12zc0zzast_removez00(
						((BgL_nodez00_bglt) BgL_arg1590z00_2248));
				}
				((((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2148)))->BgL_varz00) =
					((BgL_varz00_bglt) ((BgL_varz00_bglt) BgL_arg1588z00_2247)), BUNSPEC);
			}
			{	/* Ast/remove.scm 256 */
				obj_t BgL_arg1592z00_2249;

				BgL_arg1592z00_2249 =
					BGl_nodezd2removez12zc0zzast_removez00(
					(((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2148)))->BgL_valuez00));
				((((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2148)))->BgL_valuez00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_arg1592z00_2249)),
					BUNSPEC);
			}
			return ((obj_t) ((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2148));
		}

	}



/* &node-remove!-box-ref1265 */
	obj_t BGl_z62nodezd2removez12zd2boxzd2ref1265za2zzast_removez00(obj_t
		BgL_envz00_2149, obj_t BgL_nodez00_2150)
	{
		{	/* Ast/remove.scm 247 */
			{	/* Ast/remove.scm 248 */
				obj_t BgL_arg1581z00_2251;

				{	/* Ast/remove.scm 248 */
					BgL_varz00_bglt BgL_arg1587z00_2252;

					BgL_arg1587z00_2252 =
						(((BgL_boxzd2refzd2_bglt) COBJECT(
								((BgL_boxzd2refzd2_bglt) BgL_nodez00_2150)))->BgL_varz00);
					BgL_arg1581z00_2251 =
						BGl_nodezd2removez12zc0zzast_removez00(
						((BgL_nodez00_bglt) BgL_arg1587z00_2252));
				}
				((((BgL_boxzd2refzd2_bglt) COBJECT(
								((BgL_boxzd2refzd2_bglt) BgL_nodez00_2150)))->BgL_varz00) =
					((BgL_varz00_bglt) ((BgL_varz00_bglt) BgL_arg1581z00_2251)), BUNSPEC);
			}
			return ((obj_t) ((BgL_boxzd2refzd2_bglt) BgL_nodez00_2150));
		}

	}



/* &node-remove!-make-bo1263 */
	obj_t BGl_z62nodezd2removez12zd2makezd2bo1263za2zzast_removez00(obj_t
		BgL_envz00_2151, obj_t BgL_nodez00_2152)
	{
		{	/* Ast/remove.scm 240 */
			{	/* Ast/remove.scm 241 */
				obj_t BgL_arg1577z00_2254;

				BgL_arg1577z00_2254 =
					BGl_nodezd2removez12zc0zzast_removez00(
					(((BgL_makezd2boxzd2_bglt) COBJECT(
								((BgL_makezd2boxzd2_bglt) BgL_nodez00_2152)))->BgL_valuez00));
				((((BgL_makezd2boxzd2_bglt) COBJECT(
								((BgL_makezd2boxzd2_bglt) BgL_nodez00_2152)))->BgL_valuez00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_arg1577z00_2254)),
					BUNSPEC);
			}
			return ((obj_t) ((BgL_makezd2boxzd2_bglt) BgL_nodez00_2152));
		}

	}



/* &node-remove!-switch1261 */
	obj_t BGl_z62nodezd2removez12zd2switch1261z70zzast_removez00(obj_t
		BgL_envz00_2153, obj_t BgL_nodez00_2154)
	{
		{	/* Ast/remove.scm 230 */
			{	/* Ast/remove.scm 231 */
				obj_t BgL_arg1545z00_2256;

				BgL_arg1545z00_2256 =
					BGl_nodezd2removez12zc0zzast_removez00(
					(((BgL_switchz00_bglt) COBJECT(
								((BgL_switchz00_bglt) BgL_nodez00_2154)))->BgL_testz00));
				((((BgL_switchz00_bglt) COBJECT(
								((BgL_switchz00_bglt) BgL_nodez00_2154)))->BgL_testz00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_arg1545z00_2256)),
					BUNSPEC);
			}
			{	/* Ast/remove.scm 232 */
				obj_t BgL_g1228z00_2257;

				BgL_g1228z00_2257 =
					(((BgL_switchz00_bglt) COBJECT(
							((BgL_switchz00_bglt) BgL_nodez00_2154)))->BgL_clausesz00);
				{
					obj_t BgL_l1226z00_2259;

					BgL_l1226z00_2259 = BgL_g1228z00_2257;
				BgL_zc3z04anonymousza31554ze3z87_2258:
					if (PAIRP(BgL_l1226z00_2259))
						{	/* Ast/remove.scm 234 */
							{	/* Ast/remove.scm 233 */
								obj_t BgL_clausez00_2260;

								BgL_clausez00_2260 = CAR(BgL_l1226z00_2259);
								{	/* Ast/remove.scm 233 */
									obj_t BgL_arg1558z00_2261;

									{	/* Ast/remove.scm 233 */
										obj_t BgL_arg1560z00_2262;

										BgL_arg1560z00_2262 = CDR(((obj_t) BgL_clausez00_2260));
										BgL_arg1558z00_2261 =
											BGl_nodezd2removez12zc0zzast_removez00(
											((BgL_nodez00_bglt) BgL_arg1560z00_2262));
									}
									{	/* Ast/remove.scm 233 */
										obj_t BgL_tmpz00_2807;

										BgL_tmpz00_2807 = ((obj_t) BgL_clausez00_2260);
										SET_CDR(BgL_tmpz00_2807, BgL_arg1558z00_2261);
									}
								}
							}
							{
								obj_t BgL_l1226z00_2810;

								BgL_l1226z00_2810 = CDR(BgL_l1226z00_2259);
								BgL_l1226z00_2259 = BgL_l1226z00_2810;
								goto BgL_zc3z04anonymousza31554ze3z87_2258;
							}
						}
					else
						{	/* Ast/remove.scm 234 */
							((bool_t) 1);
						}
				}
			}
			return ((obj_t) ((BgL_switchz00_bglt) BgL_nodez00_2154));
		}

	}



/* &node-remove!-fail1259 */
	obj_t BGl_z62nodezd2removez12zd2fail1259z70zzast_removez00(obj_t
		BgL_envz00_2155, obj_t BgL_nodez00_2156)
	{
		{	/* Ast/remove.scm 221 */
			{	/* Ast/remove.scm 222 */
				obj_t BgL_arg1515z00_2264;

				BgL_arg1515z00_2264 =
					BGl_nodezd2removez12zc0zzast_removez00(
					(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2156)))->BgL_procz00));
				((((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2156)))->BgL_procz00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_arg1515z00_2264)),
					BUNSPEC);
			}
			{	/* Ast/remove.scm 223 */
				obj_t BgL_arg1530z00_2265;

				BgL_arg1530z00_2265 =
					BGl_nodezd2removez12zc0zzast_removez00(
					(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2156)))->BgL_msgz00));
				((((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2156)))->BgL_msgz00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_arg1530z00_2265)),
					BUNSPEC);
			}
			{	/* Ast/remove.scm 224 */
				obj_t BgL_arg1535z00_2266;

				BgL_arg1535z00_2266 =
					BGl_nodezd2removez12zc0zzast_removez00(
					(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2156)))->BgL_objz00));
				((((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2156)))->BgL_objz00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_arg1535z00_2266)),
					BUNSPEC);
			}
			return ((obj_t) ((BgL_failz00_bglt) BgL_nodez00_2156));
		}

	}



/* &node-remove!-conditi1256 */
	obj_t BGl_z62nodezd2removez12zd2conditi1256z70zzast_removez00(obj_t
		BgL_envz00_2157, obj_t BgL_nodez00_2158)
	{
		{	/* Ast/remove.scm 212 */
			{	/* Ast/remove.scm 213 */
				obj_t BgL_arg1489z00_2268;

				BgL_arg1489z00_2268 =
					BGl_nodezd2removez12zc0zzast_removez00(
					(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_2158)))->BgL_testz00));
				((((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_2158)))->BgL_testz00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_arg1489z00_2268)),
					BUNSPEC);
			}
			{	/* Ast/remove.scm 214 */
				obj_t BgL_arg1506z00_2269;

				BgL_arg1506z00_2269 =
					BGl_nodezd2removez12zc0zzast_removez00(
					(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_2158)))->BgL_truez00));
				((((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_2158)))->BgL_truez00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_arg1506z00_2269)),
					BUNSPEC);
			}
			{	/* Ast/remove.scm 215 */
				obj_t BgL_arg1512z00_2270;

				BgL_arg1512z00_2270 =
					BGl_nodezd2removez12zc0zzast_removez00(
					(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_2158)))->BgL_falsez00));
				((((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_2158)))->BgL_falsez00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_arg1512z00_2270)),
					BUNSPEC);
			}
			return ((obj_t) ((BgL_conditionalz00_bglt) BgL_nodez00_2158));
		}

	}



/* &node-remove!-setq1254 */
	obj_t BGl_z62nodezd2removez12zd2setq1254z70zzast_removez00(obj_t
		BgL_envz00_2159, obj_t BgL_nodez00_2160)
	{
		{	/* Ast/remove.scm 205 */
			{	/* Ast/remove.scm 206 */
				obj_t BgL_arg1484z00_2272;

				BgL_arg1484z00_2272 =
					BGl_nodezd2removez12zc0zzast_removez00(
					(((BgL_setqz00_bglt) COBJECT(
								((BgL_setqz00_bglt) BgL_nodez00_2160)))->BgL_valuez00));
				((((BgL_setqz00_bglt) COBJECT(
								((BgL_setqz00_bglt) BgL_nodez00_2160)))->BgL_valuez00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_arg1484z00_2272)),
					BUNSPEC);
			}
			return ((obj_t) ((BgL_setqz00_bglt) BgL_nodez00_2160));
		}

	}



/* &node-remove!-cast1252 */
	obj_t BGl_z62nodezd2removez12zd2cast1252z70zzast_removez00(obj_t
		BgL_envz00_2161, obj_t BgL_nodez00_2162)
	{
		{	/* Ast/remove.scm 198 */
			{	/* Ast/remove.scm 199 */
				obj_t BgL_arg1471z00_2274;

				BgL_arg1471z00_2274 =
					BGl_nodezd2removez12zc0zzast_removez00(
					(((BgL_castz00_bglt) COBJECT(
								((BgL_castz00_bglt) BgL_nodez00_2162)))->BgL_argz00));
				((((BgL_castz00_bglt) COBJECT(
								((BgL_castz00_bglt) BgL_nodez00_2162)))->BgL_argz00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_arg1471z00_2274)),
					BUNSPEC);
			}
			return ((obj_t) ((BgL_castz00_bglt) BgL_nodez00_2162));
		}

	}



/* &node-remove!-extern1250 */
	obj_t BGl_z62nodezd2removez12zd2extern1250z70zzast_removez00(obj_t
		BgL_envz00_2163, obj_t BgL_nodez00_2164)
	{
		{	/* Ast/remove.scm 191 */
			BGl_nodezd2removeza2z12z62zzast_removez00(
				(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt) BgL_nodez00_2164)))->BgL_exprza2za2));
			return ((obj_t) ((BgL_externz00_bglt) BgL_nodez00_2164));
		}

	}



/* &node-remove!-funcall1248 */
	obj_t BGl_z62nodezd2removez12zd2funcall1248z70zzast_removez00(obj_t
		BgL_envz00_2165, obj_t BgL_nodez00_2166)
	{
		{	/* Ast/remove.scm 183 */
			{	/* Ast/remove.scm 184 */
				obj_t BgL_arg1418z00_2277;

				BgL_arg1418z00_2277 =
					BGl_nodezd2removez12zc0zzast_removez00(
					(((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_nodez00_2166)))->BgL_funz00));
				((((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_nodez00_2166)))->BgL_funz00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_arg1418z00_2277)),
					BUNSPEC);
			}
			BGl_nodezd2removeza2z12z62zzast_removez00(
				(((BgL_funcallz00_bglt) COBJECT(
							((BgL_funcallz00_bglt) BgL_nodez00_2166)))->BgL_argsz00));
			return ((obj_t) ((BgL_funcallz00_bglt) BgL_nodez00_2166));
		}

	}



/* &node-remove!-app-ly1246 */
	obj_t BGl_z62nodezd2removez12zd2appzd2ly1246za2zzast_removez00(obj_t
		BgL_envz00_2167, obj_t BgL_nodez00_2168)
	{
		{	/* Ast/remove.scm 175 */
			{	/* Ast/remove.scm 176 */
				obj_t BgL_arg1414z00_2279;

				BgL_arg1414z00_2279 =
					BGl_nodezd2removez12zc0zzast_removez00(
					(((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_2168)))->BgL_funz00));
				((((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_2168)))->BgL_funz00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_arg1414z00_2279)),
					BUNSPEC);
			}
			{	/* Ast/remove.scm 177 */
				obj_t BgL_arg1416z00_2280;

				BgL_arg1416z00_2280 =
					BGl_nodezd2removez12zc0zzast_removez00(
					(((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_2168)))->BgL_argz00));
				((((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_2168)))->BgL_argz00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_arg1416z00_2280)),
					BUNSPEC);
			}
			return ((obj_t) ((BgL_appzd2lyzd2_bglt) BgL_nodez00_2168));
		}

	}



/* &node-remove!-app1244 */
	obj_t BGl_z62nodezd2removez12zd2app1244z70zzast_removez00(obj_t
		BgL_envz00_2169, obj_t BgL_nodez00_2170)
	{
		{	/* Ast/remove.scm 167 */
			{	/* Ast/remove.scm 168 */
				obj_t BgL_arg1402z00_2282;

				{	/* Ast/remove.scm 168 */
					BgL_varz00_bglt BgL_arg1403z00_2283;

					BgL_arg1403z00_2283 =
						(((BgL_appz00_bglt) COBJECT(
								((BgL_appz00_bglt) BgL_nodez00_2170)))->BgL_funz00);
					BgL_arg1402z00_2282 =
						BGl_nodezd2removez12zc0zzast_removez00(
						((BgL_nodez00_bglt) BgL_arg1403z00_2283));
				}
				((((BgL_appz00_bglt) COBJECT(
								((BgL_appz00_bglt) BgL_nodez00_2170)))->BgL_funz00) =
					((BgL_varz00_bglt) ((BgL_varz00_bglt) BgL_arg1402z00_2282)), BUNSPEC);
			}
			BGl_nodezd2removeza2z12z62zzast_removez00(
				(((BgL_appz00_bglt) COBJECT(
							((BgL_appz00_bglt) BgL_nodez00_2170)))->BgL_argsz00));
			return ((obj_t) ((BgL_appz00_bglt) BgL_nodez00_2170));
		}

	}



/* &node-remove!-sync1242 */
	obj_t BGl_z62nodezd2removez12zd2sync1242z70zzast_removez00(obj_t
		BgL_envz00_2171, obj_t BgL_nodez00_2172)
	{
		{	/* Ast/remove.scm 158 */
			{	/* Ast/remove.scm 159 */
				obj_t BgL_arg1386z00_2285;

				BgL_arg1386z00_2285 =
					BGl_nodezd2removez12zc0zzast_removez00(
					(((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_2172)))->BgL_mutexz00));
				((((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_2172)))->BgL_mutexz00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_arg1386z00_2285)),
					BUNSPEC);
			}
			{	/* Ast/remove.scm 160 */
				obj_t BgL_arg1390z00_2286;

				BgL_arg1390z00_2286 =
					BGl_nodezd2removez12zc0zzast_removez00(
					(((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_2172)))->BgL_prelockz00));
				((((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_2172)))->BgL_prelockz00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_arg1390z00_2286)),
					BUNSPEC);
			}
			{	/* Ast/remove.scm 161 */
				obj_t BgL_arg1400z00_2287;

				BgL_arg1400z00_2287 =
					BGl_nodezd2removez12zc0zzast_removez00(
					(((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_2172)))->BgL_bodyz00));
				((((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_2172)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_arg1400z00_2287)),
					BUNSPEC);
			}
			return ((obj_t) ((BgL_syncz00_bglt) BgL_nodez00_2172));
		}

	}



/* &node-remove!-sequenc1240 */
	obj_t BGl_z62nodezd2removez12zd2sequenc1240z70zzast_removez00(obj_t
		BgL_envz00_2173, obj_t BgL_nodez00_2174)
	{
		{	/* Ast/remove.scm 151 */
			BGl_nodezd2removeza2z12z62zzast_removez00(
				(((BgL_sequencez00_bglt) COBJECT(
							((BgL_sequencez00_bglt) BgL_nodez00_2174)))->BgL_nodesz00));
			return ((obj_t) ((BgL_sequencez00_bglt) BgL_nodez00_2174));
		}

	}



/* &node-remove!-kwote1238 */
	obj_t BGl_z62nodezd2removez12zd2kwote1238z70zzast_removez00(obj_t
		BgL_envz00_2175, obj_t BgL_nodez00_2176)
	{
		{	/* Ast/remove.scm 145 */
			return ((obj_t) ((BgL_kwotez00_bglt) BgL_nodez00_2176));
		}

	}



/* &node-remove!-var1236 */
	obj_t BGl_z62nodezd2removez12zd2var1236z70zzast_removez00(obj_t
		BgL_envz00_2177, obj_t BgL_nodez00_2178)
	{
		{	/* Ast/remove.scm 139 */
			return ((obj_t) ((BgL_varz00_bglt) BgL_nodez00_2178));
		}

	}



/* &node-remove!-atom1234 */
	obj_t BGl_z62nodezd2removez12zd2atom1234z70zzast_removez00(obj_t
		BgL_envz00_2179, obj_t BgL_nodez00_2180)
	{
		{	/* Ast/remove.scm 133 */
			return ((obj_t) ((BgL_atomz00_bglt) BgL_nodez00_2180));
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzast_removez00(void)
	{
		{	/* Ast/remove.scm 16 */
			BGl_modulezd2initializa7ationz75zztype_typez00(515343395L,
				BSTRING_TO_STRING(BGl_string1936z00zzast_removez00));
			BGl_modulezd2initializa7ationz75zzast_varz00(90839984L,
				BSTRING_TO_STRING(BGl_string1936z00zzast_removez00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(469732712L,
				BSTRING_TO_STRING(BGl_string1936z00zzast_removez00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(300504031L,
				BSTRING_TO_STRING(BGl_string1936z00zzast_removez00));
			BGl_modulezd2initializa7ationz75zztools_speekz00(61247943L,
				BSTRING_TO_STRING(BGl_string1936z00zzast_removez00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(365925558L,
				BSTRING_TO_STRING(BGl_string1936z00zzast_removez00));
			BGl_modulezd2initializa7ationz75zzeffect_effectz00(460136018L,
				BSTRING_TO_STRING(BGl_string1936z00zzast_removez00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(161876678L,
				BSTRING_TO_STRING(BGl_string1936z00zzast_removez00));
			BGl_modulezd2initializa7ationz75zzast_occurz00(282085879L,
				BSTRING_TO_STRING(BGl_string1936z00zzast_removez00));
			return
				BGl_modulezd2initializa7ationz75zzast_envz00(146730773L,
				BSTRING_TO_STRING(BGl_string1936z00zzast_removez00));
		}

	}

#ifdef __cplusplus
}
#endif
