/*===========================================================================*/
/*   (Ast/substitute.scm)                                                    */
/*   Bigloo (4.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Jan 27 07:45:49 AM CET 2025     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.6a/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.6a/lib/bigloo/4.6a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -stdc -indent Ast/substitute.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL_AST_SUBSTITUTE_TYPE_DEFINITIONS
#define BGL_AST_SUBSTITUTE_TYPE_DEFINITIONS

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_nullz00;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_refz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_refz00_bglt;

	typedef struct BgL_closurez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}                 *BgL_closurez00_bglt;

	typedef struct BgL_kwotez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}               *BgL_kwotez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
		obj_t BgL_metaz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_stackablez00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_switchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_switchz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		struct BgL_nodez00_bgl *BgL_onexitz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		obj_t BgL_stackablez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}              *BgL_syncz00_bglt;


#endif													// BGL_AST_SUBSTITUTE_TYPE_DEFINITIONS
#endif													// BGL_MODULE_TYPE_DEFINITIONS

	extern obj_t BGl_setqz00zzast_nodez00;
	static obj_t BGl_requirezd2initializa7ationz75zzast_substitutez00 = BUNSPEC;
	static BgL_nodez00_bglt
		BGl_dozd2substitutez12zc0zzast_substitutez00(BgL_nodez00_bglt, obj_t);
	extern obj_t BGl_closurez00zzast_nodez00;
	extern obj_t BGl_userzd2errorzf2locationz20zztools_errorz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_funz00zzast_varz00;
	extern obj_t BGl_syncz00zzast_nodez00;
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_atomz00zzast_nodez00;
	static obj_t BGl_toplevelzd2initzd2zzast_substitutez00(void);
	extern obj_t BGl_sequencez00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2seque1265z70zzast_substitutez00(obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2makezd21296za2zzast_substitutez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	static obj_t BGl_genericzd2initzd2zzast_substitutez00(void);
	static obj_t BGl_objectzd2initzd2zzast_substitutez00(void);
	static BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2var1261z70zzast_substitutez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_castz00zzast_nodez00;
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2switc1286z70zzast_substitutez00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	extern obj_t BGl_refz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzast_substitutez00(void);
	static BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2atom1259z70zzast_substitutez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_externz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2app1270z70zzast_substitutez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_dozd2substituteza2z12z62zzast_substitutez00(obj_t, obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	static obj_t BGl_z62dozd2substitutez121255za2zzast_substitutez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2appzd2l1272za2zzast_substitutez00(obj_t, obj_t,
		obj_t);
	extern bool_t BGl_globalzd2optionalzf3z21zzast_varz00(obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	extern BgL_typez00_bglt
		BGl_strictzd2nodezd2typez00zzast_nodez00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	static BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2setzd2e1292za2zzast_substitutez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_za2procedureza2z00zztype_cachez00;
	extern BgL_nodez00_bglt BGl_makezd2appzd2nodez00zzast_appz00(obj_t, obj_t,
		obj_t, BgL_varz00_bglt, obj_t);
	static BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2exter1276z70zzast_substitutez00(obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2funca1274z70zzast_substitutez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2kwote1263z70zzast_substitutez00(obj_t, obj_t,
		obj_t);
	extern bool_t BGl_globalzd2keyzf3z21zzast_varz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzast_substitutez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_appz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_applyz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_substitutez12z12zzast_substitutez00(obj_t, obj_t, BgL_nodez00_bglt,
		obj_t);
	extern obj_t BGl_nodez00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2condi1282z70zzast_substitutez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_kwotez00zzast_nodez00;
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzast_substitutez00(void);
	static obj_t BGl_libraryzd2moduleszd2initz00zzast_substitutez00(void);
	static obj_t BGl_importedzd2moduleszd2initz00zzast_substitutez00(void);
	static obj_t BGl_gczd2rootszd2initz00zzast_substitutez00(void);
	static BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2boxzd2s1301za2zzast_substitutez00(obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2cast1278z70zzast_substitutez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	extern BgL_nodez00_bglt BGl_knownzd2appzd2lyzd2ze3nodez31zzast_applyz00(obj_t,
		obj_t, BgL_nodez00_bglt, BgL_nodez00_bglt, obj_t);
	static BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2boxzd2r1298za2zzast_substitutez00(obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2letzd2f1288za2zzast_substitutez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_usezd2variablez12zc0zzast_sexpz00(BgL_variablez00_bglt,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_variablez00zzast_varz00;
	extern obj_t BGl_switchz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2setq1280z70zzast_substitutez00(obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2sync1267z70zzast_substitutez00(obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt BGl_z62dozd2substitutez12za2zzast_substitutez00(obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62substitutez12z70zzast_substitutez00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2letzd2v1290za2zzast_substitutez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2fail1284z70zzast_substitutez00(obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2jumpzd21294za2zzast_substitutez00(obj_t, obj_t,
		obj_t);
	extern bool_t
		BGl_correctzd2arityzd2appzf3zf3zzast_appz00(BgL_variablez00_bglt, obj_t);
	extern obj_t BGl_funcallz00zzast_nodez00;
	static obj_t __cnst[7];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_substitutez12zd2envzc0zzast_substitutez00,
		BgL_bgl_za762substituteza7121893z00,
		BGl_z62substitutez12z70zzast_substitutez00, 0L, BUNSPEC, 4);
	      DEFINE_STRING(BGl_string1862z00zzast_substitutez00,
		BgL_bgl_string1862za700za7za7a1894za7, "do-substitute!1255", 18);
	      DEFINE_STRING(BGl_string1863z00zzast_substitutez00,
		BgL_bgl_string1863za700za7za7a1895za7, "No method for this object", 25);
	      DEFINE_STRING(BGl_string1865z00zzast_substitutez00,
		BgL_bgl_string1865za700za7za7a1896za7, "do-substitute!", 14);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1861z00zzast_substitutez00,
		BgL_bgl_za762doza7d2substitu1897z00,
		BGl_z62dozd2substitutez121255za2zzast_substitutez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1864z00zzast_substitutez00,
		BgL_bgl_za762doza7d2substitu1898z00,
		BGl_z62dozd2substitutez12zd2atom1259z70zzast_substitutez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1866z00zzast_substitutez00,
		BgL_bgl_za762doza7d2substitu1899z00,
		BGl_z62dozd2substitutez12zd2var1261z70zzast_substitutez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1867z00zzast_substitutez00,
		BgL_bgl_za762doza7d2substitu1900z00,
		BGl_z62dozd2substitutez12zd2kwote1263z70zzast_substitutez00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1868z00zzast_substitutez00,
		BgL_bgl_za762doza7d2substitu1901z00,
		BGl_z62dozd2substitutez12zd2seque1265z70zzast_substitutez00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1869z00zzast_substitutez00,
		BgL_bgl_za762doza7d2substitu1902z00,
		BGl_z62dozd2substitutez12zd2sync1267z70zzast_substitutez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1870z00zzast_substitutez00,
		BgL_bgl_za762doza7d2substitu1903z00,
		BGl_z62dozd2substitutez12zd2app1270z70zzast_substitutez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1871z00zzast_substitutez00,
		BgL_bgl_za762doza7d2substitu1904z00,
		BGl_z62dozd2substitutez12zd2appzd2l1272za2zzast_substitutez00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1872z00zzast_substitutez00,
		BgL_bgl_za762doza7d2substitu1905z00,
		BGl_z62dozd2substitutez12zd2funca1274z70zzast_substitutez00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1873z00zzast_substitutez00,
		BgL_bgl_za762doza7d2substitu1906z00,
		BGl_z62dozd2substitutez12zd2exter1276z70zzast_substitutez00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1874z00zzast_substitutez00,
		BgL_bgl_za762doza7d2substitu1907z00,
		BGl_z62dozd2substitutez12zd2cast1278z70zzast_substitutez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1875z00zzast_substitutez00,
		BgL_bgl_za762doza7d2substitu1908z00,
		BGl_z62dozd2substitutez12zd2setq1280z70zzast_substitutez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1876z00zzast_substitutez00,
		BgL_bgl_za762doza7d2substitu1909z00,
		BGl_z62dozd2substitutez12zd2condi1282z70zzast_substitutez00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1877z00zzast_substitutez00,
		BgL_bgl_za762doza7d2substitu1910z00,
		BGl_z62dozd2substitutez12zd2fail1284z70zzast_substitutez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1878z00zzast_substitutez00,
		BgL_bgl_za762doza7d2substitu1911z00,
		BGl_z62dozd2substitutez12zd2switc1286z70zzast_substitutez00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1879z00zzast_substitutez00,
		BgL_bgl_za762doza7d2substitu1912z00,
		BGl_z62dozd2substitutez12zd2letzd2f1288za2zzast_substitutez00, 0L, BUNSPEC,
		2);
	      DEFINE_STRING(BGl_string1886z00zzast_substitutez00,
		BgL_bgl_string1886za700za7za7a1913za7, "Illegal application", 19);
	      DEFINE_STRING(BGl_string1887z00zzast_substitutez00,
		BgL_bgl_string1887za700za7za7a1914za7, "wrong number of argument(s)", 27);
	      DEFINE_STRING(BGl_string1888z00zzast_substitutez00,
		BgL_bgl_string1888za700za7za7a1915za7, "duplicate", 9);
	      DEFINE_STRING(BGl_string1889z00zzast_substitutez00,
		BgL_bgl_string1889za700za7za7a1916za7, "Illegal substitution", 20);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1880z00zzast_substitutez00,
		BgL_bgl_za762doza7d2substitu1917z00,
		BGl_z62dozd2substitutez12zd2letzd2v1290za2zzast_substitutez00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1881z00zzast_substitutez00,
		BgL_bgl_za762doza7d2substitu1918z00,
		BGl_z62dozd2substitutez12zd2setzd2e1292za2zzast_substitutez00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1882z00zzast_substitutez00,
		BgL_bgl_za762doza7d2substitu1919z00,
		BGl_z62dozd2substitutez12zd2jumpzd21294za2zzast_substitutez00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1883z00zzast_substitutez00,
		BgL_bgl_za762doza7d2substitu1920z00,
		BGl_z62dozd2substitutez12zd2makezd21296za2zzast_substitutez00, 0L, BUNSPEC,
		2);
	      DEFINE_STRING(BGl_string1890z00zzast_substitutez00,
		BgL_bgl_string1890za700za7za7a1921za7, "ast_substitute", 14);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1884z00zzast_substitutez00,
		BgL_bgl_za762doza7d2substitu1922z00,
		BGl_z62dozd2substitutez12zd2boxzd2r1298za2zzast_substitutez00, 0L, BUNSPEC,
		2);
	      DEFINE_STRING(BGl_string1891z00zzast_substitutez00,
		BgL_bgl_string1891za700za7za7a1923za7,
		"apply funcall set! app do-substitute!1255 value done ", 53);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1885z00zzast_substitutez00,
		BgL_bgl_za762doza7d2substitu1924z00,
		BGl_z62dozd2substitutez12zd2boxzd2s1301za2zzast_substitutez00, 0L, BUNSPEC,
		2);
	     
		DEFINE_STATIC_BGL_GENERIC
		(BGl_dozd2substitutez12zd2envz12zzast_substitutez00,
		BgL_bgl_za762doza7d2substitu1925z00,
		BGl_z62dozd2substitutez12za2zzast_substitutez00, 0L, BUNSPEC, 2);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zzast_substitutez00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzast_substitutez00(long
		BgL_checksumz00_2799, char *BgL_fromz00_2800)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzast_substitutez00))
				{
					BGl_requirezd2initializa7ationz75zzast_substitutez00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzast_substitutez00();
					BGl_libraryzd2moduleszd2initz00zzast_substitutez00();
					BGl_cnstzd2initzd2zzast_substitutez00();
					BGl_importedzd2moduleszd2initz00zzast_substitutez00();
					BGl_genericzd2initzd2zzast_substitutez00();
					BGl_methodzd2initzd2zzast_substitutez00();
					return BGl_toplevelzd2initzd2zzast_substitutez00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzast_substitutez00(void)
	{
		{	/* Ast/substitute.scm 14 */
			BGl_modulezd2initializa7ationz75zz__objectz00(0L, "ast_substitute");
			BGl_modulezd2initializa7ationz75zz__readerz00(0L, "ast_substitute");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(0L,
				"ast_substitute");
			BGl_modulezd2initializa7ationz75zz__errorz00(0L, "ast_substitute");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(0L,
				"ast_substitute");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(0L,
				"ast_substitute");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(0L,
				"ast_substitute");
			BGl_modulezd2initializa7ationz75zz__bitz00(0L, "ast_substitute");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(0L,
				"ast_substitute");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(0L,
				"ast_substitute");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzast_substitutez00(void)
	{
		{	/* Ast/substitute.scm 14 */
			{	/* Ast/substitute.scm 14 */
				obj_t BgL_cportz00_2557;

				{	/* Ast/substitute.scm 14 */
					obj_t BgL_stringz00_2564;

					BgL_stringz00_2564 = BGl_string1891z00zzast_substitutez00;
					{	/* Ast/substitute.scm 14 */
						obj_t BgL_startz00_2565;

						BgL_startz00_2565 = BINT(0L);
						{	/* Ast/substitute.scm 14 */
							obj_t BgL_endz00_2566;

							BgL_endz00_2566 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_2564)));
							{	/* Ast/substitute.scm 14 */

								BgL_cportz00_2557 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_2564, BgL_startz00_2565, BgL_endz00_2566);
				}}}}
				{
					long BgL_iz00_2558;

					BgL_iz00_2558 = 6L;
				BgL_loopz00_2559:
					if ((BgL_iz00_2558 == (-1L)))
						{	/* Ast/substitute.scm 14 */
							return BUNSPEC;
						}
					else
						{	/* Ast/substitute.scm 14 */
							{	/* Ast/substitute.scm 14 */
								obj_t BgL_arg1892z00_2560;

								{	/* Ast/substitute.scm 14 */

									{	/* Ast/substitute.scm 14 */
										obj_t BgL_locationz00_2562;

										BgL_locationz00_2562 = BBOOL(((bool_t) 0));
										{	/* Ast/substitute.scm 14 */

											BgL_arg1892z00_2560 =
												BGl_readz00zz__readerz00(BgL_cportz00_2557,
												BgL_locationz00_2562);
										}
									}
								}
								{	/* Ast/substitute.scm 14 */
									int BgL_tmpz00_2830;

									BgL_tmpz00_2830 = (int) (BgL_iz00_2558);
									CNST_TABLE_SET(BgL_tmpz00_2830, BgL_arg1892z00_2560);
							}}
							{	/* Ast/substitute.scm 14 */
								int BgL_auxz00_2563;

								BgL_auxz00_2563 = (int) ((BgL_iz00_2558 - 1L));
								{
									long BgL_iz00_2835;

									BgL_iz00_2835 = (long) (BgL_auxz00_2563);
									BgL_iz00_2558 = BgL_iz00_2835;
									goto BgL_loopz00_2559;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzast_substitutez00(void)
	{
		{	/* Ast/substitute.scm 14 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzast_substitutez00(void)
	{
		{	/* Ast/substitute.scm 14 */
			return BUNSPEC;
		}

	}



/* substitute! */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_substitutez12z12zzast_substitutez00(obj_t BgL_whatza2za2_3,
		obj_t BgL_byza2za2_4, BgL_nodez00_bglt BgL_nodez00_5, obj_t BgL_sitez00_6)
	{
		{	/* Ast/substitute.scm 34 */
			{
				obj_t BgL_ll1236z00_1408;
				obj_t BgL_ll1237z00_1409;

				BgL_ll1236z00_1408 = BgL_whatza2za2_3;
				BgL_ll1237z00_1409 = BgL_byza2za2_4;
			BgL_zc3z04anonymousza31311ze3z87_1410:
				if (NULLP(BgL_ll1236z00_1408))
					{	/* Ast/substitute.scm 37 */
						((bool_t) 1);
					}
				else
					{	/* Ast/substitute.scm 37 */
						{	/* Ast/substitute.scm 39 */
							obj_t BgL_whatz00_1412;
							obj_t BgL_byz00_1413;

							BgL_whatz00_1412 = CAR(((obj_t) BgL_ll1236z00_1408));
							BgL_byz00_1413 = CAR(((obj_t) BgL_ll1237z00_1409));
							((((BgL_variablez00_bglt) COBJECT(
											((BgL_variablez00_bglt) BgL_whatz00_1412)))->
									BgL_fastzd2alphazd2) = ((obj_t) BgL_byz00_1413), BUNSPEC);
						}
						{	/* Ast/substitute.scm 37 */
							obj_t BgL_arg1313z00_1414;
							obj_t BgL_arg1314z00_1415;

							BgL_arg1313z00_1414 = CDR(((obj_t) BgL_ll1236z00_1408));
							BgL_arg1314z00_1415 = CDR(((obj_t) BgL_ll1237z00_1409));
							{
								obj_t BgL_ll1237z00_2851;
								obj_t BgL_ll1236z00_2850;

								BgL_ll1236z00_2850 = BgL_arg1313z00_1414;
								BgL_ll1237z00_2851 = BgL_arg1314z00_1415;
								BgL_ll1237z00_1409 = BgL_ll1237z00_2851;
								BgL_ll1236z00_1408 = BgL_ll1236z00_2850;
								goto BgL_zc3z04anonymousza31311ze3z87_1410;
							}
						}
					}
			}
			{	/* Ast/substitute.scm 42 */
				BgL_nodez00_bglt BgL_resz00_1417;

				BgL_resz00_1417 =
					BGl_dozd2substitutez12zc0zzast_substitutez00(BgL_nodez00_5,
					BgL_sitez00_6);
				{
					obj_t BgL_l1239z00_1419;

					BgL_l1239z00_1419 = BgL_whatza2za2_3;
				BgL_zc3z04anonymousza31315ze3z87_1420:
					if (PAIRP(BgL_l1239z00_1419))
						{	/* Ast/substitute.scm 44 */
							{	/* Ast/substitute.scm 45 */
								obj_t BgL_whatz00_1422;

								BgL_whatz00_1422 = CAR(BgL_l1239z00_1419);
								((((BgL_variablez00_bglt) COBJECT(
												((BgL_variablez00_bglt) BgL_whatz00_1422)))->
										BgL_fastzd2alphazd2) = ((obj_t) BUNSPEC), BUNSPEC);
							}
							{
								obj_t BgL_l1239z00_2858;

								BgL_l1239z00_2858 = CDR(BgL_l1239z00_1419);
								BgL_l1239z00_1419 = BgL_l1239z00_2858;
								goto BgL_zc3z04anonymousza31315ze3z87_1420;
							}
						}
					else
						{	/* Ast/substitute.scm 44 */
							((bool_t) 1);
						}
				}
				return BgL_resz00_1417;
			}
		}

	}



/* &substitute! */
	BgL_nodez00_bglt BGl_z62substitutez12z70zzast_substitutez00(obj_t
		BgL_envz00_2461, obj_t BgL_whatza2za2_2462, obj_t BgL_byza2za2_2463,
		obj_t BgL_nodez00_2464, obj_t BgL_sitez00_2465)
	{
		{	/* Ast/substitute.scm 34 */
			return
				BGl_substitutez12z12zzast_substitutez00(BgL_whatza2za2_2462,
				BgL_byza2za2_2463, ((BgL_nodez00_bglt) BgL_nodez00_2464),
				BgL_sitez00_2465);
		}

	}



/* do-substitute*! */
	obj_t BGl_dozd2substituteza2z12z62zzast_substitutez00(obj_t BgL_nodeza2za2_51,
		obj_t BgL_sitez00_52)
	{
		{	/* Ast/substitute.scm 275 */
		BGl_dozd2substituteza2z12z62zzast_substitutez00:
			if (NULLP(BgL_nodeza2za2_51))
				{	/* Ast/substitute.scm 277 */
					return ((obj_t) CNST_TABLE_REF(0));
				}
			else
				{	/* Ast/substitute.scm 277 */
					if (NULLP(CDR(((obj_t) BgL_nodeza2za2_51))))
						{	/* Ast/substitute.scm 279 */
							{	/* Ast/substitute.scm 280 */
								BgL_nodez00_bglt BgL_arg1321z00_1428;

								{	/* Ast/substitute.scm 280 */
									obj_t BgL_arg1322z00_1429;

									BgL_arg1322z00_1429 = CAR(((obj_t) BgL_nodeza2za2_51));
									BgL_arg1321z00_1428 =
										BGl_dozd2substitutez12zc0zzast_substitutez00(
										((BgL_nodez00_bglt) BgL_arg1322z00_1429), BgL_sitez00_52);
								}
								{	/* Ast/substitute.scm 280 */
									obj_t BgL_auxz00_2876;
									obj_t BgL_tmpz00_2874;

									BgL_auxz00_2876 = ((obj_t) BgL_arg1321z00_1428);
									BgL_tmpz00_2874 = ((obj_t) BgL_nodeza2za2_51);
									SET_CAR(BgL_tmpz00_2874, BgL_auxz00_2876);
								}
							}
							return ((obj_t) CNST_TABLE_REF(0));
						}
					else
						{	/* Ast/substitute.scm 279 */
							{	/* Ast/substitute.scm 283 */
								BgL_nodez00_bglt BgL_arg1326z00_1430;

								{	/* Ast/substitute.scm 283 */
									obj_t BgL_arg1327z00_1431;

									BgL_arg1327z00_1431 = CAR(((obj_t) BgL_nodeza2za2_51));
									BgL_arg1326z00_1430 =
										BGl_dozd2substitutez12zc0zzast_substitutez00(
										((BgL_nodez00_bglt) BgL_arg1327z00_1431),
										((obj_t) CNST_TABLE_REF(1)));
								}
								{	/* Ast/substitute.scm 283 */
									obj_t BgL_auxz00_2889;
									obj_t BgL_tmpz00_2887;

									BgL_auxz00_2889 = ((obj_t) BgL_arg1326z00_1430);
									BgL_tmpz00_2887 = ((obj_t) BgL_nodeza2za2_51);
									SET_CAR(BgL_tmpz00_2887, BgL_auxz00_2889);
								}
							}
							{	/* Ast/substitute.scm 284 */
								obj_t BgL_arg1331z00_1432;

								BgL_arg1331z00_1432 = CDR(((obj_t) BgL_nodeza2za2_51));
								{
									obj_t BgL_nodeza2za2_2894;

									BgL_nodeza2za2_2894 = BgL_arg1331z00_1432;
									BgL_nodeza2za2_51 = BgL_nodeza2za2_2894;
									goto BGl_dozd2substituteza2z12z62zzast_substitutez00;
								}
							}
						}
				}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzast_substitutez00(void)
	{
		{	/* Ast/substitute.scm 14 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzast_substitutez00(void)
	{
		{	/* Ast/substitute.scm 14 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_dozd2substitutez12zd2envz12zzast_substitutez00,
				BGl_proc1861z00zzast_substitutez00, BGl_nodez00zzast_nodez00,
				BGl_string1862z00zzast_substitutez00);
		}

	}



/* &do-substitute!1255 */
	obj_t BGl_z62dozd2substitutez121255za2zzast_substitutez00(obj_t
		BgL_envz00_2467, obj_t BgL_nodez00_2468, obj_t BgL_sitez00_2469)
	{
		{	/* Ast/substitute.scm 52 */
			return
				BGl_errorz00zz__errorz00(
				((obj_t)
					CNST_TABLE_REF(2)), BGl_string1863z00zzast_substitutez00,
				((obj_t) ((BgL_nodez00_bglt) BgL_nodez00_2468)));
		}

	}



/* do-substitute! */
	BgL_nodez00_bglt BGl_dozd2substitutez12zc0zzast_substitutez00(BgL_nodez00_bglt
		BgL_nodez00_7, obj_t BgL_sitez00_8)
	{
		{	/* Ast/substitute.scm 52 */
			{	/* Ast/substitute.scm 52 */
				obj_t BgL_method1256z00_1439;

				{	/* Ast/substitute.scm 52 */
					obj_t BgL_res1847z00_1911;

					{	/* Ast/substitute.scm 52 */
						long BgL_objzd2classzd2numz00_1882;

						BgL_objzd2classzd2numz00_1882 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_7));
						{	/* Ast/substitute.scm 52 */
							obj_t BgL_arg1862z00_1883;

							BgL_arg1862z00_1883 =
								PROCEDURE_REF
								(BGl_dozd2substitutez12zd2envz12zzast_substitutez00,
								(int) (1L));
							{	/* Ast/substitute.scm 52 */
								int BgL_offsetz00_1886;

								BgL_offsetz00_1886 = (int) (BgL_objzd2classzd2numz00_1882);
								{	/* Ast/substitute.scm 52 */
									long BgL_offsetz00_1887;

									BgL_offsetz00_1887 =
										((long) (BgL_offsetz00_1886) - OBJECT_TYPE);
									{	/* Ast/substitute.scm 52 */
										long BgL_modz00_1888;

										BgL_modz00_1888 =
											(BgL_offsetz00_1887 >> (int) ((long) ((int) (4L))));
										{	/* Ast/substitute.scm 52 */
											long BgL_restz00_1890;

											BgL_restz00_1890 =
												(BgL_offsetz00_1887 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(1L <<
																		(int) ((long) ((int) (4L)))))) - 1L))));
											{	/* Ast/substitute.scm 52 */

												{	/* Ast/substitute.scm 52 */
													obj_t BgL_bucketz00_1892;

													BgL_bucketz00_1892 =
														VECTOR_REF(
														((obj_t) BgL_arg1862z00_1883), BgL_modz00_1888);
													BgL_res1847z00_1911 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_1892), BgL_restz00_1890);
					}}}}}}}}
					BgL_method1256z00_1439 = BgL_res1847z00_1911;
				}
				return
					((BgL_nodez00_bglt)
					BGL_PROCEDURE_CALL2(BgL_method1256z00_1439,
						((obj_t) BgL_nodez00_7), BgL_sitez00_8));
			}
		}

	}



/* &do-substitute! */
	BgL_nodez00_bglt BGl_z62dozd2substitutez12za2zzast_substitutez00(obj_t
		BgL_envz00_2470, obj_t BgL_nodez00_2471, obj_t BgL_sitez00_2472)
	{
		{	/* Ast/substitute.scm 52 */
			return
				BGl_dozd2substitutez12zc0zzast_substitutez00(
				((BgL_nodez00_bglt) BgL_nodez00_2471), BgL_sitez00_2472);
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzast_substitutez00(void)
	{
		{	/* Ast/substitute.scm 14 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dozd2substitutez12zd2envz12zzast_substitutez00,
				BGl_atomz00zzast_nodez00, BGl_proc1864z00zzast_substitutez00,
				BGl_string1865z00zzast_substitutez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dozd2substitutez12zd2envz12zzast_substitutez00,
				BGl_varz00zzast_nodez00, BGl_proc1866z00zzast_substitutez00,
				BGl_string1865z00zzast_substitutez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dozd2substitutez12zd2envz12zzast_substitutez00,
				BGl_kwotez00zzast_nodez00, BGl_proc1867z00zzast_substitutez00,
				BGl_string1865z00zzast_substitutez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dozd2substitutez12zd2envz12zzast_substitutez00,
				BGl_sequencez00zzast_nodez00, BGl_proc1868z00zzast_substitutez00,
				BGl_string1865z00zzast_substitutez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dozd2substitutez12zd2envz12zzast_substitutez00,
				BGl_syncz00zzast_nodez00, BGl_proc1869z00zzast_substitutez00,
				BGl_string1865z00zzast_substitutez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dozd2substitutez12zd2envz12zzast_substitutez00,
				BGl_appz00zzast_nodez00, BGl_proc1870z00zzast_substitutez00,
				BGl_string1865z00zzast_substitutez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dozd2substitutez12zd2envz12zzast_substitutez00,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc1871z00zzast_substitutez00,
				BGl_string1865z00zzast_substitutez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dozd2substitutez12zd2envz12zzast_substitutez00,
				BGl_funcallz00zzast_nodez00, BGl_proc1872z00zzast_substitutez00,
				BGl_string1865z00zzast_substitutez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dozd2substitutez12zd2envz12zzast_substitutez00,
				BGl_externz00zzast_nodez00, BGl_proc1873z00zzast_substitutez00,
				BGl_string1865z00zzast_substitutez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dozd2substitutez12zd2envz12zzast_substitutez00,
				BGl_castz00zzast_nodez00, BGl_proc1874z00zzast_substitutez00,
				BGl_string1865z00zzast_substitutez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dozd2substitutez12zd2envz12zzast_substitutez00,
				BGl_setqz00zzast_nodez00, BGl_proc1875z00zzast_substitutez00,
				BGl_string1865z00zzast_substitutez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dozd2substitutez12zd2envz12zzast_substitutez00,
				BGl_conditionalz00zzast_nodez00, BGl_proc1876z00zzast_substitutez00,
				BGl_string1865z00zzast_substitutez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dozd2substitutez12zd2envz12zzast_substitutez00,
				BGl_failz00zzast_nodez00, BGl_proc1877z00zzast_substitutez00,
				BGl_string1865z00zzast_substitutez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dozd2substitutez12zd2envz12zzast_substitutez00,
				BGl_switchz00zzast_nodez00, BGl_proc1878z00zzast_substitutez00,
				BGl_string1865z00zzast_substitutez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dozd2substitutez12zd2envz12zzast_substitutez00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc1879z00zzast_substitutez00,
				BGl_string1865z00zzast_substitutez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dozd2substitutez12zd2envz12zzast_substitutez00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc1880z00zzast_substitutez00,
				BGl_string1865z00zzast_substitutez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dozd2substitutez12zd2envz12zzast_substitutez00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc1881z00zzast_substitutez00,
				BGl_string1865z00zzast_substitutez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dozd2substitutez12zd2envz12zzast_substitutez00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc1882z00zzast_substitutez00,
				BGl_string1865z00zzast_substitutez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dozd2substitutez12zd2envz12zzast_substitutez00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc1883z00zzast_substitutez00,
				BGl_string1865z00zzast_substitutez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dozd2substitutez12zd2envz12zzast_substitutez00,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc1884z00zzast_substitutez00,
				BGl_string1865z00zzast_substitutez00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dozd2substitutez12zd2envz12zzast_substitutez00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc1885z00zzast_substitutez00,
				BGl_string1865z00zzast_substitutez00);
		}

	}



/* &do-substitute!-box-s1301 */
	BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2boxzd2s1301za2zzast_substitutez00(obj_t
		BgL_envz00_2494, obj_t BgL_nodez00_2495, obj_t BgL_sitez00_2496)
	{
		{	/* Ast/substitute.scm 267 */
			{	/* Ast/substitute.scm 268 */
				BgL_nodez00_bglt BgL_arg1673z00_2570;

				{	/* Ast/substitute.scm 268 */
					BgL_varz00_bglt BgL_arg1674z00_2571;

					BgL_arg1674z00_2571 =
						(((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2495)))->BgL_varz00);
					BgL_arg1673z00_2570 =
						BGl_dozd2substitutez12zc0zzast_substitutez00(
						((BgL_nodez00_bglt) BgL_arg1674z00_2571),
						((obj_t) CNST_TABLE_REF(1)));
				}
				((((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2495)))->BgL_varz00) =
					((BgL_varz00_bglt) ((BgL_varz00_bglt) BgL_arg1673z00_2570)), BUNSPEC);
			}
			{	/* Ast/substitute.scm 269 */
				BgL_nodez00_bglt BgL_arg1675z00_2572;

				{	/* Ast/substitute.scm 269 */
					BgL_nodez00_bglt BgL_arg1677z00_2573;

					BgL_arg1677z00_2573 =
						(((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2495)))->BgL_valuez00);
					BgL_arg1675z00_2572 =
						BGl_dozd2substitutez12zc0zzast_substitutez00(BgL_arg1677z00_2573,
						((obj_t) CNST_TABLE_REF(1)));
				}
				((((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2495)))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_arg1675z00_2572), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2495));
		}

	}



/* &do-substitute!-box-r1298 */
	BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2boxzd2r1298za2zzast_substitutez00(obj_t
		BgL_envz00_2497, obj_t BgL_nodez00_2498, obj_t BgL_sitez00_2499)
	{
		{	/* Ast/substitute.scm 260 */
			{	/* Ast/substitute.scm 261 */
				BgL_nodez00_bglt BgL_arg1663z00_2575;

				{	/* Ast/substitute.scm 261 */
					BgL_varz00_bglt BgL_arg1664z00_2576;

					BgL_arg1664z00_2576 =
						(((BgL_boxzd2refzd2_bglt) COBJECT(
								((BgL_boxzd2refzd2_bglt) BgL_nodez00_2498)))->BgL_varz00);
					BgL_arg1663z00_2575 =
						BGl_dozd2substitutez12zc0zzast_substitutez00(
						((BgL_nodez00_bglt) BgL_arg1664z00_2576),
						((obj_t) CNST_TABLE_REF(1)));
				}
				((((BgL_boxzd2refzd2_bglt) COBJECT(
								((BgL_boxzd2refzd2_bglt) BgL_nodez00_2498)))->BgL_varz00) =
					((BgL_varz00_bglt) ((BgL_varz00_bglt) BgL_arg1663z00_2575)), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_boxzd2refzd2_bglt) BgL_nodez00_2498));
		}

	}



/* &do-substitute!-make-1296 */
	BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2makezd21296za2zzast_substitutez00(obj_t
		BgL_envz00_2500, obj_t BgL_nodez00_2501, obj_t BgL_sitez00_2502)
	{
		{	/* Ast/substitute.scm 253 */
			{	/* Ast/substitute.scm 254 */
				BgL_nodez00_bglt BgL_arg1657z00_2578;

				{	/* Ast/substitute.scm 254 */
					BgL_nodez00_bglt BgL_arg1660z00_2579;

					BgL_arg1660z00_2579 =
						(((BgL_makezd2boxzd2_bglt) COBJECT(
								((BgL_makezd2boxzd2_bglt) BgL_nodez00_2501)))->BgL_valuez00);
					BgL_arg1657z00_2578 =
						BGl_dozd2substitutez12zc0zzast_substitutez00(BgL_arg1660z00_2579,
						((obj_t) CNST_TABLE_REF(1)));
				}
				((((BgL_makezd2boxzd2_bglt) COBJECT(
								((BgL_makezd2boxzd2_bglt) BgL_nodez00_2501)))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_arg1657z00_2578), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_makezd2boxzd2_bglt) BgL_nodez00_2501));
		}

	}



/* &do-substitute!-jump-1294 */
	BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2jumpzd21294za2zzast_substitutez00(obj_t
		BgL_envz00_2503, obj_t BgL_nodez00_2504, obj_t BgL_sitez00_2505)
	{
		{	/* Ast/substitute.scm 245 */
			{	/* Ast/substitute.scm 246 */
				BgL_nodez00_bglt BgL_arg1650z00_2581;

				{	/* Ast/substitute.scm 246 */
					BgL_nodez00_bglt BgL_arg1653z00_2582;

					BgL_arg1653z00_2582 =
						(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2504)))->BgL_exitz00);
					BgL_arg1650z00_2581 =
						BGl_dozd2substitutez12zc0zzast_substitutez00(BgL_arg1653z00_2582,
						((obj_t) CNST_TABLE_REF(3)));
				}
				((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2504)))->
						BgL_exitz00) = ((BgL_nodez00_bglt) BgL_arg1650z00_2581), BUNSPEC);
			}
			{	/* Ast/substitute.scm 247 */
				BgL_nodez00_bglt BgL_arg1655z00_2583;

				{	/* Ast/substitute.scm 247 */
					BgL_nodez00_bglt BgL_arg1656z00_2584;

					BgL_arg1656z00_2584 =
						(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2504)))->
						BgL_valuez00);
					BgL_arg1655z00_2583 =
						BGl_dozd2substitutez12zc0zzast_substitutez00(BgL_arg1656z00_2584,
						((obj_t) CNST_TABLE_REF(1)));
				}
				((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2504)))->
						BgL_valuez00) = ((BgL_nodez00_bglt) BgL_arg1655z00_2583), BUNSPEC);
			}
			return
				((BgL_nodez00_bglt) ((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2504));
		}

	}



/* &do-substitute!-set-e1292 */
	BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2setzd2e1292za2zzast_substitutez00(obj_t
		BgL_envz00_2506, obj_t BgL_nodez00_2507, obj_t BgL_sitez00_2508)
	{
		{	/* Ast/substitute.scm 237 */
			((((BgL_setzd2exzd2itz00_bglt) COBJECT(
							((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2507)))->BgL_bodyz00) =
				((BgL_nodez00_bglt)
					BGl_dozd2substitutez12zc0zzast_substitutez00(((
								(BgL_setzd2exzd2itz00_bglt) COBJECT(((BgL_setzd2exzd2itz00_bglt)
										BgL_nodez00_2507)))->BgL_bodyz00), BgL_sitez00_2508)),
				BUNSPEC);
			((((BgL_setzd2exzd2itz00_bglt) COBJECT(((BgL_setzd2exzd2itz00_bglt)
								BgL_nodez00_2507)))->BgL_onexitz00) =
				((BgL_nodez00_bglt)
					BGl_dozd2substitutez12zc0zzast_substitutez00(((
								(BgL_setzd2exzd2itz00_bglt) COBJECT(((BgL_setzd2exzd2itz00_bglt)
										BgL_nodez00_2507)))->BgL_onexitz00), BgL_sitez00_2508)),
				BUNSPEC);
			return ((BgL_nodez00_bglt) ((BgL_setzd2exzd2itz00_bglt)
					BgL_nodez00_2507));
		}

	}



/* &do-substitute!-let-v1290 */
	BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2letzd2v1290za2zzast_substitutez00(obj_t
		BgL_envz00_2509, obj_t BgL_nodez00_2510, obj_t BgL_sitez00_2511)
	{
		{	/* Ast/substitute.scm 227 */
			{	/* Ast/substitute.scm 228 */
				obj_t BgL_g1254z00_2587;

				BgL_g1254z00_2587 =
					(((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_nodez00_2510)))->BgL_bindingsz00);
				{
					obj_t BgL_l1252z00_2589;

					BgL_l1252z00_2589 = BgL_g1254z00_2587;
				BgL_zc3z04anonymousza31627ze3z87_2588:
					if (PAIRP(BgL_l1252z00_2589))
						{	/* Ast/substitute.scm 230 */
							{	/* Ast/substitute.scm 229 */
								obj_t BgL_bindingz00_2590;

								BgL_bindingz00_2590 = CAR(BgL_l1252z00_2589);
								{	/* Ast/substitute.scm 229 */
									BgL_nodez00_bglt BgL_arg1631z00_2591;

									{	/* Ast/substitute.scm 229 */
										obj_t BgL_arg1632z00_2592;

										BgL_arg1632z00_2592 = CDR(((obj_t) BgL_bindingz00_2590));
										BgL_arg1631z00_2591 =
											BGl_dozd2substitutez12zc0zzast_substitutez00(
											((BgL_nodez00_bglt) BgL_arg1632z00_2592),
											((obj_t) CNST_TABLE_REF(1)));
									}
									{	/* Ast/substitute.scm 229 */
										obj_t BgL_auxz00_3035;
										obj_t BgL_tmpz00_3033;

										BgL_auxz00_3035 = ((obj_t) BgL_arg1631z00_2591);
										BgL_tmpz00_3033 = ((obj_t) BgL_bindingz00_2590);
										SET_CDR(BgL_tmpz00_3033, BgL_auxz00_3035);
									}
								}
							}
							{
								obj_t BgL_l1252z00_3038;

								BgL_l1252z00_3038 = CDR(BgL_l1252z00_2589);
								BgL_l1252z00_2589 = BgL_l1252z00_3038;
								goto BgL_zc3z04anonymousza31627ze3z87_2588;
							}
						}
					else
						{	/* Ast/substitute.scm 230 */
							((bool_t) 1);
						}
				}
			}
			((((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_nodez00_2510)))->BgL_bodyz00) =
				((BgL_nodez00_bglt)
					BGl_dozd2substitutez12zc0zzast_substitutez00((((BgL_letzd2varzd2_bglt)
								COBJECT(((BgL_letzd2varzd2_bglt) BgL_nodez00_2510)))->
							BgL_bodyz00), BgL_sitez00_2511)), BUNSPEC);
			return ((BgL_nodez00_bglt) ((BgL_letzd2varzd2_bglt) BgL_nodez00_2510));
		}

	}



/* &do-substitute!-let-f1288 */
	BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2letzd2f1288za2zzast_substitutez00(obj_t
		BgL_envz00_2512, obj_t BgL_nodez00_2513, obj_t BgL_sitez00_2514)
	{
		{	/* Ast/substitute.scm 215 */
			{	/* Ast/substitute.scm 216 */
				obj_t BgL_g1251z00_2594;

				BgL_g1251z00_2594 =
					(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nodez00_2513)))->BgL_localsz00);
				{
					obj_t BgL_l1249z00_2596;

					BgL_l1249z00_2596 = BgL_g1251z00_2594;
				BgL_zc3z04anonymousza31598ze3z87_2595:
					if (PAIRP(BgL_l1249z00_2596))
						{	/* Ast/substitute.scm 220 */
							{	/* Ast/substitute.scm 217 */
								obj_t BgL_localz00_2597;

								BgL_localz00_2597 = CAR(BgL_l1249z00_2596);
								{	/* Ast/substitute.scm 217 */
									BgL_valuez00_bglt BgL_funz00_2598;

									BgL_funz00_2598 =
										(((BgL_variablez00_bglt) COBJECT(
												((BgL_variablez00_bglt)
													((BgL_localz00_bglt) BgL_localz00_2597))))->
										BgL_valuez00);
									{	/* Ast/substitute.scm 218 */
										BgL_nodez00_bglt BgL_arg1605z00_2599;

										{	/* Ast/substitute.scm 218 */
											obj_t BgL_arg1611z00_2600;

											BgL_arg1611z00_2600 =
												(((BgL_sfunz00_bglt) COBJECT(
														((BgL_sfunz00_bglt) BgL_funz00_2598)))->
												BgL_bodyz00);
											BgL_arg1605z00_2599 =
												BGl_dozd2substitutez12zc0zzast_substitutez00((
													(BgL_nodez00_bglt) BgL_arg1611z00_2600),
												((obj_t) CNST_TABLE_REF(1)));
										}
										((((BgL_sfunz00_bglt) COBJECT(
														((BgL_sfunz00_bglt) BgL_funz00_2598)))->
												BgL_bodyz00) =
											((obj_t) ((obj_t) BgL_arg1605z00_2599)), BUNSPEC);
									}
								}
							}
							{
								obj_t BgL_l1249z00_3064;

								BgL_l1249z00_3064 = CDR(BgL_l1249z00_2596);
								BgL_l1249z00_2596 = BgL_l1249z00_3064;
								goto BgL_zc3z04anonymousza31598ze3z87_2595;
							}
						}
					else
						{	/* Ast/substitute.scm 220 */
							((bool_t) 1);
						}
				}
			}
			((((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nodez00_2513)))->BgL_bodyz00) =
				((BgL_nodez00_bglt)
					BGl_dozd2substitutez12zc0zzast_substitutez00((((BgL_letzd2funzd2_bglt)
								COBJECT(((BgL_letzd2funzd2_bglt) BgL_nodez00_2513)))->
							BgL_bodyz00), BgL_sitez00_2514)), BUNSPEC);
			return ((BgL_nodez00_bglt) ((BgL_letzd2funzd2_bglt) BgL_nodez00_2513));
		}

	}



/* &do-substitute!-switc1286 */
	BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2switc1286z70zzast_substitutez00(obj_t
		BgL_envz00_2515, obj_t BgL_nodez00_2516, obj_t BgL_sitez00_2517)
	{
		{	/* Ast/substitute.scm 205 */
			{	/* Ast/substitute.scm 206 */
				BgL_nodez00_bglt BgL_arg1587z00_2602;

				{	/* Ast/substitute.scm 206 */
					BgL_nodez00_bglt BgL_arg1588z00_2603;

					BgL_arg1588z00_2603 =
						(((BgL_switchz00_bglt) COBJECT(
								((BgL_switchz00_bglt) BgL_nodez00_2516)))->BgL_testz00);
					BgL_arg1587z00_2602 =
						BGl_dozd2substitutez12zc0zzast_substitutez00(BgL_arg1588z00_2603,
						((obj_t) CNST_TABLE_REF(1)));
				}
				((((BgL_switchz00_bglt) COBJECT(
								((BgL_switchz00_bglt) BgL_nodez00_2516)))->BgL_testz00) =
					((BgL_nodez00_bglt) BgL_arg1587z00_2602), BUNSPEC);
			}
			{	/* Ast/substitute.scm 207 */
				obj_t BgL_g1248z00_2604;

				BgL_g1248z00_2604 =
					(((BgL_switchz00_bglt) COBJECT(
							((BgL_switchz00_bglt) BgL_nodez00_2516)))->BgL_clausesz00);
				{
					obj_t BgL_l1246z00_2606;

					BgL_l1246z00_2606 = BgL_g1248z00_2604;
				BgL_zc3z04anonymousza31589ze3z87_2605:
					if (PAIRP(BgL_l1246z00_2606))
						{	/* Ast/substitute.scm 209 */
							{	/* Ast/substitute.scm 208 */
								obj_t BgL_clausez00_2607;

								BgL_clausez00_2607 = CAR(BgL_l1246z00_2606);
								{	/* Ast/substitute.scm 208 */
									BgL_nodez00_bglt BgL_arg1592z00_2608;

									{	/* Ast/substitute.scm 208 */
										obj_t BgL_arg1593z00_2609;

										BgL_arg1593z00_2609 = CDR(((obj_t) BgL_clausez00_2607));
										BgL_arg1592z00_2608 =
											BGl_dozd2substitutez12zc0zzast_substitutez00(
											((BgL_nodez00_bglt) BgL_arg1593z00_2609),
											BgL_sitez00_2517);
									}
									{	/* Ast/substitute.scm 208 */
										obj_t BgL_auxz00_3091;
										obj_t BgL_tmpz00_3089;

										BgL_auxz00_3091 = ((obj_t) BgL_arg1592z00_2608);
										BgL_tmpz00_3089 = ((obj_t) BgL_clausez00_2607);
										SET_CDR(BgL_tmpz00_3089, BgL_auxz00_3091);
									}
								}
							}
							{
								obj_t BgL_l1246z00_3094;

								BgL_l1246z00_3094 = CDR(BgL_l1246z00_2606);
								BgL_l1246z00_2606 = BgL_l1246z00_3094;
								goto BgL_zc3z04anonymousza31589ze3z87_2605;
							}
						}
					else
						{	/* Ast/substitute.scm 209 */
							((bool_t) 1);
						}
				}
			}
			return ((BgL_nodez00_bglt) ((BgL_switchz00_bglt) BgL_nodez00_2516));
		}

	}



/* &do-substitute!-fail1284 */
	BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2fail1284z70zzast_substitutez00(obj_t
		BgL_envz00_2518, obj_t BgL_nodez00_2519, obj_t BgL_sitez00_2520)
	{
		{	/* Ast/substitute.scm 195 */
			{
				BgL_nodez00_bglt BgL_auxz00_3098;

				{	/* Ast/substitute.scm 197 */
					BgL_nodez00_bglt BgL_arg1577z00_2611;

					BgL_arg1577z00_2611 =
						(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2519)))->BgL_procz00);
					BgL_auxz00_3098 =
						BGl_dozd2substitutez12zc0zzast_substitutez00(BgL_arg1577z00_2611,
						((obj_t) CNST_TABLE_REF(1)));
				}
				((((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2519)))->BgL_procz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3098), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_3106;

				{	/* Ast/substitute.scm 198 */
					BgL_nodez00_bglt BgL_arg1578z00_2612;

					BgL_arg1578z00_2612 =
						(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2519)))->BgL_msgz00);
					BgL_auxz00_3106 =
						BGl_dozd2substitutez12zc0zzast_substitutez00(BgL_arg1578z00_2612,
						((obj_t) CNST_TABLE_REF(1)));
				}
				((((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2519)))->BgL_msgz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3106), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_3114;

				{	/* Ast/substitute.scm 199 */
					BgL_nodez00_bglt BgL_arg1581z00_2613;

					BgL_arg1581z00_2613 =
						(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2519)))->BgL_objz00);
					BgL_auxz00_3114 =
						BGl_dozd2substitutez12zc0zzast_substitutez00(BgL_arg1581z00_2613,
						((obj_t) CNST_TABLE_REF(1)));
				}
				((((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2519)))->BgL_objz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3114), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_failz00_bglt) BgL_nodez00_2519));
		}

	}



/* &do-substitute!-condi1282 */
	BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2condi1282z70zzast_substitutez00(obj_t
		BgL_envz00_2521, obj_t BgL_nodez00_2522, obj_t BgL_sitez00_2523)
	{
		{	/* Ast/substitute.scm 185 */
			{
				BgL_nodez00_bglt BgL_auxz00_3124;

				{	/* Ast/substitute.scm 187 */
					BgL_nodez00_bglt BgL_arg1558z00_2615;

					BgL_arg1558z00_2615 =
						(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_2522)))->BgL_testz00);
					BgL_auxz00_3124 =
						BGl_dozd2substitutez12zc0zzast_substitutez00(BgL_arg1558z00_2615,
						((obj_t) CNST_TABLE_REF(1)));
				}
				((((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_2522)))->BgL_testz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3124), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_3132;

				{	/* Ast/substitute.scm 188 */
					BgL_nodez00_bglt BgL_arg1560z00_2616;

					BgL_arg1560z00_2616 =
						(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_2522)))->BgL_truez00);
					BgL_auxz00_3132 =
						BGl_dozd2substitutez12zc0zzast_substitutez00(BgL_arg1560z00_2616,
						BgL_sitez00_2523);
				}
				((((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_2522)))->BgL_truez00) =
					((BgL_nodez00_bglt) BgL_auxz00_3132), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_3138;

				{	/* Ast/substitute.scm 189 */
					BgL_nodez00_bglt BgL_arg1574z00_2617;

					BgL_arg1574z00_2617 =
						(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_2522)))->BgL_falsez00);
					BgL_auxz00_3138 =
						BGl_dozd2substitutez12zc0zzast_substitutez00(BgL_arg1574z00_2617,
						BgL_sitez00_2523);
				}
				((((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_2522)))->BgL_falsez00) =
					((BgL_nodez00_bglt) BgL_auxz00_3138), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_conditionalz00_bglt) BgL_nodez00_2522));
		}

	}



/* &do-substitute!-setq1280 */
	BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2setq1280z70zzast_substitutez00(obj_t
		BgL_envz00_2524, obj_t BgL_nodez00_2525, obj_t BgL_sitez00_2526)
	{
		{	/* Ast/substitute.scm 176 */
			{
				BgL_varz00_bglt BgL_auxz00_3146;

				{	/* Ast/substitute.scm 178 */
					BgL_varz00_bglt BgL_arg1553z00_2619;

					BgL_arg1553z00_2619 =
						(((BgL_setqz00_bglt) COBJECT(
								((BgL_setqz00_bglt) BgL_nodez00_2525)))->BgL_varz00);
					BgL_auxz00_3146 =
						((BgL_varz00_bglt)
						BGl_dozd2substitutez12zc0zzast_substitutez00(
							((BgL_nodez00_bglt) BgL_arg1553z00_2619),
							((obj_t) CNST_TABLE_REF(4))));
				}
				((((BgL_setqz00_bglt) COBJECT(
								((BgL_setqz00_bglt) BgL_nodez00_2525)))->BgL_varz00) =
					((BgL_varz00_bglt) BgL_auxz00_3146), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_3156;

				{	/* Ast/substitute.scm 179 */
					BgL_nodez00_bglt BgL_arg1554z00_2620;

					BgL_arg1554z00_2620 =
						(((BgL_setqz00_bglt) COBJECT(
								((BgL_setqz00_bglt) BgL_nodez00_2525)))->BgL_valuez00);
					BgL_auxz00_3156 =
						BGl_dozd2substitutez12zc0zzast_substitutez00(BgL_arg1554z00_2620,
						BgL_sitez00_2526);
				}
				((((BgL_setqz00_bglt) COBJECT(
								((BgL_setqz00_bglt) BgL_nodez00_2525)))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_auxz00_3156), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_setqz00_bglt) BgL_nodez00_2525));
		}

	}



/* &do-substitute!-cast1278 */
	BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2cast1278z70zzast_substitutez00(obj_t
		BgL_envz00_2527, obj_t BgL_nodez00_2528, obj_t BgL_sitez00_2529)
	{
		{	/* Ast/substitute.scm 169 */
			((((BgL_castz00_bglt) COBJECT(
							((BgL_castz00_bglt) BgL_nodez00_2528)))->BgL_argz00) =
				((BgL_nodez00_bglt)
					BGl_dozd2substitutez12zc0zzast_substitutez00((((BgL_castz00_bglt)
								COBJECT(((BgL_castz00_bglt) BgL_nodez00_2528)))->BgL_argz00),
						BgL_sitez00_2529)), BUNSPEC);
			return ((BgL_nodez00_bglt) ((BgL_castz00_bglt) BgL_nodez00_2528));
		}

	}



/* &do-substitute!-exter1276 */
	BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2exter1276z70zzast_substitutez00(obj_t
		BgL_envz00_2530, obj_t BgL_nodez00_2531, obj_t BgL_sitez00_2532)
	{
		{	/* Ast/substitute.scm 162 */
			BGl_dozd2substituteza2z12z62zzast_substitutez00(
				(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt) BgL_nodez00_2531)))->BgL_exprza2za2),
				BgL_sitez00_2532);
			return ((BgL_nodez00_bglt) ((BgL_externz00_bglt) BgL_nodez00_2531));
		}

	}



/* &do-substitute!-funca1274 */
	BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2funca1274z70zzast_substitutez00(obj_t
		BgL_envz00_2533, obj_t BgL_nodez00_2534, obj_t BgL_sitez00_2535)
	{
		{	/* Ast/substitute.scm 140 */
			{	/* Ast/substitute.scm 142 */
				BgL_nodez00_bglt BgL_nfunz00_2624;
				obj_t BgL_nargsz00_2625;

				{	/* Ast/substitute.scm 142 */
					BgL_nodez00_bglt BgL_arg1515z00_2626;

					BgL_arg1515z00_2626 =
						(((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_nodez00_2534)))->BgL_funz00);
					BgL_nfunz00_2624 =
						BGl_dozd2substitutez12zc0zzast_substitutez00(BgL_arg1515z00_2626,
						((obj_t) CNST_TABLE_REF(1)));
				}
				{	/* Ast/substitute.scm 143 */
					obj_t BgL_l1241z00_2627;

					BgL_l1241z00_2627 =
						(((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_nodez00_2534)))->BgL_argsz00);
					if (NULLP(BgL_l1241z00_2627))
						{	/* Ast/substitute.scm 143 */
							BgL_nargsz00_2625 = BNIL;
						}
					else
						{	/* Ast/substitute.scm 143 */
							obj_t BgL_head1243z00_2628;

							BgL_head1243z00_2628 = MAKE_YOUNG_PAIR(BNIL, BNIL);
							{
								obj_t BgL_l1241z00_2630;
								obj_t BgL_tail1244z00_2631;

								BgL_l1241z00_2630 = BgL_l1241z00_2627;
								BgL_tail1244z00_2631 = BgL_head1243z00_2628;
							BgL_zc3z04anonymousza31517ze3z87_2629:
								if (NULLP(BgL_l1241z00_2630))
									{	/* Ast/substitute.scm 143 */
										BgL_nargsz00_2625 = CDR(BgL_head1243z00_2628);
									}
								else
									{	/* Ast/substitute.scm 143 */
										obj_t BgL_newtail1245z00_2632;

										{	/* Ast/substitute.scm 143 */
											BgL_nodez00_bglt BgL_arg1532z00_2633;

											{	/* Ast/substitute.scm 143 */
												obj_t BgL_az00_2634;

												BgL_az00_2634 = CAR(((obj_t) BgL_l1241z00_2630));
												BgL_arg1532z00_2633 =
													BGl_dozd2substitutez12zc0zzast_substitutez00(
													((BgL_nodez00_bglt) BgL_az00_2634),
													((obj_t) CNST_TABLE_REF(1)));
											}
											BgL_newtail1245z00_2632 =
												MAKE_YOUNG_PAIR(((obj_t) BgL_arg1532z00_2633), BNIL);
										}
										SET_CDR(BgL_tail1244z00_2631, BgL_newtail1245z00_2632);
										{	/* Ast/substitute.scm 143 */
											obj_t BgL_arg1530z00_2635;

											BgL_arg1530z00_2635 = CDR(((obj_t) BgL_l1241z00_2630));
											{
												obj_t BgL_tail1244z00_3201;
												obj_t BgL_l1241z00_3200;

												BgL_l1241z00_3200 = BgL_arg1530z00_2635;
												BgL_tail1244z00_3201 = BgL_newtail1245z00_2632;
												BgL_tail1244z00_2631 = BgL_tail1244z00_3201;
												BgL_l1241z00_2630 = BgL_l1241z00_3200;
												goto BgL_zc3z04anonymousza31517ze3z87_2629;
											}
										}
									}
							}
						}
				}
				{	/* Ast/substitute.scm 144 */
					bool_t BgL_test1937z00_3202;

					{	/* Ast/substitute.scm 144 */
						bool_t BgL_test1938z00_3203;

						{	/* Ast/substitute.scm 144 */
							obj_t BgL_classz00_2636;

							BgL_classz00_2636 = BGl_closurez00zzast_nodez00;
							{	/* Ast/substitute.scm 144 */
								BgL_objectz00_bglt BgL_arg1858z00_2637;

								{	/* Ast/substitute.scm 144 */
									obj_t BgL_tmpz00_3204;

									BgL_tmpz00_3204 =
										((obj_t) ((BgL_objectz00_bglt) BgL_nfunz00_2624));
									BgL_arg1858z00_2637 = (BgL_objectz00_bglt) (BgL_tmpz00_3204);
								}
								if (BGL_CONDEXPAND_ISA_ARCH64())
									{	/* Ast/substitute.scm 144 */
										long BgL_idxz00_2638;

										BgL_idxz00_2638 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_2637);
										BgL_test1938z00_3203 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_2638 + 3L)) == BgL_classz00_2636);
									}
								else
									{	/* Ast/substitute.scm 144 */
										bool_t BgL_res1853z00_2641;

										{	/* Ast/substitute.scm 144 */
											obj_t BgL_oclassz00_2642;

											{	/* Ast/substitute.scm 144 */
												obj_t BgL_arg1866z00_2643;
												long BgL_arg1867z00_2644;

												BgL_arg1866z00_2643 =
													(BGl_za2classesza2z00zz__objectz00);
												{	/* Ast/substitute.scm 144 */
													long BgL_arg1869z00_2645;

													BgL_arg1869z00_2645 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_2637);
													BgL_arg1867z00_2644 =
														(BgL_arg1869z00_2645 - OBJECT_TYPE);
												}
												BgL_oclassz00_2642 =
													VECTOR_REF(BgL_arg1866z00_2643, BgL_arg1867z00_2644);
											}
											{	/* Ast/substitute.scm 144 */
												bool_t BgL__ortest_1115z00_2646;

												BgL__ortest_1115z00_2646 =
													(BgL_classz00_2636 == BgL_oclassz00_2642);
												if (BgL__ortest_1115z00_2646)
													{	/* Ast/substitute.scm 144 */
														BgL_res1853z00_2641 = BgL__ortest_1115z00_2646;
													}
												else
													{	/* Ast/substitute.scm 144 */
														long BgL_odepthz00_2647;

														{	/* Ast/substitute.scm 144 */
															obj_t BgL_arg1855z00_2648;

															BgL_arg1855z00_2648 = (BgL_oclassz00_2642);
															BgL_odepthz00_2647 =
																BGL_CLASS_DEPTH(BgL_arg1855z00_2648);
														}
														if ((3L < BgL_odepthz00_2647))
															{	/* Ast/substitute.scm 144 */
																obj_t BgL_arg1853z00_2649;

																{	/* Ast/substitute.scm 144 */
																	obj_t BgL_arg1854z00_2650;

																	BgL_arg1854z00_2650 = (BgL_oclassz00_2642);
																	BgL_arg1853z00_2649 =
																		BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_2650,
																		3L);
																}
																BgL_res1853z00_2641 =
																	(BgL_arg1853z00_2649 == BgL_classz00_2636);
															}
														else
															{	/* Ast/substitute.scm 144 */
																BgL_res1853z00_2641 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_test1938z00_3203 = BgL_res1853z00_2641;
									}
							}
						}
						if (BgL_test1938z00_3203)
							{	/* Ast/substitute.scm 144 */
								BgL_test1937z00_3202 = ((bool_t) 1);
							}
						else
							{	/* Ast/substitute.scm 145 */
								bool_t BgL_test1942z00_3227;

								{	/* Ast/substitute.scm 145 */
									obj_t BgL_classz00_2651;

									BgL_classz00_2651 = BGl_varz00zzast_nodez00;
									{	/* Ast/substitute.scm 145 */
										BgL_objectz00_bglt BgL_arg1858z00_2652;

										{	/* Ast/substitute.scm 145 */
											obj_t BgL_tmpz00_3228;

											BgL_tmpz00_3228 =
												((obj_t) ((BgL_objectz00_bglt) BgL_nfunz00_2624));
											BgL_arg1858z00_2652 =
												(BgL_objectz00_bglt) (BgL_tmpz00_3228);
										}
										if (BGL_CONDEXPAND_ISA_ARCH64())
											{	/* Ast/substitute.scm 145 */
												long BgL_idxz00_2653;

												BgL_idxz00_2653 =
													BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_2652);
												BgL_test1942z00_3227 =
													(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
														(BgL_idxz00_2653 + 2L)) == BgL_classz00_2651);
											}
										else
											{	/* Ast/substitute.scm 145 */
												bool_t BgL_res1854z00_2656;

												{	/* Ast/substitute.scm 145 */
													obj_t BgL_oclassz00_2657;

													{	/* Ast/substitute.scm 145 */
														obj_t BgL_arg1866z00_2658;
														long BgL_arg1867z00_2659;

														BgL_arg1866z00_2658 =
															(BGl_za2classesza2z00zz__objectz00);
														{	/* Ast/substitute.scm 145 */
															long BgL_arg1869z00_2660;

															BgL_arg1869z00_2660 =
																BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_2652);
															BgL_arg1867z00_2659 =
																(BgL_arg1869z00_2660 - OBJECT_TYPE);
														}
														BgL_oclassz00_2657 =
															VECTOR_REF(BgL_arg1866z00_2658,
															BgL_arg1867z00_2659);
													}
													{	/* Ast/substitute.scm 145 */
														bool_t BgL__ortest_1115z00_2661;

														BgL__ortest_1115z00_2661 =
															(BgL_classz00_2651 == BgL_oclassz00_2657);
														if (BgL__ortest_1115z00_2661)
															{	/* Ast/substitute.scm 145 */
																BgL_res1854z00_2656 = BgL__ortest_1115z00_2661;
															}
														else
															{	/* Ast/substitute.scm 145 */
																long BgL_odepthz00_2662;

																{	/* Ast/substitute.scm 145 */
																	obj_t BgL_arg1855z00_2663;

																	BgL_arg1855z00_2663 = (BgL_oclassz00_2657);
																	BgL_odepthz00_2662 =
																		BGL_CLASS_DEPTH(BgL_arg1855z00_2663);
																}
																if ((2L < BgL_odepthz00_2662))
																	{	/* Ast/substitute.scm 145 */
																		obj_t BgL_arg1853z00_2664;

																		{	/* Ast/substitute.scm 145 */
																			obj_t BgL_arg1854z00_2665;

																			BgL_arg1854z00_2665 =
																				(BgL_oclassz00_2657);
																			BgL_arg1853z00_2664 =
																				BGL_CLASS_ANCESTORS_REF
																				(BgL_arg1854z00_2665, 2L);
																		}
																		BgL_res1854z00_2656 =
																			(BgL_arg1853z00_2664 ==
																			BgL_classz00_2651);
																	}
																else
																	{	/* Ast/substitute.scm 145 */
																		BgL_res1854z00_2656 = ((bool_t) 0);
																	}
															}
													}
												}
												BgL_test1942z00_3227 = BgL_res1854z00_2656;
											}
									}
								}
								if (BgL_test1942z00_3227)
									{	/* Ast/substitute.scm 146 */
										BgL_valuez00_bglt BgL_arg1512z00_2666;

										BgL_arg1512z00_2666 =
											(((BgL_variablez00_bglt) COBJECT(
													(((BgL_varz00_bglt) COBJECT(
																((BgL_varz00_bglt) BgL_nfunz00_2624)))->
														BgL_variablez00)))->BgL_valuez00);
										{	/* Ast/substitute.scm 146 */
											obj_t BgL_classz00_2667;

											BgL_classz00_2667 = BGl_funz00zzast_varz00;
											{	/* Ast/substitute.scm 146 */
												BgL_objectz00_bglt BgL_arg1858z00_2668;

												{	/* Ast/substitute.scm 146 */
													obj_t BgL_tmpz00_3254;

													BgL_tmpz00_3254 =
														((obj_t)
														((BgL_objectz00_bglt) BgL_arg1512z00_2666));
													BgL_arg1858z00_2668 =
														(BgL_objectz00_bglt) (BgL_tmpz00_3254);
												}
												if (BGL_CONDEXPAND_ISA_ARCH64())
													{	/* Ast/substitute.scm 146 */
														long BgL_idxz00_2669;

														BgL_idxz00_2669 =
															BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_2668);
														BgL_test1937z00_3202 =
															(VECTOR_REF
															(BGl_za2inheritancesza2z00zz__objectz00,
																(BgL_idxz00_2669 + 2L)) == BgL_classz00_2667);
													}
												else
													{	/* Ast/substitute.scm 146 */
														bool_t BgL_res1855z00_2672;

														{	/* Ast/substitute.scm 146 */
															obj_t BgL_oclassz00_2673;

															{	/* Ast/substitute.scm 146 */
																obj_t BgL_arg1866z00_2674;
																long BgL_arg1867z00_2675;

																BgL_arg1866z00_2674 =
																	(BGl_za2classesza2z00zz__objectz00);
																{	/* Ast/substitute.scm 146 */
																	long BgL_arg1869z00_2676;

																	BgL_arg1869z00_2676 =
																		BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_2668);
																	BgL_arg1867z00_2675 =
																		(BgL_arg1869z00_2676 - OBJECT_TYPE);
																}
																BgL_oclassz00_2673 =
																	VECTOR_REF(BgL_arg1866z00_2674,
																	BgL_arg1867z00_2675);
															}
															{	/* Ast/substitute.scm 146 */
																bool_t BgL__ortest_1115z00_2677;

																BgL__ortest_1115z00_2677 =
																	(BgL_classz00_2667 == BgL_oclassz00_2673);
																if (BgL__ortest_1115z00_2677)
																	{	/* Ast/substitute.scm 146 */
																		BgL_res1855z00_2672 =
																			BgL__ortest_1115z00_2677;
																	}
																else
																	{	/* Ast/substitute.scm 146 */
																		long BgL_odepthz00_2678;

																		{	/* Ast/substitute.scm 146 */
																			obj_t BgL_arg1855z00_2679;

																			BgL_arg1855z00_2679 =
																				(BgL_oclassz00_2673);
																			BgL_odepthz00_2678 =
																				BGL_CLASS_DEPTH(BgL_arg1855z00_2679);
																		}
																		if ((2L < BgL_odepthz00_2678))
																			{	/* Ast/substitute.scm 146 */
																				obj_t BgL_arg1853z00_2680;

																				{	/* Ast/substitute.scm 146 */
																					obj_t BgL_arg1854z00_2681;

																					BgL_arg1854z00_2681 =
																						(BgL_oclassz00_2673);
																					BgL_arg1853z00_2680 =
																						BGL_CLASS_ANCESTORS_REF
																						(BgL_arg1854z00_2681, 2L);
																				}
																				BgL_res1855z00_2672 =
																					(BgL_arg1853z00_2680 ==
																					BgL_classz00_2667);
																			}
																		else
																			{	/* Ast/substitute.scm 146 */
																				BgL_res1855z00_2672 = ((bool_t) 0);
																			}
																	}
															}
														}
														BgL_test1937z00_3202 = BgL_res1855z00_2672;
													}
											}
										}
									}
								else
									{	/* Ast/substitute.scm 145 */
										BgL_test1937z00_3202 = ((bool_t) 0);
									}
							}
					}
					if (BgL_test1937z00_3202)
						{	/* Ast/substitute.scm 147 */
							bool_t BgL_test1949z00_3277;

							{	/* Ast/substitute.scm 147 */
								BgL_variablez00_bglt BgL_arg1506z00_2682;
								obj_t BgL_arg1511z00_2683;

								BgL_arg1506z00_2682 =
									(((BgL_varz00_bglt) COBJECT(
											((BgL_varz00_bglt) BgL_nfunz00_2624)))->BgL_variablez00);
								BgL_arg1511z00_2683 = CDR(((obj_t) BgL_nargsz00_2625));
								BgL_test1949z00_3277 =
									BGl_correctzd2arityzd2appzf3zf3zzast_appz00
									(BgL_arg1506z00_2682, BgL_arg1511z00_2683);
							}
							if (BgL_test1949z00_3277)
								{	/* Ast/substitute.scm 149 */
									obj_t BgL_arg1484z00_2684;
									obj_t BgL_arg1487z00_2685;

									BgL_arg1484z00_2684 =
										(((BgL_nodez00_bglt) COBJECT(
												((BgL_nodez00_bglt)
													((BgL_funcallz00_bglt) BgL_nodez00_2534))))->
										BgL_locz00);
									BgL_arg1487z00_2685 = CDR(((obj_t) BgL_nargsz00_2625));
									return
										BGl_makezd2appzd2nodez00zzast_appz00(BNIL,
										BgL_arg1484z00_2684, ((obj_t) CNST_TABLE_REF(5)),
										((BgL_varz00_bglt) BgL_nfunz00_2624), BgL_arg1487z00_2685);
								}
							else
								{	/* Ast/substitute.scm 150 */
									obj_t BgL_arg1489z00_2686;
									obj_t BgL_arg1490z00_2687;

									BgL_arg1489z00_2686 =
										(((BgL_nodez00_bglt) COBJECT(
												((BgL_nodez00_bglt)
													((BgL_funcallz00_bglt) BgL_nodez00_2534))))->
										BgL_locz00);
									BgL_arg1490z00_2687 =
										BGl_shapez00zztools_shapez00(((obj_t) ((BgL_funcallz00_bglt)
												BgL_nodez00_2534)));
									return ((BgL_nodez00_bglt)
										BGl_userzd2errorzf2locationz20zztools_errorz00
										(BgL_arg1489z00_2686, BGl_string1886z00zzast_substitutez00,
											BGl_string1887z00zzast_substitutez00, BgL_arg1490z00_2687,
											BNIL));
								}
						}
					else
						{	/* Ast/substitute.scm 144 */
							((((BgL_funcallz00_bglt) COBJECT(
											((BgL_funcallz00_bglt) BgL_nodez00_2534)))->BgL_funz00) =
								((BgL_nodez00_bglt) BgL_nfunz00_2624), BUNSPEC);
							((((BgL_funcallz00_bglt) COBJECT(((BgL_funcallz00_bglt)
												BgL_nodez00_2534)))->BgL_argsz00) =
								((obj_t) BgL_nargsz00_2625), BUNSPEC);
							return ((BgL_nodez00_bglt) ((BgL_funcallz00_bglt)
									BgL_nodez00_2534));
						}
				}
			}
		}

	}



/* &do-substitute!-app-l1272 */
	BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2appzd2l1272za2zzast_substitutez00(obj_t
		BgL_envz00_2536, obj_t BgL_nodez00_2537, obj_t BgL_sitez00_2538)
	{
		{	/* Ast/substitute.scm 121 */
			{	/* Ast/substitute.scm 123 */
				BgL_nodez00_bglt BgL_nfunz00_2689;
				BgL_nodez00_bglt BgL_nargz00_2690;

				{	/* Ast/substitute.scm 123 */
					BgL_nodez00_bglt BgL_arg1418z00_2691;

					BgL_arg1418z00_2691 =
						(((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_2537)))->BgL_funz00);
					BgL_nfunz00_2689 =
						BGl_dozd2substitutez12zc0zzast_substitutez00(BgL_arg1418z00_2691,
						((obj_t) CNST_TABLE_REF(6)));
				}
				{	/* Ast/substitute.scm 124 */
					BgL_nodez00_bglt BgL_arg1419z00_2692;

					BgL_arg1419z00_2692 =
						(((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_2537)))->BgL_argz00);
					BgL_nargz00_2690 =
						BGl_dozd2substitutez12zc0zzast_substitutez00(BgL_arg1419z00_2692,
						((obj_t) CNST_TABLE_REF(1)));
				}
				{	/* Ast/substitute.scm 125 */
					bool_t BgL_test1950z00_3316;

					{	/* Ast/substitute.scm 125 */
						bool_t BgL_test1951z00_3317;

						{	/* Ast/substitute.scm 125 */
							obj_t BgL_classz00_2693;

							BgL_classz00_2693 = BGl_closurez00zzast_nodez00;
							{	/* Ast/substitute.scm 125 */
								BgL_objectz00_bglt BgL_arg1858z00_2694;

								{	/* Ast/substitute.scm 125 */
									obj_t BgL_tmpz00_3318;

									BgL_tmpz00_3318 =
										((obj_t) ((BgL_objectz00_bglt) BgL_nfunz00_2689));
									BgL_arg1858z00_2694 = (BgL_objectz00_bglt) (BgL_tmpz00_3318);
								}
								if (BGL_CONDEXPAND_ISA_ARCH64())
									{	/* Ast/substitute.scm 125 */
										long BgL_idxz00_2695;

										BgL_idxz00_2695 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_2694);
										BgL_test1951z00_3317 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_2695 + 3L)) == BgL_classz00_2693);
									}
								else
									{	/* Ast/substitute.scm 125 */
										bool_t BgL_res1852z00_2698;

										{	/* Ast/substitute.scm 125 */
											obj_t BgL_oclassz00_2699;

											{	/* Ast/substitute.scm 125 */
												obj_t BgL_arg1866z00_2700;
												long BgL_arg1867z00_2701;

												BgL_arg1866z00_2700 =
													(BGl_za2classesza2z00zz__objectz00);
												{	/* Ast/substitute.scm 125 */
													long BgL_arg1869z00_2702;

													BgL_arg1869z00_2702 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_2694);
													BgL_arg1867z00_2701 =
														(BgL_arg1869z00_2702 - OBJECT_TYPE);
												}
												BgL_oclassz00_2699 =
													VECTOR_REF(BgL_arg1866z00_2700, BgL_arg1867z00_2701);
											}
											{	/* Ast/substitute.scm 125 */
												bool_t BgL__ortest_1115z00_2703;

												BgL__ortest_1115z00_2703 =
													(BgL_classz00_2693 == BgL_oclassz00_2699);
												if (BgL__ortest_1115z00_2703)
													{	/* Ast/substitute.scm 125 */
														BgL_res1852z00_2698 = BgL__ortest_1115z00_2703;
													}
												else
													{	/* Ast/substitute.scm 125 */
														long BgL_odepthz00_2704;

														{	/* Ast/substitute.scm 125 */
															obj_t BgL_arg1855z00_2705;

															BgL_arg1855z00_2705 = (BgL_oclassz00_2699);
															BgL_odepthz00_2704 =
																BGL_CLASS_DEPTH(BgL_arg1855z00_2705);
														}
														if ((3L < BgL_odepthz00_2704))
															{	/* Ast/substitute.scm 125 */
																obj_t BgL_arg1853z00_2706;

																{	/* Ast/substitute.scm 125 */
																	obj_t BgL_arg1854z00_2707;

																	BgL_arg1854z00_2707 = (BgL_oclassz00_2699);
																	BgL_arg1853z00_2706 =
																		BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_2707,
																		3L);
																}
																BgL_res1852z00_2698 =
																	(BgL_arg1853z00_2706 == BgL_classz00_2693);
															}
														else
															{	/* Ast/substitute.scm 125 */
																BgL_res1852z00_2698 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_test1951z00_3317 = BgL_res1852z00_2698;
									}
							}
						}
						if (BgL_test1951z00_3317)
							{	/* Ast/substitute.scm 126 */
								bool_t BgL_test1955z00_3341;

								{	/* Ast/substitute.scm 126 */
									BgL_variablez00_bglt BgL_arg1417z00_2708;

									BgL_arg1417z00_2708 =
										(((BgL_varz00_bglt) COBJECT(
												((BgL_varz00_bglt) BgL_nfunz00_2689)))->
										BgL_variablez00);
									BgL_test1955z00_3341 =
										BGl_globalzd2optionalzf3z21zzast_varz00(((obj_t)
											BgL_arg1417z00_2708));
								}
								if (BgL_test1955z00_3341)
									{	/* Ast/substitute.scm 126 */
										BgL_test1950z00_3316 = ((bool_t) 0);
									}
								else
									{	/* Ast/substitute.scm 127 */
										bool_t BgL_test1956z00_3346;

										{	/* Ast/substitute.scm 127 */
											BgL_variablez00_bglt BgL_arg1416z00_2709;

											BgL_arg1416z00_2709 =
												(((BgL_varz00_bglt) COBJECT(
														((BgL_varz00_bglt) BgL_nfunz00_2689)))->
												BgL_variablez00);
											BgL_test1956z00_3346 =
												BGl_globalzd2keyzf3z21zzast_varz00(((obj_t)
													BgL_arg1416z00_2709));
										}
										if (BgL_test1956z00_3346)
											{	/* Ast/substitute.scm 127 */
												BgL_test1950z00_3316 = ((bool_t) 0);
											}
										else
											{	/* Ast/substitute.scm 127 */
												BgL_test1950z00_3316 = ((bool_t) 1);
											}
									}
							}
						else
							{	/* Ast/substitute.scm 125 */
								BgL_test1950z00_3316 = ((bool_t) 0);
							}
					}
					if (BgL_test1950z00_3316)
						{	/* Ast/substitute.scm 128 */
							obj_t BgL_arg1406z00_2710;
							BgL_refz00_bglt BgL_arg1414z00_2711;

							BgL_arg1406z00_2710 =
								(((BgL_nodez00_bglt) COBJECT(
										((BgL_nodez00_bglt)
											((BgL_appzd2lyzd2_bglt) BgL_nodez00_2537))))->BgL_locz00);
							{	/* Ast/substitute.scm 128 */
								BgL_refz00_bglt BgL_new1112z00_2712;

								{	/* Ast/substitute.scm 128 */
									BgL_refz00_bglt BgL_new1116z00_2713;

									BgL_new1116z00_2713 =
										((BgL_refz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
													BgL_refz00_bgl))));
									{	/* Ast/substitute.scm 128 */
										long BgL_arg1415z00_2714;

										BgL_arg1415z00_2714 =
											BGL_CLASS_NUM(BGl_refz00zzast_nodez00);
										BGL_OBJECT_CLASS_NUM_SET(
											((BgL_objectz00_bglt) BgL_new1116z00_2713),
											BgL_arg1415z00_2714);
									}
									{	/* Ast/substitute.scm 128 */
										BgL_objectz00_bglt BgL_tmpz00_3358;

										BgL_tmpz00_3358 =
											((BgL_objectz00_bglt) BgL_new1116z00_2713);
										BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3358, BFALSE);
									}
									((BgL_objectz00_bglt) BgL_new1116z00_2713);
									BgL_new1112z00_2712 = BgL_new1116z00_2713;
								}
								((((BgL_nodez00_bglt) COBJECT(
												((BgL_nodez00_bglt) BgL_new1112z00_2712)))->
										BgL_locz00) =
									((obj_t) (((BgL_nodez00_bglt) COBJECT(BgL_nfunz00_2689))->
											BgL_locz00)), BUNSPEC);
								((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
													BgL_new1112z00_2712)))->BgL_typez00) =
									((BgL_typez00_bglt) (((BgL_nodez00_bglt)
												COBJECT(BgL_nfunz00_2689))->BgL_typez00)), BUNSPEC);
								((((BgL_varz00_bglt) COBJECT(((BgL_varz00_bglt)
													BgL_new1112z00_2712)))->BgL_variablez00) =
									((BgL_variablez00_bglt) (((BgL_varz00_bglt)
												COBJECT(((BgL_varz00_bglt) BgL_nfunz00_2689)))->
											BgL_variablez00)), BUNSPEC);
								BgL_arg1414z00_2711 = BgL_new1112z00_2712;
							}
							return
								BGl_knownzd2appzd2lyzd2ze3nodez31zzast_applyz00(BNIL,
								BgL_arg1406z00_2710, ((BgL_nodez00_bglt) BgL_arg1414z00_2711),
								BgL_nargz00_2690, BgL_sitez00_2538);
						}
					else
						{	/* Ast/substitute.scm 125 */
							((((BgL_appzd2lyzd2_bglt) COBJECT(
											((BgL_appzd2lyzd2_bglt) BgL_nodez00_2537)))->BgL_funz00) =
								((BgL_nodez00_bglt) BgL_nfunz00_2689), BUNSPEC);
							((((BgL_appzd2lyzd2_bglt) COBJECT(((BgL_appzd2lyzd2_bglt)
												BgL_nodez00_2537)))->BgL_argz00) =
								((BgL_nodez00_bglt) BgL_nargz00_2690), BUNSPEC);
							return ((BgL_nodez00_bglt) ((BgL_appzd2lyzd2_bglt)
									BgL_nodez00_2537));
						}
				}
			}
		}

	}



/* &do-substitute!-app1270 */
	BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2app1270z70zzast_substitutez00(obj_t
		BgL_envz00_2539, obj_t BgL_nodez00_2540, obj_t BgL_sitez00_2541)
	{
		{	/* Ast/substitute.scm 113 */
			{	/* Ast/substitute.scm 114 */
				BgL_nodez00_bglt BgL_arg1382z00_2716;

				{	/* Ast/substitute.scm 114 */
					BgL_varz00_bglt BgL_arg1383z00_2717;

					BgL_arg1383z00_2717 =
						(((BgL_appz00_bglt) COBJECT(
								((BgL_appz00_bglt) BgL_nodez00_2540)))->BgL_funz00);
					BgL_arg1382z00_2716 =
						BGl_dozd2substitutez12zc0zzast_substitutez00(
						((BgL_nodez00_bglt) BgL_arg1383z00_2717),
						((obj_t) CNST_TABLE_REF(3)));
				}
				((((BgL_appz00_bglt) COBJECT(
								((BgL_appz00_bglt) BgL_nodez00_2540)))->BgL_funz00) =
					((BgL_varz00_bglt) ((BgL_varz00_bglt) BgL_arg1382z00_2716)), BUNSPEC);
			}
			{	/* Ast/substitute.scm 115 */
				obj_t BgL_arg1385z00_2718;

				BgL_arg1385z00_2718 =
					(((BgL_appz00_bglt) COBJECT(
							((BgL_appz00_bglt) BgL_nodez00_2540)))->BgL_argsz00);
				BGl_dozd2substituteza2z12z62zzast_substitutez00(BgL_arg1385z00_2718,
					((obj_t) CNST_TABLE_REF(1)));
			}
			return ((BgL_nodez00_bglt) ((BgL_appz00_bglt) BgL_nodez00_2540));
		}

	}



/* &do-substitute!-sync1267 */
	BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2sync1267z70zzast_substitutez00(obj_t
		BgL_envz00_2542, obj_t BgL_nodez00_2543, obj_t BgL_sitez00_2544)
	{
		{	/* Ast/substitute.scm 104 */
			((((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_nodez00_2543)))->BgL_mutexz00) =
				((BgL_nodez00_bglt)
					BGl_dozd2substitutez12zc0zzast_substitutez00((((BgL_syncz00_bglt)
								COBJECT(((BgL_syncz00_bglt) BgL_nodez00_2543)))->BgL_mutexz00),
						BgL_sitez00_2544)), BUNSPEC);
			((((BgL_syncz00_bglt) COBJECT(((BgL_syncz00_bglt) BgL_nodez00_2543)))->
					BgL_prelockz00) =
				((BgL_nodez00_bglt)
					BGl_dozd2substitutez12zc0zzast_substitutez00((((BgL_syncz00_bglt)
								COBJECT(((BgL_syncz00_bglt) BgL_nodez00_2543)))->
							BgL_prelockz00), BgL_sitez00_2544)), BUNSPEC);
			((((BgL_syncz00_bglt) COBJECT(((BgL_syncz00_bglt) BgL_nodez00_2543)))->
					BgL_bodyz00) =
				((BgL_nodez00_bglt)
					BGl_dozd2substitutez12zc0zzast_substitutez00((((BgL_syncz00_bglt)
								COBJECT(((BgL_syncz00_bglt) BgL_nodez00_2543)))->BgL_bodyz00),
						BgL_sitez00_2544)), BUNSPEC);
			return ((BgL_nodez00_bglt) ((BgL_syncz00_bglt) BgL_nodez00_2543));
		}

	}



/* &do-substitute!-seque1265 */
	BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2seque1265z70zzast_substitutez00(obj_t
		BgL_envz00_2545, obj_t BgL_nodez00_2546, obj_t BgL_sitez00_2547)
	{
		{	/* Ast/substitute.scm 97 */
			BGl_dozd2substituteza2z12z62zzast_substitutez00(
				(((BgL_sequencez00_bglt) COBJECT(
							((BgL_sequencez00_bglt) BgL_nodez00_2546)))->BgL_nodesz00),
				BgL_sitez00_2547);
			return ((BgL_nodez00_bglt) ((BgL_sequencez00_bglt) BgL_nodez00_2546));
		}

	}



/* &do-substitute!-kwote1263 */
	BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2kwote1263z70zzast_substitutez00(obj_t
		BgL_envz00_2548, obj_t BgL_nodez00_2549, obj_t BgL_sitez00_2550)
	{
		{	/* Ast/substitute.scm 91 */
			return ((BgL_nodez00_bglt) ((BgL_kwotez00_bglt) BgL_nodez00_2549));
		}

	}



/* &do-substitute!-var1261 */
	BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2var1261z70zzast_substitutez00(obj_t
		BgL_envz00_2551, obj_t BgL_nodez00_2552, obj_t BgL_sitez00_2553)
	{
		{	/* Ast/substitute.scm 63 */
			{	/* Ast/substitute.scm 64 */
				BgL_variablez00_bglt BgL_varz00_2723;

				BgL_varz00_2723 =
					(((BgL_varz00_bglt) COBJECT(
							((BgL_varz00_bglt) BgL_nodez00_2552)))->BgL_variablez00);
				{	/* Ast/substitute.scm 64 */
					obj_t BgL_alphaz00_2724;

					BgL_alphaz00_2724 =
						(((BgL_variablez00_bglt) COBJECT(BgL_varz00_2723))->
						BgL_fastzd2alphazd2);
					{	/* Ast/substitute.scm 65 */

						{
							obj_t BgL_alphaz00_2726;

							{
								obj_t BgL_auxz00_3423;

								BgL_alphaz00_2726 = BgL_alphaz00_2724;
							BgL_loopz00_2725:
								if ((BgL_alphaz00_2726 == BUNSPEC))
									{	/* Ast/substitute.scm 68 */
										BgL_auxz00_3423 =
											((obj_t) ((BgL_varz00_bglt) BgL_nodez00_2552));
									}
								else
									{	/* Ast/substitute.scm 70 */
										bool_t BgL_test1958z00_3428;

										{	/* Ast/substitute.scm 70 */
											obj_t BgL_classz00_2727;

											BgL_classz00_2727 = BGl_varz00zzast_nodez00;
											if (BGL_OBJECTP(BgL_alphaz00_2726))
												{	/* Ast/substitute.scm 70 */
													BgL_objectz00_bglt BgL_arg1858z00_2728;

													BgL_arg1858z00_2728 =
														(BgL_objectz00_bglt) (BgL_alphaz00_2726);
													if (BGL_CONDEXPAND_ISA_ARCH64())
														{	/* Ast/substitute.scm 70 */
															long BgL_idxz00_2729;

															BgL_idxz00_2729 =
																BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_2728);
															BgL_test1958z00_3428 =
																(VECTOR_REF
																(BGl_za2inheritancesza2z00zz__objectz00,
																	(BgL_idxz00_2729 + 2L)) == BgL_classz00_2727);
														}
													else
														{	/* Ast/substitute.scm 70 */
															bool_t BgL_res1848z00_2732;

															{	/* Ast/substitute.scm 70 */
																obj_t BgL_oclassz00_2733;

																{	/* Ast/substitute.scm 70 */
																	obj_t BgL_arg1866z00_2734;
																	long BgL_arg1867z00_2735;

																	BgL_arg1866z00_2734 =
																		(BGl_za2classesza2z00zz__objectz00);
																	{	/* Ast/substitute.scm 70 */
																		long BgL_arg1869z00_2736;

																		BgL_arg1869z00_2736 =
																			BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_2728);
																		BgL_arg1867z00_2735 =
																			(BgL_arg1869z00_2736 - OBJECT_TYPE);
																	}
																	BgL_oclassz00_2733 =
																		VECTOR_REF(BgL_arg1866z00_2734,
																		BgL_arg1867z00_2735);
																}
																{	/* Ast/substitute.scm 70 */
																	bool_t BgL__ortest_1115z00_2737;

																	BgL__ortest_1115z00_2737 =
																		(BgL_classz00_2727 == BgL_oclassz00_2733);
																	if (BgL__ortest_1115z00_2737)
																		{	/* Ast/substitute.scm 70 */
																			BgL_res1848z00_2732 =
																				BgL__ortest_1115z00_2737;
																		}
																	else
																		{	/* Ast/substitute.scm 70 */
																			long BgL_odepthz00_2738;

																			{	/* Ast/substitute.scm 70 */
																				obj_t BgL_arg1855z00_2739;

																				BgL_arg1855z00_2739 =
																					(BgL_oclassz00_2733);
																				BgL_odepthz00_2738 =
																					BGL_CLASS_DEPTH(BgL_arg1855z00_2739);
																			}
																			if ((2L < BgL_odepthz00_2738))
																				{	/* Ast/substitute.scm 70 */
																					obj_t BgL_arg1853z00_2740;

																					{	/* Ast/substitute.scm 70 */
																						obj_t BgL_arg1854z00_2741;

																						BgL_arg1854z00_2741 =
																							(BgL_oclassz00_2733);
																						BgL_arg1853z00_2740 =
																							BGL_CLASS_ANCESTORS_REF
																							(BgL_arg1854z00_2741, 2L);
																					}
																					BgL_res1848z00_2732 =
																						(BgL_arg1853z00_2740 ==
																						BgL_classz00_2727);
																				}
																			else
																				{	/* Ast/substitute.scm 70 */
																					BgL_res1848z00_2732 = ((bool_t) 0);
																				}
																		}
																}
															}
															BgL_test1958z00_3428 = BgL_res1848z00_2732;
														}
												}
											else
												{	/* Ast/substitute.scm 70 */
													BgL_test1958z00_3428 = ((bool_t) 0);
												}
										}
										if (BgL_test1958z00_3428)
											{	/* Ast/substitute.scm 71 */
												BgL_variablez00_bglt BgL_arg1336z00_2742;

												BgL_arg1336z00_2742 =
													(((BgL_varz00_bglt) COBJECT(
															((BgL_varz00_bglt) BgL_alphaz00_2726)))->
													BgL_variablez00);
												{
													obj_t BgL_alphaz00_3453;

													BgL_alphaz00_3453 = ((obj_t) BgL_arg1336z00_2742);
													BgL_alphaz00_2726 = BgL_alphaz00_3453;
													goto BgL_loopz00_2725;
												}
											}
										else
											{	/* Ast/substitute.scm 72 */
												bool_t BgL_test1963z00_3455;

												{	/* Ast/substitute.scm 72 */
													obj_t BgL_classz00_2743;

													BgL_classz00_2743 = BGl_variablez00zzast_varz00;
													if (BGL_OBJECTP(BgL_alphaz00_2726))
														{	/* Ast/substitute.scm 72 */
															BgL_objectz00_bglt BgL_arg1858z00_2744;

															BgL_arg1858z00_2744 =
																(BgL_objectz00_bglt) (BgL_alphaz00_2726);
															if (BGL_CONDEXPAND_ISA_ARCH64())
																{	/* Ast/substitute.scm 72 */
																	long BgL_idxz00_2745;

																	BgL_idxz00_2745 =
																		BGL_OBJECT_INHERITANCE_NUM
																		(BgL_arg1858z00_2744);
																	BgL_test1963z00_3455 =
																		(VECTOR_REF
																		(BGl_za2inheritancesza2z00zz__objectz00,
																			(BgL_idxz00_2745 + 1L)) ==
																		BgL_classz00_2743);
																}
															else
																{	/* Ast/substitute.scm 72 */
																	bool_t BgL_res1849z00_2748;

																	{	/* Ast/substitute.scm 72 */
																		obj_t BgL_oclassz00_2749;

																		{	/* Ast/substitute.scm 72 */
																			obj_t BgL_arg1866z00_2750;
																			long BgL_arg1867z00_2751;

																			BgL_arg1866z00_2750 =
																				(BGl_za2classesza2z00zz__objectz00);
																			{	/* Ast/substitute.scm 72 */
																				long BgL_arg1869z00_2752;

																				BgL_arg1869z00_2752 =
																					BGL_OBJECT_CLASS_NUM
																					(BgL_arg1858z00_2744);
																				BgL_arg1867z00_2751 =
																					(BgL_arg1869z00_2752 - OBJECT_TYPE);
																			}
																			BgL_oclassz00_2749 =
																				VECTOR_REF(BgL_arg1866z00_2750,
																				BgL_arg1867z00_2751);
																		}
																		{	/* Ast/substitute.scm 72 */
																			bool_t BgL__ortest_1115z00_2753;

																			BgL__ortest_1115z00_2753 =
																				(BgL_classz00_2743 ==
																				BgL_oclassz00_2749);
																			if (BgL__ortest_1115z00_2753)
																				{	/* Ast/substitute.scm 72 */
																					BgL_res1849z00_2748 =
																						BgL__ortest_1115z00_2753;
																				}
																			else
																				{	/* Ast/substitute.scm 72 */
																					long BgL_odepthz00_2754;

																					{	/* Ast/substitute.scm 72 */
																						obj_t BgL_arg1855z00_2755;

																						BgL_arg1855z00_2755 =
																							(BgL_oclassz00_2749);
																						BgL_odepthz00_2754 =
																							BGL_CLASS_DEPTH
																							(BgL_arg1855z00_2755);
																					}
																					if ((1L < BgL_odepthz00_2754))
																						{	/* Ast/substitute.scm 72 */
																							obj_t BgL_arg1853z00_2756;

																							{	/* Ast/substitute.scm 72 */
																								obj_t BgL_arg1854z00_2757;

																								BgL_arg1854z00_2757 =
																									(BgL_oclassz00_2749);
																								BgL_arg1853z00_2756 =
																									BGL_CLASS_ANCESTORS_REF
																									(BgL_arg1854z00_2757, 1L);
																							}
																							BgL_res1849z00_2748 =
																								(BgL_arg1853z00_2756 ==
																								BgL_classz00_2743);
																						}
																					else
																						{	/* Ast/substitute.scm 72 */
																							BgL_res1849z00_2748 =
																								((bool_t) 0);
																						}
																				}
																		}
																	}
																	BgL_test1963z00_3455 = BgL_res1849z00_2748;
																}
														}
													else
														{	/* Ast/substitute.scm 72 */
															BgL_test1963z00_3455 = ((bool_t) 0);
														}
												}
												if (BgL_test1963z00_3455)
													{	/* Ast/substitute.scm 72 */
														{	/* Ast/substitute.scm 73 */
															obj_t BgL_arg1338z00_2758;

															BgL_arg1338z00_2758 =
																(((BgL_nodez00_bglt) COBJECT(
																		((BgL_nodez00_bglt)
																			((BgL_varz00_bglt) BgL_nodez00_2552))))->
																BgL_locz00);
															BGl_usezd2variablez12zc0zzast_sexpz00((
																	(BgL_variablez00_bglt) BgL_alphaz00_2726),
																BgL_arg1338z00_2758, BgL_sitez00_2553);
														}
														{	/* Ast/substitute.scm 74 */
															bool_t BgL_test1968z00_3483;

															{	/* Ast/substitute.scm 74 */
																bool_t BgL_test1969z00_3484;

																{	/* Ast/substitute.scm 74 */
																	BgL_valuez00_bglt BgL_arg1360z00_2759;

																	BgL_arg1360z00_2759 =
																		(((BgL_variablez00_bglt) COBJECT(
																				((BgL_variablez00_bglt)
																					BgL_alphaz00_2726)))->BgL_valuez00);
																	{	/* Ast/substitute.scm 74 */
																		obj_t BgL_classz00_2760;

																		BgL_classz00_2760 = BGl_funz00zzast_varz00;
																		{	/* Ast/substitute.scm 74 */
																			BgL_objectz00_bglt BgL_arg1858z00_2761;

																			{	/* Ast/substitute.scm 74 */
																				obj_t BgL_tmpz00_3487;

																				BgL_tmpz00_3487 =
																					((obj_t)
																					((BgL_objectz00_bglt)
																						BgL_arg1360z00_2759));
																				BgL_arg1858z00_2761 =
																					(BgL_objectz00_bglt)
																					(BgL_tmpz00_3487);
																			}
																			if (BGL_CONDEXPAND_ISA_ARCH64())
																				{	/* Ast/substitute.scm 74 */
																					long BgL_idxz00_2762;

																					BgL_idxz00_2762 =
																						BGL_OBJECT_INHERITANCE_NUM
																						(BgL_arg1858z00_2761);
																					BgL_test1969z00_3484 =
																						(VECTOR_REF
																						(BGl_za2inheritancesza2z00zz__objectz00,
																							(BgL_idxz00_2762 + 2L)) ==
																						BgL_classz00_2760);
																				}
																			else
																				{	/* Ast/substitute.scm 74 */
																					bool_t BgL_res1850z00_2765;

																					{	/* Ast/substitute.scm 74 */
																						obj_t BgL_oclassz00_2766;

																						{	/* Ast/substitute.scm 74 */
																							obj_t BgL_arg1866z00_2767;
																							long BgL_arg1867z00_2768;

																							BgL_arg1866z00_2767 =
																								(BGl_za2classesza2z00zz__objectz00);
																							{	/* Ast/substitute.scm 74 */
																								long BgL_arg1869z00_2769;

																								BgL_arg1869z00_2769 =
																									BGL_OBJECT_CLASS_NUM
																									(BgL_arg1858z00_2761);
																								BgL_arg1867z00_2768 =
																									(BgL_arg1869z00_2769 -
																									OBJECT_TYPE);
																							}
																							BgL_oclassz00_2766 =
																								VECTOR_REF(BgL_arg1866z00_2767,
																								BgL_arg1867z00_2768);
																						}
																						{	/* Ast/substitute.scm 74 */
																							bool_t BgL__ortest_1115z00_2770;

																							BgL__ortest_1115z00_2770 =
																								(BgL_classz00_2760 ==
																								BgL_oclassz00_2766);
																							if (BgL__ortest_1115z00_2770)
																								{	/* Ast/substitute.scm 74 */
																									BgL_res1850z00_2765 =
																										BgL__ortest_1115z00_2770;
																								}
																							else
																								{	/* Ast/substitute.scm 74 */
																									long BgL_odepthz00_2771;

																									{	/* Ast/substitute.scm 74 */
																										obj_t BgL_arg1855z00_2772;

																										BgL_arg1855z00_2772 =
																											(BgL_oclassz00_2766);
																										BgL_odepthz00_2771 =
																											BGL_CLASS_DEPTH
																											(BgL_arg1855z00_2772);
																									}
																									if ((2L < BgL_odepthz00_2771))
																										{	/* Ast/substitute.scm 74 */
																											obj_t BgL_arg1853z00_2773;

																											{	/* Ast/substitute.scm 74 */
																												obj_t
																													BgL_arg1854z00_2774;
																												BgL_arg1854z00_2774 =
																													(BgL_oclassz00_2766);
																												BgL_arg1853z00_2773 =
																													BGL_CLASS_ANCESTORS_REF
																													(BgL_arg1854z00_2774,
																													2L);
																											}
																											BgL_res1850z00_2765 =
																												(BgL_arg1853z00_2773 ==
																												BgL_classz00_2760);
																										}
																									else
																										{	/* Ast/substitute.scm 74 */
																											BgL_res1850z00_2765 =
																												((bool_t) 0);
																										}
																								}
																						}
																					}
																					BgL_test1969z00_3484 =
																						BgL_res1850z00_2765;
																				}
																		}
																	}
																}
																if (BgL_test1969z00_3484)
																	{	/* Ast/substitute.scm 74 */
																		if (
																			(BgL_sitez00_2553 ==
																				((obj_t) CNST_TABLE_REF(3))))
																			{	/* Ast/substitute.scm 74 */
																				BgL_test1968z00_3483 = ((bool_t) 0);
																			}
																		else
																			{	/* Ast/substitute.scm 74 */
																				BgL_test1968z00_3483 = ((bool_t) 1);
																			}
																	}
																else
																	{	/* Ast/substitute.scm 74 */
																		BgL_test1968z00_3483 = ((bool_t) 0);
																	}
															}
															if (BgL_test1968z00_3483)
																{	/* Ast/substitute.scm 75 */
																	BgL_closurez00_bglt BgL_new1107z00_2775;

																	{	/* Ast/substitute.scm 76 */
																		BgL_closurez00_bglt BgL_new1106z00_2776;

																		BgL_new1106z00_2776 =
																			((BgL_closurez00_bglt)
																			BOBJECT(GC_MALLOC(sizeof(struct
																						BgL_closurez00_bgl))));
																		{	/* Ast/substitute.scm 76 */
																			long BgL_arg1358z00_2777;

																			BgL_arg1358z00_2777 =
																				BGL_CLASS_NUM
																				(BGl_closurez00zzast_nodez00);
																			BGL_OBJECT_CLASS_NUM_SET((
																					(BgL_objectz00_bglt)
																					BgL_new1106z00_2776),
																				BgL_arg1358z00_2777);
																		}
																		{	/* Ast/substitute.scm 76 */
																			BgL_objectz00_bglt BgL_tmpz00_3518;

																			BgL_tmpz00_3518 =
																				((BgL_objectz00_bglt)
																				BgL_new1106z00_2776);
																			BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3518,
																				BFALSE);
																		}
																		((BgL_objectz00_bglt) BgL_new1106z00_2776);
																		BgL_new1107z00_2775 = BgL_new1106z00_2776;
																	}
																	((((BgL_nodez00_bglt) COBJECT(
																					((BgL_nodez00_bglt)
																						BgL_new1107z00_2775)))->
																			BgL_locz00) =
																		((obj_t) (((BgL_nodez00_bglt)
																					COBJECT(((BgL_nodez00_bglt) (
																								(BgL_varz00_bglt)
																								BgL_nodez00_2552))))->
																				BgL_locz00)), BUNSPEC);
																	{
																		BgL_typez00_bglt BgL_auxz00_3527;

																		{	/* Ast/substitute.scm 77 */
																			BgL_typez00_bglt BgL_arg1355z00_2778;

																			BgL_arg1355z00_2778 =
																				(((BgL_nodez00_bglt) COBJECT(
																						((BgL_nodez00_bglt)
																							((BgL_varz00_bglt)
																								BgL_nodez00_2552))))->
																				BgL_typez00);
																			BgL_auxz00_3527 =
																				BGl_strictzd2nodezd2typez00zzast_nodez00
																				(((BgL_typez00_bglt)
																					BGl_za2procedureza2z00zztype_cachez00),
																				BgL_arg1355z00_2778);
																		}
																		((((BgL_nodez00_bglt) COBJECT(
																						((BgL_nodez00_bglt)
																							BgL_new1107z00_2775)))->
																				BgL_typez00) =
																			((BgL_typez00_bglt) BgL_auxz00_3527),
																			BUNSPEC);
																	}
																	((((BgL_varz00_bglt) COBJECT(
																					((BgL_varz00_bglt)
																						BgL_new1107z00_2775)))->
																			BgL_variablez00) =
																		((BgL_variablez00_bglt) (
																				(BgL_variablez00_bglt)
																				BgL_alphaz00_2726)), BUNSPEC);
																	BgL_auxz00_3423 =
																		((obj_t) BgL_new1107z00_2775);
																}
															else
																{	/* Ast/substitute.scm 79 */
																	BgL_refz00_bglt BgL_new1109z00_2779;

																	{	/* Ast/substitute.scm 80 */
																		BgL_refz00_bglt BgL_new1108z00_2780;

																		BgL_new1108z00_2780 =
																			((BgL_refz00_bglt)
																			BOBJECT(GC_MALLOC(sizeof(struct
																						BgL_refz00_bgl))));
																		{	/* Ast/substitute.scm 80 */
																			long BgL_arg1359z00_2781;

																			BgL_arg1359z00_2781 =
																				BGL_CLASS_NUM(BGl_refz00zzast_nodez00);
																			BGL_OBJECT_CLASS_NUM_SET(
																				((BgL_objectz00_bglt)
																					BgL_new1108z00_2780),
																				BgL_arg1359z00_2781);
																		}
																		{	/* Ast/substitute.scm 80 */
																			BgL_objectz00_bglt BgL_tmpz00_3543;

																			BgL_tmpz00_3543 =
																				((BgL_objectz00_bglt)
																				BgL_new1108z00_2780);
																			BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3543,
																				BFALSE);
																		}
																		((BgL_objectz00_bglt) BgL_new1108z00_2780);
																		BgL_new1109z00_2779 = BgL_new1108z00_2780;
																	}
																	((((BgL_nodez00_bglt) COBJECT(
																					((BgL_nodez00_bglt)
																						BgL_new1109z00_2779)))->
																			BgL_locz00) =
																		((obj_t) (((BgL_nodez00_bglt)
																					COBJECT(((BgL_nodez00_bglt) (
																								(BgL_varz00_bglt)
																								BgL_nodez00_2552))))->
																				BgL_locz00)), BUNSPEC);
																	((((BgL_nodez00_bglt)
																				COBJECT(((BgL_nodez00_bglt)
																						BgL_new1109z00_2779)))->
																			BgL_typez00) =
																		((BgL_typez00_bglt) (((BgL_nodez00_bglt)
																					COBJECT(((BgL_nodez00_bglt) (
																								(BgL_varz00_bglt)
																								BgL_nodez00_2552))))->
																				BgL_typez00)), BUNSPEC);
																	((((BgL_varz00_bglt)
																				COBJECT(((BgL_varz00_bglt)
																						BgL_new1109z00_2779)))->
																			BgL_variablez00) =
																		((BgL_variablez00_bglt) (
																				(BgL_variablez00_bglt)
																				BgL_alphaz00_2726)), BUNSPEC);
																	BgL_auxz00_3423 =
																		((obj_t) BgL_new1109z00_2779);
													}}}
												else
													{	/* Ast/substitute.scm 83 */
														bool_t BgL_test1974z00_3561;

														{	/* Ast/substitute.scm 83 */
															obj_t BgL_classz00_2782;

															BgL_classz00_2782 = BGl_atomz00zzast_nodez00;
															if (BGL_OBJECTP(BgL_alphaz00_2726))
																{	/* Ast/substitute.scm 83 */
																	BgL_objectz00_bglt BgL_arg1858z00_2783;

																	BgL_arg1858z00_2783 =
																		(BgL_objectz00_bglt) (BgL_alphaz00_2726);
																	if (BGL_CONDEXPAND_ISA_ARCH64())
																		{	/* Ast/substitute.scm 83 */
																			long BgL_idxz00_2784;

																			BgL_idxz00_2784 =
																				BGL_OBJECT_INHERITANCE_NUM
																				(BgL_arg1858z00_2783);
																			BgL_test1974z00_3561 =
																				(VECTOR_REF
																				(BGl_za2inheritancesza2z00zz__objectz00,
																					(BgL_idxz00_2784 + 2L)) ==
																				BgL_classz00_2782);
																		}
																	else
																		{	/* Ast/substitute.scm 83 */
																			bool_t BgL_res1851z00_2787;

																			{	/* Ast/substitute.scm 83 */
																				obj_t BgL_oclassz00_2788;

																				{	/* Ast/substitute.scm 83 */
																					obj_t BgL_arg1866z00_2789;
																					long BgL_arg1867z00_2790;

																					BgL_arg1866z00_2789 =
																						(BGl_za2classesza2z00zz__objectz00);
																					{	/* Ast/substitute.scm 83 */
																						long BgL_arg1869z00_2791;

																						BgL_arg1869z00_2791 =
																							BGL_OBJECT_CLASS_NUM
																							(BgL_arg1858z00_2783);
																						BgL_arg1867z00_2790 =
																							(BgL_arg1869z00_2791 -
																							OBJECT_TYPE);
																					}
																					BgL_oclassz00_2788 =
																						VECTOR_REF(BgL_arg1866z00_2789,
																						BgL_arg1867z00_2790);
																				}
																				{	/* Ast/substitute.scm 83 */
																					bool_t BgL__ortest_1115z00_2792;

																					BgL__ortest_1115z00_2792 =
																						(BgL_classz00_2782 ==
																						BgL_oclassz00_2788);
																					if (BgL__ortest_1115z00_2792)
																						{	/* Ast/substitute.scm 83 */
																							BgL_res1851z00_2787 =
																								BgL__ortest_1115z00_2792;
																						}
																					else
																						{	/* Ast/substitute.scm 83 */
																							long BgL_odepthz00_2793;

																							{	/* Ast/substitute.scm 83 */
																								obj_t BgL_arg1855z00_2794;

																								BgL_arg1855z00_2794 =
																									(BgL_oclassz00_2788);
																								BgL_odepthz00_2793 =
																									BGL_CLASS_DEPTH
																									(BgL_arg1855z00_2794);
																							}
																							if ((2L < BgL_odepthz00_2793))
																								{	/* Ast/substitute.scm 83 */
																									obj_t BgL_arg1853z00_2795;

																									{	/* Ast/substitute.scm 83 */
																										obj_t BgL_arg1854z00_2796;

																										BgL_arg1854z00_2796 =
																											(BgL_oclassz00_2788);
																										BgL_arg1853z00_2795 =
																											BGL_CLASS_ANCESTORS_REF
																											(BgL_arg1854z00_2796, 2L);
																									}
																									BgL_res1851z00_2787 =
																										(BgL_arg1853z00_2795 ==
																										BgL_classz00_2782);
																								}
																							else
																								{	/* Ast/substitute.scm 83 */
																									BgL_res1851z00_2787 =
																										((bool_t) 0);
																								}
																						}
																				}
																			}
																			BgL_test1974z00_3561 =
																				BgL_res1851z00_2787;
																		}
																}
															else
																{	/* Ast/substitute.scm 83 */
																	BgL_test1974z00_3561 = ((bool_t) 0);
																}
														}
														if (BgL_test1974z00_3561)
															{	/* Ast/substitute.scm 83 */
																BgL_auxz00_3423 = BgL_alphaz00_2726;
															}
														else
															{	/* Ast/substitute.scm 86 */
																obj_t BgL_arg1364z00_2797;

																BgL_arg1364z00_2797 =
																	BGl_shapez00zztools_shapez00(
																	((obj_t)
																		((BgL_varz00_bglt) BgL_nodez00_2552)));
																BgL_auxz00_3423 =
																	BGl_internalzd2errorzd2zztools_errorz00
																	(BGl_string1888z00zzast_substitutez00,
																	BGl_string1889z00zzast_substitutez00,
																	BgL_arg1364z00_2797);
															}
													}
											}
									}
								return ((BgL_nodez00_bglt) BgL_auxz00_3423);
							}
						}
					}
				}
			}
		}

	}



/* &do-substitute!-atom1259 */
	BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2atom1259z70zzast_substitutez00(obj_t
		BgL_envz00_2554, obj_t BgL_nodez00_2555, obj_t BgL_sitez00_2556)
	{
		{	/* Ast/substitute.scm 57 */
			return ((BgL_nodez00_bglt) ((BgL_atomz00_bglt) BgL_nodez00_2555));
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzast_substitutez00(void)
	{
		{	/* Ast/substitute.scm 14 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(54713316L,
				BSTRING_TO_STRING(BGl_string1890z00zzast_substitutez00));
			BGl_modulezd2initializa7ationz75zztype_typez00(515343395L,
				BSTRING_TO_STRING(BGl_string1890z00zzast_substitutez00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(489890788L,
				BSTRING_TO_STRING(BGl_string1890z00zzast_substitutez00));
			BGl_modulezd2initializa7ationz75zzast_varz00(90839984L,
				BSTRING_TO_STRING(BGl_string1890z00zzast_substitutez00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(469732712L,
				BSTRING_TO_STRING(BGl_string1890z00zzast_substitutez00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(365925558L,
				BSTRING_TO_STRING(BGl_string1890z00zzast_substitutez00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(300504031L,
				BSTRING_TO_STRING(BGl_string1890z00zzast_substitutez00));
			BGl_modulezd2initializa7ationz75zzast_applyz00(277780830L,
				BSTRING_TO_STRING(BGl_string1890z00zzast_substitutez00));
			BGl_modulezd2initializa7ationz75zzast_appz00(449859288L,
				BSTRING_TO_STRING(BGl_string1890z00zzast_substitutez00));
			return
				BGl_modulezd2initializa7ationz75zzast_sexpz00(163122759L,
				BSTRING_TO_STRING(BGl_string1890z00zzast_substitutez00));
		}

	}

#ifdef __cplusplus
}
#endif
