/*===========================================================================*/
/*   (Cfa/box.scm)                                                           */
/*   Bigloo (4.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Jan 27 07:45:49 AM CET 2025     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.6a/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.6a/lib/bigloo/4.6a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -stdc -indent Cfa/box.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL_CFA_BOX_TYPE_DEFINITIONS
#define BGL_CFA_BOX_TYPE_DEFINITIONS

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_nullz00;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		obj_t BgL_stackablez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_approxz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_typez00_bgl *BgL_typez00;
		bool_t BgL_typezd2lockedzf3z21;
		obj_t BgL_allocsz00;
		bool_t BgL_topzf3zf3;
		long BgL_lostzd2stampzd2;
		obj_t BgL_dupz00;
		bool_t BgL_haszd2procedurezf3z21;
	}                *BgL_approxz00_bglt;

	typedef struct BgL_prezd2makezd2boxz00_bgl
	{
	}                          *BgL_prezd2makezd2boxz00_bglt;

	typedef struct BgL_makezd2boxzf2cinfoz20_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                            *BgL_makezd2boxzf2cinfoz20_bglt;

	typedef struct BgL_makezd2boxzf2ozd2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		struct BgL_approxz00_bgl *BgL_valuezd2approxzd2;
	}                                *BgL_makezd2boxzf2ozd2cinfozf2_bglt;

	typedef struct BgL_boxzd2setz12zf2cinfoz32_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                              *BgL_boxzd2setz12zf2cinfoz32_bglt;

	typedef struct BgL_boxzd2refzf2cinfoz20_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                           *BgL_boxzd2refzf2cinfoz20_bglt;

	typedef struct BgL_boxzd2setz12zf2ozd2cinfoze0_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                                  *BgL_boxzd2setz12zf2ozd2cinfoze0_bglt;

	typedef struct BgL_boxzd2refzf2ozd2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                               *BgL_boxzd2refzf2ozd2cinfozf2_bglt;


#endif													// BGL_CFA_BOX_TYPE_DEFINITIONS
#endif													// BGL_MODULE_TYPE_DEFINITIONS

	static obj_t BGl_objectzd2initzd2zzcfa_boxz00(void);
	extern obj_t BGl_boxzd2setz12zf2Cinfoz32zzcfa_infoz00;
	extern obj_t BGl_prezd2makezd2boxz00zzcfa_infoz00;
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	extern obj_t BGl_forzd2eachzd2approxzd2alloczd2zzcfa_approxz00(obj_t,
		BgL_approxz00_bglt);
	extern obj_t BGl_boxzd2refzf2Ozd2Cinfozf2zzcfa_infoz00;
	extern obj_t BGl_makezd2boxzf2Cinfoz20zzcfa_infoz00;
	static obj_t BGl_methodzd2initzd2zzcfa_boxz00(void);
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	static obj_t BGl_z62zc3z04anonymousza31632ze3ze5zzcfa_boxz00(obj_t, obj_t);
	extern BgL_approxz00_bglt
		BGl_unionzd2approxz12zc0zzcfa_approxz00(BgL_approxz00_bglt,
		BgL_approxz00_bglt);
	static obj_t BGl_gczd2rootszd2initz00zzcfa_boxz00(void);
	extern BgL_approxz00_bglt BGl_makezd2emptyzd2approxz00zzcfa_approxz00(void);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_approxzd2setzd2topz12z12zzcfa_approxz00(BgL_approxz00_bglt);
	extern obj_t BGl_za2optimza2z00zzengine_paramz00;
	static obj_t BGl_requirezd2initializa7ationz75zzcfa_boxz00 = BUNSPEC;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	static BgL_approxz00_bglt
		BGl_z62cfaz12zd2boxzd2setz12zf2Ozd2Cinf1537z42zzcfa_boxz00(obj_t, obj_t);
	static obj_t BGl_toplevelzd2initzd2zzcfa_boxz00(void);
	static obj_t BGl_z62nodezd2setupz12zd2boxzd2ref1531za2zzcfa_boxz00(obj_t,
		obj_t);
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzcfa_boxz00(void);
	static obj_t BGl_z62nodezd2setupz12zd2boxzd2setz121529zb0zzcfa_boxz00(obj_t,
		obj_t);
	static obj_t BGl_z62nodezd2setupz12zd2makezd2box1525za2zzcfa_boxz00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	extern BgL_approxz00_bglt BGl_loosez12z12zzcfa_loosez00(BgL_approxz00_bglt,
		obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static BgL_approxz00_bglt
		BGl_z62cfaz12zd2boxzd2refzf2Ozd2Cinfo1535z50zzcfa_boxz00(obj_t, obj_t);
	extern obj_t BGl_nodezd2setupz12zc0zzcfa_setupz00(BgL_nodez00_bglt);
	extern BgL_approxz00_bglt
		BGl_makezd2typezd2alloczd2approxzd2zzcfa_approxz00(BgL_typez00_bglt,
		BgL_nodez00_bglt);
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzcfa_boxz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_closurez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_iteratez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_cfaz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_approxz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_setupz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_loosez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_info2z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_infoz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	extern obj_t BGl_boxzd2setz12zf2Ozd2Cinfoze0zzcfa_infoz00;
	static obj_t BGl_cnstzd2initzd2zzcfa_boxz00(void);
	static obj_t BGl_z62nodezd2setupz12zd2prezd2make1527za2zzcfa_boxz00(obj_t,
		obj_t);
	static obj_t BGl_libraryzd2moduleszd2initz00zzcfa_boxz00(void);
	static obj_t BGl_importedzd2moduleszd2initz00zzcfa_boxz00(void);
	extern BgL_approxz00_bglt
		BGl_makezd2typezd2approxz00zzcfa_approxz00(BgL_typez00_bglt);
	static obj_t BGl_z62loosezd2allocz12zd2makezd2bo1539za2zzcfa_boxz00(obj_t,
		obj_t);
	extern obj_t BGl_makezd2boxzf2Ozd2Cinfozf2zzcfa_infoz00;
	extern obj_t BGl_za2unspecza2z00zztype_cachez00;
	static BgL_approxz00_bglt
		BGl_z62cfaz12zd2makezd2boxzf2Ozd2Cinf1533z50zzcfa_boxz00(obj_t, obj_t);
	extern BgL_approxz00_bglt BGl_cfaz12z12zzcfa_cfaz00(BgL_nodez00_bglt);
	extern obj_t BGl_boxzd2refzf2Cinfoz20zzcfa_infoz00;
	BGL_IMPORT obj_t BGl_classzd2superzd2zz__objectz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza31649ze3ze5zzcfa_boxz00(obj_t, obj_t);
	static obj_t __cnst[1];


	extern obj_t BGl_cfaz12zd2envzc0zzcfa_cfaz00;
	   
		 
		DEFINE_STRING(BGl_string2018z00zzcfa_boxz00,
		BgL_bgl_string2018za700za7za7c2033za7, "node-setup!", 11);
	      DEFINE_STRING(BGl_string2023z00zzcfa_boxz00,
		BgL_bgl_string2023za700za7za7c2034za7, "cfa!::approx", 12);
	      DEFINE_STRING(BGl_string2027z00zzcfa_boxz00,
		BgL_bgl_string2027za700za7za7c2035za7, "loose-alloc!", 12);
	      DEFINE_STRING(BGl_string2028z00zzcfa_boxz00,
		BgL_bgl_string2028za700za7za7c2036za7, "box-ref", 7);
	      DEFINE_STRING(BGl_string2029z00zzcfa_boxz00,
		BgL_bgl_string2029za700za7za7c2037za7,
		"Illegal mixed of optimized and unoptimize `make-box'", 52);
	      DEFINE_STRING(BGl_string2030z00zzcfa_boxz00,
		BgL_bgl_string2030za700za7za7c2038za7, "cfa_box", 7);
	      DEFINE_STRING(BGl_string2031z00zzcfa_boxz00,
		BgL_bgl_string2031za700za7za7c2039za7, "all ", 4);
	extern obj_t BGl_nodezd2setupz12zd2envz12zzcfa_setupz00;
	extern obj_t BGl_loosezd2allocz12zd2envz12zzcfa_loosez00;
	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2017z00zzcfa_boxz00,
		BgL_bgl_za762nodeza7d2setupza72040za7,
		BGl_z62nodezd2setupz12zd2makezd2box1525za2zzcfa_boxz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2019z00zzcfa_boxz00,
		BgL_bgl_za762nodeza7d2setupza72041za7,
		BGl_z62nodezd2setupz12zd2prezd2make1527za2zzcfa_boxz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2020z00zzcfa_boxz00,
		BgL_bgl_za762nodeza7d2setupza72042za7,
		BGl_z62nodezd2setupz12zd2boxzd2setz121529zb0zzcfa_boxz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2021z00zzcfa_boxz00,
		BgL_bgl_za762nodeza7d2setupza72043za7,
		BGl_z62nodezd2setupz12zd2boxzd2ref1531za2zzcfa_boxz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2022z00zzcfa_boxz00,
		BgL_bgl_za762cfaza712za7d2make2044za7,
		BGl_z62cfaz12zd2makezd2boxzf2Ozd2Cinf1533z50zzcfa_boxz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2024z00zzcfa_boxz00,
		BgL_bgl_za762cfaza712za7d2boxza72045z00,
		BGl_z62cfaz12zd2boxzd2refzf2Ozd2Cinfo1535z50zzcfa_boxz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2025z00zzcfa_boxz00,
		BgL_bgl_za762cfaza712za7d2boxza72046z00,
		BGl_z62cfaz12zd2boxzd2setz12zf2Ozd2Cinf1537z42zzcfa_boxz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2026z00zzcfa_boxz00,
		BgL_bgl_za762looseza7d2alloc2047z00,
		BGl_z62loosezd2allocz12zd2makezd2bo1539za2zzcfa_boxz00, 0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		     ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zzcfa_boxz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzcfa_boxz00(long
		BgL_checksumz00_3998, char *BgL_fromz00_3999)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzcfa_boxz00))
				{
					BGl_requirezd2initializa7ationz75zzcfa_boxz00 = BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzcfa_boxz00();
					BGl_libraryzd2moduleszd2initz00zzcfa_boxz00();
					BGl_cnstzd2initzd2zzcfa_boxz00();
					BGl_importedzd2moduleszd2initz00zzcfa_boxz00();
					BGl_methodzd2initzd2zzcfa_boxz00();
					return BGl_toplevelzd2initzd2zzcfa_boxz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzcfa_boxz00(void)
	{
		{	/* Cfa/box.scm 15 */
			BGl_modulezd2initializa7ationz75zz__objectz00(0L, "cfa_box");
			BGl_modulezd2initializa7ationz75zz__readerz00(0L, "cfa_box");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(0L, "cfa_box");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(0L, "cfa_box");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(0L, "cfa_box");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(0L, "cfa_box");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(0L,
				"cfa_box");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzcfa_boxz00(void)
	{
		{	/* Cfa/box.scm 15 */
			{	/* Cfa/box.scm 15 */
				obj_t BgL_cportz00_3877;

				{	/* Cfa/box.scm 15 */
					obj_t BgL_stringz00_3884;

					BgL_stringz00_3884 = BGl_string2031z00zzcfa_boxz00;
					{	/* Cfa/box.scm 15 */
						obj_t BgL_startz00_3885;

						BgL_startz00_3885 = BINT(0L);
						{	/* Cfa/box.scm 15 */
							obj_t BgL_endz00_3886;

							BgL_endz00_3886 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_3884)));
							{	/* Cfa/box.scm 15 */

								BgL_cportz00_3877 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_3884, BgL_startz00_3885, BgL_endz00_3886);
				}}}}
				{
					long BgL_iz00_3878;

					BgL_iz00_3878 = 0L;
				BgL_loopz00_3879:
					if ((BgL_iz00_3878 == (-1L)))
						{	/* Cfa/box.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Cfa/box.scm 15 */
							{	/* Cfa/box.scm 15 */
								obj_t BgL_arg2032z00_3880;

								{	/* Cfa/box.scm 15 */

									{	/* Cfa/box.scm 15 */
										obj_t BgL_locationz00_3882;

										BgL_locationz00_3882 = BBOOL(((bool_t) 0));
										{	/* Cfa/box.scm 15 */

											BgL_arg2032z00_3880 =
												BGl_readz00zz__readerz00(BgL_cportz00_3877,
												BgL_locationz00_3882);
										}
									}
								}
								{	/* Cfa/box.scm 15 */
									int BgL_tmpz00_4025;

									BgL_tmpz00_4025 = (int) (BgL_iz00_3878);
									CNST_TABLE_SET(BgL_tmpz00_4025, BgL_arg2032z00_3880);
							}}
							{	/* Cfa/box.scm 15 */
								int BgL_auxz00_3883;

								BgL_auxz00_3883 = (int) ((BgL_iz00_3878 - 1L));
								{
									long BgL_iz00_4030;

									BgL_iz00_4030 = (long) (BgL_auxz00_3883);
									BgL_iz00_3878 = BgL_iz00_4030;
									goto BgL_loopz00_3879;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzcfa_boxz00(void)
	{
		{	/* Cfa/box.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzcfa_boxz00(void)
	{
		{	/* Cfa/box.scm 15 */
			return BUNSPEC;
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzcfa_boxz00(void)
	{
		{	/* Cfa/box.scm 15 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzcfa_boxz00(void)
	{
		{	/* Cfa/box.scm 15 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzcfa_boxz00(void)
	{
		{	/* Cfa/box.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc2017z00zzcfa_boxz00,
				BGl_string2018z00zzcfa_boxz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00,
				BGl_prezd2makezd2boxz00zzcfa_infoz00, BGl_proc2019z00zzcfa_boxz00,
				BGl_string2018z00zzcfa_boxz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc2020z00zzcfa_boxz00,
				BGl_string2018z00zzcfa_boxz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc2021z00zzcfa_boxz00,
				BGl_string2018z00zzcfa_boxz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cfaz12zd2envzc0zzcfa_cfaz00,
				BGl_makezd2boxzf2Ozd2Cinfozf2zzcfa_infoz00, BGl_proc2022z00zzcfa_boxz00,
				BGl_string2023z00zzcfa_boxz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cfaz12zd2envzc0zzcfa_cfaz00,
				BGl_boxzd2refzf2Ozd2Cinfozf2zzcfa_infoz00, BGl_proc2024z00zzcfa_boxz00,
				BGl_string2023z00zzcfa_boxz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cfaz12zd2envzc0zzcfa_cfaz00,
				BGl_boxzd2setz12zf2Ozd2Cinfoze0zzcfa_infoz00,
				BGl_proc2025z00zzcfa_boxz00, BGl_string2023z00zzcfa_boxz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_loosezd2allocz12zd2envz12zzcfa_loosez00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc2026z00zzcfa_boxz00,
				BGl_string2027z00zzcfa_boxz00);
		}

	}



/* &loose-alloc!-make-bo1539 */
	obj_t BGl_z62loosezd2allocz12zd2makezd2bo1539za2zzcfa_boxz00(obj_t
		BgL_envz00_3847, obj_t BgL_allocz00_3848)
	{
		{	/* Cfa/box.scm 145 */
			return BUNSPEC;
		}

	}



/* &cfa!-box-set!/O-Cinf1537 */
	BgL_approxz00_bglt
		BGl_z62cfaz12zd2boxzd2setz12zf2Ozd2Cinf1537z42zzcfa_boxz00(obj_t
		BgL_envz00_3849, obj_t BgL_nodez00_3850)
	{
		{	/* Cfa/box.scm 117 */
			{	/* Cfa/box.scm 119 */
				BgL_approxz00_bglt BgL_boxzd2approxzd2_3890;
				BgL_approxz00_bglt BgL_valzd2approxzd2_3891;

				{	/* Cfa/box.scm 119 */
					BgL_varz00_bglt BgL_arg1657z00_3892;

					BgL_arg1657z00_3892 =
						(((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt)
									((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_3850))))->BgL_varz00);
					BgL_boxzd2approxzd2_3890 =
						BGl_cfaz12z12zzcfa_cfaz00(((BgL_nodez00_bglt) BgL_arg1657z00_3892));
				}
				{	/* Cfa/box.scm 120 */
					BgL_nodez00_bglt BgL_arg1660z00_3893;

					BgL_arg1660z00_3893 =
						(((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt)
									((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_3850))))->
						BgL_valuez00);
					BgL_valzd2approxzd2_3891 =
						BGl_cfaz12z12zzcfa_cfaz00(BgL_arg1660z00_3893);
				}
				if (
					(((BgL_approxz00_bglt) COBJECT(BgL_boxzd2approxzd2_3890))->
						BgL_topzf3zf3))
					{	/* Cfa/box.scm 122 */
						((obj_t)
							BGl_loosez12z12zzcfa_loosez00(BgL_valzd2approxzd2_3891,
								((obj_t) CNST_TABLE_REF(0))));
					}
				else
					{	/* Cfa/box.scm 128 */
						obj_t BgL_zc3z04anonymousza31649ze3z87_3894;

						BgL_zc3z04anonymousza31649ze3z87_3894 =
							MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31649ze3ze5zzcfa_boxz00,
							(int) (1L), (int) (2L));
						PROCEDURE_SET(BgL_zc3z04anonymousza31649ze3z87_3894,
							(int) (0L),
							((obj_t) ((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_3850)));
						PROCEDURE_SET(BgL_zc3z04anonymousza31649ze3z87_3894,
							(int) (1L), ((obj_t) BgL_valzd2approxzd2_3891));
						BGl_forzd2eachzd2approxzd2alloczd2zzcfa_approxz00
							(BgL_zc3z04anonymousza31649ze3z87_3894, BgL_boxzd2approxzd2_3890);
			}}
			{
				BgL_boxzd2setz12zf2ozd2cinfoze0_bglt BgL_auxz00_4067;

				{
					obj_t BgL_auxz00_4068;

					{	/* Cfa/box.scm 137 */
						BgL_objectz00_bglt BgL_tmpz00_4069;

						BgL_tmpz00_4069 =
							((BgL_objectz00_bglt)
							((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_3850));
						BgL_auxz00_4068 = BGL_OBJECT_WIDENING(BgL_tmpz00_4069);
					}
					BgL_auxz00_4067 =
						((BgL_boxzd2setz12zf2ozd2cinfoze0_bglt) BgL_auxz00_4068);
				}
				return
					(((BgL_boxzd2setz12zf2ozd2cinfoze0_bglt) COBJECT(BgL_auxz00_4067))->
					BgL_approxz00);
			}
		}

	}



/* &<@anonymous:1649> */
	obj_t BGl_z62zc3z04anonymousza31649ze3ze5zzcfa_boxz00(obj_t BgL_envz00_3851,
		obj_t BgL_boxz00_3854)
	{
		{	/* Cfa/box.scm 126 */
			{	/* Cfa/box.scm 128 */
				BgL_boxzd2setz12zc0_bglt BgL_nodez00_3852;
				BgL_approxz00_bglt BgL_valzd2approxzd2_3853;

				BgL_nodez00_3852 =
					((BgL_boxzd2setz12zc0_bglt)
					PROCEDURE_REF(BgL_envz00_3851, (int) (0L)));
				BgL_valzd2approxzd2_3853 =
					((BgL_approxz00_bglt) PROCEDURE_REF(BgL_envz00_3851, (int) (1L)));
				{	/* Cfa/box.scm 128 */
					bool_t BgL_test2051z00_4081;

					{	/* Cfa/box.scm 128 */
						obj_t BgL_classz00_3895;

						BgL_classz00_3895 = BGl_makezd2boxzf2Ozd2Cinfozf2zzcfa_infoz00;
						if (BGL_OBJECTP(BgL_boxz00_3854))
							{	/* Cfa/box.scm 128 */
								BgL_objectz00_bglt BgL_arg1858z00_3896;

								BgL_arg1858z00_3896 = (BgL_objectz00_bglt) (BgL_boxz00_3854);
								if (BGL_CONDEXPAND_ISA_ARCH64())
									{	/* Cfa/box.scm 128 */
										long BgL_idxz00_3897;

										BgL_idxz00_3897 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_3896);
										BgL_test2051z00_4081 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_3897 + 4L)) == BgL_classz00_3895);
									}
								else
									{	/* Cfa/box.scm 128 */
										bool_t BgL_res1986z00_3900;

										{	/* Cfa/box.scm 128 */
											obj_t BgL_oclassz00_3901;

											{	/* Cfa/box.scm 128 */
												obj_t BgL_arg1866z00_3902;
												long BgL_arg1867z00_3903;

												BgL_arg1866z00_3902 =
													(BGl_za2classesza2z00zz__objectz00);
												{	/* Cfa/box.scm 128 */
													long BgL_arg1869z00_3904;

													BgL_arg1869z00_3904 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_3896);
													BgL_arg1867z00_3903 =
														(BgL_arg1869z00_3904 - OBJECT_TYPE);
												}
												BgL_oclassz00_3901 =
													VECTOR_REF(BgL_arg1866z00_3902, BgL_arg1867z00_3903);
											}
											{	/* Cfa/box.scm 128 */
												bool_t BgL__ortest_1115z00_3905;

												BgL__ortest_1115z00_3905 =
													(BgL_classz00_3895 == BgL_oclassz00_3901);
												if (BgL__ortest_1115z00_3905)
													{	/* Cfa/box.scm 128 */
														BgL_res1986z00_3900 = BgL__ortest_1115z00_3905;
													}
												else
													{	/* Cfa/box.scm 128 */
														long BgL_odepthz00_3906;

														{	/* Cfa/box.scm 128 */
															obj_t BgL_arg1855z00_3907;

															BgL_arg1855z00_3907 = (BgL_oclassz00_3901);
															BgL_odepthz00_3906 =
																BGL_CLASS_DEPTH(BgL_arg1855z00_3907);
														}
														if ((4L < BgL_odepthz00_3906))
															{	/* Cfa/box.scm 128 */
																obj_t BgL_arg1853z00_3908;

																{	/* Cfa/box.scm 128 */
																	obj_t BgL_arg1854z00_3909;

																	BgL_arg1854z00_3909 = (BgL_oclassz00_3901);
																	BgL_arg1853z00_3908 =
																		BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_3909,
																		4L);
																}
																BgL_res1986z00_3900 =
																	(BgL_arg1853z00_3908 == BgL_classz00_3895);
															}
														else
															{	/* Cfa/box.scm 128 */
																BgL_res1986z00_3900 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_test2051z00_4081 = BgL_res1986z00_3900;
									}
							}
						else
							{	/* Cfa/box.scm 128 */
								BgL_test2051z00_4081 = ((bool_t) 0);
							}
					}
					if (BgL_test2051z00_4081)
						{	/* Cfa/box.scm 130 */
							BgL_approxz00_bglt BgL_arg1653z00_3910;

							{
								BgL_makezd2boxzf2ozd2cinfozf2_bglt BgL_auxz00_4104;

								{
									obj_t BgL_auxz00_4105;

									{	/* Cfa/box.scm 130 */
										BgL_objectz00_bglt BgL_tmpz00_4106;

										BgL_tmpz00_4106 =
											((BgL_objectz00_bglt)
											((BgL_makezd2boxzd2_bglt) BgL_boxz00_3854));
										BgL_auxz00_4105 = BGL_OBJECT_WIDENING(BgL_tmpz00_4106);
									}
									BgL_auxz00_4104 =
										((BgL_makezd2boxzf2ozd2cinfozf2_bglt) BgL_auxz00_4105);
								}
								BgL_arg1653z00_3910 =
									(((BgL_makezd2boxzf2ozd2cinfozf2_bglt)
										COBJECT(BgL_auxz00_4104))->BgL_valuezd2approxzd2);
							}
							return
								((obj_t)
								BGl_unionzd2approxz12zc0zzcfa_approxz00(BgL_arg1653z00_3910,
									BgL_valzd2approxzd2_3853));
						}
					else
						{	/* Cfa/box.scm 131 */
							bool_t BgL_test2056z00_4114;

							{	/* Cfa/box.scm 131 */
								obj_t BgL_classz00_3911;

								BgL_classz00_3911 = BGl_makezd2boxzf2Cinfoz20zzcfa_infoz00;
								if (BGL_OBJECTP(BgL_boxz00_3854))
									{	/* Cfa/box.scm 131 */
										BgL_objectz00_bglt BgL_arg1858z00_3912;

										BgL_arg1858z00_3912 =
											(BgL_objectz00_bglt) (BgL_boxz00_3854);
										if (BGL_CONDEXPAND_ISA_ARCH64())
											{	/* Cfa/box.scm 131 */
												long BgL_idxz00_3913;

												BgL_idxz00_3913 =
													BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_3912);
												BgL_test2056z00_4114 =
													(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
														(BgL_idxz00_3913 + 4L)) == BgL_classz00_3911);
											}
										else
											{	/* Cfa/box.scm 131 */
												bool_t BgL_res1987z00_3916;

												{	/* Cfa/box.scm 131 */
													obj_t BgL_oclassz00_3917;

													{	/* Cfa/box.scm 131 */
														obj_t BgL_arg1866z00_3918;
														long BgL_arg1867z00_3919;

														BgL_arg1866z00_3918 =
															(BGl_za2classesza2z00zz__objectz00);
														{	/* Cfa/box.scm 131 */
															long BgL_arg1869z00_3920;

															BgL_arg1869z00_3920 =
																BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_3912);
															BgL_arg1867z00_3919 =
																(BgL_arg1869z00_3920 - OBJECT_TYPE);
														}
														BgL_oclassz00_3917 =
															VECTOR_REF(BgL_arg1866z00_3918,
															BgL_arg1867z00_3919);
													}
													{	/* Cfa/box.scm 131 */
														bool_t BgL__ortest_1115z00_3921;

														BgL__ortest_1115z00_3921 =
															(BgL_classz00_3911 == BgL_oclassz00_3917);
														if (BgL__ortest_1115z00_3921)
															{	/* Cfa/box.scm 131 */
																BgL_res1987z00_3916 = BgL__ortest_1115z00_3921;
															}
														else
															{	/* Cfa/box.scm 131 */
																long BgL_odepthz00_3922;

																{	/* Cfa/box.scm 131 */
																	obj_t BgL_arg1855z00_3923;

																	BgL_arg1855z00_3923 = (BgL_oclassz00_3917);
																	BgL_odepthz00_3922 =
																		BGL_CLASS_DEPTH(BgL_arg1855z00_3923);
																}
																if ((4L < BgL_odepthz00_3922))
																	{	/* Cfa/box.scm 131 */
																		obj_t BgL_arg1853z00_3924;

																		{	/* Cfa/box.scm 131 */
																			obj_t BgL_arg1854z00_3925;

																			BgL_arg1854z00_3925 =
																				(BgL_oclassz00_3917);
																			BgL_arg1853z00_3924 =
																				BGL_CLASS_ANCESTORS_REF
																				(BgL_arg1854z00_3925, 4L);
																		}
																		BgL_res1987z00_3916 =
																			(BgL_arg1853z00_3924 ==
																			BgL_classz00_3911);
																	}
																else
																	{	/* Cfa/box.scm 131 */
																		BgL_res1987z00_3916 = ((bool_t) 0);
																	}
															}
													}
												}
												BgL_test2056z00_4114 = BgL_res1987z00_3916;
											}
									}
								else
									{	/* Cfa/box.scm 131 */
										BgL_test2056z00_4114 = ((bool_t) 0);
									}
							}
							if (BgL_test2056z00_4114)
								{	/* Cfa/box.scm 135 */
									obj_t BgL_arg1656z00_3926;

									BgL_arg1656z00_3926 =
										BGl_shapez00zztools_shapez00(((obj_t) BgL_nodez00_3852));
									return
										BGl_internalzd2errorzd2zztools_errorz00
										(BGl_string2028z00zzcfa_boxz00,
										BGl_string2029z00zzcfa_boxz00, BgL_arg1656z00_3926);
								}
							else
								{	/* Cfa/box.scm 131 */
									return BFALSE;
								}
						}
				}
			}
		}

	}



/* &cfa!-box-ref/O-Cinfo1535 */
	BgL_approxz00_bglt
		BGl_z62cfaz12zd2boxzd2refzf2Ozd2Cinfo1535z50zzcfa_boxz00(obj_t
		BgL_envz00_3855, obj_t BgL_nodez00_3856)
	{
		{	/* Cfa/box.scm 97 */
			{	/* Cfa/box.scm 99 */
				BgL_approxz00_bglt BgL_boxzd2approxzd2_3928;

				{	/* Cfa/box.scm 99 */
					BgL_varz00_bglt BgL_arg1643z00_3929;

					BgL_arg1643z00_3929 =
						(((BgL_boxzd2refzd2_bglt) COBJECT(
								((BgL_boxzd2refzd2_bglt)
									((BgL_boxzd2refzd2_bglt) BgL_nodez00_3856))))->BgL_varz00);
					BgL_boxzd2approxzd2_3928 =
						BGl_cfaz12z12zzcfa_cfaz00(((BgL_nodez00_bglt) BgL_arg1643z00_3929));
				}
				{	/* Cfa/box.scm 103 */
					obj_t BgL_zc3z04anonymousza31632ze3z87_3930;

					BgL_zc3z04anonymousza31632ze3z87_3930 =
						MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31632ze3ze5zzcfa_boxz00,
						(int) (1L), (int) (2L));
					PROCEDURE_SET(BgL_zc3z04anonymousza31632ze3z87_3930,
						(int) (0L), ((obj_t) ((BgL_boxzd2refzd2_bglt) BgL_nodez00_3856)));
					PROCEDURE_SET(BgL_zc3z04anonymousza31632ze3z87_3930,
						(int) (1L), ((obj_t) ((BgL_boxzd2refzd2_bglt) BgL_nodez00_3856)));
					BGl_forzd2eachzd2approxzd2alloczd2zzcfa_approxz00
						(BgL_zc3z04anonymousza31632ze3z87_3930, BgL_boxzd2approxzd2_3928);
			}}
			{
				BgL_boxzd2refzf2ozd2cinfozf2_bglt BgL_auxz00_4157;

				{
					obj_t BgL_auxz00_4158;

					{	/* Cfa/box.scm 112 */
						BgL_objectz00_bglt BgL_tmpz00_4159;

						BgL_tmpz00_4159 =
							((BgL_objectz00_bglt) ((BgL_boxzd2refzd2_bglt) BgL_nodez00_3856));
						BgL_auxz00_4158 = BGL_OBJECT_WIDENING(BgL_tmpz00_4159);
					}
					BgL_auxz00_4157 =
						((BgL_boxzd2refzf2ozd2cinfozf2_bglt) BgL_auxz00_4158);
				}
				return
					(((BgL_boxzd2refzf2ozd2cinfozf2_bglt) COBJECT(BgL_auxz00_4157))->
					BgL_approxz00);
			}
		}

	}



/* &<@anonymous:1632> */
	obj_t BGl_z62zc3z04anonymousza31632ze3ze5zzcfa_boxz00(obj_t BgL_envz00_3857,
		obj_t BgL_boxz00_3860)
	{
		{	/* Cfa/box.scm 101 */
			{	/* Cfa/box.scm 103 */
				BgL_boxzd2refzd2_bglt BgL_nodez00_3858;
				BgL_boxzd2refzd2_bglt BgL_i1193z00_3859;

				BgL_nodez00_3858 =
					((BgL_boxzd2refzd2_bglt) PROCEDURE_REF(BgL_envz00_3857, (int) (0L)));
				BgL_i1193z00_3859 =
					((BgL_boxzd2refzd2_bglt) PROCEDURE_REF(BgL_envz00_3857, (int) (1L)));
				{	/* Cfa/box.scm 103 */
					bool_t BgL_test2061z00_4171;

					{	/* Cfa/box.scm 103 */
						obj_t BgL_classz00_3931;

						BgL_classz00_3931 = BGl_makezd2boxzf2Ozd2Cinfozf2zzcfa_infoz00;
						if (BGL_OBJECTP(BgL_boxz00_3860))
							{	/* Cfa/box.scm 103 */
								BgL_objectz00_bglt BgL_arg1858z00_3932;

								BgL_arg1858z00_3932 = (BgL_objectz00_bglt) (BgL_boxz00_3860);
								if (BGL_CONDEXPAND_ISA_ARCH64())
									{	/* Cfa/box.scm 103 */
										long BgL_idxz00_3933;

										BgL_idxz00_3933 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_3932);
										BgL_test2061z00_4171 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_3933 + 4L)) == BgL_classz00_3931);
									}
								else
									{	/* Cfa/box.scm 103 */
										bool_t BgL_res1984z00_3936;

										{	/* Cfa/box.scm 103 */
											obj_t BgL_oclassz00_3937;

											{	/* Cfa/box.scm 103 */
												obj_t BgL_arg1866z00_3938;
												long BgL_arg1867z00_3939;

												BgL_arg1866z00_3938 =
													(BGl_za2classesza2z00zz__objectz00);
												{	/* Cfa/box.scm 103 */
													long BgL_arg1869z00_3940;

													BgL_arg1869z00_3940 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_3932);
													BgL_arg1867z00_3939 =
														(BgL_arg1869z00_3940 - OBJECT_TYPE);
												}
												BgL_oclassz00_3937 =
													VECTOR_REF(BgL_arg1866z00_3938, BgL_arg1867z00_3939);
											}
											{	/* Cfa/box.scm 103 */
												bool_t BgL__ortest_1115z00_3941;

												BgL__ortest_1115z00_3941 =
													(BgL_classz00_3931 == BgL_oclassz00_3937);
												if (BgL__ortest_1115z00_3941)
													{	/* Cfa/box.scm 103 */
														BgL_res1984z00_3936 = BgL__ortest_1115z00_3941;
													}
												else
													{	/* Cfa/box.scm 103 */
														long BgL_odepthz00_3942;

														{	/* Cfa/box.scm 103 */
															obj_t BgL_arg1855z00_3943;

															BgL_arg1855z00_3943 = (BgL_oclassz00_3937);
															BgL_odepthz00_3942 =
																BGL_CLASS_DEPTH(BgL_arg1855z00_3943);
														}
														if ((4L < BgL_odepthz00_3942))
															{	/* Cfa/box.scm 103 */
																obj_t BgL_arg1853z00_3944;

																{	/* Cfa/box.scm 103 */
																	obj_t BgL_arg1854z00_3945;

																	BgL_arg1854z00_3945 = (BgL_oclassz00_3937);
																	BgL_arg1853z00_3944 =
																		BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_3945,
																		4L);
																}
																BgL_res1984z00_3936 =
																	(BgL_arg1853z00_3944 == BgL_classz00_3931);
															}
														else
															{	/* Cfa/box.scm 103 */
																BgL_res1984z00_3936 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_test2061z00_4171 = BgL_res1984z00_3936;
									}
							}
						else
							{	/* Cfa/box.scm 103 */
								BgL_test2061z00_4171 = ((bool_t) 0);
							}
					}
					if (BgL_test2061z00_4171)
						{	/* Cfa/box.scm 105 */
							BgL_approxz00_bglt BgL_arg1635z00_3946;
							BgL_approxz00_bglt BgL_arg1638z00_3947;

							{
								BgL_boxzd2refzf2ozd2cinfozf2_bglt BgL_auxz00_4194;

								{
									obj_t BgL_auxz00_4195;

									{	/* Cfa/box.scm 105 */
										BgL_objectz00_bglt BgL_tmpz00_4196;

										BgL_tmpz00_4196 = ((BgL_objectz00_bglt) BgL_i1193z00_3859);
										BgL_auxz00_4195 = BGL_OBJECT_WIDENING(BgL_tmpz00_4196);
									}
									BgL_auxz00_4194 =
										((BgL_boxzd2refzf2ozd2cinfozf2_bglt) BgL_auxz00_4195);
								}
								BgL_arg1635z00_3946 =
									(((BgL_boxzd2refzf2ozd2cinfozf2_bglt)
										COBJECT(BgL_auxz00_4194))->BgL_approxz00);
							}
							{
								BgL_makezd2boxzf2ozd2cinfozf2_bglt BgL_auxz00_4201;

								{
									obj_t BgL_auxz00_4202;

									{	/* Cfa/box.scm 105 */
										BgL_objectz00_bglt BgL_tmpz00_4203;

										BgL_tmpz00_4203 =
											((BgL_objectz00_bglt)
											((BgL_makezd2boxzd2_bglt) BgL_boxz00_3860));
										BgL_auxz00_4202 = BGL_OBJECT_WIDENING(BgL_tmpz00_4203);
									}
									BgL_auxz00_4201 =
										((BgL_makezd2boxzf2ozd2cinfozf2_bglt) BgL_auxz00_4202);
								}
								BgL_arg1638z00_3947 =
									(((BgL_makezd2boxzf2ozd2cinfozf2_bglt)
										COBJECT(BgL_auxz00_4201))->BgL_valuezd2approxzd2);
							}
							return
								((obj_t)
								BGl_unionzd2approxz12zc0zzcfa_approxz00(BgL_arg1635z00_3946,
									BgL_arg1638z00_3947));
						}
					else
						{	/* Cfa/box.scm 106 */
							bool_t BgL_test2066z00_4211;

							{	/* Cfa/box.scm 106 */
								obj_t BgL_classz00_3948;

								BgL_classz00_3948 = BGl_makezd2boxzf2Cinfoz20zzcfa_infoz00;
								if (BGL_OBJECTP(BgL_boxz00_3860))
									{	/* Cfa/box.scm 106 */
										BgL_objectz00_bglt BgL_arg1858z00_3949;

										BgL_arg1858z00_3949 =
											(BgL_objectz00_bglt) (BgL_boxz00_3860);
										if (BGL_CONDEXPAND_ISA_ARCH64())
											{	/* Cfa/box.scm 106 */
												long BgL_idxz00_3950;

												BgL_idxz00_3950 =
													BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_3949);
												BgL_test2066z00_4211 =
													(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
														(BgL_idxz00_3950 + 4L)) == BgL_classz00_3948);
											}
										else
											{	/* Cfa/box.scm 106 */
												bool_t BgL_res1985z00_3953;

												{	/* Cfa/box.scm 106 */
													obj_t BgL_oclassz00_3954;

													{	/* Cfa/box.scm 106 */
														obj_t BgL_arg1866z00_3955;
														long BgL_arg1867z00_3956;

														BgL_arg1866z00_3955 =
															(BGl_za2classesza2z00zz__objectz00);
														{	/* Cfa/box.scm 106 */
															long BgL_arg1869z00_3957;

															BgL_arg1869z00_3957 =
																BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_3949);
															BgL_arg1867z00_3956 =
																(BgL_arg1869z00_3957 - OBJECT_TYPE);
														}
														BgL_oclassz00_3954 =
															VECTOR_REF(BgL_arg1866z00_3955,
															BgL_arg1867z00_3956);
													}
													{	/* Cfa/box.scm 106 */
														bool_t BgL__ortest_1115z00_3958;

														BgL__ortest_1115z00_3958 =
															(BgL_classz00_3948 == BgL_oclassz00_3954);
														if (BgL__ortest_1115z00_3958)
															{	/* Cfa/box.scm 106 */
																BgL_res1985z00_3953 = BgL__ortest_1115z00_3958;
															}
														else
															{	/* Cfa/box.scm 106 */
																long BgL_odepthz00_3959;

																{	/* Cfa/box.scm 106 */
																	obj_t BgL_arg1855z00_3960;

																	BgL_arg1855z00_3960 = (BgL_oclassz00_3954);
																	BgL_odepthz00_3959 =
																		BGL_CLASS_DEPTH(BgL_arg1855z00_3960);
																}
																if ((4L < BgL_odepthz00_3959))
																	{	/* Cfa/box.scm 106 */
																		obj_t BgL_arg1853z00_3961;

																		{	/* Cfa/box.scm 106 */
																			obj_t BgL_arg1854z00_3962;

																			BgL_arg1854z00_3962 =
																				(BgL_oclassz00_3954);
																			BgL_arg1853z00_3961 =
																				BGL_CLASS_ANCESTORS_REF
																				(BgL_arg1854z00_3962, 4L);
																		}
																		BgL_res1985z00_3953 =
																			(BgL_arg1853z00_3961 ==
																			BgL_classz00_3948);
																	}
																else
																	{	/* Cfa/box.scm 106 */
																		BgL_res1985z00_3953 = ((bool_t) 0);
																	}
															}
													}
												}
												BgL_test2066z00_4211 = BgL_res1985z00_3953;
											}
									}
								else
									{	/* Cfa/box.scm 106 */
										BgL_test2066z00_4211 = ((bool_t) 0);
									}
							}
							if (BgL_test2066z00_4211)
								{	/* Cfa/box.scm 110 */
									obj_t BgL_arg1642z00_3963;

									BgL_arg1642z00_3963 =
										BGl_shapez00zztools_shapez00(((obj_t) BgL_nodez00_3858));
									return
										BGl_internalzd2errorzd2zztools_errorz00
										(BGl_string2028z00zzcfa_boxz00,
										BGl_string2029z00zzcfa_boxz00, BgL_arg1642z00_3963);
								}
							else
								{	/* Cfa/box.scm 106 */
									return BFALSE;
								}
						}
				}
			}
		}

	}



/* &cfa!-make-box/O-Cinf1533 */
	BgL_approxz00_bglt
		BGl_z62cfaz12zd2makezd2boxzf2Ozd2Cinf1533z50zzcfa_boxz00(obj_t
		BgL_envz00_3861, obj_t BgL_nodez00_3862)
	{
		{	/* Cfa/box.scm 87 */
			{	/* Cfa/box.scm 90 */
				BgL_approxz00_bglt BgL_initzd2valuezd2approxz00_3965;

				{	/* Cfa/box.scm 90 */
					BgL_nodez00_bglt BgL_arg1626z00_3966;

					BgL_arg1626z00_3966 =
						(((BgL_makezd2boxzd2_bglt) COBJECT(
								((BgL_makezd2boxzd2_bglt)
									((BgL_makezd2boxzd2_bglt) BgL_nodez00_3862))))->BgL_valuez00);
					BgL_initzd2valuezd2approxz00_3965 =
						BGl_cfaz12z12zzcfa_cfaz00(BgL_arg1626z00_3966);
				}
				{	/* Cfa/box.scm 91 */
					BgL_approxz00_bglt BgL_arg1625z00_3967;

					{
						BgL_makezd2boxzf2ozd2cinfozf2_bglt BgL_auxz00_4241;

						{
							obj_t BgL_auxz00_4242;

							{	/* Cfa/box.scm 91 */
								BgL_objectz00_bglt BgL_tmpz00_4243;

								BgL_tmpz00_4243 =
									((BgL_objectz00_bglt)
									((BgL_makezd2boxzd2_bglt) BgL_nodez00_3862));
								BgL_auxz00_4242 = BGL_OBJECT_WIDENING(BgL_tmpz00_4243);
							}
							BgL_auxz00_4241 =
								((BgL_makezd2boxzf2ozd2cinfozf2_bglt) BgL_auxz00_4242);
						}
						BgL_arg1625z00_3967 =
							(((BgL_makezd2boxzf2ozd2cinfozf2_bglt) COBJECT(BgL_auxz00_4241))->
							BgL_valuezd2approxzd2);
					}
					BGl_unionzd2approxz12zc0zzcfa_approxz00(BgL_arg1625z00_3967,
						BgL_initzd2valuezd2approxz00_3965);
				}
				{
					BgL_makezd2boxzf2ozd2cinfozf2_bglt BgL_auxz00_4250;

					{
						obj_t BgL_auxz00_4251;

						{	/* Cfa/box.scm 92 */
							BgL_objectz00_bglt BgL_tmpz00_4252;

							BgL_tmpz00_4252 =
								((BgL_objectz00_bglt)
								((BgL_makezd2boxzd2_bglt) BgL_nodez00_3862));
							BgL_auxz00_4251 = BGL_OBJECT_WIDENING(BgL_tmpz00_4252);
						}
						BgL_auxz00_4250 =
							((BgL_makezd2boxzf2ozd2cinfozf2_bglt) BgL_auxz00_4251);
					}
					return
						(((BgL_makezd2boxzf2ozd2cinfozf2_bglt) COBJECT(BgL_auxz00_4250))->
						BgL_approxz00);
				}
			}
		}

	}



/* &node-setup!-box-ref1531 */
	obj_t BGl_z62nodezd2setupz12zd2boxzd2ref1531za2zzcfa_boxz00(obj_t
		BgL_envz00_3863, obj_t BgL_nodez00_3864)
	{
		{	/* Cfa/box.scm 73 */
			{	/* Cfa/box.scm 75 */
				BgL_varz00_bglt BgL_arg1597z00_3969;

				BgL_arg1597z00_3969 =
					(((BgL_boxzd2refzd2_bglt) COBJECT(
							((BgL_boxzd2refzd2_bglt) BgL_nodez00_3864)))->BgL_varz00);
				BGl_nodezd2setupz12zc0zzcfa_setupz00(
					((BgL_nodez00_bglt) BgL_arg1597z00_3969));
			}
			if (((long) CINT(BGl_za2optimza2z00zzengine_paramz00) >= 1L))
				{	/* Cfa/box.scm 76 */
					{	/* Cfa/box.scm 77 */
						BgL_boxzd2refzf2ozd2cinfozf2_bglt BgL_wide1186z00_3970;

						BgL_wide1186z00_3970 =
							((BgL_boxzd2refzf2ozd2cinfozf2_bglt)
							BOBJECT(GC_MALLOC(sizeof(struct
										BgL_boxzd2refzf2ozd2cinfozf2_bgl))));
						{	/* Cfa/box.scm 77 */
							obj_t BgL_auxz00_4270;
							BgL_objectz00_bglt BgL_tmpz00_4266;

							BgL_auxz00_4270 = ((obj_t) BgL_wide1186z00_3970);
							BgL_tmpz00_4266 =
								((BgL_objectz00_bglt)
								((BgL_boxzd2refzd2_bglt)
									((BgL_boxzd2refzd2_bglt) BgL_nodez00_3864)));
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4266, BgL_auxz00_4270);
						}
						((BgL_objectz00_bglt)
							((BgL_boxzd2refzd2_bglt)
								((BgL_boxzd2refzd2_bglt) BgL_nodez00_3864)));
						{	/* Cfa/box.scm 77 */
							long BgL_arg1605z00_3971;

							BgL_arg1605z00_3971 =
								BGL_CLASS_NUM(BGl_boxzd2refzf2Ozd2Cinfozf2zzcfa_infoz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt)
									((BgL_boxzd2refzd2_bglt)
										((BgL_boxzd2refzd2_bglt) BgL_nodez00_3864))),
								BgL_arg1605z00_3971);
						}
						((BgL_boxzd2refzd2_bglt)
							((BgL_boxzd2refzd2_bglt)
								((BgL_boxzd2refzd2_bglt) BgL_nodez00_3864)));
					}
					{
						BgL_boxzd2refzf2ozd2cinfozf2_bglt BgL_auxz00_4284;

						{
							obj_t BgL_auxz00_4285;

							{	/* Cfa/box.scm 78 */
								BgL_objectz00_bglt BgL_tmpz00_4286;

								BgL_tmpz00_4286 =
									((BgL_objectz00_bglt)
									((BgL_boxzd2refzd2_bglt)
										((BgL_boxzd2refzd2_bglt) BgL_nodez00_3864)));
								BgL_auxz00_4285 = BGL_OBJECT_WIDENING(BgL_tmpz00_4286);
							}
							BgL_auxz00_4284 =
								((BgL_boxzd2refzf2ozd2cinfozf2_bglt) BgL_auxz00_4285);
						}
						((((BgL_boxzd2refzf2ozd2cinfozf2_bglt) COBJECT(BgL_auxz00_4284))->
								BgL_approxz00) =
							((BgL_approxz00_bglt)
								BGl_makezd2typezd2approxz00zzcfa_approxz00(((BgL_typez00_bglt)
										BGl_za2objza2z00zztype_cachez00))), BUNSPEC);
					}
					return
						((obj_t)
						((BgL_boxzd2refzd2_bglt)
							((BgL_boxzd2refzd2_bglt) BgL_nodez00_3864)));
				}
			else
				{	/* Cfa/box.scm 76 */
					{	/* Cfa/box.scm 80 */
						BgL_boxzd2refzf2cinfoz20_bglt BgL_wide1190z00_3972;

						BgL_wide1190z00_3972 =
							((BgL_boxzd2refzf2cinfoz20_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_boxzd2refzf2cinfoz20_bgl))));
						{	/* Cfa/box.scm 80 */
							obj_t BgL_auxz00_4303;
							BgL_objectz00_bglt BgL_tmpz00_4299;

							BgL_auxz00_4303 = ((obj_t) BgL_wide1190z00_3972);
							BgL_tmpz00_4299 =
								((BgL_objectz00_bglt)
								((BgL_boxzd2refzd2_bglt)
									((BgL_boxzd2refzd2_bglt) BgL_nodez00_3864)));
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4299, BgL_auxz00_4303);
						}
						((BgL_objectz00_bglt)
							((BgL_boxzd2refzd2_bglt)
								((BgL_boxzd2refzd2_bglt) BgL_nodez00_3864)));
						{	/* Cfa/box.scm 80 */
							long BgL_arg1611z00_3973;

							BgL_arg1611z00_3973 =
								BGL_CLASS_NUM(BGl_boxzd2refzf2Cinfoz20zzcfa_infoz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt)
									((BgL_boxzd2refzd2_bglt)
										((BgL_boxzd2refzd2_bglt) BgL_nodez00_3864))),
								BgL_arg1611z00_3973);
						}
						((BgL_boxzd2refzd2_bglt)
							((BgL_boxzd2refzd2_bglt)
								((BgL_boxzd2refzd2_bglt) BgL_nodez00_3864)));
					}
					{
						BgL_boxzd2refzf2cinfoz20_bglt BgL_auxz00_4317;

						{
							obj_t BgL_auxz00_4318;

							{	/* Cfa/box.scm 81 */
								BgL_objectz00_bglt BgL_tmpz00_4319;

								BgL_tmpz00_4319 =
									((BgL_objectz00_bglt)
									((BgL_boxzd2refzd2_bglt)
										((BgL_boxzd2refzd2_bglt) BgL_nodez00_3864)));
								BgL_auxz00_4318 = BGL_OBJECT_WIDENING(BgL_tmpz00_4319);
							}
							BgL_auxz00_4317 =
								((BgL_boxzd2refzf2cinfoz20_bglt) BgL_auxz00_4318);
						}
						((((BgL_boxzd2refzf2cinfoz20_bglt) COBJECT(BgL_auxz00_4317))->
								BgL_approxz00) =
							((BgL_approxz00_bglt)
								BGl_makezd2typezd2approxz00zzcfa_approxz00(((BgL_typez00_bglt)
										BGl_za2objza2z00zztype_cachez00))), BUNSPEC);
					}
					((BgL_boxzd2refzd2_bglt) ((BgL_boxzd2refzd2_bglt) BgL_nodez00_3864));
					{	/* Cfa/box.scm 82 */
						BgL_approxz00_bglt BgL_arg1612z00_3974;

						{
							BgL_boxzd2refzf2cinfoz20_bglt BgL_auxz00_4330;

							{
								obj_t BgL_auxz00_4331;

								{	/* Cfa/box.scm 82 */
									BgL_objectz00_bglt BgL_tmpz00_4332;

									BgL_tmpz00_4332 =
										((BgL_objectz00_bglt)
										((BgL_boxzd2refzd2_bglt)
											((BgL_boxzd2refzd2_bglt) BgL_nodez00_3864)));
									BgL_auxz00_4331 = BGL_OBJECT_WIDENING(BgL_tmpz00_4332);
								}
								BgL_auxz00_4330 =
									((BgL_boxzd2refzf2cinfoz20_bglt) BgL_auxz00_4331);
							}
							BgL_arg1612z00_3974 =
								(((BgL_boxzd2refzf2cinfoz20_bglt) COBJECT(BgL_auxz00_4330))->
								BgL_approxz00);
						}
						return
							BGl_approxzd2setzd2topz12z12zzcfa_approxz00(BgL_arg1612z00_3974);
					}
				}
		}

	}



/* &node-setup!-box-set!1529 */
	obj_t BGl_z62nodezd2setupz12zd2boxzd2setz121529zb0zzcfa_boxz00(obj_t
		BgL_envz00_3865, obj_t BgL_nodez00_3866)
	{
		{	/* Cfa/box.scm 60 */
			{	/* Cfa/box.scm 62 */
				BgL_varz00_bglt BgL_arg1588z00_3976;

				BgL_arg1588z00_3976 =
					(((BgL_boxzd2setz12zc0_bglt) COBJECT(
							((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_3866)))->BgL_varz00);
				BGl_nodezd2setupz12zc0zzcfa_setupz00(
					((BgL_nodez00_bglt) BgL_arg1588z00_3976));
			}
			BGl_nodezd2setupz12zc0zzcfa_setupz00(
				(((BgL_boxzd2setz12zc0_bglt) COBJECT(
							((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_3866)))->BgL_valuez00));
			if (((long) CINT(BGl_za2optimza2z00zzengine_paramz00) >= 1L))
				{	/* Cfa/box.scm 64 */
					{	/* Cfa/box.scm 65 */
						BgL_boxzd2setz12zf2ozd2cinfoze0_bglt BgL_wide1176z00_3977;

						BgL_wide1176z00_3977 =
							((BgL_boxzd2setz12zf2ozd2cinfoze0_bglt)
							BOBJECT(GC_MALLOC(sizeof(struct
										BgL_boxzd2setz12zf2ozd2cinfoze0_bgl))));
						{	/* Cfa/box.scm 65 */
							obj_t BgL_auxz00_4355;
							BgL_objectz00_bglt BgL_tmpz00_4351;

							BgL_auxz00_4355 = ((obj_t) BgL_wide1176z00_3977);
							BgL_tmpz00_4351 =
								((BgL_objectz00_bglt)
								((BgL_boxzd2setz12zc0_bglt)
									((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_3866)));
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4351, BgL_auxz00_4355);
						}
						((BgL_objectz00_bglt)
							((BgL_boxzd2setz12zc0_bglt)
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_3866)));
						{	/* Cfa/box.scm 65 */
							long BgL_arg1592z00_3978;

							BgL_arg1592z00_3978 =
								BGL_CLASS_NUM(BGl_boxzd2setz12zf2Ozd2Cinfoze0zzcfa_infoz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt)
									((BgL_boxzd2setz12zc0_bglt)
										((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_3866))),
								BgL_arg1592z00_3978);
						}
						((BgL_boxzd2setz12zc0_bglt)
							((BgL_boxzd2setz12zc0_bglt)
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_3866)));
					}
					{
						BgL_boxzd2setz12zf2ozd2cinfoze0_bglt BgL_auxz00_4369;

						{
							obj_t BgL_auxz00_4370;

							{	/* Cfa/box.scm 66 */
								BgL_objectz00_bglt BgL_tmpz00_4371;

								BgL_tmpz00_4371 =
									((BgL_objectz00_bglt)
									((BgL_boxzd2setz12zc0_bglt)
										((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_3866)));
								BgL_auxz00_4370 = BGL_OBJECT_WIDENING(BgL_tmpz00_4371);
							}
							BgL_auxz00_4369 =
								((BgL_boxzd2setz12zf2ozd2cinfoze0_bglt) BgL_auxz00_4370);
						}
						((((BgL_boxzd2setz12zf2ozd2cinfoze0_bglt)
									COBJECT(BgL_auxz00_4369))->BgL_approxz00) =
							((BgL_approxz00_bglt)
								BGl_makezd2typezd2approxz00zzcfa_approxz00(((BgL_typez00_bglt)
										BGl_za2unspecza2z00zztype_cachez00))), BUNSPEC);
					}
					return
						((obj_t)
						((BgL_boxzd2setz12zc0_bglt)
							((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_3866)));
				}
			else
				{	/* Cfa/box.scm 64 */
					{	/* Cfa/box.scm 67 */
						BgL_boxzd2setz12zf2cinfoz32_bglt BgL_wide1181z00_3979;

						BgL_wide1181z00_3979 =
							((BgL_boxzd2setz12zf2cinfoz32_bglt)
							BOBJECT(GC_MALLOC(sizeof(struct
										BgL_boxzd2setz12zf2cinfoz32_bgl))));
						{	/* Cfa/box.scm 67 */
							obj_t BgL_auxz00_4388;
							BgL_objectz00_bglt BgL_tmpz00_4384;

							BgL_auxz00_4388 = ((obj_t) BgL_wide1181z00_3979);
							BgL_tmpz00_4384 =
								((BgL_objectz00_bglt)
								((BgL_boxzd2setz12zc0_bglt)
									((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_3866)));
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4384, BgL_auxz00_4388);
						}
						((BgL_objectz00_bglt)
							((BgL_boxzd2setz12zc0_bglt)
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_3866)));
						{	/* Cfa/box.scm 67 */
							long BgL_arg1593z00_3980;

							BgL_arg1593z00_3980 =
								BGL_CLASS_NUM(BGl_boxzd2setz12zf2Cinfoz32zzcfa_infoz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt)
									((BgL_boxzd2setz12zc0_bglt)
										((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_3866))),
								BgL_arg1593z00_3980);
						}
						((BgL_boxzd2setz12zc0_bglt)
							((BgL_boxzd2setz12zc0_bglt)
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_3866)));
					}
					{
						BgL_boxzd2setz12zf2cinfoz32_bglt BgL_auxz00_4402;

						{
							obj_t BgL_auxz00_4403;

							{	/* Cfa/box.scm 68 */
								BgL_objectz00_bglt BgL_tmpz00_4404;

								BgL_tmpz00_4404 =
									((BgL_objectz00_bglt)
									((BgL_boxzd2setz12zc0_bglt)
										((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_3866)));
								BgL_auxz00_4403 = BGL_OBJECT_WIDENING(BgL_tmpz00_4404);
							}
							BgL_auxz00_4402 =
								((BgL_boxzd2setz12zf2cinfoz32_bglt) BgL_auxz00_4403);
						}
						((((BgL_boxzd2setz12zf2cinfoz32_bglt) COBJECT(BgL_auxz00_4402))->
								BgL_approxz00) =
							((BgL_approxz00_bglt)
								BGl_makezd2typezd2approxz00zzcfa_approxz00(((BgL_typez00_bglt)
										BGl_za2unspecza2z00zztype_cachez00))), BUNSPEC);
					}
					return
						((obj_t)
						((BgL_boxzd2setz12zc0_bglt)
							((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_3866)));
				}
		}

	}



/* &node-setup!-pre-make1527 */
	obj_t BGl_z62nodezd2setupz12zd2prezd2make1527za2zzcfa_boxz00(obj_t
		BgL_envz00_3867, obj_t BgL_nodez00_3868)
	{
		{	/* Cfa/box.scm 46 */
			{	/* Cfa/box.scm 48 */
				BgL_nodez00_bglt BgL_arg1560z00_3982;

				BgL_arg1560z00_3982 =
					(((BgL_makezd2boxzd2_bglt) COBJECT(
							((BgL_makezd2boxzd2_bglt)
								((BgL_makezd2boxzd2_bglt) BgL_nodez00_3868))))->BgL_valuez00);
				BGl_nodezd2setupz12zc0zzcfa_setupz00(BgL_arg1560z00_3982);
			}
			{	/* Cfa/box.scm 49 */
				BgL_makezd2boxzd2_bglt BgL_nodez00_3983;

				{	/* Cfa/box.scm 49 */
					long BgL_arg1578z00_3984;

					{	/* Cfa/box.scm 49 */
						obj_t BgL_arg1581z00_3985;

						{	/* Cfa/box.scm 49 */
							obj_t BgL_arg1587z00_3986;

							{	/* Cfa/box.scm 49 */
								obj_t BgL_arg1866z00_3987;
								long BgL_arg1867z00_3988;

								BgL_arg1866z00_3987 = (BGl_za2classesza2z00zz__objectz00);
								{	/* Cfa/box.scm 49 */
									long BgL_arg1869z00_3989;

									BgL_arg1869z00_3989 =
										BGL_OBJECT_CLASS_NUM(
										((BgL_objectz00_bglt)
											((BgL_makezd2boxzd2_bglt) BgL_nodez00_3868)));
									BgL_arg1867z00_3988 = (BgL_arg1869z00_3989 - OBJECT_TYPE);
								}
								BgL_arg1587z00_3986 =
									VECTOR_REF(BgL_arg1866z00_3987, BgL_arg1867z00_3988);
							}
							BgL_arg1581z00_3985 =
								BGl_classzd2superzd2zz__objectz00(BgL_arg1587z00_3986);
						}
						{	/* Cfa/box.scm 49 */
							obj_t BgL_tmpz00_4427;

							BgL_tmpz00_4427 = ((obj_t) BgL_arg1581z00_3985);
							BgL_arg1578z00_3984 = BGL_CLASS_NUM(BgL_tmpz00_4427);
					}}
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_makezd2boxzd2_bglt) BgL_nodez00_3868)),
						BgL_arg1578z00_3984);
				}
				{	/* Cfa/box.scm 49 */
					BgL_objectz00_bglt BgL_tmpz00_4433;

					BgL_tmpz00_4433 =
						((BgL_objectz00_bglt) ((BgL_makezd2boxzd2_bglt) BgL_nodez00_3868));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4433, BFALSE);
				}
				((BgL_objectz00_bglt) ((BgL_makezd2boxzd2_bglt) BgL_nodez00_3868));
				BgL_nodez00_3983 = ((BgL_makezd2boxzd2_bglt) BgL_nodez00_3868);
				{	/* Cfa/box.scm 49 */

					{	/* Cfa/box.scm 50 */
						BgL_makezd2boxzd2_bglt BgL_nodez00_3990;

						{	/* Cfa/box.scm 50 */
							BgL_makezd2boxzf2ozd2cinfozf2_bglt BgL_wide1171z00_3991;

							BgL_wide1171z00_3991 =
								((BgL_makezd2boxzf2ozd2cinfozf2_bglt)
								BOBJECT(GC_MALLOC(sizeof(struct
											BgL_makezd2boxzf2ozd2cinfozf2_bgl))));
							{	/* Cfa/box.scm 50 */
								obj_t BgL_auxz00_4445;
								BgL_objectz00_bglt BgL_tmpz00_4441;

								BgL_auxz00_4445 = ((obj_t) BgL_wide1171z00_3991);
								BgL_tmpz00_4441 =
									((BgL_objectz00_bglt)
									((BgL_makezd2boxzd2_bglt)
										((BgL_makezd2boxzd2_bglt) BgL_nodez00_3983)));
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4441, BgL_auxz00_4445);
							}
							((BgL_objectz00_bglt)
								((BgL_makezd2boxzd2_bglt)
									((BgL_makezd2boxzd2_bglt) BgL_nodez00_3983)));
							{	/* Cfa/box.scm 50 */
								long BgL_arg1577z00_3992;

								BgL_arg1577z00_3992 =
									BGL_CLASS_NUM(BGl_makezd2boxzf2Ozd2Cinfozf2zzcfa_infoz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt)
										((BgL_makezd2boxzd2_bglt)
											((BgL_makezd2boxzd2_bglt) BgL_nodez00_3983))),
									BgL_arg1577z00_3992);
							}
							((BgL_makezd2boxzd2_bglt)
								((BgL_makezd2boxzd2_bglt)
									((BgL_makezd2boxzd2_bglt) BgL_nodez00_3983)));
						}
						{
							BgL_makezd2boxzf2ozd2cinfozf2_bglt BgL_auxz00_4459;

							{
								obj_t BgL_auxz00_4460;

								{	/* Cfa/box.scm 51 */
									BgL_objectz00_bglt BgL_tmpz00_4461;

									BgL_tmpz00_4461 =
										((BgL_objectz00_bglt)
										((BgL_makezd2boxzd2_bglt)
											((BgL_makezd2boxzd2_bglt) BgL_nodez00_3983)));
									BgL_auxz00_4460 = BGL_OBJECT_WIDENING(BgL_tmpz00_4461);
								}
								BgL_auxz00_4459 =
									((BgL_makezd2boxzf2ozd2cinfozf2_bglt) BgL_auxz00_4460);
							}
							((((BgL_makezd2boxzf2ozd2cinfozf2_bglt)
										COBJECT(BgL_auxz00_4459))->BgL_approxz00) =
								((BgL_approxz00_bglt)
									BGl_makezd2typezd2approxz00zzcfa_approxz00(((BgL_typez00_bglt)
											BGl_za2objza2z00zztype_cachez00))), BUNSPEC);
						}
						{
							BgL_makezd2boxzf2ozd2cinfozf2_bglt BgL_auxz00_4470;

							{
								obj_t BgL_auxz00_4471;

								{	/* Cfa/box.scm 52 */
									BgL_objectz00_bglt BgL_tmpz00_4472;

									BgL_tmpz00_4472 =
										((BgL_objectz00_bglt)
										((BgL_makezd2boxzd2_bglt)
											((BgL_makezd2boxzd2_bglt) BgL_nodez00_3983)));
									BgL_auxz00_4471 = BGL_OBJECT_WIDENING(BgL_tmpz00_4472);
								}
								BgL_auxz00_4470 =
									((BgL_makezd2boxzf2ozd2cinfozf2_bglt) BgL_auxz00_4471);
							}
							((((BgL_makezd2boxzf2ozd2cinfozf2_bglt)
										COBJECT(BgL_auxz00_4470))->BgL_valuezd2approxzd2) =
								((BgL_approxz00_bglt)
									BGl_makezd2emptyzd2approxz00zzcfa_approxz00()), BUNSPEC);
						}
						BgL_nodez00_3990 =
							((BgL_makezd2boxzd2_bglt)
							((BgL_makezd2boxzd2_bglt) BgL_nodez00_3983));
						{	/* Cfa/box.scm 55 */
							BgL_approxz00_bglt BgL_arg1574z00_3993;

							BgL_arg1574z00_3993 =
								BGl_makezd2typezd2alloczd2approxzd2zzcfa_approxz00(
								((BgL_typez00_bglt) BGl_za2objza2z00zztype_cachez00),
								((BgL_nodez00_bglt) BgL_nodez00_3990));
							{
								BgL_makezd2boxzf2ozd2cinfozf2_bglt BgL_auxz00_4485;

								{
									obj_t BgL_auxz00_4486;

									{	/* Cfa/box.scm 53 */
										BgL_objectz00_bglt BgL_tmpz00_4487;

										BgL_tmpz00_4487 = ((BgL_objectz00_bglt) BgL_nodez00_3990);
										BgL_auxz00_4486 = BGL_OBJECT_WIDENING(BgL_tmpz00_4487);
									}
									BgL_auxz00_4485 =
										((BgL_makezd2boxzf2ozd2cinfozf2_bglt) BgL_auxz00_4486);
								}
								return
									((((BgL_makezd2boxzf2ozd2cinfozf2_bglt)
											COBJECT(BgL_auxz00_4485))->BgL_approxz00) =
									((BgL_approxz00_bglt) BgL_arg1574z00_3993), BUNSPEC);
							}
						}
					}
				}
			}
		}

	}



/* &node-setup!-make-box1525 */
	obj_t BGl_z62nodezd2setupz12zd2makezd2box1525za2zzcfa_boxz00(obj_t
		BgL_envz00_3869, obj_t BgL_nodez00_3870)
	{
		{	/* Cfa/box.scm 36 */
			BGl_nodezd2setupz12zc0zzcfa_setupz00(
				(((BgL_makezd2boxzd2_bglt) COBJECT(
							((BgL_makezd2boxzd2_bglt) BgL_nodez00_3870)))->BgL_valuez00));
			{	/* Cfa/box.scm 39 */
				BgL_makezd2boxzf2cinfoz20_bglt BgL_wide1165z00_3995;

				BgL_wide1165z00_3995 =
					((BgL_makezd2boxzf2cinfoz20_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_makezd2boxzf2cinfoz20_bgl))));
				{	/* Cfa/box.scm 39 */
					obj_t BgL_auxz00_4500;
					BgL_objectz00_bglt BgL_tmpz00_4496;

					BgL_auxz00_4500 = ((obj_t) BgL_wide1165z00_3995);
					BgL_tmpz00_4496 =
						((BgL_objectz00_bglt)
						((BgL_makezd2boxzd2_bglt)
							((BgL_makezd2boxzd2_bglt) BgL_nodez00_3870)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4496, BgL_auxz00_4500);
				}
				((BgL_objectz00_bglt)
					((BgL_makezd2boxzd2_bglt)
						((BgL_makezd2boxzd2_bglt) BgL_nodez00_3870)));
				{	/* Cfa/box.scm 39 */
					long BgL_arg1554z00_3996;

					BgL_arg1554z00_3996 =
						BGL_CLASS_NUM(BGl_makezd2boxzf2Cinfoz20zzcfa_infoz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_makezd2boxzd2_bglt)
								((BgL_makezd2boxzd2_bglt) BgL_nodez00_3870))),
						BgL_arg1554z00_3996);
				}
				((BgL_makezd2boxzd2_bglt)
					((BgL_makezd2boxzd2_bglt)
						((BgL_makezd2boxzd2_bglt) BgL_nodez00_3870)));
			}
			{
				BgL_makezd2boxzf2cinfoz20_bglt BgL_auxz00_4514;

				{
					obj_t BgL_auxz00_4515;

					{	/* Cfa/box.scm 40 */
						BgL_objectz00_bglt BgL_tmpz00_4516;

						BgL_tmpz00_4516 =
							((BgL_objectz00_bglt)
							((BgL_makezd2boxzd2_bglt)
								((BgL_makezd2boxzd2_bglt) BgL_nodez00_3870)));
						BgL_auxz00_4515 = BGL_OBJECT_WIDENING(BgL_tmpz00_4516);
					}
					BgL_auxz00_4514 = ((BgL_makezd2boxzf2cinfoz20_bglt) BgL_auxz00_4515);
				}
				((((BgL_makezd2boxzf2cinfoz20_bglt) COBJECT(BgL_auxz00_4514))->
						BgL_approxz00) =
					((BgL_approxz00_bglt)
						BGl_makezd2typezd2approxz00zzcfa_approxz00(((BgL_typez00_bglt)
								BGl_za2objza2z00zztype_cachez00))), BUNSPEC);
			}
			((BgL_makezd2boxzd2_bglt) ((BgL_makezd2boxzd2_bglt) BgL_nodez00_3870));
			{	/* Cfa/box.scm 41 */
				BgL_approxz00_bglt BgL_arg1558z00_3997;

				{
					BgL_makezd2boxzf2cinfoz20_bglt BgL_auxz00_4527;

					{
						obj_t BgL_auxz00_4528;

						{	/* Cfa/box.scm 41 */
							BgL_objectz00_bglt BgL_tmpz00_4529;

							BgL_tmpz00_4529 =
								((BgL_objectz00_bglt)
								((BgL_makezd2boxzd2_bglt)
									((BgL_makezd2boxzd2_bglt) BgL_nodez00_3870)));
							BgL_auxz00_4528 = BGL_OBJECT_WIDENING(BgL_tmpz00_4529);
						}
						BgL_auxz00_4527 =
							((BgL_makezd2boxzf2cinfoz20_bglt) BgL_auxz00_4528);
					}
					BgL_arg1558z00_3997 =
						(((BgL_makezd2boxzf2cinfoz20_bglt) COBJECT(BgL_auxz00_4527))->
						BgL_approxz00);
				}
				return BGl_approxzd2setzd2topz12z12zzcfa_approxz00(BgL_arg1558z00_3997);
			}
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzcfa_boxz00(void)
	{
		{	/* Cfa/box.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(54713316L,
				BSTRING_TO_STRING(BGl_string2030z00zzcfa_boxz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(300504031L,
				BSTRING_TO_STRING(BGl_string2030z00zzcfa_boxz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(365925558L,
				BSTRING_TO_STRING(BGl_string2030z00zzcfa_boxz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(161876678L,
				BSTRING_TO_STRING(BGl_string2030z00zzcfa_boxz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(515343395L,
				BSTRING_TO_STRING(BGl_string2030z00zzcfa_boxz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(489890788L,
				BSTRING_TO_STRING(BGl_string2030z00zzcfa_boxz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(90839984L,
				BSTRING_TO_STRING(BGl_string2030z00zzcfa_boxz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(469732712L,
				BSTRING_TO_STRING(BGl_string2030z00zzcfa_boxz00));
			BGl_modulezd2initializa7ationz75zzcfa_infoz00(3788352L,
				BSTRING_TO_STRING(BGl_string2030z00zzcfa_boxz00));
			BGl_modulezd2initializa7ationz75zzcfa_info2z00(0L,
				BSTRING_TO_STRING(BGl_string2030z00zzcfa_boxz00));
			BGl_modulezd2initializa7ationz75zzcfa_loosez00(471177480L,
				BSTRING_TO_STRING(BGl_string2030z00zzcfa_boxz00));
			BGl_modulezd2initializa7ationz75zzcfa_setupz00(168272122L,
				BSTRING_TO_STRING(BGl_string2030z00zzcfa_boxz00));
			BGl_modulezd2initializa7ationz75zzcfa_approxz00(285971837L,
				BSTRING_TO_STRING(BGl_string2030z00zzcfa_boxz00));
			BGl_modulezd2initializa7ationz75zzcfa_cfaz00(400853817L,
				BSTRING_TO_STRING(BGl_string2030z00zzcfa_boxz00));
			BGl_modulezd2initializa7ationz75zzcfa_iteratez00(131412063L,
				BSTRING_TO_STRING(BGl_string2030z00zzcfa_boxz00));
			return
				BGl_modulezd2initializa7ationz75zzcfa_closurez00(188963689L,
				BSTRING_TO_STRING(BGl_string2030z00zzcfa_boxz00));
		}

	}

#ifdef __cplusplus
}
#endif
