/*===========================================================================*/
/*   (Cfa/ltype.scm)                                                         */
/*   Bigloo (4.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Jan 27 07:45:49 AM CET 2025     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.6a/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.6a/lib/bigloo/4.6a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -stdc -indent Cfa/ltype.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL_CFA_LTYPE_TYPE_DEFINITIONS
#define BGL_CFA_LTYPE_TYPE_DEFINITIONS

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_nullz00;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_qualifiedzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_svarz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}              *BgL_svarz00_bglt;

	typedef struct BgL_cvarz00_bgl
	{
		header_t header;
		obj_t widening;
		bool_t BgL_macrozf3zf3;
	}              *BgL_cvarz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_closurez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}                 *BgL_closurez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
		obj_t BgL_metaz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_stackablez00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_vrefz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		bool_t BgL_unsafez00;
	}              *BgL_vrefz00_bglt;

	typedef struct BgL_vsetz12z12_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		bool_t BgL_unsafez00;
	}                 *BgL_vsetz12z12_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_switchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_switchz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		struct BgL_nodez00_bgl *BgL_onexitz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		obj_t BgL_stackablez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}              *BgL_syncz00_bglt;

	typedef struct BgL_approxz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_typez00_bgl *BgL_typez00;
		bool_t BgL_typezd2lockedzf3z21;
		obj_t BgL_allocsz00;
		bool_t BgL_topzf3zf3;
		long BgL_lostzd2stampzd2;
		obj_t BgL_dupz00;
		bool_t BgL_haszd2procedurezf3z21;
	}                *BgL_approxz00_bglt;

	typedef struct BgL_internzd2sfunzf2cinfoz20_bgl
	{
		bool_t BgL_polymorphiczf3zf3;
		struct BgL_approxz00_bgl *BgL_approxz00;
		long BgL_stampz00;
	}                               *BgL_internzd2sfunzf2cinfoz20_bglt;

	typedef struct BgL_svarzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		bool_t BgL_clozd2envzf3z21;
		long BgL_stampz00;
	}                      *BgL_svarzf2cinfozf2_bglt;

	typedef struct BgL_cvarzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                      *BgL_cvarzf2cinfozf2_bglt;


#endif													// BGL_CFA_LTYPE_TYPE_DEFINITIONS
#endif													// BGL_MODULE_TYPE_DEFINITIONS

	extern obj_t BGl_closurez00zzast_nodez00;
	static obj_t BGl_z62typezd2variablez12zd2inter1598z70zzcfa_ltypez00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_syncz00zzast_nodez00;
	extern obj_t BGl_sequencez00zzast_nodez00;
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	static obj_t BGl_objectzd2initzd2zzcfa_ltypez00(void);
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	static obj_t BGl_z62typezd2nodez12zd2boxzd2setz121646zb0zzcfa_ltypez00(obj_t,
		obj_t);
	static obj_t BGl_z62typezd2nodez12zd2makezd2box1644za2zzcfa_ltypez00(obj_t,
		obj_t);
	static obj_t BGl_z62typezd2nodez12zd2atom1602z70zzcfa_ltypez00(obj_t, obj_t);
	extern obj_t BGl_cvarzf2Cinfozf2zzcfa_infoz00;
	static obj_t BGl_methodzd2initzd2zzcfa_ltypez00(void);
	extern obj_t BGl_externz00zzast_nodez00;
	static obj_t BGl_z62typezd2variablez12zd2scnst1592z70zzcfa_ltypez00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_za2_za2z00zztype_cachez00;
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	static obj_t BGl_z62typezd2nodez12zd2funcall1618z70zzcfa_ltypez00(obj_t,
		obj_t);
	static obj_t BGl_z62typezd2nodez12zd2app1614z70zzcfa_ltypez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_lightzd2typez12zc0zzcfa_ltypez00(obj_t);
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	static obj_t BGl_z62typezd2nodez12zd2boxzd2ref1648za2zzcfa_ltypez00(obj_t,
		obj_t);
	static obj_t BGl_gczd2rootszd2initz00zzcfa_ltypez00(void);
	static obj_t BGl_z62typezd2nodez12zd2setzd2exzd2it1640z70zzcfa_ltypez00(obj_t,
		obj_t);
	static obj_t BGl_typezd2variablez12zc0zzcfa_ltypez00(BgL_valuez00_bglt,
		BgL_variablez00_bglt);
	extern obj_t BGl_internzd2sfunzf2Cinfoz20zzcfa_infoz00;
	extern obj_t BGl_sexitzf2Cinfozf2zzcfa_infoz00;
	static obj_t BGl_z62typezd2nodez12zd2vsetz121624z62zzcfa_ltypez00(obj_t,
		obj_t);
	static bool_t BGl_typezd2nodeza2z12z62zzcfa_ltypez00(obj_t);
	static obj_t BGl_z62lightzd2typez12za2zzcfa_ltypez00(obj_t, obj_t);
	static obj_t BGl_z62typezd2nodez12zd2sync1612z70zzcfa_ltypez00(obj_t, obj_t);
	extern obj_t BGl_svarzf2Cinfozf2zzcfa_infoz00;
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62typezd2nodez12zd2switch1634z70zzcfa_ltypez00(obj_t,
		obj_t);
	static obj_t BGl_z62typezd2nodez12zd2fail1632z70zzcfa_ltypez00(obj_t, obj_t);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	BGL_IMPORT obj_t
		BGl_findzd2superzd2classzd2methodzd2zz__objectz00(BgL_objectz00_bglt, obj_t,
		obj_t);
	extern obj_t BGl_setqz00zzast_nodez00;
	static obj_t BGl_requirezd2initializa7ationz75zzcfa_ltypez00 = BUNSPEC;
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_atomz00zzast_nodez00;
	static obj_t BGl_toplevelzd2initzd2zzcfa_ltypez00(void);
	static obj_t BGl_z62typezd2nodez12zd2vref1622z70zzcfa_ltypez00(obj_t, obj_t);
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzcfa_ltypez00(void);
	static obj_t BGl_z62typezd2nodez12zd2letzd2fun1636za2zzcfa_ltypez00(obj_t,
		obj_t);
	static obj_t BGl_z62typezd2variablez12zd2sexit1596z70zzcfa_ltypez00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_castz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	static obj_t BGl_z62typezd2nodez12zd2kwote1604z70zzcfa_ltypez00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62typezd2variablez12zd2cvarzf21594z82zzcfa_ltypez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62typezd2variablez12zd2svarzf21590z82zzcfa_ltypez00(obj_t,
		obj_t, obj_t);
	extern bool_t
		BGl_approxzd2procedurezd2elzf3zf3zzcfa_closurez00(BgL_approxz00_bglt);
	static obj_t BGl_z62typezd2nodez12zd2condition1630z70zzcfa_ltypez00(obj_t,
		obj_t);
	static obj_t BGl_lightzd2typezd2funz12z12zzcfa_ltypez00(BgL_variablez00_bglt);
	static obj_t BGl_z62typezd2nodez12zd2var1606z70zzcfa_ltypez00(obj_t, obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	extern obj_t BGl_za2procedureza2z00zztype_cachez00;
	static obj_t BGl_z62typezd2nodez12zd2sequence1610z70zzcfa_ltypez00(obj_t,
		obj_t);
	static obj_t BGl_z62typezd2variablez121587za2zzcfa_ltypez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62typezd2variablez12za2zzcfa_ltypez00(obj_t, obj_t, obj_t);
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	static obj_t BGl_z62typezd2nodez12zd2letzd2var1638za2zzcfa_ltypez00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzcfa_ltypez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_approxz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcnst_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztvector_tvectorz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_closurez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_tvectorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_setz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_info3z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_info2z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_infoz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	static obj_t BGl_z62typezd2nodez12zd2closure1608z70zzcfa_ltypez00(obj_t,
		obj_t);
	static obj_t BGl_z62typezd2nodez12zd2jumpzd2exzd2i1642z70zzcfa_ltypez00(obj_t,
		obj_t);
	extern obj_t BGl_vrefz00zzast_nodez00;
	static obj_t BGl_typezd2nodez12zc0zzcfa_ltypez00(BgL_nodez00_bglt);
	extern obj_t BGl_nodez00zzast_nodez00;
	static obj_t BGl_z62typezd2nodez12zd2appzd2ly1616za2zzcfa_ltypez00(obj_t,
		obj_t);
	extern obj_t BGl_kwotez00zzast_nodez00;
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzcfa_ltypez00(void);
	static obj_t BGl_libraryzd2moduleszd2initz00zzcfa_ltypez00(void);
	static obj_t BGl_importedzd2moduleszd2initz00zzcfa_ltypez00(void);
	static obj_t BGl_z62typezd2nodez12za2zzcfa_ltypez00(obj_t, obj_t);
	static obj_t BGl_z62typezd2nodez121599za2zzcfa_ltypez00(obj_t, obj_t);
	static obj_t BGl_z62typezd2nodez12zd2cast1626z70zzcfa_ltypez00(obj_t, obj_t);
	static obj_t BGl_z62typezd2nodez12zd2setq1628z70zzcfa_ltypez00(obj_t, obj_t);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	extern obj_t BGl_valuez00zzast_varz00;
	static obj_t BGl_z62typezd2nodez12zd2extern1620z70zzcfa_ltypez00(obj_t,
		obj_t);
	extern obj_t BGl_scnstzf2Cinfozf2zzcfa_infoz00;
	extern obj_t BGl_switchz00zzast_nodez00;
	extern obj_t BGl_za2procedurezd2elza2zd2zztype_cachez00;
	extern obj_t BGl_funcallz00zzast_nodez00;
	extern obj_t BGl_globalz00zzast_varz00;
	extern obj_t BGl_vsetz12z12zzast_nodez00;
	static obj_t __cnst[3];


	   
		 
		DEFINE_STRING(BGl_string2128z00zzcfa_ltypez00,
		BgL_bgl_string2128za700za7za7c2167za7, "type-variable!1587", 18);
	      DEFINE_STRING(BGl_string2130z00zzcfa_ltypez00,
		BgL_bgl_string2130za700za7za7c2168za7, "type-node!1599", 14);
	      DEFINE_STRING(BGl_string2131z00zzcfa_ltypez00,
		BgL_bgl_string2131za700za7za7c2169za7, "No method for this object", 25);
	      DEFINE_STRING(BGl_string2133z00zzcfa_ltypez00,
		BgL_bgl_string2133za700za7za7c2170za7, "type-variable!", 14);
	      DEFINE_STRING(BGl_string2139z00zzcfa_ltypez00,
		BgL_bgl_string2139za700za7za7c2171za7, "type-node!", 10);
	      DEFINE_STRING(BGl_string2163z00zzcfa_ltypez00,
		BgL_bgl_string2163za700za7za7c2172za7, "Unexpected closure", 18);
	      DEFINE_STRING(BGl_string2164z00zzcfa_ltypez00,
		BgL_bgl_string2164za700za7za7c2173za7, "cfa_ltype", 9);
	      DEFINE_STRING(BGl_string2165z00zzcfa_ltypez00,
		BgL_bgl_string2165za700za7za7c2174za7, "static nothing type-node!1599 ",
		30);
	      DEFINE_STATIC_BGL_GENERIC(BGl_typezd2variablez12zd2envz12zzcfa_ltypez00,
		BgL_bgl_za762typeza7d2variab2175z00,
		BGl_z62typezd2variablez12za2zzcfa_ltypez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_lightzd2typez12zd2envz12zzcfa_ltypez00,
		BgL_bgl_za762lightza7d2typeza72176za7,
		BGl_z62lightzd2typez12za2zzcfa_ltypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2127z00zzcfa_ltypez00,
		BgL_bgl_za762typeza7d2variab2177z00,
		BGl_z62typezd2variablez121587za2zzcfa_ltypez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2129z00zzcfa_ltypez00,
		BgL_bgl_za762typeza7d2nodeza712178za7,
		BGl_z62typezd2nodez121599za2zzcfa_ltypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2132z00zzcfa_ltypez00,
		BgL_bgl_za762typeza7d2variab2179z00,
		BGl_z62typezd2variablez12zd2svarzf21590z82zzcfa_ltypez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2134z00zzcfa_ltypez00,
		BgL_bgl_za762typeza7d2variab2180z00,
		BGl_z62typezd2variablez12zd2scnst1592z70zzcfa_ltypez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2135z00zzcfa_ltypez00,
		BgL_bgl_za762typeza7d2variab2181z00,
		BGl_z62typezd2variablez12zd2cvarzf21594z82zzcfa_ltypez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2136z00zzcfa_ltypez00,
		BgL_bgl_za762typeza7d2variab2182z00,
		BGl_z62typezd2variablez12zd2sexit1596z70zzcfa_ltypez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2137z00zzcfa_ltypez00,
		BgL_bgl_za762typeza7d2variab2183z00,
		BGl_z62typezd2variablez12zd2inter1598z70zzcfa_ltypez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2138z00zzcfa_ltypez00,
		BgL_bgl_za762typeza7d2nodeza712184za7,
		BGl_z62typezd2nodez12zd2atom1602z70zzcfa_ltypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2140z00zzcfa_ltypez00,
		BgL_bgl_za762typeza7d2nodeza712185za7,
		BGl_z62typezd2nodez12zd2kwote1604z70zzcfa_ltypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2141z00zzcfa_ltypez00,
		BgL_bgl_za762typeza7d2nodeza712186za7,
		BGl_z62typezd2nodez12zd2var1606z70zzcfa_ltypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2142z00zzcfa_ltypez00,
		BgL_bgl_za762typeza7d2nodeza712187za7,
		BGl_z62typezd2nodez12zd2closure1608z70zzcfa_ltypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2143z00zzcfa_ltypez00,
		BgL_bgl_za762typeza7d2nodeza712188za7,
		BGl_z62typezd2nodez12zd2sequence1610z70zzcfa_ltypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2144z00zzcfa_ltypez00,
		BgL_bgl_za762typeza7d2nodeza712189za7,
		BGl_z62typezd2nodez12zd2sync1612z70zzcfa_ltypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2145z00zzcfa_ltypez00,
		BgL_bgl_za762typeza7d2nodeza712190za7,
		BGl_z62typezd2nodez12zd2app1614z70zzcfa_ltypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2146z00zzcfa_ltypez00,
		BgL_bgl_za762typeza7d2nodeza712191za7,
		BGl_z62typezd2nodez12zd2appzd2ly1616za2zzcfa_ltypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2147z00zzcfa_ltypez00,
		BgL_bgl_za762typeza7d2nodeza712192za7,
		BGl_z62typezd2nodez12zd2funcall1618z70zzcfa_ltypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2148z00zzcfa_ltypez00,
		BgL_bgl_za762typeza7d2nodeza712193za7,
		BGl_z62typezd2nodez12zd2extern1620z70zzcfa_ltypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2149z00zzcfa_ltypez00,
		BgL_bgl_za762typeza7d2nodeza712194za7,
		BGl_z62typezd2nodez12zd2vref1622z70zzcfa_ltypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2150z00zzcfa_ltypez00,
		BgL_bgl_za762typeza7d2nodeza712195za7,
		BGl_z62typezd2nodez12zd2vsetz121624z62zzcfa_ltypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2151z00zzcfa_ltypez00,
		BgL_bgl_za762typeza7d2nodeza712196za7,
		BGl_z62typezd2nodez12zd2cast1626z70zzcfa_ltypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2152z00zzcfa_ltypez00,
		BgL_bgl_za762typeza7d2nodeza712197za7,
		BGl_z62typezd2nodez12zd2setq1628z70zzcfa_ltypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2153z00zzcfa_ltypez00,
		BgL_bgl_za762typeza7d2nodeza712198za7,
		BGl_z62typezd2nodez12zd2condition1630z70zzcfa_ltypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2154z00zzcfa_ltypez00,
		BgL_bgl_za762typeza7d2nodeza712199za7,
		BGl_z62typezd2nodez12zd2fail1632z70zzcfa_ltypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2155z00zzcfa_ltypez00,
		BgL_bgl_za762typeza7d2nodeza712200za7,
		BGl_z62typezd2nodez12zd2switch1634z70zzcfa_ltypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2156z00zzcfa_ltypez00,
		BgL_bgl_za762typeza7d2nodeza712201za7,
		BGl_z62typezd2nodez12zd2letzd2fun1636za2zzcfa_ltypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2157z00zzcfa_ltypez00,
		BgL_bgl_za762typeza7d2nodeza712202za7,
		BGl_z62typezd2nodez12zd2letzd2var1638za2zzcfa_ltypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2158z00zzcfa_ltypez00,
		BgL_bgl_za762typeza7d2nodeza712203za7,
		BGl_z62typezd2nodez12zd2setzd2exzd2it1640z70zzcfa_ltypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2159z00zzcfa_ltypez00,
		BgL_bgl_za762typeza7d2nodeza712204za7,
		BGl_z62typezd2nodez12zd2jumpzd2exzd2i1642z70zzcfa_ltypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2160z00zzcfa_ltypez00,
		BgL_bgl_za762typeza7d2nodeza712205za7,
		BGl_z62typezd2nodez12zd2makezd2box1644za2zzcfa_ltypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2161z00zzcfa_ltypez00,
		BgL_bgl_za762typeza7d2nodeza712206za7,
		BGl_z62typezd2nodez12zd2boxzd2setz121646zb0zzcfa_ltypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2162z00zzcfa_ltypez00,
		BgL_bgl_za762typeza7d2nodeza712207za7,
		BGl_z62typezd2nodez12zd2boxzd2ref1648za2zzcfa_ltypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_GENERIC(BGl_typezd2nodez12zd2envz12zzcfa_ltypez00,
		BgL_bgl_za762typeza7d2nodeza712208za7,
		BGl_z62typezd2nodez12za2zzcfa_ltypez00, 0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		     ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zzcfa_ltypez00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzcfa_ltypez00(long
		BgL_checksumz00_4874, char *BgL_fromz00_4875)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzcfa_ltypez00))
				{
					BGl_requirezd2initializa7ationz75zzcfa_ltypez00 = BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzcfa_ltypez00();
					BGl_libraryzd2moduleszd2initz00zzcfa_ltypez00();
					BGl_cnstzd2initzd2zzcfa_ltypez00();
					BGl_importedzd2moduleszd2initz00zzcfa_ltypez00();
					BGl_genericzd2initzd2zzcfa_ltypez00();
					BGl_methodzd2initzd2zzcfa_ltypez00();
					return BGl_toplevelzd2initzd2zzcfa_ltypez00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzcfa_ltypez00(void)
	{
		{	/* Cfa/ltype.scm 15 */
			BGl_modulezd2initializa7ationz75zz__errorz00(0L, "cfa_ltype");
			BGl_modulezd2initializa7ationz75zz__objectz00(0L, "cfa_ltype");
			BGl_modulezd2initializa7ationz75zz__readerz00(0L, "cfa_ltype");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(0L, "cfa_ltype");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(0L, "cfa_ltype");
			BGl_modulezd2initializa7ationz75zz__bitz00(0L, "cfa_ltype");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(0L,
				"cfa_ltype");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(0L, "cfa_ltype");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(0L,
				"cfa_ltype");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(0L,
				"cfa_ltype");
			BGl_modulezd2initializa7ationz75zz__biglooz00(0L, "cfa_ltype");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzcfa_ltypez00(void)
	{
		{	/* Cfa/ltype.scm 15 */
			{	/* Cfa/ltype.scm 15 */
				obj_t BgL_cportz00_4778;

				{	/* Cfa/ltype.scm 15 */
					obj_t BgL_stringz00_4785;

					BgL_stringz00_4785 = BGl_string2165z00zzcfa_ltypez00;
					{	/* Cfa/ltype.scm 15 */
						obj_t BgL_startz00_4786;

						BgL_startz00_4786 = BINT(0L);
						{	/* Cfa/ltype.scm 15 */
							obj_t BgL_endz00_4787;

							BgL_endz00_4787 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_4785)));
							{	/* Cfa/ltype.scm 15 */

								BgL_cportz00_4778 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_4785, BgL_startz00_4786, BgL_endz00_4787);
				}}}}
				{
					long BgL_iz00_4779;

					BgL_iz00_4779 = 2L;
				BgL_loopz00_4780:
					if ((BgL_iz00_4779 == (-1L)))
						{	/* Cfa/ltype.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Cfa/ltype.scm 15 */
							{	/* Cfa/ltype.scm 15 */
								obj_t BgL_arg2166z00_4781;

								{	/* Cfa/ltype.scm 15 */

									{	/* Cfa/ltype.scm 15 */
										obj_t BgL_locationz00_4783;

										BgL_locationz00_4783 = BBOOL(((bool_t) 0));
										{	/* Cfa/ltype.scm 15 */

											BgL_arg2166z00_4781 =
												BGl_readz00zz__readerz00(BgL_cportz00_4778,
												BgL_locationz00_4783);
										}
									}
								}
								{	/* Cfa/ltype.scm 15 */
									int BgL_tmpz00_4906;

									BgL_tmpz00_4906 = (int) (BgL_iz00_4779);
									CNST_TABLE_SET(BgL_tmpz00_4906, BgL_arg2166z00_4781);
							}}
							{	/* Cfa/ltype.scm 15 */
								int BgL_auxz00_4784;

								BgL_auxz00_4784 = (int) ((BgL_iz00_4779 - 1L));
								{
									long BgL_iz00_4911;

									BgL_iz00_4911 = (long) (BgL_auxz00_4784);
									BgL_iz00_4779 = BgL_iz00_4911;
									goto BgL_loopz00_4780;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzcfa_ltypez00(void)
	{
		{	/* Cfa/ltype.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzcfa_ltypez00(void)
	{
		{	/* Cfa/ltype.scm 15 */
			return BUNSPEC;
		}

	}



/* light-type! */
	BGL_EXPORTED_DEF obj_t BGl_lightzd2typez12zc0zzcfa_ltypez00(obj_t
		BgL_globalsz00_23)
	{
		{	/* Cfa/ltype.scm 40 */
			{
				obj_t BgL_l1571z00_3566;

				{	/* Cfa/ltype.scm 41 */
					bool_t BgL_tmpz00_4914;

					BgL_l1571z00_3566 = BgL_globalsz00_23;
				BgL_zc3z04anonymousza31696ze3z87_3567:
					if (PAIRP(BgL_l1571z00_3566))
						{	/* Cfa/ltype.scm 41 */
							{	/* Cfa/ltype.scm 41 */
								obj_t BgL_arg1699z00_3569;

								BgL_arg1699z00_3569 = CAR(BgL_l1571z00_3566);
								BGl_lightzd2typezd2funz12z12zzcfa_ltypez00(
									((BgL_variablez00_bglt) BgL_arg1699z00_3569));
							}
							{
								obj_t BgL_l1571z00_4920;

								BgL_l1571z00_4920 = CDR(BgL_l1571z00_3566);
								BgL_l1571z00_3566 = BgL_l1571z00_4920;
								goto BgL_zc3z04anonymousza31696ze3z87_3567;
							}
						}
					else
						{	/* Cfa/ltype.scm 41 */
							BgL_tmpz00_4914 = ((bool_t) 1);
						}
					return BBOOL(BgL_tmpz00_4914);
				}
			}
		}

	}



/* &light-type! */
	obj_t BGl_z62lightzd2typez12za2zzcfa_ltypez00(obj_t BgL_envz00_4670,
		obj_t BgL_globalsz00_4671)
	{
		{	/* Cfa/ltype.scm 40 */
			return BGl_lightzd2typez12zc0zzcfa_ltypez00(BgL_globalsz00_4671);
		}

	}



/* light-type-fun! */
	obj_t BGl_lightzd2typezd2funz12z12zzcfa_ltypez00(BgL_variablez00_bglt
		BgL_varz00_24)
	{
		{	/* Cfa/ltype.scm 46 */
			{	/* Cfa/ltype.scm 47 */
				BgL_valuez00_bglt BgL_funz00_3572;

				BgL_funz00_3572 =
					(((BgL_variablez00_bglt) COBJECT(BgL_varz00_24))->BgL_valuez00);
				{	/* Cfa/ltype.scm 48 */
					bool_t BgL_test2212z00_4925;

					{	/* Cfa/ltype.scm 48 */
						obj_t BgL_classz00_4406;

						BgL_classz00_4406 = BGl_internzd2sfunzf2Cinfoz20zzcfa_infoz00;
						{	/* Cfa/ltype.scm 48 */
							BgL_objectz00_bglt BgL_arg1858z00_4408;

							{	/* Cfa/ltype.scm 48 */
								obj_t BgL_tmpz00_4926;

								BgL_tmpz00_4926 =
									((obj_t) ((BgL_objectz00_bglt) BgL_funz00_3572));
								BgL_arg1858z00_4408 = (BgL_objectz00_bglt) (BgL_tmpz00_4926);
							}
							if (BGL_CONDEXPAND_ISA_ARCH64())
								{	/* Cfa/ltype.scm 48 */
									long BgL_idxz00_4414;

									BgL_idxz00_4414 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_4408);
									BgL_test2212z00_4925 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_4414 + 4L)) == BgL_classz00_4406);
								}
							else
								{	/* Cfa/ltype.scm 48 */
									bool_t BgL_res2113z00_4439;

									{	/* Cfa/ltype.scm 48 */
										obj_t BgL_oclassz00_4422;

										{	/* Cfa/ltype.scm 48 */
											obj_t BgL_arg1866z00_4430;
											long BgL_arg1867z00_4431;

											BgL_arg1866z00_4430 = (BGl_za2classesza2z00zz__objectz00);
											{	/* Cfa/ltype.scm 48 */
												long BgL_arg1869z00_4432;

												BgL_arg1869z00_4432 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_4408);
												BgL_arg1867z00_4431 =
													(BgL_arg1869z00_4432 - OBJECT_TYPE);
											}
											BgL_oclassz00_4422 =
												VECTOR_REF(BgL_arg1866z00_4430, BgL_arg1867z00_4431);
										}
										{	/* Cfa/ltype.scm 48 */
											bool_t BgL__ortest_1115z00_4423;

											BgL__ortest_1115z00_4423 =
												(BgL_classz00_4406 == BgL_oclassz00_4422);
											if (BgL__ortest_1115z00_4423)
												{	/* Cfa/ltype.scm 48 */
													BgL_res2113z00_4439 = BgL__ortest_1115z00_4423;
												}
											else
												{	/* Cfa/ltype.scm 48 */
													long BgL_odepthz00_4424;

													{	/* Cfa/ltype.scm 48 */
														obj_t BgL_arg1855z00_4425;

														BgL_arg1855z00_4425 = (BgL_oclassz00_4422);
														BgL_odepthz00_4424 =
															BGL_CLASS_DEPTH(BgL_arg1855z00_4425);
													}
													if ((4L < BgL_odepthz00_4424))
														{	/* Cfa/ltype.scm 48 */
															obj_t BgL_arg1853z00_4427;

															{	/* Cfa/ltype.scm 48 */
																obj_t BgL_arg1854z00_4428;

																BgL_arg1854z00_4428 = (BgL_oclassz00_4422);
																BgL_arg1853z00_4427 =
																	BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_4428,
																	4L);
															}
															BgL_res2113z00_4439 =
																(BgL_arg1853z00_4427 == BgL_classz00_4406);
														}
													else
														{	/* Cfa/ltype.scm 48 */
															BgL_res2113z00_4439 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_test2212z00_4925 = BgL_res2113z00_4439;
								}
						}
					}
					if (BgL_test2212z00_4925)
						{	/* Cfa/ltype.scm 48 */
							{	/* Cfa/ltype.scm 53 */
								obj_t BgL_g1575z00_3575;

								BgL_g1575z00_3575 =
									(((BgL_sfunz00_bglt) COBJECT(
											((BgL_sfunz00_bglt)
												((BgL_sfunz00_bglt) BgL_funz00_3572))))->BgL_argsz00);
								{
									obj_t BgL_l1573z00_3577;

									BgL_l1573z00_3577 = BgL_g1575z00_3575;
								BgL_zc3z04anonymousza31705ze3z87_3578:
									if (PAIRP(BgL_l1573z00_3577))
										{	/* Cfa/ltype.scm 53 */
											{	/* Cfa/ltype.scm 54 */
												obj_t BgL_varz00_3580;

												BgL_varz00_3580 = CAR(BgL_l1573z00_3577);
												{	/* Cfa/ltype.scm 54 */
													BgL_valuez00_bglt BgL_arg1715z00_3581;

													BgL_arg1715z00_3581 =
														(((BgL_variablez00_bglt) COBJECT(
																((BgL_variablez00_bglt)
																	((BgL_localz00_bglt) BgL_varz00_3580))))->
														BgL_valuez00);
													BGl_typezd2variablez12zc0zzcfa_ltypez00
														(BgL_arg1715z00_3581,
														((BgL_variablez00_bglt) BgL_varz00_3580));
												}
											}
											{
												obj_t BgL_l1573z00_4960;

												BgL_l1573z00_4960 = CDR(BgL_l1573z00_3577);
												BgL_l1573z00_3577 = BgL_l1573z00_4960;
												goto BgL_zc3z04anonymousza31705ze3z87_3578;
											}
										}
									else
										{	/* Cfa/ltype.scm 53 */
											((bool_t) 1);
										}
								}
							}
							{	/* Cfa/ltype.scm 57 */
								obj_t BgL_arg1717z00_3584;

								BgL_arg1717z00_3584 =
									(((BgL_sfunz00_bglt) COBJECT(
											((BgL_sfunz00_bglt)
												((BgL_sfunz00_bglt) BgL_funz00_3572))))->BgL_bodyz00);
								BGl_typezd2nodez12zc0zzcfa_ltypez00(
									((BgL_nodez00_bglt) BgL_arg1717z00_3584));
							}
							{	/* Cfa/ltype.scm 59 */
								obj_t BgL_arg1720z00_3585;

								{	/* Cfa/ltype.scm 59 */
									BgL_approxz00_bglt BgL_arg1724z00_3586;

									{
										BgL_internzd2sfunzf2cinfoz20_bglt BgL_auxz00_4967;

										{
											obj_t BgL_auxz00_4968;

											{	/* Cfa/ltype.scm 59 */
												BgL_objectz00_bglt BgL_tmpz00_4969;

												BgL_tmpz00_4969 =
													((BgL_objectz00_bglt)
													((BgL_sfunz00_bglt) BgL_funz00_3572));
												BgL_auxz00_4968 = BGL_OBJECT_WIDENING(BgL_tmpz00_4969);
											}
											BgL_auxz00_4967 =
												((BgL_internzd2sfunzf2cinfoz20_bglt) BgL_auxz00_4968);
										}
										BgL_arg1724z00_3586 =
											(((BgL_internzd2sfunzf2cinfoz20_bglt)
												COBJECT(BgL_auxz00_4967))->BgL_approxz00);
									}
									if (BGl_approxzd2procedurezd2elzf3zf3zzcfa_closurez00
										(BgL_arg1724z00_3586))
										{	/* Cfa/ltype.scm 65 */
											BgL_arg1720z00_3585 =
												BGl_za2procedurezd2elza2zd2zztype_cachez00;
										}
									else
										{	/* Cfa/ltype.scm 65 */
											BgL_arg1720z00_3585 = BGl_za2_za2z00zztype_cachez00;
										}
								}
								if (
									(((obj_t)
											((BgL_typez00_bglt) BgL_arg1720z00_3585)) ==
										BGl_za2_za2z00zztype_cachez00))
									{	/* Cfa/ltype.scm 118 */
										return BFALSE;
									}
								else
									{	/* Cfa/ltype.scm 118 */
										return
											((((BgL_variablez00_bglt) COBJECT(BgL_varz00_24))->
												BgL_typez00) =
											((BgL_typez00_bglt) ((BgL_typez00_bglt)
													BgL_arg1720z00_3585)), BUNSPEC);
									}
							}
						}
					else
						{	/* Cfa/ltype.scm 48 */
							return BFALSE;
						}
				}
			}
		}

	}



/* type-node*! */
	bool_t BGl_typezd2nodeza2z12z62zzcfa_ltypez00(obj_t BgL_nodeza2za2_65)
	{
		{	/* Cfa/ltype.scm 327 */
			{
				obj_t BgL_l1585z00_3589;

				BgL_l1585z00_3589 = BgL_nodeza2za2_65;
			BgL_zc3z04anonymousza31726ze3z87_3590:
				if (PAIRP(BgL_l1585z00_3589))
					{	/* Cfa/ltype.scm 328 */
						{	/* Cfa/ltype.scm 328 */
							obj_t BgL_arg1729z00_3592;

							BgL_arg1729z00_3592 = CAR(BgL_l1585z00_3589);
							BGl_typezd2nodez12zc0zzcfa_ltypez00(
								((BgL_nodez00_bglt) BgL_arg1729z00_3592));
						}
						{
							obj_t BgL_l1585z00_4988;

							BgL_l1585z00_4988 = CDR(BgL_l1585z00_3589);
							BgL_l1585z00_3589 = BgL_l1585z00_4988;
							goto BgL_zc3z04anonymousza31726ze3z87_3590;
						}
					}
				else
					{	/* Cfa/ltype.scm 328 */
						return ((bool_t) 1);
					}
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzcfa_ltypez00(void)
	{
		{	/* Cfa/ltype.scm 15 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzcfa_ltypez00(void)
	{
		{	/* Cfa/ltype.scm 15 */
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_typezd2variablez12zd2envz12zzcfa_ltypez00,
				BGl_proc2127z00zzcfa_ltypez00, BGl_valuez00zzast_varz00,
				BGl_string2128z00zzcfa_ltypez00);
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_ltypez00,
				BGl_proc2129z00zzcfa_ltypez00, BGl_nodez00zzast_nodez00,
				BGl_string2130z00zzcfa_ltypez00);
		}

	}



/* &type-node!1599 */
	obj_t BGl_z62typezd2nodez121599za2zzcfa_ltypez00(obj_t BgL_envz00_4674,
		obj_t BgL_nodez00_4675)
	{
		{	/* Cfa/ltype.scm 125 */
			return
				BGl_errorz00zz__errorz00(
				((obj_t)
					CNST_TABLE_REF(0)), BGl_string2131z00zzcfa_ltypez00,
				((obj_t) ((BgL_nodez00_bglt) BgL_nodez00_4675)));
		}

	}



/* &type-variable!1587 */
	obj_t BGl_z62typezd2variablez121587za2zzcfa_ltypez00(obj_t BgL_envz00_4676,
		obj_t BgL_valuez00_4677, obj_t BgL_variablez00_4678)
	{
		{	/* Cfa/ltype.scm 72 */
			{	/* Cfa/ltype.scm 73 */
				obj_t BgL_typez00_4792;

				BgL_typez00_4792 =
					((obj_t)
					(((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt) BgL_variablez00_4678)))->BgL_typez00));
				if ((BgL_typez00_4792 == BGl_za2procedureza2z00zztype_cachez00))
					{	/* Cfa/ltype.scm 74 */
						if (
							(((obj_t)
									((BgL_typez00_bglt) BgL_typez00_4792)) ==
								BGl_za2_za2z00zztype_cachez00))
							{	/* Cfa/ltype.scm 118 */
								return BFALSE;
							}
						else
							{	/* Cfa/ltype.scm 118 */
								return
									((((BgL_variablez00_bglt) COBJECT(
												((BgL_variablez00_bglt) BgL_variablez00_4678)))->
										BgL_typez00) =
									((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_typez00_4792)),
									BUNSPEC);
							}
					}
				else
					{	/* Cfa/ltype.scm 74 */
						return ((obj_t) CNST_TABLE_REF(1));
					}
			}
		}

	}



/* type-variable! */
	obj_t BGl_typezd2variablez12zc0zzcfa_ltypez00(BgL_valuez00_bglt
		BgL_valuez00_26, BgL_variablez00_bglt BgL_variablez00_27)
	{
		{	/* Cfa/ltype.scm 72 */
			{	/* Cfa/ltype.scm 72 */
				obj_t BgL_method1588z00_3605;

				{	/* Cfa/ltype.scm 72 */
					obj_t BgL_res2118z00_4490;

					{	/* Cfa/ltype.scm 72 */
						long BgL_objzd2classzd2numz00_4461;

						BgL_objzd2classzd2numz00_4461 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_valuez00_26));
						{	/* Cfa/ltype.scm 72 */
							obj_t BgL_arg1862z00_4462;

							BgL_arg1862z00_4462 =
								PROCEDURE_REF(BGl_typezd2variablez12zd2envz12zzcfa_ltypez00,
								(int) (1L));
							{	/* Cfa/ltype.scm 72 */
								int BgL_offsetz00_4465;

								BgL_offsetz00_4465 = (int) (BgL_objzd2classzd2numz00_4461);
								{	/* Cfa/ltype.scm 72 */
									long BgL_offsetz00_4466;

									BgL_offsetz00_4466 =
										((long) (BgL_offsetz00_4465) - OBJECT_TYPE);
									{	/* Cfa/ltype.scm 72 */
										long BgL_modz00_4467;

										BgL_modz00_4467 =
											(BgL_offsetz00_4466 >> (int) ((long) ((int) (4L))));
										{	/* Cfa/ltype.scm 72 */
											long BgL_restz00_4469;

											BgL_restz00_4469 =
												(BgL_offsetz00_4466 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(1L <<
																		(int) ((long) ((int) (4L)))))) - 1L))));
											{	/* Cfa/ltype.scm 72 */

												{	/* Cfa/ltype.scm 72 */
													obj_t BgL_bucketz00_4471;

													BgL_bucketz00_4471 =
														VECTOR_REF(
														((obj_t) BgL_arg1862z00_4462), BgL_modz00_4467);
													BgL_res2118z00_4490 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_4471), BgL_restz00_4469);
					}}}}}}}}
					BgL_method1588z00_3605 = BgL_res2118z00_4490;
				}
				return
					BGL_PROCEDURE_CALL2(BgL_method1588z00_3605,
					((obj_t) BgL_valuez00_26), ((obj_t) BgL_variablez00_27));
			}
		}

	}



/* &type-variable! */
	obj_t BGl_z62typezd2variablez12za2zzcfa_ltypez00(obj_t BgL_envz00_4679,
		obj_t BgL_valuez00_4680, obj_t BgL_variablez00_4681)
	{
		{	/* Cfa/ltype.scm 72 */
			return
				BGl_typezd2variablez12zc0zzcfa_ltypez00(
				((BgL_valuez00_bglt) BgL_valuez00_4680),
				((BgL_variablez00_bglt) BgL_variablez00_4681));
		}

	}



/* type-node! */
	obj_t BGl_typezd2nodez12zc0zzcfa_ltypez00(BgL_nodez00_bglt BgL_nodez00_40)
	{
		{	/* Cfa/ltype.scm 125 */
			{	/* Cfa/ltype.scm 125 */
				obj_t BgL_method1600z00_3606;

				{	/* Cfa/ltype.scm 125 */
					obj_t BgL_res2123z00_4521;

					{	/* Cfa/ltype.scm 125 */
						long BgL_objzd2classzd2numz00_4492;

						BgL_objzd2classzd2numz00_4492 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_40));
						{	/* Cfa/ltype.scm 125 */
							obj_t BgL_arg1862z00_4493;

							BgL_arg1862z00_4493 =
								PROCEDURE_REF(BGl_typezd2nodez12zd2envz12zzcfa_ltypez00,
								(int) (1L));
							{	/* Cfa/ltype.scm 125 */
								int BgL_offsetz00_4496;

								BgL_offsetz00_4496 = (int) (BgL_objzd2classzd2numz00_4492);
								{	/* Cfa/ltype.scm 125 */
									long BgL_offsetz00_4497;

									BgL_offsetz00_4497 =
										((long) (BgL_offsetz00_4496) - OBJECT_TYPE);
									{	/* Cfa/ltype.scm 125 */
										long BgL_modz00_4498;

										BgL_modz00_4498 =
											(BgL_offsetz00_4497 >> (int) ((long) ((int) (4L))));
										{	/* Cfa/ltype.scm 125 */
											long BgL_restz00_4500;

											BgL_restz00_4500 =
												(BgL_offsetz00_4497 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(1L <<
																		(int) ((long) ((int) (4L)))))) - 1L))));
											{	/* Cfa/ltype.scm 125 */

												{	/* Cfa/ltype.scm 125 */
													obj_t BgL_bucketz00_4502;

													BgL_bucketz00_4502 =
														VECTOR_REF(
														((obj_t) BgL_arg1862z00_4493), BgL_modz00_4498);
													BgL_res2123z00_4521 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_4502), BgL_restz00_4500);
					}}}}}}}}
					BgL_method1600z00_3606 = BgL_res2123z00_4521;
				}
				return
					BGL_PROCEDURE_CALL1(BgL_method1600z00_3606, ((obj_t) BgL_nodez00_40));
			}
		}

	}



/* &type-node! */
	obj_t BGl_z62typezd2nodez12za2zzcfa_ltypez00(obj_t BgL_envz00_4682,
		obj_t BgL_nodez00_4683)
	{
		{	/* Cfa/ltype.scm 125 */
			return
				BGl_typezd2nodez12zc0zzcfa_ltypez00(
				((BgL_nodez00_bglt) BgL_nodez00_4683));
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzcfa_ltypez00(void)
	{
		{	/* Cfa/ltype.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2variablez12zd2envz12zzcfa_ltypez00,
				BGl_svarzf2Cinfozf2zzcfa_infoz00, BGl_proc2132z00zzcfa_ltypez00,
				BGl_string2133z00zzcfa_ltypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2variablez12zd2envz12zzcfa_ltypez00,
				BGl_scnstzf2Cinfozf2zzcfa_infoz00, BGl_proc2134z00zzcfa_ltypez00,
				BGl_string2133z00zzcfa_ltypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2variablez12zd2envz12zzcfa_ltypez00,
				BGl_cvarzf2Cinfozf2zzcfa_infoz00, BGl_proc2135z00zzcfa_ltypez00,
				BGl_string2133z00zzcfa_ltypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2variablez12zd2envz12zzcfa_ltypez00,
				BGl_sexitzf2Cinfozf2zzcfa_infoz00, BGl_proc2136z00zzcfa_ltypez00,
				BGl_string2133z00zzcfa_ltypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2variablez12zd2envz12zzcfa_ltypez00,
				BGl_internzd2sfunzf2Cinfoz20zzcfa_infoz00,
				BGl_proc2137z00zzcfa_ltypez00, BGl_string2133z00zzcfa_ltypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_ltypez00, BGl_atomz00zzast_nodez00,
				BGl_proc2138z00zzcfa_ltypez00, BGl_string2139z00zzcfa_ltypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_ltypez00, BGl_kwotez00zzast_nodez00,
				BGl_proc2140z00zzcfa_ltypez00, BGl_string2139z00zzcfa_ltypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_ltypez00, BGl_varz00zzast_nodez00,
				BGl_proc2141z00zzcfa_ltypez00, BGl_string2139z00zzcfa_ltypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_ltypez00, BGl_closurez00zzast_nodez00,
				BGl_proc2142z00zzcfa_ltypez00, BGl_string2139z00zzcfa_ltypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_ltypez00,
				BGl_sequencez00zzast_nodez00, BGl_proc2143z00zzcfa_ltypez00,
				BGl_string2139z00zzcfa_ltypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_ltypez00, BGl_syncz00zzast_nodez00,
				BGl_proc2144z00zzcfa_ltypez00, BGl_string2139z00zzcfa_ltypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_ltypez00, BGl_appz00zzast_nodez00,
				BGl_proc2145z00zzcfa_ltypez00, BGl_string2139z00zzcfa_ltypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_ltypez00,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc2146z00zzcfa_ltypez00,
				BGl_string2139z00zzcfa_ltypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_ltypez00, BGl_funcallz00zzast_nodez00,
				BGl_proc2147z00zzcfa_ltypez00, BGl_string2139z00zzcfa_ltypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_ltypez00, BGl_externz00zzast_nodez00,
				BGl_proc2148z00zzcfa_ltypez00, BGl_string2139z00zzcfa_ltypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_ltypez00, BGl_vrefz00zzast_nodez00,
				BGl_proc2149z00zzcfa_ltypez00, BGl_string2139z00zzcfa_ltypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_ltypez00, BGl_vsetz12z12zzast_nodez00,
				BGl_proc2150z00zzcfa_ltypez00, BGl_string2139z00zzcfa_ltypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_ltypez00, BGl_castz00zzast_nodez00,
				BGl_proc2151z00zzcfa_ltypez00, BGl_string2139z00zzcfa_ltypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_ltypez00, BGl_setqz00zzast_nodez00,
				BGl_proc2152z00zzcfa_ltypez00, BGl_string2139z00zzcfa_ltypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_ltypez00,
				BGl_conditionalz00zzast_nodez00, BGl_proc2153z00zzcfa_ltypez00,
				BGl_string2139z00zzcfa_ltypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_ltypez00, BGl_failz00zzast_nodez00,
				BGl_proc2154z00zzcfa_ltypez00, BGl_string2139z00zzcfa_ltypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_ltypez00, BGl_switchz00zzast_nodez00,
				BGl_proc2155z00zzcfa_ltypez00, BGl_string2139z00zzcfa_ltypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_ltypez00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc2156z00zzcfa_ltypez00,
				BGl_string2139z00zzcfa_ltypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_ltypez00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc2157z00zzcfa_ltypez00,
				BGl_string2139z00zzcfa_ltypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_ltypez00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc2158z00zzcfa_ltypez00,
				BGl_string2139z00zzcfa_ltypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_ltypez00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc2159z00zzcfa_ltypez00,
				BGl_string2139z00zzcfa_ltypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_ltypez00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc2160z00zzcfa_ltypez00,
				BGl_string2139z00zzcfa_ltypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_ltypez00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc2161z00zzcfa_ltypez00,
				BGl_string2139z00zzcfa_ltypez00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_ltypez00,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc2162z00zzcfa_ltypez00,
				BGl_string2139z00zzcfa_ltypez00);
		}

	}



/* &type-node!-box-ref1648 */
	obj_t BGl_z62typezd2nodez12zd2boxzd2ref1648za2zzcfa_ltypez00(obj_t
		BgL_envz00_4713, obj_t BgL_nodez00_4714)
	{
		{	/* Cfa/ltype.scm 320 */
			{	/* Cfa/ltype.scm 322 */
				BgL_varz00_bglt BgL_arg1900z00_4794;

				BgL_arg1900z00_4794 =
					(((BgL_boxzd2refzd2_bglt) COBJECT(
							((BgL_boxzd2refzd2_bglt) BgL_nodez00_4714)))->BgL_varz00);
				return
					BGl_typezd2nodez12zc0zzcfa_ltypez00(
					((BgL_nodez00_bglt) BgL_arg1900z00_4794));
			}
		}

	}



/* &type-node!-box-set!1646 */
	obj_t BGl_z62typezd2nodez12zd2boxzd2setz121646zb0zzcfa_ltypez00(obj_t
		BgL_envz00_4715, obj_t BgL_nodez00_4716)
	{
		{	/* Cfa/ltype.scm 312 */
			{	/* Cfa/ltype.scm 314 */
				BgL_varz00_bglt BgL_arg1898z00_4796;

				BgL_arg1898z00_4796 =
					(((BgL_boxzd2setz12zc0_bglt) COBJECT(
							((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_4716)))->BgL_varz00);
				BGl_typezd2nodez12zc0zzcfa_ltypez00(
					((BgL_nodez00_bglt) BgL_arg1898z00_4796));
			}
			return
				BGl_typezd2nodez12zc0zzcfa_ltypez00(
				(((BgL_boxzd2setz12zc0_bglt) COBJECT(
							((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_4716)))->BgL_valuez00));
		}

	}



/* &type-node!-make-box1644 */
	obj_t BGl_z62typezd2nodez12zd2makezd2box1644za2zzcfa_ltypez00(obj_t
		BgL_envz00_4717, obj_t BgL_nodez00_4718)
	{
		{	/* Cfa/ltype.scm 305 */
			return
				BGl_typezd2nodez12zc0zzcfa_ltypez00(
				(((BgL_makezd2boxzd2_bglt) COBJECT(
							((BgL_makezd2boxzd2_bglt) BgL_nodez00_4718)))->BgL_valuez00));
		}

	}



/* &type-node!-jump-ex-i1642 */
	obj_t BGl_z62typezd2nodez12zd2jumpzd2exzd2i1642z70zzcfa_ltypez00(obj_t
		BgL_envz00_4719, obj_t BgL_nodez00_4720)
	{
		{	/* Cfa/ltype.scm 297 */
			BGl_typezd2nodez12zc0zzcfa_ltypez00(
				(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
							((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_4720)))->BgL_exitz00));
			return
				BGl_typezd2nodez12zc0zzcfa_ltypez00(
				(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
							((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_4720)))->BgL_valuez00));
		}

	}



/* &type-node!-set-ex-it1640 */
	obj_t BGl_z62typezd2nodez12zd2setzd2exzd2it1640z70zzcfa_ltypez00(obj_t
		BgL_envz00_4721, obj_t BgL_nodez00_4722)
	{
		{	/* Cfa/ltype.scm 286 */
			{	/* Cfa/ltype.scm 288 */
				BgL_variablez00_bglt BgL_vz00_4800;

				BgL_vz00_4800 =
					(((BgL_varz00_bglt) COBJECT(
							(((BgL_setzd2exzd2itz00_bglt) COBJECT(
										((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_4722)))->
								BgL_varz00)))->BgL_variablez00);
				{	/* Cfa/ltype.scm 289 */
					BgL_valuez00_bglt BgL_arg1890z00_4801;

					BgL_arg1890z00_4801 =
						(((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt)
									((BgL_localz00_bglt) BgL_vz00_4800))))->BgL_valuez00);
					BGl_typezd2variablez12zc0zzcfa_ltypez00(BgL_arg1890z00_4801,
						BgL_vz00_4800);
				}
			}
			BGl_typezd2nodez12zc0zzcfa_ltypez00(
				(((BgL_setzd2exzd2itz00_bglt) COBJECT(
							((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_4722)))->BgL_bodyz00));
			BGl_typezd2nodez12zc0zzcfa_ltypez00(
				(((BgL_setzd2exzd2itz00_bglt) COBJECT(
							((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_4722)))->BgL_onexitz00));
			{	/* Cfa/ltype.scm 292 */
				BgL_varz00_bglt BgL_arg1894z00_4802;

				BgL_arg1894z00_4802 =
					(((BgL_setzd2exzd2itz00_bglt) COBJECT(
							((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_4722)))->BgL_varz00);
				return
					BGl_typezd2nodez12zc0zzcfa_ltypez00(
					((BgL_nodez00_bglt) BgL_arg1894z00_4802));
			}
		}

	}



/* &type-node!-let-var1638 */
	obj_t BGl_z62typezd2nodez12zd2letzd2var1638za2zzcfa_ltypez00(obj_t
		BgL_envz00_4723, obj_t BgL_nodez00_4724)
	{
		{	/* Cfa/ltype.scm 273 */
			{	/* Cfa/ltype.scm 275 */
				obj_t BgL_g1584z00_4804;

				BgL_g1584z00_4804 =
					(((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_nodez00_4724)))->BgL_bindingsz00);
				{
					obj_t BgL_l1582z00_4806;

					BgL_l1582z00_4806 = BgL_g1584z00_4804;
				BgL_zc3z04anonymousza31883ze3z87_4805:
					if (PAIRP(BgL_l1582z00_4806))
						{	/* Cfa/ltype.scm 275 */
							{	/* Cfa/ltype.scm 276 */
								obj_t BgL_bindingz00_4807;

								BgL_bindingz00_4807 = CAR(BgL_l1582z00_4806);
								{	/* Cfa/ltype.scm 276 */
									obj_t BgL_varz00_4808;
									obj_t BgL_valz00_4809;

									BgL_varz00_4808 = CAR(((obj_t) BgL_bindingz00_4807));
									BgL_valz00_4809 = CDR(((obj_t) BgL_bindingz00_4807));
									BGl_typezd2nodez12zc0zzcfa_ltypez00(
										((BgL_nodez00_bglt) BgL_valz00_4809));
									{	/* Cfa/ltype.scm 279 */
										BgL_valuez00_bglt BgL_arg1886z00_4810;

										BgL_arg1886z00_4810 =
											(((BgL_variablez00_bglt) COBJECT(
													((BgL_variablez00_bglt)
														((BgL_localz00_bglt) BgL_varz00_4808))))->
											BgL_valuez00);
										BGl_typezd2variablez12zc0zzcfa_ltypez00(BgL_arg1886z00_4810,
											((BgL_variablez00_bglt) BgL_varz00_4808));
									}
								}
							}
							{
								obj_t BgL_l1582z00_5160;

								BgL_l1582z00_5160 = CDR(BgL_l1582z00_4806);
								BgL_l1582z00_4806 = BgL_l1582z00_5160;
								goto BgL_zc3z04anonymousza31883ze3z87_4805;
							}
						}
					else
						{	/* Cfa/ltype.scm 275 */
							((bool_t) 1);
						}
				}
			}
			return
				BGl_typezd2nodez12zc0zzcfa_ltypez00(
				(((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_nodez00_4724)))->BgL_bodyz00));
		}

	}



/* &type-node!-let-fun1636 */
	obj_t BGl_z62typezd2nodez12zd2letzd2fun1636za2zzcfa_ltypez00(obj_t
		BgL_envz00_4725, obj_t BgL_nodez00_4726)
	{
		{	/* Cfa/ltype.scm 265 */
			{	/* Cfa/ltype.scm 267 */
				obj_t BgL_g1581z00_4812;

				BgL_g1581z00_4812 =
					(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nodez00_4726)))->BgL_localsz00);
				{
					obj_t BgL_l1579z00_4814;

					BgL_l1579z00_4814 = BgL_g1581z00_4812;
				BgL_zc3z04anonymousza31874ze3z87_4813:
					if (PAIRP(BgL_l1579z00_4814))
						{	/* Cfa/ltype.scm 267 */
							{	/* Cfa/ltype.scm 267 */
								obj_t BgL_arg1876z00_4815;

								BgL_arg1876z00_4815 = CAR(BgL_l1579z00_4814);
								BGl_lightzd2typezd2funz12z12zzcfa_ltypez00(
									((BgL_variablez00_bglt) BgL_arg1876z00_4815));
							}
							{
								obj_t BgL_l1579z00_5172;

								BgL_l1579z00_5172 = CDR(BgL_l1579z00_4814);
								BgL_l1579z00_4814 = BgL_l1579z00_5172;
								goto BgL_zc3z04anonymousza31874ze3z87_4813;
							}
						}
					else
						{	/* Cfa/ltype.scm 267 */
							((bool_t) 1);
						}
				}
			}
			return
				BGl_typezd2nodez12zc0zzcfa_ltypez00(
				(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nodez00_4726)))->BgL_bodyz00));
		}

	}



/* &type-node!-switch1634 */
	obj_t BGl_z62typezd2nodez12zd2switch1634z70zzcfa_ltypez00(obj_t
		BgL_envz00_4727, obj_t BgL_nodez00_4728)
	{
		{	/* Cfa/ltype.scm 255 */
			{	/* Cfa/ltype.scm 256 */
				bool_t BgL_tmpz00_5177;

				BGl_typezd2nodez12zc0zzcfa_ltypez00(
					(((BgL_switchz00_bglt) COBJECT(
								((BgL_switchz00_bglt) BgL_nodez00_4728)))->BgL_testz00));
				{	/* Cfa/ltype.scm 258 */
					obj_t BgL_g1578z00_4817;

					BgL_g1578z00_4817 =
						(((BgL_switchz00_bglt) COBJECT(
								((BgL_switchz00_bglt) BgL_nodez00_4728)))->BgL_clausesz00);
					{
						obj_t BgL_l1576z00_4819;

						BgL_l1576z00_4819 = BgL_g1578z00_4817;
					BgL_zc3z04anonymousza31866ze3z87_4818:
						if (PAIRP(BgL_l1576z00_4819))
							{	/* Cfa/ltype.scm 258 */
								{	/* Cfa/ltype.scm 259 */
									obj_t BgL_clausez00_4820;

									BgL_clausez00_4820 = CAR(BgL_l1576z00_4819);
									{	/* Cfa/ltype.scm 259 */
										obj_t BgL_arg1872z00_4821;

										BgL_arg1872z00_4821 = CDR(((obj_t) BgL_clausez00_4820));
										BGl_typezd2nodez12zc0zzcfa_ltypez00(
											((BgL_nodez00_bglt) BgL_arg1872z00_4821));
									}
								}
								{
									obj_t BgL_l1576z00_5190;

									BgL_l1576z00_5190 = CDR(BgL_l1576z00_4819);
									BgL_l1576z00_4819 = BgL_l1576z00_5190;
									goto BgL_zc3z04anonymousza31866ze3z87_4818;
								}
							}
						else
							{	/* Cfa/ltype.scm 258 */
								BgL_tmpz00_5177 = ((bool_t) 1);
							}
					}
				}
				return BBOOL(BgL_tmpz00_5177);
			}
		}

	}



/* &type-node!-fail1632 */
	obj_t BGl_z62typezd2nodez12zd2fail1632z70zzcfa_ltypez00(obj_t BgL_envz00_4729,
		obj_t BgL_nodez00_4730)
	{
		{	/* Cfa/ltype.scm 246 */
			BGl_typezd2nodez12zc0zzcfa_ltypez00(
				(((BgL_failz00_bglt) COBJECT(
							((BgL_failz00_bglt) BgL_nodez00_4730)))->BgL_procz00));
			BGl_typezd2nodez12zc0zzcfa_ltypez00(
				(((BgL_failz00_bglt) COBJECT(
							((BgL_failz00_bglt) BgL_nodez00_4730)))->BgL_msgz00));
			return
				BGl_typezd2nodez12zc0zzcfa_ltypez00(
				(((BgL_failz00_bglt) COBJECT(
							((BgL_failz00_bglt) BgL_nodez00_4730)))->BgL_objz00));
		}

	}



/* &type-node!-condition1630 */
	obj_t BGl_z62typezd2nodez12zd2condition1630z70zzcfa_ltypez00(obj_t
		BgL_envz00_4731, obj_t BgL_nodez00_4732)
	{
		{	/* Cfa/ltype.scm 237 */
			BGl_typezd2nodez12zc0zzcfa_ltypez00(
				(((BgL_conditionalz00_bglt) COBJECT(
							((BgL_conditionalz00_bglt) BgL_nodez00_4732)))->BgL_testz00));
			BGl_typezd2nodez12zc0zzcfa_ltypez00(
				(((BgL_conditionalz00_bglt) COBJECT(
							((BgL_conditionalz00_bglt) BgL_nodez00_4732)))->BgL_truez00));
			return
				BGl_typezd2nodez12zc0zzcfa_ltypez00(
				(((BgL_conditionalz00_bglt) COBJECT(
							((BgL_conditionalz00_bglt) BgL_nodez00_4732)))->BgL_falsez00));
		}

	}



/* &type-node!-setq1628 */
	obj_t BGl_z62typezd2nodez12zd2setq1628z70zzcfa_ltypez00(obj_t BgL_envz00_4733,
		obj_t BgL_nodez00_4734)
	{
		{	/* Cfa/ltype.scm 229 */
			BGl_typezd2nodez12zc0zzcfa_ltypez00(
				(((BgL_setqz00_bglt) COBJECT(
							((BgL_setqz00_bglt) BgL_nodez00_4734)))->BgL_valuez00));
			{	/* Cfa/ltype.scm 232 */
				BgL_varz00_bglt BgL_arg1847z00_4825;

				BgL_arg1847z00_4825 =
					(((BgL_setqz00_bglt) COBJECT(
							((BgL_setqz00_bglt) BgL_nodez00_4734)))->BgL_varz00);
				return
					BGl_typezd2nodez12zc0zzcfa_ltypez00(
					((BgL_nodez00_bglt) BgL_arg1847z00_4825));
			}
		}

	}



/* &type-node!-cast1626 */
	obj_t BGl_z62typezd2nodez12zd2cast1626z70zzcfa_ltypez00(obj_t BgL_envz00_4735,
		obj_t BgL_nodez00_4736)
	{
		{	/* Cfa/ltype.scm 222 */
			return
				BGl_typezd2nodez12zc0zzcfa_ltypez00(
				(((BgL_castz00_bglt) COBJECT(
							((BgL_castz00_bglt) BgL_nodez00_4736)))->BgL_argz00));
		}

	}



/* &type-node!-vset!1624 */
	obj_t BGl_z62typezd2nodez12zd2vsetz121624z62zzcfa_ltypez00(obj_t
		BgL_envz00_4737, obj_t BgL_nodez00_4738)
	{
		{	/* Cfa/ltype.scm 213 */
			{

				{	/* Cfa/ltype.scm 213 */
					obj_t BgL_nextzd2method1623zd2_4829;

					BgL_nextzd2method1623zd2_4829 =
						BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
						((BgL_objectz00_bglt)
							((BgL_vsetz12z12_bglt) BgL_nodez00_4738)),
						BGl_typezd2nodez12zd2envz12zzcfa_ltypez00,
						BGl_vsetz12z12zzast_nodez00);
					BGL_PROCEDURE_CALL1(BgL_nextzd2method1623zd2_4829,
						((obj_t) ((BgL_vsetz12z12_bglt) BgL_nodez00_4738)));
				}
				{	/* Cfa/ltype.scm 216 */
					bool_t BgL_test2225z00_5230;

					{	/* Cfa/ltype.scm 216 */
						obj_t BgL_arg1834z00_4830;

						BgL_arg1834z00_4830 =
							((obj_t)
							(((BgL_vsetz12z12_bglt) COBJECT(
										((BgL_vsetz12z12_bglt) BgL_nodez00_4738)))->BgL_ftypez00));
						BgL_test2225z00_5230 =
							(BgL_arg1834z00_4830 == BGl_za2_za2z00zztype_cachez00);
					}
					if (BgL_test2225z00_5230)
						{	/* Cfa/ltype.scm 216 */
							return
								((((BgL_vsetz12z12_bglt) COBJECT(
											((BgL_vsetz12z12_bglt) BgL_nodez00_4738)))->
									BgL_ftypez00) =
								((BgL_typez00_bglt) ((BgL_typez00_bglt)
										BGl_za2objza2z00zztype_cachez00)), BUNSPEC);
						}
					else
						{	/* Cfa/ltype.scm 216 */
							return BFALSE;
						}
				}
			}
		}

	}



/* &type-node!-vref1622 */
	obj_t BGl_z62typezd2nodez12zd2vref1622z70zzcfa_ltypez00(obj_t BgL_envz00_4739,
		obj_t BgL_nodez00_4740)
	{
		{	/* Cfa/ltype.scm 204 */
			{

				{	/* Cfa/ltype.scm 204 */
					obj_t BgL_nextzd2method1621zd2_4833;

					BgL_nextzd2method1621zd2_4833 =
						BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
						((BgL_objectz00_bglt)
							((BgL_vrefz00_bglt) BgL_nodez00_4740)),
						BGl_typezd2nodez12zd2envz12zzcfa_ltypez00,
						BGl_vrefz00zzast_nodez00);
					BGL_PROCEDURE_CALL1(BgL_nextzd2method1621zd2_4833,
						((obj_t) ((BgL_vrefz00_bglt) BgL_nodez00_4740)));
				}
				{	/* Cfa/ltype.scm 207 */
					bool_t BgL_test2226z00_5247;

					{	/* Cfa/ltype.scm 207 */
						obj_t BgL_arg1825z00_4834;

						BgL_arg1825z00_4834 =
							((obj_t)
							(((BgL_vrefz00_bglt) COBJECT(
										((BgL_vrefz00_bglt) BgL_nodez00_4740)))->BgL_ftypez00));
						BgL_test2226z00_5247 =
							(BgL_arg1825z00_4834 == BGl_za2_za2z00zztype_cachez00);
					}
					if (BgL_test2226z00_5247)
						{	/* Cfa/ltype.scm 207 */
							return
								((((BgL_vrefz00_bglt) COBJECT(
											((BgL_vrefz00_bglt) BgL_nodez00_4740)))->BgL_ftypez00) =
								((BgL_typez00_bglt) ((BgL_typez00_bglt)
										BGl_za2objza2z00zztype_cachez00)), BUNSPEC);
						}
					else
						{	/* Cfa/ltype.scm 207 */
							return BFALSE;
						}
				}
			}
		}

	}



/* &type-node!-extern1620 */
	obj_t BGl_z62typezd2nodez12zd2extern1620z70zzcfa_ltypez00(obj_t
		BgL_envz00_4741, obj_t BgL_nodez00_4742)
	{
		{	/* Cfa/ltype.scm 197 */
			return
				BBOOL(BGl_typezd2nodeza2z12z62zzcfa_ltypez00(
					(((BgL_externz00_bglt) COBJECT(
								((BgL_externz00_bglt) BgL_nodez00_4742)))->BgL_exprza2za2)));
		}

	}



/* &type-node!-funcall1618 */
	obj_t BGl_z62typezd2nodez12zd2funcall1618z70zzcfa_ltypez00(obj_t
		BgL_envz00_4743, obj_t BgL_nodez00_4744)
	{
		{	/* Cfa/ltype.scm 189 */
			{	/* Cfa/ltype.scm 190 */
				bool_t BgL_tmpz00_5259;

				BGl_typezd2nodez12zc0zzcfa_ltypez00(
					(((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_nodez00_4744)))->BgL_funz00));
				BgL_tmpz00_5259 =
					BGl_typezd2nodeza2z12z62zzcfa_ltypez00(
					(((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_nodez00_4744)))->BgL_argsz00));
				return BBOOL(BgL_tmpz00_5259);
			}
		}

	}



/* &type-node!-app-ly1616 */
	obj_t BGl_z62typezd2nodez12zd2appzd2ly1616za2zzcfa_ltypez00(obj_t
		BgL_envz00_4745, obj_t BgL_nodez00_4746)
	{
		{	/* Cfa/ltype.scm 181 */
			BGl_typezd2nodez12zc0zzcfa_ltypez00(
				(((BgL_appzd2lyzd2_bglt) COBJECT(
							((BgL_appzd2lyzd2_bglt) BgL_nodez00_4746)))->BgL_funz00));
			return
				BGl_typezd2nodez12zc0zzcfa_ltypez00(
				(((BgL_appzd2lyzd2_bglt) COBJECT(
							((BgL_appzd2lyzd2_bglt) BgL_nodez00_4746)))->BgL_argz00));
		}

	}



/* &type-node!-app1614 */
	obj_t BGl_z62typezd2nodez12zd2app1614z70zzcfa_ltypez00(obj_t BgL_envz00_4747,
		obj_t BgL_nodez00_4748)
	{
		{	/* Cfa/ltype.scm 174 */
			return
				BBOOL(BGl_typezd2nodeza2z12z62zzcfa_ltypez00(
					(((BgL_appz00_bglt) COBJECT(
								((BgL_appz00_bglt) BgL_nodez00_4748)))->BgL_argsz00)));
		}

	}



/* &type-node!-sync1612 */
	obj_t BGl_z62typezd2nodez12zd2sync1612z70zzcfa_ltypez00(obj_t BgL_envz00_4749,
		obj_t BgL_nodez00_4750)
	{
		{	/* Cfa/ltype.scm 165 */
			BGl_typezd2nodez12zc0zzcfa_ltypez00(
				(((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_nodez00_4750)))->BgL_mutexz00));
			BGl_typezd2nodez12zc0zzcfa_ltypez00(
				(((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_nodez00_4750)))->BgL_prelockz00));
			return
				BGl_typezd2nodez12zc0zzcfa_ltypez00(
				(((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_nodez00_4750)))->BgL_bodyz00));
		}

	}



/* &type-node!-sequence1610 */
	obj_t BGl_z62typezd2nodez12zd2sequence1610z70zzcfa_ltypez00(obj_t
		BgL_envz00_4751, obj_t BgL_nodez00_4752)
	{
		{	/* Cfa/ltype.scm 158 */
			return
				BBOOL(BGl_typezd2nodeza2z12z62zzcfa_ltypez00(
					(((BgL_sequencez00_bglt) COBJECT(
								((BgL_sequencez00_bglt) BgL_nodez00_4752)))->BgL_nodesz00)));
		}

	}



/* &type-node!-closure1608 */
	obj_t BGl_z62typezd2nodez12zd2closure1608z70zzcfa_ltypez00(obj_t
		BgL_envz00_4753, obj_t BgL_nodez00_4754)
	{
		{	/* Cfa/ltype.scm 152 */
			{	/* Cfa/ltype.scm 153 */
				obj_t BgL_arg1799z00_4842;

				BgL_arg1799z00_4842 =
					BGl_shapez00zztools_shapez00(
					((obj_t) ((BgL_closurez00_bglt) BgL_nodez00_4754)));
				return
					BGl_internalzd2errorzd2zztools_errorz00
					(BGl_string2139z00zzcfa_ltypez00, BGl_string2163z00zzcfa_ltypez00,
					BgL_arg1799z00_4842);
			}
		}

	}



/* &type-node!-var1606 */
	obj_t BGl_z62typezd2nodez12zd2var1606z70zzcfa_ltypez00(obj_t BgL_envz00_4755,
		obj_t BgL_nodez00_4756)
	{
		{	/* Cfa/ltype.scm 142 */
			{	/* Cfa/ltype.scm 144 */
				bool_t BgL_test2227z00_5294;

				{	/* Cfa/ltype.scm 144 */
					bool_t BgL_test2228z00_5295;

					{	/* Cfa/ltype.scm 144 */
						BgL_variablez00_bglt BgL_arg1786z00_4844;

						BgL_arg1786z00_4844 =
							(((BgL_varz00_bglt) COBJECT(
									((BgL_varz00_bglt) BgL_nodez00_4756)))->BgL_variablez00);
						{	/* Cfa/ltype.scm 144 */
							obj_t BgL_classz00_4845;

							BgL_classz00_4845 = BGl_globalz00zzast_varz00;
							{	/* Cfa/ltype.scm 144 */
								BgL_objectz00_bglt BgL_arg1858z00_4846;

								{	/* Cfa/ltype.scm 144 */
									obj_t BgL_tmpz00_5298;

									BgL_tmpz00_5298 =
										((obj_t) ((BgL_objectz00_bglt) BgL_arg1786z00_4844));
									BgL_arg1858z00_4846 = (BgL_objectz00_bglt) (BgL_tmpz00_5298);
								}
								if (BGL_CONDEXPAND_ISA_ARCH64())
									{	/* Cfa/ltype.scm 144 */
										long BgL_idxz00_4847;

										BgL_idxz00_4847 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_4846);
										BgL_test2228z00_5295 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_4847 + 2L)) == BgL_classz00_4845);
									}
								else
									{	/* Cfa/ltype.scm 144 */
										bool_t BgL_res2124z00_4850;

										{	/* Cfa/ltype.scm 144 */
											obj_t BgL_oclassz00_4851;

											{	/* Cfa/ltype.scm 144 */
												obj_t BgL_arg1866z00_4852;
												long BgL_arg1867z00_4853;

												BgL_arg1866z00_4852 =
													(BGl_za2classesza2z00zz__objectz00);
												{	/* Cfa/ltype.scm 144 */
													long BgL_arg1869z00_4854;

													BgL_arg1869z00_4854 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_4846);
													BgL_arg1867z00_4853 =
														(BgL_arg1869z00_4854 - OBJECT_TYPE);
												}
												BgL_oclassz00_4851 =
													VECTOR_REF(BgL_arg1866z00_4852, BgL_arg1867z00_4853);
											}
											{	/* Cfa/ltype.scm 144 */
												bool_t BgL__ortest_1115z00_4855;

												BgL__ortest_1115z00_4855 =
													(BgL_classz00_4845 == BgL_oclassz00_4851);
												if (BgL__ortest_1115z00_4855)
													{	/* Cfa/ltype.scm 144 */
														BgL_res2124z00_4850 = BgL__ortest_1115z00_4855;
													}
												else
													{	/* Cfa/ltype.scm 144 */
														long BgL_odepthz00_4856;

														{	/* Cfa/ltype.scm 144 */
															obj_t BgL_arg1855z00_4857;

															BgL_arg1855z00_4857 = (BgL_oclassz00_4851);
															BgL_odepthz00_4856 =
																BGL_CLASS_DEPTH(BgL_arg1855z00_4857);
														}
														if ((2L < BgL_odepthz00_4856))
															{	/* Cfa/ltype.scm 144 */
																obj_t BgL_arg1853z00_4858;

																{	/* Cfa/ltype.scm 144 */
																	obj_t BgL_arg1854z00_4859;

																	BgL_arg1854z00_4859 = (BgL_oclassz00_4851);
																	BgL_arg1853z00_4858 =
																		BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_4859,
																		2L);
																}
																BgL_res2124z00_4850 =
																	(BgL_arg1853z00_4858 == BgL_classz00_4845);
															}
														else
															{	/* Cfa/ltype.scm 144 */
																BgL_res2124z00_4850 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_test2228z00_5295 = BgL_res2124z00_4850;
									}
							}
						}
					}
					if (BgL_test2228z00_5295)
						{	/* Cfa/ltype.scm 144 */
							BgL_test2227z00_5294 =
								(
								(((BgL_globalz00_bglt) COBJECT(
											((BgL_globalz00_bglt)
												(((BgL_varz00_bglt) COBJECT(
															((BgL_varz00_bglt) BgL_nodez00_4756)))->
													BgL_variablez00))))->BgL_importz00) ==
								((obj_t) CNST_TABLE_REF(2)));
						}
					else
						{	/* Cfa/ltype.scm 144 */
							BgL_test2227z00_5294 = ((bool_t) 0);
						}
				}
				if (BgL_test2227z00_5294)
					{	/* Cfa/ltype.scm 145 */
						BgL_valuez00_bglt BgL_arg1776z00_4860;
						BgL_variablez00_bglt BgL_arg1782z00_4861;

						BgL_arg1776z00_4860 =
							(((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt)
										((BgL_globalz00_bglt)
											(((BgL_varz00_bglt) COBJECT(
														((BgL_varz00_bglt) BgL_nodez00_4756)))->
												BgL_variablez00)))))->BgL_valuez00);
						BgL_arg1782z00_4861 =
							(((BgL_varz00_bglt) COBJECT(((BgL_varz00_bglt)
										BgL_nodez00_4756)))->BgL_variablez00);
						BGl_typezd2variablez12zc0zzcfa_ltypez00(BgL_arg1776z00_4860,
							BgL_arg1782z00_4861);
					}
				else
					{	/* Cfa/ltype.scm 144 */
						BFALSE;
					}
			}
			{	/* Cfa/ltype.scm 146 */
				bool_t BgL_test2232z00_5336;

				{	/* Cfa/ltype.scm 146 */
					obj_t BgL_arg1796z00_4862;

					BgL_arg1796z00_4862 =
						((obj_t)
						(((BgL_variablez00_bglt) COBJECT(
									(((BgL_varz00_bglt) COBJECT(
												((BgL_varz00_bglt) BgL_nodez00_4756)))->
										BgL_variablez00)))->BgL_typez00));
					BgL_test2232z00_5336 =
						(BgL_arg1796z00_4862 == BGl_za2procedurezd2elza2zd2zztype_cachez00);
				}
				if (BgL_test2232z00_5336)
					{	/* Cfa/ltype.scm 146 */
						return
							((((BgL_nodez00_bglt) COBJECT(
										((BgL_nodez00_bglt)
											((BgL_varz00_bglt) BgL_nodez00_4756))))->BgL_typez00) =
							((BgL_typez00_bglt) ((BgL_typez00_bglt)
									BGl_za2procedurezd2elza2zd2zztype_cachez00)), BUNSPEC);
					}
				else
					{	/* Cfa/ltype.scm 146 */
						return BFALSE;
					}
			}
		}

	}



/* &type-node!-kwote1604 */
	obj_t BGl_z62typezd2nodez12zd2kwote1604z70zzcfa_ltypez00(obj_t
		BgL_envz00_4757, obj_t BgL_nodez00_4758)
	{
		{	/* Cfa/ltype.scm 136 */
			return BUNSPEC;
		}

	}



/* &type-node!-atom1602 */
	obj_t BGl_z62typezd2nodez12zd2atom1602z70zzcfa_ltypez00(obj_t BgL_envz00_4759,
		obj_t BgL_nodez00_4760)
	{
		{	/* Cfa/ltype.scm 130 */
			return BUNSPEC;
		}

	}



/* &type-variable!-inter1598 */
	obj_t BGl_z62typezd2variablez12zd2inter1598z70zzcfa_ltypez00(obj_t
		BgL_envz00_4761, obj_t BgL_valuez00_4762, obj_t BgL_variablez00_4763)
	{
		{	/* Cfa/ltype.scm 111 */
			return ((obj_t) CNST_TABLE_REF(1));
		}

	}



/* &type-variable!-sexit1596 */
	obj_t BGl_z62typezd2variablez12zd2sexit1596z70zzcfa_ltypez00(obj_t
		BgL_envz00_4764, obj_t BgL_valuez00_4765, obj_t BgL_variablez00_4766)
	{
		{	/* Cfa/ltype.scm 101 */
			return ((obj_t) CNST_TABLE_REF(1));
		}

	}



/* &type-variable!-cvar/1594 */
	obj_t BGl_z62typezd2variablez12zd2cvarzf21594z82zzcfa_ltypez00(obj_t
		BgL_envz00_4767, obj_t BgL_valuez00_4768, obj_t BgL_variablez00_4769)
	{
		{	/* Cfa/ltype.scm 94 */
			{	/* Cfa/ltype.scm 96 */
				obj_t BgL_arg1757z00_4868;

				{	/* Cfa/ltype.scm 96 */
					BgL_approxz00_bglt BgL_arg1763z00_4869;

					{
						BgL_cvarzf2cinfozf2_bglt BgL_auxz00_5350;

						{
							obj_t BgL_auxz00_5351;

							{	/* Cfa/ltype.scm 96 */
								BgL_objectz00_bglt BgL_tmpz00_5352;

								BgL_tmpz00_5352 =
									((BgL_objectz00_bglt) ((BgL_cvarz00_bglt) BgL_valuez00_4768));
								BgL_auxz00_5351 = BGL_OBJECT_WIDENING(BgL_tmpz00_5352);
							}
							BgL_auxz00_5350 = ((BgL_cvarzf2cinfozf2_bglt) BgL_auxz00_5351);
						}
						BgL_arg1763z00_4869 =
							(((BgL_cvarzf2cinfozf2_bglt) COBJECT(BgL_auxz00_5350))->
							BgL_approxz00);
					}
					if (BGl_approxzd2procedurezd2elzf3zf3zzcfa_closurez00
						(BgL_arg1763z00_4869))
						{	/* Cfa/ltype.scm 65 */
							BgL_arg1757z00_4868 = BGl_za2procedurezd2elza2zd2zztype_cachez00;
						}
					else
						{	/* Cfa/ltype.scm 65 */
							BgL_arg1757z00_4868 = BGl_za2_za2z00zztype_cachez00;
						}
				}
				if (
					(((obj_t)
							((BgL_typez00_bglt) BgL_arg1757z00_4868)) ==
						BGl_za2_za2z00zztype_cachez00))
					{	/* Cfa/ltype.scm 118 */
						return BFALSE;
					}
				else
					{	/* Cfa/ltype.scm 118 */
						return
							((((BgL_variablez00_bglt) COBJECT(
										((BgL_variablez00_bglt) BgL_variablez00_4769)))->
								BgL_typez00) =
							((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_arg1757z00_4868)),
							BUNSPEC);
					}
			}
		}

	}



/* &type-variable!-scnst1592 */
	obj_t BGl_z62typezd2variablez12zd2scnst1592z70zzcfa_ltypez00(obj_t
		BgL_envz00_4770, obj_t BgL_valuez00_4771, obj_t BgL_variablez00_4772)
	{
		{	/* Cfa/ltype.scm 88 */
			return ((obj_t) CNST_TABLE_REF(1));
		}

	}



/* &type-variable!-svar/1590 */
	obj_t BGl_z62typezd2variablez12zd2svarzf21590z82zzcfa_ltypez00(obj_t
		BgL_envz00_4773, obj_t BgL_valuez00_4774, obj_t BgL_variablez00_4775)
	{
		{	/* Cfa/ltype.scm 81 */
			{	/* Cfa/ltype.scm 83 */
				obj_t BgL_arg1755z00_4872;

				{	/* Cfa/ltype.scm 83 */
					BgL_approxz00_bglt BgL_arg1756z00_4873;

					{
						BgL_svarzf2cinfozf2_bglt BgL_auxz00_5369;

						{
							obj_t BgL_auxz00_5370;

							{	/* Cfa/ltype.scm 83 */
								BgL_objectz00_bglt BgL_tmpz00_5371;

								BgL_tmpz00_5371 =
									((BgL_objectz00_bglt) ((BgL_svarz00_bglt) BgL_valuez00_4774));
								BgL_auxz00_5370 = BGL_OBJECT_WIDENING(BgL_tmpz00_5371);
							}
							BgL_auxz00_5369 = ((BgL_svarzf2cinfozf2_bglt) BgL_auxz00_5370);
						}
						BgL_arg1756z00_4873 =
							(((BgL_svarzf2cinfozf2_bglt) COBJECT(BgL_auxz00_5369))->
							BgL_approxz00);
					}
					if (BGl_approxzd2procedurezd2elzf3zf3zzcfa_closurez00
						(BgL_arg1756z00_4873))
						{	/* Cfa/ltype.scm 65 */
							BgL_arg1755z00_4872 = BGl_za2procedurezd2elza2zd2zztype_cachez00;
						}
					else
						{	/* Cfa/ltype.scm 65 */
							BgL_arg1755z00_4872 = BGl_za2_za2z00zztype_cachez00;
						}
				}
				if (
					(((obj_t)
							((BgL_typez00_bglt) BgL_arg1755z00_4872)) ==
						BGl_za2_za2z00zztype_cachez00))
					{	/* Cfa/ltype.scm 118 */
						return BFALSE;
					}
				else
					{	/* Cfa/ltype.scm 118 */
						return
							((((BgL_variablez00_bglt) COBJECT(
										((BgL_variablez00_bglt) BgL_variablez00_4775)))->
								BgL_typez00) =
							((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_arg1755z00_4872)),
							BUNSPEC);
					}
			}
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzcfa_ltypez00(void)
	{
		{	/* Cfa/ltype.scm 15 */
			BGl_modulezd2initializa7ationz75zztype_typez00(515343395L,
				BSTRING_TO_STRING(BGl_string2164z00zzcfa_ltypez00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(489890788L,
				BSTRING_TO_STRING(BGl_string2164z00zzcfa_ltypez00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(365925558L,
				BSTRING_TO_STRING(BGl_string2164z00zzcfa_ltypez00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(300504031L,
				BSTRING_TO_STRING(BGl_string2164z00zzcfa_ltypez00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(161876678L,
				BSTRING_TO_STRING(BGl_string2164z00zzcfa_ltypez00));
			BGl_modulezd2initializa7ationz75zzast_varz00(90839984L,
				BSTRING_TO_STRING(BGl_string2164z00zzcfa_ltypez00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(469732712L,
				BSTRING_TO_STRING(BGl_string2164z00zzcfa_ltypez00));
			BGl_modulezd2initializa7ationz75zzcfa_infoz00(3788352L,
				BSTRING_TO_STRING(BGl_string2164z00zzcfa_ltypez00));
			BGl_modulezd2initializa7ationz75zzcfa_info2z00(0L,
				BSTRING_TO_STRING(BGl_string2164z00zzcfa_ltypez00));
			BGl_modulezd2initializa7ationz75zzcfa_info3z00(0L,
				BSTRING_TO_STRING(BGl_string2164z00zzcfa_ltypez00));
			BGl_modulezd2initializa7ationz75zzcfa_setz00(5932721L,
				BSTRING_TO_STRING(BGl_string2164z00zzcfa_ltypez00));
			BGl_modulezd2initializa7ationz75zzcfa_tvectorz00(324810626L,
				BSTRING_TO_STRING(BGl_string2164z00zzcfa_ltypez00));
			BGl_modulezd2initializa7ationz75zzcfa_closurez00(188963689L,
				BSTRING_TO_STRING(BGl_string2164z00zzcfa_ltypez00));
			BGl_modulezd2initializa7ationz75zztvector_tvectorz00(501518119L,
				BSTRING_TO_STRING(BGl_string2164z00zzcfa_ltypez00));
			BGl_modulezd2initializa7ationz75zzcnst_nodez00(89013043L,
				BSTRING_TO_STRING(BGl_string2164z00zzcfa_ltypez00));
			return
				BGl_modulezd2initializa7ationz75zzcfa_approxz00(285971837L,
				BSTRING_TO_STRING(BGl_string2164z00zzcfa_ltypez00));
		}

	}

#ifdef __cplusplus
}
#endif
