/*===========================================================================*/
/*   (Coerce/app.scm)                                                        */
/*   Bigloo (4.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Jan 27 07:45:49 AM CET 2025     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.6a/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.6a/lib/bigloo/4.6a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -stdc -indent Coerce/app.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL_COERCE_APP_TYPE_DEFINITIONS
#define BGL_COERCE_APP_TYPE_DEFINITIONS

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_nullz00;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_qualifiedzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_cfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_argszd2typezd2;
		bool_t BgL_macrozf3zf3;
		bool_t BgL_infixzf3zf3;
		obj_t BgL_methodz00;
	}              *BgL_cfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_stackablez00;
	}             *BgL_appz00_bglt;


#endif													// BGL_COERCE_APP_TYPE_DEFINITIONS
#endif													// BGL_MODULE_TYPE_DEFINITIONS

	static obj_t BGl_requirezd2initializa7ationz75zzcoerce_appz00 = BUNSPEC;
	extern obj_t BGl_userzd2errorzf2locationz20zztools_errorz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	extern obj_t BGl_sfunz00zzast_varz00;
	static obj_t BGl_toplevelzd2initzd2zzcoerce_appz00(void);
	static BgL_nodez00_bglt
		BGl_coercezd2foreignzd2vazd2appz12zc0zzcoerce_appz00(BgL_valuez00_bglt,
		BgL_variablez00_bglt, obj_t, BgL_appz00_bglt, obj_t, obj_t);
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzcoerce_appz00(void);
	static obj_t BGl_objectzd2initzd2zzcoerce_appz00(void);
	extern obj_t BGl_za2boolza2z00zztype_cachez00;
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	extern obj_t BGl_typez00zztype_typez00;
	static obj_t BGl_za2eqbza2z00zzcoerce_appz00 = BUNSPEC;
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzcoerce_appz00(void);
	static BgL_nodez00_bglt
		BGl_coercezd2bigloozd2externzd2appz12zc0zzcoerce_appz00
		(BgL_variablez00_bglt, obj_t, BgL_appz00_bglt, obj_t, obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	extern BgL_typez00_bglt BGl_getzd2typezd2zztype_typeofz00(BgL_nodez00_bglt,
		bool_t);
	static bool_t BGl_coercezd2argsz12ze70z27zzcoerce_appz00(obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_za2procedureza2z00zztype_cachez00;
	static BgL_nodez00_bglt
		BGl_coercezd2bigloozd2appz12z12zzcoerce_appz00(BgL_variablez00_bglt, obj_t,
		BgL_appz00_bglt, obj_t, obj_t);
	extern BgL_nodez00_bglt BGl_coercez12z12zzcoerce_coercez00(BgL_nodez00_bglt,
		obj_t, BgL_typez00_bglt, bool_t);
	static BgL_nodez00_bglt
		BGl_coercezd2foreignzd2appz12z12zzcoerce_appz00(BgL_variablez00_bglt, obj_t,
		BgL_appz00_bglt, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_exitz00zz__errorz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzcoerce_appz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcoerce_convertz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcoerce_coercez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typeofz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	extern obj_t BGl_cfunz00zzast_varz00;
	BGL_EXPORTED_DECL obj_t BGl_initzd2appzd2cachez12z12zzcoerce_appz00(void);
	static obj_t BGl_z62initzd2appzd2cachez12z70zzcoerce_appz00(obj_t);
	static obj_t BGl_cnstzd2initzd2zzcoerce_appz00(void);
	static obj_t BGl_libraryzd2moduleszd2initz00zzcoerce_appz00(void);
	BGL_IMPORT long bgl_list_length(obj_t);
	extern obj_t BGl_za2unsafezd2typeza2zd2zzengine_paramz00;
	static obj_t BGl_importedzd2moduleszd2initz00zzcoerce_appz00(void);
	static BgL_nodez00_bglt BGl_z62coercez12zd2app1232za2zzcoerce_appz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_gczd2rootszd2initz00zzcoerce_appz00(void);
	extern obj_t BGl_findzd2globalzf2modulez20zzast_envz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_coercezd2foreignzd2fxzd2appz12zc0zzcoerce_appz00(BgL_valuez00_bglt,
		BgL_variablez00_bglt, obj_t, BgL_appz00_bglt, obj_t, obj_t);
	static obj_t BGl_coercezd2eqze70z35zzcoerce_appz00(obj_t, obj_t,
		BgL_appz00_bglt, BgL_valuez00_bglt, obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_coercezd2bigloozd2internzd2appz12zc0zzcoerce_appz00
		(BgL_variablez00_bglt, obj_t, BgL_appz00_bglt, obj_t, obj_t);
	extern BgL_nodez00_bglt BGl_convertz12z12zzcoerce_convertz00(BgL_nodez00_bglt,
		BgL_typez00_bglt, BgL_typez00_bglt, bool_t);
	static obj_t BGl_za2eqza2z00zzcoerce_appz00 = BUNSPEC;
	extern obj_t BGl_globalz00zzast_varz00;
	static obj_t BGl_makezd2procedurezd2idsz00zzcoerce_appz00 = BUNSPEC;
	static obj_t __cnst[5];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_initzd2appzd2cachez12zd2envzc0zzcoerce_appz00,
		BgL_bgl_za762initza7d2appza7d21704za7,
		BGl_z62initzd2appzd2cachez12z70zzcoerce_appz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string1700z00zzcoerce_appz00,
		BgL_bgl_string1700za700za7za7c1705za7, "coerce_app", 10);
	      DEFINE_STRING(BGl_string1701z00zzcoerce_appz00,
		BgL_bgl_string1701za700za7za7c1706za7,
		"import $eqb? foreign c-eq? (make-fx-procedure make-va-procedure make-l-procedure) ",
		82);
	      DEFINE_STRING(BGl_string1695z00zzcoerce_appz00,
		BgL_bgl_string1695za700za7za7c1707za7, "procedure", 9);
	      DEFINE_STRING(BGl_string1696z00zzcoerce_appz00,
		BgL_bgl_string1696za700za7za7c1708za7, "app", 3);
	      DEFINE_STRING(BGl_string1697z00zzcoerce_appz00,
		BgL_bgl_string1697za700za7za7c1709za7, "formals/actuals mismatch", 24);
	      DEFINE_STRING(BGl_string1699z00zzcoerce_appz00,
		BgL_bgl_string1699za700za7za7c1710za7, "coerce!", 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1698z00zzcoerce_appz00,
		BgL_bgl_za762coerceza712za7d2a1711za7,
		BGl_z62coercez12zd2app1232za2zzcoerce_appz00, 0L, BUNSPEC, 4);
	extern obj_t BGl_coercez12zd2envzc0zzcoerce_coercez00;

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		     ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zzcoerce_appz00));
		     ADD_ROOT((void *) (&BGl_za2eqbza2z00zzcoerce_appz00));
		     ADD_ROOT((void *) (&BGl_za2eqza2z00zzcoerce_appz00));
		     ADD_ROOT((void *) (&BGl_makezd2procedurezd2idsz00zzcoerce_appz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzcoerce_appz00(long
		BgL_checksumz00_2255, char *BgL_fromz00_2256)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzcoerce_appz00))
				{
					BGl_requirezd2initializa7ationz75zzcoerce_appz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzcoerce_appz00();
					BGl_libraryzd2moduleszd2initz00zzcoerce_appz00();
					BGl_cnstzd2initzd2zzcoerce_appz00();
					BGl_importedzd2moduleszd2initz00zzcoerce_appz00();
					BGl_methodzd2initzd2zzcoerce_appz00();
					return BGl_toplevelzd2initzd2zzcoerce_appz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzcoerce_appz00(void)
	{
		{	/* Coerce/app.scm 15 */
			BGl_modulezd2initializa7ationz75zz__objectz00(0L, "coerce_app");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(0L,
				"coerce_app");
			BGl_modulezd2initializa7ationz75zz__readerz00(0L, "coerce_app");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(0L, "coerce_app");
			BGl_modulezd2initializa7ationz75zz__errorz00(0L, "coerce_app");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(0L, "coerce_app");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(0L,
				"coerce_app");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(0L, "coerce_app");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(0L,
				"coerce_app");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzcoerce_appz00(void)
	{
		{	/* Coerce/app.scm 15 */
			{	/* Coerce/app.scm 15 */
				obj_t BgL_cportz00_2211;

				{	/* Coerce/app.scm 15 */
					obj_t BgL_stringz00_2218;

					BgL_stringz00_2218 = BGl_string1701z00zzcoerce_appz00;
					{	/* Coerce/app.scm 15 */
						obj_t BgL_startz00_2219;

						BgL_startz00_2219 = BINT(0L);
						{	/* Coerce/app.scm 15 */
							obj_t BgL_endz00_2220;

							BgL_endz00_2220 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_2218)));
							{	/* Coerce/app.scm 15 */

								BgL_cportz00_2211 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_2218, BgL_startz00_2219, BgL_endz00_2220);
				}}}}
				{
					long BgL_iz00_2212;

					BgL_iz00_2212 = 4L;
				BgL_loopz00_2213:
					if ((BgL_iz00_2212 == (-1L)))
						{	/* Coerce/app.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Coerce/app.scm 15 */
							{	/* Coerce/app.scm 15 */
								obj_t BgL_arg1703z00_2214;

								{	/* Coerce/app.scm 15 */

									{	/* Coerce/app.scm 15 */
										obj_t BgL_locationz00_2216;

										BgL_locationz00_2216 = BBOOL(((bool_t) 0));
										{	/* Coerce/app.scm 15 */

											BgL_arg1703z00_2214 =
												BGl_readz00zz__readerz00(BgL_cportz00_2211,
												BgL_locationz00_2216);
										}
									}
								}
								{	/* Coerce/app.scm 15 */
									int BgL_tmpz00_2284;

									BgL_tmpz00_2284 = (int) (BgL_iz00_2212);
									CNST_TABLE_SET(BgL_tmpz00_2284, BgL_arg1703z00_2214);
							}}
							{	/* Coerce/app.scm 15 */
								int BgL_auxz00_2217;

								BgL_auxz00_2217 = (int) ((BgL_iz00_2212 - 1L));
								{
									long BgL_iz00_2289;

									BgL_iz00_2289 = (long) (BgL_auxz00_2217);
									BgL_iz00_2212 = BgL_iz00_2289;
									goto BgL_loopz00_2213;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzcoerce_appz00(void)
	{
		{	/* Coerce/app.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzcoerce_appz00(void)
	{
		{	/* Coerce/app.scm 15 */
			BGl_za2eqza2z00zzcoerce_appz00 = BFALSE;
			BGl_za2eqbza2z00zzcoerce_appz00 = BFALSE;
			return (BGl_makezd2procedurezd2idsz00zzcoerce_appz00 =
				((obj_t) CNST_TABLE_REF(0)), BUNSPEC);
		}

	}



/* init-app-cache! */
	BGL_EXPORTED_DEF obj_t BGl_initzd2appzd2cachez12z12zzcoerce_appz00(void)
	{
		{	/* Coerce/app.scm 33 */
			BGl_za2eqza2z00zzcoerce_appz00 =
				BGl_findzd2globalzf2modulez20zzast_envz00(
				((obj_t) CNST_TABLE_REF(1)), ((obj_t) CNST_TABLE_REF(2)));
			return (BGl_za2eqbza2z00zzcoerce_appz00 =
				BGl_findzd2globalzf2modulez20zzast_envz00(
					((obj_t) CNST_TABLE_REF(3)), ((obj_t) CNST_TABLE_REF(2))), BUNSPEC);
		}

	}



/* &init-app-cache! */
	obj_t BGl_z62initzd2appzd2cachez12z70zzcoerce_appz00(obj_t BgL_envz00_2193)
	{
		{	/* Coerce/app.scm 33 */
			return BGl_initzd2appzd2cachez12z12zzcoerce_appz00();
		}

	}



/* coerce-foreign-app! */
	BgL_nodez00_bglt
		BGl_coercezd2foreignzd2appz12z12zzcoerce_appz00(BgL_variablez00_bglt
		BgL_calleez00_7, obj_t BgL_callerz00_8, BgL_appz00_bglt BgL_nodez00_9,
		obj_t BgL_toz00_10, obj_t BgL_safez00_11)
	{
		{	/* Coerce/app.scm 57 */
			{	/* Coerce/app.scm 60 */
				BgL_valuez00_bglt BgL_ffunz00_1393;

				BgL_ffunz00_1393 =
					(((BgL_variablez00_bglt) COBJECT(BgL_calleez00_7))->BgL_valuez00);
				{	/* Coerce/app.scm 60 */
					long BgL_arityz00_1394;

					BgL_arityz00_1394 =
						(((BgL_funz00_bglt) COBJECT(
								((BgL_funz00_bglt) BgL_ffunz00_1393)))->BgL_arityz00);
					{	/* Coerce/app.scm 61 */

						if ((BgL_arityz00_1394 >= 0L))
							{	/* Coerce/app.scm 62 */
								return
									BGl_coercezd2foreignzd2fxzd2appz12zc0zzcoerce_appz00
									(BgL_ffunz00_1393, BgL_calleez00_7, BgL_callerz00_8,
									BgL_nodez00_9, BgL_toz00_10, BgL_safez00_11);
							}
						else
							{	/* Coerce/app.scm 62 */
								return
									BGl_coercezd2foreignzd2vazd2appz12zc0zzcoerce_appz00
									(BgL_ffunz00_1393, BgL_calleez00_7, BgL_callerz00_8,
									BgL_nodez00_9, BgL_toz00_10, BgL_safez00_11);
							}
					}
				}
			}
		}

	}



/* coerce-foreign-fx-app! */
	BgL_nodez00_bglt
		BGl_coercezd2foreignzd2fxzd2appz12zc0zzcoerce_appz00(BgL_valuez00_bglt
		BgL_cfunz00_12, BgL_variablez00_bglt BgL_calleez00_13,
		obj_t BgL_callerz00_14, BgL_appz00_bglt BgL_nodez00_15, obj_t BgL_toz00_16,
		obj_t BgL_safez00_17)
	{
		{	/* Coerce/app.scm 75 */
			{
				obj_t BgL_argsz00_1426;
				obj_t BgL_typesz00_1427;
				obj_t BgL_locz00_1428;

				if ((((obj_t) BgL_calleez00_13) == BGl_za2eqza2z00zzcoerce_appz00))
					{	/* Coerce/app.scm 114 */
						obj_t BgL_arg1240z00_1400;
						obj_t BgL_arg1241z00_1401;
						obj_t BgL_arg1242z00_1402;

						BgL_arg1240z00_1400 =
							(((BgL_appz00_bglt) COBJECT(BgL_nodez00_15))->BgL_argsz00);
						BgL_arg1241z00_1401 =
							(((BgL_cfunz00_bglt) COBJECT(
									((BgL_cfunz00_bglt) BgL_cfunz00_12)))->BgL_argszd2typezd2);
						BgL_arg1242z00_1402 =
							(((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt) BgL_nodez00_15)))->BgL_locz00);
						BGl_coercezd2eqze70z35zzcoerce_appz00(BgL_safez00_17,
							BgL_callerz00_14, BgL_nodez00_15, BgL_cfunz00_12,
							BgL_arg1240z00_1400, BgL_arg1241z00_1401, BgL_arg1242z00_1402);
					}
				else
					{	/* Coerce/app.scm 113 */
						if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
									(((BgL_variablez00_bglt) COBJECT(
												((BgL_variablez00_bglt)
													((BgL_globalz00_bglt) BgL_calleez00_13))))->
										BgL_idz00), ((obj_t) CNST_TABLE_REF(0)))))
							{	/* Coerce/app.scm 116 */
								obj_t BgL_arg1246z00_1405;
								obj_t BgL_arg1247z00_1406;
								obj_t BgL_arg1249z00_1407;

								BgL_arg1246z00_1405 =
									(((BgL_appz00_bglt) COBJECT(BgL_nodez00_15))->BgL_argsz00);
								BgL_arg1247z00_1406 =
									(((BgL_cfunz00_bglt) COBJECT(
											((BgL_cfunz00_bglt) BgL_cfunz00_12)))->
									BgL_argszd2typezd2);
								BgL_arg1249z00_1407 =
									(((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
												BgL_nodez00_15)))->BgL_locz00);
								BgL_argsz00_1426 = BgL_arg1246z00_1405;
								BgL_typesz00_1427 = BgL_arg1247z00_1406;
								BgL_locz00_1428 = BgL_arg1249z00_1407;
								{	/* Coerce/app.scm 85 */
									obj_t BgL_arg1271z00_1430;
									obj_t BgL_arg1272z00_1431;

									BgL_arg1271z00_1430 = CDR(((obj_t) BgL_argsz00_1426));
									BgL_arg1272z00_1431 = CDR(((obj_t) BgL_typesz00_1427));
									BGl_coercezd2argsz12ze70z27zzcoerce_appz00(BgL_safez00_17,
										BgL_callerz00_14, BgL_arg1271z00_1430, BgL_arg1272z00_1431);
								}
								{	/* Coerce/app.scm 86 */
									obj_t BgL_cloz00_1432;

									BgL_cloz00_1432 = CAR(((obj_t) BgL_argsz00_1426));
									{	/* Coerce/app.scm 87 */
										bool_t BgL_test1718z00_2341;

										{	/* Coerce/app.scm 87 */
											obj_t BgL_classz00_1748;

											BgL_classz00_1748 = BGl_varz00zzast_nodez00;
											if (BGL_OBJECTP(BgL_cloz00_1432))
												{	/* Coerce/app.scm 87 */
													BgL_objectz00_bglt BgL_arg1858z00_1750;

													BgL_arg1858z00_1750 =
														(BgL_objectz00_bglt) (BgL_cloz00_1432);
													if (BGL_CONDEXPAND_ISA_ARCH64())
														{	/* Coerce/app.scm 87 */
															long BgL_idxz00_1756;

															BgL_idxz00_1756 =
																BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_1750);
															BgL_test1718z00_2341 =
																(VECTOR_REF
																(BGl_za2inheritancesza2z00zz__objectz00,
																	(BgL_idxz00_1756 + 2L)) == BgL_classz00_1748);
														}
													else
														{	/* Coerce/app.scm 87 */
															bool_t BgL_res1680z00_1781;

															{	/* Coerce/app.scm 87 */
																obj_t BgL_oclassz00_1764;

																{	/* Coerce/app.scm 87 */
																	obj_t BgL_arg1866z00_1772;
																	long BgL_arg1867z00_1773;

																	BgL_arg1866z00_1772 =
																		(BGl_za2classesza2z00zz__objectz00);
																	{	/* Coerce/app.scm 87 */
																		long BgL_arg1869z00_1774;

																		BgL_arg1869z00_1774 =
																			BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_1750);
																		BgL_arg1867z00_1773 =
																			(BgL_arg1869z00_1774 - OBJECT_TYPE);
																	}
																	BgL_oclassz00_1764 =
																		VECTOR_REF(BgL_arg1866z00_1772,
																		BgL_arg1867z00_1773);
																}
																{	/* Coerce/app.scm 87 */
																	bool_t BgL__ortest_1115z00_1765;

																	BgL__ortest_1115z00_1765 =
																		(BgL_classz00_1748 == BgL_oclassz00_1764);
																	if (BgL__ortest_1115z00_1765)
																		{	/* Coerce/app.scm 87 */
																			BgL_res1680z00_1781 =
																				BgL__ortest_1115z00_1765;
																		}
																	else
																		{	/* Coerce/app.scm 87 */
																			long BgL_odepthz00_1766;

																			{	/* Coerce/app.scm 87 */
																				obj_t BgL_arg1855z00_1767;

																				BgL_arg1855z00_1767 =
																					(BgL_oclassz00_1764);
																				BgL_odepthz00_1766 =
																					BGL_CLASS_DEPTH(BgL_arg1855z00_1767);
																			}
																			if ((2L < BgL_odepthz00_1766))
																				{	/* Coerce/app.scm 87 */
																					obj_t BgL_arg1853z00_1769;

																					{	/* Coerce/app.scm 87 */
																						obj_t BgL_arg1854z00_1770;

																						BgL_arg1854z00_1770 =
																							(BgL_oclassz00_1764);
																						BgL_arg1853z00_1769 =
																							BGL_CLASS_ANCESTORS_REF
																							(BgL_arg1854z00_1770, 2L);
																					}
																					BgL_res1680z00_1781 =
																						(BgL_arg1853z00_1769 ==
																						BgL_classz00_1748);
																				}
																			else
																				{	/* Coerce/app.scm 87 */
																					BgL_res1680z00_1781 = ((bool_t) 0);
																				}
																		}
																}
															}
															BgL_test1718z00_2341 = BgL_res1680z00_1781;
														}
												}
											else
												{	/* Coerce/app.scm 87 */
													BgL_test1718z00_2341 = ((bool_t) 0);
												}
										}
										if (BgL_test1718z00_2341)
											{	/* Coerce/app.scm 88 */
												bool_t BgL_test1723z00_2364;

												{	/* Coerce/app.scm 88 */
													BgL_valuez00_bglt BgL_arg1285z00_1443;

													BgL_arg1285z00_1443 =
														(((BgL_variablez00_bglt) COBJECT(
																(((BgL_varz00_bglt) COBJECT(
																			((BgL_varz00_bglt) BgL_cloz00_1432)))->
																	BgL_variablez00)))->BgL_valuez00);
													{	/* Coerce/app.scm 88 */
														obj_t BgL_classz00_1784;

														BgL_classz00_1784 = BGl_sfunz00zzast_varz00;
														{	/* Coerce/app.scm 88 */
															BgL_objectz00_bglt BgL_arg1858z00_1786;

															{	/* Coerce/app.scm 88 */
																obj_t BgL_tmpz00_2368;

																BgL_tmpz00_2368 =
																	((obj_t)
																	((BgL_objectz00_bglt) BgL_arg1285z00_1443));
																BgL_arg1858z00_1786 =
																	(BgL_objectz00_bglt) (BgL_tmpz00_2368);
															}
															if (BGL_CONDEXPAND_ISA_ARCH64())
																{	/* Coerce/app.scm 88 */
																	long BgL_idxz00_1792;

																	BgL_idxz00_1792 =
																		BGL_OBJECT_INHERITANCE_NUM
																		(BgL_arg1858z00_1786);
																	BgL_test1723z00_2364 =
																		(VECTOR_REF
																		(BGl_za2inheritancesza2z00zz__objectz00,
																			(BgL_idxz00_1792 + 3L)) ==
																		BgL_classz00_1784);
																}
															else
																{	/* Coerce/app.scm 88 */
																	bool_t BgL_res1681z00_1817;

																	{	/* Coerce/app.scm 88 */
																		obj_t BgL_oclassz00_1800;

																		{	/* Coerce/app.scm 88 */
																			obj_t BgL_arg1866z00_1808;
																			long BgL_arg1867z00_1809;

																			BgL_arg1866z00_1808 =
																				(BGl_za2classesza2z00zz__objectz00);
																			{	/* Coerce/app.scm 88 */
																				long BgL_arg1869z00_1810;

																				BgL_arg1869z00_1810 =
																					BGL_OBJECT_CLASS_NUM
																					(BgL_arg1858z00_1786);
																				BgL_arg1867z00_1809 =
																					(BgL_arg1869z00_1810 - OBJECT_TYPE);
																			}
																			BgL_oclassz00_1800 =
																				VECTOR_REF(BgL_arg1866z00_1808,
																				BgL_arg1867z00_1809);
																		}
																		{	/* Coerce/app.scm 88 */
																			bool_t BgL__ortest_1115z00_1801;

																			BgL__ortest_1115z00_1801 =
																				(BgL_classz00_1784 ==
																				BgL_oclassz00_1800);
																			if (BgL__ortest_1115z00_1801)
																				{	/* Coerce/app.scm 88 */
																					BgL_res1681z00_1817 =
																						BgL__ortest_1115z00_1801;
																				}
																			else
																				{	/* Coerce/app.scm 88 */
																					long BgL_odepthz00_1802;

																					{	/* Coerce/app.scm 88 */
																						obj_t BgL_arg1855z00_1803;

																						BgL_arg1855z00_1803 =
																							(BgL_oclassz00_1800);
																						BgL_odepthz00_1802 =
																							BGL_CLASS_DEPTH
																							(BgL_arg1855z00_1803);
																					}
																					if ((3L < BgL_odepthz00_1802))
																						{	/* Coerce/app.scm 88 */
																							obj_t BgL_arg1853z00_1805;

																							{	/* Coerce/app.scm 88 */
																								obj_t BgL_arg1854z00_1806;

																								BgL_arg1854z00_1806 =
																									(BgL_oclassz00_1800);
																								BgL_arg1853z00_1805 =
																									BGL_CLASS_ANCESTORS_REF
																									(BgL_arg1854z00_1806, 3L);
																							}
																							BgL_res1681z00_1817 =
																								(BgL_arg1853z00_1805 ==
																								BgL_classz00_1784);
																						}
																					else
																						{	/* Coerce/app.scm 88 */
																							BgL_res1681z00_1817 =
																								((bool_t) 0);
																						}
																				}
																		}
																	}
																	BgL_test1723z00_2364 = BgL_res1681z00_1817;
																}
														}
													}
												}
												if (BgL_test1723z00_2364)
													{	/* Coerce/app.scm 88 */
														BFALSE;
													}
												else
													{	/* Coerce/app.scm 90 */
														obj_t BgL_arg1277z00_1437;
														obj_t BgL_arg1279z00_1438;

														BgL_arg1277z00_1437 =
															(((BgL_variablez00_bglt) COBJECT(
																	(((BgL_varz00_bglt) COBJECT(
																				((BgL_varz00_bglt) BgL_cloz00_1432)))->
																		BgL_variablez00)))->BgL_namez00);
														{	/* Coerce/app.scm 91 */
															BgL_typez00_bglt BgL_arg1282z00_1441;

															BgL_arg1282z00_1441 =
																(((BgL_variablez00_bglt) COBJECT(
																		(((BgL_varz00_bglt) COBJECT(
																					((BgL_varz00_bglt)
																						BgL_cloz00_1432)))->
																			BgL_variablez00)))->BgL_typez00);
															BgL_arg1279z00_1438 =
																BGl_shapez00zztools_shapez00(((obj_t)
																	BgL_arg1282z00_1441));
														}
														BGl_userzd2errorzf2locationz20zztools_errorz00
															(BgL_locz00_1428, BgL_arg1277z00_1437,
															BgL_arg1279z00_1438,
															BGl_string1695z00zzcoerce_appz00, BNIL);
													}
											}
										else
											{	/* Coerce/app.scm 93 */
												BgL_nodez00_bglt BgL_arg1288z00_1445;

												BgL_arg1288z00_1445 =
													BGl_coercez12z12zzcoerce_coercez00(
													((BgL_nodez00_bglt) BgL_cloz00_1432),
													BgL_callerz00_14,
													((BgL_typez00_bglt)
														BGl_za2procedureza2z00zztype_cachez00),
													CBOOL(BgL_safez00_17));
												{	/* Coerce/app.scm 93 */
													obj_t BgL_auxz00_2406;
													obj_t BgL_tmpz00_2404;

													BgL_auxz00_2406 = ((obj_t) BgL_arg1288z00_1445);
													BgL_tmpz00_2404 = ((obj_t) BgL_argsz00_1426);
													SET_CAR(BgL_tmpz00_2404, BgL_auxz00_2406);
												}
											}
									}
								}
							}
						else
							{	/* Coerce/app.scm 118 */
								obj_t BgL_arg1250z00_1408;
								obj_t BgL_arg1252z00_1409;

								BgL_arg1250z00_1408 =
									(((BgL_appz00_bglt) COBJECT(BgL_nodez00_15))->BgL_argsz00);
								BgL_arg1252z00_1409 =
									(((BgL_cfunz00_bglt) COBJECT(
											((BgL_cfunz00_bglt) BgL_cfunz00_12)))->
									BgL_argszd2typezd2);
								BBOOL(BGl_coercezd2argsz12ze70z27zzcoerce_appz00(BgL_safez00_17,
										BgL_callerz00_14, BgL_arg1250z00_1408,
										BgL_arg1252z00_1409));
							}
					}
				{	/* Coerce/app.scm 119 */
					BgL_typez00_bglt BgL_arg1254z00_1411;

					BgL_arg1254z00_1411 =
						BGl_getzd2typezd2zztype_typeofz00(
						((BgL_nodez00_bglt) BgL_nodez00_15), ((bool_t) 0));
					return
						BGl_convertz12z12zzcoerce_convertz00(
						((BgL_nodez00_bglt) BgL_nodez00_15), BgL_arg1254z00_1411,
						((BgL_typez00_bglt) BgL_toz00_16), CBOOL(BgL_safez00_17));
				}
			}
		}

	}



/* coerce-args!~0 */
	bool_t BGl_coercezd2argsz12ze70z27zzcoerce_appz00(obj_t BgL_safez00_2206,
		obj_t BgL_callerz00_2205, obj_t BgL_argsz00_1412, obj_t BgL_typesz00_1413)
	{
		{	/* Coerce/app.scm 82 */
			{
				obj_t BgL_actualsz00_1416;
				obj_t BgL_typesz00_1417;

				BgL_actualsz00_1416 = BgL_argsz00_1412;
				BgL_typesz00_1417 = BgL_typesz00_1413;
			BgL_zc3z04anonymousza31256ze3z87_1418:
				if (PAIRP(BgL_actualsz00_1416))
					{	/* Coerce/app.scm 80 */
						{	/* Coerce/app.scm 81 */
							BgL_nodez00_bglt BgL_arg1258z00_1420;

							{	/* Coerce/app.scm 81 */
								obj_t BgL_arg1260z00_1421;
								obj_t BgL_arg1262z00_1422;

								BgL_arg1260z00_1421 = CAR(BgL_actualsz00_1416);
								BgL_arg1262z00_1422 = CAR(((obj_t) BgL_typesz00_1417));
								BgL_arg1258z00_1420 =
									BGl_coercez12z12zzcoerce_coercez00(
									((BgL_nodez00_bglt) BgL_arg1260z00_1421), BgL_callerz00_2205,
									((BgL_typez00_bglt) BgL_arg1262z00_1422),
									CBOOL(BgL_safez00_2206));
							}
							{	/* Coerce/app.scm 81 */
								obj_t BgL_tmpz00_2429;

								BgL_tmpz00_2429 = ((obj_t) BgL_arg1258z00_1420);
								SET_CAR(BgL_actualsz00_1416, BgL_tmpz00_2429);
							}
						}
						{	/* Coerce/app.scm 82 */
							obj_t BgL_arg1266z00_1423;
							obj_t BgL_arg1267z00_1424;

							BgL_arg1266z00_1423 = CDR(BgL_actualsz00_1416);
							BgL_arg1267z00_1424 = CDR(((obj_t) BgL_typesz00_1417));
							{
								obj_t BgL_typesz00_2436;
								obj_t BgL_actualsz00_2435;

								BgL_actualsz00_2435 = BgL_arg1266z00_1423;
								BgL_typesz00_2436 = BgL_arg1267z00_1424;
								BgL_typesz00_1417 = BgL_typesz00_2436;
								BgL_actualsz00_1416 = BgL_actualsz00_2435;
								goto BgL_zc3z04anonymousza31256ze3z87_1418;
							}
						}
					}
				else
					{	/* Coerce/app.scm 80 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* coerce-eq~0 */
	obj_t BGl_coercezd2eqze70z35zzcoerce_appz00(obj_t BgL_safez00_2210,
		obj_t BgL_callerz00_2209, BgL_appz00_bglt BgL_nodez00_2208,
		BgL_valuez00_bglt BgL_cfunz00_2207, obj_t BgL_argsz00_1446,
		obj_t BgL_typesz00_1447, obj_t BgL_locz00_1448)
	{
		{	/* Coerce/app.scm 106 */
			{	/* Coerce/app.scm 97 */
				bool_t BgL_test1728z00_2437;

				if (CBOOL(BGl_za2eqbza2z00zzcoerce_appz00))
					{	/* Coerce/app.scm 98 */
						bool_t BgL_test1731z00_2440;

						{	/* Coerce/app.scm 98 */
							obj_t BgL_arg1313z00_1469;

							{	/* Coerce/app.scm 98 */
								obj_t BgL_arg1314z00_1470;

								BgL_arg1314z00_1470 = CAR(((obj_t) BgL_argsz00_1446));
								BgL_arg1313z00_1469 =
									((obj_t)
									BGl_getzd2typezd2zztype_typeofz00(
										((BgL_nodez00_bglt) BgL_arg1314z00_1470), ((bool_t) 0)));
							}
							BgL_test1731z00_2440 =
								(BgL_arg1313z00_1469 == BGl_za2boolza2z00zztype_cachez00);
						}
						if (BgL_test1731z00_2440)
							{	/* Coerce/app.scm 99 */
								obj_t BgL_arg1310z00_1467;

								{	/* Coerce/app.scm 99 */
									obj_t BgL_arg1311z00_1468;

									{	/* Coerce/app.scm 99 */
										obj_t BgL_pairz00_1827;

										BgL_pairz00_1827 = CDR(((obj_t) BgL_argsz00_1446));
										BgL_arg1311z00_1468 = CAR(BgL_pairz00_1827);
									}
									BgL_arg1310z00_1467 =
										((obj_t)
										BGl_getzd2typezd2zztype_typeofz00(
											((BgL_nodez00_bglt) BgL_arg1311z00_1468), ((bool_t) 0)));
								}
								BgL_test1728z00_2437 =
									(BgL_arg1310z00_1467 == BGl_za2boolza2z00zztype_cachez00);
							}
						else
							{	/* Coerce/app.scm 98 */
								BgL_test1728z00_2437 = ((bool_t) 0);
							}
					}
				else
					{	/* Coerce/app.scm 97 */
						BgL_test1728z00_2437 = ((bool_t) 0);
					}
				if (BgL_test1728z00_2437)
					{	/* Coerce/app.scm 97 */
						{	/* Coerce/app.scm 102 */
							BgL_varz00_bglt BgL_arg1299z00_1459;

							BgL_arg1299z00_1459 =
								(((BgL_appz00_bglt) COBJECT(BgL_nodez00_2208))->BgL_funz00);
							{	/* Coerce/app.scm 102 */
								BgL_variablez00_bglt BgL_vz00_1829;

								BgL_vz00_1829 =
									((BgL_variablez00_bglt) BGl_za2eqbza2z00zzcoerce_appz00);
								((((BgL_varz00_bglt) COBJECT(BgL_arg1299z00_1459))->
										BgL_variablez00) =
									((BgL_variablez00_bglt) BgL_vz00_1829), BUNSPEC);
							}
						}
						{	/* Coerce/app.scm 103 */
							BgL_nodez00_bglt BgL_arg1301z00_1460;

							{	/* Coerce/app.scm 103 */
								obj_t BgL_arg1302z00_1461;

								BgL_arg1302z00_1461 = CAR(((obj_t) BgL_argsz00_1446));
								BgL_arg1301z00_1460 =
									BGl_coercez12z12zzcoerce_coercez00(
									((BgL_nodez00_bglt) BgL_arg1302z00_1461), BgL_callerz00_2209,
									((BgL_typez00_bglt) BGl_za2boolza2z00zztype_cachez00),
									CBOOL(BgL_safez00_2210));
							}
							{	/* Coerce/app.scm 103 */
								obj_t BgL_auxz00_2465;
								obj_t BgL_tmpz00_2463;

								BgL_auxz00_2465 = ((obj_t) BgL_arg1301z00_1460);
								BgL_tmpz00_2463 = ((obj_t) BgL_argsz00_1446);
								SET_CAR(BgL_tmpz00_2463, BgL_auxz00_2465);
							}
						}
						{	/* Coerce/app.scm 104 */
							obj_t BgL_arg1303z00_1462;
							BgL_nodez00_bglt BgL_arg1304z00_1463;

							BgL_arg1303z00_1462 = CDR(((obj_t) BgL_argsz00_1446));
							{	/* Coerce/app.scm 104 */
								obj_t BgL_arg1305z00_1464;

								{	/* Coerce/app.scm 104 */
									obj_t BgL_pairz00_1836;

									BgL_pairz00_1836 = CDR(((obj_t) BgL_argsz00_1446));
									BgL_arg1305z00_1464 = CAR(BgL_pairz00_1836);
								}
								BgL_arg1304z00_1463 =
									BGl_coercez12z12zzcoerce_coercez00(
									((BgL_nodez00_bglt) BgL_arg1305z00_1464), BgL_callerz00_2209,
									((BgL_typez00_bglt) BGl_za2boolza2z00zztype_cachez00),
									CBOOL(BgL_safez00_2210));
							}
							{	/* Coerce/app.scm 104 */
								obj_t BgL_auxz00_2479;
								obj_t BgL_tmpz00_2477;

								BgL_auxz00_2479 = ((obj_t) BgL_arg1304z00_1463);
								BgL_tmpz00_2477 = ((obj_t) BgL_arg1303z00_1462);
								return SET_CAR(BgL_tmpz00_2477, BgL_auxz00_2479);
							}
						}
					}
				else
					{	/* Coerce/app.scm 106 */
						obj_t BgL_arg1309z00_1465;

						BgL_arg1309z00_1465 =
							(((BgL_cfunz00_bglt) COBJECT(
									((BgL_cfunz00_bglt) BgL_cfunz00_2207)))->BgL_argszd2typezd2);
						return
							BBOOL(BGl_coercezd2argsz12ze70z27zzcoerce_appz00(BgL_safez00_2210,
								BgL_callerz00_2209, BgL_argsz00_1446, BgL_arg1309z00_1465));
					}
			}
		}

	}



/* coerce-foreign-va-app! */
	BgL_nodez00_bglt
		BGl_coercezd2foreignzd2vazd2appz12zc0zzcoerce_appz00(BgL_valuez00_bglt
		BgL_cfunz00_18, BgL_variablez00_bglt BgL_calleez00_19,
		obj_t BgL_callerz00_20, BgL_appz00_bglt BgL_nodez00_21, obj_t BgL_toz00_22,
		obj_t BgL_safez00_23)
	{
		{	/* Coerce/app.scm 124 */
			{	/* Coerce/app.scm 125 */
				obj_t BgL_g1108z00_1474;
				obj_t BgL_g1109z00_1475;
				long BgL_g1110z00_1476;

				BgL_g1108z00_1474 =
					(((BgL_appz00_bglt) COBJECT(BgL_nodez00_21))->BgL_argsz00);
				BgL_g1109z00_1475 =
					(((BgL_cfunz00_bglt) COBJECT(
							((BgL_cfunz00_bglt) BgL_cfunz00_18)))->BgL_argszd2typezd2);
				BgL_g1110z00_1476 =
					(((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt) BgL_cfunz00_18)))->BgL_arityz00);
				{
					obj_t BgL_actualsz00_1478;
					obj_t BgL_typesz00_1479;
					long BgL_counterz00_1480;

					BgL_actualsz00_1478 = BgL_g1108z00_1474;
					BgL_typesz00_1479 = BgL_g1109z00_1475;
					BgL_counterz00_1480 = BgL_g1110z00_1476;
				BgL_zc3z04anonymousza31315ze3z87_1481:
					if ((BgL_counterz00_1480 == (-1L)))
						{
							obj_t BgL_actualsz00_1484;

							BgL_actualsz00_1484 = BgL_actualsz00_1478;
						BgL_zc3z04anonymousza31317ze3z87_1485:
							if (NULLP(BgL_actualsz00_1484))
								{	/* Coerce/app.scm 132 */
									BgL_typez00_bglt BgL_arg1319z00_1487;

									BgL_arg1319z00_1487 =
										BGl_getzd2typezd2zztype_typeofz00(
										((BgL_nodez00_bglt) BgL_nodez00_21), ((bool_t) 0));
									return
										BGl_convertz12z12zzcoerce_convertz00(
										((BgL_nodez00_bglt) BgL_nodez00_21), BgL_arg1319z00_1487,
										((BgL_typez00_bglt) BgL_toz00_22), CBOOL(BgL_safez00_23));
								}
							else
								{	/* Coerce/app.scm 131 */
									{	/* Coerce/app.scm 134 */
										BgL_nodez00_bglt BgL_arg1320z00_1488;

										{	/* Coerce/app.scm 134 */
											obj_t BgL_arg1321z00_1489;
											obj_t BgL_arg1322z00_1490;

											BgL_arg1321z00_1489 = CAR(((obj_t) BgL_actualsz00_1484));
											BgL_arg1322z00_1490 = CAR(((obj_t) BgL_typesz00_1479));
											BgL_arg1320z00_1488 =
												BGl_coercez12z12zzcoerce_coercez00(
												((BgL_nodez00_bglt) BgL_arg1321z00_1489),
												BgL_callerz00_20,
												((BgL_typez00_bglt) BgL_arg1322z00_1490),
												CBOOL(BgL_safez00_23));
										}
										{	/* Coerce/app.scm 134 */
											obj_t BgL_auxz00_2511;
											obj_t BgL_tmpz00_2509;

											BgL_auxz00_2511 = ((obj_t) BgL_arg1320z00_1488);
											BgL_tmpz00_2509 = ((obj_t) BgL_actualsz00_1484);
											SET_CAR(BgL_tmpz00_2509, BgL_auxz00_2511);
										}
									}
									{	/* Coerce/app.scm 138 */
										obj_t BgL_arg1326z00_1491;

										BgL_arg1326z00_1491 = CDR(((obj_t) BgL_actualsz00_1484));
										{
											obj_t BgL_actualsz00_2516;

											BgL_actualsz00_2516 = BgL_arg1326z00_1491;
											BgL_actualsz00_1484 = BgL_actualsz00_2516;
											goto BgL_zc3z04anonymousza31317ze3z87_1485;
										}
									}
								}
						}
					else
						{	/* Coerce/app.scm 128 */
							{	/* Coerce/app.scm 140 */
								BgL_nodez00_bglt BgL_arg1327z00_1493;

								{	/* Coerce/app.scm 140 */
									obj_t BgL_arg1331z00_1494;
									obj_t BgL_arg1332z00_1495;

									BgL_arg1331z00_1494 = CAR(((obj_t) BgL_actualsz00_1478));
									BgL_arg1332z00_1495 = CAR(((obj_t) BgL_typesz00_1479));
									BgL_arg1327z00_1493 =
										BGl_coercez12z12zzcoerce_coercez00(
										((BgL_nodez00_bglt) BgL_arg1331z00_1494), BgL_callerz00_20,
										((BgL_typez00_bglt) BgL_arg1332z00_1495),
										CBOOL(BgL_safez00_23));
								}
								{	/* Coerce/app.scm 140 */
									obj_t BgL_auxz00_2527;
									obj_t BgL_tmpz00_2525;

									BgL_auxz00_2527 = ((obj_t) BgL_arg1327z00_1493);
									BgL_tmpz00_2525 = ((obj_t) BgL_actualsz00_1478);
									SET_CAR(BgL_tmpz00_2525, BgL_auxz00_2527);
								}
							}
							{	/* Coerce/app.scm 144 */
								obj_t BgL_arg1333z00_1496;
								obj_t BgL_arg1336z00_1497;
								long BgL_arg1338z00_1498;

								BgL_arg1333z00_1496 = CDR(((obj_t) BgL_actualsz00_1478));
								BgL_arg1336z00_1497 = CDR(((obj_t) BgL_typesz00_1479));
								BgL_arg1338z00_1498 = (BgL_counterz00_1480 + 1L);
								{
									long BgL_counterz00_2537;
									obj_t BgL_typesz00_2536;
									obj_t BgL_actualsz00_2535;

									BgL_actualsz00_2535 = BgL_arg1333z00_1496;
									BgL_typesz00_2536 = BgL_arg1336z00_1497;
									BgL_counterz00_2537 = BgL_arg1338z00_1498;
									BgL_counterz00_1480 = BgL_counterz00_2537;
									BgL_typesz00_1479 = BgL_typesz00_2536;
									BgL_actualsz00_1478 = BgL_actualsz00_2535;
									goto BgL_zc3z04anonymousza31315ze3z87_1481;
								}
							}
						}
				}
			}
		}

	}



/* coerce-bigloo-app! */
	BgL_nodez00_bglt
		BGl_coercezd2bigloozd2appz12z12zzcoerce_appz00(BgL_variablez00_bglt
		BgL_calleez00_24, obj_t BgL_callerz00_25, BgL_appz00_bglt BgL_nodez00_26,
		obj_t BgL_toz00_27, obj_t BgL_safez00_28)
	{
		{	/* Coerce/app.scm 149 */
			{	/* Coerce/app.scm 153 */
				bool_t BgL_test1734z00_2538;

				{	/* Coerce/app.scm 153 */
					bool_t BgL_test1735z00_2539;

					{	/* Coerce/app.scm 153 */
						obj_t BgL_classz00_1857;

						BgL_classz00_1857 = BGl_globalz00zzast_varz00;
						{	/* Coerce/app.scm 153 */
							BgL_objectz00_bglt BgL_arg1858z00_1859;

							{	/* Coerce/app.scm 153 */
								obj_t BgL_tmpz00_2540;

								BgL_tmpz00_2540 = ((obj_t) BgL_calleez00_24);
								BgL_arg1858z00_1859 = (BgL_objectz00_bglt) (BgL_tmpz00_2540);
							}
							if (BGL_CONDEXPAND_ISA_ARCH64())
								{	/* Coerce/app.scm 153 */
									long BgL_idxz00_1865;

									BgL_idxz00_1865 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_1859);
									BgL_test1735z00_2539 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_1865 + 2L)) == BgL_classz00_1857);
								}
							else
								{	/* Coerce/app.scm 153 */
									bool_t BgL_res1682z00_1890;

									{	/* Coerce/app.scm 153 */
										obj_t BgL_oclassz00_1873;

										{	/* Coerce/app.scm 153 */
											obj_t BgL_arg1866z00_1881;
											long BgL_arg1867z00_1882;

											BgL_arg1866z00_1881 = (BGl_za2classesza2z00zz__objectz00);
											{	/* Coerce/app.scm 153 */
												long BgL_arg1869z00_1883;

												BgL_arg1869z00_1883 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_1859);
												BgL_arg1867z00_1882 =
													(BgL_arg1869z00_1883 - OBJECT_TYPE);
											}
											BgL_oclassz00_1873 =
												VECTOR_REF(BgL_arg1866z00_1881, BgL_arg1867z00_1882);
										}
										{	/* Coerce/app.scm 153 */
											bool_t BgL__ortest_1115z00_1874;

											BgL__ortest_1115z00_1874 =
												(BgL_classz00_1857 == BgL_oclassz00_1873);
											if (BgL__ortest_1115z00_1874)
												{	/* Coerce/app.scm 153 */
													BgL_res1682z00_1890 = BgL__ortest_1115z00_1874;
												}
											else
												{	/* Coerce/app.scm 153 */
													long BgL_odepthz00_1875;

													{	/* Coerce/app.scm 153 */
														obj_t BgL_arg1855z00_1876;

														BgL_arg1855z00_1876 = (BgL_oclassz00_1873);
														BgL_odepthz00_1875 =
															BGL_CLASS_DEPTH(BgL_arg1855z00_1876);
													}
													if ((2L < BgL_odepthz00_1875))
														{	/* Coerce/app.scm 153 */
															obj_t BgL_arg1853z00_1878;

															{	/* Coerce/app.scm 153 */
																obj_t BgL_arg1854z00_1879;

																BgL_arg1854z00_1879 = (BgL_oclassz00_1873);
																BgL_arg1853z00_1878 =
																	BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_1879,
																	2L);
															}
															BgL_res1682z00_1890 =
																(BgL_arg1853z00_1878 == BgL_classz00_1857);
														}
													else
														{	/* Coerce/app.scm 153 */
															BgL_res1682z00_1890 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_test1735z00_2539 = BgL_res1682z00_1890;
								}
						}
					}
					if (BgL_test1735z00_2539)
						{	/* Coerce/app.scm 153 */
							if (
								((((BgL_globalz00_bglt) COBJECT(
												((BgL_globalz00_bglt) BgL_calleez00_24)))->
										BgL_importz00) == ((obj_t) CNST_TABLE_REF(4))))
								{	/* Coerce/app.scm 155 */
									bool_t BgL_test1740z00_2568;

									{	/* Coerce/app.scm 155 */
										obj_t BgL_tmpz00_2569;

										BgL_tmpz00_2569 =
											(((BgL_sfunz00_bglt) COBJECT(
													((BgL_sfunz00_bglt)
														(((BgL_variablez00_bglt)
																COBJECT(BgL_calleez00_24))->BgL_valuez00))))->
											BgL_argsz00);
										BgL_test1740z00_2568 = PAIRP(BgL_tmpz00_2569);
									}
									if (BgL_test1740z00_2568)
										{	/* Coerce/app.scm 156 */
											obj_t BgL_arg1379z00_1516;

											{	/* Coerce/app.scm 156 */
												obj_t BgL_pairz00_1896;

												BgL_pairz00_1896 =
													(((BgL_sfunz00_bglt) COBJECT(
															((BgL_sfunz00_bglt)
																(((BgL_variablez00_bglt)
																		COBJECT(BgL_calleez00_24))->
																	BgL_valuez00))))->BgL_argsz00);
												BgL_arg1379z00_1516 = CAR(BgL_pairz00_1896);
											}
											{	/* Coerce/app.scm 156 */
												obj_t BgL_classz00_1897;

												BgL_classz00_1897 = BGl_typez00zztype_typez00;
												if (BGL_OBJECTP(BgL_arg1379z00_1516))
													{	/* Coerce/app.scm 156 */
														BgL_objectz00_bglt BgL_arg1858z00_1899;

														BgL_arg1858z00_1899 =
															(BgL_objectz00_bglt) (BgL_arg1379z00_1516);
														if (BGL_CONDEXPAND_ISA_ARCH64())
															{	/* Coerce/app.scm 156 */
																long BgL_idxz00_1905;

																BgL_idxz00_1905 =
																	BGL_OBJECT_INHERITANCE_NUM
																	(BgL_arg1858z00_1899);
																BgL_test1734z00_2538 =
																	(VECTOR_REF
																	(BGl_za2inheritancesza2z00zz__objectz00,
																		(BgL_idxz00_1905 + 1L)) ==
																	BgL_classz00_1897);
															}
														else
															{	/* Coerce/app.scm 156 */
																bool_t BgL_res1683z00_1930;

																{	/* Coerce/app.scm 156 */
																	obj_t BgL_oclassz00_1913;

																	{	/* Coerce/app.scm 156 */
																		obj_t BgL_arg1866z00_1921;
																		long BgL_arg1867z00_1922;

																		BgL_arg1866z00_1921 =
																			(BGl_za2classesza2z00zz__objectz00);
																		{	/* Coerce/app.scm 156 */
																			long BgL_arg1869z00_1923;

																			BgL_arg1869z00_1923 =
																				BGL_OBJECT_CLASS_NUM
																				(BgL_arg1858z00_1899);
																			BgL_arg1867z00_1922 =
																				(BgL_arg1869z00_1923 - OBJECT_TYPE);
																		}
																		BgL_oclassz00_1913 =
																			VECTOR_REF(BgL_arg1866z00_1921,
																			BgL_arg1867z00_1922);
																	}
																	{	/* Coerce/app.scm 156 */
																		bool_t BgL__ortest_1115z00_1914;

																		BgL__ortest_1115z00_1914 =
																			(BgL_classz00_1897 == BgL_oclassz00_1913);
																		if (BgL__ortest_1115z00_1914)
																			{	/* Coerce/app.scm 156 */
																				BgL_res1683z00_1930 =
																					BgL__ortest_1115z00_1914;
																			}
																		else
																			{	/* Coerce/app.scm 156 */
																				long BgL_odepthz00_1915;

																				{	/* Coerce/app.scm 156 */
																					obj_t BgL_arg1855z00_1916;

																					BgL_arg1855z00_1916 =
																						(BgL_oclassz00_1913);
																					BgL_odepthz00_1915 =
																						BGL_CLASS_DEPTH
																						(BgL_arg1855z00_1916);
																				}
																				if ((1L < BgL_odepthz00_1915))
																					{	/* Coerce/app.scm 156 */
																						obj_t BgL_arg1853z00_1918;

																						{	/* Coerce/app.scm 156 */
																							obj_t BgL_arg1854z00_1919;

																							BgL_arg1854z00_1919 =
																								(BgL_oclassz00_1913);
																							BgL_arg1853z00_1918 =
																								BGL_CLASS_ANCESTORS_REF
																								(BgL_arg1854z00_1919, 1L);
																						}
																						BgL_res1683z00_1930 =
																							(BgL_arg1853z00_1918 ==
																							BgL_classz00_1897);
																					}
																				else
																					{	/* Coerce/app.scm 156 */
																						BgL_res1683z00_1930 = ((bool_t) 0);
																					}
																			}
																	}
																}
																BgL_test1734z00_2538 = BgL_res1683z00_1930;
															}
													}
												else
													{	/* Coerce/app.scm 156 */
														BgL_test1734z00_2538 = ((bool_t) 0);
													}
											}
										}
									else
										{	/* Coerce/app.scm 155 */
											BgL_test1734z00_2538 = ((bool_t) 0);
										}
								}
							else
								{	/* Coerce/app.scm 154 */
									BgL_test1734z00_2538 = ((bool_t) 0);
								}
						}
					else
						{	/* Coerce/app.scm 153 */
							BgL_test1734z00_2538 = ((bool_t) 0);
						}
				}
				if (BgL_test1734z00_2538)
					{	/* Coerce/app.scm 153 */
						BGL_TAIL return
							BGl_coercezd2bigloozd2externzd2appz12zc0zzcoerce_appz00
							(BgL_calleez00_24, BgL_callerz00_25, BgL_nodez00_26, BgL_toz00_27,
							BgL_safez00_28);
					}
				else
					{	/* Coerce/app.scm 153 */
						BGL_TAIL return
							BGl_coercezd2bigloozd2internzd2appz12zc0zzcoerce_appz00
							(BgL_calleez00_24, BgL_callerz00_25, BgL_nodez00_26, BgL_toz00_27,
							BgL_safez00_28);
					}
			}
		}

	}



/* coerce-bigloo-intern-app! */
	BgL_nodez00_bglt
		BGl_coercezd2bigloozd2internzd2appz12zc0zzcoerce_appz00(BgL_variablez00_bglt
		BgL_calleez00_29, obj_t BgL_callerz00_30, BgL_appz00_bglt BgL_nodez00_31,
		obj_t BgL_toz00_32, obj_t BgL_safez00_33)
	{
		{	/* Coerce/app.scm 163 */
			{	/* Coerce/app.scm 167 */
				BgL_valuez00_bglt BgL_funz00_1522;

				BgL_funz00_1522 =
					(((BgL_variablez00_bglt) COBJECT(BgL_calleez00_29))->BgL_valuez00);
				{	/* Coerce/app.scm 168 */
					obj_t BgL_shz00_1524;

					BgL_shz00_1524 =
						BGl_shapez00zztools_shapez00(((obj_t) BgL_calleez00_29));
					{	/* Coerce/app.scm 169 */
						BgL_typez00_bglt BgL_ntypez00_1525;

						BgL_ntypez00_1525 =
							BGl_getzd2typezd2zztype_typeofz00(
							((BgL_nodez00_bglt) BgL_nodez00_31), ((bool_t) 0));
						{	/* Coerce/app.scm 170 */

							{	/* Coerce/app.scm 171 */
								obj_t BgL_g1111z00_1526;
								obj_t BgL_g1112z00_1527;

								BgL_g1111z00_1526 =
									(((BgL_appz00_bglt) COBJECT(BgL_nodez00_31))->BgL_argsz00);
								BgL_g1112z00_1527 =
									(((BgL_sfunz00_bglt) COBJECT(
											((BgL_sfunz00_bglt) BgL_funz00_1522)))->BgL_argsz00);
								{
									obj_t BgL_actualsz00_1529;
									obj_t BgL_formalsz00_1530;

									BgL_actualsz00_1529 = BgL_g1111z00_1526;
									BgL_formalsz00_1530 = BgL_g1112z00_1527;
								BgL_zc3z04anonymousza31387ze3z87_1531:
									if (
										(bgl_list_length(BgL_actualsz00_1529) ==
											bgl_list_length(BgL_formalsz00_1530)))
										{	/* Coerce/app.scm 173 */
											((bool_t) 0);
										}
									else
										{	/* Coerce/app.scm 173 */
											{	/* Coerce/app.scm 175 */
												obj_t BgL_arg1392z00_1535;

												BgL_arg1392z00_1535 =
													BGl_shapez00zztools_shapez00(
													((obj_t) BgL_nodez00_31));
												BGl_internalzd2errorzd2zztools_errorz00
													(BGl_string1696z00zzcoerce_appz00,
													BGl_string1697z00zzcoerce_appz00,
													BgL_arg1392z00_1535);
											}
											{	/* Coerce/app.scm 176 */
												obj_t BgL_list1393z00_1536;

												BgL_list1393z00_1536 =
													MAKE_YOUNG_PAIR(BINT((-1L)), BNIL);
												BGl_exitz00zz__errorz00(BgL_list1393z00_1536);
											}
										}
									if (NULLP(BgL_actualsz00_1529))
										{	/* Coerce/app.scm 179 */
											bool_t BgL_test1749z00_2622;

											if ((BgL_callerz00_30 == ((obj_t) BgL_calleez00_29)))
												{	/* Coerce/app.scm 179 */
													if (CBOOL
														(BGl_za2unsafezd2typeza2zd2zzengine_paramz00))
														{	/* Coerce/app.scm 179 */
															BgL_test1749z00_2622 = ((bool_t) 0);
														}
													else
														{	/* Coerce/app.scm 179 */
															BgL_test1749z00_2622 = ((bool_t) 1);
														}
												}
											else
												{	/* Coerce/app.scm 179 */
													BgL_test1749z00_2622 = ((bool_t) 0);
												}
											if (BgL_test1749z00_2622)
												{	/* Coerce/app.scm 179 */
													return
														BGl_convertz12z12zzcoerce_convertz00(
														((BgL_nodez00_bglt) BgL_nodez00_31),
														BgL_ntypez00_1525,
														((BgL_typez00_bglt) BgL_toz00_32), ((bool_t) 0));
												}
											else
												{	/* Coerce/app.scm 179 */
													return
														BGl_convertz12z12zzcoerce_convertz00(
														((BgL_nodez00_bglt) BgL_nodez00_31),
														BgL_ntypez00_1525,
														((BgL_typez00_bglt) BgL_toz00_32),
														CBOOL(BgL_safez00_33));
												}
										}
									else
										{	/* Coerce/app.scm 186 */
											BgL_typez00_bglt BgL_typez00_1541;

											BgL_typez00_1541 =
												(((BgL_variablez00_bglt) COBJECT(
														((BgL_variablez00_bglt)
															((BgL_localz00_bglt)
																CAR(
																	((obj_t) BgL_formalsz00_1530))))))->
												BgL_typez00);
											{	/* Coerce/app.scm 187 */
												BgL_nodez00_bglt BgL_arg1406z00_1542;

												{	/* Coerce/app.scm 187 */
													obj_t BgL_arg1414z00_1543;

													BgL_arg1414z00_1543 =
														CAR(((obj_t) BgL_actualsz00_1529));
													BgL_arg1406z00_1542 =
														BGl_coercez12z12zzcoerce_coercez00(
														((BgL_nodez00_bglt) BgL_arg1414z00_1543),
														BgL_callerz00_30, BgL_typez00_1541,
														CBOOL(BgL_safez00_33));
												}
												{	/* Coerce/app.scm 187 */
													obj_t BgL_auxz00_2647;
													obj_t BgL_tmpz00_2645;

													BgL_auxz00_2647 = ((obj_t) BgL_arg1406z00_1542);
													BgL_tmpz00_2645 = ((obj_t) BgL_actualsz00_1529);
													SET_CAR(BgL_tmpz00_2645, BgL_auxz00_2647);
												}
											}
											{	/* Coerce/app.scm 188 */
												obj_t BgL_arg1415z00_1544;
												obj_t BgL_arg1416z00_1545;

												BgL_arg1415z00_1544 =
													CDR(((obj_t) BgL_actualsz00_1529));
												BgL_arg1416z00_1545 =
													CDR(((obj_t) BgL_formalsz00_1530));
												{
													obj_t BgL_formalsz00_2655;
													obj_t BgL_actualsz00_2654;

													BgL_actualsz00_2654 = BgL_arg1415z00_1544;
													BgL_formalsz00_2655 = BgL_arg1416z00_1545;
													BgL_formalsz00_1530 = BgL_formalsz00_2655;
													BgL_actualsz00_1529 = BgL_actualsz00_2654;
													goto BgL_zc3z04anonymousza31387ze3z87_1531;
												}
											}
										}
								}
							}
						}
					}
				}
			}
		}

	}



/* coerce-bigloo-extern-app! */
	BgL_nodez00_bglt
		BGl_coercezd2bigloozd2externzd2appz12zc0zzcoerce_appz00(BgL_variablez00_bglt
		BgL_calleez00_34, obj_t BgL_callerz00_35, BgL_appz00_bglt BgL_nodez00_36,
		obj_t BgL_toz00_37, obj_t BgL_safez00_38)
	{
		{	/* Coerce/app.scm 193 */
			{	/* Coerce/app.scm 194 */
				BgL_valuez00_bglt BgL_funz00_1548;

				BgL_funz00_1548 =
					(((BgL_variablez00_bglt) COBJECT(BgL_calleez00_34))->BgL_valuez00);
				{	/* Coerce/app.scm 195 */
					BgL_typez00_bglt BgL_ntypez00_1550;

					BgL_ntypez00_1550 =
						BGl_getzd2typezd2zztype_typeofz00(
						((BgL_nodez00_bglt) BgL_nodez00_36), ((bool_t) 0));
					{	/* Coerce/app.scm 196 */

						{	/* Coerce/app.scm 197 */
							obj_t BgL_g1113z00_1551;
							obj_t BgL_g1114z00_1552;

							BgL_g1113z00_1551 =
								(((BgL_appz00_bglt) COBJECT(BgL_nodez00_36))->BgL_argsz00);
							BgL_g1114z00_1552 =
								(((BgL_sfunz00_bglt) COBJECT(
										((BgL_sfunz00_bglt) BgL_funz00_1548)))->BgL_argsz00);
							{
								obj_t BgL_actualsz00_1554;
								obj_t BgL_formalsz00_1555;

								BgL_actualsz00_1554 = BgL_g1113z00_1551;
								BgL_formalsz00_1555 = BgL_g1114z00_1552;
							BgL_zc3z04anonymousza31418ze3z87_1556:
								if (NULLP(BgL_actualsz00_1554))
									{	/* Coerce/app.scm 199 */
										return
											BGl_convertz12z12zzcoerce_convertz00(
											((BgL_nodez00_bglt) BgL_nodez00_36), BgL_ntypez00_1550,
											((BgL_typez00_bglt) BgL_toz00_37), CBOOL(BgL_safez00_38));
									}
								else
									{	/* Coerce/app.scm 201 */
										obj_t BgL_typez00_1558;

										BgL_typez00_1558 = CAR(((obj_t) BgL_formalsz00_1555));
										{	/* Coerce/app.scm 202 */
											BgL_nodez00_bglt BgL_arg1446z00_1559;

											{	/* Coerce/app.scm 202 */
												obj_t BgL_arg1457z00_1560;

												BgL_arg1457z00_1560 =
													CAR(((obj_t) BgL_actualsz00_1554));
												BgL_arg1446z00_1559 =
													BGl_coercez12z12zzcoerce_coercez00(
													((BgL_nodez00_bglt) BgL_arg1457z00_1560),
													BgL_callerz00_35,
													((BgL_typez00_bglt) BgL_typez00_1558),
													CBOOL(BgL_safez00_38));
											}
											{	/* Coerce/app.scm 202 */
												obj_t BgL_auxz00_2678;
												obj_t BgL_tmpz00_2676;

												BgL_auxz00_2678 = ((obj_t) BgL_arg1446z00_1559);
												BgL_tmpz00_2676 = ((obj_t) BgL_actualsz00_1554);
												SET_CAR(BgL_tmpz00_2676, BgL_auxz00_2678);
											}
										}
										{	/* Coerce/app.scm 203 */
											obj_t BgL_arg1471z00_1561;
											obj_t BgL_arg1480z00_1562;

											BgL_arg1471z00_1561 = CDR(((obj_t) BgL_actualsz00_1554));
											BgL_arg1480z00_1562 = CDR(((obj_t) BgL_formalsz00_1555));
											{
												obj_t BgL_formalsz00_2686;
												obj_t BgL_actualsz00_2685;

												BgL_actualsz00_2685 = BgL_arg1471z00_1561;
												BgL_formalsz00_2686 = BgL_arg1480z00_1562;
												BgL_formalsz00_1555 = BgL_formalsz00_2686;
												BgL_actualsz00_1554 = BgL_actualsz00_2685;
												goto BgL_zc3z04anonymousza31418ze3z87_1556;
											}
										}
									}
							}
						}
					}
				}
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzcoerce_appz00(void)
	{
		{	/* Coerce/app.scm 15 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzcoerce_appz00(void)
	{
		{	/* Coerce/app.scm 15 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzcoerce_appz00(void)
	{
		{	/* Coerce/app.scm 15 */
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_coercez12zd2envzc0zzcoerce_coercez00, BGl_appz00zzast_nodez00,
				BGl_proc1698z00zzcoerce_appz00, BGl_string1699z00zzcoerce_appz00);
		}

	}



/* &coerce!-app1232 */
	BgL_nodez00_bglt BGl_z62coercez12zd2app1232za2zzcoerce_appz00(obj_t
		BgL_envz00_2195, obj_t BgL_nodez00_2196, obj_t BgL_callerz00_2197,
		obj_t BgL_toz00_2198, obj_t BgL_safez00_2199)
	{
		{	/* Coerce/app.scm 46 */
			{	/* Tools/trace.sch 53 */
				BgL_variablez00_bglt BgL_funz00_2223;

				BgL_funz00_2223 =
					(((BgL_varz00_bglt) COBJECT(
							(((BgL_appz00_bglt) COBJECT(
										((BgL_appz00_bglt) BgL_nodez00_2196)))->BgL_funz00)))->
					BgL_variablez00);
				{	/* Tools/trace.sch 53 */
					bool_t BgL_test1753z00_2691;

					{	/* Tools/trace.sch 53 */
						bool_t BgL_test1754z00_2692;

						{	/* Tools/trace.sch 53 */
							obj_t BgL_classz00_2224;

							BgL_classz00_2224 = BGl_globalz00zzast_varz00;
							{	/* Tools/trace.sch 53 */
								BgL_objectz00_bglt BgL_arg1858z00_2225;

								{	/* Tools/trace.sch 53 */
									obj_t BgL_tmpz00_2693;

									BgL_tmpz00_2693 =
										((obj_t) ((BgL_objectz00_bglt) BgL_funz00_2223));
									BgL_arg1858z00_2225 = (BgL_objectz00_bglt) (BgL_tmpz00_2693);
								}
								if (BGL_CONDEXPAND_ISA_ARCH64())
									{	/* Tools/trace.sch 53 */
										long BgL_idxz00_2226;

										BgL_idxz00_2226 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_2225);
										BgL_test1754z00_2692 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_2226 + 2L)) == BgL_classz00_2224);
									}
								else
									{	/* Tools/trace.sch 53 */
										bool_t BgL_res1684z00_2229;

										{	/* Tools/trace.sch 53 */
											obj_t BgL_oclassz00_2230;

											{	/* Tools/trace.sch 53 */
												obj_t BgL_arg1866z00_2231;
												long BgL_arg1867z00_2232;

												BgL_arg1866z00_2231 =
													(BGl_za2classesza2z00zz__objectz00);
												{	/* Tools/trace.sch 53 */
													long BgL_arg1869z00_2233;

													BgL_arg1869z00_2233 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_2225);
													BgL_arg1867z00_2232 =
														(BgL_arg1869z00_2233 - OBJECT_TYPE);
												}
												BgL_oclassz00_2230 =
													VECTOR_REF(BgL_arg1866z00_2231, BgL_arg1867z00_2232);
											}
											{	/* Tools/trace.sch 53 */
												bool_t BgL__ortest_1115z00_2234;

												BgL__ortest_1115z00_2234 =
													(BgL_classz00_2224 == BgL_oclassz00_2230);
												if (BgL__ortest_1115z00_2234)
													{	/* Tools/trace.sch 53 */
														BgL_res1684z00_2229 = BgL__ortest_1115z00_2234;
													}
												else
													{	/* Tools/trace.sch 53 */
														long BgL_odepthz00_2235;

														{	/* Tools/trace.sch 53 */
															obj_t BgL_arg1855z00_2236;

															BgL_arg1855z00_2236 = (BgL_oclassz00_2230);
															BgL_odepthz00_2235 =
																BGL_CLASS_DEPTH(BgL_arg1855z00_2236);
														}
														if ((2L < BgL_odepthz00_2235))
															{	/* Tools/trace.sch 53 */
																obj_t BgL_arg1853z00_2237;

																{	/* Tools/trace.sch 53 */
																	obj_t BgL_arg1854z00_2238;

																	BgL_arg1854z00_2238 = (BgL_oclassz00_2230);
																	BgL_arg1853z00_2237 =
																		BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_2238,
																		2L);
																}
																BgL_res1684z00_2229 =
																	(BgL_arg1853z00_2237 == BgL_classz00_2224);
															}
														else
															{	/* Tools/trace.sch 53 */
																BgL_res1684z00_2229 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_test1754z00_2692 = BgL_res1684z00_2229;
									}
							}
						}
						if (BgL_test1754z00_2692)
							{	/* Tools/trace.sch 53 */
								BgL_valuez00_bglt BgL_arg1487z00_2239;

								BgL_arg1487z00_2239 =
									(((BgL_variablez00_bglt) COBJECT(BgL_funz00_2223))->
									BgL_valuez00);
								{	/* Tools/trace.sch 53 */
									obj_t BgL_classz00_2240;

									BgL_classz00_2240 = BGl_cfunz00zzast_varz00;
									{	/* Tools/trace.sch 53 */
										BgL_objectz00_bglt BgL_arg1858z00_2241;

										{	/* Tools/trace.sch 53 */
											obj_t BgL_tmpz00_2717;

											BgL_tmpz00_2717 =
												((obj_t) ((BgL_objectz00_bglt) BgL_arg1487z00_2239));
											BgL_arg1858z00_2241 =
												(BgL_objectz00_bglt) (BgL_tmpz00_2717);
										}
										if (BGL_CONDEXPAND_ISA_ARCH64())
											{	/* Tools/trace.sch 53 */
												long BgL_idxz00_2242;

												BgL_idxz00_2242 =
													BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_2241);
												BgL_test1753z00_2691 =
													(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
														(BgL_idxz00_2242 + 3L)) == BgL_classz00_2240);
											}
										else
											{	/* Tools/trace.sch 53 */
												bool_t BgL_res1685z00_2245;

												{	/* Tools/trace.sch 53 */
													obj_t BgL_oclassz00_2246;

													{	/* Tools/trace.sch 53 */
														obj_t BgL_arg1866z00_2247;
														long BgL_arg1867z00_2248;

														BgL_arg1866z00_2247 =
															(BGl_za2classesza2z00zz__objectz00);
														{	/* Tools/trace.sch 53 */
															long BgL_arg1869z00_2249;

															BgL_arg1869z00_2249 =
																BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_2241);
															BgL_arg1867z00_2248 =
																(BgL_arg1869z00_2249 - OBJECT_TYPE);
														}
														BgL_oclassz00_2246 =
															VECTOR_REF(BgL_arg1866z00_2247,
															BgL_arg1867z00_2248);
													}
													{	/* Tools/trace.sch 53 */
														bool_t BgL__ortest_1115z00_2250;

														BgL__ortest_1115z00_2250 =
															(BgL_classz00_2240 == BgL_oclassz00_2246);
														if (BgL__ortest_1115z00_2250)
															{	/* Tools/trace.sch 53 */
																BgL_res1685z00_2245 = BgL__ortest_1115z00_2250;
															}
														else
															{	/* Tools/trace.sch 53 */
																long BgL_odepthz00_2251;

																{	/* Tools/trace.sch 53 */
																	obj_t BgL_arg1855z00_2252;

																	BgL_arg1855z00_2252 = (BgL_oclassz00_2246);
																	BgL_odepthz00_2251 =
																		BGL_CLASS_DEPTH(BgL_arg1855z00_2252);
																}
																if ((3L < BgL_odepthz00_2251))
																	{	/* Tools/trace.sch 53 */
																		obj_t BgL_arg1853z00_2253;

																		{	/* Tools/trace.sch 53 */
																			obj_t BgL_arg1854z00_2254;

																			BgL_arg1854z00_2254 =
																				(BgL_oclassz00_2246);
																			BgL_arg1853z00_2253 =
																				BGL_CLASS_ANCESTORS_REF
																				(BgL_arg1854z00_2254, 3L);
																		}
																		BgL_res1685z00_2245 =
																			(BgL_arg1853z00_2253 ==
																			BgL_classz00_2240);
																	}
																else
																	{	/* Tools/trace.sch 53 */
																		BgL_res1685z00_2245 = ((bool_t) 0);
																	}
															}
													}
												}
												BgL_test1753z00_2691 = BgL_res1685z00_2245;
											}
									}
								}
							}
						else
							{	/* Tools/trace.sch 53 */
								BgL_test1753z00_2691 = ((bool_t) 0);
							}
					}
					if (BgL_test1753z00_2691)
						{	/* Tools/trace.sch 53 */
							return
								BGl_coercezd2foreignzd2appz12z12zzcoerce_appz00(BgL_funz00_2223,
								BgL_callerz00_2197, ((BgL_appz00_bglt) BgL_nodez00_2196),
								BgL_toz00_2198, BgL_safez00_2199);
						}
					else
						{	/* Tools/trace.sch 53 */
							return
								BGl_coercezd2bigloozd2appz12z12zzcoerce_appz00(BgL_funz00_2223,
								BgL_callerz00_2197, ((BgL_appz00_bglt) BgL_nodez00_2196),
								BgL_toz00_2198, BgL_safez00_2199);
						}
				}
			}
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzcoerce_appz00(void)
	{
		{	/* Coerce/app.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(54713316L,
				BSTRING_TO_STRING(BGl_string1700z00zzcoerce_appz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(161876678L,
				BSTRING_TO_STRING(BGl_string1700z00zzcoerce_appz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(365925558L,
				BSTRING_TO_STRING(BGl_string1700z00zzcoerce_appz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(300504031L,
				BSTRING_TO_STRING(BGl_string1700z00zzcoerce_appz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(515343395L,
				BSTRING_TO_STRING(BGl_string1700z00zzcoerce_appz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(489890788L,
				BSTRING_TO_STRING(BGl_string1700z00zzcoerce_appz00));
			BGl_modulezd2initializa7ationz75zztype_typeofz00(398780265L,
				BSTRING_TO_STRING(BGl_string1700z00zzcoerce_appz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(90839984L,
				BSTRING_TO_STRING(BGl_string1700z00zzcoerce_appz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(469732712L,
				BSTRING_TO_STRING(BGl_string1700z00zzcoerce_appz00));
			BGl_modulezd2initializa7ationz75zzast_envz00(146730773L,
				BSTRING_TO_STRING(BGl_string1700z00zzcoerce_appz00));
			BGl_modulezd2initializa7ationz75zzcoerce_coercez00(361167184L,
				BSTRING_TO_STRING(BGl_string1700z00zzcoerce_appz00));
			return
				BGl_modulezd2initializa7ationz75zzcoerce_convertz00(87995645L,
				BSTRING_TO_STRING(BGl_string1700z00zzcoerce_appz00));
		}

	}

#ifdef __cplusplus
}
#endif
