/*===========================================================================*/
/*   (Coerce/apply.scm)                                                      */
/*   Bigloo (4.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Jan 27 07:45:49 AM CET 2025     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.6a/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.6a/lib/bigloo/4.6a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -stdc -indent Coerce/apply.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL_COERCE_APPLY_TYPE_DEFINITIONS
#define BGL_COERCE_APPLY_TYPE_DEFINITIONS

/* object type definitions */
	typedef struct BgL_backendz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
		bool_t BgL_boundzd2checkzd2;
		bool_t BgL_typezd2checkzd2;
		bool_t BgL_typedzd2funcallzd2;
		bool_t BgL_strictzd2typezd2castz00;
		bool_t BgL_forcezd2registerzd2gczd2rootszd2;
		bool_t BgL_stringzd2literalzd2supportz00;
		bool_t BgL_boxedzd2fixnumszd2;
		bool_t BgL_typedzd2closureszd2;
	}                 *BgL_backendz00_bglt;

	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_nullz00;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_nodezf2effectzf2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
	}                       *BgL_nodezf2effectzf2_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_refz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_refz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;


#endif													// BGL_COERCE_APPLY_TYPE_DEFINITIONS
#endif													// BGL_MODULE_TYPE_DEFINITIONS

	extern obj_t BGl_za2unsafezd2arityza2zd2zzengine_paramz00;
	extern obj_t BGl_za2intza2z00zztype_cachez00;
	extern obj_t BGl_locationzd2fullzd2fnamez00zztools_locationz00(obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzcoerce_applyz00 = BUNSPEC;
	extern obj_t BGl_za2pairzd2nilza2zd2zztype_cachez00;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	static obj_t BGl_toplevelzd2initzd2zzcoerce_applyz00(void);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	static obj_t BGl_genericzd2initzd2zzcoerce_applyz00(void);
	BGL_IMPORT obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
	static obj_t BGl_objectzd2initzd2zzcoerce_applyz00(void);
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	extern BgL_nodez00_bglt BGl_lvtypezd2nodezd2zzast_lvtypez00(BgL_nodez00_bglt);
	extern obj_t BGl_thezd2backendzd2zzbackend_backendz00(void);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	extern obj_t BGl_refz00zzast_nodez00;
	BGL_IMPORT obj_t bstring_to_symbol(obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzcoerce_applyz00(void);
	extern BgL_nodez00_bglt
		BGl_topzd2levelzd2sexpzd2ze3nodez31zzast_sexpz00(obj_t, obj_t);
	extern obj_t BGl_za2bdbzd2debugza2zd2zzengine_paramz00;
	BGL_IMPORT obj_t string_append(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62coercez12zd2appzd2ly1236z70zzcoerce_applyz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	extern obj_t BGl_za2compilerzd2debugza2zd2zzengine_paramz00;
	extern BgL_typez00_bglt
		BGl_strictzd2nodezd2typez00zzast_nodez00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	extern obj_t BGl_za2procedureza2z00zztype_cachez00;
	static BgL_nodez00_bglt BGl_makezd2errorzd2nodez00zzcoerce_applyz00(obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	extern BgL_nodez00_bglt BGl_coercez12z12zzcoerce_coercez00(BgL_nodez00_bglt,
		obj_t, BgL_typez00_bglt, bool_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzcoerce_applyz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcoerce_convertz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcoerce_coercez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_lvtypez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_localz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzcoerce_applyz00(void);
	static obj_t BGl_libraryzd2moduleszd2initz00zzcoerce_applyz00(void);
	extern BgL_localz00_bglt BGl_makezd2localzd2svarz00zzast_localz00(obj_t,
		BgL_typez00_bglt);
	static obj_t BGl_importedzd2moduleszd2initz00zzcoerce_applyz00(void);
	static obj_t BGl_gczd2rootszd2initz00zzcoerce_applyz00(void);
	extern obj_t BGl_currentzd2functionzd2zztools_errorz00(void);
	BGL_IMPORT obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern BgL_nodez00_bglt BGl_convertz12z12zzcoerce_convertz00(BgL_nodez00_bglt,
		BgL_typez00_bglt, BgL_typez00_bglt, bool_t);
	static obj_t __cnst[17];


	   
		 
		DEFINE_STRING(BGl_string1675z00zzcoerce_applyz00,
		BgL_bgl_string1675za700za7za7c1681za7, "Wrong number of arguments", 25);
	      DEFINE_STRING(BGl_string1677z00zzcoerce_applyz00,
		BgL_bgl_string1677za700za7za7c1682za7, "coerce!", 7);
	      DEFINE_STRING(BGl_string1678z00zzcoerce_applyz00,
		BgL_bgl_string1678za700za7za7c1683za7, "coerce_apply", 12);
	      DEFINE_STRING(BGl_string1679z00zzcoerce_applyz00,
		BgL_bgl_string1679za700za7za7c1684za7,
		"let if correct-arity? ::long len length val fun begin failure _ quote @ error/location __error location bdb ",
		108);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1676z00zzcoerce_applyz00,
		BgL_bgl_za762coerceza712za7d2a1685za7,
		BGl_z62coercez12zd2appzd2ly1236z70zzcoerce_applyz00, 0L, BUNSPEC, 4);
	extern obj_t BGl_coercez12zd2envzc0zzcoerce_coercez00;

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zzcoerce_applyz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzcoerce_applyz00(long
		BgL_checksumz00_2021, char *BgL_fromz00_2022)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzcoerce_applyz00))
				{
					BGl_requirezd2initializa7ationz75zzcoerce_applyz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzcoerce_applyz00();
					BGl_libraryzd2moduleszd2initz00zzcoerce_applyz00();
					BGl_cnstzd2initzd2zzcoerce_applyz00();
					BGl_importedzd2moduleszd2initz00zzcoerce_applyz00();
					BGl_methodzd2initzd2zzcoerce_applyz00();
					return BGl_toplevelzd2initzd2zzcoerce_applyz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzcoerce_applyz00(void)
	{
		{	/* Coerce/apply.scm 15 */
			BGl_modulezd2initializa7ationz75zz__objectz00(0L, "coerce_apply");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(0L, "coerce_apply");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(0L,
				"coerce_apply");
			BGl_modulezd2initializa7ationz75zz__readerz00(0L, "coerce_apply");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(0L,
				"coerce_apply");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(0L, "coerce_apply");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(0L,
				"coerce_apply");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(0L, "coerce_apply");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(0L,
				"coerce_apply");
			BGl_modulezd2initializa7ationz75zz__structurez00(0L, "coerce_apply");
			BGl_modulezd2initializa7ationz75zz__biglooz00(0L, "coerce_apply");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzcoerce_applyz00(void)
	{
		{	/* Coerce/apply.scm 15 */
			{	/* Coerce/apply.scm 15 */
				obj_t BgL_cportz00_1923;

				{	/* Coerce/apply.scm 15 */
					obj_t BgL_stringz00_1930;

					BgL_stringz00_1930 = BGl_string1679z00zzcoerce_applyz00;
					{	/* Coerce/apply.scm 15 */
						obj_t BgL_startz00_1931;

						BgL_startz00_1931 = BINT(0L);
						{	/* Coerce/apply.scm 15 */
							obj_t BgL_endz00_1932;

							BgL_endz00_1932 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_1930)));
							{	/* Coerce/apply.scm 15 */

								BgL_cportz00_1923 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_1930, BgL_startz00_1931, BgL_endz00_1932);
				}}}}
				{
					long BgL_iz00_1924;

					BgL_iz00_1924 = 16L;
				BgL_loopz00_1925:
					if ((BgL_iz00_1924 == (-1L)))
						{	/* Coerce/apply.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Coerce/apply.scm 15 */
							{	/* Coerce/apply.scm 15 */
								obj_t BgL_arg1680z00_1926;

								{	/* Coerce/apply.scm 15 */

									{	/* Coerce/apply.scm 15 */
										obj_t BgL_locationz00_1928;

										BgL_locationz00_1928 = BBOOL(((bool_t) 0));
										{	/* Coerce/apply.scm 15 */

											BgL_arg1680z00_1926 =
												BGl_readz00zz__readerz00(BgL_cportz00_1923,
												BgL_locationz00_1928);
										}
									}
								}
								{	/* Coerce/apply.scm 15 */
									int BgL_tmpz00_2052;

									BgL_tmpz00_2052 = (int) (BgL_iz00_1924);
									CNST_TABLE_SET(BgL_tmpz00_2052, BgL_arg1680z00_1926);
							}}
							{	/* Coerce/apply.scm 15 */
								int BgL_auxz00_1929;

								BgL_auxz00_1929 = (int) ((BgL_iz00_1924 - 1L));
								{
									long BgL_iz00_2057;

									BgL_iz00_2057 = (long) (BgL_auxz00_1929);
									BgL_iz00_1924 = BgL_iz00_2057;
									goto BgL_loopz00_1925;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzcoerce_applyz00(void)
	{
		{	/* Coerce/apply.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzcoerce_applyz00(void)
	{
		{	/* Coerce/apply.scm 15 */
			return BUNSPEC;
		}

	}



/* make-error-node */
	BgL_nodez00_bglt BGl_makezd2errorzd2nodez00zzcoerce_applyz00(obj_t
		BgL_errorzd2msgzd2_21, obj_t BgL_locz00_22, obj_t BgL_callerz00_23,
		obj_t BgL_toz00_24)
	{
		{	/* Coerce/apply.scm 97 */
			{	/* Coerce/apply.scm 98 */
				BgL_nodez00_bglt BgL_nodez00_1491;

				{	/* Coerce/apply.scm 99 */
					obj_t BgL_arg1255z00_1492;

					{	/* Coerce/apply.scm 99 */
						bool_t BgL_test1688z00_2060;

						{	/* Coerce/apply.scm 99 */
							bool_t BgL_test1689z00_2061;

							{	/* Coerce/apply.scm 99 */
								bool_t BgL_test1690z00_2062;

								if (
									((long) CINT(BGl_za2bdbzd2debugza2zd2zzengine_paramz00) > 0L))
									{	/* Coerce/apply.scm 102 */
										obj_t BgL_arg1315z00_1543;

										{	/* Coerce/apply.scm 102 */
											obj_t BgL_arg1316z00_1544;

											BgL_arg1316z00_1544 =
												BGl_thezd2backendzd2zzbackend_backendz00();
											BgL_arg1315z00_1543 =
												(((BgL_backendz00_bglt) COBJECT(
														((BgL_backendz00_bglt) BgL_arg1316z00_1544)))->
												BgL_debugzd2supportzd2);
										}
										BgL_test1690z00_2062 =
											CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
												((obj_t) CNST_TABLE_REF(0)), BgL_arg1315z00_1543));
									}
								else
									{	/* Coerce/apply.scm 99 */
										BgL_test1690z00_2062 = ((bool_t) 0);
									}
								if (BgL_test1690z00_2062)
									{	/* Coerce/apply.scm 99 */
										BgL_test1689z00_2061 = ((bool_t) 1);
									}
								else
									{	/* Coerce/apply.scm 99 */
										BgL_test1689z00_2061 =
											(
											(long)
											CINT(BGl_za2compilerzd2debugza2zd2zzengine_paramz00) >
											0L);
							}}
							if (BgL_test1689z00_2061)
								{	/* Coerce/apply.scm 99 */
									if (STRUCTP(BgL_locz00_22))
										{	/* Coerce/apply.scm 104 */
											BgL_test1688z00_2060 =
												(STRUCT_KEY(BgL_locz00_22) ==
												((obj_t) CNST_TABLE_REF(1)));
										}
									else
										{	/* Coerce/apply.scm 104 */
											BgL_test1688z00_2060 = ((bool_t) 0);
										}
								}
							else
								{	/* Coerce/apply.scm 99 */
									BgL_test1688z00_2060 = ((bool_t) 0);
								}
						}
						if (BgL_test1688z00_2060)
							{	/* Coerce/apply.scm 106 */
								obj_t BgL_arg1274z00_1506;

								{	/* Coerce/apply.scm 106 */
									obj_t BgL_arg1275z00_1507;
									obj_t BgL_arg1276z00_1508;

									{	/* Coerce/apply.scm 106 */
										obj_t BgL_arg1277z00_1509;
										obj_t BgL_arg1279z00_1510;

										{	/* Coerce/apply.scm 106 */
											obj_t BgL_arg1280z00_1511;

											{	/* Coerce/apply.scm 106 */
												obj_t BgL_arg1281z00_1512;

												BgL_arg1281z00_1512 =
													MAKE_YOUNG_PAIR(((obj_t) CNST_TABLE_REF(2)), BNIL);
												BgL_arg1280z00_1511 =
													MAKE_YOUNG_PAIR(
													((obj_t) CNST_TABLE_REF(3)), BgL_arg1281z00_1512);
											}
											BgL_arg1277z00_1509 =
												MAKE_YOUNG_PAIR(
												((obj_t) CNST_TABLE_REF(4)), BgL_arg1280z00_1511);
										}
										{	/* Coerce/apply.scm 107 */
											obj_t BgL_arg1282z00_1513;
											obj_t BgL_arg1284z00_1514;

											{	/* Coerce/apply.scm 107 */
												obj_t BgL_arg1285z00_1515;

												BgL_arg1285z00_1515 =
													BGl_currentzd2functionzd2zztools_errorz00();
												{	/* Coerce/apply.scm 107 */
													obj_t BgL_list1286z00_1516;

													{	/* Coerce/apply.scm 107 */
														obj_t BgL_arg1287z00_1517;

														BgL_arg1287z00_1517 =
															MAKE_YOUNG_PAIR(BgL_arg1285z00_1515, BNIL);
														BgL_list1286z00_1516 =
															MAKE_YOUNG_PAIR(
															((obj_t) CNST_TABLE_REF(5)), BgL_arg1287z00_1517);
													}
													BgL_arg1282z00_1513 = BgL_list1286z00_1516;
												}
											}
											{	/* Coerce/apply.scm 110 */
												obj_t BgL_arg1288z00_1518;

												{	/* Coerce/apply.scm 110 */
													obj_t BgL_arg1289z00_1519;

													{	/* Coerce/apply.scm 110 */
														obj_t BgL_arg1291z00_1520;
														obj_t BgL_arg1292z00_1521;

														BgL_arg1291z00_1520 =
															BGl_locationzd2fullzd2fnamez00zztools_locationz00
															(BgL_locz00_22);
														BgL_arg1292z00_1521 =
															MAKE_YOUNG_PAIR(STRUCT_REF(BgL_locz00_22,
																(int) (1L)), BNIL);
														BgL_arg1289z00_1519 =
															MAKE_YOUNG_PAIR(BgL_arg1291z00_1520,
															BgL_arg1292z00_1521);
													}
													BgL_arg1288z00_1518 =
														MAKE_YOUNG_PAIR(BgL_errorzd2msgzd2_21,
														BgL_arg1289z00_1519);
												}
												BgL_arg1284z00_1514 =
													MAKE_YOUNG_PAIR(BGl_string1675z00zzcoerce_applyz00,
													BgL_arg1288z00_1518);
											}
											BgL_arg1279z00_1510 =
												MAKE_YOUNG_PAIR(BgL_arg1282z00_1513,
												BgL_arg1284z00_1514);
										}
										BgL_arg1275z00_1507 =
											MAKE_YOUNG_PAIR(BgL_arg1277z00_1509, BgL_arg1279z00_1510);
									}
									{	/* Coerce/apply.scm 112 */
										obj_t BgL_arg1294z00_1523;

										{	/* Coerce/apply.scm 112 */
											obj_t BgL_arg1295z00_1524;

											{	/* Coerce/apply.scm 112 */
												obj_t BgL_arg1296z00_1525;
												obj_t BgL_arg1297z00_1526;

												{	/* Coerce/apply.scm 112 */
													obj_t BgL_arg1298z00_1527;

													BgL_arg1298z00_1527 =
														MAKE_YOUNG_PAIR(((obj_t) CNST_TABLE_REF(6)), BNIL);
													BgL_arg1296z00_1525 =
														MAKE_YOUNG_PAIR(
														((obj_t) CNST_TABLE_REF(5)), BgL_arg1298z00_1527);
												}
												{	/* Coerce/apply.scm 112 */
													obj_t BgL_arg1299z00_1528;
													obj_t BgL_arg1301z00_1529;

													{	/* Coerce/apply.scm 112 */
														obj_t BgL_arg1302z00_1530;

														BgL_arg1302z00_1530 =
															MAKE_YOUNG_PAIR(
															((obj_t) CNST_TABLE_REF(6)), BNIL);
														BgL_arg1299z00_1528 =
															MAKE_YOUNG_PAIR(
															((obj_t) CNST_TABLE_REF(5)), BgL_arg1302z00_1530);
													}
													{	/* Coerce/apply.scm 112 */
														obj_t BgL_arg1303z00_1531;

														{	/* Coerce/apply.scm 112 */
															obj_t BgL_arg1304z00_1532;

															BgL_arg1304z00_1532 =
																MAKE_YOUNG_PAIR(
																((obj_t) CNST_TABLE_REF(6)), BNIL);
															BgL_arg1303z00_1531 =
																MAKE_YOUNG_PAIR(
																((obj_t)
																	CNST_TABLE_REF(5)), BgL_arg1304z00_1532);
														}
														BgL_arg1301z00_1529 =
															MAKE_YOUNG_PAIR(BgL_arg1303z00_1531, BNIL);
													}
													BgL_arg1297z00_1526 =
														MAKE_YOUNG_PAIR(BgL_arg1299z00_1528,
														BgL_arg1301z00_1529);
												}
												BgL_arg1295z00_1524 =
													MAKE_YOUNG_PAIR(BgL_arg1296z00_1525,
													BgL_arg1297z00_1526);
											}
											BgL_arg1294z00_1523 =
												MAKE_YOUNG_PAIR(
												((obj_t) CNST_TABLE_REF(7)), BgL_arg1295z00_1524);
										}
										BgL_arg1276z00_1508 =
											MAKE_YOUNG_PAIR(BgL_arg1294z00_1523, BNIL);
									}
									BgL_arg1274z00_1506 =
										MAKE_YOUNG_PAIR(BgL_arg1275z00_1507, BgL_arg1276z00_1508);
								}
								BgL_arg1255z00_1492 =
									MAKE_YOUNG_PAIR(
									((obj_t) CNST_TABLE_REF(8)), BgL_arg1274z00_1506);
							}
						else
							{	/* Coerce/apply.scm 113 */
								obj_t BgL_arg1305z00_1533;

								{	/* Coerce/apply.scm 113 */
									obj_t BgL_arg1309z00_1534;
									obj_t BgL_arg1310z00_1535;

									{	/* Coerce/apply.scm 113 */
										obj_t BgL_arg1311z00_1536;

										BgL_arg1311z00_1536 =
											BGl_currentzd2functionzd2zztools_errorz00();
										{	/* Coerce/apply.scm 113 */
											obj_t BgL_list1312z00_1537;

											{	/* Coerce/apply.scm 113 */
												obj_t BgL_arg1313z00_1538;

												BgL_arg1313z00_1538 =
													MAKE_YOUNG_PAIR(BgL_arg1311z00_1536, BNIL);
												BgL_list1312z00_1537 =
													MAKE_YOUNG_PAIR(
													((obj_t) CNST_TABLE_REF(5)), BgL_arg1313z00_1538);
											}
											BgL_arg1309z00_1534 = BgL_list1312z00_1537;
										}
									}
									{	/* Coerce/apply.scm 113 */
										obj_t BgL_arg1314z00_1539;

										BgL_arg1314z00_1539 =
											MAKE_YOUNG_PAIR(BgL_errorzd2msgzd2_21, BNIL);
										BgL_arg1310z00_1535 =
											MAKE_YOUNG_PAIR(BGl_string1675z00zzcoerce_applyz00,
											BgL_arg1314z00_1539);
									}
									BgL_arg1305z00_1533 =
										MAKE_YOUNG_PAIR(BgL_arg1309z00_1534, BgL_arg1310z00_1535);
								}
								BgL_arg1255z00_1492 =
									MAKE_YOUNG_PAIR(
									((obj_t) CNST_TABLE_REF(7)), BgL_arg1305z00_1533);
							}
					}
					BgL_nodez00_1491 =
						BGl_topzd2levelzd2sexpzd2ze3nodez31zzast_sexpz00
						(BgL_arg1255z00_1492, BgL_locz00_22);
				}
				return
					BGl_coercez12z12zzcoerce_coercez00(BgL_nodez00_1491, BgL_callerz00_23,
					((BgL_typez00_bglt) BgL_toz00_24), ((bool_t) 0));
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzcoerce_applyz00(void)
	{
		{	/* Coerce/apply.scm 15 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzcoerce_applyz00(void)
	{
		{	/* Coerce/apply.scm 15 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzcoerce_applyz00(void)
	{
		{	/* Coerce/apply.scm 15 */
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_coercez12zd2envzc0zzcoerce_coercez00, BGl_appzd2lyzd2zzast_nodez00,
				BGl_proc1676z00zzcoerce_applyz00, BGl_string1677z00zzcoerce_applyz00);
		}

	}



/* &coerce!-app-ly1236 */
	BgL_nodez00_bglt BGl_z62coercez12zd2appzd2ly1236z70zzcoerce_applyz00(obj_t
		BgL_envz00_1912, obj_t BgL_nodez00_1913, obj_t BgL_callerz00_1914,
		obj_t BgL_toz00_1915, obj_t BgL_safez00_1916)
	{
		{	/* Coerce/apply.scm 36 */
			{	/* Tools/trace.sch 53 */
				obj_t BgL_errorzd2msgzd2_1935;

				{	/* Tools/trace.sch 53 */
					obj_t BgL_arg1417z00_1936;

					BgL_arg1417z00_1936 =
						BGl_shapez00zztools_shapez00(
						((obj_t) ((BgL_appzd2lyzd2_bglt) BgL_nodez00_1913)));
					{	/* Tools/trace.sch 53 */
						obj_t BgL_list1418z00_1937;

						{	/* Tools/trace.sch 53 */
							obj_t BgL_arg1419z00_1938;

							BgL_arg1419z00_1938 = MAKE_YOUNG_PAIR(BgL_arg1417z00_1936, BNIL);
							BgL_list1418z00_1937 =
								MAKE_YOUNG_PAIR(
								((obj_t) CNST_TABLE_REF(5)), BgL_arg1419z00_1938);
						}
						BgL_errorzd2msgzd2_1935 = BgL_list1418z00_1937;
					}
				}
				{	/* Tools/trace.sch 53 */
					BgL_nodez00_bglt BgL_arg1317z00_1939;

					{	/* Tools/trace.sch 53 */
						BgL_nodez00_bglt BgL_arg1318z00_1940;

						BgL_arg1318z00_1940 =
							(((BgL_appzd2lyzd2_bglt) COBJECT(
									((BgL_appzd2lyzd2_bglt) BgL_nodez00_1913)))->BgL_argz00);
						BgL_arg1317z00_1939 =
							BGl_coercez12z12zzcoerce_coercez00(BgL_arg1318z00_1940,
							BgL_callerz00_1914,
							((BgL_typez00_bglt) BGl_za2pairzd2nilza2zd2zztype_cachez00),
							CBOOL(BgL_safez00_1916));
					}
					((((BgL_appzd2lyzd2_bglt) COBJECT(
									((BgL_appzd2lyzd2_bglt) BgL_nodez00_1913)))->BgL_argz00) =
						((BgL_nodez00_bglt) BgL_arg1317z00_1939), BUNSPEC);
				}
				{	/* Tools/trace.sch 53 */
					BgL_nodez00_bglt BgL_czd2funzd2_1941;

					{	/* Tools/trace.sch 53 */
						BgL_nodez00_bglt BgL_arg1416z00_1942;

						BgL_arg1416z00_1942 =
							(((BgL_appzd2lyzd2_bglt) COBJECT(
									((BgL_appzd2lyzd2_bglt) BgL_nodez00_1913)))->BgL_funz00);
						BgL_czd2funzd2_1941 =
							BGl_coercez12z12zzcoerce_coercez00(BgL_arg1416z00_1942,
							BgL_callerz00_1914,
							((BgL_typez00_bglt) BGl_za2procedureza2z00zztype_cachez00),
							CBOOL(BgL_safez00_1916));
					}
					if (CBOOL(BGl_za2unsafezd2arityza2zd2zzengine_paramz00))
						{	/* Tools/trace.sch 53 */
							bool_t BgL_test1695z00_2169;

							{	/* Tools/trace.sch 53 */
								obj_t BgL_classz00_1943;

								BgL_classz00_1943 = BGl_varz00zzast_nodez00;
								{	/* Tools/trace.sch 53 */
									BgL_objectz00_bglt BgL_arg1858z00_1944;

									{	/* Tools/trace.sch 53 */
										obj_t BgL_tmpz00_2170;

										BgL_tmpz00_2170 =
											((obj_t) ((BgL_objectz00_bglt) BgL_czd2funzd2_1941));
										BgL_arg1858z00_1944 =
											(BgL_objectz00_bglt) (BgL_tmpz00_2170);
									}
									if (BGL_CONDEXPAND_ISA_ARCH64())
										{	/* Tools/trace.sch 53 */
											long BgL_idxz00_1945;

											BgL_idxz00_1945 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_1944);
											BgL_test1695z00_2169 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_1945 + 2L)) == BgL_classz00_1943);
										}
									else
										{	/* Tools/trace.sch 53 */
											bool_t BgL_res1667z00_1948;

											{	/* Tools/trace.sch 53 */
												obj_t BgL_oclassz00_1949;

												{	/* Tools/trace.sch 53 */
													obj_t BgL_arg1866z00_1950;
													long BgL_arg1867z00_1951;

													BgL_arg1866z00_1950 =
														(BGl_za2classesza2z00zz__objectz00);
													{	/* Tools/trace.sch 53 */
														long BgL_arg1869z00_1952;

														BgL_arg1869z00_1952 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_1944);
														BgL_arg1867z00_1951 =
															(BgL_arg1869z00_1952 - OBJECT_TYPE);
													}
													BgL_oclassz00_1949 =
														VECTOR_REF(BgL_arg1866z00_1950,
														BgL_arg1867z00_1951);
												}
												{	/* Tools/trace.sch 53 */
													bool_t BgL__ortest_1115z00_1953;

													BgL__ortest_1115z00_1953 =
														(BgL_classz00_1943 == BgL_oclassz00_1949);
													if (BgL__ortest_1115z00_1953)
														{	/* Tools/trace.sch 53 */
															BgL_res1667z00_1948 = BgL__ortest_1115z00_1953;
														}
													else
														{	/* Tools/trace.sch 53 */
															long BgL_odepthz00_1954;

															{	/* Tools/trace.sch 53 */
																obj_t BgL_arg1855z00_1955;

																BgL_arg1855z00_1955 = (BgL_oclassz00_1949);
																BgL_odepthz00_1954 =
																	BGL_CLASS_DEPTH(BgL_arg1855z00_1955);
															}
															if ((2L < BgL_odepthz00_1954))
																{	/* Tools/trace.sch 53 */
																	obj_t BgL_arg1853z00_1956;

																	{	/* Tools/trace.sch 53 */
																		obj_t BgL_arg1854z00_1957;

																		BgL_arg1854z00_1957 = (BgL_oclassz00_1949);
																		BgL_arg1853z00_1956 =
																			BGL_CLASS_ANCESTORS_REF
																			(BgL_arg1854z00_1957, 2L);
																	}
																	BgL_res1667z00_1948 =
																		(BgL_arg1853z00_1956 == BgL_classz00_1943);
																}
															else
																{	/* Tools/trace.sch 53 */
																	BgL_res1667z00_1948 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_test1695z00_2169 = BgL_res1667z00_1948;
										}
								}
							}
							if (BgL_test1695z00_2169)
								{	/* Tools/trace.sch 53 */
									((((BgL_appzd2lyzd2_bglt) COBJECT(
													((BgL_appzd2lyzd2_bglt) BgL_nodez00_1913)))->
											BgL_funz00) =
										((BgL_nodez00_bglt) BgL_czd2funzd2_1941), BUNSPEC);
									return
										BGl_convertz12z12zzcoerce_convertz00(((BgL_nodez00_bglt) (
												(BgL_appzd2lyzd2_bglt) BgL_nodez00_1913)),
										((BgL_typez00_bglt) BGl_za2objza2z00zztype_cachez00),
										((BgL_typez00_bglt) BgL_toz00_1915),
										CBOOL(BgL_safez00_1916));
								}
							else
								{	/* Tools/trace.sch 53 */
									BgL_localz00_bglt BgL_funz00_1958;

									BgL_funz00_1958 =
										BGl_makezd2localzd2svarz00zzast_localz00(
										((obj_t)
											CNST_TABLE_REF(9)),
										((BgL_typez00_bglt) BGl_za2procedureza2z00zztype_cachez00));
									{	/* Tools/trace.sch 53 */
										BgL_refz00_bglt BgL_arg1320z00_1959;

										{	/* Tools/trace.sch 53 */
											BgL_refz00_bglt BgL_new1108z00_1960;

											{	/* Tools/trace.sch 53 */
												BgL_refz00_bglt BgL_new1107z00_1961;

												BgL_new1107z00_1961 =
													((BgL_refz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
																BgL_refz00_bgl))));
												{	/* Tools/trace.sch 53 */
													long BgL_arg1321z00_1962;

													BgL_arg1321z00_1962 =
														BGL_CLASS_NUM(BGl_refz00zzast_nodez00);
													BGL_OBJECT_CLASS_NUM_SET(
														((BgL_objectz00_bglt) BgL_new1107z00_1961),
														BgL_arg1321z00_1962);
												}
												{	/* Tools/trace.sch 53 */
													BgL_objectz00_bglt BgL_tmpz00_2209;

													BgL_tmpz00_2209 =
														((BgL_objectz00_bglt) BgL_new1107z00_1961);
													BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2209, BFALSE);
												}
												((BgL_objectz00_bglt) BgL_new1107z00_1961);
												BgL_new1108z00_1960 = BgL_new1107z00_1961;
											}
											((((BgL_nodez00_bglt) COBJECT(
															((BgL_nodez00_bglt) BgL_new1108z00_1960)))->
													BgL_locz00) =
												((obj_t) (((BgL_nodez00_bglt)
															COBJECT(BgL_czd2funzd2_1941))->BgL_locz00)),
												BUNSPEC);
											((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
																BgL_new1108z00_1960)))->BgL_typez00) =
												((BgL_typez00_bglt) ((BgL_typez00_bglt)
														BGl_za2procedureza2z00zztype_cachez00)), BUNSPEC);
											((((BgL_varz00_bglt) COBJECT(((BgL_varz00_bglt)
																BgL_new1108z00_1960)))->BgL_variablez00) =
												((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
														BgL_funz00_1958)), BUNSPEC);
											BgL_arg1320z00_1959 = BgL_new1108z00_1960;
										}
										((((BgL_appzd2lyzd2_bglt) COBJECT(
														((BgL_appzd2lyzd2_bglt) BgL_nodez00_1913)))->
												BgL_funz00) =
											((BgL_nodez00_bglt) ((BgL_nodez00_bglt)
													BgL_arg1320z00_1959)), BUNSPEC);
									}
									{	/* Tools/trace.sch 53 */
										BgL_letzd2varzd2_bglt BgL_new1110z00_1963;

										{	/* Tools/trace.sch 53 */
											BgL_letzd2varzd2_bglt BgL_new1109z00_1964;

											BgL_new1109z00_1964 =
												((BgL_letzd2varzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
															BgL_letzd2varzd2_bgl))));
											{	/* Tools/trace.sch 53 */
												long BgL_arg1331z00_1965;

												BgL_arg1331z00_1965 =
													BGL_CLASS_NUM(BGl_letzd2varzd2zzast_nodez00);
												BGL_OBJECT_CLASS_NUM_SET(
													((BgL_objectz00_bglt) BgL_new1109z00_1964),
													BgL_arg1331z00_1965);
											}
											{	/* Tools/trace.sch 53 */
												BgL_objectz00_bglt BgL_tmpz00_2229;

												BgL_tmpz00_2229 =
													((BgL_objectz00_bglt) BgL_new1109z00_1964);
												BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2229, BFALSE);
											}
											((BgL_objectz00_bglt) BgL_new1109z00_1964);
											BgL_new1110z00_1963 = BgL_new1109z00_1964;
										}
										((((BgL_nodez00_bglt) COBJECT(
														((BgL_nodez00_bglt) BgL_new1110z00_1963)))->
												BgL_locz00) =
											((obj_t) (((BgL_nodez00_bglt)
														COBJECT(((BgL_nodez00_bglt) ((BgL_appzd2lyzd2_bglt)
																	BgL_nodez00_1913))))->BgL_locz00)), BUNSPEC);
										{
											BgL_typez00_bglt BgL_auxz00_2238;

											{	/* Tools/trace.sch 53 */
												BgL_typez00_bglt BgL_arg1322z00_1966;

												BgL_arg1322z00_1966 =
													(((BgL_nodez00_bglt) COBJECT(
															((BgL_nodez00_bglt)
																((BgL_appzd2lyzd2_bglt) BgL_nodez00_1913))))->
													BgL_typez00);
												BgL_auxz00_2238 =
													BGl_strictzd2nodezd2typez00zzast_nodez00((
														(BgL_typez00_bglt) BgL_toz00_1915),
													BgL_arg1322z00_1966);
											}
											((((BgL_nodez00_bglt) COBJECT(
															((BgL_nodez00_bglt) BgL_new1110z00_1963)))->
													BgL_typez00) =
												((BgL_typez00_bglt) BgL_auxz00_2238), BUNSPEC);
										}
										((((BgL_nodezf2effectzf2_bglt) COBJECT(
														((BgL_nodezf2effectzf2_bglt)
															BgL_new1110z00_1963)))->BgL_sidezd2effectzd2) =
											((obj_t) BUNSPEC), BUNSPEC);
										((((BgL_nodezf2effectzf2_bglt)
													COBJECT(((BgL_nodezf2effectzf2_bglt)
															BgL_new1110z00_1963)))->BgL_keyz00) =
											((obj_t) BINT((-1L))), BUNSPEC);
										{
											obj_t BgL_auxz00_2251;

											{	/* Tools/trace.sch 53 */
												obj_t BgL_arg1326z00_1967;

												BgL_arg1326z00_1967 =
													MAKE_YOUNG_PAIR(
													((obj_t) BgL_funz00_1958),
													((obj_t) BgL_czd2funzd2_1941));
												{	/* Tools/trace.sch 53 */
													obj_t BgL_list1327z00_1968;

													BgL_list1327z00_1968 =
														MAKE_YOUNG_PAIR(BgL_arg1326z00_1967, BNIL);
													BgL_auxz00_2251 = BgL_list1327z00_1968;
											}}
											((((BgL_letzd2varzd2_bglt) COBJECT(BgL_new1110z00_1963))->
													BgL_bindingsz00) =
												((obj_t) BgL_auxz00_2251), BUNSPEC);
										}
										((((BgL_letzd2varzd2_bglt) COBJECT(BgL_new1110z00_1963))->
												BgL_bodyz00) =
											((BgL_nodez00_bglt)
												BGl_convertz12z12zzcoerce_convertz00(((BgL_nodez00_bglt)
														((BgL_appzd2lyzd2_bglt) BgL_nodez00_1913)),
													((BgL_typez00_bglt) BGl_za2objza2z00zztype_cachez00),
													((BgL_typez00_bglt) BgL_toz00_1915),
													CBOOL(BgL_safez00_1916))), BUNSPEC);
										((((BgL_letzd2varzd2_bglt) COBJECT(BgL_new1110z00_1963))->
												BgL_removablezf3zf3) =
											((bool_t) ((bool_t) 1)), BUNSPEC);
										return ((BgL_nodez00_bglt) BgL_new1110z00_1963);
									}
								}
						}
					else
						{	/* Tools/trace.sch 53 */
							BgL_localz00_bglt BgL_funz00_1969;

							BgL_funz00_1969 =
								BGl_makezd2localzd2svarz00zzast_localz00(
								((obj_t)
									CNST_TABLE_REF(9)),
								((BgL_typez00_bglt) BGl_za2procedureza2z00zztype_cachez00));
							{	/* Tools/trace.sch 53 */
								BgL_localz00_bglt BgL_valz00_1970;

								BgL_valz00_1970 =
									BGl_makezd2localzd2svarz00zzast_localz00(
									((obj_t)
										CNST_TABLE_REF(10)),
									((BgL_typez00_bglt) BGl_za2pairzd2nilza2zd2zztype_cachez00));
								{	/* Tools/trace.sch 53 */
									obj_t BgL_locz00_1971;

									BgL_locz00_1971 =
										(((BgL_nodez00_bglt) COBJECT(
												((BgL_nodez00_bglt)
													((BgL_appzd2lyzd2_bglt) BgL_nodez00_1913))))->
										BgL_locz00);
									{	/* Tools/trace.sch 53 */
										BgL_nodez00_bglt BgL_lvalz00_1972;

										{	/* Tools/trace.sch 53 */
											BgL_nodez00_bglt BgL_arg1406z00_1973;

											{	/* Tools/trace.sch 53 */
												obj_t BgL_arg1414z00_1974;

												{	/* Tools/trace.sch 53 */
													obj_t BgL_arg1415z00_1975;

													BgL_arg1415z00_1975 =
														MAKE_YOUNG_PAIR(((obj_t) BgL_valz00_1970), BNIL);
													BgL_arg1414z00_1974 =
														MAKE_YOUNG_PAIR(
														((obj_t) CNST_TABLE_REF(11)), BgL_arg1415z00_1975);
												}
												BgL_arg1406z00_1973 =
													BGl_topzd2levelzd2sexpzd2ze3nodez31zzast_sexpz00
													(BgL_arg1414z00_1974, BgL_locz00_1971);
											}
											BgL_lvalz00_1972 =
												BGl_lvtypezd2nodezd2zzast_lvtypez00
												(BgL_arg1406z00_1973);
										}
										{	/* Tools/trace.sch 53 */
											obj_t BgL_lenz00_1976;

											BgL_lenz00_1976 =
												BGl_gensymz00zz__r4_symbols_6_4z00(
												((obj_t) CNST_TABLE_REF(12)));
											{	/* Tools/trace.sch 53 */
												BgL_nodez00_bglt BgL_bodyz00_1977;

												{	/* Tools/trace.sch 53 */
													BgL_nodez00_bglt BgL_arg1360z00_1978;

													{	/* Tools/trace.sch 53 */
														obj_t BgL_arg1361z00_1979;

														{	/* Tools/trace.sch 53 */
															obj_t BgL_arg1364z00_1980;

															{	/* Tools/trace.sch 53 */
																obj_t BgL_arg1365z00_1981;
																obj_t BgL_arg1367z00_1982;

																{	/* Tools/trace.sch 53 */
																	obj_t BgL_arg1370z00_1983;

																	{	/* Tools/trace.sch 53 */
																		obj_t BgL_arg1371z00_1984;
																		obj_t BgL_arg1376z00_1985;

																		{	/* Tools/trace.sch 53 */
																			obj_t BgL_arg1379z00_1986;

																			{	/* Tools/trace.sch 53 */
																				obj_t BgL_arg1380z00_1987;
																				obj_t BgL_arg1382z00_1988;

																				{	/* Tools/trace.sch 53 */
																					obj_t BgL_arg1486z00_1989;

																					BgL_arg1486z00_1989 =
																						SYMBOL_TO_STRING(BgL_lenz00_1976);
																					BgL_arg1380z00_1987 =
																						BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																						(BgL_arg1486z00_1989);
																				}
																				{	/* Tools/trace.sch 53 */
																					obj_t BgL_symbolz00_1990;

																					BgL_symbolz00_1990 =
																						((obj_t) CNST_TABLE_REF(13));
																					{	/* Tools/trace.sch 53 */
																						obj_t BgL_arg1486z00_1991;

																						BgL_arg1486z00_1991 =
																							SYMBOL_TO_STRING
																							(BgL_symbolz00_1990);
																						BgL_arg1382z00_1988 =
																							BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																							(BgL_arg1486z00_1991);
																					}
																				}
																				BgL_arg1379z00_1986 =
																					string_append(BgL_arg1380z00_1987,
																					BgL_arg1382z00_1988);
																			}
																			BgL_arg1371z00_1984 =
																				bstring_to_symbol(BgL_arg1379z00_1986);
																		}
																		{	/* Tools/trace.sch 53 */
																			BgL_nodez00_bglt BgL_arg1383z00_1992;

																			BgL_arg1383z00_1992 =
																				BGl_coercez12z12zzcoerce_coercez00
																				(BgL_lvalz00_1972, BgL_callerz00_1914,
																				((BgL_typez00_bglt)
																					BGl_za2intza2z00zztype_cachez00),
																				CBOOL(BgL_safez00_1916));
																			BgL_arg1376z00_1985 =
																				MAKE_YOUNG_PAIR(((obj_t)
																					BgL_arg1383z00_1992), BNIL);
																		}
																		BgL_arg1370z00_1983 =
																			MAKE_YOUNG_PAIR(BgL_arg1371z00_1984,
																			BgL_arg1376z00_1985);
																	}
																	BgL_arg1365z00_1981 =
																		MAKE_YOUNG_PAIR(BgL_arg1370z00_1983, BNIL);
																}
																{	/* Tools/trace.sch 53 */
																	obj_t BgL_arg1385z00_1993;

																	{	/* Tools/trace.sch 53 */
																		obj_t BgL_arg1386z00_1994;

																		{	/* Tools/trace.sch 53 */
																			obj_t BgL_arg1388z00_1995;
																			obj_t BgL_arg1390z00_1996;

																			{	/* Tools/trace.sch 53 */
																				obj_t BgL_arg1392z00_1997;

																				{	/* Tools/trace.sch 53 */
																					obj_t BgL_arg1400z00_1998;

																					BgL_arg1400z00_1998 =
																						MAKE_YOUNG_PAIR(BgL_lenz00_1976,
																						BNIL);
																					BgL_arg1392z00_1997 =
																						MAKE_YOUNG_PAIR(((obj_t)
																							BgL_funz00_1969),
																						BgL_arg1400z00_1998);
																				}
																				BgL_arg1388z00_1995 =
																					MAKE_YOUNG_PAIR(
																					((obj_t)
																						CNST_TABLE_REF(14)),
																					BgL_arg1392z00_1997);
																			}
																			{	/* Tools/trace.sch 53 */
																				BgL_nodez00_bglt BgL_arg1401z00_1999;
																				obj_t BgL_arg1402z00_2000;

																				BgL_arg1401z00_1999 =
																					BGl_convertz12z12zzcoerce_convertz00(
																					((BgL_nodez00_bglt)
																						((BgL_appzd2lyzd2_bglt)
																							BgL_nodez00_1913)),
																					((BgL_typez00_bglt)
																						BGl_za2objza2z00zztype_cachez00),
																					((BgL_typez00_bglt) BgL_toz00_1915),
																					CBOOL(BgL_safez00_1916));
																				{	/* Tools/trace.sch 53 */
																					BgL_nodez00_bglt BgL_arg1403z00_2001;

																					BgL_arg1403z00_2001 =
																						BGl_makezd2errorzd2nodez00zzcoerce_applyz00
																						(BgL_errorzd2msgzd2_1935,
																						BgL_locz00_1971, BgL_callerz00_1914,
																						BgL_toz00_1915);
																					BgL_arg1402z00_2000 =
																						MAKE_YOUNG_PAIR(((obj_t)
																							BgL_arg1403z00_2001), BNIL);
																				}
																				BgL_arg1390z00_1996 =
																					MAKE_YOUNG_PAIR(
																					((obj_t) BgL_arg1401z00_1999),
																					BgL_arg1402z00_2000);
																			}
																			BgL_arg1386z00_1994 =
																				MAKE_YOUNG_PAIR(BgL_arg1388z00_1995,
																				BgL_arg1390z00_1996);
																		}
																		BgL_arg1385z00_1993 =
																			MAKE_YOUNG_PAIR(
																			((obj_t)
																				CNST_TABLE_REF(15)),
																			BgL_arg1386z00_1994);
																	}
																	BgL_arg1367z00_1982 =
																		MAKE_YOUNG_PAIR(BgL_arg1385z00_1993, BNIL);
																}
																BgL_arg1364z00_1980 =
																	MAKE_YOUNG_PAIR(BgL_arg1365z00_1981,
																	BgL_arg1367z00_1982);
															}
															BgL_arg1361z00_1979 =
																MAKE_YOUNG_PAIR(
																((obj_t)
																	CNST_TABLE_REF(16)), BgL_arg1364z00_1980);
														}
														BgL_arg1360z00_1978 =
															BGl_topzd2levelzd2sexpzd2ze3nodez31zzast_sexpz00
															(BgL_arg1361z00_1979, BgL_locz00_1971);
													}
													BgL_bodyz00_1977 =
														BGl_lvtypezd2nodezd2zzast_lvtypez00
														(BgL_arg1360z00_1978);
												}
												{	/* Tools/trace.sch 53 */
													BgL_letzd2varzd2_bglt BgL_lnodez00_2002;

													{	/* Tools/trace.sch 53 */
														BgL_letzd2varzd2_bglt BgL_new1113z00_2003;

														{	/* Tools/trace.sch 53 */
															BgL_letzd2varzd2_bglt BgL_new1112z00_2004;

															BgL_new1112z00_2004 =
																((BgL_letzd2varzd2_bglt)
																BOBJECT(GC_MALLOC(sizeof(struct
																			BgL_letzd2varzd2_bgl))));
															{	/* Tools/trace.sch 53 */
																long BgL_arg1359z00_2005;

																BgL_arg1359z00_2005 =
																	BGL_CLASS_NUM(BGl_letzd2varzd2zzast_nodez00);
																BGL_OBJECT_CLASS_NUM_SET(
																	((BgL_objectz00_bglt) BgL_new1112z00_2004),
																	BgL_arg1359z00_2005);
															}
															{	/* Tools/trace.sch 53 */
																BgL_objectz00_bglt BgL_tmpz00_2334;

																BgL_tmpz00_2334 =
																	((BgL_objectz00_bglt) BgL_new1112z00_2004);
																BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2334,
																	BFALSE);
															}
															((BgL_objectz00_bglt) BgL_new1112z00_2004);
															BgL_new1113z00_2003 = BgL_new1112z00_2004;
														}
														((((BgL_nodez00_bglt) COBJECT(
																		((BgL_nodez00_bglt) BgL_new1113z00_2003)))->
																BgL_locz00) =
															((obj_t) BgL_locz00_1971), BUNSPEC);
														{
															BgL_typez00_bglt BgL_auxz00_2340;

															{	/* Tools/trace.sch 53 */
																BgL_typez00_bglt BgL_arg1340z00_2006;

																BgL_arg1340z00_2006 =
																	(((BgL_nodez00_bglt)
																		COBJECT(BgL_bodyz00_1977))->BgL_typez00);
																BgL_auxz00_2340 =
																	BGl_strictzd2nodezd2typez00zzast_nodez00
																	(BgL_arg1340z00_2006,
																	((BgL_typez00_bglt)
																		BGl_za2objza2z00zztype_cachez00));
															}
															((((BgL_nodez00_bglt) COBJECT(
																			((BgL_nodez00_bglt)
																				BgL_new1113z00_2003)))->BgL_typez00) =
																((BgL_typez00_bglt) BgL_auxz00_2340), BUNSPEC);
														}
														((((BgL_nodezf2effectzf2_bglt) COBJECT(
																		((BgL_nodezf2effectzf2_bglt)
																			BgL_new1113z00_2003)))->
																BgL_sidezd2effectzd2) =
															((obj_t) BUNSPEC), BUNSPEC);
														((((BgL_nodezf2effectzf2_bglt)
																	COBJECT(((BgL_nodezf2effectzf2_bglt)
																			BgL_new1113z00_2003)))->BgL_keyz00) =
															((obj_t) BINT((-1L))), BUNSPEC);
														{
															obj_t BgL_auxz00_2351;

															{	/* Tools/trace.sch 53 */
																obj_t BgL_arg1341z00_2007;
																obj_t BgL_arg1342z00_2008;

																BgL_arg1341z00_2007 =
																	MAKE_YOUNG_PAIR(
																	((obj_t) BgL_funz00_1969),
																	((obj_t) BgL_czd2funzd2_1941));
																{	/* Tools/trace.sch 53 */
																	BgL_nodez00_bglt BgL_arg1358z00_2009;

																	BgL_arg1358z00_2009 =
																		(((BgL_appzd2lyzd2_bglt) COBJECT(
																				((BgL_appzd2lyzd2_bglt)
																					BgL_nodez00_1913)))->BgL_argz00);
																	BgL_arg1342z00_2008 =
																		MAKE_YOUNG_PAIR(((obj_t) BgL_valz00_1970),
																		((obj_t) BgL_arg1358z00_2009));
																}
																{	/* Tools/trace.sch 53 */
																	obj_t BgL_list1343z00_2010;

																	{	/* Tools/trace.sch 53 */
																		obj_t BgL_arg1355z00_2011;

																		BgL_arg1355z00_2011 =
																			MAKE_YOUNG_PAIR(BgL_arg1342z00_2008,
																			BNIL);
																		BgL_list1343z00_2010 =
																			MAKE_YOUNG_PAIR(BgL_arg1341z00_2007,
																			BgL_arg1355z00_2011);
																	}
																	BgL_auxz00_2351 = BgL_list1343z00_2010;
															}}
															((((BgL_letzd2varzd2_bglt)
																		COBJECT(BgL_new1113z00_2003))->
																	BgL_bindingsz00) =
																((obj_t) BgL_auxz00_2351), BUNSPEC);
														}
														((((BgL_letzd2varzd2_bglt)
																	COBJECT(BgL_new1113z00_2003))->BgL_bodyz00) =
															((BgL_nodez00_bglt) BgL_bodyz00_1977), BUNSPEC);
														((((BgL_letzd2varzd2_bglt)
																	COBJECT(BgL_new1113z00_2003))->
																BgL_removablezf3zf3) =
															((bool_t) ((bool_t) 1)), BUNSPEC);
														BgL_lnodez00_2002 = BgL_new1113z00_2003;
													}
													{	/* Tools/trace.sch 53 */

														{	/* Tools/trace.sch 53 */
															BgL_refz00_bglt BgL_arg1332z00_2012;

															{	/* Tools/trace.sch 53 */
																BgL_refz00_bglt BgL_new1116z00_2013;

																{	/* Tools/trace.sch 53 */
																	BgL_refz00_bglt BgL_new1115z00_2014;

																	BgL_new1115z00_2014 =
																		((BgL_refz00_bglt)
																		BOBJECT(GC_MALLOC(sizeof(struct
																					BgL_refz00_bgl))));
																	{	/* Tools/trace.sch 53 */
																		long BgL_arg1333z00_2015;

																		BgL_arg1333z00_2015 =
																			BGL_CLASS_NUM(BGl_refz00zzast_nodez00);
																		BGL_OBJECT_CLASS_NUM_SET(
																			((BgL_objectz00_bglt)
																				BgL_new1115z00_2014),
																			BgL_arg1333z00_2015);
																	}
																	{	/* Tools/trace.sch 53 */
																		BgL_objectz00_bglt BgL_tmpz00_2369;

																		BgL_tmpz00_2369 =
																			((BgL_objectz00_bglt)
																			BgL_new1115z00_2014);
																		BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2369,
																			BFALSE);
																	}
																	((BgL_objectz00_bglt) BgL_new1115z00_2014);
																	BgL_new1116z00_2013 = BgL_new1115z00_2014;
																}
																((((BgL_nodez00_bglt) COBJECT(
																				((BgL_nodez00_bglt)
																					BgL_new1116z00_2013)))->BgL_locz00) =
																	((obj_t) BgL_locz00_1971), BUNSPEC);
																((((BgL_nodez00_bglt)
																			COBJECT(((BgL_nodez00_bglt)
																					BgL_new1116z00_2013)))->BgL_typez00) =
																	((BgL_typez00_bglt) ((BgL_typez00_bglt)
																			BGl_za2procedureza2z00zztype_cachez00)),
																	BUNSPEC);
																((((BgL_varz00_bglt) COBJECT(((BgL_varz00_bglt)
																					BgL_new1116z00_2013)))->
																		BgL_variablez00) =
																	((BgL_variablez00_bglt) (
																			(BgL_variablez00_bglt) BgL_funz00_1969)),
																	BUNSPEC);
																BgL_arg1332z00_2012 = BgL_new1116z00_2013;
															}
															((((BgL_appzd2lyzd2_bglt) COBJECT(
																			((BgL_appzd2lyzd2_bglt)
																				BgL_nodez00_1913)))->BgL_funz00) =
																((BgL_nodez00_bglt) ((BgL_nodez00_bglt)
																		BgL_arg1332z00_2012)), BUNSPEC);
														}
														{	/* Tools/trace.sch 53 */
															BgL_refz00_bglt BgL_arg1336z00_2016;

															{	/* Tools/trace.sch 53 */
																BgL_refz00_bglt BgL_new1120z00_2017;

																{	/* Tools/trace.sch 53 */
																	BgL_refz00_bglt BgL_new1118z00_2018;

																	BgL_new1118z00_2018 =
																		((BgL_refz00_bglt)
																		BOBJECT(GC_MALLOC(sizeof(struct
																					BgL_refz00_bgl))));
																	{	/* Tools/trace.sch 53 */
																		long BgL_arg1339z00_2019;

																		BgL_arg1339z00_2019 =
																			BGL_CLASS_NUM(BGl_refz00zzast_nodez00);
																		BGL_OBJECT_CLASS_NUM_SET(
																			((BgL_objectz00_bglt)
																				BgL_new1118z00_2018),
																			BgL_arg1339z00_2019);
																	}
																	{	/* Tools/trace.sch 53 */
																		BgL_objectz00_bglt BgL_tmpz00_2388;

																		BgL_tmpz00_2388 =
																			((BgL_objectz00_bglt)
																			BgL_new1118z00_2018);
																		BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2388,
																			BFALSE);
																	}
																	((BgL_objectz00_bglt) BgL_new1118z00_2018);
																	BgL_new1120z00_2017 = BgL_new1118z00_2018;
																}
																((((BgL_nodez00_bglt) COBJECT(
																				((BgL_nodez00_bglt)
																					BgL_new1120z00_2017)))->BgL_locz00) =
																	((obj_t) BgL_locz00_1971), BUNSPEC);
																{
																	BgL_typez00_bglt BgL_auxz00_2394;

																	{	/* Tools/trace.sch 53 */
																		BgL_typez00_bglt BgL_arg1338z00_2020;

																		BgL_arg1338z00_2020 =
																			(((BgL_variablez00_bglt) COBJECT(
																					((BgL_variablez00_bglt)
																						BgL_valz00_1970)))->BgL_typez00);
																		BgL_auxz00_2394 =
																			BGl_strictzd2nodezd2typez00zzast_nodez00
																			(BgL_arg1338z00_2020,
																			((BgL_typez00_bglt)
																				BGl_za2objza2z00zztype_cachez00));
																	}
																	((((BgL_nodez00_bglt) COBJECT(
																					((BgL_nodez00_bglt)
																						BgL_new1120z00_2017)))->
																			BgL_typez00) =
																		((BgL_typez00_bglt) BgL_auxz00_2394),
																		BUNSPEC);
																}
																((((BgL_varz00_bglt) COBJECT(
																				((BgL_varz00_bglt)
																					BgL_new1120z00_2017)))->
																		BgL_variablez00) =
																	((BgL_variablez00_bglt) (
																			(BgL_variablez00_bglt) BgL_valz00_1970)),
																	BUNSPEC);
																BgL_arg1336z00_2016 = BgL_new1120z00_2017;
															}
															((((BgL_appzd2lyzd2_bglt) COBJECT(
																			((BgL_appzd2lyzd2_bglt)
																				BgL_nodez00_1913)))->BgL_argz00) =
																((BgL_nodez00_bglt) ((BgL_nodez00_bglt)
																		BgL_arg1336z00_2016)), BUNSPEC);
														}
														return ((BgL_nodez00_bglt) BgL_lnodez00_2002);
													}
												}
											}
										}
									}
								}
							}
						}
				}
			}
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzcoerce_applyz00(void)
	{
		{	/* Coerce/apply.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(54713316L,
				BSTRING_TO_STRING(BGl_string1678z00zzcoerce_applyz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(161876678L,
				BSTRING_TO_STRING(BGl_string1678z00zzcoerce_applyz00));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(216206620L,
				BSTRING_TO_STRING(BGl_string1678z00zzcoerce_applyz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(365925558L,
				BSTRING_TO_STRING(BGl_string1678z00zzcoerce_applyz00));
			BGl_modulezd2initializa7ationz75zztools_locationz00(462333240L,
				BSTRING_TO_STRING(BGl_string1678z00zzcoerce_applyz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(300504031L,
				BSTRING_TO_STRING(BGl_string1678z00zzcoerce_applyz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(515343395L,
				BSTRING_TO_STRING(BGl_string1678z00zzcoerce_applyz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(489890788L,
				BSTRING_TO_STRING(BGl_string1678z00zzcoerce_applyz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(90839984L,
				BSTRING_TO_STRING(BGl_string1678z00zzcoerce_applyz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(469732712L,
				BSTRING_TO_STRING(BGl_string1678z00zzcoerce_applyz00));
			BGl_modulezd2initializa7ationz75zzast_sexpz00(163122759L,
				BSTRING_TO_STRING(BGl_string1678z00zzcoerce_applyz00));
			BGl_modulezd2initializa7ationz75zzast_localz00(315247917L,
				BSTRING_TO_STRING(BGl_string1678z00zzcoerce_applyz00));
			BGl_modulezd2initializa7ationz75zzast_lvtypez00(189769752L,
				BSTRING_TO_STRING(BGl_string1678z00zzcoerce_applyz00));
			BGl_modulezd2initializa7ationz75zzcoerce_coercez00(361167184L,
				BSTRING_TO_STRING(BGl_string1678z00zzcoerce_applyz00));
			return
				BGl_modulezd2initializa7ationz75zzcoerce_convertz00(87995645L,
				BSTRING_TO_STRING(BGl_string1678z00zzcoerce_applyz00));
		}

	}

#ifdef __cplusplus
}
#endif
