/*===========================================================================*/
/*   (Effect/walk.scm)                                                       */
/*   Bigloo (4.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Jan 27 07:45:49 AM CET 2025     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.6a/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.6a/lib/bigloo/4.6a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -stdc -indent Effect/walk.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL_EFFECT_WALK_TYPE_DEFINITIONS
#define BGL_EFFECT_WALK_TYPE_DEFINITIONS

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_nullz00;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_qualifiedzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_feffectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_readz00;
		obj_t BgL_writez00;
	}                 *BgL_feffectz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_localzf2fromzf2_bgl
	{
		obj_t BgL_fromz00;
	}                      *BgL_localzf2fromzf2_bglt;

	typedef struct BgL_globalzf2fromzf2_bgl
	{
		obj_t BgL_fromz00;
	}                       *BgL_globalzf2fromzf2_bglt;


#endif													// BGL_EFFECT_WALK_TYPE_DEFINITIONS
#endif													// BGL_MODULE_TYPE_DEFINITIONS

	extern obj_t BGl_za2destza2z00zzengine_paramz00;
	static obj_t BGl_requirezd2initializa7ationz75zzeffect_walkz00 = BUNSPEC;
	BGL_IMPORT obj_t bgl_display_obj(obj_t, obj_t);
	extern obj_t BGl_za2srczd2filesza2zd2zzengine_paramz00;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	extern obj_t BGl_getzd2varzf2sidezd2effectzf2zzeffect_cgraphz00(void);
	BGL_IMPORT bool_t BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(obj_t);
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzeffect_walkz00(void);
	static obj_t BGl_objectzd2initzd2zzeffect_walkz00(void);
	BGL_IMPORT bool_t BGl_2ze3ze3zz__r4_numbers_6_5z00(obj_t, obj_t);
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	BGL_EXPORTED_DECL obj_t BGl_effectzd2walkz12zc0zzeffect_walkz00(obj_t,
		bool_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzeffect_walkz00(void);
	static obj_t BGl_z62zc3z04anonymousza31340ze3ze5zzeffect_walkz00(obj_t);
	extern obj_t BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00;
	BGL_IMPORT obj_t BGl_openzd2outputzd2filez00zz__r4_ports_6_10_1z00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_writezd2effectzd2zzeffect_walkz00(obj_t);
	BGL_IMPORT obj_t string_append(obj_t, obj_t);
	extern obj_t BGl_feffectz12z12zzeffect_feffectz00(obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t bgl_close_output_port(obj_t);
	BGL_IMPORT obj_t BGl_exitz00zz__errorz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzeffect_walkz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzeffect_feffectz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzeffect_spreadz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzeffect_cgraphz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_passz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_localzf2fromzf2zzeffect_cgraphz00;
	extern obj_t BGl_feffectz00zzast_varz00;
	static obj_t BGl_cnstzd2initzd2zzeffect_walkz00(void);
	static obj_t BGl_libraryzd2moduleszd2initz00zzeffect_walkz00(void);
	static obj_t BGl_importedzd2moduleszd2initz00zzeffect_walkz00(void);
	BGL_IMPORT obj_t BGl_prefixz00zz__osz00(obj_t);
	static obj_t BGl_gczd2rootszd2initz00zzeffect_walkz00(void);
	static obj_t BGl_z62effectzd2walkz12za2zzeffect_walkz00(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_displayza2za2zz__r4_output_6_10_3z00(obj_t);
	static bool_t BGl_iteratezd2tozd2fixzd2pointz12zc0zzeffect_walkz00(obj_t);
	extern obj_t
		BGl_funzd2callzd2graphz12z12zzeffect_cgraphz00(BgL_variablez00_bglt);
	extern obj_t BGl_za2currentzd2passza2zd2zzengine_passz00;
	extern obj_t BGl_getzd2varzf2allz20zzeffect_cgraphz00(void);
	static obj_t BGl_z62writezd2effectzb0zzeffect_walkz00(obj_t, obj_t);
	extern obj_t BGl_globalzf2fromzf2zzeffect_cgraphz00;
	extern bool_t
		BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00(BgL_nodez00_bglt);
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	static obj_t __cnst[3];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_writezd2effectzd2envz00zzeffect_walkz00,
		BgL_bgl_za762writeza7d2effec1725z00,
		BGl_z62writezd2effectzb0zzeffect_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1701z00zzeffect_walkz00,
		BgL_bgl_string1701za700za7za7e1726za7, "Effect", 6);
	      DEFINE_STRING(BGl_string1702z00zzeffect_walkz00,
		BgL_bgl_string1702za700za7za7e1727za7, "   . ", 5);
	      DEFINE_STRING(BGl_string1703z00zzeffect_walkz00,
		BgL_bgl_string1703za700za7za7e1728za7, "failure during prelude hook", 27);
	      DEFINE_STRING(BGl_string1704z00zzeffect_walkz00,
		BgL_bgl_string1704za700za7za7e1729za7, " error", 6);
	      DEFINE_STRING(BGl_string1705z00zzeffect_walkz00,
		BgL_bgl_string1705za700za7za7e1730za7, "s", 1);
	      DEFINE_STRING(BGl_string1706z00zzeffect_walkz00,
		BgL_bgl_string1706za700za7za7e1731za7, "", 0);
	      DEFINE_STRING(BGl_string1707z00zzeffect_walkz00,
		BgL_bgl_string1707za700za7za7e1732za7, " occured, ending ...", 20);
	      DEFINE_STRING(BGl_string1708z00zzeffect_walkz00,
		BgL_bgl_string1708za700za7za7e1733za7, "failure during postlude hook", 28);
	      DEFINE_STRING(BGl_string1709z00zzeffect_walkz00,
		BgL_bgl_string1709za700za7za7e1734za7, " (effect", 8);
	      DEFINE_STRING(BGl_string1710z00zzeffect_walkz00,
		BgL_bgl_string1710za700za7za7e1735za7, "   (", 4);
	      DEFINE_STRING(BGl_string1711z00zzeffect_walkz00,
		BgL_bgl_string1711za700za7za7e1736za7, ")", 1);
	      DEFINE_STRING(BGl_string1712z00zzeffect_walkz00,
		BgL_bgl_string1712za700za7za7e1737za7, " (read ", 7);
	      DEFINE_STRING(BGl_string1713z00zzeffect_walkz00,
		BgL_bgl_string1713za700za7za7e1738za7, " (write ", 8);
	      DEFINE_STRING(BGl_string1714z00zzeffect_walkz00,
		BgL_bgl_string1714za700za7za7e1739za7, "))", 2);
	      DEFINE_STRING(BGl_string1715z00zzeffect_walkz00,
		BgL_bgl_string1715za700za7za7e1740za7, ".sch", 4);
	      DEFINE_STRING(BGl_string1716z00zzeffect_walkz00,
		BgL_bgl_string1716za700za7za7e1741za7, "(directives\n (pragma\n", 21);
	      DEFINE_STRING(BGl_string1717z00zzeffect_walkz00,
		BgL_bgl_string1717za700za7za7e1742za7, " ))\n", 4);
	      DEFINE_STRING(BGl_string1718z00zzeffect_walkz00,
		BgL_bgl_string1718za700za7za7e1743za7, "write-effect", 12);
	      DEFINE_STRING(BGl_string1719z00zzeffect_walkz00,
		BgL_bgl_string1719za700za7za7e1744za7, "Can't open output file", 22);
	      DEFINE_STRING(BGl_string1720z00zzeffect_walkz00,
		BgL_bgl_string1720za700za7za7e1745za7, "effect_walk", 11);
	      DEFINE_STRING(BGl_string1721z00zzeffect_walkz00,
		BgL_bgl_string1721za700za7za7e1746za7,
		"top (reset-effect-tables!) pass-started ", 40);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_effectzd2walkz12zd2envz12zzeffect_walkz00,
		BgL_bgl_za762effectza7d2walk1747z00,
		BGl_z62effectzd2walkz12za2zzeffect_walkz00, 0L, BUNSPEC, 2);
	extern obj_t BGl_resetzd2effectzd2tablesz12zd2envzc0zzeffect_cgraphz00;

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zzeffect_walkz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzeffect_walkz00(long
		BgL_checksumz00_2113, char *BgL_fromz00_2114)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzeffect_walkz00))
				{
					BGl_requirezd2initializa7ationz75zzeffect_walkz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzeffect_walkz00();
					BGl_libraryzd2moduleszd2initz00zzeffect_walkz00();
					BGl_cnstzd2initzd2zzeffect_walkz00();
					BGl_importedzd2moduleszd2initz00zzeffect_walkz00();
					return BGl_methodzd2initzd2zzeffect_walkz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzeffect_walkz00(void)
	{
		{	/* Effect/walk.scm 15 */
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(0L,
				"effect_walk");
			BGl_modulezd2initializa7ationz75zz__objectz00(0L, "effect_walk");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(0L,
				"effect_walk");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(0L, "effect_walk");
			BGl_modulezd2initializa7ationz75zz__readerz00(0L, "effect_walk");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(0L, "effect_walk");
			BGl_modulezd2initializa7ationz75zz__errorz00(0L, "effect_walk");
			BGl_modulezd2initializa7ationz75zz__osz00(0L, "effect_walk");
			BGl_modulezd2initializa7ationz75zz__bexitz00(0L, "effect_walk");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(0L, "effect_walk");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(0L,
				"effect_walk");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(0L, "effect_walk");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(0L,
				"effect_walk");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzeffect_walkz00(void)
	{
		{	/* Effect/walk.scm 15 */
			{	/* Effect/walk.scm 15 */
				obj_t BgL_cportz00_2101;

				{	/* Effect/walk.scm 15 */
					obj_t BgL_stringz00_2108;

					BgL_stringz00_2108 = BGl_string1721z00zzeffect_walkz00;
					{	/* Effect/walk.scm 15 */
						obj_t BgL_startz00_2109;

						BgL_startz00_2109 = BINT(0L);
						{	/* Effect/walk.scm 15 */
							obj_t BgL_endz00_2110;

							BgL_endz00_2110 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_2108)));
							{	/* Effect/walk.scm 15 */

								BgL_cportz00_2101 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_2108, BgL_startz00_2109, BgL_endz00_2110);
				}}}}
				{
					long BgL_iz00_2102;

					BgL_iz00_2102 = 2L;
				BgL_loopz00_2103:
					if ((BgL_iz00_2102 == (-1L)))
						{	/* Effect/walk.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Effect/walk.scm 15 */
							{	/* Effect/walk.scm 15 */
								obj_t BgL_arg1724z00_2104;

								{	/* Effect/walk.scm 15 */

									{	/* Effect/walk.scm 15 */
										obj_t BgL_locationz00_2106;

										BgL_locationz00_2106 = BBOOL(((bool_t) 0));
										{	/* Effect/walk.scm 15 */

											BgL_arg1724z00_2104 =
												BGl_readz00zz__readerz00(BgL_cportz00_2101,
												BgL_locationz00_2106);
										}
									}
								}
								{	/* Effect/walk.scm 15 */
									int BgL_tmpz00_2145;

									BgL_tmpz00_2145 = (int) (BgL_iz00_2102);
									CNST_TABLE_SET(BgL_tmpz00_2145, BgL_arg1724z00_2104);
							}}
							{	/* Effect/walk.scm 15 */
								int BgL_auxz00_2107;

								BgL_auxz00_2107 = (int) ((BgL_iz00_2102 - 1L));
								{
									long BgL_iz00_2150;

									BgL_iz00_2150 = (long) (BgL_auxz00_2107);
									BgL_iz00_2102 = BgL_iz00_2150;
									goto BgL_loopz00_2103;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzeffect_walkz00(void)
	{
		{	/* Effect/walk.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* effect-walk! */
	BGL_EXPORTED_DEF obj_t BGl_effectzd2walkz12zc0zzeffect_walkz00(obj_t
		BgL_globalsz00_3, bool_t BgL_feffectz00_4)
	{
		{	/* Effect/walk.scm 33 */
			{	/* Effect/walk.scm 34 */
				obj_t BgL_list1261z00_1497;

				{	/* Effect/walk.scm 34 */
					obj_t BgL_arg1262z00_1498;

					{	/* Effect/walk.scm 34 */
						obj_t BgL_arg1266z00_1499;

						BgL_arg1266z00_1499 =
							MAKE_YOUNG_PAIR(BCHAR(((unsigned char) 10)), BNIL);
						BgL_arg1262z00_1498 =
							MAKE_YOUNG_PAIR(BGl_string1701z00zzeffect_walkz00,
							BgL_arg1266z00_1499);
					}
					BgL_list1261z00_1497 =
						MAKE_YOUNG_PAIR(BGl_string1702z00zzeffect_walkz00,
						BgL_arg1262z00_1498);
				}
				BGl_verbosez00zztools_speekz00(BINT(1L), BgL_list1261z00_1497);
			}
			BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00 = BINT(0L);
			BGl_za2currentzd2passza2zd2zzengine_passz00 =
				BGl_string1701z00zzeffect_walkz00;
			{	/* Effect/walk.scm 34 */
				obj_t BgL_g1112z00_1500;

				BgL_g1112z00_1500 = BNIL;
				{
					obj_t BgL_hooksz00_1503;
					obj_t BgL_hnamesz00_1504;

					BgL_hooksz00_1503 = BgL_g1112z00_1500;
					BgL_hnamesz00_1504 = BNIL;
				BgL_zc3z04anonymousza31267ze3z87_1505:
					if (NULLP(BgL_hooksz00_1503))
						{	/* Effect/walk.scm 34 */
							((obj_t) CNST_TABLE_REF(0));
						}
					else
						{	/* Effect/walk.scm 34 */
							bool_t BgL_test1752z00_2164;

							{	/* Effect/walk.scm 34 */
								obj_t BgL_fun1275z00_1512;

								BgL_fun1275z00_1512 = CAR(((obj_t) BgL_hooksz00_1503));
								BgL_test1752z00_2164 =
									CBOOL(BGL_PROCEDURE_CALL0(BgL_fun1275z00_1512));
							}
							if (BgL_test1752z00_2164)
								{	/* Effect/walk.scm 34 */
									obj_t BgL_arg1272z00_1509;
									obj_t BgL_arg1273z00_1510;

									BgL_arg1272z00_1509 = CDR(((obj_t) BgL_hooksz00_1503));
									BgL_arg1273z00_1510 = CDR(((obj_t) BgL_hnamesz00_1504));
									{
										obj_t BgL_hnamesz00_2176;
										obj_t BgL_hooksz00_2175;

										BgL_hooksz00_2175 = BgL_arg1272z00_1509;
										BgL_hnamesz00_2176 = BgL_arg1273z00_1510;
										BgL_hnamesz00_1504 = BgL_hnamesz00_2176;
										BgL_hooksz00_1503 = BgL_hooksz00_2175;
										goto BgL_zc3z04anonymousza31267ze3z87_1505;
									}
								}
							else
								{	/* Effect/walk.scm 34 */
									obj_t BgL_arg1274z00_1511;

									BgL_arg1274z00_1511 = CAR(((obj_t) BgL_hnamesz00_1504));
									BGl_internalzd2errorzd2zztools_errorz00
										(BGl_string1701z00zzeffect_walkz00,
										BGl_string1703z00zzeffect_walkz00, BgL_arg1274z00_1511);
								}
						}
				}
			}
			{
				obj_t BgL_l1242z00_1516;

				BgL_l1242z00_1516 = BgL_globalsz00_3;
			BgL_zc3z04anonymousza31277ze3z87_1517:
				if (PAIRP(BgL_l1242z00_1516))
					{	/* Effect/walk.scm 37 */
						{	/* Effect/walk.scm 38 */
							obj_t BgL_globalz00_1519;

							BgL_globalz00_1519 = CAR(BgL_l1242z00_1516);
							BGl_funzd2callzd2graphz12z12zzeffect_cgraphz00(
								((BgL_variablez00_bglt) BgL_globalz00_1519));
						}
						{
							obj_t BgL_l1242z00_2185;

							BgL_l1242z00_2185 = CDR(BgL_l1242z00_1516);
							BgL_l1242z00_1516 = BgL_l1242z00_2185;
							goto BgL_zc3z04anonymousza31277ze3z87_1517;
						}
					}
				else
					{	/* Effect/walk.scm 37 */
						((bool_t) 1);
					}
			}
			BGl_iteratezd2tozd2fixzd2pointz12zc0zzeffect_walkz00
				(BGl_getzd2varzf2sidezd2effectzf2zzeffect_cgraphz00());
			{	/* Effect/walk.scm 46 */
				obj_t BgL_g1246z00_1523;

				BgL_g1246z00_1523 = BGl_getzd2varzf2allz20zzeffect_cgraphz00();
				{
					obj_t BgL_l1244z00_1525;

					BgL_l1244z00_1525 = BgL_g1246z00_1523;
				BgL_zc3z04anonymousza31281ze3z87_1526:
					if (PAIRP(BgL_l1244z00_1525))
						{	/* Effect/walk.scm 50 */
							{	/* Effect/walk.scm 47 */
								obj_t BgL_varz00_1528;

								BgL_varz00_1528 = CAR(BgL_l1244z00_1525);
								{	/* Effect/walk.scm 47 */
									BgL_valuez00_bglt BgL_funz00_1529;

									BgL_funz00_1529 =
										(((BgL_variablez00_bglt) COBJECT(
												((BgL_variablez00_bglt) BgL_varz00_1528)))->
										BgL_valuez00);
									if (((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
															BgL_funz00_1529)))->BgL_sidezd2effectzd2) ==
											BUNSPEC))
										{	/* Effect/walk.scm 48 */
											((((BgL_funz00_bglt) COBJECT(
															((BgL_funz00_bglt) BgL_funz00_1529)))->
													BgL_sidezd2effectzd2) = ((obj_t) BFALSE), BUNSPEC);
										}
									else
										{	/* Effect/walk.scm 48 */
											BFALSE;
										}
								}
							}
							{
								obj_t BgL_l1244z00_2201;

								BgL_l1244z00_2201 = CDR(BgL_l1244z00_1525);
								BgL_l1244z00_1525 = BgL_l1244z00_2201;
								goto BgL_zc3z04anonymousza31281ze3z87_1526;
							}
						}
					else
						{	/* Effect/walk.scm 50 */
							((bool_t) 1);
						}
				}
			}
			{
				obj_t BgL_l1247z00_1536;

				BgL_l1247z00_1536 = BgL_globalsz00_3;
			BgL_zc3z04anonymousza31289ze3z87_1537:
				if (PAIRP(BgL_l1247z00_1536))
					{	/* Effect/walk.scm 53 */
						{	/* Effect/walk.scm 54 */
							obj_t BgL_globalz00_1539;

							BgL_globalz00_1539 = CAR(BgL_l1247z00_1536);
							{	/* Effect/walk.scm 54 */
								obj_t BgL_arg1291z00_1540;

								BgL_arg1291z00_1540 =
									(((BgL_sfunz00_bglt) COBJECT(
											((BgL_sfunz00_bglt)
												(((BgL_variablez00_bglt) COBJECT(
															((BgL_variablez00_bglt)
																((BgL_globalz00_bglt) BgL_globalz00_1539))))->
													BgL_valuez00))))->BgL_bodyz00);
								BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00((
										(BgL_nodez00_bglt) BgL_arg1291z00_1540));
							}
						}
						{
							obj_t BgL_l1247z00_2213;

							BgL_l1247z00_2213 = CDR(BgL_l1247z00_1536);
							BgL_l1247z00_1536 = BgL_l1247z00_2213;
							goto BgL_zc3z04anonymousza31289ze3z87_1537;
						}
					}
				else
					{	/* Effect/walk.scm 53 */
						((bool_t) 1);
					}
			}
			if (BgL_feffectz00_4)
				{	/* Effect/walk.scm 59 */
					BGl_feffectz12z12zzeffect_feffectz00(BgL_globalsz00_3);
				}
			else
				{	/* Effect/walk.scm 59 */
					BFALSE;
				}
			if (
				((long) CINT(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00) > 0L))
				{	/* Effect/walk.scm 62 */
					{	/* Effect/walk.scm 62 */
						obj_t BgL_port1249z00_1546;

						{	/* Effect/walk.scm 62 */
							obj_t BgL_tmpz00_2220;

							BgL_tmpz00_2220 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_port1249z00_1546 =
								BGL_ENV_CURRENT_ERROR_PORT(BgL_tmpz00_2220);
						}
						bgl_display_obj(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00,
							BgL_port1249z00_1546);
						bgl_display_string(BGl_string1704z00zzeffect_walkz00,
							BgL_port1249z00_1546);
						{	/* Effect/walk.scm 62 */
							obj_t BgL_arg1295z00_1547;

							{	/* Effect/walk.scm 62 */
								bool_t BgL_test1760z00_2225;

								if (BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00
									(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00))
									{	/* Effect/walk.scm 62 */
										if (INTEGERP
											(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00))
											{	/* Effect/walk.scm 62 */
												BgL_test1760z00_2225 =
													(
													(long)
													CINT
													(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00)
													> 1L);
											}
										else
											{	/* Effect/walk.scm 62 */
												BgL_test1760z00_2225 =
													BGl_2ze3ze3zz__r4_numbers_6_5z00
													(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00,
													BINT(1L));
											}
									}
								else
									{	/* Effect/walk.scm 62 */
										BgL_test1760z00_2225 = ((bool_t) 0);
									}
								if (BgL_test1760z00_2225)
									{	/* Effect/walk.scm 62 */
										BgL_arg1295z00_1547 = BGl_string1705z00zzeffect_walkz00;
									}
								else
									{	/* Effect/walk.scm 62 */
										BgL_arg1295z00_1547 = BGl_string1706z00zzeffect_walkz00;
									}
							}
							bgl_display_obj(BgL_arg1295z00_1547, BgL_port1249z00_1546);
						}
						bgl_display_string(BGl_string1707z00zzeffect_walkz00,
							BgL_port1249z00_1546);
						bgl_display_char(((unsigned char) 10), BgL_port1249z00_1546);
					}
					{	/* Effect/walk.scm 62 */
						obj_t BgL_list1298z00_1551;

						BgL_list1298z00_1551 = MAKE_YOUNG_PAIR(BINT((-1L)), BNIL);
						return BGl_exitz00zz__errorz00(BgL_list1298z00_1551);
					}
				}
			else
				{	/* Effect/walk.scm 62 */
					obj_t BgL_g1114z00_1552;
					obj_t BgL_g1115z00_1553;

					{	/* Effect/walk.scm 62 */
						obj_t BgL_list1313z00_1566;

						BgL_list1313z00_1566 =
							MAKE_YOUNG_PAIR
							(BGl_resetzd2effectzd2tablesz12zd2envzc0zzeffect_cgraphz00, BNIL);
						BgL_g1114z00_1552 = BgL_list1313z00_1566;
					}
					BgL_g1115z00_1553 = ((obj_t) CNST_TABLE_REF(1));
					{
						obj_t BgL_hooksz00_1555;
						obj_t BgL_hnamesz00_1556;

						BgL_hooksz00_1555 = BgL_g1114z00_1552;
						BgL_hnamesz00_1556 = BgL_g1115z00_1553;
					BgL_zc3z04anonymousza31299ze3z87_1557:
						if (NULLP(BgL_hooksz00_1555))
							{	/* Effect/walk.scm 62 */
								return BgL_globalsz00_3;
							}
						else
							{	/* Effect/walk.scm 62 */
								bool_t BgL_test1768z00_2245;

								{	/* Effect/walk.scm 62 */
									obj_t BgL_fun1312z00_1564;

									BgL_fun1312z00_1564 = CAR(((obj_t) BgL_hooksz00_1555));
									BgL_test1768z00_2245 =
										CBOOL(BGL_PROCEDURE_CALL0(BgL_fun1312z00_1564));
								}
								if (BgL_test1768z00_2245)
									{	/* Effect/walk.scm 62 */
										obj_t BgL_arg1309z00_1561;
										obj_t BgL_arg1310z00_1562;

										BgL_arg1309z00_1561 = CDR(((obj_t) BgL_hooksz00_1555));
										BgL_arg1310z00_1562 = CDR(((obj_t) BgL_hnamesz00_1556));
										{
											obj_t BgL_hnamesz00_2257;
											obj_t BgL_hooksz00_2256;

											BgL_hooksz00_2256 = BgL_arg1309z00_1561;
											BgL_hnamesz00_2257 = BgL_arg1310z00_1562;
											BgL_hnamesz00_1556 = BgL_hnamesz00_2257;
											BgL_hooksz00_1555 = BgL_hooksz00_2256;
											goto BgL_zc3z04anonymousza31299ze3z87_1557;
										}
									}
								else
									{	/* Effect/walk.scm 62 */
										obj_t BgL_arg1311z00_1563;

										BgL_arg1311z00_1563 = CAR(((obj_t) BgL_hnamesz00_1556));
										return
											BGl_internalzd2errorzd2zztools_errorz00
											(BGl_za2currentzd2passza2zd2zzengine_passz00,
											BGl_string1708z00zzeffect_walkz00, BgL_arg1311z00_1563);
									}
							}
					}
				}
		}

	}



/* &effect-walk! */
	obj_t BGl_z62effectzd2walkz12za2zzeffect_walkz00(obj_t BgL_envz00_2092,
		obj_t BgL_globalsz00_2093, obj_t BgL_feffectz00_2094)
	{
		{	/* Effect/walk.scm 33 */
			return
				BGl_effectzd2walkz12zc0zzeffect_walkz00(BgL_globalsz00_2093,
				CBOOL(BgL_feffectz00_2094));
		}

	}



/* iterate-to-fix-point! */
	bool_t BGl_iteratezd2tozd2fixzd2pointz12zc0zzeffect_walkz00(obj_t BgL_wz00_5)
	{
		{	/* Effect/walk.scm 67 */
			if (PAIRP(BgL_wz00_5))
				{
					obj_t BgL_l1250z00_1569;

					BgL_l1250z00_1569 = BgL_wz00_5;
				BgL_zc3z04anonymousza31315ze3z87_1570:
					if (PAIRP(BgL_l1250z00_1569))
						{	/* Effect/walk.scm 69 */
							{	/* Effect/walk.scm 71 */
								obj_t BgL_varz00_1572;

								BgL_varz00_1572 = CAR(BgL_l1250z00_1569);
								{	/* Effect/walk.scm 71 */
									BgL_valuez00_bglt BgL_funz00_1573;

									BgL_funz00_1573 =
										(((BgL_variablez00_bglt) COBJECT(
												((BgL_variablez00_bglt) BgL_varz00_1572)))->
										BgL_valuez00);
									if (((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
															BgL_funz00_1573)))->BgL_sidezd2effectzd2) ==
											BTRUE))
										{	/* Effect/walk.scm 72 */
											((bool_t) 0);
										}
									else
										{	/* Effect/walk.scm 72 */
											((((BgL_funz00_bglt) COBJECT(
															((BgL_funz00_bglt) BgL_funz00_1573)))->
													BgL_sidezd2effectzd2) = ((obj_t) BTRUE), BUNSPEC);
											{	/* Effect/walk.scm 75 */
												bool_t BgL_test1774z00_2276;

												{	/* Effect/walk.scm 75 */
													obj_t BgL_classz00_1853;

													BgL_classz00_1853 =
														BGl_localzf2fromzf2zzeffect_cgraphz00;
													if (BGL_OBJECTP(BgL_varz00_1572))
														{	/* Effect/walk.scm 75 */
															BgL_objectz00_bglt BgL_arg1858z00_1855;

															BgL_arg1858z00_1855 =
																(BgL_objectz00_bglt) (BgL_varz00_1572);
															if (BGL_CONDEXPAND_ISA_ARCH64())
																{	/* Effect/walk.scm 75 */
																	long BgL_idxz00_1861;

																	BgL_idxz00_1861 =
																		BGL_OBJECT_INHERITANCE_NUM
																		(BgL_arg1858z00_1855);
																	BgL_test1774z00_2276 =
																		(VECTOR_REF
																		(BGl_za2inheritancesza2z00zz__objectz00,
																			(BgL_idxz00_1861 + 3L)) ==
																		BgL_classz00_1853);
																}
															else
																{	/* Effect/walk.scm 75 */
																	bool_t BgL_res1695z00_1886;

																	{	/* Effect/walk.scm 75 */
																		obj_t BgL_oclassz00_1869;

																		{	/* Effect/walk.scm 75 */
																			obj_t BgL_arg1866z00_1877;
																			long BgL_arg1867z00_1878;

																			BgL_arg1866z00_1877 =
																				(BGl_za2classesza2z00zz__objectz00);
																			{	/* Effect/walk.scm 75 */
																				long BgL_arg1869z00_1879;

																				BgL_arg1869z00_1879 =
																					BGL_OBJECT_CLASS_NUM
																					(BgL_arg1858z00_1855);
																				BgL_arg1867z00_1878 =
																					(BgL_arg1869z00_1879 - OBJECT_TYPE);
																			}
																			BgL_oclassz00_1869 =
																				VECTOR_REF(BgL_arg1866z00_1877,
																				BgL_arg1867z00_1878);
																		}
																		{	/* Effect/walk.scm 75 */
																			bool_t BgL__ortest_1115z00_1870;

																			BgL__ortest_1115z00_1870 =
																				(BgL_classz00_1853 ==
																				BgL_oclassz00_1869);
																			if (BgL__ortest_1115z00_1870)
																				{	/* Effect/walk.scm 75 */
																					BgL_res1695z00_1886 =
																						BgL__ortest_1115z00_1870;
																				}
																			else
																				{	/* Effect/walk.scm 75 */
																					long BgL_odepthz00_1871;

																					{	/* Effect/walk.scm 75 */
																						obj_t BgL_arg1855z00_1872;

																						BgL_arg1855z00_1872 =
																							(BgL_oclassz00_1869);
																						BgL_odepthz00_1871 =
																							BGL_CLASS_DEPTH
																							(BgL_arg1855z00_1872);
																					}
																					if ((3L < BgL_odepthz00_1871))
																						{	/* Effect/walk.scm 75 */
																							obj_t BgL_arg1853z00_1874;

																							{	/* Effect/walk.scm 75 */
																								obj_t BgL_arg1854z00_1875;

																								BgL_arg1854z00_1875 =
																									(BgL_oclassz00_1869);
																								BgL_arg1853z00_1874 =
																									BGL_CLASS_ANCESTORS_REF
																									(BgL_arg1854z00_1875, 3L);
																							}
																							BgL_res1695z00_1886 =
																								(BgL_arg1853z00_1874 ==
																								BgL_classz00_1853);
																						}
																					else
																						{	/* Effect/walk.scm 75 */
																							BgL_res1695z00_1886 =
																								((bool_t) 0);
																						}
																				}
																		}
																	}
																	BgL_test1774z00_2276 = BgL_res1695z00_1886;
																}
														}
													else
														{	/* Effect/walk.scm 75 */
															BgL_test1774z00_2276 = ((bool_t) 0);
														}
												}
												if (BgL_test1774z00_2276)
													{	/* Effect/walk.scm 76 */
														obj_t BgL_arg1320z00_1577;

														{
															BgL_localzf2fromzf2_bglt BgL_auxz00_2299;

															{
																obj_t BgL_auxz00_2300;

																{	/* Effect/walk.scm 76 */
																	BgL_objectz00_bglt BgL_tmpz00_2301;

																	BgL_tmpz00_2301 =
																		((BgL_objectz00_bglt)
																		((BgL_localz00_bglt) BgL_varz00_1572));
																	BgL_auxz00_2300 =
																		BGL_OBJECT_WIDENING(BgL_tmpz00_2301);
																}
																BgL_auxz00_2299 =
																	((BgL_localzf2fromzf2_bglt) BgL_auxz00_2300);
															}
															BgL_arg1320z00_1577 =
																(((BgL_localzf2fromzf2_bglt)
																	COBJECT(BgL_auxz00_2299))->BgL_fromz00);
														}
														BGl_iteratezd2tozd2fixzd2pointz12zc0zzeffect_walkz00
															(BgL_arg1320z00_1577);
													}
												else
													{	/* Effect/walk.scm 77 */
														bool_t BgL_test1779z00_2308;

														{	/* Effect/walk.scm 77 */
															obj_t BgL_classz00_1889;

															BgL_classz00_1889 =
																BGl_globalzf2fromzf2zzeffect_cgraphz00;
															if (BGL_OBJECTP(BgL_varz00_1572))
																{	/* Effect/walk.scm 77 */
																	BgL_objectz00_bglt BgL_arg1858z00_1891;

																	BgL_arg1858z00_1891 =
																		(BgL_objectz00_bglt) (BgL_varz00_1572);
																	if (BGL_CONDEXPAND_ISA_ARCH64())
																		{	/* Effect/walk.scm 77 */
																			long BgL_idxz00_1897;

																			BgL_idxz00_1897 =
																				BGL_OBJECT_INHERITANCE_NUM
																				(BgL_arg1858z00_1891);
																			BgL_test1779z00_2308 =
																				(VECTOR_REF
																				(BGl_za2inheritancesza2z00zz__objectz00,
																					(BgL_idxz00_1897 + 3L)) ==
																				BgL_classz00_1889);
																		}
																	else
																		{	/* Effect/walk.scm 77 */
																			bool_t BgL_res1696z00_1922;

																			{	/* Effect/walk.scm 77 */
																				obj_t BgL_oclassz00_1905;

																				{	/* Effect/walk.scm 77 */
																					obj_t BgL_arg1866z00_1913;
																					long BgL_arg1867z00_1914;

																					BgL_arg1866z00_1913 =
																						(BGl_za2classesza2z00zz__objectz00);
																					{	/* Effect/walk.scm 77 */
																						long BgL_arg1869z00_1915;

																						BgL_arg1869z00_1915 =
																							BGL_OBJECT_CLASS_NUM
																							(BgL_arg1858z00_1891);
																						BgL_arg1867z00_1914 =
																							(BgL_arg1869z00_1915 -
																							OBJECT_TYPE);
																					}
																					BgL_oclassz00_1905 =
																						VECTOR_REF(BgL_arg1866z00_1913,
																						BgL_arg1867z00_1914);
																				}
																				{	/* Effect/walk.scm 77 */
																					bool_t BgL__ortest_1115z00_1906;

																					BgL__ortest_1115z00_1906 =
																						(BgL_classz00_1889 ==
																						BgL_oclassz00_1905);
																					if (BgL__ortest_1115z00_1906)
																						{	/* Effect/walk.scm 77 */
																							BgL_res1696z00_1922 =
																								BgL__ortest_1115z00_1906;
																						}
																					else
																						{	/* Effect/walk.scm 77 */
																							long BgL_odepthz00_1907;

																							{	/* Effect/walk.scm 77 */
																								obj_t BgL_arg1855z00_1908;

																								BgL_arg1855z00_1908 =
																									(BgL_oclassz00_1905);
																								BgL_odepthz00_1907 =
																									BGL_CLASS_DEPTH
																									(BgL_arg1855z00_1908);
																							}
																							if ((3L < BgL_odepthz00_1907))
																								{	/* Effect/walk.scm 77 */
																									obj_t BgL_arg1853z00_1910;

																									{	/* Effect/walk.scm 77 */
																										obj_t BgL_arg1854z00_1911;

																										BgL_arg1854z00_1911 =
																											(BgL_oclassz00_1905);
																										BgL_arg1853z00_1910 =
																											BGL_CLASS_ANCESTORS_REF
																											(BgL_arg1854z00_1911, 3L);
																									}
																									BgL_res1696z00_1922 =
																										(BgL_arg1853z00_1910 ==
																										BgL_classz00_1889);
																								}
																							else
																								{	/* Effect/walk.scm 77 */
																									BgL_res1696z00_1922 =
																										((bool_t) 0);
																								}
																						}
																				}
																			}
																			BgL_test1779z00_2308 =
																				BgL_res1696z00_1922;
																		}
																}
															else
																{	/* Effect/walk.scm 77 */
																	BgL_test1779z00_2308 = ((bool_t) 0);
																}
														}
														if (BgL_test1779z00_2308)
															{	/* Effect/walk.scm 78 */
																obj_t BgL_arg1322z00_1579;

																{
																	BgL_globalzf2fromzf2_bglt BgL_auxz00_2331;

																	{
																		obj_t BgL_auxz00_2332;

																		{	/* Effect/walk.scm 78 */
																			BgL_objectz00_bglt BgL_tmpz00_2333;

																			BgL_tmpz00_2333 =
																				((BgL_objectz00_bglt)
																				((BgL_globalz00_bglt) BgL_varz00_1572));
																			BgL_auxz00_2332 =
																				BGL_OBJECT_WIDENING(BgL_tmpz00_2333);
																		}
																		BgL_auxz00_2331 =
																			((BgL_globalzf2fromzf2_bglt)
																			BgL_auxz00_2332);
																	}
																	BgL_arg1322z00_1579 =
																		(((BgL_globalzf2fromzf2_bglt)
																			COBJECT(BgL_auxz00_2331))->BgL_fromz00);
																}
																BGl_iteratezd2tozd2fixzd2pointz12zc0zzeffect_walkz00
																	(BgL_arg1322z00_1579);
															}
														else
															{	/* Effect/walk.scm 77 */
																((bool_t) 0);
															}
													}
											}
										}
								}
							}
							{
								obj_t BgL_l1250z00_2340;

								BgL_l1250z00_2340 = CDR(BgL_l1250z00_1569);
								BgL_l1250z00_1569 = BgL_l1250z00_2340;
								goto BgL_zc3z04anonymousza31315ze3z87_1570;
							}
						}
					else
						{	/* Effect/walk.scm 69 */
							return ((bool_t) 1);
						}
				}
			else
				{	/* Effect/walk.scm 68 */
					return ((bool_t) 0);
				}
		}

	}



/* write-effect */
	BGL_EXPORTED_DEF obj_t BGl_writezd2effectzd2zzeffect_walkz00(obj_t
		BgL_globalsz00_6)
	{
		{	/* Effect/walk.scm 84 */
			{
				obj_t BgL_gz00_1615;

				{	/* Effect/walk.scm 95 */
					obj_t BgL_onamez00_1584;

					if (STRINGP(BGl_za2destza2z00zzengine_paramz00))
						{	/* Effect/walk.scm 95 */
							BgL_onamez00_1584 = BGl_za2destza2z00zzengine_paramz00;
						}
					else
						{	/* Effect/walk.scm 97 */
							bool_t BgL_test1787z00_2344;

							if (PAIRP(BGl_za2srczd2filesza2zd2zzengine_paramz00))
								{	/* Effect/walk.scm 97 */
									obj_t BgL_tmpz00_2347;

									BgL_tmpz00_2347 =
										CAR(BGl_za2srczd2filesza2zd2zzengine_paramz00);
									BgL_test1787z00_2344 = STRINGP(BgL_tmpz00_2347);
								}
							else
								{	/* Effect/walk.scm 97 */
									BgL_test1787z00_2344 = ((bool_t) 0);
								}
							if (BgL_test1787z00_2344)
								{	/* Effect/walk.scm 97 */
									BgL_onamez00_1584 =
										string_append(BGl_prefixz00zz__osz00(CAR
											(BGl_za2srczd2filesza2zd2zzengine_paramz00)),
										BGl_string1715z00zzeffect_walkz00);
								}
							else
								{	/* Effect/walk.scm 97 */
									BgL_onamez00_1584 = BFALSE;
								}
						}
					{	/* Effect/walk.scm 95 */
						obj_t BgL_portz00_1585;

						if (STRINGP(BgL_onamez00_1584))
							{	/* Effect/walk.scm 101 */

								BgL_portz00_1585 =
									BGl_openzd2outputzd2filez00zz__r4_ports_6_10_1z00
									(BgL_onamez00_1584, BTRUE);
							}
						else
							{	/* Effect/walk.scm 102 */
								obj_t BgL_tmpz00_2356;

								BgL_tmpz00_2356 = BGL_CURRENT_DYNAMIC_ENV();
								BgL_portz00_1585 = BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_2356);
							}
						{	/* Effect/walk.scm 100 */

							if (OUTPUT_PORTP(BgL_portz00_1585))
								{	/* Effect/walk.scm 105 */
									obj_t BgL_exitd1117z00_1587;

									BgL_exitd1117z00_1587 = BGL_EXITD_TOP_AS_OBJ();
									{	/* Effect/walk.scm 110 */
										obj_t BgL_zc3z04anonymousza31340ze3z87_2096;

										BgL_zc3z04anonymousza31340ze3z87_2096 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3z04anonymousza31340ze3ze5zzeffect_walkz00,
											(int) (0L), (int) (1L));
										PROCEDURE_SET(BgL_zc3z04anonymousza31340ze3z87_2096,
											(int) (0L), BgL_portz00_1585);
										{	/* Effect/walk.scm 105 */
											obj_t BgL_arg1881z00_1973;

											{	/* Effect/walk.scm 105 */
												obj_t BgL_arg1883z00_1974;

												BgL_arg1883z00_1974 =
													BGL_EXITD_PROTECT(BgL_exitd1117z00_1587);
												BgL_arg1881z00_1973 =
													MAKE_YOUNG_PAIR(BgL_zc3z04anonymousza31340ze3z87_2096,
													BgL_arg1883z00_1974);
											}
											BGL_EXITD_PROTECT_SET(BgL_exitd1117z00_1587,
												BgL_arg1881z00_1973);
											BUNSPEC;
										}
										{	/* Effect/walk.scm 107 */
											obj_t BgL_tmp1119z00_1589;

											{	/* Effect/walk.scm 107 */
												obj_t BgL_arg1331z00_1590;

												{	/* Effect/walk.scm 107 */
													obj_t BgL_tmpz00_2370;

													BgL_tmpz00_2370 = BGL_CURRENT_DYNAMIC_ENV();
													BgL_arg1331z00_1590 =
														BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_2370);
												}
												bgl_display_string(BGl_string1716z00zzeffect_walkz00,
													BgL_arg1331z00_1590);
											}
											{
												obj_t BgL_l1253z00_1592;

												BgL_l1253z00_1592 = BgL_globalsz00_6;
											BgL_zc3z04anonymousza31332ze3z87_1593:
												if (PAIRP(BgL_l1253z00_1592))
													{	/* Effect/walk.scm 108 */
														BgL_gz00_1615 = CAR(BgL_l1253z00_1592);
														{	/* Effect/walk.scm 86 */
															obj_t BgL_fez00_1617;

															BgL_fez00_1617 =
																(((BgL_funz00_bglt) COBJECT(
																		((BgL_funz00_bglt)
																			(((BgL_variablez00_bglt) COBJECT(
																						((BgL_variablez00_bglt)
																							BgL_gz00_1615)))->
																				BgL_valuez00))))->BgL_effectz00);
															{	/* Effect/walk.scm 87 */
																bool_t BgL_test1793z00_2380;

																{	/* Effect/walk.scm 87 */
																	obj_t BgL_classz00_1928;

																	BgL_classz00_1928 =
																		BGl_feffectz00zzast_varz00;
																	if (BGL_OBJECTP(BgL_fez00_1617))
																		{	/* Effect/walk.scm 87 */
																			BgL_objectz00_bglt BgL_arg1858z00_1930;

																			BgL_arg1858z00_1930 =
																				(BgL_objectz00_bglt) (BgL_fez00_1617);
																			if (BGL_CONDEXPAND_ISA_ARCH64())
																				{	/* Effect/walk.scm 87 */
																					long BgL_idxz00_1936;

																					BgL_idxz00_1936 =
																						BGL_OBJECT_INHERITANCE_NUM
																						(BgL_arg1858z00_1930);
																					BgL_test1793z00_2380 =
																						(VECTOR_REF
																						(BGl_za2inheritancesza2z00zz__objectz00,
																							(BgL_idxz00_1936 + 1L)) ==
																						BgL_classz00_1928);
																				}
																			else
																				{	/* Effect/walk.scm 87 */
																					bool_t BgL_res1697z00_1961;

																					{	/* Effect/walk.scm 87 */
																						obj_t BgL_oclassz00_1944;

																						{	/* Effect/walk.scm 87 */
																							obj_t BgL_arg1866z00_1952;
																							long BgL_arg1867z00_1953;

																							BgL_arg1866z00_1952 =
																								(BGl_za2classesza2z00zz__objectz00);
																							{	/* Effect/walk.scm 87 */
																								long BgL_arg1869z00_1954;

																								BgL_arg1869z00_1954 =
																									BGL_OBJECT_CLASS_NUM
																									(BgL_arg1858z00_1930);
																								BgL_arg1867z00_1953 =
																									(BgL_arg1869z00_1954 -
																									OBJECT_TYPE);
																							}
																							BgL_oclassz00_1944 =
																								VECTOR_REF(BgL_arg1866z00_1952,
																								BgL_arg1867z00_1953);
																						}
																						{	/* Effect/walk.scm 87 */
																							bool_t BgL__ortest_1115z00_1945;

																							BgL__ortest_1115z00_1945 =
																								(BgL_classz00_1928 ==
																								BgL_oclassz00_1944);
																							if (BgL__ortest_1115z00_1945)
																								{	/* Effect/walk.scm 87 */
																									BgL_res1697z00_1961 =
																										BgL__ortest_1115z00_1945;
																								}
																							else
																								{	/* Effect/walk.scm 87 */
																									long BgL_odepthz00_1946;

																									{	/* Effect/walk.scm 87 */
																										obj_t BgL_arg1855z00_1947;

																										BgL_arg1855z00_1947 =
																											(BgL_oclassz00_1944);
																										BgL_odepthz00_1946 =
																											BGL_CLASS_DEPTH
																											(BgL_arg1855z00_1947);
																									}
																									if ((1L < BgL_odepthz00_1946))
																										{	/* Effect/walk.scm 87 */
																											obj_t BgL_arg1853z00_1949;

																											{	/* Effect/walk.scm 87 */
																												obj_t
																													BgL_arg1854z00_1950;
																												BgL_arg1854z00_1950 =
																													(BgL_oclassz00_1944);
																												BgL_arg1853z00_1949 =
																													BGL_CLASS_ANCESTORS_REF
																													(BgL_arg1854z00_1950,
																													1L);
																											}
																											BgL_res1697z00_1961 =
																												(BgL_arg1853z00_1949 ==
																												BgL_classz00_1928);
																										}
																									else
																										{	/* Effect/walk.scm 87 */
																											BgL_res1697z00_1961 =
																												((bool_t) 0);
																										}
																								}
																						}
																					}
																					BgL_test1793z00_2380 =
																						BgL_res1697z00_1961;
																				}
																		}
																	else
																		{	/* Effect/walk.scm 87 */
																			BgL_test1793z00_2380 = ((bool_t) 0);
																		}
																}
																if (BgL_test1793z00_2380)
																	{	/* Effect/walk.scm 89 */
																		bool_t BgL_test1800z00_2403;

																		if (
																			((((BgL_feffectz00_bglt) COBJECT(
																							((BgL_feffectz00_bglt)
																								BgL_fez00_1617)))->
																					BgL_readz00) ==
																				((obj_t) CNST_TABLE_REF(2))))
																			{	/* Effect/walk.scm 89 */
																				BgL_test1800z00_2403 =
																					(
																					(((BgL_feffectz00_bglt) COBJECT(
																								((BgL_feffectz00_bglt)
																									BgL_fez00_1617)))->
																						BgL_writez00) ==
																					((obj_t) CNST_TABLE_REF(2)));
																			}
																		else
																			{	/* Effect/walk.scm 89 */
																				BgL_test1800z00_2403 = ((bool_t) 0);
																			}
																		if (BgL_test1800z00_2403)
																			{	/* Effect/walk.scm 89 */
																				BFALSE;
																			}
																		else
																			{	/* Effect/walk.scm 89 */
																				{	/* Effect/walk.scm 91 */
																					obj_t BgL_arg1385z00_1625;

																					BgL_arg1385z00_1625 =
																						BGl_shapez00zztools_shapez00
																						(BgL_gz00_1615);
																					{	/* Effect/walk.scm 91 */
																						obj_t BgL_list1386z00_1626;

																						{	/* Effect/walk.scm 91 */
																							obj_t BgL_arg1388z00_1627;

																							{	/* Effect/walk.scm 91 */
																								obj_t BgL_arg1390z00_1628;

																								BgL_arg1390z00_1628 =
																									MAKE_YOUNG_PAIR
																									(BGl_string1709z00zzeffect_walkz00,
																									BNIL);
																								BgL_arg1388z00_1627 =
																									MAKE_YOUNG_PAIR
																									(BgL_arg1385z00_1625,
																									BgL_arg1390z00_1628);
																							}
																							BgL_list1386z00_1626 =
																								MAKE_YOUNG_PAIR
																								(BGl_string1710z00zzeffect_walkz00,
																								BgL_arg1388z00_1627);
																						}
																						BGl_displayza2za2zz__r4_output_6_10_3z00
																							(BgL_list1386z00_1626);
																					}
																				}
																				if (NULLP(
																						(((BgL_feffectz00_bglt) COBJECT(
																									((BgL_feffectz00_bglt)
																										BgL_fez00_1617)))->
																							BgL_readz00)))
																					{	/* Effect/walk.scm 92 */
																						BFALSE;
																					}
																				else
																					{	/* Effect/walk.scm 92 */
																						obj_t BgL_arg1400z00_1631;

																						BgL_arg1400z00_1631 =
																							(((BgL_feffectz00_bglt) COBJECT(
																									((BgL_feffectz00_bglt)
																										BgL_fez00_1617)))->
																							BgL_readz00);
																						{	/* Effect/walk.scm 92 */
																							obj_t BgL_list1401z00_1632;

																							{	/* Effect/walk.scm 92 */
																								obj_t BgL_arg1402z00_1633;

																								{	/* Effect/walk.scm 92 */
																									obj_t BgL_arg1403z00_1634;

																									BgL_arg1403z00_1634 =
																										MAKE_YOUNG_PAIR
																										(BGl_string1711z00zzeffect_walkz00,
																										BNIL);
																									BgL_arg1402z00_1633 =
																										MAKE_YOUNG_PAIR
																										(BgL_arg1400z00_1631,
																										BgL_arg1403z00_1634);
																								}
																								BgL_list1401z00_1632 =
																									MAKE_YOUNG_PAIR
																									(BGl_string1712z00zzeffect_walkz00,
																									BgL_arg1402z00_1633);
																							}
																							BGl_displayza2za2zz__r4_output_6_10_3z00
																								(BgL_list1401z00_1632);
																						}
																					}
																				if (NULLP(
																						(((BgL_feffectz00_bglt) COBJECT(
																									((BgL_feffectz00_bglt)
																										BgL_fez00_1617)))->
																							BgL_writez00)))
																					{	/* Effect/walk.scm 93 */
																						BFALSE;
																					}
																				else
																					{	/* Effect/walk.scm 93 */
																						obj_t BgL_arg1446z00_1638;

																						BgL_arg1446z00_1638 =
																							(((BgL_feffectz00_bglt) COBJECT(
																									((BgL_feffectz00_bglt)
																										BgL_fez00_1617)))->
																							BgL_writez00);
																						{	/* Effect/walk.scm 93 */
																							obj_t BgL_list1447z00_1639;

																							{	/* Effect/walk.scm 93 */
																								obj_t BgL_arg1457z00_1640;

																								{	/* Effect/walk.scm 93 */
																									obj_t BgL_arg1471z00_1641;

																									BgL_arg1471z00_1641 =
																										MAKE_YOUNG_PAIR
																										(BGl_string1711z00zzeffect_walkz00,
																										BNIL);
																									BgL_arg1457z00_1640 =
																										MAKE_YOUNG_PAIR
																										(BgL_arg1446z00_1638,
																										BgL_arg1471z00_1641);
																								}
																								BgL_list1447z00_1639 =
																									MAKE_YOUNG_PAIR
																									(BGl_string1713z00zzeffect_walkz00,
																									BgL_arg1457z00_1640);
																							}
																							BGl_displayza2za2zz__r4_output_6_10_3z00
																								(BgL_list1447z00_1639);
																						}
																					}
																				{	/* Effect/walk.scm 94 */
																					obj_t BgL_port1252z00_1643;

																					{	/* Effect/walk.scm 94 */
																						obj_t BgL_tmpz00_2440;

																						BgL_tmpz00_2440 =
																							BGL_CURRENT_DYNAMIC_ENV();
																						BgL_port1252z00_1643 =
																							BGL_ENV_CURRENT_OUTPUT_PORT
																							(BgL_tmpz00_2440);
																					}
																					bgl_display_string
																						(BGl_string1714z00zzeffect_walkz00,
																						BgL_port1252z00_1643);
																					bgl_display_char(((unsigned char) 10),
																						BgL_port1252z00_1643);
																	}}}
																else
																	{	/* Effect/walk.scm 87 */
																		BFALSE;
																	}
															}
														}
														{
															obj_t BgL_l1253z00_2446;

															BgL_l1253z00_2446 = CDR(BgL_l1253z00_1592);
															BgL_l1253z00_1592 = BgL_l1253z00_2446;
															goto BgL_zc3z04anonymousza31332ze3z87_1593;
														}
													}
												else
													{	/* Effect/walk.scm 108 */
														((bool_t) 1);
													}
											}
											{	/* Effect/walk.scm 109 */
												obj_t BgL_arg1339z00_1598;

												{	/* Effect/walk.scm 109 */
													obj_t BgL_tmpz00_2448;

													BgL_tmpz00_2448 = BGL_CURRENT_DYNAMIC_ENV();
													BgL_arg1339z00_1598 =
														BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_2448);
												}
												BgL_tmp1119z00_1589 =
													bgl_display_string(BGl_string1717z00zzeffect_walkz00,
													BgL_arg1339z00_1598);
											}
											{	/* Effect/walk.scm 105 */
												bool_t BgL_test1805z00_2452;

												{	/* Effect/walk.scm 105 */
													obj_t BgL_arg1880z00_1984;

													BgL_arg1880z00_1984 =
														BGL_EXITD_PROTECT(BgL_exitd1117z00_1587);
													BgL_test1805z00_2452 = PAIRP(BgL_arg1880z00_1984);
												}
												if (BgL_test1805z00_2452)
													{	/* Effect/walk.scm 105 */
														obj_t BgL_arg1877z00_1985;

														{	/* Effect/walk.scm 105 */
															obj_t BgL_arg1879z00_1986;

															BgL_arg1879z00_1986 =
																BGL_EXITD_PROTECT(BgL_exitd1117z00_1587);
															BgL_arg1877z00_1985 =
																CDR(((obj_t) BgL_arg1879z00_1986));
														}
														BGL_EXITD_PROTECT_SET(BgL_exitd1117z00_1587,
															BgL_arg1877z00_1985);
														BUNSPEC;
													}
												else
													{	/* Effect/walk.scm 105 */
														BFALSE;
													}
											}
											BGl_z62zc3z04anonymousza31340ze3ze5zzeffect_walkz00
												(BgL_zc3z04anonymousza31340ze3z87_2096);
											return BgL_tmp1119z00_1589;
										}
									}
								}
							else
								{	/* Effect/walk.scm 103 */
									return
										BGl_errorz00zz__errorz00(BGl_string1718z00zzeffect_walkz00,
										BGl_string1719z00zzeffect_walkz00, BgL_onamez00_1584);
								}
						}
					}
				}
			}
		}

	}



/* &write-effect */
	obj_t BGl_z62writezd2effectzb0zzeffect_walkz00(obj_t BgL_envz00_2097,
		obj_t BgL_globalsz00_2098)
	{
		{	/* Effect/walk.scm 84 */
			return BGl_writezd2effectzd2zzeffect_walkz00(BgL_globalsz00_2098);
		}

	}



/* &<@anonymous:1340> */
	obj_t BGl_z62zc3z04anonymousza31340ze3ze5zzeffect_walkz00(obj_t
		BgL_envz00_2099)
	{
		{	/* Effect/walk.scm 105 */
			{	/* Effect/walk.scm 110 */
				obj_t BgL_portz00_2100;

				BgL_portz00_2100 = PROCEDURE_REF(BgL_envz00_2099, (int) (0L));
				{	/* Effect/walk.scm 110 */
					bool_t BgL_test1806z00_2464;

					{	/* Effect/walk.scm 110 */
						obj_t BgL_arg1355z00_2112;

						{	/* Effect/walk.scm 110 */
							obj_t BgL_tmpz00_2465;

							BgL_tmpz00_2465 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_arg1355z00_2112 =
								BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_2465);
						}
						BgL_test1806z00_2464 = (BgL_portz00_2100 == BgL_arg1355z00_2112);
					}
					if (BgL_test1806z00_2464)
						{	/* Effect/walk.scm 110 */
							return BFALSE;
						}
					else
						{	/* Effect/walk.scm 110 */
							return bgl_close_output_port(((obj_t) BgL_portz00_2100));
						}
				}
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzeffect_walkz00(void)
	{
		{	/* Effect/walk.scm 15 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzeffect_walkz00(void)
	{
		{	/* Effect/walk.scm 15 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzeffect_walkz00(void)
	{
		{	/* Effect/walk.scm 15 */
			return BUNSPEC;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzeffect_walkz00(void)
	{
		{	/* Effect/walk.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_speekz00(61247943L,
				BSTRING_TO_STRING(BGl_string1720z00zzeffect_walkz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(300504031L,
				BSTRING_TO_STRING(BGl_string1720z00zzeffect_walkz00));
			BGl_modulezd2initializa7ationz75zzengine_passz00(373082237L,
				BSTRING_TO_STRING(BGl_string1720z00zzeffect_walkz00));
			BGl_modulezd2initializa7ationz75zztools_tracez00(54713316L,
				BSTRING_TO_STRING(BGl_string1720z00zzeffect_walkz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(365925558L,
				BSTRING_TO_STRING(BGl_string1720z00zzeffect_walkz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(515343395L,
				BSTRING_TO_STRING(BGl_string1720z00zzeffect_walkz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(90839984L,
				BSTRING_TO_STRING(BGl_string1720z00zzeffect_walkz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(469732712L,
				BSTRING_TO_STRING(BGl_string1720z00zzeffect_walkz00));
			BGl_modulezd2initializa7ationz75zzeffect_cgraphz00(271385047L,
				BSTRING_TO_STRING(BGl_string1720z00zzeffect_walkz00));
			BGl_modulezd2initializa7ationz75zzeffect_spreadz00(348216764L,
				BSTRING_TO_STRING(BGl_string1720z00zzeffect_walkz00));
			BGl_modulezd2initializa7ationz75zzeffect_feffectz00(516374368L,
				BSTRING_TO_STRING(BGl_string1720z00zzeffect_walkz00));
			return
				BGl_modulezd2initializa7ationz75zzengine_paramz00(161876678L,
				BSTRING_TO_STRING(BGl_string1720z00zzeffect_walkz00));
		}

	}

#ifdef __cplusplus
}
#endif
