/*===========================================================================*/
/*   (Globalize/gn.scm)                                                      */
/*   Bigloo (4.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Jan 27 07:45:49 AM CET 2025     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.6a/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.6a/lib/bigloo/4.6a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -stdc -indent Globalize/gn.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL_GLOBALIZE_GN_TYPE_DEFINITIONS
#define BGL_GLOBALIZE_GN_TYPE_DEFINITIONS

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_nullz00;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_closurez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}                 *BgL_closurez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
		obj_t BgL_metaz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_stackablez00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_switchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_switchz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		struct BgL_nodez00_bgl *BgL_onexitz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		obj_t BgL_stackablez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}              *BgL_syncz00_bglt;

	typedef struct BgL_sfunzf2ginfozf2_bgl
	{
		bool_t BgL_gzf3zf3;
		obj_t BgL_cfromz00;
		obj_t BgL_cfromza2za2;
		obj_t BgL_ctoz00;
		obj_t BgL_ctoza2za2;
		obj_t BgL_efunctionsz00;
		obj_t BgL_integratorz00;
		obj_t BgL_imarkz00;
		obj_t BgL_ownerz00;
		obj_t BgL_integratedz00;
		obj_t BgL_pluggedzd2inzd2;
		long BgL_markz00;
		obj_t BgL_freezd2markzd2;
		obj_t BgL_thezd2globalzd2;
		obj_t BgL_kapturedz00;
		obj_t BgL_newzd2bodyzd2;
		long BgL_bmarkz00;
		long BgL_umarkz00;
		obj_t BgL_freez00;
		obj_t BgL_boundz00;
	}                      *BgL_sfunzf2ginfozf2_bglt;

	typedef struct BgL_localzf2ginfozf2_bgl
	{
		bool_t BgL_escapezf3zf3;
		bool_t BgL_globaliza7edzf3z54;
	}                       *BgL_localzf2ginfozf2_bglt;


#endif													// BGL_GLOBALIZE_GN_TYPE_DEFINITIONS
#endif													// BGL_MODULE_TYPE_DEFINITIONS

	extern obj_t BGl_setqz00zzast_nodez00;
	static obj_t BGl_requirezd2initializa7ationz75zzglobaliza7e_gnza7 = BUNSPEC;
	static obj_t BGl_z62Ezd2letzd2var1305z62zzglobaliza7e_gnza7(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_closurez00zzast_nodez00;
	static obj_t BGl_z62Ezd2kwote1274zb0zzglobaliza7e_gnza7(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62Ezd2cast1292zb0zzglobaliza7e_gnza7(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62Ezd2extern1290zb0zzglobaliza7e_gnza7(obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_syncz00zzast_nodez00;
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	static obj_t BGl_z62Ezd2setzd2exzd2it1307zb0zzglobaliza7e_gnza7(obj_t, obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_atomz00zzast_nodez00;
	static obj_t BGl_z62Ezd2conditional1296zb0zzglobaliza7e_gnza7(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62Ezd2setq1294zb0zzglobaliza7e_gnza7(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_toplevelzd2initzd2zzglobaliza7e_gnza7(void);
	static obj_t BGl_z62Ezd2boxzd2ref1313z62zzglobaliza7e_gnza7(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_sequencez00zzast_nodez00;
	static obj_t BGl_z62Ezd2sync1282zb0zzglobaliza7e_gnza7(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62Ezd2fail1298zb0zzglobaliza7e_gnza7(obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	static obj_t BGl_genericzd2initzd2zzglobaliza7e_gnza7(void);
	static obj_t BGl_objectzd2initzd2zzglobaliza7e_gnza7(void);
	static obj_t BGl_z62Ezd2boxzd2setz121315z70zzglobaliza7e_gnza7(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_castz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	static obj_t BGl_z62Ezd2var1276zb0zzglobaliza7e_gnza7(obj_t, obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	static obj_t BGl_z62Ezd2makezd2box1311z62zzglobaliza7e_gnza7(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	static obj_t BGl_z62Ezd2funcall1288zb0zzglobaliza7e_gnza7(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_savezd2funz12zc0zzglobaliza7e_gnza7(BgL_variablez00_bglt,
		BgL_variablez00_bglt);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_appendzd221011zd2zzglobaliza7e_gnza7(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzglobaliza7e_gnza7(void);
	static obj_t BGl_z62Ezd2closure1278zb0zzglobaliza7e_gnza7(obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_externz00zzast_nodez00;
	static obj_t BGl_z62Ezd2app1284zb0zzglobaliza7e_gnza7(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62Ezd2jumpzd2exzd2it1309zb0zzglobaliza7e_gnza7(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	static obj_t BGl_z62E1267z62zzglobaliza7e_gnza7(obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_Ez00zzglobaliza7e_gnza7(BgL_nodez00_bglt,
		BgL_variablez00_bglt, obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62Gnz12z70zzglobaliza7e_gnza7(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_savezd2appz12zc0zzglobaliza7e_gnza7(obj_t,
		BgL_variablez00_bglt);
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzglobaliza7e_gnza7(long, char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zzglobaliza7e_globaliza7ez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzglobaliza7e_ginfoza7(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	static obj_t BGl_Gzd2fromzd2ctoz00zzglobaliza7e_gnza7(obj_t);
	static obj_t BGl_z62Ezd2atom1272zb0zzglobaliza7e_gnza7(obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_za2Eza2z00zzglobaliza7e_globaliza7ez00;
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_kwotez00zzast_nodez00;
	extern obj_t BGl_localz00zzast_varz00;
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzglobaliza7e_gnza7(void);
	static obj_t BGl_z62Ezd2letzd2fun1303z62zzglobaliza7e_gnza7(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_libraryzd2moduleszd2initz00zzglobaliza7e_gnza7(void);
	static obj_t BGl_importedzd2moduleszd2initz00zzglobaliza7e_gnza7(void);
	static obj_t BGl_gczd2rootszd2initz00zzglobaliza7e_gnza7(void);
	static obj_t BGl_z62Ezd2sequence1280zb0zzglobaliza7e_gnza7(obj_t, obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_Gnz12z12zzglobaliza7e_gnza7(obj_t,
		BgL_nodez00_bglt, BgL_variablez00_bglt, obj_t);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	static obj_t BGl_Eza2za2zzglobaliza7e_gnza7(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62Ez62zzglobaliza7e_gnza7(obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62Ezd2switch1301zb0zzglobaliza7e_gnza7(obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_switchz00zzast_nodez00;
	extern obj_t BGl_conditionalz00zzast_nodez00;
	static obj_t BGl_z62Ezd2appzd2ly1286z62zzglobaliza7e_gnza7(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_funcallz00zzast_nodez00;
	extern obj_t BGl_za2G0za2z00zzglobaliza7e_globaliza7ez00;
	extern obj_t BGl_globalz00zzast_varz00;
	extern obj_t BGl_za2G1za2z00zzglobaliza7e_globaliza7ez00;
	static obj_t __cnst[2];


	   
		 
		DEFINE_STATIC_BGL_GENERIC(BGl_Ezd2envzd2zzglobaliza7e_gnza7,
		BgL_bgl_za762eza762za7za7globali1925z00, BGl_z62Ez62zzglobaliza7e_gnza7, 0L,
		BUNSPEC, 3);
	      DEFINE_STRING(BGl_string1900z00zzglobaliza7e_gnza7,
		BgL_bgl_string1900za700za7za7g1926za7, "E", 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1901z00zzglobaliza7e_gnza7,
		BgL_bgl_za762eza7d2kwote12741927z00,
		BGl_z62Ezd2kwote1274zb0zzglobaliza7e_gnza7, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1902z00zzglobaliza7e_gnza7,
		BgL_bgl_za762eza7d2var1276za7b1928za7,
		BGl_z62Ezd2var1276zb0zzglobaliza7e_gnza7, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1903z00zzglobaliza7e_gnza7,
		BgL_bgl_za762eza7d2closure121929z00,
		BGl_z62Ezd2closure1278zb0zzglobaliza7e_gnza7, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1904z00zzglobaliza7e_gnza7,
		BgL_bgl_za762eza7d2sequence11930z00,
		BGl_z62Ezd2sequence1280zb0zzglobaliza7e_gnza7, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1905z00zzglobaliza7e_gnza7,
		BgL_bgl_za762eza7d2sync1282za71931za7,
		BGl_z62Ezd2sync1282zb0zzglobaliza7e_gnza7, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1906z00zzglobaliza7e_gnza7,
		BgL_bgl_za762eza7d2app1284za7b1932za7,
		BGl_z62Ezd2app1284zb0zzglobaliza7e_gnza7, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1907z00zzglobaliza7e_gnza7,
		BgL_bgl_za762eza7d2appza7d2ly11933za7,
		BGl_z62Ezd2appzd2ly1286z62zzglobaliza7e_gnza7, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1908z00zzglobaliza7e_gnza7,
		BgL_bgl_za762eza7d2funcall121934z00,
		BGl_z62Ezd2funcall1288zb0zzglobaliza7e_gnza7, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1909z00zzglobaliza7e_gnza7,
		BgL_bgl_za762eza7d2extern1291935z00,
		BGl_z62Ezd2extern1290zb0zzglobaliza7e_gnza7, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1910z00zzglobaliza7e_gnza7,
		BgL_bgl_za762eza7d2cast1292za71936za7,
		BGl_z62Ezd2cast1292zb0zzglobaliza7e_gnza7, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1911z00zzglobaliza7e_gnza7,
		BgL_bgl_za762eza7d2setq1294za71937za7,
		BGl_z62Ezd2setq1294zb0zzglobaliza7e_gnza7, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1912z00zzglobaliza7e_gnza7,
		BgL_bgl_za762eza7d2condition1938z00,
		BGl_z62Ezd2conditional1296zb0zzglobaliza7e_gnza7, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1913z00zzglobaliza7e_gnza7,
		BgL_bgl_za762eza7d2fail1298za71939za7,
		BGl_z62Ezd2fail1298zb0zzglobaliza7e_gnza7, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1914z00zzglobaliza7e_gnza7,
		BgL_bgl_za762eza7d2switch1301940z00,
		BGl_z62Ezd2switch1301zb0zzglobaliza7e_gnza7, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1915z00zzglobaliza7e_gnza7,
		BgL_bgl_za762eza7d2letza7d2fun1941za7,
		BGl_z62Ezd2letzd2fun1303z62zzglobaliza7e_gnza7, 0L, BUNSPEC, 3);
	      DEFINE_STRING(BGl_string1922z00zzglobaliza7e_gnza7,
		BgL_bgl_string1922za700za7za7g1942za7, "globalize_gn", 12);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1916z00zzglobaliza7e_gnza7,
		BgL_bgl_za762eza7d2letza7d2var1943za7,
		BGl_z62Ezd2letzd2var1305z62zzglobaliza7e_gnza7, 0L, BUNSPEC, 3);
	      DEFINE_STRING(BGl_string1923z00zzglobaliza7e_gnza7,
		BgL_bgl_string1923za700za7za7g1944za7, "E1267 done ", 11);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1917z00zzglobaliza7e_gnza7,
		BgL_bgl_za762eza7d2setza7d2exza71945z00,
		BGl_z62Ezd2setzd2exzd2it1307zb0zzglobaliza7e_gnza7, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1918z00zzglobaliza7e_gnza7,
		BgL_bgl_za762eza7d2jumpza7d2ex1946za7,
		BGl_z62Ezd2jumpzd2exzd2it1309zb0zzglobaliza7e_gnza7, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1919z00zzglobaliza7e_gnza7,
		BgL_bgl_za762eza7d2makeza7d2bo1947za7,
		BGl_z62Ezd2makezd2box1311z62zzglobaliza7e_gnza7, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1920z00zzglobaliza7e_gnza7,
		BgL_bgl_za762eza7d2boxza7d2ref1948za7,
		BGl_z62Ezd2boxzd2ref1313z62zzglobaliza7e_gnza7, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1921z00zzglobaliza7e_gnza7,
		BgL_bgl_za762eza7d2boxza7d2set1949za7,
		BGl_z62Ezd2boxzd2setz121315z70zzglobaliza7e_gnza7, 0L, BUNSPEC, 3);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_Gnz12zd2envzc0zzglobaliza7e_gnza7,
		BgL_bgl_za762gnza712za770za7za7glo1950za7,
		BGl_z62Gnz12z70zzglobaliza7e_gnza7, 0L, BUNSPEC, 4);
	      DEFINE_STRING(BGl_string1897z00zzglobaliza7e_gnza7,
		BgL_bgl_string1897za700za7za7g1951za7, "E1267", 5);
	      DEFINE_STRING(BGl_string1898z00zzglobaliza7e_gnza7,
		BgL_bgl_string1898za700za7za7g1952za7, "No method for this object", 25);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1896z00zzglobaliza7e_gnza7,
		BgL_bgl_za762e1267za762za7za7glo1953z00, BGl_z62E1267z62zzglobaliza7e_gnza7,
		0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1899z00zzglobaliza7e_gnza7,
		BgL_bgl_za762eza7d2atom1272za71954za7,
		BGl_z62Ezd2atom1272zb0zzglobaliza7e_gnza7, 0L, BUNSPEC, 3);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zzglobaliza7e_gnza7));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzglobaliza7e_gnza7(long
		BgL_checksumz00_2871, char *BgL_fromz00_2872)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzglobaliza7e_gnza7))
				{
					BGl_requirezd2initializa7ationz75zzglobaliza7e_gnza7 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzglobaliza7e_gnza7();
					BGl_libraryzd2moduleszd2initz00zzglobaliza7e_gnza7();
					BGl_cnstzd2initzd2zzglobaliza7e_gnza7();
					BGl_importedzd2moduleszd2initz00zzglobaliza7e_gnza7();
					BGl_genericzd2initzd2zzglobaliza7e_gnza7();
					BGl_methodzd2initzd2zzglobaliza7e_gnza7();
					return BGl_toplevelzd2initzd2zzglobaliza7e_gnza7();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzglobaliza7e_gnza7(void)
	{
		{	/* Globalize/gn.scm 23 */
			BGl_modulezd2initializa7ationz75zz__objectz00(0L, "globalize_gn");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(0L,
				"globalize_gn");
			BGl_modulezd2initializa7ationz75zz__readerz00(0L, "globalize_gn");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(0L,
				"globalize_gn");
			BGl_modulezd2initializa7ationz75zz__errorz00(0L, "globalize_gn");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(0L, "globalize_gn");
			BGl_modulezd2initializa7ationz75zz__bitz00(0L, "globalize_gn");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(0L,
				"globalize_gn");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(0L, "globalize_gn");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(0L,
				"globalize_gn");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzglobaliza7e_gnza7(void)
	{
		{	/* Globalize/gn.scm 23 */
			{	/* Globalize/gn.scm 23 */
				obj_t BgL_cportz00_2757;

				{	/* Globalize/gn.scm 23 */
					obj_t BgL_stringz00_2764;

					BgL_stringz00_2764 = BGl_string1923z00zzglobaliza7e_gnza7;
					{	/* Globalize/gn.scm 23 */
						obj_t BgL_startz00_2765;

						BgL_startz00_2765 = BINT(0L);
						{	/* Globalize/gn.scm 23 */
							obj_t BgL_endz00_2766;

							BgL_endz00_2766 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_2764)));
							{	/* Globalize/gn.scm 23 */

								BgL_cportz00_2757 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_2764, BgL_startz00_2765, BgL_endz00_2766);
				}}}}
				{
					long BgL_iz00_2758;

					BgL_iz00_2758 = 1L;
				BgL_loopz00_2759:
					if ((BgL_iz00_2758 == (-1L)))
						{	/* Globalize/gn.scm 23 */
							return BUNSPEC;
						}
					else
						{	/* Globalize/gn.scm 23 */
							{	/* Globalize/gn.scm 23 */
								obj_t BgL_arg1924z00_2760;

								{	/* Globalize/gn.scm 23 */

									{	/* Globalize/gn.scm 23 */
										obj_t BgL_locationz00_2762;

										BgL_locationz00_2762 = BBOOL(((bool_t) 0));
										{	/* Globalize/gn.scm 23 */

											BgL_arg1924z00_2760 =
												BGl_readz00zz__readerz00(BgL_cportz00_2757,
												BgL_locationz00_2762);
										}
									}
								}
								{	/* Globalize/gn.scm 23 */
									int BgL_tmpz00_2902;

									BgL_tmpz00_2902 = (int) (BgL_iz00_2758);
									CNST_TABLE_SET(BgL_tmpz00_2902, BgL_arg1924z00_2760);
							}}
							{	/* Globalize/gn.scm 23 */
								int BgL_auxz00_2763;

								BgL_auxz00_2763 = (int) ((BgL_iz00_2758 - 1L));
								{
									long BgL_iz00_2907;

									BgL_iz00_2907 = (long) (BgL_auxz00_2763);
									BgL_iz00_2758 = BgL_iz00_2907;
									goto BgL_loopz00_2759;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzglobaliza7e_gnza7(void)
	{
		{	/* Globalize/gn.scm 23 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzglobaliza7e_gnza7(void)
	{
		{	/* Globalize/gn.scm 23 */
			return BUNSPEC;
		}

	}



/* append-21011 */
	obj_t BGl_appendzd221011zd2zzglobaliza7e_gnza7(obj_t BgL_l1z00_1,
		obj_t BgL_l2z00_2)
	{
		{
			if (NULLP(BgL_l1z00_1))
				{
					return BgL_l2z00_2;
				}
			else
				{
					obj_t BgL_headz00_1785;

					BgL_headz00_1785 = MAKE_YOUNG_PAIR(BNIL, BgL_l2z00_2);
					{
						obj_t BgL_prevz00_1786;
						obj_t BgL_tailz00_1787;

						BgL_prevz00_1786 = BgL_headz00_1785;
						BgL_tailz00_1787 = BgL_l1z00_1;
					BgL_loopz00_1788:
						if (PAIRP(BgL_tailz00_1787))
							{
								obj_t BgL_newzd2prevzd2_1790;

								BgL_newzd2prevzd2_1790 =
									MAKE_YOUNG_PAIR(CAR(BgL_tailz00_1787), BgL_l2z00_2);
								SET_CDR(BgL_prevz00_1786, BgL_newzd2prevzd2_1790);
								{
									obj_t BgL_tailz00_2919;
									obj_t BgL_prevz00_2918;

									BgL_prevz00_2918 = BgL_newzd2prevzd2_1790;
									BgL_tailz00_2919 = CDR(BgL_tailz00_1787);
									BgL_tailz00_1787 = BgL_tailz00_2919;
									BgL_prevz00_1786 = BgL_prevz00_2918;
									goto BgL_loopz00_1788;
								}
							}
						else
							{
								BNIL;
							}
						return CDR(BgL_headz00_1785);
					}
				}
		}

	}



/* Gn! */
	BGL_EXPORTED_DEF obj_t BGl_Gnz12z12zzglobaliza7e_gnza7(obj_t BgL_argsz00_3,
		BgL_nodez00_bglt BgL_nodez00_4, BgL_variablez00_bglt BgL_callerz00_5,
		obj_t BgL_gz00_6)
	{
		{	/* Globalize/gn.scm 41 */
			BGl_za2Eza2z00zzglobaliza7e_globaliza7ez00 =
				BGl_Ez00zzglobaliza7e_gnza7(BgL_nodez00_4, BgL_callerz00_5, BgL_gz00_6);
			{
				obj_t BgL_gz00_1795;
				obj_t BgL_g1z00_1796;

				BgL_gz00_1795 = BGl_za2Eza2z00zzglobaliza7e_globaliza7ez00;
				BgL_g1z00_1796 = BNIL;
			BgL_zc3z04anonymousza31320ze3z87_1797:
				if (NULLP(BgL_gz00_1795))
					{	/* Globalize/gn.scm 45 */
						BGl_za2G0za2z00zzglobaliza7e_globaliza7ez00 =
							BGl_appendzd221011zd2zzglobaliza7e_gnza7
							(BGl_za2Eza2z00zzglobaliza7e_globaliza7ez00, BgL_g1z00_1796);
						return (BGl_za2G1za2z00zzglobaliza7e_globaliza7ez00 =
							BgL_g1z00_1796, BUNSPEC);
					}
				else
					{	/* Globalize/gn.scm 49 */
						obj_t BgL_newzd2gzd2_1799;

						{	/* Globalize/gn.scm 49 */
							obj_t BgL_arg1331z00_1803;

							BgL_arg1331z00_1803 = CAR(((obj_t) BgL_gz00_1795));
							BgL_newzd2gzd2_1799 =
								BGl_Gzd2fromzd2ctoz00zzglobaliza7e_gnza7(BgL_arg1331z00_1803);
						}
						{	/* Globalize/gn.scm 50 */
							obj_t BgL_arg1322z00_1800;
							obj_t BgL_arg1326z00_1801;

							{	/* Globalize/gn.scm 50 */
								obj_t BgL_arg1327z00_1802;

								BgL_arg1327z00_1802 = CDR(((obj_t) BgL_gz00_1795));
								BgL_arg1322z00_1800 =
									BGl_appendzd221011zd2zzglobaliza7e_gnza7(BgL_newzd2gzd2_1799,
									BgL_arg1327z00_1802);
							}
							BgL_arg1326z00_1801 =
								BGl_appendzd221011zd2zzglobaliza7e_gnza7(BgL_newzd2gzd2_1799,
								BgL_g1z00_1796);
							{
								obj_t BgL_g1z00_2934;
								obj_t BgL_gz00_2933;

								BgL_gz00_2933 = BgL_arg1322z00_1800;
								BgL_g1z00_2934 = BgL_arg1326z00_1801;
								BgL_g1z00_1796 = BgL_g1z00_2934;
								BgL_gz00_1795 = BgL_gz00_2933;
								goto BgL_zc3z04anonymousza31320ze3z87_1797;
							}
						}
					}
			}
		}

	}



/* &Gn! */
	obj_t BGl_z62Gnz12z70zzglobaliza7e_gnza7(obj_t BgL_envz00_2633,
		obj_t BgL_argsz00_2634, obj_t BgL_nodez00_2635, obj_t BgL_callerz00_2636,
		obj_t BgL_gz00_2637)
	{
		{	/* Globalize/gn.scm 41 */
			return
				BGl_Gnz12z12zzglobaliza7e_gnza7(BgL_argsz00_2634,
				((BgL_nodez00_bglt) BgL_nodez00_2635),
				((BgL_variablez00_bglt) BgL_callerz00_2636), BgL_gz00_2637);
		}

	}



/* E* */
	obj_t BGl_Eza2za2zzglobaliza7e_gnza7(obj_t BgL_nodeza2za2_76,
		obj_t BgL_callerz00_77, obj_t BgL_gz00_78)
	{
		{	/* Globalize/gn.scm 237 */
			{
				obj_t BgL_nodeza2za2_1806;
				obj_t BgL_gz00_1807;

				BgL_nodeza2za2_1806 = BgL_nodeza2za2_76;
				BgL_gz00_1807 = BgL_gz00_78;
			BgL_zc3z04anonymousza31332ze3z87_1808:
				if (NULLP(BgL_nodeza2za2_1806))
					{	/* Globalize/gn.scm 240 */
						return BgL_gz00_1807;
					}
				else
					{	/* Globalize/gn.scm 242 */
						obj_t BgL_arg1336z00_1810;
						obj_t BgL_arg1338z00_1811;

						BgL_arg1336z00_1810 = CDR(((obj_t) BgL_nodeza2za2_1806));
						{	/* Globalize/gn.scm 243 */
							obj_t BgL_arg1339z00_1812;

							BgL_arg1339z00_1812 = CAR(((obj_t) BgL_nodeza2za2_1806));
							BgL_arg1338z00_1811 =
								BGl_Ez00zzglobaliza7e_gnza7(
								((BgL_nodez00_bglt) BgL_arg1339z00_1812),
								((BgL_variablez00_bglt) BgL_callerz00_77), BgL_gz00_1807);
						}
						{
							obj_t BgL_gz00_2948;
							obj_t BgL_nodeza2za2_2947;

							BgL_nodeza2za2_2947 = BgL_arg1336z00_1810;
							BgL_gz00_2948 = BgL_arg1338z00_1811;
							BgL_gz00_1807 = BgL_gz00_2948;
							BgL_nodeza2za2_1806 = BgL_nodeza2za2_2947;
							goto BgL_zc3z04anonymousza31332ze3z87_1808;
						}
					}
			}
		}

	}



/* save-app! */
	obj_t BGl_savezd2appz12zc0zzglobaliza7e_gnza7(obj_t BgL_callerz00_79,
		BgL_variablez00_bglt BgL_calleez00_80)
	{
		{	/* Globalize/gn.scm 248 */
			{	/* Globalize/gn.scm 249 */
				bool_t BgL_test1961z00_2949;

				{	/* Globalize/gn.scm 249 */
					obj_t BgL_classz00_2294;

					BgL_classz00_2294 = BGl_globalz00zzast_varz00;
					{	/* Globalize/gn.scm 249 */
						BgL_objectz00_bglt BgL_arg1858z00_2296;

						{	/* Globalize/gn.scm 249 */
							obj_t BgL_tmpz00_2950;

							BgL_tmpz00_2950 =
								((obj_t) ((BgL_objectz00_bglt) BgL_calleez00_80));
							BgL_arg1858z00_2296 = (BgL_objectz00_bglt) (BgL_tmpz00_2950);
						}
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Globalize/gn.scm 249 */
								long BgL_idxz00_2302;

								BgL_idxz00_2302 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_2296);
								BgL_test1961z00_2949 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_2302 + 2L)) == BgL_classz00_2294);
							}
						else
							{	/* Globalize/gn.scm 249 */
								bool_t BgL_res1885z00_2327;

								{	/* Globalize/gn.scm 249 */
									obj_t BgL_oclassz00_2310;

									{	/* Globalize/gn.scm 249 */
										obj_t BgL_arg1866z00_2318;
										long BgL_arg1867z00_2319;

										BgL_arg1866z00_2318 = (BGl_za2classesza2z00zz__objectz00);
										{	/* Globalize/gn.scm 249 */
											long BgL_arg1869z00_2320;

											BgL_arg1869z00_2320 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_2296);
											BgL_arg1867z00_2319 = (BgL_arg1869z00_2320 - OBJECT_TYPE);
										}
										BgL_oclassz00_2310 =
											VECTOR_REF(BgL_arg1866z00_2318, BgL_arg1867z00_2319);
									}
									{	/* Globalize/gn.scm 249 */
										bool_t BgL__ortest_1115z00_2311;

										BgL__ortest_1115z00_2311 =
											(BgL_classz00_2294 == BgL_oclassz00_2310);
										if (BgL__ortest_1115z00_2311)
											{	/* Globalize/gn.scm 249 */
												BgL_res1885z00_2327 = BgL__ortest_1115z00_2311;
											}
										else
											{	/* Globalize/gn.scm 249 */
												long BgL_odepthz00_2312;

												{	/* Globalize/gn.scm 249 */
													obj_t BgL_arg1855z00_2313;

													BgL_arg1855z00_2313 = (BgL_oclassz00_2310);
													BgL_odepthz00_2312 =
														BGL_CLASS_DEPTH(BgL_arg1855z00_2313);
												}
												if ((2L < BgL_odepthz00_2312))
													{	/* Globalize/gn.scm 249 */
														obj_t BgL_arg1853z00_2315;

														{	/* Globalize/gn.scm 249 */
															obj_t BgL_arg1854z00_2316;

															BgL_arg1854z00_2316 = (BgL_oclassz00_2310);
															BgL_arg1853z00_2315 =
																BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_2316,
																2L);
														}
														BgL_res1885z00_2327 =
															(BgL_arg1853z00_2315 == BgL_classz00_2294);
													}
												else
													{	/* Globalize/gn.scm 249 */
														BgL_res1885z00_2327 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_test1961z00_2949 = BgL_res1885z00_2327;
							}
					}
				}
				if (BgL_test1961z00_2949)
					{	/* Globalize/gn.scm 249 */
						return ((obj_t) CNST_TABLE_REF(0));
					}
				else
					{	/* Globalize/gn.scm 251 */
						BgL_valuez00_bglt BgL_calleezd2infozd2_1815;

						BgL_calleezd2infozd2_1815 =
							(((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt)
										((BgL_localz00_bglt) BgL_calleez00_80))))->BgL_valuez00);
						{	/* Globalize/gn.scm 252 */
							bool_t BgL_test1965z00_2978;

							{	/* Globalize/gn.scm 252 */
								obj_t BgL_arg1361z00_1823;

								{
									BgL_sfunzf2ginfozf2_bglt BgL_auxz00_2979;

									{
										obj_t BgL_auxz00_2980;

										{	/* Globalize/gn.scm 252 */
											BgL_objectz00_bglt BgL_tmpz00_2981;

											BgL_tmpz00_2981 =
												((BgL_objectz00_bglt)
												((BgL_sfunz00_bglt) BgL_calleezd2infozd2_1815));
											BgL_auxz00_2980 = BGL_OBJECT_WIDENING(BgL_tmpz00_2981);
										}
										BgL_auxz00_2979 =
											((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_2980);
									}
									BgL_arg1361z00_1823 =
										(((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_2979))->
										BgL_cfromz00);
								}
								BgL_test1965z00_2978 =
									CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
									(BgL_callerz00_79, BgL_arg1361z00_1823));
							}
							if (BgL_test1965z00_2978)
								{	/* Globalize/gn.scm 252 */
									BFALSE;
								}
							else
								{	/* Globalize/gn.scm 252 */
									{	/* Globalize/gn.scm 256 */
										obj_t BgL_arg1355z00_1818;

										{	/* Globalize/gn.scm 256 */
											obj_t BgL_arg1358z00_1819;

											{
												BgL_sfunzf2ginfozf2_bglt BgL_auxz00_2989;

												{
													obj_t BgL_auxz00_2990;

													{	/* Globalize/gn.scm 256 */
														BgL_objectz00_bglt BgL_tmpz00_2991;

														BgL_tmpz00_2991 =
															((BgL_objectz00_bglt)
															((BgL_sfunz00_bglt) BgL_calleezd2infozd2_1815));
														BgL_auxz00_2990 =
															BGL_OBJECT_WIDENING(BgL_tmpz00_2991);
													}
													BgL_auxz00_2989 =
														((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_2990);
												}
												BgL_arg1358z00_1819 =
													(((BgL_sfunzf2ginfozf2_bglt)
														COBJECT(BgL_auxz00_2989))->BgL_cfromz00);
											}
											BgL_arg1355z00_1818 =
												MAKE_YOUNG_PAIR(BgL_callerz00_79, BgL_arg1358z00_1819);
										}
										{
											BgL_sfunzf2ginfozf2_bglt BgL_auxz00_2998;

											{
												obj_t BgL_auxz00_2999;

												{	/* Globalize/gn.scm 254 */
													BgL_objectz00_bglt BgL_tmpz00_3000;

													BgL_tmpz00_3000 =
														((BgL_objectz00_bglt)
														((BgL_sfunz00_bglt) BgL_calleezd2infozd2_1815));
													BgL_auxz00_2999 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_3000);
												}
												BgL_auxz00_2998 =
													((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_2999);
											}
											((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_2998))->
													BgL_cfromz00) =
												((obj_t) BgL_arg1355z00_1818), BUNSPEC);
										}
									}
									{	/* Globalize/gn.scm 257 */
										BgL_valuez00_bglt BgL_callerzd2infozd2_1820;

										BgL_callerzd2infozd2_1820 =
											(((BgL_variablez00_bglt) COBJECT(
													((BgL_variablez00_bglt) BgL_callerz00_79)))->
											BgL_valuez00);
										{	/* Globalize/gn.scm 260 */
											obj_t BgL_arg1359z00_1821;

											{	/* Globalize/gn.scm 260 */
												obj_t BgL_arg1360z00_1822;

												{
													BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3008;

													{
														obj_t BgL_auxz00_3009;

														{	/* Globalize/gn.scm 260 */
															BgL_objectz00_bglt BgL_tmpz00_3010;

															BgL_tmpz00_3010 =
																((BgL_objectz00_bglt)
																((BgL_sfunz00_bglt) BgL_callerzd2infozd2_1820));
															BgL_auxz00_3009 =
																BGL_OBJECT_WIDENING(BgL_tmpz00_3010);
														}
														BgL_auxz00_3008 =
															((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3009);
													}
													BgL_arg1360z00_1822 =
														(((BgL_sfunzf2ginfozf2_bglt)
															COBJECT(BgL_auxz00_3008))->BgL_ctoz00);
												}
												BgL_arg1359z00_1821 =
													MAKE_YOUNG_PAIR(
													((obj_t) BgL_calleez00_80), BgL_arg1360z00_1822);
											}
											{
												BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3018;

												{
													obj_t BgL_auxz00_3019;

													{	/* Globalize/gn.scm 258 */
														BgL_objectz00_bglt BgL_tmpz00_3020;

														BgL_tmpz00_3020 =
															((BgL_objectz00_bglt)
															((BgL_sfunz00_bglt) BgL_callerzd2infozd2_1820));
														BgL_auxz00_3019 =
															BGL_OBJECT_WIDENING(BgL_tmpz00_3020);
													}
													BgL_auxz00_3018 =
														((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3019);
												}
												((((BgL_sfunzf2ginfozf2_bglt)
															COBJECT(BgL_auxz00_3018))->BgL_ctoz00) =
													((obj_t) BgL_arg1359z00_1821), BUNSPEC);
											}
										}
									}
								}
						}
						return ((obj_t) CNST_TABLE_REF(0));
					}
			}
		}

	}



/* save-fun! */
	obj_t BGl_savezd2funz12zc0zzglobaliza7e_gnza7(BgL_variablez00_bglt
		BgL_callerz00_81, BgL_variablez00_bglt BgL_calleez00_82)
	{
		{	/* Globalize/gn.scm 267 */
			{	/* Globalize/gn.scm 268 */
				bool_t BgL_test1966z00_3028;

				{	/* Globalize/gn.scm 268 */
					bool_t BgL_test1967z00_3029;

					{	/* Globalize/gn.scm 268 */
						obj_t BgL_classz00_2340;

						BgL_classz00_2340 = BGl_globalz00zzast_varz00;
						{	/* Globalize/gn.scm 268 */
							BgL_objectz00_bglt BgL_arg1858z00_2342;

							{	/* Globalize/gn.scm 268 */
								obj_t BgL_tmpz00_3030;

								BgL_tmpz00_3030 =
									((obj_t) ((BgL_objectz00_bglt) BgL_callerz00_81));
								BgL_arg1858z00_2342 = (BgL_objectz00_bglt) (BgL_tmpz00_3030);
							}
							if (BGL_CONDEXPAND_ISA_ARCH64())
								{	/* Globalize/gn.scm 268 */
									long BgL_idxz00_2348;

									BgL_idxz00_2348 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_2342);
									BgL_test1967z00_3029 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_2348 + 2L)) == BgL_classz00_2340);
								}
							else
								{	/* Globalize/gn.scm 268 */
									bool_t BgL_res1886z00_2373;

									{	/* Globalize/gn.scm 268 */
										obj_t BgL_oclassz00_2356;

										{	/* Globalize/gn.scm 268 */
											obj_t BgL_arg1866z00_2364;
											long BgL_arg1867z00_2365;

											BgL_arg1866z00_2364 = (BGl_za2classesza2z00zz__objectz00);
											{	/* Globalize/gn.scm 268 */
												long BgL_arg1869z00_2366;

												BgL_arg1869z00_2366 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_2342);
												BgL_arg1867z00_2365 =
													(BgL_arg1869z00_2366 - OBJECT_TYPE);
											}
											BgL_oclassz00_2356 =
												VECTOR_REF(BgL_arg1866z00_2364, BgL_arg1867z00_2365);
										}
										{	/* Globalize/gn.scm 268 */
											bool_t BgL__ortest_1115z00_2357;

											BgL__ortest_1115z00_2357 =
												(BgL_classz00_2340 == BgL_oclassz00_2356);
											if (BgL__ortest_1115z00_2357)
												{	/* Globalize/gn.scm 268 */
													BgL_res1886z00_2373 = BgL__ortest_1115z00_2357;
												}
											else
												{	/* Globalize/gn.scm 268 */
													long BgL_odepthz00_2358;

													{	/* Globalize/gn.scm 268 */
														obj_t BgL_arg1855z00_2359;

														BgL_arg1855z00_2359 = (BgL_oclassz00_2356);
														BgL_odepthz00_2358 =
															BGL_CLASS_DEPTH(BgL_arg1855z00_2359);
													}
													if ((2L < BgL_odepthz00_2358))
														{	/* Globalize/gn.scm 268 */
															obj_t BgL_arg1853z00_2361;

															{	/* Globalize/gn.scm 268 */
																obj_t BgL_arg1854z00_2362;

																BgL_arg1854z00_2362 = (BgL_oclassz00_2356);
																BgL_arg1853z00_2361 =
																	BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_2362,
																	2L);
															}
															BgL_res1886z00_2373 =
																(BgL_arg1853z00_2361 == BgL_classz00_2340);
														}
													else
														{	/* Globalize/gn.scm 268 */
															BgL_res1886z00_2373 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_test1967z00_3029 = BgL_res1886z00_2373;
								}
						}
					}
					if (BgL_test1967z00_3029)
						{	/* Globalize/gn.scm 268 */
							BgL_test1966z00_3028 = ((bool_t) 1);
						}
					else
						{	/* Globalize/gn.scm 268 */
							obj_t BgL_classz00_2374;

							BgL_classz00_2374 = BGl_globalz00zzast_varz00;
							{	/* Globalize/gn.scm 268 */
								BgL_objectz00_bglt BgL_arg1858z00_2376;

								{	/* Globalize/gn.scm 268 */
									obj_t BgL_tmpz00_3053;

									BgL_tmpz00_3053 =
										((obj_t) ((BgL_objectz00_bglt) BgL_calleez00_82));
									BgL_arg1858z00_2376 = (BgL_objectz00_bglt) (BgL_tmpz00_3053);
								}
								if (BGL_CONDEXPAND_ISA_ARCH64())
									{	/* Globalize/gn.scm 268 */
										long BgL_idxz00_2382;

										BgL_idxz00_2382 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_2376);
										BgL_test1966z00_3028 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_2382 + 2L)) == BgL_classz00_2374);
									}
								else
									{	/* Globalize/gn.scm 268 */
										bool_t BgL_res1887z00_2407;

										{	/* Globalize/gn.scm 268 */
											obj_t BgL_oclassz00_2390;

											{	/* Globalize/gn.scm 268 */
												obj_t BgL_arg1866z00_2398;
												long BgL_arg1867z00_2399;

												BgL_arg1866z00_2398 =
													(BGl_za2classesza2z00zz__objectz00);
												{	/* Globalize/gn.scm 268 */
													long BgL_arg1869z00_2400;

													BgL_arg1869z00_2400 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_2376);
													BgL_arg1867z00_2399 =
														(BgL_arg1869z00_2400 - OBJECT_TYPE);
												}
												BgL_oclassz00_2390 =
													VECTOR_REF(BgL_arg1866z00_2398, BgL_arg1867z00_2399);
											}
											{	/* Globalize/gn.scm 268 */
												bool_t BgL__ortest_1115z00_2391;

												BgL__ortest_1115z00_2391 =
													(BgL_classz00_2374 == BgL_oclassz00_2390);
												if (BgL__ortest_1115z00_2391)
													{	/* Globalize/gn.scm 268 */
														BgL_res1887z00_2407 = BgL__ortest_1115z00_2391;
													}
												else
													{	/* Globalize/gn.scm 268 */
														long BgL_odepthz00_2392;

														{	/* Globalize/gn.scm 268 */
															obj_t BgL_arg1855z00_2393;

															BgL_arg1855z00_2393 = (BgL_oclassz00_2390);
															BgL_odepthz00_2392 =
																BGL_CLASS_DEPTH(BgL_arg1855z00_2393);
														}
														if ((2L < BgL_odepthz00_2392))
															{	/* Globalize/gn.scm 268 */
																obj_t BgL_arg1853z00_2395;

																{	/* Globalize/gn.scm 268 */
																	obj_t BgL_arg1854z00_2396;

																	BgL_arg1854z00_2396 = (BgL_oclassz00_2390);
																	BgL_arg1853z00_2395 =
																		BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_2396,
																		2L);
																}
																BgL_res1887z00_2407 =
																	(BgL_arg1853z00_2395 == BgL_classz00_2374);
															}
														else
															{	/* Globalize/gn.scm 268 */
																BgL_res1887z00_2407 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_test1966z00_3028 = BgL_res1887z00_2407;
									}
							}
						}
				}
				if (BgL_test1966z00_3028)
					{	/* Globalize/gn.scm 268 */
						return ((obj_t) CNST_TABLE_REF(0));
					}
				else
					{	/* Globalize/gn.scm 270 */
						BgL_valuez00_bglt BgL_callerzd2infozd2_1826;

						BgL_callerzd2infozd2_1826 =
							(((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt)
										((BgL_localz00_bglt) BgL_callerz00_81))))->BgL_valuez00);
						{	/* Globalize/gn.scm 274 */
							bool_t BgL_test1974z00_3081;

							{	/* Globalize/gn.scm 274 */
								obj_t BgL_arg1376z00_1831;

								{
									BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3082;

									{
										obj_t BgL_auxz00_3083;

										{	/* Globalize/gn.scm 274 */
											BgL_objectz00_bglt BgL_tmpz00_3084;

											BgL_tmpz00_3084 =
												((BgL_objectz00_bglt)
												((BgL_sfunz00_bglt) BgL_callerzd2infozd2_1826));
											BgL_auxz00_3083 = BGL_OBJECT_WIDENING(BgL_tmpz00_3084);
										}
										BgL_auxz00_3082 =
											((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3083);
									}
									BgL_arg1376z00_1831 =
										(((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3082))->
										BgL_efunctionsz00);
								}
								BgL_test1974z00_3081 =
									CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
										((obj_t) BgL_calleez00_82), BgL_arg1376z00_1831));
							}
							if (BgL_test1974z00_3081)
								{	/* Globalize/gn.scm 274 */
									BFALSE;
								}
							else
								{	/* Globalize/gn.scm 276 */
									obj_t BgL_arg1370z00_1829;

									{	/* Globalize/gn.scm 276 */
										obj_t BgL_arg1371z00_1830;

										{
											BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3093;

											{
												obj_t BgL_auxz00_3094;

												{	/* Globalize/gn.scm 276 */
													BgL_objectz00_bglt BgL_tmpz00_3095;

													BgL_tmpz00_3095 =
														((BgL_objectz00_bglt)
														((BgL_sfunz00_bglt) BgL_callerzd2infozd2_1826));
													BgL_auxz00_3094 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_3095);
												}
												BgL_auxz00_3093 =
													((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3094);
											}
											BgL_arg1371z00_1830 =
												(((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3093))->
												BgL_efunctionsz00);
										}
										BgL_arg1370z00_1829 =
											MAKE_YOUNG_PAIR(
											((obj_t) BgL_calleez00_82), BgL_arg1371z00_1830);
									}
									{
										BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3103;

										{
											obj_t BgL_auxz00_3104;

											{	/* Globalize/gn.scm 275 */
												BgL_objectz00_bglt BgL_tmpz00_3105;

												BgL_tmpz00_3105 =
													((BgL_objectz00_bglt)
													((BgL_sfunz00_bglt) BgL_callerzd2infozd2_1826));
												BgL_auxz00_3104 = BGL_OBJECT_WIDENING(BgL_tmpz00_3105);
											}
											BgL_auxz00_3103 =
												((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3104);
										}
										((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3103))->
												BgL_efunctionsz00) =
											((obj_t) BgL_arg1370z00_1829), BUNSPEC);
									}
								}
						}
						return ((obj_t) CNST_TABLE_REF(0));
					}
			}
		}

	}



/* G-from-cto */
	obj_t BGl_Gzd2fromzd2ctoz00zzglobaliza7e_gnza7(obj_t BgL_localz00_83)
	{
		{	/* Globalize/gn.scm 282 */
			{	/* Globalize/gn.scm 283 */
				obj_t BgL_g1129z00_1833;

				{	/* Globalize/gn.scm 283 */
					BgL_sfunz00_bglt BgL_oz00_2416;

					BgL_oz00_2416 =
						((BgL_sfunz00_bglt)
						(((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt)
										((BgL_localz00_bglt) BgL_localz00_83))))->BgL_valuez00));
					{
						BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3117;

						{
							obj_t BgL_auxz00_3118;

							{	/* Globalize/gn.scm 283 */
								BgL_objectz00_bglt BgL_tmpz00_3119;

								BgL_tmpz00_3119 = ((BgL_objectz00_bglt) BgL_oz00_2416);
								BgL_auxz00_3118 = BGL_OBJECT_WIDENING(BgL_tmpz00_3119);
							}
							BgL_auxz00_3117 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3118);
						}
						BgL_g1129z00_1833 =
							(((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3117))->
							BgL_ctoz00);
					}
				}
				{
					obj_t BgL_ctoz00_1836;
					obj_t BgL_gz00_1837;

					BgL_ctoz00_1836 = BgL_g1129z00_1833;
					BgL_gz00_1837 = BNIL;
				BgL_zc3z04anonymousza31377ze3z87_1838:
					if (NULLP(BgL_ctoz00_1836))
						{	/* Globalize/gn.scm 286 */
							return BgL_gz00_1837;
						}
					else
						{	/* Globalize/gn.scm 288 */
							bool_t BgL_test1976z00_3126;

							{	/* Globalize/gn.scm 288 */
								BgL_sfunz00_bglt BgL_oz00_2420;

								BgL_oz00_2420 =
									((BgL_sfunz00_bglt)
									(((BgL_variablez00_bglt) COBJECT(
												((BgL_variablez00_bglt)
													((BgL_localz00_bglt)
														CAR(((obj_t) BgL_ctoz00_1836))))))->BgL_valuez00));
								{
									BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3133;

									{
										obj_t BgL_auxz00_3134;

										{	/* Globalize/gn.scm 288 */
											BgL_objectz00_bglt BgL_tmpz00_3135;

											BgL_tmpz00_3135 = ((BgL_objectz00_bglt) BgL_oz00_2420);
											BgL_auxz00_3134 = BGL_OBJECT_WIDENING(BgL_tmpz00_3135);
										}
										BgL_auxz00_3133 =
											((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3134);
									}
									BgL_test1976z00_3126 =
										(((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3133))->
										BgL_gzf3zf3);
								}
							}
							if (BgL_test1976z00_3126)
								{	/* Globalize/gn.scm 289 */
									obj_t BgL_arg1382z00_1843;

									BgL_arg1382z00_1843 = CDR(((obj_t) BgL_ctoz00_1836));
									{
										obj_t BgL_ctoz00_3142;

										BgL_ctoz00_3142 = BgL_arg1382z00_1843;
										BgL_ctoz00_1836 = BgL_ctoz00_3142;
										goto BgL_zc3z04anonymousza31377ze3z87_1838;
									}
								}
							else
								{	/* Globalize/gn.scm 288 */
									{	/* Globalize/gn.scm 291 */
										BgL_valuez00_bglt BgL_arg1383z00_1844;

										BgL_arg1383z00_1844 =
											(((BgL_variablez00_bglt) COBJECT(
													((BgL_variablez00_bglt)
														((BgL_localz00_bglt)
															CAR(((obj_t) BgL_ctoz00_1836))))))->BgL_valuez00);
										{
											BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3148;

											{
												obj_t BgL_auxz00_3149;

												{	/* Globalize/gn.scm 291 */
													BgL_objectz00_bglt BgL_tmpz00_3150;

													BgL_tmpz00_3150 =
														((BgL_objectz00_bglt)
														((BgL_sfunz00_bglt) BgL_arg1383z00_1844));
													BgL_auxz00_3149 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_3150);
												}
												BgL_auxz00_3148 =
													((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3149);
											}
											((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3148))->
													BgL_gzf3zf3) = ((bool_t) ((bool_t) 1)), BUNSPEC);
										}
									}
									{	/* Globalize/gn.scm 292 */
										obj_t BgL_arg1386z00_1846;
										obj_t BgL_arg1388z00_1847;

										BgL_arg1386z00_1846 = CDR(((obj_t) BgL_ctoz00_1836));
										{	/* Globalize/gn.scm 292 */
											obj_t BgL_arg1390z00_1848;

											BgL_arg1390z00_1848 = CAR(((obj_t) BgL_ctoz00_1836));
											BgL_arg1388z00_1847 =
												MAKE_YOUNG_PAIR(BgL_arg1390z00_1848, BgL_gz00_1837);
										}
										{
											obj_t BgL_gz00_3162;
											obj_t BgL_ctoz00_3161;

											BgL_ctoz00_3161 = BgL_arg1386z00_1846;
											BgL_gz00_3162 = BgL_arg1388z00_1847;
											BgL_gz00_1837 = BgL_gz00_3162;
											BgL_ctoz00_1836 = BgL_ctoz00_3161;
											goto BgL_zc3z04anonymousza31377ze3z87_1838;
										}
									}
								}
						}
				}
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzglobaliza7e_gnza7(void)
	{
		{	/* Globalize/gn.scm 23 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzglobaliza7e_gnza7(void)
	{
		{	/* Globalize/gn.scm 23 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_Ezd2envzd2zzglobaliza7e_gnza7, BGl_proc1896z00zzglobaliza7e_gnza7,
				BGl_nodez00zzast_nodez00, BGl_string1897z00zzglobaliza7e_gnza7);
		}

	}



/* &E1267 */
	obj_t BGl_z62E1267z62zzglobaliza7e_gnza7(obj_t BgL_envz00_2639,
		obj_t BgL_nodez00_2640, obj_t BgL_callerz00_2641, obj_t BgL_gz00_2642)
	{
		{	/* Globalize/gn.scm 56 */
			return
				BGl_errorz00zz__errorz00(
				((obj_t)
					CNST_TABLE_REF(1)), BGl_string1898z00zzglobaliza7e_gnza7,
				((obj_t) ((BgL_nodez00_bglt) BgL_nodez00_2640)));
		}

	}



/* E */
	obj_t BGl_Ez00zzglobaliza7e_gnza7(BgL_nodez00_bglt BgL_nodez00_7,
		BgL_variablez00_bglt BgL_callerz00_8, obj_t BgL_gz00_9)
	{
		{	/* Globalize/gn.scm 56 */
			{	/* Globalize/gn.scm 56 */
				obj_t BgL_method1269z00_1859;

				{	/* Globalize/gn.scm 56 */
					obj_t BgL_res1892z00_2460;

					{	/* Globalize/gn.scm 56 */
						long BgL_objzd2classzd2numz00_2431;

						BgL_objzd2classzd2numz00_2431 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_7));
						{	/* Globalize/gn.scm 56 */
							obj_t BgL_arg1862z00_2432;

							BgL_arg1862z00_2432 =
								PROCEDURE_REF(BGl_Ezd2envzd2zzglobaliza7e_gnza7, (int) (1L));
							{	/* Globalize/gn.scm 56 */
								int BgL_offsetz00_2435;

								BgL_offsetz00_2435 = (int) (BgL_objzd2classzd2numz00_2431);
								{	/* Globalize/gn.scm 56 */
									long BgL_offsetz00_2436;

									BgL_offsetz00_2436 =
										((long) (BgL_offsetz00_2435) - OBJECT_TYPE);
									{	/* Globalize/gn.scm 56 */
										long BgL_modz00_2437;

										BgL_modz00_2437 =
											(BgL_offsetz00_2436 >> (int) ((long) ((int) (4L))));
										{	/* Globalize/gn.scm 56 */
											long BgL_restz00_2439;

											BgL_restz00_2439 =
												(BgL_offsetz00_2436 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(1L <<
																		(int) ((long) ((int) (4L)))))) - 1L))));
											{	/* Globalize/gn.scm 56 */

												{	/* Globalize/gn.scm 56 */
													obj_t BgL_bucketz00_2441;

													BgL_bucketz00_2441 =
														VECTOR_REF(
														((obj_t) BgL_arg1862z00_2432), BgL_modz00_2437);
													BgL_res1892z00_2460 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_2441), BgL_restz00_2439);
					}}}}}}}}
					BgL_method1269z00_1859 = BgL_res1892z00_2460;
				}
				return
					BGL_PROCEDURE_CALL3(BgL_method1269z00_1859,
					((obj_t) BgL_nodez00_7), ((obj_t) BgL_callerz00_8), BgL_gz00_9);
			}
		}

	}



/* &E */
	obj_t BGl_z62Ez62zzglobaliza7e_gnza7(obj_t BgL_envz00_2643,
		obj_t BgL_nodez00_2644, obj_t BgL_callerz00_2645, obj_t BgL_gz00_2646)
	{
		{	/* Globalize/gn.scm 56 */
			return
				BGl_Ez00zzglobaliza7e_gnza7(
				((BgL_nodez00_bglt) BgL_nodez00_2644),
				((BgL_variablez00_bglt) BgL_callerz00_2645), BgL_gz00_2646);
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzglobaliza7e_gnza7(void)
	{
		{	/* Globalize/gn.scm 23 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_Ezd2envzd2zzglobaliza7e_gnza7, BGl_atomz00zzast_nodez00,
				BGl_proc1899z00zzglobaliza7e_gnza7,
				BGl_string1900z00zzglobaliza7e_gnza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_Ezd2envzd2zzglobaliza7e_gnza7, BGl_kwotez00zzast_nodez00,
				BGl_proc1901z00zzglobaliza7e_gnza7,
				BGl_string1900z00zzglobaliza7e_gnza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_Ezd2envzd2zzglobaliza7e_gnza7, BGl_varz00zzast_nodez00,
				BGl_proc1902z00zzglobaliza7e_gnza7,
				BGl_string1900z00zzglobaliza7e_gnza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_Ezd2envzd2zzglobaliza7e_gnza7, BGl_closurez00zzast_nodez00,
				BGl_proc1903z00zzglobaliza7e_gnza7,
				BGl_string1900z00zzglobaliza7e_gnza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_Ezd2envzd2zzglobaliza7e_gnza7, BGl_sequencez00zzast_nodez00,
				BGl_proc1904z00zzglobaliza7e_gnza7,
				BGl_string1900z00zzglobaliza7e_gnza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_Ezd2envzd2zzglobaliza7e_gnza7, BGl_syncz00zzast_nodez00,
				BGl_proc1905z00zzglobaliza7e_gnza7,
				BGl_string1900z00zzglobaliza7e_gnza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_Ezd2envzd2zzglobaliza7e_gnza7, BGl_appz00zzast_nodez00,
				BGl_proc1906z00zzglobaliza7e_gnza7,
				BGl_string1900z00zzglobaliza7e_gnza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_Ezd2envzd2zzglobaliza7e_gnza7, BGl_appzd2lyzd2zzast_nodez00,
				BGl_proc1907z00zzglobaliza7e_gnza7,
				BGl_string1900z00zzglobaliza7e_gnza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_Ezd2envzd2zzglobaliza7e_gnza7, BGl_funcallz00zzast_nodez00,
				BGl_proc1908z00zzglobaliza7e_gnza7,
				BGl_string1900z00zzglobaliza7e_gnza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_Ezd2envzd2zzglobaliza7e_gnza7, BGl_externz00zzast_nodez00,
				BGl_proc1909z00zzglobaliza7e_gnza7,
				BGl_string1900z00zzglobaliza7e_gnza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_Ezd2envzd2zzglobaliza7e_gnza7, BGl_castz00zzast_nodez00,
				BGl_proc1910z00zzglobaliza7e_gnza7,
				BGl_string1900z00zzglobaliza7e_gnza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_Ezd2envzd2zzglobaliza7e_gnza7, BGl_setqz00zzast_nodez00,
				BGl_proc1911z00zzglobaliza7e_gnza7,
				BGl_string1900z00zzglobaliza7e_gnza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_Ezd2envzd2zzglobaliza7e_gnza7, BGl_conditionalz00zzast_nodez00,
				BGl_proc1912z00zzglobaliza7e_gnza7,
				BGl_string1900z00zzglobaliza7e_gnza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_Ezd2envzd2zzglobaliza7e_gnza7, BGl_failz00zzast_nodez00,
				BGl_proc1913z00zzglobaliza7e_gnza7,
				BGl_string1900z00zzglobaliza7e_gnza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_Ezd2envzd2zzglobaliza7e_gnza7, BGl_switchz00zzast_nodez00,
				BGl_proc1914z00zzglobaliza7e_gnza7,
				BGl_string1900z00zzglobaliza7e_gnza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_Ezd2envzd2zzglobaliza7e_gnza7, BGl_letzd2funzd2zzast_nodez00,
				BGl_proc1915z00zzglobaliza7e_gnza7,
				BGl_string1900z00zzglobaliza7e_gnza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_Ezd2envzd2zzglobaliza7e_gnza7, BGl_letzd2varzd2zzast_nodez00,
				BGl_proc1916z00zzglobaliza7e_gnza7,
				BGl_string1900z00zzglobaliza7e_gnza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_Ezd2envzd2zzglobaliza7e_gnza7, BGl_setzd2exzd2itz00zzast_nodez00,
				BGl_proc1917z00zzglobaliza7e_gnza7,
				BGl_string1900z00zzglobaliza7e_gnza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_Ezd2envzd2zzglobaliza7e_gnza7, BGl_jumpzd2exzd2itz00zzast_nodez00,
				BGl_proc1918z00zzglobaliza7e_gnza7,
				BGl_string1900z00zzglobaliza7e_gnza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_Ezd2envzd2zzglobaliza7e_gnza7, BGl_makezd2boxzd2zzast_nodez00,
				BGl_proc1919z00zzglobaliza7e_gnza7,
				BGl_string1900z00zzglobaliza7e_gnza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_Ezd2envzd2zzglobaliza7e_gnza7, BGl_boxzd2refzd2zzast_nodez00,
				BGl_proc1920z00zzglobaliza7e_gnza7,
				BGl_string1900z00zzglobaliza7e_gnza7);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_Ezd2envzd2zzglobaliza7e_gnza7, BGl_boxzd2setz12zc0zzast_nodez00,
				BGl_proc1921z00zzglobaliza7e_gnza7,
				BGl_string1900z00zzglobaliza7e_gnza7);
		}

	}



/* &E-box-set!1315 */
	obj_t BGl_z62Ezd2boxzd2setz121315z70zzglobaliza7e_gnza7(obj_t BgL_envz00_2669,
		obj_t BgL_nodez00_2670, obj_t BgL_callerz00_2671, obj_t BgL_gz00_2672)
	{
		{	/* Globalize/gn.scm 230 */
			{	/* Globalize/gn.scm 232 */
				BgL_varz00_bglt BgL_arg1686z00_2771;
				obj_t BgL_arg1691z00_2772;

				BgL_arg1686z00_2771 =
					(((BgL_boxzd2setz12zc0_bglt) COBJECT(
							((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2670)))->BgL_varz00);
				{	/* Globalize/gn.scm 232 */
					BgL_nodez00_bglt BgL_arg1692z00_2773;

					BgL_arg1692z00_2773 =
						(((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2670)))->BgL_valuez00);
					BgL_arg1691z00_2772 =
						BGl_Ez00zzglobaliza7e_gnza7(BgL_arg1692z00_2773,
						((BgL_variablez00_bglt) BgL_callerz00_2671), BgL_gz00_2672);
				}
				return
					BGl_Ez00zzglobaliza7e_gnza7(
					((BgL_nodez00_bglt) BgL_arg1686z00_2771),
					((BgL_variablez00_bglt) BgL_callerz00_2671), BgL_arg1691z00_2772);
			}
		}

	}



/* &E-box-ref1313 */
	obj_t BGl_z62Ezd2boxzd2ref1313z62zzglobaliza7e_gnza7(obj_t BgL_envz00_2673,
		obj_t BgL_nodez00_2674, obj_t BgL_callerz00_2675, obj_t BgL_gz00_2676)
	{
		{	/* Globalize/gn.scm 223 */
			{	/* Globalize/gn.scm 225 */
				BgL_varz00_bglt BgL_arg1680z00_2775;

				BgL_arg1680z00_2775 =
					(((BgL_boxzd2refzd2_bglt) COBJECT(
							((BgL_boxzd2refzd2_bglt) BgL_nodez00_2674)))->BgL_varz00);
				return
					BGl_Ez00zzglobaliza7e_gnza7(
					((BgL_nodez00_bglt) BgL_arg1680z00_2775),
					((BgL_variablez00_bglt) BgL_callerz00_2675), BgL_gz00_2676);
			}
		}

	}



/* &E-make-box1311 */
	obj_t BGl_z62Ezd2makezd2box1311z62zzglobaliza7e_gnza7(obj_t BgL_envz00_2677,
		obj_t BgL_nodez00_2678, obj_t BgL_callerz00_2679, obj_t BgL_gz00_2680)
	{
		{	/* Globalize/gn.scm 216 */
			{	/* Globalize/gn.scm 218 */
				BgL_nodez00_bglt BgL_arg1679z00_2777;

				BgL_arg1679z00_2777 =
					(((BgL_makezd2boxzd2_bglt) COBJECT(
							((BgL_makezd2boxzd2_bglt) BgL_nodez00_2678)))->BgL_valuez00);
				return
					BGl_Ez00zzglobaliza7e_gnza7(BgL_arg1679z00_2777,
					((BgL_variablez00_bglt) BgL_callerz00_2679), BgL_gz00_2680);
			}
		}

	}



/* &E-jump-ex-it1309 */
	obj_t BGl_z62Ezd2jumpzd2exzd2it1309zb0zzglobaliza7e_gnza7(obj_t
		BgL_envz00_2681, obj_t BgL_nodez00_2682, obj_t BgL_callerz00_2683,
		obj_t BgL_gz00_2684)
	{
		{	/* Globalize/gn.scm 209 */
			{	/* Globalize/gn.scm 211 */
				BgL_nodez00_bglt BgL_arg1674z00_2779;
				obj_t BgL_arg1675z00_2780;

				BgL_arg1674z00_2779 =
					(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
							((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2682)))->BgL_exitz00);
				{	/* Globalize/gn.scm 211 */
					BgL_nodez00_bglt BgL_arg1677z00_2781;

					BgL_arg1677z00_2781 =
						(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2682)))->
						BgL_valuez00);
					BgL_arg1675z00_2780 =
						BGl_Ez00zzglobaliza7e_gnza7(BgL_arg1677z00_2781,
						((BgL_variablez00_bglt) BgL_callerz00_2683), BgL_gz00_2684);
				}
				return
					BGl_Ez00zzglobaliza7e_gnza7(BgL_arg1674z00_2779,
					((BgL_variablez00_bglt) BgL_callerz00_2683), BgL_arg1675z00_2780);
			}
		}

	}



/* &E-set-ex-it1307 */
	obj_t BGl_z62Ezd2setzd2exzd2it1307zb0zzglobaliza7e_gnza7(obj_t
		BgL_envz00_2685, obj_t BgL_nodez00_2686, obj_t BgL_callerz00_2687,
		obj_t BgL_gz00_2688)
	{
		{	/* Globalize/gn.scm 202 */
			{	/* Globalize/gn.scm 204 */
				BgL_nodez00_bglt BgL_arg1663z00_2783;
				obj_t BgL_arg1664z00_2784;

				BgL_arg1663z00_2783 =
					(((BgL_setzd2exzd2itz00_bglt) COBJECT(
							((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2686)))->BgL_bodyz00);
				{	/* Globalize/gn.scm 204 */
					BgL_nodez00_bglt BgL_arg1673z00_2785;

					BgL_arg1673z00_2785 =
						(((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2686)))->
						BgL_onexitz00);
					BgL_arg1664z00_2784 =
						BGl_Ez00zzglobaliza7e_gnza7(BgL_arg1673z00_2785,
						((BgL_variablez00_bglt) BgL_callerz00_2687), BgL_gz00_2688);
				}
				return
					BGl_Ez00zzglobaliza7e_gnza7(BgL_arg1663z00_2783,
					((BgL_variablez00_bglt) BgL_callerz00_2687), BgL_arg1664z00_2784);
			}
		}

	}



/* &E-let-var1305 */
	obj_t BGl_z62Ezd2letzd2var1305z62zzglobaliza7e_gnza7(obj_t BgL_envz00_2689,
		obj_t BgL_nodez00_2690, obj_t BgL_callerz00_2691, obj_t BgL_gz00_2692)
	{
		{	/* Globalize/gn.scm 190 */
			{
				obj_t BgL_bindingsz00_2788;
				obj_t BgL_gz00_2789;

				BgL_bindingsz00_2788 =
					(((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_nodez00_2690)))->BgL_bindingsz00);
				BgL_gz00_2789 = BgL_gz00_2692;
			BgL_loopz00_2787:
				if (NULLP(BgL_bindingsz00_2788))
					{	/* Globalize/gn.scm 195 */
						BgL_nodez00_bglt BgL_arg1653z00_2790;

						BgL_arg1653z00_2790 =
							(((BgL_letzd2varzd2_bglt) COBJECT(
									((BgL_letzd2varzd2_bglt) BgL_nodez00_2690)))->BgL_bodyz00);
						return
							BGl_Ez00zzglobaliza7e_gnza7(BgL_arg1653z00_2790,
							((BgL_variablez00_bglt) BgL_callerz00_2691), BgL_gz00_2789);
					}
				else
					{	/* Globalize/gn.scm 196 */
						obj_t BgL_arg1655z00_2791;
						obj_t BgL_arg1656z00_2792;

						BgL_arg1655z00_2791 = CDR(((obj_t) BgL_bindingsz00_2788));
						{	/* Globalize/gn.scm 197 */
							obj_t BgL_arg1657z00_2793;

							{	/* Globalize/gn.scm 197 */
								obj_t BgL_pairz00_2794;

								BgL_pairz00_2794 = CAR(((obj_t) BgL_bindingsz00_2788));
								BgL_arg1657z00_2793 = CDR(BgL_pairz00_2794);
							}
							BgL_arg1656z00_2792 =
								BGl_Ez00zzglobaliza7e_gnza7(
								((BgL_nodez00_bglt) BgL_arg1657z00_2793),
								((BgL_variablez00_bglt) BgL_callerz00_2691), BgL_gz00_2789);
						}
						{
							obj_t BgL_gz00_3276;
							obj_t BgL_bindingsz00_3275;

							BgL_bindingsz00_3275 = BgL_arg1655z00_2791;
							BgL_gz00_3276 = BgL_arg1656z00_2792;
							BgL_gz00_2789 = BgL_gz00_3276;
							BgL_bindingsz00_2788 = BgL_bindingsz00_3275;
							goto BgL_loopz00_2787;
						}
					}
			}
		}

	}



/* &E-let-fun1303 */
	obj_t BGl_z62Ezd2letzd2fun1303z62zzglobaliza7e_gnza7(obj_t BgL_envz00_2693,
		obj_t BgL_nodez00_2694, obj_t BgL_callerz00_2695, obj_t BgL_gz00_2696)
	{
		{	/* Globalize/gn.scm 176 */
			{
				obj_t BgL_localsz00_2797;
				obj_t BgL_gz00_2798;

				BgL_localsz00_2797 =
					(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nodez00_2694)))->BgL_localsz00);
				BgL_gz00_2798 = BgL_gz00_2696;
			BgL_loopz00_2796:
				if (NULLP(BgL_localsz00_2797))
					{	/* Globalize/gn.scm 181 */
						BgL_nodez00_bglt BgL_arg1631z00_2799;

						BgL_arg1631z00_2799 =
							(((BgL_letzd2funzd2_bglt) COBJECT(
									((BgL_letzd2funzd2_bglt) BgL_nodez00_2694)))->BgL_bodyz00);
						return
							BGl_Ez00zzglobaliza7e_gnza7(BgL_arg1631z00_2799,
							((BgL_variablez00_bglt) BgL_callerz00_2695), BgL_gz00_2798);
					}
				else
					{	/* Globalize/gn.scm 182 */
						obj_t BgL_arg1632z00_2800;
						obj_t BgL_arg1633z00_2801;

						BgL_arg1632z00_2800 = CDR(((obj_t) BgL_localsz00_2797));
						{	/* Globalize/gn.scm 183 */
							obj_t BgL_arg1635z00_2802;
							obj_t BgL_arg1638z00_2803;

							BgL_arg1635z00_2802 =
								(((BgL_sfunz00_bglt) COBJECT(
										((BgL_sfunz00_bglt)
											(((BgL_variablez00_bglt) COBJECT(
														((BgL_variablez00_bglt)
															((BgL_localz00_bglt)
																CAR(
																	((obj_t) BgL_localsz00_2797))))))->
												BgL_valuez00))))->BgL_bodyz00);
							BgL_arg1638z00_2803 = CAR(((obj_t) BgL_localsz00_2797));
							BgL_arg1633z00_2801 =
								BGl_Ez00zzglobaliza7e_gnza7(
								((BgL_nodez00_bglt) BgL_arg1635z00_2802),
								((BgL_variablez00_bglt) BgL_arg1638z00_2803), BgL_gz00_2798);
						}
						{
							obj_t BgL_gz00_3300;
							obj_t BgL_localsz00_3299;

							BgL_localsz00_3299 = BgL_arg1632z00_2800;
							BgL_gz00_3300 = BgL_arg1633z00_2801;
							BgL_gz00_2798 = BgL_gz00_3300;
							BgL_localsz00_2797 = BgL_localsz00_3299;
							goto BgL_loopz00_2796;
						}
					}
			}
		}

	}



/* &E-switch1301 */
	obj_t BGl_z62Ezd2switch1301zb0zzglobaliza7e_gnza7(obj_t BgL_envz00_2697,
		obj_t BgL_nodez00_2698, obj_t BgL_callerz00_2699, obj_t BgL_gz00_2700)
	{
		{	/* Globalize/gn.scm 165 */
			{
				obj_t BgL_clausesz00_2806;
				obj_t BgL_gz00_2807;

				BgL_clausesz00_2806 =
					(((BgL_switchz00_bglt) COBJECT(
							((BgL_switchz00_bglt) BgL_nodez00_2698)))->BgL_clausesz00);
				BgL_gz00_2807 = BgL_gz00_2700;
			BgL_loopz00_2805:
				if (NULLP(BgL_clausesz00_2806))
					{	/* Globalize/gn.scm 170 */
						BgL_nodez00_bglt BgL_arg1597z00_2808;

						BgL_arg1597z00_2808 =
							(((BgL_switchz00_bglt) COBJECT(
									((BgL_switchz00_bglt) BgL_nodez00_2698)))->BgL_testz00);
						return
							BGl_Ez00zzglobaliza7e_gnza7(BgL_arg1597z00_2808,
							((BgL_variablez00_bglt) BgL_callerz00_2699), BgL_gz00_2807);
					}
				else
					{	/* Globalize/gn.scm 171 */
						obj_t BgL_arg1605z00_2809;
						obj_t BgL_arg1611z00_2810;

						BgL_arg1605z00_2809 = CDR(((obj_t) BgL_clausesz00_2806));
						{	/* Globalize/gn.scm 171 */
							obj_t BgL_arg1612z00_2811;

							{	/* Globalize/gn.scm 171 */
								obj_t BgL_pairz00_2812;

								BgL_pairz00_2812 = CAR(((obj_t) BgL_clausesz00_2806));
								BgL_arg1612z00_2811 = CDR(BgL_pairz00_2812);
							}
							BgL_arg1611z00_2810 =
								BGl_Ez00zzglobaliza7e_gnza7(
								((BgL_nodez00_bglt) BgL_arg1612z00_2811),
								((BgL_variablez00_bglt) BgL_callerz00_2699), BgL_gz00_2807);
						}
						{
							obj_t BgL_gz00_3318;
							obj_t BgL_clausesz00_3317;

							BgL_clausesz00_3317 = BgL_arg1605z00_2809;
							BgL_gz00_3318 = BgL_arg1611z00_2810;
							BgL_gz00_2807 = BgL_gz00_3318;
							BgL_clausesz00_2806 = BgL_clausesz00_3317;
							goto BgL_loopz00_2805;
						}
					}
			}
		}

	}



/* &E-fail1298 */
	obj_t BGl_z62Ezd2fail1298zb0zzglobaliza7e_gnza7(obj_t BgL_envz00_2701,
		obj_t BgL_nodez00_2702, obj_t BgL_callerz00_2703, obj_t BgL_gz00_2704)
	{
		{	/* Globalize/gn.scm 158 */
			{	/* Globalize/gn.scm 160 */
				BgL_nodez00_bglt BgL_arg1578z00_2814;
				obj_t BgL_arg1581z00_2815;

				BgL_arg1578z00_2814 =
					(((BgL_failz00_bglt) COBJECT(
							((BgL_failz00_bglt) BgL_nodez00_2702)))->BgL_procz00);
				{	/* Globalize/gn.scm 160 */
					BgL_nodez00_bglt BgL_arg1587z00_2816;
					obj_t BgL_arg1588z00_2817;

					BgL_arg1587z00_2816 =
						(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2702)))->BgL_msgz00);
					{	/* Globalize/gn.scm 160 */
						BgL_nodez00_bglt BgL_arg1590z00_2818;

						BgL_arg1590z00_2818 =
							(((BgL_failz00_bglt) COBJECT(
									((BgL_failz00_bglt) BgL_nodez00_2702)))->BgL_objz00);
						BgL_arg1588z00_2817 =
							BGl_Ez00zzglobaliza7e_gnza7(BgL_arg1590z00_2818,
							((BgL_variablez00_bglt) BgL_callerz00_2703), BgL_gz00_2704);
					}
					BgL_arg1581z00_2815 =
						BGl_Ez00zzglobaliza7e_gnza7(BgL_arg1587z00_2816,
						((BgL_variablez00_bglt) BgL_callerz00_2703), BgL_arg1588z00_2817);
				}
				return
					BGl_Ez00zzglobaliza7e_gnza7(BgL_arg1578z00_2814,
					((BgL_variablez00_bglt) BgL_callerz00_2703), BgL_arg1581z00_2815);
			}
		}

	}



/* &E-conditional1296 */
	obj_t BGl_z62Ezd2conditional1296zb0zzglobaliza7e_gnza7(obj_t BgL_envz00_2705,
		obj_t BgL_nodez00_2706, obj_t BgL_callerz00_2707, obj_t BgL_gz00_2708)
	{
		{	/* Globalize/gn.scm 151 */
			{	/* Globalize/gn.scm 153 */
				BgL_nodez00_bglt BgL_arg1554z00_2820;
				obj_t BgL_arg1558z00_2821;

				BgL_arg1554z00_2820 =
					(((BgL_conditionalz00_bglt) COBJECT(
							((BgL_conditionalz00_bglt) BgL_nodez00_2706)))->BgL_testz00);
				{	/* Globalize/gn.scm 153 */
					BgL_nodez00_bglt BgL_arg1560z00_2822;
					obj_t BgL_arg1574z00_2823;

					BgL_arg1560z00_2822 =
						(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_2706)))->BgL_truez00);
					{	/* Globalize/gn.scm 153 */
						BgL_nodez00_bglt BgL_arg1577z00_2824;

						BgL_arg1577z00_2824 =
							(((BgL_conditionalz00_bglt) COBJECT(
									((BgL_conditionalz00_bglt) BgL_nodez00_2706)))->BgL_falsez00);
						BgL_arg1574z00_2823 =
							BGl_Ez00zzglobaliza7e_gnza7(BgL_arg1577z00_2824,
							((BgL_variablez00_bglt) BgL_callerz00_2707), BgL_gz00_2708);
					}
					BgL_arg1558z00_2821 =
						BGl_Ez00zzglobaliza7e_gnza7(BgL_arg1560z00_2822,
						((BgL_variablez00_bglt) BgL_callerz00_2707), BgL_arg1574z00_2823);
				}
				return
					BGl_Ez00zzglobaliza7e_gnza7(BgL_arg1554z00_2820,
					((BgL_variablez00_bglt) BgL_callerz00_2707), BgL_arg1558z00_2821);
			}
		}

	}



/* &E-setq1294 */
	obj_t BGl_z62Ezd2setq1294zb0zzglobaliza7e_gnza7(obj_t BgL_envz00_2709,
		obj_t BgL_nodez00_2710, obj_t BgL_callerz00_2711, obj_t BgL_gz00_2712)
	{
		{	/* Globalize/gn.scm 144 */
			{	/* Globalize/gn.scm 146 */
				BgL_nodez00_bglt BgL_arg1553z00_2826;

				BgL_arg1553z00_2826 =
					(((BgL_setqz00_bglt) COBJECT(
							((BgL_setqz00_bglt) BgL_nodez00_2710)))->BgL_valuez00);
				return
					BGl_Ez00zzglobaliza7e_gnza7(BgL_arg1553z00_2826,
					((BgL_variablez00_bglt) BgL_callerz00_2711), BgL_gz00_2712);
			}
		}

	}



/* &E-cast1292 */
	obj_t BGl_z62Ezd2cast1292zb0zzglobaliza7e_gnza7(obj_t BgL_envz00_2713,
		obj_t BgL_nodez00_2714, obj_t BgL_callerz00_2715, obj_t BgL_gz00_2716)
	{
		{	/* Globalize/gn.scm 137 */
			{	/* Globalize/gn.scm 139 */
				BgL_nodez00_bglt BgL_arg1545z00_2828;

				BgL_arg1545z00_2828 =
					(((BgL_castz00_bglt) COBJECT(
							((BgL_castz00_bglt) BgL_nodez00_2714)))->BgL_argz00);
				return
					BGl_Ez00zzglobaliza7e_gnza7(BgL_arg1545z00_2828,
					((BgL_variablez00_bglt) BgL_callerz00_2715), BgL_gz00_2716);
			}
		}

	}



/* &E-extern1290 */
	obj_t BGl_z62Ezd2extern1290zb0zzglobaliza7e_gnza7(obj_t BgL_envz00_2717,
		obj_t BgL_nodez00_2718, obj_t BgL_callerz00_2719, obj_t BgL_gz00_2720)
	{
		{	/* Globalize/gn.scm 130 */
			return
				BGl_Eza2za2zzglobaliza7e_gnza7(
				(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt) BgL_nodez00_2718)))->BgL_exprza2za2),
				BgL_callerz00_2719, BgL_gz00_2720);
		}

	}



/* &E-funcall1288 */
	obj_t BGl_z62Ezd2funcall1288zb0zzglobaliza7e_gnza7(obj_t BgL_envz00_2721,
		obj_t BgL_nodez00_2722, obj_t BgL_callerz00_2723, obj_t BgL_gz00_2724)
	{
		{	/* Globalize/gn.scm 123 */
			{	/* Globalize/gn.scm 125 */
				BgL_nodez00_bglt BgL_arg1530z00_2831;
				obj_t BgL_arg1532z00_2832;

				BgL_arg1530z00_2831 =
					(((BgL_funcallz00_bglt) COBJECT(
							((BgL_funcallz00_bglt) BgL_nodez00_2722)))->BgL_funz00);
				BgL_arg1532z00_2832 =
					BGl_Eza2za2zzglobaliza7e_gnza7(
					(((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_nodez00_2722)))->BgL_argsz00),
					BgL_callerz00_2723, BgL_gz00_2724);
				return BGl_Ez00zzglobaliza7e_gnza7(BgL_arg1530z00_2831,
					((BgL_variablez00_bglt) BgL_callerz00_2723), BgL_arg1532z00_2832);
			}
		}

	}



/* &E-app-ly1286 */
	obj_t BGl_z62Ezd2appzd2ly1286z62zzglobaliza7e_gnza7(obj_t BgL_envz00_2725,
		obj_t BgL_nodez00_2726, obj_t BgL_callerz00_2727, obj_t BgL_gz00_2728)
	{
		{	/* Globalize/gn.scm 116 */
			{	/* Globalize/gn.scm 118 */
				BgL_nodez00_bglt BgL_arg1513z00_2834;
				obj_t BgL_arg1515z00_2835;

				BgL_arg1513z00_2834 =
					(((BgL_appzd2lyzd2_bglt) COBJECT(
							((BgL_appzd2lyzd2_bglt) BgL_nodez00_2726)))->BgL_funz00);
				{	/* Globalize/gn.scm 118 */
					BgL_nodez00_bglt BgL_arg1516z00_2836;

					BgL_arg1516z00_2836 =
						(((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_2726)))->BgL_argz00);
					BgL_arg1515z00_2835 =
						BGl_Ez00zzglobaliza7e_gnza7(BgL_arg1516z00_2836,
						((BgL_variablez00_bglt) BgL_callerz00_2727), BgL_gz00_2728);
				}
				return
					BGl_Ez00zzglobaliza7e_gnza7(BgL_arg1513z00_2834,
					((BgL_variablez00_bglt) BgL_callerz00_2727), BgL_arg1515z00_2835);
			}
		}

	}



/* &E-app1284 */
	obj_t BGl_z62Ezd2app1284zb0zzglobaliza7e_gnza7(obj_t BgL_envz00_2729,
		obj_t BgL_nodez00_2730, obj_t BgL_callerz00_2731, obj_t BgL_gz00_2732)
	{
		{	/* Globalize/gn.scm 108 */
			BGl_savezd2appz12zc0zzglobaliza7e_gnza7(BgL_callerz00_2731,
				(((BgL_varz00_bglt) COBJECT(
							(((BgL_appz00_bglt) COBJECT(
										((BgL_appz00_bglt) BgL_nodez00_2730)))->BgL_funz00)))->
					BgL_variablez00));
			return BGl_Eza2za2zzglobaliza7e_gnza7((((BgL_appz00_bglt)
						COBJECT(((BgL_appz00_bglt) BgL_nodez00_2730)))->BgL_argsz00),
				BgL_callerz00_2731, BgL_gz00_2732);
		}

	}



/* &E-sync1282 */
	obj_t BGl_z62Ezd2sync1282zb0zzglobaliza7e_gnza7(obj_t BgL_envz00_2733,
		obj_t BgL_nodez00_2734, obj_t BgL_callerz00_2735, obj_t BgL_gz00_2736)
	{
		{	/* Globalize/gn.scm 100 */
			{	/* Globalize/gn.scm 101 */
				BgL_nodez00_bglt BgL_arg1480z00_2839;
				obj_t BgL_arg1484z00_2840;

				BgL_arg1480z00_2839 =
					(((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_nodez00_2734)))->BgL_bodyz00);
				{	/* Globalize/gn.scm 102 */
					BgL_nodez00_bglt BgL_arg1487z00_2841;
					obj_t BgL_arg1489z00_2842;

					BgL_arg1487z00_2841 =
						(((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_2734)))->BgL_prelockz00);
					{	/* Globalize/gn.scm 103 */
						BgL_nodez00_bglt BgL_arg1490z00_2843;

						BgL_arg1490z00_2843 =
							(((BgL_syncz00_bglt) COBJECT(
									((BgL_syncz00_bglt) BgL_nodez00_2734)))->BgL_mutexz00);
						BgL_arg1489z00_2842 =
							BGl_Ez00zzglobaliza7e_gnza7(BgL_arg1490z00_2843,
							((BgL_variablez00_bglt) BgL_callerz00_2735), BgL_gz00_2736);
					}
					BgL_arg1484z00_2840 =
						BGl_Ez00zzglobaliza7e_gnza7(BgL_arg1487z00_2841,
						((BgL_variablez00_bglt) BgL_callerz00_2735), BgL_arg1489z00_2842);
				}
				return
					BGl_Ez00zzglobaliza7e_gnza7(BgL_arg1480z00_2839,
					((BgL_variablez00_bglt) BgL_callerz00_2735), BgL_arg1484z00_2840);
			}
		}

	}



/* &E-sequence1280 */
	obj_t BGl_z62Ezd2sequence1280zb0zzglobaliza7e_gnza7(obj_t BgL_envz00_2737,
		obj_t BgL_nodez00_2738, obj_t BgL_callerz00_2739, obj_t BgL_gz00_2740)
	{
		{	/* Globalize/gn.scm 94 */
			return
				BGl_Eza2za2zzglobaliza7e_gnza7(
				(((BgL_sequencez00_bglt) COBJECT(
							((BgL_sequencez00_bglt) BgL_nodez00_2738)))->BgL_nodesz00),
				BgL_callerz00_2739, BgL_gz00_2740);
		}

	}



/* &E-closure1278 */
	obj_t BGl_z62Ezd2closure1278zb0zzglobaliza7e_gnza7(obj_t BgL_envz00_2741,
		obj_t BgL_nodez00_2742, obj_t BgL_callerz00_2743, obj_t BgL_gz00_2744)
	{
		{	/* Globalize/gn.scm 79 */
			{	/* Globalize/gn.scm 80 */
				BgL_variablez00_bglt BgL_varz00_2847;

				BgL_varz00_2847 =
					(((BgL_varz00_bglt) COBJECT(
							((BgL_varz00_bglt)
								((BgL_closurez00_bglt) BgL_nodez00_2742))))->BgL_variablez00);
				BGl_savezd2funz12zc0zzglobaliza7e_gnza7(
					((BgL_variablez00_bglt) BgL_callerz00_2743), BgL_varz00_2847);
				{	/* Globalize/gn.scm 82 */
					bool_t BgL_test1980z00_3398;

					{	/* Globalize/gn.scm 82 */
						bool_t BgL_test1981z00_3399;

						{	/* Globalize/gn.scm 82 */
							obj_t BgL_classz00_2848;

							BgL_classz00_2848 = BGl_localz00zzast_varz00;
							{	/* Globalize/gn.scm 82 */
								BgL_objectz00_bglt BgL_arg1858z00_2849;

								{	/* Globalize/gn.scm 82 */
									obj_t BgL_tmpz00_3400;

									BgL_tmpz00_3400 =
										((obj_t) ((BgL_objectz00_bglt) BgL_varz00_2847));
									BgL_arg1858z00_2849 = (BgL_objectz00_bglt) (BgL_tmpz00_3400);
								}
								if (BGL_CONDEXPAND_ISA_ARCH64())
									{	/* Globalize/gn.scm 82 */
										long BgL_idxz00_2850;

										BgL_idxz00_2850 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_2849);
										BgL_test1981z00_3399 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_2850 + 2L)) == BgL_classz00_2848);
									}
								else
									{	/* Globalize/gn.scm 82 */
										bool_t BgL_res1893z00_2853;

										{	/* Globalize/gn.scm 82 */
											obj_t BgL_oclassz00_2854;

											{	/* Globalize/gn.scm 82 */
												obj_t BgL_arg1866z00_2855;
												long BgL_arg1867z00_2856;

												BgL_arg1866z00_2855 =
													(BGl_za2classesza2z00zz__objectz00);
												{	/* Globalize/gn.scm 82 */
													long BgL_arg1869z00_2857;

													BgL_arg1869z00_2857 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_2849);
													BgL_arg1867z00_2856 =
														(BgL_arg1869z00_2857 - OBJECT_TYPE);
												}
												BgL_oclassz00_2854 =
													VECTOR_REF(BgL_arg1866z00_2855, BgL_arg1867z00_2856);
											}
											{	/* Globalize/gn.scm 82 */
												bool_t BgL__ortest_1115z00_2858;

												BgL__ortest_1115z00_2858 =
													(BgL_classz00_2848 == BgL_oclassz00_2854);
												if (BgL__ortest_1115z00_2858)
													{	/* Globalize/gn.scm 82 */
														BgL_res1893z00_2853 = BgL__ortest_1115z00_2858;
													}
												else
													{	/* Globalize/gn.scm 82 */
														long BgL_odepthz00_2859;

														{	/* Globalize/gn.scm 82 */
															obj_t BgL_arg1855z00_2860;

															BgL_arg1855z00_2860 = (BgL_oclassz00_2854);
															BgL_odepthz00_2859 =
																BGL_CLASS_DEPTH(BgL_arg1855z00_2860);
														}
														if ((2L < BgL_odepthz00_2859))
															{	/* Globalize/gn.scm 82 */
																obj_t BgL_arg1853z00_2861;

																{	/* Globalize/gn.scm 82 */
																	obj_t BgL_arg1854z00_2862;

																	BgL_arg1854z00_2862 = (BgL_oclassz00_2854);
																	BgL_arg1853z00_2861 =
																		BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_2862,
																		2L);
																}
																BgL_res1893z00_2853 =
																	(BgL_arg1853z00_2861 == BgL_classz00_2848);
															}
														else
															{	/* Globalize/gn.scm 82 */
																BgL_res1893z00_2853 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_test1981z00_3399 = BgL_res1893z00_2853;
									}
							}
						}
						if (BgL_test1981z00_3399)
							{	/* Globalize/gn.scm 84 */
								bool_t BgL_test1985z00_3423;

								{
									BgL_localzf2ginfozf2_bglt BgL_auxz00_3424;

									{
										obj_t BgL_auxz00_3425;

										{	/* Globalize/gn.scm 84 */
											BgL_objectz00_bglt BgL_tmpz00_3426;

											BgL_tmpz00_3426 =
												((BgL_objectz00_bglt)
												((BgL_localz00_bglt) BgL_varz00_2847));
											BgL_auxz00_3425 = BGL_OBJECT_WIDENING(BgL_tmpz00_3426);
										}
										BgL_auxz00_3424 =
											((BgL_localzf2ginfozf2_bglt) BgL_auxz00_3425);
									}
									BgL_test1985z00_3423 =
										(((BgL_localzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3424))->
										BgL_escapezf3zf3);
								}
								if (BgL_test1985z00_3423)
									{	/* Globalize/gn.scm 85 */
										bool_t BgL_test1986z00_3432;

										{	/* Globalize/gn.scm 85 */
											BgL_sfunz00_bglt BgL_oz00_2863;

											BgL_oz00_2863 =
												((BgL_sfunz00_bglt)
												(((BgL_variablez00_bglt) COBJECT(
															((BgL_variablez00_bglt)
																((BgL_localz00_bglt) BgL_varz00_2847))))->
													BgL_valuez00));
											{
												BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3437;

												{
													obj_t BgL_auxz00_3438;

													{	/* Globalize/gn.scm 85 */
														BgL_objectz00_bglt BgL_tmpz00_3439;

														BgL_tmpz00_3439 =
															((BgL_objectz00_bglt) BgL_oz00_2863);
														BgL_auxz00_3438 =
															BGL_OBJECT_WIDENING(BgL_tmpz00_3439);
													}
													BgL_auxz00_3437 =
														((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3438);
												}
												BgL_test1986z00_3432 =
													(((BgL_sfunzf2ginfozf2_bglt)
														COBJECT(BgL_auxz00_3437))->BgL_gzf3zf3);
											}
										}
										if (BgL_test1986z00_3432)
											{	/* Globalize/gn.scm 85 */
												BgL_test1980z00_3398 = ((bool_t) 0);
											}
										else
											{	/* Globalize/gn.scm 85 */
												BgL_test1980z00_3398 = ((bool_t) 1);
											}
									}
								else
									{	/* Globalize/gn.scm 84 */
										BgL_test1980z00_3398 = ((bool_t) 0);
									}
							}
						else
							{	/* Globalize/gn.scm 82 */
								BgL_test1980z00_3398 = ((bool_t) 0);
							}
					}
					if (BgL_test1980z00_3398)
						{	/* Globalize/gn.scm 82 */
							{	/* Globalize/gn.scm 87 */
								BgL_valuez00_bglt BgL_arg1446z00_2864;

								BgL_arg1446z00_2864 =
									(((BgL_variablez00_bglt) COBJECT(
											((BgL_variablez00_bglt)
												((BgL_localz00_bglt) BgL_varz00_2847))))->BgL_valuez00);
								{
									BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3447;

									{
										obj_t BgL_auxz00_3448;

										{	/* Globalize/gn.scm 87 */
											BgL_objectz00_bglt BgL_tmpz00_3449;

											BgL_tmpz00_3449 =
												((BgL_objectz00_bglt)
												((BgL_sfunz00_bglt) BgL_arg1446z00_2864));
											BgL_auxz00_3448 = BGL_OBJECT_WIDENING(BgL_tmpz00_3449);
										}
										BgL_auxz00_3447 =
											((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3448);
									}
									((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3447))->
											BgL_gzf3zf3) = ((bool_t) ((bool_t) 1)), BUNSPEC);
								}
							}
							return MAKE_YOUNG_PAIR(((obj_t) BgL_varz00_2847), BgL_gz00_2744);
						}
					else
						{	/* Globalize/gn.scm 82 */
							return BgL_gz00_2744;
						}
				}
			}
		}

	}



/* &E-var1276 */
	obj_t BGl_z62Ezd2var1276zb0zzglobaliza7e_gnza7(obj_t BgL_envz00_2745,
		obj_t BgL_nodez00_2746, obj_t BgL_callerz00_2747, obj_t BgL_gz00_2748)
	{
		{	/* Globalize/gn.scm 73 */
			return BgL_gz00_2748;
		}

	}



/* &E-kwote1274 */
	obj_t BGl_z62Ezd2kwote1274zb0zzglobaliza7e_gnza7(obj_t BgL_envz00_2749,
		obj_t BgL_nodez00_2750, obj_t BgL_callerz00_2751, obj_t BgL_gz00_2752)
	{
		{	/* Globalize/gn.scm 67 */
			return BgL_gz00_2752;
		}

	}



/* &E-atom1272 */
	obj_t BGl_z62Ezd2atom1272zb0zzglobaliza7e_gnza7(obj_t BgL_envz00_2753,
		obj_t BgL_nodez00_2754, obj_t BgL_callerz00_2755, obj_t BgL_gz00_2756)
	{
		{	/* Globalize/gn.scm 61 */
			return BgL_gz00_2756;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzglobaliza7e_gnza7(void)
	{
		{	/* Globalize/gn.scm 23 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(54713316L,
				BSTRING_TO_STRING(BGl_string1922z00zzglobaliza7e_gnza7));
			BGl_modulezd2initializa7ationz75zztools_shapez00(365925558L,
				BSTRING_TO_STRING(BGl_string1922z00zzglobaliza7e_gnza7));
			BGl_modulezd2initializa7ationz75zztype_typez00(515343395L,
				BSTRING_TO_STRING(BGl_string1922z00zzglobaliza7e_gnza7));
			BGl_modulezd2initializa7ationz75zzast_varz00(90839984L,
				BSTRING_TO_STRING(BGl_string1922z00zzglobaliza7e_gnza7));
			BGl_modulezd2initializa7ationz75zzast_nodez00(469732712L,
				BSTRING_TO_STRING(BGl_string1922z00zzglobaliza7e_gnza7));
			BGl_modulezd2initializa7ationz75zzglobaliza7e_ginfoza7(0L,
				BSTRING_TO_STRING(BGl_string1922z00zzglobaliza7e_gnza7));
			return
				BGl_modulezd2initializa7ationz75zzglobaliza7e_globaliza7ez00(34590581L,
				BSTRING_TO_STRING(BGl_string1922z00zzglobaliza7e_gnza7));
		}

	}

#ifdef __cplusplus
}
#endif
