/*===========================================================================*/
/*   (Heap/make.scm)                                                         */
/*   Bigloo (4.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Jan 27 07:45:49 AM CET 2025     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.6a/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.6a/lib/bigloo/4.6a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -stdc -indent Heap/make.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL_HEAP_MAKE_TYPE_DEFINITIONS
#define BGL_HEAP_MAKE_TYPE_DEFINITIONS

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_nullz00;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_qualifiedzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_backendz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
		bool_t BgL_boundzd2checkzd2;
		bool_t BgL_typezd2checkzd2;
		bool_t BgL_typedzd2funcallzd2;
		bool_t BgL_strictzd2typezd2castz00;
		bool_t BgL_forcezd2registerzd2gczd2rootszd2;
		bool_t BgL_stringzd2literalzd2supportz00;
		bool_t BgL_boxedzd2fixnumszd2;
		bool_t BgL_typedzd2closureszd2;
	}                 *BgL_backendz00_bglt;


#endif													// BGL_HEAP_MAKE_TYPE_DEFINITIONS
#endif													// BGL_MODULE_TYPE_DEFINITIONS

	static obj_t BGl_requirezd2initializa7ationz75zzheap_makez00 = BUNSPEC;
	extern obj_t BGl_za2cczd2optionsza2zd2zzengine_paramz00;
	BGL_EXPORTED_DECL obj_t BGl_makezd2addzd2heapz00zzheap_makez00(void);
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	BGL_IMPORT obj_t output_obj(obj_t, obj_t);
	extern obj_t BGl_getzd2tenvzd2zztype_envz00(void);
	extern obj_t BGl_forzd2eachzd2globalz12z12zzast_envz00(obj_t, obj_t);
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzheap_makez00(void);
	static obj_t BGl_objectzd2initzd2zzheap_makez00(void);
	BGL_IMPORT obj_t BGl_setzd2objzd2stringzd2modez12zc0zz__intextz00(obj_t);
	BGL_IMPORT obj_t BGl_openzd2outputzd2binaryzd2filezd2zz__binaryz00(obj_t);
	extern obj_t BGl_thezd2backendzd2zzbackend_backendz00(void);
	BGL_IMPORT obj_t BGl_makezd2filezd2namez00zz__osz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t BGl_z62preparezd2globalsz12za2zzheap_makez00(obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzheap_makez00(void);
	static obj_t BGl_z62zc3z04anonymousza31243ze3ze5zzheap_makez00(obj_t, obj_t);
	extern obj_t BGl_za2additionalzd2includezd2foreignza2z00zzengine_paramz00;
	extern obj_t BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00;
	static obj_t BGl_z62makezd2heapzb0zzheap_makez00(obj_t);
	extern obj_t BGl_za2heapzd2libraryza2zd2zzengine_paramz00;
	BGL_IMPORT obj_t close_binary_port(obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62preparezd2additionalzd2globalsz12z70zzheap_makez00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza31158ze3ze5zzheap_makez00(obj_t, obj_t);
	extern obj_t BGl_unbindzd2globalz12zc0zzast_envz00(obj_t, obj_t);
	extern obj_t BGl_za2bigloozd2versionza2zd2zzengine_paramz00;
	BGL_EXPORTED_DECL obj_t BGl_makezd2heapzd2zzheap_makez00(void);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzheap_makez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzheap_restorez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzforeign_libraryz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_passz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__intextz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__binaryz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_za2heapzd2nameza2zd2zzengine_paramz00;
	extern obj_t BGl_za2libzd2dirza2zd2zzengine_paramz00;
	static obj_t
		BGl_z62checkzd2additionalzd2heapzd2libraryzb0zzheap_makez00(obj_t);
	static obj_t BGl_cnstzd2initzd2zzheap_makez00(void);
	static obj_t BGl_libraryzd2moduleszd2initz00zzheap_makez00(void);
	static obj_t BGl_importedzd2moduleszd2initz00zzheap_makez00(void);
	static obj_t BGl_gczd2rootszd2initz00zzheap_makez00(void);
	static obj_t BGl_z62makezd2addzd2heapz62zzheap_makez00(obj_t);
	extern obj_t BGl_za2currentzd2passza2zd2zzengine_passz00;
	extern obj_t BGl_za2additionalzd2heapzd2nameza2z00zzengine_paramz00;
	BGL_IMPORT obj_t BGl_classzd2superzd2zz__objectz00(obj_t);
	extern obj_t BGl_za2bigloozd2specificzd2versionza2z00zzengine_paramz00;
	extern obj_t BGl_userzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_getzd2genvzd2zzast_envz00(void);
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	static obj_t __cnst[9];


	   
		 
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_preparezd2additionalzd2globalsz12zd2envzc0zzheap_makez00,
		BgL_bgl_za762prepareza7d2add1302z00,
		BGl_z62preparezd2additionalzd2globalsz12z70zzheap_makez00, 0L, BUNSPEC, 0);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_checkzd2additionalzd2heapzd2libraryzd2envz00zzheap_makez00,
		BgL_bgl_za762checkza7d2addit1303z00,
		BGl_z62checkzd2additionalzd2heapzd2libraryzb0zzheap_makez00, 0L, BUNSPEC,
		0);
	      DEFINE_STRING(BGl_string1285z00zzheap_makez00,
		BgL_bgl_string1285za700za7za7h1304za7, "Heap", 4);
	      DEFINE_STRING(BGl_string1286z00zzheap_makez00,
		BgL_bgl_string1286za700za7za7h1305za7, "   . ", 5);
	      DEFINE_STRING(BGl_string1287z00zzheap_makez00,
		BgL_bgl_string1287za700za7za7h1306za7, "failure during prelude hook", 27);
	      DEFINE_STRING(BGl_string1288z00zzheap_makez00,
		BgL_bgl_string1288za700za7za7h1307za7, "make-heap", 9);
	      DEFINE_STRING(BGl_string1289z00zzheap_makez00,
		BgL_bgl_string1289za700za7za7h1308za7, "Can't open output port", 22);
	      DEFINE_STRING(BGl_string1290z00zzheap_makez00,
		BgL_bgl_string1290za700za7za7h1309za7, "Illegal heap's name", 19);
	      DEFINE_STRING(BGl_string1292z00zzheap_makez00,
		BgL_bgl_string1292za700za7za7h1310za7, "Library heap", 12);
	      DEFINE_STRING(BGl_string1293z00zzheap_makez00,
		BgL_bgl_string1293za700za7za7h1311za7, "make-addd-heap", 14);
	      DEFINE_STRING(BGl_string1294z00zzheap_makez00,
		BgL_bgl_string1294za700za7za7h1312za7, "make-add-heap", 13);
	      DEFINE_STRING(BGl_string1295z00zzheap_makez00,
		BgL_bgl_string1295za700za7za7h1313za7,
		"Illegal reserved identifier for additional heap library (see `-heap-library' compiler option)",
		93);
	      DEFINE_STRING(BGl_string1296z00zzheap_makez00,
		BgL_bgl_string1296za700za7za7h1314za7,
		"Missing additional heap library identifier (see `-heap-library' compiler option)",
		80);
	      DEFINE_STRING(BGl_string1298z00zzheap_makez00,
		BgL_bgl_string1298za700za7za7h1315za7, "heap_make", 9);
	      DEFINE_STRING(BGl_string1299z00zzheap_makez00,
		BgL_bgl_string1299za700za7za7h1316za7,
		"make-add-heap bigloo (check-additional-heap-library prepare-additional-globals!) import export static pair pass-started (prepare-globals!) ",
		139);
	     
		DEFINE_STATIC_BGL_PROCEDURE(BGl_preparezd2globalsz12zd2envz12zzheap_makez00,
		BgL_bgl_za762prepareza7d2glo1317z00,
		BGl_z62preparezd2globalsz12za2zzheap_makez00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1291z00zzheap_makez00,
		BgL_bgl_za762za7c3za704anonymo1318za7,
		BGl_z62zc3z04anonymousza31158ze3ze5zzheap_makez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1297z00zzheap_makez00,
		BgL_bgl_za762za7c3za704anonymo1319za7,
		BGl_z62zc3z04anonymousza31243ze3ze5zzheap_makez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2heapzd2envz00zzheap_makez00,
		BgL_bgl_za762makeza7d2heapza7b1320za7, BGl_z62makezd2heapzb0zzheap_makez00,
		0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2addzd2heapzd2envzd2zzheap_makez00,
		BgL_bgl_za762makeza7d2addza7d21321za7,
		BGl_z62makezd2addzd2heapz62zzheap_makez00, 0L, BUNSPEC, 0);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		     ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zzheap_makez00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzheap_makez00(long
		BgL_checksumz00_831, char *BgL_fromz00_832)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzheap_makez00))
				{
					BGl_requirezd2initializa7ationz75zzheap_makez00 = BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzheap_makez00();
					BGl_libraryzd2moduleszd2initz00zzheap_makez00();
					BGl_cnstzd2initzd2zzheap_makez00();
					BGl_importedzd2moduleszd2initz00zzheap_makez00();
					return BGl_methodzd2initzd2zzheap_makez00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzheap_makez00(void)
	{
		{	/* Heap/make.scm 15 */
			BGl_modulezd2initializa7ationz75zz__objectz00(0L, "heap_make");
			BGl_modulezd2initializa7ationz75zz__intextz00(0L, "heap_make");
			BGl_modulezd2initializa7ationz75zz__binaryz00(0L, "heap_make");
			BGl_modulezd2initializa7ationz75zz__osz00(0L, "heap_make");
			BGl_modulezd2initializa7ationz75zz__readerz00(0L, "heap_make");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(0L, "heap_make");
			BGl_modulezd2initializa7ationz75zz__errorz00(0L, "heap_make");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(0L, "heap_make");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(0L,
				"heap_make");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(0L, "heap_make");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(0L, "heap_make");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(0L,
				"heap_make");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzheap_makez00(void)
	{
		{	/* Heap/make.scm 15 */
			{	/* Heap/make.scm 15 */
				obj_t BgL_cportz00_800;

				{	/* Heap/make.scm 15 */
					obj_t BgL_stringz00_807;

					BgL_stringz00_807 = BGl_string1299z00zzheap_makez00;
					{	/* Heap/make.scm 15 */
						obj_t BgL_startz00_808;

						BgL_startz00_808 = BINT(0L);
						{	/* Heap/make.scm 15 */
							obj_t BgL_endz00_809;

							BgL_endz00_809 = BINT(STRING_LENGTH(((obj_t) BgL_stringz00_807)));
							{	/* Heap/make.scm 15 */

								BgL_cportz00_800 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_807, BgL_startz00_808, BgL_endz00_809);
				}}}}
				{
					long BgL_iz00_801;

					BgL_iz00_801 = 8L;
				BgL_loopz00_802:
					if ((BgL_iz00_801 == (-1L)))
						{	/* Heap/make.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Heap/make.scm 15 */
							{	/* Heap/make.scm 15 */
								obj_t BgL_arg1301z00_803;

								{	/* Heap/make.scm 15 */

									{	/* Heap/make.scm 15 */
										obj_t BgL_locationz00_805;

										BgL_locationz00_805 = BBOOL(((bool_t) 0));
										{	/* Heap/make.scm 15 */

											BgL_arg1301z00_803 =
												BGl_readz00zz__readerz00(BgL_cportz00_800,
												BgL_locationz00_805);
										}
									}
								}
								{	/* Heap/make.scm 15 */
									int BgL_tmpz00_862;

									BgL_tmpz00_862 = (int) (BgL_iz00_801);
									CNST_TABLE_SET(BgL_tmpz00_862, BgL_arg1301z00_803);
							}}
							{	/* Heap/make.scm 15 */
								int BgL_auxz00_806;

								BgL_auxz00_806 = (int) ((BgL_iz00_801 - 1L));
								{
									long BgL_iz00_867;

									BgL_iz00_867 = (long) (BgL_auxz00_806);
									BgL_iz00_801 = BgL_iz00_867;
									goto BgL_loopz00_802;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzheap_makez00(void)
	{
		{	/* Heap/make.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* make-heap */
	BGL_EXPORTED_DEF obj_t BGl_makezd2heapzd2zzheap_makez00(void)
	{
		{	/* Heap/make.scm 35 */
			{	/* Heap/make.scm 36 */
				obj_t BgL_list1112z00_556;

				{	/* Heap/make.scm 36 */
					obj_t BgL_arg1113z00_557;

					{	/* Heap/make.scm 36 */
						obj_t BgL_arg1114z00_558;

						BgL_arg1114z00_558 =
							MAKE_YOUNG_PAIR(BCHAR(((unsigned char) 10)), BNIL);
						BgL_arg1113z00_557 =
							MAKE_YOUNG_PAIR(BGl_string1285z00zzheap_makez00,
							BgL_arg1114z00_558);
					}
					BgL_list1112z00_556 =
						MAKE_YOUNG_PAIR(BGl_string1286z00zzheap_makez00,
						BgL_arg1113z00_557);
				}
				BGl_verbosez00zztools_speekz00(BINT(1L), BgL_list1112z00_556);
			}
			BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00 = BINT(0L);
			BGl_za2currentzd2passza2zd2zzengine_passz00 =
				BGl_string1285z00zzheap_makez00;
			{	/* Heap/make.scm 36 */
				obj_t BgL_g1070z00_559;
				obj_t BgL_g1071z00_560;

				{	/* Heap/make.scm 36 */
					obj_t BgL_list1131z00_573;

					BgL_list1131z00_573 =
						MAKE_YOUNG_PAIR(BGl_preparezd2globalsz12zd2envz12zzheap_makez00,
						BNIL);
					BgL_g1070z00_559 = BgL_list1131z00_573;
				}
				BgL_g1071z00_560 = ((obj_t) CNST_TABLE_REF(0));
				{
					obj_t BgL_hooksz00_562;
					obj_t BgL_hnamesz00_563;

					BgL_hooksz00_562 = BgL_g1070z00_559;
					BgL_hnamesz00_563 = BgL_g1071z00_560;
				BgL_zc3z04anonymousza31115ze3z87_564:
					if (NULLP(BgL_hooksz00_562))
						{	/* Heap/make.scm 36 */
							((obj_t) CNST_TABLE_REF(1));
						}
					else
						{	/* Heap/make.scm 36 */
							bool_t BgL_test1325z00_884;

							{	/* Heap/make.scm 36 */
								obj_t BgL_fun1130z00_571;

								BgL_fun1130z00_571 = CAR(((obj_t) BgL_hooksz00_562));
								BgL_test1325z00_884 =
									CBOOL(BGL_PROCEDURE_CALL0(BgL_fun1130z00_571));
							}
							if (BgL_test1325z00_884)
								{	/* Heap/make.scm 36 */
									obj_t BgL_arg1127z00_568;
									obj_t BgL_arg1128z00_569;

									BgL_arg1127z00_568 = CDR(((obj_t) BgL_hooksz00_562));
									BgL_arg1128z00_569 = CDR(((obj_t) BgL_hnamesz00_563));
									{
										obj_t BgL_hnamesz00_896;
										obj_t BgL_hooksz00_895;

										BgL_hooksz00_895 = BgL_arg1127z00_568;
										BgL_hnamesz00_896 = BgL_arg1128z00_569;
										BgL_hnamesz00_563 = BgL_hnamesz00_896;
										BgL_hooksz00_562 = BgL_hooksz00_895;
										goto BgL_zc3z04anonymousza31115ze3z87_564;
									}
								}
							else
								{	/* Heap/make.scm 36 */
									obj_t BgL_arg1129z00_570;

									BgL_arg1129z00_570 = CAR(((obj_t) BgL_hnamesz00_563));
									BGl_internalzd2errorzd2zztools_errorz00
										(BGl_string1285z00zzheap_makez00,
										BGl_string1287z00zzheap_makez00, BgL_arg1129z00_570);
								}
						}
				}
			}
			BGl_setzd2objzd2stringzd2modez12zc0zz__intextz00(
				((obj_t) CNST_TABLE_REF(2)));
			if (STRINGP(BGl_za2heapzd2nameza2zd2zzengine_paramz00))
				{	/* Heap/make.scm 40 */
					obj_t BgL_hnamez00_575;

					{	/* Heap/make.scm 40 */
						obj_t BgL_arg1153z00_584;

						BgL_arg1153z00_584 = CAR(BGl_za2libzd2dirza2zd2zzengine_paramz00);
						BgL_hnamez00_575 =
							BGl_makezd2filezd2namez00zz__osz00(BgL_arg1153z00_584,
							BGl_za2heapzd2nameza2zd2zzengine_paramz00);
					}
					{	/* Heap/make.scm 41 */
						obj_t BgL_portz00_576;

						BgL_portz00_576 =
							BGl_openzd2outputzd2binaryzd2filezd2zz__binaryz00
							(BgL_hnamez00_575);
						if (BINARY_PORTP(BgL_portz00_576))
							{	/* Heap/make.scm 42 */
								{	/* Heap/make.scm 46 */
									obj_t BgL_arg1134z00_578;

									{	/* Heap/make.scm 46 */
										obj_t BgL_v1105z00_579;

										BgL_v1105z00_579 = create_vector(5L);
										{	/* Heap/make.scm 46 */
											obj_t BgL_arg1135z00_580;

											{	/* Heap/make.scm 46 */
												obj_t BgL_arg1139z00_581;

												BgL_arg1139z00_581 =
													BGl_thezd2backendzd2zzbackend_backendz00();
												BgL_arg1135z00_580 =
													(((BgL_backendz00_bglt) COBJECT(
															((BgL_backendz00_bglt) BgL_arg1139z00_581)))->
													BgL_languagez00);
											}
											VECTOR_SET(BgL_v1105z00_579, 0L, BgL_arg1135z00_580);
										}
										VECTOR_SET(BgL_v1105z00_579, 1L,
											BGl_za2bigloozd2versionza2zd2zzengine_paramz00);
										VECTOR_SET(BgL_v1105z00_579, 2L,
											BGl_za2bigloozd2specificzd2versionza2z00zzengine_paramz00);
										VECTOR_SET(BgL_v1105z00_579, 3L,
											BGl_getzd2genvzd2zzast_envz00());
										VECTOR_SET(BgL_v1105z00_579, 4L,
											BGl_getzd2tenvzd2zztype_envz00());
										BgL_arg1134z00_578 = BgL_v1105z00_579;
									}
									output_obj(BgL_portz00_576, BgL_arg1134z00_578);
								}
								return close_binary_port(BgL_portz00_576);
							}
						else
							{	/* Heap/make.scm 42 */
								return
									BGl_errorz00zz__errorz00(BGl_string1288z00zzheap_makez00,
									BGl_string1289z00zzheap_makez00, BgL_hnamez00_575);
							}
					}
				}
			else
				{	/* Heap/make.scm 38 */
					return
						BGl_userzd2errorzd2zztools_errorz00(BGl_string1288z00zzheap_makez00,
						BGl_string1290z00zzheap_makez00,
						BGl_za2heapzd2nameza2zd2zzengine_paramz00, BNIL);
				}
		}

	}



/* &make-heap */
	obj_t BGl_z62makezd2heapzb0zzheap_makez00(obj_t BgL_envz00_789)
	{
		{	/* Heap/make.scm 35 */
			return BGl_makezd2heapzd2zzheap_makez00();
		}

	}



/* &prepare-globals! */
	obj_t BGl_z62preparezd2globalsz12za2zzheap_makez00(obj_t BgL_envz00_790)
	{
		{	/* Heap/make.scm 60 */
			{	/* Heap/make.scm 75 */
				bool_t BgL_tmpz00_926;

				BGl_forzd2eachzd2globalz12z12zzast_envz00(BGl_proc1291z00zzheap_makez00,
					BNIL);
				BgL_tmpz00_926 = ((bool_t) 1);
				return BBOOL(BgL_tmpz00_926);
			}
		}

	}



/* &<@anonymous:1158> */
	obj_t BGl_z62zc3z04anonymousza31158ze3ze5zzheap_makez00(obj_t BgL_envz00_792,
		obj_t BgL_gz00_793)
	{
		{	/* Heap/make.scm 61 */
			if (
				((((BgL_globalz00_bglt) COBJECT(
								((BgL_globalz00_bglt) BgL_gz00_793)))->BgL_importz00) ==
					((obj_t) CNST_TABLE_REF(3))))
				{	/* Heap/make.scm 65 */
					obj_t BgL_arg1161z00_811;
					obj_t BgL_arg1172z00_812;

					BgL_arg1161z00_811 =
						(((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt)
									((BgL_globalz00_bglt) BgL_gz00_793))))->BgL_idz00);
					BgL_arg1172z00_812 =
						(((BgL_globalz00_bglt) COBJECT(
								((BgL_globalz00_bglt) BgL_gz00_793)))->BgL_modulez00);
					BGl_unbindzd2globalz12zc0zzast_envz00(BgL_arg1161z00_811,
						BgL_arg1172z00_812);
				}
			else
				{	/* Heap/make.scm 64 */
					if (
						((((BgL_globalz00_bglt) COBJECT(
										((BgL_globalz00_bglt) BgL_gz00_793)))->BgL_importz00) ==
							((obj_t) CNST_TABLE_REF(4))))
						{	/* Heap/make.scm 67 */
							obj_t BgL_vz00_813;

							BgL_vz00_813 = ((obj_t) CNST_TABLE_REF(5));
							((((BgL_globalz00_bglt) COBJECT(
											((BgL_globalz00_bglt) BgL_gz00_793)))->BgL_importz00) =
								((obj_t) BgL_vz00_813), BUNSPEC);
						}
					else
						{	/* Heap/make.scm 66 */
							BUNSPEC;
						}
				}
			{	/* Heap/make.scm 72 */
				bool_t BgL_test1330z00_951;

				{	/* Heap/make.scm 72 */
					obj_t BgL_tmpz00_952;

					{	/* Heap/make.scm 72 */
						BgL_objectz00_bglt BgL_tmpz00_953;

						BgL_tmpz00_953 = ((BgL_objectz00_bglt) BgL_gz00_793);
						BgL_tmpz00_952 = BGL_OBJECT_WIDENING(BgL_tmpz00_953);
					}
					BgL_test1330z00_951 = CBOOL(BgL_tmpz00_952);
				}
				if (BgL_test1330z00_951)
					{	/* Heap/make.scm 72 */
						{	/* Heap/make.scm 72 */
							long BgL_arg1183z00_814;

							{	/* Heap/make.scm 72 */
								obj_t BgL_arg1184z00_815;

								{	/* Heap/make.scm 72 */
									obj_t BgL_arg1187z00_816;

									{	/* Heap/make.scm 72 */
										obj_t BgL_arg1866z00_817;
										long BgL_arg1867z00_818;

										BgL_arg1866z00_817 = (BGl_za2classesza2z00zz__objectz00);
										{	/* Heap/make.scm 72 */
											long BgL_arg1869z00_819;

											BgL_arg1869z00_819 =
												BGL_OBJECT_CLASS_NUM(
												((BgL_objectz00_bglt) BgL_gz00_793));
											BgL_arg1867z00_818 = (BgL_arg1869z00_819 - OBJECT_TYPE);
										}
										BgL_arg1187z00_816 =
											VECTOR_REF(BgL_arg1866z00_817, BgL_arg1867z00_818);
									}
									BgL_arg1184z00_815 =
										BGl_classzd2superzd2zz__objectz00(BgL_arg1187z00_816);
								}
								{	/* Heap/make.scm 72 */
									obj_t BgL_tmpz00_963;

									BgL_tmpz00_963 = ((obj_t) BgL_arg1184z00_815);
									BgL_arg1183z00_814 = BGL_CLASS_NUM(BgL_tmpz00_963);
							}}
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_gz00_793), BgL_arg1183z00_814);
						}
						{	/* Heap/make.scm 72 */
							BgL_objectz00_bglt BgL_tmpz00_968;

							BgL_tmpz00_968 = ((BgL_objectz00_bglt) BgL_gz00_793);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_968, BFALSE);
						}
						((BgL_objectz00_bglt) BgL_gz00_793);
						BgL_gz00_793;
					}
				else
					{	/* Heap/make.scm 72 */
						BFALSE;
					}
			}
			((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt)
								((BgL_globalz00_bglt) BgL_gz00_793))))->BgL_occurrencez00) =
				((long) 0L), BUNSPEC);
			{	/* Heap/make.scm 75 */
				obj_t BgL_vz00_820;

				BgL_vz00_820 = BGl_za2heapzd2libraryza2zd2zzengine_paramz00;
				return
					((((BgL_globalz00_bglt) COBJECT(
								((BgL_globalz00_bglt) BgL_gz00_793)))->BgL_libraryz00) =
					((obj_t) BgL_vz00_820), BUNSPEC);
			}
		}

	}



/* make-add-heap */
	BGL_EXPORTED_DEF obj_t BGl_makezd2addzd2heapz00zzheap_makez00(void)
	{
		{	/* Heap/make.scm 84 */
			{	/* Heap/make.scm 85 */
				obj_t BgL_list1188z00_604;

				{	/* Heap/make.scm 85 */
					obj_t BgL_arg1192z00_605;

					{	/* Heap/make.scm 85 */
						obj_t BgL_arg1195z00_606;

						BgL_arg1195z00_606 =
							MAKE_YOUNG_PAIR(BCHAR(((unsigned char) 10)), BNIL);
						BgL_arg1192z00_605 =
							MAKE_YOUNG_PAIR(BGl_string1292z00zzheap_makez00,
							BgL_arg1195z00_606);
					}
					BgL_list1188z00_604 =
						MAKE_YOUNG_PAIR(BGl_string1286z00zzheap_makez00,
						BgL_arg1192z00_605);
				}
				BGl_verbosez00zztools_speekz00(BINT(1L), BgL_list1188z00_604);
			}
			BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00 = BINT(0L);
			BGl_za2currentzd2passza2zd2zzengine_passz00 =
				BGl_string1292z00zzheap_makez00;
			{	/* Heap/make.scm 85 */
				obj_t BgL_g1073z00_607;
				obj_t BgL_g1074z00_608;

				{	/* Heap/make.scm 85 */
					obj_t BgL_list1214z00_621;

					{	/* Heap/make.scm 85 */
						obj_t BgL_arg1226z00_622;

						BgL_arg1226z00_622 =
							MAKE_YOUNG_PAIR
							(BGl_preparezd2additionalzd2globalsz12zd2envzc0zzheap_makez00,
							BNIL);
						BgL_list1214z00_621 =
							MAKE_YOUNG_PAIR
							(BGl_checkzd2additionalzd2heapzd2libraryzd2envz00zzheap_makez00,
							BgL_arg1226z00_622);
					}
					BgL_g1073z00_607 = BgL_list1214z00_621;
				}
				BgL_g1074z00_608 = ((obj_t) CNST_TABLE_REF(6));
				{
					obj_t BgL_hooksz00_610;
					obj_t BgL_hnamesz00_611;

					BgL_hooksz00_610 = BgL_g1073z00_607;
					BgL_hnamesz00_611 = BgL_g1074z00_608;
				BgL_zc3z04anonymousza31196ze3z87_612:
					if (NULLP(BgL_hooksz00_610))
						{	/* Heap/make.scm 85 */
							((obj_t) CNST_TABLE_REF(1));
						}
					else
						{	/* Heap/make.scm 85 */
							bool_t BgL_test1332z00_992;

							{	/* Heap/make.scm 85 */
								obj_t BgL_fun1213z00_619;

								BgL_fun1213z00_619 = CAR(((obj_t) BgL_hooksz00_610));
								BgL_test1332z00_992 =
									CBOOL(BGL_PROCEDURE_CALL0(BgL_fun1213z00_619));
							}
							if (BgL_test1332z00_992)
								{	/* Heap/make.scm 85 */
									obj_t BgL_arg1207z00_616;
									obj_t BgL_arg1208z00_617;

									BgL_arg1207z00_616 = CDR(((obj_t) BgL_hooksz00_610));
									BgL_arg1208z00_617 = CDR(((obj_t) BgL_hnamesz00_611));
									{
										obj_t BgL_hnamesz00_1004;
										obj_t BgL_hooksz00_1003;

										BgL_hooksz00_1003 = BgL_arg1207z00_616;
										BgL_hnamesz00_1004 = BgL_arg1208z00_617;
										BgL_hnamesz00_611 = BgL_hnamesz00_1004;
										BgL_hooksz00_610 = BgL_hooksz00_1003;
										goto BgL_zc3z04anonymousza31196ze3z87_612;
									}
								}
							else
								{	/* Heap/make.scm 85 */
									obj_t BgL_arg1212z00_618;

									BgL_arg1212z00_618 = CAR(((obj_t) BgL_hnamesz00_611));
									BGl_internalzd2errorzd2zztools_errorz00
										(BGl_string1292z00zzheap_makez00,
										BGl_string1287z00zzheap_makez00, BgL_arg1212z00_618);
								}
						}
				}
			}
			{	/* Heap/make.scm 88 */
				obj_t BgL_genvz00_623;
				obj_t BgL_tenvz00_624;
				obj_t BgL_langz00_625;

				BgL_genvz00_623 = BGl_getzd2genvzd2zzast_envz00();
				BgL_tenvz00_624 = BGl_getzd2tenvzd2zztype_envz00();
				{	/* Heap/make.scm 90 */
					obj_t BgL_arg1237z00_633;

					BgL_arg1237z00_633 = BGl_thezd2backendzd2zzbackend_backendz00();
					BgL_langz00_625 =
						(((BgL_backendz00_bglt) COBJECT(
								((BgL_backendz00_bglt) BgL_arg1237z00_633)))->BgL_languagez00);
				}
				BGl_setzd2objzd2stringzd2modez12zc0zz__intextz00(
					((obj_t) CNST_TABLE_REF(2)));
				if (STRINGP(BGl_za2additionalzd2heapzd2nameza2z00zzengine_paramz00))
					{	/* Heap/make.scm 96 */
						obj_t BgL_hnamez00_627;

						BgL_hnamez00_627 =
							BGl_za2additionalzd2heapzd2nameza2z00zzengine_paramz00;
						{	/* Heap/make.scm 97 */
							obj_t BgL_portz00_628;

							BgL_portz00_628 =
								BGl_openzd2outputzd2binaryzd2filezd2zz__binaryz00
								(BgL_hnamez00_627);
							if (BINARY_PORTP(BgL_portz00_628))
								{	/* Heap/make.scm 98 */
									{	/* Heap/make.scm 101 */
										obj_t BgL_arg1235z00_630;

										{	/* Heap/make.scm 101 */
											obj_t BgL_v1106z00_631;

											BgL_v1106z00_631 = create_vector(7L);
											VECTOR_SET(BgL_v1106z00_631, 0L, BgL_langz00_625);
											VECTOR_SET(BgL_v1106z00_631, 1L,
												BGl_za2bigloozd2versionza2zd2zzengine_paramz00);
											VECTOR_SET(BgL_v1106z00_631, 2L,
												BGl_za2bigloozd2specificzd2versionza2z00zzengine_paramz00);
											VECTOR_SET(BgL_v1106z00_631, 3L, BgL_genvz00_623);
											VECTOR_SET(BgL_v1106z00_631, 4L, BgL_tenvz00_624);
											VECTOR_SET(BgL_v1106z00_631, 5L,
												BGl_za2additionalzd2includezd2foreignza2z00zzengine_paramz00);
											VECTOR_SET(BgL_v1106z00_631, 6L,
												BGl_za2cczd2optionsza2zd2zzengine_paramz00);
											BgL_arg1235z00_630 = BgL_v1106z00_631;
										}
										output_obj(BgL_portz00_628, BgL_arg1235z00_630);
									}
									return close_binary_port(BgL_portz00_628);
								}
							else
								{	/* Heap/make.scm 98 */
									return
										BGl_errorz00zz__errorz00(BGl_string1293z00zzheap_makez00,
										BGl_string1289z00zzheap_makez00, BgL_hnamez00_627);
								}
						}
					}
				else
					{	/* Heap/make.scm 92 */
						return
							BGl_userzd2errorzd2zztools_errorz00
							(BGl_string1294z00zzheap_makez00, BGl_string1290z00zzheap_makez00,
							BGl_za2additionalzd2heapzd2nameza2z00zzengine_paramz00, BNIL);
					}
			}
		}

	}



/* &make-add-heap */
	obj_t BGl_z62makezd2addzd2heapz62zzheap_makez00(obj_t BgL_envz00_794)
	{
		{	/* Heap/make.scm 84 */
			return BGl_makezd2addzd2heapz00zzheap_makez00();
		}

	}



/* &check-additional-heap-library */
	obj_t BGl_z62checkzd2additionalzd2heapzd2libraryzb0zzheap_makez00(obj_t
		BgL_envz00_796)
	{
		{	/* Heap/make.scm 113 */
			if (
				(BGl_za2heapzd2libraryza2zd2zzengine_paramz00 ==
					((obj_t) CNST_TABLE_REF(7))))
				{	/* Heap/make.scm 115 */
					return
						BGl_userzd2errorzd2zztools_errorz00(
						((obj_t)
							CNST_TABLE_REF(8)), BGl_string1295z00zzheap_makez00,
						BGl_za2heapzd2libraryza2zd2zzengine_paramz00, BNIL);
				}
			else
				{	/* Heap/make.scm 115 */
					if (SYMBOLP(BGl_za2heapzd2libraryza2zd2zzengine_paramz00))
						{	/* Heap/make.scm 119 */
							return BTRUE;
						}
					else
						{	/* Heap/make.scm 119 */
							return
								BGl_userzd2errorzd2zztools_errorz00(
								((obj_t)
									CNST_TABLE_REF(8)), BGl_string1296z00zzheap_makez00,
								BGl_za2heapzd2libraryza2zd2zzengine_paramz00, BNIL);
						}
				}
		}

	}



/* &prepare-additional-globals! */
	obj_t BGl_z62preparezd2additionalzd2globalsz12z70zzheap_makez00(obj_t
		BgL_envz00_795)
	{
		{	/* Heap/make.scm 133 */
			{	/* Heap/make.scm 149 */
				bool_t BgL_tmpz00_1046;

				BGl_forzd2eachzd2globalz12z12zzast_envz00(BGl_proc1297z00zzheap_makez00,
					BNIL);
				BgL_tmpz00_1046 = ((bool_t) 1);
				return BBOOL(BgL_tmpz00_1046);
			}
		}

	}



/* &<@anonymous:1243> */
	obj_t BGl_z62zc3z04anonymousza31243ze3ze5zzheap_makez00(obj_t BgL_envz00_798,
		obj_t BgL_gz00_799)
	{
		{	/* Heap/make.scm 134 */
			{	/* Heap/make.scm 137 */
				bool_t BgL_test1337z00_1049;

				if (
					((((BgL_globalz00_bglt) COBJECT(
									((BgL_globalz00_bglt) BgL_gz00_799)))->BgL_importz00) ==
						((obj_t) CNST_TABLE_REF(3))))
					{	/* Heap/make.scm 137 */
						BgL_test1337z00_1049 = ((bool_t) 1);
					}
				else
					{	/* Heap/make.scm 137 */
						BgL_test1337z00_1049 =
							CBOOL(
							(((BgL_globalz00_bglt) COBJECT(
										((BgL_globalz00_bglt) BgL_gz00_799)))->BgL_libraryz00));
					}
				if (BgL_test1337z00_1049)
					{	/* Heap/make.scm 139 */
						obj_t BgL_arg1249z00_821;
						obj_t BgL_arg1250z00_822;

						BgL_arg1249z00_821 =
							(((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt)
										((BgL_globalz00_bglt) BgL_gz00_799))))->BgL_idz00);
						BgL_arg1250z00_822 =
							(((BgL_globalz00_bglt) COBJECT(
									((BgL_globalz00_bglt) BgL_gz00_799)))->BgL_modulez00);
						BGl_unbindzd2globalz12zc0zzast_envz00(BgL_arg1249z00_821,
							BgL_arg1250z00_822);
					}
				else
					{	/* Heap/make.scm 137 */
						if (
							((((BgL_globalz00_bglt) COBJECT(
											((BgL_globalz00_bglt) BgL_gz00_799)))->BgL_importz00) ==
								((obj_t) CNST_TABLE_REF(4))))
							{	/* Heap/make.scm 141 */
								obj_t BgL_vz00_823;

								BgL_vz00_823 = ((obj_t) CNST_TABLE_REF(5));
								((((BgL_globalz00_bglt) COBJECT(
												((BgL_globalz00_bglt) BgL_gz00_799)))->BgL_importz00) =
									((obj_t) BgL_vz00_823), BUNSPEC);
							}
						else
							{	/* Heap/make.scm 140 */
								BUNSPEC;
							}
					}
			}
			{	/* Heap/make.scm 146 */
				bool_t BgL_test1343z00_1075;

				{	/* Heap/make.scm 146 */
					obj_t BgL_tmpz00_1076;

					{	/* Heap/make.scm 146 */
						BgL_objectz00_bglt BgL_tmpz00_1077;

						BgL_tmpz00_1077 = ((BgL_objectz00_bglt) BgL_gz00_799);
						BgL_tmpz00_1076 = BGL_OBJECT_WIDENING(BgL_tmpz00_1077);
					}
					BgL_test1343z00_1075 = CBOOL(BgL_tmpz00_1076);
				}
				if (BgL_test1343z00_1075)
					{	/* Heap/make.scm 146 */
						{	/* Heap/make.scm 146 */
							long BgL_arg1258z00_824;

							{	/* Heap/make.scm 146 */
								obj_t BgL_arg1260z00_825;

								{	/* Heap/make.scm 146 */
									obj_t BgL_arg1262z00_826;

									{	/* Heap/make.scm 146 */
										obj_t BgL_arg1866z00_827;
										long BgL_arg1867z00_828;

										BgL_arg1866z00_827 = (BGl_za2classesza2z00zz__objectz00);
										{	/* Heap/make.scm 146 */
											long BgL_arg1869z00_829;

											BgL_arg1869z00_829 =
												BGL_OBJECT_CLASS_NUM(
												((BgL_objectz00_bglt) BgL_gz00_799));
											BgL_arg1867z00_828 = (BgL_arg1869z00_829 - OBJECT_TYPE);
										}
										BgL_arg1262z00_826 =
											VECTOR_REF(BgL_arg1866z00_827, BgL_arg1867z00_828);
									}
									BgL_arg1260z00_825 =
										BGl_classzd2superzd2zz__objectz00(BgL_arg1262z00_826);
								}
								{	/* Heap/make.scm 146 */
									obj_t BgL_tmpz00_1087;

									BgL_tmpz00_1087 = ((obj_t) BgL_arg1260z00_825);
									BgL_arg1258z00_824 = BGL_CLASS_NUM(BgL_tmpz00_1087);
							}}
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_gz00_799), BgL_arg1258z00_824);
						}
						{	/* Heap/make.scm 146 */
							BgL_objectz00_bglt BgL_tmpz00_1092;

							BgL_tmpz00_1092 = ((BgL_objectz00_bglt) BgL_gz00_799);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_1092, BFALSE);
						}
						((BgL_objectz00_bglt) BgL_gz00_799);
						BgL_gz00_799;
					}
				else
					{	/* Heap/make.scm 146 */
						BFALSE;
					}
			}
			((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt)
								((BgL_globalz00_bglt) BgL_gz00_799))))->BgL_occurrencez00) =
				((long) 0L), BUNSPEC);
			{	/* Heap/make.scm 149 */
				obj_t BgL_vz00_830;

				BgL_vz00_830 = BGl_za2heapzd2libraryza2zd2zzengine_paramz00;
				return
					((((BgL_globalz00_bglt) COBJECT(
								((BgL_globalz00_bglt) BgL_gz00_799)))->BgL_libraryz00) =
					((obj_t) BgL_vz00_830), BUNSPEC);
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzheap_makez00(void)
	{
		{	/* Heap/make.scm 15 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzheap_makez00(void)
	{
		{	/* Heap/make.scm 15 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzheap_makez00(void)
	{
		{	/* Heap/make.scm 15 */
			return BUNSPEC;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzheap_makez00(void)
	{
		{	/* Heap/make.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_speekz00(61247943L,
				BSTRING_TO_STRING(BGl_string1298z00zzheap_makez00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(300504031L,
				BSTRING_TO_STRING(BGl_string1298z00zzheap_makez00));
			BGl_modulezd2initializa7ationz75zzengine_passz00(373082237L,
				BSTRING_TO_STRING(BGl_string1298z00zzheap_makez00));
			BGl_modulezd2initializa7ationz75zztools_tracez00(54713316L,
				BSTRING_TO_STRING(BGl_string1298z00zzheap_makez00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(161876678L,
				BSTRING_TO_STRING(BGl_string1298z00zzheap_makez00));
			BGl_modulezd2initializa7ationz75zztype_typez00(515343395L,
				BSTRING_TO_STRING(BGl_string1298z00zzheap_makez00));
			BGl_modulezd2initializa7ationz75zztype_envz00(296457443L,
				BSTRING_TO_STRING(BGl_string1298z00zzheap_makez00));
			BGl_modulezd2initializa7ationz75zzast_varz00(90839984L,
				BSTRING_TO_STRING(BGl_string1298z00zzheap_makez00));
			BGl_modulezd2initializa7ationz75zzast_envz00(146730773L,
				BSTRING_TO_STRING(BGl_string1298z00zzheap_makez00));
			BGl_modulezd2initializa7ationz75zzforeign_libraryz00(419430976L,
				BSTRING_TO_STRING(BGl_string1298z00zzheap_makez00));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(216206620L,
				BSTRING_TO_STRING(BGl_string1298z00zzheap_makez00));
			BGl_modulezd2initializa7ationz75zzheap_restorez00(147989063L,
				BSTRING_TO_STRING(BGl_string1298z00zzheap_makez00));
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(158397907L,
				BSTRING_TO_STRING(BGl_string1298z00zzheap_makez00));
			return
				BGl_modulezd2initializa7ationz75zztools_shapez00(365925558L,
				BSTRING_TO_STRING(BGl_string1298z00zzheap_makez00));
		}

	}

#ifdef __cplusplus
}
#endif
