/*===========================================================================*/
/*   (Inline/app.scm)                                                        */
/*   Bigloo (4.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Jan 27 07:45:49 AM CET 2025     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.6a/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.6a/lib/bigloo/4.6a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -stdc -indent Inline/app.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL_INLINE_APP_TYPE_DEFINITIONS
#define BGL_INLINE_APP_TYPE_DEFINITIONS

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_nullz00;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_qualifiedzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_stackablez00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_isfunz00_bgl
	{
		struct BgL_nodez00_bgl *BgL_originalzd2bodyzd2;
		obj_t BgL_recursivezd2callszd2;
		bool_t BgL_tailrecz00;
	}               *BgL_isfunz00_bglt;


#endif													// BGL_INLINE_APP_TYPE_DEFINITIONS
#endif													// BGL_MODULE_TYPE_DEFINITIONS

	extern bool_t
		BGl_iszd2recursivezf3z21zzinline_recursionz00(BgL_variablez00_bglt);
	static obj_t BGl_zc3z04exitza31293ze3ze70z60zzinline_appz00(obj_t);
	extern obj_t BGl_za2optimzd2unrollzd2loopzf3za2zf3zzengine_paramz00;
	static obj_t BGl_requirezd2initializa7ationz75zzinline_appz00 = BUNSPEC;
	extern obj_t BGl_nodezd2walkzd2zzast_nodez00(BgL_nodez00_bglt, obj_t);
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	extern obj_t BGl_atomz00zzast_nodez00;
	extern obj_t BGl_sfunz00zzast_varz00;
	BGL_IMPORT obj_t unwind_stack_until(obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzinline_appz00(void);
	static bool_t BGl_inlinezd2closurezf3z21zzinline_appz00(obj_t, obj_t);
	extern obj_t BGl_withzd2libraryzd2modulez12z12zzmodule_libraryz00(obj_t);
	static obj_t BGl_objectzd2initzd2zzinline_appz00(void);
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	extern obj_t BGl_za2userzd2inliningzf3za2z21zzengine_paramz00;
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzinline_appz00(void);
	BGL_EXPORTED_DECL bool_t
		BGl_inlinezd2appzf3z21zzinline_appz00(BgL_variablez00_bglt, long, long,
		obj_t);
	static long BGl_callzd2siza7ez75zzinline_appz00(BgL_appz00_bglt);
	extern obj_t BGl_za2inliningzf3za2zf3zzengine_paramz00;
	extern BgL_nodez00_bglt
		BGl_inlinezd2appzd2simplez00zzinline_simplez00(BgL_nodez00_bglt, long,
		obj_t, obj_t);
	extern obj_t BGl_isfunz00zzinline_inlinez00;
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzinline_appz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzinline_recursionz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzinline_simplez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzinline_siza7eza7(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzinline_inlinez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzinline_walkz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_libraryz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
	static obj_t BGl_z62inlinezd2appzf3z43zzinline_appz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	extern long BGl_nodezd2siza7ez75zzinline_siza7eza7(BgL_nodez00_bglt);
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_kwotez00zzast_nodez00;
	extern obj_t BGl_localz00zzast_varz00;
	static obj_t BGl_cnstzd2initzd2zzinline_appz00(void);
	static obj_t BGl_libraryzd2moduleszd2initz00zzinline_appz00(void);
	BGL_IMPORT long bgl_list_length(obj_t);
	extern obj_t BGl_za2optimzd2loopzd2inliningzf3za2zf3zzengine_paramz00;
	static obj_t BGl_importedzd2moduleszd2initz00zzinline_appz00(void);
	static obj_t BGl_gczd2rootszd2initz00zzinline_appz00(void);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_inlinezd2appzd2zzinline_appz00(BgL_appz00_bglt, long, obj_t);
	extern BgL_nodez00_bglt
		BGl_inlinezd2appzd2recursivez00zzinline_recursionz00(BgL_nodez00_bglt, long,
		obj_t);
	extern obj_t BGl_za2inlinedzd2callsza2zd2zzinline_walkz00;
	static obj_t BGl_z62zc3z04anonymousza31295ze3ze5zzinline_appz00(obj_t, obj_t);
	extern obj_t BGl_retblockz00zzast_nodez00;
	extern obj_t BGl_za2inlinezd2modeza2zd2zzinline_walkz00;
	static BgL_nodez00_bglt BGl_z62inlinezd2appzb0zzinline_appz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_za2optimzd2atomzd2inliningzf3za2zf3zzengine_paramz00;
	extern obj_t BGl_globalz00zzast_varz00;
	static obj_t __cnst[8];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_inlinezd2appzd2envz00zzinline_appz00,
		BgL_bgl_za762inlineza7d2appza71674za7,
		BGl_z62inlinezd2appzb0zzinline_appz00, 0L, BUNSPEC, 3);
	      DEFINE_STRING(BGl_string1668z00zzinline_appz00,
		BgL_bgl_string1668za700za7za7i1675za7, "simple", 6);
	      DEFINE_STRING(BGl_string1669z00zzinline_appz00,
		BgL_bgl_string1669za700za7za7i1676za7, "inline_app", 10);
	      DEFINE_STRING(BGl_string1670z00zzinline_appz00,
		BgL_bgl_string1670za700za7za7i1677za7,
		"import predicate reducer sgfun all snifun static sifun ", 55);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_inlinezd2appzf3zd2envzf3zzinline_appz00,
		BgL_bgl_za762inlineza7d2appza71678za7,
		BGl_z62inlinezd2appzf3z43zzinline_appz00, 0L, BUNSPEC, 4);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		     ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zzinline_appz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzinline_appz00(long
		BgL_checksumz00_2422, char *BgL_fromz00_2423)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzinline_appz00))
				{
					BGl_requirezd2initializa7ationz75zzinline_appz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzinline_appz00();
					BGl_libraryzd2moduleszd2initz00zzinline_appz00();
					BGl_cnstzd2initzd2zzinline_appz00();
					BGl_importedzd2moduleszd2initz00zzinline_appz00();
					return BGl_methodzd2initzd2zzinline_appz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzinline_appz00(void)
	{
		{	/* Inline/app.scm 15 */
			BGl_modulezd2initializa7ationz75zz__objectz00(0L, "inline_app");
			BGl_modulezd2initializa7ationz75zz__bexitz00(0L, "inline_app");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(0L,
				"inline_app");
			BGl_modulezd2initializa7ationz75zz__readerz00(0L, "inline_app");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(0L, "inline_app");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(0L, "inline_app");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(0L,
				"inline_app");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(0L, "inline_app");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(0L,
				"inline_app");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzinline_appz00(void)
	{
		{	/* Inline/app.scm 15 */
			{	/* Inline/app.scm 15 */
				obj_t BgL_cportz00_2396;

				{	/* Inline/app.scm 15 */
					obj_t BgL_stringz00_2403;

					BgL_stringz00_2403 = BGl_string1670z00zzinline_appz00;
					{	/* Inline/app.scm 15 */
						obj_t BgL_startz00_2404;

						BgL_startz00_2404 = BINT(0L);
						{	/* Inline/app.scm 15 */
							obj_t BgL_endz00_2405;

							BgL_endz00_2405 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_2403)));
							{	/* Inline/app.scm 15 */

								BgL_cportz00_2396 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_2403, BgL_startz00_2404, BgL_endz00_2405);
				}}}}
				{
					long BgL_iz00_2397;

					BgL_iz00_2397 = 7L;
				BgL_loopz00_2398:
					if ((BgL_iz00_2397 == (-1L)))
						{	/* Inline/app.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Inline/app.scm 15 */
							{	/* Inline/app.scm 15 */
								obj_t BgL_arg1673z00_2399;

								{	/* Inline/app.scm 15 */

									{	/* Inline/app.scm 15 */
										obj_t BgL_locationz00_2401;

										BgL_locationz00_2401 = BBOOL(((bool_t) 0));
										{	/* Inline/app.scm 15 */

											BgL_arg1673z00_2399 =
												BGl_readz00zz__readerz00(BgL_cportz00_2396,
												BgL_locationz00_2401);
										}
									}
								}
								{	/* Inline/app.scm 15 */
									int BgL_tmpz00_2450;

									BgL_tmpz00_2450 = (int) (BgL_iz00_2397);
									CNST_TABLE_SET(BgL_tmpz00_2450, BgL_arg1673z00_2399);
							}}
							{	/* Inline/app.scm 15 */
								int BgL_auxz00_2402;

								BgL_auxz00_2402 = (int) ((BgL_iz00_2397 - 1L));
								{
									long BgL_iz00_2455;

									BgL_iz00_2455 = (long) (BgL_auxz00_2402);
									BgL_iz00_2397 = BgL_iz00_2455;
									goto BgL_loopz00_2398;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzinline_appz00(void)
	{
		{	/* Inline/app.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* inline-app */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_inlinezd2appzd2zzinline_appz00(BgL_appz00_bglt BgL_nodez00_3,
		long BgL_kfactorz00_4, obj_t BgL_stackz00_5)
	{
		{	/* Inline/app.scm 35 */
			{	/* Inline/app.scm 36 */
				BgL_varz00_bglt BgL_calleez00_1447;

				BgL_calleez00_1447 =
					(((BgL_appz00_bglt) COBJECT(BgL_nodez00_3))->BgL_funz00);
				{	/* Inline/app.scm 36 */
					BgL_variablez00_bglt BgL_varz00_1448;

					BgL_varz00_1448 =
						(((BgL_varz00_bglt) COBJECT(BgL_calleez00_1447))->BgL_variablez00);
					{	/* Inline/app.scm 37 */
						BgL_valuez00_bglt BgL_sfunz00_1449;

						BgL_sfunz00_1449 =
							(((BgL_variablez00_bglt) COBJECT(BgL_varz00_1448))->BgL_valuez00);
						{	/* Inline/app.scm 40 */

							{	/* Inline/app.scm 44 */
								bool_t BgL_test1681z00_2461;

								{	/* Inline/app.scm 44 */
									obj_t BgL_classz00_1760;

									BgL_classz00_1760 = BGl_sfunz00zzast_varz00;
									{	/* Inline/app.scm 44 */
										BgL_objectz00_bglt BgL_arg1858z00_1762;

										{	/* Inline/app.scm 44 */
											obj_t BgL_tmpz00_2462;

											BgL_tmpz00_2462 =
												((obj_t) ((BgL_objectz00_bglt) BgL_sfunz00_1449));
											BgL_arg1858z00_1762 =
												(BgL_objectz00_bglt) (BgL_tmpz00_2462);
										}
										if (BGL_CONDEXPAND_ISA_ARCH64())
											{	/* Inline/app.scm 44 */
												long BgL_idxz00_1768;

												BgL_idxz00_1768 =
													BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_1762);
												BgL_test1681z00_2461 =
													(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
														(BgL_idxz00_1768 + 3L)) == BgL_classz00_1760);
											}
										else
											{	/* Inline/app.scm 44 */
												bool_t BgL_res1651z00_1793;

												{	/* Inline/app.scm 44 */
													obj_t BgL_oclassz00_1776;

													{	/* Inline/app.scm 44 */
														obj_t BgL_arg1866z00_1784;
														long BgL_arg1867z00_1785;

														BgL_arg1866z00_1784 =
															(BGl_za2classesza2z00zz__objectz00);
														{	/* Inline/app.scm 44 */
															long BgL_arg1869z00_1786;

															BgL_arg1869z00_1786 =
																BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_1762);
															BgL_arg1867z00_1785 =
																(BgL_arg1869z00_1786 - OBJECT_TYPE);
														}
														BgL_oclassz00_1776 =
															VECTOR_REF(BgL_arg1866z00_1784,
															BgL_arg1867z00_1785);
													}
													{	/* Inline/app.scm 44 */
														bool_t BgL__ortest_1115z00_1777;

														BgL__ortest_1115z00_1777 =
															(BgL_classz00_1760 == BgL_oclassz00_1776);
														if (BgL__ortest_1115z00_1777)
															{	/* Inline/app.scm 44 */
																BgL_res1651z00_1793 = BgL__ortest_1115z00_1777;
															}
														else
															{	/* Inline/app.scm 44 */
																long BgL_odepthz00_1778;

																{	/* Inline/app.scm 44 */
																	obj_t BgL_arg1855z00_1779;

																	BgL_arg1855z00_1779 = (BgL_oclassz00_1776);
																	BgL_odepthz00_1778 =
																		BGL_CLASS_DEPTH(BgL_arg1855z00_1779);
																}
																if ((3L < BgL_odepthz00_1778))
																	{	/* Inline/app.scm 44 */
																		obj_t BgL_arg1853z00_1781;

																		{	/* Inline/app.scm 44 */
																			obj_t BgL_arg1854z00_1782;

																			BgL_arg1854z00_1782 =
																				(BgL_oclassz00_1776);
																			BgL_arg1853z00_1781 =
																				BGL_CLASS_ANCESTORS_REF
																				(BgL_arg1854z00_1782, 3L);
																		}
																		BgL_res1651z00_1793 =
																			(BgL_arg1853z00_1781 ==
																			BgL_classz00_1760);
																	}
																else
																	{	/* Inline/app.scm 44 */
																		BgL_res1651z00_1793 = ((bool_t) 0);
																	}
															}
													}
												}
												BgL_test1681z00_2461 = BgL_res1651z00_1793;
											}
									}
								}
								if (BgL_test1681z00_2461)
									{	/* Inline/app.scm 46 */
										bool_t BgL_test1685z00_2485;

										if (BGl_inlinezd2appzf3z21zzinline_appz00(BgL_varz00_1448,
												BgL_kfactorz00_4,
												BGl_callzd2siza7ez75zzinline_appz00(BgL_nodez00_3),
												BgL_stackz00_5))
											{	/* Inline/app.scm 46 */
												BgL_test1685z00_2485 = ((bool_t) 1);
											}
										else
											{	/* Inline/app.scm 46 */
												BgL_test1685z00_2485 =
													BGl_inlinezd2closurezf3z21zzinline_appz00(
													((obj_t) BgL_varz00_1448), BgL_stackz00_5);
											}
										if (BgL_test1685z00_2485)
											{	/* Inline/app.scm 46 */
												if (
													((((BgL_sfunz00_bglt) COBJECT(
																	((BgL_sfunz00_bglt) BgL_sfunz00_1449)))->
															BgL_classz00) == ((obj_t) CNST_TABLE_REF(0))))
													{	/* Inline/app.scm 51 */
														BFALSE;
													}
												else
													{	/* Inline/app.scm 51 */
														BGl_za2inlinedzd2callsza2zd2zzinline_walkz00 =
															ADDFX
															(BGl_za2inlinedzd2callsza2zd2zzinline_walkz00,
															BINT(1L));
													}
												{	/* Inline/app.scm 53 */
													bool_t BgL_test1688z00_2499;

													{	/* Inline/app.scm 53 */
														bool_t BgL_test1689z00_2500;

														{	/* Inline/app.scm 53 */
															obj_t BgL_classz00_1796;

															BgL_classz00_1796 = BGl_globalz00zzast_varz00;
															{	/* Inline/app.scm 53 */
																BgL_objectz00_bglt BgL_arg1858z00_1798;

																{	/* Inline/app.scm 53 */
																	obj_t BgL_tmpz00_2501;

																	BgL_tmpz00_2501 =
																		((obj_t)
																		((BgL_objectz00_bglt) BgL_varz00_1448));
																	BgL_arg1858z00_1798 =
																		(BgL_objectz00_bglt) (BgL_tmpz00_2501);
																}
																if (BGL_CONDEXPAND_ISA_ARCH64())
																	{	/* Inline/app.scm 53 */
																		long BgL_idxz00_1804;

																		BgL_idxz00_1804 =
																			BGL_OBJECT_INHERITANCE_NUM
																			(BgL_arg1858z00_1798);
																		BgL_test1689z00_2500 =
																			(VECTOR_REF
																			(BGl_za2inheritancesza2z00zz__objectz00,
																				(BgL_idxz00_1804 + 2L)) ==
																			BgL_classz00_1796);
																	}
																else
																	{	/* Inline/app.scm 53 */
																		bool_t BgL_res1652z00_1829;

																		{	/* Inline/app.scm 53 */
																			obj_t BgL_oclassz00_1812;

																			{	/* Inline/app.scm 53 */
																				obj_t BgL_arg1866z00_1820;
																				long BgL_arg1867z00_1821;

																				BgL_arg1866z00_1820 =
																					(BGl_za2classesza2z00zz__objectz00);
																				{	/* Inline/app.scm 53 */
																					long BgL_arg1869z00_1822;

																					BgL_arg1869z00_1822 =
																						BGL_OBJECT_CLASS_NUM
																						(BgL_arg1858z00_1798);
																					BgL_arg1867z00_1821 =
																						(BgL_arg1869z00_1822 - OBJECT_TYPE);
																				}
																				BgL_oclassz00_1812 =
																					VECTOR_REF(BgL_arg1866z00_1820,
																					BgL_arg1867z00_1821);
																			}
																			{	/* Inline/app.scm 53 */
																				bool_t BgL__ortest_1115z00_1813;

																				BgL__ortest_1115z00_1813 =
																					(BgL_classz00_1796 ==
																					BgL_oclassz00_1812);
																				if (BgL__ortest_1115z00_1813)
																					{	/* Inline/app.scm 53 */
																						BgL_res1652z00_1829 =
																							BgL__ortest_1115z00_1813;
																					}
																				else
																					{	/* Inline/app.scm 53 */
																						long BgL_odepthz00_1814;

																						{	/* Inline/app.scm 53 */
																							obj_t BgL_arg1855z00_1815;

																							BgL_arg1855z00_1815 =
																								(BgL_oclassz00_1812);
																							BgL_odepthz00_1814 =
																								BGL_CLASS_DEPTH
																								(BgL_arg1855z00_1815);
																						}
																						if ((2L < BgL_odepthz00_1814))
																							{	/* Inline/app.scm 53 */
																								obj_t BgL_arg1853z00_1817;

																								{	/* Inline/app.scm 53 */
																									obj_t BgL_arg1854z00_1818;

																									BgL_arg1854z00_1818 =
																										(BgL_oclassz00_1812);
																									BgL_arg1853z00_1817 =
																										BGL_CLASS_ANCESTORS_REF
																										(BgL_arg1854z00_1818, 2L);
																								}
																								BgL_res1652z00_1829 =
																									(BgL_arg1853z00_1817 ==
																									BgL_classz00_1796);
																							}
																						else
																							{	/* Inline/app.scm 53 */
																								BgL_res1652z00_1829 =
																									((bool_t) 0);
																							}
																					}
																			}
																		}
																		BgL_test1689z00_2500 = BgL_res1652z00_1829;
																	}
															}
														}
														if (BgL_test1689z00_2500)
															{	/* Inline/app.scm 53 */
																BgL_test1688z00_2499 =
																	CBOOL(
																	(((BgL_globalz00_bglt) COBJECT(
																				((BgL_globalz00_bglt)
																					BgL_varz00_1448)))->BgL_libraryz00));
															}
														else
															{	/* Inline/app.scm 53 */
																BgL_test1688z00_2499 = ((bool_t) 0);
															}
													}
													if (BgL_test1688z00_2499)
														{	/* Inline/app.scm 56 */
															obj_t BgL_arg1260z00_1462;

															BgL_arg1260z00_1462 =
																(((BgL_globalz00_bglt) COBJECT(
																		((BgL_globalz00_bglt) BgL_varz00_1448)))->
																BgL_modulez00);
															BGl_withzd2libraryzd2modulez12z12zzmodule_libraryz00
																(BgL_arg1260z00_1462);
														}
													else
														{	/* Inline/app.scm 53 */
															BFALSE;
														}
												}
												{	/* Inline/app.scm 57 */
													bool_t BgL_test1694z00_2530;

													if (CBOOL
														(BGl_za2optimzd2loopzd2inliningzf3za2zf3zzengine_paramz00))
														{	/* Inline/app.scm 57 */
															BgL_test1694z00_2530 =
																BGl_iszd2recursivezf3z21zzinline_recursionz00
																(BgL_varz00_1448);
														}
													else
														{	/* Inline/app.scm 57 */
															BgL_test1694z00_2530 = ((bool_t) 0);
														}
													if (BgL_test1694z00_2530)
														{	/* Inline/app.scm 57 */
															return
																BGl_inlinezd2appzd2recursivez00zzinline_recursionz00
																(((BgL_nodez00_bglt) BgL_nodez00_3),
																BgL_kfactorz00_4, BgL_stackz00_5);
														}
													else
														{	/* Inline/app.scm 57 */
															return
																BGl_inlinezd2appzd2simplez00zzinline_simplez00(
																((BgL_nodez00_bglt) BgL_nodez00_3),
																BgL_kfactorz00_4, BgL_stackz00_5,
																BGl_string1668z00zzinline_appz00);
														}
												}
											}
										else
											{	/* Inline/app.scm 46 */
												return ((BgL_nodez00_bglt) BgL_nodez00_3);
											}
									}
								else
									{	/* Inline/app.scm 44 */
										return ((BgL_nodez00_bglt) BgL_nodez00_3);
									}
							}
						}
					}
				}
			}
		}

	}



/* &inline-app */
	BgL_nodez00_bglt BGl_z62inlinezd2appzb0zzinline_appz00(obj_t BgL_envz00_2382,
		obj_t BgL_nodez00_2383, obj_t BgL_kfactorz00_2384, obj_t BgL_stackz00_2385)
	{
		{	/* Inline/app.scm 35 */
			return
				BGl_inlinezd2appzd2zzinline_appz00(
				((BgL_appz00_bglt) BgL_nodez00_2383),
				(long) CINT(BgL_kfactorz00_2384), BgL_stackz00_2385);
		}

	}



/* inline-closure? */
	bool_t BGl_inlinezd2closurezf3z21zzinline_appz00(obj_t BgL_varz00_6,
		obj_t BgL_stackz00_7)
	{
		{	/* Inline/app.scm 66 */
			{	/* Inline/app.scm 67 */
				bool_t BgL_test1696z00_2543;

				if (PAIRP(BgL_stackz00_7))
					{	/* Inline/app.scm 67 */
						obj_t BgL_arg1281z00_1482;

						BgL_arg1281z00_1482 = CAR(BgL_stackz00_7);
						{	/* Inline/app.scm 67 */
							obj_t BgL_classz00_1833;

							BgL_classz00_1833 = BGl_globalz00zzast_varz00;
							if (BGL_OBJECTP(BgL_arg1281z00_1482))
								{	/* Inline/app.scm 67 */
									BgL_objectz00_bglt BgL_arg1858z00_1835;

									BgL_arg1858z00_1835 =
										(BgL_objectz00_bglt) (BgL_arg1281z00_1482);
									if (BGL_CONDEXPAND_ISA_ARCH64())
										{	/* Inline/app.scm 67 */
											long BgL_idxz00_1841;

											BgL_idxz00_1841 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_1835);
											BgL_test1696z00_2543 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_1841 + 2L)) == BgL_classz00_1833);
										}
									else
										{	/* Inline/app.scm 67 */
											bool_t BgL_res1653z00_1866;

											{	/* Inline/app.scm 67 */
												obj_t BgL_oclassz00_1849;

												{	/* Inline/app.scm 67 */
													obj_t BgL_arg1866z00_1857;
													long BgL_arg1867z00_1858;

													BgL_arg1866z00_1857 =
														(BGl_za2classesza2z00zz__objectz00);
													{	/* Inline/app.scm 67 */
														long BgL_arg1869z00_1859;

														BgL_arg1869z00_1859 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_1835);
														BgL_arg1867z00_1858 =
															(BgL_arg1869z00_1859 - OBJECT_TYPE);
													}
													BgL_oclassz00_1849 =
														VECTOR_REF(BgL_arg1866z00_1857,
														BgL_arg1867z00_1858);
												}
												{	/* Inline/app.scm 67 */
													bool_t BgL__ortest_1115z00_1850;

													BgL__ortest_1115z00_1850 =
														(BgL_classz00_1833 == BgL_oclassz00_1849);
													if (BgL__ortest_1115z00_1850)
														{	/* Inline/app.scm 67 */
															BgL_res1653z00_1866 = BgL__ortest_1115z00_1850;
														}
													else
														{	/* Inline/app.scm 67 */
															long BgL_odepthz00_1851;

															{	/* Inline/app.scm 67 */
																obj_t BgL_arg1855z00_1852;

																BgL_arg1855z00_1852 = (BgL_oclassz00_1849);
																BgL_odepthz00_1851 =
																	BGL_CLASS_DEPTH(BgL_arg1855z00_1852);
															}
															if ((2L < BgL_odepthz00_1851))
																{	/* Inline/app.scm 67 */
																	obj_t BgL_arg1853z00_1854;

																	{	/* Inline/app.scm 67 */
																		obj_t BgL_arg1854z00_1855;

																		BgL_arg1854z00_1855 = (BgL_oclassz00_1849);
																		BgL_arg1853z00_1854 =
																			BGL_CLASS_ANCESTORS_REF
																			(BgL_arg1854z00_1855, 2L);
																	}
																	BgL_res1653z00_1866 =
																		(BgL_arg1853z00_1854 == BgL_classz00_1833);
																}
															else
																{	/* Inline/app.scm 67 */
																	BgL_res1653z00_1866 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_test1696z00_2543 = BgL_res1653z00_1866;
										}
								}
							else
								{	/* Inline/app.scm 67 */
									BgL_test1696z00_2543 = ((bool_t) 0);
								}
						}
					}
				else
					{	/* Inline/app.scm 67 */
						BgL_test1696z00_2543 = ((bool_t) 0);
					}
				if (BgL_test1696z00_2543)
					{	/* Inline/app.scm 67 */
						if (
							(BgL_varz00_6 ==
								(((BgL_sfunz00_bglt) COBJECT(
											((BgL_sfunz00_bglt)
												(((BgL_variablez00_bglt) COBJECT(
															((BgL_variablez00_bglt)
																CAR(BgL_stackz00_7))))->BgL_valuez00))))->
									BgL_thezd2closurezd2globalz00)))
							{	/* Inline/app.scm 69 */
								bool_t BgL_test1703z00_2576;

								{	/* Inline/app.scm 69 */
									bool_t BgL__ortest_1108z00_1476;

									{	/* Inline/app.scm 69 */
										obj_t BgL_classz00_1870;

										BgL_classz00_1870 = BGl_localz00zzast_varz00;
										if (BGL_OBJECTP(BgL_varz00_6))
											{	/* Inline/app.scm 69 */
												BgL_objectz00_bglt BgL_arg1858z00_1872;

												BgL_arg1858z00_1872 =
													(BgL_objectz00_bglt) (BgL_varz00_6);
												if (BGL_CONDEXPAND_ISA_ARCH64())
													{	/* Inline/app.scm 69 */
														long BgL_idxz00_1878;

														BgL_idxz00_1878 =
															BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_1872);
														BgL__ortest_1108z00_1476 =
															(VECTOR_REF
															(BGl_za2inheritancesza2z00zz__objectz00,
																(BgL_idxz00_1878 + 2L)) == BgL_classz00_1870);
													}
												else
													{	/* Inline/app.scm 69 */
														bool_t BgL_res1654z00_1903;

														{	/* Inline/app.scm 69 */
															obj_t BgL_oclassz00_1886;

															{	/* Inline/app.scm 69 */
																obj_t BgL_arg1866z00_1894;
																long BgL_arg1867z00_1895;

																BgL_arg1866z00_1894 =
																	(BGl_za2classesza2z00zz__objectz00);
																{	/* Inline/app.scm 69 */
																	long BgL_arg1869z00_1896;

																	BgL_arg1869z00_1896 =
																		BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_1872);
																	BgL_arg1867z00_1895 =
																		(BgL_arg1869z00_1896 - OBJECT_TYPE);
																}
																BgL_oclassz00_1886 =
																	VECTOR_REF(BgL_arg1866z00_1894,
																	BgL_arg1867z00_1895);
															}
															{	/* Inline/app.scm 69 */
																bool_t BgL__ortest_1115z00_1887;

																BgL__ortest_1115z00_1887 =
																	(BgL_classz00_1870 == BgL_oclassz00_1886);
																if (BgL__ortest_1115z00_1887)
																	{	/* Inline/app.scm 69 */
																		BgL_res1654z00_1903 =
																			BgL__ortest_1115z00_1887;
																	}
																else
																	{	/* Inline/app.scm 69 */
																		long BgL_odepthz00_1888;

																		{	/* Inline/app.scm 69 */
																			obj_t BgL_arg1855z00_1889;

																			BgL_arg1855z00_1889 =
																				(BgL_oclassz00_1886);
																			BgL_odepthz00_1888 =
																				BGL_CLASS_DEPTH(BgL_arg1855z00_1889);
																		}
																		if ((2L < BgL_odepthz00_1888))
																			{	/* Inline/app.scm 69 */
																				obj_t BgL_arg1853z00_1891;

																				{	/* Inline/app.scm 69 */
																					obj_t BgL_arg1854z00_1892;

																					BgL_arg1854z00_1892 =
																						(BgL_oclassz00_1886);
																					BgL_arg1853z00_1891 =
																						BGL_CLASS_ANCESTORS_REF
																						(BgL_arg1854z00_1892, 2L);
																				}
																				BgL_res1654z00_1903 =
																					(BgL_arg1853z00_1891 ==
																					BgL_classz00_1870);
																			}
																		else
																			{	/* Inline/app.scm 69 */
																				BgL_res1654z00_1903 = ((bool_t) 0);
																			}
																	}
															}
														}
														BgL__ortest_1108z00_1476 = BgL_res1654z00_1903;
													}
											}
										else
											{	/* Inline/app.scm 69 */
												BgL__ortest_1108z00_1476 = ((bool_t) 0);
											}
									}
									if (BgL__ortest_1108z00_1476)
										{	/* Inline/app.scm 69 */
											BgL_test1703z00_2576 = BgL__ortest_1108z00_1476;
										}
									else
										{	/* Inline/app.scm 69 */
											BgL_test1703z00_2576 =
												(
												(((BgL_globalz00_bglt) COBJECT(
															((BgL_globalz00_bglt) BgL_varz00_6)))->
													BgL_importz00) == ((obj_t) CNST_TABLE_REF(1)));
										}
								}
								if (BgL_test1703z00_2576)
									{	/* Inline/app.scm 69 */
										return
											(
											(((BgL_variablez00_bglt) COBJECT(
														((BgL_variablez00_bglt) BgL_varz00_6)))->
												BgL_occurrencez00) == 1L);
									}
								else
									{	/* Inline/app.scm 69 */
										return ((bool_t) 0);
									}
							}
						else
							{	/* Inline/app.scm 68 */
								return ((bool_t) 0);
							}
					}
				else
					{	/* Inline/app.scm 67 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* call-size */
	long BGl_callzd2siza7ez75zzinline_appz00(BgL_appz00_bglt BgL_nodez00_8)
	{
		{	/* Inline/app.scm 75 */
			{	/* Inline/app.scm 77 */
				long BgL_csiza7eza7_1484;

				BgL_csiza7eza7_1484 =
					(1L +
					bgl_list_length(
						(((BgL_appz00_bglt) COBJECT(BgL_nodez00_8))->BgL_argsz00)));
				if (CBOOL(BGl_za2optimzd2atomzd2inliningzf3za2zf3zzengine_paramz00))
					{	/* Inline/app.scm 79 */
						obj_t BgL_atomsz00_1485;

						{	/* Inline/app.scm 79 */
							obj_t BgL_hook1241z00_1487;

							BgL_hook1241z00_1487 = MAKE_YOUNG_PAIR(BFALSE, BNIL);
							{	/* Inline/app.scm 79 */
								obj_t BgL_g1242z00_1488;

								BgL_g1242z00_1488 =
									(((BgL_appz00_bglt) COBJECT(BgL_nodez00_8))->BgL_argsz00);
								{
									obj_t BgL_l1238z00_1490;
									obj_t BgL_h1239z00_1491;

									BgL_l1238z00_1490 = BgL_g1242z00_1488;
									BgL_h1239z00_1491 = BgL_hook1241z00_1487;
								BgL_zc3z04anonymousza31283ze3z87_1492:
									if (NULLP(BgL_l1238z00_1490))
										{	/* Inline/app.scm 79 */
											BgL_atomsz00_1485 = CDR(BgL_hook1241z00_1487);
										}
									else
										{	/* Inline/app.scm 79 */
											bool_t BgL_test1711z00_2618;

											{	/* Inline/app.scm 80 */
												obj_t BgL_xz00_1501;

												BgL_xz00_1501 = CAR(((obj_t) BgL_l1238z00_1490));
												{	/* Inline/app.scm 80 */
													bool_t BgL__ortest_1111z00_1502;

													{	/* Inline/app.scm 80 */
														obj_t BgL_classz00_1910;

														BgL_classz00_1910 = BGl_atomz00zzast_nodez00;
														if (BGL_OBJECTP(BgL_xz00_1501))
															{	/* Inline/app.scm 80 */
																BgL_objectz00_bglt BgL_arg1858z00_1912;

																BgL_arg1858z00_1912 =
																	(BgL_objectz00_bglt) (BgL_xz00_1501);
																if (BGL_CONDEXPAND_ISA_ARCH64())
																	{	/* Inline/app.scm 80 */
																		long BgL_idxz00_1918;

																		BgL_idxz00_1918 =
																			BGL_OBJECT_INHERITANCE_NUM
																			(BgL_arg1858z00_1912);
																		BgL__ortest_1111z00_1502 =
																			(VECTOR_REF
																			(BGl_za2inheritancesza2z00zz__objectz00,
																				(BgL_idxz00_1918 + 2L)) ==
																			BgL_classz00_1910);
																	}
																else
																	{	/* Inline/app.scm 80 */
																		bool_t BgL_res1655z00_1943;

																		{	/* Inline/app.scm 80 */
																			obj_t BgL_oclassz00_1926;

																			{	/* Inline/app.scm 80 */
																				obj_t BgL_arg1866z00_1934;
																				long BgL_arg1867z00_1935;

																				BgL_arg1866z00_1934 =
																					(BGl_za2classesza2z00zz__objectz00);
																				{	/* Inline/app.scm 80 */
																					long BgL_arg1869z00_1936;

																					BgL_arg1869z00_1936 =
																						BGL_OBJECT_CLASS_NUM
																						(BgL_arg1858z00_1912);
																					BgL_arg1867z00_1935 =
																						(BgL_arg1869z00_1936 - OBJECT_TYPE);
																				}
																				BgL_oclassz00_1926 =
																					VECTOR_REF(BgL_arg1866z00_1934,
																					BgL_arg1867z00_1935);
																			}
																			{	/* Inline/app.scm 80 */
																				bool_t BgL__ortest_1115z00_1927;

																				BgL__ortest_1115z00_1927 =
																					(BgL_classz00_1910 ==
																					BgL_oclassz00_1926);
																				if (BgL__ortest_1115z00_1927)
																					{	/* Inline/app.scm 80 */
																						BgL_res1655z00_1943 =
																							BgL__ortest_1115z00_1927;
																					}
																				else
																					{	/* Inline/app.scm 80 */
																						long BgL_odepthz00_1928;

																						{	/* Inline/app.scm 80 */
																							obj_t BgL_arg1855z00_1929;

																							BgL_arg1855z00_1929 =
																								(BgL_oclassz00_1926);
																							BgL_odepthz00_1928 =
																								BGL_CLASS_DEPTH
																								(BgL_arg1855z00_1929);
																						}
																						if ((2L < BgL_odepthz00_1928))
																							{	/* Inline/app.scm 80 */
																								obj_t BgL_arg1853z00_1931;

																								{	/* Inline/app.scm 80 */
																									obj_t BgL_arg1854z00_1932;

																									BgL_arg1854z00_1932 =
																										(BgL_oclassz00_1926);
																									BgL_arg1853z00_1931 =
																										BGL_CLASS_ANCESTORS_REF
																										(BgL_arg1854z00_1932, 2L);
																								}
																								BgL_res1655z00_1943 =
																									(BgL_arg1853z00_1931 ==
																									BgL_classz00_1910);
																							}
																						else
																							{	/* Inline/app.scm 80 */
																								BgL_res1655z00_1943 =
																									((bool_t) 0);
																							}
																					}
																			}
																		}
																		BgL__ortest_1111z00_1502 =
																			BgL_res1655z00_1943;
																	}
															}
														else
															{	/* Inline/app.scm 80 */
																BgL__ortest_1111z00_1502 = ((bool_t) 0);
															}
													}
													if (BgL__ortest_1111z00_1502)
														{	/* Inline/app.scm 80 */
															BgL_test1711z00_2618 = BgL__ortest_1111z00_1502;
														}
													else
														{	/* Inline/app.scm 80 */
															obj_t BgL_classz00_1944;

															BgL_classz00_1944 = BGl_kwotez00zzast_nodez00;
															if (BGL_OBJECTP(BgL_xz00_1501))
																{	/* Inline/app.scm 80 */
																	BgL_objectz00_bglt BgL_arg1858z00_1946;

																	BgL_arg1858z00_1946 =
																		(BgL_objectz00_bglt) (BgL_xz00_1501);
																	if (BGL_CONDEXPAND_ISA_ARCH64())
																		{	/* Inline/app.scm 80 */
																			long BgL_idxz00_1952;

																			BgL_idxz00_1952 =
																				BGL_OBJECT_INHERITANCE_NUM
																				(BgL_arg1858z00_1946);
																			BgL_test1711z00_2618 =
																				(VECTOR_REF
																				(BGl_za2inheritancesza2z00zz__objectz00,
																					(BgL_idxz00_1952 + 2L)) ==
																				BgL_classz00_1944);
																		}
																	else
																		{	/* Inline/app.scm 80 */
																			bool_t BgL_res1656z00_1977;

																			{	/* Inline/app.scm 80 */
																				obj_t BgL_oclassz00_1960;

																				{	/* Inline/app.scm 80 */
																					obj_t BgL_arg1866z00_1968;
																					long BgL_arg1867z00_1969;

																					BgL_arg1866z00_1968 =
																						(BGl_za2classesza2z00zz__objectz00);
																					{	/* Inline/app.scm 80 */
																						long BgL_arg1869z00_1970;

																						BgL_arg1869z00_1970 =
																							BGL_OBJECT_CLASS_NUM
																							(BgL_arg1858z00_1946);
																						BgL_arg1867z00_1969 =
																							(BgL_arg1869z00_1970 -
																							OBJECT_TYPE);
																					}
																					BgL_oclassz00_1960 =
																						VECTOR_REF(BgL_arg1866z00_1968,
																						BgL_arg1867z00_1969);
																				}
																				{	/* Inline/app.scm 80 */
																					bool_t BgL__ortest_1115z00_1961;

																					BgL__ortest_1115z00_1961 =
																						(BgL_classz00_1944 ==
																						BgL_oclassz00_1960);
																					if (BgL__ortest_1115z00_1961)
																						{	/* Inline/app.scm 80 */
																							BgL_res1656z00_1977 =
																								BgL__ortest_1115z00_1961;
																						}
																					else
																						{	/* Inline/app.scm 80 */
																							long BgL_odepthz00_1962;

																							{	/* Inline/app.scm 80 */
																								obj_t BgL_arg1855z00_1963;

																								BgL_arg1855z00_1963 =
																									(BgL_oclassz00_1960);
																								BgL_odepthz00_1962 =
																									BGL_CLASS_DEPTH
																									(BgL_arg1855z00_1963);
																							}
																							if ((2L < BgL_odepthz00_1962))
																								{	/* Inline/app.scm 80 */
																									obj_t BgL_arg1853z00_1965;

																									{	/* Inline/app.scm 80 */
																										obj_t BgL_arg1854z00_1966;

																										BgL_arg1854z00_1966 =
																											(BgL_oclassz00_1960);
																										BgL_arg1853z00_1965 =
																											BGL_CLASS_ANCESTORS_REF
																											(BgL_arg1854z00_1966, 2L);
																									}
																									BgL_res1656z00_1977 =
																										(BgL_arg1853z00_1965 ==
																										BgL_classz00_1944);
																								}
																							else
																								{	/* Inline/app.scm 80 */
																									BgL_res1656z00_1977 =
																										((bool_t) 0);
																								}
																						}
																				}
																			}
																			BgL_test1711z00_2618 =
																				BgL_res1656z00_1977;
																		}
																}
															else
																{	/* Inline/app.scm 80 */
																	BgL_test1711z00_2618 = ((bool_t) 0);
																}
														}
												}
											}
											if (BgL_test1711z00_2618)
												{	/* Inline/app.scm 79 */
													obj_t BgL_nh1240z00_1497;

													{	/* Inline/app.scm 79 */
														obj_t BgL_arg1288z00_1499;

														BgL_arg1288z00_1499 =
															CAR(((obj_t) BgL_l1238z00_1490));
														BgL_nh1240z00_1497 =
															MAKE_YOUNG_PAIR(BgL_arg1288z00_1499, BNIL);
													}
													SET_CDR(BgL_h1239z00_1491, BgL_nh1240z00_1497);
													{	/* Inline/app.scm 79 */
														obj_t BgL_arg1287z00_1498;

														BgL_arg1287z00_1498 =
															CDR(((obj_t) BgL_l1238z00_1490));
														{
															obj_t BgL_h1239z00_2673;
															obj_t BgL_l1238z00_2672;

															BgL_l1238z00_2672 = BgL_arg1287z00_1498;
															BgL_h1239z00_2673 = BgL_nh1240z00_1497;
															BgL_h1239z00_1491 = BgL_h1239z00_2673;
															BgL_l1238z00_1490 = BgL_l1238z00_2672;
															goto BgL_zc3z04anonymousza31283ze3z87_1492;
														}
													}
												}
											else
												{	/* Inline/app.scm 79 */
													obj_t BgL_arg1289z00_1500;

													BgL_arg1289z00_1500 =
														CDR(((obj_t) BgL_l1238z00_1490));
													{
														obj_t BgL_l1238z00_2676;

														BgL_l1238z00_2676 = BgL_arg1289z00_1500;
														BgL_l1238z00_1490 = BgL_l1238z00_2676;
														goto BgL_zc3z04anonymousza31283ze3z87_1492;
													}
												}
										}
								}
							}
						}
						return (BgL_csiza7eza7_1484 + bgl_list_length(BgL_atomsz00_1485));
					}
				else
					{	/* Inline/app.scm 78 */
						return BgL_csiza7eza7_1484;
					}
			}
		}

	}



/* <@exit:1293>~0 */
	obj_t BGl_zc3z04exitza31293ze3ze70z60zzinline_appz00(obj_t BgL_nodez00_2395)
	{
		{	/* Inline/app.scm 89 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1112z00_1507;

			if (SET_EXIT(BgL_an_exit1112z00_1507))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if (SIGSETJMP_SAVESIGS == 0)
				 // MS: CARE 5 jan 2021: see runtime/Clib/csystem.c
				 // bgl_restore_signal_handlers();
#endif

					BgL_an_exit1112z00_1507 = (void *) jmpbuf;
					{	/* Inline/app.scm 89 */
						obj_t BgL_env1116z00_1508;

						BgL_env1116z00_1508 = BGL_CURRENT_DYNAMIC_ENV();
						PUSH_ENV_EXIT(BgL_env1116z00_1508, BgL_an_exit1112z00_1507, 1L);
						{	/* Inline/app.scm 89 */
							obj_t BgL_an_exitd1113z00_1509;

							BgL_an_exitd1113z00_1509 =
								BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1116z00_1508);
							{	/* Inline/app.scm 89 */
								obj_t BgL_res1115z00_1512;

								{	/* Inline/app.scm 90 */
									obj_t BgL_zc3z04anonymousza31295ze3z87_2386;

									BgL_zc3z04anonymousza31295ze3z87_2386 =
										MAKE_FX_PROCEDURE
										(BGl_z62zc3z04anonymousza31295ze3ze5zzinline_appz00,
										(int) (1L), (int) (1L));
									PROCEDURE_SET(BgL_zc3z04anonymousza31295ze3z87_2386,
										(int) (0L), BgL_an_exitd1113z00_1509);
									BGl_nodezd2walkzd2zzast_nodez00(((BgL_nodez00_bglt)
											BgL_nodez00_2395), BgL_zc3z04anonymousza31295ze3z87_2386);
								}
								BgL_res1115z00_1512 = BFALSE;
								POP_ENV_EXIT(BgL_env1116z00_1508);
								return BgL_res1115z00_1512;
							}
						}
					}
				}
		}

	}



/* &<@anonymous:1295> */
	obj_t BGl_z62zc3z04anonymousza31295ze3ze5zzinline_appz00(obj_t
		BgL_envz00_2387, obj_t BgL_nz00_2389)
	{
		{	/* Inline/app.scm 90 */
			{	/* Inline/app.scm 90 */
				obj_t BgL_an_exitd1113z00_2388;

				BgL_an_exitd1113z00_2388 = PROCEDURE_REF(BgL_envz00_2387, (int) (0L));
				{	/* Inline/app.scm 90 */
					bool_t BgL_test1722z00_2694;

					{	/* Inline/app.scm 90 */
						obj_t BgL_classz00_2407;

						BgL_classz00_2407 = BGl_kwotez00zzast_nodez00;
						if (BGL_OBJECTP(BgL_nz00_2389))
							{	/* Inline/app.scm 90 */
								BgL_objectz00_bglt BgL_arg1858z00_2408;

								BgL_arg1858z00_2408 = (BgL_objectz00_bglt) (BgL_nz00_2389);
								if (BGL_CONDEXPAND_ISA_ARCH64())
									{	/* Inline/app.scm 90 */
										long BgL_idxz00_2409;

										BgL_idxz00_2409 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_2408);
										BgL_test1722z00_2694 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_2409 + 2L)) == BgL_classz00_2407);
									}
								else
									{	/* Inline/app.scm 90 */
										bool_t BgL_res1657z00_2412;

										{	/* Inline/app.scm 90 */
											obj_t BgL_oclassz00_2413;

											{	/* Inline/app.scm 90 */
												obj_t BgL_arg1866z00_2414;
												long BgL_arg1867z00_2415;

												BgL_arg1866z00_2414 =
													(BGl_za2classesza2z00zz__objectz00);
												{	/* Inline/app.scm 90 */
													long BgL_arg1869z00_2416;

													BgL_arg1869z00_2416 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_2408);
													BgL_arg1867z00_2415 =
														(BgL_arg1869z00_2416 - OBJECT_TYPE);
												}
												BgL_oclassz00_2413 =
													VECTOR_REF(BgL_arg1866z00_2414, BgL_arg1867z00_2415);
											}
											{	/* Inline/app.scm 90 */
												bool_t BgL__ortest_1115z00_2417;

												BgL__ortest_1115z00_2417 =
													(BgL_classz00_2407 == BgL_oclassz00_2413);
												if (BgL__ortest_1115z00_2417)
													{	/* Inline/app.scm 90 */
														BgL_res1657z00_2412 = BgL__ortest_1115z00_2417;
													}
												else
													{	/* Inline/app.scm 90 */
														long BgL_odepthz00_2418;

														{	/* Inline/app.scm 90 */
															obj_t BgL_arg1855z00_2419;

															BgL_arg1855z00_2419 = (BgL_oclassz00_2413);
															BgL_odepthz00_2418 =
																BGL_CLASS_DEPTH(BgL_arg1855z00_2419);
														}
														if ((2L < BgL_odepthz00_2418))
															{	/* Inline/app.scm 90 */
																obj_t BgL_arg1853z00_2420;

																{	/* Inline/app.scm 90 */
																	obj_t BgL_arg1854z00_2421;

																	BgL_arg1854z00_2421 = (BgL_oclassz00_2413);
																	BgL_arg1853z00_2420 =
																		BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_2421,
																		2L);
																}
																BgL_res1657z00_2412 =
																	(BgL_arg1853z00_2420 == BgL_classz00_2407);
															}
														else
															{	/* Inline/app.scm 90 */
																BgL_res1657z00_2412 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_test1722z00_2694 = BgL_res1657z00_2412;
									}
							}
						else
							{	/* Inline/app.scm 90 */
								BgL_test1722z00_2694 = ((bool_t) 0);
							}
					}
					if (BgL_test1722z00_2694)
						{	/* Inline/app.scm 90 */
							return
								unwind_stack_until(BgL_an_exitd1113z00_2388, BFALSE, BTRUE,
								BFALSE, BFALSE);
						}
					else
						{	/* Inline/app.scm 90 */
							return BFALSE;
						}
				}
			}
		}

	}



/* inline-app? */
	BGL_EXPORTED_DEF bool_t
		BGl_inlinezd2appzf3z21zzinline_appz00(BgL_variablez00_bglt BgL_varz00_10,
		long BgL_kfactorz00_11, long BgL_callzd2siza7ez75_12, obj_t BgL_stackz00_13)
	{
		{	/* Inline/app.scm 96 */
			{	/* Inline/app.scm 101 */
				BgL_valuez00_bglt BgL_sfunz00_1518;

				BgL_sfunz00_1518 =
					(((BgL_variablez00_bglt) COBJECT(BgL_varz00_10))->BgL_valuez00);
				{	/* Inline/app.scm 101 */
					obj_t BgL_bodyz00_1519;

					{	/* Inline/app.scm 102 */
						bool_t BgL_test1727z00_2719;

						{	/* Inline/app.scm 102 */
							obj_t BgL_classz00_2020;

							BgL_classz00_2020 = BGl_isfunz00zzinline_inlinez00;
							{	/* Inline/app.scm 102 */
								BgL_objectz00_bglt BgL_arg1858z00_2022;

								{	/* Inline/app.scm 102 */
									obj_t BgL_tmpz00_2720;

									BgL_tmpz00_2720 =
										((obj_t) ((BgL_objectz00_bglt) BgL_sfunz00_1518));
									BgL_arg1858z00_2022 = (BgL_objectz00_bglt) (BgL_tmpz00_2720);
								}
								if (BGL_CONDEXPAND_ISA_ARCH64())
									{	/* Inline/app.scm 102 */
										long BgL_idxz00_2028;

										BgL_idxz00_2028 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_2022);
										BgL_test1727z00_2719 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_2028 + 4L)) == BgL_classz00_2020);
									}
								else
									{	/* Inline/app.scm 102 */
										bool_t BgL_res1658z00_2053;

										{	/* Inline/app.scm 102 */
											obj_t BgL_oclassz00_2036;

											{	/* Inline/app.scm 102 */
												obj_t BgL_arg1866z00_2044;
												long BgL_arg1867z00_2045;

												BgL_arg1866z00_2044 =
													(BGl_za2classesza2z00zz__objectz00);
												{	/* Inline/app.scm 102 */
													long BgL_arg1869z00_2046;

													BgL_arg1869z00_2046 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_2022);
													BgL_arg1867z00_2045 =
														(BgL_arg1869z00_2046 - OBJECT_TYPE);
												}
												BgL_oclassz00_2036 =
													VECTOR_REF(BgL_arg1866z00_2044, BgL_arg1867z00_2045);
											}
											{	/* Inline/app.scm 102 */
												bool_t BgL__ortest_1115z00_2037;

												BgL__ortest_1115z00_2037 =
													(BgL_classz00_2020 == BgL_oclassz00_2036);
												if (BgL__ortest_1115z00_2037)
													{	/* Inline/app.scm 102 */
														BgL_res1658z00_2053 = BgL__ortest_1115z00_2037;
													}
												else
													{	/* Inline/app.scm 102 */
														long BgL_odepthz00_2038;

														{	/* Inline/app.scm 102 */
															obj_t BgL_arg1855z00_2039;

															BgL_arg1855z00_2039 = (BgL_oclassz00_2036);
															BgL_odepthz00_2038 =
																BGL_CLASS_DEPTH(BgL_arg1855z00_2039);
														}
														if ((4L < BgL_odepthz00_2038))
															{	/* Inline/app.scm 102 */
																obj_t BgL_arg1853z00_2041;

																{	/* Inline/app.scm 102 */
																	obj_t BgL_arg1854z00_2042;

																	BgL_arg1854z00_2042 = (BgL_oclassz00_2036);
																	BgL_arg1853z00_2041 =
																		BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_2042,
																		4L);
																}
																BgL_res1658z00_2053 =
																	(BgL_arg1853z00_2041 == BgL_classz00_2020);
															}
														else
															{	/* Inline/app.scm 102 */
																BgL_res1658z00_2053 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_test1727z00_2719 = BgL_res1658z00_2053;
									}
							}
						}
						if (BgL_test1727z00_2719)
							{
								BgL_nodez00_bglt BgL_auxz00_2743;

								{
									BgL_isfunz00_bglt BgL_auxz00_2744;

									{
										obj_t BgL_auxz00_2745;

										{	/* Inline/app.scm 103 */
											BgL_objectz00_bglt BgL_tmpz00_2746;

											BgL_tmpz00_2746 =
												((BgL_objectz00_bglt)
												((BgL_sfunz00_bglt) BgL_sfunz00_1518));
											BgL_auxz00_2745 = BGL_OBJECT_WIDENING(BgL_tmpz00_2746);
										}
										BgL_auxz00_2744 = ((BgL_isfunz00_bglt) BgL_auxz00_2745);
									}
									BgL_auxz00_2743 =
										(((BgL_isfunz00_bglt) COBJECT(BgL_auxz00_2744))->
										BgL_originalzd2bodyzd2);
								}
								BgL_bodyz00_1519 = ((obj_t) BgL_auxz00_2743);
							}
						else
							{	/* Inline/app.scm 102 */
								BgL_bodyz00_1519 =
									(((BgL_sfunz00_bglt) COBJECT(
											((BgL_sfunz00_bglt) BgL_sfunz00_1518)))->BgL_bodyz00);
							}
					}
					{	/* Inline/app.scm 102 */

						{	/* Inline/app.scm 106 */
							bool_t BgL_test1732z00_2755;

							{	/* Inline/app.scm 106 */
								obj_t BgL_classz00_2057;

								BgL_classz00_2057 = BGl_nodez00zzast_nodez00;
								if (BGL_OBJECTP(BgL_bodyz00_1519))
									{	/* Inline/app.scm 106 */
										BgL_objectz00_bglt BgL_arg1858z00_2059;

										BgL_arg1858z00_2059 =
											(BgL_objectz00_bglt) (BgL_bodyz00_1519);
										if (BGL_CONDEXPAND_ISA_ARCH64())
											{	/* Inline/app.scm 106 */
												long BgL_idxz00_2065;

												BgL_idxz00_2065 =
													BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_2059);
												BgL_test1732z00_2755 =
													(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
														(BgL_idxz00_2065 + 1L)) == BgL_classz00_2057);
											}
										else
											{	/* Inline/app.scm 106 */
												bool_t BgL_res1659z00_2090;

												{	/* Inline/app.scm 106 */
													obj_t BgL_oclassz00_2073;

													{	/* Inline/app.scm 106 */
														obj_t BgL_arg1866z00_2081;
														long BgL_arg1867z00_2082;

														BgL_arg1866z00_2081 =
															(BGl_za2classesza2z00zz__objectz00);
														{	/* Inline/app.scm 106 */
															long BgL_arg1869z00_2083;

															BgL_arg1869z00_2083 =
																BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_2059);
															BgL_arg1867z00_2082 =
																(BgL_arg1869z00_2083 - OBJECT_TYPE);
														}
														BgL_oclassz00_2073 =
															VECTOR_REF(BgL_arg1866z00_2081,
															BgL_arg1867z00_2082);
													}
													{	/* Inline/app.scm 106 */
														bool_t BgL__ortest_1115z00_2074;

														BgL__ortest_1115z00_2074 =
															(BgL_classz00_2057 == BgL_oclassz00_2073);
														if (BgL__ortest_1115z00_2074)
															{	/* Inline/app.scm 106 */
																BgL_res1659z00_2090 = BgL__ortest_1115z00_2074;
															}
														else
															{	/* Inline/app.scm 106 */
																long BgL_odepthz00_2075;

																{	/* Inline/app.scm 106 */
																	obj_t BgL_arg1855z00_2076;

																	BgL_arg1855z00_2076 = (BgL_oclassz00_2073);
																	BgL_odepthz00_2075 =
																		BGL_CLASS_DEPTH(BgL_arg1855z00_2076);
																}
																if ((1L < BgL_odepthz00_2075))
																	{	/* Inline/app.scm 106 */
																		obj_t BgL_arg1853z00_2078;

																		{	/* Inline/app.scm 106 */
																			obj_t BgL_arg1854z00_2079;

																			BgL_arg1854z00_2079 =
																				(BgL_oclassz00_2073);
																			BgL_arg1853z00_2078 =
																				BGL_CLASS_ANCESTORS_REF
																				(BgL_arg1854z00_2079, 1L);
																		}
																		BgL_res1659z00_2090 =
																			(BgL_arg1853z00_2078 ==
																			BgL_classz00_2057);
																	}
																else
																	{	/* Inline/app.scm 106 */
																		BgL_res1659z00_2090 = ((bool_t) 0);
																	}
															}
													}
												}
												BgL_test1732z00_2755 = BgL_res1659z00_2090;
											}
									}
								else
									{	/* Inline/app.scm 106 */
										BgL_test1732z00_2755 = ((bool_t) 0);
									}
							}
							if (BgL_test1732z00_2755)
								{	/* Inline/app.scm 106 */
									if (CBOOL(BGl_za2inliningzf3za2zf3zzengine_paramz00))
										{	/* Inline/app.scm 113 */
											bool_t BgL_test1738z00_2780;

											if (CBOOL
												(BGl_za2optimzd2loopzd2inliningzf3za2zf3zzengine_paramz00))
												{	/* Inline/app.scm 113 */
													if (CBOOL
														(BGl_za2optimzd2unrollzd2loopzf3za2zf3zzengine_paramz00))
														{	/* Inline/app.scm 114 */
															BgL_test1738z00_2780 = ((bool_t) 0);
														}
													else
														{	/* Inline/app.scm 114 */
															BgL_test1738z00_2780 =
																CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
																	((obj_t) BgL_varz00_10), BgL_stackz00_13));
														}
												}
											else
												{	/* Inline/app.scm 113 */
													BgL_test1738z00_2780 = ((bool_t) 0);
												}
											if (BgL_test1738z00_2780)
												{	/* Inline/app.scm 113 */
													return ((bool_t) 0);
												}
											else
												{	/* Inline/app.scm 113 */
													if (
														((((BgL_sfunz00_bglt) COBJECT(
																		((BgL_sfunz00_bglt) BgL_sfunz00_1518)))->
																BgL_classz00) == ((obj_t) CNST_TABLE_REF(2))))
														{	/* Inline/app.scm 119 */
															return ((bool_t) 0);
														}
													else
														{	/* Inline/app.scm 123 */
															bool_t BgL_test1742z00_2794;

															if (
																(BGl_za2inlinezd2modeza2zd2zzinline_walkz00 ==
																	((obj_t) CNST_TABLE_REF(3))))
																{	/* Inline/app.scm 123 */
																	BgL_test1742z00_2794 = ((bool_t) 0);
																}
															else
																{	/* Inline/app.scm 123 */
																	if (
																		((((BgL_sfunz00_bglt) COBJECT(
																						((BgL_sfunz00_bglt)
																							BgL_sfunz00_1518)))->
																				BgL_classz00) ==
																			((obj_t) CNST_TABLE_REF(0))))
																		{	/* Inline/app.scm 124 */
																			BgL_test1742z00_2794 =
																				BGl_iszd2recursivezf3z21zzinline_recursionz00
																				(BgL_varz00_10);
																		}
																	else
																		{	/* Inline/app.scm 124 */
																			BgL_test1742z00_2794 = ((bool_t) 0);
																		}
																}
															if (BgL_test1742z00_2794)
																{	/* Inline/app.scm 123 */
																	return ((bool_t) 0);
																}
															else
																{	/* Inline/app.scm 123 */
																	if (
																		((((BgL_sfunz00_bglt) COBJECT(
																						((BgL_sfunz00_bglt)
																							BgL_sfunz00_1518)))->
																				BgL_classz00) ==
																			((obj_t) CNST_TABLE_REF(4))))
																		{	/* Inline/app.scm 129 */
																			return ((bool_t) 0);
																		}
																	else
																		{	/* Inline/app.scm 133 */
																			bool_t BgL_test1747z00_2812;

																			if (
																				((((BgL_sfunz00_bglt) COBJECT(
																								((BgL_sfunz00_bglt)
																									BgL_sfunz00_1518)))->
																						BgL_classz00) ==
																					((obj_t) CNST_TABLE_REF(0))))
																				{	/* Inline/app.scm 133 */
																					if (CBOOL
																						(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
																							(((obj_t) BgL_varz00_10),
																								BgL_stackz00_13)))
																						{	/* Inline/app.scm 134 */
																							BgL_test1747z00_2812 =
																								((bool_t) 0);
																						}
																					else
																						{	/* Inline/app.scm 135 */
																							bool_t BgL_test1751z00_2823;

																							if (
																								(BGl_za2inlinezd2modeza2zd2zzinline_walkz00
																									==
																									((obj_t) CNST_TABLE_REF(5))))
																								{	/* Inline/app.scm 136 */
																									bool_t BgL_test1753z00_2828;

																									{	/* Inline/app.scm 136 */
																										obj_t BgL_arg1390z00_1583;

																										BgL_arg1390z00_1583 =
																											(((BgL_sfunz00_bglt)
																												COBJECT((
																														(BgL_sfunz00_bglt)
																														BgL_sfunz00_1518)))->
																											BgL_bodyz00);
																										BgL_test1753z00_2828 =
																											CBOOL
																											(BGl_zc3z04exitza31293ze3ze70z60zzinline_appz00
																											(BgL_arg1390z00_1583));
																									}
																									if (BgL_test1753z00_2828)
																										{	/* Inline/app.scm 136 */
																											BgL_test1751z00_2823 =
																												((bool_t) 0);
																										}
																									else
																										{	/* Inline/app.scm 136 */
																											BgL_test1751z00_2823 =
																												((bool_t) 1);
																										}
																								}
																							else
																								{	/* Inline/app.scm 135 */
																									BgL_test1751z00_2823 =
																										((bool_t) 1);
																								}
																							if (BgL_test1751z00_2823)
																								{	/* Inline/app.scm 137 */
																									bool_t
																										BgL__ortest_1118z00_1581;
																									if (
																										(BGl_za2inlinezd2modeza2zd2zzinline_walkz00
																											==
																											((obj_t)
																												CNST_TABLE_REF(6))))
																										{	/* Inline/app.scm 137 */
																											BgL__ortest_1118z00_1581 =
																												((bool_t) 0);
																										}
																									else
																										{	/* Inline/app.scm 137 */
																											BgL__ortest_1118z00_1581 =
																												((bool_t) 1);
																										}
																									if (BgL__ortest_1118z00_1581)
																										{	/* Inline/app.scm 137 */
																											BgL_test1747z00_2812 =
																												BgL__ortest_1118z00_1581;
																										}
																									else
																										{	/* Inline/app.scm 137 */
																											BgL_test1747z00_2812 =
																												CBOOL(
																												(((BgL_funz00_bglt)
																														COBJECT((
																																(BgL_funz00_bglt)
																																BgL_sfunz00_1518)))->
																													BgL_predicatezd2ofzd2));
																										}
																								}
																							else
																								{	/* Inline/app.scm 135 */
																									BgL_test1747z00_2812 =
																										((bool_t) 0);
																								}
																						}
																				}
																			else
																				{	/* Inline/app.scm 133 */
																					BgL_test1747z00_2812 = ((bool_t) 0);
																				}
																			if (BgL_test1747z00_2812)
																				{	/* Inline/app.scm 133 */
																					return ((bool_t) 1);
																				}
																			else
																				{	/* Inline/app.scm 142 */
																					bool_t BgL_test1756z00_2841;

																					{	/* Inline/app.scm 142 */
																						bool_t BgL_test1758z00_2842;

																						{	/* Inline/app.scm 142 */
																							obj_t BgL_classz00_2097;

																							BgL_classz00_2097 =
																								BGl_globalz00zzast_varz00;
																							{	/* Inline/app.scm 142 */
																								BgL_objectz00_bglt
																									BgL_arg1858z00_2099;
																								{	/* Inline/app.scm 142 */
																									obj_t BgL_tmpz00_2843;

																									BgL_tmpz00_2843 =
																										((obj_t) BgL_varz00_10);
																									BgL_arg1858z00_2099 =
																										(BgL_objectz00_bglt)
																										(BgL_tmpz00_2843);
																								}
																								if (BGL_CONDEXPAND_ISA_ARCH64())
																									{	/* Inline/app.scm 142 */
																										long BgL_idxz00_2105;

																										BgL_idxz00_2105 =
																											BGL_OBJECT_INHERITANCE_NUM
																											(BgL_arg1858z00_2099);
																										BgL_test1758z00_2842 =
																											(VECTOR_REF
																											(BGl_za2inheritancesza2z00zz__objectz00,
																												(BgL_idxz00_2105 +
																													2L)) ==
																											BgL_classz00_2097);
																									}
																								else
																									{	/* Inline/app.scm 142 */
																										bool_t BgL_res1660z00_2130;

																										{	/* Inline/app.scm 142 */
																											obj_t BgL_oclassz00_2113;

																											{	/* Inline/app.scm 142 */
																												obj_t
																													BgL_arg1866z00_2121;
																												long
																													BgL_arg1867z00_2122;
																												BgL_arg1866z00_2121 =
																													(BGl_za2classesza2z00zz__objectz00);
																												{	/* Inline/app.scm 142 */
																													long
																														BgL_arg1869z00_2123;
																													BgL_arg1869z00_2123 =
																														BGL_OBJECT_CLASS_NUM
																														(BgL_arg1858z00_2099);
																													BgL_arg1867z00_2122 =
																														(BgL_arg1869z00_2123
																														- OBJECT_TYPE);
																												}
																												BgL_oclassz00_2113 =
																													VECTOR_REF
																													(BgL_arg1866z00_2121,
																													BgL_arg1867z00_2122);
																											}
																											{	/* Inline/app.scm 142 */
																												bool_t
																													BgL__ortest_1115z00_2114;
																												BgL__ortest_1115z00_2114
																													=
																													(BgL_classz00_2097 ==
																													BgL_oclassz00_2113);
																												if (BgL__ortest_1115z00_2114)
																													{	/* Inline/app.scm 142 */
																														BgL_res1660z00_2130
																															=
																															BgL__ortest_1115z00_2114;
																													}
																												else
																													{	/* Inline/app.scm 142 */
																														long
																															BgL_odepthz00_2115;
																														{	/* Inline/app.scm 142 */
																															obj_t
																																BgL_arg1855z00_2116;
																															BgL_arg1855z00_2116
																																=
																																(BgL_oclassz00_2113);
																															BgL_odepthz00_2115
																																=
																																BGL_CLASS_DEPTH
																																(BgL_arg1855z00_2116);
																														}
																														if (
																															(2L <
																																BgL_odepthz00_2115))
																															{	/* Inline/app.scm 142 */
																																obj_t
																																	BgL_arg1853z00_2118;
																																{	/* Inline/app.scm 142 */
																																	obj_t
																																		BgL_arg1854z00_2119;
																																	BgL_arg1854z00_2119
																																		=
																																		(BgL_oclassz00_2113);
																																	BgL_arg1853z00_2118
																																		=
																																		BGL_CLASS_ANCESTORS_REF
																																		(BgL_arg1854z00_2119,
																																		2L);
																																}
																																BgL_res1660z00_2130
																																	=
																																	(BgL_arg1853z00_2118
																																	==
																																	BgL_classz00_2097);
																															}
																														else
																															{	/* Inline/app.scm 142 */
																																BgL_res1660z00_2130
																																	=
																																	((bool_t) 0);
																															}
																													}
																											}
																										}
																										BgL_test1758z00_2842 =
																											BgL_res1660z00_2130;
																									}
																							}
																						}
																						if (BgL_test1758z00_2842)
																							{	/* Inline/app.scm 142 */
																								BgL_test1756z00_2841 =
																									(
																									(((BgL_globalz00_bglt)
																											COBJECT((
																													(BgL_globalz00_bglt)
																													BgL_varz00_10)))->
																										BgL_importz00) ==
																									((obj_t) CNST_TABLE_REF(7)));
																							}
																						else
																							{	/* Inline/app.scm 142 */
																								BgL_test1756z00_2841 =
																									((bool_t) 0);
																							}
																					}
																					if (BgL_test1756z00_2841)
																						{	/* Inline/app.scm 142 */
																							return ((bool_t) 0);
																						}
																					else
																						{	/* Inline/app.scm 142 */
																							if (CBOOL
																								(BGl_za2userzd2inliningzf3za2z21zzengine_paramz00))
																								{	/* Inline/app.scm 149 */
																									bool_t BgL_test1767z00_2872;

																									{	/* Inline/app.scm 149 */
																										long BgL_arg1385z00_1574;
																										long BgL_arg1386z00_1575;

																										BgL_arg1385z00_1574 =
																											BGl_nodezd2siza7ez75zzinline_siza7eza7
																											(((BgL_nodez00_bglt)
																												BgL_bodyz00_1519));
																										BgL_arg1386z00_1575 =
																											(BgL_kfactorz00_11 *
																											BgL_callzd2siza7ez75_12);
																										BgL_test1767z00_2872 =
																											(BgL_arg1385z00_1574 <
																											BgL_arg1386z00_1575);
																									}
																									if (BgL_test1767z00_2872)
																										{	/* Inline/app.scm 149 */
																											return ((bool_t) 1);
																										}
																									else
																										{	/* Inline/app.scm 157 */
																											bool_t
																												BgL_test1768z00_2877;
																											{	/* Inline/app.scm 157 */
																												bool_t
																													BgL_test1769z00_2878;
																												{	/* Inline/app.scm 157 */
																													long
																														BgL_arg1383z00_1573;
																													BgL_arg1383z00_1573 =
																														BGl_nodezd2siza7ez75zzinline_siza7eza7
																														(((BgL_nodez00_bglt)
																															BgL_bodyz00_1519));
																													BgL_test1769z00_2878 =
																														(BgL_arg1383z00_1573
																														==
																														BgL_callzd2siza7ez75_12);
																												}
																												if (BgL_test1769z00_2878)
																													{	/* Inline/app.scm 157 */
																														if (CBOOL
																															(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
																																(((obj_t)
																																		BgL_varz00_10),
																																	BgL_stackz00_13)))
																															{	/* Inline/app.scm 157 */
																																BgL_test1768z00_2877
																																	=
																																	((bool_t) 0);
																															}
																														else
																															{	/* Inline/app.scm 157 */
																																BgL_test1768z00_2877
																																	=
																																	((bool_t) 1);
																															}
																													}
																												else
																													{	/* Inline/app.scm 157 */
																														BgL_test1768z00_2877
																															= ((bool_t) 0);
																													}
																											}
																											if (BgL_test1768z00_2877)
																												{	/* Inline/app.scm 157 */
																													return ((bool_t) 1);
																												}
																											else
																												{	/* Inline/app.scm 165 */
																													bool_t
																														BgL_test1773z00_2886;
																													if (((((BgL_variablez00_bglt) COBJECT(BgL_varz00_10))->BgL_occurrencez00) == 1L))
																														{	/* Inline/app.scm 166 */
																															bool_t
																																BgL_test1775z00_2890;
																															{	/* Inline/app.scm 166 */
																																bool_t
																																	BgL_test1776z00_2891;
																																{	/* Inline/app.scm 166 */
																																	obj_t
																																		BgL_classz00_2140;
																																	BgL_classz00_2140
																																		=
																																		BGl_globalz00zzast_varz00;
																																	{	/* Inline/app.scm 166 */
																																		BgL_objectz00_bglt
																																			BgL_arg1858z00_2142;
																																		{	/* Inline/app.scm 166 */
																																			obj_t
																																				BgL_tmpz00_2892;
																																			BgL_tmpz00_2892
																																				=
																																				((obj_t)
																																				BgL_varz00_10);
																																			BgL_arg1858z00_2142
																																				=
																																				(BgL_objectz00_bglt)
																																				(BgL_tmpz00_2892);
																																		}
																																		if (BGL_CONDEXPAND_ISA_ARCH64())
																																			{	/* Inline/app.scm 166 */
																																				long
																																					BgL_idxz00_2148;
																																				BgL_idxz00_2148
																																					=
																																					BGL_OBJECT_INHERITANCE_NUM
																																					(BgL_arg1858z00_2142);
																																				BgL_test1776z00_2891
																																					=
																																					(VECTOR_REF
																																					(BGl_za2inheritancesza2z00zz__objectz00,
																																						(BgL_idxz00_2148
																																							+
																																							2L))
																																					==
																																					BgL_classz00_2140);
																																			}
																																		else
																																			{	/* Inline/app.scm 166 */
																																				bool_t
																																					BgL_res1661z00_2173;
																																				{	/* Inline/app.scm 166 */
																																					obj_t
																																						BgL_oclassz00_2156;
																																					{	/* Inline/app.scm 166 */
																																						obj_t
																																							BgL_arg1866z00_2164;
																																						long
																																							BgL_arg1867z00_2165;
																																						BgL_arg1866z00_2164
																																							=
																																							(BGl_za2classesza2z00zz__objectz00);
																																						{	/* Inline/app.scm 166 */
																																							long
																																								BgL_arg1869z00_2166;
																																							BgL_arg1869z00_2166
																																								=
																																								BGL_OBJECT_CLASS_NUM
																																								(BgL_arg1858z00_2142);
																																							BgL_arg1867z00_2165
																																								=
																																								(BgL_arg1869z00_2166
																																								-
																																								OBJECT_TYPE);
																																						}
																																						BgL_oclassz00_2156
																																							=
																																							VECTOR_REF
																																							(BgL_arg1866z00_2164,
																																							BgL_arg1867z00_2165);
																																					}
																																					{	/* Inline/app.scm 166 */
																																						bool_t
																																							BgL__ortest_1115z00_2157;
																																						BgL__ortest_1115z00_2157
																																							=
																																							(BgL_classz00_2140
																																							==
																																							BgL_oclassz00_2156);
																																						if (BgL__ortest_1115z00_2157)
																																							{	/* Inline/app.scm 166 */
																																								BgL_res1661z00_2173
																																									=
																																									BgL__ortest_1115z00_2157;
																																							}
																																						else
																																							{	/* Inline/app.scm 166 */
																																								long
																																									BgL_odepthz00_2158;
																																								{	/* Inline/app.scm 166 */
																																									obj_t
																																										BgL_arg1855z00_2159;
																																									BgL_arg1855z00_2159
																																										=
																																										(BgL_oclassz00_2156);
																																									BgL_odepthz00_2158
																																										=
																																										BGL_CLASS_DEPTH
																																										(BgL_arg1855z00_2159);
																																								}
																																								if ((2L < BgL_odepthz00_2158))
																																									{	/* Inline/app.scm 166 */
																																										obj_t
																																											BgL_arg1853z00_2161;
																																										{	/* Inline/app.scm 166 */
																																											obj_t
																																												BgL_arg1854z00_2162;
																																											BgL_arg1854z00_2162
																																												=
																																												(BgL_oclassz00_2156);
																																											BgL_arg1853z00_2161
																																												=
																																												BGL_CLASS_ANCESTORS_REF
																																												(BgL_arg1854z00_2162,
																																												2L);
																																										}
																																										BgL_res1661z00_2173
																																											=
																																											(BgL_arg1853z00_2161
																																											==
																																											BgL_classz00_2140);
																																									}
																																								else
																																									{	/* Inline/app.scm 166 */
																																										BgL_res1661z00_2173
																																											=
																																											(
																																											(bool_t)
																																											0);
																																									}
																																							}
																																					}
																																				}
																																				BgL_test1776z00_2891
																																					=
																																					BgL_res1661z00_2173;
																																			}
																																	}
																																}
																																if (BgL_test1776z00_2891)
																																	{	/* Inline/app.scm 166 */
																																		BgL_test1775z00_2890
																																			=
																																			((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt) BgL_varz00_10)))->BgL_importz00) == ((obj_t) CNST_TABLE_REF(1)));
																																	}
																																else
																																	{	/* Inline/app.scm 166 */
																																		BgL_test1775z00_2890
																																			=
																																			((bool_t)
																																			1);
																																	}
																															}
																															if (BgL_test1775z00_2890)
																																{	/* Inline/app.scm 167 */
																																	obj_t
																																		BgL_arg1376z00_1566;
																																	BgL_arg1376z00_1566
																																		=
																																		(((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt) (((BgL_variablez00_bglt) COBJECT(BgL_varz00_10))->BgL_valuez00))))->BgL_bodyz00);
																																	{	/* Inline/app.scm 167 */
																																		obj_t
																																			BgL_classz00_2177;
																																		BgL_classz00_2177
																																			=
																																			BGl_retblockz00zzast_nodez00;
																																		if (BGL_OBJECTP(BgL_arg1376z00_1566))
																																			{	/* Inline/app.scm 167 */
																																				BgL_objectz00_bglt
																																					BgL_arg1858z00_2179;
																																				BgL_arg1858z00_2179
																																					=
																																					(BgL_objectz00_bglt)
																																					(BgL_arg1376z00_1566);
																																				if (BGL_CONDEXPAND_ISA_ARCH64())
																																					{	/* Inline/app.scm 167 */
																																						long
																																							BgL_idxz00_2185;
																																						BgL_idxz00_2185
																																							=
																																							BGL_OBJECT_INHERITANCE_NUM
																																							(BgL_arg1858z00_2179);
																																						BgL_test1773z00_2886
																																							=
																																							(VECTOR_REF
																																							(BGl_za2inheritancesza2z00zz__objectz00,
																																								(BgL_idxz00_2185
																																									+
																																									2L))
																																							==
																																							BgL_classz00_2177);
																																					}
																																				else
																																					{	/* Inline/app.scm 167 */
																																						bool_t
																																							BgL_res1662z00_2210;
																																						{	/* Inline/app.scm 167 */
																																							obj_t
																																								BgL_oclassz00_2193;
																																							{	/* Inline/app.scm 167 */
																																								obj_t
																																									BgL_arg1866z00_2201;
																																								long
																																									BgL_arg1867z00_2202;
																																								BgL_arg1866z00_2201
																																									=
																																									(BGl_za2classesza2z00zz__objectz00);
																																								{	/* Inline/app.scm 167 */
																																									long
																																										BgL_arg1869z00_2203;
																																									BgL_arg1869z00_2203
																																										=
																																										BGL_OBJECT_CLASS_NUM
																																										(BgL_arg1858z00_2179);
																																									BgL_arg1867z00_2202
																																										=
																																										(BgL_arg1869z00_2203
																																										-
																																										OBJECT_TYPE);
																																								}
																																								BgL_oclassz00_2193
																																									=
																																									VECTOR_REF
																																									(BgL_arg1866z00_2201,
																																									BgL_arg1867z00_2202);
																																							}
																																							{	/* Inline/app.scm 167 */
																																								bool_t
																																									BgL__ortest_1115z00_2194;
																																								BgL__ortest_1115z00_2194
																																									=
																																									(BgL_classz00_2177
																																									==
																																									BgL_oclassz00_2193);
																																								if (BgL__ortest_1115z00_2194)
																																									{	/* Inline/app.scm 167 */
																																										BgL_res1662z00_2210
																																											=
																																											BgL__ortest_1115z00_2194;
																																									}
																																								else
																																									{	/* Inline/app.scm 167 */
																																										long
																																											BgL_odepthz00_2195;
																																										{	/* Inline/app.scm 167 */
																																											obj_t
																																												BgL_arg1855z00_2196;
																																											BgL_arg1855z00_2196
																																												=
																																												(BgL_oclassz00_2193);
																																											BgL_odepthz00_2195
																																												=
																																												BGL_CLASS_DEPTH
																																												(BgL_arg1855z00_2196);
																																										}
																																										if ((2L < BgL_odepthz00_2195))
																																											{	/* Inline/app.scm 167 */
																																												obj_t
																																													BgL_arg1853z00_2198;
																																												{	/* Inline/app.scm 167 */
																																													obj_t
																																														BgL_arg1854z00_2199;
																																													BgL_arg1854z00_2199
																																														=
																																														(BgL_oclassz00_2193);
																																													BgL_arg1853z00_2198
																																														=
																																														BGL_CLASS_ANCESTORS_REF
																																														(BgL_arg1854z00_2199,
																																														2L);
																																												}
																																												BgL_res1662z00_2210
																																													=
																																													(BgL_arg1853z00_2198
																																													==
																																													BgL_classz00_2177);
																																											}
																																										else
																																											{	/* Inline/app.scm 167 */
																																												BgL_res1662z00_2210
																																													=
																																													(
																																													(bool_t)
																																													0);
																																											}
																																									}
																																							}
																																						}
																																						BgL_test1773z00_2886
																																							=
																																							BgL_res1662z00_2210;
																																					}
																																			}
																																		else
																																			{	/* Inline/app.scm 167 */
																																				BgL_test1773z00_2886
																																					=
																																					(
																																					(bool_t)
																																					0);
																																			}
																																	}
																																}
																															else
																																{	/* Inline/app.scm 166 */
																																	BgL_test1773z00_2886
																																		=
																																		((bool_t)
																																		0);
																																}
																														}
																													else
																														{	/* Inline/app.scm 165 */
																															BgL_test1773z00_2886
																																= ((bool_t) 0);
																														}
																													if (BgL_test1773z00_2886)
																														{	/* Inline/app.scm 165 */
																															return ((bool_t)
																																1);
																														}
																													else
																														{	/* Inline/app.scm 165 */
																															return ((bool_t)
																																0);
																														}
																												}
																										}
																								}
																							else
																								{	/* Inline/app.scm 146 */
																									return ((bool_t) 0);
																								}
																						}
																				}
																		}
																}
														}
												}
										}
									else
										{	/* Inline/app.scm 109 */
											return ((bool_t) 0);
										}
								}
							else
								{	/* Inline/app.scm 106 */
									return ((bool_t) 0);
								}
						}
					}
				}
			}
		}

	}



/* &inline-app? */
	obj_t BGl_z62inlinezd2appzf3z43zzinline_appz00(obj_t BgL_envz00_2390,
		obj_t BgL_varz00_2391, obj_t BgL_kfactorz00_2392,
		obj_t BgL_callzd2siza7ez75_2393, obj_t BgL_stackz00_2394)
	{
		{	/* Inline/app.scm 96 */
			return
				BBOOL(BGl_inlinezd2appzf3z21zzinline_appz00(
					((BgL_variablez00_bglt) BgL_varz00_2391),
					(long) CINT(BgL_kfactorz00_2392),
					(long) CINT(BgL_callzd2siza7ez75_2393), BgL_stackz00_2394));
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzinline_appz00(void)
	{
		{	/* Inline/app.scm 15 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzinline_appz00(void)
	{
		{	/* Inline/app.scm 15 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzinline_appz00(void)
	{
		{	/* Inline/app.scm 15 */
			return BUNSPEC;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzinline_appz00(void)
	{
		{	/* Inline/app.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(54713316L,
				BSTRING_TO_STRING(BGl_string1669z00zzinline_appz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(161876678L,
				BSTRING_TO_STRING(BGl_string1669z00zzinline_appz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(365925558L,
				BSTRING_TO_STRING(BGl_string1669z00zzinline_appz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(300504031L,
				BSTRING_TO_STRING(BGl_string1669z00zzinline_appz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(515343395L,
				BSTRING_TO_STRING(BGl_string1669z00zzinline_appz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(90839984L,
				BSTRING_TO_STRING(BGl_string1669z00zzinline_appz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(469732712L,
				BSTRING_TO_STRING(BGl_string1669z00zzinline_appz00));
			BGl_modulezd2initializa7ationz75zzmodule_libraryz00(292140514L,
				BSTRING_TO_STRING(BGl_string1669z00zzinline_appz00));
			BGl_modulezd2initializa7ationz75zzinline_walkz00(385476819L,
				BSTRING_TO_STRING(BGl_string1669z00zzinline_appz00));
			BGl_modulezd2initializa7ationz75zzinline_inlinez00(20504962L,
				BSTRING_TO_STRING(BGl_string1669z00zzinline_appz00));
			BGl_modulezd2initializa7ationz75zzinline_siza7eza7(243191744L,
				BSTRING_TO_STRING(BGl_string1669z00zzinline_appz00));
			BGl_modulezd2initializa7ationz75zzinline_simplez00(221468907L,
				BSTRING_TO_STRING(BGl_string1669z00zzinline_appz00));
			return
				BGl_modulezd2initializa7ationz75zzinline_recursionz00(101873001L,
				BSTRING_TO_STRING(BGl_string1669z00zzinline_appz00));
		}

	}

#ifdef __cplusplus
}
#endif
