/*===========================================================================*/
/*   (Inline/simple.scm)                                                     */
/*   Bigloo (4.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Jan 27 07:45:49 AM CET 2025     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.6a/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.6a/lib/bigloo/4.6a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -stdc -indent Inline/simple.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL_INLINE_SIMPLE_TYPE_DEFINITIONS
#define BGL_INLINE_SIMPLE_TYPE_DEFINITIONS

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_nullz00;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_svarz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}              *BgL_svarz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_nodezf2effectzf2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
	}                       *BgL_nodezf2effectzf2_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_refz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_refz00_bglt;

	typedef struct BgL_closurez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}                 *BgL_closurez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_stackablez00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_isfunz00_bgl
	{
		struct BgL_nodez00_bgl *BgL_originalzd2bodyzd2;
		obj_t BgL_recursivezd2callszd2;
		bool_t BgL_tailrecz00;
	}               *BgL_isfunz00_bglt;


#endif													// BGL_INLINE_SIMPLE_TYPE_DEFINITIONS
#endif													// BGL_MODULE_TYPE_DEFINITIONS

	extern obj_t BGl_za2intza2z00zztype_cachez00;
	static obj_t BGl_requirezd2initializa7ationz75zzinline_simplez00 = BUNSPEC;
	extern obj_t BGl_closurez00zzast_nodez00;
	extern BgL_nodez00_bglt BGl_alphatiza7eza7zzast_alphatiza7eza7(obj_t, obj_t,
		obj_t, BgL_nodez00_bglt);
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	extern obj_t BGl_atomz00zzast_nodez00;
	extern BgL_nodez00_bglt
		BGl_inlinezd2nodezd2zzinline_inlinez00(BgL_nodez00_bglt, long, obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	static obj_t BGl_genericzd2initzd2zzinline_simplez00(void);
	static obj_t BGl_objectzd2initzd2zzinline_simplez00(void);
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	BGL_IMPORT obj_t bgl_reverse_bang(obj_t);
	extern obj_t BGl_za2longza2z00zztype_cachez00;
	extern BgL_localz00_bglt BGl_clonezd2localzd2zzast_localz00(BgL_localz00_bglt,
		BgL_valuez00_bglt);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	extern obj_t BGl_refz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzinline_simplez00(void);
	extern obj_t BGl_varz00zzast_nodez00;
	extern BgL_typez00_bglt BGl_getzd2typezd2zztype_typeofz00(BgL_nodez00_bglt,
		bool_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_inlinezd2appzd2simplez00zzinline_simplez00(BgL_nodez00_bglt, long,
		obj_t, obj_t);
	extern obj_t BGl_za2_za2z00zztype_cachez00;
	extern BgL_typez00_bglt
		BGl_strictzd2nodezd2typez00zzast_nodez00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	extern obj_t BGl_svarz00zzast_varz00;
	extern obj_t BGl_za2procedureza2z00zztype_cachez00;
	extern obj_t BGl_isfunz00zzinline_inlinez00;
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	extern obj_t BGl_za2verboseza2z00zzengine_paramz00;
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzinline_simplez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzeffect_spreadz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzeffect_effectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_alphatiza7eza7(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzinline_siza7eza7(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzinline_inlinez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_occurz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_removez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_localz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typeofz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	extern obj_t BGl_za2inliningzd2reducezd2kfactorza2z00zzengine_paramz00;
	extern obj_t BGl_localz00zzast_varz00;
	static obj_t BGl_cnstzd2initzd2zzinline_simplez00(void);
	static obj_t BGl_libraryzd2moduleszd2initz00zzinline_simplez00(void);
	extern BgL_localz00_bglt BGl_makezd2localzd2svarz00zzast_localz00(obj_t,
		BgL_typez00_bglt);
	extern obj_t BGl_nodezd2removez12zc0zzast_removez00(BgL_nodez00_bglt);
	static obj_t BGl_importedzd2moduleszd2initz00zzinline_simplez00(void);
	static obj_t BGl_gczd2rootszd2initz00zzinline_simplez00(void);
	extern bool_t BGl_sidezd2effectzf3z21zzeffect_effectz00(BgL_nodez00_bglt);
	extern obj_t BGl_currentzd2functionzd2zztools_errorz00(void);
	static BgL_nodez00_bglt BGl_stackablez12z12zzinline_simplez00(BgL_appz00_bglt,
		BgL_nodez00_bglt);
	extern obj_t BGl_occurzd2nodez12zc0zzast_occurz00(BgL_nodez00_bglt);
	BGL_IMPORT obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
	static BgL_nodez00_bglt
		BGl_z62inlinezd2appzd2simplez62zzinline_simplez00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	BGL_IMPORT bool_t BGl_2zc3zd3z10zz__r4_numbers_6_5z00(obj_t, obj_t);
	extern bool_t
		BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00(BgL_nodez00_bglt);
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	static obj_t __cnst[3];


	   
		 
		DEFINE_STRING(BGl_string1834z00zzinline_simplez00,
		BgL_bgl_string1834za700za7za7i1843za7, " (", 2);
	      DEFINE_STRING(BGl_string1835z00zzinline_simplez00,
		BgL_bgl_string1835za700za7za7i1844za7, " --> ", 5);
	      DEFINE_STRING(BGl_string1836z00zzinline_simplez00,
		BgL_bgl_string1836za700za7za7i1845za7, "         ", 9);
	      DEFINE_STRING(BGl_string1837z00zzinline_simplez00,
		BgL_bgl_string1837za700za7za7i1846za7, "inline_simple", 13);
	      DEFINE_STRING(BGl_string1838z00zzinline_simplez00,
		BgL_bgl_string1838za700za7za7i1847za7, "res (sifun sgfun) read ", 23);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_inlinezd2appzd2simplezd2envzd2zzinline_simplez00,
		BgL_bgl_za762inlineza7d2appza71848za7,
		BGl_z62inlinezd2appzd2simplez62zzinline_simplez00, 0L, BUNSPEC, 4);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zzinline_simplez00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzinline_simplez00(long
		BgL_checksumz00_2422, char *BgL_fromz00_2423)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzinline_simplez00))
				{
					BGl_requirezd2initializa7ationz75zzinline_simplez00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzinline_simplez00();
					BGl_libraryzd2moduleszd2initz00zzinline_simplez00();
					BGl_cnstzd2initzd2zzinline_simplez00();
					BGl_importedzd2moduleszd2initz00zzinline_simplez00();
					return BGl_methodzd2initzd2zzinline_simplez00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzinline_simplez00(void)
	{
		{	/* Inline/simple.scm 15 */
			BGl_modulezd2initializa7ationz75zz__objectz00(0L, "inline_simple");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(0L,
				"inline_simple");
			BGl_modulezd2initializa7ationz75zz__readerz00(0L, "inline_simple");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(0L,
				"inline_simple");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(0L,
				"inline_simple");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(0L,
				"inline_simple");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(0L,
				"inline_simple");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(0L,
				"inline_simple");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(0L,
				"inline_simple");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(0L,
				"inline_simple");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzinline_simplez00(void)
	{
		{	/* Inline/simple.scm 15 */
			{	/* Inline/simple.scm 15 */
				obj_t BgL_cportz00_2411;

				{	/* Inline/simple.scm 15 */
					obj_t BgL_stringz00_2418;

					BgL_stringz00_2418 = BGl_string1838z00zzinline_simplez00;
					{	/* Inline/simple.scm 15 */
						obj_t BgL_startz00_2419;

						BgL_startz00_2419 = BINT(0L);
						{	/* Inline/simple.scm 15 */
							obj_t BgL_endz00_2420;

							BgL_endz00_2420 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_2418)));
							{	/* Inline/simple.scm 15 */

								BgL_cportz00_2411 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_2418, BgL_startz00_2419, BgL_endz00_2420);
				}}}}
				{
					long BgL_iz00_2412;

					BgL_iz00_2412 = 2L;
				BgL_loopz00_2413:
					if ((BgL_iz00_2412 == (-1L)))
						{	/* Inline/simple.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Inline/simple.scm 15 */
							{	/* Inline/simple.scm 15 */
								obj_t BgL_arg1842z00_2414;

								{	/* Inline/simple.scm 15 */

									{	/* Inline/simple.scm 15 */
										obj_t BgL_locationz00_2416;

										BgL_locationz00_2416 = BBOOL(((bool_t) 0));
										{	/* Inline/simple.scm 15 */

											BgL_arg1842z00_2414 =
												BGl_readz00zz__readerz00(BgL_cportz00_2411,
												BgL_locationz00_2416);
										}
									}
								}
								{	/* Inline/simple.scm 15 */
									int BgL_tmpz00_2451;

									BgL_tmpz00_2451 = (int) (BgL_iz00_2412);
									CNST_TABLE_SET(BgL_tmpz00_2451, BgL_arg1842z00_2414);
							}}
							{	/* Inline/simple.scm 15 */
								int BgL_auxz00_2417;

								BgL_auxz00_2417 = (int) ((BgL_iz00_2412 - 1L));
								{
									long BgL_iz00_2456;

									BgL_iz00_2456 = (long) (BgL_auxz00_2417);
									BgL_iz00_2412 = BgL_iz00_2456;
									goto BgL_loopz00_2413;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzinline_simplez00(void)
	{
		{	/* Inline/simple.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* inline-app-simple */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_inlinezd2appzd2simplez00zzinline_simplez00(BgL_nodez00_bglt
		BgL_nodez00_3, long BgL_kfactorz00_4, obj_t BgL_stackz00_5,
		obj_t BgL_msgz00_6)
	{
		{	/* Inline/simple.scm 46 */
			{	/* Inline/simple.scm 48 */
				BgL_variablez00_bglt BgL_calleez00_1451;

				BgL_calleez00_1451 =
					(((BgL_varz00_bglt) COBJECT(
							(((BgL_appz00_bglt) COBJECT(
										((BgL_appz00_bglt) BgL_nodez00_3)))->BgL_funz00)))->
					BgL_variablez00);
				{	/* Inline/simple.scm 48 */
					BgL_valuez00_bglt BgL_sfunz00_1452;

					BgL_sfunz00_1452 =
						(((BgL_variablez00_bglt) COBJECT(BgL_calleez00_1451))->
						BgL_valuez00);
					{	/* Inline/simple.scm 49 */
						obj_t BgL_formalsz00_1453;

						BgL_formalsz00_1453 =
							(((BgL_sfunz00_bglt) COBJECT(
									((BgL_sfunz00_bglt) BgL_sfunz00_1452)))->BgL_argsz00);
						{	/* Inline/simple.scm 50 */
							obj_t BgL_actualsz00_1454;

							BgL_actualsz00_1454 =
								(((BgL_appz00_bglt) COBJECT(
										((BgL_appz00_bglt) BgL_nodez00_3)))->BgL_argsz00);
							{	/* Inline/simple.scm 51 */
								obj_t BgL_reductorsz00_1455;

								if (NULLP(BgL_formalsz00_1453))
									{	/* Inline/simple.scm 52 */
										BgL_reductorsz00_1455 = BNIL;
									}
								else
									{	/* Inline/simple.scm 52 */
										obj_t BgL_head1253z00_1574;

										BgL_head1253z00_1574 = MAKE_YOUNG_PAIR(BNIL, BNIL);
										{
											obj_t BgL_ll1251z00_1576;
											obj_t BgL_ll1252z00_1577;
											obj_t BgL_tail1254z00_1578;

											BgL_ll1251z00_1576 = BgL_formalsz00_1453;
											BgL_ll1252z00_1577 = BgL_actualsz00_1454;
											BgL_tail1254z00_1578 = BgL_head1253z00_1574;
										BgL_zc3z04anonymousza31405ze3z87_1579:
											if (NULLP(BgL_ll1251z00_1576))
												{	/* Inline/simple.scm 52 */
													BgL_reductorsz00_1455 = CDR(BgL_head1253z00_1574);
												}
											else
												{	/* Inline/simple.scm 52 */
													obj_t BgL_newtail1255z00_1581;

													{	/* Inline/simple.scm 52 */
														obj_t BgL_arg1416z00_1584;

														{	/* Inline/simple.scm 52 */
															obj_t BgL_fz00_1585;
															obj_t BgL_az00_1586;

															BgL_fz00_1585 = CAR(((obj_t) BgL_ll1251z00_1576));
															BgL_az00_1586 = CAR(((obj_t) BgL_ll1252z00_1577));
															{	/* Inline/simple.scm 54 */
																bool_t BgL_test1853z00_2477;

																{	/* Inline/simple.scm 54 */
																	bool_t BgL_test1854z00_2478;

																	{	/* Inline/simple.scm 54 */
																		obj_t BgL_classz00_1851;

																		BgL_classz00_1851 =
																			BGl_closurez00zzast_nodez00;
																		if (BGL_OBJECTP(BgL_az00_1586))
																			{	/* Inline/simple.scm 54 */
																				BgL_objectz00_bglt BgL_arg1858z00_1853;

																				BgL_arg1858z00_1853 =
																					(BgL_objectz00_bglt) (BgL_az00_1586);
																				if (BGL_CONDEXPAND_ISA_ARCH64())
																					{	/* Inline/simple.scm 54 */
																						long BgL_idxz00_1859;

																						BgL_idxz00_1859 =
																							BGL_OBJECT_INHERITANCE_NUM
																							(BgL_arg1858z00_1853);
																						BgL_test1854z00_2478 =
																							(VECTOR_REF
																							(BGl_za2inheritancesza2z00zz__objectz00,
																								(BgL_idxz00_1859 + 3L)) ==
																							BgL_classz00_1851);
																					}
																				else
																					{	/* Inline/simple.scm 54 */
																						bool_t BgL_res1819z00_1884;

																						{	/* Inline/simple.scm 54 */
																							obj_t BgL_oclassz00_1867;

																							{	/* Inline/simple.scm 54 */
																								obj_t BgL_arg1866z00_1875;
																								long BgL_arg1867z00_1876;

																								BgL_arg1866z00_1875 =
																									(BGl_za2classesza2z00zz__objectz00);
																								{	/* Inline/simple.scm 54 */
																									long BgL_arg1869z00_1877;

																									BgL_arg1869z00_1877 =
																										BGL_OBJECT_CLASS_NUM
																										(BgL_arg1858z00_1853);
																									BgL_arg1867z00_1876 =
																										(BgL_arg1869z00_1877 -
																										OBJECT_TYPE);
																								}
																								BgL_oclassz00_1867 =
																									VECTOR_REF
																									(BgL_arg1866z00_1875,
																									BgL_arg1867z00_1876);
																							}
																							{	/* Inline/simple.scm 54 */
																								bool_t BgL__ortest_1115z00_1868;

																								BgL__ortest_1115z00_1868 =
																									(BgL_classz00_1851 ==
																									BgL_oclassz00_1867);
																								if (BgL__ortest_1115z00_1868)
																									{	/* Inline/simple.scm 54 */
																										BgL_res1819z00_1884 =
																											BgL__ortest_1115z00_1868;
																									}
																								else
																									{	/* Inline/simple.scm 54 */
																										long BgL_odepthz00_1869;

																										{	/* Inline/simple.scm 54 */
																											obj_t BgL_arg1855z00_1870;

																											BgL_arg1855z00_1870 =
																												(BgL_oclassz00_1867);
																											BgL_odepthz00_1869 =
																												BGL_CLASS_DEPTH
																												(BgL_arg1855z00_1870);
																										}
																										if (
																											(3L < BgL_odepthz00_1869))
																											{	/* Inline/simple.scm 54 */
																												obj_t
																													BgL_arg1853z00_1872;
																												{	/* Inline/simple.scm 54 */
																													obj_t
																														BgL_arg1854z00_1873;
																													BgL_arg1854z00_1873 =
																														(BgL_oclassz00_1867);
																													BgL_arg1853z00_1872 =
																														BGL_CLASS_ANCESTORS_REF
																														(BgL_arg1854z00_1873,
																														3L);
																												}
																												BgL_res1819z00_1884 =
																													(BgL_arg1853z00_1872
																													== BgL_classz00_1851);
																											}
																										else
																											{	/* Inline/simple.scm 54 */
																												BgL_res1819z00_1884 =
																													((bool_t) 0);
																											}
																									}
																							}
																						}
																						BgL_test1854z00_2478 =
																							BgL_res1819z00_1884;
																					}
																			}
																		else
																			{	/* Inline/simple.scm 54 */
																				BgL_test1854z00_2478 = ((bool_t) 0);
																			}
																	}
																	if (BgL_test1854z00_2478)
																		{	/* Inline/simple.scm 54 */
																			if (
																				((((BgL_variablez00_bglt) COBJECT(
																								((BgL_variablez00_bglt)
																									((BgL_localz00_bglt)
																										BgL_fz00_1585))))->
																						BgL_accessz00) ==
																					((obj_t) CNST_TABLE_REF(0))))
																				{	/* Inline/simple.scm 56 */
																					bool_t BgL__ortest_1108z00_1664;

																					{	/* Inline/simple.scm 56 */
																						obj_t BgL_arg1649z00_1668;

																						BgL_arg1649z00_1668 =
																							((obj_t)
																							(((BgL_variablez00_bglt) COBJECT(
																										((BgL_variablez00_bglt)
																											((BgL_localz00_bglt)
																												BgL_fz00_1585))))->
																								BgL_typez00));
																						BgL__ortest_1108z00_1664 =
																							(BgL_arg1649z00_1668 ==
																							BGl_za2procedureza2z00zztype_cachez00);
																					}
																					if (BgL__ortest_1108z00_1664)
																						{	/* Inline/simple.scm 56 */
																							BgL_test1853z00_2477 =
																								BgL__ortest_1108z00_1664;
																						}
																					else
																						{	/* Inline/simple.scm 57 */
																							bool_t BgL__ortest_1109z00_1665;

																							{	/* Inline/simple.scm 57 */
																								obj_t BgL_arg1648z00_1667;

																								BgL_arg1648z00_1667 =
																									((obj_t)
																									(((BgL_variablez00_bglt)
																											COBJECT((
																													(BgL_variablez00_bglt)
																													((BgL_localz00_bglt)
																														BgL_fz00_1585))))->
																										BgL_typez00));
																								BgL__ortest_1109z00_1665 =
																									(BgL_arg1648z00_1667 ==
																									BGl_za2_za2z00zztype_cachez00);
																							}
																							if (BgL__ortest_1109z00_1665)
																								{	/* Inline/simple.scm 57 */
																									BgL_test1853z00_2477 =
																										BgL__ortest_1109z00_1665;
																								}
																							else
																								{	/* Inline/simple.scm 58 */
																									obj_t BgL_arg1643z00_1666;

																									BgL_arg1643z00_1666 =
																										((obj_t)
																										(((BgL_variablez00_bglt)
																												COBJECT((
																														(BgL_variablez00_bglt)
																														((BgL_localz00_bglt)
																															BgL_fz00_1585))))->
																											BgL_typez00));
																									BgL_test1853z00_2477 =
																										(BgL_arg1643z00_1666 ==
																										BGl_za2objza2z00zztype_cachez00);
																								}
																						}
																				}
																			else
																				{	/* Inline/simple.scm 55 */
																					BgL_test1853z00_2477 = ((bool_t) 0);
																				}
																		}
																	else
																		{	/* Inline/simple.scm 54 */
																			BgL_test1853z00_2477 = ((bool_t) 0);
																		}
																}
																if (BgL_test1853z00_2477)
																	{	/* Inline/simple.scm 54 */
																		BgL_arg1416z00_1584 =
																			((obj_t)
																			(((BgL_varz00_bglt) COBJECT(
																						((BgL_varz00_bglt)
																							((BgL_closurez00_bglt)
																								BgL_az00_1586))))->
																				BgL_variablez00));
																	}
																else
																	{	/* Inline/simple.scm 64 */
																		bool_t BgL_test1865z00_2529;

																		if (
																			((((BgL_variablez00_bglt) COBJECT(
																							((BgL_variablez00_bglt)
																								((BgL_localz00_bglt)
																									BgL_fz00_1585))))->
																					BgL_accessz00) ==
																				((obj_t) CNST_TABLE_REF(0))))
																			{	/* Inline/simple.scm 65 */
																				bool_t BgL_test1867z00_2537;

																				{	/* Inline/simple.scm 65 */
																					bool_t BgL_test1868z00_2538;

																					{	/* Inline/simple.scm 65 */
																						obj_t BgL_arg1638z00_1660;

																						BgL_arg1638z00_1660 =
																							((obj_t)
																							(((BgL_variablez00_bglt) COBJECT(
																										((BgL_variablez00_bglt)
																											((BgL_localz00_bglt)
																												BgL_fz00_1585))))->
																								BgL_typez00));
																						BgL_test1868z00_2538 =
																							(BgL_arg1638z00_1660 ==
																							BGl_za2objza2z00zztype_cachez00);
																					}
																					if (BgL_test1868z00_2538)
																						{	/* Inline/simple.scm 65 */
																							BgL_test1867z00_2537 =
																								((bool_t) 1);
																						}
																					else
																						{	/* Inline/simple.scm 66 */
																							obj_t BgL_arg1635z00_1659;

																							BgL_arg1635z00_1659 =
																								((obj_t)
																								(((BgL_variablez00_bglt)
																										COBJECT((
																												(BgL_variablez00_bglt) (
																													(BgL_localz00_bglt)
																													BgL_fz00_1585))))->
																									BgL_typez00));
																							BgL_test1867z00_2537 =
																								(BgL_arg1635z00_1659 ==
																								BGl_za2_za2z00zztype_cachez00);
																						}
																				}
																				if (BgL_test1867z00_2537)
																					{	/* Inline/simple.scm 67 */
																						obj_t BgL_classz00_1893;

																						BgL_classz00_1893 =
																							BGl_atomz00zzast_nodez00;
																						if (BGL_OBJECTP(BgL_az00_1586))
																							{	/* Inline/simple.scm 67 */
																								BgL_objectz00_bglt
																									BgL_arg1858z00_1895;
																								BgL_arg1858z00_1895 =
																									(BgL_objectz00_bglt)
																									(BgL_az00_1586);
																								if (BGL_CONDEXPAND_ISA_ARCH64())
																									{	/* Inline/simple.scm 67 */
																										long BgL_idxz00_1901;

																										BgL_idxz00_1901 =
																											BGL_OBJECT_INHERITANCE_NUM
																											(BgL_arg1858z00_1895);
																										BgL_test1865z00_2529 =
																											(VECTOR_REF
																											(BGl_za2inheritancesza2z00zz__objectz00,
																												(BgL_idxz00_1901 +
																													2L)) ==
																											BgL_classz00_1893);
																									}
																								else
																									{	/* Inline/simple.scm 67 */
																										bool_t BgL_res1820z00_1926;

																										{	/* Inline/simple.scm 67 */
																											obj_t BgL_oclassz00_1909;

																											{	/* Inline/simple.scm 67 */
																												obj_t
																													BgL_arg1866z00_1917;
																												long
																													BgL_arg1867z00_1918;
																												BgL_arg1866z00_1917 =
																													(BGl_za2classesza2z00zz__objectz00);
																												{	/* Inline/simple.scm 67 */
																													long
																														BgL_arg1869z00_1919;
																													BgL_arg1869z00_1919 =
																														BGL_OBJECT_CLASS_NUM
																														(BgL_arg1858z00_1895);
																													BgL_arg1867z00_1918 =
																														(BgL_arg1869z00_1919
																														- OBJECT_TYPE);
																												}
																												BgL_oclassz00_1909 =
																													VECTOR_REF
																													(BgL_arg1866z00_1917,
																													BgL_arg1867z00_1918);
																											}
																											{	/* Inline/simple.scm 67 */
																												bool_t
																													BgL__ortest_1115z00_1910;
																												BgL__ortest_1115z00_1910
																													=
																													(BgL_classz00_1893 ==
																													BgL_oclassz00_1909);
																												if (BgL__ortest_1115z00_1910)
																													{	/* Inline/simple.scm 67 */
																														BgL_res1820z00_1926
																															=
																															BgL__ortest_1115z00_1910;
																													}
																												else
																													{	/* Inline/simple.scm 67 */
																														long
																															BgL_odepthz00_1911;
																														{	/* Inline/simple.scm 67 */
																															obj_t
																																BgL_arg1855z00_1912;
																															BgL_arg1855z00_1912
																																=
																																(BgL_oclassz00_1909);
																															BgL_odepthz00_1911
																																=
																																BGL_CLASS_DEPTH
																																(BgL_arg1855z00_1912);
																														}
																														if (
																															(2L <
																																BgL_odepthz00_1911))
																															{	/* Inline/simple.scm 67 */
																																obj_t
																																	BgL_arg1853z00_1914;
																																{	/* Inline/simple.scm 67 */
																																	obj_t
																																		BgL_arg1854z00_1915;
																																	BgL_arg1854z00_1915
																																		=
																																		(BgL_oclassz00_1909);
																																	BgL_arg1853z00_1914
																																		=
																																		BGL_CLASS_ANCESTORS_REF
																																		(BgL_arg1854z00_1915,
																																		2L);
																																}
																																BgL_res1820z00_1926
																																	=
																																	(BgL_arg1853z00_1914
																																	==
																																	BgL_classz00_1893);
																															}
																														else
																															{	/* Inline/simple.scm 67 */
																																BgL_res1820z00_1926
																																	=
																																	((bool_t) 0);
																															}
																													}
																											}
																										}
																										BgL_test1865z00_2529 =
																											BgL_res1820z00_1926;
																									}
																							}
																						else
																							{	/* Inline/simple.scm 67 */
																								BgL_test1865z00_2529 =
																									((bool_t) 0);
																							}
																					}
																				else
																					{	/* Inline/simple.scm 65 */
																						BgL_test1865z00_2529 = ((bool_t) 0);
																					}
																			}
																		else
																			{	/* Inline/simple.scm 64 */
																				BgL_test1865z00_2529 = ((bool_t) 0);
																			}
																		if (BgL_test1865z00_2529)
																			{	/* Inline/simple.scm 64 */
																				BgL_arg1416z00_1584 = BgL_az00_1586;
																			}
																		else
																			{	/* Inline/simple.scm 69 */
																				bool_t BgL_test1874z00_2571;

																				if (
																					((((BgL_variablez00_bglt) COBJECT(
																									((BgL_variablez00_bglt)
																										((BgL_localz00_bglt)
																											BgL_fz00_1585))))->
																							BgL_accessz00) ==
																						((obj_t) CNST_TABLE_REF(0))))
																					{	/* Inline/simple.scm 70 */
																						bool_t BgL_test1877z00_2579;

																						{	/* Inline/simple.scm 70 */
																							bool_t BgL_test1878z00_2580;

																							{	/* Inline/simple.scm 70 */
																								obj_t BgL_arg1632z00_1654;

																								BgL_arg1632z00_1654 =
																									((obj_t)
																									(((BgL_variablez00_bglt)
																											COBJECT((
																													(BgL_variablez00_bglt)
																													((BgL_localz00_bglt)
																														BgL_fz00_1585))))->
																										BgL_typez00));
																								BgL_test1878z00_2580 =
																									(BgL_arg1632z00_1654 ==
																									BGl_za2objza2z00zztype_cachez00);
																							}
																							if (BgL_test1878z00_2580)
																								{	/* Inline/simple.scm 70 */
																									BgL_test1877z00_2579 =
																										((bool_t) 1);
																								}
																							else
																								{	/* Inline/simple.scm 71 */
																									obj_t BgL_arg1631z00_1653;

																									BgL_arg1631z00_1653 =
																										((obj_t)
																										(((BgL_variablez00_bglt)
																												COBJECT((
																														(BgL_variablez00_bglt)
																														((BgL_localz00_bglt)
																															BgL_fz00_1585))))->
																											BgL_typez00));
																									BgL_test1877z00_2579 =
																										(BgL_arg1631z00_1653 ==
																										BGl_za2_za2z00zztype_cachez00);
																								}
																						}
																						if (BgL_test1877z00_2579)
																							{	/* Inline/simple.scm 72 */
																								bool_t BgL_test1879z00_2591;

																								{	/* Inline/simple.scm 72 */
																									obj_t BgL_classz00_1930;

																									BgL_classz00_1930 =
																										BGl_varz00zzast_nodez00;
																									if (BGL_OBJECTP
																										(BgL_az00_1586))
																										{	/* Inline/simple.scm 72 */
																											BgL_objectz00_bglt
																												BgL_arg1858z00_1932;
																											BgL_arg1858z00_1932 =
																												(BgL_objectz00_bglt)
																												(BgL_az00_1586);
																											if (BGL_CONDEXPAND_ISA_ARCH64())
																												{	/* Inline/simple.scm 72 */
																													long BgL_idxz00_1938;

																													BgL_idxz00_1938 =
																														BGL_OBJECT_INHERITANCE_NUM
																														(BgL_arg1858z00_1932);
																													BgL_test1879z00_2591 =
																														(VECTOR_REF
																														(BGl_za2inheritancesza2z00zz__objectz00,
																															(BgL_idxz00_1938 +
																																2L)) ==
																														BgL_classz00_1930);
																												}
																											else
																												{	/* Inline/simple.scm 72 */
																													bool_t
																														BgL_res1821z00_1963;
																													{	/* Inline/simple.scm 72 */
																														obj_t
																															BgL_oclassz00_1946;
																														{	/* Inline/simple.scm 72 */
																															obj_t
																																BgL_arg1866z00_1954;
																															long
																																BgL_arg1867z00_1955;
																															BgL_arg1866z00_1954
																																=
																																(BGl_za2classesza2z00zz__objectz00);
																															{	/* Inline/simple.scm 72 */
																																long
																																	BgL_arg1869z00_1956;
																																BgL_arg1869z00_1956
																																	=
																																	BGL_OBJECT_CLASS_NUM
																																	(BgL_arg1858z00_1932);
																																BgL_arg1867z00_1955
																																	=
																																	(BgL_arg1869z00_1956
																																	-
																																	OBJECT_TYPE);
																															}
																															BgL_oclassz00_1946
																																=
																																VECTOR_REF
																																(BgL_arg1866z00_1954,
																																BgL_arg1867z00_1955);
																														}
																														{	/* Inline/simple.scm 72 */
																															bool_t
																																BgL__ortest_1115z00_1947;
																															BgL__ortest_1115z00_1947
																																=
																																(BgL_classz00_1930
																																==
																																BgL_oclassz00_1946);
																															if (BgL__ortest_1115z00_1947)
																																{	/* Inline/simple.scm 72 */
																																	BgL_res1821z00_1963
																																		=
																																		BgL__ortest_1115z00_1947;
																																}
																															else
																																{	/* Inline/simple.scm 72 */
																																	long
																																		BgL_odepthz00_1948;
																																	{	/* Inline/simple.scm 72 */
																																		obj_t
																																			BgL_arg1855z00_1949;
																																		BgL_arg1855z00_1949
																																			=
																																			(BgL_oclassz00_1946);
																																		BgL_odepthz00_1948
																																			=
																																			BGL_CLASS_DEPTH
																																			(BgL_arg1855z00_1949);
																																	}
																																	if (
																																		(2L <
																																			BgL_odepthz00_1948))
																																		{	/* Inline/simple.scm 72 */
																																			obj_t
																																				BgL_arg1853z00_1951;
																																			{	/* Inline/simple.scm 72 */
																																				obj_t
																																					BgL_arg1854z00_1952;
																																				BgL_arg1854z00_1952
																																					=
																																					(BgL_oclassz00_1946);
																																				BgL_arg1853z00_1951
																																					=
																																					BGL_CLASS_ANCESTORS_REF
																																					(BgL_arg1854z00_1952,
																																					2L);
																																			}
																																			BgL_res1821z00_1963
																																				=
																																				(BgL_arg1853z00_1951
																																				==
																																				BgL_classz00_1930);
																																		}
																																	else
																																		{	/* Inline/simple.scm 72 */
																																			BgL_res1821z00_1963
																																				=
																																				(
																																				(bool_t)
																																				0);
																																		}
																																}
																														}
																													}
																													BgL_test1879z00_2591 =
																														BgL_res1821z00_1963;
																												}
																										}
																									else
																										{	/* Inline/simple.scm 72 */
																											BgL_test1879z00_2591 =
																												((bool_t) 0);
																										}
																								}
																								if (BgL_test1879z00_2591)
																									{	/* Inline/simple.scm 72 */
																										BgL_test1874z00_2571 =
																											(
																											(((BgL_variablez00_bglt)
																													COBJECT(((
																																(BgL_varz00_bglt)
																																COBJECT((
																																		(BgL_varz00_bglt)
																																		BgL_az00_1586)))->
																															BgL_variablez00)))->
																												BgL_accessz00) ==
																											((obj_t)
																												CNST_TABLE_REF(0)));
																									}
																								else
																									{	/* Inline/simple.scm 72 */
																										BgL_test1874z00_2571 =
																											((bool_t) 0);
																									}
																							}
																						else
																							{	/* Inline/simple.scm 70 */
																								BgL_test1874z00_2571 =
																									((bool_t) 0);
																							}
																					}
																				else
																					{	/* Inline/simple.scm 69 */
																						BgL_test1874z00_2571 = ((bool_t) 0);
																					}
																				if (BgL_test1874z00_2571)
																					{	/* Inline/simple.scm 69 */
																						BgL_arg1416z00_1584 =
																							((obj_t)
																							(((BgL_varz00_bglt) COBJECT(
																										((BgL_varz00_bglt)
																											BgL_az00_1586)))->
																								BgL_variablez00));
																					}
																				else
																					{	/* Inline/simple.scm 76 */
																						bool_t BgL_test1885z00_2623;

																						if (
																							((((BgL_variablez00_bglt) COBJECT(
																											((BgL_variablez00_bglt)
																												((BgL_localz00_bglt)
																													BgL_fz00_1585))))->
																									BgL_accessz00) ==
																								((obj_t) CNST_TABLE_REF(0))))
																							{	/* Inline/simple.scm 77 */
																								bool_t BgL_test1887z00_2631;

																								{	/* Inline/simple.scm 77 */
																									bool_t
																										BgL__ortest_1114z00_1643;
																									{	/* Inline/simple.scm 77 */
																										obj_t BgL_arg1611z00_1645;

																										BgL_arg1611z00_1645 =
																											((obj_t)
																											(((BgL_variablez00_bglt)
																													COBJECT((
																															(BgL_variablez00_bglt)
																															((BgL_localz00_bglt) BgL_fz00_1585))))->BgL_typez00));
																										BgL__ortest_1114z00_1643 =
																											(BgL_arg1611z00_1645 ==
																											BGl_za2intza2z00zztype_cachez00);
																									}
																									if (BgL__ortest_1114z00_1643)
																										{	/* Inline/simple.scm 77 */
																											BgL_test1887z00_2631 =
																												BgL__ortest_1114z00_1643;
																										}
																									else
																										{	/* Inline/simple.scm 78 */
																											obj_t BgL_arg1605z00_1644;

																											BgL_arg1605z00_1644 =
																												((obj_t)
																												(((BgL_variablez00_bglt)
																														COBJECT((
																																(BgL_variablez00_bglt)
																																((BgL_localz00_bglt) BgL_fz00_1585))))->BgL_typez00));
																											BgL_test1887z00_2631 =
																												(BgL_arg1605z00_1644 ==
																												BGl_za2longza2z00zztype_cachez00);
																										}
																								}
																								if (BgL_test1887z00_2631)
																									{	/* Inline/simple.scm 79 */
																										bool_t BgL_test1889z00_2643;

																										{	/* Inline/simple.scm 79 */
																											obj_t BgL_classz00_1970;

																											BgL_classz00_1970 =
																												BGl_atomz00zzast_nodez00;
																											if (BGL_OBJECTP
																												(BgL_az00_1586))
																												{	/* Inline/simple.scm 79 */
																													BgL_objectz00_bglt
																														BgL_arg1858z00_1972;
																													BgL_arg1858z00_1972 =
																														(BgL_objectz00_bglt)
																														(BgL_az00_1586);
																													if (BGL_CONDEXPAND_ISA_ARCH64())
																														{	/* Inline/simple.scm 79 */
																															long
																																BgL_idxz00_1978;
																															BgL_idxz00_1978 =
																																BGL_OBJECT_INHERITANCE_NUM
																																(BgL_arg1858z00_1972);
																															BgL_test1889z00_2643
																																=
																																(VECTOR_REF
																																(BGl_za2inheritancesza2z00zz__objectz00,
																																	(BgL_idxz00_1978
																																		+ 2L)) ==
																																BgL_classz00_1970);
																														}
																													else
																														{	/* Inline/simple.scm 79 */
																															bool_t
																																BgL_res1822z00_2003;
																															{	/* Inline/simple.scm 79 */
																																obj_t
																																	BgL_oclassz00_1986;
																																{	/* Inline/simple.scm 79 */
																																	obj_t
																																		BgL_arg1866z00_1994;
																																	long
																																		BgL_arg1867z00_1995;
																																	BgL_arg1866z00_1994
																																		=
																																		(BGl_za2classesza2z00zz__objectz00);
																																	{	/* Inline/simple.scm 79 */
																																		long
																																			BgL_arg1869z00_1996;
																																		BgL_arg1869z00_1996
																																			=
																																			BGL_OBJECT_CLASS_NUM
																																			(BgL_arg1858z00_1972);
																																		BgL_arg1867z00_1995
																																			=
																																			(BgL_arg1869z00_1996
																																			-
																																			OBJECT_TYPE);
																																	}
																																	BgL_oclassz00_1986
																																		=
																																		VECTOR_REF
																																		(BgL_arg1866z00_1994,
																																		BgL_arg1867z00_1995);
																																}
																																{	/* Inline/simple.scm 79 */
																																	bool_t
																																		BgL__ortest_1115z00_1987;
																																	BgL__ortest_1115z00_1987
																																		=
																																		(BgL_classz00_1970
																																		==
																																		BgL_oclassz00_1986);
																																	if (BgL__ortest_1115z00_1987)
																																		{	/* Inline/simple.scm 79 */
																																			BgL_res1822z00_2003
																																				=
																																				BgL__ortest_1115z00_1987;
																																		}
																																	else
																																		{	/* Inline/simple.scm 79 */
																																			long
																																				BgL_odepthz00_1988;
																																			{	/* Inline/simple.scm 79 */
																																				obj_t
																																					BgL_arg1855z00_1989;
																																				BgL_arg1855z00_1989
																																					=
																																					(BgL_oclassz00_1986);
																																				BgL_odepthz00_1988
																																					=
																																					BGL_CLASS_DEPTH
																																					(BgL_arg1855z00_1989);
																																			}
																																			if (
																																				(2L <
																																					BgL_odepthz00_1988))
																																				{	/* Inline/simple.scm 79 */
																																					obj_t
																																						BgL_arg1853z00_1991;
																																					{	/* Inline/simple.scm 79 */
																																						obj_t
																																							BgL_arg1854z00_1992;
																																						BgL_arg1854z00_1992
																																							=
																																							(BgL_oclassz00_1986);
																																						BgL_arg1853z00_1991
																																							=
																																							BGL_CLASS_ANCESTORS_REF
																																							(BgL_arg1854z00_1992,
																																							2L);
																																					}
																																					BgL_res1822z00_2003
																																						=
																																						(BgL_arg1853z00_1991
																																						==
																																						BgL_classz00_1970);
																																				}
																																			else
																																				{	/* Inline/simple.scm 79 */
																																					BgL_res1822z00_2003
																																						=
																																						(
																																						(bool_t)
																																						0);
																																				}
																																		}
																																}
																															}
																															BgL_test1889z00_2643
																																=
																																BgL_res1822z00_2003;
																														}
																												}
																											else
																												{	/* Inline/simple.scm 79 */
																													BgL_test1889z00_2643 =
																														((bool_t) 0);
																												}
																										}
																										if (BgL_test1889z00_2643)
																											{	/* Inline/simple.scm 79 */
																												BgL_test1885z00_2623 =
																													INTEGERP(
																													(((BgL_atomz00_bglt)
																															COBJECT((
																																	(BgL_atomz00_bglt)
																																	BgL_az00_1586)))->
																														BgL_valuez00));
																											}
																										else
																											{	/* Inline/simple.scm 79 */
																												BgL_test1885z00_2623 =
																													((bool_t) 0);
																											}
																									}
																								else
																									{	/* Inline/simple.scm 77 */
																										BgL_test1885z00_2623 =
																											((bool_t) 0);
																									}
																							}
																						else
																							{	/* Inline/simple.scm 76 */
																								BgL_test1885z00_2623 =
																									((bool_t) 0);
																							}
																						if (BgL_test1885z00_2623)
																							{	/* Inline/simple.scm 76 */
																								BgL_arg1416z00_1584 =
																									BgL_az00_1586;
																							}
																						else
																							{	/* Inline/simple.scm 85 */
																								BgL_svarz00_bglt
																									BgL_arg1592z00_1634;
																								{	/* Inline/simple.scm 85 */
																									BgL_svarz00_bglt
																										BgL_duplicated1117z00_1635;
																									BgL_svarz00_bglt
																										BgL_new1115z00_1636;
																									BgL_duplicated1117z00_1635 =
																										((BgL_svarz00_bglt) ((
																												(BgL_variablez00_bglt)
																												COBJECT((
																														(BgL_variablez00_bglt)
																														((BgL_localz00_bglt)
																															BgL_fz00_1585))))->
																											BgL_valuez00));
																									{	/* Inline/simple.scm 85 */
																										BgL_svarz00_bglt
																											BgL_new1118z00_1637;
																										BgL_new1118z00_1637 =
																											((BgL_svarz00_bglt)
																											BOBJECT(GC_MALLOC(sizeof
																													(struct
																														BgL_svarz00_bgl))));
																										{	/* Inline/simple.scm 85 */
																											long BgL_arg1593z00_1638;

																											BgL_arg1593z00_1638 =
																												BGL_CLASS_NUM
																												(BGl_svarz00zzast_varz00);
																											BGL_OBJECT_CLASS_NUM_SET((
																													(BgL_objectz00_bglt)
																													BgL_new1118z00_1637),
																												BgL_arg1593z00_1638);
																										}
																										{	/* Inline/simple.scm 85 */
																											BgL_objectz00_bglt
																												BgL_tmpz00_2677;
																											BgL_tmpz00_2677 =
																												((BgL_objectz00_bglt)
																												BgL_new1118z00_1637);
																											BGL_OBJECT_WIDENING_SET
																												(BgL_tmpz00_2677,
																												BFALSE);
																										}
																										((BgL_objectz00_bglt)
																											BgL_new1118z00_1637);
																										BgL_new1115z00_1636 =
																											BgL_new1118z00_1637;
																									}
																									((((BgL_svarz00_bglt)
																												COBJECT
																												(BgL_new1115z00_1636))->
																											BgL_locz00) =
																										((obj_t) ((
																													(BgL_svarz00_bglt)
																													COBJECT
																													(BgL_duplicated1117z00_1635))->
																												BgL_locz00)), BUNSPEC);
																									BgL_arg1592z00_1634 =
																										BgL_new1115z00_1636;
																								}
																								BgL_arg1416z00_1584 =
																									((obj_t)
																									BGl_clonezd2localzd2zzast_localz00
																									(((BgL_localz00_bglt)
																											BgL_fz00_1585),
																										((BgL_valuez00_bglt)
																											BgL_arg1592z00_1634)));
														}}}}}}
														BgL_newtail1255z00_1581 =
															MAKE_YOUNG_PAIR(BgL_arg1416z00_1584, BNIL);
													}
													SET_CDR(BgL_tail1254z00_1578,
														BgL_newtail1255z00_1581);
													{	/* Inline/simple.scm 52 */
														obj_t BgL_arg1414z00_1582;
														obj_t BgL_arg1415z00_1583;

														BgL_arg1414z00_1582 =
															CDR(((obj_t) BgL_ll1251z00_1576));
														BgL_arg1415z00_1583 =
															CDR(((obj_t) BgL_ll1252z00_1577));
														{
															obj_t BgL_tail1254z00_2695;
															obj_t BgL_ll1252z00_2694;
															obj_t BgL_ll1251z00_2693;

															BgL_ll1251z00_2693 = BgL_arg1414z00_1582;
															BgL_ll1252z00_2694 = BgL_arg1415z00_1583;
															BgL_tail1254z00_2695 = BgL_newtail1255z00_1581;
															BgL_tail1254z00_1578 = BgL_tail1254z00_2695;
															BgL_ll1252z00_1577 = BgL_ll1252z00_2694;
															BgL_ll1251z00_1576 = BgL_ll1251z00_2693;
															goto BgL_zc3z04anonymousza31405ze3z87_1579;
														}
													}
												}
										}
									}
								{	/* Inline/simple.scm 52 */
									obj_t BgL_bindingsz00_1456;

									{
										obj_t BgL_reductorsz00_1524;
										obj_t BgL_actualsz00_1525;
										obj_t BgL_resz00_1526;

										BgL_reductorsz00_1524 = BgL_reductorsz00_1455;
										BgL_actualsz00_1525 = BgL_actualsz00_1454;
										BgL_resz00_1526 = BNIL;
									BgL_zc3z04anonymousza31313ze3z87_1527:
										if (NULLP(BgL_actualsz00_1525))
											{	/* Inline/simple.scm 92 */
												BgL_bindingsz00_1456 =
													bgl_reverse_bang(BgL_resz00_1526);
											}
										else
											{	/* Inline/simple.scm 94 */
												bool_t BgL_test1895z00_2699;

												{	/* Inline/simple.scm 94 */
													bool_t BgL_test1896z00_2700;

													{	/* Inline/simple.scm 94 */
														obj_t BgL_arg1402z00_1569;

														BgL_arg1402z00_1569 =
															CAR(((obj_t) BgL_actualsz00_1525));
														{	/* Inline/simple.scm 94 */
															obj_t BgL_classz00_2014;

															BgL_classz00_2014 = BGl_closurez00zzast_nodez00;
															if (BGL_OBJECTP(BgL_arg1402z00_1569))
																{	/* Inline/simple.scm 94 */
																	BgL_objectz00_bglt BgL_arg1858z00_2016;

																	BgL_arg1858z00_2016 =
																		(BgL_objectz00_bglt) (BgL_arg1402z00_1569);
																	if (BGL_CONDEXPAND_ISA_ARCH64())
																		{	/* Inline/simple.scm 94 */
																			long BgL_idxz00_2022;

																			BgL_idxz00_2022 =
																				BGL_OBJECT_INHERITANCE_NUM
																				(BgL_arg1858z00_2016);
																			BgL_test1896z00_2700 =
																				(VECTOR_REF
																				(BGl_za2inheritancesza2z00zz__objectz00,
																					(BgL_idxz00_2022 + 3L)) ==
																				BgL_classz00_2014);
																		}
																	else
																		{	/* Inline/simple.scm 94 */
																			bool_t BgL_res1823z00_2047;

																			{	/* Inline/simple.scm 94 */
																				obj_t BgL_oclassz00_2030;

																				{	/* Inline/simple.scm 94 */
																					obj_t BgL_arg1866z00_2038;
																					long BgL_arg1867z00_2039;

																					BgL_arg1866z00_2038 =
																						(BGl_za2classesza2z00zz__objectz00);
																					{	/* Inline/simple.scm 94 */
																						long BgL_arg1869z00_2040;

																						BgL_arg1869z00_2040 =
																							BGL_OBJECT_CLASS_NUM
																							(BgL_arg1858z00_2016);
																						BgL_arg1867z00_2039 =
																							(BgL_arg1869z00_2040 -
																							OBJECT_TYPE);
																					}
																					BgL_oclassz00_2030 =
																						VECTOR_REF(BgL_arg1866z00_2038,
																						BgL_arg1867z00_2039);
																				}
																				{	/* Inline/simple.scm 94 */
																					bool_t BgL__ortest_1115z00_2031;

																					BgL__ortest_1115z00_2031 =
																						(BgL_classz00_2014 ==
																						BgL_oclassz00_2030);
																					if (BgL__ortest_1115z00_2031)
																						{	/* Inline/simple.scm 94 */
																							BgL_res1823z00_2047 =
																								BgL__ortest_1115z00_2031;
																						}
																					else
																						{	/* Inline/simple.scm 94 */
																							long BgL_odepthz00_2032;

																							{	/* Inline/simple.scm 94 */
																								obj_t BgL_arg1855z00_2033;

																								BgL_arg1855z00_2033 =
																									(BgL_oclassz00_2030);
																								BgL_odepthz00_2032 =
																									BGL_CLASS_DEPTH
																									(BgL_arg1855z00_2033);
																							}
																							if ((3L < BgL_odepthz00_2032))
																								{	/* Inline/simple.scm 94 */
																									obj_t BgL_arg1853z00_2035;

																									{	/* Inline/simple.scm 94 */
																										obj_t BgL_arg1854z00_2036;

																										BgL_arg1854z00_2036 =
																											(BgL_oclassz00_2030);
																										BgL_arg1853z00_2035 =
																											BGL_CLASS_ANCESTORS_REF
																											(BgL_arg1854z00_2036, 3L);
																									}
																									BgL_res1823z00_2047 =
																										(BgL_arg1853z00_2035 ==
																										BgL_classz00_2014);
																								}
																							else
																								{	/* Inline/simple.scm 94 */
																									BgL_res1823z00_2047 =
																										((bool_t) 0);
																								}
																						}
																				}
																			}
																			BgL_test1896z00_2700 =
																				BgL_res1823z00_2047;
																		}
																}
															else
																{	/* Inline/simple.scm 94 */
																	BgL_test1896z00_2700 = ((bool_t) 0);
																}
														}
													}
													if (BgL_test1896z00_2700)
														{	/* Inline/simple.scm 94 */
															BgL_test1895z00_2699 =
																(CAR(
																	((obj_t) BgL_reductorsz00_1524)) ==
																((obj_t)
																	(((BgL_varz00_bglt) COBJECT(
																				((BgL_varz00_bglt)
																					((BgL_closurez00_bglt)
																						CAR(
																							((obj_t)
																								BgL_actualsz00_1525))))))->
																		BgL_variablez00)));
														}
													else
														{	/* Inline/simple.scm 94 */
															BgL_test1895z00_2699 = ((bool_t) 0);
														}
												}
												if (BgL_test1895z00_2699)
													{	/* Inline/simple.scm 97 */
														obj_t BgL_arg1322z00_1536;
														obj_t BgL_arg1326z00_1537;

														BgL_arg1322z00_1536 =
															CDR(((obj_t) BgL_reductorsz00_1524));
														BgL_arg1326z00_1537 =
															CDR(((obj_t) BgL_actualsz00_1525));
														{
															obj_t BgL_actualsz00_2739;
															obj_t BgL_reductorsz00_2738;

															BgL_reductorsz00_2738 = BgL_arg1322z00_1536;
															BgL_actualsz00_2739 = BgL_arg1326z00_1537;
															BgL_actualsz00_1525 = BgL_actualsz00_2739;
															BgL_reductorsz00_1524 = BgL_reductorsz00_2738;
															goto BgL_zc3z04anonymousza31313ze3z87_1527;
														}
													}
												else
													{	/* Inline/simple.scm 94 */
														if (
															(CAR(
																	((obj_t) BgL_reductorsz00_1524)) ==
																CAR(((obj_t) BgL_actualsz00_1525))))
															{	/* Inline/simple.scm 101 */
																obj_t BgL_arg1333z00_1541;
																obj_t BgL_arg1336z00_1542;

																BgL_arg1333z00_1541 =
																	CDR(((obj_t) BgL_reductorsz00_1524));
																BgL_arg1336z00_1542 =
																	CDR(((obj_t) BgL_actualsz00_1525));
																{
																	obj_t BgL_actualsz00_2751;
																	obj_t BgL_reductorsz00_2750;

																	BgL_reductorsz00_2750 = BgL_arg1333z00_1541;
																	BgL_actualsz00_2751 = BgL_arg1336z00_1542;
																	BgL_actualsz00_1525 = BgL_actualsz00_2751;
																	BgL_reductorsz00_1524 = BgL_reductorsz00_2750;
																	goto BgL_zc3z04anonymousza31313ze3z87_1527;
																}
															}
														else
															{	/* Inline/simple.scm 104 */
																bool_t BgL_test1902z00_2752;

																{	/* Inline/simple.scm 104 */
																	bool_t BgL_test1903z00_2753;

																	{	/* Inline/simple.scm 104 */
																		obj_t BgL_arg1386z00_1562;

																		BgL_arg1386z00_1562 =
																			CAR(((obj_t) BgL_actualsz00_1525));
																		{	/* Inline/simple.scm 104 */
																			obj_t BgL_classz00_2058;

																			BgL_classz00_2058 =
																				BGl_varz00zzast_nodez00;
																			if (BGL_OBJECTP(BgL_arg1386z00_1562))
																				{	/* Inline/simple.scm 104 */
																					BgL_objectz00_bglt
																						BgL_arg1858z00_2060;
																					BgL_arg1858z00_2060 =
																						(BgL_objectz00_bglt)
																						(BgL_arg1386z00_1562);
																					if (BGL_CONDEXPAND_ISA_ARCH64())
																						{	/* Inline/simple.scm 104 */
																							long BgL_idxz00_2066;

																							BgL_idxz00_2066 =
																								BGL_OBJECT_INHERITANCE_NUM
																								(BgL_arg1858z00_2060);
																							BgL_test1903z00_2753 =
																								(VECTOR_REF
																								(BGl_za2inheritancesza2z00zz__objectz00,
																									(BgL_idxz00_2066 + 2L)) ==
																								BgL_classz00_2058);
																						}
																					else
																						{	/* Inline/simple.scm 104 */
																							bool_t BgL_res1824z00_2091;

																							{	/* Inline/simple.scm 104 */
																								obj_t BgL_oclassz00_2074;

																								{	/* Inline/simple.scm 104 */
																									obj_t BgL_arg1866z00_2082;
																									long BgL_arg1867z00_2083;

																									BgL_arg1866z00_2082 =
																										(BGl_za2classesza2z00zz__objectz00);
																									{	/* Inline/simple.scm 104 */
																										long BgL_arg1869z00_2084;

																										BgL_arg1869z00_2084 =
																											BGL_OBJECT_CLASS_NUM
																											(BgL_arg1858z00_2060);
																										BgL_arg1867z00_2083 =
																											(BgL_arg1869z00_2084 -
																											OBJECT_TYPE);
																									}
																									BgL_oclassz00_2074 =
																										VECTOR_REF
																										(BgL_arg1866z00_2082,
																										BgL_arg1867z00_2083);
																								}
																								{	/* Inline/simple.scm 104 */
																									bool_t
																										BgL__ortest_1115z00_2075;
																									BgL__ortest_1115z00_2075 =
																										(BgL_classz00_2058 ==
																										BgL_oclassz00_2074);
																									if (BgL__ortest_1115z00_2075)
																										{	/* Inline/simple.scm 104 */
																											BgL_res1824z00_2091 =
																												BgL__ortest_1115z00_2075;
																										}
																									else
																										{	/* Inline/simple.scm 104 */
																											long BgL_odepthz00_2076;

																											{	/* Inline/simple.scm 104 */
																												obj_t
																													BgL_arg1855z00_2077;
																												BgL_arg1855z00_2077 =
																													(BgL_oclassz00_2074);
																												BgL_odepthz00_2076 =
																													BGL_CLASS_DEPTH
																													(BgL_arg1855z00_2077);
																											}
																											if (
																												(2L <
																													BgL_odepthz00_2076))
																												{	/* Inline/simple.scm 104 */
																													obj_t
																														BgL_arg1853z00_2079;
																													{	/* Inline/simple.scm 104 */
																														obj_t
																															BgL_arg1854z00_2080;
																														BgL_arg1854z00_2080
																															=
																															(BgL_oclassz00_2074);
																														BgL_arg1853z00_2079
																															=
																															BGL_CLASS_ANCESTORS_REF
																															(BgL_arg1854z00_2080,
																															2L);
																													}
																													BgL_res1824z00_2091 =
																														(BgL_arg1853z00_2079
																														==
																														BgL_classz00_2058);
																												}
																											else
																												{	/* Inline/simple.scm 104 */
																													BgL_res1824z00_2091 =
																														((bool_t) 0);
																												}
																										}
																								}
																							}
																							BgL_test1903z00_2753 =
																								BgL_res1824z00_2091;
																						}
																				}
																			else
																				{	/* Inline/simple.scm 104 */
																					BgL_test1903z00_2753 = ((bool_t) 0);
																				}
																		}
																	}
																	if (BgL_test1903z00_2753)
																		{	/* Inline/simple.scm 104 */
																			BgL_test1902z00_2752 =
																				(CAR(
																					((obj_t) BgL_reductorsz00_1524)) ==
																				((obj_t)
																					(((BgL_varz00_bglt) COBJECT(
																								((BgL_varz00_bglt)
																									CAR(
																										((obj_t)
																											BgL_actualsz00_1525)))))->
																						BgL_variablez00)));
																		}
																	else
																		{	/* Inline/simple.scm 104 */
																			BgL_test1902z00_2752 = ((bool_t) 0);
																		}
																}
																if (BgL_test1902z00_2752)
																	{	/* Inline/simple.scm 106 */
																		obj_t BgL_arg1364z00_1550;
																		obj_t BgL_arg1365z00_1551;

																		BgL_arg1364z00_1550 =
																			CDR(((obj_t) BgL_reductorsz00_1524));
																		BgL_arg1365z00_1551 =
																			CDR(((obj_t) BgL_actualsz00_1525));
																		{
																			obj_t BgL_actualsz00_2791;
																			obj_t BgL_reductorsz00_2790;

																			BgL_reductorsz00_2790 =
																				BgL_arg1364z00_1550;
																			BgL_actualsz00_2791 = BgL_arg1365z00_1551;
																			BgL_actualsz00_1525 = BgL_actualsz00_2791;
																			BgL_reductorsz00_1524 =
																				BgL_reductorsz00_2790;
																			goto
																				BgL_zc3z04anonymousza31313ze3z87_1527;
																		}
																	}
																else
																	{	/* Inline/simple.scm 110 */
																		obj_t BgL_arg1367z00_1552;
																		obj_t BgL_arg1370z00_1553;
																		obj_t BgL_arg1371z00_1554;

																		BgL_arg1367z00_1552 =
																			CDR(((obj_t) BgL_reductorsz00_1524));
																		BgL_arg1370z00_1553 =
																			CDR(((obj_t) BgL_actualsz00_1525));
																		{	/* Inline/simple.scm 112 */
																			obj_t BgL_arg1376z00_1555;

																			{	/* Inline/simple.scm 112 */
																				obj_t BgL_arg1379z00_1556;
																				obj_t BgL_arg1380z00_1557;

																				BgL_arg1379z00_1556 =
																					CAR(((obj_t) BgL_reductorsz00_1524));
																				BgL_arg1380z00_1557 =
																					CAR(((obj_t) BgL_actualsz00_1525));
																				BgL_arg1376z00_1555 =
																					MAKE_YOUNG_PAIR(BgL_arg1379z00_1556,
																					BgL_arg1380z00_1557);
																			}
																			BgL_arg1371z00_1554 =
																				MAKE_YOUNG_PAIR(BgL_arg1376z00_1555,
																				BgL_resz00_1526);
																		}
																		{
																			obj_t BgL_resz00_2804;
																			obj_t BgL_actualsz00_2803;
																			obj_t BgL_reductorsz00_2802;

																			BgL_reductorsz00_2802 =
																				BgL_arg1367z00_1552;
																			BgL_actualsz00_2803 = BgL_arg1370z00_1553;
																			BgL_resz00_2804 = BgL_arg1371z00_1554;
																			BgL_resz00_1526 = BgL_resz00_2804;
																			BgL_actualsz00_1525 = BgL_actualsz00_2803;
																			BgL_reductorsz00_1524 =
																				BgL_reductorsz00_2802;
																			goto
																				BgL_zc3z04anonymousza31313ze3z87_1527;
																		}
																	}
															}
													}
											}
									}
									{	/* Inline/simple.scm 88 */
										obj_t BgL_bodyz00_1457;

										{	/* Inline/simple.scm 115 */
											bool_t BgL_test1908z00_2805;

											{	/* Inline/simple.scm 115 */
												obj_t BgL_classz00_2101;

												BgL_classz00_2101 = BGl_isfunz00zzinline_inlinez00;
												{	/* Inline/simple.scm 115 */
													BgL_objectz00_bglt BgL_arg1858z00_2103;

													{	/* Inline/simple.scm 115 */
														obj_t BgL_tmpz00_2806;

														BgL_tmpz00_2806 =
															((obj_t) ((BgL_objectz00_bglt) BgL_sfunz00_1452));
														BgL_arg1858z00_2103 =
															(BgL_objectz00_bglt) (BgL_tmpz00_2806);
													}
													if (BGL_CONDEXPAND_ISA_ARCH64())
														{	/* Inline/simple.scm 115 */
															long BgL_idxz00_2109;

															BgL_idxz00_2109 =
																BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_2103);
															BgL_test1908z00_2805 =
																(VECTOR_REF
																(BGl_za2inheritancesza2z00zz__objectz00,
																	(BgL_idxz00_2109 + 4L)) == BgL_classz00_2101);
														}
													else
														{	/* Inline/simple.scm 115 */
															bool_t BgL_res1825z00_2134;

															{	/* Inline/simple.scm 115 */
																obj_t BgL_oclassz00_2117;

																{	/* Inline/simple.scm 115 */
																	obj_t BgL_arg1866z00_2125;
																	long BgL_arg1867z00_2126;

																	BgL_arg1866z00_2125 =
																		(BGl_za2classesza2z00zz__objectz00);
																	{	/* Inline/simple.scm 115 */
																		long BgL_arg1869z00_2127;

																		BgL_arg1869z00_2127 =
																			BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_2103);
																		BgL_arg1867z00_2126 =
																			(BgL_arg1869z00_2127 - OBJECT_TYPE);
																	}
																	BgL_oclassz00_2117 =
																		VECTOR_REF(BgL_arg1866z00_2125,
																		BgL_arg1867z00_2126);
																}
																{	/* Inline/simple.scm 115 */
																	bool_t BgL__ortest_1115z00_2118;

																	BgL__ortest_1115z00_2118 =
																		(BgL_classz00_2101 == BgL_oclassz00_2117);
																	if (BgL__ortest_1115z00_2118)
																		{	/* Inline/simple.scm 115 */
																			BgL_res1825z00_2134 =
																				BgL__ortest_1115z00_2118;
																		}
																	else
																		{	/* Inline/simple.scm 115 */
																			long BgL_odepthz00_2119;

																			{	/* Inline/simple.scm 115 */
																				obj_t BgL_arg1855z00_2120;

																				BgL_arg1855z00_2120 =
																					(BgL_oclassz00_2117);
																				BgL_odepthz00_2119 =
																					BGL_CLASS_DEPTH(BgL_arg1855z00_2120);
																			}
																			if ((4L < BgL_odepthz00_2119))
																				{	/* Inline/simple.scm 115 */
																					obj_t BgL_arg1853z00_2122;

																					{	/* Inline/simple.scm 115 */
																						obj_t BgL_arg1854z00_2123;

																						BgL_arg1854z00_2123 =
																							(BgL_oclassz00_2117);
																						BgL_arg1853z00_2122 =
																							BGL_CLASS_ANCESTORS_REF
																							(BgL_arg1854z00_2123, 4L);
																					}
																					BgL_res1825z00_2134 =
																						(BgL_arg1853z00_2122 ==
																						BgL_classz00_2101);
																				}
																			else
																				{	/* Inline/simple.scm 115 */
																					BgL_res1825z00_2134 = ((bool_t) 0);
																				}
																		}
																}
															}
															BgL_test1908z00_2805 = BgL_res1825z00_2134;
														}
												}
											}
											if (BgL_test1908z00_2805)
												{
													BgL_nodez00_bglt BgL_auxz00_2829;

													{
														BgL_isfunz00_bglt BgL_auxz00_2830;

														{
															obj_t BgL_auxz00_2831;

															{	/* Inline/simple.scm 116 */
																BgL_objectz00_bglt BgL_tmpz00_2832;

																BgL_tmpz00_2832 =
																	((BgL_objectz00_bglt)
																	((BgL_sfunz00_bglt) BgL_sfunz00_1452));
																BgL_auxz00_2831 =
																	BGL_OBJECT_WIDENING(BgL_tmpz00_2832);
															}
															BgL_auxz00_2830 =
																((BgL_isfunz00_bglt) BgL_auxz00_2831);
														}
														BgL_auxz00_2829 =
															(((BgL_isfunz00_bglt) COBJECT(BgL_auxz00_2830))->
															BgL_originalzd2bodyzd2);
													}
													BgL_bodyz00_1457 = ((obj_t) BgL_auxz00_2829);
												}
											else
												{	/* Inline/simple.scm 115 */
													BgL_bodyz00_1457 =
														(((BgL_sfunz00_bglt) COBJECT(
																((BgL_sfunz00_bglt) BgL_sfunz00_1452)))->
														BgL_bodyz00);
												}
										}
										{	/* Inline/simple.scm 118 */
											obj_t BgL_newzd2kfactorzd2_1459;

											BgL_newzd2kfactorzd2_1459 =
												BGL_PROCEDURE_CALL1
												(BGl_za2inliningzd2reducezd2kfactorza2z00zzengine_paramz00,
												BINT(BgL_kfactorz00_4));
											{	/* Inline/simple.scm 119 */
												obj_t BgL_locz00_1460;

												BgL_locz00_1460 =
													(((BgL_nodez00_bglt) COBJECT(BgL_nodez00_3))->
													BgL_locz00);
												{	/* Inline/simple.scm 120 */
													obj_t BgL_typez00_1461;

													BgL_typez00_1461 =
														((obj_t)
														(((BgL_variablez00_bglt)
																COBJECT(BgL_calleez00_1451))->BgL_typez00));
													{	/* Inline/simple.scm 121 */

														((((BgL_variablez00_bglt)
																	COBJECT(BgL_calleez00_1451))->
																BgL_occurrencez00) =
															((long) ((((BgL_variablez00_bglt)
																			COBJECT(BgL_calleez00_1451))->
																		BgL_occurrencez00) - 1L)), BUNSPEC);
														if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00((
																		((BgL_sfunz00_bglt)
																			COBJECT(((BgL_sfunz00_bglt)
																					BgL_sfunz00_1452)))->BgL_classz00),
																	((obj_t) CNST_TABLE_REF(1)))))
															{	/* Inline/simple.scm 125 */
																BFALSE;
															}
														else
															{	/* Inline/simple.scm 126 */
																bool_t BgL_test1913z00_2859;

																if (INTEGERP
																	(BGl_za2verboseza2z00zzengine_paramz00))
																	{	/* Inline/simple.scm 126 */
																		BgL_test1913z00_2859 =
																			(3L <=
																			(long)
																			CINT
																			(BGl_za2verboseza2z00zzengine_paramz00));
																	}
																else
																	{	/* Inline/simple.scm 126 */
																		BgL_test1913z00_2859 =
																			BGl_2zc3zd3z10zz__r4_numbers_6_5z00(BINT
																			(3L),
																			BGl_za2verboseza2z00zzengine_paramz00);
																	}
																if (BgL_test1913z00_2859)
																	{	/* Inline/simple.scm 127 */
																		obj_t BgL_arg1272z00_1469;
																		obj_t BgL_arg1273z00_1470;

																		BgL_arg1272z00_1469 =
																			BGl_shapez00zztools_shapez00(
																			((obj_t) BgL_calleez00_1451));
																		BgL_arg1273z00_1470 =
																			BGl_currentzd2functionzd2zztools_errorz00
																			();
																		{	/* Inline/simple.scm 126 */
																			obj_t BgL_list1274z00_1471;

																			{	/* Inline/simple.scm 126 */
																				obj_t BgL_arg1275z00_1472;

																				{	/* Inline/simple.scm 126 */
																					obj_t BgL_arg1276z00_1473;

																					{	/* Inline/simple.scm 126 */
																						obj_t BgL_arg1277z00_1474;

																						{	/* Inline/simple.scm 126 */
																							obj_t BgL_arg1279z00_1475;

																							{	/* Inline/simple.scm 126 */
																								obj_t BgL_arg1280z00_1476;

																								{	/* Inline/simple.scm 126 */
																									obj_t BgL_arg1281z00_1477;

																									{	/* Inline/simple.scm 126 */
																										obj_t BgL_arg1282z00_1478;

																										BgL_arg1282z00_1478 =
																											MAKE_YOUNG_PAIR(BCHAR((
																													(unsigned char) 10)),
																											BNIL);
																										BgL_arg1281z00_1477 =
																											MAKE_YOUNG_PAIR(BCHAR((
																													(unsigned char) ')')),
																											BgL_arg1282z00_1478);
																									}
																									BgL_arg1280z00_1476 =
																										MAKE_YOUNG_PAIR
																										(BgL_msgz00_6,
																										BgL_arg1281z00_1477);
																								}
																								BgL_arg1279z00_1475 =
																									MAKE_YOUNG_PAIR
																									(BGl_string1834z00zzinline_simplez00,
																									BgL_arg1280z00_1476);
																							}
																							BgL_arg1277z00_1474 =
																								MAKE_YOUNG_PAIR
																								(BgL_arg1273z00_1470,
																								BgL_arg1279z00_1475);
																						}
																						BgL_arg1276z00_1473 =
																							MAKE_YOUNG_PAIR
																							(BGl_string1835z00zzinline_simplez00,
																							BgL_arg1277z00_1474);
																					}
																					BgL_arg1275z00_1472 =
																						MAKE_YOUNG_PAIR(BgL_arg1272z00_1469,
																						BgL_arg1276z00_1473);
																				}
																				BgL_list1274z00_1471 =
																					MAKE_YOUNG_PAIR
																					(BGl_string1836z00zzinline_simplez00,
																					BgL_arg1275z00_1472);
																			}
																			BGl_verbosez00zztools_speekz00(BINT(3L),
																				BgL_list1274z00_1471);
																	}}
																else
																	{	/* Inline/simple.scm 126 */
																		BUNSPEC;
																	}
															}
														{	/* Inline/simple.scm 133 */
															BgL_nodez00_bglt BgL_alphazd2bodyzd2_1481;

															BgL_alphazd2bodyzd2_1481 =
																BGl_alphatiza7eza7zzast_alphatiza7eza7
																(BgL_formalsz00_1453, BgL_reductorsz00_1455,
																BgL_locz00_1460,
																((BgL_nodez00_bglt) BgL_bodyz00_1457));
															{	/* Inline/simple.scm 133 */

																BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00
																	(BgL_alphazd2bodyzd2_1481);
																{	/* Inline/simple.scm 137 */
																	BgL_nodez00_bglt BgL_inodez00_1482;

																	{	/* Inline/simple.scm 137 */
																		obj_t BgL_arg1311z00_1520;

																		BgL_arg1311z00_1520 =
																			MAKE_YOUNG_PAIR(
																			((obj_t) BgL_calleez00_1451),
																			BgL_stackz00_5);
																		BgL_inodez00_1482 =
																			BGl_inlinezd2nodezd2zzinline_inlinez00
																			(BgL_alphazd2bodyzd2_1481,
																			(long) CINT(BgL_newzd2kfactorzd2_1459),
																			BgL_arg1311z00_1520);
																	}
																	{	/* Inline/simple.scm 137 */
																		BgL_letzd2varzd2_bglt BgL_ibodyz00_1483;

																		{	/* Inline/simple.scm 138 */
																			BgL_letzd2varzd2_bglt BgL_new1124z00_1516;

																			{	/* Inline/simple.scm 139 */
																				BgL_letzd2varzd2_bglt
																					BgL_new1123z00_1518;
																				BgL_new1123z00_1518 =
																					((BgL_letzd2varzd2_bglt)
																					BOBJECT(GC_MALLOC(sizeof(struct
																								BgL_letzd2varzd2_bgl))));
																				{	/* Inline/simple.scm 139 */
																					long BgL_arg1310z00_1519;

																					BgL_arg1310z00_1519 =
																						BGL_CLASS_NUM
																						(BGl_letzd2varzd2zzast_nodez00);
																					BGL_OBJECT_CLASS_NUM_SET((
																							(BgL_objectz00_bglt)
																							BgL_new1123z00_1518),
																						BgL_arg1310z00_1519);
																				}
																				{	/* Inline/simple.scm 139 */
																					BgL_objectz00_bglt BgL_tmpz00_2892;

																					BgL_tmpz00_2892 =
																						((BgL_objectz00_bglt)
																						BgL_new1123z00_1518);
																					BGL_OBJECT_WIDENING_SET
																						(BgL_tmpz00_2892, BFALSE);
																				}
																				((BgL_objectz00_bglt)
																					BgL_new1123z00_1518);
																				BgL_new1124z00_1516 =
																					BgL_new1123z00_1518;
																			}
																			((((BgL_nodez00_bglt) COBJECT(
																							((BgL_nodez00_bglt)
																								BgL_new1124z00_1516)))->
																					BgL_locz00) =
																				((obj_t) BgL_locz00_1460), BUNSPEC);
																			{
																				BgL_typez00_bglt BgL_auxz00_2898;

																				{	/* Inline/simple.scm 141 */
																					BgL_typez00_bglt BgL_arg1309z00_1517;

																					BgL_arg1309z00_1517 =
																						(((BgL_nodez00_bglt)
																							COBJECT(BgL_inodez00_1482))->
																						BgL_typez00);
																					BgL_auxz00_2898 =
																						BGl_strictzd2nodezd2typez00zzast_nodez00
																						(BgL_arg1309z00_1517,
																						((BgL_typez00_bglt)
																							BgL_typez00_1461));
																				}
																				((((BgL_nodez00_bglt) COBJECT(
																								((BgL_nodez00_bglt)
																									BgL_new1124z00_1516)))->
																						BgL_typez00) =
																					((BgL_typez00_bglt) BgL_auxz00_2898),
																					BUNSPEC);
																			}
																			((((BgL_nodezf2effectzf2_bglt) COBJECT(
																							((BgL_nodezf2effectzf2_bglt)
																								BgL_new1124z00_1516)))->
																					BgL_sidezd2effectzd2) =
																				((obj_t)
																					BBOOL
																					(BGl_sidezd2effectzf3z21zzeffect_effectz00
																						(BgL_alphazd2bodyzd2_1481))),
																				BUNSPEC);
																			((((BgL_nodezf2effectzf2_bglt)
																						COBJECT(((BgL_nodezf2effectzf2_bglt)
																								BgL_new1124z00_1516)))->
																					BgL_keyz00) =
																				((obj_t) BINT((-1L))), BUNSPEC);
																			((((BgL_letzd2varzd2_bglt)
																						COBJECT(BgL_new1124z00_1516))->
																					BgL_bindingsz00) =
																				((obj_t) BgL_bindingsz00_1456),
																				BUNSPEC);
																			((((BgL_letzd2varzd2_bglt)
																						COBJECT(BgL_new1124z00_1516))->
																					BgL_bodyz00) =
																				((BgL_nodez00_bglt) BgL_inodez00_1482),
																				BUNSPEC);
																			((((BgL_letzd2varzd2_bglt)
																						COBJECT(BgL_new1124z00_1516))->
																					BgL_removablezf3zf3) =
																				((bool_t) ((bool_t) 1)), BUNSPEC);
																			BgL_ibodyz00_1483 = BgL_new1124z00_1516;
																		}
																		{	/* Inline/simple.scm 138 */

																			{
																				obj_t BgL_ll1257z00_1485;
																				obj_t BgL_ll1258z00_1486;

																				BgL_ll1257z00_1485 =
																					BgL_reductorsz00_1455;
																				BgL_ll1258z00_1486 =
																					BgL_formalsz00_1453;
																			BgL_zc3z04anonymousza31285ze3z87_1487:
																				if (NULLP(BgL_ll1257z00_1485))
																					{	/* Inline/simple.scm 145 */
																						((bool_t) 1);
																					}
																				else
																					{	/* Inline/simple.scm 145 */
																						{	/* Inline/simple.scm 146 */
																							obj_t BgL_reductorz00_1489;
																							obj_t BgL_formalz00_1490;

																							BgL_reductorz00_1489 =
																								CAR(
																								((obj_t) BgL_ll1257z00_1485));
																							BgL_formalz00_1490 =
																								CAR(
																								((obj_t) BgL_ll1258z00_1486));
																							{	/* Inline/simple.scm 146 */
																								bool_t BgL_test1916z00_2920;

																								{	/* Inline/simple.scm 146 */
																									obj_t BgL_classz00_2152;

																									BgL_classz00_2152 =
																										BGl_localz00zzast_varz00;
																									if (BGL_OBJECTP
																										(BgL_reductorz00_1489))
																										{	/* Inline/simple.scm 146 */
																											BgL_objectz00_bglt
																												BgL_arg1858z00_2154;
																											BgL_arg1858z00_2154 =
																												(BgL_objectz00_bglt)
																												(BgL_reductorz00_1489);
																											if (BGL_CONDEXPAND_ISA_ARCH64())
																												{	/* Inline/simple.scm 146 */
																													long BgL_idxz00_2160;

																													BgL_idxz00_2160 =
																														BGL_OBJECT_INHERITANCE_NUM
																														(BgL_arg1858z00_2154);
																													BgL_test1916z00_2920 =
																														(VECTOR_REF
																														(BGl_za2inheritancesza2z00zz__objectz00,
																															(BgL_idxz00_2160 +
																																2L)) ==
																														BgL_classz00_2152);
																												}
																											else
																												{	/* Inline/simple.scm 146 */
																													bool_t
																														BgL_res1826z00_2185;
																													{	/* Inline/simple.scm 146 */
																														obj_t
																															BgL_oclassz00_2168;
																														{	/* Inline/simple.scm 146 */
																															obj_t
																																BgL_arg1866z00_2176;
																															long
																																BgL_arg1867z00_2177;
																															BgL_arg1866z00_2176
																																=
																																(BGl_za2classesza2z00zz__objectz00);
																															{	/* Inline/simple.scm 146 */
																																long
																																	BgL_arg1869z00_2178;
																																BgL_arg1869z00_2178
																																	=
																																	BGL_OBJECT_CLASS_NUM
																																	(BgL_arg1858z00_2154);
																																BgL_arg1867z00_2177
																																	=
																																	(BgL_arg1869z00_2178
																																	-
																																	OBJECT_TYPE);
																															}
																															BgL_oclassz00_2168
																																=
																																VECTOR_REF
																																(BgL_arg1866z00_2176,
																																BgL_arg1867z00_2177);
																														}
																														{	/* Inline/simple.scm 146 */
																															bool_t
																																BgL__ortest_1115z00_2169;
																															BgL__ortest_1115z00_2169
																																=
																																(BgL_classz00_2152
																																==
																																BgL_oclassz00_2168);
																															if (BgL__ortest_1115z00_2169)
																																{	/* Inline/simple.scm 146 */
																																	BgL_res1826z00_2185
																																		=
																																		BgL__ortest_1115z00_2169;
																																}
																															else
																																{	/* Inline/simple.scm 146 */
																																	long
																																		BgL_odepthz00_2170;
																																	{	/* Inline/simple.scm 146 */
																																		obj_t
																																			BgL_arg1855z00_2171;
																																		BgL_arg1855z00_2171
																																			=
																																			(BgL_oclassz00_2168);
																																		BgL_odepthz00_2170
																																			=
																																			BGL_CLASS_DEPTH
																																			(BgL_arg1855z00_2171);
																																	}
																																	if (
																																		(2L <
																																			BgL_odepthz00_2170))
																																		{	/* Inline/simple.scm 146 */
																																			obj_t
																																				BgL_arg1853z00_2173;
																																			{	/* Inline/simple.scm 146 */
																																				obj_t
																																					BgL_arg1854z00_2174;
																																				BgL_arg1854z00_2174
																																					=
																																					(BgL_oclassz00_2168);
																																				BgL_arg1853z00_2173
																																					=
																																					BGL_CLASS_ANCESTORS_REF
																																					(BgL_arg1854z00_2174,
																																					2L);
																																			}
																																			BgL_res1826z00_2185
																																				=
																																				(BgL_arg1853z00_2173
																																				==
																																				BgL_classz00_2152);
																																		}
																																	else
																																		{	/* Inline/simple.scm 146 */
																																			BgL_res1826z00_2185
																																				=
																																				(
																																				(bool_t)
																																				0);
																																		}
																																}
																														}
																													}
																													BgL_test1916z00_2920 =
																														BgL_res1826z00_2185;
																												}
																										}
																									else
																										{	/* Inline/simple.scm 146 */
																											BgL_test1916z00_2920 =
																												((bool_t) 0);
																										}
																								}
																								if (BgL_test1916z00_2920)
																									{	/* Inline/simple.scm 147 */
																										bool_t BgL_arg1288z00_1492;

																										BgL_arg1288z00_1492 =
																											(((BgL_variablez00_bglt)
																												COBJECT((
																														(BgL_variablez00_bglt)
																														((BgL_localz00_bglt)
																															BgL_formalz00_1490))))->
																											BgL_userzf3zf3);
																										((((BgL_variablez00_bglt)
																													COBJECT((
																															(BgL_variablez00_bglt)
																															((BgL_localz00_bglt) BgL_reductorz00_1489))))->BgL_userzf3zf3) = ((bool_t) BgL_arg1288z00_1492), BUNSPEC);
																									}
																								else
																									{	/* Inline/simple.scm 146 */
																										BFALSE;
																									}
																							}
																						}
																						{	/* Inline/simple.scm 145 */
																							obj_t BgL_arg1289z00_1493;
																							obj_t BgL_arg1291z00_1494;

																							BgL_arg1289z00_1493 =
																								CDR(
																								((obj_t) BgL_ll1257z00_1485));
																							BgL_arg1291z00_1494 =
																								CDR(
																								((obj_t) BgL_ll1258z00_1486));
																							{
																								obj_t BgL_ll1258z00_2954;
																								obj_t BgL_ll1257z00_2953;

																								BgL_ll1257z00_2953 =
																									BgL_arg1289z00_1493;
																								BgL_ll1258z00_2954 =
																									BgL_arg1291z00_1494;
																								BgL_ll1258z00_1486 =
																									BgL_ll1258z00_2954;
																								BgL_ll1257z00_1485 =
																									BgL_ll1257z00_2953;
																								goto
																									BgL_zc3z04anonymousza31285ze3z87_1487;
																							}
																						}
																					}
																			}
																			{	/* Inline/simple.scm 154 */
																				bool_t BgL_test1921z00_2955;

																				if (
																					(BgL_typez00_1461 ==
																						BGl_za2_za2z00zztype_cachez00))
																					{	/* Inline/simple.scm 154 */
																						BgL_test1921z00_2955 = ((bool_t) 1);
																					}
																				else
																					{	/* Inline/simple.scm 154 */
																						if (
																							(BgL_typez00_1461 ==
																								BGl_za2objza2z00zztype_cachez00))
																							{	/* Inline/simple.scm 155 */
																								BgL_test1921z00_2955 =
																									((bool_t) 1);
																							}
																						else
																							{	/* Inline/simple.scm 155 */
																								if (
																									(BgL_typez00_1461 ==
																										((obj_t)
																											(((BgL_nodez00_bglt)
																													COBJECT
																													(BgL_alphazd2bodyzd2_1481))->
																												BgL_typez00))))
																									{	/* Inline/simple.scm 156 */
																										BgL_test1921z00_2955 =
																											((bool_t) 1);
																									}
																								else
																									{	/* Inline/simple.scm 157 */
																										obj_t BgL_arg1304z00_1514;

																										BgL_arg1304z00_1514 =
																											((obj_t)
																											BGl_getzd2typezd2zztype_typeofz00
																											(BgL_alphazd2bodyzd2_1481,
																												((bool_t) 1)));
																										BgL_test1921z00_2955 =
																											(BgL_typez00_1461 ==
																											BgL_arg1304z00_1514);
																									}
																							}
																					}
																				if (BgL_test1921z00_2955)
																					{	/* Inline/simple.scm 154 */
																						if (CBOOL(
																								(((BgL_appz00_bglt) COBJECT(
																											((BgL_appz00_bglt)
																												BgL_nodez00_3)))->
																									BgL_stackablez00)))
																							{	/* Inline/simple.scm 159 */
																								return
																									BGl_stackablez12z12zzinline_simplez00
																									(((BgL_appz00_bglt)
																										BgL_nodez00_3),
																									((BgL_nodez00_bglt)
																										BgL_ibodyz00_1483));
																							}
																						else
																							{	/* Inline/simple.scm 159 */
																								return
																									((BgL_nodez00_bglt)
																									BgL_ibodyz00_1483);
																							}
																					}
																				else
																					{	/* Inline/simple.scm 162 */
																						BgL_localz00_bglt BgL_varz00_1503;

																						{	/* Inline/simple.scm 162 */
																							obj_t BgL_arg1303z00_1512;

																							BgL_arg1303z00_1512 =
																								BGl_gensymz00zz__r4_symbols_6_4z00
																								(((obj_t) CNST_TABLE_REF(2)));
																							BgL_varz00_1503 =
																								BGl_makezd2localzd2svarz00zzast_localz00
																								(BgL_arg1303z00_1512,
																								((BgL_typez00_bglt)
																									BgL_typez00_1461));
																						}
																						{	/* Inline/simple.scm 163 */
																							BgL_letzd2varzd2_bglt
																								BgL_new1127z00_1504;
																							{	/* Inline/simple.scm 164 */
																								BgL_letzd2varzd2_bglt
																									BgL_new1126z00_1510;
																								BgL_new1126z00_1510 =
																									((BgL_letzd2varzd2_bglt)
																									BOBJECT(GC_MALLOC(sizeof
																											(struct
																												BgL_letzd2varzd2_bgl))));
																								{	/* Inline/simple.scm 164 */
																									long BgL_arg1302z00_1511;

																									BgL_arg1302z00_1511 =
																										BGL_CLASS_NUM
																										(BGl_letzd2varzd2zzast_nodez00);
																									BGL_OBJECT_CLASS_NUM_SET((
																											(BgL_objectz00_bglt)
																											BgL_new1126z00_1510),
																										BgL_arg1302z00_1511);
																								}
																								{	/* Inline/simple.scm 164 */
																									BgL_objectz00_bglt
																										BgL_tmpz00_2984;
																									BgL_tmpz00_2984 =
																										((BgL_objectz00_bglt)
																										BgL_new1126z00_1510);
																									BGL_OBJECT_WIDENING_SET
																										(BgL_tmpz00_2984, BFALSE);
																								}
																								((BgL_objectz00_bglt)
																									BgL_new1126z00_1510);
																								BgL_new1127z00_1504 =
																									BgL_new1126z00_1510;
																							}
																							((((BgL_nodez00_bglt) COBJECT(
																											((BgL_nodez00_bglt)
																												BgL_new1127z00_1504)))->
																									BgL_locz00) =
																								((obj_t) BgL_locz00_1460),
																								BUNSPEC);
																							((((BgL_nodez00_bglt)
																										COBJECT(((BgL_nodez00_bglt)
																												BgL_new1127z00_1504)))->
																									BgL_typez00) =
																								((BgL_typez00_bglt) (
																										(BgL_typez00_bglt)
																										BgL_typez00_1461)),
																								BUNSPEC);
																							((((BgL_nodezf2effectzf2_bglt)
																										COBJECT((
																												(BgL_nodezf2effectzf2_bglt)
																												BgL_new1127z00_1504)))->
																									BgL_sidezd2effectzd2) =
																								((obj_t)
																									BBOOL
																									(BGl_sidezd2effectzf3z21zzeffect_effectz00
																										(((BgL_nodez00_bglt)
																												BgL_ibodyz00_1483)))),
																								BUNSPEC);
																							((((BgL_nodezf2effectzf2_bglt)
																										COBJECT((
																												(BgL_nodezf2effectzf2_bglt)
																												BgL_new1127z00_1504)))->
																									BgL_keyz00) =
																								((obj_t) BINT((-1L))), BUNSPEC);
																							{
																								obj_t BgL_auxz00_3001;

																								{	/* Inline/simple.scm 167 */
																									obj_t BgL_arg1298z00_1505;

																									BgL_arg1298z00_1505 =
																										MAKE_YOUNG_PAIR(
																										((obj_t) BgL_varz00_1503),
																										((obj_t)
																											BgL_ibodyz00_1483));
																									{	/* Inline/simple.scm 167 */
																										obj_t BgL_list1299z00_1506;

																										BgL_list1299z00_1506 =
																											MAKE_YOUNG_PAIR
																											(BgL_arg1298z00_1505,
																											BNIL);
																										BgL_auxz00_3001 =
																											BgL_list1299z00_1506;
																								}}
																								((((BgL_letzd2varzd2_bglt)
																											COBJECT
																											(BgL_new1127z00_1504))->
																										BgL_bindingsz00) =
																									((obj_t) BgL_auxz00_3001),
																									BUNSPEC);
																							}
																							{
																								BgL_nodez00_bglt
																									BgL_auxz00_3007;
																								{	/* Inline/simple.scm 168 */
																									BgL_refz00_bglt
																										BgL_new1129z00_1507;
																									{	/* Inline/simple.scm 169 */
																										BgL_refz00_bglt
																											BgL_new1128z00_1508;
																										BgL_new1128z00_1508 =
																											((BgL_refz00_bglt)
																											BOBJECT(GC_MALLOC(sizeof
																													(struct
																														BgL_refz00_bgl))));
																										{	/* Inline/simple.scm 169 */
																											long BgL_arg1301z00_1509;

																											{	/* Inline/simple.scm 169 */
																												obj_t BgL_classz00_2197;

																												BgL_classz00_2197 =
																													BGl_refz00zzast_nodez00;
																												BgL_arg1301z00_1509 =
																													BGL_CLASS_NUM
																													(BgL_classz00_2197);
																											}
																											BGL_OBJECT_CLASS_NUM_SET(
																												((BgL_objectz00_bglt)
																													BgL_new1128z00_1508),
																												BgL_arg1301z00_1509);
																										}
																										{	/* Inline/simple.scm 169 */
																											BgL_objectz00_bglt
																												BgL_tmpz00_3012;
																											BgL_tmpz00_3012 =
																												((BgL_objectz00_bglt)
																												BgL_new1128z00_1508);
																											BGL_OBJECT_WIDENING_SET
																												(BgL_tmpz00_3012,
																												BFALSE);
																										}
																										((BgL_objectz00_bglt)
																											BgL_new1128z00_1508);
																										BgL_new1129z00_1507 =
																											BgL_new1128z00_1508;
																									}
																									((((BgL_nodez00_bglt) COBJECT(
																													((BgL_nodez00_bglt)
																														BgL_new1129z00_1507)))->
																											BgL_locz00) =
																										((obj_t) BgL_locz00_1460),
																										BUNSPEC);
																									((((BgL_nodez00_bglt)
																												COBJECT((
																														(BgL_nodez00_bglt)
																														BgL_new1129z00_1507)))->
																											BgL_typez00) =
																										((BgL_typez00_bglt) (
																												(BgL_typez00_bglt)
																												BgL_typez00_1461)),
																										BUNSPEC);
																									((((BgL_varz00_bglt)
																												COBJECT((
																														(BgL_varz00_bglt)
																														BgL_new1129z00_1507)))->
																											BgL_variablez00) =
																										((BgL_variablez00_bglt) (
																												(BgL_variablez00_bglt)
																												BgL_varz00_1503)),
																										BUNSPEC);
																									BgL_auxz00_3007 =
																										((BgL_nodez00_bglt)
																										BgL_new1129z00_1507);
																								}
																								((((BgL_letzd2varzd2_bglt)
																											COBJECT
																											(BgL_new1127z00_1504))->
																										BgL_bodyz00) =
																									((BgL_nodez00_bglt)
																										BgL_auxz00_3007), BUNSPEC);
																							}
																							((((BgL_letzd2varzd2_bglt)
																										COBJECT
																										(BgL_new1127z00_1504))->
																									BgL_removablezf3zf3) =
																								((bool_t) ((bool_t) 1)),
																								BUNSPEC);
																							return ((BgL_nodez00_bglt)
																								BgL_new1127z00_1504);
																						}
																					}
																			}
																		}
																	}
																}
															}
														}
													}
												}
											}
										}
									}
								}
							}
						}
					}
				}
			}
		}

	}



/* &inline-app-simple */
	BgL_nodez00_bglt BGl_z62inlinezd2appzd2simplez62zzinline_simplez00(obj_t
		BgL_envz00_2406, obj_t BgL_nodez00_2407, obj_t BgL_kfactorz00_2408,
		obj_t BgL_stackz00_2409, obj_t BgL_msgz00_2410)
	{
		{	/* Inline/simple.scm 46 */
			return
				BGl_inlinezd2appzd2simplez00zzinline_simplez00(
				((BgL_nodez00_bglt) BgL_nodez00_2407),
				(long) CINT(BgL_kfactorz00_2408), BgL_stackz00_2409, BgL_msgz00_2410);
		}

	}



/* stackable! */
	BgL_nodez00_bglt BGl_stackablez12z12zzinline_simplez00(BgL_appz00_bglt
		BgL_oldz00_7, BgL_nodez00_bglt BgL_newz00_8)
	{
		{	/* Inline/simple.scm 178 */
			BGl_occurzd2nodez12zc0zzast_occurz00(BgL_newz00_8);
			{	/* Inline/simple.scm 180 */
				obj_t BgL_rnewz00_1672;

				BgL_rnewz00_1672 = BGl_nodezd2removez12zc0zzast_removez00(BgL_newz00_8);
				{	/* Inline/simple.scm 181 */
					bool_t BgL_test1926z00_3033;

					{	/* Inline/simple.scm 181 */
						obj_t BgL_classz00_2201;

						BgL_classz00_2201 = BGl_appz00zzast_nodez00;
						if (BGL_OBJECTP(BgL_rnewz00_1672))
							{	/* Inline/simple.scm 181 */
								BgL_objectz00_bglt BgL_arg1858z00_2203;

								BgL_arg1858z00_2203 = (BgL_objectz00_bglt) (BgL_rnewz00_1672);
								if (BGL_CONDEXPAND_ISA_ARCH64())
									{	/* Inline/simple.scm 181 */
										long BgL_idxz00_2209;

										BgL_idxz00_2209 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_2203);
										BgL_test1926z00_3033 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_2209 + 3L)) == BgL_classz00_2201);
									}
								else
									{	/* Inline/simple.scm 181 */
										bool_t BgL_res1828z00_2234;

										{	/* Inline/simple.scm 181 */
											obj_t BgL_oclassz00_2217;

											{	/* Inline/simple.scm 181 */
												obj_t BgL_arg1866z00_2225;
												long BgL_arg1867z00_2226;

												BgL_arg1866z00_2225 =
													(BGl_za2classesza2z00zz__objectz00);
												{	/* Inline/simple.scm 181 */
													long BgL_arg1869z00_2227;

													BgL_arg1869z00_2227 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_2203);
													BgL_arg1867z00_2226 =
														(BgL_arg1869z00_2227 - OBJECT_TYPE);
												}
												BgL_oclassz00_2217 =
													VECTOR_REF(BgL_arg1866z00_2225, BgL_arg1867z00_2226);
											}
											{	/* Inline/simple.scm 181 */
												bool_t BgL__ortest_1115z00_2218;

												BgL__ortest_1115z00_2218 =
													(BgL_classz00_2201 == BgL_oclassz00_2217);
												if (BgL__ortest_1115z00_2218)
													{	/* Inline/simple.scm 181 */
														BgL_res1828z00_2234 = BgL__ortest_1115z00_2218;
													}
												else
													{	/* Inline/simple.scm 181 */
														long BgL_odepthz00_2219;

														{	/* Inline/simple.scm 181 */
															obj_t BgL_arg1855z00_2220;

															BgL_arg1855z00_2220 = (BgL_oclassz00_2217);
															BgL_odepthz00_2219 =
																BGL_CLASS_DEPTH(BgL_arg1855z00_2220);
														}
														if ((3L < BgL_odepthz00_2219))
															{	/* Inline/simple.scm 181 */
																obj_t BgL_arg1853z00_2222;

																{	/* Inline/simple.scm 181 */
																	obj_t BgL_arg1854z00_2223;

																	BgL_arg1854z00_2223 = (BgL_oclassz00_2217);
																	BgL_arg1853z00_2222 =
																		BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_2223,
																		3L);
																}
																BgL_res1828z00_2234 =
																	(BgL_arg1853z00_2222 == BgL_classz00_2201);
															}
														else
															{	/* Inline/simple.scm 181 */
																BgL_res1828z00_2234 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_test1926z00_3033 = BgL_res1828z00_2234;
									}
							}
						else
							{	/* Inline/simple.scm 181 */
								BgL_test1926z00_3033 = ((bool_t) 0);
							}
					}
					if (BgL_test1926z00_3033)
						{	/* Inline/simple.scm 181 */
							((((BgL_appz00_bglt) COBJECT(
											((BgL_appz00_bglt) BgL_rnewz00_1672)))->
									BgL_stackablez00) = ((obj_t) BTRUE), BUNSPEC);
							BgL_rnewz00_1672;
						}
					else
						{	/* Inline/simple.scm 181 */
							((obj_t) BgL_newz00_8);
						}
				}
				return BgL_newz00_8;
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzinline_simplez00(void)
	{
		{	/* Inline/simple.scm 15 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzinline_simplez00(void)
	{
		{	/* Inline/simple.scm 15 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzinline_simplez00(void)
	{
		{	/* Inline/simple.scm 15 */
			return BUNSPEC;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzinline_simplez00(void)
	{
		{	/* Inline/simple.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(54713316L,
				BSTRING_TO_STRING(BGl_string1837z00zzinline_simplez00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(161876678L,
				BSTRING_TO_STRING(BGl_string1837z00zzinline_simplez00));
			BGl_modulezd2initializa7ationz75zztype_typez00(515343395L,
				BSTRING_TO_STRING(BGl_string1837z00zzinline_simplez00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(489890788L,
				BSTRING_TO_STRING(BGl_string1837z00zzinline_simplez00));
			BGl_modulezd2initializa7ationz75zztype_typeofz00(398780265L,
				BSTRING_TO_STRING(BGl_string1837z00zzinline_simplez00));
			BGl_modulezd2initializa7ationz75zzast_varz00(90839984L,
				BSTRING_TO_STRING(BGl_string1837z00zzinline_simplez00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(469732712L,
				BSTRING_TO_STRING(BGl_string1837z00zzinline_simplez00));
			BGl_modulezd2initializa7ationz75zzast_localz00(315247917L,
				BSTRING_TO_STRING(BGl_string1837z00zzinline_simplez00));
			BGl_modulezd2initializa7ationz75zzast_removez00(383247627L,
				BSTRING_TO_STRING(BGl_string1837z00zzinline_simplez00));
			BGl_modulezd2initializa7ationz75zzast_occurz00(282085879L,
				BSTRING_TO_STRING(BGl_string1837z00zzinline_simplez00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(365925558L,
				BSTRING_TO_STRING(BGl_string1837z00zzinline_simplez00));
			BGl_modulezd2initializa7ationz75zztools_speekz00(61247943L,
				BSTRING_TO_STRING(BGl_string1837z00zzinline_simplez00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(300504031L,
				BSTRING_TO_STRING(BGl_string1837z00zzinline_simplez00));
			BGl_modulezd2initializa7ationz75zzinline_inlinez00(20504962L,
				BSTRING_TO_STRING(BGl_string1837z00zzinline_simplez00));
			BGl_modulezd2initializa7ationz75zzinline_siza7eza7(243191744L,
				BSTRING_TO_STRING(BGl_string1837z00zzinline_simplez00));
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(158397907L,
				BSTRING_TO_STRING(BGl_string1837z00zzinline_simplez00));
			BGl_modulezd2initializa7ationz75zzast_alphatiza7eza7(53595773L,
				BSTRING_TO_STRING(BGl_string1837z00zzinline_simplez00));
			BGl_modulezd2initializa7ationz75zzast_sexpz00(163122759L,
				BSTRING_TO_STRING(BGl_string1837z00zzinline_simplez00));
			BGl_modulezd2initializa7ationz75zzeffect_effectz00(460136018L,
				BSTRING_TO_STRING(BGl_string1837z00zzinline_simplez00));
			return
				BGl_modulezd2initializa7ationz75zzeffect_spreadz00(348216764L,
				BSTRING_TO_STRING(BGl_string1837z00zzinline_simplez00));
		}

	}

#ifdef __cplusplus
}
#endif
