/*===========================================================================*/
/*   (Inline/variant.scm)                                                    */
/*   Bigloo (4.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Jan 27 07:45:49 AM CET 2025     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.6a/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.6a/lib/bigloo/4.6a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -stdc -indent Inline/variant.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL_INLINE_VARIANT_TYPE_DEFINITIONS
#define BGL_INLINE_VARIANT_TYPE_DEFINITIONS

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_nullz00;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_stackablez00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_localzf2variantzf2_bgl
	{
		bool_t BgL_variantz00;
	}                         *BgL_localzf2variantzf2_bglt;


#endif													// BGL_INLINE_VARIANT_TYPE_DEFINITIONS
#endif													// BGL_MODULE_TYPE_DEFINITIONS

	BGL_EXPORTED_DECL obj_t
		BGl_localzf2variantzd2occurrencezd2setz12ze0zzinline_variantz00
		(BgL_localz00_bglt, long);
	static obj_t BGl_z62localzf2variantzd2occurrencewz42zzinline_variantz00(obj_t,
		obj_t);
	static obj_t BGl_z62localzf2variantzd2idz42zzinline_variantz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_localzf2variantzd2occurrencewzd2setz12ze0zzinline_variantz00
		(BgL_localz00_bglt, long);
	BGL_IMPORT obj_t BGl_classzd2nilzd2initz12z12zz__objectz00(obj_t);
	static obj_t BGl_z62shrinkzd2argsz12za2zzinline_variantz00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzinline_variantz00 = BUNSPEC;
	static obj_t
		BGl_z62localzf2variantzd2removablezd2setz12z82zzinline_variantz00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	extern obj_t BGl_atomz00zzast_nodez00;
	BGL_EXPORTED_DECL bool_t
		BGl_localzf2variantzd2variantz20zzinline_variantz00(BgL_localz00_bglt);
	static obj_t BGl_z62localzf2variantzf3z63zzinline_variantz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31598ze3ze5zzinline_variantz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL long
		BGl_localzf2variantzd2occurrencewz20zzinline_variantz00(BgL_localz00_bglt);
	static obj_t
		BGl_z62localzf2variantzd2namezd2setz12z82zzinline_variantz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62localzf2variantzd2namez42zzinline_variantz00(obj_t,
		obj_t);
	static obj_t BGl_genericzd2initzd2zzinline_variantz00(void);
	BGL_IMPORT obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t,
		bool_t, bool_t, obj_t, obj_t, obj_t);
	static obj_t BGl_objectzd2initzd2zzinline_variantz00(void);
	BGL_EXPORTED_DECL BgL_valuez00_bglt
		BGl_localzf2variantzd2valuez20zzinline_variantz00(BgL_localz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_localzf2variantzd2removablez20zzinline_variantz00(BgL_localz00_bglt);
	BGL_EXPORTED_DECL bool_t
		BGl_localzf2variantzd2userzf3zd3zzinline_variantz00(BgL_localz00_bglt);
	static BgL_localz00_bglt
		BGl_z62localzf2variantzd2nilz42zzinline_variantz00(obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	static obj_t BGl_z62localzf2variantzd2variantz42zzinline_variantz00(obj_t,
		obj_t);
	BGL_IMPORT obj_t bgl_reverse_bang(obj_t);
	extern obj_t BGl_typez00zztype_typez00;
	BGL_EXPORTED_DECL obj_t
		BGl_localzf2variantzd2variantzd2setz12ze0zzinline_variantz00
		(BgL_localz00_bglt, bool_t);
	BGL_EXPORTED_DECL bool_t BGl_localzf2variantzf3z01zzinline_variantz00(obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62localzf2variantzd2valuezd2setz12z82zzinline_variantz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_methodzd2initzd2zzinline_variantz00(void);
	static BgL_typez00_bglt
		BGl_z62localzf2variantzd2typez42zzinline_variantz00(obj_t, obj_t);
	static obj_t
		BGl_z62localzf2variantzd2variantzd2setz12z82zzinline_variantz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62substitutionsz62zzinline_variantz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62localzf2variantzd2occurrencez42zzinline_variantz00(obj_t,
		obj_t);
	static obj_t
		BGl_z62localzf2variantzd2accesszd2setz12z82zzinline_variantz00(obj_t, obj_t,
		obj_t);
	static BgL_localz00_bglt
		BGl_z62makezd2localzf2variantz42zzinline_variantz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	static obj_t
		BGl_z62localzf2variantzd2userzf3zd2setz12z71zzinline_variantz00(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62localzf2variantzd2typezd2setz12z82zzinline_variantz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_appz00_bglt
		BGl_removezd2invariantzd2argsz12z12zzinline_variantz00(BgL_appz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_localzf2variantzd2accesszd2setz12ze0zzinline_variantz00
		(BgL_localz00_bglt, obj_t);
	BGL_EXPORTED_DECL long
		BGl_localzf2variantzd2keyz20zzinline_variantz00(BgL_localz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_variantzd2argszd2zzinline_variantz00(BgL_variablez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzinline_variantz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_EXPORTED_DECL obj_t
		BGl_localzf2variantzd2namez20zzinline_variantz00(BgL_localz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_shrinkzd2argsz12zc0zzinline_variantz00(BgL_variablez00_bglt);
	BGL_EXPORTED_DEF obj_t BGl_localzf2variantzf2zzinline_variantz00 = BUNSPEC;
	static obj_t
		BGl_z62localzf2variantzd2fastzd2alphazd2setz12z50zzinline_variantz00(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62localzf2variantzd2fastzd2alphaz90zzinline_variantz00(obj_t, obj_t);
	static obj_t
		BGl_z62localzf2variantzd2occurrencezd2setz12z82zzinline_variantz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_localzf2variantzd2valuezd2setz12ze0zzinline_variantz00
		(BgL_localz00_bglt, BgL_valuez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_localzf2variantzd2removablezd2setz12ze0zzinline_variantz00
		(BgL_localz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_localzf2variantzd2namezd2setz12ze0zzinline_variantz00(BgL_localz00_bglt,
		obj_t);
	extern obj_t BGl_kwotez00zzast_nodez00;
	extern obj_t BGl_localz00zzast_varz00;
	static obj_t BGl_cnstzd2initzd2zzinline_variantz00(void);
	static obj_t BGl_libraryzd2moduleszd2initz00zzinline_variantz00(void);
	BGL_EXPORTED_DECL long
		BGl_localzf2variantzd2occurrencez20zzinline_variantz00(BgL_localz00_bglt);
	BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t,
		long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzinline_variantz00(void);
	static obj_t BGl_gczd2rootszd2initz00zzinline_variantz00(void);
	static obj_t BGl_z62localzf2variantzd2removablez42zzinline_variantz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_substitutionsz00zzinline_variantz00(BgL_variablez00_bglt, obj_t, obj_t);
	static obj_t BGl_z62localzf2variantzd2accessz42zzinline_variantz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_localzf2variantzd2typez20zzinline_variantz00(BgL_localz00_bglt);
	static obj_t BGl_z62invariantzd2argszb0zzinline_variantz00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_localzf2variantzd2accessz20zzinline_variantz00(BgL_localz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_localzf2variantzd2userzf3zd2setz12z13zzinline_variantz00
		(BgL_localz00_bglt, bool_t);
	extern obj_t BGl_valuez00zzast_varz00;
	static BgL_appz00_bglt
		BGl_z62removezd2invariantzd2argsz12z70zzinline_variantz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_localzf2variantzd2idz20zzinline_variantz00(BgL_localz00_bglt);
	static obj_t BGl_z62lambda1632z62zzinline_variantz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1633z62zzinline_variantz00(obj_t, obj_t, obj_t);
	static obj_t
		BGl_z62localzf2variantzd2occurrencewzd2setz12z82zzinline_variantz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_localz00_bglt
		BGl_localzf2variantzd2nilz20zzinline_variantz00(void);
	BGL_EXPORTED_DECL BgL_localz00_bglt
		BGl_makezd2localzf2variantz20zzinline_variantz00(obj_t, obj_t,
		BgL_typez00_bglt, BgL_valuez00_bglt, obj_t, obj_t, obj_t, long, long,
		bool_t, long, bool_t);
	BGL_IMPORT obj_t BGl_classzd2superzd2zz__objectz00(obj_t);
	static obj_t BGl_z62localzf2variantzd2keyz42zzinline_variantz00(obj_t, obj_t);
	static BgL_localz00_bglt BGl_z62lambda1588z62zzinline_variantz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_localzf2variantzd2fastzd2alphazf2zzinline_variantz00(BgL_localz00_bglt);
	static BgL_localz00_bglt BGl_z62lambda1593z62zzinline_variantz00(obj_t,
		obj_t);
	static BgL_localz00_bglt BGl_z62lambda1599z62zzinline_variantz00(obj_t,
		obj_t);
	static BgL_valuez00_bglt
		BGl_z62localzf2variantzd2valuez42zzinline_variantz00(obj_t, obj_t);
	static obj_t BGl_z62localzf2variantzd2userzf3zb1zzinline_variantz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_invariantzd2argszd2zzinline_variantz00(BgL_nodez00_bglt,
		BgL_variablez00_bglt, obj_t);
	static obj_t BGl_z62variantzd2argszb0zzinline_variantz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_localzf2variantzd2fastzd2alphazd2setz12z32zzinline_variantz00
		(BgL_localz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_localzf2variantzd2typezd2setz12ze0zzinline_variantz00(BgL_localz00_bglt,
		BgL_typez00_bglt);
	static obj_t __cnst[7];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2variantzf3zd2envzd3zzinline_variantz00,
		BgL_bgl_za762localza7f2varia1811z00,
		BGl_z62localzf2variantzf3z63zzinline_variantz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2localzf2variantzd2envzf2zzinline_variantz00,
		BgL_bgl_za762makeza7d2localza71812za7,
		BGl_z62makezd2localzf2variantz42zzinline_variantz00, 0L, BUNSPEC, 12);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2variantzd2keyzd2envzf2zzinline_variantz00,
		BgL_bgl_za762localza7f2varia1813z00,
		BGl_z62localzf2variantzd2keyz42zzinline_variantz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2variantzd2namezd2envzf2zzinline_variantz00,
		BgL_bgl_za762localza7f2varia1814z00,
		BGl_z62localzf2variantzd2namez42zzinline_variantz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2variantzd2variantzd2envzf2zzinline_variantz00,
		BgL_bgl_za762localza7f2varia1815z00,
		BGl_z62localzf2variantzd2variantz42zzinline_variantz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2variantzd2userzf3zd2setz12zd2envzc1zzinline_variantz00,
		BgL_bgl_za762localza7f2varia1816z00,
		BGl_z62localzf2variantzd2userzf3zd2setz12z71zzinline_variantz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2variantzd2occurrencezd2envzf2zzinline_variantz00,
		BgL_bgl_za762localza7f2varia1817z00,
		BGl_z62localzf2variantzd2occurrencez42zzinline_variantz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1807z00zzinline_variantz00,
		BgL_bgl_string1807za700za7za7i1818za7, "inline_variant", 14);
	      DEFINE_STRING(BGl_string1808z00zzinline_variantz00,
		BgL_bgl_string1808za700za7za7i1819za7,
		"_ inline_variant local/variant bool variant done read ", 54);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2variantzd2valuezd2envzf2zzinline_variantz00,
		BgL_bgl_za762localza7f2varia1820z00,
		BGl_z62localzf2variantzd2valuez42zzinline_variantz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2variantzd2removablezd2envzf2zzinline_variantz00,
		BgL_bgl_za762localza7f2varia1821z00,
		BGl_z62localzf2variantzd2removablez42zzinline_variantz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1801z00zzinline_variantz00,
		BgL_bgl_za762lambda1633za7621822z00,
		BGl_z62lambda1633z62zzinline_variantz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1802z00zzinline_variantz00,
		BgL_bgl_za762lambda1632za7621823z00,
		BGl_z62lambda1632z62zzinline_variantz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1803z00zzinline_variantz00,
		BgL_bgl_za762lambda1599za7621824z00,
		BGl_z62lambda1599z62zzinline_variantz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1804z00zzinline_variantz00,
		BgL_bgl_za762za7c3za704anonymo1825za7,
		BGl_z62zc3z04anonymousza31598ze3ze5zzinline_variantz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1805z00zzinline_variantz00,
		BgL_bgl_za762lambda1593za7621826z00,
		BGl_z62lambda1593z62zzinline_variantz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1806z00zzinline_variantz00,
		BgL_bgl_za762lambda1588za7621827z00,
		BGl_z62lambda1588z62zzinline_variantz00, 0L, BUNSPEC, 14);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_variantzd2argszd2envz00zzinline_variantz00,
		BgL_bgl_za762variantza7d2arg1828z00,
		BGl_z62variantzd2argszb0zzinline_variantz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2variantzd2userzf3zd2envz01zzinline_variantz00,
		BgL_bgl_za762localza7f2varia1829z00,
		BGl_z62localzf2variantzd2userzf3zb1zzinline_variantz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2variantzd2accesszd2setz12zd2envz32zzinline_variantz00,
		BgL_bgl_za762localza7f2varia1830z00,
		BGl_z62localzf2variantzd2accesszd2setz12z82zzinline_variantz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2variantzd2namezd2setz12zd2envz32zzinline_variantz00,
		BgL_bgl_za762localza7f2varia1831z00,
		BGl_z62localzf2variantzd2namezd2setz12z82zzinline_variantz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2variantzd2typezd2envzf2zzinline_variantz00,
		BgL_bgl_za762localza7f2varia1832z00,
		BGl_z62localzf2variantzd2typez42zzinline_variantz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2variantzd2accesszd2envzf2zzinline_variantz00,
		BgL_bgl_za762localza7f2varia1833z00,
		BGl_z62localzf2variantzd2accessz42zzinline_variantz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2variantzd2fastzd2alphazd2envz20zzinline_variantz00,
		BgL_bgl_za762localza7f2varia1834z00,
		BGl_z62localzf2variantzd2fastzd2alphaz90zzinline_variantz00, 0L, BUNSPEC,
		1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2variantzd2occurrencewzd2envzf2zzinline_variantz00,
		BgL_bgl_za762localza7f2varia1835z00,
		BGl_z62localzf2variantzd2occurrencewz42zzinline_variantz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2variantzd2variantzd2setz12zd2envz32zzinline_variantz00,
		BgL_bgl_za762localza7f2varia1836z00,
		BGl_z62localzf2variantzd2variantzd2setz12z82zzinline_variantz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2variantzd2nilzd2envzf2zzinline_variantz00,
		BgL_bgl_za762localza7f2varia1837z00,
		BGl_z62localzf2variantzd2nilz42zzinline_variantz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_invariantzd2argszd2envz00zzinline_variantz00,
		BgL_bgl_za762invariantza7d2a1838z00,
		BGl_z62invariantzd2argszb0zzinline_variantz00, 0L, BUNSPEC, 3);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_substitutionszd2envzd2zzinline_variantz00,
		BgL_bgl_za762substitutions1839za7,
		BGl_z62substitutionsz62zzinline_variantz00, 0L, BUNSPEC, 3);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_removezd2invariantzd2argsz12zd2envzc0zzinline_variantz00,
		BgL_bgl_za762removeza7d2inva1840z00,
		BGl_z62removezd2invariantzd2argsz12z70zzinline_variantz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2variantzd2occurrencewzd2setz12zd2envz32zzinline_variantz00,
		BgL_bgl_za762localza7f2varia1841z00,
		BGl_z62localzf2variantzd2occurrencewzd2setz12z82zzinline_variantz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_shrinkzd2argsz12zd2envz12zzinline_variantz00,
		BgL_bgl_za762shrinkza7d2args1842z00,
		BGl_z62shrinkzd2argsz12za2zzinline_variantz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2variantzd2fastzd2alphazd2setz12zd2envze0zzinline_variantz00,
		BgL_bgl_za762localza7f2varia1843z00,
		BGl_z62localzf2variantzd2fastzd2alphazd2setz12z50zzinline_variantz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2variantzd2occurrencezd2setz12zd2envz32zzinline_variantz00,
		BgL_bgl_za762localza7f2varia1844z00,
		BGl_z62localzf2variantzd2occurrencezd2setz12z82zzinline_variantz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2variantzd2idzd2envzf2zzinline_variantz00,
		BgL_bgl_za762localza7f2varia1845z00,
		BGl_z62localzf2variantzd2idz42zzinline_variantz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2variantzd2typezd2setz12zd2envz32zzinline_variantz00,
		BgL_bgl_za762localza7f2varia1846z00,
		BGl_z62localzf2variantzd2typezd2setz12z82zzinline_variantz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2variantzd2valuezd2setz12zd2envz32zzinline_variantz00,
		BgL_bgl_za762localza7f2varia1847z00,
		BGl_z62localzf2variantzd2valuezd2setz12z82zzinline_variantz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2variantzd2removablezd2setz12zd2envz32zzinline_variantz00,
		BgL_bgl_za762localza7f2varia1848z00,
		BGl_z62localzf2variantzd2removablezd2setz12z82zzinline_variantz00, 0L,
		BUNSPEC, 2);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zzinline_variantz00));
		     ADD_ROOT((void *) (&BGl_localzf2variantzf2zzinline_variantz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzinline_variantz00(long
		BgL_checksumz00_2487, char *BgL_fromz00_2488)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzinline_variantz00))
				{
					BGl_requirezd2initializa7ationz75zzinline_variantz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzinline_variantz00();
					BGl_libraryzd2moduleszd2initz00zzinline_variantz00();
					BGl_cnstzd2initzd2zzinline_variantz00();
					BGl_importedzd2moduleszd2initz00zzinline_variantz00();
					BGl_objectzd2initzd2zzinline_variantz00();
					return BGl_methodzd2initzd2zzinline_variantz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzinline_variantz00(void)
	{
		{	/* Inline/variant.scm 15 */
			BGl_modulezd2initializa7ationz75zz__objectz00(0L, "inline_variant");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(0L,
				"inline_variant");
			BGl_modulezd2initializa7ationz75zz__readerz00(0L, "inline_variant");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(0L,
				"inline_variant");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(0L,
				"inline_variant");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(0L,
				"inline_variant");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(0L,
				"inline_variant");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(0L,
				"inline_variant");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzinline_variantz00(void)
	{
		{	/* Inline/variant.scm 15 */
			{	/* Inline/variant.scm 15 */
				obj_t BgL_cportz00_2422;

				{	/* Inline/variant.scm 15 */
					obj_t BgL_stringz00_2429;

					BgL_stringz00_2429 = BGl_string1808z00zzinline_variantz00;
					{	/* Inline/variant.scm 15 */
						obj_t BgL_startz00_2430;

						BgL_startz00_2430 = BINT(0L);
						{	/* Inline/variant.scm 15 */
							obj_t BgL_endz00_2431;

							BgL_endz00_2431 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_2429)));
							{	/* Inline/variant.scm 15 */

								BgL_cportz00_2422 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_2429, BgL_startz00_2430, BgL_endz00_2431);
				}}}}
				{
					long BgL_iz00_2423;

					BgL_iz00_2423 = 6L;
				BgL_loopz00_2424:
					if ((BgL_iz00_2423 == (-1L)))
						{	/* Inline/variant.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Inline/variant.scm 15 */
							{	/* Inline/variant.scm 15 */
								obj_t BgL_arg1810z00_2425;

								{	/* Inline/variant.scm 15 */

									{	/* Inline/variant.scm 15 */
										obj_t BgL_locationz00_2427;

										BgL_locationz00_2427 = BBOOL(((bool_t) 0));
										{	/* Inline/variant.scm 15 */

											BgL_arg1810z00_2425 =
												BGl_readz00zz__readerz00(BgL_cportz00_2422,
												BgL_locationz00_2427);
										}
									}
								}
								{	/* Inline/variant.scm 15 */
									int BgL_tmpz00_2515;

									BgL_tmpz00_2515 = (int) (BgL_iz00_2423);
									CNST_TABLE_SET(BgL_tmpz00_2515, BgL_arg1810z00_2425);
							}}
							{	/* Inline/variant.scm 15 */
								int BgL_auxz00_2428;

								BgL_auxz00_2428 = (int) ((BgL_iz00_2423 - 1L));
								{
									long BgL_iz00_2520;

									BgL_iz00_2520 = (long) (BgL_auxz00_2428);
									BgL_iz00_2423 = BgL_iz00_2520;
									goto BgL_loopz00_2424;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzinline_variantz00(void)
	{
		{	/* Inline/variant.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* make-local/variant */
	BGL_EXPORTED_DEF BgL_localz00_bglt
		BGl_makezd2localzf2variantz20zzinline_variantz00(obj_t BgL_id1114z00_3,
		obj_t BgL_name1115z00_4, BgL_typez00_bglt BgL_type1116z00_5,
		BgL_valuez00_bglt BgL_value1117z00_6, obj_t BgL_access1118z00_7,
		obj_t BgL_fastzd2alpha1119zd2_8, obj_t BgL_removable1120z00_9,
		long BgL_occurrence1121z00_10, long BgL_occurrencew1122z00_11,
		bool_t BgL_userzf31123zf3_12, long BgL_key1124z00_13,
		bool_t BgL_variant1125z00_14)
	{
		{	/* Inline/variant.sch 43 */
			{	/* Inline/variant.sch 43 */
				BgL_localz00_bglt BgL_new1129z00_2433;

				{	/* Inline/variant.sch 43 */
					BgL_localz00_bglt BgL_tmp1127z00_2434;
					BgL_localzf2variantzf2_bglt BgL_wide1128z00_2435;

					{
						BgL_localz00_bglt BgL_auxz00_2523;

						{	/* Inline/variant.sch 43 */
							BgL_localz00_bglt BgL_new1126z00_2436;

							BgL_new1126z00_2436 =
								((BgL_localz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_localz00_bgl))));
							{	/* Inline/variant.sch 43 */
								long BgL_arg1288z00_2437;

								BgL_arg1288z00_2437 = BGL_CLASS_NUM(BGl_localz00zzast_varz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1126z00_2436),
									BgL_arg1288z00_2437);
							}
							{	/* Inline/variant.sch 43 */
								BgL_objectz00_bglt BgL_tmpz00_2528;

								BgL_tmpz00_2528 = ((BgL_objectz00_bglt) BgL_new1126z00_2436);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2528, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1126z00_2436);
							BgL_auxz00_2523 = BgL_new1126z00_2436;
						}
						BgL_tmp1127z00_2434 = ((BgL_localz00_bglt) BgL_auxz00_2523);
					}
					BgL_wide1128z00_2435 =
						((BgL_localzf2variantzf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_localzf2variantzf2_bgl))));
					{	/* Inline/variant.sch 43 */
						obj_t BgL_auxz00_2536;
						BgL_objectz00_bglt BgL_tmpz00_2534;

						BgL_auxz00_2536 = ((obj_t) BgL_wide1128z00_2435);
						BgL_tmpz00_2534 = ((BgL_objectz00_bglt) BgL_tmp1127z00_2434);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2534, BgL_auxz00_2536);
					}
					((BgL_objectz00_bglt) BgL_tmp1127z00_2434);
					{	/* Inline/variant.sch 43 */
						long BgL_arg1287z00_2438;

						BgL_arg1287z00_2438 =
							BGL_CLASS_NUM(BGl_localzf2variantzf2zzinline_variantz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1127z00_2434), BgL_arg1287z00_2438);
					}
					BgL_new1129z00_2433 = ((BgL_localz00_bglt) BgL_tmp1127z00_2434);
				}
				((((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt) BgL_new1129z00_2433)))->BgL_idz00) =
					((obj_t) BgL_id1114z00_3), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1129z00_2433)))->BgL_namez00) =
					((obj_t) BgL_name1115z00_4), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1129z00_2433)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1116z00_5), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1129z00_2433)))->BgL_valuez00) =
					((BgL_valuez00_bglt) BgL_value1117z00_6), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1129z00_2433)))->BgL_accessz00) =
					((obj_t) BgL_access1118z00_7), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1129z00_2433)))->BgL_fastzd2alphazd2) =
					((obj_t) BgL_fastzd2alpha1119zd2_8), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1129z00_2433)))->BgL_removablez00) =
					((obj_t) BgL_removable1120z00_9), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1129z00_2433)))->BgL_occurrencez00) =
					((long) BgL_occurrence1121z00_10), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1129z00_2433)))->BgL_occurrencewz00) =
					((long) BgL_occurrencew1122z00_11), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1129z00_2433)))->BgL_userzf3zf3) =
					((bool_t) BgL_userzf31123zf3_12), BUNSPEC);
				((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt)
									BgL_new1129z00_2433)))->BgL_keyz00) =
					((long) BgL_key1124z00_13), BUNSPEC);
				((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt)
									BgL_new1129z00_2433)))->BgL_valzd2noescapezd2) =
					((obj_t) BTRUE), BUNSPEC);
				((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt)
									BgL_new1129z00_2433)))->BgL_volatilez00) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				{
					BgL_localzf2variantzf2_bglt BgL_auxz00_2570;

					{
						obj_t BgL_auxz00_2571;

						{	/* Inline/variant.sch 43 */
							BgL_objectz00_bglt BgL_tmpz00_2572;

							BgL_tmpz00_2572 = ((BgL_objectz00_bglt) BgL_new1129z00_2433);
							BgL_auxz00_2571 = BGL_OBJECT_WIDENING(BgL_tmpz00_2572);
						}
						BgL_auxz00_2570 = ((BgL_localzf2variantzf2_bglt) BgL_auxz00_2571);
					}
					((((BgL_localzf2variantzf2_bglt) COBJECT(BgL_auxz00_2570))->
							BgL_variantz00) = ((bool_t) BgL_variant1125z00_14), BUNSPEC);
				}
				return BgL_new1129z00_2433;
			}
		}

	}



/* &make-local/variant */
	BgL_localz00_bglt BGl_z62makezd2localzf2variantz42zzinline_variantz00(obj_t
		BgL_envz00_2306, obj_t BgL_id1114z00_2307, obj_t BgL_name1115z00_2308,
		obj_t BgL_type1116z00_2309, obj_t BgL_value1117z00_2310,
		obj_t BgL_access1118z00_2311, obj_t BgL_fastzd2alpha1119zd2_2312,
		obj_t BgL_removable1120z00_2313, obj_t BgL_occurrence1121z00_2314,
		obj_t BgL_occurrencew1122z00_2315, obj_t BgL_userzf31123zf3_2316,
		obj_t BgL_key1124z00_2317, obj_t BgL_variant1125z00_2318)
	{
		{	/* Inline/variant.sch 43 */
			return
				BGl_makezd2localzf2variantz20zzinline_variantz00(BgL_id1114z00_2307,
				BgL_name1115z00_2308, ((BgL_typez00_bglt) BgL_type1116z00_2309),
				((BgL_valuez00_bglt) BgL_value1117z00_2310), BgL_access1118z00_2311,
				BgL_fastzd2alpha1119zd2_2312, BgL_removable1120z00_2313,
				(long) CINT(BgL_occurrence1121z00_2314),
				(long) CINT(BgL_occurrencew1122z00_2315),
				CBOOL(BgL_userzf31123zf3_2316), (long) CINT(BgL_key1124z00_2317),
				CBOOL(BgL_variant1125z00_2318));
		}

	}



/* local/variant? */
	BGL_EXPORTED_DEF bool_t BGl_localzf2variantzf3z01zzinline_variantz00(obj_t
		BgL_objz00_15)
	{
		{	/* Inline/variant.sch 44 */
			{	/* Inline/variant.sch 44 */
				obj_t BgL_classz00_2439;

				BgL_classz00_2439 = BGl_localzf2variantzf2zzinline_variantz00;
				if (BGL_OBJECTP(BgL_objz00_15))
					{	/* Inline/variant.sch 44 */
						BgL_objectz00_bglt BgL_arg1858z00_2440;

						BgL_arg1858z00_2440 = (BgL_objectz00_bglt) (BgL_objz00_15);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Inline/variant.sch 44 */
								long BgL_idxz00_2441;

								BgL_idxz00_2441 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_2440);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_2441 + 3L)) == BgL_classz00_2439);
							}
						else
							{	/* Inline/variant.sch 44 */
								bool_t BgL_res1791z00_2444;

								{	/* Inline/variant.sch 44 */
									obj_t BgL_oclassz00_2445;

									{	/* Inline/variant.sch 44 */
										obj_t BgL_arg1866z00_2446;
										long BgL_arg1867z00_2447;

										BgL_arg1866z00_2446 = (BGl_za2classesza2z00zz__objectz00);
										{	/* Inline/variant.sch 44 */
											long BgL_arg1869z00_2448;

											BgL_arg1869z00_2448 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_2440);
											BgL_arg1867z00_2447 = (BgL_arg1869z00_2448 - OBJECT_TYPE);
										}
										BgL_oclassz00_2445 =
											VECTOR_REF(BgL_arg1866z00_2446, BgL_arg1867z00_2447);
									}
									{	/* Inline/variant.sch 44 */
										bool_t BgL__ortest_1115z00_2449;

										BgL__ortest_1115z00_2449 =
											(BgL_classz00_2439 == BgL_oclassz00_2445);
										if (BgL__ortest_1115z00_2449)
											{	/* Inline/variant.sch 44 */
												BgL_res1791z00_2444 = BgL__ortest_1115z00_2449;
											}
										else
											{	/* Inline/variant.sch 44 */
												long BgL_odepthz00_2450;

												{	/* Inline/variant.sch 44 */
													obj_t BgL_arg1855z00_2451;

													BgL_arg1855z00_2451 = (BgL_oclassz00_2445);
													BgL_odepthz00_2450 =
														BGL_CLASS_DEPTH(BgL_arg1855z00_2451);
												}
												if ((3L < BgL_odepthz00_2450))
													{	/* Inline/variant.sch 44 */
														obj_t BgL_arg1853z00_2452;

														{	/* Inline/variant.sch 44 */
															obj_t BgL_arg1854z00_2453;

															BgL_arg1854z00_2453 = (BgL_oclassz00_2445);
															BgL_arg1853z00_2452 =
																BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_2453,
																3L);
														}
														BgL_res1791z00_2444 =
															(BgL_arg1853z00_2452 == BgL_classz00_2439);
													}
												else
													{	/* Inline/variant.sch 44 */
														BgL_res1791z00_2444 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res1791z00_2444;
							}
					}
				else
					{	/* Inline/variant.sch 44 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &local/variant? */
	obj_t BGl_z62localzf2variantzf3z63zzinline_variantz00(obj_t BgL_envz00_2319,
		obj_t BgL_objz00_2320)
	{
		{	/* Inline/variant.sch 44 */
			return
				BBOOL(BGl_localzf2variantzf3z01zzinline_variantz00(BgL_objz00_2320));
		}

	}



/* local/variant-nil */
	BGL_EXPORTED_DEF BgL_localz00_bglt
		BGl_localzf2variantzd2nilz20zzinline_variantz00(void)
	{
		{	/* Inline/variant.sch 45 */
			{	/* Inline/variant.sch 45 */
				obj_t BgL_classz00_1863;

				BgL_classz00_1863 = BGl_localzf2variantzf2zzinline_variantz00;
				{	/* Inline/variant.sch 45 */
					obj_t BgL__ortest_1117z00_1864;

					BgL__ortest_1117z00_1864 = BGL_CLASS_NIL(BgL_classz00_1863);
					if (CBOOL(BgL__ortest_1117z00_1864))
						{	/* Inline/variant.sch 45 */
							return ((BgL_localz00_bglt) BgL__ortest_1117z00_1864);
						}
					else
						{	/* Inline/variant.sch 45 */
							return
								((BgL_localz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_1863));
						}
				}
			}
		}

	}



/* &local/variant-nil */
	BgL_localz00_bglt BGl_z62localzf2variantzd2nilz42zzinline_variantz00(obj_t
		BgL_envz00_2321)
	{
		{	/* Inline/variant.sch 45 */
			return BGl_localzf2variantzd2nilz20zzinline_variantz00();
		}

	}



/* local/variant-variant */
	BGL_EXPORTED_DEF bool_t
		BGl_localzf2variantzd2variantz20zzinline_variantz00(BgL_localz00_bglt
		BgL_oz00_16)
	{
		{	/* Inline/variant.sch 46 */
			{
				BgL_localzf2variantzf2_bglt BgL_auxz00_2616;

				{
					obj_t BgL_auxz00_2617;

					{	/* Inline/variant.sch 46 */
						BgL_objectz00_bglt BgL_tmpz00_2618;

						BgL_tmpz00_2618 = ((BgL_objectz00_bglt) BgL_oz00_16);
						BgL_auxz00_2617 = BGL_OBJECT_WIDENING(BgL_tmpz00_2618);
					}
					BgL_auxz00_2616 = ((BgL_localzf2variantzf2_bglt) BgL_auxz00_2617);
				}
				return
					(((BgL_localzf2variantzf2_bglt) COBJECT(BgL_auxz00_2616))->
					BgL_variantz00);
			}
		}

	}



/* &local/variant-variant */
	obj_t BGl_z62localzf2variantzd2variantz42zzinline_variantz00(obj_t
		BgL_envz00_2322, obj_t BgL_oz00_2323)
	{
		{	/* Inline/variant.sch 46 */
			return
				BBOOL(BGl_localzf2variantzd2variantz20zzinline_variantz00(
					((BgL_localz00_bglt) BgL_oz00_2323)));
		}

	}



/* local/variant-variant-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2variantzd2variantzd2setz12ze0zzinline_variantz00
		(BgL_localz00_bglt BgL_oz00_17, bool_t BgL_vz00_18)
	{
		{	/* Inline/variant.sch 47 */
			{
				BgL_localzf2variantzf2_bglt BgL_auxz00_2626;

				{
					obj_t BgL_auxz00_2627;

					{	/* Inline/variant.sch 47 */
						BgL_objectz00_bglt BgL_tmpz00_2628;

						BgL_tmpz00_2628 = ((BgL_objectz00_bglt) BgL_oz00_17);
						BgL_auxz00_2627 = BGL_OBJECT_WIDENING(BgL_tmpz00_2628);
					}
					BgL_auxz00_2626 = ((BgL_localzf2variantzf2_bglt) BgL_auxz00_2627);
				}
				return
					((((BgL_localzf2variantzf2_bglt) COBJECT(BgL_auxz00_2626))->
						BgL_variantz00) = ((bool_t) BgL_vz00_18), BUNSPEC);
			}
		}

	}



/* &local/variant-variant-set! */
	obj_t BGl_z62localzf2variantzd2variantzd2setz12z82zzinline_variantz00(obj_t
		BgL_envz00_2324, obj_t BgL_oz00_2325, obj_t BgL_vz00_2326)
	{
		{	/* Inline/variant.sch 47 */
			return
				BGl_localzf2variantzd2variantzd2setz12ze0zzinline_variantz00(
				((BgL_localz00_bglt) BgL_oz00_2325), CBOOL(BgL_vz00_2326));
		}

	}



/* local/variant-key */
	BGL_EXPORTED_DEF long
		BGl_localzf2variantzd2keyz20zzinline_variantz00(BgL_localz00_bglt
		BgL_oz00_19)
	{
		{	/* Inline/variant.sch 48 */
			return
				(((BgL_localz00_bglt) COBJECT(
						((BgL_localz00_bglt) BgL_oz00_19)))->BgL_keyz00);
		}

	}



/* &local/variant-key */
	obj_t BGl_z62localzf2variantzd2keyz42zzinline_variantz00(obj_t
		BgL_envz00_2327, obj_t BgL_oz00_2328)
	{
		{	/* Inline/variant.sch 48 */
			return
				BINT(BGl_localzf2variantzd2keyz20zzinline_variantz00(
					((BgL_localz00_bglt) BgL_oz00_2328)));
		}

	}



/* local/variant-user? */
	BGL_EXPORTED_DEF bool_t
		BGl_localzf2variantzd2userzf3zd3zzinline_variantz00(BgL_localz00_bglt
		BgL_oz00_22)
	{
		{	/* Inline/variant.sch 50 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_22)))->BgL_userzf3zf3);
		}

	}



/* &local/variant-user? */
	obj_t BGl_z62localzf2variantzd2userzf3zb1zzinline_variantz00(obj_t
		BgL_envz00_2329, obj_t BgL_oz00_2330)
	{
		{	/* Inline/variant.sch 50 */
			return
				BBOOL(BGl_localzf2variantzd2userzf3zd3zzinline_variantz00(
					((BgL_localz00_bglt) BgL_oz00_2330)));
		}

	}



/* local/variant-user?-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2variantzd2userzf3zd2setz12z13zzinline_variantz00
		(BgL_localz00_bglt BgL_oz00_23, bool_t BgL_vz00_24)
	{
		{	/* Inline/variant.sch 51 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_23)))->BgL_userzf3zf3) =
				((bool_t) BgL_vz00_24), BUNSPEC);
		}

	}



/* &local/variant-user?-set! */
	obj_t BGl_z62localzf2variantzd2userzf3zd2setz12z71zzinline_variantz00(obj_t
		BgL_envz00_2331, obj_t BgL_oz00_2332, obj_t BgL_vz00_2333)
	{
		{	/* Inline/variant.sch 51 */
			return
				BGl_localzf2variantzd2userzf3zd2setz12z13zzinline_variantz00(
				((BgL_localz00_bglt) BgL_oz00_2332), CBOOL(BgL_vz00_2333));
		}

	}



/* local/variant-occurrencew */
	BGL_EXPORTED_DEF long
		BGl_localzf2variantzd2occurrencewz20zzinline_variantz00(BgL_localz00_bglt
		BgL_oz00_25)
	{
		{	/* Inline/variant.sch 52 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_25)))->BgL_occurrencewz00);
		}

	}



/* &local/variant-occurrencew */
	obj_t BGl_z62localzf2variantzd2occurrencewz42zzinline_variantz00(obj_t
		BgL_envz00_2334, obj_t BgL_oz00_2335)
	{
		{	/* Inline/variant.sch 52 */
			return
				BINT(BGl_localzf2variantzd2occurrencewz20zzinline_variantz00(
					((BgL_localz00_bglt) BgL_oz00_2335)));
		}

	}



/* local/variant-occurrencew-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2variantzd2occurrencewzd2setz12ze0zzinline_variantz00
		(BgL_localz00_bglt BgL_oz00_26, long BgL_vz00_27)
	{
		{	/* Inline/variant.sch 53 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_26)))->BgL_occurrencewz00) =
				((long) BgL_vz00_27), BUNSPEC);
		}

	}



/* &local/variant-occurrencew-set! */
	obj_t
		BGl_z62localzf2variantzd2occurrencewzd2setz12z82zzinline_variantz00(obj_t
		BgL_envz00_2336, obj_t BgL_oz00_2337, obj_t BgL_vz00_2338)
	{
		{	/* Inline/variant.sch 53 */
			return
				BGl_localzf2variantzd2occurrencewzd2setz12ze0zzinline_variantz00(
				((BgL_localz00_bglt) BgL_oz00_2337), (long) CINT(BgL_vz00_2338));
		}

	}



/* local/variant-occurrence */
	BGL_EXPORTED_DEF long
		BGl_localzf2variantzd2occurrencez20zzinline_variantz00(BgL_localz00_bglt
		BgL_oz00_28)
	{
		{	/* Inline/variant.sch 54 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_28)))->BgL_occurrencez00);
		}

	}



/* &local/variant-occurrence */
	obj_t BGl_z62localzf2variantzd2occurrencez42zzinline_variantz00(obj_t
		BgL_envz00_2339, obj_t BgL_oz00_2340)
	{
		{	/* Inline/variant.sch 54 */
			return
				BINT(BGl_localzf2variantzd2occurrencez20zzinline_variantz00(
					((BgL_localz00_bglt) BgL_oz00_2340)));
		}

	}



/* local/variant-occurrence-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2variantzd2occurrencezd2setz12ze0zzinline_variantz00
		(BgL_localz00_bglt BgL_oz00_29, long BgL_vz00_30)
	{
		{	/* Inline/variant.sch 55 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_29)))->BgL_occurrencez00) =
				((long) BgL_vz00_30), BUNSPEC);
		}

	}



/* &local/variant-occurrence-set! */
	obj_t BGl_z62localzf2variantzd2occurrencezd2setz12z82zzinline_variantz00(obj_t
		BgL_envz00_2341, obj_t BgL_oz00_2342, obj_t BgL_vz00_2343)
	{
		{	/* Inline/variant.sch 55 */
			return
				BGl_localzf2variantzd2occurrencezd2setz12ze0zzinline_variantz00(
				((BgL_localz00_bglt) BgL_oz00_2342), (long) CINT(BgL_vz00_2343));
		}

	}



/* local/variant-removable */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2variantzd2removablez20zzinline_variantz00(BgL_localz00_bglt
		BgL_oz00_31)
	{
		{	/* Inline/variant.sch 56 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_31)))->BgL_removablez00);
		}

	}



/* &local/variant-removable */
	obj_t BGl_z62localzf2variantzd2removablez42zzinline_variantz00(obj_t
		BgL_envz00_2344, obj_t BgL_oz00_2345)
	{
		{	/* Inline/variant.sch 56 */
			return
				BGl_localzf2variantzd2removablez20zzinline_variantz00(
				((BgL_localz00_bglt) BgL_oz00_2345));
		}

	}



/* local/variant-removable-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2variantzd2removablezd2setz12ze0zzinline_variantz00
		(BgL_localz00_bglt BgL_oz00_32, obj_t BgL_vz00_33)
	{
		{	/* Inline/variant.sch 57 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_32)))->BgL_removablez00) =
				((obj_t) BgL_vz00_33), BUNSPEC);
		}

	}



/* &local/variant-removable-set! */
	obj_t BGl_z62localzf2variantzd2removablezd2setz12z82zzinline_variantz00(obj_t
		BgL_envz00_2346, obj_t BgL_oz00_2347, obj_t BgL_vz00_2348)
	{
		{	/* Inline/variant.sch 57 */
			return
				BGl_localzf2variantzd2removablezd2setz12ze0zzinline_variantz00(
				((BgL_localz00_bglt) BgL_oz00_2347), BgL_vz00_2348);
		}

	}



/* local/variant-fast-alpha */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2variantzd2fastzd2alphazf2zzinline_variantz00(BgL_localz00_bglt
		BgL_oz00_34)
	{
		{	/* Inline/variant.sch 58 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_34)))->BgL_fastzd2alphazd2);
		}

	}



/* &local/variant-fast-alpha */
	obj_t BGl_z62localzf2variantzd2fastzd2alphaz90zzinline_variantz00(obj_t
		BgL_envz00_2349, obj_t BgL_oz00_2350)
	{
		{	/* Inline/variant.sch 58 */
			return
				BGl_localzf2variantzd2fastzd2alphazf2zzinline_variantz00(
				((BgL_localz00_bglt) BgL_oz00_2350));
		}

	}



/* local/variant-fast-alpha-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2variantzd2fastzd2alphazd2setz12z32zzinline_variantz00
		(BgL_localz00_bglt BgL_oz00_35, obj_t BgL_vz00_36)
	{
		{	/* Inline/variant.sch 59 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_35)))->BgL_fastzd2alphazd2) =
				((obj_t) BgL_vz00_36), BUNSPEC);
		}

	}



/* &local/variant-fast-alpha-set! */
	obj_t
		BGl_z62localzf2variantzd2fastzd2alphazd2setz12z50zzinline_variantz00(obj_t
		BgL_envz00_2351, obj_t BgL_oz00_2352, obj_t BgL_vz00_2353)
	{
		{	/* Inline/variant.sch 59 */
			return
				BGl_localzf2variantzd2fastzd2alphazd2setz12z32zzinline_variantz00(
				((BgL_localz00_bglt) BgL_oz00_2352), BgL_vz00_2353);
		}

	}



/* local/variant-access */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2variantzd2accessz20zzinline_variantz00(BgL_localz00_bglt
		BgL_oz00_37)
	{
		{	/* Inline/variant.sch 60 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_37)))->BgL_accessz00);
		}

	}



/* &local/variant-access */
	obj_t BGl_z62localzf2variantzd2accessz42zzinline_variantz00(obj_t
		BgL_envz00_2354, obj_t BgL_oz00_2355)
	{
		{	/* Inline/variant.sch 60 */
			return
				BGl_localzf2variantzd2accessz20zzinline_variantz00(
				((BgL_localz00_bglt) BgL_oz00_2355));
		}

	}



/* local/variant-access-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2variantzd2accesszd2setz12ze0zzinline_variantz00
		(BgL_localz00_bglt BgL_oz00_38, obj_t BgL_vz00_39)
	{
		{	/* Inline/variant.sch 61 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_38)))->BgL_accessz00) =
				((obj_t) BgL_vz00_39), BUNSPEC);
		}

	}



/* &local/variant-access-set! */
	obj_t BGl_z62localzf2variantzd2accesszd2setz12z82zzinline_variantz00(obj_t
		BgL_envz00_2356, obj_t BgL_oz00_2357, obj_t BgL_vz00_2358)
	{
		{	/* Inline/variant.sch 61 */
			return
				BGl_localzf2variantzd2accesszd2setz12ze0zzinline_variantz00(
				((BgL_localz00_bglt) BgL_oz00_2357), BgL_vz00_2358);
		}

	}



/* local/variant-value */
	BGL_EXPORTED_DEF BgL_valuez00_bglt
		BGl_localzf2variantzd2valuez20zzinline_variantz00(BgL_localz00_bglt
		BgL_oz00_40)
	{
		{	/* Inline/variant.sch 62 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_40)))->BgL_valuez00);
		}

	}



/* &local/variant-value */
	BgL_valuez00_bglt BGl_z62localzf2variantzd2valuez42zzinline_variantz00(obj_t
		BgL_envz00_2359, obj_t BgL_oz00_2360)
	{
		{	/* Inline/variant.sch 62 */
			return
				BGl_localzf2variantzd2valuez20zzinline_variantz00(
				((BgL_localz00_bglt) BgL_oz00_2360));
		}

	}



/* local/variant-value-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2variantzd2valuezd2setz12ze0zzinline_variantz00(BgL_localz00_bglt
		BgL_oz00_41, BgL_valuez00_bglt BgL_vz00_42)
	{
		{	/* Inline/variant.sch 63 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_41)))->BgL_valuez00) =
				((BgL_valuez00_bglt) BgL_vz00_42), BUNSPEC);
		}

	}



/* &local/variant-value-set! */
	obj_t BGl_z62localzf2variantzd2valuezd2setz12z82zzinline_variantz00(obj_t
		BgL_envz00_2361, obj_t BgL_oz00_2362, obj_t BgL_vz00_2363)
	{
		{	/* Inline/variant.sch 63 */
			return
				BGl_localzf2variantzd2valuezd2setz12ze0zzinline_variantz00(
				((BgL_localz00_bglt) BgL_oz00_2362),
				((BgL_valuez00_bglt) BgL_vz00_2363));
		}

	}



/* local/variant-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_localzf2variantzd2typez20zzinline_variantz00(BgL_localz00_bglt
		BgL_oz00_43)
	{
		{	/* Inline/variant.sch 64 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_43)))->BgL_typez00);
		}

	}



/* &local/variant-type */
	BgL_typez00_bglt BGl_z62localzf2variantzd2typez42zzinline_variantz00(obj_t
		BgL_envz00_2364, obj_t BgL_oz00_2365)
	{
		{	/* Inline/variant.sch 64 */
			return
				BGl_localzf2variantzd2typez20zzinline_variantz00(
				((BgL_localz00_bglt) BgL_oz00_2365));
		}

	}



/* local/variant-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2variantzd2typezd2setz12ze0zzinline_variantz00(BgL_localz00_bglt
		BgL_oz00_44, BgL_typez00_bglt BgL_vz00_45)
	{
		{	/* Inline/variant.sch 65 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_44)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_45), BUNSPEC);
		}

	}



/* &local/variant-type-set! */
	obj_t BGl_z62localzf2variantzd2typezd2setz12z82zzinline_variantz00(obj_t
		BgL_envz00_2366, obj_t BgL_oz00_2367, obj_t BgL_vz00_2368)
	{
		{	/* Inline/variant.sch 65 */
			return
				BGl_localzf2variantzd2typezd2setz12ze0zzinline_variantz00(
				((BgL_localz00_bglt) BgL_oz00_2367),
				((BgL_typez00_bglt) BgL_vz00_2368));
		}

	}



/* local/variant-name */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2variantzd2namez20zzinline_variantz00(BgL_localz00_bglt
		BgL_oz00_46)
	{
		{	/* Inline/variant.sch 66 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_46)))->BgL_namez00);
		}

	}



/* &local/variant-name */
	obj_t BGl_z62localzf2variantzd2namez42zzinline_variantz00(obj_t
		BgL_envz00_2369, obj_t BgL_oz00_2370)
	{
		{	/* Inline/variant.sch 66 */
			return
				BGl_localzf2variantzd2namez20zzinline_variantz00(
				((BgL_localz00_bglt) BgL_oz00_2370));
		}

	}



/* local/variant-name-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2variantzd2namezd2setz12ze0zzinline_variantz00(BgL_localz00_bglt
		BgL_oz00_47, obj_t BgL_vz00_48)
	{
		{	/* Inline/variant.sch 67 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_47)))->BgL_namez00) =
				((obj_t) BgL_vz00_48), BUNSPEC);
		}

	}



/* &local/variant-name-set! */
	obj_t BGl_z62localzf2variantzd2namezd2setz12z82zzinline_variantz00(obj_t
		BgL_envz00_2371, obj_t BgL_oz00_2372, obj_t BgL_vz00_2373)
	{
		{	/* Inline/variant.sch 67 */
			return
				BGl_localzf2variantzd2namezd2setz12ze0zzinline_variantz00(
				((BgL_localz00_bglt) BgL_oz00_2372), BgL_vz00_2373);
		}

	}



/* local/variant-id */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2variantzd2idz20zzinline_variantz00(BgL_localz00_bglt
		BgL_oz00_49)
	{
		{	/* Inline/variant.sch 68 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_49)))->BgL_idz00);
		}

	}



/* &local/variant-id */
	obj_t BGl_z62localzf2variantzd2idz42zzinline_variantz00(obj_t BgL_envz00_2374,
		obj_t BgL_oz00_2375)
	{
		{	/* Inline/variant.sch 68 */
			return
				BGl_localzf2variantzd2idz20zzinline_variantz00(
				((BgL_localz00_bglt) BgL_oz00_2375));
		}

	}



/* invariant-args */
	BGL_EXPORTED_DEF obj_t
		BGl_invariantzd2argszd2zzinline_variantz00(BgL_nodez00_bglt BgL_nodez00_52,
		BgL_variablez00_bglt BgL_varz00_53, obj_t BgL_callsz00_54)
	{
		{	/* Inline/variant.scm 36 */
			{	/* Inline/variant.scm 37 */
				BgL_valuez00_bglt BgL_funz00_1421;

				BgL_funz00_1421 =
					(((BgL_variablez00_bglt) COBJECT(BgL_varz00_53))->BgL_valuez00);
				{	/* Inline/variant.scm 37 */
					obj_t BgL_argsz00_1422;

					BgL_argsz00_1422 =
						(((BgL_sfunz00_bglt) COBJECT(
								((BgL_sfunz00_bglt) BgL_funz00_1421)))->BgL_argsz00);
					{	/* Inline/variant.scm 38 */
						obj_t BgL_valsz00_1423;

						BgL_valsz00_1423 =
							(((BgL_appz00_bglt) COBJECT(
									((BgL_appz00_bglt) BgL_nodez00_52)))->BgL_argsz00);
						{	/* Inline/variant.scm 39 */

							{
								obj_t BgL_ll1270z00_1425;
								obj_t BgL_ll1271z00_1426;

								BgL_ll1270z00_1425 = BgL_argsz00_1422;
								BgL_ll1271z00_1426 = BgL_valsz00_1423;
							BgL_zc3z04anonymousza31289ze3z87_1427:
								if (NULLP(BgL_ll1270z00_1425))
									{	/* Inline/variant.scm 42 */
										((bool_t) 1);
									}
								else
									{	/* Inline/variant.scm 42 */
										{	/* Inline/variant.scm 43 */
											obj_t BgL_localz00_1429;
											obj_t BgL_valz00_1430;

											BgL_localz00_1429 = CAR(((obj_t) BgL_ll1270z00_1425));
											BgL_valz00_1430 = CAR(((obj_t) BgL_ll1271z00_1426));
											{	/* Inline/variant.scm 43 */
												bool_t BgL_test1860z00_2736;

												if (
													((((BgL_variablez00_bglt) COBJECT(
																	((BgL_variablez00_bglt)
																		((BgL_localz00_bglt) BgL_localz00_1429))))->
															BgL_accessz00) == ((obj_t) CNST_TABLE_REF(0))))
													{	/* Inline/variant.scm 44 */
														bool_t BgL__ortest_1130z00_1451;

														{	/* Inline/variant.scm 44 */
															obj_t BgL_classz00_1873;

															BgL_classz00_1873 = BGl_atomz00zzast_nodez00;
															if (BGL_OBJECTP(BgL_valz00_1430))
																{	/* Inline/variant.scm 44 */
																	BgL_objectz00_bglt BgL_arg1858z00_1875;

																	BgL_arg1858z00_1875 =
																		(BgL_objectz00_bglt) (BgL_valz00_1430);
																	if (BGL_CONDEXPAND_ISA_ARCH64())
																		{	/* Inline/variant.scm 44 */
																			long BgL_idxz00_1881;

																			BgL_idxz00_1881 =
																				BGL_OBJECT_INHERITANCE_NUM
																				(BgL_arg1858z00_1875);
																			BgL__ortest_1130z00_1451 =
																				(VECTOR_REF
																				(BGl_za2inheritancesza2z00zz__objectz00,
																					(BgL_idxz00_1881 + 2L)) ==
																				BgL_classz00_1873);
																		}
																	else
																		{	/* Inline/variant.scm 44 */
																			bool_t BgL_res1792z00_1906;

																			{	/* Inline/variant.scm 44 */
																				obj_t BgL_oclassz00_1889;

																				{	/* Inline/variant.scm 44 */
																					obj_t BgL_arg1866z00_1897;
																					long BgL_arg1867z00_1898;

																					BgL_arg1866z00_1897 =
																						(BGl_za2classesza2z00zz__objectz00);
																					{	/* Inline/variant.scm 44 */
																						long BgL_arg1869z00_1899;

																						BgL_arg1869z00_1899 =
																							BGL_OBJECT_CLASS_NUM
																							(BgL_arg1858z00_1875);
																						BgL_arg1867z00_1898 =
																							(BgL_arg1869z00_1899 -
																							OBJECT_TYPE);
																					}
																					BgL_oclassz00_1889 =
																						VECTOR_REF(BgL_arg1866z00_1897,
																						BgL_arg1867z00_1898);
																				}
																				{	/* Inline/variant.scm 44 */
																					bool_t BgL__ortest_1115z00_1890;

																					BgL__ortest_1115z00_1890 =
																						(BgL_classz00_1873 ==
																						BgL_oclassz00_1889);
																					if (BgL__ortest_1115z00_1890)
																						{	/* Inline/variant.scm 44 */
																							BgL_res1792z00_1906 =
																								BgL__ortest_1115z00_1890;
																						}
																					else
																						{	/* Inline/variant.scm 44 */
																							long BgL_odepthz00_1891;

																							{	/* Inline/variant.scm 44 */
																								obj_t BgL_arg1855z00_1892;

																								BgL_arg1855z00_1892 =
																									(BgL_oclassz00_1889);
																								BgL_odepthz00_1891 =
																									BGL_CLASS_DEPTH
																									(BgL_arg1855z00_1892);
																							}
																							if ((2L < BgL_odepthz00_1891))
																								{	/* Inline/variant.scm 44 */
																									obj_t BgL_arg1853z00_1894;

																									{	/* Inline/variant.scm 44 */
																										obj_t BgL_arg1854z00_1895;

																										BgL_arg1854z00_1895 =
																											(BgL_oclassz00_1889);
																										BgL_arg1853z00_1894 =
																											BGL_CLASS_ANCESTORS_REF
																											(BgL_arg1854z00_1895, 2L);
																									}
																									BgL_res1792z00_1906 =
																										(BgL_arg1853z00_1894 ==
																										BgL_classz00_1873);
																								}
																							else
																								{	/* Inline/variant.scm 44 */
																									BgL_res1792z00_1906 =
																										((bool_t) 0);
																								}
																						}
																				}
																			}
																			BgL__ortest_1130z00_1451 =
																				BgL_res1792z00_1906;
																		}
																}
															else
																{	/* Inline/variant.scm 44 */
																	BgL__ortest_1130z00_1451 = ((bool_t) 0);
																}
														}
														if (BgL__ortest_1130z00_1451)
															{	/* Inline/variant.scm 44 */
																BgL_test1860z00_2736 = BgL__ortest_1130z00_1451;
															}
														else
															{	/* Inline/variant.scm 45 */
																bool_t BgL__ortest_1131z00_1452;

																{	/* Inline/variant.scm 45 */
																	obj_t BgL_classz00_1907;

																	BgL_classz00_1907 = BGl_kwotez00zzast_nodez00;
																	if (BGL_OBJECTP(BgL_valz00_1430))
																		{	/* Inline/variant.scm 45 */
																			BgL_objectz00_bglt BgL_arg1858z00_1909;

																			BgL_arg1858z00_1909 =
																				(BgL_objectz00_bglt) (BgL_valz00_1430);
																			if (BGL_CONDEXPAND_ISA_ARCH64())
																				{	/* Inline/variant.scm 45 */
																					long BgL_idxz00_1915;

																					BgL_idxz00_1915 =
																						BGL_OBJECT_INHERITANCE_NUM
																						(BgL_arg1858z00_1909);
																					BgL__ortest_1131z00_1452 =
																						(VECTOR_REF
																						(BGl_za2inheritancesza2z00zz__objectz00,
																							(BgL_idxz00_1915 + 2L)) ==
																						BgL_classz00_1907);
																				}
																			else
																				{	/* Inline/variant.scm 45 */
																					bool_t BgL_res1793z00_1940;

																					{	/* Inline/variant.scm 45 */
																						obj_t BgL_oclassz00_1923;

																						{	/* Inline/variant.scm 45 */
																							obj_t BgL_arg1866z00_1931;
																							long BgL_arg1867z00_1932;

																							BgL_arg1866z00_1931 =
																								(BGl_za2classesza2z00zz__objectz00);
																							{	/* Inline/variant.scm 45 */
																								long BgL_arg1869z00_1933;

																								BgL_arg1869z00_1933 =
																									BGL_OBJECT_CLASS_NUM
																									(BgL_arg1858z00_1909);
																								BgL_arg1867z00_1932 =
																									(BgL_arg1869z00_1933 -
																									OBJECT_TYPE);
																							}
																							BgL_oclassz00_1923 =
																								VECTOR_REF(BgL_arg1866z00_1931,
																								BgL_arg1867z00_1932);
																						}
																						{	/* Inline/variant.scm 45 */
																							bool_t BgL__ortest_1115z00_1924;

																							BgL__ortest_1115z00_1924 =
																								(BgL_classz00_1907 ==
																								BgL_oclassz00_1923);
																							if (BgL__ortest_1115z00_1924)
																								{	/* Inline/variant.scm 45 */
																									BgL_res1793z00_1940 =
																										BgL__ortest_1115z00_1924;
																								}
																							else
																								{	/* Inline/variant.scm 45 */
																									long BgL_odepthz00_1925;

																									{	/* Inline/variant.scm 45 */
																										obj_t BgL_arg1855z00_1926;

																										BgL_arg1855z00_1926 =
																											(BgL_oclassz00_1923);
																										BgL_odepthz00_1925 =
																											BGL_CLASS_DEPTH
																											(BgL_arg1855z00_1926);
																									}
																									if ((2L < BgL_odepthz00_1925))
																										{	/* Inline/variant.scm 45 */
																											obj_t BgL_arg1853z00_1928;

																											{	/* Inline/variant.scm 45 */
																												obj_t
																													BgL_arg1854z00_1929;
																												BgL_arg1854z00_1929 =
																													(BgL_oclassz00_1923);
																												BgL_arg1853z00_1928 =
																													BGL_CLASS_ANCESTORS_REF
																													(BgL_arg1854z00_1929,
																													2L);
																											}
																											BgL_res1793z00_1940 =
																												(BgL_arg1853z00_1928 ==
																												BgL_classz00_1907);
																										}
																									else
																										{	/* Inline/variant.scm 45 */
																											BgL_res1793z00_1940 =
																												((bool_t) 0);
																										}
																								}
																						}
																					}
																					BgL__ortest_1131z00_1452 =
																						BgL_res1793z00_1940;
																				}
																		}
																	else
																		{	/* Inline/variant.scm 45 */
																			BgL__ortest_1131z00_1452 = ((bool_t) 0);
																		}
																}
																if (BgL__ortest_1131z00_1452)
																	{	/* Inline/variant.scm 45 */
																		BgL_test1860z00_2736 =
																			BgL__ortest_1131z00_1452;
																	}
																else
																	{	/* Inline/variant.scm 46 */
																		bool_t BgL_test1873z00_2790;

																		{	/* Inline/variant.scm 46 */
																			obj_t BgL_classz00_1941;

																			BgL_classz00_1941 =
																				BGl_varz00zzast_nodez00;
																			if (BGL_OBJECTP(BgL_valz00_1430))
																				{	/* Inline/variant.scm 46 */
																					BgL_objectz00_bglt
																						BgL_arg1858z00_1943;
																					BgL_arg1858z00_1943 =
																						(BgL_objectz00_bglt)
																						(BgL_valz00_1430);
																					if (BGL_CONDEXPAND_ISA_ARCH64())
																						{	/* Inline/variant.scm 46 */
																							long BgL_idxz00_1949;

																							BgL_idxz00_1949 =
																								BGL_OBJECT_INHERITANCE_NUM
																								(BgL_arg1858z00_1943);
																							BgL_test1873z00_2790 =
																								(VECTOR_REF
																								(BGl_za2inheritancesza2z00zz__objectz00,
																									(BgL_idxz00_1949 + 2L)) ==
																								BgL_classz00_1941);
																						}
																					else
																						{	/* Inline/variant.scm 46 */
																							bool_t BgL_res1794z00_1974;

																							{	/* Inline/variant.scm 46 */
																								obj_t BgL_oclassz00_1957;

																								{	/* Inline/variant.scm 46 */
																									obj_t BgL_arg1866z00_1965;
																									long BgL_arg1867z00_1966;

																									BgL_arg1866z00_1965 =
																										(BGl_za2classesza2z00zz__objectz00);
																									{	/* Inline/variant.scm 46 */
																										long BgL_arg1869z00_1967;

																										BgL_arg1869z00_1967 =
																											BGL_OBJECT_CLASS_NUM
																											(BgL_arg1858z00_1943);
																										BgL_arg1867z00_1966 =
																											(BgL_arg1869z00_1967 -
																											OBJECT_TYPE);
																									}
																									BgL_oclassz00_1957 =
																										VECTOR_REF
																										(BgL_arg1866z00_1965,
																										BgL_arg1867z00_1966);
																								}
																								{	/* Inline/variant.scm 46 */
																									bool_t
																										BgL__ortest_1115z00_1958;
																									BgL__ortest_1115z00_1958 =
																										(BgL_classz00_1941 ==
																										BgL_oclassz00_1957);
																									if (BgL__ortest_1115z00_1958)
																										{	/* Inline/variant.scm 46 */
																											BgL_res1794z00_1974 =
																												BgL__ortest_1115z00_1958;
																										}
																									else
																										{	/* Inline/variant.scm 46 */
																											long BgL_odepthz00_1959;

																											{	/* Inline/variant.scm 46 */
																												obj_t
																													BgL_arg1855z00_1960;
																												BgL_arg1855z00_1960 =
																													(BgL_oclassz00_1957);
																												BgL_odepthz00_1959 =
																													BGL_CLASS_DEPTH
																													(BgL_arg1855z00_1960);
																											}
																											if (
																												(2L <
																													BgL_odepthz00_1959))
																												{	/* Inline/variant.scm 46 */
																													obj_t
																														BgL_arg1853z00_1962;
																													{	/* Inline/variant.scm 46 */
																														obj_t
																															BgL_arg1854z00_1963;
																														BgL_arg1854z00_1963
																															=
																															(BgL_oclassz00_1957);
																														BgL_arg1853z00_1962
																															=
																															BGL_CLASS_ANCESTORS_REF
																															(BgL_arg1854z00_1963,
																															2L);
																													}
																													BgL_res1794z00_1974 =
																														(BgL_arg1853z00_1962
																														==
																														BgL_classz00_1941);
																												}
																											else
																												{	/* Inline/variant.scm 46 */
																													BgL_res1794z00_1974 =
																														((bool_t) 0);
																												}
																										}
																								}
																							}
																							BgL_test1873z00_2790 =
																								BgL_res1794z00_1974;
																						}
																				}
																			else
																				{	/* Inline/variant.scm 46 */
																					BgL_test1873z00_2790 = ((bool_t) 0);
																				}
																		}
																		if (BgL_test1873z00_2790)
																			{	/* Inline/variant.scm 46 */
																				BgL_test1860z00_2736 =
																					(
																					(((BgL_variablez00_bglt) COBJECT(
																								(((BgL_varz00_bglt) COBJECT(
																											((BgL_varz00_bglt)
																												BgL_valz00_1430)))->
																									BgL_variablez00)))->
																						BgL_accessz00) ==
																					((obj_t) CNST_TABLE_REF(0)));
																			}
																		else
																			{	/* Inline/variant.scm 46 */
																				BgL_test1860z00_2736 = ((bool_t) 0);
																			}
																	}
															}
													}
												else
													{	/* Inline/variant.scm 43 */
														BgL_test1860z00_2736 = ((bool_t) 0);
													}
												if (BgL_test1860z00_2736)
													{	/* Inline/variant.scm 43 */
														{	/* Inline/variant.scm 49 */
															BgL_localzf2variantzf2_bglt BgL_wide1135z00_1442;

															BgL_wide1135z00_1442 =
																((BgL_localzf2variantzf2_bglt)
																BOBJECT(GC_MALLOC(sizeof(struct
																			BgL_localzf2variantzf2_bgl))));
															{	/* Inline/variant.scm 49 */
																obj_t BgL_auxz00_2824;
																BgL_objectz00_bglt BgL_tmpz00_2820;

																BgL_auxz00_2824 =
																	((obj_t) BgL_wide1135z00_1442);
																BgL_tmpz00_2820 =
																	((BgL_objectz00_bglt)
																	((BgL_localz00_bglt)
																		((BgL_localz00_bglt) BgL_localz00_1429)));
																BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2820,
																	BgL_auxz00_2824);
															}
															((BgL_objectz00_bglt)
																((BgL_localz00_bglt)
																	((BgL_localz00_bglt) BgL_localz00_1429)));
															{	/* Inline/variant.scm 49 */
																long BgL_arg1297z00_1443;

																BgL_arg1297z00_1443 =
																	BGL_CLASS_NUM
																	(BGl_localzf2variantzf2zzinline_variantz00);
																BGL_OBJECT_CLASS_NUM_SET(((BgL_objectz00_bglt) (
																			(BgL_localz00_bglt) ((BgL_localz00_bglt)
																				BgL_localz00_1429))),
																	BgL_arg1297z00_1443);
															}
															((BgL_localz00_bglt)
																((BgL_localz00_bglt)
																	((BgL_localz00_bglt) BgL_localz00_1429)));
														}
														{
															BgL_localzf2variantzf2_bglt BgL_auxz00_2838;

															{
																obj_t BgL_auxz00_2839;

																{	/* Inline/variant.scm 49 */
																	BgL_objectz00_bglt BgL_tmpz00_2840;

																	BgL_tmpz00_2840 =
																		((BgL_objectz00_bglt)
																		((BgL_localz00_bglt)
																			((BgL_localz00_bglt) BgL_localz00_1429)));
																	BgL_auxz00_2839 =
																		BGL_OBJECT_WIDENING(BgL_tmpz00_2840);
																}
																BgL_auxz00_2838 =
																	((BgL_localzf2variantzf2_bglt)
																	BgL_auxz00_2839);
															}
															((((BgL_localzf2variantzf2_bglt)
																		COBJECT(BgL_auxz00_2838))->BgL_variantz00) =
																((bool_t) ((bool_t) 0)), BUNSPEC);
														}
														((BgL_localz00_bglt)
															((BgL_localz00_bglt) BgL_localz00_1429));
													}
												else
													{	/* Inline/variant.scm 43 */
														{	/* Inline/variant.scm 50 */
															BgL_localzf2variantzf2_bglt BgL_wide1139z00_1447;

															BgL_wide1139z00_1447 =
																((BgL_localzf2variantzf2_bglt)
																BOBJECT(GC_MALLOC(sizeof(struct
																			BgL_localzf2variantzf2_bgl))));
															{	/* Inline/variant.scm 50 */
																obj_t BgL_auxz00_2854;
																BgL_objectz00_bglt BgL_tmpz00_2850;

																BgL_auxz00_2854 =
																	((obj_t) BgL_wide1139z00_1447);
																BgL_tmpz00_2850 =
																	((BgL_objectz00_bglt)
																	((BgL_localz00_bglt)
																		((BgL_localz00_bglt) BgL_localz00_1429)));
																BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2850,
																	BgL_auxz00_2854);
															}
															((BgL_objectz00_bglt)
																((BgL_localz00_bglt)
																	((BgL_localz00_bglt) BgL_localz00_1429)));
															{	/* Inline/variant.scm 50 */
																long BgL_arg1298z00_1448;

																BgL_arg1298z00_1448 =
																	BGL_CLASS_NUM
																	(BGl_localzf2variantzf2zzinline_variantz00);
																BGL_OBJECT_CLASS_NUM_SET(((BgL_objectz00_bglt) (
																			(BgL_localz00_bglt) ((BgL_localz00_bglt)
																				BgL_localz00_1429))),
																	BgL_arg1298z00_1448);
															}
															((BgL_localz00_bglt)
																((BgL_localz00_bglt)
																	((BgL_localz00_bglt) BgL_localz00_1429)));
														}
														{
															BgL_localzf2variantzf2_bglt BgL_auxz00_2868;

															{
																obj_t BgL_auxz00_2869;

																{	/* Inline/variant.scm 50 */
																	BgL_objectz00_bglt BgL_tmpz00_2870;

																	BgL_tmpz00_2870 =
																		((BgL_objectz00_bglt)
																		((BgL_localz00_bglt)
																			((BgL_localz00_bglt) BgL_localz00_1429)));
																	BgL_auxz00_2869 =
																		BGL_OBJECT_WIDENING(BgL_tmpz00_2870);
																}
																BgL_auxz00_2868 =
																	((BgL_localzf2variantzf2_bglt)
																	BgL_auxz00_2869);
															}
															((((BgL_localzf2variantzf2_bglt)
																		COBJECT(BgL_auxz00_2868))->BgL_variantz00) =
																((bool_t) ((bool_t) 1)), BUNSPEC);
														}
														((BgL_localz00_bglt)
															((BgL_localz00_bglt) BgL_localz00_1429));
										}}}
										{	/* Inline/variant.scm 42 */
											obj_t BgL_arg1303z00_1457;
											obj_t BgL_arg1304z00_1458;

											BgL_arg1303z00_1457 = CDR(((obj_t) BgL_ll1270z00_1425));
											BgL_arg1304z00_1458 = CDR(((obj_t) BgL_ll1271z00_1426));
											{
												obj_t BgL_ll1271z00_2884;
												obj_t BgL_ll1270z00_2883;

												BgL_ll1270z00_2883 = BgL_arg1303z00_1457;
												BgL_ll1271z00_2884 = BgL_arg1304z00_1458;
												BgL_ll1271z00_1426 = BgL_ll1271z00_2884;
												BgL_ll1270z00_1425 = BgL_ll1270z00_2883;
												goto BgL_zc3z04anonymousza31289ze3z87_1427;
											}
										}
									}
							}
							{
								obj_t BgL_l1275z00_1461;

								BgL_l1275z00_1461 = BgL_callsz00_54;
							BgL_zc3z04anonymousza31305ze3z87_1462:
								if (PAIRP(BgL_l1275z00_1461))
									{	/* Inline/variant.scm 53 */
										{	/* Inline/variant.scm 54 */
											BgL_appz00_bglt BgL_appz00_1464;

											BgL_appz00_1464 =
												((BgL_appz00_bglt) CAR(BgL_l1275z00_1461));
											{	/* Inline/variant.scm 54 */
												obj_t BgL_g1141z00_1465;

												BgL_g1141z00_1465 =
													(((BgL_appz00_bglt) COBJECT(BgL_appz00_1464))->
													BgL_argsz00);
												{
													obj_t BgL_actualsz00_1467;
													obj_t BgL_argsz00_1468;

													BgL_actualsz00_1467 = BgL_g1141z00_1465;
													BgL_argsz00_1468 = BgL_argsz00_1422;
												BgL_zc3z04anonymousza31307ze3z87_1469:
													if (NULLP(BgL_argsz00_1468))
														{	/* Inline/variant.scm 57 */
															((obj_t) CNST_TABLE_REF(1));
														}
													else
														{	/* Inline/variant.scm 57 */
															if (NULLP(BgL_actualsz00_1467))
																{
																	obj_t BgL_l1273z00_1473;

																	{	/* Inline/variant.scm 60 */
																		bool_t BgL_tmpz00_2896;

																		BgL_l1273z00_1473 = BgL_argsz00_1468;
																	BgL_zc3z04anonymousza31310ze3z87_1474:
																		if (PAIRP(BgL_l1273z00_1473))
																			{	/* Inline/variant.scm 60 */
																				{	/* Inline/variant.scm 61 */
																					obj_t BgL_localz00_1476;

																					BgL_localz00_1476 =
																						CAR(BgL_l1273z00_1473);
																					{
																						BgL_localzf2variantzf2_bglt
																							BgL_auxz00_2900;
																						{
																							obj_t BgL_auxz00_2901;

																							{	/* Inline/variant.scm 61 */
																								BgL_objectz00_bglt
																									BgL_tmpz00_2902;
																								BgL_tmpz00_2902 =
																									((BgL_objectz00_bglt) (
																										(BgL_localz00_bglt)
																										BgL_localz00_1476));
																								BgL_auxz00_2901 =
																									BGL_OBJECT_WIDENING
																									(BgL_tmpz00_2902);
																							}
																							BgL_auxz00_2900 =
																								((BgL_localzf2variantzf2_bglt)
																								BgL_auxz00_2901);
																						}
																						((((BgL_localzf2variantzf2_bglt)
																									COBJECT(BgL_auxz00_2900))->
																								BgL_variantz00) =
																							((bool_t) ((bool_t) 1)), BUNSPEC);
																					}
																				}
																				{
																					obj_t BgL_l1273z00_2908;

																					BgL_l1273z00_2908 =
																						CDR(BgL_l1273z00_1473);
																					BgL_l1273z00_1473 = BgL_l1273z00_2908;
																					goto
																						BgL_zc3z04anonymousza31310ze3z87_1474;
																				}
																			}
																		else
																			{	/* Inline/variant.scm 60 */
																				BgL_tmpz00_2896 = ((bool_t) 1);
																			}
																		BBOOL(BgL_tmpz00_2896);
																	}
																}
															else
																{	/* Inline/variant.scm 63 */
																	bool_t BgL_test1883z00_2911;

																	{	/* Inline/variant.scm 63 */
																		bool_t BgL_test1885z00_2912;

																		{	/* Inline/variant.scm 63 */
																			obj_t BgL_arg1338z00_1495;

																			BgL_arg1338z00_1495 =
																				CAR(((obj_t) BgL_actualsz00_1467));
																			{	/* Inline/variant.scm 63 */
																				obj_t BgL_classz00_1997;

																				BgL_classz00_1997 =
																					BGl_varz00zzast_nodez00;
																				if (BGL_OBJECTP(BgL_arg1338z00_1495))
																					{	/* Inline/variant.scm 63 */
																						BgL_objectz00_bglt
																							BgL_arg1858z00_1999;
																						BgL_arg1858z00_1999 =
																							(BgL_objectz00_bglt)
																							(BgL_arg1338z00_1495);
																						if (BGL_CONDEXPAND_ISA_ARCH64())
																							{	/* Inline/variant.scm 63 */
																								long BgL_idxz00_2005;

																								BgL_idxz00_2005 =
																									BGL_OBJECT_INHERITANCE_NUM
																									(BgL_arg1858z00_1999);
																								BgL_test1885z00_2912 =
																									(VECTOR_REF
																									(BGl_za2inheritancesza2z00zz__objectz00,
																										(BgL_idxz00_2005 + 2L)) ==
																									BgL_classz00_1997);
																							}
																						else
																							{	/* Inline/variant.scm 63 */
																								bool_t BgL_res1795z00_2030;

																								{	/* Inline/variant.scm 63 */
																									obj_t BgL_oclassz00_2013;

																									{	/* Inline/variant.scm 63 */
																										obj_t BgL_arg1866z00_2021;
																										long BgL_arg1867z00_2022;

																										BgL_arg1866z00_2021 =
																											(BGl_za2classesza2z00zz__objectz00);
																										{	/* Inline/variant.scm 63 */
																											long BgL_arg1869z00_2023;

																											BgL_arg1869z00_2023 =
																												BGL_OBJECT_CLASS_NUM
																												(BgL_arg1858z00_1999);
																											BgL_arg1867z00_2022 =
																												(BgL_arg1869z00_2023 -
																												OBJECT_TYPE);
																										}
																										BgL_oclassz00_2013 =
																											VECTOR_REF
																											(BgL_arg1866z00_2021,
																											BgL_arg1867z00_2022);
																									}
																									{	/* Inline/variant.scm 63 */
																										bool_t
																											BgL__ortest_1115z00_2014;
																										BgL__ortest_1115z00_2014 =
																											(BgL_classz00_1997 ==
																											BgL_oclassz00_2013);
																										if (BgL__ortest_1115z00_2014)
																											{	/* Inline/variant.scm 63 */
																												BgL_res1795z00_2030 =
																													BgL__ortest_1115z00_2014;
																											}
																										else
																											{	/* Inline/variant.scm 63 */
																												long BgL_odepthz00_2015;

																												{	/* Inline/variant.scm 63 */
																													obj_t
																														BgL_arg1855z00_2016;
																													BgL_arg1855z00_2016 =
																														(BgL_oclassz00_2013);
																													BgL_odepthz00_2015 =
																														BGL_CLASS_DEPTH
																														(BgL_arg1855z00_2016);
																												}
																												if (
																													(2L <
																														BgL_odepthz00_2015))
																													{	/* Inline/variant.scm 63 */
																														obj_t
																															BgL_arg1853z00_2018;
																														{	/* Inline/variant.scm 63 */
																															obj_t
																																BgL_arg1854z00_2019;
																															BgL_arg1854z00_2019
																																=
																																(BgL_oclassz00_2013);
																															BgL_arg1853z00_2018
																																=
																																BGL_CLASS_ANCESTORS_REF
																																(BgL_arg1854z00_2019,
																																2L);
																														}
																														BgL_res1795z00_2030
																															=
																															(BgL_arg1853z00_2018
																															==
																															BgL_classz00_1997);
																													}
																												else
																													{	/* Inline/variant.scm 63 */
																														BgL_res1795z00_2030
																															= ((bool_t) 0);
																													}
																											}
																									}
																								}
																								BgL_test1885z00_2912 =
																									BgL_res1795z00_2030;
																							}
																					}
																				else
																					{	/* Inline/variant.scm 63 */
																						BgL_test1885z00_2912 = ((bool_t) 0);
																					}
																			}
																		}
																		if (BgL_test1885z00_2912)
																			{	/* Inline/variant.scm 63 */
																				BgL_test1883z00_2911 =
																					(
																					((obj_t)
																						(((BgL_varz00_bglt) COBJECT(
																									((BgL_varz00_bglt)
																										CAR(
																											((obj_t)
																												BgL_actualsz00_1467)))))->
																							BgL_variablez00)) ==
																					CAR(((obj_t) BgL_argsz00_1468)));
																			}
																		else
																			{	/* Inline/variant.scm 63 */
																				BgL_test1883z00_2911 = ((bool_t) 0);
																			}
																	}
																	if (BgL_test1883z00_2911)
																		{	/* Inline/variant.scm 65 */
																			obj_t BgL_arg1321z00_1486;
																			obj_t BgL_arg1322z00_1487;

																			BgL_arg1321z00_1486 =
																				CDR(((obj_t) BgL_actualsz00_1467));
																			BgL_arg1322z00_1487 =
																				CDR(((obj_t) BgL_argsz00_1468));
																			{
																				obj_t BgL_argsz00_2950;
																				obj_t BgL_actualsz00_2949;

																				BgL_actualsz00_2949 =
																					BgL_arg1321z00_1486;
																				BgL_argsz00_2950 = BgL_arg1322z00_1487;
																				BgL_argsz00_1468 = BgL_argsz00_2950;
																				BgL_actualsz00_1467 =
																					BgL_actualsz00_2949;
																				goto
																					BgL_zc3z04anonymousza31307ze3z87_1469;
																			}
																		}
																	else
																		{	/* Inline/variant.scm 63 */
																			{	/* Inline/variant.scm 67 */
																				obj_t BgL_arg1326z00_1488;

																				BgL_arg1326z00_1488 =
																					CAR(((obj_t) BgL_argsz00_1468));
																				{
																					BgL_localzf2variantzf2_bglt
																						BgL_auxz00_2953;
																					{
																						obj_t BgL_auxz00_2954;

																						{	/* Inline/variant.scm 67 */
																							BgL_objectz00_bglt
																								BgL_tmpz00_2955;
																							BgL_tmpz00_2955 =
																								((BgL_objectz00_bglt) (
																									(BgL_localz00_bglt)
																									BgL_arg1326z00_1488));
																							BgL_auxz00_2954 =
																								BGL_OBJECT_WIDENING
																								(BgL_tmpz00_2955);
																						}
																						BgL_auxz00_2953 =
																							((BgL_localzf2variantzf2_bglt)
																							BgL_auxz00_2954);
																					}
																					((((BgL_localzf2variantzf2_bglt)
																								COBJECT(BgL_auxz00_2953))->
																							BgL_variantz00) =
																						((bool_t) ((bool_t) 1)), BUNSPEC);
																				}
																			}
																			{	/* Inline/variant.scm 68 */
																				obj_t BgL_arg1327z00_1489;
																				obj_t BgL_arg1331z00_1490;

																				BgL_arg1327z00_1489 =
																					CDR(((obj_t) BgL_actualsz00_1467));
																				BgL_arg1331z00_1490 =
																					CDR(((obj_t) BgL_argsz00_1468));
																				{
																					obj_t BgL_argsz00_2966;
																					obj_t BgL_actualsz00_2965;

																					BgL_actualsz00_2965 =
																						BgL_arg1327z00_1489;
																					BgL_argsz00_2966 =
																						BgL_arg1331z00_1490;
																					BgL_argsz00_1468 = BgL_argsz00_2966;
																					BgL_actualsz00_1467 =
																						BgL_actualsz00_2965;
																					goto
																						BgL_zc3z04anonymousza31307ze3z87_1469;
																				}
																			}
																		}
																}
														}
												}
											}
										}
										{
											obj_t BgL_l1275z00_2967;

											BgL_l1275z00_2967 = CDR(BgL_l1275z00_1461);
											BgL_l1275z00_1461 = BgL_l1275z00_2967;
											goto BgL_zc3z04anonymousza31305ze3z87_1462;
										}
									}
								else
									{	/* Inline/variant.scm 53 */
										((bool_t) 1);
									}
							}
							{
								obj_t BgL_argsz00_1501;
								obj_t BgL_invariantz00_1502;

								BgL_argsz00_1501 = BgL_argsz00_1422;
								BgL_invariantz00_1502 = BNIL;
							BgL_zc3z04anonymousza31340ze3z87_1503:
								if (NULLP(BgL_argsz00_1501))
									{	/* Inline/variant.scm 73 */
										return bgl_reverse_bang(BgL_invariantz00_1502);
									}
								else
									{	/* Inline/variant.scm 75 */
										obj_t BgL_arg1342z00_1505;
										obj_t BgL_arg1355z00_1506;

										BgL_arg1342z00_1505 = CDR(((obj_t) BgL_argsz00_1501));
										{	/* Inline/variant.scm 76 */
											bool_t BgL_test1891z00_2974;

											{	/* Inline/variant.scm 76 */
												BgL_localz00_bglt BgL_oz00_2045;

												BgL_oz00_2045 =
													((BgL_localz00_bglt) CAR(((obj_t) BgL_argsz00_1501)));
												{
													BgL_localzf2variantzf2_bglt BgL_auxz00_2978;

													{
														obj_t BgL_auxz00_2979;

														{	/* Inline/variant.scm 76 */
															BgL_objectz00_bglt BgL_tmpz00_2980;

															BgL_tmpz00_2980 =
																((BgL_objectz00_bglt) BgL_oz00_2045);
															BgL_auxz00_2979 =
																BGL_OBJECT_WIDENING(BgL_tmpz00_2980);
														}
														BgL_auxz00_2978 =
															((BgL_localzf2variantzf2_bglt) BgL_auxz00_2979);
													}
													BgL_test1891z00_2974 =
														(((BgL_localzf2variantzf2_bglt)
															COBJECT(BgL_auxz00_2978))->BgL_variantz00);
												}
											}
											if (BgL_test1891z00_2974)
												{	/* Inline/variant.scm 76 */
													BgL_arg1355z00_1506 = BgL_invariantz00_1502;
												}
											else
												{	/* Inline/variant.scm 78 */
													obj_t BgL_arg1364z00_1509;

													BgL_arg1364z00_1509 = CAR(((obj_t) BgL_argsz00_1501));
													BgL_arg1355z00_1506 =
														MAKE_YOUNG_PAIR(BgL_arg1364z00_1509,
														BgL_invariantz00_1502);
												}
										}
										{
											obj_t BgL_invariantz00_2989;
											obj_t BgL_argsz00_2988;

											BgL_argsz00_2988 = BgL_arg1342z00_1505;
											BgL_invariantz00_2989 = BgL_arg1355z00_1506;
											BgL_invariantz00_1502 = BgL_invariantz00_2989;
											BgL_argsz00_1501 = BgL_argsz00_2988;
											goto BgL_zc3z04anonymousza31340ze3z87_1503;
										}
									}
							}
						}
					}
				}
			}
		}

	}



/* &invariant-args */
	obj_t BGl_z62invariantzd2argszb0zzinline_variantz00(obj_t BgL_envz00_2376,
		obj_t BgL_nodez00_2377, obj_t BgL_varz00_2378, obj_t BgL_callsz00_2379)
	{
		{	/* Inline/variant.scm 36 */
			return
				BGl_invariantzd2argszd2zzinline_variantz00(
				((BgL_nodez00_bglt) BgL_nodez00_2377),
				((BgL_variablez00_bglt) BgL_varz00_2378), BgL_callsz00_2379);
		}

	}



/* variant-args */
	BGL_EXPORTED_DEF obj_t
		BGl_variantzd2argszd2zzinline_variantz00(BgL_variablez00_bglt BgL_varz00_55)
	{
		{	/* Inline/variant.scm 85 */
			{	/* Inline/variant.scm 86 */
				BgL_valuez00_bglt BgL_funz00_1512;

				BgL_funz00_1512 =
					(((BgL_variablez00_bglt) COBJECT(BgL_varz00_55))->BgL_valuez00);
				{	/* Inline/variant.scm 86 */
					obj_t BgL_argsz00_1513;

					BgL_argsz00_1513 =
						(((BgL_sfunz00_bglt) COBJECT(
								((BgL_sfunz00_bglt) BgL_funz00_1512)))->BgL_argsz00);
					{	/* Inline/variant.scm 87 */

						{
							obj_t BgL_argsz00_1516;
							obj_t BgL_variantz00_1517;

							BgL_argsz00_1516 = BgL_argsz00_1513;
							BgL_variantz00_1517 = BNIL;
						BgL_zc3z04anonymousza31366ze3z87_1518:
							if (NULLP(BgL_argsz00_1516))
								{	/* Inline/variant.scm 90 */
									return bgl_reverse_bang(BgL_variantz00_1517);
								}
							else
								{	/* Inline/variant.scm 92 */
									obj_t BgL_arg1370z00_1520;
									obj_t BgL_arg1371z00_1521;

									BgL_arg1370z00_1520 = CDR(((obj_t) BgL_argsz00_1516));
									{	/* Inline/variant.scm 93 */
										bool_t BgL_test1893z00_3001;

										{	/* Inline/variant.scm 93 */
											BgL_localz00_bglt BgL_oz00_2052;

											BgL_oz00_2052 =
												((BgL_localz00_bglt) CAR(((obj_t) BgL_argsz00_1516)));
											{
												BgL_localzf2variantzf2_bglt BgL_auxz00_3005;

												{
													obj_t BgL_auxz00_3006;

													{	/* Inline/variant.scm 93 */
														BgL_objectz00_bglt BgL_tmpz00_3007;

														BgL_tmpz00_3007 =
															((BgL_objectz00_bglt) BgL_oz00_2052);
														BgL_auxz00_3006 =
															BGL_OBJECT_WIDENING(BgL_tmpz00_3007);
													}
													BgL_auxz00_3005 =
														((BgL_localzf2variantzf2_bglt) BgL_auxz00_3006);
												}
												BgL_test1893z00_3001 =
													(((BgL_localzf2variantzf2_bglt)
														COBJECT(BgL_auxz00_3005))->BgL_variantz00);
											}
										}
										if (BgL_test1893z00_3001)
											{	/* Inline/variant.scm 94 */
												obj_t BgL_arg1379z00_1524;

												BgL_arg1379z00_1524 = CAR(((obj_t) BgL_argsz00_1516));
												BgL_arg1371z00_1521 =
													MAKE_YOUNG_PAIR(BgL_arg1379z00_1524,
													BgL_variantz00_1517);
											}
										else
											{	/* Inline/variant.scm 93 */
												BgL_arg1371z00_1521 = BgL_variantz00_1517;
											}
									}
									{
										obj_t BgL_variantz00_3016;
										obj_t BgL_argsz00_3015;

										BgL_argsz00_3015 = BgL_arg1370z00_1520;
										BgL_variantz00_3016 = BgL_arg1371z00_1521;
										BgL_variantz00_1517 = BgL_variantz00_3016;
										BgL_argsz00_1516 = BgL_argsz00_3015;
										goto BgL_zc3z04anonymousza31366ze3z87_1518;
									}
								}
						}
					}
				}
			}
		}

	}



/* &variant-args */
	obj_t BGl_z62variantzd2argszb0zzinline_variantz00(obj_t BgL_envz00_2380,
		obj_t BgL_varz00_2381)
	{
		{	/* Inline/variant.scm 85 */
			return
				BGl_variantzd2argszd2zzinline_variantz00(
				((BgL_variablez00_bglt) BgL_varz00_2381));
		}

	}



/* substitutions */
	BGL_EXPORTED_DEF obj_t
		BGl_substitutionsz00zzinline_variantz00(BgL_variablez00_bglt BgL_varz00_56,
		obj_t BgL_actualsz00_57, obj_t BgL_varzd2argszd2_58)
	{
		{	/* Inline/variant.scm 100 */
			{	/* Inline/variant.scm 101 */
				BgL_valuez00_bglt BgL_funz00_1527;

				BgL_funz00_1527 =
					(((BgL_variablez00_bglt) COBJECT(BgL_varz00_56))->BgL_valuez00);
				{	/* Inline/variant.scm 101 */
					obj_t BgL_allzd2argszd2_1528;

					BgL_allzd2argszd2_1528 =
						(((BgL_sfunz00_bglt) COBJECT(
								((BgL_sfunz00_bglt) BgL_funz00_1527)))->BgL_argsz00);
					{	/* Inline/variant.scm 102 */

						{
							obj_t BgL_actualsz00_1531;
							obj_t BgL_allzd2argszd2_1532;
							obj_t BgL_varzd2argszd2_1533;
							obj_t BgL_substitutionsz00_1534;

							BgL_actualsz00_1531 = BgL_actualsz00_57;
							BgL_allzd2argszd2_1532 = BgL_allzd2argszd2_1528;
							BgL_varzd2argszd2_1533 = BgL_varzd2argszd2_58;
							BgL_substitutionsz00_1534 = BNIL;
						BgL_zc3z04anonymousza31381ze3z87_1535:
							if (NULLP(BgL_allzd2argszd2_1532))
								{	/* Inline/variant.scm 108 */
									return bgl_reverse_bang(BgL_substitutionsz00_1534);
								}
							else
								{	/* Inline/variant.scm 110 */
									bool_t BgL_test1895z00_3025;

									{	/* Inline/variant.scm 110 */
										BgL_localz00_bglt BgL_oz00_2058;

										BgL_oz00_2058 =
											((BgL_localz00_bglt)
											CAR(((obj_t) BgL_allzd2argszd2_1532)));
										{
											BgL_localzf2variantzf2_bglt BgL_auxz00_3029;

											{
												obj_t BgL_auxz00_3030;

												{	/* Inline/variant.scm 110 */
													BgL_objectz00_bglt BgL_tmpz00_3031;

													BgL_tmpz00_3031 =
														((BgL_objectz00_bglt) BgL_oz00_2058);
													BgL_auxz00_3030 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_3031);
												}
												BgL_auxz00_3029 =
													((BgL_localzf2variantzf2_bglt) BgL_auxz00_3030);
											}
											BgL_test1895z00_3025 =
												(((BgL_localzf2variantzf2_bglt)
													COBJECT(BgL_auxz00_3029))->BgL_variantz00);
										}
									}
									if (BgL_test1895z00_3025)
										{	/* Inline/variant.scm 111 */
											obj_t BgL_arg1385z00_1539;
											obj_t BgL_arg1386z00_1540;
											obj_t BgL_arg1388z00_1541;
											obj_t BgL_arg1390z00_1542;

											BgL_arg1385z00_1539 = CDR(((obj_t) BgL_actualsz00_1531));
											BgL_arg1386z00_1540 =
												CDR(((obj_t) BgL_allzd2argszd2_1532));
											BgL_arg1388z00_1541 =
												CDR(((obj_t) BgL_varzd2argszd2_1533));
											{	/* Inline/variant.scm 114 */
												obj_t BgL_arg1392z00_1543;

												BgL_arg1392z00_1543 =
													CAR(((obj_t) BgL_varzd2argszd2_1533));
												BgL_arg1390z00_1542 =
													MAKE_YOUNG_PAIR(BgL_arg1392z00_1543,
													BgL_substitutionsz00_1534);
											}
											{
												obj_t BgL_substitutionsz00_3048;
												obj_t BgL_varzd2argszd2_3047;
												obj_t BgL_allzd2argszd2_3046;
												obj_t BgL_actualsz00_3045;

												BgL_actualsz00_3045 = BgL_arg1385z00_1539;
												BgL_allzd2argszd2_3046 = BgL_arg1386z00_1540;
												BgL_varzd2argszd2_3047 = BgL_arg1388z00_1541;
												BgL_substitutionsz00_3048 = BgL_arg1390z00_1542;
												BgL_substitutionsz00_1534 = BgL_substitutionsz00_3048;
												BgL_varzd2argszd2_1533 = BgL_varzd2argszd2_3047;
												BgL_allzd2argszd2_1532 = BgL_allzd2argszd2_3046;
												BgL_actualsz00_1531 = BgL_actualsz00_3045;
												goto BgL_zc3z04anonymousza31381ze3z87_1535;
											}
										}
									else
										{	/* Inline/variant.scm 116 */
											obj_t BgL_arg1400z00_1544;
											obj_t BgL_arg1401z00_1545;
											obj_t BgL_arg1402z00_1546;

											BgL_arg1400z00_1544 = CDR(((obj_t) BgL_actualsz00_1531));
											BgL_arg1401z00_1545 =
												CDR(((obj_t) BgL_allzd2argszd2_1532));
											{	/* Inline/variant.scm 119 */
												obj_t BgL_arg1403z00_1547;

												{	/* Inline/variant.scm 119 */
													bool_t BgL_test1896z00_3053;

													{	/* Inline/variant.scm 119 */
														obj_t BgL_arg1415z00_1551;

														BgL_arg1415z00_1551 =
															CAR(((obj_t) BgL_actualsz00_1531));
														{	/* Inline/variant.scm 119 */
															obj_t BgL_classz00_2067;

															BgL_classz00_2067 = BGl_varz00zzast_nodez00;
															if (BGL_OBJECTP(BgL_arg1415z00_1551))
																{	/* Inline/variant.scm 119 */
																	BgL_objectz00_bglt BgL_arg1858z00_2069;

																	BgL_arg1858z00_2069 =
																		(BgL_objectz00_bglt) (BgL_arg1415z00_1551);
																	if (BGL_CONDEXPAND_ISA_ARCH64())
																		{	/* Inline/variant.scm 119 */
																			long BgL_idxz00_2075;

																			BgL_idxz00_2075 =
																				BGL_OBJECT_INHERITANCE_NUM
																				(BgL_arg1858z00_2069);
																			BgL_test1896z00_3053 =
																				(VECTOR_REF
																				(BGl_za2inheritancesza2z00zz__objectz00,
																					(BgL_idxz00_2075 + 2L)) ==
																				BgL_classz00_2067);
																		}
																	else
																		{	/* Inline/variant.scm 119 */
																			bool_t BgL_res1796z00_2100;

																			{	/* Inline/variant.scm 119 */
																				obj_t BgL_oclassz00_2083;

																				{	/* Inline/variant.scm 119 */
																					obj_t BgL_arg1866z00_2091;
																					long BgL_arg1867z00_2092;

																					BgL_arg1866z00_2091 =
																						(BGl_za2classesza2z00zz__objectz00);
																					{	/* Inline/variant.scm 119 */
																						long BgL_arg1869z00_2093;

																						BgL_arg1869z00_2093 =
																							BGL_OBJECT_CLASS_NUM
																							(BgL_arg1858z00_2069);
																						BgL_arg1867z00_2092 =
																							(BgL_arg1869z00_2093 -
																							OBJECT_TYPE);
																					}
																					BgL_oclassz00_2083 =
																						VECTOR_REF(BgL_arg1866z00_2091,
																						BgL_arg1867z00_2092);
																				}
																				{	/* Inline/variant.scm 119 */
																					bool_t BgL__ortest_1115z00_2084;

																					BgL__ortest_1115z00_2084 =
																						(BgL_classz00_2067 ==
																						BgL_oclassz00_2083);
																					if (BgL__ortest_1115z00_2084)
																						{	/* Inline/variant.scm 119 */
																							BgL_res1796z00_2100 =
																								BgL__ortest_1115z00_2084;
																						}
																					else
																						{	/* Inline/variant.scm 119 */
																							long BgL_odepthz00_2085;

																							{	/* Inline/variant.scm 119 */
																								obj_t BgL_arg1855z00_2086;

																								BgL_arg1855z00_2086 =
																									(BgL_oclassz00_2083);
																								BgL_odepthz00_2085 =
																									BGL_CLASS_DEPTH
																									(BgL_arg1855z00_2086);
																							}
																							if ((2L < BgL_odepthz00_2085))
																								{	/* Inline/variant.scm 119 */
																									obj_t BgL_arg1853z00_2088;

																									{	/* Inline/variant.scm 119 */
																										obj_t BgL_arg1854z00_2089;

																										BgL_arg1854z00_2089 =
																											(BgL_oclassz00_2083);
																										BgL_arg1853z00_2088 =
																											BGL_CLASS_ANCESTORS_REF
																											(BgL_arg1854z00_2089, 2L);
																									}
																									BgL_res1796z00_2100 =
																										(BgL_arg1853z00_2088 ==
																										BgL_classz00_2067);
																								}
																							else
																								{	/* Inline/variant.scm 119 */
																									BgL_res1796z00_2100 =
																										((bool_t) 0);
																								}
																						}
																				}
																			}
																			BgL_test1896z00_3053 =
																				BgL_res1796z00_2100;
																		}
																}
															else
																{	/* Inline/variant.scm 119 */
																	BgL_test1896z00_3053 = ((bool_t) 0);
																}
														}
													}
													if (BgL_test1896z00_3053)
														{	/* Inline/variant.scm 119 */
															BgL_arg1403z00_1547 =
																((obj_t)
																(((BgL_varz00_bglt) COBJECT(
																			((BgL_varz00_bglt)
																				CAR(
																					((obj_t) BgL_actualsz00_1531)))))->
																	BgL_variablez00));
														}
													else
														{	/* Inline/variant.scm 119 */
															BgL_arg1403z00_1547 =
																CAR(((obj_t) BgL_actualsz00_1531));
														}
												}
												BgL_arg1402z00_1546 =
													MAKE_YOUNG_PAIR(BgL_arg1403z00_1547,
													BgL_substitutionsz00_1534);
											}
											{
												obj_t BgL_substitutionsz00_3088;
												obj_t BgL_allzd2argszd2_3087;
												obj_t BgL_actualsz00_3086;

												BgL_actualsz00_3086 = BgL_arg1400z00_1544;
												BgL_allzd2argszd2_3087 = BgL_arg1401z00_1545;
												BgL_substitutionsz00_3088 = BgL_arg1402z00_1546;
												BgL_substitutionsz00_1534 = BgL_substitutionsz00_3088;
												BgL_allzd2argszd2_1532 = BgL_allzd2argszd2_3087;
												BgL_actualsz00_1531 = BgL_actualsz00_3086;
												goto BgL_zc3z04anonymousza31381ze3z87_1535;
											}
										}
								}
						}
					}
				}
			}
		}

	}



/* &substitutions */
	obj_t BGl_z62substitutionsz62zzinline_variantz00(obj_t BgL_envz00_2382,
		obj_t BgL_varz00_2383, obj_t BgL_actualsz00_2384,
		obj_t BgL_varzd2argszd2_2385)
	{
		{	/* Inline/variant.scm 100 */
			return
				BGl_substitutionsz00zzinline_variantz00(
				((BgL_variablez00_bglt) BgL_varz00_2383), BgL_actualsz00_2384,
				BgL_varzd2argszd2_2385);
		}

	}



/* shrink-args! */
	BGL_EXPORTED_DEF obj_t
		BGl_shrinkzd2argsz12zc0zzinline_variantz00(BgL_variablez00_bglt
		BgL_varz00_59)
	{
		{	/* Inline/variant.scm 127 */
			{	/* Inline/variant.scm 128 */
				BgL_valuez00_bglt BgL_funz00_1554;

				BgL_funz00_1554 =
					(((BgL_variablez00_bglt) COBJECT(BgL_varz00_59))->BgL_valuez00);
				{	/* Inline/variant.scm 128 */
					obj_t BgL_argsz00_1555;

					BgL_argsz00_1555 =
						(((BgL_sfunz00_bglt) COBJECT(
								((BgL_sfunz00_bglt) BgL_funz00_1554)))->BgL_argsz00);
					{	/* Inline/variant.scm 129 */

						{
							obj_t BgL_l1277z00_1557;

							{	/* Inline/variant.scm 130 */
								bool_t BgL_tmpz00_3094;

								BgL_l1277z00_1557 = BgL_argsz00_1555;
							BgL_zc3z04anonymousza31417ze3z87_1558:
								if (PAIRP(BgL_l1277z00_1557))
									{	/* Inline/variant.scm 130 */
										{	/* Inline/variant.scm 130 */
											obj_t BgL_az00_1560;

											BgL_az00_1560 = CAR(BgL_l1277z00_1557);
											{	/* Inline/variant.scm 130 */
												bool_t BgL_test1902z00_3098;

												{	/* Inline/variant.scm 130 */
													obj_t BgL_tmpz00_3099;

													{	/* Inline/variant.scm 130 */
														BgL_objectz00_bglt BgL_tmpz00_3100;

														BgL_tmpz00_3100 =
															((BgL_objectz00_bglt) BgL_az00_1560);
														BgL_tmpz00_3099 =
															BGL_OBJECT_WIDENING(BgL_tmpz00_3100);
													}
													BgL_test1902z00_3098 = CBOOL(BgL_tmpz00_3099);
												}
												if (BgL_test1902z00_3098)
													{	/* Inline/variant.scm 130 */
														{	/* Inline/variant.scm 130 */
															long BgL_arg1446z00_1563;

															{	/* Inline/variant.scm 130 */
																obj_t BgL_arg1457z00_1564;

																{	/* Inline/variant.scm 130 */
																	obj_t BgL_arg1471z00_1565;

																	{	/* Inline/variant.scm 130 */
																		obj_t BgL_arg1866z00_2111;
																		long BgL_arg1867z00_2112;

																		BgL_arg1866z00_2111 =
																			(BGl_za2classesza2z00zz__objectz00);
																		{	/* Inline/variant.scm 130 */
																			long BgL_arg1869z00_2113;

																			BgL_arg1869z00_2113 =
																				BGL_OBJECT_CLASS_NUM(
																				((BgL_objectz00_bglt) BgL_az00_1560));
																			BgL_arg1867z00_2112 =
																				(BgL_arg1869z00_2113 - OBJECT_TYPE);
																		}
																		BgL_arg1471z00_1565 =
																			VECTOR_REF(BgL_arg1866z00_2111,
																			BgL_arg1867z00_2112);
																	}
																	BgL_arg1457z00_1564 =
																		BGl_classzd2superzd2zz__objectz00
																		(BgL_arg1471z00_1565);
																}
																{	/* Inline/variant.scm 130 */
																	obj_t BgL_tmpz00_3110;

																	BgL_tmpz00_3110 =
																		((obj_t) BgL_arg1457z00_1564);
																	BgL_arg1446z00_1563 =
																		BGL_CLASS_NUM(BgL_tmpz00_3110);
															}}
															BGL_OBJECT_CLASS_NUM_SET(
																((BgL_objectz00_bglt) BgL_az00_1560),
																BgL_arg1446z00_1563);
														}
														{	/* Inline/variant.scm 130 */
															BgL_objectz00_bglt BgL_tmpz00_3115;

															BgL_tmpz00_3115 =
																((BgL_objectz00_bglt) BgL_az00_1560);
															BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3115, BFALSE);
														}
														((BgL_objectz00_bglt) BgL_az00_1560);
														BgL_az00_1560;
													}
												else
													{	/* Inline/variant.scm 130 */
														BFALSE;
													}
											}
										}
										{
											obj_t BgL_l1277z00_3119;

											BgL_l1277z00_3119 = CDR(BgL_l1277z00_1557);
											BgL_l1277z00_1557 = BgL_l1277z00_3119;
											goto BgL_zc3z04anonymousza31417ze3z87_1558;
										}
									}
								else
									{	/* Inline/variant.scm 130 */
										BgL_tmpz00_3094 = ((bool_t) 1);
									}
								return BBOOL(BgL_tmpz00_3094);
							}
						}
					}
				}
			}
		}

	}



/* &shrink-args! */
	obj_t BGl_z62shrinkzd2argsz12za2zzinline_variantz00(obj_t BgL_envz00_2386,
		obj_t BgL_varz00_2387)
	{
		{	/* Inline/variant.scm 127 */
			return
				BGl_shrinkzd2argsz12zc0zzinline_variantz00(
				((BgL_variablez00_bglt) BgL_varz00_2387));
		}

	}



/* remove-invariant-args! */
	BGL_EXPORTED_DEF BgL_appz00_bglt
		BGl_removezd2invariantzd2argsz12z12zzinline_variantz00(BgL_appz00_bglt
		BgL_appz00_60)
	{
		{	/* Inline/variant.scm 141 */
			{	/* Inline/variant.scm 143 */
				obj_t BgL_g1147z00_1569;

				BgL_g1147z00_1569 =
					(((BgL_sfunz00_bglt) COBJECT(
							((BgL_sfunz00_bglt)
								(((BgL_variablez00_bglt) COBJECT(
											(((BgL_varz00_bglt) COBJECT(
														(((BgL_appz00_bglt) COBJECT(BgL_appz00_60))->
															BgL_funz00)))->BgL_variablez00)))->
									BgL_valuez00))))->BgL_argsz00);
				{
					obj_t BgL_formalsz00_1573;
					obj_t BgL_oldzd2argszd2_1574;
					obj_t BgL_newzd2argszd2_1575;

					BgL_formalsz00_1573 = BgL_g1147z00_1569;
					BgL_oldzd2argszd2_1574 =
						(((BgL_appz00_bglt) COBJECT(BgL_appz00_60))->BgL_argsz00);
					BgL_newzd2argszd2_1575 = BNIL;
				BgL_zc3z04anonymousza31485ze3z87_1576:
					if (NULLP(BgL_oldzd2argszd2_1574))
						{	/* Inline/variant.scm 147 */
							((((BgL_appz00_bglt) COBJECT(BgL_appz00_60))->BgL_argsz00) =
								((obj_t) bgl_reverse_bang(BgL_newzd2argszd2_1575)), BUNSPEC);
							return BgL_appz00_60;
						}
					else
						{	/* Inline/variant.scm 150 */
							bool_t BgL_test1904z00_3133;

							{	/* Inline/variant.scm 150 */
								bool_t BgL_test1905z00_3134;

								{	/* Inline/variant.scm 150 */
									obj_t BgL_arg1545z00_1594;

									BgL_arg1545z00_1594 = CAR(((obj_t) BgL_formalsz00_1573));
									{	/* Inline/variant.scm 150 */
										obj_t BgL_classz00_2128;

										BgL_classz00_2128 =
											BGl_localzf2variantzf2zzinline_variantz00;
										if (BGL_OBJECTP(BgL_arg1545z00_1594))
											{	/* Inline/variant.scm 150 */
												BgL_objectz00_bglt BgL_arg1858z00_2130;

												BgL_arg1858z00_2130 =
													(BgL_objectz00_bglt) (BgL_arg1545z00_1594);
												if (BGL_CONDEXPAND_ISA_ARCH64())
													{	/* Inline/variant.scm 150 */
														long BgL_idxz00_2136;

														BgL_idxz00_2136 =
															BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_2130);
														BgL_test1905z00_3134 =
															(VECTOR_REF
															(BGl_za2inheritancesza2z00zz__objectz00,
																(BgL_idxz00_2136 + 3L)) == BgL_classz00_2128);
													}
												else
													{	/* Inline/variant.scm 150 */
														bool_t BgL_res1797z00_2161;

														{	/* Inline/variant.scm 150 */
															obj_t BgL_oclassz00_2144;

															{	/* Inline/variant.scm 150 */
																obj_t BgL_arg1866z00_2152;
																long BgL_arg1867z00_2153;

																BgL_arg1866z00_2152 =
																	(BGl_za2classesza2z00zz__objectz00);
																{	/* Inline/variant.scm 150 */
																	long BgL_arg1869z00_2154;

																	BgL_arg1869z00_2154 =
																		BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_2130);
																	BgL_arg1867z00_2153 =
																		(BgL_arg1869z00_2154 - OBJECT_TYPE);
																}
																BgL_oclassz00_2144 =
																	VECTOR_REF(BgL_arg1866z00_2152,
																	BgL_arg1867z00_2153);
															}
															{	/* Inline/variant.scm 150 */
																bool_t BgL__ortest_1115z00_2145;

																BgL__ortest_1115z00_2145 =
																	(BgL_classz00_2128 == BgL_oclassz00_2144);
																if (BgL__ortest_1115z00_2145)
																	{	/* Inline/variant.scm 150 */
																		BgL_res1797z00_2161 =
																			BgL__ortest_1115z00_2145;
																	}
																else
																	{	/* Inline/variant.scm 150 */
																		long BgL_odepthz00_2146;

																		{	/* Inline/variant.scm 150 */
																			obj_t BgL_arg1855z00_2147;

																			BgL_arg1855z00_2147 =
																				(BgL_oclassz00_2144);
																			BgL_odepthz00_2146 =
																				BGL_CLASS_DEPTH(BgL_arg1855z00_2147);
																		}
																		if ((3L < BgL_odepthz00_2146))
																			{	/* Inline/variant.scm 150 */
																				obj_t BgL_arg1853z00_2149;

																				{	/* Inline/variant.scm 150 */
																					obj_t BgL_arg1854z00_2150;

																					BgL_arg1854z00_2150 =
																						(BgL_oclassz00_2144);
																					BgL_arg1853z00_2149 =
																						BGL_CLASS_ANCESTORS_REF
																						(BgL_arg1854z00_2150, 3L);
																				}
																				BgL_res1797z00_2161 =
																					(BgL_arg1853z00_2149 ==
																					BgL_classz00_2128);
																			}
																		else
																			{	/* Inline/variant.scm 150 */
																				BgL_res1797z00_2161 = ((bool_t) 0);
																			}
																	}
															}
														}
														BgL_test1905z00_3134 = BgL_res1797z00_2161;
													}
											}
										else
											{	/* Inline/variant.scm 150 */
												BgL_test1905z00_3134 = ((bool_t) 0);
											}
									}
								}
								if (BgL_test1905z00_3134)
									{	/* Inline/variant.scm 151 */
										bool_t BgL_test1910z00_3159;

										{	/* Inline/variant.scm 151 */
											BgL_localz00_bglt BgL_oz00_2163;

											BgL_oz00_2163 =
												((BgL_localz00_bglt)
												CAR(((obj_t) BgL_formalsz00_1573)));
											{
												BgL_localzf2variantzf2_bglt BgL_auxz00_3163;

												{
													obj_t BgL_auxz00_3164;

													{	/* Inline/variant.scm 151 */
														BgL_objectz00_bglt BgL_tmpz00_3165;

														BgL_tmpz00_3165 =
															((BgL_objectz00_bglt) BgL_oz00_2163);
														BgL_auxz00_3164 =
															BGL_OBJECT_WIDENING(BgL_tmpz00_3165);
													}
													BgL_auxz00_3163 =
														((BgL_localzf2variantzf2_bglt) BgL_auxz00_3164);
												}
												BgL_test1910z00_3159 =
													(((BgL_localzf2variantzf2_bglt)
														COBJECT(BgL_auxz00_3163))->BgL_variantz00);
											}
										}
										if (BgL_test1910z00_3159)
											{	/* Inline/variant.scm 151 */
												BgL_test1904z00_3133 = ((bool_t) 0);
											}
										else
											{	/* Inline/variant.scm 151 */
												BgL_test1904z00_3133 = ((bool_t) 1);
											}
									}
								else
									{	/* Inline/variant.scm 150 */
										BgL_test1904z00_3133 = ((bool_t) 0);
									}
							}
							if (BgL_test1904z00_3133)
								{	/* Inline/variant.scm 152 */
									obj_t BgL_arg1513z00_1585;
									obj_t BgL_arg1515z00_1586;

									BgL_arg1513z00_1585 = CDR(((obj_t) BgL_formalsz00_1573));
									BgL_arg1515z00_1586 = CDR(((obj_t) BgL_oldzd2argszd2_1574));
									{
										obj_t BgL_oldzd2argszd2_3175;
										obj_t BgL_formalsz00_3174;

										BgL_formalsz00_3174 = BgL_arg1513z00_1585;
										BgL_oldzd2argszd2_3175 = BgL_arg1515z00_1586;
										BgL_oldzd2argszd2_1574 = BgL_oldzd2argszd2_3175;
										BgL_formalsz00_1573 = BgL_formalsz00_3174;
										goto BgL_zc3z04anonymousza31485ze3z87_1576;
									}
								}
							else
								{	/* Inline/variant.scm 156 */
									obj_t BgL_arg1516z00_1587;
									obj_t BgL_arg1530z00_1588;
									obj_t BgL_arg1532z00_1589;

									BgL_arg1516z00_1587 = CDR(((obj_t) BgL_formalsz00_1573));
									BgL_arg1530z00_1588 = CDR(((obj_t) BgL_oldzd2argszd2_1574));
									{	/* Inline/variant.scm 158 */
										obj_t BgL_arg1535z00_1590;

										BgL_arg1535z00_1590 = CAR(((obj_t) BgL_oldzd2argszd2_1574));
										BgL_arg1532z00_1589 =
											MAKE_YOUNG_PAIR(BgL_arg1535z00_1590,
											BgL_newzd2argszd2_1575);
									}
									{
										obj_t BgL_newzd2argszd2_3185;
										obj_t BgL_oldzd2argszd2_3184;
										obj_t BgL_formalsz00_3183;

										BgL_formalsz00_3183 = BgL_arg1516z00_1587;
										BgL_oldzd2argszd2_3184 = BgL_arg1530z00_1588;
										BgL_newzd2argszd2_3185 = BgL_arg1532z00_1589;
										BgL_newzd2argszd2_1575 = BgL_newzd2argszd2_3185;
										BgL_oldzd2argszd2_1574 = BgL_oldzd2argszd2_3184;
										BgL_formalsz00_1573 = BgL_formalsz00_3183;
										goto BgL_zc3z04anonymousza31485ze3z87_1576;
									}
								}
						}
				}
			}
		}

	}



/* &remove-invariant-args! */
	BgL_appz00_bglt
		BGl_z62removezd2invariantzd2argsz12z70zzinline_variantz00(obj_t
		BgL_envz00_2388, obj_t BgL_appz00_2389)
	{
		{	/* Inline/variant.scm 141 */
			return
				BGl_removezd2invariantzd2argsz12z12zzinline_variantz00(
				((BgL_appz00_bglt) BgL_appz00_2389));
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzinline_variantz00(void)
	{
		{	/* Inline/variant.scm 15 */
			{	/* Inline/variant.scm 22 */
				obj_t BgL_arg1581z00_1603;
				obj_t BgL_arg1587z00_1604;

				{	/* Inline/variant.scm 22 */
					obj_t BgL_v1279z00_1639;

					BgL_v1279z00_1639 = create_vector(1L);
					{	/* Inline/variant.scm 22 */
						obj_t BgL_arg1625z00_1640;

						BgL_arg1625z00_1640 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(2)), BGl_proc1802z00zzinline_variantz00,
							BGl_proc1801z00zzinline_variantz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, ((obj_t) CNST_TABLE_REF(3)));
						VECTOR_SET(BgL_v1279z00_1639, 0L, BgL_arg1625z00_1640);
					}
					BgL_arg1581z00_1603 = BgL_v1279z00_1639;
				}
				{	/* Inline/variant.scm 22 */
					obj_t BgL_v1280z00_1650;

					BgL_v1280z00_1650 = create_vector(0L);
					BgL_arg1587z00_1604 = BgL_v1280z00_1650;
				}
				return (BGl_localzf2variantzf2zzinline_variantz00 =
					BGl_registerzd2classz12zc0zz__objectz00(
						((obj_t)
							CNST_TABLE_REF(4)),
						((obj_t)
							CNST_TABLE_REF(5)), BGl_localz00zzast_varz00, 37050L,
						BGl_proc1806z00zzinline_variantz00,
						BGl_proc1805z00zzinline_variantz00, BFALSE,
						BGl_proc1804z00zzinline_variantz00,
						BGl_proc1803z00zzinline_variantz00, BgL_arg1581z00_1603,
						BgL_arg1587z00_1604), BUNSPEC);
			}
		}

	}



/* &lambda1599 */
	BgL_localz00_bglt BGl_z62lambda1599z62zzinline_variantz00(obj_t
		BgL_envz00_2396, obj_t BgL_o1121z00_2397)
	{
		{	/* Inline/variant.scm 22 */
			{	/* Inline/variant.scm 22 */
				long BgL_arg1605z00_2455;

				{	/* Inline/variant.scm 22 */
					obj_t BgL_arg1611z00_2456;

					{	/* Inline/variant.scm 22 */
						obj_t BgL_arg1612z00_2457;

						{	/* Inline/variant.scm 22 */
							obj_t BgL_arg1866z00_2458;
							long BgL_arg1867z00_2459;

							BgL_arg1866z00_2458 = (BGl_za2classesza2z00zz__objectz00);
							{	/* Inline/variant.scm 22 */
								long BgL_arg1869z00_2460;

								BgL_arg1869z00_2460 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_localz00_bglt) BgL_o1121z00_2397)));
								BgL_arg1867z00_2459 = (BgL_arg1869z00_2460 - OBJECT_TYPE);
							}
							BgL_arg1612z00_2457 =
								VECTOR_REF(BgL_arg1866z00_2458, BgL_arg1867z00_2459);
						}
						BgL_arg1611z00_2456 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg1612z00_2457);
					}
					{	/* Inline/variant.scm 22 */
						obj_t BgL_tmpz00_3209;

						BgL_tmpz00_3209 = ((obj_t) BgL_arg1611z00_2456);
						BgL_arg1605z00_2455 = BGL_CLASS_NUM(BgL_tmpz00_3209);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_localz00_bglt) BgL_o1121z00_2397)), BgL_arg1605z00_2455);
			}
			{	/* Inline/variant.scm 22 */
				BgL_objectz00_bglt BgL_tmpz00_3215;

				BgL_tmpz00_3215 =
					((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_o1121z00_2397));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3215, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_o1121z00_2397));
			return ((BgL_localz00_bglt) ((BgL_localz00_bglt) BgL_o1121z00_2397));
		}

	}



/* &<@anonymous:1598> */
	obj_t BGl_z62zc3z04anonymousza31598ze3ze5zzinline_variantz00(obj_t
		BgL_envz00_2398, obj_t BgL_new1120z00_2399)
	{
		{	/* Inline/variant.scm 22 */
			{
				BgL_localz00_bglt BgL_auxz00_3223;

				((((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt)
									((BgL_localz00_bglt) BgL_new1120z00_2399))))->BgL_idz00) =
					((obj_t) ((obj_t) CNST_TABLE_REF(6))), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_localz00_bglt)
										BgL_new1120z00_2399))))->BgL_namez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_3232;

					{	/* Inline/variant.scm 22 */
						obj_t BgL_classz00_2462;

						BgL_classz00_2462 = BGl_typez00zztype_typez00;
						{	/* Inline/variant.scm 22 */
							obj_t BgL__ortest_1117z00_2463;

							BgL__ortest_1117z00_2463 = BGL_CLASS_NIL(BgL_classz00_2462);
							if (CBOOL(BgL__ortest_1117z00_2463))
								{	/* Inline/variant.scm 22 */
									BgL_auxz00_3232 =
										((BgL_typez00_bglt) BgL__ortest_1117z00_2463);
								}
							else
								{	/* Inline/variant.scm 22 */
									BgL_auxz00_3232 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_2462));
								}
						}
					}
					((((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt)
										((BgL_localz00_bglt) BgL_new1120z00_2399))))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_3232), BUNSPEC);
				}
				{
					BgL_valuez00_bglt BgL_auxz00_3242;

					{	/* Inline/variant.scm 22 */
						obj_t BgL_classz00_2464;

						BgL_classz00_2464 = BGl_valuez00zzast_varz00;
						{	/* Inline/variant.scm 22 */
							obj_t BgL__ortest_1117z00_2465;

							BgL__ortest_1117z00_2465 = BGL_CLASS_NIL(BgL_classz00_2464);
							if (CBOOL(BgL__ortest_1117z00_2465))
								{	/* Inline/variant.scm 22 */
									BgL_auxz00_3242 =
										((BgL_valuez00_bglt) BgL__ortest_1117z00_2465);
								}
							else
								{	/* Inline/variant.scm 22 */
									BgL_auxz00_3242 =
										((BgL_valuez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_2464));
								}
						}
					}
					((((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt)
										((BgL_localz00_bglt) BgL_new1120z00_2399))))->
							BgL_valuez00) = ((BgL_valuez00_bglt) BgL_auxz00_3242), BUNSPEC);
				}
				((((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt)
									((BgL_localz00_bglt) BgL_new1120z00_2399))))->BgL_accessz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_localz00_bglt)
										BgL_new1120z00_2399))))->BgL_fastzd2alphazd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_localz00_bglt)
										BgL_new1120z00_2399))))->BgL_removablez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_localz00_bglt)
										BgL_new1120z00_2399))))->BgL_occurrencez00) =
					((long) 0L), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_localz00_bglt)
										BgL_new1120z00_2399))))->BgL_occurrencewz00) =
					((long) 0L), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_localz00_bglt)
										BgL_new1120z00_2399))))->BgL_userzf3zf3) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt) ((BgL_localz00_bglt)
										BgL_new1120z00_2399))))->BgL_keyz00) =
					((long) 0L), BUNSPEC);
				((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt) ((BgL_localz00_bglt)
										BgL_new1120z00_2399))))->BgL_valzd2noescapezd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt) ((BgL_localz00_bglt)
										BgL_new1120z00_2399))))->BgL_volatilez00) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				{
					BgL_localzf2variantzf2_bglt BgL_auxz00_3279;

					{
						obj_t BgL_auxz00_3280;

						{	/* Inline/variant.scm 22 */
							BgL_objectz00_bglt BgL_tmpz00_3281;

							BgL_tmpz00_3281 =
								((BgL_objectz00_bglt)
								((BgL_localz00_bglt) BgL_new1120z00_2399));
							BgL_auxz00_3280 = BGL_OBJECT_WIDENING(BgL_tmpz00_3281);
						}
						BgL_auxz00_3279 = ((BgL_localzf2variantzf2_bglt) BgL_auxz00_3280);
					}
					((((BgL_localzf2variantzf2_bglt) COBJECT(BgL_auxz00_3279))->
							BgL_variantz00) = ((bool_t) ((bool_t) 0)), BUNSPEC);
				}
				BgL_auxz00_3223 = ((BgL_localz00_bglt) BgL_new1120z00_2399);
				return ((obj_t) BgL_auxz00_3223);
			}
		}

	}



/* &lambda1593 */
	BgL_localz00_bglt BGl_z62lambda1593z62zzinline_variantz00(obj_t
		BgL_envz00_2400, obj_t BgL_o1117z00_2401)
	{
		{	/* Inline/variant.scm 22 */
			{	/* Inline/variant.scm 22 */
				BgL_localzf2variantzf2_bglt BgL_wide1119z00_2467;

				BgL_wide1119z00_2467 =
					((BgL_localzf2variantzf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_localzf2variantzf2_bgl))));
				{	/* Inline/variant.scm 22 */
					obj_t BgL_auxz00_3294;
					BgL_objectz00_bglt BgL_tmpz00_3290;

					BgL_auxz00_3294 = ((obj_t) BgL_wide1119z00_2467);
					BgL_tmpz00_3290 =
						((BgL_objectz00_bglt)
						((BgL_localz00_bglt) ((BgL_localz00_bglt) BgL_o1117z00_2401)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3290, BgL_auxz00_3294);
				}
				((BgL_objectz00_bglt)
					((BgL_localz00_bglt) ((BgL_localz00_bglt) BgL_o1117z00_2401)));
				{	/* Inline/variant.scm 22 */
					long BgL_arg1597z00_2468;

					BgL_arg1597z00_2468 =
						BGL_CLASS_NUM(BGl_localzf2variantzf2zzinline_variantz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_localz00_bglt)
								((BgL_localz00_bglt) BgL_o1117z00_2401))), BgL_arg1597z00_2468);
				}
				return
					((BgL_localz00_bglt)
					((BgL_localz00_bglt) ((BgL_localz00_bglt) BgL_o1117z00_2401)));
			}
		}

	}



/* &lambda1588 */
	BgL_localz00_bglt BGl_z62lambda1588z62zzinline_variantz00(obj_t
		BgL_envz00_2402, obj_t BgL_id1103z00_2403, obj_t BgL_name1104z00_2404,
		obj_t BgL_type1105z00_2405, obj_t BgL_value1106z00_2406,
		obj_t BgL_access1107z00_2407, obj_t BgL_fastzd2alpha1108zd2_2408,
		obj_t BgL_removable1109z00_2409, obj_t BgL_occurrence1110z00_2410,
		obj_t BgL_occurrencew1111z00_2411, obj_t BgL_userzf31112zf3_2412,
		obj_t BgL_key1113z00_2413, obj_t BgL_valzd2noescape1114zd2_2414,
		obj_t BgL_volatile1115z00_2415, obj_t BgL_variant1116z00_2416)
	{
		{	/* Inline/variant.scm 22 */
			{	/* Inline/variant.scm 22 */
				long BgL_occurrence1110z00_2472;
				long BgL_occurrencew1111z00_2473;
				bool_t BgL_userzf31112zf3_2474;
				long BgL_key1113z00_2475;
				bool_t BgL_volatile1115z00_2476;
				bool_t BgL_variant1116z00_2477;

				BgL_occurrence1110z00_2472 = (long) CINT(BgL_occurrence1110z00_2410);
				BgL_occurrencew1111z00_2473 = (long) CINT(BgL_occurrencew1111z00_2411);
				BgL_userzf31112zf3_2474 = CBOOL(BgL_userzf31112zf3_2412);
				BgL_key1113z00_2475 = (long) CINT(BgL_key1113z00_2413);
				BgL_volatile1115z00_2476 = CBOOL(BgL_volatile1115z00_2415);
				BgL_variant1116z00_2477 = CBOOL(BgL_variant1116z00_2416);
				{	/* Inline/variant.scm 22 */
					BgL_localz00_bglt BgL_new1152z00_2478;

					{	/* Inline/variant.scm 22 */
						BgL_localz00_bglt BgL_tmp1150z00_2479;
						BgL_localzf2variantzf2_bglt BgL_wide1151z00_2480;

						{
							BgL_localz00_bglt BgL_auxz00_3314;

							{	/* Inline/variant.scm 22 */
								BgL_localz00_bglt BgL_new1149z00_2481;

								BgL_new1149z00_2481 =
									((BgL_localz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_localz00_bgl))));
								{	/* Inline/variant.scm 22 */
									long BgL_arg1592z00_2482;

									BgL_arg1592z00_2482 = BGL_CLASS_NUM(BGl_localz00zzast_varz00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1149z00_2481),
										BgL_arg1592z00_2482);
								}
								{	/* Inline/variant.scm 22 */
									BgL_objectz00_bglt BgL_tmpz00_3319;

									BgL_tmpz00_3319 = ((BgL_objectz00_bglt) BgL_new1149z00_2481);
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3319, BFALSE);
								}
								((BgL_objectz00_bglt) BgL_new1149z00_2481);
								BgL_auxz00_3314 = BgL_new1149z00_2481;
							}
							BgL_tmp1150z00_2479 = ((BgL_localz00_bglt) BgL_auxz00_3314);
						}
						BgL_wide1151z00_2480 =
							((BgL_localzf2variantzf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_localzf2variantzf2_bgl))));
						{	/* Inline/variant.scm 22 */
							obj_t BgL_auxz00_3327;
							BgL_objectz00_bglt BgL_tmpz00_3325;

							BgL_auxz00_3327 = ((obj_t) BgL_wide1151z00_2480);
							BgL_tmpz00_3325 = ((BgL_objectz00_bglt) BgL_tmp1150z00_2479);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3325, BgL_auxz00_3327);
						}
						((BgL_objectz00_bglt) BgL_tmp1150z00_2479);
						{	/* Inline/variant.scm 22 */
							long BgL_arg1590z00_2483;

							BgL_arg1590z00_2483 =
								BGL_CLASS_NUM(BGl_localzf2variantzf2zzinline_variantz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_tmp1150z00_2479),
								BgL_arg1590z00_2483);
						}
						BgL_new1152z00_2478 = ((BgL_localz00_bglt) BgL_tmp1150z00_2479);
					}
					((((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt) BgL_new1152z00_2478)))->BgL_idz00) =
						((obj_t) ((obj_t) BgL_id1103z00_2403)), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1152z00_2478)))->BgL_namez00) =
						((obj_t) BgL_name1104z00_2404), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1152z00_2478)))->BgL_typez00) =
						((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1105z00_2405)),
						BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1152z00_2478)))->BgL_valuez00) =
						((BgL_valuez00_bglt) ((BgL_valuez00_bglt) BgL_value1106z00_2406)),
						BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1152z00_2478)))->BgL_accessz00) =
						((obj_t) BgL_access1107z00_2407), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1152z00_2478)))->BgL_fastzd2alphazd2) =
						((obj_t) BgL_fastzd2alpha1108zd2_2408), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1152z00_2478)))->BgL_removablez00) =
						((obj_t) BgL_removable1109z00_2409), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1152z00_2478)))->BgL_occurrencez00) =
						((long) BgL_occurrence1110z00_2472), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1152z00_2478)))->BgL_occurrencewz00) =
						((long) BgL_occurrencew1111z00_2473), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1152z00_2478)))->BgL_userzf3zf3) =
						((bool_t) BgL_userzf31112zf3_2474), BUNSPEC);
					((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt)
										BgL_new1152z00_2478)))->BgL_keyz00) =
						((long) BgL_key1113z00_2475), BUNSPEC);
					((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt)
										BgL_new1152z00_2478)))->BgL_valzd2noescapezd2) =
						((obj_t) BgL_valzd2noescape1114zd2_2414), BUNSPEC);
					((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt)
										BgL_new1152z00_2478)))->BgL_volatilez00) =
						((bool_t) BgL_volatile1115z00_2476), BUNSPEC);
					{
						BgL_localzf2variantzf2_bglt BgL_auxz00_3364;

						{
							obj_t BgL_auxz00_3365;

							{	/* Inline/variant.scm 22 */
								BgL_objectz00_bglt BgL_tmpz00_3366;

								BgL_tmpz00_3366 = ((BgL_objectz00_bglt) BgL_new1152z00_2478);
								BgL_auxz00_3365 = BGL_OBJECT_WIDENING(BgL_tmpz00_3366);
							}
							BgL_auxz00_3364 = ((BgL_localzf2variantzf2_bglt) BgL_auxz00_3365);
						}
						((((BgL_localzf2variantzf2_bglt) COBJECT(BgL_auxz00_3364))->
								BgL_variantz00) = ((bool_t) BgL_variant1116z00_2477), BUNSPEC);
					}
					return BgL_new1152z00_2478;
				}
			}
		}

	}



/* &lambda1633 */
	obj_t BGl_z62lambda1633z62zzinline_variantz00(obj_t BgL_envz00_2417,
		obj_t BgL_oz00_2418, obj_t BgL_vz00_2419)
	{
		{	/* Inline/variant.scm 22 */
			{	/* Inline/variant.scm 22 */
				bool_t BgL_vz00_2485;

				BgL_vz00_2485 = CBOOL(BgL_vz00_2419);
				{
					BgL_localzf2variantzf2_bglt BgL_auxz00_3372;

					{
						obj_t BgL_auxz00_3373;

						{	/* Inline/variant.scm 22 */
							BgL_objectz00_bglt BgL_tmpz00_3374;

							BgL_tmpz00_3374 =
								((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_oz00_2418));
							BgL_auxz00_3373 = BGL_OBJECT_WIDENING(BgL_tmpz00_3374);
						}
						BgL_auxz00_3372 = ((BgL_localzf2variantzf2_bglt) BgL_auxz00_3373);
					}
					return
						((((BgL_localzf2variantzf2_bglt) COBJECT(BgL_auxz00_3372))->
							BgL_variantz00) = ((bool_t) BgL_vz00_2485), BUNSPEC);
				}
			}
		}

	}



/* &lambda1632 */
	obj_t BGl_z62lambda1632z62zzinline_variantz00(obj_t BgL_envz00_2420,
		obj_t BgL_oz00_2421)
	{
		{	/* Inline/variant.scm 22 */
			{	/* Inline/variant.scm 22 */
				bool_t BgL_tmpz00_3380;

				{
					BgL_localzf2variantzf2_bglt BgL_auxz00_3381;

					{
						obj_t BgL_auxz00_3382;

						{	/* Inline/variant.scm 22 */
							BgL_objectz00_bglt BgL_tmpz00_3383;

							BgL_tmpz00_3383 =
								((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_oz00_2421));
							BgL_auxz00_3382 = BGL_OBJECT_WIDENING(BgL_tmpz00_3383);
						}
						BgL_auxz00_3381 = ((BgL_localzf2variantzf2_bglt) BgL_auxz00_3382);
					}
					BgL_tmpz00_3380 =
						(((BgL_localzf2variantzf2_bglt) COBJECT(BgL_auxz00_3381))->
						BgL_variantz00);
				}
				return BBOOL(BgL_tmpz00_3380);
			}
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzinline_variantz00(void)
	{
		{	/* Inline/variant.scm 15 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzinline_variantz00(void)
	{
		{	/* Inline/variant.scm 15 */
			return BUNSPEC;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzinline_variantz00(void)
	{
		{	/* Inline/variant.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(54713316L,
				BSTRING_TO_STRING(BGl_string1807z00zzinline_variantz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(515343395L,
				BSTRING_TO_STRING(BGl_string1807z00zzinline_variantz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(365925558L,
				BSTRING_TO_STRING(BGl_string1807z00zzinline_variantz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(90839984L,
				BSTRING_TO_STRING(BGl_string1807z00zzinline_variantz00));
			return
				BGl_modulezd2initializa7ationz75zzast_nodez00(469732712L,
				BSTRING_TO_STRING(BGl_string1807z00zzinline_variantz00));
		}

	}

#ifdef __cplusplus
}
#endif
