/*===========================================================================*/
/*   (Integrate/definition.scm)                                              */
/*   Bigloo (4.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Jan 27 07:45:49 AM CET 2025     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.6a/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.6a/lib/bigloo/4.6a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -stdc -indent Integrate/definition.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL_INTEGRATE_DEFINITION_TYPE_DEFINITIONS
#define BGL_INTEGRATE_DEFINITION_TYPE_DEFINITIONS

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_nullz00;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_qualifiedzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_sfunzf2iinfozf2_bgl
	{
		obj_t BgL_ownerz00;
		obj_t BgL_freez00;
		obj_t BgL_boundz00;
		obj_t BgL_cfromz00;
		obj_t BgL_ctoz00;
		obj_t BgL_kz00;
		obj_t BgL_kza2za2;
		obj_t BgL_uz00;
		obj_t BgL_cnz00;
		obj_t BgL_ctz00;
		obj_t BgL_kontz00;
		bool_t BgL_gzf3zf3;
		bool_t BgL_forcegzf3zf3;
		obj_t BgL_lz00;
		obj_t BgL_ledz00;
		obj_t BgL_istampz00;
		obj_t BgL_globalz00;
		obj_t BgL_kapturedz00;
		obj_t BgL_tailzd2coercionzd2;
		bool_t BgL_xhdlzf3zf3;
		obj_t BgL_xhdlsz00;
	}                      *BgL_sfunzf2iinfozf2_bglt;


#endif													// BGL_INTEGRATE_DEFINITION_TYPE_DEFINITIONS
#endif													// BGL_MODULE_TYPE_DEFINITIONS

	extern obj_t
		BGl_localzd2ze3globalz31zzintegrate_localzd2ze3globalz31(BgL_localz00_bglt);
	extern obj_t BGl_Kz12z12zzintegrate_kkz00(obj_t, BgL_globalz00_bglt);
	static obj_t BGl_requirezd2initializa7ationz75zzintegrate_definitionz00 =
		BUNSPEC;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	extern obj_t BGl_setzd2kapturedz12zc0zzintegrate_kapturedz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_integratezd2definitionz12zc0zzintegrate_definitionz00(obj_t);
	static obj_t BGl_genericzd2initzd2zzintegrate_definitionz00(void);
	extern obj_t BGl_Cnz62Ctz12z70zzintegrate_ctnz00(obj_t);
	static obj_t BGl_objectzd2initzd2zzintegrate_definitionz00(void);
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	static obj_t
		BGl_z62integratezd2definitionz12za2zzintegrate_definitionz00(obj_t, obj_t);
	static bool_t BGl_verbzd2globaliza7ationz75zzintegrate_definitionz00(obj_t,
		obj_t);
	extern obj_t BGl_Uz12z12zzintegrate_uz00(void);
	static obj_t BGl_methodzd2initzd2zzintegrate_definitionz00(void);
	extern obj_t
		BGl_integratezd2globaliza7ez12z67zzintegrate_nodez00(BgL_nodez00_bglt,
		BgL_variablez00_bglt, obj_t);
	extern obj_t BGl_Az00zzintegrate_az00(BgL_globalz00_bglt, BgL_nodez00_bglt);
	extern obj_t BGl_za2verboseza2z00zzengine_paramz00;
	extern obj_t BGl_displacezd2letzd2funz12z12zzintegrate_letzd2funzd2(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzintegrate_definitionz00(long, char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zzintegrate_localzd2ze3globalz31(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzintegrate_nodez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzintegrate_letzd2funzd2(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzintegrate_kapturedz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzintegrate_gz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzintegrate_ctnz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzintegrate_uz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzintegrate_kkz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzintegrate_az00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzintegrate_infoz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_removez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	extern obj_t BGl_localz00zzast_varz00;
	static obj_t BGl_libraryzd2moduleszd2initz00zzintegrate_definitionz00(void);
	static obj_t BGl_importedzd2moduleszd2initz00zzintegrate_definitionz00(void);
	static obj_t BGl_gczd2rootszd2initz00zzintegrate_definitionz00(void);
	extern obj_t BGl_Kza2z12zb0zzintegrate_kkz00(obj_t);
	extern obj_t BGl_Gz12z12zzintegrate_gz00(obj_t);
	BGL_IMPORT bool_t BGl_2zc3zd3z10zz__r4_numbers_6_5z00(obj_t, obj_t);
	extern obj_t BGl_za2phiza2z00zzintegrate_az00;
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	static obj_t *__cnst;


	   
		 
		DEFINE_STRING(BGl_string1475z00zzintegrate_definitionz00,
		BgL_bgl_string1475za700za7za7i1478za7, " -->", 4);
	      DEFINE_STRING(BGl_string1476z00zzintegrate_definitionz00,
		BgL_bgl_string1476za700za7za7i1479za7, "           ", 11);
	      DEFINE_STRING(BGl_string1477z00zzintegrate_definitionz00,
		BgL_bgl_string1477za700za7za7i1480za7, "integrate_definition", 20);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_integratezd2definitionz12zd2envz12zzintegrate_definitionz00,
		BgL_bgl_za762integrateza7d2d1481z00,
		BGl_z62integratezd2definitionz12za2zzintegrate_definitionz00, 0L, BUNSPEC,
		1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zzintegrate_definitionz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzintegrate_definitionz00(long
		BgL_checksumz00_1929, char *BgL_fromz00_1930)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzintegrate_definitionz00))
				{
					BGl_requirezd2initializa7ationz75zzintegrate_definitionz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzintegrate_definitionz00();
					BGl_libraryzd2moduleszd2initz00zzintegrate_definitionz00();
					BGl_importedzd2moduleszd2initz00zzintegrate_definitionz00();
					return BGl_methodzd2initzd2zzintegrate_definitionz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzintegrate_definitionz00(void)
	{
		{	/* Integrate/definition.scm 15 */
			BGl_modulezd2initializa7ationz75zz__objectz00(0L, "integrate_definition");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(0L,
				"integrate_definition");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(0L,
				"integrate_definition");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(0L,
				"integrate_definition");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(0L,
				"integrate_definition");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(0L,
				"integrate_definition");
			BGl_modulezd2initializa7ationz75zz__readerz00(0L, "integrate_definition");
			return BUNSPEC;
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzintegrate_definitionz00(void)
	{
		{	/* Integrate/definition.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* integrate-definition! */
	BGL_EXPORTED_DEF obj_t
		BGl_integratezd2definitionz12zc0zzintegrate_definitionz00(obj_t
		BgL_globalz00_3)
	{
		{	/* Integrate/definition.scm 58 */
			{	/* Integrate/definition.scm 61 */
				BgL_valuez00_bglt BgL_funz00_1575;

				BgL_funz00_1575 =
					(((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt)
								((BgL_globalz00_bglt) BgL_globalz00_3))))->BgL_valuez00);
				{	/* Integrate/definition.scm 61 */
					obj_t BgL_bodyz00_1576;

					BgL_bodyz00_1576 =
						(((BgL_sfunz00_bglt) COBJECT(
								((BgL_sfunz00_bglt) BgL_funz00_1575)))->BgL_bodyz00);
					{	/* Integrate/definition.scm 62 */
						obj_t BgL_az00_1577;

						BgL_az00_1577 =
							BGl_Az00zzintegrate_az00(
							((BgL_globalz00_bglt) BgL_globalz00_3),
							((BgL_nodez00_bglt) BgL_bodyz00_1576));
						{	/* Integrate/definition.scm 63 */

							{	/* Integrate/definition.scm 65 */
								obj_t BgL_arg1254z00_1578;

								BgL_arg1254z00_1578 =
									BGl_Kz12z12zzintegrate_kkz00(BgL_az00_1577,
									((BgL_globalz00_bglt) BgL_globalz00_3));
								BGl_Kza2z12zb0zzintegrate_kkz00(BgL_arg1254z00_1578);
							}
							BGl_Uz12z12zzintegrate_uz00();
							{	/* Integrate/definition.scm 67 */
								obj_t BgL_gz00_1579;

								BgL_gz00_1579 =
									BGl_Gz12z12zzintegrate_gz00
									(BGl_Cnz62Ctz12z70zzintegrate_ctnz00(BgL_az00_1577));
								if (NULLP(BgL_gz00_1579))
									{	/* Integrate/definition.scm 74 */
										obj_t BgL_list1256z00_1581;

										BgL_list1256z00_1581 =
											MAKE_YOUNG_PAIR(BgL_globalz00_3, BNIL);
										return BgL_list1256z00_1581;
									}
								else
									{	/* Integrate/definition.scm 72 */
										BGl_verbzd2globaliza7ationz75zzintegrate_definitionz00
											(BgL_globalz00_3, BgL_gz00_1579);
										{
											obj_t BgL_l1237z00_1583;

											BgL_l1237z00_1583 = BGl_za2phiza2z00zzintegrate_az00;
										BgL_zc3z04anonymousza31257ze3z87_1584:
											if (PAIRP(BgL_l1237z00_1583))
												{	/* Integrate/definition.scm 78 */
													{	/* Integrate/definition.scm 80 */
														obj_t BgL_fz00_1586;

														BgL_fz00_1586 = CAR(BgL_l1237z00_1583);
														{	/* Integrate/definition.scm 80 */
															bool_t BgL_test1487z00_1967;

															{	/* Integrate/definition.scm 80 */
																bool_t BgL_test1488z00_1968;

																{	/* Integrate/definition.scm 80 */
																	obj_t BgL_classz00_1829;

																	BgL_classz00_1829 = BGl_localz00zzast_varz00;
																	if (BGL_OBJECTP(BgL_fz00_1586))
																		{	/* Integrate/definition.scm 80 */
																			BgL_objectz00_bglt BgL_arg1858z00_1831;

																			BgL_arg1858z00_1831 =
																				(BgL_objectz00_bglt) (BgL_fz00_1586);
																			if (BGL_CONDEXPAND_ISA_ARCH64())
																				{	/* Integrate/definition.scm 80 */
																					long BgL_idxz00_1837;

																					BgL_idxz00_1837 =
																						BGL_OBJECT_INHERITANCE_NUM
																						(BgL_arg1858z00_1831);
																					BgL_test1488z00_1968 =
																						(VECTOR_REF
																						(BGl_za2inheritancesza2z00zz__objectz00,
																							(BgL_idxz00_1837 + 2L)) ==
																						BgL_classz00_1829);
																				}
																			else
																				{	/* Integrate/definition.scm 80 */
																					bool_t BgL_res1473z00_1862;

																					{	/* Integrate/definition.scm 80 */
																						obj_t BgL_oclassz00_1845;

																						{	/* Integrate/definition.scm 80 */
																							obj_t BgL_arg1866z00_1853;
																							long BgL_arg1867z00_1854;

																							BgL_arg1866z00_1853 =
																								(BGl_za2classesza2z00zz__objectz00);
																							{	/* Integrate/definition.scm 80 */
																								long BgL_arg1869z00_1855;

																								BgL_arg1869z00_1855 =
																									BGL_OBJECT_CLASS_NUM
																									(BgL_arg1858z00_1831);
																								BgL_arg1867z00_1854 =
																									(BgL_arg1869z00_1855 -
																									OBJECT_TYPE);
																							}
																							BgL_oclassz00_1845 =
																								VECTOR_REF(BgL_arg1866z00_1853,
																								BgL_arg1867z00_1854);
																						}
																						{	/* Integrate/definition.scm 80 */
																							bool_t BgL__ortest_1115z00_1846;

																							BgL__ortest_1115z00_1846 =
																								(BgL_classz00_1829 ==
																								BgL_oclassz00_1845);
																							if (BgL__ortest_1115z00_1846)
																								{	/* Integrate/definition.scm 80 */
																									BgL_res1473z00_1862 =
																										BgL__ortest_1115z00_1846;
																								}
																							else
																								{	/* Integrate/definition.scm 80 */
																									long BgL_odepthz00_1847;

																									{	/* Integrate/definition.scm 80 */
																										obj_t BgL_arg1855z00_1848;

																										BgL_arg1855z00_1848 =
																											(BgL_oclassz00_1845);
																										BgL_odepthz00_1847 =
																											BGL_CLASS_DEPTH
																											(BgL_arg1855z00_1848);
																									}
																									if ((2L < BgL_odepthz00_1847))
																										{	/* Integrate/definition.scm 80 */
																											obj_t BgL_arg1853z00_1850;

																											{	/* Integrate/definition.scm 80 */
																												obj_t
																													BgL_arg1854z00_1851;
																												BgL_arg1854z00_1851 =
																													(BgL_oclassz00_1845);
																												BgL_arg1853z00_1850 =
																													BGL_CLASS_ANCESTORS_REF
																													(BgL_arg1854z00_1851,
																													2L);
																											}
																											BgL_res1473z00_1862 =
																												(BgL_arg1853z00_1850 ==
																												BgL_classz00_1829);
																										}
																									else
																										{	/* Integrate/definition.scm 80 */
																											BgL_res1473z00_1862 =
																												((bool_t) 0);
																										}
																								}
																						}
																					}
																					BgL_test1488z00_1968 =
																						BgL_res1473z00_1862;
																				}
																		}
																	else
																		{	/* Integrate/definition.scm 80 */
																			BgL_test1488z00_1968 = ((bool_t) 0);
																		}
																}
																if (BgL_test1488z00_1968)
																	{	/* Integrate/definition.scm 80 */
																		bool_t BgL_test1493z00_1991;

																		{	/* Integrate/definition.scm 80 */
																			BgL_sfunz00_bglt BgL_oz00_1864;

																			BgL_oz00_1864 =
																				((BgL_sfunz00_bglt)
																				(((BgL_variablez00_bglt) COBJECT(
																							((BgL_variablez00_bglt)
																								((BgL_localz00_bglt)
																									BgL_fz00_1586))))->
																					BgL_valuez00));
																			{
																				BgL_sfunzf2iinfozf2_bglt
																					BgL_auxz00_1996;
																				{
																					obj_t BgL_auxz00_1997;

																					{	/* Integrate/definition.scm 80 */
																						BgL_objectz00_bglt BgL_tmpz00_1998;

																						BgL_tmpz00_1998 =
																							((BgL_objectz00_bglt)
																							BgL_oz00_1864);
																						BgL_auxz00_1997 =
																							BGL_OBJECT_WIDENING
																							(BgL_tmpz00_1998);
																					}
																					BgL_auxz00_1996 =
																						((BgL_sfunzf2iinfozf2_bglt)
																						BgL_auxz00_1997);
																				}
																				BgL_test1493z00_1991 =
																					(((BgL_sfunzf2iinfozf2_bglt)
																						COBJECT(BgL_auxz00_1996))->
																					BgL_gzf3zf3);
																			}
																		}
																		if (BgL_test1493z00_1991)
																			{	/* Integrate/definition.scm 80 */
																				BgL_test1487z00_1967 = ((bool_t) 0);
																			}
																		else
																			{	/* Integrate/definition.scm 80 */
																				BgL_test1487z00_1967 = ((bool_t) 1);
																			}
																	}
																else
																	{	/* Integrate/definition.scm 80 */
																		BgL_test1487z00_1967 = ((bool_t) 0);
																	}
															}
															if (BgL_test1487z00_1967)
																{	/* Integrate/definition.scm 81 */
																	obj_t BgL_gz00_1592;

																	{	/* Integrate/definition.scm 81 */
																		BgL_sfunz00_bglt BgL_oz00_1867;

																		BgL_oz00_1867 =
																			((BgL_sfunz00_bglt)
																			(((BgL_variablez00_bglt) COBJECT(
																						((BgL_variablez00_bglt)
																							((BgL_localz00_bglt)
																								BgL_fz00_1586))))->
																				BgL_valuez00));
																		{
																			BgL_sfunzf2iinfozf2_bglt BgL_auxz00_2007;

																			{
																				obj_t BgL_auxz00_2008;

																				{	/* Integrate/definition.scm 81 */
																					BgL_objectz00_bglt BgL_tmpz00_2009;

																					BgL_tmpz00_2009 =
																						((BgL_objectz00_bglt)
																						BgL_oz00_1867);
																					BgL_auxz00_2008 =
																						BGL_OBJECT_WIDENING
																						(BgL_tmpz00_2009);
																				}
																				BgL_auxz00_2007 =
																					((BgL_sfunzf2iinfozf2_bglt)
																					BgL_auxz00_2008);
																			}
																			BgL_gz00_1592 =
																				(((BgL_sfunzf2iinfozf2_bglt)
																					COBJECT(BgL_auxz00_2007))->BgL_lz00);
																		}
																	}
																	{	/* Integrate/definition.scm 81 */
																		BgL_valuez00_bglt BgL_ifuz00_1593;

																		BgL_ifuz00_1593 =
																			(((BgL_variablez00_bglt) COBJECT(
																					((BgL_variablez00_bglt)
																						BgL_gz00_1592)))->BgL_valuez00);
																		{	/* Integrate/definition.scm 82 */

																			{	/* Integrate/definition.scm 84 */
																				obj_t BgL_arg1271z00_1594;

																				{	/* Integrate/definition.scm 84 */
																					obj_t BgL_arg1272z00_1595;

																					{
																						BgL_sfunzf2iinfozf2_bglt
																							BgL_auxz00_2016;
																						{
																							obj_t BgL_auxz00_2017;

																							{	/* Integrate/definition.scm 84 */
																								BgL_objectz00_bglt
																									BgL_tmpz00_2018;
																								BgL_tmpz00_2018 =
																									((BgL_objectz00_bglt) (
																										(BgL_sfunz00_bglt)
																										BgL_ifuz00_1593));
																								BgL_auxz00_2017 =
																									BGL_OBJECT_WIDENING
																									(BgL_tmpz00_2018);
																							}
																							BgL_auxz00_2016 =
																								((BgL_sfunzf2iinfozf2_bglt)
																								BgL_auxz00_2017);
																						}
																						BgL_arg1272z00_1595 =
																							(((BgL_sfunzf2iinfozf2_bglt)
																								COBJECT(BgL_auxz00_2016))->
																							BgL_ledz00);
																					}
																					BgL_arg1271z00_1594 =
																						MAKE_YOUNG_PAIR(BgL_fz00_1586,
																						BgL_arg1272z00_1595);
																				}
																				{
																					BgL_sfunzf2iinfozf2_bglt
																						BgL_auxz00_2025;
																					{
																						obj_t BgL_auxz00_2026;

																						{	/* Integrate/definition.scm 83 */
																							BgL_objectz00_bglt
																								BgL_tmpz00_2027;
																							BgL_tmpz00_2027 =
																								((BgL_objectz00_bglt) (
																									(BgL_sfunz00_bglt)
																									BgL_ifuz00_1593));
																							BgL_auxz00_2026 =
																								BGL_OBJECT_WIDENING
																								(BgL_tmpz00_2027);
																						}
																						BgL_auxz00_2025 =
																							((BgL_sfunzf2iinfozf2_bglt)
																							BgL_auxz00_2026);
																					}
																					((((BgL_sfunzf2iinfozf2_bglt)
																								COBJECT(BgL_auxz00_2025))->
																							BgL_ledz00) =
																						((obj_t) BgL_arg1271z00_1594),
																						BUNSPEC);
																				}
																			}
																		}
																	}
																}
															else
																{	/* Integrate/definition.scm 80 */
																	BFALSE;
																}
														}
													}
													{
														obj_t BgL_l1237z00_2033;

														BgL_l1237z00_2033 = CDR(BgL_l1237z00_1583);
														BgL_l1237z00_1583 = BgL_l1237z00_2033;
														goto BgL_zc3z04anonymousza31257ze3z87_1584;
													}
												}
											else
												{	/* Integrate/definition.scm 78 */
													((bool_t) 1);
												}
										}
										{
											obj_t BgL_l1239z00_1603;

											BgL_l1239z00_1603 = BgL_gz00_1579;
										BgL_zc3z04anonymousza31276ze3z87_1604:
											if (PAIRP(BgL_l1239z00_1603))
												{	/* Integrate/definition.scm 88 */
													BGl_displacezd2letzd2funz12z12zzintegrate_letzd2funzd2
														(CAR(BgL_l1239z00_1603));
													{
														obj_t BgL_l1239z00_2039;

														BgL_l1239z00_2039 = CDR(BgL_l1239z00_1603);
														BgL_l1239z00_1603 = BgL_l1239z00_2039;
														goto BgL_zc3z04anonymousza31276ze3z87_1604;
													}
												}
											else
												{	/* Integrate/definition.scm 88 */
													((bool_t) 1);
												}
										}
										BGl_displacezd2letzd2funz12z12zzintegrate_letzd2funzd2
											(BgL_globalz00_3);
										BGl_setzd2kapturedz12zc0zzintegrate_kapturedz00
											(BgL_gz00_1579);
										{	/* Integrate/definition.scm 97 */
											obj_t BgL_newzd2gzd2_1609;

											{	/* Integrate/definition.scm 97 */
												obj_t BgL_head1243z00_1613;

												{	/* Integrate/definition.scm 97 */
													obj_t BgL_arg1289z00_1625;

													{	/* Integrate/definition.scm 97 */
														obj_t BgL_arg1291z00_1626;

														BgL_arg1291z00_1626 = CAR(((obj_t) BgL_gz00_1579));
														BgL_arg1289z00_1625 =
															BGl_localzd2ze3globalz31zzintegrate_localzd2ze3globalz31
															(((BgL_localz00_bglt) BgL_arg1291z00_1626));
													}
													BgL_head1243z00_1613 =
														MAKE_YOUNG_PAIR(BgL_arg1289z00_1625, BNIL);
												}
												{	/* Integrate/definition.scm 97 */
													obj_t BgL_g1246z00_1614;

													BgL_g1246z00_1614 = CDR(((obj_t) BgL_gz00_1579));
													{
														obj_t BgL_l1241z00_1616;
														obj_t BgL_tail1244z00_1617;

														BgL_l1241z00_1616 = BgL_g1246z00_1614;
														BgL_tail1244z00_1617 = BgL_head1243z00_1613;
													BgL_zc3z04anonymousza31283ze3z87_1618:
														if (NULLP(BgL_l1241z00_1616))
															{	/* Integrate/definition.scm 97 */
																BgL_newzd2gzd2_1609 = BgL_head1243z00_1613;
															}
														else
															{	/* Integrate/definition.scm 97 */
																obj_t BgL_newtail1245z00_1620;

																{	/* Integrate/definition.scm 97 */
																	obj_t BgL_arg1287z00_1622;

																	{	/* Integrate/definition.scm 97 */
																		obj_t BgL_arg1288z00_1623;

																		BgL_arg1288z00_1623 =
																			CAR(((obj_t) BgL_l1241z00_1616));
																		BgL_arg1287z00_1622 =
																			BGl_localzd2ze3globalz31zzintegrate_localzd2ze3globalz31
																			(((BgL_localz00_bglt)
																				BgL_arg1288z00_1623));
																	}
																	BgL_newtail1245z00_1620 =
																		MAKE_YOUNG_PAIR(BgL_arg1287z00_1622, BNIL);
																}
																SET_CDR(BgL_tail1244z00_1617,
																	BgL_newtail1245z00_1620);
																{	/* Integrate/definition.scm 97 */
																	obj_t BgL_arg1285z00_1621;

																	BgL_arg1285z00_1621 =
																		CDR(((obj_t) BgL_l1241z00_1616));
																	{
																		obj_t BgL_tail1244z00_2061;
																		obj_t BgL_l1241z00_2060;

																		BgL_l1241z00_2060 = BgL_arg1285z00_1621;
																		BgL_tail1244z00_2061 =
																			BgL_newtail1245z00_1620;
																		BgL_tail1244z00_1617 = BgL_tail1244z00_2061;
																		BgL_l1241z00_1616 = BgL_l1241z00_2060;
																		goto BgL_zc3z04anonymousza31283ze3z87_1618;
																	}
																}
															}
													}
												}
											}
											{	/* Integrate/definition.scm 98 */
												obj_t BgL_arg1281z00_1610;

												BgL_arg1281z00_1610 =
													BGl_integratezd2globaliza7ez12z67zzintegrate_nodez00(
													((BgL_nodez00_bglt) BgL_bodyz00_1576),
													((BgL_variablez00_bglt) BgL_globalz00_3), BNIL);
												((((BgL_sfunz00_bglt) COBJECT(
																((BgL_sfunz00_bglt) BgL_funz00_1575)))->
														BgL_bodyz00) =
													((obj_t) BgL_arg1281z00_1610), BUNSPEC);
											}
											return
												MAKE_YOUNG_PAIR(BgL_globalz00_3, BgL_newzd2gzd2_1609);
										}
									}
							}
						}
					}
				}
			}
		}

	}



/* &integrate-definition! */
	obj_t BGl_z62integratezd2definitionz12za2zzintegrate_definitionz00(obj_t
		BgL_envz00_1927, obj_t BgL_globalz00_1928)
	{
		{	/* Integrate/definition.scm 58 */
			return
				BGl_integratezd2definitionz12zc0zzintegrate_definitionz00
				(BgL_globalz00_1928);
		}

	}



/* verb-globalization */
	bool_t BGl_verbzd2globaliza7ationz75zzintegrate_definitionz00(obj_t
		BgL_globalz00_4, obj_t BgL_gz00_5)
	{
		{	/* Integrate/definition.scm 104 */
			{
				obj_t BgL_l1247z00_1629;

				BgL_l1247z00_1629 = BgL_gz00_5;
			BgL_zc3z04anonymousza31293ze3z87_1630:
				if (PAIRP(BgL_l1247z00_1629))
					{	/* Integrate/definition.scm 105 */
						{	/* Integrate/definition.scm 106 */
							obj_t BgL_localz00_1632;

							BgL_localz00_1632 = CAR(BgL_l1247z00_1629);
							{	/* Integrate/definition.scm 106 */
								bool_t BgL_test1497z00_2072;

								if (INTEGERP(BGl_za2verboseza2z00zzengine_paramz00))
									{	/* Integrate/definition.scm 106 */
										BgL_test1497z00_2072 =
											(3L <=
											(long) CINT(BGl_za2verboseza2z00zzengine_paramz00));
									}
								else
									{	/* Integrate/definition.scm 106 */
										BgL_test1497z00_2072 =
											BGl_2zc3zd3z10zz__r4_numbers_6_5z00(BINT(3L),
											BGl_za2verboseza2z00zzengine_paramz00);
									}
								if (BgL_test1497z00_2072)
									{	/* Integrate/definition.scm 106 */
										bool_t BgL_test1499z00_2079;

										if (INTEGERP(BGl_za2verboseza2z00zzengine_paramz00))
											{	/* Integrate/definition.scm 106 */
												BgL_test1499z00_2079 =
													(3L <=
													(long) CINT(BGl_za2verboseza2z00zzengine_paramz00));
											}
										else
											{	/* Integrate/definition.scm 106 */
												BgL_test1499z00_2079 =
													BGl_2zc3zd3z10zz__r4_numbers_6_5z00(BINT(3L),
													BGl_za2verboseza2z00zzengine_paramz00);
											}
										if (BgL_test1499z00_2079)
											{	/* Integrate/definition.scm 106 */
												obj_t BgL_arg1299z00_1639;

												BgL_arg1299z00_1639 =
													BGl_shapez00zztools_shapez00(BgL_localz00_1632);
												{	/* Integrate/definition.scm 106 */
													obj_t BgL_list1300z00_1640;

													{	/* Integrate/definition.scm 106 */
														obj_t BgL_arg1301z00_1641;

														{	/* Integrate/definition.scm 106 */
															obj_t BgL_arg1302z00_1642;

															{	/* Integrate/definition.scm 106 */
																obj_t BgL_arg1303z00_1643;

																BgL_arg1303z00_1643 =
																	MAKE_YOUNG_PAIR(BCHAR(((unsigned char) 10)),
																	BNIL);
																BgL_arg1302z00_1642 =
																	MAKE_YOUNG_PAIR
																	(BGl_string1475z00zzintegrate_definitionz00,
																	BgL_arg1303z00_1643);
															}
															BgL_arg1301z00_1641 =
																MAKE_YOUNG_PAIR(BgL_arg1299z00_1639,
																BgL_arg1302z00_1642);
														}
														BgL_list1300z00_1640 =
															MAKE_YOUNG_PAIR
															(BGl_string1476z00zzintegrate_definitionz00,
															BgL_arg1301z00_1641);
													}
													BGl_verbosez00zztools_speekz00(BINT(3L),
														BgL_list1300z00_1640);
											}}
										else
											{	/* Integrate/definition.scm 106 */
												BUNSPEC;
											}
									}
								else
									{	/* Integrate/definition.scm 106 */
										BFALSE;
									}
							}
						}
						{
							obj_t BgL_l1247z00_2094;

							BgL_l1247z00_2094 = CDR(BgL_l1247z00_1629);
							BgL_l1247z00_1629 = BgL_l1247z00_2094;
							goto BgL_zc3z04anonymousza31293ze3z87_1630;
						}
					}
				else
					{	/* Integrate/definition.scm 105 */
						return ((bool_t) 1);
					}
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzintegrate_definitionz00(void)
	{
		{	/* Integrate/definition.scm 15 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzintegrate_definitionz00(void)
	{
		{	/* Integrate/definition.scm 15 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzintegrate_definitionz00(void)
	{
		{	/* Integrate/definition.scm 15 */
			return BUNSPEC;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzintegrate_definitionz00(void)
	{
		{	/* Integrate/definition.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(54713316L,
				BSTRING_TO_STRING(BGl_string1477z00zzintegrate_definitionz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(161876678L,
				BSTRING_TO_STRING(BGl_string1477z00zzintegrate_definitionz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(515343395L,
				BSTRING_TO_STRING(BGl_string1477z00zzintegrate_definitionz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(90839984L,
				BSTRING_TO_STRING(BGl_string1477z00zzintegrate_definitionz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(469732712L,
				BSTRING_TO_STRING(BGl_string1477z00zzintegrate_definitionz00));
			BGl_modulezd2initializa7ationz75zzast_removez00(383247627L,
				BSTRING_TO_STRING(BGl_string1477z00zzintegrate_definitionz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(365925558L,
				BSTRING_TO_STRING(BGl_string1477z00zzintegrate_definitionz00));
			BGl_modulezd2initializa7ationz75zztools_speekz00(61247943L,
				BSTRING_TO_STRING(BGl_string1477z00zzintegrate_definitionz00));
			BGl_modulezd2initializa7ationz75zzintegrate_infoz00(0L,
				BSTRING_TO_STRING(BGl_string1477z00zzintegrate_definitionz00));
			BGl_modulezd2initializa7ationz75zzintegrate_az00(523633197L,
				BSTRING_TO_STRING(BGl_string1477z00zzintegrate_definitionz00));
			BGl_modulezd2initializa7ationz75zzintegrate_kkz00(75634339L,
				BSTRING_TO_STRING(BGl_string1477z00zzintegrate_definitionz00));
			BGl_modulezd2initializa7ationz75zzintegrate_uz00(147062505L,
				BSTRING_TO_STRING(BGl_string1477z00zzintegrate_definitionz00));
			BGl_modulezd2initializa7ationz75zzintegrate_ctnz00(240374541L,
				BSTRING_TO_STRING(BGl_string1477z00zzintegrate_definitionz00));
			BGl_modulezd2initializa7ationz75zzintegrate_gz00(52380304L,
				BSTRING_TO_STRING(BGl_string1477z00zzintegrate_definitionz00));
			BGl_modulezd2initializa7ationz75zzintegrate_kapturedz00(70748975L,
				BSTRING_TO_STRING(BGl_string1477z00zzintegrate_definitionz00));
			BGl_modulezd2initializa7ationz75zzintegrate_letzd2funzd2(450799956L,
				BSTRING_TO_STRING(BGl_string1477z00zzintegrate_definitionz00));
			BGl_modulezd2initializa7ationz75zzintegrate_nodez00(347237104L,
				BSTRING_TO_STRING(BGl_string1477z00zzintegrate_definitionz00));
			return
				BGl_modulezd2initializa7ationz75zzintegrate_localzd2ze3globalz31
				(143977554L,
				BSTRING_TO_STRING(BGl_string1477z00zzintegrate_definitionz00));
		}

	}

#ifdef __cplusplus
}
#endif
