/*===========================================================================*/
/*   (Integrate/kaptured.scm)                                                */
/*   Bigloo (4.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Jan 27 07:45:49 AM CET 2025     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.6a/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.6a/lib/bigloo/4.6a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -stdc -indent Integrate/kaptured.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL_INTEGRATE_KAPTURED_TYPE_DEFINITIONS
#define BGL_INTEGRATE_KAPTURED_TYPE_DEFINITIONS

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_nullz00;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_svarz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}              *BgL_svarz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_svarzf2iinfozf2_bgl
	{
		obj_t BgL_fzd2markzd2;
		obj_t BgL_uzd2markzd2;
		bool_t BgL_kapturedzf3zf3;
		bool_t BgL_celledzf3zf3;
		obj_t BgL_xhdlz00;
	}                      *BgL_svarzf2iinfozf2_bglt;

	typedef struct BgL_sfunzf2iinfozf2_bgl
	{
		obj_t BgL_ownerz00;
		obj_t BgL_freez00;
		obj_t BgL_boundz00;
		obj_t BgL_cfromz00;
		obj_t BgL_ctoz00;
		obj_t BgL_kz00;
		obj_t BgL_kza2za2;
		obj_t BgL_uz00;
		obj_t BgL_cnz00;
		obj_t BgL_ctz00;
		obj_t BgL_kontz00;
		bool_t BgL_gzf3zf3;
		bool_t BgL_forcegzf3zf3;
		obj_t BgL_lz00;
		obj_t BgL_ledz00;
		obj_t BgL_istampz00;
		obj_t BgL_globalz00;
		obj_t BgL_kapturedz00;
		obj_t BgL_tailzd2coercionzd2;
		bool_t BgL_xhdlzf3zf3;
		obj_t BgL_xhdlsz00;
	}                      *BgL_sfunzf2iinfozf2_bglt;


#endif													// BGL_INTEGRATE_KAPTURED_TYPE_DEFINITIONS
#endif													// BGL_MODULE_TYPE_DEFINITIONS

	static obj_t BGl_requirezd2initializa7ationz75zzintegrate_kapturedz00 =
		BUNSPEC;
	static obj_t BGl_localzd2ctozd2zzintegrate_kapturedz00(BgL_localz00_bglt);
	extern obj_t BGl_setzd2ctoz12zc0zzintegrate_ctoz00(BgL_nodez00_bglt,
		BgL_localz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_setzd2kapturedz12zc0zzintegrate_kapturedz00(obj_t);
	static obj_t BGl_toplevelzd2initzd2zzintegrate_kapturedz00(void);
	static obj_t BGl_genericzd2initzd2zzintegrate_kapturedz00(void);
	static obj_t BGl_objectzd2initzd2zzintegrate_kapturedz00(void);
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	extern obj_t BGl_getzd2freezd2varsz00zzintegrate_freez00(BgL_nodez00_bglt,
		BgL_localz00_bglt);
	static obj_t BGl_za2unionzd2roundza2zd2zzintegrate_kapturedz00 = BUNSPEC;
	static obj_t BGl_methodzd2initzd2zzintegrate_kapturedz00(void);
	extern obj_t BGl_freezd2fromzd2zzintegrate_freez00(obj_t, BgL_localz00_bglt);
	static obj_t BGl_unionz00zzintegrate_kapturedz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzintegrate_kapturedz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzintegrate_ctoz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzintegrate_freez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzintegrate_infoz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	static obj_t BGl_libraryzd2moduleszd2initz00zzintegrate_kapturedz00(void);
	static obj_t BGl_importedzd2moduleszd2initz00zzintegrate_kapturedz00(void);
	static obj_t BGl_gczd2rootszd2initz00zzintegrate_kapturedz00(void);
	static obj_t BGl_z62setzd2kapturedz12za2zzintegrate_kapturedz00(obj_t, obj_t);
	static obj_t BGl_getzd2onezd2kapturedz00zzintegrate_kapturedz00(obj_t, obj_t);
	static bool_t BGl_setzd2onezd2kapturedz12z12zzintegrate_kapturedz00(obj_t);
	static obj_t *__cnst;


	   
		 
		DEFINE_STRING(BGl_string1636z00zzintegrate_kapturedz00,
		BgL_bgl_string1636za700za7za7i1637za7, "integrate_kaptured", 18);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_setzd2kapturedz12zd2envz12zzintegrate_kapturedz00,
		BgL_bgl_za762setza7d2kapture1638z00,
		BGl_z62setzd2kapturedz12za2zzintegrate_kapturedz00, 0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zzintegrate_kapturedz00));
		     ADD_ROOT((void
				*) (&BGl_za2unionzd2roundza2zd2zzintegrate_kapturedz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzintegrate_kapturedz00(long
		BgL_checksumz00_1950, char *BgL_fromz00_1951)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzintegrate_kapturedz00))
				{
					BGl_requirezd2initializa7ationz75zzintegrate_kapturedz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzintegrate_kapturedz00();
					BGl_libraryzd2moduleszd2initz00zzintegrate_kapturedz00();
					BGl_importedzd2moduleszd2initz00zzintegrate_kapturedz00();
					return BGl_toplevelzd2initzd2zzintegrate_kapturedz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzintegrate_kapturedz00(void)
	{
		{	/* Integrate/kaptured.scm 17 */
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(0L,
				"integrate_kaptured");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(0L,
				"integrate_kaptured");
			BGl_modulezd2initializa7ationz75zz__objectz00(0L, "integrate_kaptured");
			BGl_modulezd2initializa7ationz75zz__readerz00(0L, "integrate_kaptured");
			return BUNSPEC;
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzintegrate_kapturedz00(void)
	{
		{	/* Integrate/kaptured.scm 17 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzintegrate_kapturedz00(void)
	{
		{	/* Integrate/kaptured.scm 17 */
			return (BGl_za2unionzd2roundza2zd2zzintegrate_kapturedz00 =
				BINT(0L), BUNSPEC);
		}

	}



/* set-kaptured! */
	BGL_EXPORTED_DEF obj_t BGl_setzd2kapturedz12zc0zzintegrate_kapturedz00(obj_t
		BgL_localza2za2_3)
	{
		{	/* Integrate/kaptured.scm 31 */
			{
				obj_t BgL_l1245z00_1581;

				{	/* Integrate/kaptured.scm 32 */
					bool_t BgL_tmpz00_1965;

					BgL_l1245z00_1581 = BgL_localza2za2_3;
				BgL_zc3z04anonymousza31259ze3z87_1582:
					if (PAIRP(BgL_l1245z00_1581))
						{	/* Integrate/kaptured.scm 32 */
							BGl_setzd2onezd2kapturedz12z12zzintegrate_kapturedz00(CAR
								(BgL_l1245z00_1581));
							{
								obj_t BgL_l1245z00_1970;

								BgL_l1245z00_1970 = CDR(BgL_l1245z00_1581);
								BgL_l1245z00_1581 = BgL_l1245z00_1970;
								goto BgL_zc3z04anonymousza31259ze3z87_1582;
							}
						}
					else
						{	/* Integrate/kaptured.scm 32 */
							BgL_tmpz00_1965 = ((bool_t) 1);
						}
					return BBOOL(BgL_tmpz00_1965);
				}
			}
		}

	}



/* &set-kaptured! */
	obj_t BGl_z62setzd2kapturedz12za2zzintegrate_kapturedz00(obj_t
		BgL_envz00_1948, obj_t BgL_localza2za2_1949)
	{
		{	/* Integrate/kaptured.scm 31 */
			return
				BGl_setzd2kapturedz12zc0zzintegrate_kapturedz00(BgL_localza2za2_1949);
		}

	}



/* set-one-kaptured! */
	bool_t BGl_setzd2onezd2kapturedz12z12zzintegrate_kapturedz00(obj_t
		BgL_localz00_6)
	{
		{	/* Integrate/kaptured.scm 142 */
			{	/* Integrate/kaptured.scm 145 */
				BgL_valuez00_bglt BgL_infoz00_1641;
				obj_t BgL_kapturedz00_1642;

				BgL_infoz00_1641 =
					(((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt)
								((BgL_localz00_bglt) BgL_localz00_6))))->BgL_valuez00);
				BgL_kapturedz00_1642 =
					BGl_getzd2onezd2kapturedz00zzintegrate_kapturedz00(BgL_localz00_6,
					BNIL);
				{
					BgL_sfunzf2iinfozf2_bglt BgL_auxz00_1978;

					{
						obj_t BgL_auxz00_1979;

						{	/* Integrate/kaptured.scm 147 */
							BgL_objectz00_bglt BgL_tmpz00_1980;

							BgL_tmpz00_1980 =
								((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_infoz00_1641));
							BgL_auxz00_1979 = BGL_OBJECT_WIDENING(BgL_tmpz00_1980);
						}
						BgL_auxz00_1978 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_1979);
					}
					((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_1978))->
							BgL_kapturedz00) = ((obj_t) BgL_kapturedz00_1642), BUNSPEC);
				}
				{
					obj_t BgL_l1252z00_1644;

					BgL_l1252z00_1644 = BgL_kapturedz00_1642;
				BgL_zc3z04anonymousza31303ze3z87_1645:
					if (PAIRP(BgL_l1252z00_1644))
						{	/* Integrate/kaptured.scm 148 */
							{	/* Integrate/kaptured.scm 149 */
								obj_t BgL_localz00_1647;

								BgL_localz00_1647 = CAR(BgL_l1252z00_1644);
								{	/* Integrate/kaptured.scm 150 */
									BgL_valuez00_bglt BgL_arg1309z00_1648;

									BgL_arg1309z00_1648 =
										(((BgL_variablez00_bglt) COBJECT(
												((BgL_variablez00_bglt)
													((BgL_localz00_bglt) BgL_localz00_1647))))->
										BgL_valuez00);
									{
										BgL_svarzf2iinfozf2_bglt BgL_auxz00_1992;

										{
											obj_t BgL_auxz00_1993;

											{	/* Integrate/kaptured.scm 149 */
												BgL_objectz00_bglt BgL_tmpz00_1994;

												BgL_tmpz00_1994 =
													((BgL_objectz00_bglt)
													((BgL_svarz00_bglt) BgL_arg1309z00_1648));
												BgL_auxz00_1993 = BGL_OBJECT_WIDENING(BgL_tmpz00_1994);
											}
											BgL_auxz00_1992 =
												((BgL_svarzf2iinfozf2_bglt) BgL_auxz00_1993);
										}
										((((BgL_svarzf2iinfozf2_bglt) COBJECT(BgL_auxz00_1992))->
												BgL_kapturedzf3zf3) = ((bool_t) ((bool_t) 1)), BUNSPEC);
									}
								}
							}
							{
								obj_t BgL_l1252z00_2000;

								BgL_l1252z00_2000 = CDR(BgL_l1252z00_1644);
								BgL_l1252z00_1644 = BgL_l1252z00_2000;
								goto BgL_zc3z04anonymousza31303ze3z87_1645;
							}
						}
					else
						{	/* Integrate/kaptured.scm 148 */
							return ((bool_t) 1);
						}
				}
			}
		}

	}



/* local-cto */
	obj_t BGl_localzd2ctozd2zzintegrate_kapturedz00(BgL_localz00_bglt
		BgL_localz00_7)
	{
		{	/* Integrate/kaptured.scm 157 */
			{	/* Integrate/kaptured.scm 158 */
				BgL_valuez00_bglt BgL_infoz00_1651;

				BgL_infoz00_1651 =
					(((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_localz00_7)))->BgL_valuez00);
				{	/* Integrate/kaptured.scm 158 */
					obj_t BgL_ctoz00_1652;

					{
						BgL_sfunzf2iinfozf2_bglt BgL_auxz00_2004;

						{
							obj_t BgL_auxz00_2005;

							{	/* Integrate/kaptured.scm 159 */
								BgL_objectz00_bglt BgL_tmpz00_2006;

								BgL_tmpz00_2006 =
									((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_infoz00_1651));
								BgL_auxz00_2005 = BGL_OBJECT_WIDENING(BgL_tmpz00_2006);
							}
							BgL_auxz00_2004 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_2005);
						}
						BgL_ctoz00_1652 =
							(((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_2004))->
							BgL_ctoz00);
					}
					{	/* Integrate/kaptured.scm 159 */

						{	/* Integrate/kaptured.scm 160 */
							bool_t BgL_test1642z00_2012;

							if (PAIRP(BgL_ctoz00_1652))
								{	/* Integrate/kaptured.scm 160 */
									BgL_test1642z00_2012 = ((bool_t) 1);
								}
							else
								{	/* Integrate/kaptured.scm 160 */
									BgL_test1642z00_2012 = NULLP(BgL_ctoz00_1652);
								}
							if (BgL_test1642z00_2012)
								{	/* Integrate/kaptured.scm 160 */
									return BgL_ctoz00_1652;
								}
							else
								{	/* Integrate/kaptured.scm 162 */
									obj_t BgL_bodyz00_1655;

									BgL_bodyz00_1655 =
										(((BgL_sfunz00_bglt) COBJECT(
												((BgL_sfunz00_bglt) BgL_infoz00_1651)))->BgL_bodyz00);
									{
										BgL_sfunzf2iinfozf2_bglt BgL_auxz00_2018;

										{
											obj_t BgL_auxz00_2019;

											{	/* Integrate/kaptured.scm 163 */
												BgL_objectz00_bglt BgL_tmpz00_2020;

												BgL_tmpz00_2020 =
													((BgL_objectz00_bglt)
													((BgL_sfunz00_bglt) BgL_infoz00_1651));
												BgL_auxz00_2019 = BGL_OBJECT_WIDENING(BgL_tmpz00_2020);
											}
											BgL_auxz00_2018 =
												((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_2019);
										}
										((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_2018))->
												BgL_ctoz00) = ((obj_t) BNIL), BUNSPEC);
									}
									BGl_setzd2ctoz12zc0zzintegrate_ctoz00(
										((BgL_nodez00_bglt) BgL_bodyz00_1655), BgL_localz00_7);
									{
										BgL_sfunzf2iinfozf2_bglt BgL_auxz00_2028;

										{
											obj_t BgL_auxz00_2029;

											{	/* Integrate/kaptured.scm 165 */
												BgL_objectz00_bglt BgL_tmpz00_2030;

												BgL_tmpz00_2030 =
													((BgL_objectz00_bglt)
													((BgL_sfunz00_bglt) BgL_infoz00_1651));
												BgL_auxz00_2029 = BGL_OBJECT_WIDENING(BgL_tmpz00_2030);
											}
											BgL_auxz00_2028 =
												((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_2029);
										}
										return
											(((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_2028))->
											BgL_ctoz00);
									}
								}
						}
					}
				}
			}
		}

	}



/* get-one-kaptured */
	obj_t BGl_getzd2onezd2kapturedz00zzintegrate_kapturedz00(obj_t BgL_localz00_8,
		obj_t BgL_stackz00_9)
	{
		{	/* Integrate/kaptured.scm 170 */
			{	/* Integrate/kaptured.scm 173 */
				BgL_valuez00_bglt BgL_infoz00_1657;

				BgL_infoz00_1657 =
					(((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt)
								((BgL_localz00_bglt) BgL_localz00_8))))->BgL_valuez00);
				{	/* Integrate/kaptured.scm 173 */
					obj_t BgL_kapturedz00_1658;

					{
						BgL_sfunzf2iinfozf2_bglt BgL_auxz00_2039;

						{
							obj_t BgL_auxz00_2040;

							{	/* Integrate/kaptured.scm 174 */
								BgL_objectz00_bglt BgL_tmpz00_2041;

								BgL_tmpz00_2041 =
									((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_infoz00_1657));
								BgL_auxz00_2040 = BGL_OBJECT_WIDENING(BgL_tmpz00_2041);
							}
							BgL_auxz00_2039 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_2040);
						}
						BgL_kapturedz00_1658 =
							(((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_2039))->
							BgL_kapturedz00);
					}
					{	/* Integrate/kaptured.scm 174 */

						{	/* Integrate/kaptured.scm 176 */
							bool_t BgL_test1644z00_2047;

							if (PAIRP(BgL_kapturedz00_1658))
								{	/* Integrate/kaptured.scm 176 */
									BgL_test1644z00_2047 = ((bool_t) 1);
								}
							else
								{	/* Integrate/kaptured.scm 176 */
									BgL_test1644z00_2047 = NULLP(BgL_kapturedz00_1658);
								}
							if (BgL_test1644z00_2047)
								{	/* Integrate/kaptured.scm 176 */
									return BgL_kapturedz00_1658;
								}
							else
								{	/* Integrate/kaptured.scm 176 */
									if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
											(BgL_localz00_8, BgL_stackz00_9)))
										{	/* Integrate/kaptured.scm 178 */
											return BNIL;
										}
									else
										{	/* Integrate/kaptured.scm 181 */
											obj_t BgL_g1115z00_1663;
											obj_t BgL_g1116z00_1664;

											BgL_g1115z00_1663 =
												BGl_localzd2ctozd2zzintegrate_kapturedz00(
												((BgL_localz00_bglt) BgL_localz00_8));
											BgL_g1116z00_1664 =
												MAKE_YOUNG_PAIR(BgL_localz00_8, BgL_stackz00_9);
											{
												obj_t BgL_kapturedz00_1666;
												obj_t BgL_ctoz00_1667;
												obj_t BgL_nstackz00_1668;

												BgL_kapturedz00_1666 = BNIL;
												BgL_ctoz00_1667 = BgL_g1115z00_1663;
												BgL_nstackz00_1668 = BgL_g1116z00_1664;
											BgL_zc3z04anonymousza31316ze3z87_1669:
												if (NULLP(BgL_ctoz00_1667))
													{	/* Integrate/kaptured.scm 186 */
														obj_t BgL_bodyz00_1671;

														BgL_bodyz00_1671 =
															(((BgL_sfunz00_bglt) COBJECT(
																	((BgL_sfunz00_bglt) BgL_infoz00_1657)))->
															BgL_bodyz00);
														{	/* Integrate/kaptured.scm 186 */
															obj_t BgL_freez00_1672;

															BgL_freez00_1672 =
																BGl_getzd2freezd2varsz00zzintegrate_freez00(
																((BgL_nodez00_bglt) BgL_bodyz00_1671),
																((BgL_localz00_bglt) BgL_localz00_8));
															{	/* Integrate/kaptured.scm 187 */
																obj_t BgL_fkapturedz00_1673;

																BgL_fkapturedz00_1673 =
																	BGl_freezd2fromzd2zzintegrate_freez00
																	(BgL_kapturedz00_1666,
																	((BgL_localz00_bglt) BgL_localz00_8));
																{	/* Integrate/kaptured.scm 188 */

																	{	/* Integrate/kaptured.scm 189 */
																		obj_t BgL_arg1318z00_1674;

																		BgL_arg1318z00_1674 =
																			MAKE_YOUNG_PAIR(BgL_freez00_1672,
																			BgL_fkapturedz00_1673);
																		return
																			BGl_unionz00zzintegrate_kapturedz00
																			(BgL_arg1318z00_1674);
																	}
																}
															}
														}
													}
												else
													{	/* Integrate/kaptured.scm 190 */
														bool_t BgL_test1648z00_2068;

														{	/* Integrate/kaptured.scm 190 */
															BgL_sfunz00_bglt BgL_oz00_1919;

															BgL_oz00_1919 =
																((BgL_sfunz00_bglt)
																(((BgL_variablez00_bglt) COBJECT(
																			((BgL_variablez00_bglt)
																				((BgL_localz00_bglt)
																					CAR(
																						((obj_t) BgL_ctoz00_1667))))))->
																	BgL_valuez00));
															{
																BgL_sfunzf2iinfozf2_bglt BgL_auxz00_2075;

																{
																	obj_t BgL_auxz00_2076;

																	{	/* Integrate/kaptured.scm 190 */
																		BgL_objectz00_bglt BgL_tmpz00_2077;

																		BgL_tmpz00_2077 =
																			((BgL_objectz00_bglt) BgL_oz00_1919);
																		BgL_auxz00_2076 =
																			BGL_OBJECT_WIDENING(BgL_tmpz00_2077);
																	}
																	BgL_auxz00_2075 =
																		((BgL_sfunzf2iinfozf2_bglt)
																		BgL_auxz00_2076);
																}
																BgL_test1648z00_2068 =
																	(((BgL_sfunzf2iinfozf2_bglt)
																		COBJECT(BgL_auxz00_2075))->BgL_gzf3zf3);
															}
														}
														if (BgL_test1648z00_2068)
															{	/* Integrate/kaptured.scm 191 */
																obj_t BgL_otherzd2kapturedzd2_1678;

																{	/* Integrate/kaptured.scm 191 */
																	obj_t BgL_arg1332z00_1683;

																	BgL_arg1332z00_1683 =
																		CAR(((obj_t) BgL_ctoz00_1667));
																	BgL_otherzd2kapturedzd2_1678 =
																		BGl_getzd2onezd2kapturedz00zzintegrate_kapturedz00
																		(BgL_arg1332z00_1683, BgL_nstackz00_1668);
																}
																{	/* Integrate/kaptured.scm 192 */
																	obj_t BgL_arg1322z00_1679;
																	obj_t BgL_arg1326z00_1680;
																	obj_t BgL_arg1327z00_1681;

																	BgL_arg1322z00_1679 =
																		MAKE_YOUNG_PAIR
																		(BgL_otherzd2kapturedzd2_1678,
																		BgL_kapturedz00_1666);
																	BgL_arg1326z00_1680 =
																		CDR(((obj_t) BgL_ctoz00_1667));
																	{	/* Integrate/kaptured.scm 194 */
																		obj_t BgL_arg1331z00_1682;

																		BgL_arg1331z00_1682 =
																			CAR(((obj_t) BgL_ctoz00_1667));
																		BgL_arg1327z00_1681 =
																			MAKE_YOUNG_PAIR(BgL_arg1331z00_1682,
																			BgL_nstackz00_1668);
																	}
																	{
																		obj_t BgL_nstackz00_2093;
																		obj_t BgL_ctoz00_2092;
																		obj_t BgL_kapturedz00_2091;

																		BgL_kapturedz00_2091 = BgL_arg1322z00_1679;
																		BgL_ctoz00_2092 = BgL_arg1326z00_1680;
																		BgL_nstackz00_2093 = BgL_arg1327z00_1681;
																		BgL_nstackz00_1668 = BgL_nstackz00_2093;
																		BgL_ctoz00_1667 = BgL_ctoz00_2092;
																		BgL_kapturedz00_1666 = BgL_kapturedz00_2091;
																		goto BgL_zc3z04anonymousza31316ze3z87_1669;
																	}
																}
															}
														else
															{	/* Integrate/kaptured.scm 196 */
																obj_t BgL_arg1333z00_1684;

																BgL_arg1333z00_1684 =
																	CDR(((obj_t) BgL_ctoz00_1667));
																{
																	obj_t BgL_ctoz00_2096;

																	BgL_ctoz00_2096 = BgL_arg1333z00_1684;
																	BgL_ctoz00_1667 = BgL_ctoz00_2096;
																	goto BgL_zc3z04anonymousza31316ze3z87_1669;
																}
															}
													}
											}
										}
								}
						}
					}
				}
			}
		}

	}



/* union */
	obj_t BGl_unionz00zzintegrate_kapturedz00(obj_t BgL_setsz00_10)
	{
		{	/* Integrate/kaptured.scm 206 */
			BGl_za2unionzd2roundza2zd2zzintegrate_kapturedz00 =
				ADDFX(BINT(1L), BGl_za2unionzd2roundza2zd2zzintegrate_kapturedz00);
			{
				obj_t BgL_setsz00_1691;
				obj_t BgL_unionz00_1692;

				BgL_setsz00_1691 = BgL_setsz00_10;
				BgL_unionz00_1692 = BNIL;
			BgL_zc3z04anonymousza31339ze3z87_1693:
				if (NULLP(BgL_setsz00_1691))
					{	/* Integrate/kaptured.scm 210 */
						return BgL_unionz00_1692;
					}
				else
					{	/* Integrate/kaptured.scm 212 */
						obj_t BgL_g1118z00_1695;

						BgL_g1118z00_1695 = CAR(((obj_t) BgL_setsz00_1691));
						{
							obj_t BgL_setz00_1697;
							obj_t BgL_unionz00_1698;

							BgL_setz00_1697 = BgL_g1118z00_1695;
							BgL_unionz00_1698 = BgL_unionz00_1692;
						BgL_zc3z04anonymousza31341ze3z87_1699:
							if (NULLP(BgL_setz00_1697))
								{	/* Integrate/kaptured.scm 216 */
									obj_t BgL_arg1355z00_1701;

									BgL_arg1355z00_1701 = CDR(((obj_t) BgL_setsz00_1691));
									{
										obj_t BgL_unionz00_2108;
										obj_t BgL_setsz00_2107;

										BgL_setsz00_2107 = BgL_arg1355z00_1701;
										BgL_unionz00_2108 = BgL_unionz00_1698;
										BgL_unionz00_1692 = BgL_unionz00_2108;
										BgL_setsz00_1691 = BgL_setsz00_2107;
										goto BgL_zc3z04anonymousza31339ze3z87_1693;
									}
								}
							else
								{	/* Integrate/kaptured.scm 217 */
									bool_t BgL_test1651z00_2109;

									{	/* Integrate/kaptured.scm 217 */
										obj_t BgL_arg1379z00_1712;

										{	/* Integrate/kaptured.scm 217 */
											BgL_svarz00_bglt BgL_oz00_1930;

											BgL_oz00_1930 =
												((BgL_svarz00_bglt)
												(((BgL_variablez00_bglt) COBJECT(
															((BgL_variablez00_bglt)
																((BgL_localz00_bglt)
																	CAR(
																		((obj_t) BgL_setz00_1697))))))->
													BgL_valuez00));
											{
												BgL_svarzf2iinfozf2_bglt BgL_auxz00_2116;

												{
													obj_t BgL_auxz00_2117;

													{	/* Integrate/kaptured.scm 217 */
														BgL_objectz00_bglt BgL_tmpz00_2118;

														BgL_tmpz00_2118 =
															((BgL_objectz00_bglt) BgL_oz00_1930);
														BgL_auxz00_2117 =
															BGL_OBJECT_WIDENING(BgL_tmpz00_2118);
													}
													BgL_auxz00_2116 =
														((BgL_svarzf2iinfozf2_bglt) BgL_auxz00_2117);
												}
												BgL_arg1379z00_1712 =
													(((BgL_svarzf2iinfozf2_bglt)
														COBJECT(BgL_auxz00_2116))->BgL_uzd2markzd2);
											}
										}
										BgL_test1651z00_2109 =
											(BgL_arg1379z00_1712 ==
											BGl_za2unionzd2roundza2zd2zzintegrate_kapturedz00);
									}
									if (BgL_test1651z00_2109)
										{	/* Integrate/kaptured.scm 219 */
											obj_t BgL_arg1364z00_1706;

											BgL_arg1364z00_1706 = CDR(((obj_t) BgL_setz00_1697));
											{
												obj_t BgL_setz00_2126;

												BgL_setz00_2126 = BgL_arg1364z00_1706;
												BgL_setz00_1697 = BgL_setz00_2126;
												goto BgL_zc3z04anonymousza31341ze3z87_1699;
											}
										}
									else
										{	/* Integrate/kaptured.scm 217 */
											{	/* Integrate/kaptured.scm 221 */
												BgL_valuez00_bglt BgL_arg1365z00_1707;

												BgL_arg1365z00_1707 =
													(((BgL_variablez00_bglt) COBJECT(
															((BgL_variablez00_bglt)
																((BgL_localz00_bglt)
																	CAR(
																		((obj_t) BgL_setz00_1697))))))->
													BgL_valuez00);
												{	/* Integrate/kaptured.scm 221 */
													obj_t BgL_vz00_1936;

													BgL_vz00_1936 =
														BGl_za2unionzd2roundza2zd2zzintegrate_kapturedz00;
													{
														BgL_svarzf2iinfozf2_bglt BgL_auxz00_2132;

														{
															obj_t BgL_auxz00_2133;

															{	/* Integrate/kaptured.scm 221 */
																BgL_objectz00_bglt BgL_tmpz00_2134;

																BgL_tmpz00_2134 =
																	((BgL_objectz00_bglt)
																	((BgL_svarz00_bglt) BgL_arg1365z00_1707));
																BgL_auxz00_2133 =
																	BGL_OBJECT_WIDENING(BgL_tmpz00_2134);
															}
															BgL_auxz00_2132 =
																((BgL_svarzf2iinfozf2_bglt) BgL_auxz00_2133);
														}
														((((BgL_svarzf2iinfozf2_bglt)
																	COBJECT(BgL_auxz00_2132))->BgL_uzd2markzd2) =
															((obj_t) BgL_vz00_1936), BUNSPEC);
													}
												}
											}
											{	/* Integrate/kaptured.scm 222 */
												obj_t BgL_arg1370z00_1709;
												obj_t BgL_arg1371z00_1710;

												BgL_arg1370z00_1709 = CDR(((obj_t) BgL_setz00_1697));
												{	/* Integrate/kaptured.scm 222 */
													obj_t BgL_arg1376z00_1711;

													BgL_arg1376z00_1711 = CAR(((obj_t) BgL_setz00_1697));
													BgL_arg1371z00_1710 =
														MAKE_YOUNG_PAIR(BgL_arg1376z00_1711,
														BgL_unionz00_1698);
												}
												{
													obj_t BgL_unionz00_2146;
													obj_t BgL_setz00_2145;

													BgL_setz00_2145 = BgL_arg1370z00_1709;
													BgL_unionz00_2146 = BgL_arg1371z00_1710;
													BgL_unionz00_1698 = BgL_unionz00_2146;
													BgL_setz00_1697 = BgL_setz00_2145;
													goto BgL_zc3z04anonymousza31341ze3z87_1699;
												}
											}
										}
								}
						}
					}
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzintegrate_kapturedz00(void)
	{
		{	/* Integrate/kaptured.scm 17 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzintegrate_kapturedz00(void)
	{
		{	/* Integrate/kaptured.scm 17 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzintegrate_kapturedz00(void)
	{
		{	/* Integrate/kaptured.scm 17 */
			return BUNSPEC;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzintegrate_kapturedz00(void)
	{
		{	/* Integrate/kaptured.scm 17 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(54713316L,
				BSTRING_TO_STRING(BGl_string1636z00zzintegrate_kapturedz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(365925558L,
				BSTRING_TO_STRING(BGl_string1636z00zzintegrate_kapturedz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(515343395L,
				BSTRING_TO_STRING(BGl_string1636z00zzintegrate_kapturedz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(90839984L,
				BSTRING_TO_STRING(BGl_string1636z00zzintegrate_kapturedz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(469732712L,
				BSTRING_TO_STRING(BGl_string1636z00zzintegrate_kapturedz00));
			BGl_modulezd2initializa7ationz75zzintegrate_infoz00(0L,
				BSTRING_TO_STRING(BGl_string1636z00zzintegrate_kapturedz00));
			BGl_modulezd2initializa7ationz75zzintegrate_freez00(183600827L,
				BSTRING_TO_STRING(BGl_string1636z00zzintegrate_kapturedz00));
			return
				BGl_modulezd2initializa7ationz75zzintegrate_ctoz00(418449997L,
				BSTRING_TO_STRING(BGl_string1636z00zzintegrate_kapturedz00));
		}

	}

#ifdef __cplusplus
}
#endif
