/*===========================================================================*/
/*   (Integrate/kk.scm)                                                      */
/*   Bigloo (4.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Jan 27 07:45:49 AM CET 2025     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.6a/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.6a/lib/bigloo/4.6a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -stdc -indent Integrate/kk.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL_INTEGRATE_KK_TYPE_DEFINITIONS
#define BGL_INTEGRATE_KK_TYPE_DEFINITIONS

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_nullz00;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_qualifiedzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_sfunzf2iinfozf2_bgl
	{
		obj_t BgL_ownerz00;
		obj_t BgL_freez00;
		obj_t BgL_boundz00;
		obj_t BgL_cfromz00;
		obj_t BgL_ctoz00;
		obj_t BgL_kz00;
		obj_t BgL_kza2za2;
		obj_t BgL_uz00;
		obj_t BgL_cnz00;
		obj_t BgL_ctz00;
		obj_t BgL_kontz00;
		bool_t BgL_gzf3zf3;
		bool_t BgL_forcegzf3zf3;
		obj_t BgL_lz00;
		obj_t BgL_ledz00;
		obj_t BgL_istampz00;
		obj_t BgL_globalz00;
		obj_t BgL_kapturedz00;
		obj_t BgL_tailzd2coercionzd2;
		bool_t BgL_xhdlzf3zf3;
		obj_t BgL_xhdlsz00;
	}                      *BgL_sfunzf2iinfozf2_bglt;


#endif													// BGL_INTEGRATE_KK_TYPE_DEFINITIONS
#endif													// BGL_MODULE_TYPE_DEFINITIONS

	BGL_EXPORTED_DECL obj_t BGl_Kz12z12zzintegrate_kkz00(obj_t,
		BgL_globalz00_bglt);
	static obj_t BGl_requirezd2initializa7ationz75zzintegrate_kkz00 = BUNSPEC;
	static obj_t BGl_genericzd2initzd2zzintegrate_kkz00(void);
	static obj_t BGl_objectzd2initzd2zzintegrate_kkz00(void);
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzintegrate_kkz00(void);
	static obj_t BGl_Kzd21z12zc0zzintegrate_kkz00(obj_t, obj_t);
	static obj_t BGl_Kzd22z12zc0zzintegrate_kkz00(obj_t, obj_t);
	static obj_t BGl_z62Kz12z70zzintegrate_kkz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzintegrate_kkz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzintegrate_az00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzintegrate_infoz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	static obj_t BGl_z62Kza2z12zd2zzintegrate_kkz00(obj_t, obj_t);
	static obj_t BGl_cnstzd2initzd2zzintegrate_kkz00(void);
	static obj_t BGl_libraryzd2moduleszd2initz00zzintegrate_kkz00(void);
	static obj_t BGl_importedzd2moduleszd2initz00zzintegrate_kkz00(void);
	static obj_t BGl_gczd2rootszd2initz00zzintegrate_kkz00(void);
	BGL_EXPORTED_DECL obj_t BGl_Kza2z12zb0zzintegrate_kkz00(obj_t);
	static obj_t __cnst[2];


	   
		 
		DEFINE_STRING(BGl_string1518z00zzintegrate_kkz00,
		BgL_bgl_string1518za700za7za7i1531za7, "integrate_kk", 12);
	      DEFINE_STRING(BGl_string1519z00zzintegrate_kkz00,
		BgL_bgl_string1519za700za7za7i1532za7, "tail bottom ", 12);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_Kz12zd2envzc0zzintegrate_kkz00,
		BgL_bgl_za762kza712za770za7za7inte1533za7, BGl_z62Kz12z70zzintegrate_kkz00,
		0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_Kza2z12zd2envz62zzintegrate_kkz00,
		BgL_bgl_za762kza7a2za712za7d2za7za7i1534z00,
		BGl_z62Kza2z12zd2zzintegrate_kkz00, 0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zzintegrate_kkz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzintegrate_kkz00(long
		BgL_checksumz00_1958, char *BgL_fromz00_1959)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzintegrate_kkz00))
				{
					BGl_requirezd2initializa7ationz75zzintegrate_kkz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzintegrate_kkz00();
					BGl_libraryzd2moduleszd2initz00zzintegrate_kkz00();
					BGl_cnstzd2initzd2zzintegrate_kkz00();
					BGl_importedzd2moduleszd2initz00zzintegrate_kkz00();
					return BGl_methodzd2initzd2zzintegrate_kkz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzintegrate_kkz00(void)
	{
		{	/* Integrate/kk.scm 15 */
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(0L,
				"integrate_kk");
			BGl_modulezd2initializa7ationz75zz__readerz00(0L, "integrate_kk");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(0L,
				"integrate_kk");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(0L, "integrate_kk");
			BGl_modulezd2initializa7ationz75zz__objectz00(0L, "integrate_kk");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzintegrate_kkz00(void)
	{
		{	/* Integrate/kk.scm 15 */
			{	/* Integrate/kk.scm 15 */
				obj_t BgL_cportz00_1947;

				{	/* Integrate/kk.scm 15 */
					obj_t BgL_stringz00_1954;

					BgL_stringz00_1954 = BGl_string1519z00zzintegrate_kkz00;
					{	/* Integrate/kk.scm 15 */
						obj_t BgL_startz00_1955;

						BgL_startz00_1955 = BINT(0L);
						{	/* Integrate/kk.scm 15 */
							obj_t BgL_endz00_1956;

							BgL_endz00_1956 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_1954)));
							{	/* Integrate/kk.scm 15 */

								BgL_cportz00_1947 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_1954, BgL_startz00_1955, BgL_endz00_1956);
				}}}}
				{
					long BgL_iz00_1948;

					BgL_iz00_1948 = 1L;
				BgL_loopz00_1949:
					if ((BgL_iz00_1948 == (-1L)))
						{	/* Integrate/kk.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Integrate/kk.scm 15 */
							{	/* Integrate/kk.scm 15 */
								obj_t BgL_arg1530z00_1950;

								{	/* Integrate/kk.scm 15 */

									{	/* Integrate/kk.scm 15 */
										obj_t BgL_locationz00_1952;

										BgL_locationz00_1952 = BBOOL(((bool_t) 0));
										{	/* Integrate/kk.scm 15 */

											BgL_arg1530z00_1950 =
												BGl_readz00zz__readerz00(BgL_cportz00_1947,
												BgL_locationz00_1952);
										}
									}
								}
								{	/* Integrate/kk.scm 15 */
									int BgL_tmpz00_1982;

									BgL_tmpz00_1982 = (int) (BgL_iz00_1948);
									CNST_TABLE_SET(BgL_tmpz00_1982, BgL_arg1530z00_1950);
							}}
							{	/* Integrate/kk.scm 15 */
								int BgL_auxz00_1953;

								BgL_auxz00_1953 = (int) ((BgL_iz00_1948 - 1L));
								{
									long BgL_iz00_1987;

									BgL_iz00_1987 = (long) (BgL_auxz00_1953);
									BgL_iz00_1948 = BgL_iz00_1987;
									goto BgL_loopz00_1949;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzintegrate_kkz00(void)
	{
		{	/* Integrate/kk.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* K! */
	BGL_EXPORTED_DEF obj_t BGl_Kz12z12zzintegrate_kkz00(obj_t BgL_az00_3,
		BgL_globalz00_bglt BgL_varz00_4)
	{
		{	/* Integrate/kk.scm 44 */
			{	/* Integrate/kk.scm 48 */
				BgL_valuez00_bglt BgL_ifunz00_1579;

				BgL_ifunz00_1579 =
					(((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_varz00_4)))->BgL_valuez00);
				{	/* Integrate/kk.scm 49 */
					obj_t BgL_arg1242z00_1580;

					{	/* Integrate/kk.scm 49 */
						obj_t BgL_list1243z00_1581;

						BgL_list1243z00_1581 =
							MAKE_YOUNG_PAIR(((obj_t) CNST_TABLE_REF(0)), BNIL);
						BgL_arg1242z00_1580 = BgL_list1243z00_1581;
					}
					{
						BgL_sfunzf2iinfozf2_bglt BgL_auxz00_1995;

						{
							obj_t BgL_auxz00_1996;

							{	/* Integrate/kk.scm 49 */
								BgL_objectz00_bglt BgL_tmpz00_1997;

								BgL_tmpz00_1997 =
									((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_ifunz00_1579));
								BgL_auxz00_1996 = BGL_OBJECT_WIDENING(BgL_tmpz00_1997);
							}
							BgL_auxz00_1995 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_1996);
						}
						((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_1995))->BgL_kz00) =
							((obj_t) BgL_arg1242z00_1580), BUNSPEC);
					}
				}
				{	/* Integrate/kk.scm 50 */
					obj_t BgL_arg1244z00_1582;

					{	/* Integrate/kk.scm 50 */
						obj_t BgL_list1245z00_1583;

						BgL_list1245z00_1583 =
							MAKE_YOUNG_PAIR(((obj_t) CNST_TABLE_REF(0)), BNIL);
						BgL_arg1244z00_1582 = BgL_list1245z00_1583;
					}
					{
						BgL_sfunzf2iinfozf2_bglt BgL_auxz00_2006;

						{
							obj_t BgL_auxz00_2007;

							{	/* Integrate/kk.scm 50 */
								BgL_objectz00_bglt BgL_tmpz00_2008;

								BgL_tmpz00_2008 =
									((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_ifunz00_1579));
								BgL_auxz00_2007 = BGL_OBJECT_WIDENING(BgL_tmpz00_2008);
							}
							BgL_auxz00_2006 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_2007);
						}
						((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_2006))->
								BgL_kza2za2) = ((obj_t) BgL_arg1244z00_1582), BUNSPEC);
					}
				}
				return
					BGl_Kzd22z12zc0zzintegrate_kkz00(BgL_az00_3,
					BGl_Kzd21z12zc0zzintegrate_kkz00(BgL_az00_3, BNIL));
			}
		}

	}



/* &K! */
	obj_t BGl_z62Kz12z70zzintegrate_kkz00(obj_t BgL_envz00_1942,
		obj_t BgL_az00_1943, obj_t BgL_varz00_1944)
	{
		{	/* Integrate/kk.scm 44 */
			return
				BGl_Kz12z12zzintegrate_kkz00(BgL_az00_1943,
				((BgL_globalz00_bglt) BgL_varz00_1944));
		}

	}



/* K-1! */
	obj_t BGl_Kzd21z12zc0zzintegrate_kkz00(obj_t BgL_az00_5,
		obj_t BgL_azd2tailzd2_6)
	{
		{	/* Integrate/kk.scm 56 */
		BGl_Kzd21z12zc0zzintegrate_kkz00:
			if (NULLP(BgL_az00_5))
				{	/* Integrate/kk.scm 58 */
					return BgL_azd2tailzd2_6;
				}
			else
				{	/* Integrate/kk.scm 60 */
					obj_t BgL_prz00_1586;

					BgL_prz00_1586 = CAR(((obj_t) BgL_az00_5));
					{	/* Integrate/kk.scm 60 */
						obj_t BgL_fz00_1587;

						BgL_fz00_1587 = CAR(((obj_t) BgL_prz00_1586));
						{	/* Integrate/kk.scm 61 */
							obj_t BgL_gz00_1588;

							{	/* Integrate/kk.scm 62 */
								obj_t BgL_pairz00_1865;

								BgL_pairz00_1865 = CDR(((obj_t) BgL_prz00_1586));
								BgL_gz00_1588 = CAR(BgL_pairz00_1865);
							}
							{	/* Integrate/kk.scm 62 */
								obj_t BgL_kz00_1589;

								{	/* Integrate/kk.scm 63 */
									obj_t BgL_pairz00_1871;

									{	/* Integrate/kk.scm 63 */
										obj_t BgL_pairz00_1870;

										BgL_pairz00_1870 = CDR(((obj_t) BgL_prz00_1586));
										BgL_pairz00_1871 = CDR(BgL_pairz00_1870);
									}
									BgL_kz00_1589 = CAR(BgL_pairz00_1871);
								}
								{	/* Integrate/kk.scm 63 */

									if ((BgL_kz00_1589 == ((obj_t) CNST_TABLE_REF(1))))
										{	/* Integrate/kk.scm 65 */
											if ((BgL_fz00_1587 == BgL_gz00_1588))
												{	/* Integrate/kk.scm 67 */
													obj_t BgL_arg1249z00_1590;

													BgL_arg1249z00_1590 = CDR(((obj_t) BgL_az00_5));
													{
														obj_t BgL_az00_2039;

														BgL_az00_2039 = BgL_arg1249z00_1590;
														BgL_az00_5 = BgL_az00_2039;
														goto BGl_Kzd21z12zc0zzintegrate_kkz00;
													}
												}
											else
												{	/* Integrate/kk.scm 68 */
													obj_t BgL_arg1250z00_1591;
													obj_t BgL_arg1252z00_1592;

													BgL_arg1250z00_1591 = CDR(((obj_t) BgL_az00_5));
													BgL_arg1252z00_1592 =
														MAKE_YOUNG_PAIR(BgL_prz00_1586, BgL_azd2tailzd2_6);
													{
														obj_t BgL_azd2tailzd2_2044;
														obj_t BgL_az00_2043;

														BgL_az00_2043 = BgL_arg1250z00_1591;
														BgL_azd2tailzd2_2044 = BgL_arg1252z00_1592;
														BgL_azd2tailzd2_6 = BgL_azd2tailzd2_2044;
														BgL_az00_5 = BgL_az00_2043;
														goto BGl_Kzd21z12zc0zzintegrate_kkz00;
													}
												}
										}
									else
										{	/* Integrate/kk.scm 70 */
											BgL_valuez00_bglt BgL_ifunz00_1593;

											BgL_ifunz00_1593 =
												(((BgL_variablez00_bglt) COBJECT(
														((BgL_variablez00_bglt) BgL_gz00_1588)))->
												BgL_valuez00);
											{	/* Integrate/kk.scm 71 */
												bool_t BgL_test1540z00_2047;

												{	/* Integrate/kk.scm 71 */
													obj_t BgL_arg1267z00_1602;

													{
														BgL_sfunzf2iinfozf2_bglt BgL_auxz00_2048;

														{
															obj_t BgL_auxz00_2049;

															{	/* Integrate/kk.scm 71 */
																BgL_objectz00_bglt BgL_tmpz00_2050;

																BgL_tmpz00_2050 =
																	((BgL_objectz00_bglt)
																	((BgL_sfunz00_bglt) BgL_ifunz00_1593));
																BgL_auxz00_2049 =
																	BGL_OBJECT_WIDENING(BgL_tmpz00_2050);
															}
															BgL_auxz00_2048 =
																((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_2049);
														}
														BgL_arg1267z00_1602 =
															(((BgL_sfunzf2iinfozf2_bglt)
																COBJECT(BgL_auxz00_2048))->BgL_kz00);
													}
													BgL_test1540z00_2047 =
														CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
														(BgL_kz00_1589, BgL_arg1267z00_1602));
												}
												if (BgL_test1540z00_2047)
													{	/* Integrate/kk.scm 72 */
														obj_t BgL_arg1255z00_1596;

														BgL_arg1255z00_1596 = CDR(((obj_t) BgL_az00_5));
														{
															obj_t BgL_az00_2060;

															BgL_az00_2060 = BgL_arg1255z00_1596;
															BgL_az00_5 = BgL_az00_2060;
															goto BGl_Kzd21z12zc0zzintegrate_kkz00;
														}
													}
												else
													{	/* Integrate/kk.scm 71 */
														{	/* Integrate/kk.scm 74 */
															obj_t BgL_arg1256z00_1597;

															{	/* Integrate/kk.scm 74 */
																obj_t BgL_arg1258z00_1598;

																{
																	BgL_sfunzf2iinfozf2_bglt BgL_auxz00_2061;

																	{
																		obj_t BgL_auxz00_2062;

																		{	/* Integrate/kk.scm 74 */
																			BgL_objectz00_bglt BgL_tmpz00_2063;

																			BgL_tmpz00_2063 =
																				((BgL_objectz00_bglt)
																				((BgL_sfunz00_bglt) BgL_ifunz00_1593));
																			BgL_auxz00_2062 =
																				BGL_OBJECT_WIDENING(BgL_tmpz00_2063);
																		}
																		BgL_auxz00_2061 =
																			((BgL_sfunzf2iinfozf2_bglt)
																			BgL_auxz00_2062);
																	}
																	BgL_arg1258z00_1598 =
																		(((BgL_sfunzf2iinfozf2_bglt)
																			COBJECT(BgL_auxz00_2061))->BgL_kz00);
																}
																BgL_arg1256z00_1597 =
																	MAKE_YOUNG_PAIR(BgL_kz00_1589,
																	BgL_arg1258z00_1598);
															}
															{
																BgL_sfunzf2iinfozf2_bglt BgL_auxz00_2070;

																{
																	obj_t BgL_auxz00_2071;

																	{	/* Integrate/kk.scm 74 */
																		BgL_objectz00_bglt BgL_tmpz00_2072;

																		BgL_tmpz00_2072 =
																			((BgL_objectz00_bglt)
																			((BgL_sfunz00_bglt) BgL_ifunz00_1593));
																		BgL_auxz00_2071 =
																			BGL_OBJECT_WIDENING(BgL_tmpz00_2072);
																	}
																	BgL_auxz00_2070 =
																		((BgL_sfunzf2iinfozf2_bglt)
																		BgL_auxz00_2071);
																}
																((((BgL_sfunzf2iinfozf2_bglt)
																			COBJECT(BgL_auxz00_2070))->BgL_kz00) =
																	((obj_t) BgL_arg1256z00_1597), BUNSPEC);
															}
														}
														{	/* Integrate/kk.scm 75 */
															obj_t BgL_arg1260z00_1599;

															{	/* Integrate/kk.scm 75 */
																obj_t BgL_arg1262z00_1600;

																{
																	BgL_sfunzf2iinfozf2_bglt BgL_auxz00_2078;

																	{
																		obj_t BgL_auxz00_2079;

																		{	/* Integrate/kk.scm 75 */
																			BgL_objectz00_bglt BgL_tmpz00_2080;

																			BgL_tmpz00_2080 =
																				((BgL_objectz00_bglt)
																				((BgL_sfunz00_bglt) BgL_ifunz00_1593));
																			BgL_auxz00_2079 =
																				BGL_OBJECT_WIDENING(BgL_tmpz00_2080);
																		}
																		BgL_auxz00_2078 =
																			((BgL_sfunzf2iinfozf2_bglt)
																			BgL_auxz00_2079);
																	}
																	BgL_arg1262z00_1600 =
																		(((BgL_sfunzf2iinfozf2_bglt)
																			COBJECT(BgL_auxz00_2078))->BgL_kza2za2);
																}
																BgL_arg1260z00_1599 =
																	MAKE_YOUNG_PAIR(BgL_kz00_1589,
																	BgL_arg1262z00_1600);
															}
															{
																BgL_sfunzf2iinfozf2_bglt BgL_auxz00_2087;

																{
																	obj_t BgL_auxz00_2088;

																	{	/* Integrate/kk.scm 75 */
																		BgL_objectz00_bglt BgL_tmpz00_2089;

																		BgL_tmpz00_2089 =
																			((BgL_objectz00_bglt)
																			((BgL_sfunz00_bglt) BgL_ifunz00_1593));
																		BgL_auxz00_2088 =
																			BGL_OBJECT_WIDENING(BgL_tmpz00_2089);
																	}
																	BgL_auxz00_2087 =
																		((BgL_sfunzf2iinfozf2_bglt)
																		BgL_auxz00_2088);
																}
																((((BgL_sfunzf2iinfozf2_bglt)
																			COBJECT(BgL_auxz00_2087))->BgL_kza2za2) =
																	((obj_t) BgL_arg1260z00_1599), BUNSPEC);
															}
														}
														{	/* Integrate/kk.scm 76 */
															obj_t BgL_arg1266z00_1601;

															BgL_arg1266z00_1601 = CDR(((obj_t) BgL_az00_5));
															{
																obj_t BgL_az00_2097;

																BgL_az00_2097 = BgL_arg1266z00_1601;
																BgL_az00_5 = BgL_az00_2097;
																goto BGl_Kzd21z12zc0zzintegrate_kkz00;
															}
														}
													}
											}
										}
								}
							}
						}
					}
				}
		}

	}



/* K-2! */
	obj_t BGl_Kzd22z12zc0zzintegrate_kkz00(obj_t BgL_az00_7,
		obj_t BgL_azd2tailzd2_8)
	{
		{	/* Integrate/kk.scm 81 */
			{
				bool_t BgL_continuez00_1604;

				BgL_continuez00_1604 = ((bool_t) 1);
			BgL_zc3z04anonymousza31268ze3z87_1605:
				if (BgL_continuez00_1604)
					{
						obj_t BgL_atz00_1607;
						bool_t BgL_continuez00_1608;

						BgL_atz00_1607 = BgL_azd2tailzd2_8;
						BgL_continuez00_1608 = ((bool_t) 0);
					BgL_zc3z04anonymousza31269ze3z87_1609:
						if (NULLP(BgL_atz00_1607))
							{
								bool_t BgL_continuez00_2101;

								BgL_continuez00_2101 = BgL_continuez00_1608;
								BgL_continuez00_1604 = BgL_continuez00_2101;
								goto BgL_zc3z04anonymousza31268ze3z87_1605;
							}
						else
							{	/* Integrate/kk.scm 93 */
								BgL_valuez00_bglt BgL_ifunz00_1611;

								{
									BgL_variablez00_bglt BgL_auxz00_2102;

									{	/* Integrate/kk.scm 93 */
										obj_t BgL_pairz00_1888;

										BgL_pairz00_1888 = CAR(((obj_t) BgL_atz00_1607));
										BgL_auxz00_2102 =
											((BgL_variablez00_bglt) CAR(BgL_pairz00_1888));
									}
									BgL_ifunz00_1611 =
										(((BgL_variablez00_bglt) COBJECT(BgL_auxz00_2102))->
										BgL_valuez00);
								}
								{	/* Integrate/kk.scm 94 */
									bool_t BgL_test1543z00_2108;

									{	/* Integrate/kk.scm 94 */
										obj_t BgL_arg1289z00_1636;

										{
											BgL_sfunzf2iinfozf2_bglt BgL_auxz00_2109;

											{
												obj_t BgL_auxz00_2110;

												{	/* Integrate/kk.scm 94 */
													BgL_objectz00_bglt BgL_tmpz00_2111;

													BgL_tmpz00_2111 =
														((BgL_objectz00_bglt)
														((BgL_sfunz00_bglt) BgL_ifunz00_1611));
													BgL_auxz00_2110 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_2111);
												}
												BgL_auxz00_2109 =
													((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_2110);
											}
											BgL_arg1289z00_1636 =
												(((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_2109))->
												BgL_kz00);
										}
										BgL_test1543z00_2108 = NULLP(BgL_arg1289z00_1636);
									}
									if (BgL_test1543z00_2108)
										{	/* Integrate/kk.scm 95 */
											obj_t BgL_arg1273z00_1614;

											BgL_arg1273z00_1614 = CDR(((obj_t) BgL_atz00_1607));
											{
												obj_t BgL_atz00_2120;

												BgL_atz00_2120 = BgL_arg1273z00_1614;
												BgL_atz00_1607 = BgL_atz00_2120;
												goto BgL_zc3z04anonymousza31269ze3z87_1609;
											}
										}
									else
										{	/* Integrate/kk.scm 96 */
											obj_t BgL_gz00_1615;

											{	/* Integrate/kk.scm 96 */
												obj_t BgL_pairz00_1894;

												BgL_pairz00_1894 = CAR(((obj_t) BgL_atz00_1607));
												BgL_gz00_1615 = CAR(CDR(BgL_pairz00_1894));
											}
											{	/* Integrate/kk.scm 96 */
												BgL_valuez00_bglt BgL_gifunz00_1616;

												BgL_gifunz00_1616 =
													(((BgL_variablez00_bglt) COBJECT(
															((BgL_variablez00_bglt) BgL_gz00_1615)))->
													BgL_valuez00);
												{	/* Integrate/kk.scm 97 */

													{	/* Integrate/kk.scm 98 */
														obj_t BgL_g1109z00_1617;

														{
															BgL_sfunzf2iinfozf2_bglt BgL_auxz00_2127;

															{
																obj_t BgL_auxz00_2128;

																{	/* Integrate/kk.scm 98 */
																	BgL_objectz00_bglt BgL_tmpz00_2129;

																	BgL_tmpz00_2129 =
																		((BgL_objectz00_bglt)
																		((BgL_sfunz00_bglt) BgL_ifunz00_1611));
																	BgL_auxz00_2128 =
																		BGL_OBJECT_WIDENING(BgL_tmpz00_2129);
																}
																BgL_auxz00_2127 =
																	((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_2128);
															}
															BgL_g1109z00_1617 =
																(((BgL_sfunzf2iinfozf2_bglt)
																	COBJECT(BgL_auxz00_2127))->BgL_kz00);
														}
														{
															obj_t BgL_ksz00_1619;
															bool_t BgL_continuez00_1620;

															BgL_ksz00_1619 = BgL_g1109z00_1617;
															BgL_continuez00_1620 = BgL_continuez00_1608;
														BgL_zc3z04anonymousza31274ze3z87_1621:
															if (NULLP(BgL_ksz00_1619))
																{	/* Integrate/kk.scm 104 */
																	obj_t BgL_arg1276z00_1623;

																	BgL_arg1276z00_1623 =
																		CDR(((obj_t) BgL_atz00_1607));
																	{
																		bool_t BgL_continuez00_2140;
																		obj_t BgL_atz00_2139;

																		BgL_atz00_2139 = BgL_arg1276z00_1623;
																		BgL_continuez00_2140 = BgL_continuez00_1620;
																		BgL_continuez00_1608 = BgL_continuez00_2140;
																		BgL_atz00_1607 = BgL_atz00_2139;
																		goto BgL_zc3z04anonymousza31269ze3z87_1609;
																	}
																}
															else
																{	/* Integrate/kk.scm 105 */
																	obj_t BgL_kz00_1624;

																	BgL_kz00_1624 = CAR(((obj_t) BgL_ksz00_1619));
																	{	/* Integrate/kk.scm 106 */
																		bool_t BgL_test1545z00_2143;

																		{	/* Integrate/kk.scm 106 */
																			obj_t BgL_arg1287z00_1633;

																			{
																				BgL_sfunzf2iinfozf2_bglt
																					BgL_auxz00_2144;
																				{
																					obj_t BgL_auxz00_2145;

																					{	/* Integrate/kk.scm 106 */
																						BgL_objectz00_bglt BgL_tmpz00_2146;

																						BgL_tmpz00_2146 =
																							((BgL_objectz00_bglt)
																							((BgL_sfunz00_bglt)
																								BgL_gifunz00_1616));
																						BgL_auxz00_2145 =
																							BGL_OBJECT_WIDENING
																							(BgL_tmpz00_2146);
																					}
																					BgL_auxz00_2144 =
																						((BgL_sfunzf2iinfozf2_bglt)
																						BgL_auxz00_2145);
																				}
																				BgL_arg1287z00_1633 =
																					(((BgL_sfunzf2iinfozf2_bglt)
																						COBJECT(BgL_auxz00_2144))->
																					BgL_kz00);
																			}
																			BgL_test1545z00_2143 =
																				CBOOL
																				(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
																				(BgL_kz00_1624, BgL_arg1287z00_1633));
																		}
																		if (BgL_test1545z00_2143)
																			{	/* Integrate/kk.scm 107 */
																				obj_t BgL_arg1279z00_1627;

																				BgL_arg1279z00_1627 =
																					CDR(((obj_t) BgL_ksz00_1619));
																				{
																					obj_t BgL_ksz00_2156;

																					BgL_ksz00_2156 = BgL_arg1279z00_1627;
																					BgL_ksz00_1619 = BgL_ksz00_2156;
																					goto
																						BgL_zc3z04anonymousza31274ze3z87_1621;
																				}
																			}
																		else
																			{	/* Integrate/kk.scm 106 */
																				{	/* Integrate/kk.scm 111 */
																					obj_t BgL_arg1280z00_1628;

																					{	/* Integrate/kk.scm 111 */
																						obj_t BgL_arg1281z00_1629;

																						{
																							BgL_sfunzf2iinfozf2_bglt
																								BgL_auxz00_2157;
																							{
																								obj_t BgL_auxz00_2158;

																								{	/* Integrate/kk.scm 111 */
																									BgL_objectz00_bglt
																										BgL_tmpz00_2159;
																									BgL_tmpz00_2159 =
																										((BgL_objectz00_bglt) (
																											(BgL_sfunz00_bglt)
																											BgL_gifunz00_1616));
																									BgL_auxz00_2158 =
																										BGL_OBJECT_WIDENING
																										(BgL_tmpz00_2159);
																								}
																								BgL_auxz00_2157 =
																									((BgL_sfunzf2iinfozf2_bglt)
																									BgL_auxz00_2158);
																							}
																							BgL_arg1281z00_1629 =
																								(((BgL_sfunzf2iinfozf2_bglt)
																									COBJECT(BgL_auxz00_2157))->
																								BgL_kz00);
																						}
																						BgL_arg1280z00_1628 =
																							MAKE_YOUNG_PAIR(BgL_kz00_1624,
																							BgL_arg1281z00_1629);
																					}
																					{
																						BgL_sfunzf2iinfozf2_bglt
																							BgL_auxz00_2166;
																						{
																							obj_t BgL_auxz00_2167;

																							{	/* Integrate/kk.scm 109 */
																								BgL_objectz00_bglt
																									BgL_tmpz00_2168;
																								BgL_tmpz00_2168 =
																									((BgL_objectz00_bglt) (
																										(BgL_sfunz00_bglt)
																										BgL_gifunz00_1616));
																								BgL_auxz00_2167 =
																									BGL_OBJECT_WIDENING
																									(BgL_tmpz00_2168);
																							}
																							BgL_auxz00_2166 =
																								((BgL_sfunzf2iinfozf2_bglt)
																								BgL_auxz00_2167);
																						}
																						((((BgL_sfunzf2iinfozf2_bglt)
																									COBJECT(BgL_auxz00_2166))->
																								BgL_kz00) =
																							((obj_t) BgL_arg1280z00_1628),
																							BUNSPEC);
																					}
																				}
																				{	/* Integrate/kk.scm 114 */
																					obj_t BgL_arg1282z00_1630;

																					{	/* Integrate/kk.scm 114 */
																						obj_t BgL_arg1284z00_1631;

																						{
																							BgL_sfunzf2iinfozf2_bglt
																								BgL_auxz00_2174;
																							{
																								obj_t BgL_auxz00_2175;

																								{	/* Integrate/kk.scm 114 */
																									BgL_objectz00_bglt
																										BgL_tmpz00_2176;
																									BgL_tmpz00_2176 =
																										((BgL_objectz00_bglt) (
																											(BgL_sfunz00_bglt)
																											BgL_gifunz00_1616));
																									BgL_auxz00_2175 =
																										BGL_OBJECT_WIDENING
																										(BgL_tmpz00_2176);
																								}
																								BgL_auxz00_2174 =
																									((BgL_sfunzf2iinfozf2_bglt)
																									BgL_auxz00_2175);
																							}
																							BgL_arg1284z00_1631 =
																								(((BgL_sfunzf2iinfozf2_bglt)
																									COBJECT(BgL_auxz00_2174))->
																								BgL_kza2za2);
																						}
																						BgL_arg1282z00_1630 =
																							MAKE_YOUNG_PAIR(BgL_kz00_1624,
																							BgL_arg1284z00_1631);
																					}
																					{
																						BgL_sfunzf2iinfozf2_bglt
																							BgL_auxz00_2183;
																						{
																							obj_t BgL_auxz00_2184;

																							{	/* Integrate/kk.scm 112 */
																								BgL_objectz00_bglt
																									BgL_tmpz00_2185;
																								BgL_tmpz00_2185 =
																									((BgL_objectz00_bglt) (
																										(BgL_sfunz00_bglt)
																										BgL_gifunz00_1616));
																								BgL_auxz00_2184 =
																									BGL_OBJECT_WIDENING
																									(BgL_tmpz00_2185);
																							}
																							BgL_auxz00_2183 =
																								((BgL_sfunzf2iinfozf2_bglt)
																								BgL_auxz00_2184);
																						}
																						((((BgL_sfunzf2iinfozf2_bglt)
																									COBJECT(BgL_auxz00_2183))->
																								BgL_kza2za2) =
																							((obj_t) BgL_arg1282z00_1630),
																							BUNSPEC);
																					}
																				}
																				{	/* Integrate/kk.scm 115 */
																					obj_t BgL_arg1285z00_1632;

																					BgL_arg1285z00_1632 =
																						CDR(((obj_t) BgL_ksz00_1619));
																					{
																						bool_t BgL_continuez00_2194;
																						obj_t BgL_ksz00_2193;

																						BgL_ksz00_2193 =
																							BgL_arg1285z00_1632;
																						BgL_continuez00_2194 = ((bool_t) 1);
																						BgL_continuez00_1620 =
																							BgL_continuez00_2194;
																						BgL_ksz00_1619 = BgL_ksz00_2193;
																						goto
																							BgL_zc3z04anonymousza31274ze3z87_1621;
																					}
																				}
																			}
																	}
																}
														}
													}
												}
											}
										}
								}
							}
					}
				else
					{	/* Integrate/kk.scm 84 */
						return BgL_azd2tailzd2_8;
					}
			}
		}

	}



/* K*! */
	BGL_EXPORTED_DEF obj_t BGl_Kza2z12zb0zzintegrate_kkz00(obj_t
		BgL_azd2tailzd2_9)
	{
		{	/* Integrate/kk.scm 130 */
			{
				bool_t BgL_continuez00_1642;

				BgL_continuez00_1642 = ((bool_t) 1);
			BgL_zc3z04anonymousza31293ze3z87_1643:
				if (BgL_continuez00_1642)
					{
						obj_t BgL_atz00_1645;
						bool_t BgL_continuez00_1646;

						BgL_atz00_1645 = BgL_azd2tailzd2_9;
						BgL_continuez00_1646 = ((bool_t) 0);
					BgL_zc3z04anonymousza31294ze3z87_1647:
						if (NULLP(BgL_atz00_1645))
							{
								bool_t BgL_continuez00_2198;

								BgL_continuez00_2198 = BgL_continuez00_1646;
								BgL_continuez00_1642 = BgL_continuez00_2198;
								goto BgL_zc3z04anonymousza31293ze3z87_1643;
							}
						else
							{	/* Integrate/kk.scm 139 */
								BgL_valuez00_bglt BgL_ifunz00_1649;

								{
									BgL_variablez00_bglt BgL_auxz00_2199;

									{
										obj_t BgL_auxz00_2200;

										{	/* Integrate/kk.scm 139 */
											obj_t BgL_pairz00_1916;

											BgL_pairz00_1916 = CAR(((obj_t) BgL_atz00_1645));
											{	/* Integrate/kk.scm 139 */
												obj_t BgL_pairz00_1919;

												BgL_pairz00_1919 = CDR(BgL_pairz00_1916);
												BgL_auxz00_2200 = CAR(BgL_pairz00_1919);
											}
										}
										BgL_auxz00_2199 = ((BgL_variablez00_bglt) BgL_auxz00_2200);
									}
									BgL_ifunz00_1649 =
										(((BgL_variablez00_bglt) COBJECT(BgL_auxz00_2199))->
										BgL_valuez00);
								}
								{	/* Integrate/kk.scm 140 */
									bool_t BgL_test1548z00_2207;

									{	/* Integrate/kk.scm 140 */
										obj_t BgL_arg1316z00_1671;

										{
											BgL_sfunzf2iinfozf2_bglt BgL_auxz00_2208;

											{
												obj_t BgL_auxz00_2209;

												{	/* Integrate/kk.scm 140 */
													BgL_objectz00_bglt BgL_tmpz00_2210;

													BgL_tmpz00_2210 =
														((BgL_objectz00_bglt)
														((BgL_sfunz00_bglt) BgL_ifunz00_1649));
													BgL_auxz00_2209 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_2210);
												}
												BgL_auxz00_2208 =
													((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_2209);
											}
											BgL_arg1316z00_1671 =
												(((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_2208))->
												BgL_kza2za2);
										}
										BgL_test1548z00_2207 = NULLP(BgL_arg1316z00_1671);
									}
									if (BgL_test1548z00_2207)
										{
											bool_t BgL_continuez00_2217;

											BgL_continuez00_2217 = BgL_continuez00_1646;
											BgL_continuez00_1642 = BgL_continuez00_2217;
											goto BgL_zc3z04anonymousza31293ze3z87_1643;
										}
									else
										{	/* Integrate/kk.scm 142 */
											obj_t BgL_g1110z00_1652;

											{
												BgL_sfunzf2iinfozf2_bglt BgL_auxz00_2218;

												{
													obj_t BgL_auxz00_2219;

													{	/* Integrate/kk.scm 142 */
														BgL_objectz00_bglt BgL_tmpz00_2220;

														BgL_tmpz00_2220 =
															((BgL_objectz00_bglt)
															((BgL_sfunz00_bglt) BgL_ifunz00_1649));
														BgL_auxz00_2219 =
															BGL_OBJECT_WIDENING(BgL_tmpz00_2220);
													}
													BgL_auxz00_2218 =
														((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_2219);
												}
												BgL_g1110z00_1652 =
													(((BgL_sfunzf2iinfozf2_bglt)
														COBJECT(BgL_auxz00_2218))->BgL_kza2za2);
											}
											{
												obj_t BgL_ksz00_1654;
												bool_t BgL_continuez00_1655;

												BgL_ksz00_1654 = BgL_g1110z00_1652;
												BgL_continuez00_1655 = BgL_continuez00_1646;
											BgL_zc3z04anonymousza31298ze3z87_1656:
												if (NULLP(BgL_ksz00_1654))
													{	/* Integrate/kk.scm 145 */
														obj_t BgL_arg1301z00_1658;

														BgL_arg1301z00_1658 = CDR(((obj_t) BgL_atz00_1645));
														{
															bool_t BgL_continuez00_2231;
															obj_t BgL_atz00_2230;

															BgL_atz00_2230 = BgL_arg1301z00_1658;
															BgL_continuez00_2231 = BgL_continuez00_1655;
															BgL_continuez00_1646 = BgL_continuez00_2231;
															BgL_atz00_1645 = BgL_atz00_2230;
															goto BgL_zc3z04anonymousza31294ze3z87_1647;
														}
													}
												else
													{	/* Integrate/kk.scm 146 */
														obj_t BgL_fz00_1659;

														{	/* Integrate/kk.scm 146 */
															obj_t BgL_pairz00_1927;

															BgL_pairz00_1927 = CAR(((obj_t) BgL_atz00_1645));
															BgL_fz00_1659 = CAR(BgL_pairz00_1927);
														}
														{	/* Integrate/kk.scm 146 */
															BgL_valuez00_bglt BgL_fifunz00_1660;

															BgL_fifunz00_1660 =
																(((BgL_variablez00_bglt) COBJECT(
																		((BgL_variablez00_bglt) BgL_fz00_1659)))->
																BgL_valuez00);
															{	/* Integrate/kk.scm 147 */
																obj_t BgL_kz00_1661;

																BgL_kz00_1661 = CAR(((obj_t) BgL_ksz00_1654));
																{	/* Integrate/kk.scm 148 */

																	{	/* Integrate/kk.scm 149 */
																		bool_t BgL_test1550z00_2239;

																		{	/* Integrate/kk.scm 149 */
																			obj_t BgL_arg1314z00_1668;

																			{
																				BgL_sfunzf2iinfozf2_bglt
																					BgL_auxz00_2240;
																				{
																					obj_t BgL_auxz00_2241;

																					{	/* Integrate/kk.scm 149 */
																						BgL_objectz00_bglt BgL_tmpz00_2242;

																						BgL_tmpz00_2242 =
																							((BgL_objectz00_bglt)
																							((BgL_sfunz00_bglt)
																								BgL_fifunz00_1660));
																						BgL_auxz00_2241 =
																							BGL_OBJECT_WIDENING
																							(BgL_tmpz00_2242);
																					}
																					BgL_auxz00_2240 =
																						((BgL_sfunzf2iinfozf2_bglt)
																						BgL_auxz00_2241);
																				}
																				BgL_arg1314z00_1668 =
																					(((BgL_sfunzf2iinfozf2_bglt)
																						COBJECT(BgL_auxz00_2240))->
																					BgL_kza2za2);
																			}
																			BgL_test1550z00_2239 =
																				CBOOL
																				(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
																				(BgL_kz00_1661, BgL_arg1314z00_1668));
																		}
																		if (BgL_test1550z00_2239)
																			{	/* Integrate/kk.scm 150 */
																				obj_t BgL_arg1309z00_1664;

																				BgL_arg1309z00_1664 =
																					CDR(((obj_t) BgL_ksz00_1654));
																				{
																					obj_t BgL_ksz00_2252;

																					BgL_ksz00_2252 = BgL_arg1309z00_1664;
																					BgL_ksz00_1654 = BgL_ksz00_2252;
																					goto
																						BgL_zc3z04anonymousza31298ze3z87_1656;
																				}
																			}
																		else
																			{	/* Integrate/kk.scm 149 */
																				{	/* Integrate/kk.scm 154 */
																					obj_t BgL_arg1310z00_1665;

																					{	/* Integrate/kk.scm 154 */
																						obj_t BgL_arg1311z00_1666;

																						{
																							BgL_sfunzf2iinfozf2_bglt
																								BgL_auxz00_2253;
																							{
																								obj_t BgL_auxz00_2254;

																								{	/* Integrate/kk.scm 154 */
																									BgL_objectz00_bglt
																										BgL_tmpz00_2255;
																									BgL_tmpz00_2255 =
																										((BgL_objectz00_bglt) (
																											(BgL_sfunz00_bglt)
																											BgL_fifunz00_1660));
																									BgL_auxz00_2254 =
																										BGL_OBJECT_WIDENING
																										(BgL_tmpz00_2255);
																								}
																								BgL_auxz00_2253 =
																									((BgL_sfunzf2iinfozf2_bglt)
																									BgL_auxz00_2254);
																							}
																							BgL_arg1311z00_1666 =
																								(((BgL_sfunzf2iinfozf2_bglt)
																									COBJECT(BgL_auxz00_2253))->
																								BgL_kza2za2);
																						}
																						BgL_arg1310z00_1665 =
																							MAKE_YOUNG_PAIR(BgL_kz00_1661,
																							BgL_arg1311z00_1666);
																					}
																					{
																						BgL_sfunzf2iinfozf2_bglt
																							BgL_auxz00_2262;
																						{
																							obj_t BgL_auxz00_2263;

																							{	/* Integrate/kk.scm 152 */
																								BgL_objectz00_bglt
																									BgL_tmpz00_2264;
																								BgL_tmpz00_2264 =
																									((BgL_objectz00_bglt) (
																										(BgL_sfunz00_bglt)
																										BgL_fifunz00_1660));
																								BgL_auxz00_2263 =
																									BGL_OBJECT_WIDENING
																									(BgL_tmpz00_2264);
																							}
																							BgL_auxz00_2262 =
																								((BgL_sfunzf2iinfozf2_bglt)
																								BgL_auxz00_2263);
																						}
																						((((BgL_sfunzf2iinfozf2_bglt)
																									COBJECT(BgL_auxz00_2262))->
																								BgL_kza2za2) =
																							((obj_t) BgL_arg1310z00_1665),
																							BUNSPEC);
																					}
																				}
																				{	/* Integrate/kk.scm 155 */
																					obj_t BgL_arg1313z00_1667;

																					BgL_arg1313z00_1667 =
																						CDR(((obj_t) BgL_ksz00_1654));
																					{
																						bool_t BgL_continuez00_2273;
																						obj_t BgL_ksz00_2272;

																						BgL_ksz00_2272 =
																							BgL_arg1313z00_1667;
																						BgL_continuez00_2273 = ((bool_t) 1);
																						BgL_continuez00_1655 =
																							BgL_continuez00_2273;
																						BgL_ksz00_1654 = BgL_ksz00_2272;
																						goto
																							BgL_zc3z04anonymousza31298ze3z87_1656;
																					}
																				}
																			}
																	}
																}
															}
														}
													}
											}
										}
								}
							}
					}
				else
					{	/* Integrate/kk.scm 133 */
						return BNIL;
					}
			}
		}

	}



/* &K*! */
	obj_t BGl_z62Kza2z12zd2zzintegrate_kkz00(obj_t BgL_envz00_1945,
		obj_t BgL_azd2tailzd2_1946)
	{
		{	/* Integrate/kk.scm 130 */
			return BGl_Kza2z12zb0zzintegrate_kkz00(BgL_azd2tailzd2_1946);
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzintegrate_kkz00(void)
	{
		{	/* Integrate/kk.scm 15 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzintegrate_kkz00(void)
	{
		{	/* Integrate/kk.scm 15 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzintegrate_kkz00(void)
	{
		{	/* Integrate/kk.scm 15 */
			return BUNSPEC;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzintegrate_kkz00(void)
	{
		{	/* Integrate/kk.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(54713316L,
				BSTRING_TO_STRING(BGl_string1518z00zzintegrate_kkz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(365925558L,
				BSTRING_TO_STRING(BGl_string1518z00zzintegrate_kkz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(515343395L,
				BSTRING_TO_STRING(BGl_string1518z00zzintegrate_kkz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(90839984L,
				BSTRING_TO_STRING(BGl_string1518z00zzintegrate_kkz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(469732712L,
				BSTRING_TO_STRING(BGl_string1518z00zzintegrate_kkz00));
			BGl_modulezd2initializa7ationz75zzintegrate_infoz00(0L,
				BSTRING_TO_STRING(BGl_string1518z00zzintegrate_kkz00));
			return
				BGl_modulezd2initializa7ationz75zzintegrate_az00(523633197L,
				BSTRING_TO_STRING(BGl_string1518z00zzintegrate_kkz00));
		}

	}

#ifdef __cplusplus
}
#endif
