/*===========================================================================*/
/*   (Integrate/let_fun.scm)                                                 */
/*   Bigloo (4.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Jan 27 07:45:49 AM CET 2025     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.6a/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.6a/lib/bigloo/4.6a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -stdc -indent Integrate/let_fun.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL_BgL_INTEGRATE_LETzd2FUNzd2_TYPE_DEFINITIONS
#define BGL_BgL_INTEGRATE_LETzd2FUNzd2_TYPE_DEFINITIONS

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_nullz00;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_nodezf2effectzf2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
	}                       *BgL_nodezf2effectzf2_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_closurez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}                 *BgL_closurez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
		obj_t BgL_metaz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_stackablez00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_switchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_switchz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		struct BgL_nodez00_bgl *BgL_onexitz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		obj_t BgL_stackablez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}              *BgL_syncz00_bglt;

	typedef struct BgL_sfunzf2iinfozf2_bgl
	{
		obj_t BgL_ownerz00;
		obj_t BgL_freez00;
		obj_t BgL_boundz00;
		obj_t BgL_cfromz00;
		obj_t BgL_ctoz00;
		obj_t BgL_kz00;
		obj_t BgL_kza2za2;
		obj_t BgL_uz00;
		obj_t BgL_cnz00;
		obj_t BgL_ctz00;
		obj_t BgL_kontz00;
		bool_t BgL_gzf3zf3;
		bool_t BgL_forcegzf3zf3;
		obj_t BgL_lz00;
		obj_t BgL_ledz00;
		obj_t BgL_istampz00;
		obj_t BgL_globalz00;
		obj_t BgL_kapturedz00;
		obj_t BgL_tailzd2coercionzd2;
		bool_t BgL_xhdlzf3zf3;
		obj_t BgL_xhdlsz00;
	}                      *BgL_sfunzf2iinfozf2_bglt;


#endif													// BGL_BgL_INTEGRATE_LETzd2FUNzd2_TYPE_DEFINITIONS
#endif													// BGL_MODULE_TYPE_DEFINITIONS

	extern obj_t BGl_setqz00zzast_nodez00;
	static obj_t BGl_requirezd2initializa7ationz75zzintegrate_letzd2funzd2 =
		BUNSPEC;
	extern obj_t BGl_closurez00zzast_nodez00;
	extern obj_t BGl_syncz00zzast_nodez00;
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_atomz00zzast_nodez00;
	static obj_t BGl_bindzd2funz12zc0zzintegrate_letzd2funzd2(obj_t);
	static obj_t BGl_toplevelzd2initzd2zzintegrate_letzd2funzd2(void);
	extern obj_t BGl_sequencez00zzast_nodez00;
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	static obj_t BGl_genericzd2initzd2zzintegrate_letzd2funzd2(void);
	static obj_t BGl_objectzd2initzd2zzintegrate_letzd2funzd2(void);
	extern obj_t BGl_castz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t
		BGl_z62displacezd2letzd2funzd2nod1301zb0zzintegrate_letzd2funzd2(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62displacezd2letzd2funzd2nod1303zb0zzintegrate_letzd2funzd2(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62displacezd2letzd2funzd2nod1305zb0zzintegrate_letzd2funzd2(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62displacezd2letzd2funzd2nod1307zb0zzintegrate_letzd2funzd2(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62displacezd2letzd2funzd2nod1309zb0zzintegrate_letzd2funzd2(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzintegrate_letzd2funzd2(void);
	static obj_t
		BGl_z62displacezd2letzd2funzd2nod1311zb0zzintegrate_letzd2funzd2(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62displacezd2letzd2funzd2nod1313zb0zzintegrate_letzd2funzd2(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62displacezd2letzd2funzd2nod1315zb0zzintegrate_letzd2funzd2(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62displacezd2letzd2funzd2nod1317zb0zzintegrate_letzd2funzd2(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_externz00zzast_nodez00;
	static obj_t
		BGl_displacezd2letzd2funzd2nodez12zc0zzintegrate_letzd2funzd2
		(BgL_nodez00_bglt, obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	extern BgL_typez00_bglt BGl_getzd2typezd2zztype_typeofz00(BgL_nodez00_bglt,
		bool_t);
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t
		BGl_z62displacezd2letzd2funzd2nod1270zb0zzintegrate_letzd2funzd2(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62displacezd2letzd2funzd2nod1274zb0zzintegrate_letzd2funzd2(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62displacezd2letzd2funzd2nod1276zb0zzintegrate_letzd2funzd2(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62displacezd2letzd2funzd2nod1278zb0zzintegrate_letzd2funzd2(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62displacezd2letzd2funzd2nod1280zb0zzintegrate_letzd2funzd2(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62displacezd2letzd2funzd2nod1282zb0zzintegrate_letzd2funzd2(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62displacezd2letzd2funzd2nod1284zb0zzintegrate_letzd2funzd2(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62displacezd2letzd2funzd2nod1286zb0zzintegrate_letzd2funzd2(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62displacezd2letzd2funzd2nod1288zb0zzintegrate_letzd2funzd2(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62displacezd2letzd2funzd2nod1290zb0zzintegrate_letzd2funzd2(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62displacezd2letzd2funzd2nod1292zb0zzintegrate_letzd2funzd2(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62displacezd2letzd2funzd2nod1294zb0zzintegrate_letzd2funzd2(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62displacezd2letzd2funzd2nod1296zb0zzintegrate_letzd2funzd2(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62displacezd2letzd2funzd2nod1298zb0zzintegrate_letzd2funzd2(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	BGL_EXPORTED_DECL obj_t
		BGl_displacezd2letzd2funz12z12zzintegrate_letzd2funzd2(obj_t);
	static bool_t BGl_freezd2funzf3z21zzintegrate_letzd2funzd2(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzintegrate_letzd2funzd2(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzintegrate_infoz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typeofz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_kwotez00zzast_nodez00;
	extern obj_t BGl_localz00zzast_varz00;
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzintegrate_letzd2funzd2(void);
	static obj_t BGl_libraryzd2moduleszd2initz00zzintegrate_letzd2funzd2(void);
	static obj_t BGl_importedzd2moduleszd2initz00zzintegrate_letzd2funzd2(void);
	static obj_t BGl_gczd2rootszd2initz00zzintegrate_letzd2funzd2(void);
	static obj_t BGl_za2stampza2z00zzintegrate_letzd2funzd2 = BUNSPEC;
	static obj_t
		BGl_z62displacezd2letzd2funzd2nodez12za2zzintegrate_letzd2funzd2(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_switchz00zzast_nodez00;
	extern obj_t BGl_conditionalz00zzast_nodez00;
	extern obj_t BGl_funcallz00zzast_nodez00;
	static obj_t BGl_z62displacezd2letzd2funz12z70zzintegrate_letzd2funzd2(obj_t,
		obj_t);
	static obj_t __cnst[1];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_displacezd2letzd2funz12zd2envzc0zzintegrate_letzd2funzd2,
		BgL_bgl_za762displaceza7d2le1846z00,
		BGl_z62displacezd2letzd2funz12z70zzintegrate_letzd2funzd2, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1815z00zzintegrate_letzd2funzd2,
		BgL_bgl_string1815za700za7za7i1847za7, "displace-let-fun-nod1270", 24);
	      DEFINE_STRING(BGl_string1816z00zzintegrate_letzd2funzd2,
		BgL_bgl_string1816za700za7za7i1848za7, "No method for this object", 25);
	      DEFINE_STRING(BGl_string1818z00zzintegrate_letzd2funzd2,
		BgL_bgl_string1818za700za7za7i1849za7, "displace-let-fun-node!", 22);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1814z00zzintegrate_letzd2funzd2,
		BgL_bgl_za762displaceza7d2le1850z00,
		BGl_z62displacezd2letzd2funzd2nod1270zb0zzintegrate_letzd2funzd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1817z00zzintegrate_letzd2funzd2,
		BgL_bgl_za762displaceza7d2le1851z00,
		BGl_z62displacezd2letzd2funzd2nod1274zb0zzintegrate_letzd2funzd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1819z00zzintegrate_letzd2funzd2,
		BgL_bgl_za762displaceza7d2le1852z00,
		BGl_z62displacezd2letzd2funzd2nod1276zb0zzintegrate_letzd2funzd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1820z00zzintegrate_letzd2funzd2,
		BgL_bgl_za762displaceza7d2le1853z00,
		BGl_z62displacezd2letzd2funzd2nod1278zb0zzintegrate_letzd2funzd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1821z00zzintegrate_letzd2funzd2,
		BgL_bgl_za762displaceza7d2le1854z00,
		BGl_z62displacezd2letzd2funzd2nod1280zb0zzintegrate_letzd2funzd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1822z00zzintegrate_letzd2funzd2,
		BgL_bgl_za762displaceza7d2le1855z00,
		BGl_z62displacezd2letzd2funzd2nod1282zb0zzintegrate_letzd2funzd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1823z00zzintegrate_letzd2funzd2,
		BgL_bgl_za762displaceza7d2le1856z00,
		BGl_z62displacezd2letzd2funzd2nod1284zb0zzintegrate_letzd2funzd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1824z00zzintegrate_letzd2funzd2,
		BgL_bgl_za762displaceza7d2le1857z00,
		BGl_z62displacezd2letzd2funzd2nod1286zb0zzintegrate_letzd2funzd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1825z00zzintegrate_letzd2funzd2,
		BgL_bgl_za762displaceza7d2le1858z00,
		BGl_z62displacezd2letzd2funzd2nod1288zb0zzintegrate_letzd2funzd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1826z00zzintegrate_letzd2funzd2,
		BgL_bgl_za762displaceza7d2le1859z00,
		BGl_z62displacezd2letzd2funzd2nod1290zb0zzintegrate_letzd2funzd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1827z00zzintegrate_letzd2funzd2,
		BgL_bgl_za762displaceza7d2le1860z00,
		BGl_z62displacezd2letzd2funzd2nod1292zb0zzintegrate_letzd2funzd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1828z00zzintegrate_letzd2funzd2,
		BgL_bgl_za762displaceza7d2le1861z00,
		BGl_z62displacezd2letzd2funzd2nod1294zb0zzintegrate_letzd2funzd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1829z00zzintegrate_letzd2funzd2,
		BgL_bgl_za762displaceza7d2le1862z00,
		BGl_z62displacezd2letzd2funzd2nod1296zb0zzintegrate_letzd2funzd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1830z00zzintegrate_letzd2funzd2,
		BgL_bgl_za762displaceza7d2le1863z00,
		BGl_z62displacezd2letzd2funzd2nod1298zb0zzintegrate_letzd2funzd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1831z00zzintegrate_letzd2funzd2,
		BgL_bgl_za762displaceza7d2le1864z00,
		BGl_z62displacezd2letzd2funzd2nod1301zb0zzintegrate_letzd2funzd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1832z00zzintegrate_letzd2funzd2,
		BgL_bgl_za762displaceza7d2le1865z00,
		BGl_z62displacezd2letzd2funzd2nod1303zb0zzintegrate_letzd2funzd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1833z00zzintegrate_letzd2funzd2,
		BgL_bgl_za762displaceza7d2le1866z00,
		BGl_z62displacezd2letzd2funzd2nod1305zb0zzintegrate_letzd2funzd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STRING(BGl_string1840z00zzintegrate_letzd2funzd2,
		BgL_bgl_string1840za700za7za7i1867za7, "displace-let-fun-node", 21);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1834z00zzintegrate_letzd2funzd2,
		BgL_bgl_za762displaceza7d2le1868z00,
		BGl_z62displacezd2letzd2funzd2nod1307zb0zzintegrate_letzd2funzd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STRING(BGl_string1841z00zzintegrate_letzd2funzd2,
		BgL_bgl_string1841za700za7za7i1869za7, "Unexpected closure", 18);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1835z00zzintegrate_letzd2funzd2,
		BgL_bgl_za762displaceza7d2le1870z00,
		BGl_z62displacezd2letzd2funzd2nod1309zb0zzintegrate_letzd2funzd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STRING(BGl_string1842z00zzintegrate_letzd2funzd2,
		BgL_bgl_string1842za700za7za7i1871za7, "integrate_let-fun", 17);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1836z00zzintegrate_letzd2funzd2,
		BgL_bgl_za762displaceza7d2le1872z00,
		BGl_z62displacezd2letzd2funzd2nod1311zb0zzintegrate_letzd2funzd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STRING(BGl_string1843z00zzintegrate_letzd2funzd2,
		BgL_bgl_string1843za700za7za7i1873za7, "displace-let-fun-nod1270 ", 25);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1837z00zzintegrate_letzd2funzd2,
		BgL_bgl_za762displaceza7d2le1874z00,
		BGl_z62displacezd2letzd2funzd2nod1313zb0zzintegrate_letzd2funzd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1838z00zzintegrate_letzd2funzd2,
		BgL_bgl_za762displaceza7d2le1875z00,
		BGl_z62displacezd2letzd2funzd2nod1315zb0zzintegrate_letzd2funzd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1839z00zzintegrate_letzd2funzd2,
		BgL_bgl_za762displaceza7d2le1876z00,
		BGl_z62displacezd2letzd2funzd2nod1317zb0zzintegrate_letzd2funzd2, 0L,
		BUNSPEC, 2);
	     
		DEFINE_STATIC_BGL_GENERIC
		(BGl_displacezd2letzd2funzd2nodez12zd2envz12zzintegrate_letzd2funzd2,
		BgL_bgl_za762displaceza7d2le1877z00,
		BGl_z62displacezd2letzd2funzd2nodez12za2zzintegrate_letzd2funzd2, 0L,
		BUNSPEC, 2);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zzintegrate_letzd2funzd2));
		     ADD_ROOT((void *) (&BGl_za2stampza2z00zzintegrate_letzd2funzd2));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzintegrate_letzd2funzd2(long
		BgL_checksumz00_2427, char *BgL_fromz00_2428)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzintegrate_letzd2funzd2))
				{
					BGl_requirezd2initializa7ationz75zzintegrate_letzd2funzd2 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzintegrate_letzd2funzd2();
					BGl_libraryzd2moduleszd2initz00zzintegrate_letzd2funzd2();
					BGl_cnstzd2initzd2zzintegrate_letzd2funzd2();
					BGl_importedzd2moduleszd2initz00zzintegrate_letzd2funzd2();
					BGl_genericzd2initzd2zzintegrate_letzd2funzd2();
					BGl_methodzd2initzd2zzintegrate_letzd2funzd2();
					return BGl_toplevelzd2initzd2zzintegrate_letzd2funzd2();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzintegrate_letzd2funzd2(void)
	{
		{	/* Integrate/let_fun.scm 16 */
			BGl_modulezd2initializa7ationz75zz__objectz00(0L, "integrate_let-fun");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(0L,
				"integrate_let-fun");
			BGl_modulezd2initializa7ationz75zz__readerz00(0L, "integrate_let-fun");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(0L,
				"integrate_let-fun");
			BGl_modulezd2initializa7ationz75zz__errorz00(0L, "integrate_let-fun");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(0L,
				"integrate_let-fun");
			BGl_modulezd2initializa7ationz75zz__bitz00(0L, "integrate_let-fun");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(0L,
				"integrate_let-fun");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(0L,
				"integrate_let-fun");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(0L,
				"integrate_let-fun");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzintegrate_letzd2funzd2(void)
	{
		{	/* Integrate/let_fun.scm 16 */
			{	/* Integrate/let_fun.scm 16 */
				obj_t BgL_cportz00_2350;

				{	/* Integrate/let_fun.scm 16 */
					obj_t BgL_stringz00_2357;

					BgL_stringz00_2357 = BGl_string1843z00zzintegrate_letzd2funzd2;
					{	/* Integrate/let_fun.scm 16 */
						obj_t BgL_startz00_2358;

						BgL_startz00_2358 = BINT(0L);
						{	/* Integrate/let_fun.scm 16 */
							obj_t BgL_endz00_2359;

							BgL_endz00_2359 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_2357)));
							{	/* Integrate/let_fun.scm 16 */

								BgL_cportz00_2350 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_2357, BgL_startz00_2358, BgL_endz00_2359);
				}}}}
				{
					long BgL_iz00_2351;

					BgL_iz00_2351 = 0L;
				BgL_loopz00_2352:
					if ((BgL_iz00_2351 == (-1L)))
						{	/* Integrate/let_fun.scm 16 */
							return BUNSPEC;
						}
					else
						{	/* Integrate/let_fun.scm 16 */
							{	/* Integrate/let_fun.scm 16 */
								obj_t BgL_arg1845z00_2353;

								{	/* Integrate/let_fun.scm 16 */

									{	/* Integrate/let_fun.scm 16 */
										obj_t BgL_locationz00_2355;

										BgL_locationz00_2355 = BBOOL(((bool_t) 0));
										{	/* Integrate/let_fun.scm 16 */

											BgL_arg1845z00_2353 =
												BGl_readz00zz__readerz00(BgL_cportz00_2350,
												BgL_locationz00_2355);
										}
									}
								}
								{	/* Integrate/let_fun.scm 16 */
									int BgL_tmpz00_2458;

									BgL_tmpz00_2458 = (int) (BgL_iz00_2351);
									CNST_TABLE_SET(BgL_tmpz00_2458, BgL_arg1845z00_2353);
							}}
							{	/* Integrate/let_fun.scm 16 */
								int BgL_auxz00_2356;

								BgL_auxz00_2356 = (int) ((BgL_iz00_2351 - 1L));
								{
									long BgL_iz00_2463;

									BgL_iz00_2463 = (long) (BgL_auxz00_2356);
									BgL_iz00_2351 = BgL_iz00_2463;
									goto BgL_loopz00_2352;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzintegrate_letzd2funzd2(void)
	{
		{	/* Integrate/let_fun.scm 16 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzintegrate_letzd2funzd2(void)
	{
		{	/* Integrate/let_fun.scm 16 */
			BGl_za2stampza2z00zzintegrate_letzd2funzd2 = BINT(0L);
			return BUNSPEC;
		}

	}



/* bind-fun! */
	obj_t BGl_bindzd2funz12zc0zzintegrate_letzd2funzd2(obj_t BgL_varz00_3)
	{
		{	/* Integrate/let_fun.scm 36 */
			{	/* Integrate/let_fun.scm 38 */
				bool_t BgL_test1880z00_2467;

				{	/* Integrate/let_fun.scm 38 */
					obj_t BgL_classz00_2073;

					BgL_classz00_2073 = BGl_localz00zzast_varz00;
					if (BGL_OBJECTP(BgL_varz00_3))
						{	/* Integrate/let_fun.scm 38 */
							BgL_objectz00_bglt BgL_arg1858z00_2075;

							BgL_arg1858z00_2075 = (BgL_objectz00_bglt) (BgL_varz00_3);
							if (BGL_CONDEXPAND_ISA_ARCH64())
								{	/* Integrate/let_fun.scm 38 */
									long BgL_idxz00_2081;

									BgL_idxz00_2081 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_2075);
									BgL_test1880z00_2467 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_2081 + 2L)) == BgL_classz00_2073);
								}
							else
								{	/* Integrate/let_fun.scm 38 */
									bool_t BgL_res1805z00_2106;

									{	/* Integrate/let_fun.scm 38 */
										obj_t BgL_oclassz00_2089;

										{	/* Integrate/let_fun.scm 38 */
											obj_t BgL_arg1866z00_2097;
											long BgL_arg1867z00_2098;

											BgL_arg1866z00_2097 = (BGl_za2classesza2z00zz__objectz00);
											{	/* Integrate/let_fun.scm 38 */
												long BgL_arg1869z00_2099;

												BgL_arg1869z00_2099 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_2075);
												BgL_arg1867z00_2098 =
													(BgL_arg1869z00_2099 - OBJECT_TYPE);
											}
											BgL_oclassz00_2089 =
												VECTOR_REF(BgL_arg1866z00_2097, BgL_arg1867z00_2098);
										}
										{	/* Integrate/let_fun.scm 38 */
											bool_t BgL__ortest_1115z00_2090;

											BgL__ortest_1115z00_2090 =
												(BgL_classz00_2073 == BgL_oclassz00_2089);
											if (BgL__ortest_1115z00_2090)
												{	/* Integrate/let_fun.scm 38 */
													BgL_res1805z00_2106 = BgL__ortest_1115z00_2090;
												}
											else
												{	/* Integrate/let_fun.scm 38 */
													long BgL_odepthz00_2091;

													{	/* Integrate/let_fun.scm 38 */
														obj_t BgL_arg1855z00_2092;

														BgL_arg1855z00_2092 = (BgL_oclassz00_2089);
														BgL_odepthz00_2091 =
															BGL_CLASS_DEPTH(BgL_arg1855z00_2092);
													}
													if ((2L < BgL_odepthz00_2091))
														{	/* Integrate/let_fun.scm 38 */
															obj_t BgL_arg1853z00_2094;

															{	/* Integrate/let_fun.scm 38 */
																obj_t BgL_arg1854z00_2095;

																BgL_arg1854z00_2095 = (BgL_oclassz00_2089);
																BgL_arg1853z00_2094 =
																	BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_2095,
																	2L);
															}
															BgL_res1805z00_2106 =
																(BgL_arg1853z00_2094 == BgL_classz00_2073);
														}
													else
														{	/* Integrate/let_fun.scm 38 */
															BgL_res1805z00_2106 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_test1880z00_2467 = BgL_res1805z00_2106;
								}
						}
					else
						{	/* Integrate/let_fun.scm 38 */
							BgL_test1880z00_2467 = ((bool_t) 0);
						}
				}
				if (BgL_test1880z00_2467)
					{	/* Integrate/let_fun.scm 39 */
						BgL_valuez00_bglt BgL_arg1326z00_1622;

						BgL_arg1326z00_1622 =
							(((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt)
										((BgL_localz00_bglt) BgL_varz00_3))))->BgL_valuez00);
						{	/* Integrate/let_fun.scm 39 */
							obj_t BgL_vz00_2109;

							BgL_vz00_2109 = BGl_za2stampza2z00zzintegrate_letzd2funzd2;
							{
								BgL_sfunzf2iinfozf2_bglt BgL_auxz00_2493;

								{
									obj_t BgL_auxz00_2494;

									{	/* Integrate/let_fun.scm 39 */
										BgL_objectz00_bglt BgL_tmpz00_2495;

										BgL_tmpz00_2495 =
											((BgL_objectz00_bglt)
											((BgL_sfunz00_bglt) BgL_arg1326z00_1622));
										BgL_auxz00_2494 = BGL_OBJECT_WIDENING(BgL_tmpz00_2495);
									}
									BgL_auxz00_2493 =
										((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_2494);
								}
								return
									((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_2493))->
										BgL_istampz00) = ((obj_t) BgL_vz00_2109), BUNSPEC);
							}
						}
					}
				else
					{	/* Integrate/let_fun.scm 38 */
						return BFALSE;
					}
			}
		}

	}



/* free-fun? */
	bool_t BGl_freezd2funzf3z21zzintegrate_letzd2funzd2(obj_t BgL_localz00_4)
	{
		{	/* Integrate/let_fun.scm 44 */
			{	/* Integrate/let_fun.scm 48 */
				bool_t BgL_test1886z00_2501;

				{	/* Integrate/let_fun.scm 48 */
					obj_t BgL_arg1333z00_1626;

					{	/* Integrate/let_fun.scm 48 */
						BgL_sfunz00_bglt BgL_oz00_2112;

						BgL_oz00_2112 =
							((BgL_sfunz00_bglt)
							(((BgL_variablez00_bglt) COBJECT(
										((BgL_variablez00_bglt)
											((BgL_localz00_bglt) BgL_localz00_4))))->BgL_valuez00));
						{
							BgL_sfunzf2iinfozf2_bglt BgL_auxz00_2506;

							{
								obj_t BgL_auxz00_2507;

								{	/* Integrate/let_fun.scm 48 */
									BgL_objectz00_bglt BgL_tmpz00_2508;

									BgL_tmpz00_2508 = ((BgL_objectz00_bglt) BgL_oz00_2112);
									BgL_auxz00_2507 = BGL_OBJECT_WIDENING(BgL_tmpz00_2508);
								}
								BgL_auxz00_2506 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_2507);
							}
							BgL_arg1333z00_1626 =
								(((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_2506))->
								BgL_istampz00);
						}
					}
					BgL_test1886z00_2501 =
						(BgL_arg1333z00_1626 == BGl_za2stampza2z00zzintegrate_letzd2funzd2);
				}
				if (BgL_test1886z00_2501)
					{	/* Integrate/let_fun.scm 48 */
						return ((bool_t) 0);
					}
				else
					{	/* Integrate/let_fun.scm 48 */
						return ((bool_t) 1);
					}
			}
		}

	}



/* displace-let-fun! */
	BGL_EXPORTED_DEF obj_t
		BGl_displacezd2letzd2funz12z12zzintegrate_letzd2funzd2(obj_t BgL_varz00_5)
	{
		{	/* Integrate/let_fun.scm 53 */
			BGl_za2stampza2z00zzintegrate_letzd2funzd2 =
				ADDFX(BINT(1L), BGl_za2stampza2z00zzintegrate_letzd2funzd2);
			{	/* Integrate/let_fun.scm 60 */
				obj_t BgL_arg1338z00_1628;
				obj_t BgL_arg1339z00_1629;

				BgL_arg1338z00_1628 =
					(((BgL_sfunz00_bglt) COBJECT(
							((BgL_sfunz00_bglt)
								(((BgL_variablez00_bglt) COBJECT(
											((BgL_variablez00_bglt) BgL_varz00_5)))->
									BgL_valuez00))))->BgL_bodyz00);
				{	/* Integrate/let_fun.scm 60 */
					obj_t BgL_list1341z00_1631;

					BgL_list1341z00_1631 = MAKE_YOUNG_PAIR(BgL_varz00_5, BNIL);
					BgL_arg1339z00_1629 = BgL_list1341z00_1631;
				}
				BGl_displacezd2letzd2funzd2nodez12zc0zzintegrate_letzd2funzd2(
					((BgL_nodez00_bglt) BgL_arg1338z00_1628), BgL_arg1339z00_1629);
			}
			{	/* Integrate/let_fun.scm 69 */
				obj_t BgL_ledz00_1632;

				{	/* Integrate/let_fun.scm 69 */
					BgL_sfunz00_bglt BgL_oz00_2119;

					BgL_oz00_2119 =
						((BgL_sfunz00_bglt)
						(((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt) BgL_varz00_5)))->BgL_valuez00));
					{
						BgL_sfunzf2iinfozf2_bglt BgL_auxz00_2526;

						{
							obj_t BgL_auxz00_2527;

							{	/* Integrate/let_fun.scm 69 */
								BgL_objectz00_bglt BgL_tmpz00_2528;

								BgL_tmpz00_2528 = ((BgL_objectz00_bglt) BgL_oz00_2119);
								BgL_auxz00_2527 = BGL_OBJECT_WIDENING(BgL_tmpz00_2528);
							}
							BgL_auxz00_2526 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_2527);
						}
						BgL_ledz00_1632 =
							(((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_2526))->
							BgL_ledz00);
					}
				}
				{
					obj_t BgL_l1262z00_1634;

					BgL_l1262z00_1634 = BgL_ledz00_1632;
				BgL_zc3z04anonymousza31342ze3z87_1635:
					if (PAIRP(BgL_l1262z00_1634))
						{	/* Integrate/let_fun.scm 70 */
							{	/* Integrate/let_fun.scm 73 */
								obj_t BgL_lz00_1637;

								BgL_lz00_1637 = CAR(BgL_l1262z00_1634);
								if (BGl_freezd2funzf3z21zzintegrate_letzd2funzd2(BgL_lz00_1637))
									{	/* Integrate/let_fun.scm 80 */
										obj_t BgL_arg1355z00_1639;
										obj_t BgL_arg1358z00_1640;

										BgL_arg1355z00_1639 =
											(((BgL_sfunz00_bglt) COBJECT(
													((BgL_sfunz00_bglt)
														(((BgL_variablez00_bglt) COBJECT(
																	((BgL_variablez00_bglt) BgL_lz00_1637)))->
															BgL_valuez00))))->BgL_bodyz00);
										{	/* Integrate/let_fun.scm 81 */
											obj_t BgL_list1360z00_1642;

											BgL_list1360z00_1642 =
												MAKE_YOUNG_PAIR(BgL_varz00_5, BNIL);
											BgL_arg1358z00_1640 = BgL_list1360z00_1642;
										}
										BGl_displacezd2letzd2funzd2nodez12zc0zzintegrate_letzd2funzd2
											(((BgL_nodez00_bglt) BgL_arg1355z00_1639),
											BgL_arg1358z00_1640);
									}
								else
									{	/* Integrate/let_fun.scm 74 */
										BFALSE;
									}
							}
							{
								obj_t BgL_l1262z00_2545;

								BgL_l1262z00_2545 = CDR(BgL_l1262z00_1634);
								BgL_l1262z00_1634 = BgL_l1262z00_2545;
								goto BgL_zc3z04anonymousza31342ze3z87_1635;
							}
						}
					else
						{	/* Integrate/let_fun.scm 70 */
							((bool_t) 1);
						}
				}
				{
					obj_t BgL_ledz00_1647;
					obj_t BgL_addedz00_1648;

					BgL_ledz00_1647 = BgL_ledz00_1632;
					BgL_addedz00_1648 = BNIL;
				BgL_zc3z04anonymousza31362ze3z87_1649:
					if (NULLP(BgL_ledz00_1647))
						{	/* Integrate/let_fun.scm 88 */
							obj_t BgL_oldzd2bodyzd2_1651;

							BgL_oldzd2bodyzd2_1651 =
								(((BgL_sfunz00_bglt) COBJECT(
										((BgL_sfunz00_bglt)
											(((BgL_variablez00_bglt) COBJECT(
														((BgL_variablez00_bglt) BgL_varz00_5)))->
												BgL_valuez00))))->BgL_bodyz00);
							if (NULLP(BgL_addedz00_1648))
								{	/* Integrate/let_fun.scm 89 */
									return BgL_oldzd2bodyzd2_1651;
								}
							else
								{	/* Integrate/let_fun.scm 90 */
									BgL_letzd2funzd2_bglt BgL_newzd2bodyzd2_1653;

									{	/* Integrate/let_fun.scm 90 */
										BgL_letzd2funzd2_bglt BgL_new1112z00_1655;

										{	/* Integrate/let_fun.scm 91 */
											BgL_letzd2funzd2_bglt BgL_new1110z00_1656;

											BgL_new1110z00_1656 =
												((BgL_letzd2funzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
															BgL_letzd2funzd2_bgl))));
											{	/* Integrate/let_fun.scm 91 */
												long BgL_arg1371z00_1657;

												BgL_arg1371z00_1657 =
													BGL_CLASS_NUM(BGl_letzd2funzd2zzast_nodez00);
												BGL_OBJECT_CLASS_NUM_SET(
													((BgL_objectz00_bglt) BgL_new1110z00_1656),
													BgL_arg1371z00_1657);
											}
											{	/* Integrate/let_fun.scm 91 */
												BgL_objectz00_bglt BgL_tmpz00_2559;

												BgL_tmpz00_2559 =
													((BgL_objectz00_bglt) BgL_new1110z00_1656);
												BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2559, BFALSE);
											}
											((BgL_objectz00_bglt) BgL_new1110z00_1656);
											BgL_new1112z00_1655 = BgL_new1110z00_1656;
										}
										((((BgL_nodez00_bglt) COBJECT(
														((BgL_nodez00_bglt) BgL_new1112z00_1655)))->
												BgL_locz00) =
											((obj_t) (((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
																BgL_oldzd2bodyzd2_1651)))->BgL_locz00)),
											BUNSPEC);
										((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
															BgL_new1112z00_1655)))->BgL_typez00) =
											((BgL_typez00_bglt)
												BGl_getzd2typezd2zztype_typeofz00(((BgL_nodez00_bglt)
														BgL_oldzd2bodyzd2_1651), ((bool_t) 0))), BUNSPEC);
										((((BgL_nodezf2effectzf2_bglt)
													COBJECT(((BgL_nodezf2effectzf2_bglt)
															BgL_new1112z00_1655)))->BgL_sidezd2effectzd2) =
											((obj_t) BUNSPEC), BUNSPEC);
										((((BgL_nodezf2effectzf2_bglt)
													COBJECT(((BgL_nodezf2effectzf2_bglt)
															BgL_new1112z00_1655)))->BgL_keyz00) =
											((obj_t) BINT((-1L))), BUNSPEC);
										((((BgL_letzd2funzd2_bglt) COBJECT(BgL_new1112z00_1655))->
												BgL_localsz00) = ((obj_t) BgL_addedz00_1648), BUNSPEC);
										((((BgL_letzd2funzd2_bglt) COBJECT(BgL_new1112z00_1655))->
												BgL_bodyz00) =
											((BgL_nodez00_bglt) ((BgL_nodez00_bglt)
													BgL_oldzd2bodyzd2_1651)), BUNSPEC);
										BgL_newzd2bodyzd2_1653 = BgL_new1112z00_1655;
									}
									{	/* Integrate/let_fun.scm 101 */
										BgL_valuez00_bglt BgL_arg1370z00_1654;

										BgL_arg1370z00_1654 =
											(((BgL_variablez00_bglt) COBJECT(
													((BgL_variablez00_bglt) BgL_varz00_5)))->
											BgL_valuez00);
										((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
															BgL_arg1370z00_1654)))->BgL_bodyz00) =
											((obj_t) ((obj_t) BgL_newzd2bodyzd2_1653)), BUNSPEC);
									}
									return ((obj_t) BgL_newzd2bodyzd2_1653);
								}
						}
					else
						{	/* Integrate/let_fun.scm 108 */
							bool_t BgL_test1891z00_2585;

							{	/* Integrate/let_fun.scm 108 */
								obj_t BgL_arg1388z00_1665;

								BgL_arg1388z00_1665 = CAR(((obj_t) BgL_ledz00_1647));
								BgL_test1891z00_2585 =
									BGl_freezd2funzf3z21zzintegrate_letzd2funzd2
									(BgL_arg1388z00_1665);
							}
							if (BgL_test1891z00_2585)
								{	/* Integrate/let_fun.scm 110 */
									obj_t BgL_arg1382z00_1661;
									obj_t BgL_arg1383z00_1662;

									BgL_arg1382z00_1661 = CDR(((obj_t) BgL_ledz00_1647));
									{	/* Integrate/let_fun.scm 110 */
										obj_t BgL_arg1385z00_1663;

										BgL_arg1385z00_1663 = CAR(((obj_t) BgL_ledz00_1647));
										BgL_arg1383z00_1662 =
											MAKE_YOUNG_PAIR(BgL_arg1385z00_1663, BgL_addedz00_1648);
									}
									{
										obj_t BgL_addedz00_2595;
										obj_t BgL_ledz00_2594;

										BgL_ledz00_2594 = BgL_arg1382z00_1661;
										BgL_addedz00_2595 = BgL_arg1383z00_1662;
										BgL_addedz00_1648 = BgL_addedz00_2595;
										BgL_ledz00_1647 = BgL_ledz00_2594;
										goto BgL_zc3z04anonymousza31362ze3z87_1649;
									}
								}
							else
								{	/* Integrate/let_fun.scm 113 */
									obj_t BgL_arg1386z00_1664;

									BgL_arg1386z00_1664 = CDR(((obj_t) BgL_ledz00_1647));
									{
										obj_t BgL_ledz00_2598;

										BgL_ledz00_2598 = BgL_arg1386z00_1664;
										BgL_ledz00_1647 = BgL_ledz00_2598;
										goto BgL_zc3z04anonymousza31362ze3z87_1649;
									}
								}
						}
				}
			}
		}

	}



/* &displace-let-fun! */
	obj_t BGl_z62displacezd2letzd2funz12z70zzintegrate_letzd2funzd2(obj_t
		BgL_envz00_2253, obj_t BgL_varz00_2254)
	{
		{	/* Integrate/let_fun.scm 53 */
			return
				BGl_displacezd2letzd2funz12z12zzintegrate_letzd2funzd2(BgL_varz00_2254);
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzintegrate_letzd2funzd2(void)
	{
		{	/* Integrate/let_fun.scm 16 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzintegrate_letzd2funzd2(void)
	{
		{	/* Integrate/let_fun.scm 16 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_displacezd2letzd2funzd2nodez12zd2envz12zzintegrate_letzd2funzd2,
				BGl_proc1814z00zzintegrate_letzd2funzd2, BGl_nodez00zzast_nodez00,
				BGl_string1815z00zzintegrate_letzd2funzd2);
		}

	}



/* &displace-let-fun-nod1270 */
	obj_t BGl_z62displacezd2letzd2funzd2nod1270zb0zzintegrate_letzd2funzd2(obj_t
		BgL_envz00_2256, obj_t BgL_nodez00_2257, obj_t BgL_hostsz00_2258)
	{
		{	/* Integrate/let_fun.scm 123 */
			return
				BGl_errorz00zz__errorz00(
				((obj_t)
					CNST_TABLE_REF(0)), BGl_string1816z00zzintegrate_letzd2funzd2,
				((obj_t) ((BgL_nodez00_bglt) BgL_nodez00_2257)));
		}

	}



/* displace-let-fun-node! */
	obj_t
		BGl_displacezd2letzd2funzd2nodez12zc0zzintegrate_letzd2funzd2
		(BgL_nodez00_bglt BgL_nodez00_6, obj_t BgL_hostsz00_7)
	{
		{	/* Integrate/let_fun.scm 123 */
			{	/* Integrate/let_fun.scm 123 */
				obj_t BgL_method1271z00_1673;

				{	/* Integrate/let_fun.scm 123 */
					obj_t BgL_res1812z00_2169;

					{	/* Integrate/let_fun.scm 123 */
						long BgL_objzd2classzd2numz00_2140;

						BgL_objzd2classzd2numz00_2140 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_6));
						{	/* Integrate/let_fun.scm 123 */
							obj_t BgL_arg1862z00_2141;

							BgL_arg1862z00_2141 =
								PROCEDURE_REF
								(BGl_displacezd2letzd2funzd2nodez12zd2envz12zzintegrate_letzd2funzd2,
								(int) (1L));
							{	/* Integrate/let_fun.scm 123 */
								int BgL_offsetz00_2144;

								BgL_offsetz00_2144 = (int) (BgL_objzd2classzd2numz00_2140);
								{	/* Integrate/let_fun.scm 123 */
									long BgL_offsetz00_2145;

									BgL_offsetz00_2145 =
										((long) (BgL_offsetz00_2144) - OBJECT_TYPE);
									{	/* Integrate/let_fun.scm 123 */
										long BgL_modz00_2146;

										BgL_modz00_2146 =
											(BgL_offsetz00_2145 >> (int) ((long) ((int) (4L))));
										{	/* Integrate/let_fun.scm 123 */
											long BgL_restz00_2148;

											BgL_restz00_2148 =
												(BgL_offsetz00_2145 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(1L <<
																		(int) ((long) ((int) (4L)))))) - 1L))));
											{	/* Integrate/let_fun.scm 123 */

												{	/* Integrate/let_fun.scm 123 */
													obj_t BgL_bucketz00_2150;

													BgL_bucketz00_2150 =
														VECTOR_REF(
														((obj_t) BgL_arg1862z00_2141), BgL_modz00_2146);
													BgL_res1812z00_2169 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_2150), BgL_restz00_2148);
					}}}}}}}}
					BgL_method1271z00_1673 = BgL_res1812z00_2169;
				}
				return
					BGL_PROCEDURE_CALL2(BgL_method1271z00_1673,
					((obj_t) BgL_nodez00_6), BgL_hostsz00_7);
			}
		}

	}



/* &displace-let-fun-node! */
	obj_t BGl_z62displacezd2letzd2funzd2nodez12za2zzintegrate_letzd2funzd2(obj_t
		BgL_envz00_2259, obj_t BgL_nodez00_2260, obj_t BgL_hostsz00_2261)
	{
		{	/* Integrate/let_fun.scm 123 */
			return
				BGl_displacezd2letzd2funzd2nodez12zc0zzintegrate_letzd2funzd2(
				((BgL_nodez00_bglt) BgL_nodez00_2260), BgL_hostsz00_2261);
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzintegrate_letzd2funzd2(void)
	{
		{	/* Integrate/let_fun.scm 16 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_displacezd2letzd2funzd2nodez12zd2envz12zzintegrate_letzd2funzd2,
				BGl_atomz00zzast_nodez00, BGl_proc1817z00zzintegrate_letzd2funzd2,
				BGl_string1818z00zzintegrate_letzd2funzd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_displacezd2letzd2funzd2nodez12zd2envz12zzintegrate_letzd2funzd2,
				BGl_kwotez00zzast_nodez00, BGl_proc1819z00zzintegrate_letzd2funzd2,
				BGl_string1818z00zzintegrate_letzd2funzd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_displacezd2letzd2funzd2nodez12zd2envz12zzintegrate_letzd2funzd2,
				BGl_varz00zzast_nodez00, BGl_proc1820z00zzintegrate_letzd2funzd2,
				BGl_string1818z00zzintegrate_letzd2funzd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_displacezd2letzd2funzd2nodez12zd2envz12zzintegrate_letzd2funzd2,
				BGl_closurez00zzast_nodez00, BGl_proc1821z00zzintegrate_letzd2funzd2,
				BGl_string1818z00zzintegrate_letzd2funzd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_displacezd2letzd2funzd2nodez12zd2envz12zzintegrate_letzd2funzd2,
				BGl_sequencez00zzast_nodez00, BGl_proc1822z00zzintegrate_letzd2funzd2,
				BGl_string1818z00zzintegrate_letzd2funzd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_displacezd2letzd2funzd2nodez12zd2envz12zzintegrate_letzd2funzd2,
				BGl_syncz00zzast_nodez00, BGl_proc1823z00zzintegrate_letzd2funzd2,
				BGl_string1818z00zzintegrate_letzd2funzd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_displacezd2letzd2funzd2nodez12zd2envz12zzintegrate_letzd2funzd2,
				BGl_appz00zzast_nodez00, BGl_proc1824z00zzintegrate_letzd2funzd2,
				BGl_string1818z00zzintegrate_letzd2funzd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_displacezd2letzd2funzd2nodez12zd2envz12zzintegrate_letzd2funzd2,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc1825z00zzintegrate_letzd2funzd2,
				BGl_string1818z00zzintegrate_letzd2funzd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_displacezd2letzd2funzd2nodez12zd2envz12zzintegrate_letzd2funzd2,
				BGl_funcallz00zzast_nodez00, BGl_proc1826z00zzintegrate_letzd2funzd2,
				BGl_string1818z00zzintegrate_letzd2funzd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_displacezd2letzd2funzd2nodez12zd2envz12zzintegrate_letzd2funzd2,
				BGl_externz00zzast_nodez00, BGl_proc1827z00zzintegrate_letzd2funzd2,
				BGl_string1818z00zzintegrate_letzd2funzd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_displacezd2letzd2funzd2nodez12zd2envz12zzintegrate_letzd2funzd2,
				BGl_castz00zzast_nodez00, BGl_proc1828z00zzintegrate_letzd2funzd2,
				BGl_string1818z00zzintegrate_letzd2funzd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_displacezd2letzd2funzd2nodez12zd2envz12zzintegrate_letzd2funzd2,
				BGl_setqz00zzast_nodez00, BGl_proc1829z00zzintegrate_letzd2funzd2,
				BGl_string1818z00zzintegrate_letzd2funzd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_displacezd2letzd2funzd2nodez12zd2envz12zzintegrate_letzd2funzd2,
				BGl_conditionalz00zzast_nodez00,
				BGl_proc1830z00zzintegrate_letzd2funzd2,
				BGl_string1818z00zzintegrate_letzd2funzd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_displacezd2letzd2funzd2nodez12zd2envz12zzintegrate_letzd2funzd2,
				BGl_failz00zzast_nodez00, BGl_proc1831z00zzintegrate_letzd2funzd2,
				BGl_string1818z00zzintegrate_letzd2funzd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_displacezd2letzd2funzd2nodez12zd2envz12zzintegrate_letzd2funzd2,
				BGl_switchz00zzast_nodez00, BGl_proc1832z00zzintegrate_letzd2funzd2,
				BGl_string1818z00zzintegrate_letzd2funzd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_displacezd2letzd2funzd2nodez12zd2envz12zzintegrate_letzd2funzd2,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc1833z00zzintegrate_letzd2funzd2,
				BGl_string1818z00zzintegrate_letzd2funzd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_displacezd2letzd2funzd2nodez12zd2envz12zzintegrate_letzd2funzd2,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc1834z00zzintegrate_letzd2funzd2,
				BGl_string1818z00zzintegrate_letzd2funzd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_displacezd2letzd2funzd2nodez12zd2envz12zzintegrate_letzd2funzd2,
				BGl_setzd2exzd2itz00zzast_nodez00,
				BGl_proc1835z00zzintegrate_letzd2funzd2,
				BGl_string1818z00zzintegrate_letzd2funzd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_displacezd2letzd2funzd2nodez12zd2envz12zzintegrate_letzd2funzd2,
				BGl_jumpzd2exzd2itz00zzast_nodez00,
				BGl_proc1836z00zzintegrate_letzd2funzd2,
				BGl_string1818z00zzintegrate_letzd2funzd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_displacezd2letzd2funzd2nodez12zd2envz12zzintegrate_letzd2funzd2,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc1837z00zzintegrate_letzd2funzd2,
				BGl_string1818z00zzintegrate_letzd2funzd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_displacezd2letzd2funzd2nodez12zd2envz12zzintegrate_letzd2funzd2,
				BGl_boxzd2setz12zc0zzast_nodez00,
				BGl_proc1838z00zzintegrate_letzd2funzd2,
				BGl_string1818z00zzintegrate_letzd2funzd2);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_displacezd2letzd2funzd2nodez12zd2envz12zzintegrate_letzd2funzd2,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc1839z00zzintegrate_letzd2funzd2,
				BGl_string1818z00zzintegrate_letzd2funzd2);
		}

	}



/* &displace-let-fun-nod1317 */
	obj_t BGl_z62displacezd2letzd2funzd2nod1317zb0zzintegrate_letzd2funzd2(obj_t
		BgL_envz00_2284, obj_t BgL_nodez00_2285, obj_t BgL_hostsz00_2286)
	{
		{	/* Integrate/let_fun.scm 323 */
			return BUNSPEC;
		}

	}



/* &displace-let-fun-nod1315 */
	obj_t BGl_z62displacezd2letzd2funzd2nod1315zb0zzintegrate_letzd2funzd2(obj_t
		BgL_envz00_2287, obj_t BgL_nodez00_2288, obj_t BgL_hostsz00_2289)
	{
		{	/* Integrate/let_fun.scm 317 */
			return BUNSPEC;
		}

	}



/* &displace-let-fun-nod1313 */
	obj_t BGl_z62displacezd2letzd2funzd2nod1313zb0zzintegrate_letzd2funzd2(obj_t
		BgL_envz00_2290, obj_t BgL_nodez00_2291, obj_t BgL_hostsz00_2292)
	{
		{	/* Integrate/let_fun.scm 310 */
			return
				BGl_displacezd2letzd2funzd2nodez12zc0zzintegrate_letzd2funzd2(
				(((BgL_makezd2boxzd2_bglt) COBJECT(
							((BgL_makezd2boxzd2_bglt) BgL_nodez00_2291)))->BgL_valuez00),
				BgL_hostsz00_2292);
		}

	}



/* &displace-let-fun-nod1311 */
	obj_t BGl_z62displacezd2letzd2funzd2nod1311zb0zzintegrate_letzd2funzd2(obj_t
		BgL_envz00_2293, obj_t BgL_nodez00_2294, obj_t BgL_hostsz00_2295)
	{
		{	/* Integrate/let_fun.scm 302 */
			BGl_displacezd2letzd2funzd2nodez12zc0zzintegrate_letzd2funzd2(
				(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
							((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2294)))->BgL_exitz00),
				BgL_hostsz00_2295);
			return
				BGl_displacezd2letzd2funzd2nodez12zc0zzintegrate_letzd2funzd2(((
						(BgL_jumpzd2exzd2itz00_bglt) COBJECT(((BgL_jumpzd2exzd2itz00_bglt)
								BgL_nodez00_2294)))->BgL_valuez00), BgL_hostsz00_2295);
		}

	}



/* &displace-let-fun-nod1309 */
	obj_t BGl_z62displacezd2letzd2funzd2nod1309zb0zzintegrate_letzd2funzd2(obj_t
		BgL_envz00_2296, obj_t BgL_nodez00_2297, obj_t BgL_hostsz00_2298)
	{
		{	/* Integrate/let_fun.scm 294 */
			BGl_displacezd2letzd2funzd2nodez12zc0zzintegrate_letzd2funzd2(
				(((BgL_setzd2exzd2itz00_bglt) COBJECT(
							((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2297)))->BgL_onexitz00),
				BgL_hostsz00_2298);
			return
				BGl_displacezd2letzd2funzd2nodez12zc0zzintegrate_letzd2funzd2(((
						(BgL_setzd2exzd2itz00_bglt) COBJECT(((BgL_setzd2exzd2itz00_bglt)
								BgL_nodez00_2297)))->BgL_bodyz00), BgL_hostsz00_2298);
		}

	}



/* &displace-let-fun-nod1307 */
	obj_t BGl_z62displacezd2letzd2funzd2nod1307zb0zzintegrate_letzd2funzd2(obj_t
		BgL_envz00_2299, obj_t BgL_nodez00_2300, obj_t BgL_hostsz00_2301)
	{
		{	/* Integrate/let_fun.scm 280 */
			{	/* Integrate/let_fun.scm 282 */
				obj_t BgL_g1132z00_2369;

				BgL_g1132z00_2369 =
					(((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_nodez00_2300)))->BgL_bindingsz00);
				{
					obj_t BgL_bindingsz00_2371;

					BgL_bindingsz00_2371 = BgL_g1132z00_2369;
				BgL_liipz00_2370:
					if (NULLP(BgL_bindingsz00_2371))
						{	/* Integrate/let_fun.scm 283 */
							return
								BGl_displacezd2letzd2funzd2nodez12zc0zzintegrate_letzd2funzd2(
								(((BgL_letzd2varzd2_bglt) COBJECT(
											((BgL_letzd2varzd2_bglt) BgL_nodez00_2300)))->
									BgL_bodyz00), BgL_hostsz00_2301);
						}
					else
						{	/* Integrate/let_fun.scm 285 */
							obj_t BgL_bindingz00_2372;

							BgL_bindingz00_2372 = CAR(((obj_t) BgL_bindingsz00_2371));
							{	/* Integrate/let_fun.scm 286 */
								obj_t BgL_valz00_2373;

								BgL_valz00_2373 = CDR(((obj_t) BgL_bindingz00_2372));
								{	/* Integrate/let_fun.scm 287 */

									BGl_displacezd2letzd2funzd2nodez12zc0zzintegrate_letzd2funzd2(
										((BgL_nodez00_bglt) BgL_valz00_2373), BgL_hostsz00_2301);
									{	/* Integrate/let_fun.scm 289 */
										obj_t BgL_arg1626z00_2374;

										BgL_arg1626z00_2374 = CDR(((obj_t) BgL_bindingsz00_2371));
										{
											obj_t BgL_bindingsz00_2691;

											BgL_bindingsz00_2691 = BgL_arg1626z00_2374;
											BgL_bindingsz00_2371 = BgL_bindingsz00_2691;
											goto BgL_liipz00_2370;
										}
									}
								}
							}
						}
				}
			}
		}

	}



/* &displace-let-fun-nod1305 */
	obj_t BGl_z62displacezd2letzd2funzd2nod1305zb0zzintegrate_letzd2funzd2(obj_t
		BgL_envz00_2302, obj_t BgL_nodez00_2303, obj_t BgL_hostsz00_2304)
	{
		{	/* Integrate/let_fun.scm 250 */
			{	/* Tools/trace.sch 53 */
				obj_t BgL_g1129z00_2376;

				BgL_g1129z00_2376 =
					(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nodez00_2303)))->BgL_localsz00);
				{
					obj_t BgL_oldz00_2378;
					obj_t BgL_newz00_2379;

					BgL_oldz00_2378 = BgL_g1129z00_2376;
					BgL_newz00_2379 = BNIL;
				BgL_liipz00_2377:
					if (NULLP(BgL_oldz00_2378))
						{	/* Tools/trace.sch 53 */
							((((BgL_letzd2funzd2_bglt) COBJECT(
											((BgL_letzd2funzd2_bglt) BgL_nodez00_2303)))->
									BgL_localsz00) = ((obj_t) BgL_newz00_2379), BUNSPEC);
							return
								BGl_displacezd2letzd2funzd2nodez12zc0zzintegrate_letzd2funzd2(((
										(BgL_letzd2funzd2_bglt) COBJECT(((BgL_letzd2funzd2_bglt)
												BgL_nodez00_2303)))->BgL_bodyz00), BgL_hostsz00_2304);
						}
					else
						{	/* Tools/trace.sch 53 */
							bool_t BgL_test1894z00_2701;

							{	/* Tools/trace.sch 53 */
								obj_t BgL_arg1597z00_2380;

								{	/* Tools/trace.sch 53 */
									BgL_sfunz00_bglt BgL_oz00_2381;

									BgL_oz00_2381 =
										((BgL_sfunz00_bglt)
										(((BgL_variablez00_bglt) COBJECT(
													((BgL_variablez00_bglt)
														((BgL_localz00_bglt)
															CAR(
																((obj_t) BgL_oldz00_2378))))))->BgL_valuez00));
									{
										BgL_sfunzf2iinfozf2_bglt BgL_auxz00_2708;

										{
											obj_t BgL_auxz00_2709;

											{	/* Tools/trace.sch 53 */
												BgL_objectz00_bglt BgL_tmpz00_2710;

												BgL_tmpz00_2710 = ((BgL_objectz00_bglt) BgL_oz00_2381);
												BgL_auxz00_2709 = BGL_OBJECT_WIDENING(BgL_tmpz00_2710);
											}
											BgL_auxz00_2708 =
												((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_2709);
										}
										BgL_arg1597z00_2380 =
											(((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_2708))->
											BgL_lz00);
									}
								}
								BgL_test1894z00_2701 =
									CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
									(BgL_arg1597z00_2380, BgL_hostsz00_2304));
							}
							if (BgL_test1894z00_2701)
								{	/* Tools/trace.sch 53 */
									obj_t BgL_lz00_2382;

									BgL_lz00_2382 = CAR(((obj_t) BgL_oldz00_2378));
									BGl_bindzd2funz12zc0zzintegrate_letzd2funzd2(BgL_lz00_2382);
									{	/* Tools/trace.sch 53 */
										obj_t BgL_arg1581z00_2383;
										obj_t BgL_arg1587z00_2384;

										BgL_arg1581z00_2383 =
											(((BgL_sfunz00_bglt) COBJECT(
													((BgL_sfunz00_bglt)
														(((BgL_variablez00_bglt) COBJECT(
																	((BgL_variablez00_bglt)
																		((BgL_localz00_bglt) BgL_lz00_2382))))->
															BgL_valuez00))))->BgL_bodyz00);
										BgL_arg1587z00_2384 =
											MAKE_YOUNG_PAIR(BgL_lz00_2382, BgL_hostsz00_2304);
										BGl_displacezd2letzd2funzd2nodez12zc0zzintegrate_letzd2funzd2
											(((BgL_nodez00_bglt) BgL_arg1581z00_2383),
											BgL_arg1587z00_2384);
									}
									{	/* Tools/trace.sch 53 */
										obj_t BgL_arg1590z00_2385;
										obj_t BgL_arg1592z00_2386;

										BgL_arg1590z00_2385 = CDR(((obj_t) BgL_oldz00_2378));
										BgL_arg1592z00_2386 =
											MAKE_YOUNG_PAIR(BgL_lz00_2382, BgL_newz00_2379);
										{
											obj_t BgL_newz00_2732;
											obj_t BgL_oldz00_2731;

											BgL_oldz00_2731 = BgL_arg1590z00_2385;
											BgL_newz00_2732 = BgL_arg1592z00_2386;
											BgL_newz00_2379 = BgL_newz00_2732;
											BgL_oldz00_2378 = BgL_oldz00_2731;
											goto BgL_liipz00_2377;
										}
									}
								}
							else
								{	/* Tools/trace.sch 53 */
									obj_t BgL_arg1593z00_2387;

									BgL_arg1593z00_2387 = CDR(((obj_t) BgL_oldz00_2378));
									{
										obj_t BgL_oldz00_2735;

										BgL_oldz00_2735 = BgL_arg1593z00_2387;
										BgL_oldz00_2378 = BgL_oldz00_2735;
										goto BgL_liipz00_2377;
									}
								}
						}
				}
			}
		}

	}



/* &displace-let-fun-nod1303 */
	obj_t BGl_z62displacezd2letzd2funzd2nod1303zb0zzintegrate_letzd2funzd2(obj_t
		BgL_envz00_2305, obj_t BgL_nodez00_2306, obj_t BgL_hostsz00_2307)
	{
		{	/* Integrate/let_fun.scm 238 */
			{	/* Integrate/let_fun.scm 240 */
				obj_t BgL_g1124z00_2389;

				BgL_g1124z00_2389 =
					(((BgL_switchz00_bglt) COBJECT(
							((BgL_switchz00_bglt) BgL_nodez00_2306)))->BgL_clausesz00);
				{
					obj_t BgL_clausesz00_2391;

					BgL_clausesz00_2391 = BgL_g1124z00_2389;
				BgL_liipz00_2390:
					if (NULLP(BgL_clausesz00_2391))
						{	/* Integrate/let_fun.scm 241 */
							return
								BGl_displacezd2letzd2funzd2nodez12zc0zzintegrate_letzd2funzd2(
								(((BgL_switchz00_bglt) COBJECT(
											((BgL_switchz00_bglt) BgL_nodez00_2306)))->BgL_testz00),
								BgL_hostsz00_2307);
						}
					else
						{	/* Integrate/let_fun.scm 241 */
							{	/* Integrate/let_fun.scm 244 */
								obj_t BgL_arg1545z00_2392;

								{	/* Integrate/let_fun.scm 244 */
									obj_t BgL_pairz00_2393;

									BgL_pairz00_2393 = CAR(((obj_t) BgL_clausesz00_2391));
									BgL_arg1545z00_2392 = CDR(BgL_pairz00_2393);
								}
								BGl_displacezd2letzd2funzd2nodez12zc0zzintegrate_letzd2funzd2(
									((BgL_nodez00_bglt) BgL_arg1545z00_2392), BgL_hostsz00_2307);
							}
							{	/* Integrate/let_fun.scm 245 */
								obj_t BgL_arg1554z00_2394;

								BgL_arg1554z00_2394 = CDR(((obj_t) BgL_clausesz00_2391));
								{
									obj_t BgL_clausesz00_2750;

									BgL_clausesz00_2750 = BgL_arg1554z00_2394;
									BgL_clausesz00_2391 = BgL_clausesz00_2750;
									goto BgL_liipz00_2390;
								}
							}
						}
				}
			}
		}

	}



/* &displace-let-fun-nod1301 */
	obj_t BGl_z62displacezd2letzd2funzd2nod1301zb0zzintegrate_letzd2funzd2(obj_t
		BgL_envz00_2308, obj_t BgL_nodez00_2309, obj_t BgL_hostsz00_2310)
	{
		{	/* Integrate/let_fun.scm 229 */
			BGl_displacezd2letzd2funzd2nodez12zc0zzintegrate_letzd2funzd2(
				(((BgL_failz00_bglt) COBJECT(
							((BgL_failz00_bglt) BgL_nodez00_2309)))->BgL_procz00),
				BgL_hostsz00_2310);
			BGl_displacezd2letzd2funzd2nodez12zc0zzintegrate_letzd2funzd2(((
						(BgL_failz00_bglt) COBJECT(((BgL_failz00_bglt) BgL_nodez00_2309)))->
					BgL_msgz00), BgL_hostsz00_2310);
			return
				BGl_displacezd2letzd2funzd2nodez12zc0zzintegrate_letzd2funzd2(((
						(BgL_failz00_bglt) COBJECT(((BgL_failz00_bglt) BgL_nodez00_2309)))->
					BgL_objz00), BgL_hostsz00_2310);
		}

	}



/* &displace-let-fun-nod1298 */
	obj_t BGl_z62displacezd2letzd2funzd2nod1298zb0zzintegrate_letzd2funzd2(obj_t
		BgL_envz00_2311, obj_t BgL_nodez00_2312, obj_t BgL_hostsz00_2313)
	{
		{	/* Integrate/let_fun.scm 220 */
			BGl_displacezd2letzd2funzd2nodez12zc0zzintegrate_letzd2funzd2(
				(((BgL_conditionalz00_bglt) COBJECT(
							((BgL_conditionalz00_bglt) BgL_nodez00_2312)))->BgL_testz00),
				BgL_hostsz00_2313);
			BGl_displacezd2letzd2funzd2nodez12zc0zzintegrate_letzd2funzd2(((
						(BgL_conditionalz00_bglt) COBJECT(((BgL_conditionalz00_bglt)
								BgL_nodez00_2312)))->BgL_truez00), BgL_hostsz00_2313);
			return
				BGl_displacezd2letzd2funzd2nodez12zc0zzintegrate_letzd2funzd2(((
						(BgL_conditionalz00_bglt) COBJECT(((BgL_conditionalz00_bglt)
								BgL_nodez00_2312)))->BgL_falsez00), BgL_hostsz00_2313);
		}

	}



/* &displace-let-fun-nod1296 */
	obj_t BGl_z62displacezd2letzd2funzd2nod1296zb0zzintegrate_letzd2funzd2(obj_t
		BgL_envz00_2314, obj_t BgL_nodez00_2315, obj_t BgL_hostsz00_2316)
	{
		{	/* Integrate/let_fun.scm 213 */
			return
				BGl_displacezd2letzd2funzd2nodez12zc0zzintegrate_letzd2funzd2(
				(((BgL_setqz00_bglt) COBJECT(
							((BgL_setqz00_bglt) BgL_nodez00_2315)))->BgL_valuez00),
				BgL_hostsz00_2316);
		}

	}



/* &displace-let-fun-nod1294 */
	obj_t BGl_z62displacezd2letzd2funzd2nod1294zb0zzintegrate_letzd2funzd2(obj_t
		BgL_envz00_2317, obj_t BgL_nodez00_2318, obj_t BgL_hostsz00_2319)
	{
		{	/* Integrate/let_fun.scm 206 */
			return
				BGl_displacezd2letzd2funzd2nodez12zc0zzintegrate_letzd2funzd2(
				(((BgL_castz00_bglt) COBJECT(
							((BgL_castz00_bglt) BgL_nodez00_2318)))->BgL_argz00),
				BgL_hostsz00_2319);
		}

	}



/* &displace-let-fun-nod1292 */
	obj_t BGl_z62displacezd2letzd2funzd2nod1292zb0zzintegrate_letzd2funzd2(obj_t
		BgL_envz00_2320, obj_t BgL_nodez00_2321, obj_t BgL_hostsz00_2322)
	{
		{	/* Integrate/let_fun.scm 199 */
			{	/* Integrate/let_fun.scm 200 */
				bool_t BgL_tmpz00_2775;

				{	/* Integrate/let_fun.scm 201 */
					obj_t BgL_g1269z00_2400;

					BgL_g1269z00_2400 =
						(((BgL_externz00_bglt) COBJECT(
								((BgL_externz00_bglt) BgL_nodez00_2321)))->BgL_exprza2za2);
					{
						obj_t BgL_l1267z00_2402;

						BgL_l1267z00_2402 = BgL_g1269z00_2400;
					BgL_zc3z04anonymousza31491ze3z87_2401:
						if (PAIRP(BgL_l1267z00_2402))
							{	/* Integrate/let_fun.scm 201 */
								{	/* Integrate/let_fun.scm 201 */
									obj_t BgL_nodez00_2403;

									BgL_nodez00_2403 = CAR(BgL_l1267z00_2402);
									BGl_displacezd2letzd2funzd2nodez12zc0zzintegrate_letzd2funzd2(
										((BgL_nodez00_bglt) BgL_nodez00_2403), BgL_hostsz00_2322);
								}
								{
									obj_t BgL_l1267z00_2783;

									BgL_l1267z00_2783 = CDR(BgL_l1267z00_2402);
									BgL_l1267z00_2402 = BgL_l1267z00_2783;
									goto BgL_zc3z04anonymousza31491ze3z87_2401;
								}
							}
						else
							{	/* Integrate/let_fun.scm 201 */
								BgL_tmpz00_2775 = ((bool_t) 1);
							}
					}
				}
				return BBOOL(BgL_tmpz00_2775);
			}
		}

	}



/* &displace-let-fun-nod1290 */
	obj_t BGl_z62displacezd2letzd2funzd2nod1290zb0zzintegrate_letzd2funzd2(obj_t
		BgL_envz00_2323, obj_t BgL_nodez00_2324, obj_t BgL_hostsz00_2325)
	{
		{	/* Integrate/let_fun.scm 187 */
			{
				obj_t BgL_astsz00_2406;

				BgL_astsz00_2406 =
					(((BgL_funcallz00_bglt) COBJECT(
							((BgL_funcallz00_bglt) BgL_nodez00_2324)))->BgL_argsz00);
			BgL_liipz00_2405:
				if (NULLP(BgL_astsz00_2406))
					{	/* Integrate/let_fun.scm 190 */
						return
							BGl_displacezd2letzd2funzd2nodez12zc0zzintegrate_letzd2funzd2(
							(((BgL_funcallz00_bglt) COBJECT(
										((BgL_funcallz00_bglt) BgL_nodez00_2324)))->BgL_funz00),
							BgL_hostsz00_2325);
					}
				else
					{	/* Integrate/let_fun.scm 190 */
						{	/* Integrate/let_fun.scm 193 */
							obj_t BgL_arg1489z00_2407;

							BgL_arg1489z00_2407 = CAR(((obj_t) BgL_astsz00_2406));
							BGl_displacezd2letzd2funzd2nodez12zc0zzintegrate_letzd2funzd2(
								((BgL_nodez00_bglt) BgL_arg1489z00_2407), BgL_hostsz00_2325);
						}
						{	/* Integrate/let_fun.scm 194 */
							obj_t BgL_arg1490z00_2408;

							BgL_arg1490z00_2408 = CDR(((obj_t) BgL_astsz00_2406));
							{
								obj_t BgL_astsz00_2797;

								BgL_astsz00_2797 = BgL_arg1490z00_2408;
								BgL_astsz00_2406 = BgL_astsz00_2797;
								goto BgL_liipz00_2405;
							}
						}
					}
			}
		}

	}



/* &displace-let-fun-nod1288 */
	obj_t BGl_z62displacezd2letzd2funzd2nod1288zb0zzintegrate_letzd2funzd2(obj_t
		BgL_envz00_2326, obj_t BgL_nodez00_2327, obj_t BgL_hostsz00_2328)
	{
		{	/* Integrate/let_fun.scm 179 */
			BGl_displacezd2letzd2funzd2nodez12zc0zzintegrate_letzd2funzd2(
				(((BgL_appzd2lyzd2_bglt) COBJECT(
							((BgL_appzd2lyzd2_bglt) BgL_nodez00_2327)))->BgL_funz00),
				BgL_hostsz00_2328);
			return
				BGl_displacezd2letzd2funzd2nodez12zc0zzintegrate_letzd2funzd2(((
						(BgL_appzd2lyzd2_bglt) COBJECT(((BgL_appzd2lyzd2_bglt)
								BgL_nodez00_2327)))->BgL_argz00), BgL_hostsz00_2328);
		}

	}



/* &displace-let-fun-nod1286 */
	obj_t BGl_z62displacezd2letzd2funzd2nod1286zb0zzintegrate_letzd2funzd2(obj_t
		BgL_envz00_2329, obj_t BgL_nodez00_2330, obj_t BgL_hostsz00_2331)
	{
		{	/* Integrate/let_fun.scm 168 */
			{	/* Integrate/let_fun.scm 169 */
				obj_t BgL_g1115z00_2411;

				BgL_g1115z00_2411 =
					(((BgL_appz00_bglt) COBJECT(
							((BgL_appz00_bglt) BgL_nodez00_2330)))->BgL_argsz00);
				{
					obj_t BgL_argsz00_2413;

					BgL_argsz00_2413 = BgL_g1115z00_2411;
				BgL_liipz00_2412:
					if (NULLP(BgL_argsz00_2413))
						{	/* Integrate/let_fun.scm 170 */
							return BUNSPEC;
						}
					else
						{	/* Integrate/let_fun.scm 170 */
							{	/* Integrate/let_fun.scm 173 */
								obj_t BgL_arg1446z00_2414;

								BgL_arg1446z00_2414 = CAR(((obj_t) BgL_argsz00_2413));
								BGl_displacezd2letzd2funzd2nodez12zc0zzintegrate_letzd2funzd2(
									((BgL_nodez00_bglt) BgL_arg1446z00_2414), BgL_hostsz00_2331);
							}
							{	/* Integrate/let_fun.scm 174 */
								obj_t BgL_arg1457z00_2415;

								BgL_arg1457z00_2415 = CDR(((obj_t) BgL_argsz00_2413));
								{
									obj_t BgL_argsz00_2816;

									BgL_argsz00_2816 = BgL_arg1457z00_2415;
									BgL_argsz00_2413 = BgL_argsz00_2816;
									goto BgL_liipz00_2412;
								}
							}
						}
				}
			}
		}

	}



/* &displace-let-fun-nod1284 */
	obj_t BGl_z62displacezd2letzd2funzd2nod1284zb0zzintegrate_letzd2funzd2(obj_t
		BgL_envz00_2332, obj_t BgL_nodez00_2333, obj_t BgL_hostsz00_2334)
	{
		{	/* Integrate/let_fun.scm 159 */
			BGl_displacezd2letzd2funzd2nodez12zc0zzintegrate_letzd2funzd2(
				(((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_nodez00_2333)))->BgL_mutexz00),
				BgL_hostsz00_2334);
			BGl_displacezd2letzd2funzd2nodez12zc0zzintegrate_letzd2funzd2(((
						(BgL_syncz00_bglt) COBJECT(((BgL_syncz00_bglt) BgL_nodez00_2333)))->
					BgL_prelockz00), BgL_hostsz00_2334);
			return
				BGl_displacezd2letzd2funzd2nodez12zc0zzintegrate_letzd2funzd2(((
						(BgL_syncz00_bglt) COBJECT(((BgL_syncz00_bglt) BgL_nodez00_2333)))->
					BgL_bodyz00), BgL_hostsz00_2334);
		}

	}



/* &displace-let-fun-nod1282 */
	obj_t BGl_z62displacezd2letzd2funzd2nod1282zb0zzintegrate_letzd2funzd2(obj_t
		BgL_envz00_2335, obj_t BgL_nodez00_2336, obj_t BgL_hostsz00_2337)
	{
		{	/* Integrate/let_fun.scm 152 */
			{	/* Integrate/let_fun.scm 153 */
				bool_t BgL_tmpz00_2826;

				{	/* Integrate/let_fun.scm 154 */
					obj_t BgL_g1266z00_2418;

					BgL_g1266z00_2418 =
						(((BgL_sequencez00_bglt) COBJECT(
								((BgL_sequencez00_bglt) BgL_nodez00_2336)))->BgL_nodesz00);
					{
						obj_t BgL_l1264z00_2420;

						BgL_l1264z00_2420 = BgL_g1266z00_2418;
					BgL_zc3z04anonymousza31401ze3z87_2419:
						if (PAIRP(BgL_l1264z00_2420))
							{	/* Integrate/let_fun.scm 154 */
								{	/* Integrate/let_fun.scm 154 */
									obj_t BgL_nodez00_2421;

									BgL_nodez00_2421 = CAR(BgL_l1264z00_2420);
									BGl_displacezd2letzd2funzd2nodez12zc0zzintegrate_letzd2funzd2(
										((BgL_nodez00_bglt) BgL_nodez00_2421), BgL_hostsz00_2337);
								}
								{
									obj_t BgL_l1264z00_2834;

									BgL_l1264z00_2834 = CDR(BgL_l1264z00_2420);
									BgL_l1264z00_2420 = BgL_l1264z00_2834;
									goto BgL_zc3z04anonymousza31401ze3z87_2419;
								}
							}
						else
							{	/* Integrate/let_fun.scm 154 */
								BgL_tmpz00_2826 = ((bool_t) 1);
							}
					}
				}
				return BBOOL(BgL_tmpz00_2826);
			}
		}

	}



/* &displace-let-fun-nod1280 */
	obj_t BGl_z62displacezd2letzd2funzd2nod1280zb0zzintegrate_letzd2funzd2(obj_t
		BgL_envz00_2338, obj_t BgL_nodez00_2339, obj_t BgL_hostsz00_2340)
	{
		{	/* Integrate/let_fun.scm 146 */
			{	/* Integrate/let_fun.scm 147 */
				obj_t BgL_arg1400z00_2423;

				BgL_arg1400z00_2423 =
					BGl_shapez00zztools_shapez00(
					((obj_t) ((BgL_closurez00_bglt) BgL_nodez00_2339)));
				return
					BGl_internalzd2errorzd2zztools_errorz00
					(BGl_string1840z00zzintegrate_letzd2funzd2,
					BGl_string1841z00zzintegrate_letzd2funzd2, BgL_arg1400z00_2423);
			}
		}

	}



/* &displace-let-fun-nod1278 */
	obj_t BGl_z62displacezd2letzd2funzd2nod1278zb0zzintegrate_letzd2funzd2(obj_t
		BgL_envz00_2341, obj_t BgL_nodez00_2342, obj_t BgL_hostsz00_2343)
	{
		{	/* Integrate/let_fun.scm 140 */
			return BUNSPEC;
		}

	}



/* &displace-let-fun-nod1276 */
	obj_t BGl_z62displacezd2letzd2funzd2nod1276zb0zzintegrate_letzd2funzd2(obj_t
		BgL_envz00_2344, obj_t BgL_nodez00_2345, obj_t BgL_hostsz00_2346)
	{
		{	/* Integrate/let_fun.scm 134 */
			return BUNSPEC;
		}

	}



/* &displace-let-fun-nod1274 */
	obj_t BGl_z62displacezd2letzd2funzd2nod1274zb0zzintegrate_letzd2funzd2(obj_t
		BgL_envz00_2347, obj_t BgL_nodez00_2348, obj_t BgL_hostsz00_2349)
	{
		{	/* Integrate/let_fun.scm 128 */
			return BUNSPEC;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzintegrate_letzd2funzd2(void)
	{
		{	/* Integrate/let_fun.scm 16 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(54713316L,
				BSTRING_TO_STRING(BGl_string1842z00zzintegrate_letzd2funzd2));
			BGl_modulezd2initializa7ationz75zztools_shapez00(365925558L,
				BSTRING_TO_STRING(BGl_string1842z00zzintegrate_letzd2funzd2));
			BGl_modulezd2initializa7ationz75zztools_errorz00(300504031L,
				BSTRING_TO_STRING(BGl_string1842z00zzintegrate_letzd2funzd2));
			BGl_modulezd2initializa7ationz75zztype_typez00(515343395L,
				BSTRING_TO_STRING(BGl_string1842z00zzintegrate_letzd2funzd2));
			BGl_modulezd2initializa7ationz75zztype_cachez00(489890788L,
				BSTRING_TO_STRING(BGl_string1842z00zzintegrate_letzd2funzd2));
			BGl_modulezd2initializa7ationz75zztype_typeofz00(398780265L,
				BSTRING_TO_STRING(BGl_string1842z00zzintegrate_letzd2funzd2));
			BGl_modulezd2initializa7ationz75zzast_varz00(90839984L,
				BSTRING_TO_STRING(BGl_string1842z00zzintegrate_letzd2funzd2));
			BGl_modulezd2initializa7ationz75zzast_nodez00(469732712L,
				BSTRING_TO_STRING(BGl_string1842z00zzintegrate_letzd2funzd2));
			return
				BGl_modulezd2initializa7ationz75zzintegrate_infoz00(0L,
				BSTRING_TO_STRING(BGl_string1842z00zzintegrate_letzd2funzd2));
		}

	}

#ifdef __cplusplus
}
#endif
