/*===========================================================================*/
/*   (Integrate/loc2glo.scm)                                                 */
/*   Bigloo (4.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Jan 27 07:45:49 AM CET 2025     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.6a/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.6a/lib/bigloo/4.6a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -stdc -indent Integrate/loc2glo.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL_BgL_INTEGRATE_LOCALzd2ze3GLOBALz31_TYPE_DEFINITIONS
#define BGL_BgL_INTEGRATE_LOCALzd2ze3GLOBALz31_TYPE_DEFINITIONS

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_nullz00;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_qualifiedzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_svarz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}              *BgL_svarz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_svarzf2iinfozf2_bgl
	{
		obj_t BgL_fzd2markzd2;
		obj_t BgL_uzd2markzd2;
		bool_t BgL_kapturedzf3zf3;
		bool_t BgL_celledzf3zf3;
		obj_t BgL_xhdlz00;
	}                      *BgL_svarzf2iinfozf2_bglt;

	typedef struct BgL_sfunzf2iinfozf2_bgl
	{
		obj_t BgL_ownerz00;
		obj_t BgL_freez00;
		obj_t BgL_boundz00;
		obj_t BgL_cfromz00;
		obj_t BgL_ctoz00;
		obj_t BgL_kz00;
		obj_t BgL_kza2za2;
		obj_t BgL_uz00;
		obj_t BgL_cnz00;
		obj_t BgL_ctz00;
		obj_t BgL_kontz00;
		bool_t BgL_gzf3zf3;
		bool_t BgL_forcegzf3zf3;
		obj_t BgL_lz00;
		obj_t BgL_ledz00;
		obj_t BgL_istampz00;
		obj_t BgL_globalz00;
		obj_t BgL_kapturedz00;
		obj_t BgL_tailzd2coercionzd2;
		bool_t BgL_xhdlzf3zf3;
		obj_t BgL_xhdlsz00;
	}                      *BgL_sfunzf2iinfozf2_bglt;


#endif													// BGL_BgL_INTEGRATE_LOCALzd2ze3GLOBALz31_TYPE_DEFINITIONS
#endif													// BGL_MODULE_TYPE_DEFINITIONS

	extern BgL_globalz00_bglt
		BGl_defzd2globalzd2sfunzd2nozd2warningz12z12zzast_glozd2defzd2(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_localzd2ze3globalz31zzintegrate_localzd2ze3globalz31(BgL_localz00_bglt);
	static obj_t BGl_requirezd2initializa7ationz75zzintegrate_localzd2ze3globalz31
		= BUNSPEC;
	extern obj_t BGl_zb2zd2arityz60zztools_argsz00(obj_t, obj_t);
	static obj_t BGl_symbolzd2quotezd2zzintegrate_localzd2ze3globalz31 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_thezd2globalzd2zzintegrate_localzd2ze3globalz31(BgL_localz00_bglt);
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	extern obj_t BGl_sfunz00zzast_varz00;
	static obj_t BGl_toplevelzd2initzd2zzintegrate_localzd2ze3globalz31(void);
	static obj_t BGl_z62thezd2globalzb0zzintegrate_localzd2ze3globalz31(obj_t,
		obj_t);
	BGL_IMPORT obj_t bgl_reverse(obj_t);
	static obj_t BGl_genericzd2initzd2zzintegrate_localzd2ze3globalz31(void);
	BGL_IMPORT obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
	static obj_t BGl_objectzd2initzd2zzintegrate_localzd2ze3globalz31(void);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	static obj_t
		BGl_localzd2idzd2ze3globalzd2idz31zzintegrate_localzd2ze3globalz31
		(BgL_localz00_bglt);
	extern BgL_localz00_bglt BGl_clonezd2localzd2zzast_localz00(BgL_localz00_bglt,
		BgL_valuez00_bglt);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT obj_t bstring_to_symbol(obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_appendzd221011zd2zzintegrate_localzd2ze3globalz31(obj_t,
		obj_t);
	static obj_t BGl_methodzd2initzd2zzintegrate_localzd2ze3globalz31(void);
	extern obj_t
		BGl_integratezd2globaliza7ez12z67zzintegrate_nodez00(BgL_nodez00_bglt,
		BgL_variablez00_bglt, obj_t);
	BGL_IMPORT obj_t string_append(obj_t, obj_t);
	extern obj_t BGl_svarz00zzast_varz00;
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	extern obj_t BGl_za2moduleza2z00zzmodule_modulez00;
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzintegrate_localzd2ze3globalz31(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzintegrate_nodez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzintegrate_infoz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_localz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_glozd2defzd2(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_argsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	extern obj_t BGl_svarzf2Iinfozf2zzintegrate_infoz00;
	static obj_t
		BGl_z62localzd2ze3globalz53zzintegrate_localzd2ze3globalz31(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(long,
		long);
	extern bool_t
		BGl_integratezd2celledzf3z21zzintegrate_nodez00(BgL_localz00_bglt);
	static obj_t BGl_cnstzd2initzd2zzintegrate_localzd2ze3globalz31(void);
	static obj_t
		BGl_libraryzd2moduleszd2initz00zzintegrate_localzd2ze3globalz31(void);
	BGL_IMPORT long bgl_list_length(obj_t);
	static obj_t
		BGl_importedzd2moduleszd2initz00zzintegrate_localzd2ze3globalz31(void);
	static obj_t BGl_gczd2rootszd2initz00zzintegrate_localzd2ze3globalz31(void);
	extern obj_t BGl_findzd2globalzf2modulez20zzast_envz00(obj_t, obj_t);
	extern obj_t BGl_globalz00zzast_varz00;
	static obj_t __cnst[3];


	   
		 
		DEFINE_STRING(BGl_string1629z00zzintegrate_localzd2ze3globalz31,
		BgL_bgl_string1629za700za7za7i1634za7, "'", 1);
	      DEFINE_STRING(BGl_string1630z00zzintegrate_localzd2ze3globalz31,
		BgL_bgl_string1630za700za7za7i1635za7, "~", 1);
	      DEFINE_STRING(BGl_string1631z00zzintegrate_localzd2ze3globalz31,
		BgL_bgl_string1631za700za7za7i1636za7, "integrate_local->global", 23);
	      DEFINE_STRING(BGl_string1632z00zzintegrate_localzd2ze3globalz31,
		BgL_bgl_string1632za700za7za7i1637za7, "now a-integrated-body sfun ", 27);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzd2ze3globalzd2envze3zzintegrate_localzd2ze3globalz31,
		BgL_bgl_za762localza7d2za7e3gl1638za7,
		BGl_z62localzd2ze3globalz53zzintegrate_localzd2ze3globalz31, 0L, BUNSPEC,
		1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_thezd2globalzd2envz00zzintegrate_localzd2ze3globalz31,
		BgL_bgl_za762theza7d2globalza71639za7,
		BGl_z62thezd2globalzb0zzintegrate_localzd2ze3globalz31, 0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void
				*)
			(&BGl_requirezd2initializa7ationz75zzintegrate_localzd2ze3globalz31));
		     ADD_ROOT((void
				*) (&BGl_symbolzd2quotezd2zzintegrate_localzd2ze3globalz31));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzintegrate_localzd2ze3globalz31(long
		BgL_checksumz00_2077, char *BgL_fromz00_2078)
	{
		{
			if (CBOOL
				(BGl_requirezd2initializa7ationz75zzintegrate_localzd2ze3globalz31))
				{
					BGl_requirezd2initializa7ationz75zzintegrate_localzd2ze3globalz31 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzintegrate_localzd2ze3globalz31();
					BGl_libraryzd2moduleszd2initz00zzintegrate_localzd2ze3globalz31();
					BGl_cnstzd2initzd2zzintegrate_localzd2ze3globalz31();
					BGl_importedzd2moduleszd2initz00zzintegrate_localzd2ze3globalz31();
					return BGl_toplevelzd2initzd2zzintegrate_localzd2ze3globalz31();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzintegrate_localzd2ze3globalz31(void)
	{
		{	/* Integrate/loc2glo.scm 15 */
			BGl_modulezd2initializa7ationz75zz__objectz00(0L,
				"integrate_local->global");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(0L,
				"integrate_local->global");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(0L,
				"integrate_local->global");
			BGl_modulezd2initializa7ationz75zz__readerz00(0L,
				"integrate_local->global");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(0L,
				"integrate_local->global");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(0L,
				"integrate_local->global");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(0L,
				"integrate_local->global");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(0L,
				"integrate_local->global");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(0L,
				"integrate_local->global");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzintegrate_localzd2ze3globalz31(void)
	{
		{	/* Integrate/loc2glo.scm 15 */
			{	/* Integrate/loc2glo.scm 15 */
				obj_t BgL_cportz00_2066;

				{	/* Integrate/loc2glo.scm 15 */
					obj_t BgL_stringz00_2073;

					BgL_stringz00_2073 =
						BGl_string1632z00zzintegrate_localzd2ze3globalz31;
					{	/* Integrate/loc2glo.scm 15 */
						obj_t BgL_startz00_2074;

						BgL_startz00_2074 = BINT(0L);
						{	/* Integrate/loc2glo.scm 15 */
							obj_t BgL_endz00_2075;

							BgL_endz00_2075 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_2073)));
							{	/* Integrate/loc2glo.scm 15 */

								BgL_cportz00_2066 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_2073, BgL_startz00_2074, BgL_endz00_2075);
				}}}}
				{
					long BgL_iz00_2067;

					BgL_iz00_2067 = 2L;
				BgL_loopz00_2068:
					if ((BgL_iz00_2067 == (-1L)))
						{	/* Integrate/loc2glo.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Integrate/loc2glo.scm 15 */
							{	/* Integrate/loc2glo.scm 15 */
								obj_t BgL_arg1633z00_2069;

								{	/* Integrate/loc2glo.scm 15 */

									{	/* Integrate/loc2glo.scm 15 */
										obj_t BgL_locationz00_2071;

										BgL_locationz00_2071 = BBOOL(((bool_t) 0));
										{	/* Integrate/loc2glo.scm 15 */

											BgL_arg1633z00_2069 =
												BGl_readz00zz__readerz00(BgL_cportz00_2066,
												BgL_locationz00_2071);
										}
									}
								}
								{	/* Integrate/loc2glo.scm 15 */
									int BgL_tmpz00_2105;

									BgL_tmpz00_2105 = (int) (BgL_iz00_2067);
									CNST_TABLE_SET(BgL_tmpz00_2105, BgL_arg1633z00_2069);
							}}
							{	/* Integrate/loc2glo.scm 15 */
								int BgL_auxz00_2072;

								BgL_auxz00_2072 = (int) ((BgL_iz00_2067 - 1L));
								{
									long BgL_iz00_2110;

									BgL_iz00_2110 = (long) (BgL_auxz00_2072);
									BgL_iz00_2067 = BgL_iz00_2110;
									goto BgL_loopz00_2068;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzintegrate_localzd2ze3globalz31(void)
	{
		{	/* Integrate/loc2glo.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzintegrate_localzd2ze3globalz31(void)
	{
		{	/* Integrate/loc2glo.scm 15 */
			return (BGl_symbolzd2quotezd2zzintegrate_localzd2ze3globalz31 =
				bstring_to_symbol(BGl_string1629z00zzintegrate_localzd2ze3globalz31),
				BUNSPEC);
		}

	}



/* append-21011 */
	obj_t BGl_appendzd221011zd2zzintegrate_localzd2ze3globalz31(obj_t BgL_l1z00_1,
		obj_t BgL_l2z00_2)
	{
		{
			if (NULLP(BgL_l1z00_1))
				{
					return BgL_l2z00_2;
				}
			else
				{
					obj_t BgL_headz00_1576;

					BgL_headz00_1576 = MAKE_YOUNG_PAIR(BNIL, BgL_l2z00_2);
					{
						obj_t BgL_prevz00_1577;
						obj_t BgL_tailz00_1578;

						BgL_prevz00_1577 = BgL_headz00_1576;
						BgL_tailz00_1578 = BgL_l1z00_1;
					BgL_loopz00_1579:
						if (PAIRP(BgL_tailz00_1578))
							{
								obj_t BgL_newzd2prevzd2_1581;

								BgL_newzd2prevzd2_1581 =
									MAKE_YOUNG_PAIR(CAR(BgL_tailz00_1578), BgL_l2z00_2);
								SET_CDR(BgL_prevz00_1577, BgL_newzd2prevzd2_1581);
								{
									obj_t BgL_tailz00_2123;
									obj_t BgL_prevz00_2122;

									BgL_prevz00_2122 = BgL_newzd2prevzd2_1581;
									BgL_tailz00_2123 = CDR(BgL_tailz00_1578);
									BgL_tailz00_1578 = BgL_tailz00_2123;
									BgL_prevz00_1577 = BgL_prevz00_2122;
									goto BgL_loopz00_1579;
								}
							}
						else
							{
								BNIL;
							}
						return CDR(BgL_headz00_1576);
					}
				}
		}

	}



/* local->global */
	BGL_EXPORTED_DEF obj_t
		BGl_localzd2ze3globalz31zzintegrate_localzd2ze3globalz31(BgL_localz00_bglt
		BgL_localz00_3)
	{
		{	/* Integrate/loc2glo.scm 35 */
			{	/* Integrate/loc2glo.scm 38 */
				obj_t BgL_globalz00_1584;

				BgL_globalz00_1584 =
					BGl_thezd2globalzd2zzintegrate_localzd2ze3globalz31(BgL_localz00_3);
				{	/* Integrate/loc2glo.scm 38 */
					obj_t BgL_kapturedz00_1585;

					{	/* Integrate/loc2glo.scm 39 */
						BgL_sfunz00_bglt BgL_oz00_1883;

						BgL_oz00_1883 =
							((BgL_sfunz00_bglt)
							(((BgL_variablez00_bglt) COBJECT(
										((BgL_variablez00_bglt) BgL_localz00_3)))->BgL_valuez00));
						{
							BgL_sfunzf2iinfozf2_bglt BgL_auxz00_2130;

							{
								obj_t BgL_auxz00_2131;

								{	/* Integrate/loc2glo.scm 39 */
									BgL_objectz00_bglt BgL_tmpz00_2132;

									BgL_tmpz00_2132 = ((BgL_objectz00_bglt) BgL_oz00_1883);
									BgL_auxz00_2131 = BGL_OBJECT_WIDENING(BgL_tmpz00_2132);
								}
								BgL_auxz00_2130 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_2131);
							}
							BgL_kapturedz00_1585 =
								(((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_2130))->
								BgL_kapturedz00);
						}
					}
					{	/* Integrate/loc2glo.scm 39 */
						obj_t BgL_addzd2argszd2_1586;

						if (NULLP(BgL_kapturedz00_1585))
							{	/* Integrate/loc2glo.scm 40 */
								BgL_addzd2argszd2_1586 = BNIL;
							}
						else
							{	/* Integrate/loc2glo.scm 40 */
								obj_t BgL_head1267z00_1645;

								BgL_head1267z00_1645 = MAKE_YOUNG_PAIR(BNIL, BNIL);
								{
									obj_t BgL_l1265z00_1647;
									obj_t BgL_tail1268z00_1648;

									BgL_l1265z00_1647 = BgL_kapturedz00_1585;
									BgL_tail1268z00_1648 = BgL_head1267z00_1645;
								BgL_zc3z04anonymousza31317ze3z87_1649:
									if (NULLP(BgL_l1265z00_1647))
										{	/* Integrate/loc2glo.scm 40 */
											BgL_addzd2argszd2_1586 = CDR(BgL_head1267z00_1645);
										}
									else
										{	/* Integrate/loc2glo.scm 40 */
											obj_t BgL_newtail1269z00_1651;

											{	/* Integrate/loc2glo.scm 40 */
												BgL_localz00_bglt BgL_arg1320z00_1653;

												{	/* Integrate/loc2glo.scm 40 */
													obj_t BgL_oldz00_1654;

													BgL_oldz00_1654 = CAR(((obj_t) BgL_l1265z00_1647));
													{	/* Integrate/loc2glo.scm 42 */
														BgL_svarz00_bglt BgL_arg1321z00_1655;

														{	/* Integrate/loc2glo.scm 42 */
															BgL_svarz00_bglt BgL_duplicated1112z00_1656;
															BgL_svarz00_bglt BgL_new1110z00_1657;

															BgL_duplicated1112z00_1656 =
																((BgL_svarz00_bglt)
																(((BgL_variablez00_bglt) COBJECT(
																			((BgL_variablez00_bglt)
																				((BgL_localz00_bglt)
																					BgL_oldz00_1654))))->BgL_valuez00));
															{	/* Integrate/loc2glo.scm 42 */
																BgL_svarz00_bglt BgL_tmp1119z00_1663;
																BgL_svarzf2iinfozf2_bglt BgL_wide1120z00_1664;

																{
																	BgL_svarz00_bglt BgL_auxz00_2149;

																	{	/* Integrate/loc2glo.scm 42 */
																		BgL_svarz00_bglt BgL_new1118z00_1666;

																		BgL_new1118z00_1666 =
																			((BgL_svarz00_bglt)
																			BOBJECT(GC_MALLOC(sizeof(struct
																						BgL_svarz00_bgl))));
																		{	/* Integrate/loc2glo.scm 42 */
																			long BgL_arg1326z00_1667;

																			BgL_arg1326z00_1667 =
																				BGL_CLASS_NUM(BGl_svarz00zzast_varz00);
																			BGL_OBJECT_CLASS_NUM_SET(
																				((BgL_objectz00_bglt)
																					BgL_new1118z00_1666),
																				BgL_arg1326z00_1667);
																		}
																		{	/* Integrate/loc2glo.scm 42 */
																			BgL_objectz00_bglt BgL_tmpz00_2154;

																			BgL_tmpz00_2154 =
																				((BgL_objectz00_bglt)
																				BgL_new1118z00_1666);
																			BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2154,
																				BFALSE);
																		}
																		((BgL_objectz00_bglt) BgL_new1118z00_1666);
																		BgL_auxz00_2149 = BgL_new1118z00_1666;
																	}
																	BgL_tmp1119z00_1663 =
																		((BgL_svarz00_bglt) BgL_auxz00_2149);
																}
																BgL_wide1120z00_1664 =
																	((BgL_svarzf2iinfozf2_bglt)
																	BOBJECT(GC_MALLOC(sizeof(struct
																				BgL_svarzf2iinfozf2_bgl))));
																{	/* Integrate/loc2glo.scm 42 */
																	obj_t BgL_auxz00_2162;
																	BgL_objectz00_bglt BgL_tmpz00_2160;

																	BgL_auxz00_2162 =
																		((obj_t) BgL_wide1120z00_1664);
																	BgL_tmpz00_2160 =
																		((BgL_objectz00_bglt) BgL_tmp1119z00_1663);
																	BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2160,
																		BgL_auxz00_2162);
																}
																((BgL_objectz00_bglt) BgL_tmp1119z00_1663);
																{	/* Integrate/loc2glo.scm 42 */
																	long BgL_arg1322z00_1665;

																	BgL_arg1322z00_1665 =
																		BGL_CLASS_NUM
																		(BGl_svarzf2Iinfozf2zzintegrate_infoz00);
																	BGL_OBJECT_CLASS_NUM_SET(((BgL_objectz00_bglt)
																			BgL_tmp1119z00_1663),
																		BgL_arg1322z00_1665);
																}
																BgL_new1110z00_1657 =
																	((BgL_svarz00_bglt) BgL_tmp1119z00_1663);
															}
															((((BgL_svarz00_bglt) COBJECT(
																			((BgL_svarz00_bglt)
																				BgL_new1110z00_1657)))->BgL_locz00) =
																((obj_t) (((BgL_svarz00_bglt)
																			COBJECT(BgL_duplicated1112z00_1656))->
																		BgL_locz00)), BUNSPEC);
															{
																obj_t BgL_auxz00_2179;
																BgL_svarzf2iinfozf2_bglt BgL_auxz00_2173;

																{
																	BgL_svarzf2iinfozf2_bglt BgL_auxz00_2180;

																	{
																		obj_t BgL_auxz00_2181;

																		{	/* Integrate/loc2glo.scm 42 */
																			BgL_objectz00_bglt BgL_tmpz00_2182;

																			BgL_tmpz00_2182 =
																				((BgL_objectz00_bglt)
																				((BgL_svarz00_bglt)
																					BgL_duplicated1112z00_1656));
																			BgL_auxz00_2181 =
																				BGL_OBJECT_WIDENING(BgL_tmpz00_2182);
																		}
																		BgL_auxz00_2180 =
																			((BgL_svarzf2iinfozf2_bglt)
																			BgL_auxz00_2181);
																	}
																	BgL_auxz00_2179 =
																		(((BgL_svarzf2iinfozf2_bglt)
																			COBJECT(BgL_auxz00_2180))->
																		BgL_fzd2markzd2);
																}
																{
																	obj_t BgL_auxz00_2174;

																	{	/* Integrate/loc2glo.scm 42 */
																		BgL_objectz00_bglt BgL_tmpz00_2175;

																		BgL_tmpz00_2175 =
																			((BgL_objectz00_bglt)
																			BgL_new1110z00_1657);
																		BgL_auxz00_2174 =
																			BGL_OBJECT_WIDENING(BgL_tmpz00_2175);
																	}
																	BgL_auxz00_2173 =
																		((BgL_svarzf2iinfozf2_bglt)
																		BgL_auxz00_2174);
																}
																((((BgL_svarzf2iinfozf2_bglt)
																			COBJECT(BgL_auxz00_2173))->
																		BgL_fzd2markzd2) =
																	((obj_t) BgL_auxz00_2179), BUNSPEC);
															}
															{
																obj_t BgL_auxz00_2195;
																BgL_svarzf2iinfozf2_bglt BgL_auxz00_2189;

																{
																	BgL_svarzf2iinfozf2_bglt BgL_auxz00_2196;

																	{
																		obj_t BgL_auxz00_2197;

																		{	/* Integrate/loc2glo.scm 42 */
																			BgL_objectz00_bglt BgL_tmpz00_2198;

																			BgL_tmpz00_2198 =
																				((BgL_objectz00_bglt)
																				((BgL_svarz00_bglt)
																					BgL_duplicated1112z00_1656));
																			BgL_auxz00_2197 =
																				BGL_OBJECT_WIDENING(BgL_tmpz00_2198);
																		}
																		BgL_auxz00_2196 =
																			((BgL_svarzf2iinfozf2_bglt)
																			BgL_auxz00_2197);
																	}
																	BgL_auxz00_2195 =
																		(((BgL_svarzf2iinfozf2_bglt)
																			COBJECT(BgL_auxz00_2196))->
																		BgL_uzd2markzd2);
																}
																{
																	obj_t BgL_auxz00_2190;

																	{	/* Integrate/loc2glo.scm 42 */
																		BgL_objectz00_bglt BgL_tmpz00_2191;

																		BgL_tmpz00_2191 =
																			((BgL_objectz00_bglt)
																			BgL_new1110z00_1657);
																		BgL_auxz00_2190 =
																			BGL_OBJECT_WIDENING(BgL_tmpz00_2191);
																	}
																	BgL_auxz00_2189 =
																		((BgL_svarzf2iinfozf2_bglt)
																		BgL_auxz00_2190);
																}
																((((BgL_svarzf2iinfozf2_bglt)
																			COBJECT(BgL_auxz00_2189))->
																		BgL_uzd2markzd2) =
																	((obj_t) BgL_auxz00_2195), BUNSPEC);
															}
															{
																bool_t BgL_auxz00_2211;
																BgL_svarzf2iinfozf2_bglt BgL_auxz00_2205;

																{
																	BgL_svarzf2iinfozf2_bglt BgL_auxz00_2212;

																	{
																		obj_t BgL_auxz00_2213;

																		{	/* Integrate/loc2glo.scm 42 */
																			BgL_objectz00_bglt BgL_tmpz00_2214;

																			BgL_tmpz00_2214 =
																				((BgL_objectz00_bglt)
																				((BgL_svarz00_bglt)
																					BgL_duplicated1112z00_1656));
																			BgL_auxz00_2213 =
																				BGL_OBJECT_WIDENING(BgL_tmpz00_2214);
																		}
																		BgL_auxz00_2212 =
																			((BgL_svarzf2iinfozf2_bglt)
																			BgL_auxz00_2213);
																	}
																	BgL_auxz00_2211 =
																		(((BgL_svarzf2iinfozf2_bglt)
																			COBJECT(BgL_auxz00_2212))->
																		BgL_kapturedzf3zf3);
																}
																{
																	obj_t BgL_auxz00_2206;

																	{	/* Integrate/loc2glo.scm 42 */
																		BgL_objectz00_bglt BgL_tmpz00_2207;

																		BgL_tmpz00_2207 =
																			((BgL_objectz00_bglt)
																			BgL_new1110z00_1657);
																		BgL_auxz00_2206 =
																			BGL_OBJECT_WIDENING(BgL_tmpz00_2207);
																	}
																	BgL_auxz00_2205 =
																		((BgL_svarzf2iinfozf2_bglt)
																		BgL_auxz00_2206);
																}
																((((BgL_svarzf2iinfozf2_bglt)
																			COBJECT(BgL_auxz00_2205))->
																		BgL_kapturedzf3zf3) =
																	((bool_t) BgL_auxz00_2211), BUNSPEC);
															}
															{
																bool_t BgL_auxz00_2227;
																BgL_svarzf2iinfozf2_bglt BgL_auxz00_2221;

																{
																	BgL_svarzf2iinfozf2_bglt BgL_auxz00_2228;

																	{
																		obj_t BgL_auxz00_2229;

																		{	/* Integrate/loc2glo.scm 42 */
																			BgL_objectz00_bglt BgL_tmpz00_2230;

																			BgL_tmpz00_2230 =
																				((BgL_objectz00_bglt)
																				((BgL_svarz00_bglt)
																					BgL_duplicated1112z00_1656));
																			BgL_auxz00_2229 =
																				BGL_OBJECT_WIDENING(BgL_tmpz00_2230);
																		}
																		BgL_auxz00_2228 =
																			((BgL_svarzf2iinfozf2_bglt)
																			BgL_auxz00_2229);
																	}
																	BgL_auxz00_2227 =
																		(((BgL_svarzf2iinfozf2_bglt)
																			COBJECT(BgL_auxz00_2228))->
																		BgL_celledzf3zf3);
																}
																{
																	obj_t BgL_auxz00_2222;

																	{	/* Integrate/loc2glo.scm 42 */
																		BgL_objectz00_bglt BgL_tmpz00_2223;

																		BgL_tmpz00_2223 =
																			((BgL_objectz00_bglt)
																			BgL_new1110z00_1657);
																		BgL_auxz00_2222 =
																			BGL_OBJECT_WIDENING(BgL_tmpz00_2223);
																	}
																	BgL_auxz00_2221 =
																		((BgL_svarzf2iinfozf2_bglt)
																		BgL_auxz00_2222);
																}
																((((BgL_svarzf2iinfozf2_bglt)
																			COBJECT(BgL_auxz00_2221))->
																		BgL_celledzf3zf3) =
																	((bool_t) BgL_auxz00_2227), BUNSPEC);
															}
															{
																obj_t BgL_auxz00_2243;
																BgL_svarzf2iinfozf2_bglt BgL_auxz00_2237;

																{
																	BgL_svarzf2iinfozf2_bglt BgL_auxz00_2244;

																	{
																		obj_t BgL_auxz00_2245;

																		{	/* Integrate/loc2glo.scm 42 */
																			BgL_objectz00_bglt BgL_tmpz00_2246;

																			BgL_tmpz00_2246 =
																				((BgL_objectz00_bglt)
																				((BgL_svarz00_bglt)
																					BgL_duplicated1112z00_1656));
																			BgL_auxz00_2245 =
																				BGL_OBJECT_WIDENING(BgL_tmpz00_2246);
																		}
																		BgL_auxz00_2244 =
																			((BgL_svarzf2iinfozf2_bglt)
																			BgL_auxz00_2245);
																	}
																	BgL_auxz00_2243 =
																		(((BgL_svarzf2iinfozf2_bglt)
																			COBJECT(BgL_auxz00_2244))->BgL_xhdlz00);
																}
																{
																	obj_t BgL_auxz00_2238;

																	{	/* Integrate/loc2glo.scm 42 */
																		BgL_objectz00_bglt BgL_tmpz00_2239;

																		BgL_tmpz00_2239 =
																			((BgL_objectz00_bglt)
																			BgL_new1110z00_1657);
																		BgL_auxz00_2238 =
																			BGL_OBJECT_WIDENING(BgL_tmpz00_2239);
																	}
																	BgL_auxz00_2237 =
																		((BgL_svarzf2iinfozf2_bglt)
																		BgL_auxz00_2238);
																}
																((((BgL_svarzf2iinfozf2_bglt)
																			COBJECT(BgL_auxz00_2237))->BgL_xhdlz00) =
																	((obj_t) BgL_auxz00_2243), BUNSPEC);
															}
															BgL_arg1321z00_1655 = BgL_new1110z00_1657;
														}
														BgL_arg1320z00_1653 =
															BGl_clonezd2localzd2zzast_localz00(
															((BgL_localz00_bglt) BgL_oldz00_1654),
															((BgL_valuez00_bglt) BgL_arg1321z00_1655));
												}}
												BgL_newtail1269z00_1651 =
													MAKE_YOUNG_PAIR(((obj_t) BgL_arg1320z00_1653), BNIL);
											}
											SET_CDR(BgL_tail1268z00_1648, BgL_newtail1269z00_1651);
											{	/* Integrate/loc2glo.scm 40 */
												obj_t BgL_arg1319z00_1652;

												BgL_arg1319z00_1652 = CDR(((obj_t) BgL_l1265z00_1647));
												{
													obj_t BgL_tail1268z00_2262;
													obj_t BgL_l1265z00_2261;

													BgL_l1265z00_2261 = BgL_arg1319z00_1652;
													BgL_tail1268z00_2262 = BgL_newtail1269z00_1651;
													BgL_tail1268z00_1648 = BgL_tail1268z00_2262;
													BgL_l1265z00_1647 = BgL_l1265z00_2261;
													goto BgL_zc3z04anonymousza31317ze3z87_1649;
												}
											}
										}
								}
							}
						{	/* Integrate/loc2glo.scm 40 */
							BgL_valuez00_bglt BgL_oldzd2funzd2_1587;

							BgL_oldzd2funzd2_1587 =
								(((BgL_variablez00_bglt) COBJECT(
										((BgL_variablez00_bglt) BgL_localz00_3)))->BgL_valuez00);
							{	/* Integrate/loc2glo.scm 45 */
								BgL_sfunz00_bglt BgL_newzd2funzd2_1588;

								{	/* Integrate/loc2glo.scm 46 */
									BgL_sfunz00_bglt BgL_new1121z00_1625;

									{	/* Integrate/loc2glo.scm 47 */
										BgL_sfunz00_bglt BgL_new1135z00_1641;

										BgL_new1135z00_1641 =
											((BgL_sfunz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
														BgL_sfunz00_bgl))));
										{	/* Integrate/loc2glo.scm 47 */
											long BgL_arg1315z00_1642;

											BgL_arg1315z00_1642 =
												BGL_CLASS_NUM(BGl_sfunz00zzast_varz00);
											BGL_OBJECT_CLASS_NUM_SET(
												((BgL_objectz00_bglt) BgL_new1135z00_1641),
												BgL_arg1315z00_1642);
										}
										{	/* Integrate/loc2glo.scm 47 */
											BgL_objectz00_bglt BgL_tmpz00_2269;

											BgL_tmpz00_2269 =
												((BgL_objectz00_bglt) BgL_new1135z00_1641);
											BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2269, BFALSE);
										}
										((BgL_objectz00_bglt) BgL_new1135z00_1641);
										BgL_new1121z00_1625 = BgL_new1135z00_1641;
									}
									{
										long BgL_auxz00_2273;

										{	/* Integrate/loc2glo.scm 47 */
											long BgL_arg1310z00_1626;
											long BgL_arg1311z00_1627;

											BgL_arg1310z00_1626 =
												(((BgL_funz00_bglt) COBJECT(
														((BgL_funz00_bglt)
															((BgL_sfunz00_bglt) BgL_oldzd2funzd2_1587))))->
												BgL_arityz00);
											BgL_arg1311z00_1627 =
												bgl_list_length(BgL_addzd2argszd2_1586);
											BgL_auxz00_2273 =
												(long)
												CINT(BGl_zb2zd2arityz60zztools_argsz00(BINT
													(BgL_arg1310z00_1626), BINT(BgL_arg1311z00_1627)));
										}
										((((BgL_funz00_bglt) COBJECT(
														((BgL_funz00_bglt) BgL_new1121z00_1625)))->
												BgL_arityz00) = ((long) BgL_auxz00_2273), BUNSPEC);
									}
									((((BgL_funz00_bglt) COBJECT(
													((BgL_funz00_bglt) BgL_new1121z00_1625)))->
											BgL_sidezd2effectzd2) =
										((obj_t) (((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
															BgL_oldzd2funzd2_1587)))->BgL_sidezd2effectzd2)),
										BUNSPEC);
									((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
														BgL_new1121z00_1625)))->BgL_predicatezd2ofzd2) =
										((obj_t) (((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
															BgL_oldzd2funzd2_1587)))->BgL_predicatezd2ofzd2)),
										BUNSPEC);
									((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
														BgL_new1121z00_1625)))->BgL_stackzd2allocatorzd2) =
										((obj_t) (((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
															BgL_oldzd2funzd2_1587)))->
												BgL_stackzd2allocatorzd2)), BUNSPEC);
									((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
														BgL_new1121z00_1625)))->BgL_topzf3zf3) =
										((bool_t) (((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
															BgL_oldzd2funzd2_1587)))->BgL_topzf3zf3)),
										BUNSPEC);
									((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
														BgL_new1121z00_1625)))->BgL_thezd2closurezd2) =
										((obj_t) (((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
															BgL_oldzd2funzd2_1587)))->BgL_thezd2closurezd2)),
										BUNSPEC);
									((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
														BgL_new1121z00_1625)))->BgL_effectz00) =
										((obj_t) (((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
															BgL_oldzd2funzd2_1587)))->BgL_effectz00)),
										BUNSPEC);
									((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
														BgL_new1121z00_1625)))->BgL_failsafez00) =
										((obj_t) (((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
															BgL_oldzd2funzd2_1587)))->BgL_failsafez00)),
										BUNSPEC);
									((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
														BgL_new1121z00_1625)))->BgL_argszd2noescapezd2) =
										((obj_t) (((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
															BgL_oldzd2funzd2_1587)))->
												BgL_argszd2noescapezd2)), BUNSPEC);
									((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
														BgL_new1121z00_1625)))->BgL_argszd2retescapezd2) =
										((obj_t) (((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
															BgL_oldzd2funzd2_1587)))->
												BgL_argszd2retescapezd2)), BUNSPEC);
									((((BgL_sfunz00_bglt) COBJECT(BgL_new1121z00_1625))->
											BgL_propertyz00) =
										((obj_t) (((BgL_sfunz00_bglt)
													COBJECT(((BgL_sfunz00_bglt) ((BgL_funz00_bglt)
																BgL_oldzd2funzd2_1587))))->BgL_propertyz00)),
										BUNSPEC);
									{
										obj_t BgL_auxz00_2324;

										{	/* Integrate/loc2glo.scm 48 */
											obj_t BgL_arg1313z00_1629;
											obj_t BgL_arg1314z00_1630;

											BgL_arg1313z00_1629 = bgl_reverse(BgL_addzd2argszd2_1586);
											BgL_arg1314z00_1630 =
												(((BgL_sfunz00_bglt) COBJECT(
														((BgL_sfunz00_bglt) BgL_oldzd2funzd2_1587)))->
												BgL_argsz00);
											BgL_auxz00_2324 =
												BGl_appendzd221011zd2zzintegrate_localzd2ze3globalz31
												(BgL_arg1313z00_1629, BgL_arg1314z00_1630);
										}
										((((BgL_sfunz00_bglt) COBJECT(BgL_new1121z00_1625))->
												BgL_argsz00) = ((obj_t) BgL_auxz00_2324), BUNSPEC);
									}
									((((BgL_sfunz00_bglt) COBJECT(BgL_new1121z00_1625))->
											BgL_argszd2namezd2) =
										((obj_t) (((BgL_sfunz00_bglt)
													COBJECT(((BgL_sfunz00_bglt) ((BgL_funz00_bglt)
																BgL_oldzd2funzd2_1587))))->BgL_argszd2namezd2)),
										BUNSPEC);
									((((BgL_sfunz00_bglt) COBJECT(BgL_new1121z00_1625))->
											BgL_bodyz00) =
										((obj_t) (((BgL_sfunz00_bglt)
													COBJECT(((BgL_sfunz00_bglt) ((BgL_funz00_bglt)
																BgL_oldzd2funzd2_1587))))->BgL_bodyz00)),
										BUNSPEC);
									((((BgL_sfunz00_bglt) COBJECT(BgL_new1121z00_1625))->
											BgL_classz00) =
										((obj_t) (((BgL_sfunz00_bglt)
													COBJECT(((BgL_sfunz00_bglt) ((BgL_funz00_bglt)
																BgL_oldzd2funzd2_1587))))->BgL_classz00)),
										BUNSPEC);
									((((BgL_sfunz00_bglt) COBJECT(BgL_new1121z00_1625))->
											BgL_dssslzd2keywordszd2) =
										((obj_t) (((BgL_sfunz00_bglt)
													COBJECT(((BgL_sfunz00_bglt) ((BgL_funz00_bglt)
																BgL_oldzd2funzd2_1587))))->
												BgL_dssslzd2keywordszd2)), BUNSPEC);
									((((BgL_sfunz00_bglt) COBJECT(BgL_new1121z00_1625))->
											BgL_locz00) =
										((obj_t) (((BgL_sfunz00_bglt)
													COBJECT(((BgL_sfunz00_bglt) ((BgL_funz00_bglt)
																BgL_oldzd2funzd2_1587))))->BgL_locz00)),
										BUNSPEC);
									((((BgL_sfunz00_bglt) COBJECT(BgL_new1121z00_1625))->
											BgL_optionalsz00) =
										((obj_t) (((BgL_sfunz00_bglt)
													COBJECT(((BgL_sfunz00_bglt) ((BgL_funz00_bglt)
																BgL_oldzd2funzd2_1587))))->BgL_optionalsz00)),
										BUNSPEC);
									((((BgL_sfunz00_bglt) COBJECT(BgL_new1121z00_1625))->
											BgL_keysz00) =
										((obj_t) (((BgL_sfunz00_bglt)
													COBJECT(((BgL_sfunz00_bglt) ((BgL_funz00_bglt)
																BgL_oldzd2funzd2_1587))))->BgL_keysz00)),
										BUNSPEC);
									((((BgL_sfunz00_bglt) COBJECT(BgL_new1121z00_1625))->
											BgL_thezd2closurezd2globalz00) =
										((obj_t) (((BgL_sfunz00_bglt)
													COBJECT(((BgL_sfunz00_bglt) ((BgL_funz00_bglt)
																BgL_oldzd2funzd2_1587))))->
												BgL_thezd2closurezd2globalz00)), BUNSPEC);
									((((BgL_sfunz00_bglt) COBJECT(BgL_new1121z00_1625))->
											BgL_strengthz00) =
										((obj_t) (((BgL_sfunz00_bglt)
													COBJECT(((BgL_sfunz00_bglt) ((BgL_funz00_bglt)
																BgL_oldzd2funzd2_1587))))->BgL_strengthz00)),
										BUNSPEC);
									((((BgL_sfunz00_bglt) COBJECT(BgL_new1121z00_1625))->
											BgL_stackablez00) =
										((obj_t) (((BgL_sfunz00_bglt)
													COBJECT(((BgL_sfunz00_bglt) ((BgL_funz00_bglt)
																BgL_oldzd2funzd2_1587))))->BgL_stackablez00)),
										BUNSPEC);
									BgL_newzd2funzd2_1588 = BgL_new1121z00_1625;
								}
								{	/* Integrate/loc2glo.scm 46 */

									{	/* Integrate/loc2glo.scm 51 */
										BgL_typez00_bglt BgL_arg1287z00_1589;

										BgL_arg1287z00_1589 =
											(((BgL_variablez00_bglt) COBJECT(
													((BgL_variablez00_bglt) BgL_localz00_3)))->
											BgL_typez00);
										((((BgL_variablez00_bglt)
													COBJECT(((BgL_variablez00_bglt) ((BgL_globalz00_bglt)
																BgL_globalz00_1584))))->BgL_typez00) =
											((BgL_typez00_bglt) BgL_arg1287z00_1589), BUNSPEC);
									}
									{	/* Integrate/loc2glo.scm 52 */
										obj_t BgL_g1272z00_1590;

										BgL_g1272z00_1590 =
											(((BgL_sfunz00_bglt) COBJECT(BgL_newzd2funzd2_1588))->
											BgL_argsz00);
										{
											obj_t BgL_l1270z00_1592;

											BgL_l1270z00_1592 = BgL_g1272z00_1590;
										BgL_zc3z04anonymousza31288ze3z87_1593:
											if (PAIRP(BgL_l1270z00_1592))
												{	/* Integrate/loc2glo.scm 55 */
													{	/* Integrate/loc2glo.scm 53 */
														obj_t BgL_lz00_1595;

														BgL_lz00_1595 = CAR(BgL_l1270z00_1592);
														if (BGl_integratezd2celledzf3z21zzintegrate_nodez00(
																((BgL_localz00_bglt) BgL_lz00_1595)))
															{	/* Integrate/loc2glo.scm 54 */
																BgL_typez00_bglt BgL_vz00_1921;

																BgL_vz00_1921 =
																	((BgL_typez00_bglt)
																	BGl_za2objza2z00zztype_cachez00);
																((((BgL_variablez00_bglt)
																			COBJECT(((BgL_variablez00_bglt) (
																						(BgL_localz00_bglt)
																						BgL_lz00_1595))))->BgL_typez00) =
																	((BgL_typez00_bglt) BgL_vz00_1921), BUNSPEC);
															}
														else
															{	/* Integrate/loc2glo.scm 53 */
																BFALSE;
															}
													}
													{
														obj_t BgL_l1270z00_2386;

														BgL_l1270z00_2386 = CDR(BgL_l1270z00_1592);
														BgL_l1270z00_1592 = BgL_l1270z00_2386;
														goto BgL_zc3z04anonymousza31288ze3z87_1593;
													}
												}
											else
												{	/* Integrate/loc2glo.scm 55 */
													((bool_t) 1);
												}
										}
									}
									{	/* Integrate/loc2glo.scm 57 */
										obj_t BgL_arg1292z00_1599;

										{	/* Integrate/loc2glo.scm 57 */
											obj_t BgL_arg1293z00_1600;
											obj_t BgL_arg1294z00_1601;

											BgL_arg1293z00_1600 =
												(((BgL_sfunz00_bglt) COBJECT(
														((BgL_sfunz00_bglt) BgL_oldzd2funzd2_1587)))->
												BgL_bodyz00);
											if (NULLP(BgL_kapturedz00_1585))
												{	/* Integrate/loc2glo.scm 59 */
													BgL_arg1294z00_1601 = BNIL;
												}
											else
												{	/* Integrate/loc2glo.scm 59 */
													obj_t BgL_head1275z00_1605;

													{	/* Integrate/loc2glo.scm 59 */
														obj_t BgL_arg1304z00_1621;

														{	/* Integrate/loc2glo.scm 59 */
															obj_t BgL_arg1305z00_1622;
															obj_t BgL_arg1309z00_1623;

															BgL_arg1305z00_1622 =
																CAR(((obj_t) BgL_kapturedz00_1585));
															BgL_arg1309z00_1623 =
																CAR(((obj_t) BgL_addzd2argszd2_1586));
															BgL_arg1304z00_1621 =
																MAKE_YOUNG_PAIR(BgL_arg1305z00_1622,
																BgL_arg1309z00_1623);
														}
														BgL_head1275z00_1605 =
															MAKE_YOUNG_PAIR(BgL_arg1304z00_1621, BNIL);
													}
													{	/* Integrate/loc2glo.scm 59 */
														obj_t BgL_g1279z00_1606;
														obj_t BgL_g1280z00_1607;

														BgL_g1279z00_1606 =
															CDR(((obj_t) BgL_kapturedz00_1585));
														BgL_g1280z00_1607 =
															CDR(((obj_t) BgL_addzd2argszd2_1586));
														{
															obj_t BgL_ll1273z00_1609;
															obj_t BgL_ll1274z00_1610;
															obj_t BgL_tail1276z00_1611;

															BgL_ll1273z00_1609 = BgL_g1279z00_1606;
															BgL_ll1274z00_1610 = BgL_g1280z00_1607;
															BgL_tail1276z00_1611 = BgL_head1275z00_1605;
														BgL_zc3z04anonymousza31296ze3z87_1612:
															if (NULLP(BgL_ll1273z00_1609))
																{	/* Integrate/loc2glo.scm 59 */
																	BgL_arg1294z00_1601 = BgL_head1275z00_1605;
																}
															else
																{	/* Integrate/loc2glo.scm 59 */
																	obj_t BgL_newtail1277z00_1614;

																	{	/* Integrate/loc2glo.scm 59 */
																		obj_t BgL_arg1301z00_1617;

																		{	/* Integrate/loc2glo.scm 59 */
																			obj_t BgL_arg1302z00_1618;
																			obj_t BgL_arg1303z00_1619;

																			BgL_arg1302z00_1618 =
																				CAR(((obj_t) BgL_ll1273z00_1609));
																			BgL_arg1303z00_1619 =
																				CAR(((obj_t) BgL_ll1274z00_1610));
																			BgL_arg1301z00_1617 =
																				MAKE_YOUNG_PAIR(BgL_arg1302z00_1618,
																				BgL_arg1303z00_1619);
																		}
																		BgL_newtail1277z00_1614 =
																			MAKE_YOUNG_PAIR(BgL_arg1301z00_1617,
																			BNIL);
																	}
																	SET_CDR(BgL_tail1276z00_1611,
																		BgL_newtail1277z00_1614);
																	{	/* Integrate/loc2glo.scm 59 */
																		obj_t BgL_arg1298z00_1615;
																		obj_t BgL_arg1299z00_1616;

																		BgL_arg1298z00_1615 =
																			CDR(((obj_t) BgL_ll1273z00_1609));
																		BgL_arg1299z00_1616 =
																			CDR(((obj_t) BgL_ll1274z00_1610));
																		{
																			obj_t BgL_tail1276z00_2417;
																			obj_t BgL_ll1274z00_2416;
																			obj_t BgL_ll1273z00_2415;

																			BgL_ll1273z00_2415 = BgL_arg1298z00_1615;
																			BgL_ll1274z00_2416 = BgL_arg1299z00_1616;
																			BgL_tail1276z00_2417 =
																				BgL_newtail1277z00_1614;
																			BgL_tail1276z00_1611 =
																				BgL_tail1276z00_2417;
																			BgL_ll1274z00_1610 = BgL_ll1274z00_2416;
																			BgL_ll1273z00_1609 = BgL_ll1273z00_2415;
																			goto
																				BgL_zc3z04anonymousza31296ze3z87_1612;
																		}
																	}
																}
														}
													}
												}
											BgL_arg1292z00_1599 =
												BGl_integratezd2globaliza7ez12z67zzintegrate_nodez00(
												((BgL_nodez00_bglt) BgL_arg1293z00_1600),
												((BgL_variablez00_bglt) BgL_localz00_3),
												BgL_arg1294z00_1601);
										}
										((((BgL_sfunz00_bglt) COBJECT(BgL_newzd2funzd2_1588))->
												BgL_bodyz00) = ((obj_t) BgL_arg1292z00_1599), BUNSPEC);
									}
									((((BgL_variablez00_bglt) COBJECT(
													((BgL_variablez00_bglt)
														((BgL_globalz00_bglt) BgL_globalz00_1584))))->
											BgL_valuez00) =
										((BgL_valuez00_bglt) ((BgL_valuez00_bglt)
												BgL_newzd2funzd2_1588)), BUNSPEC);
									return BgL_globalz00_1584;
								}
							}
						}
					}
				}
			}
		}

	}



/* &local->global */
	obj_t BGl_z62localzd2ze3globalz53zzintegrate_localzd2ze3globalz31(obj_t
		BgL_envz00_2062, obj_t BgL_localz00_2063)
	{
		{	/* Integrate/loc2glo.scm 35 */
			return
				BGl_localzd2ze3globalz31zzintegrate_localzd2ze3globalz31(
				((BgL_localz00_bglt) BgL_localz00_2063));
		}

	}



/* local-id->global-id */
	obj_t
		BGl_localzd2idzd2ze3globalzd2idz31zzintegrate_localzd2ze3globalz31
		(BgL_localz00_bglt BgL_localz00_4)
	{
		{	/* Integrate/loc2glo.scm 73 */
			{	/* Integrate/loc2glo.scm 74 */
				obj_t BgL_pz00_1670;

				{	/* Integrate/loc2glo.scm 74 */
					obj_t BgL_arg1340z00_1684;

					{	/* Integrate/loc2glo.scm 74 */
						obj_t BgL_arg1341z00_1685;

						BgL_arg1341z00_1685 =
							(((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt) BgL_localz00_4)))->BgL_idz00);
						{	/* Integrate/loc2glo.scm 74 */
							obj_t BgL_arg1486z00_1938;

							BgL_arg1486z00_1938 = SYMBOL_TO_STRING(BgL_arg1341z00_1685);
							BgL_arg1340z00_1684 =
								BGl_stringzd2copyzd2zz__r4_strings_6_7z00(BgL_arg1486z00_1938);
						}
					}
					BgL_pz00_1670 =
						string_append(BgL_arg1340z00_1684,
						BGl_string1630z00zzintegrate_localzd2ze3globalz31);
				}
				{
					long BgL_countz00_1672;

					BgL_countz00_1672 = 0L;
				BgL_zc3z04anonymousza31328ze3z87_1673:
					{	/* Integrate/loc2glo.scm 76 */
						obj_t BgL_idz00_1674;

						{	/* Integrate/loc2glo.scm 76 */
							obj_t BgL_arg1338z00_1679;

							{	/* Integrate/loc2glo.scm 76 */
								obj_t BgL_arg1339z00_1680;

								{	/* Integrate/loc2glo.scm 76 */

									BgL_arg1339z00_1680 =
										BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00
										(BgL_countz00_1672, 10L);
								}
								BgL_arg1338z00_1679 =
									string_append(BgL_pz00_1670, BgL_arg1339z00_1680);
							}
							BgL_idz00_1674 = bstring_to_symbol(BgL_arg1338z00_1679);
						}
						{	/* Integrate/loc2glo.scm 77 */
							bool_t BgL_test1650z00_2436;

							{	/* Integrate/loc2glo.scm 77 */
								obj_t BgL_arg1336z00_1678;

								BgL_arg1336z00_1678 =
									BGl_findzd2globalzf2modulez20zzast_envz00(BgL_idz00_1674,
									BGl_za2moduleza2z00zzmodule_modulez00);
								{	/* Integrate/loc2glo.scm 77 */
									obj_t BgL_classz00_1940;

									BgL_classz00_1940 = BGl_globalz00zzast_varz00;
									if (BGL_OBJECTP(BgL_arg1336z00_1678))
										{	/* Integrate/loc2glo.scm 77 */
											BgL_objectz00_bglt BgL_arg1858z00_1942;

											BgL_arg1858z00_1942 =
												(BgL_objectz00_bglt) (BgL_arg1336z00_1678);
											if (BGL_CONDEXPAND_ISA_ARCH64())
												{	/* Integrate/loc2glo.scm 77 */
													long BgL_idxz00_1948;

													BgL_idxz00_1948 =
														BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_1942);
													BgL_test1650z00_2436 =
														(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
															(BgL_idxz00_1948 + 2L)) == BgL_classz00_1940);
												}
											else
												{	/* Integrate/loc2glo.scm 77 */
													bool_t BgL_res1626z00_1973;

													{	/* Integrate/loc2glo.scm 77 */
														obj_t BgL_oclassz00_1956;

														{	/* Integrate/loc2glo.scm 77 */
															obj_t BgL_arg1866z00_1964;
															long BgL_arg1867z00_1965;

															BgL_arg1866z00_1964 =
																(BGl_za2classesza2z00zz__objectz00);
															{	/* Integrate/loc2glo.scm 77 */
																long BgL_arg1869z00_1966;

																BgL_arg1869z00_1966 =
																	BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_1942);
																BgL_arg1867z00_1965 =
																	(BgL_arg1869z00_1966 - OBJECT_TYPE);
															}
															BgL_oclassz00_1956 =
																VECTOR_REF(BgL_arg1866z00_1964,
																BgL_arg1867z00_1965);
														}
														{	/* Integrate/loc2glo.scm 77 */
															bool_t BgL__ortest_1115z00_1957;

															BgL__ortest_1115z00_1957 =
																(BgL_classz00_1940 == BgL_oclassz00_1956);
															if (BgL__ortest_1115z00_1957)
																{	/* Integrate/loc2glo.scm 77 */
																	BgL_res1626z00_1973 =
																		BgL__ortest_1115z00_1957;
																}
															else
																{	/* Integrate/loc2glo.scm 77 */
																	long BgL_odepthz00_1958;

																	{	/* Integrate/loc2glo.scm 77 */
																		obj_t BgL_arg1855z00_1959;

																		BgL_arg1855z00_1959 = (BgL_oclassz00_1956);
																		BgL_odepthz00_1958 =
																			BGL_CLASS_DEPTH(BgL_arg1855z00_1959);
																	}
																	if ((2L < BgL_odepthz00_1958))
																		{	/* Integrate/loc2glo.scm 77 */
																			obj_t BgL_arg1853z00_1961;

																			{	/* Integrate/loc2glo.scm 77 */
																				obj_t BgL_arg1854z00_1962;

																				BgL_arg1854z00_1962 =
																					(BgL_oclassz00_1956);
																				BgL_arg1853z00_1961 =
																					BGL_CLASS_ANCESTORS_REF
																					(BgL_arg1854z00_1962, 2L);
																			}
																			BgL_res1626z00_1973 =
																				(BgL_arg1853z00_1961 ==
																				BgL_classz00_1940);
																		}
																	else
																		{	/* Integrate/loc2glo.scm 77 */
																			BgL_res1626z00_1973 = ((bool_t) 0);
																		}
																}
														}
													}
													BgL_test1650z00_2436 = BgL_res1626z00_1973;
												}
										}
									else
										{	/* Integrate/loc2glo.scm 77 */
											BgL_test1650z00_2436 = ((bool_t) 0);
										}
								}
							}
							if (BgL_test1650z00_2436)
								{
									long BgL_countz00_2460;

									BgL_countz00_2460 = (BgL_countz00_1672 + 1L);
									BgL_countz00_1672 = BgL_countz00_2460;
									goto BgL_zc3z04anonymousza31328ze3z87_1673;
								}
							else
								{	/* Integrate/loc2glo.scm 77 */
									return BgL_idz00_1674;
								}
						}
					}
				}
			}
		}

	}



/* the-global */
	BGL_EXPORTED_DEF obj_t
		BGl_thezd2globalzd2zzintegrate_localzd2ze3globalz31(BgL_localz00_bglt
		BgL_localz00_5)
	{
		{	/* Integrate/loc2glo.scm 84 */
			{	/* Integrate/loc2glo.scm 85 */
				BgL_valuez00_bglt BgL_valuez00_1686;

				BgL_valuez00_1686 =
					(((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_localz00_5)))->BgL_valuez00);
				{	/* Integrate/loc2glo.scm 86 */
					bool_t BgL_test1658z00_2464;

					{	/* Integrate/loc2glo.scm 86 */
						obj_t BgL_arg1367z00_1696;

						{
							BgL_sfunzf2iinfozf2_bglt BgL_auxz00_2465;

							{
								obj_t BgL_auxz00_2466;

								{	/* Integrate/loc2glo.scm 86 */
									BgL_objectz00_bglt BgL_tmpz00_2467;

									BgL_tmpz00_2467 =
										((BgL_objectz00_bglt)
										((BgL_sfunz00_bglt) BgL_valuez00_1686));
									BgL_auxz00_2466 = BGL_OBJECT_WIDENING(BgL_tmpz00_2467);
								}
								BgL_auxz00_2465 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_2466);
							}
							BgL_arg1367z00_1696 =
								(((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_2465))->
								BgL_globalz00);
						}
						{	/* Integrate/loc2glo.scm 86 */
							obj_t BgL_classz00_1978;

							BgL_classz00_1978 = BGl_globalz00zzast_varz00;
							if (BGL_OBJECTP(BgL_arg1367z00_1696))
								{	/* Integrate/loc2glo.scm 86 */
									BgL_objectz00_bglt BgL_arg1858z00_1980;

									BgL_arg1858z00_1980 =
										(BgL_objectz00_bglt) (BgL_arg1367z00_1696);
									if (BGL_CONDEXPAND_ISA_ARCH64())
										{	/* Integrate/loc2glo.scm 86 */
											long BgL_idxz00_1986;

											BgL_idxz00_1986 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_1980);
											BgL_test1658z00_2464 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_1986 + 2L)) == BgL_classz00_1978);
										}
									else
										{	/* Integrate/loc2glo.scm 86 */
											bool_t BgL_res1627z00_2011;

											{	/* Integrate/loc2glo.scm 86 */
												obj_t BgL_oclassz00_1994;

												{	/* Integrate/loc2glo.scm 86 */
													obj_t BgL_arg1866z00_2002;
													long BgL_arg1867z00_2003;

													BgL_arg1866z00_2002 =
														(BGl_za2classesza2z00zz__objectz00);
													{	/* Integrate/loc2glo.scm 86 */
														long BgL_arg1869z00_2004;

														BgL_arg1869z00_2004 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_1980);
														BgL_arg1867z00_2003 =
															(BgL_arg1869z00_2004 - OBJECT_TYPE);
													}
													BgL_oclassz00_1994 =
														VECTOR_REF(BgL_arg1866z00_2002,
														BgL_arg1867z00_2003);
												}
												{	/* Integrate/loc2glo.scm 86 */
													bool_t BgL__ortest_1115z00_1995;

													BgL__ortest_1115z00_1995 =
														(BgL_classz00_1978 == BgL_oclassz00_1994);
													if (BgL__ortest_1115z00_1995)
														{	/* Integrate/loc2glo.scm 86 */
															BgL_res1627z00_2011 = BgL__ortest_1115z00_1995;
														}
													else
														{	/* Integrate/loc2glo.scm 86 */
															long BgL_odepthz00_1996;

															{	/* Integrate/loc2glo.scm 86 */
																obj_t BgL_arg1855z00_1997;

																BgL_arg1855z00_1997 = (BgL_oclassz00_1994);
																BgL_odepthz00_1996 =
																	BGL_CLASS_DEPTH(BgL_arg1855z00_1997);
															}
															if ((2L < BgL_odepthz00_1996))
																{	/* Integrate/loc2glo.scm 86 */
																	obj_t BgL_arg1853z00_1999;

																	{	/* Integrate/loc2glo.scm 86 */
																		obj_t BgL_arg1854z00_2000;

																		BgL_arg1854z00_2000 = (BgL_oclassz00_1994);
																		BgL_arg1853z00_1999 =
																			BGL_CLASS_ANCESTORS_REF
																			(BgL_arg1854z00_2000, 2L);
																	}
																	BgL_res1627z00_2011 =
																		(BgL_arg1853z00_1999 == BgL_classz00_1978);
																}
															else
																{	/* Integrate/loc2glo.scm 86 */
																	BgL_res1627z00_2011 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_test1658z00_2464 = BgL_res1627z00_2011;
										}
								}
							else
								{	/* Integrate/loc2glo.scm 86 */
									BgL_test1658z00_2464 = ((bool_t) 0);
								}
						}
					}
					if (BgL_test1658z00_2464)
						{
							BgL_sfunzf2iinfozf2_bglt BgL_auxz00_2495;

							{
								obj_t BgL_auxz00_2496;

								{	/* Integrate/loc2glo.scm 87 */
									BgL_objectz00_bglt BgL_tmpz00_2497;

									BgL_tmpz00_2497 =
										((BgL_objectz00_bglt)
										((BgL_sfunz00_bglt) BgL_valuez00_1686));
									BgL_auxz00_2496 = BGL_OBJECT_WIDENING(BgL_tmpz00_2497);
								}
								BgL_auxz00_2495 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_2496);
							}
							return
								(((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_2495))->
								BgL_globalz00);
						}
					else
						{	/* Integrate/loc2glo.scm 88 */
							obj_t BgL_idz00_1689;

							BgL_idz00_1689 =
								BGl_localzd2idzd2ze3globalzd2idz31zzintegrate_localzd2ze3globalz31
								(BgL_localz00_5);
							{	/* Integrate/loc2glo.scm 88 */
								BgL_globalz00_bglt BgL_globalz00_1690;

								BgL_globalz00_1690 =
									BGl_defzd2globalzd2sfunzd2nozd2warningz12z12zzast_glozd2defzd2
									(BgL_idz00_1689, BNIL, BNIL,
									BGl_za2moduleza2z00zzmodule_modulez00,
									((obj_t) CNST_TABLE_REF(0)), ((obj_t) CNST_TABLE_REF(1)),
									((obj_t) CNST_TABLE_REF(2)), BUNSPEC);
								{	/* Integrate/loc2glo.scm 89 */

									{	/* Integrate/loc2glo.scm 102 */
										BgL_valuez00_bglt BgL_arg1355z00_1691;
										obj_t BgL_arg1358z00_1692;

										BgL_arg1355z00_1691 =
											(((BgL_variablez00_bglt) COBJECT(
													((BgL_variablez00_bglt) BgL_globalz00_1690)))->
											BgL_valuez00);
										BgL_arg1358z00_1692 =
											(((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
														BgL_valuez00_1686)))->BgL_locz00);
										((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
															BgL_arg1355z00_1691)))->BgL_locz00) =
											((obj_t) BgL_arg1358z00_1692), BUNSPEC);
									}
									if (
										(((BgL_variablez00_bglt) COBJECT(
													((BgL_variablez00_bglt) BgL_localz00_5)))->
											BgL_userzf3zf3))
										{	/* Integrate/loc2glo.scm 104 */
											BFALSE;
										}
									else
										{	/* Integrate/loc2glo.scm 104 */
											((((BgL_variablez00_bglt) COBJECT(
															((BgL_variablez00_bglt) BgL_globalz00_1690)))->
													BgL_userzf3zf3) = ((bool_t) ((bool_t) 0)), BUNSPEC);
										}
									{
										BgL_sfunzf2iinfozf2_bglt BgL_auxz00_2522;

										{
											obj_t BgL_auxz00_2523;

											{	/* Integrate/loc2glo.scm 106 */
												BgL_objectz00_bglt BgL_tmpz00_2524;

												BgL_tmpz00_2524 =
													((BgL_objectz00_bglt)
													((BgL_sfunz00_bglt) BgL_valuez00_1686));
												BgL_auxz00_2523 = BGL_OBJECT_WIDENING(BgL_tmpz00_2524);
											}
											BgL_auxz00_2522 =
												((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_2523);
										}
										((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_2522))->
												BgL_globalz00) =
											((obj_t) ((obj_t) BgL_globalz00_1690)), BUNSPEC);
									}
									{	/* Integrate/loc2glo.scm 107 */
										BgL_valuez00_bglt BgL_arg1364z00_1694;
										obj_t BgL_arg1365z00_1695;

										BgL_arg1364z00_1694 =
											(((BgL_variablez00_bglt) COBJECT(
													((BgL_variablez00_bglt) BgL_globalz00_1690)))->
											BgL_valuez00);
										BgL_arg1365z00_1695 =
											(((BgL_funz00_bglt)
												COBJECT(((BgL_funz00_bglt) ((BgL_sfunz00_bglt)
															BgL_valuez00_1686))))->BgL_sidezd2effectzd2);
										((((BgL_funz00_bglt)
													COBJECT(((BgL_funz00_bglt) ((BgL_sfunz00_bglt)
																BgL_arg1364z00_1694))))->BgL_sidezd2effectzd2) =
											((obj_t) BgL_arg1365z00_1695), BUNSPEC);
									}
									return ((obj_t) BgL_globalz00_1690);
								}
							}
						}
				}
			}
		}

	}



/* &the-global */
	obj_t BGl_z62thezd2globalzb0zzintegrate_localzd2ze3globalz31(obj_t
		BgL_envz00_2064, obj_t BgL_localz00_2065)
	{
		{	/* Integrate/loc2glo.scm 84 */
			return
				BGl_thezd2globalzd2zzintegrate_localzd2ze3globalz31(
				((BgL_localz00_bglt) BgL_localz00_2065));
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzintegrate_localzd2ze3globalz31(void)
	{
		{	/* Integrate/loc2glo.scm 15 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzintegrate_localzd2ze3globalz31(void)
	{
		{	/* Integrate/loc2glo.scm 15 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzintegrate_localzd2ze3globalz31(void)
	{
		{	/* Integrate/loc2glo.scm 15 */
			return BUNSPEC;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzintegrate_localzd2ze3globalz31(void)
	{
		{	/* Integrate/loc2glo.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(54713316L,
				BSTRING_TO_STRING(BGl_string1631z00zzintegrate_localzd2ze3globalz31));
			BGl_modulezd2initializa7ationz75zztools_shapez00(365925558L,
				BSTRING_TO_STRING(BGl_string1631z00zzintegrate_localzd2ze3globalz31));
			BGl_modulezd2initializa7ationz75zztools_argsz00(47102372L,
				BSTRING_TO_STRING(BGl_string1631z00zzintegrate_localzd2ze3globalz31));
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(158397907L,
				BSTRING_TO_STRING(BGl_string1631z00zzintegrate_localzd2ze3globalz31));
			BGl_modulezd2initializa7ationz75zztype_typez00(515343395L,
				BSTRING_TO_STRING(BGl_string1631z00zzintegrate_localzd2ze3globalz31));
			BGl_modulezd2initializa7ationz75zztype_cachez00(489890788L,
				BSTRING_TO_STRING(BGl_string1631z00zzintegrate_localzd2ze3globalz31));
			BGl_modulezd2initializa7ationz75zzast_varz00(90839984L,
				BSTRING_TO_STRING(BGl_string1631z00zzintegrate_localzd2ze3globalz31));
			BGl_modulezd2initializa7ationz75zzast_nodez00(469732712L,
				BSTRING_TO_STRING(BGl_string1631z00zzintegrate_localzd2ze3globalz31));
			BGl_modulezd2initializa7ationz75zzast_glozd2defzd2(44601789L,
				BSTRING_TO_STRING(BGl_string1631z00zzintegrate_localzd2ze3globalz31));
			BGl_modulezd2initializa7ationz75zzast_envz00(146730773L,
				BSTRING_TO_STRING(BGl_string1631z00zzintegrate_localzd2ze3globalz31));
			BGl_modulezd2initializa7ationz75zzast_localz00(315247917L,
				BSTRING_TO_STRING(BGl_string1631z00zzintegrate_localzd2ze3globalz31));
			BGl_modulezd2initializa7ationz75zzintegrate_infoz00(0L,
				BSTRING_TO_STRING(BGl_string1631z00zzintegrate_localzd2ze3globalz31));
			return
				BGl_modulezd2initializa7ationz75zzintegrate_nodez00(347237104L,
				BSTRING_TO_STRING(BGl_string1631z00zzintegrate_localzd2ze3globalz31));
		}

	}

#ifdef __cplusplus
}
#endif
