/*===========================================================================*/
/*   (Integrate/volatile.scm)                                                */
/*   Bigloo (4.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Jan 27 07:45:49 AM CET 2025     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.6a/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.6a/lib/bigloo/4.6a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -stdc -indent Integrate/volatile.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL_INTEGRATE_VOLATILE_TYPE_DEFINITIONS
#define BGL_INTEGRATE_VOLATILE_TYPE_DEFINITIONS

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_nullz00;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_qualifiedzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_closurez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}                 *BgL_closurez00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		struct BgL_nodez00_bgl *BgL_onexitz00;
	}                       *BgL_setzd2exzd2itz00_bglt;


#endif													// BGL_INTEGRATE_VOLATILE_TYPE_DEFINITIONS
#endif													// BGL_MODULE_TYPE_DEFINITIONS

	static obj_t BGl_requirezd2initializa7ationz75zzintegrate_volatilez00 =
		BUNSPEC;
	extern obj_t BGl_closurez00zzast_nodez00;
	static obj_t BGl_z62volatilezd2closure1266zb0zzintegrate_volatilez00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_toplevelzd2initzd2zzintegrate_volatilez00(void);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	static obj_t BGl_genericzd2initzd2zzintegrate_volatilez00(void);
	static obj_t BGl_usezd2setzd2exitz00zzintegrate_volatilez00(BgL_nodez00_bglt,
		obj_t);
	static obj_t BGl_objectzd2initzd2zzintegrate_volatilez00(void);
	BGL_IMPORT obj_t BGl_appendz00zz__r4_pairs_and_lists_6_3z00(obj_t);
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	static obj_t BGl_z62usezd2setzd2exit1273z62zzintegrate_volatilez00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(BgL_nodez00_bglt);
	static obj_t BGl_appendzd221011zd2zzintegrate_volatilez00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzintegrate_volatilez00(void);
	static obj_t BGl_z62volatile1262z62zzintegrate_volatilez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62volatilez62zzintegrate_volatilez00(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t bgl_append2(obj_t, obj_t);
	extern obj_t BGl_walk1z00zzast_walkz00(BgL_nodez00_bglt, obj_t, obj_t);
	static obj_t BGl_z62volatilezd2letzd2fun1270z62zzintegrate_volatilez00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzintegrate_volatilez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzliveness_livenessz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_shrinkifyz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_walkz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	extern obj_t BGl_livenesszd2livezd2zzliveness_livenessz00(BgL_nodez00_bglt);
	static obj_t BGl_z62usezd2setzd2exitz62zzintegrate_volatilez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_nodez00zzast_nodez00;
	static obj_t BGl_libraryzd2moduleszd2initz00zzintegrate_volatilez00(void);
	static obj_t
		BGl_z62volatilezd2setzd2exzd2it1272zb0zzintegrate_volatilez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzintegrate_volatilez00(void);
	static obj_t BGl_gczd2rootszd2initz00zzintegrate_volatilez00(void);
	static obj_t BGl_volatilez00zzintegrate_volatilez00(BgL_nodez00_bglt, obj_t);
	extern obj_t
		BGl_livenesszd2sfunz12zc0zzliveness_livenessz00(BgL_sfunz00_bglt);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static BgL_globalz00_bglt BGl_z62volatilez12z70zzintegrate_volatilez00(obj_t,
		obj_t);
	static obj_t
		BGl_z62usezd2setzd2exitzd2setzd2exzd21278zb0zzintegrate_volatilez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62volatilezd2letzd2var1268z62zzintegrate_volatilez00(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_zc3z04anonymousza31360ze3ze70z60zzintegrate_volatilez00(obj_t);
	BGL_EXPORTED_DECL BgL_globalz00_bglt
		BGl_volatilez12z12zzintegrate_volatilez00(BgL_globalz00_bglt);
	static obj_t *__cnst;


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_volatilez12zd2envzc0zzintegrate_volatilez00,
		BgL_bgl_za762volatileza712za771654za7,
		BGl_z62volatilez12z70zzintegrate_volatilez00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1643z00zzintegrate_volatilez00,
		BgL_bgl_string1643za700za7za7i1655za7, "volatile1262", 12);
	      DEFINE_STRING(BGl_string1645z00zzintegrate_volatilez00,
		BgL_bgl_string1645za700za7za7i1656za7, "use-set-exit1273", 16);
	      DEFINE_STRING(BGl_string1647z00zzintegrate_volatilez00,
		BgL_bgl_string1647za700za7za7i1657za7, "volatile", 8);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1642z00zzintegrate_volatilez00,
		BgL_bgl_za762volatile1262za71658z00,
		BGl_z62volatile1262z62zzintegrate_volatilez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1644z00zzintegrate_volatilez00,
		BgL_bgl_za762useza7d2setza7d2e1659za7,
		BGl_z62usezd2setzd2exit1273z62zzintegrate_volatilez00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string1652z00zzintegrate_volatilez00,
		BgL_bgl_string1652za700za7za7i1660za7, "use-set-exit", 12);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1646z00zzintegrate_volatilez00,
		BgL_bgl_za762volatileza7d2cl1661z00,
		BGl_z62volatilezd2closure1266zb0zzintegrate_volatilez00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string1653z00zzintegrate_volatilez00,
		BgL_bgl_string1653za700za7za7i1662za7, "integrate_volatile", 18);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1648z00zzintegrate_volatilez00,
		BgL_bgl_za762volatileza7d2le1663z00,
		BGl_z62volatilezd2letzd2var1268z62zzintegrate_volatilez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1649z00zzintegrate_volatilez00,
		BgL_bgl_za762volatileza7d2le1664z00,
		BGl_z62volatilezd2letzd2fun1270z62zzintegrate_volatilez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1650z00zzintegrate_volatilez00,
		BgL_bgl_za762volatileza7d2se1665z00,
		BGl_z62volatilezd2setzd2exzd2it1272zb0zzintegrate_volatilez00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1651z00zzintegrate_volatilez00,
		BgL_bgl_za762useza7d2setza7d2e1666za7,
		BGl_z62usezd2setzd2exitzd2setzd2exzd21278zb0zzintegrate_volatilez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_GENERIC(BGl_volatilezd2envzd2zzintegrate_volatilez00,
		BgL_bgl_za762volatileza762za7za71667z00,
		BGl_z62volatilez62zzintegrate_volatilez00, 0L, BUNSPEC, 2);
	     
		DEFINE_STATIC_BGL_GENERIC
		(BGl_usezd2setzd2exitzd2envzd2zzintegrate_volatilez00,
		BgL_bgl_za762useza7d2setza7d2e1668za7,
		BGl_z62usezd2setzd2exitz62zzintegrate_volatilez00, 0L, BUNSPEC, 2);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zzintegrate_volatilez00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzintegrate_volatilez00(long
		BgL_checksumz00_1964, char *BgL_fromz00_1965)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzintegrate_volatilez00))
				{
					BGl_requirezd2initializa7ationz75zzintegrate_volatilez00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzintegrate_volatilez00();
					BGl_libraryzd2moduleszd2initz00zzintegrate_volatilez00();
					BGl_importedzd2moduleszd2initz00zzintegrate_volatilez00();
					BGl_genericzd2initzd2zzintegrate_volatilez00();
					BGl_methodzd2initzd2zzintegrate_volatilez00();
					return BGl_toplevelzd2initzd2zzintegrate_volatilez00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzintegrate_volatilez00(void)
	{
		{	/* Integrate/volatile.scm 16 */
			BGl_modulezd2initializa7ationz75zz__objectz00(0L, "integrate_volatile");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(0L,
				"integrate_volatile");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(0L,
				"integrate_volatile");
			BGl_modulezd2initializa7ationz75zz__bitz00(0L, "integrate_volatile");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(0L,
				"integrate_volatile");
			BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(0L,
				"integrate_volatile");
			BGl_modulezd2initializa7ationz75zz__biglooz00(0L, "integrate_volatile");
			BGl_modulezd2initializa7ationz75zz__readerz00(0L, "integrate_volatile");
			return BUNSPEC;
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzintegrate_volatilez00(void)
	{
		{	/* Integrate/volatile.scm 16 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzintegrate_volatilez00(void)
	{
		{	/* Integrate/volatile.scm 16 */
			return BUNSPEC;
		}

	}



/* append-21011 */
	obj_t BGl_appendzd221011zd2zzintegrate_volatilez00(obj_t BgL_l1z00_1,
		obj_t BgL_l2z00_2)
	{
		{
			if (NULLP(BgL_l1z00_1))
				{
					return BgL_l2z00_2;
				}
			else
				{
					obj_t BgL_headz00_1367;

					BgL_headz00_1367 = MAKE_YOUNG_PAIR(BNIL, BgL_l2z00_2);
					{
						obj_t BgL_prevz00_1368;
						obj_t BgL_tailz00_1369;

						BgL_prevz00_1368 = BgL_headz00_1367;
						BgL_tailz00_1369 = BgL_l1z00_1;
					BgL_loopz00_1370:
						if (PAIRP(BgL_tailz00_1369))
							{
								obj_t BgL_newzd2prevzd2_1372;

								BgL_newzd2prevzd2_1372 =
									MAKE_YOUNG_PAIR(CAR(BgL_tailz00_1369), BgL_l2z00_2);
								SET_CDR(BgL_prevz00_1368, BgL_newzd2prevzd2_1372);
								{
									obj_t BgL_tailz00_1993;
									obj_t BgL_prevz00_1992;

									BgL_prevz00_1992 = BgL_newzd2prevzd2_1372;
									BgL_tailz00_1993 = CDR(BgL_tailz00_1369);
									BgL_tailz00_1369 = BgL_tailz00_1993;
									BgL_prevz00_1368 = BgL_prevz00_1992;
									goto BgL_loopz00_1370;
								}
							}
						else
							{
								BNIL;
							}
						return CDR(BgL_headz00_1367);
					}
				}
		}

	}



/* volatile! */
	BGL_EXPORTED_DEF BgL_globalz00_bglt
		BGl_volatilez12z12zzintegrate_volatilez00(BgL_globalz00_bglt
		BgL_globalz00_3)
	{
		{	/* Integrate/volatile.scm 38 */
			{	/* Integrate/volatile.scm 42 */
				BgL_sfunz00_bglt BgL_i1117z00_1376;

				BgL_i1117z00_1376 =
					((BgL_sfunz00_bglt)
					(((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt) BgL_globalz00_3)))->BgL_valuez00));
				{	/* Integrate/volatile.scm 43 */
					bool_t BgL_test1673z00_1999;

					{	/* Integrate/volatile.scm 43 */
						obj_t BgL_arg1291z00_1384;

						BgL_arg1291z00_1384 =
							(((BgL_sfunz00_bglt) COBJECT(BgL_i1117z00_1376))->BgL_bodyz00);
						{	/* Integrate/volatile.scm 120 */
							obj_t BgL_cellz00_1765;

							BgL_cellz00_1765 = MAKE_YOUNG_CELL(BFALSE);
							BGl_usezd2setzd2exitz00zzintegrate_volatilez00(
								((BgL_nodez00_bglt) BgL_arg1291z00_1384), BgL_cellz00_1765);
							BgL_test1673z00_1999 = CBOOL(CELL_REF(BgL_cellz00_1765));
						}
					}
					if (BgL_test1673z00_1999)
						{	/* Integrate/volatile.scm 44 */
							obj_t BgL_defz00_1379;

							{	/* Integrate/volatile.scm 45 */
								BgL_valuez00_bglt BgL_arg1289z00_1383;

								BgL_arg1289z00_1383 =
									(((BgL_variablez00_bglt) COBJECT(
											((BgL_variablez00_bglt) BgL_globalz00_3)))->BgL_valuez00);
								BgL_defz00_1379 =
									BGl_livenesszd2sfunz12zc0zzliveness_livenessz00(
									((BgL_sfunz00_bglt) BgL_arg1289z00_1383));
							}
							{	/* Integrate/volatile.scm 45 */
								obj_t BgL_usez00_1380;

								{	/* Integrate/volatile.scm 46 */
									obj_t BgL_tmpz00_1767;

									{	/* Integrate/volatile.scm 46 */
										int BgL_tmpz00_2010;

										BgL_tmpz00_2010 = (int) (1L);
										BgL_tmpz00_1767 = BGL_MVALUES_VAL(BgL_tmpz00_2010);
									}
									{	/* Integrate/volatile.scm 46 */
										int BgL_tmpz00_2013;

										BgL_tmpz00_2013 = (int) (1L);
										BGL_MVALUES_VAL_SET(BgL_tmpz00_2013, BUNSPEC);
									}
									BgL_usez00_1380 = BgL_tmpz00_1767;
								}
								{	/* Integrate/volatile.scm 46 */
									obj_t BgL_arg1287z00_1381;

									BgL_arg1287z00_1381 =
										(((BgL_sfunz00_bglt) COBJECT(BgL_i1117z00_1376))->
										BgL_bodyz00);
									BGl_volatilez00zzintegrate_volatilez00(((BgL_nodez00_bglt)
											BgL_arg1287z00_1381), BNIL);
								}
								{	/* Integrate/volatile.scm 47 */
									obj_t BgL_arg1288z00_1382;

									BgL_arg1288z00_1382 =
										(((BgL_sfunz00_bglt) COBJECT(BgL_i1117z00_1376))->
										BgL_bodyz00);
									BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(((BgL_nodez00_bglt)
											BgL_arg1288z00_1382));
						}}}
					else
						{	/* Integrate/volatile.scm 43 */
							BFALSE;
						}
				}
			}
			return BgL_globalz00_3;
		}

	}



/* &volatile! */
	BgL_globalz00_bglt BGl_z62volatilez12z70zzintegrate_volatilez00(obj_t
		BgL_envz00_1870, obj_t BgL_globalz00_1871)
	{
		{	/* Integrate/volatile.scm 38 */
			return
				BGl_volatilez12z12zzintegrate_volatilez00(
				((BgL_globalz00_bglt) BgL_globalz00_1871));
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzintegrate_volatilez00(void)
	{
		{	/* Integrate/volatile.scm 16 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzintegrate_volatilez00(void)
	{
		{	/* Integrate/volatile.scm 16 */
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_volatilezd2envzd2zzintegrate_volatilez00,
				BGl_proc1642z00zzintegrate_volatilez00, BGl_nodez00zzast_nodez00,
				BGl_string1643z00zzintegrate_volatilez00);
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_usezd2setzd2exitzd2envzd2zzintegrate_volatilez00,
				BGl_proc1644z00zzintegrate_volatilez00, BGl_nodez00zzast_nodez00,
				BGl_string1645z00zzintegrate_volatilez00);
		}

	}



/* &use-set-exit1273 */
	obj_t BGl_z62usezd2setzd2exit1273z62zzintegrate_volatilez00(obj_t
		BgL_envz00_1880, obj_t BgL_nodez00_1881, obj_t BgL_cellz00_1882)
	{
		{	/* Integrate/volatile.scm 127 */
			{

				if (CBOOL(CELL_REF(((obj_t) BgL_cellz00_1882))))
					{	/* Integrate/volatile.scm 128 */
						return BFALSE;
					}
				else
					{	/* Integrate/volatile.scm 128 */
						return
							BGl_walk1z00zzast_walkz00(
							((BgL_nodez00_bglt) BgL_nodez00_1881),
							BGl_usezd2setzd2exitzd2envzd2zzintegrate_volatilez00,
							BgL_cellz00_1882);
					}
			}
		}

	}



/* &volatile1262 */
	obj_t BGl_z62volatile1262z62zzintegrate_volatilez00(obj_t BgL_envz00_1883,
		obj_t BgL_nodez00_1884, obj_t BgL_envz00_1885)
	{
		{	/* Integrate/volatile.scm 61 */
			{

				return
					BGl_walk1z00zzast_walkz00(
					((BgL_nodez00_bglt) BgL_nodez00_1884),
					BGl_volatilezd2envzd2zzintegrate_volatilez00, BgL_envz00_1885);
			}
		}

	}



/* volatile */
	obj_t BGl_volatilez00zzintegrate_volatilez00(BgL_nodez00_bglt BgL_nodez00_6,
		obj_t BgL_envz00_7)
	{
		{	/* Integrate/volatile.scm 61 */
			{	/* Integrate/volatile.scm 61 */
				obj_t BgL_method1264z00_1427;

				{	/* Integrate/volatile.scm 61 */
					obj_t BgL_res1636z00_1806;

					{	/* Integrate/volatile.scm 61 */
						long BgL_objzd2classzd2numz00_1777;

						BgL_objzd2classzd2numz00_1777 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_6));
						{	/* Integrate/volatile.scm 61 */
							obj_t BgL_arg1862z00_1778;

							BgL_arg1862z00_1778 =
								PROCEDURE_REF(BGl_volatilezd2envzd2zzintegrate_volatilez00,
								(int) (1L));
							{	/* Integrate/volatile.scm 61 */
								int BgL_offsetz00_1781;

								BgL_offsetz00_1781 = (int) (BgL_objzd2classzd2numz00_1777);
								{	/* Integrate/volatile.scm 61 */
									long BgL_offsetz00_1782;

									BgL_offsetz00_1782 =
										((long) (BgL_offsetz00_1781) - OBJECT_TYPE);
									{	/* Integrate/volatile.scm 61 */
										long BgL_modz00_1783;

										BgL_modz00_1783 =
											(BgL_offsetz00_1782 >> (int) ((long) ((int) (4L))));
										{	/* Integrate/volatile.scm 61 */
											long BgL_restz00_1785;

											BgL_restz00_1785 =
												(BgL_offsetz00_1782 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(1L <<
																		(int) ((long) ((int) (4L)))))) - 1L))));
											{	/* Integrate/volatile.scm 61 */

												{	/* Integrate/volatile.scm 61 */
													obj_t BgL_bucketz00_1787;

													BgL_bucketz00_1787 =
														VECTOR_REF(
														((obj_t) BgL_arg1862z00_1778), BgL_modz00_1783);
													BgL_res1636z00_1806 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_1787), BgL_restz00_1785);
					}}}}}}}}
					BgL_method1264z00_1427 = BgL_res1636z00_1806;
				}
				return
					BGL_PROCEDURE_CALL2(BgL_method1264z00_1427,
					((obj_t) BgL_nodez00_6), BgL_envz00_7);
			}
		}

	}



/* &volatile */
	obj_t BGl_z62volatilez62zzintegrate_volatilez00(obj_t BgL_envz00_1877,
		obj_t BgL_nodez00_1878, obj_t BgL_envz00_1879)
	{
		{	/* Integrate/volatile.scm 61 */
			return
				BGl_volatilez00zzintegrate_volatilez00(
				((BgL_nodez00_bglt) BgL_nodez00_1878), BgL_envz00_1879);
		}

	}



/* use-set-exit */
	obj_t BGl_usezd2setzd2exitz00zzintegrate_volatilez00(BgL_nodez00_bglt
		BgL_nodez00_17, obj_t BgL_cellz00_18)
	{
		{	/* Integrate/volatile.scm 127 */
			{	/* Integrate/volatile.scm 127 */
				obj_t BgL_method1276z00_1428;

				{	/* Integrate/volatile.scm 127 */
					obj_t BgL_res1641z00_1837;

					{	/* Integrate/volatile.scm 127 */
						long BgL_objzd2classzd2numz00_1808;

						BgL_objzd2classzd2numz00_1808 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_17));
						{	/* Integrate/volatile.scm 127 */
							obj_t BgL_arg1862z00_1809;

							BgL_arg1862z00_1809 =
								PROCEDURE_REF
								(BGl_usezd2setzd2exitzd2envzd2zzintegrate_volatilez00,
								(int) (1L));
							{	/* Integrate/volatile.scm 127 */
								int BgL_offsetz00_1812;

								BgL_offsetz00_1812 = (int) (BgL_objzd2classzd2numz00_1808);
								{	/* Integrate/volatile.scm 127 */
									long BgL_offsetz00_1813;

									BgL_offsetz00_1813 =
										((long) (BgL_offsetz00_1812) - OBJECT_TYPE);
									{	/* Integrate/volatile.scm 127 */
										long BgL_modz00_1814;

										BgL_modz00_1814 =
											(BgL_offsetz00_1813 >> (int) ((long) ((int) (4L))));
										{	/* Integrate/volatile.scm 127 */
											long BgL_restz00_1816;

											BgL_restz00_1816 =
												(BgL_offsetz00_1813 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(1L <<
																		(int) ((long) ((int) (4L)))))) - 1L))));
											{	/* Integrate/volatile.scm 127 */

												{	/* Integrate/volatile.scm 127 */
													obj_t BgL_bucketz00_1818;

													BgL_bucketz00_1818 =
														VECTOR_REF(
														((obj_t) BgL_arg1862z00_1809), BgL_modz00_1814);
													BgL_res1641z00_1837 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_1818), BgL_restz00_1816);
					}}}}}}}}
					BgL_method1276z00_1428 = BgL_res1641z00_1837;
				}
				return
					BGL_PROCEDURE_CALL2(BgL_method1276z00_1428,
					((obj_t) BgL_nodez00_17), BgL_cellz00_18);
			}
		}

	}



/* &use-set-exit */
	obj_t BGl_z62usezd2setzd2exitz62zzintegrate_volatilez00(obj_t BgL_envz00_1873,
		obj_t BgL_nodez00_1874, obj_t BgL_cellz00_1875)
	{
		{	/* Integrate/volatile.scm 127 */
			return
				BGl_usezd2setzd2exitz00zzintegrate_volatilez00(
				((BgL_nodez00_bglt) BgL_nodez00_1874), BgL_cellz00_1875);
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzintegrate_volatilez00(void)
	{
		{	/* Integrate/volatile.scm 16 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_volatilezd2envzd2zzintegrate_volatilez00,
				BGl_closurez00zzast_nodez00, BGl_proc1646z00zzintegrate_volatilez00,
				BGl_string1647z00zzintegrate_volatilez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_volatilezd2envzd2zzintegrate_volatilez00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc1648z00zzintegrate_volatilez00,
				BGl_string1647z00zzintegrate_volatilez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_volatilezd2envzd2zzintegrate_volatilez00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc1649z00zzintegrate_volatilez00,
				BGl_string1647z00zzintegrate_volatilez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_volatilezd2envzd2zzintegrate_volatilez00,
				BGl_setzd2exzd2itz00zzast_nodez00,
				BGl_proc1650z00zzintegrate_volatilez00,
				BGl_string1647z00zzintegrate_volatilez00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_usezd2setzd2exitzd2envzd2zzintegrate_volatilez00,
				BGl_setzd2exzd2itz00zzast_nodez00,
				BGl_proc1651z00zzintegrate_volatilez00,
				BGl_string1652z00zzintegrate_volatilez00);
		}

	}



/* &use-set-exit-set-ex-1278 */
	obj_t
		BGl_z62usezd2setzd2exitzd2setzd2exzd21278zb0zzintegrate_volatilez00(obj_t
		BgL_envz00_1891, obj_t BgL_nodez00_1892, obj_t BgL_cellz00_1893)
	{
		{	/* Integrate/volatile.scm 134 */
			return CELL_SET(((obj_t) BgL_cellz00_1893), BTRUE);
		}

	}



/* &volatile-set-ex-it1272 */
	obj_t BGl_z62volatilezd2setzd2exzd2it1272zb0zzintegrate_volatilez00(obj_t
		BgL_envz00_1894, obj_t BgL_nodez00_1895, obj_t BgL_envz00_1896)
	{
		{	/* Integrate/volatile.scm 106 */
			{	/* Integrate/volatile.scm 107 */
				obj_t BgL_livez00_1912;

				BgL_livez00_1912 =
					BGl_livenesszd2livezd2zzliveness_livenessz00(
					((BgL_nodez00_bglt) ((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_1895)));
				{
					obj_t BgL_l1259z00_1914;

					BgL_l1259z00_1914 = BgL_livez00_1912;
				BgL_zc3z04anonymousza31374ze3z87_1913:
					if (PAIRP(BgL_l1259z00_1914))
						{	/* Integrate/volatile.scm 108 */
							{	/* Integrate/volatile.scm 109 */
								obj_t BgL_lz00_1915;

								BgL_lz00_1915 = CAR(BgL_l1259z00_1914);
								if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
										(BgL_lz00_1915, BgL_envz00_1896)))
									{	/* Integrate/volatile.scm 109 */
										((((BgL_localz00_bglt) COBJECT(
														((BgL_localz00_bglt) BgL_lz00_1915)))->
												BgL_volatilez00) = ((bool_t) ((bool_t) 1)), BUNSPEC);
									}
								else
									{	/* Integrate/volatile.scm 109 */
										BFALSE;
									}
							}
							{
								obj_t BgL_l1259z00_2118;

								BgL_l1259z00_2118 = CDR(BgL_l1259z00_1914);
								BgL_l1259z00_1914 = BgL_l1259z00_2118;
								goto BgL_zc3z04anonymousza31374ze3z87_1913;
							}
						}
					else
						{	/* Integrate/volatile.scm 108 */
							((bool_t) 1);
						}
				}
				return
					BGl_volatilez00zzintegrate_volatilez00(
					(((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_1895)))->BgL_bodyz00),
					BgL_envz00_1896);
			}
		}

	}



/* &volatile-let-fun1270 */
	obj_t BGl_z62volatilezd2letzd2fun1270z62zzintegrate_volatilez00(obj_t
		BgL_envz00_1897, obj_t BgL_nodez00_1898, obj_t BgL_envz00_1899)
	{
		{	/* Integrate/volatile.scm 89 */
			{	/* Integrate/volatile.scm 91 */
				obj_t BgL_g1255z00_1917;

				BgL_g1255z00_1917 =
					(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nodez00_1898)))->BgL_localsz00);
				{
					obj_t BgL_l1253z00_1919;

					BgL_l1253z00_1919 = BgL_g1255z00_1917;
				BgL_zc3z04anonymousza31335ze3z87_1918:
					if (PAIRP(BgL_l1253z00_1919))
						{	/* Integrate/volatile.scm 91 */
							{	/* Integrate/volatile.scm 92 */
								obj_t BgL_lz00_1920;

								BgL_lz00_1920 = CAR(BgL_l1253z00_1919);
								{	/* Integrate/volatile.scm 93 */
									BgL_valuez00_bglt BgL_arg1338z00_1921;

									BgL_arg1338z00_1921 =
										(((BgL_variablez00_bglt) COBJECT(
												((BgL_variablez00_bglt)
													((BgL_localz00_bglt) BgL_lz00_1920))))->BgL_valuez00);
									{	/* Integrate/volatile.scm 56 */
										obj_t BgL_arg1292z00_1922;
										obj_t BgL_arg1293z00_1923;

										BgL_arg1292z00_1922 =
											(((BgL_sfunz00_bglt) COBJECT(
													((BgL_sfunz00_bglt) BgL_arg1338z00_1921)))->
											BgL_bodyz00);
										{	/* Integrate/volatile.scm 56 */
											obj_t BgL_arg1294z00_1924;

											BgL_arg1294z00_1924 =
												(((BgL_sfunz00_bglt) COBJECT(
														((BgL_sfunz00_bglt) BgL_arg1338z00_1921)))->
												BgL_argsz00);
											BgL_arg1293z00_1923 =
												BGl_appendzd221011zd2zzintegrate_volatilez00
												(BgL_arg1294z00_1924, BgL_envz00_1899);
										}
										BGl_volatilez00zzintegrate_volatilez00(
											((BgL_nodez00_bglt) BgL_arg1292z00_1922),
											BgL_arg1293z00_1923);
									}
								}
							}
							{
								obj_t BgL_l1253z00_2138;

								BgL_l1253z00_2138 = CDR(BgL_l1253z00_1919);
								BgL_l1253z00_1919 = BgL_l1253z00_2138;
								goto BgL_zc3z04anonymousza31335ze3z87_1918;
							}
						}
					else
						{	/* Integrate/volatile.scm 91 */
							((bool_t) 1);
						}
				}
			}
			{	/* Integrate/volatile.scm 95 */
				BgL_nodez00_bglt BgL_arg1340z00_1925;
				obj_t BgL_arg1341z00_1926;

				BgL_arg1340z00_1925 =
					(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nodez00_1898)))->BgL_bodyz00);
				{	/* Integrate/volatile.scm 96 */
					obj_t BgL_arg1342z00_1927;
					obj_t BgL_arg1355z00_1928;

					BgL_arg1342z00_1927 =
						BGl_zc3z04anonymousza31360ze3ze70z60zzintegrate_volatilez00(
						(((BgL_letzd2funzd2_bglt) COBJECT(
									((BgL_letzd2funzd2_bglt) BgL_nodez00_1898)))->BgL_localsz00));
					BgL_arg1355z00_1928 =
						(((BgL_letzd2funzd2_bglt) COBJECT(
								((BgL_letzd2funzd2_bglt) BgL_nodez00_1898)))->BgL_localsz00);
					{	/* Integrate/volatile.scm 96 */
						obj_t BgL_list1356z00_1929;

						{	/* Integrate/volatile.scm 96 */
							obj_t BgL_arg1358z00_1930;

							{	/* Integrate/volatile.scm 96 */
								obj_t BgL_arg1359z00_1931;

								BgL_arg1359z00_1931 = MAKE_YOUNG_PAIR(BgL_envz00_1899, BNIL);
								BgL_arg1358z00_1930 =
									MAKE_YOUNG_PAIR(BgL_arg1355z00_1928, BgL_arg1359z00_1931);
							}
							BgL_list1356z00_1929 =
								MAKE_YOUNG_PAIR(BgL_arg1342z00_1927, BgL_arg1358z00_1930);
						}
						BgL_arg1341z00_1926 =
							BGl_appendz00zz__r4_pairs_and_lists_6_3z00(BgL_list1356z00_1929);
					}
				}
				return
					BGl_volatilez00zzintegrate_volatilez00(BgL_arg1340z00_1925,
					BgL_arg1341z00_1926);
			}
		}

	}



/* <@anonymous:1360>~0 */
	obj_t BGl_zc3z04anonymousza31360ze3ze70z60zzintegrate_volatilez00(obj_t
		BgL_l1257z00_1533)
	{
		{	/* Integrate/volatile.scm 96 */
			if (NULLP(BgL_l1257z00_1533))
				{	/* Integrate/volatile.scm 96 */
					return BNIL;
				}
			else
				{	/* Integrate/volatile.scm 97 */
					obj_t BgL_arg1364z00_1536;
					obj_t BgL_arg1365z00_1537;

					BgL_arg1364z00_1536 =
						(((BgL_sfunz00_bglt) COBJECT(
								((BgL_sfunz00_bglt)
									(((BgL_variablez00_bglt) COBJECT(
												((BgL_variablez00_bglt)
													((BgL_localz00_bglt)
														CAR(
															((obj_t) BgL_l1257z00_1533))))))->
										BgL_valuez00))))->BgL_argsz00);
					{	/* Integrate/volatile.scm 96 */
						obj_t BgL_arg1370z00_1541;

						BgL_arg1370z00_1541 = CDR(((obj_t) BgL_l1257z00_1533));
						BgL_arg1365z00_1537 =
							BGl_zc3z04anonymousza31360ze3ze70z60zzintegrate_volatilez00
							(BgL_arg1370z00_1541);
					}
					return bgl_append2(BgL_arg1364z00_1536, BgL_arg1365z00_1537);
				}
		}

	}



/* &volatile-let-var1268 */
	obj_t BGl_z62volatilezd2letzd2var1268z62zzintegrate_volatilez00(obj_t
		BgL_envz00_1900, obj_t BgL_nodez00_1901, obj_t BgL_envz00_1902)
	{
		{	/* Integrate/volatile.scm 75 */
			{	/* Integrate/volatile.scm 77 */
				obj_t BgL_g1243z00_1933;

				BgL_g1243z00_1933 =
					(((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_nodez00_1901)))->BgL_bindingsz00);
				{
					obj_t BgL_l1241z00_1935;

					BgL_l1241z00_1935 = BgL_g1243z00_1933;
				BgL_zc3z04anonymousza31308ze3z87_1934:
					if (PAIRP(BgL_l1241z00_1935))
						{	/* Integrate/volatile.scm 77 */
							{	/* Integrate/volatile.scm 78 */
								obj_t BgL_bz00_1936;

								BgL_bz00_1936 = CAR(BgL_l1241z00_1935);
								{	/* Integrate/volatile.scm 78 */
									BgL_localz00_bglt BgL_i1122z00_1937;

									BgL_i1122z00_1937 =
										((BgL_localz00_bglt) CAR(((obj_t) BgL_bz00_1936)));
									((((BgL_localz00_bglt) COBJECT(BgL_i1122z00_1937))->
											BgL_volatilez00) = ((bool_t) ((bool_t) 0)), BUNSPEC);
								}
							}
							{
								obj_t BgL_l1241z00_2174;

								BgL_l1241z00_2174 = CDR(BgL_l1241z00_1935);
								BgL_l1241z00_1935 = BgL_l1241z00_2174;
								goto BgL_zc3z04anonymousza31308ze3z87_1934;
							}
						}
					else
						{	/* Integrate/volatile.scm 77 */
							((bool_t) 1);
						}
				}
			}
			{	/* Integrate/volatile.scm 81 */
				obj_t BgL_g1246z00_1938;

				BgL_g1246z00_1938 =
					(((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_nodez00_1901)))->BgL_bindingsz00);
				{
					obj_t BgL_l1244z00_1940;

					BgL_l1244z00_1940 = BgL_g1246z00_1938;
				BgL_zc3z04anonymousza31311ze3z87_1939:
					if (PAIRP(BgL_l1244z00_1940))
						{	/* Integrate/volatile.scm 81 */
							{	/* Integrate/volatile.scm 82 */
								obj_t BgL_bz00_1941;

								BgL_bz00_1941 = CAR(BgL_l1244z00_1940);
								{	/* Integrate/volatile.scm 82 */
									obj_t BgL_arg1313z00_1942;

									BgL_arg1313z00_1942 = CDR(((obj_t) BgL_bz00_1941));
									BGl_volatilez00zzintegrate_volatilez00(
										((BgL_nodez00_bglt) BgL_arg1313z00_1942), BgL_envz00_1902);
								}
							}
							{
								obj_t BgL_l1244z00_2185;

								BgL_l1244z00_2185 = CDR(BgL_l1244z00_1940);
								BgL_l1244z00_1940 = BgL_l1244z00_2185;
								goto BgL_zc3z04anonymousza31311ze3z87_1939;
							}
						}
					else
						{	/* Integrate/volatile.scm 81 */
							((bool_t) 1);
						}
				}
			}
			{	/* Integrate/volatile.scm 84 */
				BgL_nodez00_bglt BgL_arg1315z00_1943;
				obj_t BgL_arg1316z00_1944;

				BgL_arg1315z00_1943 =
					(((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_nodez00_1901)))->BgL_bodyz00);
				{	/* Integrate/volatile.scm 84 */
					obj_t BgL_arg1317z00_1945;

					{	/* Integrate/volatile.scm 84 */
						obj_t BgL_l1247z00_1946;

						BgL_l1247z00_1946 =
							(((BgL_letzd2varzd2_bglt) COBJECT(
									((BgL_letzd2varzd2_bglt) BgL_nodez00_1901)))->
							BgL_bindingsz00);
						if (NULLP(BgL_l1247z00_1946))
							{	/* Integrate/volatile.scm 84 */
								BgL_arg1317z00_1945 = BNIL;
							}
						else
							{	/* Integrate/volatile.scm 84 */
								obj_t BgL_head1249z00_1947;

								{	/* Integrate/volatile.scm 84 */
									obj_t BgL_arg1327z00_1948;

									{	/* Integrate/volatile.scm 84 */
										obj_t BgL_pairz00_1949;

										BgL_pairz00_1949 = CAR(((obj_t) BgL_l1247z00_1946));
										BgL_arg1327z00_1948 = CAR(BgL_pairz00_1949);
									}
									BgL_head1249z00_1947 =
										MAKE_YOUNG_PAIR(BgL_arg1327z00_1948, BNIL);
								}
								{	/* Integrate/volatile.scm 84 */
									obj_t BgL_g1252z00_1950;

									BgL_g1252z00_1950 = CDR(((obj_t) BgL_l1247z00_1946));
									{
										obj_t BgL_l1247z00_1952;
										obj_t BgL_tail1250z00_1953;

										BgL_l1247z00_1952 = BgL_g1252z00_1950;
										BgL_tail1250z00_1953 = BgL_head1249z00_1947;
									BgL_zc3z04anonymousza31319ze3z87_1951:
										if (NULLP(BgL_l1247z00_1952))
											{	/* Integrate/volatile.scm 84 */
												BgL_arg1317z00_1945 = BgL_head1249z00_1947;
											}
										else
											{	/* Integrate/volatile.scm 84 */
												obj_t BgL_newtail1251z00_1954;

												{	/* Integrate/volatile.scm 84 */
													obj_t BgL_arg1322z00_1955;

													{	/* Integrate/volatile.scm 84 */
														obj_t BgL_pairz00_1956;

														BgL_pairz00_1956 = CAR(((obj_t) BgL_l1247z00_1952));
														BgL_arg1322z00_1955 = CAR(BgL_pairz00_1956);
													}
													BgL_newtail1251z00_1954 =
														MAKE_YOUNG_PAIR(BgL_arg1322z00_1955, BNIL);
												}
												SET_CDR(BgL_tail1250z00_1953, BgL_newtail1251z00_1954);
												{	/* Integrate/volatile.scm 84 */
													obj_t BgL_arg1321z00_1957;

													BgL_arg1321z00_1957 =
														CDR(((obj_t) BgL_l1247z00_1952));
													{
														obj_t BgL_tail1250z00_2209;
														obj_t BgL_l1247z00_2208;

														BgL_l1247z00_2208 = BgL_arg1321z00_1957;
														BgL_tail1250z00_2209 = BgL_newtail1251z00_1954;
														BgL_tail1250z00_1953 = BgL_tail1250z00_2209;
														BgL_l1247z00_1952 = BgL_l1247z00_2208;
														goto BgL_zc3z04anonymousza31319ze3z87_1951;
													}
												}
											}
									}
								}
							}
					}
					BgL_arg1316z00_1944 =
						BGl_appendzd221011zd2zzintegrate_volatilez00(BgL_arg1317z00_1945,
						BgL_envz00_1902);
				}
				return
					BGl_volatilez00zzintegrate_volatilez00(BgL_arg1315z00_1943,
					BgL_arg1316z00_1944);
			}
		}

	}



/* &volatile-closure1266 */
	obj_t BGl_z62volatilezd2closure1266zb0zzintegrate_volatilez00(obj_t
		BgL_envz00_1903, obj_t BgL_nodez00_1904, obj_t BgL_envz00_1905)
	{
		{	/* Integrate/volatile.scm 67 */
			{	/* Integrate/volatile.scm 69 */
				BgL_variablez00_bglt BgL_i1120z00_1959;

				BgL_i1120z00_1959 =
					(((BgL_varz00_bglt) COBJECT(
							((BgL_varz00_bglt)
								((BgL_closurez00_bglt) BgL_nodez00_1904))))->BgL_variablez00);
				{	/* Integrate/volatile.scm 70 */
					BgL_valuez00_bglt BgL_arg1304z00_1960;

					BgL_arg1304z00_1960 =
						(((BgL_variablez00_bglt) COBJECT(BgL_i1120z00_1959))->BgL_valuez00);
					{	/* Integrate/volatile.scm 56 */
						obj_t BgL_arg1292z00_1961;
						obj_t BgL_arg1293z00_1962;

						BgL_arg1292z00_1961 =
							(((BgL_sfunz00_bglt) COBJECT(
									((BgL_sfunz00_bglt) BgL_arg1304z00_1960)))->BgL_bodyz00);
						{	/* Integrate/volatile.scm 56 */
							obj_t BgL_arg1294z00_1963;

							BgL_arg1294z00_1963 =
								(((BgL_sfunz00_bglt) COBJECT(
										((BgL_sfunz00_bglt) BgL_arg1304z00_1960)))->BgL_argsz00);
							BgL_arg1293z00_1962 =
								BGl_appendzd221011zd2zzintegrate_volatilez00
								(BgL_arg1294z00_1963, BgL_envz00_1905);
						}
						return
							BGl_volatilez00zzintegrate_volatilez00(
							((BgL_nodez00_bglt) BgL_arg1292z00_1961), BgL_arg1293z00_1962);
					}
				}
			}
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzintegrate_volatilez00(void)
	{
		{	/* Integrate/volatile.scm 16 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(54713316L,
				BSTRING_TO_STRING(BGl_string1653z00zzintegrate_volatilez00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(161876678L,
				BSTRING_TO_STRING(BGl_string1653z00zzintegrate_volatilez00));
			BGl_modulezd2initializa7ationz75zztype_typez00(515343395L,
				BSTRING_TO_STRING(BGl_string1653z00zzintegrate_volatilez00));
			BGl_modulezd2initializa7ationz75zzast_varz00(90839984L,
				BSTRING_TO_STRING(BGl_string1653z00zzintegrate_volatilez00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(469732712L,
				BSTRING_TO_STRING(BGl_string1653z00zzintegrate_volatilez00));
			BGl_modulezd2initializa7ationz75zzast_walkz00(343174225L,
				BSTRING_TO_STRING(BGl_string1653z00zzintegrate_volatilez00));
			BGl_modulezd2initializa7ationz75zzast_shrinkifyz00(45200572L,
				BSTRING_TO_STRING(BGl_string1653z00zzintegrate_volatilez00));
			BGl_modulezd2initializa7ationz75zzliveness_livenessz00(424064075L,
				BSTRING_TO_STRING(BGl_string1653z00zzintegrate_volatilez00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(365925558L,
				BSTRING_TO_STRING(BGl_string1653z00zzintegrate_volatilez00));
			return
				BGl_modulezd2initializa7ationz75zztools_speekz00(61247943L,
				BSTRING_TO_STRING(BGl_string1653z00zzintegrate_volatilez00));
		}

	}

#ifdef __cplusplus
}
#endif
