/*===========================================================================*/
/*   (Isa/walk.scm)                                                          */
/*   Bigloo (4.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Jan 27 07:45:49 AM CET 2025     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.6a/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.6a/lib/bigloo/4.6a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -stdc -indent Isa/walk.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL_ISA_WALK_TYPE_DEFINITIONS
#define BGL_ISA_WALK_TYPE_DEFINITIONS

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_nullz00;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_qualifiedzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_literalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}                 *BgL_literalz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_refz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_refz00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_stackablez00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_tclassz00_bgl
	{
		obj_t BgL_itszd2superzd2;
		obj_t BgL_slotsz00;
		struct BgL_globalz00_bgl *BgL_holderz00;
		obj_t BgL_wideningz00;
		long BgL_depthz00;
		bool_t BgL_finalzf3zf3;
		obj_t BgL_constructorz00;
		obj_t BgL_virtualzd2slotszd2numberz00;
		bool_t BgL_abstractzf3zf3;
		obj_t BgL_widezd2typezd2;
		obj_t BgL_subclassesz00;
	}                *BgL_tclassz00_bglt;


#endif													// BGL_ISA_WALK_TYPE_DEFINITIONS
#endif													// BGL_MODULE_TYPE_DEFINITIONS

	static obj_t BGl_z62isaz121289z70zzisa_walkz00(obj_t, obj_t);
	static obj_t BGl_z62isazd2walkz12za2zzisa_walkz00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzisa_walkz00 = BUNSPEC;
	static BgL_nodez00_bglt BGl_z62isaz12zd2app1292za2zzisa_walkz00(obj_t, obj_t);
	BGL_IMPORT obj_t bgl_display_obj(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	extern obj_t BGl_tclassz00zzobject_classz00;
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_za2isazf2cdepthza2zf2zzisa_walkz00 = BUNSPEC;
	static obj_t BGl_toplevelzd2initzd2zzisa_walkz00(void);
	static obj_t BGl_z62clearzd2isazd2cachez12z70zzisa_walkz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_isazd2walkz12zc0zzisa_walkz00(obj_t);
	static obj_t BGl_za2isazf2finalza2zf2zzisa_walkz00 = BUNSPEC;
	BGL_IMPORT bool_t BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(obj_t);
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzisa_walkz00(void);
	extern obj_t BGl_leavezd2functionzd2zztools_errorz00(void);
	extern obj_t BGl_getzd2objectzd2typez00zztype_cachez00(void);
	static obj_t BGl_objectzd2initzd2zzisa_walkz00(void);
	static BgL_nodez00_bglt BGl_z62isaz12z70zzisa_walkz00(obj_t, obj_t);
	extern obj_t BGl_castz00zzast_nodez00;
	BGL_IMPORT bool_t BGl_2zc3zc3zz__r4_numbers_6_5z00(obj_t, obj_t);
	BGL_IMPORT bool_t BGl_2ze3ze3zz__r4_numbers_6_5z00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	static BgL_nodez00_bglt BGl_isaz12z12zzisa_walkz00(BgL_nodez00_bglt);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	extern obj_t BGl_refz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_appendzd221011zd2zzisa_walkz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzisa_walkz00(void);
	static obj_t BGl_z62initzd2isazd2cachez12z70zzisa_walkz00(obj_t);
	extern obj_t BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00;
	extern BgL_typez00_bglt BGl_getzd2typezd2atomz00zztype_typeofz00(obj_t);
	static BgL_typez00_bglt
		BGl_uncastedzd2typeze70z35zzisa_walkz00(BgL_nodez00_bglt);
	BGL_IMPORT obj_t BGl_exitz00zz__errorz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzisa_walkz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_walkz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_dumpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_lvtypez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_privatez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_localz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typeofz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_miscz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_passz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__configurez00(long,
		char *);
	extern obj_t BGl_appz00zzast_nodez00;
	extern obj_t BGl_enterzd2functionzd2zztools_errorz00(obj_t);
	extern obj_t BGl_nodez00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzisa_walkz00(void);
	static obj_t BGl_libraryzd2moduleszd2initz00zzisa_walkz00(void);
	static obj_t BGl_importedzd2moduleszd2initz00zzisa_walkz00(void);
	static obj_t BGl_za2isazd2objectzf2finalza2z20zzisa_walkz00 = BUNSPEC;
	static obj_t BGl_gczd2rootszd2initz00zzisa_walkz00(void);
	extern BgL_nodez00_bglt BGl_walk0z12z12zzast_walkz00(BgL_nodez00_bglt, obj_t);
	extern obj_t BGl_findzd2globalzf2modulez20zzast_envz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_bigloozd2configzd2zz__configurez00(obj_t);
	static obj_t BGl_za2isazd2objectzf2cdepthza2z20zzisa_walkz00 = BUNSPEC;
	extern obj_t BGl_za2currentzd2passza2zd2zzengine_passz00;
	static obj_t BGl_isazd2funz12zc0zzisa_walkz00(obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_literalz00zzast_nodez00;
	extern obj_t BGl_isazd2ofzd2zztype_miscz00(BgL_nodez00_bglt);
	extern obj_t BGl_getzd2classzd2listz00zzobject_classz00(void);
	extern obj_t BGl_globalz00zzast_varz00;
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	static long BGl_setzd2classzd2depthz12z12zzisa_walkz00(BgL_typez00_bglt);
	static obj_t __cnst[10];


	   
		 
		DEFINE_STRING(BGl_string1801z00zzisa_walkz00,
		BgL_bgl_string1801za700za7za7i1805za7, "isa!::node", 10);
	      DEFINE_STRING(BGl_string1802z00zzisa_walkz00,
		BgL_bgl_string1802za700za7za7i1806za7, "isa_walk", 8);
	      DEFINE_STRING(BGl_string1803z00zzisa_walkz00,
		BgL_bgl_string1803za700za7za7i1807za7,
		"class-display-min-size static %isa-object/final? %isa/final? %isa-object/cdepth? __object %isa/cdepth? (clear-isa-cache!) pass-started (init-isa-cache!) ",
		153);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_clearzd2isazd2cachez12zd2envzc0zzisa_walkz00,
		BgL_bgl_za762clearza7d2isaza7d1808za7,
		BGl_z62clearzd2isazd2cachez12z70zzisa_walkz00, 0L, BUNSPEC, 0);
	     
		DEFINE_STATIC_BGL_PROCEDURE(BGl_initzd2isazd2cachez12zd2envzc0zzisa_walkz00,
		BgL_bgl_za762initza7d2isaza7d21809za7,
		BGl_z62initzd2isazd2cachez12z70zzisa_walkz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1800z00zzisa_walkz00,
		BgL_bgl_za762isaza712za7d2app11810za7,
		BGl_z62isaz12zd2app1292za2zzisa_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_isazd2walkz12zd2envz12zzisa_walkz00,
		BgL_bgl_za762isaza7d2walkza7121811za7, BGl_z62isazd2walkz12za2zzisa_walkz00,
		0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1790z00zzisa_walkz00,
		BgL_bgl_string1790za700za7za7i1812za7, "Isa", 3);
	      DEFINE_STRING(BGl_string1791z00zzisa_walkz00,
		BgL_bgl_string1791za700za7za7i1813za7, "   . ", 5);
	      DEFINE_STRING(BGl_string1792z00zzisa_walkz00,
		BgL_bgl_string1792za700za7za7i1814za7, "failure during prelude hook", 27);
	      DEFINE_STRING(BGl_string1793z00zzisa_walkz00,
		BgL_bgl_string1793za700za7za7i1815za7, " error", 6);
	      DEFINE_STRING(BGl_string1794z00zzisa_walkz00,
		BgL_bgl_string1794za700za7za7i1816za7, "s", 1);
	      DEFINE_STRING(BGl_string1795z00zzisa_walkz00,
		BgL_bgl_string1795za700za7za7i1817za7, "", 0);
	      DEFINE_STRING(BGl_string1796z00zzisa_walkz00,
		BgL_bgl_string1796za700za7za7i1818za7, " occured, ending ...", 20);
	      DEFINE_STRING(BGl_string1797z00zzisa_walkz00,
		BgL_bgl_string1797za700za7za7i1819za7, "failure during postlude hook", 28);
	      DEFINE_STRING(BGl_string1799z00zzisa_walkz00,
		BgL_bgl_string1799za700za7za7i1820za7, "isa!1289", 8);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1798z00zzisa_walkz00,
		BgL_bgl_za762isaza7121289za7701821za7, BGl_z62isaz121289z70zzisa_walkz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_GENERIC(BGl_isaz12zd2envzc0zzisa_walkz00,
		BgL_bgl_za762isaza712za770za7za7is1822za7, BGl_z62isaz12z70zzisa_walkz00,
		0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		     ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zzisa_walkz00));
		     ADD_ROOT((void *) (&BGl_za2isazf2cdepthza2zf2zzisa_walkz00));
		     ADD_ROOT((void *) (&BGl_za2isazf2finalza2zf2zzisa_walkz00));
		     ADD_ROOT((void *) (&BGl_za2isazd2objectzf2finalza2z20zzisa_walkz00));
		     ADD_ROOT((void *) (&BGl_za2isazd2objectzf2cdepthza2z20zzisa_walkz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzisa_walkz00(long
		BgL_checksumz00_2492, char *BgL_fromz00_2493)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzisa_walkz00))
				{
					BGl_requirezd2initializa7ationz75zzisa_walkz00 = BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzisa_walkz00();
					BGl_libraryzd2moduleszd2initz00zzisa_walkz00();
					BGl_cnstzd2initzd2zzisa_walkz00();
					BGl_importedzd2moduleszd2initz00zzisa_walkz00();
					BGl_genericzd2initzd2zzisa_walkz00();
					BGl_methodzd2initzd2zzisa_walkz00();
					return BGl_toplevelzd2initzd2zzisa_walkz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzisa_walkz00(void)
	{
		{	/* Isa/walk.scm 15 */
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(0L, "isa_walk");
			BGl_modulezd2initializa7ationz75zz__objectz00(0L, "isa_walk");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(0L,
				"isa_walk");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(0L, "isa_walk");
			BGl_modulezd2initializa7ationz75zz__readerz00(0L, "isa_walk");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(0L, "isa_walk");
			BGl_modulezd2initializa7ationz75zz__errorz00(0L, "isa_walk");
			BGl_modulezd2initializa7ationz75zz__configurez00(0L, "isa_walk");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(0L, "isa_walk");
			BGl_modulezd2initializa7ationz75zz__bitz00(0L, "isa_walk");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(0L, "isa_walk");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(0L, "isa_walk");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(0L,
				"isa_walk");
			BGl_modulezd2initializa7ationz75zz__biglooz00(0L, "isa_walk");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzisa_walkz00(void)
	{
		{	/* Isa/walk.scm 15 */
			{	/* Isa/walk.scm 15 */
				obj_t BgL_cportz00_2371;

				{	/* Isa/walk.scm 15 */
					obj_t BgL_stringz00_2378;

					BgL_stringz00_2378 = BGl_string1803z00zzisa_walkz00;
					{	/* Isa/walk.scm 15 */
						obj_t BgL_startz00_2379;

						BgL_startz00_2379 = BINT(0L);
						{	/* Isa/walk.scm 15 */
							obj_t BgL_endz00_2380;

							BgL_endz00_2380 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_2378)));
							{	/* Isa/walk.scm 15 */

								BgL_cportz00_2371 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_2378, BgL_startz00_2379, BgL_endz00_2380);
				}}}}
				{
					long BgL_iz00_2372;

					BgL_iz00_2372 = 9L;
				BgL_loopz00_2373:
					if ((BgL_iz00_2372 == (-1L)))
						{	/* Isa/walk.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Isa/walk.scm 15 */
							{	/* Isa/walk.scm 15 */
								obj_t BgL_arg1804z00_2374;

								{	/* Isa/walk.scm 15 */

									{	/* Isa/walk.scm 15 */
										obj_t BgL_locationz00_2376;

										BgL_locationz00_2376 = BBOOL(((bool_t) 0));
										{	/* Isa/walk.scm 15 */

											BgL_arg1804z00_2374 =
												BGl_readz00zz__readerz00(BgL_cportz00_2371,
												BgL_locationz00_2376);
										}
									}
								}
								{	/* Isa/walk.scm 15 */
									int BgL_tmpz00_2527;

									BgL_tmpz00_2527 = (int) (BgL_iz00_2372);
									CNST_TABLE_SET(BgL_tmpz00_2527, BgL_arg1804z00_2374);
							}}
							{	/* Isa/walk.scm 15 */
								int BgL_auxz00_2377;

								BgL_auxz00_2377 = (int) ((BgL_iz00_2372 - 1L));
								{
									long BgL_iz00_2532;

									BgL_iz00_2532 = (long) (BgL_auxz00_2377);
									BgL_iz00_2372 = BgL_iz00_2532;
									goto BgL_loopz00_2373;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzisa_walkz00(void)
	{
		{	/* Isa/walk.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzisa_walkz00(void)
	{
		{	/* Isa/walk.scm 15 */
			BGl_za2isazf2cdepthza2zf2zzisa_walkz00 = BFALSE;
			BGl_za2isazd2objectzf2cdepthza2z20zzisa_walkz00 = BFALSE;
			BGl_za2isazf2finalza2zf2zzisa_walkz00 = BFALSE;
			BGl_za2isazd2objectzf2finalza2z20zzisa_walkz00 = BFALSE;
			return BUNSPEC;
		}

	}



/* append-21011 */
	obj_t BGl_appendzd221011zd2zzisa_walkz00(obj_t BgL_l1z00_1, obj_t BgL_l2z00_2)
	{
		{
			if (NULLP(BgL_l1z00_1))
				{
					return BgL_l2z00_2;
				}
			else
				{
					obj_t BgL_headz00_1593;

					BgL_headz00_1593 = MAKE_YOUNG_PAIR(BNIL, BgL_l2z00_2);
					{
						obj_t BgL_prevz00_1594;
						obj_t BgL_tailz00_1595;

						BgL_prevz00_1594 = BgL_headz00_1593;
						BgL_tailz00_1595 = BgL_l1z00_1;
					BgL_loopz00_1596:
						if (PAIRP(BgL_tailz00_1595))
							{
								obj_t BgL_newzd2prevzd2_1598;

								BgL_newzd2prevzd2_1598 =
									MAKE_YOUNG_PAIR(CAR(BgL_tailz00_1595), BgL_l2z00_2);
								SET_CDR(BgL_prevz00_1594, BgL_newzd2prevzd2_1598);
								{
									obj_t BgL_tailz00_2544;
									obj_t BgL_prevz00_2543;

									BgL_prevz00_2543 = BgL_newzd2prevzd2_1598;
									BgL_tailz00_2544 = CDR(BgL_tailz00_1595);
									BgL_tailz00_1595 = BgL_tailz00_2544;
									BgL_prevz00_1594 = BgL_prevz00_2543;
									goto BgL_loopz00_1596;
								}
							}
						else
							{
								BNIL;
							}
						return CDR(BgL_headz00_1593);
					}
				}
		}

	}



/* isa-walk! */
	BGL_EXPORTED_DEF obj_t BGl_isazd2walkz12zc0zzisa_walkz00(obj_t
		BgL_globalsz00_17)
	{
		{	/* Isa/walk.scm 41 */
			{	/* Isa/walk.scm 42 */
				obj_t BgL_list1312z00_1613;

				{	/* Isa/walk.scm 42 */
					obj_t BgL_arg1313z00_1614;

					{	/* Isa/walk.scm 42 */
						obj_t BgL_arg1314z00_1615;

						BgL_arg1314z00_1615 =
							MAKE_YOUNG_PAIR(BCHAR(((unsigned char) 10)), BNIL);
						BgL_arg1313z00_1614 =
							MAKE_YOUNG_PAIR(BGl_string1790z00zzisa_walkz00,
							BgL_arg1314z00_1615);
					}
					BgL_list1312z00_1613 =
						MAKE_YOUNG_PAIR(BGl_string1791z00zzisa_walkz00,
						BgL_arg1313z00_1614);
				}
				BGl_verbosez00zztools_speekz00(BINT(1L), BgL_list1312z00_1613);
			}
			BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00 = BINT(0L);
			BGl_za2currentzd2passza2zd2zzengine_passz00 =
				BGl_string1790z00zzisa_walkz00;
			{	/* Isa/walk.scm 42 */
				obj_t BgL_g1119z00_1616;
				obj_t BgL_g1120z00_1617;

				{	/* Isa/walk.scm 42 */
					obj_t BgL_list1323z00_1630;

					BgL_list1323z00_1630 =
						MAKE_YOUNG_PAIR(BGl_initzd2isazd2cachez12zd2envzc0zzisa_walkz00,
						BNIL);
					BgL_g1119z00_1616 = BgL_list1323z00_1630;
				}
				BgL_g1120z00_1617 = ((obj_t) CNST_TABLE_REF(0));
				{
					obj_t BgL_hooksz00_1619;
					obj_t BgL_hnamesz00_1620;

					BgL_hooksz00_1619 = BgL_g1119z00_1616;
					BgL_hnamesz00_1620 = BgL_g1120z00_1617;
				BgL_zc3z04anonymousza31315ze3z87_1621:
					if (NULLP(BgL_hooksz00_1619))
						{	/* Isa/walk.scm 42 */
							((obj_t) CNST_TABLE_REF(1));
						}
					else
						{	/* Isa/walk.scm 42 */
							bool_t BgL_test1828z00_2561;

							{	/* Isa/walk.scm 42 */
								obj_t BgL_fun1322z00_1628;

								BgL_fun1322z00_1628 = CAR(((obj_t) BgL_hooksz00_1619));
								BgL_test1828z00_2561 =
									CBOOL(BGL_PROCEDURE_CALL0(BgL_fun1322z00_1628));
							}
							if (BgL_test1828z00_2561)
								{	/* Isa/walk.scm 42 */
									obj_t BgL_arg1319z00_1625;
									obj_t BgL_arg1320z00_1626;

									BgL_arg1319z00_1625 = CDR(((obj_t) BgL_hooksz00_1619));
									BgL_arg1320z00_1626 = CDR(((obj_t) BgL_hnamesz00_1620));
									{
										obj_t BgL_hnamesz00_2573;
										obj_t BgL_hooksz00_2572;

										BgL_hooksz00_2572 = BgL_arg1319z00_1625;
										BgL_hnamesz00_2573 = BgL_arg1320z00_1626;
										BgL_hnamesz00_1620 = BgL_hnamesz00_2573;
										BgL_hooksz00_1619 = BgL_hooksz00_2572;
										goto BgL_zc3z04anonymousza31315ze3z87_1621;
									}
								}
							else
								{	/* Isa/walk.scm 42 */
									obj_t BgL_arg1321z00_1627;

									BgL_arg1321z00_1627 = CAR(((obj_t) BgL_hnamesz00_1620));
									BGl_internalzd2errorzd2zztools_errorz00
										(BGl_string1790z00zzisa_walkz00,
										BGl_string1792z00zzisa_walkz00, BgL_arg1321z00_1627);
								}
						}
				}
			}
			{	/* Isa/walk.scm 43 */
				obj_t BgL_g1283z00_1631;

				BgL_g1283z00_1631 = BGl_getzd2classzd2listz00zzobject_classz00();
				{
					obj_t BgL_l1281z00_1633;

					BgL_l1281z00_1633 = BgL_g1283z00_1631;
				BgL_zc3z04anonymousza31324ze3z87_1634:
					if (PAIRP(BgL_l1281z00_1633))
						{	/* Isa/walk.scm 43 */
							{	/* Isa/walk.scm 43 */
								obj_t BgL_arg1326z00_1636;

								BgL_arg1326z00_1636 = CAR(BgL_l1281z00_1633);
								BGl_setzd2classzd2depthz12z12zzisa_walkz00(
									((BgL_typez00_bglt) BgL_arg1326z00_1636));
							}
							{
								obj_t BgL_l1281z00_2583;

								BgL_l1281z00_2583 = CDR(BgL_l1281z00_1633);
								BgL_l1281z00_1633 = BgL_l1281z00_2583;
								goto BgL_zc3z04anonymousza31324ze3z87_1634;
							}
						}
					else
						{	/* Isa/walk.scm 43 */
							((bool_t) 1);
						}
				}
			}
			{
				obj_t BgL_l1284z00_1640;

				BgL_l1284z00_1640 = BgL_globalsz00_17;
			BgL_zc3z04anonymousza31328ze3z87_1641:
				if (PAIRP(BgL_l1284z00_1640))
					{	/* Isa/walk.scm 44 */
						BGl_isazd2funz12zc0zzisa_walkz00(CAR(BgL_l1284z00_1640));
						{
							obj_t BgL_l1284z00_2589;

							BgL_l1284z00_2589 = CDR(BgL_l1284z00_1640);
							BgL_l1284z00_1640 = BgL_l1284z00_2589;
							goto BgL_zc3z04anonymousza31328ze3z87_1641;
						}
					}
				else
					{	/* Isa/walk.scm 44 */
						((bool_t) 1);
					}
			}
			if (
				((long) CINT(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00) > 0L))
				{	/* Isa/walk.scm 45 */
					{	/* Isa/walk.scm 45 */
						obj_t BgL_port1286z00_1648;

						{	/* Isa/walk.scm 45 */
							obj_t BgL_tmpz00_2594;

							BgL_tmpz00_2594 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_port1286z00_1648 =
								BGL_ENV_CURRENT_ERROR_PORT(BgL_tmpz00_2594);
						}
						bgl_display_obj(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00,
							BgL_port1286z00_1648);
						bgl_display_string(BGl_string1793z00zzisa_walkz00,
							BgL_port1286z00_1648);
						{	/* Isa/walk.scm 45 */
							obj_t BgL_arg1336z00_1649;

							{	/* Isa/walk.scm 45 */
								bool_t BgL_test1832z00_2599;

								if (BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00
									(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00))
									{	/* Isa/walk.scm 45 */
										if (INTEGERP
											(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00))
											{	/* Isa/walk.scm 45 */
												BgL_test1832z00_2599 =
													(
													(long)
													CINT
													(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00)
													> 1L);
											}
										else
											{	/* Isa/walk.scm 45 */
												BgL_test1832z00_2599 =
													BGl_2ze3ze3zz__r4_numbers_6_5z00
													(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00,
													BINT(1L));
											}
									}
								else
									{	/* Isa/walk.scm 45 */
										BgL_test1832z00_2599 = ((bool_t) 0);
									}
								if (BgL_test1832z00_2599)
									{	/* Isa/walk.scm 45 */
										BgL_arg1336z00_1649 = BGl_string1794z00zzisa_walkz00;
									}
								else
									{	/* Isa/walk.scm 45 */
										BgL_arg1336z00_1649 = BGl_string1795z00zzisa_walkz00;
									}
							}
							bgl_display_obj(BgL_arg1336z00_1649, BgL_port1286z00_1648);
						}
						bgl_display_string(BGl_string1796z00zzisa_walkz00,
							BgL_port1286z00_1648);
						bgl_display_char(((unsigned char) 10), BgL_port1286z00_1648);
					}
					{	/* Isa/walk.scm 45 */
						obj_t BgL_list1341z00_1653;

						BgL_list1341z00_1653 = MAKE_YOUNG_PAIR(BINT((-1L)), BNIL);
						BGL_TAIL return BGl_exitz00zz__errorz00(BgL_list1341z00_1653);
					}
				}
			else
				{	/* Isa/walk.scm 45 */
					obj_t BgL_g1121z00_1654;
					obj_t BgL_g1122z00_1655;

					{	/* Isa/walk.scm 45 */
						obj_t BgL_list1361z00_1668;

						BgL_list1361z00_1668 =
							MAKE_YOUNG_PAIR(BGl_clearzd2isazd2cachez12zd2envzc0zzisa_walkz00,
							BNIL);
						BgL_g1121z00_1654 = BgL_list1361z00_1668;
					}
					BgL_g1122z00_1655 = ((obj_t) CNST_TABLE_REF(2));
					{
						obj_t BgL_hooksz00_1657;
						obj_t BgL_hnamesz00_1658;

						BgL_hooksz00_1657 = BgL_g1121z00_1654;
						BgL_hnamesz00_1658 = BgL_g1122z00_1655;
					BgL_zc3z04anonymousza31342ze3z87_1659:
						if (NULLP(BgL_hooksz00_1657))
							{	/* Isa/walk.scm 45 */
								return BgL_globalsz00_17;
							}
						else
							{	/* Isa/walk.scm 45 */
								bool_t BgL_test1836z00_2619;

								{	/* Isa/walk.scm 45 */
									obj_t BgL_fun1360z00_1666;

									BgL_fun1360z00_1666 = CAR(((obj_t) BgL_hooksz00_1657));
									BgL_test1836z00_2619 =
										CBOOL(BGL_PROCEDURE_CALL0(BgL_fun1360z00_1666));
								}
								if (BgL_test1836z00_2619)
									{	/* Isa/walk.scm 45 */
										obj_t BgL_arg1355z00_1663;
										obj_t BgL_arg1358z00_1664;

										BgL_arg1355z00_1663 = CDR(((obj_t) BgL_hooksz00_1657));
										BgL_arg1358z00_1664 = CDR(((obj_t) BgL_hnamesz00_1658));
										{
											obj_t BgL_hnamesz00_2631;
											obj_t BgL_hooksz00_2630;

											BgL_hooksz00_2630 = BgL_arg1355z00_1663;
											BgL_hnamesz00_2631 = BgL_arg1358z00_1664;
											BgL_hnamesz00_1658 = BgL_hnamesz00_2631;
											BgL_hooksz00_1657 = BgL_hooksz00_2630;
											goto BgL_zc3z04anonymousza31342ze3z87_1659;
										}
									}
								else
									{	/* Isa/walk.scm 45 */
										obj_t BgL_arg1359z00_1665;

										BgL_arg1359z00_1665 = CAR(((obj_t) BgL_hnamesz00_1658));
										return
											BGl_internalzd2errorzd2zztools_errorz00
											(BGl_za2currentzd2passza2zd2zzengine_passz00,
											BGl_string1797z00zzisa_walkz00, BgL_arg1359z00_1665);
									}
							}
					}
				}
		}

	}



/* &isa-walk! */
	obj_t BGl_z62isazd2walkz12za2zzisa_walkz00(obj_t BgL_envz00_2358,
		obj_t BgL_globalsz00_2359)
	{
		{	/* Isa/walk.scm 41 */
			return BGl_isazd2walkz12zc0zzisa_walkz00(BgL_globalsz00_2359);
		}

	}



/* &init-isa-cache! */
	obj_t BGl_z62initzd2isazd2cachez12z70zzisa_walkz00(obj_t BgL_envz00_2360)
	{
		{	/* Isa/walk.scm 58 */
			{	/* Isa/walk.scm 59 */
				bool_t BgL_test1837z00_2636;

				{	/* Isa/walk.scm 59 */
					obj_t BgL_objz00_2382;

					BgL_objz00_2382 = BGl_za2isazf2cdepthza2zf2zzisa_walkz00;
					{	/* Isa/walk.scm 59 */
						obj_t BgL_classz00_2383;

						BgL_classz00_2383 = BGl_globalz00zzast_varz00;
						if (BGL_OBJECTP(BgL_objz00_2382))
							{	/* Isa/walk.scm 59 */
								BgL_objectz00_bglt BgL_arg1858z00_2384;

								BgL_arg1858z00_2384 = (BgL_objectz00_bglt) (BgL_objz00_2382);
								if (BGL_CONDEXPAND_ISA_ARCH64())
									{	/* Isa/walk.scm 59 */
										long BgL_idxz00_2385;

										BgL_idxz00_2385 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_2384);
										BgL_test1837z00_2636 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_2385 + 2L)) == BgL_classz00_2383);
									}
								else
									{	/* Isa/walk.scm 59 */
										bool_t BgL_res1776z00_2388;

										{	/* Isa/walk.scm 59 */
											obj_t BgL_oclassz00_2389;

											{	/* Isa/walk.scm 59 */
												obj_t BgL_arg1866z00_2390;
												long BgL_arg1867z00_2391;

												BgL_arg1866z00_2390 =
													(BGl_za2classesza2z00zz__objectz00);
												{	/* Isa/walk.scm 59 */
													long BgL_arg1869z00_2392;

													BgL_arg1869z00_2392 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_2384);
													BgL_arg1867z00_2391 =
														(BgL_arg1869z00_2392 - OBJECT_TYPE);
												}
												BgL_oclassz00_2389 =
													VECTOR_REF(BgL_arg1866z00_2390, BgL_arg1867z00_2391);
											}
											{	/* Isa/walk.scm 59 */
												bool_t BgL__ortest_1115z00_2393;

												BgL__ortest_1115z00_2393 =
													(BgL_classz00_2383 == BgL_oclassz00_2389);
												if (BgL__ortest_1115z00_2393)
													{	/* Isa/walk.scm 59 */
														BgL_res1776z00_2388 = BgL__ortest_1115z00_2393;
													}
												else
													{	/* Isa/walk.scm 59 */
														long BgL_odepthz00_2394;

														{	/* Isa/walk.scm 59 */
															obj_t BgL_arg1855z00_2395;

															BgL_arg1855z00_2395 = (BgL_oclassz00_2389);
															BgL_odepthz00_2394 =
																BGL_CLASS_DEPTH(BgL_arg1855z00_2395);
														}
														if ((2L < BgL_odepthz00_2394))
															{	/* Isa/walk.scm 59 */
																obj_t BgL_arg1853z00_2396;

																{	/* Isa/walk.scm 59 */
																	obj_t BgL_arg1854z00_2397;

																	BgL_arg1854z00_2397 = (BgL_oclassz00_2389);
																	BgL_arg1853z00_2396 =
																		BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_2397,
																		2L);
																}
																BgL_res1776z00_2388 =
																	(BgL_arg1853z00_2396 == BgL_classz00_2383);
															}
														else
															{	/* Isa/walk.scm 59 */
																BgL_res1776z00_2388 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_test1837z00_2636 = BgL_res1776z00_2388;
									}
							}
						else
							{	/* Isa/walk.scm 59 */
								BgL_test1837z00_2636 = ((bool_t) 0);
							}
					}
				}
				if (BgL_test1837z00_2636)
					{	/* Isa/walk.scm 59 */
						BFALSE;
					}
				else
					{	/* Isa/walk.scm 59 */
						BGl_za2isazf2cdepthza2zf2zzisa_walkz00 =
							BGl_findzd2globalzf2modulez20zzast_envz00(
							((obj_t) CNST_TABLE_REF(3)), ((obj_t) CNST_TABLE_REF(4)));
						BGl_za2isazd2objectzf2cdepthza2z20zzisa_walkz00 =
							BGl_findzd2globalzf2modulez20zzast_envz00(
							((obj_t) CNST_TABLE_REF(5)), ((obj_t) CNST_TABLE_REF(4)));
						BGl_za2isazf2finalza2zf2zzisa_walkz00 =
							BGl_findzd2globalzf2modulez20zzast_envz00(
							((obj_t) CNST_TABLE_REF(6)), ((obj_t) CNST_TABLE_REF(4)));
						BGl_za2isazd2objectzf2finalza2z20zzisa_walkz00 =
							BGl_findzd2globalzf2modulez20zzast_envz00(
							((obj_t) CNST_TABLE_REF(7)), ((obj_t) CNST_TABLE_REF(4)));
					}
			}
			return BUNSPEC;
		}

	}



/* &clear-isa-cache! */
	obj_t BGl_z62clearzd2isazd2cachez12z70zzisa_walkz00(obj_t BgL_envz00_2361)
	{
		{	/* Isa/walk.scm 69 */
			BGl_za2isazf2cdepthza2zf2zzisa_walkz00 = BFALSE;
			BGl_za2isazd2objectzf2cdepthza2z20zzisa_walkz00 = BFALSE;
			BGl_za2isazf2finalza2zf2zzisa_walkz00 = BFALSE;
			return (BGl_za2isazd2objectzf2finalza2z20zzisa_walkz00 = BFALSE, BUNSPEC);
		}

	}



/* set-class-depth! */
	long BGl_setzd2classzd2depthz12z12zzisa_walkz00(BgL_typez00_bglt
		BgL_claza7za7z00_18)
	{
		{	/* Isa/walk.scm 78 */
			{	/* Isa/walk.scm 80 */
				bool_t BgL_test1842z00_2679;

				{	/* Isa/walk.scm 80 */
					long BgL_arg1382z00_1678;

					{
						BgL_tclassz00_bglt BgL_auxz00_2680;

						{
							obj_t BgL_auxz00_2681;

							{	/* Isa/walk.scm 80 */
								BgL_objectz00_bglt BgL_tmpz00_2682;

								BgL_tmpz00_2682 = ((BgL_objectz00_bglt) BgL_claza7za7z00_18);
								BgL_auxz00_2681 = BGL_OBJECT_WIDENING(BgL_tmpz00_2682);
							}
							BgL_auxz00_2680 = ((BgL_tclassz00_bglt) BgL_auxz00_2681);
						}
						BgL_arg1382z00_1678 =
							(((BgL_tclassz00_bglt) COBJECT(BgL_auxz00_2680))->BgL_depthz00);
					}
					BgL_test1842z00_2679 = (BgL_arg1382z00_1678 == 0L);
				}
				if (BgL_test1842z00_2679)
					{	/* Isa/walk.scm 81 */
						bool_t BgL_test1843z00_2688;

						{	/* Isa/walk.scm 81 */
							obj_t BgL_arg1380z00_1677;

							{
								BgL_tclassz00_bglt BgL_auxz00_2689;

								{
									obj_t BgL_auxz00_2690;

									{	/* Isa/walk.scm 81 */
										BgL_objectz00_bglt BgL_tmpz00_2691;

										BgL_tmpz00_2691 =
											((BgL_objectz00_bglt) BgL_claza7za7z00_18);
										BgL_auxz00_2690 = BGL_OBJECT_WIDENING(BgL_tmpz00_2691);
									}
									BgL_auxz00_2689 = ((BgL_tclassz00_bglt) BgL_auxz00_2690);
								}
								BgL_arg1380z00_1677 =
									(((BgL_tclassz00_bglt) COBJECT(BgL_auxz00_2689))->
									BgL_itszd2superzd2);
							}
							{	/* Isa/walk.scm 81 */
								obj_t BgL_classz00_2047;

								BgL_classz00_2047 = BGl_tclassz00zzobject_classz00;
								if (BGL_OBJECTP(BgL_arg1380z00_1677))
									{	/* Isa/walk.scm 81 */
										BgL_objectz00_bglt BgL_arg1858z00_2049;

										BgL_arg1858z00_2049 =
											(BgL_objectz00_bglt) (BgL_arg1380z00_1677);
										if (BGL_CONDEXPAND_ISA_ARCH64())
											{	/* Isa/walk.scm 81 */
												long BgL_idxz00_2055;

												BgL_idxz00_2055 =
													BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_2049);
												BgL_test1843z00_2688 =
													(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
														(BgL_idxz00_2055 + 2L)) == BgL_classz00_2047);
											}
										else
											{	/* Isa/walk.scm 81 */
												bool_t BgL_res1777z00_2080;

												{	/* Isa/walk.scm 81 */
													obj_t BgL_oclassz00_2063;

													{	/* Isa/walk.scm 81 */
														obj_t BgL_arg1866z00_2071;
														long BgL_arg1867z00_2072;

														BgL_arg1866z00_2071 =
															(BGl_za2classesza2z00zz__objectz00);
														{	/* Isa/walk.scm 81 */
															long BgL_arg1869z00_2073;

															BgL_arg1869z00_2073 =
																BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_2049);
															BgL_arg1867z00_2072 =
																(BgL_arg1869z00_2073 - OBJECT_TYPE);
														}
														BgL_oclassz00_2063 =
															VECTOR_REF(BgL_arg1866z00_2071,
															BgL_arg1867z00_2072);
													}
													{	/* Isa/walk.scm 81 */
														bool_t BgL__ortest_1115z00_2064;

														BgL__ortest_1115z00_2064 =
															(BgL_classz00_2047 == BgL_oclassz00_2063);
														if (BgL__ortest_1115z00_2064)
															{	/* Isa/walk.scm 81 */
																BgL_res1777z00_2080 = BgL__ortest_1115z00_2064;
															}
														else
															{	/* Isa/walk.scm 81 */
																long BgL_odepthz00_2065;

																{	/* Isa/walk.scm 81 */
																	obj_t BgL_arg1855z00_2066;

																	BgL_arg1855z00_2066 = (BgL_oclassz00_2063);
																	BgL_odepthz00_2065 =
																		BGL_CLASS_DEPTH(BgL_arg1855z00_2066);
																}
																if ((2L < BgL_odepthz00_2065))
																	{	/* Isa/walk.scm 81 */
																		obj_t BgL_arg1853z00_2068;

																		{	/* Isa/walk.scm 81 */
																			obj_t BgL_arg1854z00_2069;

																			BgL_arg1854z00_2069 =
																				(BgL_oclassz00_2063);
																			BgL_arg1853z00_2068 =
																				BGL_CLASS_ANCESTORS_REF
																				(BgL_arg1854z00_2069, 2L);
																		}
																		BgL_res1777z00_2080 =
																			(BgL_arg1853z00_2068 ==
																			BgL_classz00_2047);
																	}
																else
																	{	/* Isa/walk.scm 81 */
																		BgL_res1777z00_2080 = ((bool_t) 0);
																	}
															}
													}
												}
												BgL_test1843z00_2688 = BgL_res1777z00_2080;
											}
									}
								else
									{	/* Isa/walk.scm 81 */
										BgL_test1843z00_2688 = ((bool_t) 0);
									}
							}
						}
						if (BgL_test1843z00_2688)
							{
								long BgL_auxz00_2724;
								BgL_tclassz00_bglt BgL_auxz00_2718;

								{	/* Isa/walk.scm 82 */
									long BgL_arg1376z00_1675;

									{	/* Isa/walk.scm 82 */
										obj_t BgL_arg1379z00_1676;

										{
											BgL_tclassz00_bglt BgL_auxz00_2725;

											{
												obj_t BgL_auxz00_2726;

												{	/* Isa/walk.scm 82 */
													BgL_objectz00_bglt BgL_tmpz00_2727;

													BgL_tmpz00_2727 =
														((BgL_objectz00_bglt) BgL_claza7za7z00_18);
													BgL_auxz00_2726 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_2727);
												}
												BgL_auxz00_2725 =
													((BgL_tclassz00_bglt) BgL_auxz00_2726);
											}
											BgL_arg1379z00_1676 =
												(((BgL_tclassz00_bglt) COBJECT(BgL_auxz00_2725))->
												BgL_itszd2superzd2);
										}
										BgL_arg1376z00_1675 =
											BGl_setzd2classzd2depthz12z12zzisa_walkz00(
											((BgL_typez00_bglt) BgL_arg1379z00_1676));
									}
									BgL_auxz00_2724 = (1L + BgL_arg1376z00_1675);
								}
								{
									obj_t BgL_auxz00_2719;

									{	/* Isa/walk.scm 82 */
										BgL_objectz00_bglt BgL_tmpz00_2720;

										BgL_tmpz00_2720 =
											((BgL_objectz00_bglt) BgL_claza7za7z00_18);
										BgL_auxz00_2719 = BGL_OBJECT_WIDENING(BgL_tmpz00_2720);
									}
									BgL_auxz00_2718 = ((BgL_tclassz00_bglt) BgL_auxz00_2719);
								}
								((((BgL_tclassz00_bglt) COBJECT(BgL_auxz00_2718))->
										BgL_depthz00) = ((long) BgL_auxz00_2724), BUNSPEC);
							}
						else
							{	/* Isa/walk.scm 81 */
								BINT(0L);
							}
					}
				else
					{	/* Isa/walk.scm 80 */
						BFALSE;
					}
			}
			{
				BgL_tclassz00_bglt BgL_auxz00_2737;

				{
					obj_t BgL_auxz00_2738;

					{	/* Isa/walk.scm 84 */
						BgL_objectz00_bglt BgL_tmpz00_2739;

						BgL_tmpz00_2739 = ((BgL_objectz00_bglt) BgL_claza7za7z00_18);
						BgL_auxz00_2738 = BGL_OBJECT_WIDENING(BgL_tmpz00_2739);
					}
					BgL_auxz00_2737 = ((BgL_tclassz00_bglt) BgL_auxz00_2738);
				}
				return (((BgL_tclassz00_bglt) COBJECT(BgL_auxz00_2737))->BgL_depthz00);
			}
		}

	}



/* isa-fun! */
	obj_t BGl_isazd2funz12zc0zzisa_walkz00(obj_t BgL_varz00_19)
	{
		{	/* Isa/walk.scm 89 */
			{	/* Isa/walk.scm 90 */
				obj_t BgL_arg1383z00_1679;

				BgL_arg1383z00_1679 =
					(((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_varz00_19)))->BgL_idz00);
				BGl_enterzd2functionzd2zztools_errorz00(BgL_arg1383z00_1679);
			}
			{	/* Isa/walk.scm 91 */
				BgL_valuez00_bglt BgL_funz00_1680;

				BgL_funz00_1680 =
					(((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_varz00_19)))->BgL_valuez00);
				{	/* Isa/walk.scm 91 */
					obj_t BgL_bodyz00_1681;

					BgL_bodyz00_1681 =
						(((BgL_sfunz00_bglt) COBJECT(
								((BgL_sfunz00_bglt) BgL_funz00_1680)))->BgL_bodyz00);
					{	/* Isa/walk.scm 92 */

						BgL_bodyz00_1681 =
							((obj_t)
							BGl_isaz12z12zzisa_walkz00(
								((BgL_nodez00_bglt) BgL_bodyz00_1681)));
						BGl_leavezd2functionzd2zztools_errorz00();
						return BgL_varz00_19;
					}
				}
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzisa_walkz00(void)
	{
		{	/* Isa/walk.scm 15 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzisa_walkz00(void)
	{
		{	/* Isa/walk.scm 15 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_isaz12zd2envzc0zzisa_walkz00, BGl_proc1798z00zzisa_walkz00,
				BGl_nodez00zzast_nodez00, BGl_string1799z00zzisa_walkz00);
		}

	}



/* &isa!1289 */
	obj_t BGl_z62isaz121289z70zzisa_walkz00(obj_t BgL_envz00_2365,
		obj_t BgL_nodez00_2366)
	{
		{	/* Isa/walk.scm 100 */
			return
				((obj_t)
				BGl_walk0z12z12zzast_walkz00(
					((BgL_nodez00_bglt) BgL_nodez00_2366),
					BGl_isaz12zd2envzc0zzisa_walkz00));
		}

	}



/* isa! */
	BgL_nodez00_bglt BGl_isaz12z12zzisa_walkz00(BgL_nodez00_bglt BgL_nodez00_20)
	{
		{	/* Isa/walk.scm 100 */
			{	/* Isa/walk.scm 100 */
				obj_t BgL_method1290z00_1697;

				{	/* Isa/walk.scm 100 */
					obj_t BgL_res1782z00_2119;

					{	/* Isa/walk.scm 100 */
						long BgL_objzd2classzd2numz00_2090;

						BgL_objzd2classzd2numz00_2090 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_20));
						{	/* Isa/walk.scm 100 */
							obj_t BgL_arg1862z00_2091;

							BgL_arg1862z00_2091 =
								PROCEDURE_REF(BGl_isaz12zd2envzc0zzisa_walkz00, (int) (1L));
							{	/* Isa/walk.scm 100 */
								int BgL_offsetz00_2094;

								BgL_offsetz00_2094 = (int) (BgL_objzd2classzd2numz00_2090);
								{	/* Isa/walk.scm 100 */
									long BgL_offsetz00_2095;

									BgL_offsetz00_2095 =
										((long) (BgL_offsetz00_2094) - OBJECT_TYPE);
									{	/* Isa/walk.scm 100 */
										long BgL_modz00_2096;

										BgL_modz00_2096 =
											(BgL_offsetz00_2095 >> (int) ((long) ((int) (4L))));
										{	/* Isa/walk.scm 100 */
											long BgL_restz00_2098;

											BgL_restz00_2098 =
												(BgL_offsetz00_2095 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(1L <<
																		(int) ((long) ((int) (4L)))))) - 1L))));
											{	/* Isa/walk.scm 100 */

												{	/* Isa/walk.scm 100 */
													obj_t BgL_bucketz00_2100;

													BgL_bucketz00_2100 =
														VECTOR_REF(
														((obj_t) BgL_arg1862z00_2091), BgL_modz00_2096);
													BgL_res1782z00_2119 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_2100), BgL_restz00_2098);
					}}}}}}}}
					BgL_method1290z00_1697 = BgL_res1782z00_2119;
				}
				return
					((BgL_nodez00_bglt)
					BGL_PROCEDURE_CALL1(BgL_method1290z00_1697,
						((obj_t) BgL_nodez00_20)));
			}
		}

	}



/* &isa! */
	BgL_nodez00_bglt BGl_z62isaz12z70zzisa_walkz00(obj_t BgL_envz00_2363,
		obj_t BgL_nodez00_2364)
	{
		{	/* Isa/walk.scm 100 */
			return BGl_isaz12z12zzisa_walkz00(((BgL_nodez00_bglt) BgL_nodez00_2364));
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzisa_walkz00(void)
	{
		{	/* Isa/walk.scm 15 */
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_isaz12zd2envzc0zzisa_walkz00, BGl_appz00zzast_nodez00,
				BGl_proc1800z00zzisa_walkz00, BGl_string1801z00zzisa_walkz00);
		}

	}



/* &isa!-app1292 */
	BgL_nodez00_bglt BGl_z62isaz12zd2app1292za2zzisa_walkz00(obj_t
		BgL_envz00_2368, obj_t BgL_nodez00_2369)
	{
		{	/* Isa/walk.scm 106 */
			{
				obj_t BgL_typz00_2401;

				{	/* Isa/walk.scm 118 */
					obj_t BgL_typz00_2405;

					BgL_typz00_2405 =
						BGl_isazd2ofzd2zztype_miscz00(
						((BgL_nodez00_bglt) ((BgL_appz00_bglt) BgL_nodez00_2369)));
					if (CBOOL(BgL_typz00_2405))
						{	/* Isa/walk.scm 119 */
							{	/* Isa/walk.scm 124 */
								bool_t BgL_test1851z00_2798;

								BgL_typz00_2401 = BgL_typz00_2405;
								{	/* Isa/walk.scm 115 */
									bool_t BgL_test1852z00_2799;

									{	/* Isa/walk.scm 115 */
										obj_t BgL_arg1578z00_2402;

										{	/* Isa/walk.scm 115 */
											BgL_globalz00_bglt BgL_arg1581z00_2403;

											{
												BgL_tclassz00_bglt BgL_auxz00_2800;

												{
													obj_t BgL_auxz00_2801;

													{	/* Isa/walk.scm 115 */
														BgL_objectz00_bglt BgL_tmpz00_2802;

														BgL_tmpz00_2802 =
															((BgL_objectz00_bglt)
															((BgL_typez00_bglt) BgL_typz00_2401));
														BgL_auxz00_2801 =
															BGL_OBJECT_WIDENING(BgL_tmpz00_2802);
													}
													BgL_auxz00_2800 =
														((BgL_tclassz00_bglt) BgL_auxz00_2801);
												}
												BgL_arg1581z00_2403 =
													(((BgL_tclassz00_bglt) COBJECT(BgL_auxz00_2800))->
													BgL_holderz00);
											}
											BgL_arg1578z00_2402 =
												(((BgL_globalz00_bglt) COBJECT(BgL_arg1581z00_2403))->
												BgL_importz00);
										}
										BgL_test1852z00_2799 =
											(BgL_arg1578z00_2402 == ((obj_t) CNST_TABLE_REF(8)));
									}
									if (BgL_test1852z00_2799)
										{	/* Isa/walk.scm 116 */
											obj_t BgL_arg1577z00_2404;

											{
												BgL_tclassz00_bglt BgL_auxz00_2812;

												{
													obj_t BgL_auxz00_2813;

													{	/* Isa/walk.scm 116 */
														BgL_objectz00_bglt BgL_tmpz00_2814;

														BgL_tmpz00_2814 =
															((BgL_objectz00_bglt)
															((BgL_typez00_bglt) BgL_typz00_2401));
														BgL_auxz00_2813 =
															BGL_OBJECT_WIDENING(BgL_tmpz00_2814);
													}
													BgL_auxz00_2812 =
														((BgL_tclassz00_bglt) BgL_auxz00_2813);
												}
												BgL_arg1577z00_2404 =
													(((BgL_tclassz00_bglt) COBJECT(BgL_auxz00_2812))->
													BgL_subclassesz00);
											}
											BgL_test1851z00_2798 = NULLP(BgL_arg1577z00_2404);
										}
									else
										{	/* Isa/walk.scm 115 */
											BgL_test1851z00_2798 = ((bool_t) 0);
										}
								}
								if (BgL_test1851z00_2798)
									{	/* Isa/walk.scm 126 */
										bool_t BgL_test1853z00_2821;

										{	/* Isa/walk.scm 126 */
											BgL_typez00_bglt BgL_arg1419z00_2406;

											{	/* Isa/walk.scm 126 */
												obj_t BgL_arg1446z00_2407;

												BgL_arg1446z00_2407 =
													CAR(
													(((BgL_appz00_bglt) COBJECT(
																((BgL_appz00_bglt) BgL_nodez00_2369)))->
														BgL_argsz00));
												BgL_arg1419z00_2406 =
													BGl_uncastedzd2typeze70z35zzisa_walkz00((
														(BgL_nodez00_bglt) BgL_arg1446z00_2407));
											}
											{	/* Isa/walk.scm 126 */
												obj_t BgL_classz00_2408;

												BgL_classz00_2408 = BGl_tclassz00zzobject_classz00;
												{	/* Isa/walk.scm 126 */
													BgL_objectz00_bglt BgL_arg1858z00_2409;

													{	/* Isa/walk.scm 126 */
														obj_t BgL_tmpz00_2827;

														BgL_tmpz00_2827 =
															((obj_t)
															((BgL_objectz00_bglt) BgL_arg1419z00_2406));
														BgL_arg1858z00_2409 =
															(BgL_objectz00_bglt) (BgL_tmpz00_2827);
													}
													if (BGL_CONDEXPAND_ISA_ARCH64())
														{	/* Isa/walk.scm 126 */
															long BgL_idxz00_2410;

															BgL_idxz00_2410 =
																BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_2409);
															BgL_test1853z00_2821 =
																(VECTOR_REF
																(BGl_za2inheritancesza2z00zz__objectz00,
																	(BgL_idxz00_2410 + 2L)) == BgL_classz00_2408);
														}
													else
														{	/* Isa/walk.scm 126 */
															bool_t BgL_res1784z00_2413;

															{	/* Isa/walk.scm 126 */
																obj_t BgL_oclassz00_2414;

																{	/* Isa/walk.scm 126 */
																	obj_t BgL_arg1866z00_2415;
																	long BgL_arg1867z00_2416;

																	BgL_arg1866z00_2415 =
																		(BGl_za2classesza2z00zz__objectz00);
																	{	/* Isa/walk.scm 126 */
																		long BgL_arg1869z00_2417;

																		BgL_arg1869z00_2417 =
																			BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_2409);
																		BgL_arg1867z00_2416 =
																			(BgL_arg1869z00_2417 - OBJECT_TYPE);
																	}
																	BgL_oclassz00_2414 =
																		VECTOR_REF(BgL_arg1866z00_2415,
																		BgL_arg1867z00_2416);
																}
																{	/* Isa/walk.scm 126 */
																	bool_t BgL__ortest_1115z00_2418;

																	BgL__ortest_1115z00_2418 =
																		(BgL_classz00_2408 == BgL_oclassz00_2414);
																	if (BgL__ortest_1115z00_2418)
																		{	/* Isa/walk.scm 126 */
																			BgL_res1784z00_2413 =
																				BgL__ortest_1115z00_2418;
																		}
																	else
																		{	/* Isa/walk.scm 126 */
																			long BgL_odepthz00_2419;

																			{	/* Isa/walk.scm 126 */
																				obj_t BgL_arg1855z00_2420;

																				BgL_arg1855z00_2420 =
																					(BgL_oclassz00_2414);
																				BgL_odepthz00_2419 =
																					BGL_CLASS_DEPTH(BgL_arg1855z00_2420);
																			}
																			if ((2L < BgL_odepthz00_2419))
																				{	/* Isa/walk.scm 126 */
																					obj_t BgL_arg1853z00_2421;

																					{	/* Isa/walk.scm 126 */
																						obj_t BgL_arg1854z00_2422;

																						BgL_arg1854z00_2422 =
																							(BgL_oclassz00_2414);
																						BgL_arg1853z00_2421 =
																							BGL_CLASS_ANCESTORS_REF
																							(BgL_arg1854z00_2422, 2L);
																					}
																					BgL_res1784z00_2413 =
																						(BgL_arg1853z00_2421 ==
																						BgL_classz00_2408);
																				}
																			else
																				{	/* Isa/walk.scm 126 */
																					BgL_res1784z00_2413 = ((bool_t) 0);
																				}
																		}
																}
															}
															BgL_test1853z00_2821 = BgL_res1784z00_2413;
														}
												}
											}
										}
										if (BgL_test1853z00_2821)
											{	/* Isa/walk.scm 127 */
												BgL_refz00_bglt BgL_nfunz00_2423;

												{	/* Isa/walk.scm 127 */
													BgL_nodez00_bglt BgL_duplicated1130z00_2424;
													BgL_refz00_bglt BgL_new1128z00_2425;

													BgL_duplicated1130z00_2424 =
														((BgL_nodez00_bglt)
														(((BgL_appz00_bglt) COBJECT(
																	((BgL_appz00_bglt) BgL_nodez00_2369)))->
															BgL_funz00));
													{	/* Isa/walk.scm 127 */
														BgL_refz00_bglt BgL_new1131z00_2426;

														BgL_new1131z00_2426 =
															((BgL_refz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
																		BgL_refz00_bgl))));
														{	/* Isa/walk.scm 127 */
															long BgL_arg1417z00_2427;

															BgL_arg1417z00_2427 =
																BGL_CLASS_NUM(BGl_refz00zzast_nodez00);
															BGL_OBJECT_CLASS_NUM_SET(
																((BgL_objectz00_bglt) BgL_new1131z00_2426),
																BgL_arg1417z00_2427);
														}
														{	/* Isa/walk.scm 127 */
															BgL_objectz00_bglt BgL_tmpz00_2857;

															BgL_tmpz00_2857 =
																((BgL_objectz00_bglt) BgL_new1131z00_2426);
															BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2857, BFALSE);
														}
														((BgL_objectz00_bglt) BgL_new1131z00_2426);
														BgL_new1128z00_2425 = BgL_new1131z00_2426;
													}
													((((BgL_nodez00_bglt) COBJECT(
																	((BgL_nodez00_bglt) BgL_new1128z00_2425)))->
															BgL_locz00) =
														((obj_t) (((BgL_nodez00_bglt)
																	COBJECT(BgL_duplicated1130z00_2424))->
																BgL_locz00)), BUNSPEC);
													((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
																		BgL_new1128z00_2425)))->BgL_typez00) =
														((BgL_typez00_bglt) (((BgL_nodez00_bglt)
																	COBJECT(BgL_duplicated1130z00_2424))->
																BgL_typez00)), BUNSPEC);
													((((BgL_varz00_bglt) COBJECT(((BgL_varz00_bglt)
																		BgL_new1128z00_2425)))->BgL_variablez00) =
														((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
																BGl_za2isazd2objectzf2finalza2z20zzisa_walkz00)),
														BUNSPEC);
													BgL_nfunz00_2423 = BgL_new1128z00_2425;
												}
												{	/* Isa/walk.scm 129 */
													obj_t BgL_arg1406z00_2428;
													BgL_castz00_bglt BgL_arg1414z00_2429;

													BgL_arg1406z00_2428 =
														(((BgL_appz00_bglt) COBJECT(
																((BgL_appz00_bglt) BgL_nodez00_2369)))->
														BgL_argsz00);
													{	/* Isa/walk.scm 130 */
														BgL_castz00_bglt BgL_new1133z00_2430;

														{	/* Isa/walk.scm 130 */
															BgL_castz00_bglt BgL_new1132z00_2431;

															BgL_new1132z00_2431 =
																((BgL_castz00_bglt)
																BOBJECT(GC_MALLOC(sizeof(struct
																			BgL_castz00_bgl))));
															{	/* Isa/walk.scm 130 */
																long BgL_arg1416z00_2432;

																BgL_arg1416z00_2432 =
																	BGL_CLASS_NUM(BGl_castz00zzast_nodez00);
																BGL_OBJECT_CLASS_NUM_SET(
																	((BgL_objectz00_bglt) BgL_new1132z00_2431),
																	BgL_arg1416z00_2432);
															}
															{	/* Isa/walk.scm 130 */
																BgL_objectz00_bglt BgL_tmpz00_2876;

																BgL_tmpz00_2876 =
																	((BgL_objectz00_bglt) BgL_new1132z00_2431);
																BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2876,
																	BFALSE);
															}
															((BgL_objectz00_bglt) BgL_new1132z00_2431);
															BgL_new1133z00_2430 = BgL_new1132z00_2431;
														}
														((((BgL_nodez00_bglt) COBJECT(
																		((BgL_nodez00_bglt) BgL_new1133z00_2430)))->
																BgL_locz00) = ((obj_t) BFALSE), BUNSPEC);
														((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
																			BgL_new1133z00_2430)))->BgL_typez00) =
															((BgL_typez00_bglt) ((BgL_typez00_bglt)
																	BGl_getzd2objectzd2typez00zztype_cachez00())),
															BUNSPEC);
														{
															BgL_nodez00_bglt BgL_auxz00_2886;

															{	/* Isa/walk.scm 131 */
																obj_t BgL_pairz00_2433;

																BgL_pairz00_2433 =
																	(((BgL_appz00_bglt) COBJECT(
																			((BgL_appz00_bglt) BgL_nodez00_2369)))->
																	BgL_argsz00);
																BgL_auxz00_2886 =
																	((BgL_nodez00_bglt) CAR(BgL_pairz00_2433));
															}
															((((BgL_castz00_bglt)
																		COBJECT(BgL_new1133z00_2430))->BgL_argz00) =
																((BgL_nodez00_bglt) BgL_auxz00_2886), BUNSPEC);
														}
														BgL_arg1414z00_2429 = BgL_new1133z00_2430;
													}
													{	/* Isa/walk.scm 129 */
														obj_t BgL_auxz00_2894;
														obj_t BgL_tmpz00_2892;

														BgL_auxz00_2894 = ((obj_t) BgL_arg1414z00_2429);
														BgL_tmpz00_2892 = ((obj_t) BgL_arg1406z00_2428);
														SET_CAR(BgL_tmpz00_2892, BgL_auxz00_2894);
												}}
												((((BgL_appz00_bglt) COBJECT(
																((BgL_appz00_bglt) BgL_nodez00_2369)))->
														BgL_funz00) =
													((BgL_varz00_bglt) ((BgL_varz00_bglt)
															BgL_nfunz00_2423)), BUNSPEC);
											}
										else
											{	/* Isa/walk.scm 134 */
												BgL_refz00_bglt BgL_nfunz00_2434;

												{	/* Isa/walk.scm 134 */
													BgL_nodez00_bglt BgL_duplicated1137z00_2435;
													BgL_refz00_bglt BgL_new1135z00_2436;

													BgL_duplicated1137z00_2435 =
														((BgL_nodez00_bglt)
														(((BgL_appz00_bglt) COBJECT(
																	((BgL_appz00_bglt) BgL_nodez00_2369)))->
															BgL_funz00));
													{	/* Isa/walk.scm 134 */
														BgL_refz00_bglt BgL_new1138z00_2437;

														BgL_new1138z00_2437 =
															((BgL_refz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
																		BgL_refz00_bgl))));
														{	/* Isa/walk.scm 134 */
															long BgL_arg1418z00_2438;

															BgL_arg1418z00_2438 =
																BGL_CLASS_NUM(BGl_refz00zzast_nodez00);
															BGL_OBJECT_CLASS_NUM_SET(
																((BgL_objectz00_bglt) BgL_new1138z00_2437),
																BgL_arg1418z00_2438);
														}
														{	/* Isa/walk.scm 134 */
															BgL_objectz00_bglt BgL_tmpz00_2907;

															BgL_tmpz00_2907 =
																((BgL_objectz00_bglt) BgL_new1138z00_2437);
															BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2907, BFALSE);
														}
														((BgL_objectz00_bglt) BgL_new1138z00_2437);
														BgL_new1135z00_2436 = BgL_new1138z00_2437;
													}
													((((BgL_nodez00_bglt) COBJECT(
																	((BgL_nodez00_bglt) BgL_new1135z00_2436)))->
															BgL_locz00) =
														((obj_t) (((BgL_nodez00_bglt)
																	COBJECT(BgL_duplicated1137z00_2435))->
																BgL_locz00)), BUNSPEC);
													((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
																		BgL_new1135z00_2436)))->BgL_typez00) =
														((BgL_typez00_bglt) (((BgL_nodez00_bglt)
																	COBJECT(BgL_duplicated1137z00_2435))->
																BgL_typez00)), BUNSPEC);
													((((BgL_varz00_bglt) COBJECT(((BgL_varz00_bglt)
																		BgL_new1135z00_2436)))->BgL_variablez00) =
														((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
																BGl_za2isazf2finalza2zf2zzisa_walkz00)),
														BUNSPEC);
													BgL_nfunz00_2434 = BgL_new1135z00_2436;
												}
												((((BgL_appz00_bglt) COBJECT(
																((BgL_appz00_bglt) BgL_nodez00_2369)))->
														BgL_funz00) =
													((BgL_varz00_bglt) ((BgL_varz00_bglt)
															BgL_nfunz00_2434)), BUNSPEC);
									}}
								else
									{	/* Isa/walk.scm 137 */
										bool_t BgL_test1860z00_2923;

										{	/* Isa/walk.scm 137 */
											long BgL_a1287z00_2439;

											{
												BgL_tclassz00_bglt BgL_auxz00_2924;

												{
													obj_t BgL_auxz00_2925;

													{	/* Isa/walk.scm 137 */
														BgL_objectz00_bglt BgL_tmpz00_2926;

														BgL_tmpz00_2926 =
															((BgL_objectz00_bglt)
															((BgL_typez00_bglt) BgL_typz00_2405));
														BgL_auxz00_2925 =
															BGL_OBJECT_WIDENING(BgL_tmpz00_2926);
													}
													BgL_auxz00_2924 =
														((BgL_tclassz00_bglt) BgL_auxz00_2925);
												}
												BgL_a1287z00_2439 =
													(((BgL_tclassz00_bglt) COBJECT(BgL_auxz00_2924))->
													BgL_depthz00);
											}
											{	/* Isa/walk.scm 137 */
												obj_t BgL_b1288z00_2440;

												BgL_b1288z00_2440 =
													BGl_bigloozd2configzd2zz__configurez00(
													((obj_t) CNST_TABLE_REF(9)));
												{	/* Isa/walk.scm 137 */

													if (INTEGERP(BgL_b1288z00_2440))
														{	/* Isa/walk.scm 137 */
															BgL_test1860z00_2923 =
																(BgL_a1287z00_2439 <
																(long) CINT(BgL_b1288z00_2440));
														}
													else
														{	/* Isa/walk.scm 137 */
															BgL_test1860z00_2923 =
																BGl_2zc3zc3zz__r4_numbers_6_5z00(BINT
																(BgL_a1287z00_2439), BgL_b1288z00_2440);
														}
												}
											}
										}
										if (BgL_test1860z00_2923)
											{	/* Isa/walk.scm 138 */
												bool_t BgL_test1862z00_2941;

												{	/* Isa/walk.scm 138 */
													BgL_typez00_bglt BgL_arg1553z00_2441;

													{	/* Isa/walk.scm 138 */
														obj_t BgL_arg1554z00_2442;

														BgL_arg1554z00_2442 =
															CAR(
															(((BgL_appz00_bglt) COBJECT(
																		((BgL_appz00_bglt) BgL_nodez00_2369)))->
																BgL_argsz00));
														BgL_arg1553z00_2441 =
															BGl_uncastedzd2typeze70z35zzisa_walkz00((
																(BgL_nodez00_bglt) BgL_arg1554z00_2442));
													}
													{	/* Isa/walk.scm 138 */
														obj_t BgL_classz00_2443;

														BgL_classz00_2443 = BGl_tclassz00zzobject_classz00;
														{	/* Isa/walk.scm 138 */
															BgL_objectz00_bglt BgL_arg1858z00_2444;

															{	/* Isa/walk.scm 138 */
																obj_t BgL_tmpz00_2947;

																BgL_tmpz00_2947 =
																	((obj_t)
																	((BgL_objectz00_bglt) BgL_arg1553z00_2441));
																BgL_arg1858z00_2444 =
																	(BgL_objectz00_bglt) (BgL_tmpz00_2947);
															}
															if (BGL_CONDEXPAND_ISA_ARCH64())
																{	/* Isa/walk.scm 138 */
																	long BgL_idxz00_2445;

																	BgL_idxz00_2445 =
																		BGL_OBJECT_INHERITANCE_NUM
																		(BgL_arg1858z00_2444);
																	BgL_test1862z00_2941 =
																		(VECTOR_REF
																		(BGl_za2inheritancesza2z00zz__objectz00,
																			(BgL_idxz00_2445 + 2L)) ==
																		BgL_classz00_2443);
																}
															else
																{	/* Isa/walk.scm 138 */
																	bool_t BgL_res1785z00_2448;

																	{	/* Isa/walk.scm 138 */
																		obj_t BgL_oclassz00_2449;

																		{	/* Isa/walk.scm 138 */
																			obj_t BgL_arg1866z00_2450;
																			long BgL_arg1867z00_2451;

																			BgL_arg1866z00_2450 =
																				(BGl_za2classesza2z00zz__objectz00);
																			{	/* Isa/walk.scm 138 */
																				long BgL_arg1869z00_2452;

																				BgL_arg1869z00_2452 =
																					BGL_OBJECT_CLASS_NUM
																					(BgL_arg1858z00_2444);
																				BgL_arg1867z00_2451 =
																					(BgL_arg1869z00_2452 - OBJECT_TYPE);
																			}
																			BgL_oclassz00_2449 =
																				VECTOR_REF(BgL_arg1866z00_2450,
																				BgL_arg1867z00_2451);
																		}
																		{	/* Isa/walk.scm 138 */
																			bool_t BgL__ortest_1115z00_2453;

																			BgL__ortest_1115z00_2453 =
																				(BgL_classz00_2443 ==
																				BgL_oclassz00_2449);
																			if (BgL__ortest_1115z00_2453)
																				{	/* Isa/walk.scm 138 */
																					BgL_res1785z00_2448 =
																						BgL__ortest_1115z00_2453;
																				}
																			else
																				{	/* Isa/walk.scm 138 */
																					long BgL_odepthz00_2454;

																					{	/* Isa/walk.scm 138 */
																						obj_t BgL_arg1855z00_2455;

																						BgL_arg1855z00_2455 =
																							(BgL_oclassz00_2449);
																						BgL_odepthz00_2454 =
																							BGL_CLASS_DEPTH
																							(BgL_arg1855z00_2455);
																					}
																					if ((2L < BgL_odepthz00_2454))
																						{	/* Isa/walk.scm 138 */
																							obj_t BgL_arg1853z00_2456;

																							{	/* Isa/walk.scm 138 */
																								obj_t BgL_arg1854z00_2457;

																								BgL_arg1854z00_2457 =
																									(BgL_oclassz00_2449);
																								BgL_arg1853z00_2456 =
																									BGL_CLASS_ANCESTORS_REF
																									(BgL_arg1854z00_2457, 2L);
																							}
																							BgL_res1785z00_2448 =
																								(BgL_arg1853z00_2456 ==
																								BgL_classz00_2443);
																						}
																					else
																						{	/* Isa/walk.scm 138 */
																							BgL_res1785z00_2448 =
																								((bool_t) 0);
																						}
																				}
																		}
																	}
																	BgL_test1862z00_2941 = BgL_res1785z00_2448;
																}
														}
													}
												}
												if (BgL_test1862z00_2941)
													{	/* Isa/walk.scm 139 */
														BgL_refz00_bglt BgL_nfunz00_2458;
														BgL_literalz00_bglt BgL_depthz00_2459;
														BgL_castz00_bglt BgL_arg0z00_2460;

														{	/* Isa/walk.scm 139 */
															BgL_nodez00_bglt BgL_duplicated1141z00_2461;
															BgL_refz00_bglt BgL_new1139z00_2462;

															BgL_duplicated1141z00_2461 =
																((BgL_nodez00_bglt)
																(((BgL_appz00_bglt) COBJECT(
																			((BgL_appz00_bglt) BgL_nodez00_2369)))->
																	BgL_funz00));
															{	/* Isa/walk.scm 139 */
																BgL_refz00_bglt BgL_new1142z00_2463;

																BgL_new1142z00_2463 =
																	((BgL_refz00_bglt)
																	BOBJECT(GC_MALLOC(sizeof(struct
																				BgL_refz00_bgl))));
																{	/* Isa/walk.scm 139 */
																	long BgL_arg1511z00_2464;

																	BgL_arg1511z00_2464 =
																		BGL_CLASS_NUM(BGl_refz00zzast_nodez00);
																	BGL_OBJECT_CLASS_NUM_SET(
																		((BgL_objectz00_bglt) BgL_new1142z00_2463),
																		BgL_arg1511z00_2464);
																}
																{	/* Isa/walk.scm 139 */
																	BgL_objectz00_bglt BgL_tmpz00_2977;

																	BgL_tmpz00_2977 =
																		((BgL_objectz00_bglt) BgL_new1142z00_2463);
																	BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2977,
																		BFALSE);
																}
																((BgL_objectz00_bglt) BgL_new1142z00_2463);
																BgL_new1139z00_2462 = BgL_new1142z00_2463;
															}
															((((BgL_nodez00_bglt) COBJECT(
																			((BgL_nodez00_bglt)
																				BgL_new1139z00_2462)))->BgL_locz00) =
																((obj_t) (((BgL_nodez00_bglt)
																			COBJECT(BgL_duplicated1141z00_2461))->
																		BgL_locz00)), BUNSPEC);
															((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
																				BgL_new1139z00_2462)))->BgL_typez00) =
																((BgL_typez00_bglt) (((BgL_nodez00_bglt)
																			COBJECT(BgL_duplicated1141z00_2461))->
																		BgL_typez00)), BUNSPEC);
															((((BgL_varz00_bglt) COBJECT(((BgL_varz00_bglt)
																				BgL_new1139z00_2462)))->
																	BgL_variablez00) =
																((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
																		BGl_za2isazd2objectzf2cdepthza2z20zzisa_walkz00)),
																BUNSPEC);
															BgL_nfunz00_2458 = BgL_new1139z00_2462;
														}
														{	/* Isa/walk.scm 141 */
															BgL_literalz00_bglt BgL_new1144z00_2465;

															{	/* Isa/walk.scm 142 */
																BgL_literalz00_bglt BgL_new1143z00_2466;

																BgL_new1143z00_2466 =
																	((BgL_literalz00_bglt)
																	BOBJECT(GC_MALLOC(sizeof(struct
																				BgL_literalz00_bgl))));
																{	/* Isa/walk.scm 142 */
																	long BgL_arg1513z00_2467;

																	BgL_arg1513z00_2467 =
																		BGL_CLASS_NUM(BGl_literalz00zzast_nodez00);
																	BGL_OBJECT_CLASS_NUM_SET(
																		((BgL_objectz00_bglt) BgL_new1143z00_2466),
																		BgL_arg1513z00_2467);
																}
																{	/* Isa/walk.scm 142 */
																	BgL_objectz00_bglt BgL_tmpz00_2994;

																	BgL_tmpz00_2994 =
																		((BgL_objectz00_bglt) BgL_new1143z00_2466);
																	BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2994,
																		BFALSE);
																}
																((BgL_objectz00_bglt) BgL_new1143z00_2466);
																BgL_new1144z00_2465 = BgL_new1143z00_2466;
															}
															((((BgL_nodez00_bglt) COBJECT(
																			((BgL_nodez00_bglt)
																				BgL_new1144z00_2465)))->BgL_locz00) =
																((obj_t) (((BgL_nodez00_bglt)
																			COBJECT(((BgL_nodez00_bglt) (
																						(BgL_appz00_bglt)
																						BgL_nodez00_2369))))->BgL_locz00)),
																BUNSPEC);
															{
																BgL_typez00_bglt BgL_auxz00_3003;

																{	/* Isa/walk.scm 143 */
																	long BgL_arg1512z00_2468;

																	{
																		BgL_tclassz00_bglt BgL_auxz00_3005;

																		{
																			obj_t BgL_auxz00_3006;

																			{	/* Isa/walk.scm 143 */
																				BgL_objectz00_bglt BgL_tmpz00_3007;

																				BgL_tmpz00_3007 =
																					((BgL_objectz00_bglt)
																					((BgL_typez00_bglt) BgL_typz00_2405));
																				BgL_auxz00_3006 =
																					BGL_OBJECT_WIDENING(BgL_tmpz00_3007);
																			}
																			BgL_auxz00_3005 =
																				((BgL_tclassz00_bglt) BgL_auxz00_3006);
																		}
																		BgL_arg1512z00_2468 =
																			(((BgL_tclassz00_bglt)
																				COBJECT(BgL_auxz00_3005))->
																			BgL_depthz00);
																	}
																	BgL_auxz00_3003 =
																		BGl_getzd2typezd2atomz00zztype_typeofz00
																		(BINT(BgL_arg1512z00_2468));
																}
																((((BgL_nodez00_bglt) COBJECT(
																				((BgL_nodez00_bglt)
																					BgL_new1144z00_2465)))->BgL_typez00) =
																	((BgL_typez00_bglt) BgL_auxz00_3003),
																	BUNSPEC);
															}
															{
																obj_t BgL_auxz00_3016;

																{	/* Isa/walk.scm 144 */
																	long BgL_tmpz00_3018;

																	{
																		BgL_tclassz00_bglt BgL_auxz00_3019;

																		{
																			obj_t BgL_auxz00_3020;

																			{	/* Isa/walk.scm 144 */
																				BgL_objectz00_bglt BgL_tmpz00_3021;

																				BgL_tmpz00_3021 =
																					((BgL_objectz00_bglt)
																					((BgL_typez00_bglt) BgL_typz00_2405));
																				BgL_auxz00_3020 =
																					BGL_OBJECT_WIDENING(BgL_tmpz00_3021);
																			}
																			BgL_auxz00_3019 =
																				((BgL_tclassz00_bglt) BgL_auxz00_3020);
																		}
																		BgL_tmpz00_3018 =
																			(((BgL_tclassz00_bglt)
																				COBJECT(BgL_auxz00_3019))->
																			BgL_depthz00);
																	}
																	BgL_auxz00_3016 = BINT(BgL_tmpz00_3018);
																}
																((((BgL_atomz00_bglt) COBJECT(
																				((BgL_atomz00_bglt)
																					BgL_new1144z00_2465)))->
																		BgL_valuez00) =
																	((obj_t) BgL_auxz00_3016), BUNSPEC);
															}
															BgL_depthz00_2459 = BgL_new1144z00_2465;
														}
														{	/* Isa/walk.scm 145 */
															BgL_castz00_bglt BgL_new1146z00_2469;

															{	/* Isa/walk.scm 145 */
																BgL_castz00_bglt BgL_new1145z00_2470;

																BgL_new1145z00_2470 =
																	((BgL_castz00_bglt)
																	BOBJECT(GC_MALLOC(sizeof(struct
																				BgL_castz00_bgl))));
																{	/* Isa/walk.scm 145 */
																	long BgL_arg1516z00_2471;

																	BgL_arg1516z00_2471 =
																		BGL_CLASS_NUM(BGl_castz00zzast_nodez00);
																	BGL_OBJECT_CLASS_NUM_SET(
																		((BgL_objectz00_bglt) BgL_new1145z00_2470),
																		BgL_arg1516z00_2471);
																}
																{	/* Isa/walk.scm 145 */
																	BgL_objectz00_bglt BgL_tmpz00_3033;

																	BgL_tmpz00_3033 =
																		((BgL_objectz00_bglt) BgL_new1145z00_2470);
																	BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3033,
																		BFALSE);
																}
																((BgL_objectz00_bglt) BgL_new1145z00_2470);
																BgL_new1146z00_2469 = BgL_new1145z00_2470;
															}
															((((BgL_nodez00_bglt) COBJECT(
																			((BgL_nodez00_bglt)
																				BgL_new1146z00_2469)))->BgL_locz00) =
																((obj_t) BFALSE), BUNSPEC);
															((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
																				BgL_new1146z00_2469)))->BgL_typez00) =
																((BgL_typez00_bglt) ((BgL_typez00_bglt)
																		BGl_getzd2objectzd2typez00zztype_cachez00
																		())), BUNSPEC);
															{
																BgL_nodez00_bglt BgL_auxz00_3043;

																{	/* Isa/walk.scm 146 */
																	obj_t BgL_pairz00_2472;

																	BgL_pairz00_2472 =
																		(((BgL_appz00_bglt) COBJECT(
																				((BgL_appz00_bglt) BgL_nodez00_2369)))->
																		BgL_argsz00);
																	BgL_auxz00_3043 =
																		((BgL_nodez00_bglt) CAR(BgL_pairz00_2472));
																}
																((((BgL_castz00_bglt)
																			COBJECT(BgL_new1146z00_2469))->
																		BgL_argz00) =
																	((BgL_nodez00_bglt) BgL_auxz00_3043),
																	BUNSPEC);
															}
															BgL_arg0z00_2460 = BgL_new1146z00_2469;
														}
														((((BgL_appz00_bglt) COBJECT(
																		((BgL_appz00_bglt) BgL_nodez00_2369)))->
																BgL_funz00) =
															((BgL_varz00_bglt) ((BgL_varz00_bglt)
																	BgL_nfunz00_2458)), BUNSPEC);
														{
															obj_t BgL_auxz00_3052;

															{	/* Isa/walk.scm 149 */
																obj_t BgL_arg1487z00_2473;

																{	/* Isa/walk.scm 149 */
																	obj_t BgL_pairz00_2474;

																	BgL_pairz00_2474 =
																		(((BgL_appz00_bglt) COBJECT(
																				((BgL_appz00_bglt) BgL_nodez00_2369)))->
																		BgL_argsz00);
																	{	/* Isa/walk.scm 149 */
																		obj_t BgL_pairz00_2475;

																		BgL_pairz00_2475 = CDR(BgL_pairz00_2474);
																		BgL_arg1487z00_2473 = CAR(BgL_pairz00_2475);
																}}
																{	/* Isa/walk.scm 149 */
																	obj_t BgL_list1488z00_2476;

																	{	/* Isa/walk.scm 149 */
																		obj_t BgL_arg1489z00_2477;

																		{	/* Isa/walk.scm 149 */
																			obj_t BgL_arg1490z00_2478;

																			BgL_arg1490z00_2478 =
																				MAKE_YOUNG_PAIR(
																				((obj_t) BgL_depthz00_2459), BNIL);
																			BgL_arg1489z00_2477 =
																				MAKE_YOUNG_PAIR(BgL_arg1487z00_2473,
																				BgL_arg1490z00_2478);
																		}
																		BgL_list1488z00_2476 =
																			MAKE_YOUNG_PAIR(
																			((obj_t) BgL_arg0z00_2460),
																			BgL_arg1489z00_2477);
																	}
																	BgL_auxz00_3052 = BgL_list1488z00_2476;
															}}
															((((BgL_appz00_bglt) COBJECT(
																			((BgL_appz00_bglt) BgL_nodez00_2369)))->
																	BgL_argsz00) =
																((obj_t) BgL_auxz00_3052), BUNSPEC);
													}}
												else
													{	/* Isa/walk.scm 150 */
														BgL_refz00_bglt BgL_nfunz00_2479;

														{	/* Isa/walk.scm 150 */
															BgL_nodez00_bglt BgL_duplicated1149z00_2480;
															BgL_refz00_bglt BgL_new1147z00_2481;

															BgL_duplicated1149z00_2480 =
																((BgL_nodez00_bglt)
																(((BgL_appz00_bglt) COBJECT(
																			((BgL_appz00_bglt) BgL_nodez00_2369)))->
																	BgL_funz00));
															{	/* Isa/walk.scm 150 */
																BgL_refz00_bglt BgL_new1150z00_2482;

																BgL_new1150z00_2482 =
																	((BgL_refz00_bglt)
																	BOBJECT(GC_MALLOC(sizeof(struct
																				BgL_refz00_bgl))));
																{	/* Isa/walk.scm 150 */
																	long BgL_arg1545z00_2483;

																	BgL_arg1545z00_2483 =
																		BGL_CLASS_NUM(BGl_refz00zzast_nodez00);
																	BGL_OBJECT_CLASS_NUM_SET(
																		((BgL_objectz00_bglt) BgL_new1150z00_2482),
																		BgL_arg1545z00_2483);
																}
																{	/* Isa/walk.scm 150 */
																	BgL_objectz00_bglt BgL_tmpz00_3071;

																	BgL_tmpz00_3071 =
																		((BgL_objectz00_bglt) BgL_new1150z00_2482);
																	BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3071,
																		BFALSE);
																}
																((BgL_objectz00_bglt) BgL_new1150z00_2482);
																BgL_new1147z00_2481 = BgL_new1150z00_2482;
															}
															((((BgL_nodez00_bglt) COBJECT(
																			((BgL_nodez00_bglt)
																				BgL_new1147z00_2481)))->BgL_locz00) =
																((obj_t) (((BgL_nodez00_bglt)
																			COBJECT(BgL_duplicated1149z00_2480))->
																		BgL_locz00)), BUNSPEC);
															((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
																				BgL_new1147z00_2481)))->BgL_typez00) =
																((BgL_typez00_bglt) (((BgL_nodez00_bglt)
																			COBJECT(BgL_duplicated1149z00_2480))->
																		BgL_typez00)), BUNSPEC);
															((((BgL_varz00_bglt) COBJECT(((BgL_varz00_bglt)
																				BgL_new1147z00_2481)))->
																	BgL_variablez00) =
																((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
																		BGl_za2isazf2cdepthza2zf2zzisa_walkz00)),
																BUNSPEC);
															BgL_nfunz00_2479 = BgL_new1147z00_2481;
														}
														{	/* Isa/walk.scm 150 */
															BgL_literalz00_bglt BgL_depthz00_2484;

															{	/* Isa/walk.scm 152 */
																BgL_literalz00_bglt BgL_new1152z00_2485;

																{	/* Isa/walk.scm 153 */
																	BgL_literalz00_bglt BgL_new1151z00_2486;

																	BgL_new1151z00_2486 =
																		((BgL_literalz00_bglt)
																		BOBJECT(GC_MALLOC(sizeof(struct
																					BgL_literalz00_bgl))));
																	{	/* Isa/walk.scm 153 */
																		long BgL_arg1543z00_2487;

																		BgL_arg1543z00_2487 =
																			BGL_CLASS_NUM
																			(BGl_literalz00zzast_nodez00);
																		BGL_OBJECT_CLASS_NUM_SET((
																				(BgL_objectz00_bglt)
																				BgL_new1151z00_2486),
																			BgL_arg1543z00_2487);
																	}
																	{	/* Isa/walk.scm 153 */
																		BgL_objectz00_bglt BgL_tmpz00_3088;

																		BgL_tmpz00_3088 =
																			((BgL_objectz00_bglt)
																			BgL_new1151z00_2486);
																		BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3088,
																			BFALSE);
																	}
																	((BgL_objectz00_bglt) BgL_new1151z00_2486);
																	BgL_new1152z00_2485 = BgL_new1151z00_2486;
																}
																((((BgL_nodez00_bglt) COBJECT(
																				((BgL_nodez00_bglt)
																					BgL_new1152z00_2485)))->BgL_locz00) =
																	((obj_t) (((BgL_nodez00_bglt)
																				COBJECT(((BgL_nodez00_bglt) (
																							(BgL_appz00_bglt)
																							BgL_nodez00_2369))))->
																			BgL_locz00)), BUNSPEC);
																{
																	BgL_typez00_bglt BgL_auxz00_3097;

																	{	/* Isa/walk.scm 154 */
																		long BgL_arg1535z00_2488;

																		{
																			BgL_tclassz00_bglt BgL_auxz00_3099;

																			{
																				obj_t BgL_auxz00_3100;

																				{	/* Isa/walk.scm 154 */
																					BgL_objectz00_bglt BgL_tmpz00_3101;

																					BgL_tmpz00_3101 =
																						((BgL_objectz00_bglt)
																						((BgL_typez00_bglt)
																							BgL_typz00_2405));
																					BgL_auxz00_3100 =
																						BGL_OBJECT_WIDENING
																						(BgL_tmpz00_3101);
																				}
																				BgL_auxz00_3099 =
																					((BgL_tclassz00_bglt)
																					BgL_auxz00_3100);
																			}
																			BgL_arg1535z00_2488 =
																				(((BgL_tclassz00_bglt)
																					COBJECT(BgL_auxz00_3099))->
																				BgL_depthz00);
																		}
																		BgL_auxz00_3097 =
																			BGl_getzd2typezd2atomz00zztype_typeofz00
																			(BINT(BgL_arg1535z00_2488));
																	}
																	((((BgL_nodez00_bglt) COBJECT(
																					((BgL_nodez00_bglt)
																						BgL_new1152z00_2485)))->
																			BgL_typez00) =
																		((BgL_typez00_bglt) BgL_auxz00_3097),
																		BUNSPEC);
																}
																{
																	obj_t BgL_auxz00_3110;

																	{	/* Isa/walk.scm 155 */
																		long BgL_tmpz00_3112;

																		{
																			BgL_tclassz00_bglt BgL_auxz00_3113;

																			{
																				obj_t BgL_auxz00_3114;

																				{	/* Isa/walk.scm 155 */
																					BgL_objectz00_bglt BgL_tmpz00_3115;

																					BgL_tmpz00_3115 =
																						((BgL_objectz00_bglt)
																						((BgL_typez00_bglt)
																							BgL_typz00_2405));
																					BgL_auxz00_3114 =
																						BGL_OBJECT_WIDENING
																						(BgL_tmpz00_3115);
																				}
																				BgL_auxz00_3113 =
																					((BgL_tclassz00_bglt)
																					BgL_auxz00_3114);
																			}
																			BgL_tmpz00_3112 =
																				(((BgL_tclassz00_bglt)
																					COBJECT(BgL_auxz00_3113))->
																				BgL_depthz00);
																		}
																		BgL_auxz00_3110 = BINT(BgL_tmpz00_3112);
																	}
																	((((BgL_atomz00_bglt) COBJECT(
																					((BgL_atomz00_bglt)
																						BgL_new1152z00_2485)))->
																			BgL_valuez00) =
																		((obj_t) BgL_auxz00_3110), BUNSPEC);
																}
																BgL_depthz00_2484 = BgL_new1152z00_2485;
															}
															{	/* Isa/walk.scm 152 */

																((((BgL_appz00_bglt) COBJECT(
																				((BgL_appz00_bglt) BgL_nodez00_2369)))->
																		BgL_funz00) =
																	((BgL_varz00_bglt) ((BgL_varz00_bglt)
																			BgL_nfunz00_2479)), BUNSPEC);
																{
																	obj_t BgL_auxz00_3126;

																	{	/* Isa/walk.scm 157 */
																		obj_t BgL_arg1530z00_2489;
																		obj_t BgL_arg1532z00_2490;

																		BgL_arg1530z00_2489 =
																			(((BgL_appz00_bglt) COBJECT(
																					((BgL_appz00_bglt)
																						BgL_nodez00_2369)))->BgL_argsz00);
																		{	/* Isa/walk.scm 157 */
																			obj_t BgL_list1533z00_2491;

																			BgL_list1533z00_2491 =
																				MAKE_YOUNG_PAIR(
																				((obj_t) BgL_depthz00_2484), BNIL);
																			BgL_arg1532z00_2490 =
																				BgL_list1533z00_2491;
																		}
																		BgL_auxz00_3126 =
																			BGl_appendzd221011zd2zzisa_walkz00
																			(BgL_arg1530z00_2489,
																			BgL_arg1532z00_2490);
																	}
																	((((BgL_appz00_bglt) COBJECT(
																					((BgL_appz00_bglt)
																						BgL_nodez00_2369)))->BgL_argsz00) =
																		((obj_t) BgL_auxz00_3126), BUNSPEC);
											}}}}}
										else
											{	/* Isa/walk.scm 137 */
												BFALSE;
											}
									}
							}
							return ((BgL_nodez00_bglt) ((BgL_appz00_bglt) BgL_nodez00_2369));
						}
					else
						{	/* Isa/walk.scm 119 */
							return
								BGl_walk0z12z12zzast_walkz00(
								((BgL_nodez00_bglt)
									((BgL_appz00_bglt) BgL_nodez00_2369)),
								BGl_isaz12zd2envzc0zzisa_walkz00);
						}
				}
			}
		}

	}



/* uncasted-type~0 */
	BgL_typez00_bglt BGl_uncastedzd2typeze70z35zzisa_walkz00(BgL_nodez00_bglt
		BgL_nodez00_1788)
	{
		{	/* Isa/walk.scm 112 */
			{	/* Isa/walk.scm 109 */
				bool_t BgL_test1866z00_3139;

				{	/* Isa/walk.scm 109 */
					obj_t BgL_classz00_2120;

					BgL_classz00_2120 = BGl_castz00zzast_nodez00;
					{	/* Isa/walk.scm 109 */
						BgL_objectz00_bglt BgL_arg1858z00_2122;

						{	/* Isa/walk.scm 109 */
							obj_t BgL_tmpz00_3140;

							BgL_tmpz00_3140 = ((obj_t) BgL_nodez00_1788);
							BgL_arg1858z00_2122 = (BgL_objectz00_bglt) (BgL_tmpz00_3140);
						}
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Isa/walk.scm 109 */
								long BgL_idxz00_2128;

								BgL_idxz00_2128 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_2122);
								BgL_test1866z00_3139 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_2128 + 2L)) == BgL_classz00_2120);
							}
						else
							{	/* Isa/walk.scm 109 */
								bool_t BgL_res1783z00_2153;

								{	/* Isa/walk.scm 109 */
									obj_t BgL_oclassz00_2136;

									{	/* Isa/walk.scm 109 */
										obj_t BgL_arg1866z00_2144;
										long BgL_arg1867z00_2145;

										BgL_arg1866z00_2144 = (BGl_za2classesza2z00zz__objectz00);
										{	/* Isa/walk.scm 109 */
											long BgL_arg1869z00_2146;

											BgL_arg1869z00_2146 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_2122);
											BgL_arg1867z00_2145 = (BgL_arg1869z00_2146 - OBJECT_TYPE);
										}
										BgL_oclassz00_2136 =
											VECTOR_REF(BgL_arg1866z00_2144, BgL_arg1867z00_2145);
									}
									{	/* Isa/walk.scm 109 */
										bool_t BgL__ortest_1115z00_2137;

										BgL__ortest_1115z00_2137 =
											(BgL_classz00_2120 == BgL_oclassz00_2136);
										if (BgL__ortest_1115z00_2137)
											{	/* Isa/walk.scm 109 */
												BgL_res1783z00_2153 = BgL__ortest_1115z00_2137;
											}
										else
											{	/* Isa/walk.scm 109 */
												long BgL_odepthz00_2138;

												{	/* Isa/walk.scm 109 */
													obj_t BgL_arg1855z00_2139;

													BgL_arg1855z00_2139 = (BgL_oclassz00_2136);
													BgL_odepthz00_2138 =
														BGL_CLASS_DEPTH(BgL_arg1855z00_2139);
												}
												if ((2L < BgL_odepthz00_2138))
													{	/* Isa/walk.scm 109 */
														obj_t BgL_arg1853z00_2141;

														{	/* Isa/walk.scm 109 */
															obj_t BgL_arg1854z00_2142;

															BgL_arg1854z00_2142 = (BgL_oclassz00_2136);
															BgL_arg1853z00_2141 =
																BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_2142,
																2L);
														}
														BgL_res1783z00_2153 =
															(BgL_arg1853z00_2141 == BgL_classz00_2120);
													}
												else
													{	/* Isa/walk.scm 109 */
														BgL_res1783z00_2153 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_test1866z00_3139 = BgL_res1783z00_2153;
							}
					}
				}
				if (BgL_test1866z00_3139)
					{	/* Isa/walk.scm 109 */
						return
							(((BgL_nodez00_bglt) COBJECT(
									(((BgL_castz00_bglt) COBJECT(
												((BgL_castz00_bglt) BgL_nodez00_1788)))->BgL_argz00)))->
							BgL_typez00);
					}
				else
					{	/* Isa/walk.scm 109 */
						return
							(((BgL_nodez00_bglt) COBJECT(BgL_nodez00_1788))->BgL_typez00);
					}
			}
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzisa_walkz00(void)
	{
		{	/* Isa/walk.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_speekz00(61247943L,
				BSTRING_TO_STRING(BGl_string1802z00zzisa_walkz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(300504031L,
				BSTRING_TO_STRING(BGl_string1802z00zzisa_walkz00));
			BGl_modulezd2initializa7ationz75zzengine_passz00(373082237L,
				BSTRING_TO_STRING(BGl_string1802z00zzisa_walkz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(515343395L,
				BSTRING_TO_STRING(BGl_string1802z00zzisa_walkz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(90839984L,
				BSTRING_TO_STRING(BGl_string1802z00zzisa_walkz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(469732712L,
				BSTRING_TO_STRING(BGl_string1802z00zzisa_walkz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(365925558L,
				BSTRING_TO_STRING(BGl_string1802z00zzisa_walkz00));
			BGl_modulezd2initializa7ationz75zztools_locationz00(462333240L,
				BSTRING_TO_STRING(BGl_string1802z00zzisa_walkz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(489890788L,
				BSTRING_TO_STRING(BGl_string1802z00zzisa_walkz00));
			BGl_modulezd2initializa7ationz75zztype_miscz00(49975086L,
				BSTRING_TO_STRING(BGl_string1802z00zzisa_walkz00));
			BGl_modulezd2initializa7ationz75zztype_typeofz00(398780265L,
				BSTRING_TO_STRING(BGl_string1802z00zzisa_walkz00));
			BGl_modulezd2initializa7ationz75zztype_envz00(296457443L,
				BSTRING_TO_STRING(BGl_string1802z00zzisa_walkz00));
			BGl_modulezd2initializa7ationz75zzast_identz00(174885617L,
				BSTRING_TO_STRING(BGl_string1802z00zzisa_walkz00));
			BGl_modulezd2initializa7ationz75zzast_localz00(315247917L,
				BSTRING_TO_STRING(BGl_string1802z00zzisa_walkz00));
			BGl_modulezd2initializa7ationz75zzast_envz00(146730773L,
				BSTRING_TO_STRING(BGl_string1802z00zzisa_walkz00));
			BGl_modulezd2initializa7ationz75zzast_sexpz00(163122759L,
				BSTRING_TO_STRING(BGl_string1802z00zzisa_walkz00));
			BGl_modulezd2initializa7ationz75zzast_privatez00(135263837L,
				BSTRING_TO_STRING(BGl_string1802z00zzisa_walkz00));
			BGl_modulezd2initializa7ationz75zzast_lvtypez00(189769752L,
				BSTRING_TO_STRING(BGl_string1802z00zzisa_walkz00));
			BGl_modulezd2initializa7ationz75zzast_dumpz00(271707717L,
				BSTRING_TO_STRING(BGl_string1802z00zzisa_walkz00));
			BGl_modulezd2initializa7ationz75zzast_walkz00(343174225L,
				BSTRING_TO_STRING(BGl_string1802z00zzisa_walkz00));
			BGl_modulezd2initializa7ationz75zzobject_classz00(502007119L,
				BSTRING_TO_STRING(BGl_string1802z00zzisa_walkz00));
			return
				BGl_modulezd2initializa7ationz75zzengine_paramz00(161876678L,
				BSTRING_TO_STRING(BGl_string1802z00zzisa_walkz00));
		}

	}

#ifdef __cplusplus
}
#endif
