/*===========================================================================*/
/*   (Liveness/set.scm)                                                      */
/*   Bigloo (4.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Jan 27 07:45:49 AM CET 2025     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.6a/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.6a/lib/bigloo/4.6a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -stdc -indent Liveness/set.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL_LIVENESS_SET_TYPE_DEFINITIONS
#define BGL_LIVENESS_SET_TYPE_DEFINITIONS

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_nullz00;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_localzf2livenesszf2_bgl
	{
		int BgL_z52countz52;
	}                          *BgL_localzf2livenesszf2_bglt;


#endif													// BGL_LIVENESS_SET_TYPE_DEFINITIONS
#endif													// BGL_MODULE_TYPE_DEFINITIONS

	BGL_EXPORTED_DECL obj_t BGl_unionza2za2zzliveness_setz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_union3z00zzliveness_setz00(obj_t, obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzliveness_setz00 = BUNSPEC;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	BGL_EXPORTED_DECL obj_t BGl_disjonctionz00zzliveness_setz00(obj_t, obj_t);
	static obj_t BGl_toplevelzd2initzd2zzliveness_setz00(void);
	static obj_t BGl_genericzd2initzd2zzliveness_setz00(void);
	BGL_EXPORTED_DECL obj_t BGl_addz00zzliveness_setz00(BgL_localz00_bglt, obj_t);
	static obj_t BGl_objectzd2initzd2zzliveness_setz00(void);
	BGL_EXPORTED_DECL obj_t BGl_intersectionza2za2zzliveness_setz00(obj_t);
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	BGL_EXPORTED_DECL obj_t BGl_intersectionz00zzliveness_setz00(obj_t, obj_t);
	static long BGl_getzd2markzd2zzliveness_setz00(void);
	static obj_t BGl_z62unionza2zc0zzliveness_setz00(obj_t, obj_t);
	static obj_t BGl_z62union3z62zzliveness_setz00(obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzliveness_setz00(void);
	static obj_t BGl_z62subsetzf3z91zzliveness_setz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62disjonctionz62zzliveness_setz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_localzf2livenesszf2zzliveness_typesz00;
	static long BGl_za2markza2z00zzliveness_setz00 = 0L;
	BGL_EXPORTED_DECL obj_t BGl_unionz00zzliveness_setz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzliveness_setz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzliveness_typesz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typeofz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	static obj_t BGl_z62unionz62zzliveness_setz00(obj_t, obj_t, obj_t);
	static obj_t BGl_libraryzd2moduleszd2initz00zzliveness_setz00(void);
	BGL_IMPORT long bgl_list_length(obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzliveness_setz00(void);
	static obj_t BGl_gczd2rootszd2initz00zzliveness_setz00(void);
	static obj_t BGl_z62inzf3z91zzliveness_setz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62intersectionz62zzliveness_setz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62intersectionza2zc0zzliveness_setz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_subsetzf3zf3zzliveness_setz00(obj_t, obj_t);
	static obj_t BGl_z62addz62zzliveness_setz00(obj_t, obj_t, obj_t);
	static obj_t BGl_variablezd2markz12ze70z27zzliveness_setz00(obj_t);
	static obj_t BGl_variablezd2markz12ze71z27zzliveness_setz00(obj_t, long,
		obj_t);
	static obj_t BGl_variablezd2markz12ze72z27zzliveness_setz00(obj_t, long,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_inzf3zf3zzliveness_setz00(BgL_localz00_bglt,
		obj_t);
	static obj_t *__cnst;


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_intersectionzd2envzd2zzliveness_setz00,
		BgL_bgl_za762intersectionza71855z00,
		BGl_z62intersectionz62zzliveness_setz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_addzd2envzd2zzliveness_setz00,
		BgL_bgl_za762addza762za7za7liven1856z00, BGl_z62addz62zzliveness_setz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_intersectionza2zd2envz70zzliveness_setz00,
		BgL_bgl_za762intersectionza71857z00, va_generic_entry,
		BGl_z62intersectionza2zc0zzliveness_setz00, BUNSPEC, -1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_unionza2zd2envz70zzliveness_setz00,
		BgL_bgl_za762unionza7a2za7c0za7za71858za7, va_generic_entry,
		BGl_z62unionza2zc0zzliveness_setz00, BUNSPEC, -1);
	      DEFINE_STRING(BGl_string1854z00zzliveness_setz00,
		BgL_bgl_string1854za700za7za7l1859za7, "liveness_set", 12);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_subsetzf3zd2envz21zzliveness_setz00,
		BgL_bgl_za762subsetza7f3za791za71860z00,
		BGl_z62subsetzf3z91zzliveness_setz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_union3zd2envzd2zzliveness_setz00,
		BgL_bgl_za762union3za762za7za7li1861z00, BGl_z62union3z62zzliveness_setz00,
		0L, BUNSPEC, 3);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_disjonctionzd2envzd2zzliveness_setz00,
		BgL_bgl_za762disjonctionza761862z00, BGl_z62disjonctionz62zzliveness_setz00,
		0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_unionzd2envzd2zzliveness_setz00,
		BgL_bgl_za762unionza762za7za7liv1863z00, BGl_z62unionz62zzliveness_setz00,
		0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_inzf3zd2envz21zzliveness_setz00,
		BgL_bgl_za762inza7f3za791za7za7liv1864za7, BGl_z62inzf3z91zzliveness_setz00,
		0L, BUNSPEC, 2);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zzliveness_setz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzliveness_setz00(long
		BgL_checksumz00_2010, char *BgL_fromz00_2011)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzliveness_setz00))
				{
					BGl_requirezd2initializa7ationz75zzliveness_setz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzliveness_setz00();
					BGl_libraryzd2moduleszd2initz00zzliveness_setz00();
					BGl_importedzd2moduleszd2initz00zzliveness_setz00();
					return BGl_toplevelzd2initzd2zzliveness_setz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzliveness_setz00(void)
	{
		{	/* Liveness/set.scm 15 */
			BGl_modulezd2initializa7ationz75zz__objectz00(0L, "liveness_set");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(0L,
				"liveness_set");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(0L,
				"liveness_set");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(0L, "liveness_set");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(0L,
				"liveness_set");
			BGl_modulezd2initializa7ationz75zz__readerz00(0L, "liveness_set");
			return BUNSPEC;
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzliveness_setz00(void)
	{
		{	/* Liveness/set.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzliveness_setz00(void)
	{
		{	/* Liveness/set.scm 15 */
			return (BGl_za2markza2z00zzliveness_setz00 = 1024L, BUNSPEC);
		}

	}



/* get-mark */
	long BGl_getzd2markzd2zzliveness_setz00(void)
	{
		{	/* Liveness/set.scm 47 */
			BGl_za2markza2z00zzliveness_setz00 =
				(1L + BGl_za2markza2z00zzliveness_setz00);
			return BGl_za2markza2z00zzliveness_setz00;
		}

	}



/* in? */
	BGL_EXPORTED_DEF obj_t BGl_inzf3zf3zzliveness_setz00(BgL_localz00_bglt
		BgL_elz00_4, obj_t BgL_setz00_5)
	{
		{	/* Liveness/set.scm 61 */
			{	/* Liveness/set.scm 62 */
				bool_t BgL_test1866z00_2027;

				{	/* Liveness/set.scm 62 */
					obj_t BgL_classz00_1828;

					BgL_classz00_1828 = BGl_localzf2livenesszf2zzliveness_typesz00;
					{	/* Liveness/set.scm 62 */
						BgL_objectz00_bglt BgL_arg1858z00_1830;

						{	/* Liveness/set.scm 62 */
							obj_t BgL_tmpz00_2028;

							BgL_tmpz00_2028 = ((obj_t) BgL_elz00_4);
							BgL_arg1858z00_1830 = (BgL_objectz00_bglt) (BgL_tmpz00_2028);
						}
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Liveness/set.scm 62 */
								long BgL_idxz00_1836;

								BgL_idxz00_1836 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_1830);
								BgL_test1866z00_2027 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_1836 + 3L)) == BgL_classz00_1828);
							}
						else
							{	/* Liveness/set.scm 62 */
								bool_t BgL_res1852z00_1861;

								{	/* Liveness/set.scm 62 */
									obj_t BgL_oclassz00_1844;

									{	/* Liveness/set.scm 62 */
										obj_t BgL_arg1866z00_1852;
										long BgL_arg1867z00_1853;

										BgL_arg1866z00_1852 = (BGl_za2classesza2z00zz__objectz00);
										{	/* Liveness/set.scm 62 */
											long BgL_arg1869z00_1854;

											BgL_arg1869z00_1854 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_1830);
											BgL_arg1867z00_1853 = (BgL_arg1869z00_1854 - OBJECT_TYPE);
										}
										BgL_oclassz00_1844 =
											VECTOR_REF(BgL_arg1866z00_1852, BgL_arg1867z00_1853);
									}
									{	/* Liveness/set.scm 62 */
										bool_t BgL__ortest_1115z00_1845;

										BgL__ortest_1115z00_1845 =
											(BgL_classz00_1828 == BgL_oclassz00_1844);
										if (BgL__ortest_1115z00_1845)
											{	/* Liveness/set.scm 62 */
												BgL_res1852z00_1861 = BgL__ortest_1115z00_1845;
											}
										else
											{	/* Liveness/set.scm 62 */
												long BgL_odepthz00_1846;

												{	/* Liveness/set.scm 62 */
													obj_t BgL_arg1855z00_1847;

													BgL_arg1855z00_1847 = (BgL_oclassz00_1844);
													BgL_odepthz00_1846 =
														BGL_CLASS_DEPTH(BgL_arg1855z00_1847);
												}
												if ((3L < BgL_odepthz00_1846))
													{	/* Liveness/set.scm 62 */
														obj_t BgL_arg1853z00_1849;

														{	/* Liveness/set.scm 62 */
															obj_t BgL_arg1854z00_1850;

															BgL_arg1854z00_1850 = (BgL_oclassz00_1844);
															BgL_arg1853z00_1849 =
																BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_1850,
																3L);
														}
														BgL_res1852z00_1861 =
															(BgL_arg1853z00_1849 == BgL_classz00_1828);
													}
												else
													{	/* Liveness/set.scm 62 */
														BgL_res1852z00_1861 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_test1866z00_2027 = BgL_res1852z00_1861;
							}
					}
				}
				if (BgL_test1866z00_2027)
					{	/* Liveness/set.scm 62 */
						return
							BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
							((obj_t) BgL_elz00_4), BgL_setz00_5);
					}
				else
					{	/* Liveness/set.scm 62 */
						return BFALSE;
					}
			}
		}

	}



/* &in? */
	obj_t BGl_z62inzf3z91zzliveness_setz00(obj_t BgL_envz00_1974,
		obj_t BgL_elz00_1975, obj_t BgL_setz00_1976)
	{
		{	/* Liveness/set.scm 61 */
			return
				BGl_inzf3zf3zzliveness_setz00(
				((BgL_localz00_bglt) BgL_elz00_1975), BgL_setz00_1976);
		}

	}



/* subset? */
	BGL_EXPORTED_DEF obj_t BGl_subsetzf3zf3zzliveness_setz00(obj_t BgL_set1z00_6,
		obj_t BgL_set2z00_7)
	{
		{	/* Liveness/set.scm 70 */
			{
				obj_t BgL_l1272z00_1388;

				BgL_l1272z00_1388 = BgL_set1z00_6;
			BgL_zc3z04anonymousza31338ze3z87_1389:
				if (PAIRP(BgL_l1272z00_1388))
					{	/* Liveness/set.scm 76 */
						{	/* Liveness/set.scm 76 */
							obj_t BgL_arg1341z00_1391;

							BgL_arg1341z00_1391 = CAR(BgL_l1272z00_1388);
							{
								BgL_localzf2livenesszf2_bglt BgL_auxz00_2057;

								{
									obj_t BgL_auxz00_2058;

									{	/* Liveness/set.scm 56 */
										BgL_objectz00_bglt BgL_tmpz00_2059;

										BgL_tmpz00_2059 =
											((BgL_objectz00_bglt)
											((BgL_localz00_bglt) BgL_arg1341z00_1391));
										BgL_auxz00_2058 = BGL_OBJECT_WIDENING(BgL_tmpz00_2059);
									}
									BgL_auxz00_2057 =
										((BgL_localzf2livenesszf2_bglt) BgL_auxz00_2058);
								}
								((((BgL_localzf2livenesszf2_bglt) COBJECT(BgL_auxz00_2057))->
										BgL_z52countz52) = ((int) (int) (0L)), BUNSPEC);
						}}
						{
							obj_t BgL_l1272z00_2066;

							BgL_l1272z00_2066 = CDR(BgL_l1272z00_1388);
							BgL_l1272z00_1388 = BgL_l1272z00_2066;
							goto BgL_zc3z04anonymousza31338ze3z87_1389;
						}
					}
				else
					{	/* Liveness/set.scm 76 */
						((bool_t) 1);
					}
			}
			{
				obj_t BgL_l1274z00_1395;

				BgL_l1274z00_1395 = BgL_set2z00_7;
			BgL_zc3z04anonymousza31343ze3z87_1396:
				if (PAIRP(BgL_l1274z00_1395))
					{	/* Liveness/set.scm 77 */
						{	/* Liveness/set.scm 77 */
							obj_t BgL_arg1355z00_1398;

							BgL_arg1355z00_1398 = CAR(BgL_l1274z00_1395);
							{
								BgL_localzf2livenesszf2_bglt BgL_auxz00_2071;

								{
									obj_t BgL_auxz00_2072;

									{	/* Liveness/set.scm 74 */
										BgL_objectz00_bglt BgL_tmpz00_2073;

										BgL_tmpz00_2073 =
											((BgL_objectz00_bglt)
											((BgL_localz00_bglt) BgL_arg1355z00_1398));
										BgL_auxz00_2072 = BGL_OBJECT_WIDENING(BgL_tmpz00_2073);
									}
									BgL_auxz00_2071 =
										((BgL_localzf2livenesszf2_bglt) BgL_auxz00_2072);
								}
								((((BgL_localzf2livenesszf2_bglt) COBJECT(BgL_auxz00_2071))->
										BgL_z52countz52) = ((int) (int) (1L)), BUNSPEC);
						}}
						{
							obj_t BgL_l1274z00_2080;

							BgL_l1274z00_2080 = CDR(BgL_l1274z00_1395);
							BgL_l1274z00_1395 = BgL_l1274z00_2080;
							goto BgL_zc3z04anonymousza31343ze3z87_1396;
						}
					}
				else
					{	/* Liveness/set.scm 77 */
						((bool_t) 1);
					}
			}
			{
				obj_t BgL_l1276z00_1402;

				{	/* Liveness/set.scm 79 */
					bool_t BgL_tmpz00_2082;

					BgL_l1276z00_1402 = BgL_set1z00_6;
				BgL_zc3z04anonymousza31359ze3z87_1403:
					if (NULLP(BgL_l1276z00_1402))
						{	/* Liveness/set.scm 79 */
							BgL_tmpz00_2082 = ((bool_t) 1);
						}
					else
						{	/* Liveness/set.scm 79 */
							bool_t BgL_test1874z00_2085;

							{	/* Liveness/set.scm 80 */
								BgL_localz00_bglt BgL_i1144z00_1409;

								BgL_i1144z00_1409 =
									((BgL_localz00_bglt) CAR(((obj_t) BgL_l1276z00_1402)));
								{	/* Liveness/set.scm 81 */
									int BgL_arg1365z00_1410;

									{
										BgL_localzf2livenesszf2_bglt BgL_auxz00_2089;

										{
											obj_t BgL_auxz00_2090;

											{	/* Liveness/set.scm 81 */
												BgL_objectz00_bglt BgL_tmpz00_2091;

												BgL_tmpz00_2091 =
													((BgL_objectz00_bglt) BgL_i1144z00_1409);
												BgL_auxz00_2090 = BGL_OBJECT_WIDENING(BgL_tmpz00_2091);
											}
											BgL_auxz00_2089 =
												((BgL_localzf2livenesszf2_bglt) BgL_auxz00_2090);
										}
										BgL_arg1365z00_1410 =
											(((BgL_localzf2livenesszf2_bglt)
												COBJECT(BgL_auxz00_2089))->BgL_z52countz52);
									}
									BgL_test1874z00_2085 = ((long) (BgL_arg1365z00_1410) == 1L);
							}}
							if (BgL_test1874z00_2085)
								{
									obj_t BgL_l1276z00_2098;

									BgL_l1276z00_2098 = CDR(((obj_t) BgL_l1276z00_1402));
									BgL_l1276z00_1402 = BgL_l1276z00_2098;
									goto BgL_zc3z04anonymousza31359ze3z87_1403;
								}
							else
								{	/* Liveness/set.scm 79 */
									BgL_tmpz00_2082 = ((bool_t) 0);
								}
						}
					return BBOOL(BgL_tmpz00_2082);
				}
			}
		}

	}



/* &subset? */
	obj_t BGl_z62subsetzf3z91zzliveness_setz00(obj_t BgL_envz00_1977,
		obj_t BgL_set1z00_1978, obj_t BgL_set2z00_1979)
	{
		{	/* Liveness/set.scm 70 */
			return
				BGl_subsetzf3zf3zzliveness_setz00(BgL_set1z00_1978, BgL_set2z00_1979);
		}

	}



/* union */
	BGL_EXPORTED_DEF obj_t BGl_unionz00zzliveness_setz00(obj_t BgL_l1z00_8,
		obj_t BgL_l2z00_9)
	{
		{	/* Liveness/set.scm 89 */
			{	/* Liveness/set.scm 91 */
				struct bgl_unsafe_cell BgL_box1875_2008z00;
				obj_t BgL_resz00_2008;

				BgL_resz00_2008 = BGL_MAKE_UNSAFE_CELL_STACK(BNIL, BgL_box1875_2008z00);
				{	/* Liveness/set.scm 93 */
					long BgL_markz00_1417;

					BgL_markz00_1417 = BGl_getzd2markzd2zzliveness_setz00();
					if (NULLP(BgL_l1z00_8))
						{	/* Liveness/set.scm 102 */
							return BgL_l2z00_9;
						}
					else
						{	/* Liveness/set.scm 102 */
							if (NULLP(BgL_l2z00_9))
								{	/* Liveness/set.scm 104 */
									return BgL_l1z00_8;
								}
							else
								{	/* Liveness/set.scm 104 */
									{
										obj_t BgL_l1279z00_1422;

										BgL_l1279z00_1422 = BgL_l1z00_8;
									BgL_zc3z04anonymousza31370ze3z87_1423:
										if (PAIRP(BgL_l1279z00_1422))
											{	/* Liveness/set.scm 107 */
												BGl_variablezd2markz12ze72z27zzliveness_setz00
													(BgL_resz00_2008, BgL_markz00_1417,
													CAR(BgL_l1279z00_1422));
												{
													obj_t BgL_l1279z00_2112;

													BgL_l1279z00_2112 = CDR(BgL_l1279z00_1422);
													BgL_l1279z00_1422 = BgL_l1279z00_2112;
													goto BgL_zc3z04anonymousza31370ze3z87_1423;
												}
											}
										else
											{	/* Liveness/set.scm 107 */
												((bool_t) 1);
											}
									}
									{
										obj_t BgL_l1281z00_1429;

										BgL_l1281z00_1429 = BgL_l2z00_9;
									BgL_zc3z04anonymousza31380ze3z87_1430:
										if (PAIRP(BgL_l1281z00_1429))
											{	/* Liveness/set.scm 108 */
												BGl_variablezd2markz12ze72z27zzliveness_setz00
													(BgL_resz00_2008, BgL_markz00_1417,
													CAR(BgL_l1281z00_1429));
												{
													obj_t BgL_l1281z00_2118;

													BgL_l1281z00_2118 = CDR(BgL_l1281z00_1429);
													BgL_l1281z00_1429 = BgL_l1281z00_2118;
													goto BgL_zc3z04anonymousza31380ze3z87_1430;
												}
											}
										else
											{	/* Liveness/set.scm 108 */
												((bool_t) 1);
											}
									}
									return
										((obj_t) ((obj_t) BGL_UNSAFE_CELL_REF(BgL_resz00_2008)));
								}
						}
				}
			}
		}

	}



/* variable-mark!~2 */
	obj_t BGl_variablezd2markz12ze72z27zzliveness_setz00(obj_t BgL_resz00_2006,
		long BgL_markz00_2005, obj_t BgL_vz00_1435)
	{
		{	/* Liveness/set.scm 99 */
			{	/* Liveness/set.scm 97 */
				bool_t BgL_test1881z00_2121;

				{	/* Liveness/set.scm 97 */
					int BgL_arg1388z00_1440;

					{
						BgL_localzf2livenesszf2_bglt BgL_auxz00_2122;

						{
							obj_t BgL_auxz00_2123;

							{	/* Liveness/set.scm 97 */
								BgL_objectz00_bglt BgL_tmpz00_2124;

								BgL_tmpz00_2124 =
									((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_vz00_1435));
								BgL_auxz00_2123 = BGL_OBJECT_WIDENING(BgL_tmpz00_2124);
							}
							BgL_auxz00_2122 =
								((BgL_localzf2livenesszf2_bglt) BgL_auxz00_2123);
						}
						BgL_arg1388z00_1440 =
							(((BgL_localzf2livenesszf2_bglt) COBJECT(BgL_auxz00_2122))->
							BgL_z52countz52);
					}
					BgL_test1881z00_2121 =
						((long) (BgL_arg1388z00_1440) == BgL_markz00_2005);
				}
				if (BgL_test1881z00_2121)
					{	/* Liveness/set.scm 97 */
						return BFALSE;
					}
				else
					{	/* Liveness/set.scm 97 */
						{
							BgL_localzf2livenesszf2_bglt BgL_auxz00_2132;

							{
								obj_t BgL_auxz00_2133;

								{	/* Liveness/set.scm 98 */
									BgL_objectz00_bglt BgL_tmpz00_2134;

									BgL_tmpz00_2134 =
										((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_vz00_1435));
									BgL_auxz00_2133 = BGL_OBJECT_WIDENING(BgL_tmpz00_2134);
								}
								BgL_auxz00_2132 =
									((BgL_localzf2livenesszf2_bglt) BgL_auxz00_2133);
							}
							((((BgL_localzf2livenesszf2_bglt) COBJECT(BgL_auxz00_2132))->
									BgL_z52countz52) = ((int) (int) (BgL_markz00_2005)), BUNSPEC);
						}
						{	/* Liveness/set.scm 99 */
							obj_t BgL_auxz00_2007;

							BgL_auxz00_2007 =
								MAKE_YOUNG_PAIR(BgL_vz00_1435,
								((obj_t) ((obj_t) BGL_UNSAFE_CELL_REF(BgL_resz00_2006))));
							return BGL_UNSAFE_CELL_SET(BgL_resz00_2006, BgL_auxz00_2007);
						}
					}
			}
		}

	}



/* &union */
	obj_t BGl_z62unionz62zzliveness_setz00(obj_t BgL_envz00_1980,
		obj_t BgL_l1z00_1981, obj_t BgL_l2z00_1982)
	{
		{	/* Liveness/set.scm 89 */
			return BGl_unionz00zzliveness_setz00(BgL_l1z00_1981, BgL_l2z00_1982);
		}

	}



/* union3 */
	BGL_EXPORTED_DEF obj_t BGl_union3z00zzliveness_setz00(obj_t BgL_l1z00_10,
		obj_t BgL_l2z00_11, obj_t BgL_l3z00_12)
	{
		{	/* Liveness/set.scm 116 */
			{	/* Liveness/set.scm 118 */
				struct bgl_unsafe_cell BgL_box1882_2003z00;
				obj_t BgL_resz00_2003;

				BgL_resz00_2003 = BGL_MAKE_UNSAFE_CELL_STACK(BNIL, BgL_box1882_2003z00);
				{	/* Liveness/set.scm 120 */
					long BgL_markz00_1443;

					BgL_markz00_1443 = BGl_getzd2markzd2zzliveness_setz00();
					if (NULLP(BgL_l1z00_10))
						{	/* Liveness/set.scm 129 */
							return BGl_unionz00zzliveness_setz00(BgL_l2z00_11, BgL_l3z00_12);
						}
					else
						{	/* Liveness/set.scm 129 */
							if (NULLP(BgL_l2z00_11))
								{	/* Liveness/set.scm 131 */
									return
										BGl_unionz00zzliveness_setz00(BgL_l1z00_10, BgL_l3z00_12);
								}
							else
								{	/* Liveness/set.scm 131 */
									if (NULLP(BgL_l3z00_12))
										{	/* Liveness/set.scm 133 */
											return
												BGl_unionz00zzliveness_setz00(BgL_l1z00_10,
												BgL_l2z00_11);
										}
									else
										{	/* Liveness/set.scm 133 */
											{
												obj_t BgL_l1283z00_1449;

												BgL_l1283z00_1449 = BgL_l1z00_10;
											BgL_zc3z04anonymousza31394ze3z87_1450:
												if (PAIRP(BgL_l1283z00_1449))
													{	/* Liveness/set.scm 136 */
														BGl_variablezd2markz12ze71z27zzliveness_setz00
															(BgL_resz00_2003, BgL_markz00_1443,
															CAR(BgL_l1283z00_1449));
														{
															obj_t BgL_l1283z00_2158;

															BgL_l1283z00_2158 = CDR(BgL_l1283z00_1449);
															BgL_l1283z00_1449 = BgL_l1283z00_2158;
															goto BgL_zc3z04anonymousza31394ze3z87_1450;
														}
													}
												else
													{	/* Liveness/set.scm 136 */
														((bool_t) 1);
													}
											}
											{
												obj_t BgL_l1285z00_1456;

												BgL_l1285z00_1456 = BgL_l2z00_11;
											BgL_zc3z04anonymousza31402ze3z87_1457:
												if (PAIRP(BgL_l1285z00_1456))
													{	/* Liveness/set.scm 137 */
														BGl_variablezd2markz12ze71z27zzliveness_setz00
															(BgL_resz00_2003, BgL_markz00_1443,
															CAR(BgL_l1285z00_1456));
														{
															obj_t BgL_l1285z00_2164;

															BgL_l1285z00_2164 = CDR(BgL_l1285z00_1456);
															BgL_l1285z00_1456 = BgL_l1285z00_2164;
															goto BgL_zc3z04anonymousza31402ze3z87_1457;
														}
													}
												else
													{	/* Liveness/set.scm 137 */
														((bool_t) 1);
													}
											}
											{
												obj_t BgL_l1287z00_1463;

												BgL_l1287z00_1463 = BgL_l3z00_12;
											BgL_zc3z04anonymousza31415ze3z87_1464:
												if (PAIRP(BgL_l1287z00_1463))
													{	/* Liveness/set.scm 138 */
														BGl_variablezd2markz12ze71z27zzliveness_setz00
															(BgL_resz00_2003, BgL_markz00_1443,
															CAR(BgL_l1287z00_1463));
														{
															obj_t BgL_l1287z00_2170;

															BgL_l1287z00_2170 = CDR(BgL_l1287z00_1463);
															BgL_l1287z00_1463 = BgL_l1287z00_2170;
															goto BgL_zc3z04anonymousza31415ze3z87_1464;
														}
													}
												else
													{	/* Liveness/set.scm 138 */
														((bool_t) 1);
													}
											}
											return
												((obj_t)
												((obj_t) BGL_UNSAFE_CELL_REF(BgL_resz00_2003)));
										}
								}
						}
				}
			}
		}

	}



/* variable-mark!~1 */
	obj_t BGl_variablezd2markz12ze71z27zzliveness_setz00(obj_t BgL_resz00_2001,
		long BgL_markz00_2000, obj_t BgL_vz00_1469)
	{
		{	/* Liveness/set.scm 126 */
			{	/* Liveness/set.scm 124 */
				bool_t BgL_test1890z00_2173;

				{	/* Liveness/set.scm 124 */
					int BgL_arg1480z00_1474;

					{
						BgL_localzf2livenesszf2_bglt BgL_auxz00_2174;

						{
							obj_t BgL_auxz00_2175;

							{	/* Liveness/set.scm 124 */
								BgL_objectz00_bglt BgL_tmpz00_2176;

								BgL_tmpz00_2176 =
									((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_vz00_1469));
								BgL_auxz00_2175 = BGL_OBJECT_WIDENING(BgL_tmpz00_2176);
							}
							BgL_auxz00_2174 =
								((BgL_localzf2livenesszf2_bglt) BgL_auxz00_2175);
						}
						BgL_arg1480z00_1474 =
							(((BgL_localzf2livenesszf2_bglt) COBJECT(BgL_auxz00_2174))->
							BgL_z52countz52);
					}
					BgL_test1890z00_2173 =
						((long) (BgL_arg1480z00_1474) == BgL_markz00_2000);
				}
				if (BgL_test1890z00_2173)
					{	/* Liveness/set.scm 124 */
						{
							BgL_localzf2livenesszf2_bglt BgL_auxz00_2184;

							{
								obj_t BgL_auxz00_2185;

								{	/* Liveness/set.scm 125 */
									BgL_objectz00_bglt BgL_tmpz00_2186;

									BgL_tmpz00_2186 =
										((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_vz00_1469));
									BgL_auxz00_2185 = BGL_OBJECT_WIDENING(BgL_tmpz00_2186);
								}
								BgL_auxz00_2184 =
									((BgL_localzf2livenesszf2_bglt) BgL_auxz00_2185);
							}
							((((BgL_localzf2livenesszf2_bglt) COBJECT(BgL_auxz00_2184))->
									BgL_z52countz52) = ((int) (int) (BgL_markz00_2000)), BUNSPEC);
						}
						{	/* Liveness/set.scm 126 */
							obj_t BgL_auxz00_2002;

							BgL_auxz00_2002 =
								MAKE_YOUNG_PAIR(BgL_vz00_1469,
								((obj_t) ((obj_t) BGL_UNSAFE_CELL_REF(BgL_resz00_2001))));
							return BGL_UNSAFE_CELL_SET(BgL_resz00_2001, BgL_auxz00_2002);
						}
					}
				else
					{	/* Liveness/set.scm 124 */
						return BFALSE;
					}
			}
		}

	}



/* &union3 */
	obj_t BGl_z62union3z62zzliveness_setz00(obj_t BgL_envz00_1983,
		obj_t BgL_l1z00_1984, obj_t BgL_l2z00_1985, obj_t BgL_l3z00_1986)
	{
		{	/* Liveness/set.scm 116 */
			return
				BGl_union3z00zzliveness_setz00(BgL_l1z00_1984, BgL_l2z00_1985,
				BgL_l3z00_1986);
		}

	}



/* union* */
	BGL_EXPORTED_DEF obj_t BGl_unionza2za2zzliveness_setz00(obj_t BgL_lsz00_13)
	{
		{	/* Liveness/set.scm 144 */
			{	/* Liveness/set.scm 146 */
				obj_t BgL_resz00_1476;

				BgL_resz00_1476 = BNIL;
				{	/* Liveness/set.scm 148 */
					long BgL_markz00_1477;

					BgL_markz00_1477 = BGl_getzd2markzd2zzliveness_setz00();
					{
						obj_t BgL_vz00_1507;

						{
							obj_t BgL_l1291z00_1480;

							BgL_l1291z00_1480 = BgL_lsz00_13;
						BgL_zc3z04anonymousza31481ze3z87_1481:
							if (PAIRP(BgL_l1291z00_1480))
								{	/* Liveness/set.scm 156 */
									{	/* Liveness/set.scm 156 */
										obj_t BgL_lz00_1483;

										BgL_lz00_1483 = CAR(BgL_l1291z00_1480);
										{
											obj_t BgL_l1289z00_1485;

											BgL_l1289z00_1485 = BgL_lz00_1483;
										BgL_zc3z04anonymousza31483ze3z87_1486:
											if (PAIRP(BgL_l1289z00_1485))
												{	/* Liveness/set.scm 156 */
													{	/* Liveness/set.scm 156 */
														obj_t BgL_arg1487z00_1488;

														BgL_arg1487z00_1488 = CAR(BgL_l1289z00_1485);
														{
															BgL_localzf2livenesszf2_bglt BgL_auxz00_2203;

															{
																obj_t BgL_auxz00_2204;

																{	/* Liveness/set.scm 56 */
																	BgL_objectz00_bglt BgL_tmpz00_2205;

																	BgL_tmpz00_2205 =
																		((BgL_objectz00_bglt)
																		((BgL_localz00_bglt) BgL_arg1487z00_1488));
																	BgL_auxz00_2204 =
																		BGL_OBJECT_WIDENING(BgL_tmpz00_2205);
																}
																BgL_auxz00_2203 =
																	((BgL_localzf2livenesszf2_bglt)
																	BgL_auxz00_2204);
															}
															((((BgL_localzf2livenesszf2_bglt)
																		COBJECT(BgL_auxz00_2203))->
																	BgL_z52countz52) =
																((int) (int) (0L)), BUNSPEC);
													}}
													{
														obj_t BgL_l1289z00_2212;

														BgL_l1289z00_2212 = CDR(BgL_l1289z00_1485);
														BgL_l1289z00_1485 = BgL_l1289z00_2212;
														goto BgL_zc3z04anonymousza31483ze3z87_1486;
													}
												}
											else
												{	/* Liveness/set.scm 156 */
													((bool_t) 1);
												}
										}
									}
									{
										obj_t BgL_l1291z00_2214;

										BgL_l1291z00_2214 = CDR(BgL_l1291z00_1480);
										BgL_l1291z00_1480 = BgL_l1291z00_2214;
										goto BgL_zc3z04anonymousza31481ze3z87_1481;
									}
								}
							else
								{	/* Liveness/set.scm 156 */
									((bool_t) 1);
								}
						}
						{
							obj_t BgL_l1295z00_1494;

							BgL_l1295z00_1494 = BgL_lsz00_13;
						BgL_zc3z04anonymousza31491ze3z87_1495:
							if (PAIRP(BgL_l1295z00_1494))
								{	/* Liveness/set.scm 157 */
									{	/* Liveness/set.scm 157 */
										obj_t BgL_lz00_1497;

										BgL_lz00_1497 = CAR(BgL_l1295z00_1494);
										{
											obj_t BgL_l1293z00_1499;

											BgL_l1293z00_1499 = BgL_lz00_1497;
										BgL_zc3z04anonymousza31493ze3z87_1500:
											if (PAIRP(BgL_l1293z00_1499))
												{	/* Liveness/set.scm 157 */
													BgL_vz00_1507 = CAR(BgL_l1293z00_1499);
													{	/* Liveness/set.scm 152 */
														bool_t BgL_test1895z00_2221;

														{	/* Liveness/set.scm 152 */
															int BgL_arg1530z00_1512;

															{
																BgL_localzf2livenesszf2_bglt BgL_auxz00_2222;

																{
																	obj_t BgL_auxz00_2223;

																	{	/* Liveness/set.scm 152 */
																		BgL_objectz00_bglt BgL_tmpz00_2224;

																		BgL_tmpz00_2224 =
																			((BgL_objectz00_bglt)
																			((BgL_localz00_bglt) BgL_vz00_1507));
																		BgL_auxz00_2223 =
																			BGL_OBJECT_WIDENING(BgL_tmpz00_2224);
																	}
																	BgL_auxz00_2222 =
																		((BgL_localzf2livenesszf2_bglt)
																		BgL_auxz00_2223);
																}
																BgL_arg1530z00_1512 =
																	(((BgL_localzf2livenesszf2_bglt)
																		COBJECT(BgL_auxz00_2222))->BgL_z52countz52);
															}
															BgL_test1895z00_2221 =
																((long) (BgL_arg1530z00_1512) == 0L);
														}
														if (BgL_test1895z00_2221)
															{	/* Liveness/set.scm 152 */
																{
																	BgL_localzf2livenesszf2_bglt BgL_auxz00_2232;

																	{
																		obj_t BgL_auxz00_2233;

																		{	/* Liveness/set.scm 153 */
																			BgL_objectz00_bglt BgL_tmpz00_2234;

																			BgL_tmpz00_2234 =
																				((BgL_objectz00_bglt)
																				((BgL_localz00_bglt) BgL_vz00_1507));
																			BgL_auxz00_2233 =
																				BGL_OBJECT_WIDENING(BgL_tmpz00_2234);
																		}
																		BgL_auxz00_2232 =
																			((BgL_localzf2livenesszf2_bglt)
																			BgL_auxz00_2233);
																	}
																	((((BgL_localzf2livenesszf2_bglt)
																				COBJECT(BgL_auxz00_2232))->
																			BgL_z52countz52) =
																		((int) (int) (1L)), BUNSPEC);
																}
																BgL_resz00_1476 =
																	MAKE_YOUNG_PAIR(BgL_vz00_1507,
																	BgL_resz00_1476);
															}
														else
															{	/* Liveness/set.scm 152 */
																BFALSE;
															}
													}
													{
														obj_t BgL_l1293z00_2243;

														BgL_l1293z00_2243 = CDR(BgL_l1293z00_1499);
														BgL_l1293z00_1499 = BgL_l1293z00_2243;
														goto BgL_zc3z04anonymousza31493ze3z87_1500;
													}
												}
											else
												{	/* Liveness/set.scm 157 */
													((bool_t) 1);
												}
										}
									}
									{
										obj_t BgL_l1295z00_2245;

										BgL_l1295z00_2245 = CDR(BgL_l1295z00_1494);
										BgL_l1295z00_1494 = BgL_l1295z00_2245;
										goto BgL_zc3z04anonymousza31491ze3z87_1495;
									}
								}
							else
								{	/* Liveness/set.scm 157 */
									((bool_t) 1);
								}
						}
						return BgL_resz00_1476;
					}
				}
			}
		}

	}



/* &union* */
	obj_t BGl_z62unionza2zc0zzliveness_setz00(obj_t BgL_envz00_1987,
		obj_t BgL_lsz00_1988)
	{
		{	/* Liveness/set.scm 144 */
			return BGl_unionza2za2zzliveness_setz00(BgL_lsz00_1988);
		}

	}



/* add */
	BGL_EXPORTED_DEF obj_t BGl_addz00zzliveness_setz00(BgL_localz00_bglt
		BgL_elz00_14, obj_t BgL_lz00_15)
	{
		{	/* Liveness/set.scm 163 */
			{	/* Liveness/set.scm 164 */
				obj_t BgL_arg1532z00_1907;

				{	/* Liveness/set.scm 164 */
					obj_t BgL_list1533z00_1908;

					BgL_list1533z00_1908 = MAKE_YOUNG_PAIR(((obj_t) BgL_elz00_14), BNIL);
					BgL_arg1532z00_1907 = BgL_list1533z00_1908;
				}
				return BGl_unionz00zzliveness_setz00(BgL_arg1532z00_1907, BgL_lz00_15);
			}
		}

	}



/* &add */
	obj_t BGl_z62addz62zzliveness_setz00(obj_t BgL_envz00_1989,
		obj_t BgL_elz00_1990, obj_t BgL_lz00_1991)
	{
		{	/* Liveness/set.scm 163 */
			return
				BGl_addz00zzliveness_setz00(
				((BgL_localz00_bglt) BgL_elz00_1990), BgL_lz00_1991);
		}

	}



/* intersection */
	BGL_EXPORTED_DEF obj_t BGl_intersectionz00zzliveness_setz00(obj_t
		BgL_l1z00_16, obj_t BgL_l2z00_17)
	{
		{	/* Liveness/set.scm 171 */
			{
				obj_t BgL_l1297z00_1518;

				BgL_l1297z00_1518 = BgL_l1z00_16;
			BgL_zc3z04anonymousza31534ze3z87_1519:
				if (PAIRP(BgL_l1297z00_1518))
					{	/* Liveness/set.scm 177 */
						{	/* Liveness/set.scm 177 */
							obj_t BgL_arg1543z00_1521;

							BgL_arg1543z00_1521 = CAR(BgL_l1297z00_1518);
							{
								BgL_localzf2livenesszf2_bglt BgL_auxz00_2256;

								{
									obj_t BgL_auxz00_2257;

									{	/* Liveness/set.scm 56 */
										BgL_objectz00_bglt BgL_tmpz00_2258;

										BgL_tmpz00_2258 =
											((BgL_objectz00_bglt)
											((BgL_localz00_bglt) BgL_arg1543z00_1521));
										BgL_auxz00_2257 = BGL_OBJECT_WIDENING(BgL_tmpz00_2258);
									}
									BgL_auxz00_2256 =
										((BgL_localzf2livenesszf2_bglt) BgL_auxz00_2257);
								}
								((((BgL_localzf2livenesszf2_bglt) COBJECT(BgL_auxz00_2256))->
										BgL_z52countz52) = ((int) (int) (0L)), BUNSPEC);
						}}
						{
							obj_t BgL_l1297z00_2265;

							BgL_l1297z00_2265 = CDR(BgL_l1297z00_1518);
							BgL_l1297z00_1518 = BgL_l1297z00_2265;
							goto BgL_zc3z04anonymousza31534ze3z87_1519;
						}
					}
				else
					{	/* Liveness/set.scm 177 */
						((bool_t) 1);
					}
			}
			{
				obj_t BgL_l1299z00_1525;

				BgL_l1299z00_1525 = BgL_l2z00_17;
			BgL_zc3z04anonymousza31546ze3z87_1526:
				if (PAIRP(BgL_l1299z00_1525))
					{	/* Liveness/set.scm 178 */
						{	/* Liveness/set.scm 178 */
							obj_t BgL_arg1553z00_1528;

							BgL_arg1553z00_1528 = CAR(BgL_l1299z00_1525);
							{
								BgL_localzf2livenesszf2_bglt BgL_auxz00_2270;

								{
									obj_t BgL_auxz00_2271;

									{	/* Liveness/set.scm 56 */
										BgL_objectz00_bglt BgL_tmpz00_2272;

										BgL_tmpz00_2272 =
											((BgL_objectz00_bglt)
											((BgL_localz00_bglt) BgL_arg1553z00_1528));
										BgL_auxz00_2271 = BGL_OBJECT_WIDENING(BgL_tmpz00_2272);
									}
									BgL_auxz00_2270 =
										((BgL_localzf2livenesszf2_bglt) BgL_auxz00_2271);
								}
								((((BgL_localzf2livenesszf2_bglt) COBJECT(BgL_auxz00_2270))->
										BgL_z52countz52) = ((int) (int) (0L)), BUNSPEC);
						}}
						{
							obj_t BgL_l1299z00_2279;

							BgL_l1299z00_2279 = CDR(BgL_l1299z00_1525);
							BgL_l1299z00_1525 = BgL_l1299z00_2279;
							goto BgL_zc3z04anonymousza31546ze3z87_1526;
						}
					}
				else
					{	/* Liveness/set.scm 178 */
						((bool_t) 1);
					}
			}
			{
				obj_t BgL_l1301z00_1532;

				BgL_l1301z00_1532 = BgL_l1z00_16;
			BgL_zc3z04anonymousza31555ze3z87_1533:
				if (PAIRP(BgL_l1301z00_1532))
					{	/* Liveness/set.scm 179 */
						BGl_variablezd2markz12ze70z27zzliveness_setz00(CAR
							(BgL_l1301z00_1532));
						{
							obj_t BgL_l1301z00_2285;

							BgL_l1301z00_2285 = CDR(BgL_l1301z00_1532);
							BgL_l1301z00_1532 = BgL_l1301z00_2285;
							goto BgL_zc3z04anonymousza31555ze3z87_1533;
						}
					}
				else
					{	/* Liveness/set.scm 179 */
						((bool_t) 1);
					}
			}
			{
				obj_t BgL_l1303z00_1539;

				BgL_l1303z00_1539 = BgL_l2z00_17;
			BgL_zc3z04anonymousza31561ze3z87_1540:
				if (PAIRP(BgL_l1303z00_1539))
					{	/* Liveness/set.scm 180 */
						BGl_variablezd2markz12ze70z27zzliveness_setz00(CAR
							(BgL_l1303z00_1539));
						{
							obj_t BgL_l1303z00_2291;

							BgL_l1303z00_2291 = CDR(BgL_l1303z00_1539);
							BgL_l1303z00_1539 = BgL_l1303z00_2291;
							goto BgL_zc3z04anonymousza31561ze3z87_1540;
						}
					}
				else
					{	/* Liveness/set.scm 180 */
						((bool_t) 1);
					}
			}
			{	/* Liveness/set.scm 182 */
				obj_t BgL_hook1309z00_1545;

				BgL_hook1309z00_1545 = MAKE_YOUNG_PAIR(BFALSE, BNIL);
				{
					obj_t BgL_l1306z00_1547;
					obj_t BgL_h1307z00_1548;

					BgL_l1306z00_1547 = BgL_l1z00_16;
					BgL_h1307z00_1548 = BgL_hook1309z00_1545;
				BgL_zc3z04anonymousza31578ze3z87_1549:
					if (NULLP(BgL_l1306z00_1547))
						{	/* Liveness/set.scm 182 */
							return CDR(BgL_hook1309z00_1545);
						}
					else
						{	/* Liveness/set.scm 182 */
							bool_t BgL_test1901z00_2297;

							{	/* Liveness/set.scm 183 */
								BgL_localz00_bglt BgL_i1149z00_1560;

								BgL_i1149z00_1560 =
									((BgL_localz00_bglt) CAR(((obj_t) BgL_l1306z00_1547)));
								{	/* Liveness/set.scm 184 */
									int BgL_arg1592z00_1561;

									{
										BgL_localzf2livenesszf2_bglt BgL_auxz00_2301;

										{
											obj_t BgL_auxz00_2302;

											{	/* Liveness/set.scm 184 */
												BgL_objectz00_bglt BgL_tmpz00_2303;

												BgL_tmpz00_2303 =
													((BgL_objectz00_bglt) BgL_i1149z00_1560);
												BgL_auxz00_2302 = BGL_OBJECT_WIDENING(BgL_tmpz00_2303);
											}
											BgL_auxz00_2301 =
												((BgL_localzf2livenesszf2_bglt) BgL_auxz00_2302);
										}
										BgL_arg1592z00_1561 =
											(((BgL_localzf2livenesszf2_bglt)
												COBJECT(BgL_auxz00_2301))->BgL_z52countz52);
									}
									BgL_test1901z00_2297 = ((long) (BgL_arg1592z00_1561) == 2L);
							}}
							if (BgL_test1901z00_2297)
								{	/* Liveness/set.scm 182 */
									obj_t BgL_nh1308z00_1555;

									{	/* Liveness/set.scm 182 */
										obj_t BgL_arg1588z00_1557;

										BgL_arg1588z00_1557 = CAR(((obj_t) BgL_l1306z00_1547));
										BgL_nh1308z00_1555 =
											MAKE_YOUNG_PAIR(BgL_arg1588z00_1557, BNIL);
									}
									SET_CDR(BgL_h1307z00_1548, BgL_nh1308z00_1555);
									{	/* Liveness/set.scm 182 */
										obj_t BgL_arg1587z00_1556;

										BgL_arg1587z00_1556 = CDR(((obj_t) BgL_l1306z00_1547));
										{
											obj_t BgL_h1307z00_2317;
											obj_t BgL_l1306z00_2316;

											BgL_l1306z00_2316 = BgL_arg1587z00_1556;
											BgL_h1307z00_2317 = BgL_nh1308z00_1555;
											BgL_h1307z00_1548 = BgL_h1307z00_2317;
											BgL_l1306z00_1547 = BgL_l1306z00_2316;
											goto BgL_zc3z04anonymousza31578ze3z87_1549;
										}
									}
								}
							else
								{	/* Liveness/set.scm 182 */
									obj_t BgL_arg1590z00_1558;

									BgL_arg1590z00_1558 = CDR(((obj_t) BgL_l1306z00_1547));
									{
										obj_t BgL_l1306z00_2320;

										BgL_l1306z00_2320 = BgL_arg1590z00_1558;
										BgL_l1306z00_1547 = BgL_l1306z00_2320;
										goto BgL_zc3z04anonymousza31578ze3z87_1549;
									}
								}
						}
				}
			}
		}

	}



/* variable-mark!~0 */
	obj_t BGl_variablezd2markz12ze70z27zzliveness_setz00(obj_t BgL_vz00_1563)
	{
		{	/* Liveness/set.scm 175 */
			{
				int BgL_auxz00_2328;
				BgL_localzf2livenesszf2_bglt BgL_auxz00_2321;

				{	/* Liveness/set.scm 175 */
					int BgL_arg1597z00_1566;

					{
						BgL_localzf2livenesszf2_bglt BgL_auxz00_2329;

						{
							obj_t BgL_auxz00_2330;

							{	/* Liveness/set.scm 175 */
								BgL_objectz00_bglt BgL_tmpz00_2331;

								BgL_tmpz00_2331 =
									((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_vz00_1563));
								BgL_auxz00_2330 = BGL_OBJECT_WIDENING(BgL_tmpz00_2331);
							}
							BgL_auxz00_2329 =
								((BgL_localzf2livenesszf2_bglt) BgL_auxz00_2330);
						}
						BgL_arg1597z00_1566 =
							(((BgL_localzf2livenesszf2_bglt) COBJECT(BgL_auxz00_2329))->
							BgL_z52countz52);
					}
					BgL_auxz00_2328 = (int) ((1L + (long) (BgL_arg1597z00_1566)));
				}
				{
					obj_t BgL_auxz00_2322;

					{	/* Liveness/set.scm 175 */
						BgL_objectz00_bglt BgL_tmpz00_2323;

						BgL_tmpz00_2323 =
							((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_vz00_1563));
						BgL_auxz00_2322 = BGL_OBJECT_WIDENING(BgL_tmpz00_2323);
					}
					BgL_auxz00_2321 = ((BgL_localzf2livenesszf2_bglt) BgL_auxz00_2322);
				}
				return
					((((BgL_localzf2livenesszf2_bglt) COBJECT(BgL_auxz00_2321))->
						BgL_z52countz52) = ((int) BgL_auxz00_2328), BUNSPEC);
		}}

	}



/* &intersection */
	obj_t BGl_z62intersectionz62zzliveness_setz00(obj_t BgL_envz00_1992,
		obj_t BgL_l1z00_1993, obj_t BgL_l2z00_1994)
	{
		{	/* Liveness/set.scm 171 */
			return
				BGl_intersectionz00zzliveness_setz00(BgL_l1z00_1993, BgL_l2z00_1994);
		}

	}



/* intersection* */
	BGL_EXPORTED_DEF obj_t BGl_intersectionza2za2zzliveness_setz00(obj_t
		BgL_lsz00_18)
	{
		{	/* Liveness/set.scm 192 */
			{
				obj_t BgL_lz00_1616;
				obj_t BgL_vz00_1612;

				{
					obj_t BgL_l1314z00_1571;

					BgL_l1314z00_1571 = BgL_lsz00_18;
				BgL_zc3z04anonymousza31598ze3z87_1572:
					if (PAIRP(BgL_l1314z00_1571))
						{	/* Liveness/set.scm 201 */
							{	/* Liveness/set.scm 201 */
								obj_t BgL_lz00_1574;

								BgL_lz00_1574 = CAR(BgL_l1314z00_1571);
								{
									obj_t BgL_l1312z00_1576;

									BgL_l1312z00_1576 = BgL_lz00_1574;
								BgL_zc3z04anonymousza31600ze3z87_1577:
									if (PAIRP(BgL_l1312z00_1576))
										{	/* Liveness/set.scm 201 */
											{	/* Liveness/set.scm 201 */
												obj_t BgL_arg1605z00_1579;

												BgL_arg1605z00_1579 = CAR(BgL_l1312z00_1576);
												{
													BgL_localzf2livenesszf2_bglt BgL_auxz00_2348;

													{
														obj_t BgL_auxz00_2349;

														{	/* Liveness/set.scm 56 */
															BgL_objectz00_bglt BgL_tmpz00_2350;

															BgL_tmpz00_2350 =
																((BgL_objectz00_bglt)
																((BgL_localz00_bglt) BgL_arg1605z00_1579));
															BgL_auxz00_2349 =
																BGL_OBJECT_WIDENING(BgL_tmpz00_2350);
														}
														BgL_auxz00_2348 =
															((BgL_localzf2livenesszf2_bglt) BgL_auxz00_2349);
													}
													((((BgL_localzf2livenesszf2_bglt)
																COBJECT(BgL_auxz00_2348))->BgL_z52countz52) =
														((int) (int) (0L)), BUNSPEC);
											}}
											{
												obj_t BgL_l1312z00_2357;

												BgL_l1312z00_2357 = CDR(BgL_l1312z00_1576);
												BgL_l1312z00_1576 = BgL_l1312z00_2357;
												goto BgL_zc3z04anonymousza31600ze3z87_1577;
											}
										}
									else
										{	/* Liveness/set.scm 201 */
											((bool_t) 1);
										}
								}
							}
							{
								obj_t BgL_l1314z00_2359;

								BgL_l1314z00_2359 = CDR(BgL_l1314z00_1571);
								BgL_l1314z00_1571 = BgL_l1314z00_2359;
								goto BgL_zc3z04anonymousza31598ze3z87_1572;
							}
						}
					else
						{	/* Liveness/set.scm 201 */
							((bool_t) 1);
						}
				}
				{
					obj_t BgL_l1316z00_1585;

					BgL_l1316z00_1585 = BgL_lsz00_18;
				BgL_zc3z04anonymousza31613ze3z87_1586:
					if (PAIRP(BgL_l1316z00_1585))
						{	/* Liveness/set.scm 202 */
							BgL_lz00_1616 = CAR(BgL_l1316z00_1585);
							{
								obj_t BgL_l1310z00_1619;

								BgL_l1310z00_1619 = BgL_lz00_1616;
							BgL_zc3z04anonymousza31650ze3z87_1620:
								if (PAIRP(BgL_l1310z00_1619))
									{	/* Liveness/set.scm 199 */
										BgL_vz00_1612 = CAR(BgL_l1310z00_1619);
										{
											int BgL_auxz00_2372;
											BgL_localzf2livenesszf2_bglt BgL_auxz00_2365;

											{	/* Liveness/set.scm 196 */
												int BgL_arg1648z00_1615;

												{
													BgL_localzf2livenesszf2_bglt BgL_auxz00_2373;

													{
														obj_t BgL_auxz00_2374;

														{	/* Liveness/set.scm 196 */
															BgL_objectz00_bglt BgL_tmpz00_2375;

															BgL_tmpz00_2375 =
																((BgL_objectz00_bglt)
																((BgL_localz00_bglt) BgL_vz00_1612));
															BgL_auxz00_2374 =
																BGL_OBJECT_WIDENING(BgL_tmpz00_2375);
														}
														BgL_auxz00_2373 =
															((BgL_localzf2livenesszf2_bglt) BgL_auxz00_2374);
													}
													BgL_arg1648z00_1615 =
														(((BgL_localzf2livenesszf2_bglt)
															COBJECT(BgL_auxz00_2373))->BgL_z52countz52);
												}
												BgL_auxz00_2372 =
													(int) ((1L + (long) (BgL_arg1648z00_1615)));
											}
											{
												obj_t BgL_auxz00_2366;

												{	/* Liveness/set.scm 196 */
													BgL_objectz00_bglt BgL_tmpz00_2367;

													BgL_tmpz00_2367 =
														((BgL_objectz00_bglt)
														((BgL_localz00_bglt) BgL_vz00_1612));
													BgL_auxz00_2366 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_2367);
												}
												BgL_auxz00_2365 =
													((BgL_localzf2livenesszf2_bglt) BgL_auxz00_2366);
											}
											((((BgL_localzf2livenesszf2_bglt)
														COBJECT(BgL_auxz00_2365))->BgL_z52countz52) =
												((int) BgL_auxz00_2372), BUNSPEC);
										}
										{
											obj_t BgL_l1310z00_2386;

											BgL_l1310z00_2386 = CDR(BgL_l1310z00_1619);
											BgL_l1310z00_1619 = BgL_l1310z00_2386;
											goto BgL_zc3z04anonymousza31650ze3z87_1620;
										}
									}
								else
									{	/* Liveness/set.scm 199 */
										((bool_t) 1);
									}
							}
							{
								obj_t BgL_l1316z00_2389;

								BgL_l1316z00_2389 = CDR(BgL_l1316z00_1585);
								BgL_l1316z00_1585 = BgL_l1316z00_2389;
								goto BgL_zc3z04anonymousza31613ze3z87_1586;
							}
						}
					else
						{	/* Liveness/set.scm 202 */
							((bool_t) 1);
						}
				}
				{	/* Liveness/set.scm 204 */
					long BgL_z52countz52_1591;

					BgL_z52countz52_1591 = bgl_list_length(BgL_lsz00_18);
					if ((BgL_z52countz52_1591 >= BGl_za2markza2z00zzliveness_setz00))
						{	/* Liveness/set.scm 205 */
							BGl_za2markza2z00zzliveness_setz00 = (BgL_z52countz52_1591 + 1L);
						}
					else
						{	/* Liveness/set.scm 205 */
							BFALSE;
						}
					{	/* Liveness/set.scm 207 */
						obj_t BgL_hook1322z00_1593;

						BgL_hook1322z00_1593 = MAKE_YOUNG_PAIR(BFALSE, BNIL);
						{	/* Liveness/set.scm 210 */
							obj_t BgL_g1323z00_1594;

							BgL_g1323z00_1594 = CAR(((obj_t) BgL_lsz00_18));
							{
								obj_t BgL_l1319z00_1596;
								obj_t BgL_h1320z00_1597;

								BgL_l1319z00_1596 = BgL_g1323z00_1594;
								BgL_h1320z00_1597 = BgL_hook1322z00_1593;
							BgL_zc3z04anonymousza31628ze3z87_1598:
								if (NULLP(BgL_l1319z00_1596))
									{	/* Liveness/set.scm 210 */
										return CDR(BgL_hook1322z00_1593);
									}
								else
									{	/* Liveness/set.scm 210 */
										bool_t BgL_test1908z00_2401;

										{	/* Liveness/set.scm 208 */
											BgL_localz00_bglt BgL_i1151z00_1609;

											BgL_i1151z00_1609 =
												((BgL_localz00_bglt) CAR(((obj_t) BgL_l1319z00_1596)));
											{	/* Liveness/set.scm 209 */
												int BgL_arg1642z00_1610;

												{
													BgL_localzf2livenesszf2_bglt BgL_auxz00_2405;

													{
														obj_t BgL_auxz00_2406;

														{	/* Liveness/set.scm 209 */
															BgL_objectz00_bglt BgL_tmpz00_2407;

															BgL_tmpz00_2407 =
																((BgL_objectz00_bglt) BgL_i1151z00_1609);
															BgL_auxz00_2406 =
																BGL_OBJECT_WIDENING(BgL_tmpz00_2407);
														}
														BgL_auxz00_2405 =
															((BgL_localzf2livenesszf2_bglt) BgL_auxz00_2406);
													}
													BgL_arg1642z00_1610 =
														(((BgL_localzf2livenesszf2_bglt)
															COBJECT(BgL_auxz00_2405))->BgL_z52countz52);
												}
												BgL_test1908z00_2401 =
													(
													(long) (BgL_arg1642z00_1610) == BgL_z52countz52_1591);
										}}
										if (BgL_test1908z00_2401)
											{	/* Liveness/set.scm 210 */
												obj_t BgL_nh1321z00_1604;

												{	/* Liveness/set.scm 210 */
													obj_t BgL_arg1635z00_1606;

													BgL_arg1635z00_1606 =
														CAR(((obj_t) BgL_l1319z00_1596));
													BgL_nh1321z00_1604 =
														MAKE_YOUNG_PAIR(BgL_arg1635z00_1606, BNIL);
												}
												SET_CDR(BgL_h1320z00_1597, BgL_nh1321z00_1604);
												{	/* Liveness/set.scm 210 */
													obj_t BgL_arg1633z00_1605;

													BgL_arg1633z00_1605 =
														CDR(((obj_t) BgL_l1319z00_1596));
													{
														obj_t BgL_h1320z00_2421;
														obj_t BgL_l1319z00_2420;

														BgL_l1319z00_2420 = BgL_arg1633z00_1605;
														BgL_h1320z00_2421 = BgL_nh1321z00_1604;
														BgL_h1320z00_1597 = BgL_h1320z00_2421;
														BgL_l1319z00_1596 = BgL_l1319z00_2420;
														goto BgL_zc3z04anonymousza31628ze3z87_1598;
													}
												}
											}
										else
											{	/* Liveness/set.scm 210 */
												obj_t BgL_arg1638z00_1607;

												BgL_arg1638z00_1607 = CDR(((obj_t) BgL_l1319z00_1596));
												{
													obj_t BgL_l1319z00_2424;

													BgL_l1319z00_2424 = BgL_arg1638z00_1607;
													BgL_l1319z00_1596 = BgL_l1319z00_2424;
													goto BgL_zc3z04anonymousza31628ze3z87_1598;
												}
											}
									}
							}
						}
					}
				}
			}
		}

	}



/* &intersection* */
	obj_t BGl_z62intersectionza2zc0zzliveness_setz00(obj_t BgL_envz00_1995,
		obj_t BgL_lsz00_1996)
	{
		{	/* Liveness/set.scm 192 */
			return BGl_intersectionza2za2zzliveness_setz00(BgL_lsz00_1996);
		}

	}



/* disjonction */
	BGL_EXPORTED_DEF obj_t BGl_disjonctionz00zzliveness_setz00(obj_t BgL_l1z00_19,
		obj_t BgL_l2z00_20)
	{
		{	/* Liveness/set.scm 217 */
			{	/* Liveness/set.scm 219 */
				long BgL_markz00_1627;

				BgL_markz00_1627 = BGl_getzd2markzd2zzliveness_setz00();
				if (NULLP(BgL_l2z00_20))
					{	/* Liveness/set.scm 225 */
						return BgL_l1z00_19;
					}
				else
					{	/* Liveness/set.scm 225 */
						{
							obj_t BgL_l1324z00_1631;

							BgL_l1324z00_1631 = BgL_l2z00_20;
						BgL_zc3z04anonymousza31658ze3z87_1632:
							if (PAIRP(BgL_l1324z00_1631))
								{	/* Liveness/set.scm 228 */
									{	/* Liveness/set.scm 228 */
										obj_t BgL_arg1660z00_1634;

										BgL_arg1660z00_1634 = CAR(BgL_l1324z00_1631);
										{
											BgL_localzf2livenesszf2_bglt BgL_auxz00_2432;

											{
												obj_t BgL_auxz00_2433;

												{	/* Liveness/set.scm 223 */
													BgL_objectz00_bglt BgL_tmpz00_2434;

													BgL_tmpz00_2434 =
														((BgL_objectz00_bglt)
														((BgL_localz00_bglt) BgL_arg1660z00_1634));
													BgL_auxz00_2433 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_2434);
												}
												BgL_auxz00_2432 =
													((BgL_localzf2livenesszf2_bglt) BgL_auxz00_2433);
											}
											((((BgL_localzf2livenesszf2_bglt)
														COBJECT(BgL_auxz00_2432))->BgL_z52countz52) =
												((int) (int) (BgL_markz00_1627)), BUNSPEC);
									}}
									{
										obj_t BgL_l1324z00_2441;

										BgL_l1324z00_2441 = CDR(BgL_l1324z00_1631);
										BgL_l1324z00_1631 = BgL_l1324z00_2441;
										goto BgL_zc3z04anonymousza31658ze3z87_1632;
									}
								}
							else
								{	/* Liveness/set.scm 228 */
									((bool_t) 1);
								}
						}
						{	/* Liveness/set.scm 229 */
							obj_t BgL_hook1330z00_1637;

							BgL_hook1330z00_1637 = MAKE_YOUNG_PAIR(BFALSE, BNIL);
							{
								obj_t BgL_l1327z00_1639;
								obj_t BgL_h1328z00_1640;

								BgL_l1327z00_1639 = BgL_l1z00_19;
								BgL_h1328z00_1640 = BgL_hook1330z00_1637;
							BgL_zc3z04anonymousza31664ze3z87_1641:
								if (NULLP(BgL_l1327z00_1639))
									{	/* Liveness/set.scm 229 */
										return CDR(BgL_hook1330z00_1637);
									}
								else
									{	/* Liveness/set.scm 229 */
										bool_t BgL_test1912z00_2447;

										{	/* Liveness/set.scm 230 */
											BgL_localz00_bglt BgL_i1153z00_1654;

											BgL_i1153z00_1654 =
												((BgL_localz00_bglt) CAR(((obj_t) BgL_l1327z00_1639)));
											{	/* Liveness/set.scm 231 */
												bool_t BgL_test1913z00_2451;

												{	/* Liveness/set.scm 231 */
													int BgL_arg1686z00_1656;

													{
														BgL_localzf2livenesszf2_bglt BgL_auxz00_2452;

														{
															obj_t BgL_auxz00_2453;

															{	/* Liveness/set.scm 231 */
																BgL_objectz00_bglt BgL_tmpz00_2454;

																BgL_tmpz00_2454 =
																	((BgL_objectz00_bglt) BgL_i1153z00_1654);
																BgL_auxz00_2453 =
																	BGL_OBJECT_WIDENING(BgL_tmpz00_2454);
															}
															BgL_auxz00_2452 =
																((BgL_localzf2livenesszf2_bglt)
																BgL_auxz00_2453);
														}
														BgL_arg1686z00_1656 =
															(((BgL_localzf2livenesszf2_bglt)
																COBJECT(BgL_auxz00_2452))->BgL_z52countz52);
													}
													BgL_test1913z00_2451 =
														((long) (BgL_arg1686z00_1656) == BgL_markz00_1627);
												}
												if (BgL_test1913z00_2451)
													{	/* Liveness/set.scm 231 */
														BgL_test1912z00_2447 = ((bool_t) 0);
													}
												else
													{	/* Liveness/set.scm 231 */
														BgL_test1912z00_2447 = ((bool_t) 1);
													}
											}
										}
										if (BgL_test1912z00_2447)
											{	/* Liveness/set.scm 229 */
												obj_t BgL_nh1329z00_1649;

												{	/* Liveness/set.scm 229 */
													obj_t BgL_arg1679z00_1651;

													BgL_arg1679z00_1651 =
														CAR(((obj_t) BgL_l1327z00_1639));
													BgL_nh1329z00_1649 =
														MAKE_YOUNG_PAIR(BgL_arg1679z00_1651, BNIL);
												}
												SET_CDR(BgL_h1328z00_1640, BgL_nh1329z00_1649);
												{	/* Liveness/set.scm 229 */
													obj_t BgL_arg1677z00_1650;

													BgL_arg1677z00_1650 =
														CDR(((obj_t) BgL_l1327z00_1639));
													{
														obj_t BgL_h1328z00_2468;
														obj_t BgL_l1327z00_2467;

														BgL_l1327z00_2467 = BgL_arg1677z00_1650;
														BgL_h1328z00_2468 = BgL_nh1329z00_1649;
														BgL_h1328z00_1640 = BgL_h1328z00_2468;
														BgL_l1327z00_1639 = BgL_l1327z00_2467;
														goto BgL_zc3z04anonymousza31664ze3z87_1641;
													}
												}
											}
										else
											{	/* Liveness/set.scm 229 */
												obj_t BgL_arg1680z00_1652;

												BgL_arg1680z00_1652 = CDR(((obj_t) BgL_l1327z00_1639));
												{
													obj_t BgL_l1327z00_2471;

													BgL_l1327z00_2471 = BgL_arg1680z00_1652;
													BgL_l1327z00_1639 = BgL_l1327z00_2471;
													goto BgL_zc3z04anonymousza31664ze3z87_1641;
												}
											}
									}
							}
						}
					}
			}
		}

	}



/* &disjonction */
	obj_t BGl_z62disjonctionz62zzliveness_setz00(obj_t BgL_envz00_1997,
		obj_t BgL_l1z00_1998, obj_t BgL_l2z00_1999)
	{
		{	/* Liveness/set.scm 217 */
			return
				BGl_disjonctionz00zzliveness_setz00(BgL_l1z00_1998, BgL_l2z00_1999);
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzliveness_setz00(void)
	{
		{	/* Liveness/set.scm 15 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzliveness_setz00(void)
	{
		{	/* Liveness/set.scm 15 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzliveness_setz00(void)
	{
		{	/* Liveness/set.scm 15 */
			return BUNSPEC;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzliveness_setz00(void)
	{
		{	/* Liveness/set.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(54713316L,
				BSTRING_TO_STRING(BGl_string1854z00zzliveness_setz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(300504031L,
				BSTRING_TO_STRING(BGl_string1854z00zzliveness_setz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(365925558L,
				BSTRING_TO_STRING(BGl_string1854z00zzliveness_setz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(515343395L,
				BSTRING_TO_STRING(BGl_string1854z00zzliveness_setz00));
			BGl_modulezd2initializa7ationz75zztype_typeofz00(398780265L,
				BSTRING_TO_STRING(BGl_string1854z00zzliveness_setz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(489890788L,
				BSTRING_TO_STRING(BGl_string1854z00zzliveness_setz00));
			BGl_modulezd2initializa7ationz75zztype_envz00(296457443L,
				BSTRING_TO_STRING(BGl_string1854z00zzliveness_setz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(90839984L,
				BSTRING_TO_STRING(BGl_string1854z00zzliveness_setz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(469732712L,
				BSTRING_TO_STRING(BGl_string1854z00zzliveness_setz00));
			BGl_modulezd2initializa7ationz75zzast_envz00(146730773L,
				BSTRING_TO_STRING(BGl_string1854z00zzliveness_setz00));
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(158397907L,
				BSTRING_TO_STRING(BGl_string1854z00zzliveness_setz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(161876678L,
				BSTRING_TO_STRING(BGl_string1854z00zzliveness_setz00));
			return
				BGl_modulezd2initializa7ationz75zzliveness_typesz00(0L,
				BSTRING_TO_STRING(BGl_string1854z00zzliveness_setz00));
		}

	}

#ifdef __cplusplus
}
#endif
