/*===========================================================================*/
/*   (Module/main.scm)                                                       */
/*   Bigloo (4.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Jan 27 07:45:49 AM CET 2025     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.6a/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.6a/lib/bigloo/4.6a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -stdc -indent Module/main.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL_MODULE_MAIN_TYPE_DEFINITIONS
#define BGL_MODULE_MAIN_TYPE_DEFINITIONS

/* object type definitions */
	typedef struct BgL_ccompz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_producerz00;
		obj_t BgL_consumerz00;
		obj_t BgL_finaliza7erza7;
	}               *BgL_ccompz00_bglt;

	typedef struct BgL_backendz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
		bool_t BgL_boundzd2checkzd2;
		bool_t BgL_typezd2checkzd2;
		bool_t BgL_typedzd2funcallzd2;
		bool_t BgL_strictzd2typezd2castz00;
		bool_t BgL_forcezd2registerzd2gczd2rootszd2;
		bool_t BgL_stringzd2literalzd2supportz00;
		bool_t BgL_boxedzd2fixnumszd2;
		bool_t BgL_typedzd2closureszd2;
	}                 *BgL_backendz00_bglt;

	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_nullz00;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_qualifiedzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;


#endif													// BGL_MODULE_MAIN_TYPE_DEFINITIONS
#endif													// BGL_MODULE_TYPE_DEFINITIONS

	static obj_t BGl_requirezd2initializa7ationz75zzmodule_mainz00 = BUNSPEC;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	extern obj_t BGl_sfunz00zzast_varz00;
	static obj_t BGl_genericzd2initzd2zzmodule_mainz00(void);
	static obj_t BGl_objectzd2initzd2zzmodule_mainz00(void);
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	extern obj_t BGl_thezd2backendzd2zzbackend_backendz00(void);
	BGL_EXPORTED_DECL obj_t BGl_makezd2mainzd2compilerz00zzmodule_mainz00(void);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzmodule_mainz00(void);
	static obj_t BGl_z62mainzd2consumerzb0zzmodule_mainz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_za2bdbzd2debugza2zd2zzengine_paramz00;
	static obj_t BGl_z62mainzd2producerzb0zzmodule_mainz00(obj_t, obj_t);
	extern obj_t BGl_za2pairza2z00zztype_cachez00;
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	extern obj_t BGl_ccompz00zzmodule_modulez00;
	extern obj_t BGl_za2moduleza2z00zzmodule_modulez00;
	extern obj_t BGl_producezd2modulezd2clausez12z12zzmodule_modulez00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzmodule_mainz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	static obj_t BGl_z62zc3z04anonymousza31099ze3ze5zzmodule_mainz00(obj_t);
	static obj_t BGl_cnstzd2initzd2zzmodule_mainz00(void);
	static obj_t BGl_libraryzd2moduleszd2initz00zzmodule_mainz00(void);
	static obj_t BGl_duplicatezd2mainzd2errorz00zzmodule_mainz00(obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzmodule_mainz00(void);
	static obj_t BGl_gczd2rootszd2initz00zzmodule_mainz00(void);
	extern obj_t BGl_findzd2globalzf2modulez20zzast_envz00(obj_t, obj_t);
	static obj_t BGl_z62makezd2mainzd2compilerz62zzmodule_mainz00(obj_t);
	extern obj_t BGl_userzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t, obj_t);
	static bool_t BGl_correctzd2mainzf3z21zzmodule_mainz00(BgL_globalz00_bglt);
	extern obj_t BGl_globalz00zzast_varz00;
	extern obj_t BGl_za2mainza2z00zzmodule_modulez00;
	static obj_t __cnst[7];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2mainzd2compilerzd2envzd2zzmodule_mainz00,
		BgL_bgl_za762makeza7d2mainza7d1227za7,
		BGl_z62makezd2mainzd2compilerz62zzmodule_mainz00, 0L, BUNSPEC, 0);
	     
		DEFINE_STATIC_BGL_PROCEDURE(BGl_mainzd2consumerzd2envz00zzmodule_mainz00,
		BgL_bgl_za762mainza7d2consum1228z00,
		BGl_z62mainzd2consumerzb0zzmodule_mainz00, 0L, BUNSPEC, 2);
	     
		DEFINE_STATIC_BGL_PROCEDURE(BGl_mainzd2producerzd2envz00zzmodule_mainz00,
		BgL_bgl_za762mainza7d2produc1229z00,
		BGl_z62mainzd2producerzb0zzmodule_mainz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1220z00zzmodule_mainz00,
		BgL_bgl_string1220za700za7za7m1230za7,
		"Illegal declaration of main function", 36);
	      DEFINE_STRING(BGl_string1221z00zzmodule_mainz00,
		BgL_bgl_string1221za700za7za7m1231za7, "Parse error", 11);
	      DEFINE_STRING(BGl_string1222z00zzmodule_mainz00,
		BgL_bgl_string1222za700za7za7m1232za7, "Illegal \"main\" clause", 21);
	      DEFINE_STRING(BGl_string1223z00zzmodule_mainz00,
		BgL_bgl_string1223za700za7za7m1233za7, "Duplicated main clause", 22);
	      DEFINE_STRING(BGl_string1224z00zzmodule_mainz00,
		BgL_bgl_string1224za700za7za7m1234za7, "module_main", 11);
	      DEFINE_STRING(BGl_string1225z00zzmodule_mainz00,
		BgL_bgl_string1225za700za7za7m1235za7,
		"argv::pair export argv::obj bdb imported void main ", 51);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1219z00zzmodule_mainz00,
		BgL_bgl_za762za7c3za704anonymo1236za7,
		BGl_z62zc3z04anonymousza31099ze3ze5zzmodule_mainz00, 0L, BUNSPEC, 0);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zzmodule_mainz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzmodule_mainz00(long
		BgL_checksumz00_955, char *BgL_fromz00_956)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzmodule_mainz00))
				{
					BGl_requirezd2initializa7ationz75zzmodule_mainz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzmodule_mainz00();
					BGl_libraryzd2moduleszd2initz00zzmodule_mainz00();
					BGl_cnstzd2initzd2zzmodule_mainz00();
					BGl_importedzd2moduleszd2initz00zzmodule_mainz00();
					return BGl_methodzd2initzd2zzmodule_mainz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzmodule_mainz00(void)
	{
		{	/* Module/main.scm 15 */
			BGl_modulezd2initializa7ationz75zz__objectz00(0L, "module_main");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(0L,
				"module_main");
			BGl_modulezd2initializa7ationz75zz__readerz00(0L, "module_main");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(0L, "module_main");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(0L, "module_main");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(0L, "module_main");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(0L,
				"module_main");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(0L, "module_main");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(0L,
				"module_main");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzmodule_mainz00(void)
	{
		{	/* Module/main.scm 15 */
			{	/* Module/main.scm 15 */
				obj_t BgL_cportz00_879;

				{	/* Module/main.scm 15 */
					obj_t BgL_stringz00_886;

					BgL_stringz00_886 = BGl_string1225z00zzmodule_mainz00;
					{	/* Module/main.scm 15 */
						obj_t BgL_startz00_887;

						BgL_startz00_887 = BINT(0L);
						{	/* Module/main.scm 15 */
							obj_t BgL_endz00_888;

							BgL_endz00_888 = BINT(STRING_LENGTH(((obj_t) BgL_stringz00_886)));
							{	/* Module/main.scm 15 */

								BgL_cportz00_879 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_886, BgL_startz00_887, BgL_endz00_888);
				}}}}
				{
					long BgL_iz00_880;

					BgL_iz00_880 = 6L;
				BgL_loopz00_881:
					if ((BgL_iz00_880 == (-1L)))
						{	/* Module/main.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Module/main.scm 15 */
							{	/* Module/main.scm 15 */
								obj_t BgL_arg1226z00_882;

								{	/* Module/main.scm 15 */

									{	/* Module/main.scm 15 */
										obj_t BgL_locationz00_884;

										BgL_locationz00_884 = BBOOL(((bool_t) 0));
										{	/* Module/main.scm 15 */

											BgL_arg1226z00_882 =
												BGl_readz00zz__readerz00(BgL_cportz00_879,
												BgL_locationz00_884);
										}
									}
								}
								{	/* Module/main.scm 15 */
									int BgL_tmpz00_983;

									BgL_tmpz00_983 = (int) (BgL_iz00_880);
									CNST_TABLE_SET(BgL_tmpz00_983, BgL_arg1226z00_882);
							}}
							{	/* Module/main.scm 15 */
								int BgL_auxz00_885;

								BgL_auxz00_885 = (int) ((BgL_iz00_880 - 1L));
								{
									long BgL_iz00_988;

									BgL_iz00_988 = (long) (BgL_auxz00_885);
									BgL_iz00_880 = BgL_iz00_988;
									goto BgL_loopz00_881;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzmodule_mainz00(void)
	{
		{	/* Module/main.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* make-main-compiler */
	BGL_EXPORTED_DEF obj_t BGl_makezd2mainzd2compilerz00zzmodule_mainz00(void)
	{
		{	/* Module/main.scm 33 */
			{	/* Module/main.scm 34 */
				BgL_ccompz00_bglt BgL_new1063z00_561;

				{	/* Module/main.scm 35 */
					BgL_ccompz00_bglt BgL_new1062z00_563;

					BgL_new1062z00_563 =
						((BgL_ccompz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_ccompz00_bgl))));
					{	/* Module/main.scm 35 */
						long BgL_arg1103z00_564;

						BgL_arg1103z00_564 = BGL_CLASS_NUM(BGl_ccompz00zzmodule_modulez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1062z00_563), BgL_arg1103z00_564);
					}
					BgL_new1063z00_561 = BgL_new1062z00_563;
				}
				((((BgL_ccompz00_bglt) COBJECT(BgL_new1063z00_561))->BgL_idz00) =
					((obj_t) ((obj_t) CNST_TABLE_REF(0))), BUNSPEC);
				((((BgL_ccompz00_bglt) COBJECT(BgL_new1063z00_561))->BgL_producerz00) =
					((obj_t) BGl_mainzd2producerzd2envz00zzmodule_mainz00), BUNSPEC);
				((((BgL_ccompz00_bglt) COBJECT(BgL_new1063z00_561))->BgL_consumerz00) =
					((obj_t) BGl_mainzd2consumerzd2envz00zzmodule_mainz00), BUNSPEC);
				((((BgL_ccompz00_bglt) COBJECT(BgL_new1063z00_561))->
						BgL_finaliza7erza7) =
					((obj_t) BGl_proc1219z00zzmodule_mainz00), BUNSPEC);
				return ((obj_t) BgL_new1063z00_561);
			}
		}

	}



/* &make-main-compiler */
	obj_t BGl_z62makezd2mainzd2compilerz62zzmodule_mainz00(obj_t BgL_envz00_872)
	{
		{	/* Module/main.scm 33 */
			return BGl_makezd2mainzd2compilerz00zzmodule_mainz00();
		}

	}



/* &<@anonymous:1099> */
	obj_t BGl_z62zc3z04anonymousza31099ze3ze5zzmodule_mainz00(obj_t
		BgL_envz00_873)
	{
		{	/* Module/module.scm 56 */
			return ((obj_t) CNST_TABLE_REF(1));
		}

	}



/* correct-main? */
	bool_t BGl_correctzd2mainzf3z21zzmodule_mainz00(BgL_globalz00_bglt
		BgL_globalz00_3)
	{
		{	/* Module/main.scm 45 */
			{	/* Module/main.scm 46 */
				BgL_valuez00_bglt BgL_sfunz00_565;

				BgL_sfunz00_565 =
					(((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_globalz00_3)))->BgL_valuez00);
				{	/* Module/main.scm 47 */
					bool_t BgL_test1239z00_1007;

					{	/* Module/main.scm 47 */
						obj_t BgL_classz00_654;

						BgL_classz00_654 = BGl_sfunz00zzast_varz00;
						{	/* Module/main.scm 47 */
							BgL_objectz00_bglt BgL_arg1858z00_656;

							{	/* Module/main.scm 47 */
								obj_t BgL_tmpz00_1008;

								BgL_tmpz00_1008 =
									((obj_t) ((BgL_objectz00_bglt) BgL_sfunz00_565));
								BgL_arg1858z00_656 = (BgL_objectz00_bglt) (BgL_tmpz00_1008);
							}
							if (BGL_CONDEXPAND_ISA_ARCH64())
								{	/* Module/main.scm 47 */
									long BgL_idxz00_662;

									BgL_idxz00_662 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_656);
									BgL_test1239z00_1007 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_662 + 3L)) == BgL_classz00_654);
								}
							else
								{	/* Module/main.scm 47 */
									bool_t BgL_res1213z00_687;

									{	/* Module/main.scm 47 */
										obj_t BgL_oclassz00_670;

										{	/* Module/main.scm 47 */
											obj_t BgL_arg1866z00_678;
											long BgL_arg1867z00_679;

											BgL_arg1866z00_678 = (BGl_za2classesza2z00zz__objectz00);
											{	/* Module/main.scm 47 */
												long BgL_arg1869z00_680;

												BgL_arg1869z00_680 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_656);
												BgL_arg1867z00_679 = (BgL_arg1869z00_680 - OBJECT_TYPE);
											}
											BgL_oclassz00_670 =
												VECTOR_REF(BgL_arg1866z00_678, BgL_arg1867z00_679);
										}
										{	/* Module/main.scm 47 */
											bool_t BgL__ortest_1115z00_671;

											BgL__ortest_1115z00_671 =
												(BgL_classz00_654 == BgL_oclassz00_670);
											if (BgL__ortest_1115z00_671)
												{	/* Module/main.scm 47 */
													BgL_res1213z00_687 = BgL__ortest_1115z00_671;
												}
											else
												{	/* Module/main.scm 47 */
													long BgL_odepthz00_672;

													{	/* Module/main.scm 47 */
														obj_t BgL_arg1855z00_673;

														BgL_arg1855z00_673 = (BgL_oclassz00_670);
														BgL_odepthz00_672 =
															BGL_CLASS_DEPTH(BgL_arg1855z00_673);
													}
													if ((3L < BgL_odepthz00_672))
														{	/* Module/main.scm 47 */
															obj_t BgL_arg1853z00_675;

															{	/* Module/main.scm 47 */
																obj_t BgL_arg1854z00_676;

																BgL_arg1854z00_676 = (BgL_oclassz00_670);
																BgL_arg1853z00_675 =
																	BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_676,
																	3L);
															}
															BgL_res1213z00_687 =
																(BgL_arg1853z00_675 == BgL_classz00_654);
														}
													else
														{	/* Module/main.scm 47 */
															BgL_res1213z00_687 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_test1239z00_1007 = BgL_res1213z00_687;
								}
						}
					}
					if (BgL_test1239z00_1007)
						{	/* Module/main.scm 47 */
							if (
								((((BgL_funz00_bglt) COBJECT(
												((BgL_funz00_bglt)
													((BgL_sfunz00_bglt) BgL_sfunz00_565))))->
										BgL_arityz00) == 1L))
								{	/* Module/main.scm 49 */
									obj_t BgL_argsz00_568;

									{	/* Module/main.scm 49 */
										obj_t BgL_pairz00_691;

										BgL_pairz00_691 =
											(((BgL_sfunz00_bglt) COBJECT(
													((BgL_sfunz00_bglt) BgL_sfunz00_565)))->BgL_argsz00);
										BgL_argsz00_568 = CAR(BgL_pairz00_691);
									}
									{	/* Module/main.scm 49 */
										obj_t BgL_typez00_569;

										BgL_typez00_569 =
											((obj_t)
											(((BgL_variablez00_bglt) COBJECT(
														((BgL_variablez00_bglt)
															((BgL_localz00_bglt) BgL_argsz00_568))))->
												BgL_typez00));
										{	/* Module/main.scm 50 */

											{	/* Module/main.scm 51 */
												bool_t BgL__ortest_1066z00_570;

												BgL__ortest_1066z00_570 =
													(BgL_typez00_569 == BGl_za2objza2z00zztype_cachez00);
												if (BgL__ortest_1066z00_570)
													{	/* Module/main.scm 51 */
														return BgL__ortest_1066z00_570;
													}
												else
													{	/* Module/main.scm 51 */
														return
															(BgL_typez00_569 ==
															BGl_za2pairza2z00zztype_cachez00);
													}
											}
										}
									}
								}
							else
								{	/* Module/main.scm 48 */
									return ((bool_t) 0);
								}
						}
					else
						{	/* Module/main.scm 47 */
							return ((bool_t) 0);
						}
				}
			}
		}

	}



/* &main-producer */
	obj_t BGl_z62mainzd2producerzb0zzmodule_mainz00(obj_t BgL_envz00_874,
		obj_t BgL_clausez00_875)
	{
		{	/* Module/main.scm 56 */
			{	/* Module/main.scm 57 */
				bool_t BgL_test1246z00_1046;

				if (
					(BGl_za2mainza2z00zzmodule_modulez00 == ((obj_t) CNST_TABLE_REF(2))))
					{	/* Module/main.scm 57 */
						BgL_test1246z00_1046 = ((bool_t) 1);
					}
				else
					{	/* Module/main.scm 57 */
						obj_t BgL_objz00_890;

						BgL_objz00_890 = BGl_za2mainza2z00zzmodule_modulez00;
						{	/* Module/main.scm 57 */
							obj_t BgL_classz00_891;

							BgL_classz00_891 = BGl_globalz00zzast_varz00;
							if (BGL_OBJECTP(BgL_objz00_890))
								{	/* Module/main.scm 57 */
									BgL_objectz00_bglt BgL_arg1858z00_892;

									BgL_arg1858z00_892 = (BgL_objectz00_bglt) (BgL_objz00_890);
									if (BGL_CONDEXPAND_ISA_ARCH64())
										{	/* Module/main.scm 57 */
											long BgL_idxz00_893;

											BgL_idxz00_893 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_892);
											BgL_test1246z00_1046 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_893 + 2L)) == BgL_classz00_891);
										}
									else
										{	/* Module/main.scm 57 */
											bool_t BgL_res1214z00_896;

											{	/* Module/main.scm 57 */
												obj_t BgL_oclassz00_897;

												{	/* Module/main.scm 57 */
													obj_t BgL_arg1866z00_898;
													long BgL_arg1867z00_899;

													BgL_arg1866z00_898 =
														(BGl_za2classesza2z00zz__objectz00);
													{	/* Module/main.scm 57 */
														long BgL_arg1869z00_900;

														BgL_arg1869z00_900 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_892);
														BgL_arg1867z00_899 =
															(BgL_arg1869z00_900 - OBJECT_TYPE);
													}
													BgL_oclassz00_897 =
														VECTOR_REF(BgL_arg1866z00_898, BgL_arg1867z00_899);
												}
												{	/* Module/main.scm 57 */
													bool_t BgL__ortest_1115z00_901;

													BgL__ortest_1115z00_901 =
														(BgL_classz00_891 == BgL_oclassz00_897);
													if (BgL__ortest_1115z00_901)
														{	/* Module/main.scm 57 */
															BgL_res1214z00_896 = BgL__ortest_1115z00_901;
														}
													else
														{	/* Module/main.scm 57 */
															long BgL_odepthz00_902;

															{	/* Module/main.scm 57 */
																obj_t BgL_arg1855z00_903;

																BgL_arg1855z00_903 = (BgL_oclassz00_897);
																BgL_odepthz00_902 =
																	BGL_CLASS_DEPTH(BgL_arg1855z00_903);
															}
															if ((2L < BgL_odepthz00_902))
																{	/* Module/main.scm 57 */
																	obj_t BgL_arg1853z00_904;

																	{	/* Module/main.scm 57 */
																		obj_t BgL_arg1854z00_905;

																		BgL_arg1854z00_905 = (BgL_oclassz00_897);
																		BgL_arg1853z00_904 =
																			BGL_CLASS_ANCESTORS_REF
																			(BgL_arg1854z00_905, 2L);
																	}
																	BgL_res1214z00_896 =
																		(BgL_arg1853z00_904 == BgL_classz00_891);
																}
															else
																{	/* Module/main.scm 57 */
																	BgL_res1214z00_896 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_test1246z00_1046 = BgL_res1214z00_896;
										}
								}
							else
								{	/* Module/main.scm 57 */
									BgL_test1246z00_1046 = ((bool_t) 0);
								}
						}
					}
				if (BgL_test1246z00_1046)
					{	/* Module/main.scm 57 */
						return
							BGl_duplicatezd2mainzd2errorz00zzmodule_mainz00
							(BgL_clausez00_875);
					}
				else
					{
						obj_t BgL_mainz00_908;

						if (PAIRP(BgL_clausez00_875))
							{	/* Module/main.scm 59 */
								obj_t BgL_cdrzd2107zd2_937;

								BgL_cdrzd2107zd2_937 = CDR(((obj_t) BgL_clausez00_875));
								if (PAIRP(BgL_cdrzd2107zd2_937))
									{	/* Module/main.scm 59 */
										obj_t BgL_carzd2109zd2_938;

										BgL_carzd2109zd2_938 = CAR(BgL_cdrzd2107zd2_937);
										if (SYMBOLP(BgL_carzd2109zd2_938))
											{	/* Module/main.scm 59 */
												if (NULLP(CDR(BgL_cdrzd2107zd2_937)))
													{	/* Module/main.scm 59 */
														BgL_mainz00_908 = BgL_carzd2109zd2_938;
														{	/* Module/main.scm 61 */
															obj_t BgL_globalz00_909;

															BgL_globalz00_909 =
																BGl_findzd2globalzf2modulez20zzast_envz00
																(BgL_mainz00_908,
																BGl_za2moduleza2z00zzmodule_modulez00);
															{	/* Module/main.scm 62 */
																bool_t BgL_test1256z00_1087;

																{	/* Module/main.scm 62 */
																	obj_t BgL_classz00_910;

																	BgL_classz00_910 = BGl_globalz00zzast_varz00;
																	if (BGL_OBJECTP(BgL_globalz00_909))
																		{	/* Module/main.scm 62 */
																			BgL_objectz00_bglt BgL_arg1858z00_911;

																			BgL_arg1858z00_911 =
																				(BgL_objectz00_bglt)
																				(BgL_globalz00_909);
																			if (BGL_CONDEXPAND_ISA_ARCH64())
																				{	/* Module/main.scm 62 */
																					long BgL_idxz00_912;

																					BgL_idxz00_912 =
																						BGL_OBJECT_INHERITANCE_NUM
																						(BgL_arg1858z00_911);
																					BgL_test1256z00_1087 =
																						(VECTOR_REF
																						(BGl_za2inheritancesza2z00zz__objectz00,
																							(BgL_idxz00_912 + 2L)) ==
																						BgL_classz00_910);
																				}
																			else
																				{	/* Module/main.scm 62 */
																					bool_t BgL_res1215z00_915;

																					{	/* Module/main.scm 62 */
																						obj_t BgL_oclassz00_916;

																						{	/* Module/main.scm 62 */
																							obj_t BgL_arg1866z00_917;
																							long BgL_arg1867z00_918;

																							BgL_arg1866z00_917 =
																								(BGl_za2classesza2z00zz__objectz00);
																							{	/* Module/main.scm 62 */
																								long BgL_arg1869z00_919;

																								BgL_arg1869z00_919 =
																									BGL_OBJECT_CLASS_NUM
																									(BgL_arg1858z00_911);
																								BgL_arg1867z00_918 =
																									(BgL_arg1869z00_919 -
																									OBJECT_TYPE);
																							}
																							BgL_oclassz00_916 =
																								VECTOR_REF(BgL_arg1866z00_917,
																								BgL_arg1867z00_918);
																						}
																						{	/* Module/main.scm 62 */
																							bool_t BgL__ortest_1115z00_920;

																							BgL__ortest_1115z00_920 =
																								(BgL_classz00_910 ==
																								BgL_oclassz00_916);
																							if (BgL__ortest_1115z00_920)
																								{	/* Module/main.scm 62 */
																									BgL_res1215z00_915 =
																										BgL__ortest_1115z00_920;
																								}
																							else
																								{	/* Module/main.scm 62 */
																									long BgL_odepthz00_921;

																									{	/* Module/main.scm 62 */
																										obj_t BgL_arg1855z00_922;

																										BgL_arg1855z00_922 =
																											(BgL_oclassz00_916);
																										BgL_odepthz00_921 =
																											BGL_CLASS_DEPTH
																											(BgL_arg1855z00_922);
																									}
																									if ((2L < BgL_odepthz00_921))
																										{	/* Module/main.scm 62 */
																											obj_t BgL_arg1853z00_923;

																											{	/* Module/main.scm 62 */
																												obj_t
																													BgL_arg1854z00_924;
																												BgL_arg1854z00_924 =
																													(BgL_oclassz00_916);
																												BgL_arg1853z00_923 =
																													BGL_CLASS_ANCESTORS_REF
																													(BgL_arg1854z00_924,
																													2L);
																											}
																											BgL_res1215z00_915 =
																												(BgL_arg1853z00_923 ==
																												BgL_classz00_910);
																										}
																									else
																										{	/* Module/main.scm 62 */
																											BgL_res1215z00_915 =
																												((bool_t) 0);
																										}
																								}
																						}
																					}
																					BgL_test1256z00_1087 =
																						BgL_res1215z00_915;
																				}
																		}
																	else
																		{	/* Module/main.scm 62 */
																			BgL_test1256z00_1087 = ((bool_t) 0);
																		}
																}
																if (BgL_test1256z00_1087)
																	{	/* Module/main.scm 62 */
																		if (BGl_correctzd2mainzf3z21zzmodule_mainz00
																			(((BgL_globalz00_bglt)
																					BgL_globalz00_909)))
																			{	/* Module/main.scm 63 */
																				return BFALSE;
																			}
																		else
																			{	/* Module/main.scm 64 */
																				obj_t BgL_list1116z00_925;

																				BgL_list1116z00_925 =
																					MAKE_YOUNG_PAIR(BNIL, BNIL);
																				return
																					BGl_userzd2errorzd2zztools_errorz00
																					(BGl_za2moduleza2z00zzmodule_modulez00,
																					BGl_string1220z00zzmodule_mainz00,
																					BgL_mainz00_908, BgL_list1116z00_925);
																			}
																	}
																else
																	{	/* Module/main.scm 62 */
																		{	/* Module/main.scm 67 */
																			bool_t BgL_test1263z00_1115;

																			if (
																				((long)
																					CINT
																					(BGl_za2bdbzd2debugza2zd2zzengine_paramz00)
																					> 0L))
																				{	/* Module/main.scm 69 */
																					obj_t BgL_arg1157z00_926;

																					{	/* Module/main.scm 69 */
																						obj_t BgL_arg1158z00_927;

																						BgL_arg1158z00_927 =
																							BGl_thezd2backendzd2zzbackend_backendz00
																							();
																						BgL_arg1157z00_926 =
																							(((BgL_backendz00_bglt)
																								COBJECT(((BgL_backendz00_bglt)
																										BgL_arg1158z00_927)))->
																							BgL_debugzd2supportzd2);
																					}
																					BgL_test1263z00_1115 =
																						CBOOL
																						(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
																						(((obj_t) CNST_TABLE_REF(3)),
																							BgL_arg1157z00_926));
																				}
																			else
																				{	/* Module/main.scm 67 */
																					BgL_test1263z00_1115 = ((bool_t) 0);
																				}
																			if (BgL_test1263z00_1115)
																				{	/* Module/main.scm 70 */
																					obj_t BgL_arg1131z00_928;

																					{	/* Module/main.scm 70 */
																						obj_t BgL_arg1134z00_929;

																						{	/* Module/main.scm 70 */
																							obj_t BgL_arg1135z00_930;

																							{	/* Module/main.scm 70 */
																								obj_t BgL_arg1139z00_931;

																								BgL_arg1139z00_931 =
																									MAKE_YOUNG_PAIR(
																									((obj_t)
																										CNST_TABLE_REF(4)), BNIL);
																								BgL_arg1135z00_930 =
																									MAKE_YOUNG_PAIR
																									(BgL_mainz00_908,
																									BgL_arg1139z00_931);
																							}
																							BgL_arg1134z00_929 =
																								MAKE_YOUNG_PAIR
																								(BgL_arg1135z00_930, BNIL);
																						}
																						BgL_arg1131z00_928 =
																							MAKE_YOUNG_PAIR(
																							((obj_t)
																								CNST_TABLE_REF(5)),
																							BgL_arg1134z00_929);
																					}
																					BGl_producezd2modulezd2clausez12z12zzmodule_modulez00
																						(BgL_arg1131z00_928);
																				}
																			else
																				{	/* Module/main.scm 71 */
																					obj_t BgL_arg1145z00_932;

																					{	/* Module/main.scm 71 */
																						obj_t BgL_arg1146z00_933;

																						{	/* Module/main.scm 71 */
																							obj_t BgL_arg1153z00_934;

																							{	/* Module/main.scm 71 */
																								obj_t BgL_arg1156z00_935;

																								BgL_arg1156z00_935 =
																									MAKE_YOUNG_PAIR(
																									((obj_t)
																										CNST_TABLE_REF(6)), BNIL);
																								BgL_arg1153z00_934 =
																									MAKE_YOUNG_PAIR
																									(BgL_mainz00_908,
																									BgL_arg1156z00_935);
																							}
																							BgL_arg1146z00_933 =
																								MAKE_YOUNG_PAIR
																								(BgL_arg1153z00_934, BNIL);
																						}
																						BgL_arg1145z00_932 =
																							MAKE_YOUNG_PAIR(
																							((obj_t)
																								CNST_TABLE_REF(5)),
																							BgL_arg1146z00_933);
																					}
																					BGl_producezd2modulezd2clausez12z12zzmodule_modulez00
																						(BgL_arg1145z00_932);
																				}
																		}
																		return (BGl_za2mainza2z00zzmodule_modulez00
																			=
																			BGl_findzd2globalzf2modulez20zzast_envz00
																			(BgL_mainz00_908,
																				BGl_za2moduleza2z00zzmodule_modulez00),
																			BUNSPEC);
																	}
															}
														}
													}
												else
													{	/* Module/main.scm 59 */
													BgL_tagzd2102zd2_907:
														{	/* Module/main.scm 74 */
															obj_t BgL_list1159z00_936;

															BgL_list1159z00_936 = MAKE_YOUNG_PAIR(BNIL, BNIL);
															return
																BGl_userzd2errorzd2zztools_errorz00
																(BGl_string1221z00zzmodule_mainz00,
																BGl_string1222z00zzmodule_mainz00,
																BgL_clausez00_875, BgL_list1159z00_936);
														}
													}
											}
										else
											{	/* Module/main.scm 59 */
												goto BgL_tagzd2102zd2_907;
											}
									}
								else
									{	/* Module/main.scm 59 */
										goto BgL_tagzd2102zd2_907;
									}
							}
						else
							{	/* Module/main.scm 59 */
								goto BgL_tagzd2102zd2_907;
							}
					}
			}
		}

	}



/* &main-consumer */
	obj_t BGl_z62mainzd2consumerzb0zzmodule_mainz00(obj_t BgL_envz00_876,
		obj_t BgL_modulez00_877, obj_t BgL_clausez00_878)
	{
		{	/* Module/main.scm 79 */
			{	/* Module/main.scm 80 */
				bool_t BgL_test1265z00_1147;

				{	/* Module/main.scm 80 */
					obj_t BgL_objz00_939;

					BgL_objz00_939 = BGl_za2mainza2z00zzmodule_modulez00;
					{	/* Module/main.scm 80 */
						obj_t BgL_classz00_940;

						BgL_classz00_940 = BGl_globalz00zzast_varz00;
						if (BGL_OBJECTP(BgL_objz00_939))
							{	/* Module/main.scm 80 */
								BgL_objectz00_bglt BgL_arg1858z00_941;

								BgL_arg1858z00_941 = (BgL_objectz00_bglt) (BgL_objz00_939);
								if (BGL_CONDEXPAND_ISA_ARCH64())
									{	/* Module/main.scm 80 */
										long BgL_idxz00_942;

										BgL_idxz00_942 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_941);
										BgL_test1265z00_1147 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_942 + 2L)) == BgL_classz00_940);
									}
								else
									{	/* Module/main.scm 80 */
										bool_t BgL_res1216z00_945;

										{	/* Module/main.scm 80 */
											obj_t BgL_oclassz00_946;

											{	/* Module/main.scm 80 */
												obj_t BgL_arg1866z00_947;
												long BgL_arg1867z00_948;

												BgL_arg1866z00_947 =
													(BGl_za2classesza2z00zz__objectz00);
												{	/* Module/main.scm 80 */
													long BgL_arg1869z00_949;

													BgL_arg1869z00_949 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_941);
													BgL_arg1867z00_948 =
														(BgL_arg1869z00_949 - OBJECT_TYPE);
												}
												BgL_oclassz00_946 =
													VECTOR_REF(BgL_arg1866z00_947, BgL_arg1867z00_948);
											}
											{	/* Module/main.scm 80 */
												bool_t BgL__ortest_1115z00_950;

												BgL__ortest_1115z00_950 =
													(BgL_classz00_940 == BgL_oclassz00_946);
												if (BgL__ortest_1115z00_950)
													{	/* Module/main.scm 80 */
														BgL_res1216z00_945 = BgL__ortest_1115z00_950;
													}
												else
													{	/* Module/main.scm 80 */
														long BgL_odepthz00_951;

														{	/* Module/main.scm 80 */
															obj_t BgL_arg1855z00_952;

															BgL_arg1855z00_952 = (BgL_oclassz00_946);
															BgL_odepthz00_951 =
																BGL_CLASS_DEPTH(BgL_arg1855z00_952);
														}
														if ((2L < BgL_odepthz00_951))
															{	/* Module/main.scm 80 */
																obj_t BgL_arg1853z00_953;

																{	/* Module/main.scm 80 */
																	obj_t BgL_arg1854z00_954;

																	BgL_arg1854z00_954 = (BgL_oclassz00_946);
																	BgL_arg1853z00_953 =
																		BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_954,
																		2L);
																}
																BgL_res1216z00_945 =
																	(BgL_arg1853z00_953 == BgL_classz00_940);
															}
														else
															{	/* Module/main.scm 80 */
																BgL_res1216z00_945 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_test1265z00_1147 = BgL_res1216z00_945;
									}
							}
						else
							{	/* Module/main.scm 80 */
								BgL_test1265z00_1147 = ((bool_t) 0);
							}
					}
				}
				if (BgL_test1265z00_1147)
					{	/* Module/main.scm 80 */
						BGl_duplicatezd2mainzd2errorz00zzmodule_mainz00(BgL_clausez00_878);
					}
				else
					{	/* Module/main.scm 80 */
						BGl_za2mainza2z00zzmodule_modulez00 = ((obj_t) CNST_TABLE_REF(2));
					}
			}
			return BNIL;
		}

	}



/* duplicate-main-error */
	obj_t BGl_duplicatezd2mainzd2errorz00zzmodule_mainz00(obj_t BgL_clausez00_7)
	{
		{	/* Module/main.scm 88 */
			{	/* Module/main.scm 89 */
				obj_t BgL_list1161z00_607;

				BgL_list1161z00_607 = MAKE_YOUNG_PAIR(BNIL, BNIL);
				return
					BGl_userzd2errorzd2zztools_errorz00(BGl_string1221z00zzmodule_mainz00,
					BGl_string1223z00zzmodule_mainz00, BgL_clausez00_7,
					BgL_list1161z00_607);
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzmodule_mainz00(void)
	{
		{	/* Module/main.scm 15 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzmodule_mainz00(void)
	{
		{	/* Module/main.scm 15 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzmodule_mainz00(void)
	{
		{	/* Module/main.scm 15 */
			return BUNSPEC;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzmodule_mainz00(void)
	{
		{	/* Module/main.scm 15 */
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(158397907L,
				BSTRING_TO_STRING(BGl_string1224z00zzmodule_mainz00));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(216206620L,
				BSTRING_TO_STRING(BGl_string1224z00zzmodule_mainz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(300504031L,
				BSTRING_TO_STRING(BGl_string1224z00zzmodule_mainz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(515343395L,
				BSTRING_TO_STRING(BGl_string1224z00zzmodule_mainz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(489890788L,
				BSTRING_TO_STRING(BGl_string1224z00zzmodule_mainz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(90839984L,
				BSTRING_TO_STRING(BGl_string1224z00zzmodule_mainz00));
			BGl_modulezd2initializa7ationz75zzast_envz00(146730773L,
				BSTRING_TO_STRING(BGl_string1224z00zzmodule_mainz00));
			return
				BGl_modulezd2initializa7ationz75zzengine_paramz00(161876678L,
				BSTRING_TO_STRING(BGl_string1224z00zzmodule_mainz00));
		}

	}

#ifdef __cplusplus
}
#endif
