/*===========================================================================*/
/*   (Object/method.scm)                                                     */
/*   Bigloo (4.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Jan 27 07:45:49 AM CET 2025     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.6a/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.6a/lib/bigloo/4.6a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -stdc -indent Object/method.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL_OBJECT_METHOD_TYPE_DEFINITIONS
#define BGL_OBJECT_METHOD_TYPE_DEFINITIONS

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_nullz00;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_qualifiedzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_tclassz00_bgl
	{
		obj_t BgL_itszd2superzd2;
		obj_t BgL_slotsz00;
		struct BgL_globalz00_bgl *BgL_holderz00;
		obj_t BgL_wideningz00;
		long BgL_depthz00;
		bool_t BgL_finalzf3zf3;
		obj_t BgL_constructorz00;
		obj_t BgL_virtualzd2slotszd2numberz00;
		bool_t BgL_abstractzf3zf3;
		obj_t BgL_widezd2typezd2;
		obj_t BgL_subclassesz00;
	}                *BgL_tclassz00_bglt;

	typedef struct BgL_backendz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
		bool_t BgL_boundzd2checkzd2;
		bool_t BgL_typezd2checkzd2;
		bool_t BgL_typedzd2funcallzd2;
		bool_t BgL_strictzd2typezd2castz00;
		bool_t BgL_forcezd2registerzd2gczd2rootszd2;
		bool_t BgL_stringzd2literalzd2supportz00;
		bool_t BgL_boxedzd2fixnumszd2;
		bool_t BgL_typedzd2closureszd2;
	}                 *BgL_backendz00_bglt;


#endif													// BGL_OBJECT_METHOD_TYPE_DEFINITIONS
#endif													// BGL_MODULE_TYPE_DEFINITIONS

	BGL_EXPORTED_DECL obj_t
		BGl_makezd2methodzd2nozd2dssslzd2bodyz00zzobject_methodz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzobject_methodz00 = BUNSPEC;
	extern obj_t BGl_makezd2typedzd2identz00zzast_identz00(obj_t, obj_t);
	static obj_t BGl_z62localzd2iszd2methodzf3z91zzobject_methodz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	extern obj_t BGl_tclassz00zzobject_classz00;
	static obj_t BGl_za2methodsza2z00zzobject_methodz00 = BUNSPEC;
	static obj_t BGl_toplevelzd2initzd2zzobject_methodz00(void);
	BGL_IMPORT obj_t BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(obj_t);
	static obj_t BGl_genericzd2initzd2zzobject_methodz00(void);
	BGL_IMPORT obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
	static obj_t BGl_objectzd2initzd2zzobject_methodz00(void);
	BGL_EXPORTED_DECL obj_t BGl_markzd2methodz12zc0zzobject_methodz00(obj_t);
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	static bool_t BGl_dssslzd2methodzf3z21zzobject_methodz00(obj_t);
	extern obj_t BGl_za2debugzd2moduleza2zd2zzengine_paramz00;
	extern obj_t BGl_thezd2backendzd2zzbackend_backendz00(void);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzobject_methodz00(void);
	extern obj_t BGl_findzd2globalzd2zzast_envz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_makezd2methodzd2dssslzd2bodyzd2zzobject_methodz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_idzd2ofzd2idz00zzast_identz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzobject_methodz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_dssslz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_miscz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_argsz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__dssslz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_findzd2locationzd2zztools_locationz00(obj_t);
	BGL_IMPORT obj_t BGl_stringzd2appendzd2zz__r4_strings_6_7z00(obj_t);
	static obj_t BGl_z62markzd2methodz12za2zzobject_methodz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_makezd2dssslzd2functionzd2preludezd2zz__dssslz00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_cnstzd2initzd2zzobject_methodz00(void);
	BGL_IMPORT bool_t BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(obj_t);
	static obj_t BGl_libraryzd2moduleszd2initz00zzobject_methodz00(void);
	extern long BGl_globalzd2arityzd2zztools_argsz00(obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzobject_methodz00(void);
	static obj_t BGl_gczd2rootszd2initz00zzobject_methodz00(void);
	static obj_t BGl_z62makezd2methodzd2dssslzd2bodyzb0zzobject_methodz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t
		BGl_dssslzd2formalszd2ze3schemezd2typedzd2formalsze3zz__dssslz00(obj_t,
		obj_t, bool_t);
	BGL_IMPORT obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_localzd2iszd2methodzf3zf3zzobject_methodz00(BgL_localz00_bglt);
	extern bool_t BGl_bigloozd2typezf3z21zztype_typez00(BgL_typez00_bglt);
	static obj_t
		BGl_z62makezd2methodzd2nozd2dssslzd2bodyz62zzobject_methodz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_userzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_pairzd2ze3listz31zzobject_methodz00(obj_t);
	extern obj_t BGl_globalz00zzast_varz00;
	BGL_IMPORT bool_t BGl_dssslzd2namedzd2constantzf3zf3zz__dssslz00(obj_t);
	static obj_t __cnst[13];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2methodzd2dssslzd2bodyzd2envz00zzobject_methodz00,
		BgL_bgl_za762makeza7d2method1764z00,
		BGl_z62makezd2methodzd2dssslzd2bodyzb0zzobject_methodz00, 0L, BUNSPEC, 5);
	      DEFINE_STRING(BGl_string1753z00zzobject_methodz00,
		BgL_bgl_string1753za700za7za7o1765za7, "\"); ", 4);
	      DEFINE_STRING(BGl_string1754z00zzobject_methodz00,
		BgL_bgl_string1754za700za7za7o1766za7, " ::", 3);
	      DEFINE_STRING(BGl_string1755z00zzobject_methodz00,
		BgL_bgl_string1755za700za7za7o1767za7,
		"bgl_init_module_debug_string( \"generic-add-method: ", 51);
	      DEFINE_STRING(BGl_string1756z00zzobject_methodz00,
		BgL_bgl_string1756za700za7za7o1768za7, "Can't find generic for method", 29);
	      DEFINE_STRING(BGl_string1757z00zzobject_methodz00,
		BgL_bgl_string1757za700za7za7o1769za7,
		"method has a non-class dispatching type arg", 43);
	      DEFINE_STRING(BGl_string1758z00zzobject_methodz00,
		BgL_bgl_string1758za700za7za7o1770za7, "object_method", 13);
	      DEFINE_STRING(BGl_string1759z00zzobject_methodz00,
		BgL_bgl_string1759za700za7za7o1771za7,
		"(quote method-definition-error) generic-add-method! pragma::void module labels call-next-method let apply cons* find-super-class-method @ - next-method ",
		152);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_markzd2methodz12zd2envz12zzobject_methodz00,
		BgL_bgl_za762markza7d2method1772z00,
		BGl_z62markzd2methodz12za2zzobject_methodz00, 0L, BUNSPEC, 1);
	BGL_IMPORT obj_t BGl_errorzd2envzd2zz__errorz00;
	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2methodzd2nozd2dssslzd2bodyzd2envzd2zzobject_methodz00,
		BgL_bgl_za762makeza7d2method1773z00,
		BGl_z62makezd2methodzd2nozd2dssslzd2bodyz62zzobject_methodz00, 0L, BUNSPEC,
		5);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzd2iszd2methodzf3zd2envz21zzobject_methodz00,
		BgL_bgl_za762localza7d2isza7d21774za7,
		BGl_z62localzd2iszd2methodzf3z91zzobject_methodz00, 0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zzobject_methodz00));
		     ADD_ROOT((void *) (&BGl_za2methodsza2z00zzobject_methodz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzobject_methodz00(long
		BgL_checksumz00_1443, char *BgL_fromz00_1444)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzobject_methodz00))
				{
					BGl_requirezd2initializa7ationz75zzobject_methodz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzobject_methodz00();
					BGl_libraryzd2moduleszd2initz00zzobject_methodz00();
					BGl_cnstzd2initzd2zzobject_methodz00();
					BGl_importedzd2moduleszd2initz00zzobject_methodz00();
					return BGl_toplevelzd2initzd2zzobject_methodz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzobject_methodz00(void)
	{
		{	/* Object/method.scm 15 */
			BGl_modulezd2initializa7ationz75zz__objectz00(0L, "object_method");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(0L,
				"object_method");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(0L,
				"object_method");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(0L,
				"object_method");
			BGl_modulezd2initializa7ationz75zz__readerz00(0L, "object_method");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(0L,
				"object_method");
			BGl_modulezd2initializa7ationz75zz__dssslz00(0L, "object_method");
			BGl_modulezd2initializa7ationz75zz__errorz00(0L, "object_method");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(0L,
				"object_method");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(0L,
				"object_method");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(0L,
				"object_method");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzobject_methodz00(void)
	{
		{	/* Object/method.scm 15 */
			{	/* Object/method.scm 15 */
				obj_t BgL_cportz00_1432;

				{	/* Object/method.scm 15 */
					obj_t BgL_stringz00_1439;

					BgL_stringz00_1439 = BGl_string1759z00zzobject_methodz00;
					{	/* Object/method.scm 15 */
						obj_t BgL_startz00_1440;

						BgL_startz00_1440 = BINT(0L);
						{	/* Object/method.scm 15 */
							obj_t BgL_endz00_1441;

							BgL_endz00_1441 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_1439)));
							{	/* Object/method.scm 15 */

								BgL_cportz00_1432 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_1439, BgL_startz00_1440, BgL_endz00_1441);
				}}}}
				{
					long BgL_iz00_1433;

					BgL_iz00_1433 = 12L;
				BgL_loopz00_1434:
					if ((BgL_iz00_1433 == (-1L)))
						{	/* Object/method.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Object/method.scm 15 */
							{	/* Object/method.scm 15 */
								obj_t BgL_arg1763z00_1435;

								{	/* Object/method.scm 15 */

									{	/* Object/method.scm 15 */
										obj_t BgL_locationz00_1437;

										BgL_locationz00_1437 = BBOOL(((bool_t) 0));
										{	/* Object/method.scm 15 */

											BgL_arg1763z00_1435 =
												BGl_readz00zz__readerz00(BgL_cportz00_1432,
												BgL_locationz00_1437);
										}
									}
								}
								{	/* Object/method.scm 15 */
									int BgL_tmpz00_1473;

									BgL_tmpz00_1473 = (int) (BgL_iz00_1433);
									CNST_TABLE_SET(BgL_tmpz00_1473, BgL_arg1763z00_1435);
							}}
							{	/* Object/method.scm 15 */
								int BgL_auxz00_1438;

								BgL_auxz00_1438 = (int) ((BgL_iz00_1433 - 1L));
								{
									long BgL_iz00_1478;

									BgL_iz00_1478 = (long) (BgL_auxz00_1438);
									BgL_iz00_1433 = BgL_iz00_1478;
									goto BgL_loopz00_1434;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzobject_methodz00(void)
	{
		{	/* Object/method.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzobject_methodz00(void)
	{
		{	/* Object/method.scm 15 */
			return (BGl_za2methodsza2z00zzobject_methodz00 = BNIL, BUNSPEC);
		}

	}



/* make-method-no-dsssl-body */
	BGL_EXPORTED_DEF obj_t
		BGl_makezd2methodzd2nozd2dssslzd2bodyz00zzobject_methodz00(obj_t
		BgL_identz00_3, obj_t BgL_argsz00_4, obj_t BgL_localsz00_5,
		obj_t BgL_bodyz00_6, obj_t BgL_srcz00_7)
	{
		{	/* Object/method.scm 37 */
			{	/* Object/method.scm 38 */
				obj_t BgL_idz00_789;

				BgL_idz00_789 =
					BGl_idzd2ofzd2idz00zzast_identz00(BgL_identz00_3,
					BGl_findzd2locationzd2zztools_locationz00(BgL_srcz00_7));
				{	/* Object/method.scm 38 */
					obj_t BgL_metz00_790;

					BgL_metz00_790 =
						BGl_gensymz00zz__r4_symbols_6_4z00(((obj_t) CNST_TABLE_REF(0)));
					{	/* Object/method.scm 39 */
						long BgL_arityz00_791;

						BgL_arityz00_791 =
							BGl_globalzd2arityzd2zztools_argsz00(BgL_argsz00_4);
						{	/* Object/method.scm 40 */
							obj_t BgL_argszd2idzd2_792;

							if (NULLP(BgL_localsz00_5))
								{	/* Object/method.scm 41 */
									BgL_argszd2idzd2_792 = BNIL;
								}
							else
								{	/* Object/method.scm 41 */
									obj_t BgL_head1106z00_889;

									{	/* Object/method.scm 41 */
										obj_t BgL_arg1313z00_901;

										BgL_arg1313z00_901 =
											(((BgL_variablez00_bglt) COBJECT(
													((BgL_variablez00_bglt)
														((BgL_localz00_bglt)
															CAR(((obj_t) BgL_localsz00_5))))))->BgL_idz00);
										BgL_head1106z00_889 =
											MAKE_YOUNG_PAIR(BgL_arg1313z00_901, BNIL);
									}
									{	/* Object/method.scm 41 */
										obj_t BgL_g1109z00_890;

										BgL_g1109z00_890 = CDR(((obj_t) BgL_localsz00_5));
										{
											obj_t BgL_l1104z00_892;
											obj_t BgL_tail1107z00_893;

											BgL_l1104z00_892 = BgL_g1109z00_890;
											BgL_tail1107z00_893 = BgL_head1106z00_889;
										BgL_zc3z04anonymousza31307ze3z87_894:
											if (NULLP(BgL_l1104z00_892))
												{	/* Object/method.scm 41 */
													BgL_argszd2idzd2_792 = BgL_head1106z00_889;
												}
											else
												{	/* Object/method.scm 41 */
													obj_t BgL_newtail1108z00_896;

													{	/* Object/method.scm 41 */
														obj_t BgL_arg1310z00_898;

														BgL_arg1310z00_898 =
															(((BgL_variablez00_bglt) COBJECT(
																	((BgL_variablez00_bglt)
																		((BgL_localz00_bglt)
																			CAR(
																				((obj_t) BgL_l1104z00_892))))))->
															BgL_idz00);
														BgL_newtail1108z00_896 =
															MAKE_YOUNG_PAIR(BgL_arg1310z00_898, BNIL);
													}
													SET_CDR(BgL_tail1107z00_893, BgL_newtail1108z00_896);
													{	/* Object/method.scm 41 */
														obj_t BgL_arg1309z00_897;

														BgL_arg1309z00_897 =
															CDR(((obj_t) BgL_l1104z00_892));
														{
															obj_t BgL_tail1107z00_1509;
															obj_t BgL_l1104z00_1508;

															BgL_l1104z00_1508 = BgL_arg1309z00_897;
															BgL_tail1107z00_1509 = BgL_newtail1108z00_896;
															BgL_tail1107z00_893 = BgL_tail1107z00_1509;
															BgL_l1104z00_892 = BgL_l1104z00_1508;
															goto BgL_zc3z04anonymousza31307ze3z87_894;
														}
													}
												}
										}
									}
								}
							{	/* Object/method.scm 41 */
								BgL_typez00_bglt BgL_typez00_793;

								BgL_typez00_793 =
									(((BgL_variablez00_bglt) COBJECT(
											((BgL_variablez00_bglt)
												((BgL_localz00_bglt)
													CAR(((obj_t) BgL_localsz00_5))))))->BgL_typez00);
								{	/* Object/method.scm 42 */
									obj_t BgL_mzd2idzd2_794;

									{	/* Object/method.scm 43 */
										obj_t BgL_arg1298z00_881;

										{	/* Object/method.scm 43 */
											obj_t BgL_arg1299z00_882;

											BgL_arg1299z00_882 =
												(((BgL_typez00_bglt) COBJECT(BgL_typez00_793))->
												BgL_idz00);
											{	/* Object/method.scm 43 */
												obj_t BgL_list1300z00_883;

												{	/* Object/method.scm 43 */
													obj_t BgL_arg1301z00_884;

													{	/* Object/method.scm 43 */
														obj_t BgL_arg1302z00_885;

														BgL_arg1302z00_885 =
															MAKE_YOUNG_PAIR(BgL_arg1299z00_882, BNIL);
														BgL_arg1301z00_884 =
															MAKE_YOUNG_PAIR(
															((obj_t) CNST_TABLE_REF(1)), BgL_arg1302z00_885);
													}
													BgL_list1300z00_883 =
														MAKE_YOUNG_PAIR(BgL_idz00_789, BgL_arg1301z00_884);
												}
												BgL_arg1298z00_881 =
													BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00
													(BgL_list1300z00_883);
											}
										}
										BgL_mzd2idzd2_794 =
											BGl_gensymz00zz__r4_symbols_6_4z00(BgL_arg1298z00_881);
									}
									{	/* Object/method.scm 43 */

										{	/* Object/method.scm 45 */
											bool_t BgL_test1779z00_1523;

											{	/* Object/method.scm 45 */
												obj_t BgL_classz00_1112;

												BgL_classz00_1112 = BGl_tclassz00zzobject_classz00;
												{	/* Object/method.scm 45 */
													BgL_objectz00_bglt BgL_arg1858z00_1114;

													{	/* Object/method.scm 45 */
														obj_t BgL_tmpz00_1524;

														BgL_tmpz00_1524 =
															((obj_t) ((BgL_objectz00_bglt) BgL_typez00_793));
														BgL_arg1858z00_1114 =
															(BgL_objectz00_bglt) (BgL_tmpz00_1524);
													}
													if (BGL_CONDEXPAND_ISA_ARCH64())
														{	/* Object/method.scm 45 */
															long BgL_idxz00_1120;

															BgL_idxz00_1120 =
																BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_1114);
															BgL_test1779z00_1523 =
																(VECTOR_REF
																(BGl_za2inheritancesza2z00zz__objectz00,
																	(BgL_idxz00_1120 + 2L)) == BgL_classz00_1112);
														}
													else
														{	/* Object/method.scm 45 */
															bool_t BgL_res1731z00_1145;

															{	/* Object/method.scm 45 */
																obj_t BgL_oclassz00_1128;

																{	/* Object/method.scm 45 */
																	obj_t BgL_arg1866z00_1136;
																	long BgL_arg1867z00_1137;

																	BgL_arg1866z00_1136 =
																		(BGl_za2classesza2z00zz__objectz00);
																	{	/* Object/method.scm 45 */
																		long BgL_arg1869z00_1138;

																		BgL_arg1869z00_1138 =
																			BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_1114);
																		BgL_arg1867z00_1137 =
																			(BgL_arg1869z00_1138 - OBJECT_TYPE);
																	}
																	BgL_oclassz00_1128 =
																		VECTOR_REF(BgL_arg1866z00_1136,
																		BgL_arg1867z00_1137);
																}
																{	/* Object/method.scm 45 */
																	bool_t BgL__ortest_1115z00_1129;

																	BgL__ortest_1115z00_1129 =
																		(BgL_classz00_1112 == BgL_oclassz00_1128);
																	if (BgL__ortest_1115z00_1129)
																		{	/* Object/method.scm 45 */
																			BgL_res1731z00_1145 =
																				BgL__ortest_1115z00_1129;
																		}
																	else
																		{	/* Object/method.scm 45 */
																			long BgL_odepthz00_1130;

																			{	/* Object/method.scm 45 */
																				obj_t BgL_arg1855z00_1131;

																				BgL_arg1855z00_1131 =
																					(BgL_oclassz00_1128);
																				BgL_odepthz00_1130 =
																					BGL_CLASS_DEPTH(BgL_arg1855z00_1131);
																			}
																			if ((2L < BgL_odepthz00_1130))
																				{	/* Object/method.scm 45 */
																					obj_t BgL_arg1853z00_1133;

																					{	/* Object/method.scm 45 */
																						obj_t BgL_arg1854z00_1134;

																						BgL_arg1854z00_1134 =
																							(BgL_oclassz00_1128);
																						BgL_arg1853z00_1133 =
																							BGL_CLASS_ANCESTORS_REF
																							(BgL_arg1854z00_1134, 2L);
																					}
																					BgL_res1731z00_1145 =
																						(BgL_arg1853z00_1133 ==
																						BgL_classz00_1112);
																				}
																			else
																				{	/* Object/method.scm 45 */
																					BgL_res1731z00_1145 = ((bool_t) 0);
																				}
																		}
																}
															}
															BgL_test1779z00_1523 = BgL_res1731z00_1145;
														}
												}
											}
											if (BgL_test1779z00_1523)
												{	/* Object/method.scm 48 */
													BgL_globalz00_bglt BgL_holderz00_796;

													{
														BgL_tclassz00_bglt BgL_auxz00_1547;

														{
															obj_t BgL_auxz00_1548;

															{	/* Object/method.scm 48 */
																BgL_objectz00_bglt BgL_tmpz00_1549;

																BgL_tmpz00_1549 =
																	((BgL_objectz00_bglt)
																	((BgL_typez00_bglt) BgL_typez00_793));
																BgL_auxz00_1548 =
																	BGL_OBJECT_WIDENING(BgL_tmpz00_1549);
															}
															BgL_auxz00_1547 =
																((BgL_tclassz00_bglt) BgL_auxz00_1548);
														}
														BgL_holderz00_796 =
															(((BgL_tclassz00_bglt) COBJECT(BgL_auxz00_1547))->
															BgL_holderz00);
													}
													{	/* Object/method.scm 48 */
														obj_t BgL_modulez00_797;

														BgL_modulez00_797 =
															(((BgL_globalz00_bglt)
																COBJECT(BgL_holderz00_796))->BgL_modulez00);
														{	/* Object/method.scm 49 */
															obj_t BgL_genericz00_798;

															BgL_genericz00_798 =
																BGl_findzd2globalzd2zzast_envz00(BgL_idz00_789,
																BNIL);
															{	/* Object/method.scm 50 */

																{	/* Object/method.scm 52 */
																	bool_t BgL_test1784z00_1557;

																	{	/* Object/method.scm 52 */
																		obj_t BgL_classz00_1149;

																		BgL_classz00_1149 =
																			BGl_globalz00zzast_varz00;
																		if (BGL_OBJECTP(BgL_genericz00_798))
																			{	/* Object/method.scm 52 */
																				BgL_objectz00_bglt BgL_arg1858z00_1151;

																				BgL_arg1858z00_1151 =
																					(BgL_objectz00_bglt)
																					(BgL_genericz00_798);
																				if (BGL_CONDEXPAND_ISA_ARCH64())
																					{	/* Object/method.scm 52 */
																						long BgL_idxz00_1157;

																						BgL_idxz00_1157 =
																							BGL_OBJECT_INHERITANCE_NUM
																							(BgL_arg1858z00_1151);
																						BgL_test1784z00_1557 =
																							(VECTOR_REF
																							(BGl_za2inheritancesza2z00zz__objectz00,
																								(BgL_idxz00_1157 + 2L)) ==
																							BgL_classz00_1149);
																					}
																				else
																					{	/* Object/method.scm 52 */
																						bool_t BgL_res1732z00_1182;

																						{	/* Object/method.scm 52 */
																							obj_t BgL_oclassz00_1165;

																							{	/* Object/method.scm 52 */
																								obj_t BgL_arg1866z00_1173;
																								long BgL_arg1867z00_1174;

																								BgL_arg1866z00_1173 =
																									(BGl_za2classesza2z00zz__objectz00);
																								{	/* Object/method.scm 52 */
																									long BgL_arg1869z00_1175;

																									BgL_arg1869z00_1175 =
																										BGL_OBJECT_CLASS_NUM
																										(BgL_arg1858z00_1151);
																									BgL_arg1867z00_1174 =
																										(BgL_arg1869z00_1175 -
																										OBJECT_TYPE);
																								}
																								BgL_oclassz00_1165 =
																									VECTOR_REF
																									(BgL_arg1866z00_1173,
																									BgL_arg1867z00_1174);
																							}
																							{	/* Object/method.scm 52 */
																								bool_t BgL__ortest_1115z00_1166;

																								BgL__ortest_1115z00_1166 =
																									(BgL_classz00_1149 ==
																									BgL_oclassz00_1165);
																								if (BgL__ortest_1115z00_1166)
																									{	/* Object/method.scm 52 */
																										BgL_res1732z00_1182 =
																											BgL__ortest_1115z00_1166;
																									}
																								else
																									{	/* Object/method.scm 52 */
																										long BgL_odepthz00_1167;

																										{	/* Object/method.scm 52 */
																											obj_t BgL_arg1855z00_1168;

																											BgL_arg1855z00_1168 =
																												(BgL_oclassz00_1165);
																											BgL_odepthz00_1167 =
																												BGL_CLASS_DEPTH
																												(BgL_arg1855z00_1168);
																										}
																										if (
																											(2L < BgL_odepthz00_1167))
																											{	/* Object/method.scm 52 */
																												obj_t
																													BgL_arg1853z00_1170;
																												{	/* Object/method.scm 52 */
																													obj_t
																														BgL_arg1854z00_1171;
																													BgL_arg1854z00_1171 =
																														(BgL_oclassz00_1165);
																													BgL_arg1853z00_1170 =
																														BGL_CLASS_ANCESTORS_REF
																														(BgL_arg1854z00_1171,
																														2L);
																												}
																												BgL_res1732z00_1182 =
																													(BgL_arg1853z00_1170
																													== BgL_classz00_1149);
																											}
																										else
																											{	/* Object/method.scm 52 */
																												BgL_res1732z00_1182 =
																													((bool_t) 0);
																											}
																									}
																							}
																						}
																						BgL_test1784z00_1557 =
																							BgL_res1732z00_1182;
																					}
																			}
																		else
																			{	/* Object/method.scm 52 */
																				BgL_test1784z00_1557 = ((bool_t) 0);
																			}
																	}
																	if (BgL_test1784z00_1557)
																		{	/* Object/method.scm 55 */
																			obj_t BgL_bodyz00_800;

																			{	/* Object/method.scm 57 */
																				obj_t BgL_arg1262z00_854;

																				{	/* Object/method.scm 57 */
																					obj_t BgL_arg1266z00_855;
																					obj_t BgL_arg1267z00_856;

																					{	/* Object/method.scm 57 */
																						obj_t BgL_arg1268z00_857;

																						{	/* Object/method.scm 57 */
																							obj_t BgL_arg1271z00_858;

																							{	/* Object/method.scm 57 */
																								obj_t BgL_arg1272z00_859;

																								{	/* Object/method.scm 57 */
																									obj_t BgL_arg1273z00_860;

																									{	/* Object/method.scm 57 */
																										obj_t BgL_arg1274z00_861;

																										{	/* Object/method.scm 57 */
																											obj_t BgL_arg1275z00_862;
																											obj_t BgL_arg1276z00_863;

																											{	/* Object/method.scm 57 */
																												obj_t
																													BgL_arg1277z00_864;
																												{	/* Object/method.scm 57 */
																													obj_t
																														BgL_arg1279z00_865;
																													{	/* Object/method.scm 57 */
																														obj_t
																															BgL_arg1280z00_866;
																														{	/* Object/method.scm 57 */
																															obj_t
																																BgL_arg1281z00_867;
																															{	/* Object/method.scm 57 */
																																obj_t
																																	BgL_arg1282z00_868;
																																obj_t
																																	BgL_arg1284z00_869;
																																BgL_arg1282z00_868
																																	=
																																	CAR(((obj_t)
																																		BgL_argszd2idzd2_792));
																																{	/* Object/method.scm 59 */
																																	obj_t
																																		BgL_arg1285z00_870;
																																	{	/* Object/method.scm 59 */
																																		obj_t
																																			BgL_arg1287z00_871;
																																		{	/* Object/method.scm 59 */
																																			obj_t
																																				BgL_arg1288z00_872;
																																			{	/* Object/method.scm 59 */
																																				obj_t
																																					BgL_arg1289z00_873;
																																				obj_t
																																					BgL_arg1291z00_874;
																																				BgL_arg1289z00_873
																																					=
																																					(((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt) BgL_holderz00_796)))->BgL_idz00);
																																				BgL_arg1291z00_874
																																					=
																																					MAKE_YOUNG_PAIR
																																					(BgL_modulez00_797,
																																					BNIL);
																																				BgL_arg1288z00_872
																																					=
																																					MAKE_YOUNG_PAIR
																																					(BgL_arg1289z00_873,
																																					BgL_arg1291z00_874);
																																			}
																																			BgL_arg1287z00_871
																																				=
																																				MAKE_YOUNG_PAIR
																																				(((obj_t) CNST_TABLE_REF(2)), BgL_arg1288z00_872);
																																		}
																																		BgL_arg1285z00_870
																																			=
																																			MAKE_YOUNG_PAIR
																																			(BgL_arg1287z00_871,
																																			BNIL);
																																	}
																																	BgL_arg1284z00_869
																																		=
																																		MAKE_YOUNG_PAIR
																																		(BgL_idz00_789,
																																		BgL_arg1285z00_870);
																																}
																																BgL_arg1281z00_867
																																	=
																																	MAKE_YOUNG_PAIR
																																	(BgL_arg1282z00_868,
																																	BgL_arg1284z00_869);
																															}
																															BgL_arg1280z00_866
																																=
																																MAKE_YOUNG_PAIR(
																																((obj_t)
																																	CNST_TABLE_REF
																																	(3)),
																																BgL_arg1281z00_867);
																														}
																														BgL_arg1279z00_865 =
																															MAKE_YOUNG_PAIR
																															(BgL_arg1280z00_866,
																															BNIL);
																													}
																													BgL_arg1277z00_864 =
																														MAKE_YOUNG_PAIR
																														(BgL_metz00_790,
																														BgL_arg1279z00_865);
																												}
																												BgL_arg1275z00_862 =
																													MAKE_YOUNG_PAIR
																													(BgL_arg1277z00_864,
																													BNIL);
																											}
																											{	/* Object/method.scm 61 */
																												obj_t
																													BgL_arg1292z00_875;
																												if ((BgL_arityz00_791 >=
																														0L))
																													{	/* Object/method.scm 61 */
																														BgL_arg1292z00_875 =
																															MAKE_YOUNG_PAIR
																															(BgL_metz00_790,
																															BgL_argszd2idzd2_792);
																													}
																												else
																													{	/* Object/method.scm 64 */
																														obj_t
																															BgL_arg1294z00_877;
																														{	/* Object/method.scm 64 */
																															obj_t
																																BgL_arg1295z00_878;
																															{	/* Object/method.scm 64 */
																																obj_t
																																	BgL_arg1296z00_879;
																																BgL_arg1296z00_879
																																	=
																																	MAKE_YOUNG_PAIR
																																	(((obj_t)
																																		CNST_TABLE_REF
																																		(4)),
																																	BgL_argszd2idzd2_792);
																																BgL_arg1295z00_878
																																	=
																																	MAKE_YOUNG_PAIR
																																	(BgL_arg1296z00_879,
																																	BNIL);
																															}
																															BgL_arg1294z00_877
																																=
																																MAKE_YOUNG_PAIR
																																(BgL_metz00_790,
																																BgL_arg1295z00_878);
																														}
																														BgL_arg1292z00_875 =
																															MAKE_YOUNG_PAIR(
																															((obj_t)
																																CNST_TABLE_REF
																																(5)),
																															BgL_arg1294z00_877);
																													}
																												BgL_arg1276z00_863 =
																													MAKE_YOUNG_PAIR
																													(BgL_arg1292z00_875,
																													BNIL);
																											}
																											BgL_arg1274z00_861 =
																												MAKE_YOUNG_PAIR
																												(BgL_arg1275z00_862,
																												BgL_arg1276z00_863);
																										}
																										BgL_arg1273z00_860 =
																											MAKE_YOUNG_PAIR(
																											((obj_t)
																												CNST_TABLE_REF(6)),
																											BgL_arg1274z00_861);
																									}
																									BgL_arg1272z00_859 =
																										MAKE_YOUNG_PAIR
																										(BgL_arg1273z00_860, BNIL);
																								}
																								BgL_arg1271z00_858 =
																									MAKE_YOUNG_PAIR(BNIL,
																									BgL_arg1272z00_859);
																							}
																							BgL_arg1268z00_857 =
																								MAKE_YOUNG_PAIR(
																								((obj_t)
																									CNST_TABLE_REF(7)),
																								BgL_arg1271z00_858);
																						}
																						BgL_arg1266z00_855 =
																							MAKE_YOUNG_PAIR
																							(BgL_arg1268z00_857, BNIL);
																					}
																					BgL_arg1267z00_856 =
																						MAKE_YOUNG_PAIR(BgL_bodyz00_6,
																						BNIL);
																					BgL_arg1262z00_854 =
																						MAKE_YOUNG_PAIR(BgL_arg1266z00_855,
																						BgL_arg1267z00_856);
																				}
																				BgL_bodyz00_800 =
																					MAKE_YOUNG_PAIR(
																					((obj_t)
																						CNST_TABLE_REF(8)),
																					BgL_arg1262z00_854);
																			}
																			{	/* Object/method.scm 55 */
																				obj_t BgL_ebodyz00_801;

																				if (EPAIRP(BgL_srcz00_7))
																					{	/* Object/method.scm 67 */
																						obj_t BgL_arg1256z00_851;
																						obj_t BgL_arg1258z00_852;
																						obj_t BgL_arg1260z00_853;

																						BgL_arg1256z00_851 =
																							CAR(BgL_bodyz00_800);
																						BgL_arg1258z00_852 =
																							CDR(BgL_bodyz00_800);
																						BgL_arg1260z00_853 =
																							CER(((obj_t) BgL_srcz00_7));
																						{	/* Object/method.scm 67 */
																							obj_t BgL_res1733z00_1189;

																							BgL_res1733z00_1189 =
																								MAKE_YOUNG_EPAIR
																								(BgL_arg1256z00_851,
																								BgL_arg1258z00_852,
																								BgL_arg1260z00_853);
																							BgL_ebodyz00_801 =
																								BgL_res1733z00_1189;
																						}
																					}
																				else
																					{	/* Object/method.scm 66 */
																						BgL_ebodyz00_801 = BgL_bodyz00_800;
																					}
																				{	/* Object/method.scm 66 */
																					obj_t BgL_tmzd2idzd2_802;

																					{	/* Object/method.scm 69 */
																						bool_t BgL_test1793z00_1632;

																						{	/* Object/method.scm 69 */
																							BgL_typez00_bglt
																								BgL_arg1254z00_849;
																							BgL_arg1254z00_849 =
																								(((BgL_variablez00_bglt)
																									COBJECT((
																											(BgL_variablez00_bglt) (
																												(BgL_globalz00_bglt)
																												BgL_genericz00_798))))->
																								BgL_typez00);
																							BgL_test1793z00_1632 =
																								BGl_bigloozd2typezf3z21zztype_typez00
																								(BgL_arg1254z00_849);
																						}
																						if (BgL_test1793z00_1632)
																							{	/* Object/method.scm 70 */
																								obj_t BgL_arg1252z00_847;

																								BgL_arg1252z00_847 =
																									(((BgL_typez00_bglt) COBJECT(
																											(((BgL_variablez00_bglt)
																													COBJECT((
																															(BgL_variablez00_bglt)
																															((BgL_globalz00_bglt) BgL_genericz00_798))))->BgL_typez00)))->BgL_idz00);
																								BgL_tmzd2idzd2_802 =
																									BGl_makezd2typedzd2identz00zzast_identz00
																									(BgL_mzd2idzd2_794,
																									BgL_arg1252z00_847);
																							}
																						else
																							{	/* Object/method.scm 69 */
																								BgL_tmzd2idzd2_802 =
																									BgL_mzd2idzd2_794;
																							}
																					}
																					{	/* Object/method.scm 69 */
																						obj_t BgL_bdgz00_803;

																						{	/* Object/method.scm 72 */
																							obj_t BgL_arg1246z00_843;

																							{	/* Object/method.scm 72 */
																								obj_t BgL_arg1247z00_844;

																								BgL_arg1247z00_844 =
																									MAKE_YOUNG_PAIR
																									(BgL_ebodyz00_801, BNIL);
																								BgL_arg1246z00_843 =
																									MAKE_YOUNG_PAIR(BgL_argsz00_4,
																									BgL_arg1247z00_844);
																							}
																							BgL_bdgz00_803 =
																								MAKE_YOUNG_PAIR
																								(BgL_tmzd2idzd2_802,
																								BgL_arg1246z00_843);
																						}
																						{	/* Object/method.scm 72 */
																							obj_t BgL_ebdgz00_804;

																							if (EPAIRP(BgL_srcz00_7))
																								{	/* Object/method.scm 74 */
																									obj_t BgL_arg1242z00_840;
																									obj_t BgL_arg1244z00_841;
																									obj_t BgL_arg1245z00_842;

																									BgL_arg1242z00_840 =
																										CAR(BgL_bdgz00_803);
																									BgL_arg1244z00_841 =
																										CDR(BgL_bdgz00_803);
																									BgL_arg1245z00_842 =
																										CER(((obj_t) BgL_srcz00_7));
																									{	/* Object/method.scm 74 */
																										obj_t BgL_res1734z00_1196;

																										BgL_res1734z00_1196 =
																											MAKE_YOUNG_EPAIR
																											(BgL_arg1242z00_840,
																											BgL_arg1244z00_841,
																											BgL_arg1245z00_842);
																										BgL_ebdgz00_804 =
																											BgL_res1734z00_1196;
																									}
																								}
																							else
																								{	/* Object/method.scm 73 */
																									BgL_ebdgz00_804 =
																										BgL_bdgz00_803;
																								}
																							{	/* Object/method.scm 73 */

																								BGl_za2methodsza2z00zzobject_methodz00
																									=
																									MAKE_YOUNG_PAIR
																									(BgL_mzd2idzd2_794,
																									BGl_za2methodsza2z00zzobject_methodz00);
																								{	/* Object/method.scm 77 */
																									obj_t BgL_arg1131z00_805;

																									{	/* Object/method.scm 77 */
																										obj_t BgL_arg1134z00_807;

																										{	/* Object/method.scm 77 */
																											obj_t BgL_arg1135z00_808;
																											obj_t BgL_arg1139z00_809;

																											BgL_arg1135z00_808 =
																												MAKE_YOUNG_PAIR
																												(BgL_ebdgz00_804, BNIL);
																											{	/* Object/method.scm 78 */
																												obj_t
																													BgL_arg1145z00_810;
																												obj_t
																													BgL_arg1146z00_811;
																												{	/* Object/method.scm 78 */
																													bool_t
																														BgL_test1795z00_1654;
																													if (((long)
																															CINT
																															(BGl_za2debugzd2moduleza2zd2zzengine_paramz00)
																															>= 1L))
																														{	/* Object/method.scm 81 */
																															obj_t
																																BgL_arg1184z00_827;
																															{	/* Object/method.scm 81 */
																																obj_t
																																	BgL_arg1187z00_828;
																																BgL_arg1187z00_828
																																	=
																																	BGl_thezd2backendzd2zzbackend_backendz00
																																	();
																																BgL_arg1184z00_827
																																	=
																																	(((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt) BgL_arg1187z00_828)))->BgL_debugzd2supportzd2);
																															}
																															BgL_test1795z00_1654
																																=
																																CBOOL
																																(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
																																(((obj_t)
																																		CNST_TABLE_REF
																																		(9)),
																																	BgL_arg1184z00_827));
																														}
																													else
																														{	/* Object/method.scm 78 */
																															BgL_test1795z00_1654
																																= ((bool_t) 0);
																														}
																													if (BgL_test1795z00_1654)
																														{	/* Object/method.scm 83 */
																															obj_t
																																BgL_arg1158z00_816;
																															{	/* Object/method.scm 83 */
																																obj_t
																																	BgL_arg1159z00_817;
																																{	/* Object/method.scm 83 */
																																	obj_t
																																		BgL_arg1161z00_818;
																																	obj_t
																																		BgL_arg1172z00_819;
																																	{	/* Object/method.scm 83 */
																																		obj_t
																																			BgL_arg1486z00_1201;
																																		BgL_arg1486z00_1201
																																			=
																																			SYMBOL_TO_STRING
																																			(BgL_identz00_3);
																																		BgL_arg1161z00_818
																																			=
																																			BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																																			(BgL_arg1486z00_1201);
																																	}
																																	{	/* Object/method.scm 83 */
																																		obj_t
																																			BgL_arg1183z00_825;
																																		BgL_arg1183z00_825
																																			=
																																			(((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt) BgL_holderz00_796)))->BgL_idz00);
																																		{	/* Object/method.scm 83 */
																																			obj_t
																																				BgL_arg1486z00_1204;
																																			BgL_arg1486z00_1204
																																				=
																																				SYMBOL_TO_STRING
																																				(BgL_arg1183z00_825);
																																			BgL_arg1172z00_819
																																				=
																																				BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																																				(BgL_arg1486z00_1204);
																																		}
																																	}
																																	{	/* Object/method.scm 83 */
																																		obj_t
																																			BgL_list1173z00_820;
																																		{	/* Object/method.scm 83 */
																																			obj_t
																																				BgL_arg1174z00_821;
																																			{	/* Object/method.scm 83 */
																																				obj_t
																																					BgL_arg1177z00_822;
																																				{	/* Object/method.scm 83 */
																																					obj_t
																																						BgL_arg1178z00_823;
																																					{	/* Object/method.scm 83 */
																																						obj_t
																																							BgL_arg1179z00_824;
																																						BgL_arg1179z00_824
																																							=
																																							MAKE_YOUNG_PAIR
																																							(BGl_string1753z00zzobject_methodz00,
																																							BNIL);
																																						BgL_arg1178z00_823
																																							=
																																							MAKE_YOUNG_PAIR
																																							(BgL_arg1172z00_819,
																																							BgL_arg1179z00_824);
																																					}
																																					BgL_arg1177z00_822
																																						=
																																						MAKE_YOUNG_PAIR
																																						(BGl_string1754z00zzobject_methodz00,
																																						BgL_arg1178z00_823);
																																				}
																																				BgL_arg1174z00_821
																																					=
																																					MAKE_YOUNG_PAIR
																																					(BgL_arg1161z00_818,
																																					BgL_arg1177z00_822);
																																			}
																																			BgL_list1173z00_820
																																				=
																																				MAKE_YOUNG_PAIR
																																				(BGl_string1755z00zzobject_methodz00,
																																				BgL_arg1174z00_821);
																																		}
																																		BgL_arg1159z00_817
																																			=
																																			BGl_stringzd2appendzd2zz__r4_strings_6_7z00
																																			(BgL_list1173z00_820);
																																	}
																																}
																																BgL_arg1158z00_816
																																	=
																																	MAKE_YOUNG_PAIR
																																	(BgL_arg1159z00_817,
																																	BNIL);
																															}
																															BgL_arg1145z00_810
																																=
																																MAKE_YOUNG_PAIR(
																																((obj_t)
																																	CNST_TABLE_REF
																																	(10)),
																																BgL_arg1158z00_816);
																														}
																													else
																														{	/* Object/method.scm 78 */
																															BgL_arg1145z00_810
																																= BFALSE;
																														}
																												}
																												{	/* Object/method.scm 86 */
																													obj_t
																														BgL_arg1192z00_829;
																													{	/* Object/method.scm 86 */
																														obj_t
																															BgL_arg1195z00_830;
																														{	/* Object/method.scm 86 */
																															obj_t
																																BgL_arg1207z00_831;
																															{	/* Object/method.scm 86 */
																																obj_t
																																	BgL_arg1208z00_832;
																																obj_t
																																	BgL_arg1212z00_833;
																																{	/* Object/method.scm 86 */
																																	obj_t
																																		BgL_arg1226z00_834;
																																	{	/* Object/method.scm 86 */
																																		obj_t
																																			BgL_arg1235z00_835;
																																		obj_t
																																			BgL_arg1236z00_836;
																																		BgL_arg1235z00_835
																																			=
																																			(((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt) BgL_holderz00_796)))->BgL_idz00);
																																		BgL_arg1236z00_836
																																			=
																																			MAKE_YOUNG_PAIR
																																			(BgL_modulez00_797,
																																			BNIL);
																																		BgL_arg1226z00_834
																																			=
																																			MAKE_YOUNG_PAIR
																																			(BgL_arg1235z00_835,
																																			BgL_arg1236z00_836);
																																	}
																																	BgL_arg1208z00_832
																																		=
																																		MAKE_YOUNG_PAIR
																																		(((obj_t)
																																			CNST_TABLE_REF
																																			(2)),
																																		BgL_arg1226z00_834);
																																}
																																{	/* Object/method.scm 88 */
																																	obj_t
																																		BgL_arg1237z00_837;
																																	{	/* Object/method.scm 88 */
																																		obj_t
																																			BgL_arg1240z00_838;
																																		{	/* Object/method.scm 88 */
																																			obj_t
																																				BgL_arg1486z00_1207;
																																			BgL_arg1486z00_1207
																																				=
																																				SYMBOL_TO_STRING
																																				(BgL_identz00_3);
																																			BgL_arg1240z00_838
																																				=
																																				BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																																				(BgL_arg1486z00_1207);
																																		}
																																		BgL_arg1237z00_837
																																			=
																																			MAKE_YOUNG_PAIR
																																			(BgL_arg1240z00_838,
																																			BNIL);
																																	}
																																	BgL_arg1212z00_833
																																		=
																																		MAKE_YOUNG_PAIR
																																		(BgL_mzd2idzd2_794,
																																		BgL_arg1237z00_837);
																																}
																																BgL_arg1207z00_831
																																	=
																																	MAKE_YOUNG_PAIR
																																	(BgL_arg1208z00_832,
																																	BgL_arg1212z00_833);
																															}
																															BgL_arg1195z00_830
																																=
																																MAKE_YOUNG_PAIR
																																(BgL_idz00_789,
																																BgL_arg1207z00_831);
																														}
																														BgL_arg1192z00_829 =
																															MAKE_YOUNG_PAIR(
																															((obj_t)
																																CNST_TABLE_REF
																																(11)),
																															BgL_arg1195z00_830);
																													}
																													BgL_arg1146z00_811 =
																														MAKE_YOUNG_PAIR
																														(BgL_arg1192z00_829,
																														BNIL);
																												}
																												BgL_arg1139z00_809 =
																													MAKE_YOUNG_PAIR
																													(BgL_arg1145z00_810,
																													BgL_arg1146z00_811);
																											}
																											BgL_arg1134z00_807 =
																												MAKE_YOUNG_PAIR
																												(BgL_arg1135z00_808,
																												BgL_arg1139z00_809);
																										}
																										BgL_arg1131z00_805 =
																											MAKE_YOUNG_PAIR(
																											((obj_t)
																												CNST_TABLE_REF(8)),
																											BgL_arg1134z00_807);
																									}
																									{	/* Object/method.scm 77 */
																										obj_t BgL_list1132z00_806;

																										BgL_list1132z00_806 =
																											MAKE_YOUNG_PAIR
																											(BgL_arg1131z00_805,
																											BNIL);
																										return BgL_list1132z00_806;
																									}
																								}
																							}
																						}
																					}
																				}
																			}
																		}
																	else
																		{	/* Object/method.scm 193 */
																			obj_t BgL_arg1674z00_1209;

																			{	/* Object/method.scm 193 */
																				obj_t BgL_list1676z00_1210;

																				BgL_list1676z00_1210 =
																					MAKE_YOUNG_PAIR(
																					((obj_t) CNST_TABLE_REF(12)), BNIL);
																				BgL_arg1674z00_1209 =
																					BgL_list1676z00_1210;
																			}
																			{	/* Object/method.scm 193 */
																				obj_t BgL_list1675z00_1211;

																				BgL_list1675z00_1211 =
																					MAKE_YOUNG_PAIR(BgL_arg1674z00_1209,
																					BNIL);
																				return
																					BGl_userzd2errorzd2zztools_errorz00
																					(BgL_idz00_789,
																					BGl_string1756z00zzobject_methodz00,
																					BgL_srcz00_7, BgL_list1675z00_1211);
																			}
																		}
																}
															}
														}
													}
												}
											else
												{	/* Object/method.scm 193 */
													obj_t BgL_arg1674z00_1213;

													{	/* Object/method.scm 193 */
														obj_t BgL_list1676z00_1214;

														BgL_list1676z00_1214 =
															MAKE_YOUNG_PAIR(
															((obj_t) CNST_TABLE_REF(12)), BNIL);
														BgL_arg1674z00_1213 = BgL_list1676z00_1214;
													}
													{	/* Object/method.scm 193 */
														obj_t BgL_list1675z00_1215;

														BgL_list1675z00_1215 =
															MAKE_YOUNG_PAIR(BgL_arg1674z00_1213, BNIL);
														return
															BGl_userzd2errorzd2zztools_errorz00(BgL_idz00_789,
															BGl_string1757z00zzobject_methodz00, BgL_srcz00_7,
															BgL_list1675z00_1215);
													}
												}
										}
									}
								}
							}
						}
					}
				}
			}
		}

	}



/* &make-method-no-dsssl-body */
	obj_t BGl_z62makezd2methodzd2nozd2dssslzd2bodyz62zzobject_methodz00(obj_t
		BgL_envz00_1412, obj_t BgL_identz00_1413, obj_t BgL_argsz00_1414,
		obj_t BgL_localsz00_1415, obj_t BgL_bodyz00_1416, obj_t BgL_srcz00_1417)
	{
		{	/* Object/method.scm 37 */
			return
				BGl_makezd2methodzd2nozd2dssslzd2bodyz00zzobject_methodz00
				(BgL_identz00_1413, BgL_argsz00_1414, BgL_localsz00_1415,
				BgL_bodyz00_1416, BgL_srcz00_1417);
		}

	}



/* make-method-dsssl-body */
	BGL_EXPORTED_DEF obj_t
		BGl_makezd2methodzd2dssslzd2bodyzd2zzobject_methodz00(obj_t BgL_identz00_8,
		obj_t BgL_argsz00_9, obj_t BgL_localsz00_10, obj_t BgL_bodyz00_11,
		obj_t BgL_srcz00_12)
	{
		{	/* Object/method.scm 93 */
			{	/* Object/method.scm 94 */
				obj_t BgL_idz00_904;

				BgL_idz00_904 =
					BGl_idzd2ofzd2idz00zzast_identz00(BgL_identz00_8,
					BGl_findzd2locationzd2zztools_locationz00(BgL_srcz00_12));
				{	/* Object/method.scm 94 */
					obj_t BgL_metz00_905;

					BgL_metz00_905 =
						BGl_gensymz00zz__r4_symbols_6_4z00(((obj_t) CNST_TABLE_REF(0)));
					{	/* Object/method.scm 95 */
						long BgL_arityz00_906;

						BgL_arityz00_906 =
							BGl_globalzd2arityzd2zztools_argsz00(BgL_argsz00_9);
						{	/* Object/method.scm 96 */
							bool_t BgL_dssslz00_907;

							BgL_dssslz00_907 =
								BGl_dssslzd2methodzf3z21zzobject_methodz00(BgL_argsz00_9);
							{	/* Object/method.scm 97 */
								obj_t BgL_argszd2idzd2_908;

								if (BgL_dssslz00_907)
									{	/* Object/method.scm 98 */
										BgL_argszd2idzd2_908 =
											BGl_pairzd2ze3listz31zzobject_methodz00
											(BGl_dssslzd2formalszd2ze3schemezd2typedzd2formalsze3zz__dssslz00
											(BgL_argsz00_9, BGl_errorzd2envzd2zz__errorz00,
												((bool_t) 0)));
									}
								else
									{	/* Object/method.scm 98 */
										if (NULLP(BgL_localsz00_10))
											{	/* Object/method.scm 100 */
												BgL_argszd2idzd2_908 = BNIL;
											}
										else
											{	/* Object/method.scm 100 */
												obj_t BgL_head1112z00_1011;

												{	/* Object/method.scm 100 */
													obj_t BgL_arg1648z00_1023;

													BgL_arg1648z00_1023 =
														(((BgL_variablez00_bglt) COBJECT(
																((BgL_variablez00_bglt)
																	((BgL_localz00_bglt)
																		CAR(
																			((obj_t) BgL_localsz00_10))))))->
														BgL_idz00);
													BgL_head1112z00_1011 =
														MAKE_YOUNG_PAIR(BgL_arg1648z00_1023, BNIL);
												}
												{	/* Object/method.scm 100 */
													obj_t BgL_g1115z00_1012;

													BgL_g1115z00_1012 = CDR(((obj_t) BgL_localsz00_10));
													{
														obj_t BgL_l1110z00_1014;
														obj_t BgL_tail1113z00_1015;

														BgL_l1110z00_1014 = BgL_g1115z00_1012;
														BgL_tail1113z00_1015 = BgL_head1112z00_1011;
													BgL_zc3z04anonymousza31635ze3z87_1016:
														if (NULLP(BgL_l1110z00_1014))
															{	/* Object/method.scm 100 */
																BgL_argszd2idzd2_908 = BgL_head1112z00_1011;
															}
														else
															{	/* Object/method.scm 100 */
																obj_t BgL_newtail1114z00_1018;

																{	/* Object/method.scm 100 */
																	obj_t BgL_arg1642z00_1020;

																	BgL_arg1642z00_1020 =
																		(((BgL_variablez00_bglt) COBJECT(
																				((BgL_variablez00_bglt)
																					((BgL_localz00_bglt)
																						CAR(
																							((obj_t) BgL_l1110z00_1014))))))->
																		BgL_idz00);
																	BgL_newtail1114z00_1018 =
																		MAKE_YOUNG_PAIR(BgL_arg1642z00_1020, BNIL);
																}
																SET_CDR(BgL_tail1113z00_1015,
																	BgL_newtail1114z00_1018);
																{	/* Object/method.scm 100 */
																	obj_t BgL_arg1638z00_1019;

																	BgL_arg1638z00_1019 =
																		CDR(((obj_t) BgL_l1110z00_1014));
																	{
																		obj_t BgL_tail1113z00_1747;
																		obj_t BgL_l1110z00_1746;

																		BgL_l1110z00_1746 = BgL_arg1638z00_1019;
																		BgL_tail1113z00_1747 =
																			BgL_newtail1114z00_1018;
																		BgL_tail1113z00_1015 = BgL_tail1113z00_1747;
																		BgL_l1110z00_1014 = BgL_l1110z00_1746;
																		goto BgL_zc3z04anonymousza31635ze3z87_1016;
																	}
																}
															}
													}
												}
											}
									}
								{	/* Object/method.scm 98 */
									BgL_typez00_bglt BgL_typez00_909;

									BgL_typez00_909 =
										(((BgL_variablez00_bglt) COBJECT(
												((BgL_variablez00_bglt)
													((BgL_localz00_bglt)
														CAR(((obj_t) BgL_localsz00_10))))))->BgL_typez00);
									{	/* Object/method.scm 101 */
										obj_t BgL_mzd2idzd2_910;

										{	/* Object/method.scm 102 */
											obj_t BgL_arg1605z00_1002;

											{	/* Object/method.scm 102 */
												obj_t BgL_arg1611z00_1003;

												BgL_arg1611z00_1003 =
													(((BgL_typez00_bglt) COBJECT(BgL_typez00_909))->
													BgL_idz00);
												{	/* Object/method.scm 102 */
													obj_t BgL_list1612z00_1004;

													{	/* Object/method.scm 102 */
														obj_t BgL_arg1625z00_1005;

														{	/* Object/method.scm 102 */
															obj_t BgL_arg1626z00_1006;

															BgL_arg1626z00_1006 =
																MAKE_YOUNG_PAIR(BgL_arg1611z00_1003, BNIL);
															BgL_arg1625z00_1005 =
																MAKE_YOUNG_PAIR(
																((obj_t)
																	CNST_TABLE_REF(1)), BgL_arg1626z00_1006);
														}
														BgL_list1612z00_1004 =
															MAKE_YOUNG_PAIR(BgL_idz00_904,
															BgL_arg1625z00_1005);
													}
													BgL_arg1605z00_1002 =
														BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00
														(BgL_list1612z00_1004);
												}
											}
											BgL_mzd2idzd2_910 =
												BGl_gensymz00zz__r4_symbols_6_4z00(BgL_arg1605z00_1002);
										}
										{	/* Object/method.scm 102 */

											{	/* Object/method.scm 104 */
												bool_t BgL_test1802z00_1761;

												{	/* Object/method.scm 104 */
													obj_t BgL_classz00_1227;

													BgL_classz00_1227 = BGl_tclassz00zzobject_classz00;
													{	/* Object/method.scm 104 */
														BgL_objectz00_bglt BgL_arg1858z00_1229;

														{	/* Object/method.scm 104 */
															obj_t BgL_tmpz00_1762;

															BgL_tmpz00_1762 =
																((obj_t)
																((BgL_objectz00_bglt) BgL_typez00_909));
															BgL_arg1858z00_1229 =
																(BgL_objectz00_bglt) (BgL_tmpz00_1762);
														}
														if (BGL_CONDEXPAND_ISA_ARCH64())
															{	/* Object/method.scm 104 */
																long BgL_idxz00_1235;

																BgL_idxz00_1235 =
																	BGL_OBJECT_INHERITANCE_NUM
																	(BgL_arg1858z00_1229);
																BgL_test1802z00_1761 =
																	(VECTOR_REF
																	(BGl_za2inheritancesza2z00zz__objectz00,
																		(BgL_idxz00_1235 + 2L)) ==
																	BgL_classz00_1227);
															}
														else
															{	/* Object/method.scm 104 */
																bool_t BgL_res1738z00_1260;

																{	/* Object/method.scm 104 */
																	obj_t BgL_oclassz00_1243;

																	{	/* Object/method.scm 104 */
																		obj_t BgL_arg1866z00_1251;
																		long BgL_arg1867z00_1252;

																		BgL_arg1866z00_1251 =
																			(BGl_za2classesza2z00zz__objectz00);
																		{	/* Object/method.scm 104 */
																			long BgL_arg1869z00_1253;

																			BgL_arg1869z00_1253 =
																				BGL_OBJECT_CLASS_NUM
																				(BgL_arg1858z00_1229);
																			BgL_arg1867z00_1252 =
																				(BgL_arg1869z00_1253 - OBJECT_TYPE);
																		}
																		BgL_oclassz00_1243 =
																			VECTOR_REF(BgL_arg1866z00_1251,
																			BgL_arg1867z00_1252);
																	}
																	{	/* Object/method.scm 104 */
																		bool_t BgL__ortest_1115z00_1244;

																		BgL__ortest_1115z00_1244 =
																			(BgL_classz00_1227 == BgL_oclassz00_1243);
																		if (BgL__ortest_1115z00_1244)
																			{	/* Object/method.scm 104 */
																				BgL_res1738z00_1260 =
																					BgL__ortest_1115z00_1244;
																			}
																		else
																			{	/* Object/method.scm 104 */
																				long BgL_odepthz00_1245;

																				{	/* Object/method.scm 104 */
																					obj_t BgL_arg1855z00_1246;

																					BgL_arg1855z00_1246 =
																						(BgL_oclassz00_1243);
																					BgL_odepthz00_1245 =
																						BGL_CLASS_DEPTH
																						(BgL_arg1855z00_1246);
																				}
																				if ((2L < BgL_odepthz00_1245))
																					{	/* Object/method.scm 104 */
																						obj_t BgL_arg1853z00_1248;

																						{	/* Object/method.scm 104 */
																							obj_t BgL_arg1854z00_1249;

																							BgL_arg1854z00_1249 =
																								(BgL_oclassz00_1243);
																							BgL_arg1853z00_1248 =
																								BGL_CLASS_ANCESTORS_REF
																								(BgL_arg1854z00_1249, 2L);
																						}
																						BgL_res1738z00_1260 =
																							(BgL_arg1853z00_1248 ==
																							BgL_classz00_1227);
																					}
																				else
																					{	/* Object/method.scm 104 */
																						BgL_res1738z00_1260 = ((bool_t) 0);
																					}
																			}
																	}
																}
																BgL_test1802z00_1761 = BgL_res1738z00_1260;
															}
													}
												}
												if (BgL_test1802z00_1761)
													{	/* Object/method.scm 107 */
														BgL_globalz00_bglt BgL_holderz00_912;

														{
															BgL_tclassz00_bglt BgL_auxz00_1785;

															{
																obj_t BgL_auxz00_1786;

																{	/* Object/method.scm 107 */
																	BgL_objectz00_bglt BgL_tmpz00_1787;

																	BgL_tmpz00_1787 =
																		((BgL_objectz00_bglt)
																		((BgL_typez00_bglt) BgL_typez00_909));
																	BgL_auxz00_1786 =
																		BGL_OBJECT_WIDENING(BgL_tmpz00_1787);
																}
																BgL_auxz00_1785 =
																	((BgL_tclassz00_bglt) BgL_auxz00_1786);
															}
															BgL_holderz00_912 =
																(((BgL_tclassz00_bglt)
																	COBJECT(BgL_auxz00_1785))->BgL_holderz00);
														}
														{	/* Object/method.scm 107 */
															obj_t BgL_modulez00_913;

															BgL_modulez00_913 =
																(((BgL_globalz00_bglt)
																	COBJECT(BgL_holderz00_912))->BgL_modulez00);
															{	/* Object/method.scm 108 */
																obj_t BgL_genericz00_914;

																BgL_genericz00_914 =
																	BGl_findzd2globalzd2zzast_envz00
																	(BgL_idz00_904, BNIL);
																{	/* Object/method.scm 109 */

																	{	/* Object/method.scm 111 */
																		bool_t BgL_test1807z00_1795;

																		{	/* Object/method.scm 111 */
																			obj_t BgL_classz00_1264;

																			BgL_classz00_1264 =
																				BGl_globalz00zzast_varz00;
																			if (BGL_OBJECTP(BgL_genericz00_914))
																				{	/* Object/method.scm 111 */
																					BgL_objectz00_bglt
																						BgL_arg1858z00_1266;
																					BgL_arg1858z00_1266 =
																						(BgL_objectz00_bglt)
																						(BgL_genericz00_914);
																					if (BGL_CONDEXPAND_ISA_ARCH64())
																						{	/* Object/method.scm 111 */
																							long BgL_idxz00_1272;

																							BgL_idxz00_1272 =
																								BGL_OBJECT_INHERITANCE_NUM
																								(BgL_arg1858z00_1266);
																							BgL_test1807z00_1795 =
																								(VECTOR_REF
																								(BGl_za2inheritancesza2z00zz__objectz00,
																									(BgL_idxz00_1272 + 2L)) ==
																								BgL_classz00_1264);
																						}
																					else
																						{	/* Object/method.scm 111 */
																							bool_t BgL_res1739z00_1297;

																							{	/* Object/method.scm 111 */
																								obj_t BgL_oclassz00_1280;

																								{	/* Object/method.scm 111 */
																									obj_t BgL_arg1866z00_1288;
																									long BgL_arg1867z00_1289;

																									BgL_arg1866z00_1288 =
																										(BGl_za2classesza2z00zz__objectz00);
																									{	/* Object/method.scm 111 */
																										long BgL_arg1869z00_1290;

																										BgL_arg1869z00_1290 =
																											BGL_OBJECT_CLASS_NUM
																											(BgL_arg1858z00_1266);
																										BgL_arg1867z00_1289 =
																											(BgL_arg1869z00_1290 -
																											OBJECT_TYPE);
																									}
																									BgL_oclassz00_1280 =
																										VECTOR_REF
																										(BgL_arg1866z00_1288,
																										BgL_arg1867z00_1289);
																								}
																								{	/* Object/method.scm 111 */
																									bool_t
																										BgL__ortest_1115z00_1281;
																									BgL__ortest_1115z00_1281 =
																										(BgL_classz00_1264 ==
																										BgL_oclassz00_1280);
																									if (BgL__ortest_1115z00_1281)
																										{	/* Object/method.scm 111 */
																											BgL_res1739z00_1297 =
																												BgL__ortest_1115z00_1281;
																										}
																									else
																										{	/* Object/method.scm 111 */
																											long BgL_odepthz00_1282;

																											{	/* Object/method.scm 111 */
																												obj_t
																													BgL_arg1855z00_1283;
																												BgL_arg1855z00_1283 =
																													(BgL_oclassz00_1280);
																												BgL_odepthz00_1282 =
																													BGL_CLASS_DEPTH
																													(BgL_arg1855z00_1283);
																											}
																											if (
																												(2L <
																													BgL_odepthz00_1282))
																												{	/* Object/method.scm 111 */
																													obj_t
																														BgL_arg1853z00_1285;
																													{	/* Object/method.scm 111 */
																														obj_t
																															BgL_arg1854z00_1286;
																														BgL_arg1854z00_1286
																															=
																															(BgL_oclassz00_1280);
																														BgL_arg1853z00_1285
																															=
																															BGL_CLASS_ANCESTORS_REF
																															(BgL_arg1854z00_1286,
																															2L);
																													}
																													BgL_res1739z00_1297 =
																														(BgL_arg1853z00_1285
																														==
																														BgL_classz00_1264);
																												}
																											else
																												{	/* Object/method.scm 111 */
																													BgL_res1739z00_1297 =
																														((bool_t) 0);
																												}
																										}
																								}
																							}
																							BgL_test1807z00_1795 =
																								BgL_res1739z00_1297;
																						}
																				}
																			else
																				{	/* Object/method.scm 111 */
																					BgL_test1807z00_1795 = ((bool_t) 0);
																				}
																		}
																		if (BgL_test1807z00_1795)
																			{	/* Object/method.scm 114 */
																				obj_t BgL_bodyz00_916;

																				{	/* Object/method.scm 116 */
																					obj_t BgL_arg1480z00_971;

																					{	/* Object/method.scm 116 */
																						obj_t BgL_arg1484z00_972;
																						obj_t BgL_arg1487z00_973;

																						{	/* Object/method.scm 116 */
																							obj_t BgL_arg1489z00_974;

																							{	/* Object/method.scm 116 */
																								obj_t BgL_arg1490z00_975;

																								{	/* Object/method.scm 116 */
																									obj_t BgL_arg1506z00_976;

																									{	/* Object/method.scm 116 */
																										obj_t BgL_arg1511z00_977;

																										{	/* Object/method.scm 116 */
																											obj_t BgL_arg1512z00_978;

																											{	/* Object/method.scm 116 */
																												obj_t
																													BgL_arg1513z00_979;
																												obj_t
																													BgL_arg1515z00_980;
																												{	/* Object/method.scm 116 */
																													obj_t
																														BgL_arg1516z00_981;
																													{	/* Object/method.scm 116 */
																														obj_t
																															BgL_arg1530z00_982;
																														{	/* Object/method.scm 116 */
																															obj_t
																																BgL_arg1532z00_983;
																															{	/* Object/method.scm 116 */
																																obj_t
																																	BgL_arg1535z00_984;
																																{	/* Object/method.scm 116 */
																																	obj_t
																																		BgL_arg1543z00_985;
																																	obj_t
																																		BgL_arg1545z00_986;
																																	BgL_arg1543z00_985
																																		=
																																		CAR(((obj_t)
																																			BgL_argszd2idzd2_908));
																																	{	/* Object/method.scm 118 */
																																		obj_t
																																			BgL_arg1553z00_987;
																																		{	/* Object/method.scm 118 */
																																			obj_t
																																				BgL_arg1554z00_988;
																																			{	/* Object/method.scm 118 */
																																				obj_t
																																					BgL_arg1558z00_989;
																																				{	/* Object/method.scm 118 */
																																					obj_t
																																						BgL_arg1560z00_990;
																																					obj_t
																																						BgL_arg1574z00_991;
																																					BgL_arg1560z00_990
																																						=
																																						(((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt) BgL_holderz00_912)))->BgL_idz00);
																																					BgL_arg1574z00_991
																																						=
																																						MAKE_YOUNG_PAIR
																																						(BgL_modulez00_913,
																																						BNIL);
																																					BgL_arg1558z00_989
																																						=
																																						MAKE_YOUNG_PAIR
																																						(BgL_arg1560z00_990,
																																						BgL_arg1574z00_991);
																																				}
																																				BgL_arg1554z00_988
																																					=
																																					MAKE_YOUNG_PAIR
																																					(((obj_t) CNST_TABLE_REF(2)), BgL_arg1558z00_989);
																																			}
																																			BgL_arg1553z00_987
																																				=
																																				MAKE_YOUNG_PAIR
																																				(BgL_arg1554z00_988,
																																				BNIL);
																																		}
																																		BgL_arg1545z00_986
																																			=
																																			MAKE_YOUNG_PAIR
																																			(BgL_idz00_904,
																																			BgL_arg1553z00_987);
																																	}
																																	BgL_arg1535z00_984
																																		=
																																		MAKE_YOUNG_PAIR
																																		(BgL_arg1543z00_985,
																																		BgL_arg1545z00_986);
																																}
																																BgL_arg1532z00_983
																																	=
																																	MAKE_YOUNG_PAIR
																																	(((obj_t)
																																		CNST_TABLE_REF
																																		(3)),
																																	BgL_arg1535z00_984);
																															}
																															BgL_arg1530z00_982
																																=
																																MAKE_YOUNG_PAIR
																																(BgL_arg1532z00_983,
																																BNIL);
																														}
																														BgL_arg1516z00_981 =
																															MAKE_YOUNG_PAIR
																															(BgL_metz00_905,
																															BgL_arg1530z00_982);
																													}
																													BgL_arg1513z00_979 =
																														MAKE_YOUNG_PAIR
																														(BgL_arg1516z00_981,
																														BNIL);
																												}
																												{	/* Object/method.scm 120 */
																													obj_t
																														BgL_arg1577z00_992;
																													if (BgL_dssslz00_907)
																														{	/* Object/method.scm 121 */
																															obj_t
																																BgL_arg1578z00_993;
																															{	/* Object/method.scm 121 */
																																obj_t
																																	BgL_arg1581z00_994;
																																{	/* Object/method.scm 121 */
																																	obj_t
																																		BgL_arg1587z00_995;
																																	BgL_arg1587z00_995
																																		=
																																		MAKE_YOUNG_PAIR
																																		(((obj_t)
																																			CNST_TABLE_REF
																																			(4)),
																																		BgL_argszd2idzd2_908);
																																	BgL_arg1581z00_994
																																		=
																																		MAKE_YOUNG_PAIR
																																		(BgL_arg1587z00_995,
																																		BNIL);
																																}
																																BgL_arg1578z00_993
																																	=
																																	MAKE_YOUNG_PAIR
																																	(BgL_metz00_905,
																																	BgL_arg1581z00_994);
																															}
																															BgL_arg1577z00_992
																																=
																																MAKE_YOUNG_PAIR(
																																((obj_t)
																																	CNST_TABLE_REF
																																	(5)),
																																BgL_arg1578z00_993);
																														}
																													else
																														{	/* Object/method.scm 120 */
																															if (
																																(BgL_arityz00_906
																																	>= 0L))
																																{	/* Object/method.scm 122 */
																																	BgL_arg1577z00_992
																																		=
																																		MAKE_YOUNG_PAIR
																																		(BgL_metz00_905,
																																		BgL_argszd2idzd2_908);
																																}
																															else
																																{	/* Object/method.scm 125 */
																																	obj_t
																																		BgL_arg1590z00_997;
																																	{	/* Object/method.scm 125 */
																																		obj_t
																																			BgL_arg1592z00_998;
																																		{	/* Object/method.scm 125 */
																																			obj_t
																																				BgL_arg1593z00_999;
																																			BgL_arg1593z00_999
																																				=
																																				MAKE_YOUNG_PAIR
																																				(((obj_t) CNST_TABLE_REF(4)), BgL_argszd2idzd2_908);
																																			BgL_arg1592z00_998
																																				=
																																				MAKE_YOUNG_PAIR
																																				(BgL_arg1593z00_999,
																																				BNIL);
																																		}
																																		BgL_arg1590z00_997
																																			=
																																			MAKE_YOUNG_PAIR
																																			(BgL_metz00_905,
																																			BgL_arg1592z00_998);
																																	}
																																	BgL_arg1577z00_992
																																		=
																																		MAKE_YOUNG_PAIR
																																		(((obj_t)
																																			CNST_TABLE_REF
																																			(5)),
																																		BgL_arg1590z00_997);
																																}
																														}
																													BgL_arg1515z00_980 =
																														MAKE_YOUNG_PAIR
																														(BgL_arg1577z00_992,
																														BNIL);
																												}
																												BgL_arg1512z00_978 =
																													MAKE_YOUNG_PAIR
																													(BgL_arg1513z00_979,
																													BgL_arg1515z00_980);
																											}
																											BgL_arg1511z00_977 =
																												MAKE_YOUNG_PAIR(
																												((obj_t)
																													CNST_TABLE_REF(6)),
																												BgL_arg1512z00_978);
																										}
																										BgL_arg1506z00_976 =
																											MAKE_YOUNG_PAIR
																											(BgL_arg1511z00_977,
																											BNIL);
																									}
																									BgL_arg1490z00_975 =
																										MAKE_YOUNG_PAIR(BNIL,
																										BgL_arg1506z00_976);
																								}
																								BgL_arg1489z00_974 =
																									MAKE_YOUNG_PAIR(
																									((obj_t)
																										CNST_TABLE_REF(7)),
																									BgL_arg1490z00_975);
																							}
																							BgL_arg1484z00_972 =
																								MAKE_YOUNG_PAIR
																								(BgL_arg1489z00_974, BNIL);
																						}
																						{	/* Object/method.scm 126 */
																							obj_t BgL_arg1597z00_1000;

																							if (BgL_dssslz00_907)
																								{	/* Object/method.scm 126 */
																									BgL_arg1597z00_1000 =
																										BGl_makezd2dssslzd2functionzd2preludezd2zz__dssslz00
																										(BgL_identz00_8,
																										BgL_argsz00_9,
																										BgL_bodyz00_11,
																										BGl_errorzd2envzd2zz__errorz00);
																								}
																							else
																								{	/* Object/method.scm 126 */
																									BgL_arg1597z00_1000 =
																										BgL_bodyz00_11;
																								}
																							BgL_arg1487z00_973 =
																								MAKE_YOUNG_PAIR
																								(BgL_arg1597z00_1000, BNIL);
																						}
																						BgL_arg1480z00_971 =
																							MAKE_YOUNG_PAIR
																							(BgL_arg1484z00_972,
																							BgL_arg1487z00_973);
																					}
																					BgL_bodyz00_916 =
																						MAKE_YOUNG_PAIR(
																						((obj_t)
																							CNST_TABLE_REF(8)),
																						BgL_arg1480z00_971);
																				}
																				{	/* Object/method.scm 114 */
																					obj_t BgL_ebodyz00_917;

																					if (EPAIRP(BgL_srcz00_12))
																						{	/* Object/method.scm 130 */
																							obj_t BgL_arg1446z00_968;
																							obj_t BgL_arg1457z00_969;
																							obj_t BgL_arg1471z00_970;

																							BgL_arg1446z00_968 =
																								CAR(BgL_bodyz00_916);
																							BgL_arg1457z00_969 =
																								CDR(BgL_bodyz00_916);
																							BgL_arg1471z00_970 =
																								CER(((obj_t) BgL_srcz00_12));
																							{	/* Object/method.scm 130 */
																								obj_t BgL_res1740z00_1304;

																								BgL_res1740z00_1304 =
																									MAKE_YOUNG_EPAIR
																									(BgL_arg1446z00_968,
																									BgL_arg1457z00_969,
																									BgL_arg1471z00_970);
																								BgL_ebodyz00_917 =
																									BgL_res1740z00_1304;
																							}
																						}
																					else
																						{	/* Object/method.scm 129 */
																							BgL_ebodyz00_917 =
																								BgL_bodyz00_916;
																						}
																					{	/* Object/method.scm 129 */
																						obj_t BgL_tmzd2idzd2_918;

																						{	/* Object/method.scm 132 */
																							bool_t BgL_test1817z00_1881;

																							{	/* Object/method.scm 132 */
																								BgL_typez00_bglt
																									BgL_arg1415z00_966;
																								BgL_arg1415z00_966 =
																									(((BgL_variablez00_bglt)
																										COBJECT((
																												(BgL_variablez00_bglt) (
																													(BgL_globalz00_bglt)
																													BgL_genericz00_914))))->
																									BgL_typez00);
																								BgL_test1817z00_1881 =
																									BGl_bigloozd2typezf3z21zztype_typez00
																									(BgL_arg1415z00_966);
																							}
																							if (BgL_test1817z00_1881)
																								{	/* Object/method.scm 133 */
																									obj_t BgL_arg1406z00_964;

																									BgL_arg1406z00_964 =
																										(((BgL_typez00_bglt)
																											COBJECT(((
																														(BgL_variablez00_bglt)
																														COBJECT((
																																(BgL_variablez00_bglt)
																																((BgL_globalz00_bglt) BgL_genericz00_914))))->BgL_typez00)))->BgL_idz00);
																									BgL_tmzd2idzd2_918 =
																										BGl_makezd2typedzd2identz00zzast_identz00
																										(BgL_mzd2idzd2_910,
																										BgL_arg1406z00_964);
																								}
																							else
																								{	/* Object/method.scm 132 */
																									BgL_tmzd2idzd2_918 =
																										BgL_mzd2idzd2_910;
																								}
																						}
																						{	/* Object/method.scm 132 */
																							obj_t BgL_bdgz00_919;

																							{	/* Object/method.scm 135 */
																								obj_t BgL_arg1400z00_959;

																								{	/* Object/method.scm 135 */
																									obj_t BgL_arg1401z00_960;
																									obj_t BgL_arg1402z00_961;

																									if (BgL_dssslz00_907)
																										{	/* Object/method.scm 135 */
																											BgL_arg1401z00_960 =
																												BGl_dssslzd2formalszd2ze3schemezd2typedzd2formalsze3zz__dssslz00
																												(BgL_argsz00_9,
																												BGl_errorzd2envzd2zz__errorz00,
																												((bool_t) 1));
																										}
																									else
																										{	/* Object/method.scm 135 */
																											BgL_arg1401z00_960 =
																												BgL_argsz00_9;
																										}
																									BgL_arg1402z00_961 =
																										MAKE_YOUNG_PAIR
																										(BgL_ebodyz00_917, BNIL);
																									BgL_arg1400z00_959 =
																										MAKE_YOUNG_PAIR
																										(BgL_arg1401z00_960,
																										BgL_arg1402z00_961);
																								}
																								BgL_bdgz00_919 =
																									MAKE_YOUNG_PAIR
																									(BgL_tmzd2idzd2_918,
																									BgL_arg1400z00_959);
																							}
																							{	/* Object/method.scm 135 */
																								obj_t BgL_ebdgz00_920;

																								if (EPAIRP(BgL_srcz00_12))
																									{	/* Object/method.scm 140 */
																										obj_t BgL_arg1388z00_956;
																										obj_t BgL_arg1390z00_957;
																										obj_t BgL_arg1392z00_958;

																										BgL_arg1388z00_956 =
																											CAR(BgL_bdgz00_919);
																										BgL_arg1390z00_957 =
																											CDR(BgL_bdgz00_919);
																										BgL_arg1392z00_958 =
																											CER(
																											((obj_t) BgL_srcz00_12));
																										{	/* Object/method.scm 140 */
																											obj_t BgL_res1741z00_1311;

																											BgL_res1741z00_1311 =
																												MAKE_YOUNG_EPAIR
																												(BgL_arg1388z00_956,
																												BgL_arg1390z00_957,
																												BgL_arg1392z00_958);
																											BgL_ebdgz00_920 =
																												BgL_res1741z00_1311;
																										}
																									}
																								else
																									{	/* Object/method.scm 139 */
																										BgL_ebdgz00_920 =
																											BgL_bdgz00_919;
																									}
																								{	/* Object/method.scm 139 */

																									BGl_za2methodsza2z00zzobject_methodz00
																										=
																										MAKE_YOUNG_PAIR
																										(BgL_mzd2idzd2_910,
																										BGl_za2methodsza2z00zzobject_methodz00);
																									{	/* Object/method.scm 143 */
																										obj_t BgL_arg1318z00_921;

																										{	/* Object/method.scm 143 */
																											obj_t BgL_arg1320z00_923;

																											{	/* Object/method.scm 143 */
																												obj_t
																													BgL_arg1321z00_924;
																												obj_t
																													BgL_arg1322z00_925;
																												BgL_arg1321z00_924 =
																													MAKE_YOUNG_PAIR
																													(BgL_ebdgz00_920,
																													BNIL);
																												{	/* Object/method.scm 144 */
																													obj_t
																														BgL_arg1326z00_926;
																													obj_t
																														BgL_arg1327z00_927;
																													{	/* Object/method.scm 144 */
																														bool_t
																															BgL_test1820z00_1905;
																														if (((long)
																																CINT
																																(BGl_za2debugzd2moduleza2zd2zzengine_paramz00)
																																>= 1L))
																															{	/* Object/method.scm 147 */
																																obj_t
																																	BgL_arg1361z00_943;
																																{	/* Object/method.scm 147 */
																																	obj_t
																																		BgL_arg1364z00_944;
																																	BgL_arg1364z00_944
																																		=
																																		BGl_thezd2backendzd2zzbackend_backendz00
																																		();
																																	BgL_arg1361z00_943
																																		=
																																		(((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt) BgL_arg1364z00_944)))->BgL_debugzd2supportzd2);
																																}
																																BgL_test1820z00_1905
																																	=
																																	CBOOL
																																	(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
																																	(((obj_t)
																																			CNST_TABLE_REF
																																			(9)),
																																		BgL_arg1361z00_943));
																															}
																														else
																															{	/* Object/method.scm 144 */
																																BgL_test1820z00_1905
																																	=
																																	((bool_t) 0);
																															}
																														if (BgL_test1820z00_1905)
																															{	/* Object/method.scm 149 */
																																obj_t
																																	BgL_arg1336z00_932;
																																{	/* Object/method.scm 149 */
																																	obj_t
																																		BgL_arg1338z00_933;
																																	{	/* Object/method.scm 149 */
																																		obj_t
																																			BgL_arg1339z00_934;
																																		obj_t
																																			BgL_arg1340z00_935;
																																		{	/* Object/method.scm 149 */
																																			obj_t
																																				BgL_arg1486z00_1316;
																																			BgL_arg1486z00_1316
																																				=
																																				SYMBOL_TO_STRING
																																				(BgL_identz00_8);
																																			BgL_arg1339z00_934
																																				=
																																				BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																																				(BgL_arg1486z00_1316);
																																		}
																																		{	/* Object/method.scm 149 */
																																			obj_t
																																				BgL_arg1360z00_941;
																																			BgL_arg1360z00_941
																																				=
																																				(((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt) BgL_holderz00_912)))->BgL_idz00);
																																			{	/* Object/method.scm 149 */
																																				obj_t
																																					BgL_arg1486z00_1319;
																																				BgL_arg1486z00_1319
																																					=
																																					SYMBOL_TO_STRING
																																					(BgL_arg1360z00_941);
																																				BgL_arg1340z00_935
																																					=
																																					BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																																					(BgL_arg1486z00_1319);
																																			}
																																		}
																																		{	/* Object/method.scm 149 */
																																			obj_t
																																				BgL_list1341z00_936;
																																			{	/* Object/method.scm 149 */
																																				obj_t
																																					BgL_arg1342z00_937;
																																				{	/* Object/method.scm 149 */
																																					obj_t
																																						BgL_arg1355z00_938;
																																					{	/* Object/method.scm 149 */
																																						obj_t
																																							BgL_arg1358z00_939;
																																						{	/* Object/method.scm 149 */
																																							obj_t
																																								BgL_arg1359z00_940;
																																							BgL_arg1359z00_940
																																								=
																																								MAKE_YOUNG_PAIR
																																								(BGl_string1753z00zzobject_methodz00,
																																								BNIL);
																																							BgL_arg1358z00_939
																																								=
																																								MAKE_YOUNG_PAIR
																																								(BgL_arg1340z00_935,
																																								BgL_arg1359z00_940);
																																						}
																																						BgL_arg1355z00_938
																																							=
																																							MAKE_YOUNG_PAIR
																																							(BGl_string1754z00zzobject_methodz00,
																																							BgL_arg1358z00_939);
																																					}
																																					BgL_arg1342z00_937
																																						=
																																						MAKE_YOUNG_PAIR
																																						(BgL_arg1339z00_934,
																																						BgL_arg1355z00_938);
																																				}
																																				BgL_list1341z00_936
																																					=
																																					MAKE_YOUNG_PAIR
																																					(BGl_string1755z00zzobject_methodz00,
																																					BgL_arg1342z00_937);
																																			}
																																			BgL_arg1338z00_933
																																				=
																																				BGl_stringzd2appendzd2zz__r4_strings_6_7z00
																																				(BgL_list1341z00_936);
																																		}
																																	}
																																	BgL_arg1336z00_932
																																		=
																																		MAKE_YOUNG_PAIR
																																		(BgL_arg1338z00_933,
																																		BNIL);
																																}
																																BgL_arg1326z00_926
																																	=
																																	MAKE_YOUNG_PAIR
																																	(((obj_t)
																																		CNST_TABLE_REF
																																		(10)),
																																	BgL_arg1336z00_932);
																															}
																														else
																															{	/* Object/method.scm 144 */
																																BgL_arg1326z00_926
																																	= BFALSE;
																															}
																													}
																													{	/* Object/method.scm 152 */
																														obj_t
																															BgL_arg1365z00_945;
																														{	/* Object/method.scm 152 */
																															obj_t
																																BgL_arg1367z00_946;
																															{	/* Object/method.scm 152 */
																																obj_t
																																	BgL_arg1370z00_947;
																																{	/* Object/method.scm 152 */
																																	obj_t
																																		BgL_arg1371z00_948;
																																	obj_t
																																		BgL_arg1376z00_949;
																																	{	/* Object/method.scm 152 */
																																		obj_t
																																			BgL_arg1379z00_950;
																																		{	/* Object/method.scm 152 */
																																			obj_t
																																				BgL_arg1380z00_951;
																																			obj_t
																																				BgL_arg1382z00_952;
																																			BgL_arg1380z00_951
																																				=
																																				(((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt) BgL_holderz00_912)))->BgL_idz00);
																																			BgL_arg1382z00_952
																																				=
																																				MAKE_YOUNG_PAIR
																																				(BgL_modulez00_913,
																																				BNIL);
																																			BgL_arg1379z00_950
																																				=
																																				MAKE_YOUNG_PAIR
																																				(BgL_arg1380z00_951,
																																				BgL_arg1382z00_952);
																																		}
																																		BgL_arg1371z00_948
																																			=
																																			MAKE_YOUNG_PAIR
																																			(((obj_t)
																																				CNST_TABLE_REF
																																				(2)),
																																			BgL_arg1379z00_950);
																																	}
																																	{	/* Object/method.scm 154 */
																																		obj_t
																																			BgL_arg1383z00_953;
																																		{	/* Object/method.scm 154 */
																																			obj_t
																																				BgL_arg1385z00_954;
																																			{	/* Object/method.scm 154 */
																																				obj_t
																																					BgL_arg1486z00_1322;
																																				BgL_arg1486z00_1322
																																					=
																																					SYMBOL_TO_STRING
																																					(BgL_identz00_8);
																																				BgL_arg1385z00_954
																																					=
																																					BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																																					(BgL_arg1486z00_1322);
																																			}
																																			BgL_arg1383z00_953
																																				=
																																				MAKE_YOUNG_PAIR
																																				(BgL_arg1385z00_954,
																																				BNIL);
																																		}
																																		BgL_arg1376z00_949
																																			=
																																			MAKE_YOUNG_PAIR
																																			(BgL_mzd2idzd2_910,
																																			BgL_arg1383z00_953);
																																	}
																																	BgL_arg1370z00_947
																																		=
																																		MAKE_YOUNG_PAIR
																																		(BgL_arg1371z00_948,
																																		BgL_arg1376z00_949);
																																}
																																BgL_arg1367z00_946
																																	=
																																	MAKE_YOUNG_PAIR
																																	(BgL_idz00_904,
																																	BgL_arg1370z00_947);
																															}
																															BgL_arg1365z00_945
																																=
																																MAKE_YOUNG_PAIR(
																																((obj_t)
																																	CNST_TABLE_REF
																																	(11)),
																																BgL_arg1367z00_946);
																														}
																														BgL_arg1327z00_927 =
																															MAKE_YOUNG_PAIR
																															(BgL_arg1365z00_945,
																															BNIL);
																													}
																													BgL_arg1322z00_925 =
																														MAKE_YOUNG_PAIR
																														(BgL_arg1326z00_926,
																														BgL_arg1327z00_927);
																												}
																												BgL_arg1320z00_923 =
																													MAKE_YOUNG_PAIR
																													(BgL_arg1321z00_924,
																													BgL_arg1322z00_925);
																											}
																											BgL_arg1318z00_921 =
																												MAKE_YOUNG_PAIR(
																												((obj_t)
																													CNST_TABLE_REF(8)),
																												BgL_arg1320z00_923);
																										}
																										{	/* Object/method.scm 143 */
																											obj_t BgL_list1319z00_922;

																											BgL_list1319z00_922 =
																												MAKE_YOUNG_PAIR
																												(BgL_arg1318z00_921,
																												BNIL);
																											return
																												BgL_list1319z00_922;
																										}
																									}
																								}
																							}
																						}
																					}
																				}
																			}
																		else
																			{	/* Object/method.scm 193 */
																				obj_t BgL_arg1674z00_1324;

																				{	/* Object/method.scm 193 */
																					obj_t BgL_list1676z00_1325;

																					BgL_list1676z00_1325 =
																						MAKE_YOUNG_PAIR(
																						((obj_t) CNST_TABLE_REF(12)), BNIL);
																					BgL_arg1674z00_1324 =
																						BgL_list1676z00_1325;
																				}
																				{	/* Object/method.scm 193 */
																					obj_t BgL_list1675z00_1326;

																					BgL_list1675z00_1326 =
																						MAKE_YOUNG_PAIR(BgL_arg1674z00_1324,
																						BNIL);
																					return
																						BGl_userzd2errorzd2zztools_errorz00
																						(BgL_idz00_904,
																						BGl_string1756z00zzobject_methodz00,
																						BgL_srcz00_12,
																						BgL_list1675z00_1326);
																				}
																			}
																	}
																}
															}
														}
													}
												else
													{	/* Object/method.scm 193 */
														obj_t BgL_arg1674z00_1328;

														{	/* Object/method.scm 193 */
															obj_t BgL_list1676z00_1329;

															BgL_list1676z00_1329 =
																MAKE_YOUNG_PAIR(
																((obj_t) CNST_TABLE_REF(12)), BNIL);
															BgL_arg1674z00_1328 = BgL_list1676z00_1329;
														}
														{	/* Object/method.scm 193 */
															obj_t BgL_list1675z00_1330;

															BgL_list1675z00_1330 =
																MAKE_YOUNG_PAIR(BgL_arg1674z00_1328, BNIL);
															return
																BGl_userzd2errorzd2zztools_errorz00
																(BgL_idz00_904,
																BGl_string1757z00zzobject_methodz00,
																BgL_srcz00_12, BgL_list1675z00_1330);
														}
													}
											}
										}
									}
								}
							}
						}
					}
				}
			}
		}

	}



/* &make-method-dsssl-body */
	obj_t BGl_z62makezd2methodzd2dssslzd2bodyzb0zzobject_methodz00(obj_t
		BgL_envz00_1418, obj_t BgL_identz00_1419, obj_t BgL_argsz00_1420,
		obj_t BgL_localsz00_1421, obj_t BgL_bodyz00_1422, obj_t BgL_srcz00_1423)
	{
		{	/* Object/method.scm 93 */
			return
				BGl_makezd2methodzd2dssslzd2bodyzd2zzobject_methodz00(BgL_identz00_1419,
				BgL_argsz00_1420, BgL_localsz00_1421, BgL_bodyz00_1422,
				BgL_srcz00_1423);
		}

	}



/* dsssl-method? */
	bool_t BGl_dssslzd2methodzf3z21zzobject_methodz00(obj_t BgL_argsz00_13)
	{
		{	/* Object/method.scm 159 */
			if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_argsz00_13))
				{
					obj_t BgL_l1116z00_1028;

					BgL_l1116z00_1028 = BgL_argsz00_13;
				BgL_zc3z04anonymousza31651ze3z87_1029:
					if (NULLP(BgL_l1116z00_1028))
						{	/* Object/method.scm 160 */
							return ((bool_t) 0);
						}
					else
						{	/* Object/method.scm 160 */
							bool_t BgL__ortest_1118z00_1031;

							{	/* Object/method.scm 160 */
								obj_t BgL_arg1656z00_1033;

								BgL_arg1656z00_1033 = CAR(((obj_t) BgL_l1116z00_1028));
								BgL__ortest_1118z00_1031 =
									BGl_dssslzd2namedzd2constantzf3zf3zz__dssslz00
									(BgL_arg1656z00_1033);
							}
							if (BgL__ortest_1118z00_1031)
								{	/* Object/method.scm 160 */
									return BgL__ortest_1118z00_1031;
								}
							else
								{	/* Object/method.scm 160 */
									obj_t BgL_arg1655z00_1032;

									BgL_arg1655z00_1032 = CDR(((obj_t) BgL_l1116z00_1028));
									{
										obj_t BgL_l1116z00_1976;

										BgL_l1116z00_1976 = BgL_arg1655z00_1032;
										BgL_l1116z00_1028 = BgL_l1116z00_1976;
										goto BgL_zc3z04anonymousza31651ze3z87_1029;
									}
								}
						}
				}
			else
				{	/* Object/method.scm 160 */
					return ((bool_t) 0);
				}
		}

	}



/* pair->list */
	obj_t BGl_pairzd2ze3listz31zzobject_methodz00(obj_t BgL_pz00_14)
	{
		{	/* Object/method.scm 166 */
			if (PAIRP(BgL_pz00_14))
				{	/* Object/method.scm 168 */
					return
						MAKE_YOUNG_PAIR(CAR(BgL_pz00_14),
						BGl_pairzd2ze3listz31zzobject_methodz00(CDR(BgL_pz00_14)));
				}
			else
				{	/* Object/method.scm 168 */
					if (NULLP(BgL_pz00_14))
						{	/* Object/method.scm 169 */
							return BNIL;
						}
					else
						{	/* Object/method.scm 170 */
							obj_t BgL_list1666z00_1040;

							BgL_list1666z00_1040 = MAKE_YOUNG_PAIR(BgL_pz00_14, BNIL);
							return BgL_list1666z00_1040;
						}
				}
		}

	}



/* mark-method! */
	BGL_EXPORTED_DEF obj_t BGl_markzd2methodz12zc0zzobject_methodz00(obj_t
		BgL_idz00_15)
	{
		{	/* Object/method.scm 180 */
			return (BGl_za2methodsza2z00zzobject_methodz00 =
				MAKE_YOUNG_PAIR(BgL_idz00_15, BGl_za2methodsza2z00zzobject_methodz00),
				BUNSPEC);
		}

	}



/* &mark-method! */
	obj_t BGl_z62markzd2methodz12za2zzobject_methodz00(obj_t BgL_envz00_1428,
		obj_t BgL_idz00_1429)
	{
		{	/* Object/method.scm 180 */
			return BGl_markzd2methodz12zc0zzobject_methodz00(BgL_idz00_1429);
		}

	}



/* local-is-method? */
	BGL_EXPORTED_DEF bool_t
		BGl_localzd2iszd2methodzf3zf3zzobject_methodz00(BgL_localz00_bglt
		BgL_localz00_16)
	{
		{	/* Object/method.scm 186 */
			{	/* Object/method.scm 187 */
				obj_t BgL_arg1673z00_1337;

				BgL_arg1673z00_1337 =
					(((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_localz00_16)))->BgL_idz00);
				return
					CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_arg1673z00_1337,
						BGl_za2methodsza2z00zzobject_methodz00));
			}
		}

	}



/* &local-is-method? */
	obj_t BGl_z62localzd2iszd2methodzf3z91zzobject_methodz00(obj_t
		BgL_envz00_1430, obj_t BgL_localz00_1431)
	{
		{	/* Object/method.scm 186 */
			return
				BBOOL(BGl_localzd2iszd2methodzf3zf3zzobject_methodz00(
					((BgL_localz00_bglt) BgL_localz00_1431)));
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzobject_methodz00(void)
	{
		{	/* Object/method.scm 15 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzobject_methodz00(void)
	{
		{	/* Object/method.scm 15 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzobject_methodz00(void)
	{
		{	/* Object/method.scm 15 */
			return BUNSPEC;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzobject_methodz00(void)
	{
		{	/* Object/method.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_argsz00(47102372L,
				BSTRING_TO_STRING(BGl_string1758z00zzobject_methodz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(300504031L,
				BSTRING_TO_STRING(BGl_string1758z00zzobject_methodz00));
			BGl_modulezd2initializa7ationz75zztools_miscz00(9470071L,
				BSTRING_TO_STRING(BGl_string1758z00zzobject_methodz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(365925558L,
				BSTRING_TO_STRING(BGl_string1758z00zzobject_methodz00));
			BGl_modulezd2initializa7ationz75zztools_dssslz00(275867955L,
				BSTRING_TO_STRING(BGl_string1758z00zzobject_methodz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(515343395L,
				BSTRING_TO_STRING(BGl_string1758z00zzobject_methodz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(90839984L,
				BSTRING_TO_STRING(BGl_string1758z00zzobject_methodz00));
			BGl_modulezd2initializa7ationz75zzast_identz00(174885617L,
				BSTRING_TO_STRING(BGl_string1758z00zzobject_methodz00));
			BGl_modulezd2initializa7ationz75zzast_envz00(146730773L,
				BSTRING_TO_STRING(BGl_string1758z00zzobject_methodz00));
			BGl_modulezd2initializa7ationz75zzobject_classz00(502007119L,
				BSTRING_TO_STRING(BGl_string1758z00zzobject_methodz00));
			BGl_modulezd2initializa7ationz75zztools_locationz00(462333240L,
				BSTRING_TO_STRING(BGl_string1758z00zzobject_methodz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(161876678L,
				BSTRING_TO_STRING(BGl_string1758z00zzobject_methodz00));
			return
				BGl_modulezd2initializa7ationz75zzbackend_backendz00(216206620L,
				BSTRING_TO_STRING(BGl_string1758z00zzobject_methodz00));
		}

	}

#ifdef __cplusplus
}
#endif
