/*===========================================================================*/
/*   (Object/predicate.scm)                                                  */
/*   Bigloo (4.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Jan 27 07:45:49 AM CET 2025     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.6a/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.6a/lib/bigloo/4.6a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -stdc -indent Object/predicate.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL_OBJECT_PREDICATE_TYPE_DEFINITIONS
#define BGL_OBJECT_PREDICATE_TYPE_DEFINITIONS

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_nullz00;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_qualifiedzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_tclassz00_bgl
	{
		obj_t BgL_itszd2superzd2;
		obj_t BgL_slotsz00;
		struct BgL_globalz00_bgl *BgL_holderz00;
		obj_t BgL_wideningz00;
		long BgL_depthz00;
		bool_t BgL_finalzf3zf3;
		obj_t BgL_constructorz00;
		obj_t BgL_virtualzd2slotszd2numberz00;
		bool_t BgL_abstractzf3zf3;
		obj_t BgL_widezd2typezd2;
		obj_t BgL_subclassesz00;
	}                *BgL_tclassz00_bglt;

	typedef struct BgL_jclassz00_bgl
	{
		obj_t BgL_itszd2superzd2;
		obj_t BgL_slotsz00;
		obj_t BgL_packagez00;
	}                *BgL_jclassz00_bglt;


#endif													// BGL_OBJECT_PREDICATE_TYPE_DEFINITIONS
#endif													// BGL_MODULE_TYPE_DEFINITIONS

	static obj_t BGl_requirezd2initializa7ationz75zzobject_predicatez00 = BUNSPEC;
	extern obj_t BGl_makezd2typedzd2identz00zzast_identz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	extern obj_t BGl_tclassz00zzobject_classz00;
	extern obj_t BGl_epairifyza2za2zztools_miscz00(obj_t, obj_t);
	extern obj_t BGl_za2passza2z00zzengine_paramz00;
	static obj_t BGl_genericzd2initzd2zzobject_predicatez00(void);
	BGL_IMPORT obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_genzd2classzd2predz12z12zzobject_predicatez00(BgL_typez00_bglt, obj_t,
		obj_t);
	static obj_t BGl_objectzd2initzd2zzobject_predicatez00(void);
	static obj_t BGl_z62genzd2classzd2predz12z70zzobject_predicatez00(obj_t,
		obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_importzd2javazd2classzd2predz12zc0zzobject_predicatez00
		(BgL_typez00_bglt, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT obj_t bstring_to_symbol(obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzobject_predicatez00(void);
	static obj_t BGl_z62importzd2classzd2predz12z70zzobject_predicatez00(obj_t,
		obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t string_append(obj_t, obj_t);
	static obj_t
		BGl_genzd2javazd2classzd2predz12zc0zzobject_predicatez00(BgL_typez00_bglt,
		obj_t, obj_t);
	static bool_t BGl_inlinezd2predzf3z21zzobject_predicatez00(void);
	extern obj_t BGl_za2moduleza2z00zzmodule_modulez00;
	extern obj_t BGl_producezd2modulezd2clausez12z12zzmodule_modulez00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzobject_predicatez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_impusez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_toolsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_slotsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_privatez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_toolsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_miscz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	extern obj_t BGl_za2profilezd2modeza2zd2zzengine_paramz00;
	BGL_IMPORT bool_t BGl_numberzf3zf3zz__r4_numbers_6_5z00(obj_t);
	extern obj_t BGl_makezd2privatezd2sexpz00zzast_privatez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_importzd2parserzd2zzmodule_impusez00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_cnstzd2initzd2zzobject_predicatez00(void);
	static obj_t BGl_libraryzd2moduleszd2initz00zzobject_predicatez00(void);
	static obj_t BGl_importedzd2moduleszd2initz00zzobject_predicatez00(void);
	static obj_t BGl_gczd2rootszd2initz00zzobject_predicatez00(void);
	static obj_t
		BGl_z62importzd2javazd2classzd2predz12za2zzobject_predicatez00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_importzd2classzd2predz12z12zzobject_predicatez00(BgL_typez00_bglt,
		obj_t, obj_t);
	extern obj_t BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00(obj_t);
	static obj_t __cnst[20];


	   
		 
		DEFINE_STRING(BGl_string1396z00zzobject_predicatez00,
		BgL_bgl_string1396za700za7za7o1401za7, "object_predicate", 16);
	      DEFINE_STRING(BGl_string1397z00zzobject_predicatez00,
		BgL_bgl_string1397za700za7za7o1402za7,
		"export instanceof static define define-inline pragma no-cfa-top effect predicate-of inline ::obj super super- @ isa? __object obj ?::bool ? (make-heap make-add-heap) ",
		166);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_importzd2classzd2predz12zd2envzc0zzobject_predicatez00,
		BgL_bgl_za762importza7d2clas1403z00,
		BGl_z62importzd2classzd2predz12z70zzobject_predicatez00, 0L, BUNSPEC, 3);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_genzd2classzd2predz12zd2envzc0zzobject_predicatez00,
		BgL_bgl_za762genza7d2classza7d1404za7,
		BGl_z62genzd2classzd2predz12z70zzobject_predicatez00, 0L, BUNSPEC, 3);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_importzd2javazd2classzd2predz12zd2envz12zzobject_predicatez00,
		BgL_bgl_za762importza7d2java1405z00,
		BGl_z62importzd2javazd2classzd2predz12za2zzobject_predicatez00, 0L, BUNSPEC,
		3);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zzobject_predicatez00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzobject_predicatez00(long
		BgL_checksumz00_1126, char *BgL_fromz00_1127)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzobject_predicatez00))
				{
					BGl_requirezd2initializa7ationz75zzobject_predicatez00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzobject_predicatez00();
					BGl_libraryzd2moduleszd2initz00zzobject_predicatez00();
					BGl_cnstzd2initzd2zzobject_predicatez00();
					BGl_importedzd2moduleszd2initz00zzobject_predicatez00();
					return BGl_methodzd2initzd2zzobject_predicatez00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzobject_predicatez00(void)
	{
		{	/* Object/predicate.scm 21 */
			BGl_modulezd2initializa7ationz75zz__objectz00(0L, "object_predicate");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(0L,
				"object_predicate");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(0L,
				"object_predicate");
			BGl_modulezd2initializa7ationz75zz__readerz00(0L, "object_predicate");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(0L,
				"object_predicate");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(0L,
				"object_predicate");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(0L,
				"object_predicate");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(0L,
				"object_predicate");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(0L,
				"object_predicate");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(0L,
				"object_predicate");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzobject_predicatez00(void)
	{
		{	/* Object/predicate.scm 21 */
			{	/* Object/predicate.scm 21 */
				obj_t BgL_cportz00_1115;

				{	/* Object/predicate.scm 21 */
					obj_t BgL_stringz00_1122;

					BgL_stringz00_1122 = BGl_string1397z00zzobject_predicatez00;
					{	/* Object/predicate.scm 21 */
						obj_t BgL_startz00_1123;

						BgL_startz00_1123 = BINT(0L);
						{	/* Object/predicate.scm 21 */
							obj_t BgL_endz00_1124;

							BgL_endz00_1124 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_1122)));
							{	/* Object/predicate.scm 21 */

								BgL_cportz00_1115 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_1122, BgL_startz00_1123, BgL_endz00_1124);
				}}}}
				{
					long BgL_iz00_1116;

					BgL_iz00_1116 = 19L;
				BgL_loopz00_1117:
					if ((BgL_iz00_1116 == (-1L)))
						{	/* Object/predicate.scm 21 */
							return BUNSPEC;
						}
					else
						{	/* Object/predicate.scm 21 */
							{	/* Object/predicate.scm 21 */
								obj_t BgL_arg1400z00_1118;

								{	/* Object/predicate.scm 21 */

									{	/* Object/predicate.scm 21 */
										obj_t BgL_locationz00_1120;

										BgL_locationz00_1120 = BBOOL(((bool_t) 0));
										{	/* Object/predicate.scm 21 */

											BgL_arg1400z00_1118 =
												BGl_readz00zz__readerz00(BgL_cportz00_1115,
												BgL_locationz00_1120);
										}
									}
								}
								{	/* Object/predicate.scm 21 */
									int BgL_tmpz00_1155;

									BgL_tmpz00_1155 = (int) (BgL_iz00_1116);
									CNST_TABLE_SET(BgL_tmpz00_1155, BgL_arg1400z00_1118);
							}}
							{	/* Object/predicate.scm 21 */
								int BgL_auxz00_1121;

								BgL_auxz00_1121 = (int) ((BgL_iz00_1116 - 1L));
								{
									long BgL_iz00_1160;

									BgL_iz00_1160 = (long) (BgL_auxz00_1121);
									BgL_iz00_1116 = BgL_iz00_1160;
									goto BgL_loopz00_1117;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzobject_predicatez00(void)
	{
		{	/* Object/predicate.scm 21 */
			return bgl_gc_roots_register();
		}

	}



/* inline-pred? */
	bool_t BGl_inlinezd2predzf3z21zzobject_predicatez00(void)
	{
		{	/* Object/predicate.scm 48 */
			{	/* Object/predicate.scm 49 */
				bool_t BgL_test1410z00_1163;

				{	/* Object/predicate.scm 49 */
					bool_t BgL__ortest_1079z00_728;

					if (BGl_numberzf3zf3zz__r4_numbers_6_5z00
						(BGl_za2profilezd2modeza2zd2zzengine_paramz00))
						{	/* Object/predicate.scm 49 */
							BgL__ortest_1079z00_728 = ((bool_t) 0);
						}
					else
						{	/* Object/predicate.scm 49 */
							BgL__ortest_1079z00_728 = ((bool_t) 1);
						}
					if (BgL__ortest_1079z00_728)
						{	/* Object/predicate.scm 49 */
							BgL_test1410z00_1163 = BgL__ortest_1079z00_728;
						}
					else
						{	/* Object/predicate.scm 49 */
							BgL_test1410z00_1163 =
								(
								(long) CINT(BGl_za2profilezd2modeza2zd2zzengine_paramz00) < 1L);
				}}
				if (BgL_test1410z00_1163)
					{	/* Object/predicate.scm 49 */
						if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
								(BGl_za2passza2z00zzengine_paramz00,
									((obj_t) CNST_TABLE_REF(0)))))
							{	/* Object/predicate.scm 51 */
								return ((bool_t) 0);
							}
						else
							{	/* Object/predicate.scm 51 */
								return ((bool_t) 1);
							}
					}
				else
					{	/* Object/predicate.scm 49 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* gen-class-pred! */
	BGL_EXPORTED_DEF obj_t
		BGl_genzd2classzd2predz12z12zzobject_predicatez00(BgL_typez00_bglt
		BgL_classz00_3, obj_t BgL_srczd2defzd2_4, obj_t BgL_importz00_5)
	{
		{	/* Object/predicate.scm 59 */
			{	/* Object/predicate.scm 60 */
				obj_t BgL_idz00_730;

				BgL_idz00_730 =
					(((BgL_typez00_bglt) COBJECT(
							((BgL_typez00_bglt) BgL_classz00_3)))->BgL_idz00);
				{	/* Object/predicate.scm 60 */
					obj_t BgL_idzf3zf3_731;

					{	/* Object/predicate.scm 61 */
						obj_t BgL_arg1266z00_790;

						{	/* Object/predicate.scm 61 */
							obj_t BgL_arg1267z00_791;
							obj_t BgL_arg1268z00_792;

							{	/* Object/predicate.scm 61 */
								obj_t BgL_arg1486z00_932;

								BgL_arg1486z00_932 = SYMBOL_TO_STRING(BgL_idz00_730);
								BgL_arg1267z00_791 =
									BGl_stringzd2copyzd2zz__r4_strings_6_7z00(BgL_arg1486z00_932);
							}
							{	/* Object/predicate.scm 61 */
								obj_t BgL_symbolz00_933;

								BgL_symbolz00_933 = ((obj_t) CNST_TABLE_REF(1));
								{	/* Object/predicate.scm 61 */
									obj_t BgL_arg1486z00_934;

									BgL_arg1486z00_934 = SYMBOL_TO_STRING(BgL_symbolz00_933);
									BgL_arg1268z00_792 =
										BGl_stringzd2copyzd2zz__r4_strings_6_7z00
										(BgL_arg1486z00_934);
								}
							}
							BgL_arg1266z00_790 =
								string_append(BgL_arg1267z00_791, BgL_arg1268z00_792);
						}
						BgL_idzf3zf3_731 = bstring_to_symbol(BgL_arg1266z00_790);
					}
					{	/* Object/predicate.scm 61 */
						obj_t BgL_predzd2idzd2_732;

						{	/* Object/predicate.scm 62 */
							obj_t BgL_arg1258z00_787;

							{	/* Object/predicate.scm 62 */
								obj_t BgL_arg1260z00_788;
								obj_t BgL_arg1262z00_789;

								{	/* Object/predicate.scm 62 */
									obj_t BgL_arg1486z00_937;

									BgL_arg1486z00_937 = SYMBOL_TO_STRING(BgL_idz00_730);
									BgL_arg1260z00_788 =
										BGl_stringzd2copyzd2zz__r4_strings_6_7z00
										(BgL_arg1486z00_937);
								}
								{	/* Object/predicate.scm 62 */
									obj_t BgL_symbolz00_938;

									BgL_symbolz00_938 = ((obj_t) CNST_TABLE_REF(2));
									{	/* Object/predicate.scm 62 */
										obj_t BgL_arg1486z00_939;

										BgL_arg1486z00_939 = SYMBOL_TO_STRING(BgL_symbolz00_938);
										BgL_arg1262z00_789 =
											BGl_stringzd2copyzd2zz__r4_strings_6_7z00
											(BgL_arg1486z00_939);
									}
								}
								BgL_arg1258z00_787 =
									string_append(BgL_arg1260z00_788, BgL_arg1262z00_789);
							}
							BgL_predzd2idzd2_732 = bstring_to_symbol(BgL_arg1258z00_787);
						}
						{	/* Object/predicate.scm 62 */
							BgL_globalz00_bglt BgL_holderz00_733;

							{
								BgL_tclassz00_bglt BgL_auxz00_1192;

								{
									obj_t BgL_auxz00_1193;

									{	/* Object/predicate.scm 63 */
										BgL_objectz00_bglt BgL_tmpz00_1194;

										BgL_tmpz00_1194 = ((BgL_objectz00_bglt) BgL_classz00_3);
										BgL_auxz00_1193 = BGL_OBJECT_WIDENING(BgL_tmpz00_1194);
									}
									BgL_auxz00_1192 = ((BgL_tclassz00_bglt) BgL_auxz00_1193);
								}
								BgL_holderz00_733 =
									(((BgL_tclassz00_bglt) COBJECT(BgL_auxz00_1192))->
									BgL_holderz00);
							}
							{	/* Object/predicate.scm 63 */
								obj_t BgL_objz00_734;

								BgL_objz00_734 =
									BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
									(BGl_gensymz00zz__r4_symbols_6_4z00(((obj_t)
											CNST_TABLE_REF(3))));
								{	/* Object/predicate.scm 64 */
									obj_t BgL_superz00_735;

									{
										BgL_tclassz00_bglt BgL_auxz00_1203;

										{
											obj_t BgL_auxz00_1204;

											{	/* Object/predicate.scm 65 */
												BgL_objectz00_bglt BgL_tmpz00_1205;

												BgL_tmpz00_1205 = ((BgL_objectz00_bglt) BgL_classz00_3);
												BgL_auxz00_1204 = BGL_OBJECT_WIDENING(BgL_tmpz00_1205);
											}
											BgL_auxz00_1203 = ((BgL_tclassz00_bglt) BgL_auxz00_1204);
										}
										BgL_superz00_735 =
											(((BgL_tclassz00_bglt) COBJECT(BgL_auxz00_1203))->
											BgL_itszd2superzd2);
									}
									{	/* Object/predicate.scm 65 */

										{

											{	/* Object/predicate.scm 68 */
												bool_t BgL_test1422z00_1210;

												{	/* Object/predicate.scm 68 */
													obj_t BgL_classz00_947;

													BgL_classz00_947 = BGl_tclassz00zzobject_classz00;
													if (BGL_OBJECTP(BgL_superz00_735))
														{	/* Object/predicate.scm 68 */
															BgL_objectz00_bglt BgL_arg1858z00_949;

															BgL_arg1858z00_949 =
																(BgL_objectz00_bglt) (BgL_superz00_735);
															if (BGL_CONDEXPAND_ISA_ARCH64())
																{	/* Object/predicate.scm 68 */
																	long BgL_idxz00_955;

																	BgL_idxz00_955 =
																		BGL_OBJECT_INHERITANCE_NUM
																		(BgL_arg1858z00_949);
																	BgL_test1422z00_1210 =
																		(VECTOR_REF
																		(BGl_za2inheritancesza2z00zz__objectz00,
																			(BgL_idxz00_955 + 2L)) ==
																		BgL_classz00_947);
																}
															else
																{	/* Object/predicate.scm 68 */
																	bool_t BgL_res1391z00_980;

																	{	/* Object/predicate.scm 68 */
																		obj_t BgL_oclassz00_963;

																		{	/* Object/predicate.scm 68 */
																			obj_t BgL_arg1866z00_971;
																			long BgL_arg1867z00_972;

																			BgL_arg1866z00_971 =
																				(BGl_za2classesza2z00zz__objectz00);
																			{	/* Object/predicate.scm 68 */
																				long BgL_arg1869z00_973;

																				BgL_arg1869z00_973 =
																					BGL_OBJECT_CLASS_NUM
																					(BgL_arg1858z00_949);
																				BgL_arg1867z00_972 =
																					(BgL_arg1869z00_973 - OBJECT_TYPE);
																			}
																			BgL_oclassz00_963 =
																				VECTOR_REF(BgL_arg1866z00_971,
																				BgL_arg1867z00_972);
																		}
																		{	/* Object/predicate.scm 68 */
																			bool_t BgL__ortest_1115z00_964;

																			BgL__ortest_1115z00_964 =
																				(BgL_classz00_947 == BgL_oclassz00_963);
																			if (BgL__ortest_1115z00_964)
																				{	/* Object/predicate.scm 68 */
																					BgL_res1391z00_980 =
																						BgL__ortest_1115z00_964;
																				}
																			else
																				{	/* Object/predicate.scm 68 */
																					long BgL_odepthz00_965;

																					{	/* Object/predicate.scm 68 */
																						obj_t BgL_arg1855z00_966;

																						BgL_arg1855z00_966 =
																							(BgL_oclassz00_963);
																						BgL_odepthz00_965 =
																							BGL_CLASS_DEPTH
																							(BgL_arg1855z00_966);
																					}
																					if ((2L < BgL_odepthz00_965))
																						{	/* Object/predicate.scm 68 */
																							obj_t BgL_arg1853z00_968;

																							{	/* Object/predicate.scm 68 */
																								obj_t BgL_arg1854z00_969;

																								BgL_arg1854z00_969 =
																									(BgL_oclassz00_963);
																								BgL_arg1853z00_968 =
																									BGL_CLASS_ANCESTORS_REF
																									(BgL_arg1854z00_969, 2L);
																							}
																							BgL_res1391z00_980 =
																								(BgL_arg1853z00_968 ==
																								BgL_classz00_947);
																						}
																					else
																						{	/* Object/predicate.scm 68 */
																							BgL_res1391z00_980 = ((bool_t) 0);
																						}
																				}
																		}
																	}
																	BgL_test1422z00_1210 = BgL_res1391z00_980;
																}
														}
													else
														{	/* Object/predicate.scm 68 */
															BgL_test1422z00_1210 = ((bool_t) 0);
														}
												}
												if (BgL_test1422z00_1210)
													{	/* Object/predicate.scm 72 */
														obj_t BgL_superzd2predzd2idz00_738;
														obj_t BgL_superzd2typedzd2_739;

														{	/* Object/predicate.scm 72 */
															obj_t BgL_arg1237z00_770;

															{	/* Object/predicate.scm 72 */
																obj_t BgL_arg1240z00_771;
																obj_t BgL_arg1241z00_772;

																{	/* Object/predicate.scm 72 */
																	obj_t BgL_symbolz00_981;

																	BgL_symbolz00_981 =
																		((obj_t) CNST_TABLE_REF(7));
																	{	/* Object/predicate.scm 72 */
																		obj_t BgL_arg1486z00_982;

																		BgL_arg1486z00_982 =
																			SYMBOL_TO_STRING(BgL_symbolz00_981);
																		BgL_arg1240z00_771 =
																			BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																			(BgL_arg1486z00_982);
																	}
																}
																{	/* Object/predicate.scm 72 */
																	obj_t BgL_arg1486z00_984;

																	BgL_arg1486z00_984 =
																		SYMBOL_TO_STRING(BgL_predzd2idzd2_732);
																	BgL_arg1241z00_772 =
																		BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																		(BgL_arg1486z00_984);
																}
																BgL_arg1237z00_770 =
																	string_append(BgL_arg1240z00_771,
																	BgL_arg1241z00_772);
															}
															BgL_superzd2predzd2idz00_738 =
																bstring_to_symbol(BgL_arg1237z00_770);
														}
														{	/* Object/predicate.scm 73 */
															obj_t BgL_arg1242z00_773;

															BgL_arg1242z00_773 =
																(((BgL_typez00_bglt) COBJECT(
																		((BgL_typez00_bglt) BgL_superz00_735)))->
																BgL_idz00);
															BgL_superzd2typedzd2_739 =
																BGl_makezd2typedzd2identz00zzast_identz00((
																	(obj_t) CNST_TABLE_REF(8)),
																BgL_arg1242z00_773);
														}
														{	/* Object/predicate.scm 76 */
															obj_t BgL_arg1139z00_740;

															if (BGl_inlinezd2predzf3z21zzobject_predicatez00
																())
																{	/* Object/predicate.scm 77 */
																	obj_t BgL_arg1145z00_742;

																	{	/* Object/predicate.scm 77 */
																		obj_t BgL_arg1146z00_743;

																		{	/* Object/predicate.scm 77 */
																			obj_t BgL_arg1153z00_744;

																			{	/* Object/predicate.scm 77 */
																				obj_t BgL_arg1156z00_745;

																				BgL_arg1156z00_745 =
																					MAKE_YOUNG_PAIR(
																					((obj_t) CNST_TABLE_REF(9)), BNIL);
																				BgL_arg1153z00_744 =
																					MAKE_YOUNG_PAIR(BgL_predzd2idzd2_732,
																					BgL_arg1156z00_745);
																			}
																			BgL_arg1146z00_743 =
																				MAKE_YOUNG_PAIR(
																				((obj_t)
																					CNST_TABLE_REF(10)),
																				BgL_arg1153z00_744);
																		}
																		BgL_arg1145z00_742 =
																			MAKE_YOUNG_PAIR(BgL_arg1146z00_743, BNIL);
																	}
																	BgL_arg1139z00_740 =
																		MAKE_YOUNG_PAIR(BgL_importz00_5,
																		BgL_arg1145z00_742);
																}
															else
																{	/* Object/predicate.scm 78 */
																	obj_t BgL_arg1157z00_746;

																	{	/* Object/predicate.scm 78 */
																		obj_t BgL_arg1158z00_747;

																		{	/* Object/predicate.scm 78 */
																			obj_t BgL_arg1159z00_748;

																			BgL_arg1159z00_748 =
																				MAKE_YOUNG_PAIR(
																				((obj_t) CNST_TABLE_REF(9)), BNIL);
																			BgL_arg1158z00_747 =
																				MAKE_YOUNG_PAIR(BgL_predzd2idzd2_732,
																				BgL_arg1159z00_748);
																		}
																		BgL_arg1157z00_746 =
																			MAKE_YOUNG_PAIR(BgL_arg1158z00_747, BNIL);
																	}
																	BgL_arg1139z00_740 =
																		MAKE_YOUNG_PAIR(BgL_importz00_5,
																		BgL_arg1157z00_746);
																}
															BGl_producezd2modulezd2clausez12z12zzmodule_modulez00
																(BgL_arg1139z00_740);
														}
														{	/* Object/predicate.scm 80 */
															obj_t BgL_arg1161z00_749;

															{	/* Object/predicate.scm 80 */
																obj_t BgL_arg1172z00_750;

																{	/* Object/predicate.scm 80 */
																	obj_t BgL_arg1173z00_751;

																	{	/* Object/predicate.scm 80 */
																		obj_t BgL_arg1174z00_752;

																		{	/* Object/predicate.scm 80 */
																			obj_t BgL_arg1177z00_753;
																			obj_t BgL_arg1178z00_754;

																			{	/* Object/predicate.scm 80 */
																				obj_t BgL_arg1179z00_755;

																				{	/* Object/predicate.scm 80 */
																					obj_t BgL_arg1183z00_756;

																					BgL_arg1183z00_756 =
																						(((BgL_typez00_bglt) COBJECT(
																								((BgL_typez00_bglt)
																									BgL_classz00_3)))->BgL_idz00);
																					BgL_arg1179z00_755 =
																						MAKE_YOUNG_PAIR(BgL_arg1183z00_756,
																						BNIL);
																				}
																				BgL_arg1177z00_753 =
																					MAKE_YOUNG_PAIR(
																					((obj_t)
																						CNST_TABLE_REF(11)),
																					BgL_arg1179z00_755);
																			}
																			{	/* Object/predicate.scm 81 */
																				obj_t BgL_arg1184z00_757;

																				{	/* Object/predicate.scm 81 */
																					obj_t BgL_arg1187z00_758;

																					BgL_arg1187z00_758 =
																						MAKE_YOUNG_PAIR(
																						((obj_t) CNST_TABLE_REF(12)), BNIL);
																					BgL_arg1184z00_757 =
																						MAKE_YOUNG_PAIR(BgL_arg1187z00_758,
																						BNIL);
																				}
																				BgL_arg1178z00_754 =
																					MAKE_YOUNG_PAIR(
																					((obj_t)
																						CNST_TABLE_REF(13)),
																					BgL_arg1184z00_757);
																			}
																			BgL_arg1174z00_752 =
																				MAKE_YOUNG_PAIR(BgL_arg1177z00_753,
																				BgL_arg1178z00_754);
																		}
																		BgL_arg1173z00_751 =
																			MAKE_YOUNG_PAIR(BgL_idzf3zf3_731,
																			BgL_arg1174z00_752);
																	}
																	BgL_arg1172z00_750 =
																		MAKE_YOUNG_PAIR(BgL_arg1173z00_751, BNIL);
																}
																BgL_arg1161z00_749 =
																	MAKE_YOUNG_PAIR(
																	((obj_t)
																		CNST_TABLE_REF(14)), BgL_arg1172z00_750);
															}
															BGl_producezd2modulezd2clausez12z12zzmodule_modulez00
																(BgL_arg1161z00_749);
														}
														{	/* Object/predicate.scm 84 */
															obj_t BgL_arg1192z00_759;

															{	/* Object/predicate.scm 84 */
																obj_t BgL_arg1195z00_761;

																{	/* Object/predicate.scm 84 */
																	obj_t BgL_arg1207z00_763;
																	obj_t BgL_arg1208z00_764;

																	if (BGl_inlinezd2predzf3z21zzobject_predicatez00())
																		{	/* Object/predicate.scm 84 */
																			BgL_arg1207z00_763 =
																				((obj_t) CNST_TABLE_REF(15));
																		}
																	else
																		{	/* Object/predicate.scm 84 */
																			BgL_arg1207z00_763 =
																				((obj_t) CNST_TABLE_REF(16));
																		}
																	{	/* Object/predicate.scm 85 */
																		obj_t BgL_arg1212z00_766;
																		obj_t BgL_arg1226z00_767;

																		{	/* Object/predicate.scm 85 */
																			obj_t BgL_arg1235z00_768;

																			BgL_arg1235z00_768 =
																				MAKE_YOUNG_PAIR(BgL_objz00_734, BNIL);
																			BgL_arg1212z00_766 =
																				MAKE_YOUNG_PAIR(BgL_predzd2idzd2_732,
																				BgL_arg1235z00_768);
																		}
																		{	/* Object/predicate.scm 84 */
																			obj_t BgL_tmpz00_1292;

																			{	/* Object/predicate.scm 67 */
																				obj_t BgL_arg1244z00_775;
																				obj_t BgL_arg1245z00_776;

																				{	/* Object/predicate.scm 67 */
																					obj_t BgL_arg1246z00_777;

																					{	/* Object/predicate.scm 67 */
																						obj_t BgL_arg1247z00_778;

																						BgL_arg1247z00_778 =
																							MAKE_YOUNG_PAIR(
																							((obj_t)
																								CNST_TABLE_REF(4)), BNIL);
																						BgL_arg1246z00_777 =
																							MAKE_YOUNG_PAIR(
																							((obj_t)
																								CNST_TABLE_REF(5)),
																							BgL_arg1247z00_778);
																					}
																					BgL_arg1244z00_775 =
																						MAKE_YOUNG_PAIR(
																						((obj_t)
																							CNST_TABLE_REF(6)),
																						BgL_arg1246z00_777);
																				}
																				{	/* Object/predicate.scm 67 */
																					obj_t BgL_arg1249z00_779;

																					{	/* Object/predicate.scm 67 */
																						obj_t BgL_arg1250z00_780;

																						{	/* Object/predicate.scm 67 */
																							obj_t BgL_arg1252z00_781;

																							{	/* Object/predicate.scm 67 */
																								obj_t BgL_arg1253z00_782;
																								obj_t BgL_arg1254z00_783;

																								BgL_arg1253z00_782 =
																									(((BgL_variablez00_bglt)
																										COBJECT((
																												(BgL_variablez00_bglt)
																												BgL_holderz00_733)))->
																									BgL_idz00);
																								BgL_arg1254z00_783 =
																									MAKE_YOUNG_PAIR(((
																											(BgL_globalz00_bglt)
																											COBJECT
																											(BgL_holderz00_733))->
																										BgL_modulez00), BNIL);
																								BgL_arg1252z00_781 =
																									MAKE_YOUNG_PAIR
																									(BgL_arg1253z00_782,
																									BgL_arg1254z00_783);
																							}
																							BgL_arg1250z00_780 =
																								MAKE_YOUNG_PAIR(
																								((obj_t)
																									CNST_TABLE_REF(6)),
																								BgL_arg1252z00_781);
																						}
																						BgL_arg1249z00_779 =
																							MAKE_YOUNG_PAIR
																							(BgL_arg1250z00_780, BNIL);
																					}
																					BgL_arg1245z00_776 =
																						MAKE_YOUNG_PAIR(BgL_objz00_734,
																						BgL_arg1249z00_779);
																				}
																				BgL_tmpz00_1292 =
																					MAKE_YOUNG_PAIR(BgL_arg1244z00_775,
																					BgL_arg1245z00_776);
																			}
																			BgL_arg1226z00_767 =
																				MAKE_YOUNG_PAIR(BgL_tmpz00_1292, BNIL);
																		}
																		BgL_arg1208z00_764 =
																			MAKE_YOUNG_PAIR(BgL_arg1212z00_766,
																			BgL_arg1226z00_767);
																	}
																	BgL_arg1195z00_761 =
																		MAKE_YOUNG_PAIR(BgL_arg1207z00_763,
																		BgL_arg1208z00_764);
																}
																{	/* Object/predicate.scm 84 */
																	obj_t BgL_list1196z00_762;

																	BgL_list1196z00_762 =
																		MAKE_YOUNG_PAIR(BgL_srczd2defzd2_4, BNIL);
																	BgL_arg1192z00_759 =
																		BGl_epairifyza2za2zztools_miscz00
																		(BgL_arg1195z00_761, BgL_list1196z00_762);
																}
															}
															{	/* Object/predicate.scm 83 */
																obj_t BgL_list1193z00_760;

																BgL_list1193z00_760 =
																	MAKE_YOUNG_PAIR(BgL_arg1192z00_759, BNIL);
																return BgL_list1193z00_760;
															}
														}
													}
												else
													{	/* Object/predicate.scm 68 */
														return BNIL;
													}
											}
										}
									}
								}
							}
						}
					}
				}
			}
		}

	}



/* &gen-class-pred! */
	obj_t BGl_z62genzd2classzd2predz12z70zzobject_predicatez00(obj_t
		BgL_envz00_1103, obj_t BgL_classz00_1104, obj_t BgL_srczd2defzd2_1105,
		obj_t BgL_importz00_1106)
	{
		{	/* Object/predicate.scm 59 */
			return
				BGl_genzd2classzd2predz12z12zzobject_predicatez00(
				((BgL_typez00_bglt) BgL_classz00_1104), BgL_srczd2defzd2_1105,
				BgL_importz00_1106);
		}

	}



/* import-class-pred! */
	BGL_EXPORTED_DEF obj_t
		BGl_importzd2classzd2predz12z12zzobject_predicatez00(BgL_typez00_bglt
		BgL_classz00_6, obj_t BgL_srczd2defzd2_7, obj_t BgL_modulez00_8)
	{
		{	/* Object/predicate.scm 92 */
			if (BGl_inlinezd2predzf3z21zzobject_predicatez00())
				{	/* Object/predicate.scm 93 */
					BGL_TAIL return
						BGl_genzd2classzd2predz12z12zzobject_predicatez00(BgL_classz00_6,
						BgL_srczd2defzd2_7, ((obj_t) CNST_TABLE_REF(17)));
				}
			else
				{	/* Object/predicate.scm 97 */
					obj_t BgL_idz00_794;

					BgL_idz00_794 =
						(((BgL_typez00_bglt) COBJECT(
								((BgL_typez00_bglt) BgL_classz00_6)))->BgL_idz00);
					{	/* Object/predicate.scm 97 */
						obj_t BgL_idzf3zf3_795;

						{	/* Object/predicate.scm 98 */
							obj_t BgL_arg1277z00_806;

							{	/* Object/predicate.scm 98 */
								obj_t BgL_arg1279z00_807;
								obj_t BgL_arg1280z00_808;

								{	/* Object/predicate.scm 98 */
									obj_t BgL_arg1486z00_991;

									BgL_arg1486z00_991 = SYMBOL_TO_STRING(BgL_idz00_794);
									BgL_arg1279z00_807 =
										BGl_stringzd2copyzd2zz__r4_strings_6_7z00
										(BgL_arg1486z00_991);
								}
								{	/* Object/predicate.scm 98 */
									obj_t BgL_symbolz00_992;

									BgL_symbolz00_992 = ((obj_t) CNST_TABLE_REF(1));
									{	/* Object/predicate.scm 98 */
										obj_t BgL_arg1486z00_993;

										BgL_arg1486z00_993 = SYMBOL_TO_STRING(BgL_symbolz00_992);
										BgL_arg1280z00_808 =
											BGl_stringzd2copyzd2zz__r4_strings_6_7z00
											(BgL_arg1486z00_993);
									}
								}
								BgL_arg1277z00_806 =
									string_append(BgL_arg1279z00_807, BgL_arg1280z00_808);
							}
							BgL_idzf3zf3_795 = bstring_to_symbol(BgL_arg1277z00_806);
						}
						{	/* Object/predicate.scm 98 */
							obj_t BgL_predzd2idzd2_796;

							{	/* Object/predicate.scm 99 */
								obj_t BgL_arg1274z00_803;

								{	/* Object/predicate.scm 99 */
									obj_t BgL_arg1275z00_804;
									obj_t BgL_arg1276z00_805;

									{	/* Object/predicate.scm 99 */
										obj_t BgL_arg1486z00_996;

										BgL_arg1486z00_996 = SYMBOL_TO_STRING(BgL_idz00_794);
										BgL_arg1275z00_804 =
											BGl_stringzd2copyzd2zz__r4_strings_6_7z00
											(BgL_arg1486z00_996);
									}
									{	/* Object/predicate.scm 99 */
										obj_t BgL_symbolz00_997;

										BgL_symbolz00_997 = ((obj_t) CNST_TABLE_REF(2));
										{	/* Object/predicate.scm 99 */
											obj_t BgL_arg1486z00_998;

											BgL_arg1486z00_998 = SYMBOL_TO_STRING(BgL_symbolz00_997);
											BgL_arg1276z00_805 =
												BGl_stringzd2copyzd2zz__r4_strings_6_7z00
												(BgL_arg1486z00_998);
										}
									}
									BgL_arg1274z00_803 =
										string_append(BgL_arg1275z00_804, BgL_arg1276z00_805);
								}
								BgL_predzd2idzd2_796 = bstring_to_symbol(BgL_arg1274z00_803);
							}
							{	/* Object/predicate.scm 100 */
								obj_t BgL_superz00_798;

								{
									BgL_tclassz00_bglt BgL_auxz00_1344;

									{
										obj_t BgL_auxz00_1345;

										{	/* Object/predicate.scm 101 */
											BgL_objectz00_bglt BgL_tmpz00_1346;

											BgL_tmpz00_1346 = ((BgL_objectz00_bglt) BgL_classz00_6);
											BgL_auxz00_1345 = BGL_OBJECT_WIDENING(BgL_tmpz00_1346);
										}
										BgL_auxz00_1344 = ((BgL_tclassz00_bglt) BgL_auxz00_1345);
									}
									BgL_superz00_798 =
										(((BgL_tclassz00_bglt) COBJECT(BgL_auxz00_1344))->
										BgL_itszd2superzd2);
								}
								{	/* Object/predicate.scm 101 */

									{	/* Object/predicate.scm 102 */
										bool_t BgL_test1430z00_1351;

										{	/* Object/predicate.scm 102 */
											obj_t BgL_classz00_1004;

											BgL_classz00_1004 = BGl_tclassz00zzobject_classz00;
											if (BGL_OBJECTP(BgL_superz00_798))
												{	/* Object/predicate.scm 102 */
													BgL_objectz00_bglt BgL_arg1858z00_1006;

													BgL_arg1858z00_1006 =
														(BgL_objectz00_bglt) (BgL_superz00_798);
													if (BGL_CONDEXPAND_ISA_ARCH64())
														{	/* Object/predicate.scm 102 */
															long BgL_idxz00_1012;

															BgL_idxz00_1012 =
																BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_1006);
															BgL_test1430z00_1351 =
																(VECTOR_REF
																(BGl_za2inheritancesza2z00zz__objectz00,
																	(BgL_idxz00_1012 + 2L)) == BgL_classz00_1004);
														}
													else
														{	/* Object/predicate.scm 102 */
															bool_t BgL_res1393z00_1037;

															{	/* Object/predicate.scm 102 */
																obj_t BgL_oclassz00_1020;

																{	/* Object/predicate.scm 102 */
																	obj_t BgL_arg1866z00_1028;
																	long BgL_arg1867z00_1029;

																	BgL_arg1866z00_1028 =
																		(BGl_za2classesza2z00zz__objectz00);
																	{	/* Object/predicate.scm 102 */
																		long BgL_arg1869z00_1030;

																		BgL_arg1869z00_1030 =
																			BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_1006);
																		BgL_arg1867z00_1029 =
																			(BgL_arg1869z00_1030 - OBJECT_TYPE);
																	}
																	BgL_oclassz00_1020 =
																		VECTOR_REF(BgL_arg1866z00_1028,
																		BgL_arg1867z00_1029);
																}
																{	/* Object/predicate.scm 102 */
																	bool_t BgL__ortest_1115z00_1021;

																	BgL__ortest_1115z00_1021 =
																		(BgL_classz00_1004 == BgL_oclassz00_1020);
																	if (BgL__ortest_1115z00_1021)
																		{	/* Object/predicate.scm 102 */
																			BgL_res1393z00_1037 =
																				BgL__ortest_1115z00_1021;
																		}
																	else
																		{	/* Object/predicate.scm 102 */
																			long BgL_odepthz00_1022;

																			{	/* Object/predicate.scm 102 */
																				obj_t BgL_arg1855z00_1023;

																				BgL_arg1855z00_1023 =
																					(BgL_oclassz00_1020);
																				BgL_odepthz00_1022 =
																					BGL_CLASS_DEPTH(BgL_arg1855z00_1023);
																			}
																			if ((2L < BgL_odepthz00_1022))
																				{	/* Object/predicate.scm 102 */
																					obj_t BgL_arg1853z00_1025;

																					{	/* Object/predicate.scm 102 */
																						obj_t BgL_arg1854z00_1026;

																						BgL_arg1854z00_1026 =
																							(BgL_oclassz00_1020);
																						BgL_arg1853z00_1025 =
																							BGL_CLASS_ANCESTORS_REF
																							(BgL_arg1854z00_1026, 2L);
																					}
																					BgL_res1393z00_1037 =
																						(BgL_arg1853z00_1025 ==
																						BgL_classz00_1004);
																				}
																			else
																				{	/* Object/predicate.scm 102 */
																					BgL_res1393z00_1037 = ((bool_t) 0);
																				}
																		}
																}
															}
															BgL_test1430z00_1351 = BgL_res1393z00_1037;
														}
												}
											else
												{	/* Object/predicate.scm 102 */
													BgL_test1430z00_1351 = ((bool_t) 0);
												}
										}
										if (BgL_test1430z00_1351)
											{	/* Object/predicate.scm 104 */
												obj_t BgL_arg1271z00_800;

												{	/* Object/predicate.scm 104 */
													obj_t BgL_arg1273z00_802;

													BgL_arg1273z00_802 =
														MAKE_YOUNG_PAIR(((obj_t) CNST_TABLE_REF(9)), BNIL);
													BgL_arg1271z00_800 =
														MAKE_YOUNG_PAIR(BgL_predzd2idzd2_796,
														BgL_arg1273z00_802);
												}
												BGl_importzd2parserzd2zzmodule_impusez00
													(BgL_modulez00_8, BgL_arg1271z00_800, BFALSE, BNIL);
											}
										else
											{	/* Object/predicate.scm 102 */
												BFALSE;
											}
									}
									return BNIL;
								}
							}
						}
					}
				}
		}

	}



/* &import-class-pred! */
	obj_t BGl_z62importzd2classzd2predz12z70zzobject_predicatez00(obj_t
		BgL_envz00_1107, obj_t BgL_classz00_1108, obj_t BgL_srczd2defzd2_1109,
		obj_t BgL_modulez00_1110)
	{
		{	/* Object/predicate.scm 92 */
			return
				BGl_importzd2classzd2predz12z12zzobject_predicatez00(
				((BgL_typez00_bglt) BgL_classz00_1108), BgL_srczd2defzd2_1109,
				BgL_modulez00_1110);
		}

	}



/* gen-java-class-pred! */
	obj_t
		BGl_genzd2javazd2classzd2predz12zc0zzobject_predicatez00(BgL_typez00_bglt
		BgL_classz00_9, obj_t BgL_srczd2defzd2_10, obj_t BgL_mclausez00_11)
	{
		{	/* Object/predicate.scm 114 */
			{	/* Object/predicate.scm 115 */
				obj_t BgL_idz00_809;

				BgL_idz00_809 =
					(((BgL_typez00_bglt) COBJECT(
							((BgL_typez00_bglt) BgL_classz00_9)))->BgL_idz00);
				{	/* Object/predicate.scm 115 */
					obj_t BgL_idzf3zf3_810;

					{	/* Object/predicate.scm 116 */
						obj_t BgL_arg1320z00_848;

						{	/* Object/predicate.scm 116 */
							obj_t BgL_arg1321z00_849;
							obj_t BgL_arg1322z00_850;

							{	/* Object/predicate.scm 116 */
								obj_t BgL_arg1486z00_1040;

								BgL_arg1486z00_1040 = SYMBOL_TO_STRING(BgL_idz00_809);
								BgL_arg1321z00_849 =
									BGl_stringzd2copyzd2zz__r4_strings_6_7z00
									(BgL_arg1486z00_1040);
							}
							{	/* Object/predicate.scm 116 */
								obj_t BgL_symbolz00_1041;

								BgL_symbolz00_1041 = ((obj_t) CNST_TABLE_REF(1));
								{	/* Object/predicate.scm 116 */
									obj_t BgL_arg1486z00_1042;

									BgL_arg1486z00_1042 = SYMBOL_TO_STRING(BgL_symbolz00_1041);
									BgL_arg1322z00_850 =
										BGl_stringzd2copyzd2zz__r4_strings_6_7z00
										(BgL_arg1486z00_1042);
								}
							}
							BgL_arg1320z00_848 =
								string_append(BgL_arg1321z00_849, BgL_arg1322z00_850);
						}
						BgL_idzf3zf3_810 = bstring_to_symbol(BgL_arg1320z00_848);
					}
					{	/* Object/predicate.scm 116 */
						obj_t BgL_predzd2idzd2_811;

						{	/* Object/predicate.scm 117 */
							obj_t BgL_arg1317z00_845;

							{	/* Object/predicate.scm 117 */
								obj_t BgL_arg1318z00_846;
								obj_t BgL_arg1319z00_847;

								{	/* Object/predicate.scm 117 */
									obj_t BgL_arg1486z00_1045;

									BgL_arg1486z00_1045 = SYMBOL_TO_STRING(BgL_idz00_809);
									BgL_arg1318z00_846 =
										BGl_stringzd2copyzd2zz__r4_strings_6_7z00
										(BgL_arg1486z00_1045);
								}
								{	/* Object/predicate.scm 117 */
									obj_t BgL_symbolz00_1046;

									BgL_symbolz00_1046 = ((obj_t) CNST_TABLE_REF(2));
									{	/* Object/predicate.scm 117 */
										obj_t BgL_arg1486z00_1047;

										BgL_arg1486z00_1047 = SYMBOL_TO_STRING(BgL_symbolz00_1046);
										BgL_arg1319z00_847 =
											BGl_stringzd2copyzd2zz__r4_strings_6_7z00
											(BgL_arg1486z00_1047);
									}
								}
								BgL_arg1317z00_845 =
									string_append(BgL_arg1318z00_846, BgL_arg1319z00_847);
							}
							BgL_predzd2idzd2_811 = bstring_to_symbol(BgL_arg1317z00_845);
						}
						{	/* Object/predicate.scm 117 */
							obj_t BgL_objz00_812;

							BgL_objz00_812 =
								BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
								(BGl_gensymz00zz__r4_symbols_6_4z00(((obj_t)
										CNST_TABLE_REF(3))));
							{	/* Object/predicate.scm 119 */

								{

									{	/* Object/predicate.scm 124 */
										obj_t BgL_arg1281z00_815;

										{	/* Object/predicate.scm 124 */
											obj_t BgL_arg1282z00_816;

											{	/* Object/predicate.scm 124 */
												obj_t BgL_arg1284z00_817;

												{	/* Object/predicate.scm 124 */
													obj_t BgL_arg1285z00_818;

													{	/* Object/predicate.scm 124 */
														obj_t BgL_arg1287z00_819;

														BgL_arg1287z00_819 =
															MAKE_YOUNG_PAIR(
															((obj_t) CNST_TABLE_REF(9)), BNIL);
														BgL_arg1285z00_818 =
															MAKE_YOUNG_PAIR(BgL_predzd2idzd2_811,
															BgL_arg1287z00_819);
													}
													BgL_arg1284z00_817 =
														MAKE_YOUNG_PAIR(
														((obj_t) CNST_TABLE_REF(10)), BgL_arg1285z00_818);
												}
												BgL_arg1282z00_816 =
													MAKE_YOUNG_PAIR(BgL_arg1284z00_817, BNIL);
											}
											BgL_arg1281z00_815 =
												MAKE_YOUNG_PAIR(BgL_mclausez00_11, BgL_arg1282z00_816);
										}
										BGl_producezd2modulezd2clausez12z12zzmodule_modulez00
											(BgL_arg1281z00_815);
									}
									{	/* Object/predicate.scm 126 */
										obj_t BgL_arg1288z00_820;

										{	/* Object/predicate.scm 126 */
											obj_t BgL_arg1289z00_821;

											{	/* Object/predicate.scm 126 */
												obj_t BgL_arg1291z00_822;

												{	/* Object/predicate.scm 126 */
													obj_t BgL_arg1292z00_823;

													{	/* Object/predicate.scm 126 */
														obj_t BgL_arg1293z00_824;
														obj_t BgL_arg1294z00_825;

														{	/* Object/predicate.scm 126 */
															obj_t BgL_arg1295z00_826;

															{	/* Object/predicate.scm 126 */
																obj_t BgL_arg1296z00_827;

																BgL_arg1296z00_827 =
																	(((BgL_typez00_bglt) COBJECT(
																			((BgL_typez00_bglt) BgL_classz00_9)))->
																	BgL_idz00);
																BgL_arg1295z00_826 =
																	MAKE_YOUNG_PAIR(BgL_arg1296z00_827, BNIL);
															}
															BgL_arg1293z00_824 =
																MAKE_YOUNG_PAIR(
																((obj_t)
																	CNST_TABLE_REF(11)), BgL_arg1295z00_826);
														}
														{	/* Object/predicate.scm 126 */
															obj_t BgL_arg1297z00_828;

															{	/* Object/predicate.scm 126 */
																obj_t BgL_arg1298z00_829;

																BgL_arg1298z00_829 =
																	MAKE_YOUNG_PAIR(
																	((obj_t) CNST_TABLE_REF(12)), BNIL);
																BgL_arg1297z00_828 =
																	MAKE_YOUNG_PAIR(BgL_arg1298z00_829, BNIL);
															}
															BgL_arg1294z00_825 =
																MAKE_YOUNG_PAIR(
																((obj_t)
																	CNST_TABLE_REF(13)), BgL_arg1297z00_828);
														}
														BgL_arg1292z00_823 =
															MAKE_YOUNG_PAIR(BgL_arg1293z00_824,
															BgL_arg1294z00_825);
													}
													BgL_arg1291z00_822 =
														MAKE_YOUNG_PAIR(BgL_idzf3zf3_810,
														BgL_arg1292z00_823);
												}
												BgL_arg1289z00_821 =
													MAKE_YOUNG_PAIR(BgL_arg1291z00_822, BNIL);
											}
											BgL_arg1288z00_820 =
												MAKE_YOUNG_PAIR(
												((obj_t) CNST_TABLE_REF(14)), BgL_arg1289z00_821);
										}
										BGl_producezd2modulezd2clausez12z12zzmodule_modulez00
											(BgL_arg1288z00_820);
									}
									{	/* Object/predicate.scm 129 */
										obj_t BgL_arg1299z00_830;

										{	/* Object/predicate.scm 129 */
											obj_t BgL_arg1301z00_832;

											{	/* Object/predicate.scm 129 */
												obj_t BgL_arg1303z00_834;
												obj_t BgL_arg1304z00_835;

												if (BGl_inlinezd2predzf3z21zzobject_predicatez00())
													{	/* Object/predicate.scm 129 */
														BgL_arg1303z00_834 = ((obj_t) CNST_TABLE_REF(15));
													}
												else
													{	/* Object/predicate.scm 129 */
														BgL_arg1303z00_834 = ((obj_t) CNST_TABLE_REF(16));
													}
												{	/* Object/predicate.scm 130 */
													obj_t BgL_arg1309z00_837;
													obj_t BgL_arg1310z00_838;

													{	/* Object/predicate.scm 130 */
														obj_t BgL_arg1311z00_839;

														BgL_arg1311z00_839 =
															MAKE_YOUNG_PAIR(BgL_objz00_812, BNIL);
														BgL_arg1309z00_837 =
															MAKE_YOUNG_PAIR(BgL_predzd2idzd2_811,
															BgL_arg1311z00_839);
													}
													{	/* Object/predicate.scm 129 */
														obj_t BgL_tmpz00_1441;

														{	/* Object/predicate.scm 121 */
															obj_t BgL_list1315z00_842;

															BgL_list1315z00_842 =
																MAKE_YOUNG_PAIR(BgL_objz00_812, BNIL);
															BgL_tmpz00_1441 =
																BGl_makezd2privatezd2sexpz00zzast_privatez00(
																((obj_t)
																	CNST_TABLE_REF(18)), BgL_idz00_809,
																BgL_list1315z00_842);
														}
														BgL_arg1310z00_838 =
															MAKE_YOUNG_PAIR(BgL_tmpz00_1441, BNIL);
													}
													BgL_arg1304z00_835 =
														MAKE_YOUNG_PAIR(BgL_arg1309z00_837,
														BgL_arg1310z00_838);
												}
												BgL_arg1301z00_832 =
													MAKE_YOUNG_PAIR(BgL_arg1303z00_834,
													BgL_arg1304z00_835);
											}
											{	/* Object/predicate.scm 129 */
												obj_t BgL_list1302z00_833;

												BgL_list1302z00_833 =
													MAKE_YOUNG_PAIR(BgL_srczd2defzd2_10, BNIL);
												BgL_arg1299z00_830 =
													BGl_epairifyza2za2zztools_miscz00(BgL_arg1301z00_832,
													BgL_list1302z00_833);
											}
										}
										{	/* Object/predicate.scm 128 */
											obj_t BgL_list1300z00_831;

											BgL_list1300z00_831 =
												MAKE_YOUNG_PAIR(BgL_arg1299z00_830, BNIL);
											return BgL_list1300z00_831;
										}
									}
								}
							}
						}
					}
				}
			}
		}

	}



/* import-java-class-pred! */
	BGL_EXPORTED_DEF obj_t
		BGl_importzd2javazd2classzd2predz12zc0zzobject_predicatez00(BgL_typez00_bglt
		BgL_classz00_12, obj_t BgL_srczd2defzd2_13, obj_t BgL_modulez00_14)
	{
		{	/* Object/predicate.scm 137 */
			if (BGl_inlinezd2predzf3z21zzobject_predicatez00())
				{	/* Object/predicate.scm 142 */
					obj_t BgL_arg1326z00_852;

					if ((BgL_modulez00_14 == BGl_za2moduleza2z00zzmodule_modulez00))
						{	/* Object/predicate.scm 142 */
							BgL_arg1326z00_852 = ((obj_t) CNST_TABLE_REF(19));
						}
					else
						{	/* Object/predicate.scm 142 */
							BgL_arg1326z00_852 = ((obj_t) CNST_TABLE_REF(17));
						}
					BGL_TAIL return
						BGl_genzd2javazd2classzd2predz12zc0zzobject_predicatez00
						(BgL_classz00_12, BgL_srczd2defzd2_13, BgL_arg1326z00_852);
				}
			else
				{	/* Object/predicate.scm 144 */
					obj_t BgL_idz00_853;

					BgL_idz00_853 =
						(((BgL_typez00_bglt) COBJECT(
								((BgL_typez00_bglt) BgL_classz00_12)))->BgL_idz00);
					{	/* Object/predicate.scm 144 */
						obj_t BgL_idzf3zf3_854;

						{	/* Object/predicate.scm 145 */
							obj_t BgL_arg1338z00_863;

							{	/* Object/predicate.scm 145 */
								obj_t BgL_arg1339z00_864;
								obj_t BgL_arg1340z00_865;

								{	/* Object/predicate.scm 145 */
									obj_t BgL_arg1486z00_1055;

									BgL_arg1486z00_1055 = SYMBOL_TO_STRING(BgL_idz00_853);
									BgL_arg1339z00_864 =
										BGl_stringzd2copyzd2zz__r4_strings_6_7z00
										(BgL_arg1486z00_1055);
								}
								{	/* Object/predicate.scm 145 */
									obj_t BgL_symbolz00_1056;

									BgL_symbolz00_1056 = ((obj_t) CNST_TABLE_REF(1));
									{	/* Object/predicate.scm 145 */
										obj_t BgL_arg1486z00_1057;

										BgL_arg1486z00_1057 = SYMBOL_TO_STRING(BgL_symbolz00_1056);
										BgL_arg1340z00_865 =
											BGl_stringzd2copyzd2zz__r4_strings_6_7z00
											(BgL_arg1486z00_1057);
									}
								}
								BgL_arg1338z00_863 =
									string_append(BgL_arg1339z00_864, BgL_arg1340z00_865);
							}
							BgL_idzf3zf3_854 = bstring_to_symbol(BgL_arg1338z00_863);
						}
						{	/* Object/predicate.scm 145 */
							obj_t BgL_predzd2idzd2_855;

							{	/* Object/predicate.scm 146 */
								obj_t BgL_arg1332z00_860;

								{	/* Object/predicate.scm 146 */
									obj_t BgL_arg1333z00_861;
									obj_t BgL_arg1336z00_862;

									{	/* Object/predicate.scm 146 */
										obj_t BgL_arg1486z00_1060;

										BgL_arg1486z00_1060 = SYMBOL_TO_STRING(BgL_idz00_853);
										BgL_arg1333z00_861 =
											BGl_stringzd2copyzd2zz__r4_strings_6_7z00
											(BgL_arg1486z00_1060);
									}
									{	/* Object/predicate.scm 146 */
										obj_t BgL_symbolz00_1061;

										BgL_symbolz00_1061 = ((obj_t) CNST_TABLE_REF(2));
										{	/* Object/predicate.scm 146 */
											obj_t BgL_arg1486z00_1062;

											BgL_arg1486z00_1062 =
												SYMBOL_TO_STRING(BgL_symbolz00_1061);
											BgL_arg1336z00_862 =
												BGl_stringzd2copyzd2zz__r4_strings_6_7z00
												(BgL_arg1486z00_1062);
										}
									}
									BgL_arg1332z00_860 =
										string_append(BgL_arg1333z00_861, BgL_arg1336z00_862);
								}
								BgL_predzd2idzd2_855 = bstring_to_symbol(BgL_arg1332z00_860);
							}
							{	/* Object/predicate.scm 147 */

								{	/* Object/predicate.scm 149 */
									obj_t BgL_arg1327z00_857;

									{	/* Object/predicate.scm 149 */
										obj_t BgL_arg1331z00_859;

										BgL_arg1331z00_859 =
											MAKE_YOUNG_PAIR(((obj_t) CNST_TABLE_REF(9)), BNIL);
										BgL_arg1327z00_857 =
											MAKE_YOUNG_PAIR(BgL_predzd2idzd2_855, BgL_arg1331z00_859);
									}
									BGl_importzd2parserzd2zzmodule_impusez00(BgL_modulez00_14,
										BgL_arg1327z00_857, BFALSE, BNIL);
								}
								return BNIL;
							}
						}
					}
				}
		}

	}



/* &import-java-class-pred! */
	obj_t BGl_z62importzd2javazd2classzd2predz12za2zzobject_predicatez00(obj_t
		BgL_envz00_1111, obj_t BgL_classz00_1112, obj_t BgL_srczd2defzd2_1113,
		obj_t BgL_modulez00_1114)
	{
		{	/* Object/predicate.scm 137 */
			return
				BGl_importzd2javazd2classzd2predz12zc0zzobject_predicatez00(
				((BgL_typez00_bglt) BgL_classz00_1112), BgL_srczd2defzd2_1113,
				BgL_modulez00_1114);
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzobject_predicatez00(void)
	{
		{	/* Object/predicate.scm 21 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzobject_predicatez00(void)
	{
		{	/* Object/predicate.scm 21 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzobject_predicatez00(void)
	{
		{	/* Object/predicate.scm 21 */
			return BUNSPEC;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzobject_predicatez00(void)
	{
		{	/* Object/predicate.scm 21 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(54713316L,
				BSTRING_TO_STRING(BGl_string1396z00zzobject_predicatez00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(300504031L,
				BSTRING_TO_STRING(BGl_string1396z00zzobject_predicatez00));
			BGl_modulezd2initializa7ationz75zztools_miscz00(9470071L,
				BSTRING_TO_STRING(BGl_string1396z00zzobject_predicatez00));
			BGl_modulezd2initializa7ationz75zztype_typez00(515343395L,
				BSTRING_TO_STRING(BGl_string1396z00zzobject_predicatez00));
			BGl_modulezd2initializa7ationz75zztype_envz00(296457443L,
				BSTRING_TO_STRING(BGl_string1396z00zzobject_predicatez00));
			BGl_modulezd2initializa7ationz75zztype_toolsz00(453414928L,
				BSTRING_TO_STRING(BGl_string1396z00zzobject_predicatez00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(489890788L,
				BSTRING_TO_STRING(BGl_string1396z00zzobject_predicatez00));
			BGl_modulezd2initializa7ationz75zzast_varz00(90839984L,
				BSTRING_TO_STRING(BGl_string1396z00zzobject_predicatez00));
			BGl_modulezd2initializa7ationz75zzast_identz00(174885617L,
				BSTRING_TO_STRING(BGl_string1396z00zzobject_predicatez00));
			BGl_modulezd2initializa7ationz75zzast_privatez00(135263837L,
				BSTRING_TO_STRING(BGl_string1396z00zzobject_predicatez00));
			BGl_modulezd2initializa7ationz75zzobject_classz00(502007119L,
				BSTRING_TO_STRING(BGl_string1396z00zzobject_predicatez00));
			BGl_modulezd2initializa7ationz75zzobject_slotsz00(151271251L,
				BSTRING_TO_STRING(BGl_string1396z00zzobject_predicatez00));
			BGl_modulezd2initializa7ationz75zzobject_toolsz00(196511171L,
				BSTRING_TO_STRING(BGl_string1396z00zzobject_predicatez00));
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(158397907L,
				BSTRING_TO_STRING(BGl_string1396z00zzobject_predicatez00));
			BGl_modulezd2initializa7ationz75zzmodule_impusez00(478324304L,
				BSTRING_TO_STRING(BGl_string1396z00zzobject_predicatez00));
			return
				BGl_modulezd2initializa7ationz75zzengine_paramz00(161876678L,
				BSTRING_TO_STRING(BGl_string1396z00zzobject_predicatez00));
		}

	}

#ifdef __cplusplus
}
#endif
