/*===========================================================================*/
/*   (Reduce/typec.scm)                                                      */
/*   Bigloo (4.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Jan 27 07:45:49 AM CET 2025     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.6a/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.6a/lib/bigloo/4.6a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -stdc -indent Reduce/typec.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL_REDUCE_TYPEC_TYPE_DEFINITIONS
#define BGL_REDUCE_TYPEC_TYPE_DEFINITIONS

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_nullz00;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_qualifiedzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_literalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}                 *BgL_literalz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_closurez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}                 *BgL_closurez00_bglt;

	typedef struct BgL_kwotez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}               *BgL_kwotez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
		obj_t BgL_metaz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_stackablez00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_switchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_switchz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		struct BgL_nodez00_bgl *BgL_onexitz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_retblockz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                  *BgL_retblockz00_bglt;

	typedef struct BgL_returnz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_retblockz00_bgl *BgL_blockz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                *BgL_returnz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		obj_t BgL_stackablez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}              *BgL_syncz00_bglt;


#endif													// BGL_REDUCE_TYPEC_TYPE_DEFINITIONS
#endif													// BGL_MODULE_TYPE_DEFINITIONS

	extern obj_t BGl_setqz00zzast_nodez00;
	extern obj_t BGl_returnz00zzast_nodez00;
	static obj_t BGl_requirezd2initializa7ationz75zzreduce_typecz00 = BUNSPEC;
	extern obj_t BGl_closurez00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2setzd2exzd2i1321z70zzreduce_typecz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2kwote1290z70zzreduce_typecz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2conditio1311z70zzreduce_typecz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2makezd2box1329za2zzreduce_typecz00(obj_t, obj_t);
	extern obj_t BGl_za2pairzd2nilza2zd2zztype_cachez00;
	static BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2boxzd2setz121331zb0zzreduce_typecz00(obj_t, obj_t);
	extern obj_t BGl_syncz00zzast_nodez00;
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_atomz00zzast_nodez00;
	static obj_t BGl_toplevelzd2initzd2zzreduce_typecz00(void);
	extern obj_t BGl_sequencez00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2cast1307z70zzreduce_typecz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2jumpzd2exzd21323z70zzreduce_typecz00(obj_t, obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	static obj_t BGl_genericzd2initzd2zzreduce_typecz00(void);
	static BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2setq1309z70zzreduce_typecz00(obj_t, obj_t);
	static obj_t BGl_objectzd2initzd2zzreduce_typecz00(void);
	extern obj_t BGl_castz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2funcall1303z70zzreduce_typecz00(obj_t, obj_t);
	extern obj_t BGl_za2foreignza2z00zztype_cachez00;
	extern obj_t BGl_typez00zztype_typez00;
	static BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2fail1313z70zzreduce_typecz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2letzd2var1319za2zzreduce_typecz00(obj_t, obj_t);
	static obj_t BGl_z62reducezd2typezd2checkz12z70zzreduce_typecz00(obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_nodezd2typecz12zc0zzreduce_typecz00(BgL_nodez00_bglt);
	static BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2appzd2ly1301za2zzreduce_typecz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static bool_t
		BGl_pairzd2ofzd2pairzd2nilzf3z21zzreduce_typecz00(BgL_nodez00_bglt);
	static obj_t BGl_za2pairzf3za2zf3zzreduce_typecz00 = BUNSPEC;
	static obj_t BGl_methodzd2initzd2zzreduce_typecz00(void);
	extern obj_t BGl_externz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2boxzd2ref1333za2zzreduce_typecz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2return1327z70zzreduce_typecz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2extern1305z70zzreduce_typecz00(obj_t, obj_t);
	extern bool_t BGl_foreignzd2typezf3z21zztype_typez00(BgL_typez00_bglt);
	static BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2switch1315z70zzreduce_typecz00(obj_t, obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	static obj_t BGl_za2nullzf3za2zf3zzreduce_typecz00 = BUNSPEC;
	extern BgL_typez00_bglt BGl_getzd2typezd2zztype_typeofz00(BgL_nodez00_bglt,
		bool_t);
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_za2_za2z00zztype_cachez00;
	extern bool_t BGl_typezd2lesszd2specificzf3zf3zztype_miscz00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	static BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2sync1298z70zzreduce_typecz00(obj_t, obj_t);
	extern obj_t BGl_findzd2coercerzd2zztype_coercionz00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	static BgL_nodez00_bglt BGl_z62nodezd2typecz12za2zzreduce_typecz00(obj_t,
		obj_t);
	extern obj_t BGl_jclassz00zzobject_classz00;
	static obj_t BGl_nodezd2typecza2z12z62zzreduce_typecz00(obj_t);
	extern BgL_nodez00_bglt BGl_coercez12z12zzcoerce_coercez00(BgL_nodez00_bglt,
		obj_t, BgL_typez00_bglt, bool_t);
	static long BGl_za2typezd2checkszd2removedza2z00zzreduce_typecz00 = 0L;
	static BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2sequence1296z70zzreduce_typecz00(obj_t, obj_t);
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2closure1294z70zzreduce_typecz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzreduce_typecz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_dumpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_lvtypez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzeffect_effectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcoerce_coercez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_coercionz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_miscz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typeofz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2retblock1325z70zzreduce_typecz00(obj_t, obj_t);
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	static long BGl_za2typezd2checkszd2remainingza2z00zzreduce_typecz00 = 0L;
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_kwotez00zzast_nodez00;
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzreduce_typecz00(void);
	static obj_t BGl_libraryzd2moduleszd2initz00zzreduce_typecz00(void);
	static obj_t BGl_importedzd2moduleszd2initz00zzreduce_typecz00(void);
	static obj_t BGl_z62nodezd2typecz121283za2zzreduce_typecz00(obj_t, obj_t);
	static obj_t BGl_gczd2rootszd2initz00zzreduce_typecz00(void);
	BGL_EXPORTED_DECL obj_t
		BGl_reducezd2typezd2checkz12z12zzreduce_typecz00(obj_t);
	extern bool_t BGl_sidezd2effectzf3z21zzeffect_effectz00(BgL_nodez00_bglt);
	extern obj_t BGl_findzd2globalzf2modulez20zzast_envz00(obj_t, obj_t);
	extern obj_t BGl_retblockz00zzast_nodez00;
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_literalz00zzast_nodez00;
	extern obj_t BGl_switchz00zzast_nodez00;
	extern bool_t BGl_bigloozd2typezf3z21zztype_typez00(BgL_typez00_bglt);
	static BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2letzd2fun1317za2zzreduce_typecz00(obj_t, obj_t);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	extern obj_t BGl_isazd2ofzd2zztype_miscz00(BgL_nodez00_bglt);
	extern obj_t BGl_funcallz00zzast_nodez00;
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2var1292z70zzreduce_typecz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2atom1288z70zzreduce_typecz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2app1335z70zzreduce_typecz00(obj_t, obj_t);
	static obj_t __cnst[5];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_reducezd2typezd2checkz12zd2envzc0zzreduce_typecz00,
		BgL_bgl_za762reduceza7d2type1940z00,
		BGl_z62reducezd2typezd2checkz12z70zzreduce_typecz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1905z00zzreduce_typecz00,
		BgL_bgl_string1905za700za7za7r1941za7, "      type check             ", 29);
	      DEFINE_STRING(BGl_string1906z00zzreduce_typecz00,
		BgL_bgl_string1906za700za7za7r1942za7, ")\n", 2);
	      DEFINE_STRING(BGl_string1907z00zzreduce_typecz00,
		BgL_bgl_string1907za700za7za7r1943za7, ", remaining: ", 13);
	      DEFINE_STRING(BGl_string1908z00zzreduce_typecz00,
		BgL_bgl_string1908za700za7za7r1944za7, "(removed: ", 10);
	      DEFINE_STATIC_BGL_GENERIC(BGl_nodezd2typecz12zd2envz12zzreduce_typecz00,
		BgL_bgl_za762nodeza7d2typecza71945za7,
		BGl_z62nodezd2typecz12za2zzreduce_typecz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1910z00zzreduce_typecz00,
		BgL_bgl_string1910za700za7za7r1946za7, "node-typec!1283", 15);
	      DEFINE_STRING(BGl_string1911z00zzreduce_typecz00,
		BgL_bgl_string1911za700za7za7r1947za7, "No method for this object", 25);
	      DEFINE_STRING(BGl_string1913z00zzreduce_typecz00,
		BgL_bgl_string1913za700za7za7r1948za7, "node-typec!", 11);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1909z00zzreduce_typecz00,
		BgL_bgl_za762nodeza7d2typecza71949za7,
		BGl_z62nodezd2typecz121283za2zzreduce_typecz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1912z00zzreduce_typecz00,
		BgL_bgl_za762nodeza7d2typecza71950za7,
		BGl_z62nodezd2typecz12zd2atom1288z70zzreduce_typecz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1914z00zzreduce_typecz00,
		BgL_bgl_za762nodeza7d2typecza71951za7,
		BGl_z62nodezd2typecz12zd2kwote1290z70zzreduce_typecz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1915z00zzreduce_typecz00,
		BgL_bgl_za762nodeza7d2typecza71952za7,
		BGl_z62nodezd2typecz12zd2var1292z70zzreduce_typecz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1916z00zzreduce_typecz00,
		BgL_bgl_za762nodeza7d2typecza71953za7,
		BGl_z62nodezd2typecz12zd2closure1294z70zzreduce_typecz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1917z00zzreduce_typecz00,
		BgL_bgl_za762nodeza7d2typecza71954za7,
		BGl_z62nodezd2typecz12zd2sequence1296z70zzreduce_typecz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1918z00zzreduce_typecz00,
		BgL_bgl_za762nodeza7d2typecza71955za7,
		BGl_z62nodezd2typecz12zd2sync1298z70zzreduce_typecz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1919z00zzreduce_typecz00,
		BgL_bgl_za762nodeza7d2typecza71956za7,
		BGl_z62nodezd2typecz12zd2appzd2ly1301za2zzreduce_typecz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1920z00zzreduce_typecz00,
		BgL_bgl_za762nodeza7d2typecza71957za7,
		BGl_z62nodezd2typecz12zd2funcall1303z70zzreduce_typecz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1921z00zzreduce_typecz00,
		BgL_bgl_za762nodeza7d2typecza71958za7,
		BGl_z62nodezd2typecz12zd2extern1305z70zzreduce_typecz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1922z00zzreduce_typecz00,
		BgL_bgl_za762nodeza7d2typecza71959za7,
		BGl_z62nodezd2typecz12zd2cast1307z70zzreduce_typecz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1923z00zzreduce_typecz00,
		BgL_bgl_za762nodeza7d2typecza71960za7,
		BGl_z62nodezd2typecz12zd2setq1309z70zzreduce_typecz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1924z00zzreduce_typecz00,
		BgL_bgl_za762nodeza7d2typecza71961za7,
		BGl_z62nodezd2typecz12zd2conditio1311z70zzreduce_typecz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1925z00zzreduce_typecz00,
		BgL_bgl_za762nodeza7d2typecza71962za7,
		BGl_z62nodezd2typecz12zd2fail1313z70zzreduce_typecz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1926z00zzreduce_typecz00,
		BgL_bgl_za762nodeza7d2typecza71963za7,
		BGl_z62nodezd2typecz12zd2switch1315z70zzreduce_typecz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1927z00zzreduce_typecz00,
		BgL_bgl_za762nodeza7d2typecza71964za7,
		BGl_z62nodezd2typecz12zd2letzd2fun1317za2zzreduce_typecz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1928z00zzreduce_typecz00,
		BgL_bgl_za762nodeza7d2typecza71965za7,
		BGl_z62nodezd2typecz12zd2letzd2var1319za2zzreduce_typecz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1929z00zzreduce_typecz00,
		BgL_bgl_za762nodeza7d2typecza71966za7,
		BGl_z62nodezd2typecz12zd2setzd2exzd2i1321z70zzreduce_typecz00, 0L, BUNSPEC,
		1);
	      DEFINE_STRING(BGl_string1937z00zzreduce_typecz00,
		BgL_bgl_string1937za700za7za7r1967za7, "reduce_typec", 12);
	      DEFINE_STRING(BGl_string1938z00zzreduce_typecz00,
		BgL_bgl_string1938za700za7za7r1968za7,
		"node-typec!1283 done $null? foreign $pair? ", 43);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1930z00zzreduce_typecz00,
		BgL_bgl_za762nodeza7d2typecza71969za7,
		BGl_z62nodezd2typecz12zd2jumpzd2exzd21323z70zzreduce_typecz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1931z00zzreduce_typecz00,
		BgL_bgl_za762nodeza7d2typecza71970za7,
		BGl_z62nodezd2typecz12zd2retblock1325z70zzreduce_typecz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1932z00zzreduce_typecz00,
		BgL_bgl_za762nodeza7d2typecza71971za7,
		BGl_z62nodezd2typecz12zd2return1327z70zzreduce_typecz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1933z00zzreduce_typecz00,
		BgL_bgl_za762nodeza7d2typecza71972za7,
		BGl_z62nodezd2typecz12zd2makezd2box1329za2zzreduce_typecz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1934z00zzreduce_typecz00,
		BgL_bgl_za762nodeza7d2typecza71973za7,
		BGl_z62nodezd2typecz12zd2boxzd2setz121331zb0zzreduce_typecz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1935z00zzreduce_typecz00,
		BgL_bgl_za762nodeza7d2typecza71974za7,
		BGl_z62nodezd2typecz12zd2boxzd2ref1333za2zzreduce_typecz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1936z00zzreduce_typecz00,
		BgL_bgl_za762nodeza7d2typecza71975za7,
		BGl_z62nodezd2typecz12zd2app1335z70zzreduce_typecz00, 0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zzreduce_typecz00));
		     ADD_ROOT((void *) (&BGl_za2pairzf3za2zf3zzreduce_typecz00));
		     ADD_ROOT((void *) (&BGl_za2nullzf3za2zf3zzreduce_typecz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzreduce_typecz00(long
		BgL_checksumz00_2699, char *BgL_fromz00_2700)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzreduce_typecz00))
				{
					BGl_requirezd2initializa7ationz75zzreduce_typecz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzreduce_typecz00();
					BGl_libraryzd2moduleszd2initz00zzreduce_typecz00();
					BGl_cnstzd2initzd2zzreduce_typecz00();
					BGl_importedzd2moduleszd2initz00zzreduce_typecz00();
					BGl_genericzd2initzd2zzreduce_typecz00();
					BGl_methodzd2initzd2zzreduce_typecz00();
					return BGl_toplevelzd2initzd2zzreduce_typecz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzreduce_typecz00(void)
	{
		{	/* Reduce/typec.scm 15 */
			BGl_modulezd2initializa7ationz75zz__objectz00(0L, "reduce_typec");
			BGl_modulezd2initializa7ationz75zz__readerz00(0L, "reduce_typec");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(0L,
				"reduce_typec");
			BGl_modulezd2initializa7ationz75zz__errorz00(0L, "reduce_typec");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(0L, "reduce_typec");
			BGl_modulezd2initializa7ationz75zz__bitz00(0L, "reduce_typec");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(0L,
				"reduce_typec");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(0L, "reduce_typec");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(0L,
				"reduce_typec");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(0L,
				"reduce_typec");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzreduce_typecz00(void)
	{
		{	/* Reduce/typec.scm 15 */
			{	/* Reduce/typec.scm 15 */
				obj_t BgL_cportz00_2539;

				{	/* Reduce/typec.scm 15 */
					obj_t BgL_stringz00_2546;

					BgL_stringz00_2546 = BGl_string1938z00zzreduce_typecz00;
					{	/* Reduce/typec.scm 15 */
						obj_t BgL_startz00_2547;

						BgL_startz00_2547 = BINT(0L);
						{	/* Reduce/typec.scm 15 */
							obj_t BgL_endz00_2548;

							BgL_endz00_2548 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_2546)));
							{	/* Reduce/typec.scm 15 */

								BgL_cportz00_2539 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_2546, BgL_startz00_2547, BgL_endz00_2548);
				}}}}
				{
					long BgL_iz00_2540;

					BgL_iz00_2540 = 4L;
				BgL_loopz00_2541:
					if ((BgL_iz00_2540 == (-1L)))
						{	/* Reduce/typec.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Reduce/typec.scm 15 */
							{	/* Reduce/typec.scm 15 */
								obj_t BgL_arg1939z00_2542;

								{	/* Reduce/typec.scm 15 */

									{	/* Reduce/typec.scm 15 */
										obj_t BgL_locationz00_2544;

										BgL_locationz00_2544 = BBOOL(((bool_t) 0));
										{	/* Reduce/typec.scm 15 */

											BgL_arg1939z00_2542 =
												BGl_readz00zz__readerz00(BgL_cportz00_2539,
												BgL_locationz00_2544);
										}
									}
								}
								{	/* Reduce/typec.scm 15 */
									int BgL_tmpz00_2730;

									BgL_tmpz00_2730 = (int) (BgL_iz00_2540);
									CNST_TABLE_SET(BgL_tmpz00_2730, BgL_arg1939z00_2542);
							}}
							{	/* Reduce/typec.scm 15 */
								int BgL_auxz00_2545;

								BgL_auxz00_2545 = (int) ((BgL_iz00_2540 - 1L));
								{
									long BgL_iz00_2735;

									BgL_iz00_2735 = (long) (BgL_auxz00_2545);
									BgL_iz00_2540 = BgL_iz00_2735;
									goto BgL_loopz00_2541;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzreduce_typecz00(void)
	{
		{	/* Reduce/typec.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzreduce_typecz00(void)
	{
		{	/* Reduce/typec.scm 15 */
			BGl_za2pairzf3za2zf3zzreduce_typecz00 = BFALSE;
			BGl_za2nullzf3za2zf3zzreduce_typecz00 = BFALSE;
			BGl_za2typezd2checkszd2remainingza2z00zzreduce_typecz00 = 0L;
			BGl_za2typezd2checkszd2removedza2z00zzreduce_typecz00 = 0L;
			return BUNSPEC;
		}

	}



/* reduce-type-check! */
	BGL_EXPORTED_DEF obj_t BGl_reducezd2typezd2checkz12z12zzreduce_typecz00(obj_t
		BgL_globalsz00_3)
	{
		{	/* Reduce/typec.scm 38 */
			{	/* Reduce/typec.scm 39 */
				obj_t BgL_list1340z00_1611;

				BgL_list1340z00_1611 =
					MAKE_YOUNG_PAIR(BGl_string1905z00zzreduce_typecz00, BNIL);
				BGl_verbosez00zztools_speekz00(BINT(2L), BgL_list1340z00_1611);
			}
			BGl_za2pairzf3za2zf3zzreduce_typecz00 =
				BGl_findzd2globalzf2modulez20zzast_envz00(
				((obj_t) CNST_TABLE_REF(0)), ((obj_t) CNST_TABLE_REF(1)));
			BGl_za2nullzf3za2zf3zzreduce_typecz00 =
				BGl_findzd2globalzf2modulez20zzast_envz00(
				((obj_t) CNST_TABLE_REF(2)), ((obj_t) CNST_TABLE_REF(1)));
			{
				obj_t BgL_l1272z00_1613;

				BgL_l1272z00_1613 = BgL_globalsz00_3;
			BgL_zc3z04anonymousza31341ze3z87_1614:
				if (PAIRP(BgL_l1272z00_1613))
					{	/* Reduce/typec.scm 42 */
						{	/* Reduce/typec.scm 43 */
							obj_t BgL_globalz00_1616;

							BgL_globalz00_1616 = CAR(BgL_l1272z00_1613);
							{	/* Reduce/typec.scm 43 */
								BgL_valuez00_bglt BgL_funz00_1617;

								BgL_funz00_1617 =
									(((BgL_variablez00_bglt) COBJECT(
											((BgL_variablez00_bglt)
												((BgL_globalz00_bglt) BgL_globalz00_1616))))->
									BgL_valuez00);
								{	/* Reduce/typec.scm 43 */
									obj_t BgL_nodez00_1618;

									BgL_nodez00_1618 =
										(((BgL_sfunz00_bglt) COBJECT(
												((BgL_sfunz00_bglt) BgL_funz00_1617)))->BgL_bodyz00);
									{	/* Reduce/typec.scm 44 */

										{	/* Reduce/typec.scm 45 */
											BgL_nodez00_bglt BgL_arg1355z00_1619;

											BgL_arg1355z00_1619 =
												BGl_nodezd2typecz12zc0zzreduce_typecz00(
												((BgL_nodez00_bglt) BgL_nodez00_1618));
											((((BgL_sfunz00_bglt) COBJECT(
															((BgL_sfunz00_bglt) BgL_funz00_1617)))->
													BgL_bodyz00) =
												((obj_t) ((obj_t) BgL_arg1355z00_1619)), BUNSPEC);
										}
										BUNSPEC;
									}
								}
							}
						}
						{
							obj_t BgL_l1272z00_2764;

							BgL_l1272z00_2764 = CDR(BgL_l1272z00_1613);
							BgL_l1272z00_1613 = BgL_l1272z00_2764;
							goto BgL_zc3z04anonymousza31341ze3z87_1614;
						}
					}
				else
					{	/* Reduce/typec.scm 42 */
						((bool_t) 1);
					}
			}
			{	/* Reduce/typec.scm 48 */
				obj_t BgL_list1359z00_1622;

				{	/* Reduce/typec.scm 48 */
					obj_t BgL_arg1360z00_1623;

					{	/* Reduce/typec.scm 48 */
						obj_t BgL_arg1361z00_1624;

						{	/* Reduce/typec.scm 48 */
							obj_t BgL_arg1364z00_1625;

							{	/* Reduce/typec.scm 48 */
								obj_t BgL_arg1365z00_1626;

								BgL_arg1365z00_1626 =
									MAKE_YOUNG_PAIR(BGl_string1906z00zzreduce_typecz00, BNIL);
								BgL_arg1364z00_1625 =
									MAKE_YOUNG_PAIR(BINT
									(BGl_za2typezd2checkszd2remainingza2z00zzreduce_typecz00),
									BgL_arg1365z00_1626);
							}
							BgL_arg1361z00_1624 =
								MAKE_YOUNG_PAIR(BGl_string1907z00zzreduce_typecz00,
								BgL_arg1364z00_1625);
						}
						BgL_arg1360z00_1623 =
							MAKE_YOUNG_PAIR(BINT
							(BGl_za2typezd2checkszd2removedza2z00zzreduce_typecz00),
							BgL_arg1361z00_1624);
					}
					BgL_list1359z00_1622 =
						MAKE_YOUNG_PAIR(BGl_string1908z00zzreduce_typecz00,
						BgL_arg1360z00_1623);
				}
				BGl_verbosez00zztools_speekz00(BINT(2L), BgL_list1359z00_1622);
			}
			BGl_za2pairzf3za2zf3zzreduce_typecz00 = BFALSE;
			BGl_za2nullzf3za2zf3zzreduce_typecz00 = BFALSE;
			return BgL_globalsz00_3;
		}

	}



/* &reduce-type-check! */
	obj_t BGl_z62reducezd2typezd2checkz12z70zzreduce_typecz00(obj_t
		BgL_envz00_2460, obj_t BgL_globalsz00_2461)
	{
		{	/* Reduce/typec.scm 38 */
			return
				BGl_reducezd2typezd2checkz12z12zzreduce_typecz00(BgL_globalsz00_2461);
		}

	}



/* node-typec*! */
	obj_t BGl_nodezd2typecza2z12z62zzreduce_typecz00(obj_t BgL_nodeza2za2_28)
	{
		{	/* Reduce/typec.scm 287 */
			{
				obj_t BgL_nodeza2za2_1628;

				BgL_nodeza2za2_1628 = BgL_nodeza2za2_28;
			BgL_zc3z04anonymousza31366ze3z87_1629:
				if (NULLP(BgL_nodeza2za2_1628))
					{	/* Reduce/typec.scm 289 */
						return ((obj_t) CNST_TABLE_REF(3));
					}
				else
					{	/* Reduce/typec.scm 289 */
						{	/* Reduce/typec.scm 292 */
							BgL_nodez00_bglt BgL_arg1370z00_1631;

							{	/* Reduce/typec.scm 292 */
								obj_t BgL_arg1371z00_1632;

								BgL_arg1371z00_1632 = CAR(((obj_t) BgL_nodeza2za2_1628));
								BgL_arg1370z00_1631 =
									BGl_nodezd2typecz12zc0zzreduce_typecz00(
									((BgL_nodez00_bglt) BgL_arg1371z00_1632));
							}
							{	/* Reduce/typec.scm 292 */
								obj_t BgL_auxz00_2786;
								obj_t BgL_tmpz00_2784;

								BgL_auxz00_2786 = ((obj_t) BgL_arg1370z00_1631);
								BgL_tmpz00_2784 = ((obj_t) BgL_nodeza2za2_1628);
								SET_CAR(BgL_tmpz00_2784, BgL_auxz00_2786);
							}
						}
						{	/* Reduce/typec.scm 293 */
							obj_t BgL_arg1376z00_1633;

							BgL_arg1376z00_1633 = CDR(((obj_t) BgL_nodeza2za2_1628));
							{
								obj_t BgL_nodeza2za2_2791;

								BgL_nodeza2za2_2791 = BgL_arg1376z00_1633;
								BgL_nodeza2za2_1628 = BgL_nodeza2za2_2791;
								goto BgL_zc3z04anonymousza31366ze3z87_1629;
							}
						}
					}
			}
		}

	}



/* pair-of-pair-nil? */
	bool_t BGl_pairzd2ofzd2pairzd2nilzf3z21zzreduce_typecz00(BgL_nodez00_bglt
		BgL_nodez00_30)
	{
		{	/* Reduce/typec.scm 380 */
			{	/* Reduce/typec.scm 381 */
				bool_t BgL_test1980z00_2792;

				{	/* Reduce/typec.scm 381 */
					obj_t BgL_classz00_2111;

					BgL_classz00_2111 = BGl_appz00zzast_nodez00;
					{	/* Reduce/typec.scm 381 */
						BgL_objectz00_bglt BgL_arg1858z00_2113;

						{	/* Reduce/typec.scm 381 */
							obj_t BgL_tmpz00_2793;

							BgL_tmpz00_2793 = ((obj_t) ((BgL_objectz00_bglt) BgL_nodez00_30));
							BgL_arg1858z00_2113 = (BgL_objectz00_bglt) (BgL_tmpz00_2793);
						}
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Reduce/typec.scm 381 */
								long BgL_idxz00_2119;

								BgL_idxz00_2119 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_2113);
								BgL_test1980z00_2792 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_2119 + 3L)) == BgL_classz00_2111);
							}
						else
							{	/* Reduce/typec.scm 381 */
								bool_t BgL_res1892z00_2144;

								{	/* Reduce/typec.scm 381 */
									obj_t BgL_oclassz00_2127;

									{	/* Reduce/typec.scm 381 */
										obj_t BgL_arg1866z00_2135;
										long BgL_arg1867z00_2136;

										BgL_arg1866z00_2135 = (BGl_za2classesza2z00zz__objectz00);
										{	/* Reduce/typec.scm 381 */
											long BgL_arg1869z00_2137;

											BgL_arg1869z00_2137 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_2113);
											BgL_arg1867z00_2136 = (BgL_arg1869z00_2137 - OBJECT_TYPE);
										}
										BgL_oclassz00_2127 =
											VECTOR_REF(BgL_arg1866z00_2135, BgL_arg1867z00_2136);
									}
									{	/* Reduce/typec.scm 381 */
										bool_t BgL__ortest_1115z00_2128;

										BgL__ortest_1115z00_2128 =
											(BgL_classz00_2111 == BgL_oclassz00_2127);
										if (BgL__ortest_1115z00_2128)
											{	/* Reduce/typec.scm 381 */
												BgL_res1892z00_2144 = BgL__ortest_1115z00_2128;
											}
										else
											{	/* Reduce/typec.scm 381 */
												long BgL_odepthz00_2129;

												{	/* Reduce/typec.scm 381 */
													obj_t BgL_arg1855z00_2130;

													BgL_arg1855z00_2130 = (BgL_oclassz00_2127);
													BgL_odepthz00_2129 =
														BGL_CLASS_DEPTH(BgL_arg1855z00_2130);
												}
												if ((3L < BgL_odepthz00_2129))
													{	/* Reduce/typec.scm 381 */
														obj_t BgL_arg1853z00_2132;

														{	/* Reduce/typec.scm 381 */
															obj_t BgL_arg1854z00_2133;

															BgL_arg1854z00_2133 = (BgL_oclassz00_2127);
															BgL_arg1853z00_2132 =
																BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_2133,
																3L);
														}
														BgL_res1892z00_2144 =
															(BgL_arg1853z00_2132 == BgL_classz00_2111);
													}
												else
													{	/* Reduce/typec.scm 381 */
														BgL_res1892z00_2144 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_test1980z00_2792 = BgL_res1892z00_2144;
							}
					}
				}
				if (BgL_test1980z00_2792)
					{	/* Reduce/typec.scm 383 */
						bool_t BgL_test1984z00_2816;

						{	/* Reduce/typec.scm 383 */
							obj_t BgL_arg1388z00_1646;

							BgL_arg1388z00_1646 =
								((obj_t)
								(((BgL_varz00_bglt) COBJECT(
											(((BgL_appz00_bglt) COBJECT(
														((BgL_appz00_bglt) BgL_nodez00_30)))->
												BgL_funz00)))->BgL_variablez00));
							BgL_test1984z00_2816 =
								(BgL_arg1388z00_1646 == BGl_za2pairzf3za2zf3zzreduce_typecz00);
						}
						if (BgL_test1984z00_2816)
							{	/* Reduce/typec.scm 384 */
								bool_t BgL_test1985z00_2822;

								{	/* Reduce/typec.scm 384 */
									obj_t BgL_tmpz00_2823;

									BgL_tmpz00_2823 =
										(((BgL_appz00_bglt) COBJECT(
												((BgL_appz00_bglt) BgL_nodez00_30)))->BgL_argsz00);
									BgL_test1985z00_2822 = PAIRP(BgL_tmpz00_2823);
								}
								if (BgL_test1985z00_2822)
									{	/* Reduce/typec.scm 385 */
										bool_t BgL_test1986z00_2827;

										{	/* Reduce/typec.scm 385 */
											obj_t BgL_tmpz00_2828;

											{	/* Reduce/typec.scm 385 */
												obj_t BgL_pairz00_2146;

												BgL_pairz00_2146 =
													(((BgL_appz00_bglt) COBJECT(
															((BgL_appz00_bglt) BgL_nodez00_30)))->
													BgL_argsz00);
												BgL_tmpz00_2828 = CDR(BgL_pairz00_2146);
											}
											BgL_test1986z00_2827 = NULLP(BgL_tmpz00_2828);
										}
										if (BgL_test1986z00_2827)
											{	/* Reduce/typec.scm 386 */
												obj_t BgL_arg1379z00_1640;

												{	/* Reduce/typec.scm 386 */
													obj_t BgL_arg1380z00_1641;

													{	/* Reduce/typec.scm 386 */
														obj_t BgL_pairz00_2147;

														BgL_pairz00_2147 =
															(((BgL_appz00_bglt) COBJECT(
																	((BgL_appz00_bglt) BgL_nodez00_30)))->
															BgL_argsz00);
														BgL_arg1380z00_1641 = CAR(BgL_pairz00_2147);
													}
													BgL_arg1379z00_1640 =
														((obj_t)
														BGl_getzd2typezd2zztype_typeofz00(
															((BgL_nodez00_bglt) BgL_arg1380z00_1641),
															((bool_t) 0)));
												}
												return
													(BgL_arg1379z00_1640 ==
													BGl_za2pairzd2nilza2zd2zztype_cachez00);
											}
										else
											{	/* Reduce/typec.scm 385 */
												return ((bool_t) 0);
											}
									}
								else
									{	/* Reduce/typec.scm 384 */
										return ((bool_t) 0);
									}
							}
						else
							{	/* Reduce/typec.scm 383 */
								return ((bool_t) 0);
							}
					}
				else
					{	/* Reduce/typec.scm 381 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzreduce_typecz00(void)
	{
		{	/* Reduce/typec.scm 15 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzreduce_typecz00(void)
	{
		{	/* Reduce/typec.scm 15 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_typecz00,
				BGl_proc1909z00zzreduce_typecz00, BGl_nodez00zzast_nodez00,
				BGl_string1910z00zzreduce_typecz00);
		}

	}



/* &node-typec!1283 */
	obj_t BGl_z62nodezd2typecz121283za2zzreduce_typecz00(obj_t BgL_envz00_2463,
		obj_t BgL_nodez00_2464)
	{
		{	/* Reduce/typec.scm 69 */
			return
				BGl_errorz00zz__errorz00(
				((obj_t)
					CNST_TABLE_REF(4)), BGl_string1911z00zzreduce_typecz00,
				((obj_t) ((BgL_nodez00_bglt) BgL_nodez00_2464)));
		}

	}



/* node-typec! */
	BgL_nodez00_bglt BGl_nodezd2typecz12zc0zzreduce_typecz00(BgL_nodez00_bglt
		BgL_nodez00_4)
	{
		{	/* Reduce/typec.scm 69 */
			{	/* Reduce/typec.scm 69 */
				obj_t BgL_method1285z00_1654;

				{	/* Reduce/typec.scm 69 */
					obj_t BgL_res1897z00_2180;

					{	/* Reduce/typec.scm 69 */
						long BgL_objzd2classzd2numz00_2151;

						BgL_objzd2classzd2numz00_2151 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_4));
						{	/* Reduce/typec.scm 69 */
							obj_t BgL_arg1862z00_2152;

							BgL_arg1862z00_2152 =
								PROCEDURE_REF(BGl_nodezd2typecz12zd2envz12zzreduce_typecz00,
								(int) (1L));
							{	/* Reduce/typec.scm 69 */
								int BgL_offsetz00_2155;

								BgL_offsetz00_2155 = (int) (BgL_objzd2classzd2numz00_2151);
								{	/* Reduce/typec.scm 69 */
									long BgL_offsetz00_2156;

									BgL_offsetz00_2156 =
										((long) (BgL_offsetz00_2155) - OBJECT_TYPE);
									{	/* Reduce/typec.scm 69 */
										long BgL_modz00_2157;

										BgL_modz00_2157 =
											(BgL_offsetz00_2156 >> (int) ((long) ((int) (4L))));
										{	/* Reduce/typec.scm 69 */
											long BgL_restz00_2159;

											BgL_restz00_2159 =
												(BgL_offsetz00_2156 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(1L <<
																		(int) ((long) ((int) (4L)))))) - 1L))));
											{	/* Reduce/typec.scm 69 */

												{	/* Reduce/typec.scm 69 */
													obj_t BgL_bucketz00_2161;

													BgL_bucketz00_2161 =
														VECTOR_REF(
														((obj_t) BgL_arg1862z00_2152), BgL_modz00_2157);
													BgL_res1897z00_2180 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_2161), BgL_restz00_2159);
					}}}}}}}}
					BgL_method1285z00_1654 = BgL_res1897z00_2180;
				}
				return
					((BgL_nodez00_bglt)
					BGL_PROCEDURE_CALL1(BgL_method1285z00_1654, ((obj_t) BgL_nodez00_4)));
			}
		}

	}



/* &node-typec! */
	BgL_nodez00_bglt BGl_z62nodezd2typecz12za2zzreduce_typecz00(obj_t
		BgL_envz00_2465, obj_t BgL_nodez00_2466)
	{
		{	/* Reduce/typec.scm 69 */
			return
				BGl_nodezd2typecz12zc0zzreduce_typecz00(
				((BgL_nodez00_bglt) BgL_nodez00_2466));
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzreduce_typecz00(void)
	{
		{	/* Reduce/typec.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_typecz00,
				BGl_atomz00zzast_nodez00, BGl_proc1912z00zzreduce_typecz00,
				BGl_string1913z00zzreduce_typecz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_typecz00,
				BGl_kwotez00zzast_nodez00, BGl_proc1914z00zzreduce_typecz00,
				BGl_string1913z00zzreduce_typecz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_typecz00, BGl_varz00zzast_nodez00,
				BGl_proc1915z00zzreduce_typecz00, BGl_string1913z00zzreduce_typecz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_typecz00,
				BGl_closurez00zzast_nodez00, BGl_proc1916z00zzreduce_typecz00,
				BGl_string1913z00zzreduce_typecz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_typecz00,
				BGl_sequencez00zzast_nodez00, BGl_proc1917z00zzreduce_typecz00,
				BGl_string1913z00zzreduce_typecz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_typecz00,
				BGl_syncz00zzast_nodez00, BGl_proc1918z00zzreduce_typecz00,
				BGl_string1913z00zzreduce_typecz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_typecz00,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc1919z00zzreduce_typecz00,
				BGl_string1913z00zzreduce_typecz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_typecz00,
				BGl_funcallz00zzast_nodez00, BGl_proc1920z00zzreduce_typecz00,
				BGl_string1913z00zzreduce_typecz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_typecz00,
				BGl_externz00zzast_nodez00, BGl_proc1921z00zzreduce_typecz00,
				BGl_string1913z00zzreduce_typecz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_typecz00,
				BGl_castz00zzast_nodez00, BGl_proc1922z00zzreduce_typecz00,
				BGl_string1913z00zzreduce_typecz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_typecz00,
				BGl_setqz00zzast_nodez00, BGl_proc1923z00zzreduce_typecz00,
				BGl_string1913z00zzreduce_typecz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_typecz00,
				BGl_conditionalz00zzast_nodez00, BGl_proc1924z00zzreduce_typecz00,
				BGl_string1913z00zzreduce_typecz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_typecz00,
				BGl_failz00zzast_nodez00, BGl_proc1925z00zzreduce_typecz00,
				BGl_string1913z00zzreduce_typecz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_typecz00,
				BGl_switchz00zzast_nodez00, BGl_proc1926z00zzreduce_typecz00,
				BGl_string1913z00zzreduce_typecz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_typecz00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc1927z00zzreduce_typecz00,
				BGl_string1913z00zzreduce_typecz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_typecz00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc1928z00zzreduce_typecz00,
				BGl_string1913z00zzreduce_typecz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_typecz00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc1929z00zzreduce_typecz00,
				BGl_string1913z00zzreduce_typecz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_typecz00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc1930z00zzreduce_typecz00,
				BGl_string1913z00zzreduce_typecz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_typecz00,
				BGl_retblockz00zzast_nodez00, BGl_proc1931z00zzreduce_typecz00,
				BGl_string1913z00zzreduce_typecz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_typecz00,
				BGl_returnz00zzast_nodez00, BGl_proc1932z00zzreduce_typecz00,
				BGl_string1913z00zzreduce_typecz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_typecz00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc1933z00zzreduce_typecz00,
				BGl_string1913z00zzreduce_typecz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_typecz00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc1934z00zzreduce_typecz00,
				BGl_string1913z00zzreduce_typecz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_typecz00,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc1935z00zzreduce_typecz00,
				BGl_string1913z00zzreduce_typecz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_typecz00, BGl_appz00zzast_nodez00,
				BGl_proc1936z00zzreduce_typecz00, BGl_string1913z00zzreduce_typecz00);
		}

	}



/* &node-typec!-app1335 */
	BgL_nodez00_bglt BGl_z62nodezd2typecz12zd2app1335z70zzreduce_typecz00(obj_t
		BgL_envz00_2491, obj_t BgL_nodez00_2492)
	{
		{	/* Reduce/typec.scm 303 */
			{
				obj_t BgL_typecz00_2568;
				obj_t BgL_typeaz00_2569;
				BgL_appz00_bglt BgL_nodez00_2554;
				obj_t BgL_typecz00_2555;
				BgL_typez00_bglt BgL_typeaz00_2556;

				BGl_nodezd2typecza2z12z62zzreduce_typecz00(
					(((BgL_appz00_bglt) COBJECT(
								((BgL_appz00_bglt) BgL_nodez00_2492)))->BgL_argsz00));
				{	/* Reduce/typec.scm 362 */
					BgL_variablez00_bglt BgL_varz00_2586;

					BgL_varz00_2586 =
						(((BgL_varz00_bglt) COBJECT(
								(((BgL_appz00_bglt) COBJECT(
											((BgL_appz00_bglt) BgL_nodez00_2492)))->BgL_funz00)))->
						BgL_variablez00);
					{	/* Reduce/typec.scm 362 */
						obj_t BgL_typecz00_2587;

						BgL_typecz00_2587 =
							(((BgL_funz00_bglt) COBJECT(
									((BgL_funz00_bglt)
										(((BgL_variablez00_bglt) COBJECT(BgL_varz00_2586))->
											BgL_valuez00))))->BgL_predicatezd2ofzd2);
						{	/* Reduce/typec.scm 363 */

							{	/* Reduce/typec.scm 365 */
								bool_t BgL_test1987z00_2912;

								{	/* Reduce/typec.scm 365 */
									bool_t BgL_test1988z00_2913;

									{	/* Reduce/typec.scm 365 */
										obj_t BgL_tmpz00_2914;

										BgL_tmpz00_2914 =
											(((BgL_appz00_bglt) COBJECT(
													((BgL_appz00_bglt) BgL_nodez00_2492)))->BgL_argsz00);
										BgL_test1988z00_2913 = PAIRP(BgL_tmpz00_2914);
									}
									if (BgL_test1988z00_2913)
										{	/* Reduce/typec.scm 365 */
											if (NULLP(CDR(
														(((BgL_appz00_bglt) COBJECT(
																	((BgL_appz00_bglt) BgL_nodez00_2492)))->
															BgL_argsz00))))
												{	/* Reduce/typec.scm 367 */
													bool_t BgL_test1990z00_2923;

													{	/* Reduce/typec.scm 367 */
														obj_t BgL_classz00_2588;

														BgL_classz00_2588 = BGl_typez00zztype_typez00;
														if (BGL_OBJECTP(BgL_typecz00_2587))
															{	/* Reduce/typec.scm 367 */
																BgL_objectz00_bglt BgL_arg1858z00_2589;

																BgL_arg1858z00_2589 =
																	(BgL_objectz00_bglt) (BgL_typecz00_2587);
																if (BGL_CONDEXPAND_ISA_ARCH64())
																	{	/* Reduce/typec.scm 367 */
																		long BgL_idxz00_2590;

																		BgL_idxz00_2590 =
																			BGL_OBJECT_INHERITANCE_NUM
																			(BgL_arg1858z00_2589);
																		BgL_test1990z00_2923 =
																			(VECTOR_REF
																			(BGl_za2inheritancesza2z00zz__objectz00,
																				(BgL_idxz00_2590 + 1L)) ==
																			BgL_classz00_2588);
																	}
																else
																	{	/* Reduce/typec.scm 367 */
																		bool_t BgL_res1899z00_2593;

																		{	/* Reduce/typec.scm 367 */
																			obj_t BgL_oclassz00_2594;

																			{	/* Reduce/typec.scm 367 */
																				obj_t BgL_arg1866z00_2595;
																				long BgL_arg1867z00_2596;

																				BgL_arg1866z00_2595 =
																					(BGl_za2classesza2z00zz__objectz00);
																				{	/* Reduce/typec.scm 367 */
																					long BgL_arg1869z00_2597;

																					BgL_arg1869z00_2597 =
																						BGL_OBJECT_CLASS_NUM
																						(BgL_arg1858z00_2589);
																					BgL_arg1867z00_2596 =
																						(BgL_arg1869z00_2597 - OBJECT_TYPE);
																				}
																				BgL_oclassz00_2594 =
																					VECTOR_REF(BgL_arg1866z00_2595,
																					BgL_arg1867z00_2596);
																			}
																			{	/* Reduce/typec.scm 367 */
																				bool_t BgL__ortest_1115z00_2598;

																				BgL__ortest_1115z00_2598 =
																					(BgL_classz00_2588 ==
																					BgL_oclassz00_2594);
																				if (BgL__ortest_1115z00_2598)
																					{	/* Reduce/typec.scm 367 */
																						BgL_res1899z00_2593 =
																							BgL__ortest_1115z00_2598;
																					}
																				else
																					{	/* Reduce/typec.scm 367 */
																						long BgL_odepthz00_2599;

																						{	/* Reduce/typec.scm 367 */
																							obj_t BgL_arg1855z00_2600;

																							BgL_arg1855z00_2600 =
																								(BgL_oclassz00_2594);
																							BgL_odepthz00_2599 =
																								BGL_CLASS_DEPTH
																								(BgL_arg1855z00_2600);
																						}
																						if ((1L < BgL_odepthz00_2599))
																							{	/* Reduce/typec.scm 367 */
																								obj_t BgL_arg1853z00_2601;

																								{	/* Reduce/typec.scm 367 */
																									obj_t BgL_arg1854z00_2602;

																									BgL_arg1854z00_2602 =
																										(BgL_oclassz00_2594);
																									BgL_arg1853z00_2601 =
																										BGL_CLASS_ANCESTORS_REF
																										(BgL_arg1854z00_2602, 1L);
																								}
																								BgL_res1899z00_2593 =
																									(BgL_arg1853z00_2601 ==
																									BgL_classz00_2588);
																							}
																						else
																							{	/* Reduce/typec.scm 367 */
																								BgL_res1899z00_2593 =
																									((bool_t) 0);
																							}
																					}
																			}
																		}
																		BgL_test1990z00_2923 = BgL_res1899z00_2593;
																	}
															}
														else
															{	/* Reduce/typec.scm 367 */
																BgL_test1990z00_2923 = ((bool_t) 0);
															}
													}
													if (BgL_test1990z00_2923)
														{	/* Reduce/typec.scm 368 */
															bool_t BgL__ortest_1135z00_2603;

															{	/* Reduce/typec.scm 368 */
																bool_t BgL_test1995z00_2946;

																{	/* Reduce/typec.scm 368 */
																	obj_t BgL_arg1680z00_2604;

																	BgL_arg1680z00_2604 =
																		CAR(
																		(((BgL_appz00_bglt) COBJECT(
																					((BgL_appz00_bglt)
																						BgL_nodez00_2492)))->BgL_argsz00));
																	BgL_test1995z00_2946 =
																		BGl_sidezd2effectzf3z21zzeffect_effectz00((
																			(BgL_nodez00_bglt) BgL_arg1680z00_2604));
																}
																if (BgL_test1995z00_2946)
																	{	/* Reduce/typec.scm 368 */
																		BgL__ortest_1135z00_2603 = ((bool_t) 0);
																	}
																else
																	{	/* Reduce/typec.scm 368 */
																		BgL__ortest_1135z00_2603 = ((bool_t) 1);
																	}
															}
															if (BgL__ortest_1135z00_2603)
																{	/* Reduce/typec.scm 368 */
																	BgL_test1987z00_2912 =
																		BgL__ortest_1135z00_2603;
																}
															else
																{	/* Reduce/typec.scm 368 */
																	obj_t BgL_arg1677z00_2605;

																	BgL_arg1677z00_2605 =
																		CAR(
																		(((BgL_appz00_bglt) COBJECT(
																					((BgL_appz00_bglt)
																						BgL_nodez00_2492)))->BgL_argsz00));
																	{	/* Reduce/typec.scm 368 */
																		obj_t BgL_classz00_2606;

																		BgL_classz00_2606 = BGl_varz00zzast_nodez00;
																		if (BGL_OBJECTP(BgL_arg1677z00_2605))
																			{	/* Reduce/typec.scm 368 */
																				BgL_objectz00_bglt BgL_arg1858z00_2607;

																				BgL_arg1858z00_2607 =
																					(BgL_objectz00_bglt)
																					(BgL_arg1677z00_2605);
																				if (BGL_CONDEXPAND_ISA_ARCH64())
																					{	/* Reduce/typec.scm 368 */
																						long BgL_idxz00_2608;

																						BgL_idxz00_2608 =
																							BGL_OBJECT_INHERITANCE_NUM
																							(BgL_arg1858z00_2607);
																						BgL_test1987z00_2912 =
																							(VECTOR_REF
																							(BGl_za2inheritancesza2z00zz__objectz00,
																								(BgL_idxz00_2608 + 2L)) ==
																							BgL_classz00_2606);
																					}
																				else
																					{	/* Reduce/typec.scm 368 */
																						bool_t BgL_res1900z00_2611;

																						{	/* Reduce/typec.scm 368 */
																							obj_t BgL_oclassz00_2612;

																							{	/* Reduce/typec.scm 368 */
																								obj_t BgL_arg1866z00_2613;
																								long BgL_arg1867z00_2614;

																								BgL_arg1866z00_2613 =
																									(BGl_za2classesza2z00zz__objectz00);
																								{	/* Reduce/typec.scm 368 */
																									long BgL_arg1869z00_2615;

																									BgL_arg1869z00_2615 =
																										BGL_OBJECT_CLASS_NUM
																										(BgL_arg1858z00_2607);
																									BgL_arg1867z00_2614 =
																										(BgL_arg1869z00_2615 -
																										OBJECT_TYPE);
																								}
																								BgL_oclassz00_2612 =
																									VECTOR_REF
																									(BgL_arg1866z00_2613,
																									BgL_arg1867z00_2614);
																							}
																							{	/* Reduce/typec.scm 368 */
																								bool_t BgL__ortest_1115z00_2616;

																								BgL__ortest_1115z00_2616 =
																									(BgL_classz00_2606 ==
																									BgL_oclassz00_2612);
																								if (BgL__ortest_1115z00_2616)
																									{	/* Reduce/typec.scm 368 */
																										BgL_res1900z00_2611 =
																											BgL__ortest_1115z00_2616;
																									}
																								else
																									{	/* Reduce/typec.scm 368 */
																										long BgL_odepthz00_2617;

																										{	/* Reduce/typec.scm 368 */
																											obj_t BgL_arg1855z00_2618;

																											BgL_arg1855z00_2618 =
																												(BgL_oclassz00_2612);
																											BgL_odepthz00_2617 =
																												BGL_CLASS_DEPTH
																												(BgL_arg1855z00_2618);
																										}
																										if (
																											(2L < BgL_odepthz00_2617))
																											{	/* Reduce/typec.scm 368 */
																												obj_t
																													BgL_arg1853z00_2619;
																												{	/* Reduce/typec.scm 368 */
																													obj_t
																														BgL_arg1854z00_2620;
																													BgL_arg1854z00_2620 =
																														(BgL_oclassz00_2612);
																													BgL_arg1853z00_2619 =
																														BGL_CLASS_ANCESTORS_REF
																														(BgL_arg1854z00_2620,
																														2L);
																												}
																												BgL_res1900z00_2611 =
																													(BgL_arg1853z00_2619
																													== BgL_classz00_2606);
																											}
																										else
																											{	/* Reduce/typec.scm 368 */
																												BgL_res1900z00_2611 =
																													((bool_t) 0);
																											}
																									}
																							}
																						}
																						BgL_test1987z00_2912 =
																							BgL_res1900z00_2611;
																					}
																			}
																		else
																			{	/* Reduce/typec.scm 368 */
																				BgL_test1987z00_2912 = ((bool_t) 0);
																			}
																	}
																}
														}
													else
														{	/* Reduce/typec.scm 367 */
															BgL_test1987z00_2912 = ((bool_t) 0);
														}
												}
											else
												{	/* Reduce/typec.scm 366 */
													BgL_test1987z00_2912 = ((bool_t) 0);
												}
										}
									else
										{	/* Reduce/typec.scm 365 */
											BgL_test1987z00_2912 = ((bool_t) 0);
										}
								}
								if (BgL_test1987z00_2912)
									{	/* Reduce/typec.scm 369 */
										BgL_typez00_bglt BgL_arg1660z00_2621;

										{	/* Reduce/typec.scm 369 */
											obj_t BgL_arg1663z00_2622;

											BgL_arg1663z00_2622 =
												CAR(
												(((BgL_appz00_bglt) COBJECT(
															((BgL_appz00_bglt) BgL_nodez00_2492)))->
													BgL_argsz00));
											BgL_arg1660z00_2621 =
												BGl_getzd2typezd2zztype_typeofz00(((BgL_nodez00_bglt)
													BgL_arg1663z00_2622), ((bool_t) 0));
										}
										BgL_nodez00_2554 = ((BgL_appz00_bglt) BgL_nodez00_2492);
										BgL_typecz00_2555 = BgL_typecz00_2587;
										BgL_typeaz00_2556 = BgL_arg1660z00_2621;
									BgL_checkzd2typezd2_2552:
										{	/* Reduce/typec.scm 327 */
											BgL_typez00_bglt BgL_typez00_2557;

											BgL_typez00_2557 =
												BGl_getzd2typezd2zztype_typeofz00(
												((BgL_nodez00_bglt) BgL_nodez00_2554), ((bool_t) 0));
											if (BGl_typezd2lesszd2specificzf3zf3zztype_miscz00(
													((BgL_typez00_bglt) BgL_typecz00_2555),
													BgL_typeaz00_2556))
												{	/* Reduce/typec.scm 329 */
													BGl_za2typezd2checkszd2removedza2z00zzreduce_typecz00
														=
														(1L +
														BGl_za2typezd2checkszd2removedza2z00zzreduce_typecz00);
													{	/* Reduce/typec.scm 333 */
														BgL_nodez00_bglt BgL_nodez00_2558;

														{	/* Reduce/typec.scm 333 */
															BgL_literalz00_bglt BgL_arg1715z00_2559;

															{	/* Reduce/typec.scm 333 */
																BgL_literalz00_bglt BgL_new1131z00_2560;

																{	/* Reduce/typec.scm 334 */
																	BgL_literalz00_bglt BgL_new1130z00_2561;

																	BgL_new1130z00_2561 =
																		((BgL_literalz00_bglt)
																		BOBJECT(GC_MALLOC(sizeof(struct
																					BgL_literalz00_bgl))));
																	{	/* Reduce/typec.scm 334 */
																		long BgL_arg1716z00_2562;

																		BgL_arg1716z00_2562 =
																			BGL_CLASS_NUM
																			(BGl_literalz00zzast_nodez00);
																		BGL_OBJECT_CLASS_NUM_SET((
																				(BgL_objectz00_bglt)
																				BgL_new1130z00_2561),
																			BgL_arg1716z00_2562);
																	}
																	{	/* Reduce/typec.scm 334 */
																		BgL_objectz00_bglt BgL_tmpz00_2993;

																		BgL_tmpz00_2993 =
																			((BgL_objectz00_bglt)
																			BgL_new1130z00_2561);
																		BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2993,
																			BFALSE);
																	}
																	((BgL_objectz00_bglt) BgL_new1130z00_2561);
																	BgL_new1131z00_2560 = BgL_new1130z00_2561;
																}
																((((BgL_nodez00_bglt) COBJECT(
																				((BgL_nodez00_bglt)
																					BgL_new1131z00_2560)))->BgL_locz00) =
																	((obj_t) (((BgL_nodez00_bglt)
																				COBJECT(((BgL_nodez00_bglt)
																						BgL_nodez00_2554)))->BgL_locz00)),
																	BUNSPEC);
																((((BgL_nodez00_bglt)
																			COBJECT(((BgL_nodez00_bglt)
																					BgL_new1131z00_2560)))->BgL_typez00) =
																	((BgL_typez00_bglt) BgL_typez00_2557),
																	BUNSPEC);
																((((BgL_atomz00_bglt)
																			COBJECT(((BgL_atomz00_bglt)
																					BgL_new1131z00_2560)))->
																		BgL_valuez00) = ((obj_t) BTRUE), BUNSPEC);
																BgL_arg1715z00_2559 = BgL_new1131z00_2560;
															}
															BgL_nodez00_2558 =
																BGl_coercez12z12zzcoerce_coercez00(
																((BgL_nodez00_bglt) BgL_arg1715z00_2559),
																BUNSPEC, BgL_typez00_2557, ((bool_t) 0));
														}
														return BgL_nodez00_2558;
													}
												}
											else
												{	/* Reduce/typec.scm 341 */
													bool_t BgL_test2002z00_3007;

													BgL_typecz00_2568 = BgL_typecz00_2555;
													BgL_typeaz00_2569 = ((obj_t) BgL_typeaz00_2556);
													if ((BgL_typecz00_2568 == BgL_typeaz00_2569))
														{	/* Reduce/typec.scm 307 */
															BgL_test2002z00_3007 = ((bool_t) 0);
														}
													else
														{	/* Reduce/typec.scm 307 */
															if (
																(BgL_typeaz00_2569 ==
																	BGl_za2_za2z00zztype_cachez00))
																{	/* Reduce/typec.scm 309 */
																	BgL_test2002z00_3007 = ((bool_t) 0);
																}
															else
																{	/* Reduce/typec.scm 311 */
																	bool_t BgL_test2005z00_3012;

																	if (BGl_bigloozd2typezf3z21zztype_typez00(
																			((BgL_typez00_bglt) BgL_typecz00_2568)))
																		{	/* Reduce/typec.scm 311 */
																			if (BGl_bigloozd2typezf3z21zztype_typez00(
																					((BgL_typez00_bglt)
																						BgL_typeaz00_2569)))
																				{	/* Reduce/typec.scm 311 */
																					BgL_test2005z00_3012 = ((bool_t) 0);
																				}
																			else
																				{	/* Reduce/typec.scm 311 */
																					BgL_test2005z00_3012 = ((bool_t) 1);
																				}
																		}
																	else
																		{	/* Reduce/typec.scm 311 */
																			BgL_test2005z00_3012 = ((bool_t) 0);
																		}
																	if (BgL_test2005z00_3012)
																		{	/* Reduce/typec.scm 311 */
																			if (CBOOL
																				(BGl_findzd2coercerzd2zztype_coercionz00
																					(((BgL_typez00_bglt)
																							BgL_typeaz00_2569),
																						((BgL_typez00_bglt)
																							BgL_typecz00_2568))))
																				{	/* Reduce/typec.scm 312 */
																					BgL_test2002z00_3007 = ((bool_t) 0);
																				}
																			else
																				{	/* Reduce/typec.scm 312 */
																					BgL_test2002z00_3007 = ((bool_t) 1);
																				}
																		}
																	else
																		{	/* Reduce/typec.scm 313 */
																			bool_t BgL_test2009z00_3024;

																			if (BGl_typezd2lesszd2specificzf3zf3zztype_miscz00(((BgL_typez00_bglt) BgL_typecz00_2568), ((BgL_typez00_bglt) BgL_typeaz00_2569)))
																				{	/* Reduce/typec.scm 313 */
																					BgL_test2009z00_3024 = ((bool_t) 1);
																				}
																			else
																				{	/* Reduce/typec.scm 313 */
																					BgL_test2009z00_3024 =
																						BGl_typezd2lesszd2specificzf3zf3zztype_miscz00
																						(((BgL_typez00_bglt)
																							BgL_typeaz00_2569),
																						((BgL_typez00_bglt)
																							BgL_typecz00_2568));
																				}
																			if (BgL_test2009z00_3024)
																				{	/* Reduce/typec.scm 313 */
																					BgL_test2002z00_3007 = ((bool_t) 0);
																				}
																			else
																				{	/* Reduce/typec.scm 316 */
																					bool_t BgL_test2011z00_3032;

																					if (CBOOL
																						(BGl_findzd2coercerzd2zztype_coercionz00
																							(((BgL_typez00_bglt)
																									BgL_typecz00_2568),
																								((BgL_typez00_bglt)
																									BgL_typeaz00_2569))))
																						{	/* Reduce/typec.scm 316 */
																							BgL_test2011z00_3032 =
																								((bool_t) 1);
																						}
																					else
																						{	/* Reduce/typec.scm 316 */
																							BgL_test2011z00_3032 =
																								CBOOL
																								(BGl_findzd2coercerzd2zztype_coercionz00
																								(((BgL_typez00_bglt)
																										BgL_typeaz00_2569),
																									((BgL_typez00_bglt)
																										BgL_typecz00_2568)));
																						}
																					if (BgL_test2011z00_3032)
																						{	/* Reduce/typec.scm 316 */
																							BgL_test2002z00_3007 =
																								((bool_t) 0);
																						}
																					else
																						{	/* Reduce/typec.scm 318 */
																							bool_t BgL_test2013z00_3042;

																							if (BGl_foreignzd2typezf3z21zztype_typez00(((BgL_typez00_bglt) BgL_typecz00_2568)))
																								{	/* Reduce/typec.scm 318 */
																									BgL_test2013z00_3042 =
																										BGl_foreignzd2typezf3z21zztype_typez00
																										(((BgL_typez00_bglt)
																											BgL_typeaz00_2569));
																								}
																							else
																								{	/* Reduce/typec.scm 318 */
																									BgL_test2013z00_3042 =
																										((bool_t) 0);
																								}
																							if (BgL_test2013z00_3042)
																								{	/* Reduce/typec.scm 318 */
																									BgL_test2002z00_3007 =
																										((bool_t) 0);
																								}
																							else
																								{	/* Reduce/typec.scm 320 */
																									bool_t BgL_test2015z00_3048;

																									if (
																										(BgL_typecz00_2568 ==
																											BGl_za2foreignza2z00zztype_cachez00))
																										{	/* Reduce/typec.scm 320 */
																											bool_t
																												BgL__ortest_1128z00_2570;
																											{	/* Reduce/typec.scm 320 */
																												obj_t BgL_classz00_2571;

																												BgL_classz00_2571 =
																													BGl_jclassz00zzobject_classz00;
																												if (BGL_OBJECTP
																													(BgL_typeaz00_2569))
																													{	/* Reduce/typec.scm 320 */
																														BgL_objectz00_bglt
																															BgL_arg1858z00_2572;
																														BgL_arg1858z00_2572
																															=
																															(BgL_objectz00_bglt)
																															(BgL_typeaz00_2569);
																														if (BGL_CONDEXPAND_ISA_ARCH64())
																															{	/* Reduce/typec.scm 320 */
																																long
																																	BgL_idxz00_2573;
																																BgL_idxz00_2573
																																	=
																																	BGL_OBJECT_INHERITANCE_NUM
																																	(BgL_arg1858z00_2572);
																																BgL__ortest_1128z00_2570
																																	=
																																	(VECTOR_REF
																																	(BGl_za2inheritancesza2z00zz__objectz00,
																																		(BgL_idxz00_2573
																																			+ 2L)) ==
																																	BgL_classz00_2571);
																															}
																														else
																															{	/* Reduce/typec.scm 320 */
																																bool_t
																																	BgL_res1898z00_2576;
																																{	/* Reduce/typec.scm 320 */
																																	obj_t
																																		BgL_oclassz00_2577;
																																	{	/* Reduce/typec.scm 320 */
																																		obj_t
																																			BgL_arg1866z00_2578;
																																		long
																																			BgL_arg1867z00_2579;
																																		BgL_arg1866z00_2578
																																			=
																																			(BGl_za2classesza2z00zz__objectz00);
																																		{	/* Reduce/typec.scm 320 */
																																			long
																																				BgL_arg1869z00_2580;
																																			BgL_arg1869z00_2580
																																				=
																																				BGL_OBJECT_CLASS_NUM
																																				(BgL_arg1858z00_2572);
																																			BgL_arg1867z00_2579
																																				=
																																				(BgL_arg1869z00_2580
																																				-
																																				OBJECT_TYPE);
																																		}
																																		BgL_oclassz00_2577
																																			=
																																			VECTOR_REF
																																			(BgL_arg1866z00_2578,
																																			BgL_arg1867z00_2579);
																																	}
																																	{	/* Reduce/typec.scm 320 */
																																		bool_t
																																			BgL__ortest_1115z00_2581;
																																		BgL__ortest_1115z00_2581
																																			=
																																			(BgL_classz00_2571
																																			==
																																			BgL_oclassz00_2577);
																																		if (BgL__ortest_1115z00_2581)
																																			{	/* Reduce/typec.scm 320 */
																																				BgL_res1898z00_2576
																																					=
																																					BgL__ortest_1115z00_2581;
																																			}
																																		else
																																			{	/* Reduce/typec.scm 320 */
																																				long
																																					BgL_odepthz00_2582;
																																				{	/* Reduce/typec.scm 320 */
																																					obj_t
																																						BgL_arg1855z00_2583;
																																					BgL_arg1855z00_2583
																																						=
																																						(BgL_oclassz00_2577);
																																					BgL_odepthz00_2582
																																						=
																																						BGL_CLASS_DEPTH
																																						(BgL_arg1855z00_2583);
																																				}
																																				if (
																																					(2L <
																																						BgL_odepthz00_2582))
																																					{	/* Reduce/typec.scm 320 */
																																						obj_t
																																							BgL_arg1853z00_2584;
																																						{	/* Reduce/typec.scm 320 */
																																							obj_t
																																								BgL_arg1854z00_2585;
																																							BgL_arg1854z00_2585
																																								=
																																								(BgL_oclassz00_2577);
																																							BgL_arg1853z00_2584
																																								=
																																								BGL_CLASS_ANCESTORS_REF
																																								(BgL_arg1854z00_2585,
																																								2L);
																																						}
																																						BgL_res1898z00_2576
																																							=
																																							(BgL_arg1853z00_2584
																																							==
																																							BgL_classz00_2571);
																																					}
																																				else
																																					{	/* Reduce/typec.scm 320 */
																																						BgL_res1898z00_2576
																																							=
																																							(
																																							(bool_t)
																																							0);
																																					}
																																			}
																																	}
																																}
																																BgL__ortest_1128z00_2570
																																	=
																																	BgL_res1898z00_2576;
																															}
																													}
																												else
																													{	/* Reduce/typec.scm 320 */
																														BgL__ortest_1128z00_2570
																															= ((bool_t) 0);
																													}
																											}
																											if (BgL__ortest_1128z00_2570)
																												{	/* Reduce/typec.scm 320 */
																													BgL_test2015z00_3048 =
																														BgL__ortest_1128z00_2570;
																												}
																											else
																												{	/* Reduce/typec.scm 320 */
																													BgL_test2015z00_3048 =
																														BGl_foreignzd2typezf3z21zztype_typez00
																														(((BgL_typez00_bglt)
																															BgL_typeaz00_2569));
																												}
																										}
																									else
																										{	/* Reduce/typec.scm 320 */
																											BgL_test2015z00_3048 =
																												((bool_t) 0);
																										}
																									if (BgL_test2015z00_3048)
																										{	/* Reduce/typec.scm 320 */
																											BgL_test2002z00_3007 =
																												((bool_t) 0);
																										}
																									else
																										{	/* Reduce/typec.scm 320 */
																											BgL_test2002z00_3007 =
																												((bool_t) 1);
																										}
																								}
																						}
																				}
																		}
																}
														}
													if (BgL_test2002z00_3007)
														{	/* Reduce/typec.scm 341 */
															BGl_za2typezd2checkszd2removedza2z00zzreduce_typecz00
																=
																(1L +
																BGl_za2typezd2checkszd2removedza2z00zzreduce_typecz00);
															{	/* Reduce/typec.scm 348 */
																BgL_nodez00_bglt BgL_nodez00_2563;

																{	/* Reduce/typec.scm 348 */
																	BgL_literalz00_bglt BgL_arg1720z00_2564;

																	{	/* Reduce/typec.scm 348 */
																		BgL_literalz00_bglt BgL_new1133z00_2565;

																		{	/* Reduce/typec.scm 349 */
																			BgL_literalz00_bglt BgL_new1132z00_2566;

																			BgL_new1132z00_2566 =
																				((BgL_literalz00_bglt)
																				BOBJECT(GC_MALLOC(sizeof(struct
																							BgL_literalz00_bgl))));
																			{	/* Reduce/typec.scm 349 */
																				long BgL_arg1724z00_2567;

																				BgL_arg1724z00_2567 =
																					BGL_CLASS_NUM
																					(BGl_literalz00zzast_nodez00);
																				BGL_OBJECT_CLASS_NUM_SET((
																						(BgL_objectz00_bglt)
																						BgL_new1132z00_2566),
																					BgL_arg1724z00_2567);
																			}
																			{	/* Reduce/typec.scm 349 */
																				BgL_objectz00_bglt BgL_tmpz00_3082;

																				BgL_tmpz00_3082 =
																					((BgL_objectz00_bglt)
																					BgL_new1132z00_2566);
																				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3082,
																					BFALSE);
																			}
																			((BgL_objectz00_bglt)
																				BgL_new1132z00_2566);
																			BgL_new1133z00_2565 = BgL_new1132z00_2566;
																		}
																		((((BgL_nodez00_bglt) COBJECT(
																						((BgL_nodez00_bglt)
																							BgL_new1133z00_2565)))->
																				BgL_locz00) =
																			((obj_t) (((BgL_nodez00_bglt)
																						COBJECT(((BgL_nodez00_bglt)
																								BgL_nodez00_2554)))->
																					BgL_locz00)), BUNSPEC);
																		((((BgL_nodez00_bglt)
																					COBJECT(((BgL_nodez00_bglt)
																							BgL_new1133z00_2565)))->
																				BgL_typez00) =
																			((BgL_typez00_bglt) BgL_typez00_2557),
																			BUNSPEC);
																		((((BgL_atomz00_bglt)
																					COBJECT(((BgL_atomz00_bglt)
																							BgL_new1133z00_2565)))->
																				BgL_valuez00) =
																			((obj_t) BFALSE), BUNSPEC);
																		BgL_arg1720z00_2564 = BgL_new1133z00_2565;
																	}
																	BgL_nodez00_2563 =
																		BGl_coercez12z12zzcoerce_coercez00(
																		((BgL_nodez00_bglt) BgL_arg1720z00_2564),
																		BUNSPEC, BgL_typez00_2557, ((bool_t) 0));
																}
																return BgL_nodez00_2563;
															}
														}
													else
														{	/* Reduce/typec.scm 341 */
															BGl_za2typezd2checkszd2remainingza2z00zzreduce_typecz00
																=
																(1L +
																BGl_za2typezd2checkszd2remainingza2z00zzreduce_typecz00);
															return ((BgL_nodez00_bglt) BgL_nodez00_2554);
														}
												}
										}
									}
								else
									{	/* Reduce/typec.scm 370 */
										obj_t BgL_g1136z00_2623;

										BgL_g1136z00_2623 =
											BGl_isazd2ofzd2zztype_miscz00(
											((BgL_nodez00_bglt)
												((BgL_appz00_bglt) BgL_nodez00_2492)));
										if (CBOOL(BgL_g1136z00_2623))
											{	/* Reduce/typec.scm 373 */
												BgL_typez00_bglt BgL_arg1673z00_2624;

												{	/* Reduce/typec.scm 373 */
													obj_t BgL_arg1674z00_2625;

													BgL_arg1674z00_2625 =
														CAR(
														(((BgL_appz00_bglt) COBJECT(
																	((BgL_appz00_bglt) BgL_nodez00_2492)))->
															BgL_argsz00));
													BgL_arg1673z00_2624 =
														BGl_getzd2typezd2zztype_typeofz00((
															(BgL_nodez00_bglt) BgL_arg1674z00_2625),
														((bool_t) 0));
												}
												{
													BgL_typez00_bglt BgL_typeaz00_3112;
													obj_t BgL_typecz00_3111;
													BgL_appz00_bglt BgL_nodez00_3109;

													BgL_nodez00_3109 =
														((BgL_appz00_bglt) BgL_nodez00_2492);
													BgL_typecz00_3111 = BgL_g1136z00_2623;
													BgL_typeaz00_3112 = BgL_arg1673z00_2624;
													BgL_typeaz00_2556 = BgL_typeaz00_3112;
													BgL_typecz00_2555 = BgL_typecz00_3111;
													BgL_nodez00_2554 = BgL_nodez00_3109;
													goto BgL_checkzd2typezd2_2552;
												}
											}
										else
											{	/* Reduce/typec.scm 370 */
												return
													((BgL_nodez00_bglt)
													((BgL_appz00_bglt) BgL_nodez00_2492));
											}
									}
							}
						}
					}
				}
			}
		}

	}



/* &node-typec!-box-ref1333 */
	BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2boxzd2ref1333za2zzreduce_typecz00(obj_t
		BgL_envz00_2493, obj_t BgL_nodez00_2494)
	{
		{	/* Reduce/typec.scm 279 */
			{
				BgL_varz00_bglt BgL_auxz00_3115;

				{	/* Reduce/typec.scm 281 */
					BgL_varz00_bglt BgL_arg1612z00_2627;

					BgL_arg1612z00_2627 =
						(((BgL_boxzd2refzd2_bglt) COBJECT(
								((BgL_boxzd2refzd2_bglt) BgL_nodez00_2494)))->BgL_varz00);
					BgL_auxz00_3115 =
						((BgL_varz00_bglt)
						BGl_nodezd2typecz12zc0zzreduce_typecz00(
							((BgL_nodez00_bglt) BgL_arg1612z00_2627)));
				}
				((((BgL_boxzd2refzd2_bglt) COBJECT(
								((BgL_boxzd2refzd2_bglt) BgL_nodez00_2494)))->BgL_varz00) =
					((BgL_varz00_bglt) BgL_auxz00_3115), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_boxzd2refzd2_bglt) BgL_nodez00_2494));
		}

	}



/* &node-typec!-box-set!1331 */
	BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2boxzd2setz121331zb0zzreduce_typecz00(obj_t
		BgL_envz00_2495, obj_t BgL_nodez00_2496)
	{
		{	/* Reduce/typec.scm 270 */
			{
				BgL_varz00_bglt BgL_auxz00_3125;

				{	/* Reduce/typec.scm 272 */
					BgL_varz00_bglt BgL_arg1605z00_2629;

					BgL_arg1605z00_2629 =
						(((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2496)))->BgL_varz00);
					BgL_auxz00_3125 =
						((BgL_varz00_bglt)
						BGl_nodezd2typecz12zc0zzreduce_typecz00(
							((BgL_nodez00_bglt) BgL_arg1605z00_2629)));
				}
				((((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2496)))->BgL_varz00) =
					((BgL_varz00_bglt) BgL_auxz00_3125), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_3133;

				{	/* Reduce/typec.scm 273 */
					BgL_nodez00_bglt BgL_arg1611z00_2630;

					BgL_arg1611z00_2630 =
						(((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2496)))->BgL_valuez00);
					BgL_auxz00_3133 =
						BGl_nodezd2typecz12zc0zzreduce_typecz00(BgL_arg1611z00_2630);
				}
				((((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2496)))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_auxz00_3133), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2496));
		}

	}



/* &node-typec!-make-box1329 */
	BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2makezd2box1329za2zzreduce_typecz00(obj_t
		BgL_envz00_2497, obj_t BgL_nodez00_2498)
	{
		{	/* Reduce/typec.scm 262 */
			{
				BgL_nodez00_bglt BgL_auxz00_3141;

				{	/* Reduce/typec.scm 264 */
					BgL_nodez00_bglt BgL_arg1597z00_2632;

					BgL_arg1597z00_2632 =
						(((BgL_makezd2boxzd2_bglt) COBJECT(
								((BgL_makezd2boxzd2_bglt) BgL_nodez00_2498)))->BgL_valuez00);
					BgL_auxz00_3141 =
						BGl_nodezd2typecz12zc0zzreduce_typecz00(BgL_arg1597z00_2632);
				}
				((((BgL_makezd2boxzd2_bglt) COBJECT(
								((BgL_makezd2boxzd2_bglt) BgL_nodez00_2498)))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_auxz00_3141), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_makezd2boxzd2_bglt) BgL_nodez00_2498));
		}

	}



/* &node-typec!-return1327 */
	BgL_nodez00_bglt BGl_z62nodezd2typecz12zd2return1327z70zzreduce_typecz00(obj_t
		BgL_envz00_2499, obj_t BgL_nodez00_2500)
	{
		{	/* Reduce/typec.scm 254 */
			{
				BgL_nodez00_bglt BgL_auxz00_3149;

				{	/* Reduce/typec.scm 256 */
					BgL_nodez00_bglt BgL_arg1593z00_2634;

					BgL_arg1593z00_2634 =
						(((BgL_returnz00_bglt) COBJECT(
								((BgL_returnz00_bglt) BgL_nodez00_2500)))->BgL_valuez00);
					BgL_auxz00_3149 =
						BGl_nodezd2typecz12zc0zzreduce_typecz00(BgL_arg1593z00_2634);
				}
				((((BgL_returnz00_bglt) COBJECT(
								((BgL_returnz00_bglt) BgL_nodez00_2500)))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_auxz00_3149), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_returnz00_bglt) BgL_nodez00_2500));
		}

	}



/* &node-typec!-retblock1325 */
	BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2retblock1325z70zzreduce_typecz00(obj_t
		BgL_envz00_2501, obj_t BgL_nodez00_2502)
	{
		{	/* Reduce/typec.scm 246 */
			{
				BgL_nodez00_bglt BgL_auxz00_3157;

				{	/* Reduce/typec.scm 248 */
					BgL_nodez00_bglt BgL_arg1592z00_2636;

					BgL_arg1592z00_2636 =
						(((BgL_retblockz00_bglt) COBJECT(
								((BgL_retblockz00_bglt) BgL_nodez00_2502)))->BgL_bodyz00);
					BgL_auxz00_3157 =
						BGl_nodezd2typecz12zc0zzreduce_typecz00(BgL_arg1592z00_2636);
				}
				((((BgL_retblockz00_bglt) COBJECT(
								((BgL_retblockz00_bglt) BgL_nodez00_2502)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3157), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_retblockz00_bglt) BgL_nodez00_2502));
		}

	}



/* &node-typec!-jump-ex-1323 */
	BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2jumpzd2exzd21323z70zzreduce_typecz00(obj_t
		BgL_envz00_2503, obj_t BgL_nodez00_2504)
	{
		{	/* Reduce/typec.scm 237 */
			{
				BgL_nodez00_bglt BgL_auxz00_3165;

				{	/* Reduce/typec.scm 239 */
					BgL_nodez00_bglt BgL_arg1588z00_2638;

					BgL_arg1588z00_2638 =
						(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2504)))->BgL_exitz00);
					BgL_auxz00_3165 =
						BGl_nodezd2typecz12zc0zzreduce_typecz00(BgL_arg1588z00_2638);
				}
				((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2504)))->
						BgL_exitz00) = ((BgL_nodez00_bglt) BgL_auxz00_3165), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_3171;

				{	/* Reduce/typec.scm 240 */
					BgL_nodez00_bglt BgL_arg1590z00_2639;

					BgL_arg1590z00_2639 =
						(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2504)))->
						BgL_valuez00);
					BgL_auxz00_3171 =
						BGl_nodezd2typecz12zc0zzreduce_typecz00(BgL_arg1590z00_2639);
				}
				((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2504)))->
						BgL_valuez00) = ((BgL_nodez00_bglt) BgL_auxz00_3171), BUNSPEC);
			}
			return
				((BgL_nodez00_bglt) ((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2504));
		}

	}



/* &node-typec!-set-ex-i1321 */
	BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2setzd2exzd2i1321z70zzreduce_typecz00(obj_t
		BgL_envz00_2505, obj_t BgL_nodez00_2506)
	{
		{	/* Reduce/typec.scm 227 */
			{
				BgL_nodez00_bglt BgL_auxz00_3179;

				{	/* Reduce/typec.scm 229 */
					BgL_nodez00_bglt BgL_arg1578z00_2641;

					BgL_arg1578z00_2641 =
						(((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2506)))->BgL_bodyz00);
					BgL_auxz00_3179 =
						BGl_nodezd2typecz12zc0zzreduce_typecz00(BgL_arg1578z00_2641);
				}
				((((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2506)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3179), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_3185;

				{	/* Reduce/typec.scm 230 */
					BgL_nodez00_bglt BgL_arg1581z00_2642;

					BgL_arg1581z00_2642 =
						(((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2506)))->
						BgL_onexitz00);
					BgL_auxz00_3185 =
						BGl_nodezd2typecz12zc0zzreduce_typecz00(BgL_arg1581z00_2642);
				}
				((((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2506)))->
						BgL_onexitz00) = ((BgL_nodez00_bglt) BgL_auxz00_3185), BUNSPEC);
			}
			{
				BgL_varz00_bglt BgL_auxz00_3191;

				{	/* Reduce/typec.scm 231 */
					BgL_varz00_bglt BgL_arg1587z00_2643;

					BgL_arg1587z00_2643 =
						(((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2506)))->BgL_varz00);
					BgL_auxz00_3191 =
						((BgL_varz00_bglt)
						BGl_nodezd2typecz12zc0zzreduce_typecz00(
							((BgL_nodez00_bglt) BgL_arg1587z00_2643)));
				}
				((((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2506)))->BgL_varz00) =
					((BgL_varz00_bglt) BgL_auxz00_3191), BUNSPEC);
			}
			return
				((BgL_nodez00_bglt) ((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2506));
		}

	}



/* &node-typec!-let-var1319 */
	BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2letzd2var1319za2zzreduce_typecz00(obj_t
		BgL_envz00_2507, obj_t BgL_nodez00_2508)
	{
		{	/* Reduce/typec.scm 216 */
			{	/* Reduce/typec.scm 218 */
				obj_t BgL_g1282z00_2645;

				BgL_g1282z00_2645 =
					(((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_nodez00_2508)))->BgL_bindingsz00);
				{
					obj_t BgL_l1280z00_2647;

					BgL_l1280z00_2647 = BgL_g1282z00_2645;
				BgL_zc3z04anonymousza31554ze3z87_2646:
					if (PAIRP(BgL_l1280z00_2647))
						{	/* Reduce/typec.scm 218 */
							{	/* Reduce/typec.scm 219 */
								obj_t BgL_bindingz00_2648;

								BgL_bindingz00_2648 = CAR(BgL_l1280z00_2647);
								{	/* Reduce/typec.scm 219 */
									BgL_nodez00_bglt BgL_arg1558z00_2649;

									{	/* Reduce/typec.scm 219 */
										obj_t BgL_arg1560z00_2650;

										BgL_arg1560z00_2650 = CDR(((obj_t) BgL_bindingz00_2648));
										BgL_arg1558z00_2649 =
											BGl_nodezd2typecz12zc0zzreduce_typecz00(
											((BgL_nodez00_bglt) BgL_arg1560z00_2650));
									}
									{	/* Reduce/typec.scm 219 */
										obj_t BgL_auxz00_3212;
										obj_t BgL_tmpz00_3210;

										BgL_auxz00_3212 = ((obj_t) BgL_arg1558z00_2649);
										BgL_tmpz00_3210 = ((obj_t) BgL_bindingz00_2648);
										SET_CDR(BgL_tmpz00_3210, BgL_auxz00_3212);
									}
								}
							}
							{
								obj_t BgL_l1280z00_3215;

								BgL_l1280z00_3215 = CDR(BgL_l1280z00_2647);
								BgL_l1280z00_2647 = BgL_l1280z00_3215;
								goto BgL_zc3z04anonymousza31554ze3z87_2646;
							}
						}
					else
						{	/* Reduce/typec.scm 218 */
							((bool_t) 1);
						}
				}
			}
			{
				BgL_nodez00_bglt BgL_auxz00_3217;

				{	/* Reduce/typec.scm 221 */
					BgL_nodez00_bglt BgL_arg1577z00_2651;

					BgL_arg1577z00_2651 =
						(((BgL_letzd2varzd2_bglt) COBJECT(
								((BgL_letzd2varzd2_bglt) BgL_nodez00_2508)))->BgL_bodyz00);
					BgL_auxz00_3217 =
						BGl_nodezd2typecz12zc0zzreduce_typecz00(BgL_arg1577z00_2651);
				}
				((((BgL_letzd2varzd2_bglt) COBJECT(
								((BgL_letzd2varzd2_bglt) BgL_nodez00_2508)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3217), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_letzd2varzd2_bglt) BgL_nodez00_2508));
		}

	}



/* &node-typec!-let-fun1317 */
	BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2letzd2fun1317za2zzreduce_typecz00(obj_t
		BgL_envz00_2509, obj_t BgL_nodez00_2510)
	{
		{	/* Reduce/typec.scm 204 */
			{	/* Reduce/typec.scm 206 */
				obj_t BgL_g1279z00_2653;

				BgL_g1279z00_2653 =
					(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nodez00_2510)))->BgL_localsz00);
				{
					obj_t BgL_l1277z00_2655;

					BgL_l1277z00_2655 = BgL_g1279z00_2653;
				BgL_zc3z04anonymousza31531ze3z87_2654:
					if (PAIRP(BgL_l1277z00_2655))
						{	/* Reduce/typec.scm 206 */
							{	/* Reduce/typec.scm 207 */
								obj_t BgL_localz00_2656;

								BgL_localz00_2656 = CAR(BgL_l1277z00_2655);
								{	/* Reduce/typec.scm 207 */
									BgL_valuez00_bglt BgL_funz00_2657;

									BgL_funz00_2657 =
										(((BgL_variablez00_bglt) COBJECT(
												((BgL_variablez00_bglt)
													((BgL_localz00_bglt) BgL_localz00_2656))))->
										BgL_valuez00);
									{	/* Reduce/typec.scm 208 */
										BgL_nodez00_bglt BgL_arg1535z00_2658;

										{	/* Reduce/typec.scm 208 */
											obj_t BgL_arg1543z00_2659;

											BgL_arg1543z00_2659 =
												(((BgL_sfunz00_bglt) COBJECT(
														((BgL_sfunz00_bglt) BgL_funz00_2657)))->
												BgL_bodyz00);
											BgL_arg1535z00_2658 =
												BGl_nodezd2typecz12zc0zzreduce_typecz00((
													(BgL_nodez00_bglt) BgL_arg1543z00_2659));
										}
										((((BgL_sfunz00_bglt) COBJECT(
														((BgL_sfunz00_bglt) BgL_funz00_2657)))->
												BgL_bodyz00) =
											((obj_t) ((obj_t) BgL_arg1535z00_2658)), BUNSPEC);
									}
								}
							}
							{
								obj_t BgL_l1277z00_3240;

								BgL_l1277z00_3240 = CDR(BgL_l1277z00_2655);
								BgL_l1277z00_2655 = BgL_l1277z00_3240;
								goto BgL_zc3z04anonymousza31531ze3z87_2654;
							}
						}
					else
						{	/* Reduce/typec.scm 206 */
							((bool_t) 1);
						}
				}
			}
			{
				BgL_nodez00_bglt BgL_auxz00_3242;

				{	/* Reduce/typec.scm 210 */
					BgL_nodez00_bglt BgL_arg1553z00_2660;

					BgL_arg1553z00_2660 =
						(((BgL_letzd2funzd2_bglt) COBJECT(
								((BgL_letzd2funzd2_bglt) BgL_nodez00_2510)))->BgL_bodyz00);
					BgL_auxz00_3242 =
						BGl_nodezd2typecz12zc0zzreduce_typecz00(BgL_arg1553z00_2660);
				}
				((((BgL_letzd2funzd2_bglt) COBJECT(
								((BgL_letzd2funzd2_bglt) BgL_nodez00_2510)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3242), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_letzd2funzd2_bglt) BgL_nodez00_2510));
		}

	}



/* &node-typec!-switch1315 */
	BgL_nodez00_bglt BGl_z62nodezd2typecz12zd2switch1315z70zzreduce_typecz00(obj_t
		BgL_envz00_2511, obj_t BgL_nodez00_2512)
	{
		{	/* Reduce/typec.scm 193 */
			{
				BgL_nodez00_bglt BgL_auxz00_3250;

				{	/* Reduce/typec.scm 195 */
					BgL_nodez00_bglt BgL_arg1512z00_2662;

					BgL_arg1512z00_2662 =
						(((BgL_switchz00_bglt) COBJECT(
								((BgL_switchz00_bglt) BgL_nodez00_2512)))->BgL_testz00);
					BgL_auxz00_3250 =
						BGl_nodezd2typecz12zc0zzreduce_typecz00(BgL_arg1512z00_2662);
				}
				((((BgL_switchz00_bglt) COBJECT(
								((BgL_switchz00_bglt) BgL_nodez00_2512)))->BgL_testz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3250), BUNSPEC);
			}
			{	/* Reduce/typec.scm 196 */
				obj_t BgL_g1276z00_2663;

				BgL_g1276z00_2663 =
					(((BgL_switchz00_bglt) COBJECT(
							((BgL_switchz00_bglt) BgL_nodez00_2512)))->BgL_clausesz00);
				{
					obj_t BgL_l1274z00_2665;

					BgL_l1274z00_2665 = BgL_g1276z00_2663;
				BgL_zc3z04anonymousza31513ze3z87_2664:
					if (PAIRP(BgL_l1274z00_2665))
						{	/* Reduce/typec.scm 196 */
							{	/* Reduce/typec.scm 197 */
								obj_t BgL_clausez00_2666;

								BgL_clausez00_2666 = CAR(BgL_l1274z00_2665);
								{	/* Reduce/typec.scm 197 */
									BgL_nodez00_bglt BgL_arg1515z00_2667;

									{	/* Reduce/typec.scm 197 */
										obj_t BgL_arg1516z00_2668;

										BgL_arg1516z00_2668 = CDR(((obj_t) BgL_clausez00_2666));
										BgL_arg1515z00_2667 =
											BGl_nodezd2typecz12zc0zzreduce_typecz00(
											((BgL_nodez00_bglt) BgL_arg1516z00_2668));
									}
									{	/* Reduce/typec.scm 197 */
										obj_t BgL_auxz00_3267;
										obj_t BgL_tmpz00_3265;

										BgL_auxz00_3267 = ((obj_t) BgL_arg1515z00_2667);
										BgL_tmpz00_3265 = ((obj_t) BgL_clausez00_2666);
										SET_CDR(BgL_tmpz00_3265, BgL_auxz00_3267);
									}
								}
							}
							{
								obj_t BgL_l1274z00_3270;

								BgL_l1274z00_3270 = CDR(BgL_l1274z00_2665);
								BgL_l1274z00_2665 = BgL_l1274z00_3270;
								goto BgL_zc3z04anonymousza31513ze3z87_2664;
							}
						}
					else
						{	/* Reduce/typec.scm 196 */
							((bool_t) 1);
						}
				}
			}
			return ((BgL_nodez00_bglt) ((BgL_switchz00_bglt) BgL_nodez00_2512));
		}

	}



/* &node-typec!-fail1313 */
	BgL_nodez00_bglt BGl_z62nodezd2typecz12zd2fail1313z70zzreduce_typecz00(obj_t
		BgL_envz00_2513, obj_t BgL_nodez00_2514)
	{
		{	/* Reduce/typec.scm 183 */
			{
				BgL_nodez00_bglt BgL_auxz00_3274;

				{	/* Reduce/typec.scm 185 */
					BgL_nodez00_bglt BgL_arg1490z00_2670;

					BgL_arg1490z00_2670 =
						(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2514)))->BgL_procz00);
					BgL_auxz00_3274 =
						BGl_nodezd2typecz12zc0zzreduce_typecz00(BgL_arg1490z00_2670);
				}
				((((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2514)))->BgL_procz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3274), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_3280;

				{	/* Reduce/typec.scm 186 */
					BgL_nodez00_bglt BgL_arg1506z00_2671;

					BgL_arg1506z00_2671 =
						(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2514)))->BgL_msgz00);
					BgL_auxz00_3280 =
						BGl_nodezd2typecz12zc0zzreduce_typecz00(BgL_arg1506z00_2671);
				}
				((((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2514)))->BgL_msgz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3280), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_3286;

				{	/* Reduce/typec.scm 187 */
					BgL_nodez00_bglt BgL_arg1511z00_2672;

					BgL_arg1511z00_2672 =
						(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2514)))->BgL_objz00);
					BgL_auxz00_3286 =
						BGl_nodezd2typecz12zc0zzreduce_typecz00(BgL_arg1511z00_2672);
				}
				((((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2514)))->BgL_objz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3286), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_failz00_bglt) BgL_nodez00_2514));
		}

	}



/* &node-typec!-conditio1311 */
	BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2conditio1311z70zzreduce_typecz00(obj_t
		BgL_envz00_2515, obj_t BgL_nodez00_2516)
	{
		{	/* Reduce/typec.scm 159 */
			{
				BgL_nodez00_bglt BgL_auxz00_3294;

				{	/* Reduce/typec.scm 161 */
					BgL_nodez00_bglt BgL_arg1457z00_2674;

					BgL_arg1457z00_2674 =
						(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_2516)))->BgL_testz00);
					BgL_auxz00_3294 =
						BGl_nodezd2typecz12zc0zzreduce_typecz00(BgL_arg1457z00_2674);
				}
				((((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_2516)))->BgL_testz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3294), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_3300;

				{	/* Reduce/typec.scm 162 */
					BgL_nodez00_bglt BgL_arg1471z00_2675;

					BgL_arg1471z00_2675 =
						(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_2516)))->BgL_truez00);
					BgL_auxz00_3300 =
						BGl_nodezd2typecz12zc0zzreduce_typecz00(BgL_arg1471z00_2675);
				}
				((((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_2516)))->BgL_truez00) =
					((BgL_nodez00_bglt) BgL_auxz00_3300), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_3306;

				{	/* Reduce/typec.scm 163 */
					BgL_nodez00_bglt BgL_arg1480z00_2676;

					BgL_arg1480z00_2676 =
						(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_2516)))->BgL_falsez00);
					BgL_auxz00_3306 =
						BGl_nodezd2typecz12zc0zzreduce_typecz00(BgL_arg1480z00_2676);
				}
				((((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_2516)))->BgL_falsez00) =
					((BgL_nodez00_bglt) BgL_auxz00_3306), BUNSPEC);
			}
			if (BGl_pairzd2ofzd2pairzd2nilzf3z21zzreduce_typecz00(
					(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_2516)))->BgL_testz00)))
				{	/* Reduce/typec.scm 164 */
					{	/* Reduce/typec.scm 171 */
						BgL_nodez00_bglt BgL_arg1487z00_2677;

						BgL_arg1487z00_2677 =
							(((BgL_conditionalz00_bglt) COBJECT(
									((BgL_conditionalz00_bglt) BgL_nodez00_2516)))->BgL_testz00);
						{	/* Reduce/typec.scm 393 */
							BgL_varz00_bglt BgL_i1143z00_2678;

							BgL_i1143z00_2678 =
								(((BgL_appz00_bglt) COBJECT(
										((BgL_appz00_bglt) BgL_arg1487z00_2677)))->BgL_funz00);
							((((BgL_varz00_bglt) COBJECT(BgL_i1143z00_2678))->
									BgL_variablez00) =
								((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
										BGl_za2nullzf3za2zf3zzreduce_typecz00)), BUNSPEC);
						}
					}
					{	/* Reduce/typec.scm 172 */
						BgL_nodez00_bglt BgL_otruez00_2679;

						BgL_otruez00_2679 =
							(((BgL_conditionalz00_bglt) COBJECT(
									((BgL_conditionalz00_bglt) BgL_nodez00_2516)))->BgL_truez00);
						((((BgL_conditionalz00_bglt) COBJECT(
										((BgL_conditionalz00_bglt) BgL_nodez00_2516)))->
								BgL_truez00) =
							((BgL_nodez00_bglt) (((BgL_conditionalz00_bglt)
										COBJECT(((BgL_conditionalz00_bglt) BgL_nodez00_2516)))->
									BgL_falsez00)), BUNSPEC);
						((((BgL_conditionalz00_bglt) COBJECT(((BgL_conditionalz00_bglt)
											BgL_nodez00_2516)))->BgL_falsez00) =
							((BgL_nodez00_bglt) BgL_otruez00_2679), BUNSPEC);
						BNIL;
					}
				}
			else
				{	/* Reduce/typec.scm 164 */
					BFALSE;
				}
			return ((BgL_nodez00_bglt) ((BgL_conditionalz00_bglt) BgL_nodez00_2516));
		}

	}



/* &node-typec!-setq1309 */
	BgL_nodez00_bglt BGl_z62nodezd2typecz12zd2setq1309z70zzreduce_typecz00(obj_t
		BgL_envz00_2517, obj_t BgL_nodez00_2518)
	{
		{	/* Reduce/typec.scm 150 */
			{
				BgL_nodez00_bglt BgL_auxz00_3332;

				{	/* Reduce/typec.scm 152 */
					BgL_nodez00_bglt BgL_arg1419z00_2681;

					BgL_arg1419z00_2681 =
						(((BgL_setqz00_bglt) COBJECT(
								((BgL_setqz00_bglt) BgL_nodez00_2518)))->BgL_valuez00);
					BgL_auxz00_3332 =
						BGl_nodezd2typecz12zc0zzreduce_typecz00(BgL_arg1419z00_2681);
				}
				((((BgL_setqz00_bglt) COBJECT(
								((BgL_setqz00_bglt) BgL_nodez00_2518)))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_auxz00_3332), BUNSPEC);
			}
			{
				BgL_varz00_bglt BgL_auxz00_3338;

				{	/* Reduce/typec.scm 153 */
					BgL_varz00_bglt BgL_arg1446z00_2682;

					BgL_arg1446z00_2682 =
						(((BgL_setqz00_bglt) COBJECT(
								((BgL_setqz00_bglt) BgL_nodez00_2518)))->BgL_varz00);
					BgL_auxz00_3338 =
						((BgL_varz00_bglt)
						BGl_nodezd2typecz12zc0zzreduce_typecz00(
							((BgL_nodez00_bglt) BgL_arg1446z00_2682)));
				}
				((((BgL_setqz00_bglt) COBJECT(
								((BgL_setqz00_bglt) BgL_nodez00_2518)))->BgL_varz00) =
					((BgL_varz00_bglt) BgL_auxz00_3338), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_setqz00_bglt) BgL_nodez00_2518));
		}

	}



/* &node-typec!-cast1307 */
	BgL_nodez00_bglt BGl_z62nodezd2typecz12zd2cast1307z70zzreduce_typecz00(obj_t
		BgL_envz00_2519, obj_t BgL_nodez00_2520)
	{
		{	/* Reduce/typec.scm 142 */
			BGl_nodezd2typecz12zc0zzreduce_typecz00(
				(((BgL_castz00_bglt) COBJECT(
							((BgL_castz00_bglt) BgL_nodez00_2520)))->BgL_argz00));
			return ((BgL_nodez00_bglt) ((BgL_castz00_bglt) BgL_nodez00_2520));
		}

	}



/* &node-typec!-extern1305 */
	BgL_nodez00_bglt BGl_z62nodezd2typecz12zd2extern1305z70zzreduce_typecz00(obj_t
		BgL_envz00_2521, obj_t BgL_nodez00_2522)
	{
		{	/* Reduce/typec.scm 134 */
			BGl_nodezd2typecza2z12z62zzreduce_typecz00(
				(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt) BgL_nodez00_2522)))->BgL_exprza2za2));
			return ((BgL_nodez00_bglt) ((BgL_externz00_bglt) BgL_nodez00_2522));
		}

	}



/* &node-typec!-funcall1303 */
	BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2funcall1303z70zzreduce_typecz00(obj_t
		BgL_envz00_2523, obj_t BgL_nodez00_2524)
	{
		{	/* Reduce/typec.scm 125 */
			{
				BgL_nodez00_bglt BgL_auxz00_3358;

				{	/* Reduce/typec.scm 127 */
					BgL_nodez00_bglt BgL_arg1415z00_2686;

					BgL_arg1415z00_2686 =
						(((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_nodez00_2524)))->BgL_funz00);
					BgL_auxz00_3358 =
						BGl_nodezd2typecz12zc0zzreduce_typecz00(BgL_arg1415z00_2686);
				}
				((((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_nodez00_2524)))->BgL_funz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3358), BUNSPEC);
			}
			BGl_nodezd2typecza2z12z62zzreduce_typecz00(
				(((BgL_funcallz00_bglt) COBJECT(
							((BgL_funcallz00_bglt) BgL_nodez00_2524)))->BgL_argsz00));
			return ((BgL_nodez00_bglt) ((BgL_funcallz00_bglt) BgL_nodez00_2524));
		}

	}



/* &node-typec!-app-ly1301 */
	BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2appzd2ly1301za2zzreduce_typecz00(obj_t
		BgL_envz00_2525, obj_t BgL_nodez00_2526)
	{
		{	/* Reduce/typec.scm 116 */
			{
				BgL_nodez00_bglt BgL_auxz00_3369;

				{	/* Reduce/typec.scm 118 */
					BgL_nodez00_bglt BgL_arg1406z00_2688;

					BgL_arg1406z00_2688 =
						(((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_2526)))->BgL_funz00);
					BgL_auxz00_3369 =
						BGl_nodezd2typecz12zc0zzreduce_typecz00(BgL_arg1406z00_2688);
				}
				((((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_2526)))->BgL_funz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3369), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_3375;

				{	/* Reduce/typec.scm 119 */
					BgL_nodez00_bglt BgL_arg1414z00_2689;

					BgL_arg1414z00_2689 =
						(((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_2526)))->BgL_argz00);
					BgL_auxz00_3375 =
						BGl_nodezd2typecz12zc0zzreduce_typecz00(BgL_arg1414z00_2689);
				}
				((((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_2526)))->BgL_argz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3375), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_appzd2lyzd2_bglt) BgL_nodez00_2526));
		}

	}



/* &node-typec!-sync1298 */
	BgL_nodez00_bglt BGl_z62nodezd2typecz12zd2sync1298z70zzreduce_typecz00(obj_t
		BgL_envz00_2527, obj_t BgL_nodez00_2528)
	{
		{	/* Reduce/typec.scm 106 */
			{
				BgL_nodez00_bglt BgL_auxz00_3383;

				{	/* Reduce/typec.scm 108 */
					BgL_nodez00_bglt BgL_arg1401z00_2691;

					BgL_arg1401z00_2691 =
						(((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_2528)))->BgL_mutexz00);
					BgL_auxz00_3383 =
						BGl_nodezd2typecz12zc0zzreduce_typecz00(BgL_arg1401z00_2691);
				}
				((((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_2528)))->BgL_mutexz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3383), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_3389;

				{	/* Reduce/typec.scm 109 */
					BgL_nodez00_bglt BgL_arg1402z00_2692;

					BgL_arg1402z00_2692 =
						(((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_2528)))->BgL_prelockz00);
					BgL_auxz00_3389 =
						BGl_nodezd2typecz12zc0zzreduce_typecz00(BgL_arg1402z00_2692);
				}
				((((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_2528)))->BgL_prelockz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3389), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_3395;

				{	/* Reduce/typec.scm 110 */
					BgL_nodez00_bglt BgL_arg1403z00_2693;

					BgL_arg1403z00_2693 =
						(((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_2528)))->BgL_bodyz00);
					BgL_auxz00_3395 =
						BGl_nodezd2typecz12zc0zzreduce_typecz00(BgL_arg1403z00_2693);
				}
				((((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_2528)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3395), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_syncz00_bglt) BgL_nodez00_2528));
		}

	}



/* &node-typec!-sequence1296 */
	BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2sequence1296z70zzreduce_typecz00(obj_t
		BgL_envz00_2529, obj_t BgL_nodez00_2530)
	{
		{	/* Reduce/typec.scm 98 */
			BGl_nodezd2typecza2z12z62zzreduce_typecz00(
				(((BgL_sequencez00_bglt) COBJECT(
							((BgL_sequencez00_bglt) BgL_nodez00_2530)))->BgL_nodesz00));
			return ((BgL_nodez00_bglt) ((BgL_sequencez00_bglt) BgL_nodez00_2530));
		}

	}



/* &node-typec!-closure1294 */
	BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2closure1294z70zzreduce_typecz00(obj_t
		BgL_envz00_2531, obj_t BgL_nodez00_2532)
	{
		{	/* Reduce/typec.scm 92 */
			return ((BgL_nodez00_bglt) ((BgL_closurez00_bglt) BgL_nodez00_2532));
		}

	}



/* &node-typec!-var1292 */
	BgL_nodez00_bglt BGl_z62nodezd2typecz12zd2var1292z70zzreduce_typecz00(obj_t
		BgL_envz00_2533, obj_t BgL_nodez00_2534)
	{
		{	/* Reduce/typec.scm 86 */
			return ((BgL_nodez00_bglt) ((BgL_varz00_bglt) BgL_nodez00_2534));
		}

	}



/* &node-typec!-kwote1290 */
	BgL_nodez00_bglt BGl_z62nodezd2typecz12zd2kwote1290z70zzreduce_typecz00(obj_t
		BgL_envz00_2535, obj_t BgL_nodez00_2536)
	{
		{	/* Reduce/typec.scm 80 */
			return ((BgL_nodez00_bglt) ((BgL_kwotez00_bglt) BgL_nodez00_2536));
		}

	}



/* &node-typec!-atom1288 */
	BgL_nodez00_bglt BGl_z62nodezd2typecz12zd2atom1288z70zzreduce_typecz00(obj_t
		BgL_envz00_2537, obj_t BgL_nodez00_2538)
	{
		{	/* Reduce/typec.scm 74 */
			return ((BgL_nodez00_bglt) ((BgL_atomz00_bglt) BgL_nodez00_2538));
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzreduce_typecz00(void)
	{
		{	/* Reduce/typec.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(54713316L,
				BSTRING_TO_STRING(BGl_string1937z00zzreduce_typecz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(365925558L,
				BSTRING_TO_STRING(BGl_string1937z00zzreduce_typecz00));
			BGl_modulezd2initializa7ationz75zztools_speekz00(61247943L,
				BSTRING_TO_STRING(BGl_string1937z00zzreduce_typecz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(300504031L,
				BSTRING_TO_STRING(BGl_string1937z00zzreduce_typecz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(515343395L,
				BSTRING_TO_STRING(BGl_string1937z00zzreduce_typecz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(489890788L,
				BSTRING_TO_STRING(BGl_string1937z00zzreduce_typecz00));
			BGl_modulezd2initializa7ationz75zztype_typeofz00(398780265L,
				BSTRING_TO_STRING(BGl_string1937z00zzreduce_typecz00));
			BGl_modulezd2initializa7ationz75zztype_miscz00(49975086L,
				BSTRING_TO_STRING(BGl_string1937z00zzreduce_typecz00));
			BGl_modulezd2initializa7ationz75zztype_coercionz00(116865673L,
				BSTRING_TO_STRING(BGl_string1937z00zzreduce_typecz00));
			BGl_modulezd2initializa7ationz75zzcoerce_coercez00(361167184L,
				BSTRING_TO_STRING(BGl_string1937z00zzreduce_typecz00));
			BGl_modulezd2initializa7ationz75zzeffect_effectz00(460136018L,
				BSTRING_TO_STRING(BGl_string1937z00zzreduce_typecz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(90839984L,
				BSTRING_TO_STRING(BGl_string1937z00zzreduce_typecz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(469732712L,
				BSTRING_TO_STRING(BGl_string1937z00zzreduce_typecz00));
			BGl_modulezd2initializa7ationz75zzast_lvtypez00(189769752L,
				BSTRING_TO_STRING(BGl_string1937z00zzreduce_typecz00));
			BGl_modulezd2initializa7ationz75zzast_envz00(146730773L,
				BSTRING_TO_STRING(BGl_string1937z00zzreduce_typecz00));
			BGl_modulezd2initializa7ationz75zzast_dumpz00(271707717L,
				BSTRING_TO_STRING(BGl_string1937z00zzreduce_typecz00));
			return
				BGl_modulezd2initializa7ationz75zzobject_classz00(502007119L,
				BSTRING_TO_STRING(BGl_string1937z00zzreduce_typecz00));
		}

	}

#ifdef __cplusplus
}
#endif
