/*===========================================================================*/
/*   (SawJvm/compile.scm)                                                    */
/*   Bigloo (4.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Jan 27 07:45:49 AM CET 2025     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.6a/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.6a/lib/bigloo/4.6a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -stdc -indent SawJvm/compile.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL_SAW_JVM_COMPILE_TYPE_DEFINITIONS
#define BGL_SAW_JVM_COMPILE_TYPE_DEFINITIONS

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_nullz00;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_qualifiedzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_scnstz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_nodez00;
		obj_t BgL_classz00;
		obj_t BgL_locz00;
	}               *BgL_scnstz00_bglt;

	typedef struct BgL_tclassz00_bgl
	{
		obj_t BgL_itszd2superzd2;
		obj_t BgL_slotsz00;
		struct BgL_globalz00_bgl *BgL_holderz00;
		obj_t BgL_wideningz00;
		long BgL_depthz00;
		bool_t BgL_finalzf3zf3;
		obj_t BgL_constructorz00;
		obj_t BgL_virtualzd2slotszd2numberz00;
		bool_t BgL_abstractzf3zf3;
		obj_t BgL_widezd2typezd2;
		obj_t BgL_subclassesz00;
	}                *BgL_tclassz00_bglt;

	typedef struct BgL_slotz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_srcz00;
		obj_t BgL_classzd2ownerzd2;
		long BgL_indexz00;
		obj_t BgL_typez00;
		bool_t BgL_readzd2onlyzf3z21;
		obj_t BgL_defaultzd2valuezd2;
		obj_t BgL_virtualzd2numzd2;
		bool_t BgL_virtualzd2overridezd2;
		obj_t BgL_getterz00;
		obj_t BgL_setterz00;
		obj_t BgL_userzd2infozd2;
	}              *BgL_slotz00_bglt;

	typedef struct BgL_tvecz00_bgl
	{
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}              *BgL_tvecz00_bglt;

	typedef struct BgL_backendz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
		bool_t BgL_boundzd2checkzd2;
		bool_t BgL_typezd2checkzd2;
		bool_t BgL_typedzd2funcallzd2;
		bool_t BgL_strictzd2typezd2castz00;
		bool_t BgL_forcezd2registerzd2gczd2rootszd2;
		bool_t BgL_stringzd2literalzd2supportz00;
		bool_t BgL_boxedzd2fixnumszd2;
		bool_t BgL_typedzd2closureszd2;
	}                 *BgL_backendz00_bglt;

	typedef struct BgL_jvmz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
		bool_t BgL_boundzd2checkzd2;
		bool_t BgL_typezd2checkzd2;
		bool_t BgL_typedzd2funcallzd2;
		bool_t BgL_strictzd2typezd2castz00;
		bool_t BgL_forcezd2registerzd2gczd2rootszd2;
		bool_t BgL_stringzd2literalzd2supportz00;
		bool_t BgL_boxedzd2fixnumszd2;
		bool_t BgL_typedzd2closureszd2;
		obj_t BgL_qnamez00;
		obj_t BgL_classesz00;
		obj_t BgL_currentzd2classzd2;
		obj_t BgL_declarationsz00;
		obj_t BgL_fieldsz00;
		obj_t BgL_methodsz00;
		obj_t BgL_currentzd2methodzd2;
		obj_t BgL_codez00;
		obj_t BgL_lightzd2funcallszd2;
		obj_t BgL_inlinez00;
	}             *BgL_jvmz00_bglt;

	typedef struct BgL_rtl_regz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_varz00;
		obj_t BgL_onexprzf3zf3;
		obj_t BgL_namez00;
		obj_t BgL_keyz00;
		obj_t BgL_debugnamez00;
		obj_t BgL_hardwarez00;
	}                 *BgL_rtl_regz00_bglt;

	typedef struct BgL_indexedz00_bgl
	{
		int BgL_indexz00;
	}                 *BgL_indexedz00_bglt;


#endif													// BGL_SAW_JVM_COMPILE_TYPE_DEFINITIONS
#endif													// BGL_MODULE_TYPE_DEFINITIONS

	static obj_t BGl_requirezd2initializa7ationz75zzsaw_jvm_compilez00 = BUNSPEC;
	extern obj_t BGl_getzd2declaredzd2classesz00zzbackend_cplibz00(void);
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	extern obj_t BGl_pushzd2stringzd2zzsaw_jvm_outz00(BgL_jvmz00_bglt, obj_t);
	extern obj_t BGl_closezd2methodzd2zzsaw_jvm_outz00(BgL_jvmz00_bglt);
	extern obj_t
		BGl_getzd2declaredzd2fieldsz00zzbackend_cplibz00(BgL_typez00_bglt);
	extern obj_t BGl_sfunz00zzast_varz00;
	extern obj_t
		BGl_getzd2globalzd2variableszd2tozd2bezd2initializa7edz75zzbackend_cplibz00
		(obj_t);
	static obj_t BGl_toplevelzd2initzd2zzsaw_jvm_compilez00(void);
	static obj_t BGl_modulezd2mainzd2zzsaw_jvm_compilez00(BgL_jvmz00_bglt);
	static obj_t BGl_constructorz00zzsaw_jvm_compilez00(BgL_jvmz00_bglt);
	static bool_t BGl_keyzd2optzf3z21zzsaw_jvm_compilez00(obj_t);
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_compilezd2modulezd2zzsaw_jvm_compilez00(BgL_jvmz00_bglt);
	static obj_t BGl_genericzd2initzd2zzsaw_jvm_compilez00(void);
	BGL_IMPORT obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
	static obj_t BGl_objectzd2initzd2zzsaw_jvm_compilez00(void);
	extern obj_t BGl_bbvz00zzsaw_bbvz00(BgL_backendz00_bglt, BgL_globalz00_bglt,
		obj_t, obj_t);
	extern obj_t BGl_buildzd2treezd2zzsaw_exprz00(BgL_backendz00_bglt, obj_t,
		obj_t);
	BGL_IMPORT bool_t BGl_2ze3ze3zz__r4_numbers_6_5z00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	extern obj_t BGl_za2debugzd2moduleza2zd2zzengine_paramz00;
	extern obj_t BGl_compilezd2typezd2zzsaw_jvm_outz00(BgL_jvmz00_bglt,
		BgL_typez00_bglt);
	extern BgL_rtl_regz00_bglt
		BGl_localzd2ze3regz31zzsaw_node2rtlz00(BgL_localz00_bglt);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t BGl_modulezd2initzd2cnstz00zzsaw_jvm_compilez00(BgL_jvmz00_bglt,
		obj_t, BgL_valuez00_bglt);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_compilezd2slotzd2zzsaw_jvm_outz00(BgL_jvmz00_bglt,
		BgL_slotz00_bglt);
	extern obj_t BGl_openzd2globalzd2methodz00zzsaw_jvm_outz00(BgL_jvmz00_bglt,
		BgL_globalz00_bglt);
	static obj_t BGl_methodzd2initzd2zzsaw_jvm_compilez00(void);
	extern obj_t BGl_compilezd2globalzd2zzsaw_jvm_outz00(BgL_jvmz00_bglt,
		BgL_globalz00_bglt);
	extern obj_t
		BGl_modulezd2funcallzf2applyz20zzsaw_jvm_funcallz00(BgL_jvmz00_bglt);
	extern obj_t BGl_closezd2classzd2zzsaw_jvm_outz00(BgL_jvmz00_bglt,
		BgL_typez00_bglt);
	extern obj_t BGl_globalzd2ze3blocksz31zzsaw_woodcutterz00(BgL_backendz00_bglt,
		BgL_globalz00_bglt);
	extern obj_t BGl_findzd2globalzd2zzast_envz00(obj_t, obj_t);
	static obj_t BGl_compilezd2classzd2zzsaw_jvm_compilez00(BgL_jvmz00_bglt,
		obj_t);
	extern obj_t
		BGl_registerzd2allocationzd2zzsaw_registerzd2allocationzd2
		(BgL_backendz00_bglt, BgL_globalz00_bglt, obj_t, obj_t);
	extern obj_t BGl_za2jvmzd2cinitzd2moduleza2z00zzengine_paramz00;
	extern obj_t
		BGl_getzd2declaredzd2globalzd2variableszd2zzbackend_cplibz00(obj_t);
	extern BgL_globalz00_bglt
		BGl_globalzd2entryzd2zzbackend_cplibz00(BgL_globalz00_bglt);
	extern obj_t BGl_callzd2globalzd2zzsaw_jvm_outz00(BgL_jvmz00_bglt,
		BgL_globalz00_bglt);
	extern obj_t BGl_pushzd2numzd2zzsaw_jvm_outz00(BgL_jvmz00_bglt, obj_t, obj_t);
	extern bool_t BGl_globalzd2optionalzf3z21zzast_varz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_saw_jvmzd2compilezd2zzsaw_jvm_compilez00(BgL_jvmz00_bglt);
	static obj_t BGl_z62saw_jvmzd2compilezb0zzsaw_jvm_compilez00(obj_t, obj_t);
	extern BgL_typez00_bglt
		BGl_getzd2itszd2superz00zzbackend_cplibz00(BgL_typez00_bglt);
	extern obj_t BGl_declarezd2globalzd2zzsaw_jvm_outz00(BgL_jvmz00_bglt,
		BgL_globalz00_bglt);
	extern obj_t BGl_za2jvmzd2catchza2zd2zzengine_paramz00;
	extern obj_t BGl_getzd2cnstzd2offsetz00zzcnst_allocz00(void);
	extern obj_t BGl_za2moduleza2z00zzmodule_modulez00;
	extern bool_t BGl_globalzd2keyzf3z21zzast_varz00(obj_t);
	extern obj_t BGl_closezd2modulezd2zzsaw_jvm_outz00(BgL_jvmz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzsaw_jvm_compilez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_jvm_codez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_jvm_funcallz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_jvm_outz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_jvm_namesz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_bbvz00(long, char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zzsaw_registerzd2allocationzd2(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_regsetz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_exprz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_woodcutterz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_node2rtlz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_defsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_cplibz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_libz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_jvm_classz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_bvmz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzread_jvmz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztvector_tvectorz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcnst_allocz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcnst_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_slotsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	static obj_t BGl_modulezd2initzd2zzsaw_jvm_compilez00(BgL_jvmz00_bglt);
	extern obj_t BGl_codez12z12zzsaw_jvm_outz00(BgL_jvmz00_bglt, obj_t);
	static obj_t BGl_cnstzd2initzd2zzsaw_jvm_compilez00(void);
	static obj_t BGl_libraryzd2moduleszd2initz00zzsaw_jvm_compilez00(void);
	extern obj_t BGl_globalzd2arityzd2zzbackend_cplibz00(BgL_globalz00_bglt);
	static obj_t BGl_importedzd2moduleszd2initz00zzsaw_jvm_compilez00(void);
	static obj_t BGl_gczd2rootszd2initz00zzsaw_jvm_compilez00(void);
	extern obj_t
		BGl_nameszd2initializa7ationz75zzsaw_jvm_namesz00(BgL_jvmz00_bglt);
	static obj_t BGl_modulezd2functionzd2zzsaw_jvm_compilez00(BgL_jvmz00_bglt,
		obj_t);
	static bool_t BGl_modulezd2functionszd2zzsaw_jvm_compilez00(BgL_jvmz00_bglt);
	extern obj_t BGl_getzd2cnstzd2tablez00zzcnst_allocz00(void);
	extern obj_t BGl_openzd2libzd2methodz00zzsaw_jvm_outz00(BgL_jvmz00_bglt,
		obj_t);
	extern obj_t BGl_declarezd2localszd2zzsaw_jvm_outz00(BgL_jvmz00_bglt, obj_t,
		obj_t);
	extern obj_t BGl_modulezd2codezd2zzsaw_jvm_codez00(BgL_jvmz00_bglt, obj_t,
		obj_t);
	extern obj_t BGl_openzd2classzd2zzsaw_jvm_outz00(BgL_jvmz00_bglt,
		BgL_typez00_bglt, obj_t);
	extern obj_t BGl_pushzd2intzd2zzsaw_jvm_outz00(BgL_jvmz00_bglt, obj_t);
	extern obj_t BGl_globalz00zzast_varz00;
	extern obj_t BGl_za2mainza2z00zzmodule_modulez00;
	extern obj_t
		BGl_modulezd2lightzd2funcallz00zzsaw_jvm_funcallz00(BgL_jvmz00_bglt);
	extern obj_t BGl_openzd2modulezd2zzsaw_jvm_outz00(BgL_jvmz00_bglt);
	static obj_t BGl_modulezd2dlopenzd2zzsaw_jvm_compilez00(BgL_jvmz00_bglt);
	static obj_t __cnst[75];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_saw_jvmzd2compilezd2envz00zzsaw_jvm_compilez00,
		BgL_bgl_za762saw_jvmza7d2com2035z00,
		BGl_z62saw_jvmzd2compilezb0zzsaw_jvm_compilez00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2030z00zzsaw_jvm_compilez00,
		BgL_bgl_string2030za700za7za7s2036za7, "emit-cnst", 9);
	      DEFINE_STRING(BGl_string2031z00zzsaw_jvm_compilez00,
		BgL_bgl_string2031za700za7za7s2037za7, "Unknown cnst class", 18);
	      DEFINE_STRING(BGl_string2032z00zzsaw_jvm_compilez00,
		BgL_bgl_string2032za700za7za7s2038za7, "saw_jvm_compile", 15);
	      DEFINE_STRING(BGl_string2033z00zzsaw_jvm_compilez00,
		BgL_bgl_string2033za700za7za7s2039za7,
		"dlopen (aastore) (dastore) (fastore) (lastore) (iastore) (sastore) (castore) (bastore) anewarray newarray float char boolean stvector sgfun (putfield procenv) slfun selfun (putfield procarity) (putfield procindex) (invokespecial init) (dup) (new me) sfun (invokestatic BGL_INT8_TO_BINT8) byte suint8 sint8 (invokestatic BGL_INT16_TO_BINT16) short suint16 sint16 (invokestatic BGL_INT32_TO_BINT32) int suint32 sint32 (invokestatic BGL_INT64_TO_BINT64) suint64 sint64 (invokestatic llong_to_bllong) sllong (invokestatic elong_to_belong) long selong (invokestatic double_to_real) double sreal (invokestatic getbytes) sstring module-initialization (aconst_null) (iconst_0) putstatic (anewarray obj) (putstatic myname) (invokestatic foreign-print) ldc clinit (invokespecial super-init) (aload this) (this) init (invokestatic internalerror) catch (return) (pop) bigloo_main (checkcast pair) (invokestatic listargv) (aload argv) from (handler from catch catch throwable) (argv) main ",
		976);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zzsaw_jvm_compilez00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzsaw_jvm_compilez00(long
		BgL_checksumz00_3630, char *BgL_fromz00_3631)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzsaw_jvm_compilez00))
				{
					BGl_requirezd2initializa7ationz75zzsaw_jvm_compilez00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzsaw_jvm_compilez00();
					BGl_libraryzd2moduleszd2initz00zzsaw_jvm_compilez00();
					BGl_cnstzd2initzd2zzsaw_jvm_compilez00();
					BGl_importedzd2moduleszd2initz00zzsaw_jvm_compilez00();
					return BGl_toplevelzd2initzd2zzsaw_jvm_compilez00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzsaw_jvm_compilez00(void)
	{
		{	/* SawJvm/compile.scm 1 */
			BGl_modulezd2initializa7ationz75zz__objectz00(0L, "saw_jvm_compile");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(0L,
				"saw_jvm_compile");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(0L,
				"saw_jvm_compile");
			BGl_modulezd2initializa7ationz75zz__readerz00(0L, "saw_jvm_compile");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(0L,
				"saw_jvm_compile");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(0L,
				"saw_jvm_compile");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(0L,
				"saw_jvm_compile");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(0L,
				"saw_jvm_compile");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(0L,
				"saw_jvm_compile");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(0L,
				"saw_jvm_compile");
			BGl_modulezd2initializa7ationz75zz__structurez00(0L, "saw_jvm_compile");
			BGl_modulezd2initializa7ationz75zz__biglooz00(0L, "saw_jvm_compile");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzsaw_jvm_compilez00(void)
	{
		{	/* SawJvm/compile.scm 1 */
			{	/* SawJvm/compile.scm 1 */
				obj_t BgL_cportz00_3619;

				{	/* SawJvm/compile.scm 1 */
					obj_t BgL_stringz00_3626;

					BgL_stringz00_3626 = BGl_string2033z00zzsaw_jvm_compilez00;
					{	/* SawJvm/compile.scm 1 */
						obj_t BgL_startz00_3627;

						BgL_startz00_3627 = BINT(0L);
						{	/* SawJvm/compile.scm 1 */
							obj_t BgL_endz00_3628;

							BgL_endz00_3628 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_3626)));
							{	/* SawJvm/compile.scm 1 */

								BgL_cportz00_3619 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_3626, BgL_startz00_3627, BgL_endz00_3628);
				}}}}
				{
					long BgL_iz00_3620;

					BgL_iz00_3620 = 74L;
				BgL_loopz00_3621:
					if ((BgL_iz00_3620 == (-1L)))
						{	/* SawJvm/compile.scm 1 */
							return BUNSPEC;
						}
					else
						{	/* SawJvm/compile.scm 1 */
							{	/* SawJvm/compile.scm 1 */
								obj_t BgL_arg2034z00_3622;

								{	/* SawJvm/compile.scm 1 */

									{	/* SawJvm/compile.scm 1 */
										obj_t BgL_locationz00_3624;

										BgL_locationz00_3624 = BBOOL(((bool_t) 0));
										{	/* SawJvm/compile.scm 1 */

											BgL_arg2034z00_3622 =
												BGl_readz00zz__readerz00(BgL_cportz00_3619,
												BgL_locationz00_3624);
										}
									}
								}
								{	/* SawJvm/compile.scm 1 */
									int BgL_tmpz00_3661;

									BgL_tmpz00_3661 = (int) (BgL_iz00_3620);
									CNST_TABLE_SET(BgL_tmpz00_3661, BgL_arg2034z00_3622);
							}}
							{	/* SawJvm/compile.scm 1 */
								int BgL_auxz00_3625;

								BgL_auxz00_3625 = (int) ((BgL_iz00_3620 - 1L));
								{
									long BgL_iz00_3666;

									BgL_iz00_3666 = (long) (BgL_auxz00_3625);
									BgL_iz00_3620 = BgL_iz00_3666;
									goto BgL_loopz00_3621;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzsaw_jvm_compilez00(void)
	{
		{	/* SawJvm/compile.scm 1 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzsaw_jvm_compilez00(void)
	{
		{	/* SawJvm/compile.scm 1 */
			return BUNSPEC;
		}

	}



/* saw_jvm-compile */
	BGL_EXPORTED_DEF obj_t
		BGl_saw_jvmzd2compilezd2zzsaw_jvm_compilez00(BgL_jvmz00_bglt BgL_mez00_13)
	{
		{	/* SawJvm/compile.scm 40 */
			BGl_nameszd2initializa7ationz75zzsaw_jvm_namesz00(BgL_mez00_13);
			{	/* SawJvm/compile.scm 42 */
				obj_t BgL_g1571z00_2708;

				BgL_g1571z00_2708 = BGl_getzd2declaredzd2classesz00zzbackend_cplibz00();
				{
					obj_t BgL_l1569z00_2710;

					BgL_l1569z00_2710 = BgL_g1571z00_2708;
				BgL_zc3z04anonymousza31626ze3z87_2711:
					if (PAIRP(BgL_l1569z00_2710))
						{	/* SawJvm/compile.scm 42 */
							BGl_compilezd2classzd2zzsaw_jvm_compilez00(BgL_mez00_13,
								CAR(BgL_l1569z00_2710));
							{
								obj_t BgL_l1569z00_3675;

								BgL_l1569z00_3675 = CDR(BgL_l1569z00_2710);
								BgL_l1569z00_2710 = BgL_l1569z00_3675;
								goto BgL_zc3z04anonymousza31626ze3z87_2711;
							}
						}
					else
						{	/* SawJvm/compile.scm 42 */
							((bool_t) 1);
						}
				}
			}
			BGL_TAIL return BGl_compilezd2modulezd2zzsaw_jvm_compilez00(BgL_mez00_13);
		}

	}



/* &saw_jvm-compile */
	obj_t BGl_z62saw_jvmzd2compilezb0zzsaw_jvm_compilez00(obj_t BgL_envz00_3616,
		obj_t BgL_mez00_3617)
	{
		{	/* SawJvm/compile.scm 40 */
			return
				BGl_saw_jvmzd2compilezd2zzsaw_jvm_compilez00(
				((BgL_jvmz00_bglt) BgL_mez00_3617));
		}

	}



/* compile-class */
	obj_t BGl_compilezd2classzd2zzsaw_jvm_compilez00(BgL_jvmz00_bglt BgL_mez00_14,
		obj_t BgL_cz00_15)
	{
		{	/* SawJvm/compile.scm 48 */
			{	/* SawJvm/compile.scm 49 */
				BgL_typez00_bglt BgL_arg1632z00_2716;

				BgL_arg1632z00_2716 =
					BGl_getzd2itszd2superz00zzbackend_cplibz00(
					((BgL_typez00_bglt) BgL_cz00_15));
				BGl_openzd2classzd2zzsaw_jvm_outz00(BgL_mez00_14,
					((BgL_typez00_bglt) BgL_cz00_15), ((obj_t) BgL_arg1632z00_2716));
			}
			{	/* SawJvm/compile.scm 50 */
				obj_t BgL_g1574z00_2717;

				BgL_g1574z00_2717 =
					BGl_getzd2declaredzd2fieldsz00zzbackend_cplibz00(
					((BgL_typez00_bglt) BgL_cz00_15));
				{
					obj_t BgL_l1572z00_2719;

					BgL_l1572z00_2719 = BgL_g1574z00_2717;
				BgL_zc3z04anonymousza31633ze3z87_2720:
					if (PAIRP(BgL_l1572z00_2719))
						{	/* SawJvm/compile.scm 50 */
							{	/* SawJvm/compile.scm 50 */
								obj_t BgL_fz00_2722;

								BgL_fz00_2722 = CAR(BgL_l1572z00_2719);
								BGl_compilezd2slotzd2zzsaw_jvm_outz00(BgL_mez00_14,
									((BgL_slotz00_bglt) BgL_fz00_2722));
							}
							{
								obj_t BgL_l1572z00_3692;

								BgL_l1572z00_3692 = CDR(BgL_l1572z00_2719);
								BgL_l1572z00_2719 = BgL_l1572z00_3692;
								goto BgL_zc3z04anonymousza31633ze3z87_2720;
							}
						}
					else
						{	/* SawJvm/compile.scm 50 */
							((bool_t) 1);
						}
				}
			}
			BGl_constructorz00zzsaw_jvm_compilez00(BgL_mez00_14);
			return
				BGl_closezd2classzd2zzsaw_jvm_outz00(BgL_mez00_14,
				((BgL_typez00_bglt) BgL_cz00_15));
		}

	}



/* compile-module */
	obj_t BGl_compilezd2modulezd2zzsaw_jvm_compilez00(BgL_jvmz00_bglt
		BgL_mez00_16)
	{
		{	/* SawJvm/compile.scm 57 */
			BGl_openzd2modulezd2zzsaw_jvm_outz00(BgL_mez00_16);
			{	/* SawJvm/compile.scm 59 */
				obj_t BgL_g1577z00_2725;

				BgL_g1577z00_2725 =
					BGl_getzd2declaredzd2globalzd2variableszd2zzbackend_cplibz00
					(BGl_za2moduleza2z00zzmodule_modulez00);
				{
					obj_t BgL_l1575z00_2727;

					BgL_l1575z00_2727 = BgL_g1577z00_2725;
				BgL_zc3z04anonymousza31636ze3z87_2728:
					if (PAIRP(BgL_l1575z00_2727))
						{	/* SawJvm/compile.scm 60 */
							{	/* SawJvm/compile.scm 59 */
								obj_t BgL_vz00_2730;

								BgL_vz00_2730 = CAR(BgL_l1575z00_2727);
								BGl_compilezd2globalzd2zzsaw_jvm_outz00(BgL_mez00_16,
									((BgL_globalz00_bglt) BgL_vz00_2730));
							}
							{
								obj_t BgL_l1575z00_3704;

								BgL_l1575z00_3704 = CDR(BgL_l1575z00_2727);
								BgL_l1575z00_2727 = BgL_l1575z00_3704;
								goto BgL_zc3z04anonymousza31636ze3z87_2728;
							}
						}
					else
						{	/* SawJvm/compile.scm 60 */
							((bool_t) 1);
						}
				}
			}
			{	/* SawJvm/compile.scm 61 */
				bool_t BgL_test2045z00_3706;

				{	/* SawJvm/compile.scm 61 */
					obj_t BgL_arg1649z00_2736;

					BgL_arg1649z00_2736 = BGl_getzd2cnstzd2offsetz00zzcnst_allocz00();
					BgL_test2045z00_3706 = ((long) CINT(BgL_arg1649z00_2736) > 0L);
				}
				if (BgL_test2045z00_3706)
					{	/* SawJvm/compile.scm 61 */
						obj_t BgL_arg1648z00_2735;

						BgL_arg1648z00_2735 = BGl_getzd2cnstzd2tablez00zzcnst_allocz00();
						BGl_compilezd2globalzd2zzsaw_jvm_outz00(BgL_mez00_16,
							((BgL_globalz00_bglt) BgL_arg1648z00_2735));
					}
				else
					{	/* SawJvm/compile.scm 61 */
						BFALSE;
					}
			}
			{	/* SawJvm/compile.scm 62 */
				bool_t BgL_test2046z00_3713;

				{	/* SawJvm/compile.scm 62 */
					obj_t BgL_objz00_3420;

					BgL_objz00_3420 = BGl_za2mainza2z00zzmodule_modulez00;
					{	/* SawJvm/compile.scm 62 */
						obj_t BgL_classz00_3421;

						BgL_classz00_3421 = BGl_globalz00zzast_varz00;
						if (BGL_OBJECTP(BgL_objz00_3420))
							{	/* SawJvm/compile.scm 62 */
								BgL_objectz00_bglt BgL_arg1858z00_3423;

								BgL_arg1858z00_3423 = (BgL_objectz00_bglt) (BgL_objz00_3420);
								if (BGL_CONDEXPAND_ISA_ARCH64())
									{	/* SawJvm/compile.scm 62 */
										long BgL_idxz00_3429;

										BgL_idxz00_3429 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_3423);
										BgL_test2046z00_3713 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_3429 + 2L)) == BgL_classz00_3421);
									}
								else
									{	/* SawJvm/compile.scm 62 */
										bool_t BgL_res2026z00_3454;

										{	/* SawJvm/compile.scm 62 */
											obj_t BgL_oclassz00_3437;

											{	/* SawJvm/compile.scm 62 */
												obj_t BgL_arg1866z00_3445;
												long BgL_arg1867z00_3446;

												BgL_arg1866z00_3445 =
													(BGl_za2classesza2z00zz__objectz00);
												{	/* SawJvm/compile.scm 62 */
													long BgL_arg1869z00_3447;

													BgL_arg1869z00_3447 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_3423);
													BgL_arg1867z00_3446 =
														(BgL_arg1869z00_3447 - OBJECT_TYPE);
												}
												BgL_oclassz00_3437 =
													VECTOR_REF(BgL_arg1866z00_3445, BgL_arg1867z00_3446);
											}
											{	/* SawJvm/compile.scm 62 */
												bool_t BgL__ortest_1115z00_3438;

												BgL__ortest_1115z00_3438 =
													(BgL_classz00_3421 == BgL_oclassz00_3437);
												if (BgL__ortest_1115z00_3438)
													{	/* SawJvm/compile.scm 62 */
														BgL_res2026z00_3454 = BgL__ortest_1115z00_3438;
													}
												else
													{	/* SawJvm/compile.scm 62 */
														long BgL_odepthz00_3439;

														{	/* SawJvm/compile.scm 62 */
															obj_t BgL_arg1855z00_3440;

															BgL_arg1855z00_3440 = (BgL_oclassz00_3437);
															BgL_odepthz00_3439 =
																BGL_CLASS_DEPTH(BgL_arg1855z00_3440);
														}
														if ((2L < BgL_odepthz00_3439))
															{	/* SawJvm/compile.scm 62 */
																obj_t BgL_arg1853z00_3442;

																{	/* SawJvm/compile.scm 62 */
																	obj_t BgL_arg1854z00_3443;

																	BgL_arg1854z00_3443 = (BgL_oclassz00_3437);
																	BgL_arg1853z00_3442 =
																		BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_3443,
																		2L);
																}
																BgL_res2026z00_3454 =
																	(BgL_arg1853z00_3442 == BgL_classz00_3421);
															}
														else
															{	/* SawJvm/compile.scm 62 */
																BgL_res2026z00_3454 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_test2046z00_3713 = BgL_res2026z00_3454;
									}
							}
						else
							{	/* SawJvm/compile.scm 62 */
								BgL_test2046z00_3713 = ((bool_t) 0);
							}
					}
				}
				if (BgL_test2046z00_3713)
					{	/* SawJvm/compile.scm 62 */
						BGl_modulezd2mainzd2zzsaw_jvm_compilez00(BgL_mez00_16);
					}
				else
					{	/* SawJvm/compile.scm 62 */
						BFALSE;
					}
			}
			BGl_constructorz00zzsaw_jvm_compilez00(BgL_mez00_16);
			BGl_modulezd2funcallzf2applyz20zzsaw_jvm_funcallz00(BgL_mez00_16);
			BGl_modulezd2initzd2zzsaw_jvm_compilez00(BgL_mez00_16);
			BGl_modulezd2dlopenzd2zzsaw_jvm_compilez00(BgL_mez00_16);
			BGl_modulezd2functionszd2zzsaw_jvm_compilez00(BgL_mez00_16);
			BGl_modulezd2lightzd2funcallz00zzsaw_jvm_funcallz00(BgL_mez00_16);
			BGL_TAIL return BGl_closezd2modulezd2zzsaw_jvm_outz00(BgL_mez00_16);
		}

	}



/* module-main */
	obj_t BGl_modulezd2mainzd2zzsaw_jvm_compilez00(BgL_jvmz00_bglt BgL_mez00_17)
	{
		{	/* SawJvm/compile.scm 74 */
			BGl_openzd2libzd2methodz00zzsaw_jvm_outz00(BgL_mez00_17,
				((obj_t) CNST_TABLE_REF(0)));
			BGl_declarezd2localszd2zzsaw_jvm_outz00(BgL_mez00_17,
				((obj_t) CNST_TABLE_REF(1)), BNIL);
			if (CBOOL(BGl_za2jvmzd2catchza2zd2zzengine_paramz00))
				{	/* SawJvm/compile.scm 77 */
					BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_17,
						((obj_t) CNST_TABLE_REF(2)));
					BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_17,
						((obj_t) CNST_TABLE_REF(3)));
				}
			else
				{	/* SawJvm/compile.scm 77 */
					BFALSE;
				}
			BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_17, ((obj_t) CNST_TABLE_REF(4)));
			BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_17, ((obj_t) CNST_TABLE_REF(5)));
			BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_17, ((obj_t) CNST_TABLE_REF(6)));
			{	/* SawJvm/compile.scm 83 */
				obj_t BgL_arg1653z00_2738;

				{	/* SawJvm/compile.scm 83 */
					obj_t BgL_list1654z00_2739;

					BgL_list1654z00_2739 =
						MAKE_YOUNG_PAIR(BGl_za2moduleza2z00zzmodule_modulez00, BNIL);
					BgL_arg1653z00_2738 =
						BGl_findzd2globalzd2zzast_envz00(
						((obj_t) CNST_TABLE_REF(7)), BgL_list1654z00_2739);
				}
				BGl_callzd2globalzd2zzsaw_jvm_outz00(BgL_mez00_17,
					((BgL_globalz00_bglt) BgL_arg1653z00_2738));
			}
			BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_17, ((obj_t) CNST_TABLE_REF(8)));
			BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_17, ((obj_t) CNST_TABLE_REF(9)));
			if (CBOOL(BGl_za2jvmzd2catchza2zd2zzengine_paramz00))
				{	/* SawJvm/compile.scm 86 */
					BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_17,
						((obj_t) CNST_TABLE_REF(10)));
					BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_17,
						((obj_t) CNST_TABLE_REF(11)));
					BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_17,
						((obj_t) CNST_TABLE_REF(9)));
				}
			else
				{	/* SawJvm/compile.scm 86 */
					BFALSE;
				}
			BGL_TAIL return BGl_closezd2methodzd2zzsaw_jvm_outz00(BgL_mez00_17);
		}

	}



/* constructor */
	obj_t BGl_constructorz00zzsaw_jvm_compilez00(BgL_jvmz00_bglt BgL_mez00_18)
	{
		{	/* SawJvm/compile.scm 95 */
			BGl_openzd2libzd2methodz00zzsaw_jvm_outz00(BgL_mez00_18,
				((obj_t) CNST_TABLE_REF(12)));
			BGl_declarezd2localszd2zzsaw_jvm_outz00(BgL_mez00_18,
				((obj_t) CNST_TABLE_REF(13)), BNIL);
			BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_18,
				((obj_t) CNST_TABLE_REF(14)));
			BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_18,
				((obj_t) CNST_TABLE_REF(15)));
			BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_18, ((obj_t) CNST_TABLE_REF(9)));
			BGL_TAIL return BGl_closezd2methodzd2zzsaw_jvm_outz00(BgL_mez00_18);
		}

	}



/* module-init */
	obj_t BGl_modulezd2initzd2zzsaw_jvm_compilez00(BgL_jvmz00_bglt BgL_mez00_19)
	{
		{	/* SawJvm/compile.scm 106 */
			BGl_openzd2libzd2methodz00zzsaw_jvm_outz00(BgL_mez00_19,
				((obj_t) CNST_TABLE_REF(16)));
			BGl_declarezd2localszd2zzsaw_jvm_outz00(BgL_mez00_19, BNIL, BNIL);
			{	/* SawJvm/compile.scm 110 */
				bool_t BgL_test2053z00_3811;

				if (INTEGERP(BGl_za2debugzd2moduleza2zd2zzengine_paramz00))
					{	/* SawJvm/compile.scm 110 */
						BgL_test2053z00_3811 =
							((long) CINT(BGl_za2debugzd2moduleza2zd2zzengine_paramz00) > 0L);
					}
				else
					{	/* SawJvm/compile.scm 110 */
						BgL_test2053z00_3811 =
							BGl_2ze3ze3zz__r4_numbers_6_5z00
							(BGl_za2debugzd2moduleza2zd2zzengine_paramz00, BINT(0L));
					}
				if (BgL_test2053z00_3811)
					{	/* SawJvm/compile.scm 110 */
						{	/* SawJvm/compile.scm 111 */
							obj_t BgL_arg1656z00_2741;

							{	/* SawJvm/compile.scm 111 */
								obj_t BgL_arg1657z00_2742;

								{	/* SawJvm/compile.scm 111 */
									obj_t BgL_arg1660z00_2743;

									{	/* SawJvm/compile.scm 111 */
										obj_t BgL_symbolz00_3456;

										BgL_symbolz00_3456 = BGl_za2moduleza2z00zzmodule_modulez00;
										{	/* SawJvm/compile.scm 111 */
											obj_t BgL_arg1486z00_3457;

											BgL_arg1486z00_3457 =
												SYMBOL_TO_STRING(BgL_symbolz00_3456);
											BgL_arg1660z00_2743 =
												BGl_stringzd2copyzd2zz__r4_strings_6_7z00
												(BgL_arg1486z00_3457);
										}
									}
									BgL_arg1657z00_2742 =
										MAKE_YOUNG_PAIR(BgL_arg1660z00_2743, BNIL);
								}
								BgL_arg1656z00_2741 =
									MAKE_YOUNG_PAIR(
									((obj_t) CNST_TABLE_REF(17)), BgL_arg1657z00_2742);
							}
							BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_19, BgL_arg1656z00_2741);
						}
						BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_19,
							((obj_t) CNST_TABLE_REF(18)));
					}
				else
					{	/* SawJvm/compile.scm 110 */
						BFALSE;
					}
			}
			{	/* SawJvm/compile.scm 114 */
				obj_t BgL_arg1663z00_2744;

				{	/* SawJvm/compile.scm 114 */
					obj_t BgL_arg1664z00_2745;

					{	/* SawJvm/compile.scm 114 */
						obj_t BgL_arg1673z00_2746;

						{	/* SawJvm/compile.scm 114 */
							obj_t BgL_symbolz00_3458;

							BgL_symbolz00_3458 = BGl_za2moduleza2z00zzmodule_modulez00;
							{	/* SawJvm/compile.scm 114 */
								obj_t BgL_arg1486z00_3459;

								BgL_arg1486z00_3459 = SYMBOL_TO_STRING(BgL_symbolz00_3458);
								BgL_arg1673z00_2746 =
									BGl_stringzd2copyzd2zz__r4_strings_6_7z00
									(BgL_arg1486z00_3459);
							}
						}
						BgL_arg1664z00_2745 = MAKE_YOUNG_PAIR(BgL_arg1673z00_2746, BNIL);
					}
					BgL_arg1663z00_2744 =
						MAKE_YOUNG_PAIR(((obj_t) CNST_TABLE_REF(17)), BgL_arg1664z00_2745);
				}
				BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_19, BgL_arg1663z00_2744);
			}
			BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_19,
				((obj_t) CNST_TABLE_REF(19)));
			{	/* SawJvm/compile.scm 117 */
				obj_t BgL_siza7eza7_2747;

				BgL_siza7eza7_2747 = BGl_getzd2cnstzd2offsetz00zzcnst_allocz00();
				if (((long) CINT(BgL_siza7eza7_2747) > 0L))
					{	/* SawJvm/compile.scm 118 */
						BGl_pushzd2intzd2zzsaw_jvm_outz00(BgL_mez00_19, BgL_siza7eza7_2747);
						BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_19,
							((obj_t) CNST_TABLE_REF(20)));
						{	/* SawJvm/compile.scm 121 */
							obj_t BgL_arg1675z00_2749;

							{	/* SawJvm/compile.scm 121 */
								obj_t BgL_arg1677z00_2750;

								{	/* SawJvm/compile.scm 121 */
									obj_t BgL_arg1679z00_2751;

									{	/* SawJvm/compile.scm 121 */
										obj_t BgL_arg1680z00_2752;

										BgL_arg1680z00_2752 =
											BGl_getzd2cnstzd2tablez00zzcnst_allocz00();
										BgL_arg1679z00_2751 =
											BGl_declarezd2globalzd2zzsaw_jvm_outz00(BgL_mez00_19,
											((BgL_globalz00_bglt) BgL_arg1680z00_2752));
									}
									BgL_arg1677z00_2750 =
										MAKE_YOUNG_PAIR(BgL_arg1679z00_2751, BNIL);
								}
								BgL_arg1675z00_2749 =
									MAKE_YOUNG_PAIR(
									((obj_t) CNST_TABLE_REF(21)), BgL_arg1677z00_2750);
							}
							BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_19, BgL_arg1675z00_2749);
					}}
				else
					{	/* SawJvm/compile.scm 118 */
						BFALSE;
					}
			}
			{	/* SawJvm/compile.scm 123 */
				obj_t BgL_g1580z00_2753;

				BgL_g1580z00_2753 =
					BGl_getzd2globalzd2variableszd2tozd2bezd2initializa7edz75zzbackend_cplibz00
					(BGl_za2moduleza2z00zzmodule_modulez00);
				{
					obj_t BgL_l1578z00_2755;

					BgL_l1578z00_2755 = BgL_g1580z00_2753;
				BgL_zc3z04anonymousza31681ze3z87_2756:
					if (PAIRP(BgL_l1578z00_2755))
						{	/* SawJvm/compile.scm 124 */
							{	/* SawJvm/compile.scm 123 */
								obj_t BgL_vz00_2758;

								BgL_vz00_2758 = CAR(BgL_l1578z00_2755);
								{	/* SawJvm/compile.scm 123 */
									BgL_valuez00_bglt BgL_arg1686z00_2759;

									BgL_arg1686z00_2759 =
										(((BgL_variablez00_bglt) COBJECT(
												((BgL_variablez00_bglt)
													((BgL_globalz00_bglt) BgL_vz00_2758))))->
										BgL_valuez00);
									BGl_modulezd2initzd2cnstz00zzsaw_jvm_compilez00(BgL_mez00_19,
										BgL_vz00_2758, BgL_arg1686z00_2759);
								}
							}
							{
								obj_t BgL_l1578z00_3862;

								BgL_l1578z00_3862 = CDR(BgL_l1578z00_2755);
								BgL_l1578z00_2755 = BgL_l1578z00_3862;
								goto BgL_zc3z04anonymousza31681ze3z87_2756;
							}
						}
					else
						{	/* SawJvm/compile.scm 124 */
							((bool_t) 1);
						}
				}
			}
			if (CBOOL(BGl_za2jvmzd2cinitzd2moduleza2z00zzengine_paramz00))
				{	/* SawJvm/compile.scm 125 */
					BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_19,
						((obj_t) CNST_TABLE_REF(22)));
					BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_19,
						((obj_t) CNST_TABLE_REF(23)));
					{	/* SawJvm/compile.scm 129 */
						obj_t BgL_arg1692z00_2762;

						{	/* SawJvm/compile.scm 129 */
							obj_t BgL_list1693z00_2763;

							BgL_list1693z00_2763 =
								MAKE_YOUNG_PAIR(BGl_za2moduleza2z00zzmodule_modulez00, BNIL);
							BgL_arg1692z00_2762 =
								BGl_findzd2globalzd2zzast_envz00(
								((obj_t) CNST_TABLE_REF(24)), BgL_list1693z00_2763);
						}
						BGl_callzd2globalzd2zzsaw_jvm_outz00(BgL_mez00_19,
							((BgL_globalz00_bglt) BgL_arg1692z00_2762));
					}
					BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_19,
						((obj_t) CNST_TABLE_REF(8)));
				}
			else
				{	/* SawJvm/compile.scm 125 */
					BFALSE;
				}
			BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_19, ((obj_t) CNST_TABLE_REF(9)));
			BGL_TAIL return BGl_closezd2methodzd2zzsaw_jvm_outz00(BgL_mez00_19);
		}

	}



/* key-opt? */
	bool_t BGl_keyzd2optzf3z21zzsaw_jvm_compilez00(obj_t BgL_vz00_20)
	{
		{	/* SawJvm/compile.scm 134 */
			{	/* SawJvm/compile.scm 135 */
				BgL_globalz00_bglt BgL_vz00_2764;

				BgL_vz00_2764 =
					BGl_globalzd2entryzd2zzbackend_cplibz00(
					((BgL_globalz00_bglt) BgL_vz00_20));
				{	/* SawJvm/compile.scm 136 */
					BgL_valuez00_bglt BgL_valz00_2765;

					BgL_valz00_2765 =
						(((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt) BgL_vz00_2764)))->BgL_valuez00);
					{	/* SawJvm/compile.scm 137 */
						bool_t BgL_test2058z00_3889;

						{	/* SawJvm/compile.scm 137 */
							obj_t BgL_classz00_3465;

							BgL_classz00_3465 = BGl_sfunz00zzast_varz00;
							{	/* SawJvm/compile.scm 137 */
								BgL_objectz00_bglt BgL_arg1858z00_3467;

								{	/* SawJvm/compile.scm 137 */
									obj_t BgL_tmpz00_3890;

									BgL_tmpz00_3890 =
										((obj_t) ((BgL_objectz00_bglt) BgL_valz00_2765));
									BgL_arg1858z00_3467 = (BgL_objectz00_bglt) (BgL_tmpz00_3890);
								}
								if (BGL_CONDEXPAND_ISA_ARCH64())
									{	/* SawJvm/compile.scm 137 */
										long BgL_idxz00_3473;

										BgL_idxz00_3473 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_3467);
										BgL_test2058z00_3889 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_3473 + 3L)) == BgL_classz00_3465);
									}
								else
									{	/* SawJvm/compile.scm 137 */
										bool_t BgL_res2027z00_3498;

										{	/* SawJvm/compile.scm 137 */
											obj_t BgL_oclassz00_3481;

											{	/* SawJvm/compile.scm 137 */
												obj_t BgL_arg1866z00_3489;
												long BgL_arg1867z00_3490;

												BgL_arg1866z00_3489 =
													(BGl_za2classesza2z00zz__objectz00);
												{	/* SawJvm/compile.scm 137 */
													long BgL_arg1869z00_3491;

													BgL_arg1869z00_3491 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_3467);
													BgL_arg1867z00_3490 =
														(BgL_arg1869z00_3491 - OBJECT_TYPE);
												}
												BgL_oclassz00_3481 =
													VECTOR_REF(BgL_arg1866z00_3489, BgL_arg1867z00_3490);
											}
											{	/* SawJvm/compile.scm 137 */
												bool_t BgL__ortest_1115z00_3482;

												BgL__ortest_1115z00_3482 =
													(BgL_classz00_3465 == BgL_oclassz00_3481);
												if (BgL__ortest_1115z00_3482)
													{	/* SawJvm/compile.scm 137 */
														BgL_res2027z00_3498 = BgL__ortest_1115z00_3482;
													}
												else
													{	/* SawJvm/compile.scm 137 */
														long BgL_odepthz00_3483;

														{	/* SawJvm/compile.scm 137 */
															obj_t BgL_arg1855z00_3484;

															BgL_arg1855z00_3484 = (BgL_oclassz00_3481);
															BgL_odepthz00_3483 =
																BGL_CLASS_DEPTH(BgL_arg1855z00_3484);
														}
														if ((3L < BgL_odepthz00_3483))
															{	/* SawJvm/compile.scm 137 */
																obj_t BgL_arg1853z00_3486;

																{	/* SawJvm/compile.scm 137 */
																	obj_t BgL_arg1854z00_3487;

																	BgL_arg1854z00_3487 = (BgL_oclassz00_3481);
																	BgL_arg1853z00_3486 =
																		BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_3487,
																		3L);
																}
																BgL_res2027z00_3498 =
																	(BgL_arg1853z00_3486 == BgL_classz00_3465);
															}
														else
															{	/* SawJvm/compile.scm 137 */
																BgL_res2027z00_3498 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_test2058z00_3889 = BgL_res2027z00_3498;
									}
							}
						}
						if (BgL_test2058z00_3889)
							{	/* SawJvm/compile.scm 138 */
								obj_t BgL_cloz00_2767;

								BgL_cloz00_2767 =
									(((BgL_sfunz00_bglt) COBJECT(
											((BgL_sfunz00_bglt) BgL_valz00_2765)))->
									BgL_thezd2closurezd2globalz00);
								{	/* SawJvm/compile.scm 139 */
									bool_t BgL_oz00_2768;
									bool_t BgL_kz00_2769;

									BgL_oz00_2768 =
										BGl_globalzd2optionalzf3z21zzast_varz00(BgL_cloz00_2767);
									BgL_kz00_2769 =
										BGl_globalzd2keyzf3z21zzast_varz00(BgL_cloz00_2767);
									if (BgL_oz00_2768)
										{	/* SawJvm/compile.scm 140 */
											return BgL_oz00_2768;
										}
									else
										{	/* SawJvm/compile.scm 140 */
											return BgL_kz00_2769;
										}
								}
							}
						else
							{	/* SawJvm/compile.scm 137 */
								return ((bool_t) 0);
							}
					}
				}
			}
		}

	}



/* module-init-cnst */
	obj_t BGl_modulezd2initzd2cnstz00zzsaw_jvm_compilez00(BgL_jvmz00_bglt
		BgL_mez00_21, obj_t BgL_varz00_22, BgL_valuez00_bglt BgL_valz00_23)
	{
		{	/* SawJvm/compile.scm 142 */
			{	/* SawJvm/compile.scm 144 */
				obj_t BgL_casezd2valuezd2_2772;

				BgL_casezd2valuezd2_2772 =
					(((BgL_scnstz00_bglt) COBJECT(
							((BgL_scnstz00_bglt) BgL_valz00_23)))->BgL_classz00);
				if ((BgL_casezd2valuezd2_2772 == ((obj_t) CNST_TABLE_REF(25))))
					{	/* SawJvm/compile.scm 144 */
						{	/* SawJvm/compile.scm 146 */
							obj_t BgL_arg1696z00_2774;

							BgL_arg1696z00_2774 =
								(((BgL_scnstz00_bglt) COBJECT(
										((BgL_scnstz00_bglt) BgL_valz00_23)))->BgL_nodez00);
							BGl_pushzd2stringzd2zzsaw_jvm_outz00(BgL_mez00_21,
								BgL_arg1696z00_2774);
						}
						BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_21,
							((obj_t) CNST_TABLE_REF(26)));
					}
				else
					{	/* SawJvm/compile.scm 144 */
						if ((BgL_casezd2valuezd2_2772 == ((obj_t) CNST_TABLE_REF(27))))
							{	/* SawJvm/compile.scm 144 */
								{	/* SawJvm/compile.scm 149 */
									obj_t BgL_arg1699z00_2776;

									BgL_arg1699z00_2776 =
										(((BgL_scnstz00_bglt) COBJECT(
												((BgL_scnstz00_bglt) BgL_valz00_23)))->BgL_nodez00);
									BGl_pushzd2numzd2zzsaw_jvm_outz00(BgL_mez00_21,
										BgL_arg1699z00_2776, ((obj_t) CNST_TABLE_REF(28)));
								}
								BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_21,
									((obj_t) CNST_TABLE_REF(29)));
							}
						else
							{	/* SawJvm/compile.scm 144 */
								if ((BgL_casezd2valuezd2_2772 == ((obj_t) CNST_TABLE_REF(30))))
									{	/* SawJvm/compile.scm 144 */
										{	/* SawJvm/compile.scm 152 */
											obj_t BgL_arg1703z00_2778;

											BgL_arg1703z00_2778 =
												(((BgL_scnstz00_bglt) COBJECT(
														((BgL_scnstz00_bglt) BgL_valz00_23)))->BgL_nodez00);
											BGl_pushzd2numzd2zzsaw_jvm_outz00(BgL_mez00_21,
												BgL_arg1703z00_2778, ((obj_t) CNST_TABLE_REF(31)));
										}
										BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_21,
											((obj_t) CNST_TABLE_REF(32)));
									}
								else
									{	/* SawJvm/compile.scm 144 */
										if (
											(BgL_casezd2valuezd2_2772 ==
												((obj_t) CNST_TABLE_REF(33))))
											{	/* SawJvm/compile.scm 144 */
												{	/* SawJvm/compile.scm 155 */
													obj_t BgL_arg1715z00_2780;

													BgL_arg1715z00_2780 =
														(((BgL_scnstz00_bglt) COBJECT(
																((BgL_scnstz00_bglt) BgL_valz00_23)))->
														BgL_nodez00);
													BGl_pushzd2numzd2zzsaw_jvm_outz00(BgL_mez00_21,
														BgL_arg1715z00_2780, ((obj_t) CNST_TABLE_REF(31)));
												}
												BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_21,
													((obj_t) CNST_TABLE_REF(34)));
											}
										else
											{	/* SawJvm/compile.scm 144 */
												bool_t BgL_test2067z00_3966;

												{	/* SawJvm/compile.scm 144 */
													bool_t BgL__ortest_1170z00_2873;

													BgL__ortest_1170z00_2873 =
														(BgL_casezd2valuezd2_2772 ==
														((obj_t) CNST_TABLE_REF(35)));
													if (BgL__ortest_1170z00_2873)
														{	/* SawJvm/compile.scm 144 */
															BgL_test2067z00_3966 = BgL__ortest_1170z00_2873;
														}
													else
														{	/* SawJvm/compile.scm 144 */
															BgL_test2067z00_3966 =
																(BgL_casezd2valuezd2_2772 ==
																((obj_t) CNST_TABLE_REF(36)));
														}
												}
												if (BgL_test2067z00_3966)
													{	/* SawJvm/compile.scm 144 */
														{	/* SawJvm/compile.scm 158 */
															obj_t BgL_arg1717z00_2783;

															BgL_arg1717z00_2783 =
																(((BgL_scnstz00_bglt) COBJECT(
																		((BgL_scnstz00_bglt) BgL_valz00_23)))->
																BgL_nodez00);
															BGl_pushzd2numzd2zzsaw_jvm_outz00(BgL_mez00_21,
																BgL_arg1717z00_2783,
																((obj_t) CNST_TABLE_REF(31)));
														}
														BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_21,
															((obj_t) CNST_TABLE_REF(37)));
													}
												else
													{	/* SawJvm/compile.scm 144 */
														bool_t BgL_test2069z00_3982;

														{	/* SawJvm/compile.scm 144 */
															bool_t BgL__ortest_1171z00_2872;

															BgL__ortest_1171z00_2872 =
																(BgL_casezd2valuezd2_2772 ==
																((obj_t) CNST_TABLE_REF(38)));
															if (BgL__ortest_1171z00_2872)
																{	/* SawJvm/compile.scm 144 */
																	BgL_test2069z00_3982 =
																		BgL__ortest_1171z00_2872;
																}
															else
																{	/* SawJvm/compile.scm 144 */
																	BgL_test2069z00_3982 =
																		(BgL_casezd2valuezd2_2772 ==
																		((obj_t) CNST_TABLE_REF(39)));
																}
														}
														if (BgL_test2069z00_3982)
															{	/* SawJvm/compile.scm 144 */
																{	/* SawJvm/compile.scm 161 */
																	obj_t BgL_arg1720z00_2786;

																	BgL_arg1720z00_2786 =
																		(((BgL_scnstz00_bglt) COBJECT(
																				((BgL_scnstz00_bglt) BgL_valz00_23)))->
																		BgL_nodez00);
																	BGl_pushzd2numzd2zzsaw_jvm_outz00
																		(BgL_mez00_21, BgL_arg1720z00_2786,
																		((obj_t) CNST_TABLE_REF(40)));
																}
																BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_21,
																	((obj_t) CNST_TABLE_REF(41)));
															}
														else
															{	/* SawJvm/compile.scm 144 */
																bool_t BgL_test2071z00_3998;

																{	/* SawJvm/compile.scm 144 */
																	bool_t BgL__ortest_1172z00_2871;

																	BgL__ortest_1172z00_2871 =
																		(BgL_casezd2valuezd2_2772 ==
																		((obj_t) CNST_TABLE_REF(42)));
																	if (BgL__ortest_1172z00_2871)
																		{	/* SawJvm/compile.scm 144 */
																			BgL_test2071z00_3998 =
																				BgL__ortest_1172z00_2871;
																		}
																	else
																		{	/* SawJvm/compile.scm 144 */
																			BgL_test2071z00_3998 =
																				(BgL_casezd2valuezd2_2772 ==
																				((obj_t) CNST_TABLE_REF(43)));
																		}
																}
																if (BgL_test2071z00_3998)
																	{	/* SawJvm/compile.scm 144 */
																		{	/* SawJvm/compile.scm 164 */
																			obj_t BgL_arg1724z00_2789;

																			BgL_arg1724z00_2789 =
																				(((BgL_scnstz00_bglt) COBJECT(
																						((BgL_scnstz00_bglt)
																							BgL_valz00_23)))->BgL_nodez00);
																			BGl_pushzd2numzd2zzsaw_jvm_outz00
																				(BgL_mez00_21, BgL_arg1724z00_2789,
																				((obj_t) CNST_TABLE_REF(44)));
																		}
																		BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_21,
																			((obj_t) CNST_TABLE_REF(45)));
																	}
																else
																	{	/* SawJvm/compile.scm 144 */
																		bool_t BgL_test2073z00_4014;

																		{	/* SawJvm/compile.scm 144 */
																			bool_t BgL__ortest_1173z00_2870;

																			BgL__ortest_1173z00_2870 =
																				(BgL_casezd2valuezd2_2772 ==
																				((obj_t) CNST_TABLE_REF(46)));
																			if (BgL__ortest_1173z00_2870)
																				{	/* SawJvm/compile.scm 144 */
																					BgL_test2073z00_4014 =
																						BgL__ortest_1173z00_2870;
																				}
																			else
																				{	/* SawJvm/compile.scm 144 */
																					BgL_test2073z00_4014 =
																						(BgL_casezd2valuezd2_2772 ==
																						((obj_t) CNST_TABLE_REF(47)));
																				}
																		}
																		if (BgL_test2073z00_4014)
																			{	/* SawJvm/compile.scm 144 */
																				{	/* SawJvm/compile.scm 167 */
																					obj_t BgL_arg1729z00_2792;

																					BgL_arg1729z00_2792 =
																						(((BgL_scnstz00_bglt) COBJECT(
																								((BgL_scnstz00_bglt)
																									BgL_valz00_23)))->
																						BgL_nodez00);
																					BGl_pushzd2numzd2zzsaw_jvm_outz00
																						(BgL_mez00_21, BgL_arg1729z00_2792,
																						((obj_t) CNST_TABLE_REF(48)));
																				}
																				BGl_codez12z12zzsaw_jvm_outz00
																					(BgL_mez00_21,
																					((obj_t) CNST_TABLE_REF(49)));
																			}
																		else
																			{	/* SawJvm/compile.scm 144 */
																				if (
																					(BgL_casezd2valuezd2_2772 ==
																						((obj_t) CNST_TABLE_REF(50))))
																					{	/* SawJvm/compile.scm 144 */
																						BGl_codez12z12zzsaw_jvm_outz00
																							(BgL_mez00_21,
																							((obj_t) CNST_TABLE_REF(51)));
																						BGl_codez12z12zzsaw_jvm_outz00
																							(BgL_mez00_21,
																							((obj_t) CNST_TABLE_REF(52)));
																						BGl_codez12z12zzsaw_jvm_outz00
																							(BgL_mez00_21,
																							((obj_t) CNST_TABLE_REF(53)));
																						BGl_codez12z12zzsaw_jvm_outz00
																							(BgL_mez00_21,
																							((obj_t) CNST_TABLE_REF(52)));
																						{	/* SawJvm/compile.scm 174 */
																							int BgL_arg1746z00_2794;

																							{
																								BgL_indexedz00_bglt
																									BgL_auxz00_4046;
																								{
																									obj_t BgL_auxz00_4047;

																									{	/* SawJvm/compile.scm 174 */
																										BgL_objectz00_bglt
																											BgL_tmpz00_4048;
																										BgL_tmpz00_4048 =
																											((BgL_objectz00_bglt) (
																												(BgL_globalz00_bglt)
																												BgL_varz00_22));
																										BgL_auxz00_4047 =
																											BGL_OBJECT_WIDENING
																											(BgL_tmpz00_4048);
																									}
																									BgL_auxz00_4046 =
																										((BgL_indexedz00_bglt)
																										BgL_auxz00_4047);
																								}
																								BgL_arg1746z00_2794 =
																									(((BgL_indexedz00_bglt)
																										COBJECT(BgL_auxz00_4046))->
																									BgL_indexz00);
																							}
																							BGl_pushzd2intzd2zzsaw_jvm_outz00
																								(BgL_mez00_21,
																								BINT(BgL_arg1746z00_2794));
																						}
																						BGl_codez12z12zzsaw_jvm_outz00
																							(BgL_mez00_21,
																							((obj_t) CNST_TABLE_REF(54)));
																						BGl_codez12z12zzsaw_jvm_outz00
																							(BgL_mez00_21,
																							((obj_t) CNST_TABLE_REF(52)));
																						{	/* SawJvm/compile.scm 177 */
																							obj_t BgL_arg1748z00_2795;

																							if (BGl_keyzd2optzf3z21zzsaw_jvm_compilez00(BgL_varz00_22))
																								{	/* SawJvm/compile.scm 177 */
																									BgL_arg1748z00_2795 =
																										BINT((-1L));
																								}
																							else
																								{	/* SawJvm/compile.scm 177 */
																									BgL_arg1748z00_2795 =
																										BGl_globalzd2arityzd2zzbackend_cplibz00
																										(((BgL_globalz00_bglt)
																											BgL_varz00_22));
																								}
																							BGl_pushzd2intzd2zzsaw_jvm_outz00
																								(BgL_mez00_21,
																								BgL_arg1748z00_2795);
																						}
																						BGl_codez12z12zzsaw_jvm_outz00
																							(BgL_mez00_21,
																							((obj_t) CNST_TABLE_REF(55)));
																					}
																				else
																					{	/* SawJvm/compile.scm 144 */
																						if (
																							(BgL_casezd2valuezd2_2772 ==
																								((obj_t) CNST_TABLE_REF(56))))
																							{	/* SawJvm/compile.scm 144 */
																								BGl_codez12z12zzsaw_jvm_outz00
																									(BgL_mez00_21,
																									((obj_t) CNST_TABLE_REF(23)));
																							}
																						else
																							{	/* SawJvm/compile.scm 144 */
																								if (
																									(BgL_casezd2valuezd2_2772 ==
																										((obj_t)
																											CNST_TABLE_REF(57))))
																									{	/* SawJvm/compile.scm 144 */
																										BGl_codez12z12zzsaw_jvm_outz00
																											(BgL_mez00_21,
																											((obj_t)
																												CNST_TABLE_REF(51)));
																										BGl_codez12z12zzsaw_jvm_outz00
																											(BgL_mez00_21,
																											((obj_t)
																												CNST_TABLE_REF(52)));
																										BGl_codez12z12zzsaw_jvm_outz00
																											(BgL_mez00_21,
																											((obj_t)
																												CNST_TABLE_REF(53)));
																										BGl_codez12z12zzsaw_jvm_outz00
																											(BgL_mez00_21,
																											((obj_t)
																												CNST_TABLE_REF(52)));
																										{	/* SawJvm/compile.scm 187 */
																											int BgL_arg1755z00_2799;

																											{
																												BgL_indexedz00_bglt
																													BgL_auxz00_4094;
																												{
																													obj_t BgL_auxz00_4095;

																													{	/* SawJvm/compile.scm 187 */
																														BgL_objectz00_bglt
																															BgL_tmpz00_4096;
																														BgL_tmpz00_4096 =
																															(
																															(BgL_objectz00_bglt)
																															((BgL_globalz00_bglt) BgL_varz00_22));
																														BgL_auxz00_4095 =
																															BGL_OBJECT_WIDENING
																															(BgL_tmpz00_4096);
																													}
																													BgL_auxz00_4094 =
																														(
																														(BgL_indexedz00_bglt)
																														BgL_auxz00_4095);
																												}
																												BgL_arg1755z00_2799 =
																													(((BgL_indexedz00_bglt) COBJECT(BgL_auxz00_4094))->BgL_indexz00);
																											}
																											BGl_pushzd2intzd2zzsaw_jvm_outz00
																												(BgL_mez00_21,
																												BINT
																												(BgL_arg1755z00_2799));
																										}
																										BGl_codez12z12zzsaw_jvm_outz00
																											(BgL_mez00_21,
																											((obj_t)
																												CNST_TABLE_REF(54)));
																										BGl_codez12z12zzsaw_jvm_outz00
																											(BgL_mez00_21,
																											((obj_t)
																												CNST_TABLE_REF(52)));
																										BGl_pushzd2intzd2zzsaw_jvm_outz00
																											(BgL_mez00_21, BINT(0L));
																										BGl_codez12z12zzsaw_jvm_outz00
																											(BgL_mez00_21,
																											((obj_t)
																												CNST_TABLE_REF(20)));
																										BGl_codez12z12zzsaw_jvm_outz00
																											(BgL_mez00_21,
																											((obj_t)
																												CNST_TABLE_REF(58)));
																									}
																								else
																									{	/* SawJvm/compile.scm 144 */
																										if (
																											(BgL_casezd2valuezd2_2772
																												==
																												((obj_t)
																													CNST_TABLE_REF(59))))
																											{	/* SawJvm/compile.scm 144 */
																												BGl_codez12z12zzsaw_jvm_outz00
																													(BgL_mez00_21,
																													((obj_t)
																														CNST_TABLE_REF
																														(51)));
																												BGl_codez12z12zzsaw_jvm_outz00
																													(BgL_mez00_21,
																													((obj_t)
																														CNST_TABLE_REF
																														(52)));
																												BGl_codez12z12zzsaw_jvm_outz00
																													(BgL_mez00_21,
																													((obj_t)
																														CNST_TABLE_REF
																														(53)));
																												BGl_codez12z12zzsaw_jvm_outz00
																													(BgL_mez00_21,
																													((obj_t)
																														CNST_TABLE_REF
																														(52)));
																												{	/* SawJvm/compile.scm 198 */
																													int
																														BgL_arg1757z00_2801;
																													{
																														BgL_indexedz00_bglt
																															BgL_auxz00_4134;
																														{
																															obj_t
																																BgL_auxz00_4135;
																															{	/* SawJvm/compile.scm 198 */
																																BgL_objectz00_bglt
																																	BgL_tmpz00_4136;
																																BgL_tmpz00_4136
																																	=
																																	(
																																	(BgL_objectz00_bglt)
																																	((BgL_globalz00_bglt) BgL_varz00_22));
																																BgL_auxz00_4135
																																	=
																																	BGL_OBJECT_WIDENING
																																	(BgL_tmpz00_4136);
																															}
																															BgL_auxz00_4134 =
																																(
																																(BgL_indexedz00_bglt)
																																BgL_auxz00_4135);
																														}
																														BgL_arg1757z00_2801
																															=
																															(((BgL_indexedz00_bglt) COBJECT(BgL_auxz00_4134))->BgL_indexz00);
																													}
																													BGl_pushzd2intzd2zzsaw_jvm_outz00
																														(BgL_mez00_21,
																														BINT
																														(BgL_arg1757z00_2801));
																												}
																												BGl_codez12z12zzsaw_jvm_outz00
																													(BgL_mez00_21,
																													((obj_t)
																														CNST_TABLE_REF
																														(54)));
																												BGl_codez12z12zzsaw_jvm_outz00
																													(BgL_mez00_21,
																													((obj_t)
																														CNST_TABLE_REF
																														(52)));
																												{	/* SawJvm/compile.scm 201 */
																													obj_t
																														BgL_arg1763z00_2802;
																													if (BGl_keyzd2optzf3z21zzsaw_jvm_compilez00(BgL_varz00_22))
																														{	/* SawJvm/compile.scm 201 */
																															BgL_arg1763z00_2802
																																= BINT((-1L));
																														}
																													else
																														{	/* SawJvm/compile.scm 201 */
																															BgL_arg1763z00_2802
																																=
																																BGl_globalzd2arityzd2zzbackend_cplibz00
																																(((BgL_globalz00_bglt) BgL_varz00_22));
																														}
																													BGl_pushzd2intzd2zzsaw_jvm_outz00
																														(BgL_mez00_21,
																														BgL_arg1763z00_2802);
																												}
																												BGl_codez12z12zzsaw_jvm_outz00
																													(BgL_mez00_21,
																													((obj_t)
																														CNST_TABLE_REF
																														(55)));
																												BGl_codez12z12zzsaw_jvm_outz00
																													(BgL_mez00_21,
																													((obj_t)
																														CNST_TABLE_REF
																														(52)));
																												BGl_pushzd2intzd2zzsaw_jvm_outz00
																													(BgL_mez00_21,
																													BINT(3L));
																												BGl_codez12z12zzsaw_jvm_outz00
																													(BgL_mez00_21,
																													((obj_t)
																														CNST_TABLE_REF
																														(20)));
																												BGl_codez12z12zzsaw_jvm_outz00
																													(BgL_mez00_21,
																													((obj_t)
																														CNST_TABLE_REF
																														(58)));
																											}
																										else
																											{	/* SawJvm/compile.scm 144 */
																												if (
																													(BgL_casezd2valuezd2_2772
																														==
																														((obj_t)
																															CNST_TABLE_REF
																															(60))))
																													{	/* SawJvm/compile.scm 209 */
																														obj_t
																															BgL_vecz00_2805;
																														{	/* SawJvm/compile.scm 209 */
																															obj_t
																																BgL_sz00_3515;
																															BgL_sz00_3515 =
																																(((BgL_scnstz00_bglt) COBJECT(((BgL_scnstz00_bglt) BgL_valz00_23)))->BgL_nodez00);
																															BgL_vecz00_2805 =
																																STRUCT_REF
																																(BgL_sz00_3515,
																																(int) (1L));
																														}
																														{	/* SawJvm/compile.scm 209 */
																															BgL_typez00_bglt
																																BgL_typez00_2806;
																															{	/* SawJvm/compile.scm 210 */
																																BgL_typez00_bglt
																																	BgL_oz00_3517;
																																{	/* SawJvm/compile.scm 210 */
																																	obj_t
																																		BgL_sz00_3516;
																																	BgL_sz00_3516
																																		=
																																		(((BgL_scnstz00_bglt) COBJECT(((BgL_scnstz00_bglt) BgL_valz00_23)))->BgL_nodez00);
																																	BgL_oz00_3517
																																		=
																																		(
																																		(BgL_typez00_bglt)
																																		STRUCT_REF
																																		(BgL_sz00_3516,
																																			(int)
																																			(0L)));
																																}
																																{
																																	BgL_tvecz00_bglt
																																		BgL_auxz00_4183;
																																	{
																																		obj_t
																																			BgL_auxz00_4184;
																																		{	/* SawJvm/compile.scm 210 */
																																			BgL_objectz00_bglt
																																				BgL_tmpz00_4185;
																																			BgL_tmpz00_4185
																																				=
																																				(
																																				(BgL_objectz00_bglt)
																																				BgL_oz00_3517);
																																			BgL_auxz00_4184
																																				=
																																				BGL_OBJECT_WIDENING
																																				(BgL_tmpz00_4185);
																																		}
																																		BgL_auxz00_4183
																																			=
																																			(
																																			(BgL_tvecz00_bglt)
																																			BgL_auxz00_4184);
																																	}
																																	BgL_typez00_2806
																																		=
																																		(((BgL_tvecz00_bglt) COBJECT(BgL_auxz00_4183))->BgL_itemzd2typezd2);
																															}}
																															{	/* SawJvm/compile.scm 210 */
																																obj_t
																																	BgL_idz00_2807;
																																BgL_idz00_2807 =
																																	(((BgL_typez00_bglt) COBJECT(BgL_typez00_2806))->BgL_namez00);
																																{	/* SawJvm/compile.scm 212 */

																																	BGl_pushzd2intzd2zzsaw_jvm_outz00
																																		(BgL_mez00_21,
																																		BINT
																																		(VECTOR_LENGTH
																																			(((obj_t)
																																					BgL_vecz00_2805))));
																																	{	/* SawJvm/compile.scm 214 */
																																		bool_t
																																			BgL_test2082z00_4195;
																																		{	/* SawJvm/compile.scm 214 */
																																			bool_t
																																				BgL__ortest_1174z00_2824;
																																			BgL__ortest_1174z00_2824
																																				=
																																				(BgL_idz00_2807
																																				==
																																				((obj_t)
																																					CNST_TABLE_REF
																																					(61)));
																																			if (BgL__ortest_1174z00_2824)
																																				{	/* SawJvm/compile.scm 214 */
																																					BgL_test2082z00_4195
																																						=
																																						BgL__ortest_1174z00_2824;
																																				}
																																			else
																																				{	/* SawJvm/compile.scm 214 */
																																					bool_t
																																						BgL__ortest_1175z00_2825;
																																					BgL__ortest_1175z00_2825
																																						=
																																						(BgL_idz00_2807
																																						==
																																						((obj_t) CNST_TABLE_REF(48)));
																																					if (BgL__ortest_1175z00_2825)
																																						{	/* SawJvm/compile.scm 214 */
																																							BgL_test2082z00_4195
																																								=
																																								BgL__ortest_1175z00_2825;
																																						}
																																					else
																																						{	/* SawJvm/compile.scm 214 */
																																							bool_t
																																								BgL__ortest_1176z00_2826;
																																							BgL__ortest_1176z00_2826
																																								=
																																								(BgL_idz00_2807
																																								==
																																								((obj_t) CNST_TABLE_REF(62)));
																																							if (BgL__ortest_1176z00_2826)
																																								{	/* SawJvm/compile.scm 214 */
																																									BgL_test2082z00_4195
																																										=
																																										BgL__ortest_1176z00_2826;
																																								}
																																							else
																																								{	/* SawJvm/compile.scm 214 */
																																									bool_t
																																										BgL__ortest_1177z00_2827;
																																									BgL__ortest_1177z00_2827
																																										=
																																										(BgL_idz00_2807
																																										==
																																										((obj_t) CNST_TABLE_REF(44)));
																																									if (BgL__ortest_1177z00_2827)
																																										{	/* SawJvm/compile.scm 214 */
																																											BgL_test2082z00_4195
																																												=
																																												BgL__ortest_1177z00_2827;
																																										}
																																									else
																																										{	/* SawJvm/compile.scm 214 */
																																											bool_t
																																												BgL__ortest_1178z00_2828;
																																											BgL__ortest_1178z00_2828
																																												=
																																												(BgL_idz00_2807
																																												==
																																												((obj_t) CNST_TABLE_REF(40)));
																																											if (BgL__ortest_1178z00_2828)
																																												{	/* SawJvm/compile.scm 214 */
																																													BgL_test2082z00_4195
																																														=
																																														BgL__ortest_1178z00_2828;
																																												}
																																											else
																																												{	/* SawJvm/compile.scm 214 */
																																													bool_t
																																														BgL__ortest_1179z00_2829;
																																													BgL__ortest_1179z00_2829
																																														=
																																														(BgL_idz00_2807
																																														==
																																														((obj_t) CNST_TABLE_REF(31)));
																																													if (BgL__ortest_1179z00_2829)
																																														{	/* SawJvm/compile.scm 214 */
																																															BgL_test2082z00_4195
																																																=
																																																BgL__ortest_1179z00_2829;
																																														}
																																													else
																																														{	/* SawJvm/compile.scm 214 */
																																															bool_t
																																																BgL__ortest_1180z00_2830;
																																															BgL__ortest_1180z00_2830
																																																=
																																																(BgL_idz00_2807
																																																==
																																																((obj_t) CNST_TABLE_REF(63)));
																																															if (BgL__ortest_1180z00_2830)
																																																{	/* SawJvm/compile.scm 214 */
																																																	BgL_test2082z00_4195
																																																		=
																																																		BgL__ortest_1180z00_2830;
																																																}
																																															else
																																																{	/* SawJvm/compile.scm 214 */
																																																	BgL_test2082z00_4195
																																																		=
																																																		(BgL_idz00_2807
																																																		==
																																																		((obj_t) CNST_TABLE_REF(28)));
																																																}
																																														}
																																												}
																																										}
																																								}
																																						}
																																				}
																																		}
																																		if (BgL_test2082z00_4195)
																																			{	/* SawJvm/compile.scm 216 */
																																				obj_t
																																					BgL_arg1770z00_2818;
																																				{	/* SawJvm/compile.scm 216 */
																																					obj_t
																																						BgL_arg1772z00_2819;
																																					BgL_arg1772z00_2819
																																						=
																																						MAKE_YOUNG_PAIR
																																						((((BgL_typez00_bglt) COBJECT(BgL_typez00_2806))->BgL_namez00), BNIL);
																																					BgL_arg1770z00_2818
																																						=
																																						MAKE_YOUNG_PAIR
																																						(((obj_t) CNST_TABLE_REF(64)), BgL_arg1772z00_2819);
																																				}
																																				BGl_codez12z12zzsaw_jvm_outz00
																																					(BgL_mez00_21,
																																					BgL_arg1770z00_2818);
																																			}
																																		else
																																			{	/* SawJvm/compile.scm 218 */
																																				obj_t
																																					BgL_arg1782z00_2821;
																																				{	/* SawJvm/compile.scm 218 */
																																					obj_t
																																						BgL_arg1783z00_2822;
																																					BgL_arg1783z00_2822
																																						=
																																						MAKE_YOUNG_PAIR
																																						(BGl_compilezd2typezd2zzsaw_jvm_outz00
																																						(BgL_mez00_21,
																																							BgL_typez00_2806),
																																						BNIL);
																																					BgL_arg1782z00_2821
																																						=
																																						MAKE_YOUNG_PAIR
																																						(((obj_t) CNST_TABLE_REF(65)), BgL_arg1783z00_2822);
																																				}
																																				BGl_codez12z12zzsaw_jvm_outz00
																																					(BgL_mez00_21,
																																					BgL_arg1782z00_2821);
																																			}
																																	}
																																	{
																																		long
																																			BgL_iz00_2832;
																																		{	/* SawJvm/compile.scm 219 */
																																			bool_t
																																				BgL_tmpz00_4239;
																																			BgL_iz00_2832
																																				= 0L;
																																		BgL_zc3z04anonymousza31785ze3z87_2833:
																																			if (
																																				(BgL_iz00_2832
																																					==
																																					VECTOR_LENGTH
																																					(((obj_t) BgL_vecz00_2805))))
																																				{	/* SawJvm/compile.scm 220 */
																																					BgL_tmpz00_4239
																																						=
																																						(
																																						(bool_t)
																																						0);
																																				}
																																			else
																																				{	/* SawJvm/compile.scm 220 */
																																					BGl_codez12z12zzsaw_jvm_outz00
																																						(BgL_mez00_21,
																																						((obj_t) CNST_TABLE_REF(52)));
																																					BGl_pushzd2intzd2zzsaw_jvm_outz00
																																						(BgL_mez00_21,
																																						BINT
																																						(BgL_iz00_2832));
																																					{	/* SawJvm/compile.scm 224 */
																																						bool_t
																																							BgL_test2091z00_4249;
																																						{	/* SawJvm/compile.scm 224 */
																																							bool_t
																																								BgL__ortest_1181z00_2846;
																																							BgL__ortest_1181z00_2846
																																								=
																																								(BgL_idz00_2807
																																								==
																																								((obj_t) CNST_TABLE_REF(61)));
																																							if (BgL__ortest_1181z00_2846)
																																								{	/* SawJvm/compile.scm 224 */
																																									BgL_test2091z00_4249
																																										=
																																										BgL__ortest_1181z00_2846;
																																								}
																																							else
																																								{	/* SawJvm/compile.scm 224 */
																																									bool_t
																																										BgL__ortest_1182z00_2847;
																																									BgL__ortest_1182z00_2847
																																										=
																																										(BgL_idz00_2807
																																										==
																																										((obj_t) CNST_TABLE_REF(48)));
																																									if (BgL__ortest_1182z00_2847)
																																										{	/* SawJvm/compile.scm 224 */
																																											BgL_test2091z00_4249
																																												=
																																												BgL__ortest_1182z00_2847;
																																										}
																																									else
																																										{	/* SawJvm/compile.scm 224 */
																																											bool_t
																																												BgL__ortest_1183z00_2848;
																																											BgL__ortest_1183z00_2848
																																												=
																																												(BgL_idz00_2807
																																												==
																																												((obj_t) CNST_TABLE_REF(62)));
																																											if (BgL__ortest_1183z00_2848)
																																												{	/* SawJvm/compile.scm 224 */
																																													BgL_test2091z00_4249
																																														=
																																														BgL__ortest_1183z00_2848;
																																												}
																																											else
																																												{	/* SawJvm/compile.scm 224 */
																																													bool_t
																																														BgL__ortest_1184z00_2849;
																																													BgL__ortest_1184z00_2849
																																														=
																																														(BgL_idz00_2807
																																														==
																																														((obj_t) CNST_TABLE_REF(44)));
																																													if (BgL__ortest_1184z00_2849)
																																														{	/* SawJvm/compile.scm 224 */
																																															BgL_test2091z00_4249
																																																=
																																																BgL__ortest_1184z00_2849;
																																														}
																																													else
																																														{	/* SawJvm/compile.scm 224 */
																																															bool_t
																																																BgL__ortest_1185z00_2850;
																																															BgL__ortest_1185z00_2850
																																																=
																																																(BgL_idz00_2807
																																																==
																																																((obj_t) CNST_TABLE_REF(40)));
																																															if (BgL__ortest_1185z00_2850)
																																																{	/* SawJvm/compile.scm 224 */
																																																	BgL_test2091z00_4249
																																																		=
																																																		BgL__ortest_1185z00_2850;
																																																}
																																															else
																																																{	/* SawJvm/compile.scm 224 */
																																																	bool_t
																																																		BgL__ortest_1186z00_2851;
																																																	BgL__ortest_1186z00_2851
																																																		=
																																																		(BgL_idz00_2807
																																																		==
																																																		((obj_t) CNST_TABLE_REF(31)));
																																																	if (BgL__ortest_1186z00_2851)
																																																		{	/* SawJvm/compile.scm 224 */
																																																			BgL_test2091z00_4249
																																																				=
																																																				BgL__ortest_1186z00_2851;
																																																		}
																																																	else
																																																		{	/* SawJvm/compile.scm 224 */
																																																			bool_t
																																																				BgL__ortest_1187z00_2852;
																																																			BgL__ortest_1187z00_2852
																																																				=
																																																				(BgL_idz00_2807
																																																				==
																																																				((obj_t) CNST_TABLE_REF(63)));
																																																			if (BgL__ortest_1187z00_2852)
																																																				{	/* SawJvm/compile.scm 224 */
																																																					BgL_test2091z00_4249
																																																						=
																																																						BgL__ortest_1187z00_2852;
																																																				}
																																																			else
																																																				{	/* SawJvm/compile.scm 224 */
																																																					BgL_test2091z00_4249
																																																						=
																																																						(BgL_idz00_2807
																																																						==
																																																						((obj_t) CNST_TABLE_REF(28)));
																																																				}
																																																		}
																																																}
																																														}
																																												}
																																										}
																																								}
																																						}
																																						if (BgL_test2091z00_4249)
																																							{	/* SawJvm/compile.scm 226 */
																																								obj_t
																																									BgL_arg1789z00_2844;
																																								BgL_arg1789z00_2844
																																									=
																																									VECTOR_REF
																																									(
																																									((obj_t) BgL_vecz00_2805), BgL_iz00_2832);
																																								BGl_pushzd2numzd2zzsaw_jvm_outz00
																																									(BgL_mez00_21,
																																									BgL_arg1789z00_2844,
																																									BgL_idz00_2807);
																																							}
																																						else
																																							{	/* SawJvm/compile.scm 224 */
																																								{	/* SawJvm/compile.scm 228 */
																																									obj_t
																																										BgL_arg1790z00_2845;
																																									BgL_arg1790z00_2845
																																										=
																																										VECTOR_REF
																																										(
																																										((obj_t) BgL_vecz00_2805), BgL_iz00_2832);
																																									BGl_pushzd2stringzd2zzsaw_jvm_outz00
																																										(BgL_mez00_21,
																																										BgL_arg1790z00_2845);
																																								}
																																								BGl_codez12z12zzsaw_jvm_outz00
																																									(BgL_mez00_21,
																																									((obj_t) CNST_TABLE_REF(26)));
																																							}
																																					}
																																					{	/* SawJvm/compile.scm 230 */
																																						obj_t
																																							BgL_arg1796z00_2853;
																																						{	/* SawJvm/compile.scm 230 */
																																							bool_t
																																								BgL_test2099z00_4290;
																																							{	/* SawJvm/compile.scm 230 */
																																								bool_t
																																									BgL__ortest_1188z00_2863;
																																								BgL__ortest_1188z00_2863
																																									=
																																									(BgL_idz00_2807
																																									==
																																									((obj_t) CNST_TABLE_REF(61)));
																																								if (BgL__ortest_1188z00_2863)
																																									{	/* SawJvm/compile.scm 230 */
																																										BgL_test2099z00_4290
																																											=
																																											BgL__ortest_1188z00_2863;
																																									}
																																								else
																																									{	/* SawJvm/compile.scm 230 */
																																										BgL_test2099z00_4290
																																											=
																																											(BgL_idz00_2807
																																											==
																																											((obj_t) CNST_TABLE_REF(48)));
																																									}
																																							}
																																							if (BgL_test2099z00_4290)
																																								{	/* SawJvm/compile.scm 230 */
																																									BgL_arg1796z00_2853
																																										=
																																										(
																																										(obj_t)
																																										CNST_TABLE_REF
																																										(66));
																																								}
																																							else
																																								{	/* SawJvm/compile.scm 230 */
																																									if ((BgL_idz00_2807 == ((obj_t) CNST_TABLE_REF(62))))
																																										{	/* SawJvm/compile.scm 230 */
																																											BgL_arg1796z00_2853
																																												=
																																												(
																																												(obj_t)
																																												CNST_TABLE_REF
																																												(67));
																																										}
																																									else
																																										{	/* SawJvm/compile.scm 230 */
																																											if ((BgL_idz00_2807 == ((obj_t) CNST_TABLE_REF(44))))
																																												{	/* SawJvm/compile.scm 230 */
																																													BgL_arg1796z00_2853
																																														=
																																														(
																																														(obj_t)
																																														CNST_TABLE_REF
																																														(68));
																																												}
																																											else
																																												{	/* SawJvm/compile.scm 230 */
																																													if ((BgL_idz00_2807 == ((obj_t) CNST_TABLE_REF(40))))
																																														{	/* SawJvm/compile.scm 230 */
																																															BgL_arg1796z00_2853
																																																=
																																																(
																																																(obj_t)
																																																CNST_TABLE_REF
																																																(69));
																																														}
																																													else
																																														{	/* SawJvm/compile.scm 230 */
																																															if ((BgL_idz00_2807 == ((obj_t) CNST_TABLE_REF(31))))
																																																{	/* SawJvm/compile.scm 230 */
																																																	BgL_arg1796z00_2853
																																																		=
																																																		(
																																																		(obj_t)
																																																		CNST_TABLE_REF
																																																		(70));
																																																}
																																															else
																																																{	/* SawJvm/compile.scm 230 */
																																																	if ((BgL_idz00_2807 == ((obj_t) CNST_TABLE_REF(63))))
																																																		{	/* SawJvm/compile.scm 230 */
																																																			BgL_arg1796z00_2853
																																																				=
																																																				(
																																																				(obj_t)
																																																				CNST_TABLE_REF
																																																				(71));
																																																		}
																																																	else
																																																		{	/* SawJvm/compile.scm 230 */
																																																			if ((BgL_idz00_2807 == ((obj_t) CNST_TABLE_REF(28))))
																																																				{	/* SawJvm/compile.scm 230 */
																																																					BgL_arg1796z00_2853
																																																						=
																																																						(
																																																						(obj_t)
																																																						CNST_TABLE_REF
																																																						(72));
																																																				}
																																																			else
																																																				{	/* SawJvm/compile.scm 230 */
																																																					BgL_arg1796z00_2853
																																																						=
																																																						(
																																																						(obj_t)
																																																						CNST_TABLE_REF
																																																						(73));
																																																				}
																																																		}
																																																}
																																														}
																																												}
																																										}
																																								}
																																						}
																																						BGl_codez12z12zzsaw_jvm_outz00
																																							(BgL_mez00_21,
																																							BgL_arg1796z00_2853);
																																					}
																																					{
																																						long
																																							BgL_iz00_4339;
																																						BgL_iz00_4339
																																							=
																																							(BgL_iz00_2832
																																							+
																																							1L);
																																						BgL_iz00_2832
																																							=
																																							BgL_iz00_4339;
																																						goto
																																							BgL_zc3z04anonymousza31785ze3z87_2833;
																																					}
																																				}
																																			BBOOL
																																				(BgL_tmpz00_4239);
																																		}
																																	}
																																}
																															}
																														}
																													}
																												else
																													{	/* SawJvm/compile.scm 241 */
																														obj_t
																															BgL_arg1821z00_2869;
																														BgL_arg1821z00_2869
																															=
																															(((BgL_scnstz00_bglt) COBJECT(((BgL_scnstz00_bglt) BgL_valz00_23)))->BgL_classz00);
																														BGl_internalzd2errorzd2zztools_errorz00
																															(BGl_string2030z00zzsaw_jvm_compilez00,
																															BGl_string2031z00zzsaw_jvm_compilez00,
																															BgL_arg1821z00_2869);
																													}
																											}
																									}
																							}
																					}
																			}
																	}
															}
													}
											}
									}
							}
					}
			}
			{	/* SawJvm/compile.scm 242 */
				obj_t BgL_arg1822z00_2874;

				{	/* SawJvm/compile.scm 242 */
					obj_t BgL_arg1825z00_2875;

					{	/* SawJvm/compile.scm 242 */
						obj_t BgL_arg1829z00_2876;

						BgL_arg1829z00_2876 =
							BGl_declarezd2globalzd2zzsaw_jvm_outz00(BgL_mez00_21,
							((BgL_globalz00_bglt) BgL_varz00_22));
						BgL_arg1825z00_2875 = MAKE_YOUNG_PAIR(BgL_arg1829z00_2876, BNIL);
					}
					BgL_arg1822z00_2874 =
						MAKE_YOUNG_PAIR(((obj_t) CNST_TABLE_REF(21)), BgL_arg1825z00_2875);
				}
				return
					BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_21, BgL_arg1822z00_2874);
			}
		}

	}



/* module-dlopen */
	obj_t BGl_modulezd2dlopenzd2zzsaw_jvm_compilez00(BgL_jvmz00_bglt BgL_mez00_24)
	{
		{	/* SawJvm/compile.scm 247 */
			BGl_openzd2libzd2methodz00zzsaw_jvm_outz00(BgL_mez00_24,
				((obj_t) CNST_TABLE_REF(74)));
			BGl_declarezd2localszd2zzsaw_jvm_outz00(BgL_mez00_24, BNIL, BNIL);
			BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_24,
				((obj_t) CNST_TABLE_REF(22)));
			BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_24,
				((obj_t) CNST_TABLE_REF(23)));
			{	/* SawJvm/compile.scm 252 */
				obj_t BgL_arg1834z00_2877;

				{	/* SawJvm/compile.scm 252 */
					obj_t BgL_list1835z00_2878;

					BgL_list1835z00_2878 =
						MAKE_YOUNG_PAIR(BGl_za2moduleza2z00zzmodule_modulez00, BNIL);
					BgL_arg1834z00_2877 =
						BGl_findzd2globalzd2zzast_envz00(
						((obj_t) CNST_TABLE_REF(24)), BgL_list1835z00_2878);
				}
				BGl_callzd2globalzd2zzsaw_jvm_outz00(BgL_mez00_24,
					((BgL_globalz00_bglt) BgL_arg1834z00_2877));
			}
			BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_24, ((obj_t) CNST_TABLE_REF(8)));
			BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_24, ((obj_t) CNST_TABLE_REF(9)));
			BGL_TAIL return BGl_closezd2methodzd2zzsaw_jvm_outz00(BgL_mez00_24);
		}

	}



/* module-functions */
	bool_t BGl_modulezd2functionszd2zzsaw_jvm_compilez00(BgL_jvmz00_bglt
		BgL_mez00_25)
	{
		{	/* SawJvm/compile.scm 260 */
			{	/* SawJvm/compile.scm 261 */
				obj_t BgL_g1583z00_2879;

				BgL_g1583z00_2879 =
					(((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_mez00_25)))->BgL_functionsz00);
				{
					obj_t BgL_l1581z00_2881;

					BgL_l1581z00_2881 = BgL_g1583z00_2879;
				BgL_zc3z04anonymousza31836ze3z87_2882:
					if (PAIRP(BgL_l1581z00_2881))
						{	/* SawJvm/compile.scm 261 */
							BGl_modulezd2functionzd2zzsaw_jvm_compilez00(BgL_mez00_25,
								CAR(BgL_l1581z00_2881));
							{
								obj_t BgL_l1581z00_4381;

								BgL_l1581z00_4381 = CDR(BgL_l1581z00_2881);
								BgL_l1581z00_2881 = BgL_l1581z00_4381;
								goto BgL_zc3z04anonymousza31836ze3z87_2882;
							}
						}
					else
						{	/* SawJvm/compile.scm 261 */
							return ((bool_t) 1);
						}
				}
			}
		}

	}



/* module-function */
	obj_t BGl_modulezd2functionzd2zzsaw_jvm_compilez00(BgL_jvmz00_bglt
		BgL_mez00_26, obj_t BgL_vz00_27)
	{
		{	/* SawJvm/compile.scm 263 */
			{	/* SawJvm/compile.scm 265 */
				obj_t BgL_codez00_2888;
				obj_t BgL_paramsz00_2889;

				BgL_codez00_2888 =
					BGl_globalzd2ze3blocksz31zzsaw_woodcutterz00(
					((BgL_backendz00_bglt) BgL_mez00_26),
					((BgL_globalz00_bglt) BgL_vz00_27));
				{	/* SawJvm/compile.scm 266 */
					obj_t BgL_l1584z00_2890;

					BgL_l1584z00_2890 =
						(((BgL_sfunz00_bglt) COBJECT(
								((BgL_sfunz00_bglt)
									(((BgL_variablez00_bglt) COBJECT(
												((BgL_variablez00_bglt)
													((BgL_globalz00_bglt) BgL_vz00_27))))->
										BgL_valuez00))))->BgL_argsz00);
					if (NULLP(BgL_l1584z00_2890))
						{	/* SawJvm/compile.scm 266 */
							BgL_paramsz00_2889 = BNIL;
						}
					else
						{	/* SawJvm/compile.scm 266 */
							obj_t BgL_head1586z00_2892;

							{	/* SawJvm/compile.scm 266 */
								BgL_rtl_regz00_bglt BgL_arg1852z00_2904;

								{	/* SawJvm/compile.scm 266 */
									obj_t BgL_arg1856z00_2905;

									BgL_arg1856z00_2905 = CAR(((obj_t) BgL_l1584z00_2890));
									BgL_arg1852z00_2904 =
										BGl_localzd2ze3regz31zzsaw_node2rtlz00(
										((BgL_localz00_bglt) BgL_arg1856z00_2905));
								}
								BgL_head1586z00_2892 =
									MAKE_YOUNG_PAIR(((obj_t) BgL_arg1852z00_2904), BNIL);
							}
							{	/* SawJvm/compile.scm 266 */
								obj_t BgL_g1589z00_2893;

								BgL_g1589z00_2893 = CDR(((obj_t) BgL_l1584z00_2890));
								{
									obj_t BgL_l1584z00_2895;
									obj_t BgL_tail1587z00_2896;

									BgL_l1584z00_2895 = BgL_g1589z00_2893;
									BgL_tail1587z00_2896 = BgL_head1586z00_2892;
								BgL_zc3z04anonymousza31844ze3z87_2897:
									if (NULLP(BgL_l1584z00_2895))
										{	/* SawJvm/compile.scm 266 */
											BgL_paramsz00_2889 = BgL_head1586z00_2892;
										}
									else
										{	/* SawJvm/compile.scm 266 */
											obj_t BgL_newtail1588z00_2899;

											{	/* SawJvm/compile.scm 266 */
												BgL_rtl_regz00_bglt BgL_arg1848z00_2901;

												{	/* SawJvm/compile.scm 266 */
													obj_t BgL_arg1851z00_2902;

													BgL_arg1851z00_2902 =
														CAR(((obj_t) BgL_l1584z00_2895));
													BgL_arg1848z00_2901 =
														BGl_localzd2ze3regz31zzsaw_node2rtlz00(
														((BgL_localz00_bglt) BgL_arg1851z00_2902));
												}
												BgL_newtail1588z00_2899 =
													MAKE_YOUNG_PAIR(((obj_t) BgL_arg1848z00_2901), BNIL);
											}
											SET_CDR(BgL_tail1587z00_2896, BgL_newtail1588z00_2899);
											{	/* SawJvm/compile.scm 266 */
												obj_t BgL_arg1847z00_2900;

												BgL_arg1847z00_2900 = CDR(((obj_t) BgL_l1584z00_2895));
												{
													obj_t BgL_tail1587z00_4413;
													obj_t BgL_l1584z00_4412;

													BgL_l1584z00_4412 = BgL_arg1847z00_2900;
													BgL_tail1587z00_4413 = BgL_newtail1588z00_2899;
													BgL_tail1587z00_2896 = BgL_tail1587z00_4413;
													BgL_l1584z00_2895 = BgL_l1584z00_4412;
													goto BgL_zc3z04anonymousza31844ze3z87_2897;
												}
											}
										}
								}
							}
						}
				}
				BGl_openzd2globalzd2methodz00zzsaw_jvm_outz00(BgL_mez00_26,
					((BgL_globalz00_bglt) BgL_vz00_27));
				BGl_buildzd2treezd2zzsaw_exprz00(
					((BgL_backendz00_bglt) BgL_mez00_26), BgL_paramsz00_2889,
					BgL_codez00_2888);
				BgL_codez00_2888 =
					BGl_registerzd2allocationzd2zzsaw_registerzd2allocationzd2((
						(BgL_backendz00_bglt) BgL_mez00_26),
					((BgL_globalz00_bglt) BgL_vz00_27), BgL_paramsz00_2889,
					BgL_codez00_2888);
				BgL_codez00_2888 =
					BGl_bbvz00zzsaw_bbvz00(((BgL_backendz00_bglt) BgL_mez00_26),
					((BgL_globalz00_bglt) BgL_vz00_27), BgL_paramsz00_2889,
					BgL_codez00_2888);
				BGl_modulezd2codezd2zzsaw_jvm_codez00(BgL_mez00_26, BgL_paramsz00_2889,
					BgL_codez00_2888);
				return BGl_closezd2methodzd2zzsaw_jvm_outz00(BgL_mez00_26);
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzsaw_jvm_compilez00(void)
	{
		{	/* SawJvm/compile.scm 1 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzsaw_jvm_compilez00(void)
	{
		{	/* SawJvm/compile.scm 1 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzsaw_jvm_compilez00(void)
	{
		{	/* SawJvm/compile.scm 1 */
			return BUNSPEC;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzsaw_jvm_compilez00(void)
	{
		{	/* SawJvm/compile.scm 1 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(54713316L,
				BSTRING_TO_STRING(BGl_string2032z00zzsaw_jvm_compilez00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(161876678L,
				BSTRING_TO_STRING(BGl_string2032z00zzsaw_jvm_compilez00));
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(158397907L,
				BSTRING_TO_STRING(BGl_string2032z00zzsaw_jvm_compilez00));
			BGl_modulezd2initializa7ationz75zztype_typez00(515343395L,
				BSTRING_TO_STRING(BGl_string2032z00zzsaw_jvm_compilez00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(489890788L,
				BSTRING_TO_STRING(BGl_string2032z00zzsaw_jvm_compilez00));
			BGl_modulezd2initializa7ationz75zztype_envz00(296457443L,
				BSTRING_TO_STRING(BGl_string2032z00zzsaw_jvm_compilez00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(469732712L,
				BSTRING_TO_STRING(BGl_string2032z00zzsaw_jvm_compilez00));
			BGl_modulezd2initializa7ationz75zzast_varz00(90839984L,
				BSTRING_TO_STRING(BGl_string2032z00zzsaw_jvm_compilez00));
			BGl_modulezd2initializa7ationz75zzast_envz00(146730773L,
				BSTRING_TO_STRING(BGl_string2032z00zzsaw_jvm_compilez00));
			BGl_modulezd2initializa7ationz75zzobject_classz00(502007119L,
				BSTRING_TO_STRING(BGl_string2032z00zzsaw_jvm_compilez00));
			BGl_modulezd2initializa7ationz75zzobject_slotsz00(151271251L,
				BSTRING_TO_STRING(BGl_string2032z00zzsaw_jvm_compilez00));
			BGl_modulezd2initializa7ationz75zzcnst_nodez00(89013043L,
				BSTRING_TO_STRING(BGl_string2032z00zzsaw_jvm_compilez00));
			BGl_modulezd2initializa7ationz75zzcnst_allocz00(117763019L,
				BSTRING_TO_STRING(BGl_string2032z00zzsaw_jvm_compilez00));
			BGl_modulezd2initializa7ationz75zztvector_tvectorz00(501518119L,
				BSTRING_TO_STRING(BGl_string2032z00zzsaw_jvm_compilez00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(300504031L,
				BSTRING_TO_STRING(BGl_string2032z00zzsaw_jvm_compilez00));
			BGl_modulezd2initializa7ationz75zzread_jvmz00(261574382L,
				BSTRING_TO_STRING(BGl_string2032z00zzsaw_jvm_compilez00));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(216206620L,
				BSTRING_TO_STRING(BGl_string2032z00zzsaw_jvm_compilez00));
			BGl_modulezd2initializa7ationz75zzbackend_bvmz00(336068337L,
				BSTRING_TO_STRING(BGl_string2032z00zzsaw_jvm_compilez00));
			BGl_modulezd2initializa7ationz75zzbackend_jvm_classz00(0L,
				BSTRING_TO_STRING(BGl_string2032z00zzsaw_jvm_compilez00));
			BGl_modulezd2initializa7ationz75zzbackend_libz00(321177283L,
				BSTRING_TO_STRING(BGl_string2032z00zzsaw_jvm_compilez00));
			BGl_modulezd2initializa7ationz75zzbackend_cplibz00(395792377L,
				BSTRING_TO_STRING(BGl_string2032z00zzsaw_jvm_compilez00));
			BGl_modulezd2initializa7ationz75zzsaw_defsz00(404844772L,
				BSTRING_TO_STRING(BGl_string2032z00zzsaw_jvm_compilez00));
			BGl_modulezd2initializa7ationz75zzsaw_node2rtlz00(20930040L,
				BSTRING_TO_STRING(BGl_string2032z00zzsaw_jvm_compilez00));
			BGl_modulezd2initializa7ationz75zzsaw_woodcutterz00(352965511L,
				BSTRING_TO_STRING(BGl_string2032z00zzsaw_jvm_compilez00));
			BGl_modulezd2initializa7ationz75zzsaw_exprz00(142709001L,
				BSTRING_TO_STRING(BGl_string2032z00zzsaw_jvm_compilez00));
			BGl_modulezd2initializa7ationz75zzsaw_regsetz00(358079690L,
				BSTRING_TO_STRING(BGl_string2032z00zzsaw_jvm_compilez00));
			BGl_modulezd2initializa7ationz75zzsaw_registerzd2allocationzd2(250697396L,
				BSTRING_TO_STRING(BGl_string2032z00zzsaw_jvm_compilez00));
			BGl_modulezd2initializa7ationz75zzsaw_bbvz00(263563890L,
				BSTRING_TO_STRING(BGl_string2032z00zzsaw_jvm_compilez00));
			BGl_modulezd2initializa7ationz75zzsaw_jvm_namesz00(179871433L,
				BSTRING_TO_STRING(BGl_string2032z00zzsaw_jvm_compilez00));
			BGl_modulezd2initializa7ationz75zzsaw_jvm_outz00(441641707L,
				BSTRING_TO_STRING(BGl_string2032z00zzsaw_jvm_compilez00));
			BGl_modulezd2initializa7ationz75zzsaw_jvm_funcallz00(282450876L,
				BSTRING_TO_STRING(BGl_string2032z00zzsaw_jvm_compilez00));
			return
				BGl_modulezd2initializa7ationz75zzsaw_jvm_codez00(44765844L,
				BSTRING_TO_STRING(BGl_string2032z00zzsaw_jvm_compilez00));
		}

	}

#ifdef __cplusplus
}
#endif
