/*===========================================================================*/
/*   (SawMill/procedures.scm)                                                */
/*   Bigloo (4.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Jan 27 07:45:49 AM CET 2025     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.6a/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.6a/lib/bigloo/4.6a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -stdc -indent SawMill/procedures.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL_SAW_PROCEDURES_TYPE_DEFINITIONS
#define BGL_SAW_PROCEDURES_TYPE_DEFINITIONS

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_nullz00;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_qualifiedzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
		obj_t BgL_metaz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_stackablez00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_pragmaz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_formatz00;
		obj_t BgL_srfi0z00;
	}                *BgL_pragmaz00_bglt;

	typedef struct BgL_getfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		obj_t BgL_fnamez00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_getfieldz00_bglt;

	typedef struct BgL_setfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		obj_t BgL_fnamez00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_setfieldz00_bglt;

	typedef struct BgL_vallocz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                *BgL_vallocz00_bglt;

	typedef struct BgL_vrefz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		bool_t BgL_unsafez00;
	}              *BgL_vrefz00_bglt;

	typedef struct BgL_vsetz12z12_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		bool_t BgL_unsafez00;
	}                 *BgL_vsetz12z12_bglt;

	typedef struct BgL_vlengthz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_vtypez00;
		obj_t BgL_ftypez00;
	}                 *BgL_vlengthz00_bglt;

	typedef struct BgL_instanceofz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_classz00;
	}                    *BgL_instanceofz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_switchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_switchz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		struct BgL_nodez00_bgl *BgL_onexitz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		obj_t BgL_stackablez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}              *BgL_syncz00_bglt;


#endif													// BGL_SAW_PROCEDURES_TYPE_DEFINITIONS
#endif													// BGL_MODULE_TYPE_DEFINITIONS

	extern obj_t
		BGl_needzd2functionzd2pointerz00zzsaw_elsewherez00(BgL_globalz00_bglt);
	extern obj_t BGl_setqz00zzast_nodez00;
	static obj_t BGl_requirezd2initializa7ationz75zzsaw_proceduresz00 = BUNSPEC;
	extern obj_t BGl_newz00zzast_nodez00;
	static obj_t BGl_z62getzd2conditional1276zb0zzsaw_proceduresz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_vlengthz00zzast_nodez00;
	static obj_t BGl_z62getzd2fail1315zb0zzsaw_proceduresz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_syncz00zzast_nodez00;
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_atomz00zzast_nodez00;
	extern obj_t BGl_sfunz00zzast_varz00;
	static obj_t BGl_toplevelzd2initzd2zzsaw_proceduresz00(void);
	extern obj_t BGl_sequencez00zzast_nodez00;
	extern obj_t BGl_forzd2eachzd2globalz12z12zzast_envz00(obj_t, obj_t);
	static obj_t BGl_z62getzd2sequence1272zb0zzsaw_proceduresz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62getzd2setq1270zb0zzsaw_proceduresz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	static obj_t BGl_genericzd2initzd2zzsaw_proceduresz00(void);
	extern obj_t BGl_getfieldz00zzast_nodez00;
	static obj_t BGl_objectzd2initzd2zzsaw_proceduresz00(void);
	extern obj_t BGl_castz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	static obj_t BGl_z62getzd2vlength1303zb0zzsaw_proceduresz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	static obj_t BGl_z62getzd2sync1274zb0zzsaw_proceduresz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62getzd2pragma1288zb0zzsaw_proceduresz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62getzd2vsetz121301za2zzsaw_proceduresz00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t BGl_z62getzd2new1294zb0zzsaw_proceduresz00(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzsaw_proceduresz00(void);
	static obj_t BGl_z62get1260z62zzsaw_proceduresz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62getz62zzsaw_proceduresz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31333ze3ze5zzsaw_proceduresz00(obj_t,
		obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	static obj_t BGl_z62getzd2setzd2exzd2it1311zb0zzsaw_proceduresz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62getzd2var1265zb0zzsaw_proceduresz00(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_pragmaz00zzast_nodez00;
	static obj_t BGl_z62getzd2letzd2fun1280z62zzsaw_proceduresz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62getzd2castzd2null1307z62zzsaw_proceduresz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzsaw_proceduresz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_elsewherez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	static obj_t BGl_z62getzd2vref1298zb0zzsaw_proceduresz00(obj_t, obj_t, obj_t);
	static obj_t BGl_getz00zzsaw_proceduresz00(BgL_nodez00_bglt, obj_t);
	static obj_t BGl_z62getzd2valloc1296zb0zzsaw_proceduresz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62getzd2jumpzd2exzd2it1313zb0zzsaw_proceduresz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_vrefz00zzast_nodez00;
	static obj_t BGl_z62getzd2getfield1290zb0zzsaw_proceduresz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_localz00zzast_varz00;
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzsaw_proceduresz00(void);
	static obj_t BGl_libraryzd2moduleszd2initz00zzsaw_proceduresz00(void);
	static obj_t BGl_z62getzd2app1282zb0zzsaw_proceduresz00(obj_t, obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzsaw_proceduresz00(void);
	static obj_t BGl_z62getzd2procedureszb0zzsaw_proceduresz00(obj_t, obj_t);
	static obj_t BGl_gczd2rootszd2initz00zzsaw_proceduresz00(void);
	extern obj_t BGl_vallocz00zzast_nodez00;
	static obj_t BGl_z62getzd2atom1263zb0zzsaw_proceduresz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62getzd2makezd2box1317z62zzsaw_proceduresz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62getzd2appzd2ly1284z62zzsaw_proceduresz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62getzd2boxzd2setz121321z70zzsaw_proceduresz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_instanceofz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_classzd2namezd2zz__objectz00(obj_t);
	static obj_t BGl_z62getzd2setfield1292zb0zzsaw_proceduresz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62getzd2boxzd2ref1319z62zzsaw_proceduresz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	static obj_t BGl_getza2za2zzsaw_proceduresz00(obj_t, obj_t);
	extern obj_t BGl_setfieldz00zzast_nodez00;
	extern obj_t BGl_castzd2nullzd2zzast_nodez00;
	static obj_t BGl_z62getzd2switch1278zb0zzsaw_proceduresz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62getzd2letzd2var1267z62zzsaw_proceduresz00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_switchz00zzast_nodez00;
	BGL_EXPORTED_DECL obj_t BGl_getzd2procedureszd2zzsaw_proceduresz00(obj_t);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	static obj_t BGl_z62getzd2funcall1286zb0zzsaw_proceduresz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_funcallz00zzast_nodez00;
	static obj_t BGl_z62getzd2instanceof1305zb0zzsaw_proceduresz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_globalz00zzast_varz00;
	extern obj_t BGl_vsetz12z12zzast_nodez00;
	static obj_t BGl_z62getzd2cast1309zb0zzsaw_proceduresz00(obj_t, obj_t, obj_t);
	static obj_t __cnst[3];


	   
		 
		DEFINE_STRING(BGl_string1865z00zzsaw_proceduresz00,
		BgL_bgl_string1865za700za7za7s1900za7, "get1260", 7);
	      DEFINE_STRING(BGl_string1866z00zzsaw_proceduresz00,
		BgL_bgl_string1866za700za7za7s1901za7, "hole", 4);
	      DEFINE_STRING(BGl_string1868z00zzsaw_proceduresz00,
		BgL_bgl_string1868za700za7za7s1902za7, "get", 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1864z00zzsaw_proceduresz00,
		BgL_bgl_za762get1260za762za7za7s1903z00,
		BGl_z62get1260z62zzsaw_proceduresz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1867z00zzsaw_proceduresz00,
		BgL_bgl_za762getza7d2atom1261904z00,
		BGl_z62getzd2atom1263zb0zzsaw_proceduresz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1869z00zzsaw_proceduresz00,
		BgL_bgl_za762getza7d2var12651905z00,
		BGl_z62getzd2var1265zb0zzsaw_proceduresz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1870z00zzsaw_proceduresz00,
		BgL_bgl_za762getza7d2letza7d2v1906za7,
		BGl_z62getzd2letzd2var1267z62zzsaw_proceduresz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1871z00zzsaw_proceduresz00,
		BgL_bgl_za762getza7d2setq1271907z00,
		BGl_z62getzd2setq1270zb0zzsaw_proceduresz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1872z00zzsaw_proceduresz00,
		BgL_bgl_za762getza7d2sequenc1908z00,
		BGl_z62getzd2sequence1272zb0zzsaw_proceduresz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1873z00zzsaw_proceduresz00,
		BgL_bgl_za762getza7d2sync1271909z00,
		BGl_z62getzd2sync1274zb0zzsaw_proceduresz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1874z00zzsaw_proceduresz00,
		BgL_bgl_za762getza7d2conditi1910z00,
		BGl_z62getzd2conditional1276zb0zzsaw_proceduresz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1875z00zzsaw_proceduresz00,
		BgL_bgl_za762getza7d2switch11911z00,
		BGl_z62getzd2switch1278zb0zzsaw_proceduresz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1876z00zzsaw_proceduresz00,
		BgL_bgl_za762getza7d2letza7d2f1912za7,
		BGl_z62getzd2letzd2fun1280z62zzsaw_proceduresz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1877z00zzsaw_proceduresz00,
		BgL_bgl_za762getza7d2app12821913z00,
		BGl_z62getzd2app1282zb0zzsaw_proceduresz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1878z00zzsaw_proceduresz00,
		BgL_bgl_za762getza7d2appza7d2l1914za7,
		BGl_z62getzd2appzd2ly1284z62zzsaw_proceduresz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1879z00zzsaw_proceduresz00,
		BgL_bgl_za762getza7d2funcall1915z00,
		BGl_z62getzd2funcall1286zb0zzsaw_proceduresz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1880z00zzsaw_proceduresz00,
		BgL_bgl_za762getza7d2pragma11916z00,
		BGl_z62getzd2pragma1288zb0zzsaw_proceduresz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1881z00zzsaw_proceduresz00,
		BgL_bgl_za762getza7d2getfiel1917z00,
		BGl_z62getzd2getfield1290zb0zzsaw_proceduresz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1882z00zzsaw_proceduresz00,
		BgL_bgl_za762getza7d2setfiel1918z00,
		BGl_z62getzd2setfield1292zb0zzsaw_proceduresz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1883z00zzsaw_proceduresz00,
		BgL_bgl_za762getza7d2new12941919z00,
		BGl_z62getzd2new1294zb0zzsaw_proceduresz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1884z00zzsaw_proceduresz00,
		BgL_bgl_za762getza7d2valloc11920z00,
		BGl_z62getzd2valloc1296zb0zzsaw_proceduresz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1885z00zzsaw_proceduresz00,
		BgL_bgl_za762getza7d2vref1291921z00,
		BGl_z62getzd2vref1298zb0zzsaw_proceduresz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1886z00zzsaw_proceduresz00,
		BgL_bgl_za762getza7d2vsetza7121922za7,
		BGl_z62getzd2vsetz121301za2zzsaw_proceduresz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1887z00zzsaw_proceduresz00,
		BgL_bgl_za762getza7d2vlength1923z00,
		BGl_z62getzd2vlength1303zb0zzsaw_proceduresz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1888z00zzsaw_proceduresz00,
		BgL_bgl_za762getza7d2instanc1924z00,
		BGl_z62getzd2instanceof1305zb0zzsaw_proceduresz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1889z00zzsaw_proceduresz00,
		BgL_bgl_za762getza7d2castza7d21925za7,
		BGl_z62getzd2castzd2null1307z62zzsaw_proceduresz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string1897z00zzsaw_proceduresz00,
		BgL_bgl_string1897za700za7za7s1926za7, "saw_procedures", 14);
	      DEFINE_STRING(BGl_string1898z00zzsaw_proceduresz00,
		BgL_bgl_string1898za700za7za7s1927za7, "__evmeaning_address elight get ",
		31);
	      DEFINE_STATIC_BGL_GENERIC(BGl_getzd2envzd2zzsaw_proceduresz00,
		BgL_bgl_za762getza762za7za7saw_p1928z00, BGl_z62getz62zzsaw_proceduresz00,
		0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1890z00zzsaw_proceduresz00,
		BgL_bgl_za762getza7d2cast1301929z00,
		BGl_z62getzd2cast1309zb0zzsaw_proceduresz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1891z00zzsaw_proceduresz00,
		BgL_bgl_za762getza7d2setza7d2e1930za7,
		BGl_z62getzd2setzd2exzd2it1311zb0zzsaw_proceduresz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1892z00zzsaw_proceduresz00,
		BgL_bgl_za762getza7d2jumpza7d21931za7,
		BGl_z62getzd2jumpzd2exzd2it1313zb0zzsaw_proceduresz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1893z00zzsaw_proceduresz00,
		BgL_bgl_za762getza7d2fail1311932z00,
		BGl_z62getzd2fail1315zb0zzsaw_proceduresz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1894z00zzsaw_proceduresz00,
		BgL_bgl_za762getza7d2makeza7d21933za7,
		BGl_z62getzd2makezd2box1317z62zzsaw_proceduresz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1895z00zzsaw_proceduresz00,
		BgL_bgl_za762getza7d2boxza7d2r1934za7,
		BGl_z62getzd2boxzd2ref1319z62zzsaw_proceduresz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1896z00zzsaw_proceduresz00,
		BgL_bgl_za762getza7d2boxza7d2s1935za7,
		BGl_z62getzd2boxzd2setz121321z70zzsaw_proceduresz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_getzd2procedureszd2envz00zzsaw_proceduresz00,
		BgL_bgl_za762getza7d2procedu1936z00,
		BGl_z62getzd2procedureszb0zzsaw_proceduresz00, 0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zzsaw_proceduresz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzsaw_proceduresz00(long
		BgL_checksumz00_2519, char *BgL_fromz00_2520)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzsaw_proceduresz00))
				{
					BGl_requirezd2initializa7ationz75zzsaw_proceduresz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzsaw_proceduresz00();
					BGl_libraryzd2moduleszd2initz00zzsaw_proceduresz00();
					BGl_cnstzd2initzd2zzsaw_proceduresz00();
					BGl_importedzd2moduleszd2initz00zzsaw_proceduresz00();
					BGl_genericzd2initzd2zzsaw_proceduresz00();
					BGl_methodzd2initzd2zzsaw_proceduresz00();
					return BGl_toplevelzd2initzd2zzsaw_proceduresz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzsaw_proceduresz00(void)
	{
		{	/* SawMill/procedures.scm 1 */
			BGl_modulezd2initializa7ationz75zz__objectz00(0L, "saw_procedures");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(0L,
				"saw_procedures");
			BGl_modulezd2initializa7ationz75zz__readerz00(0L, "saw_procedures");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(0L,
				"saw_procedures");
			BGl_modulezd2initializa7ationz75zz__errorz00(0L, "saw_procedures");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(0L,
				"saw_procedures");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(0L,
				"saw_procedures");
			BGl_modulezd2initializa7ationz75zz__bitz00(0L, "saw_procedures");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(0L,
				"saw_procedures");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(0L,
				"saw_procedures");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzsaw_proceduresz00(void)
	{
		{	/* SawMill/procedures.scm 1 */
			{	/* SawMill/procedures.scm 1 */
				obj_t BgL_cportz00_2366;

				{	/* SawMill/procedures.scm 1 */
					obj_t BgL_stringz00_2373;

					BgL_stringz00_2373 = BGl_string1898z00zzsaw_proceduresz00;
					{	/* SawMill/procedures.scm 1 */
						obj_t BgL_startz00_2374;

						BgL_startz00_2374 = BINT(0L);
						{	/* SawMill/procedures.scm 1 */
							obj_t BgL_endz00_2375;

							BgL_endz00_2375 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_2373)));
							{	/* SawMill/procedures.scm 1 */

								BgL_cportz00_2366 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_2373, BgL_startz00_2374, BgL_endz00_2375);
				}}}}
				{
					long BgL_iz00_2367;

					BgL_iz00_2367 = 2L;
				BgL_loopz00_2368:
					if ((BgL_iz00_2367 == (-1L)))
						{	/* SawMill/procedures.scm 1 */
							return BUNSPEC;
						}
					else
						{	/* SawMill/procedures.scm 1 */
							{	/* SawMill/procedures.scm 1 */
								obj_t BgL_arg1899z00_2369;

								{	/* SawMill/procedures.scm 1 */

									{	/* SawMill/procedures.scm 1 */
										obj_t BgL_locationz00_2371;

										BgL_locationz00_2371 = BBOOL(((bool_t) 0));
										{	/* SawMill/procedures.scm 1 */

											BgL_arg1899z00_2369 =
												BGl_readz00zz__readerz00(BgL_cportz00_2366,
												BgL_locationz00_2371);
										}
									}
								}
								{	/* SawMill/procedures.scm 1 */
									int BgL_tmpz00_2550;

									BgL_tmpz00_2550 = (int) (BgL_iz00_2367);
									CNST_TABLE_SET(BgL_tmpz00_2550, BgL_arg1899z00_2369);
							}}
							{	/* SawMill/procedures.scm 1 */
								int BgL_auxz00_2372;

								BgL_auxz00_2372 = (int) ((BgL_iz00_2367 - 1L));
								{
									long BgL_iz00_2555;

									BgL_iz00_2555 = (long) (BgL_auxz00_2372);
									BgL_iz00_2367 = BgL_iz00_2555;
									goto BgL_loopz00_2368;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzsaw_proceduresz00(void)
	{
		{	/* SawMill/procedures.scm 1 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzsaw_proceduresz00(void)
	{
		{	/* SawMill/procedures.scm 1 */
			return BUNSPEC;
		}

	}



/* get-procedures */
	BGL_EXPORTED_DEF obj_t BGl_getzd2procedureszd2zzsaw_proceduresz00(obj_t
		BgL_globalsz00_3)
	{
		{	/* SawMill/procedures.scm 12 */
			{	/* SawMill/procedures.scm 13 */
				obj_t BgL_rz00_2240;

				BgL_rz00_2240 = BGL_MAKE_UNSAFE_CELL(BNIL);
				{	/* SawMill/procedures.scm 15 */
					obj_t BgL_zc3z04anonymousza31333ze3z87_2233;

					BgL_zc3z04anonymousza31333ze3z87_2233 =
						MAKE_FX_PROCEDURE
						(BGl_z62zc3z04anonymousza31333ze3ze5zzsaw_proceduresz00, (int) (1L),
						(int) (1L));
					PROCEDURE_SET(BgL_zc3z04anonymousza31333ze3z87_2233, (int) (0L),
						((obj_t) BgL_rz00_2240));
					BGl_forzd2eachzd2globalz12z12zzast_envz00
						(BgL_zc3z04anonymousza31333ze3z87_2233, BNIL);
				}
				{
					obj_t BgL_l1241z00_1432;

					BgL_l1241z00_1432 = BgL_globalsz00_3;
				BgL_zc3z04anonymousza31337ze3z87_1433:
					if (PAIRP(BgL_l1241z00_1432))
						{	/* SawMill/procedures.scm 18 */
							{	/* SawMill/procedures.scm 19 */
								obj_t BgL_globalz00_1435;

								BgL_globalz00_1435 = CAR(BgL_l1241z00_1432);
								{	/* SawMill/procedures.scm 19 */
									obj_t BgL_auxz00_2241;

									{	/* SawMill/procedures.scm 19 */
										obj_t BgL_arg1341z00_1436;

										BgL_arg1341z00_1436 =
											(((BgL_sfunz00_bglt) COBJECT(
													((BgL_sfunz00_bglt)
														(((BgL_variablez00_bglt) COBJECT(
																	((BgL_variablez00_bglt)
																		((BgL_globalz00_bglt)
																			BgL_globalz00_1435))))->BgL_valuez00))))->
											BgL_bodyz00);
										BgL_auxz00_2241 =
											BGl_getz00zzsaw_proceduresz00(((BgL_nodez00_bglt)
												BgL_arg1341z00_1436),
											BGL_UNSAFE_CELL_REF(BgL_rz00_2240));
									}
									BGL_UNSAFE_CELL_SET(BgL_rz00_2240, BgL_auxz00_2241);
								}
							}
							{
								obj_t BgL_l1241z00_2575;

								BgL_l1241z00_2575 = CDR(BgL_l1241z00_1432);
								BgL_l1241z00_1432 = BgL_l1241z00_2575;
								goto BgL_zc3z04anonymousza31337ze3z87_1433;
							}
						}
					else
						{	/* SawMill/procedures.scm 18 */
							((bool_t) 1);
						}
				}
				return BGL_UNSAFE_CELL_REF(BgL_rz00_2240);
			}
		}

	}



/* &get-procedures */
	obj_t BGl_z62getzd2procedureszb0zzsaw_proceduresz00(obj_t BgL_envz00_2234,
		obj_t BgL_globalsz00_2235)
	{
		{	/* SawMill/procedures.scm 12 */
			return BGl_getzd2procedureszd2zzsaw_proceduresz00(BgL_globalsz00_2235);
		}

	}



/* &<@anonymous:1333> */
	obj_t BGl_z62zc3z04anonymousza31333ze3ze5zzsaw_proceduresz00(obj_t
		BgL_envz00_2236, obj_t BgL_globalz00_2238)
	{
		{	/* SawMill/procedures.scm 14 */
			{	/* SawMill/procedures.scm 15 */
				obj_t BgL_rz00_2237;

				BgL_rz00_2237 = PROCEDURE_REF(BgL_envz00_2236, (int) (0L));
				{	/* SawMill/procedures.scm 15 */
					bool_t BgL_test1940z00_2580;

					if (CBOOL(BGl_needzd2functionzd2pointerz00zzsaw_elsewherez00(
								((BgL_globalz00_bglt) BgL_globalz00_2238))))
						{	/* SawMill/procedures.scm 15 */
							if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
									(BgL_globalz00_2238, BGL_UNSAFE_CELL_REF(BgL_rz00_2237))))
								{	/* SawMill/procedures.scm 16 */
									BgL_test1940z00_2580 = ((bool_t) 0);
								}
							else
								{	/* SawMill/procedures.scm 16 */
									BgL_test1940z00_2580 = ((bool_t) 1);
								}
						}
					else
						{	/* SawMill/procedures.scm 15 */
							BgL_test1940z00_2580 = ((bool_t) 0);
						}
					if (BgL_test1940z00_2580)
						{	/* SawMill/procedures.scm 17 */
							obj_t BgL_auxz00_2377;

							BgL_auxz00_2377 =
								MAKE_YOUNG_PAIR(BgL_globalz00_2238,
								BGL_UNSAFE_CELL_REF(BgL_rz00_2237));
							return BGL_UNSAFE_CELL_SET(BgL_rz00_2237, BgL_auxz00_2377);
						}
					else
						{	/* SawMill/procedures.scm 15 */
							return BFALSE;
						}
				}
			}
		}

	}



/* get* */
	obj_t BGl_getza2za2zzsaw_proceduresz00(obj_t BgL_lz00_4, obj_t BgL_rz00_5)
	{
		{	/* SawMill/procedures.scm 23 */
		BGl_getza2za2zzsaw_proceduresz00:
			if (NULLP(BgL_lz00_4))
				{	/* SawMill/procedures.scm 24 */
					return BgL_rz00_5;
				}
			else
				{	/* SawMill/procedures.scm 26 */
					obj_t BgL_arg1358z00_1441;
					obj_t BgL_arg1359z00_1442;

					BgL_arg1358z00_1441 = CDR(((obj_t) BgL_lz00_4));
					{	/* SawMill/procedures.scm 26 */
						obj_t BgL_arg1360z00_1443;

						BgL_arg1360z00_1443 = CAR(((obj_t) BgL_lz00_4));
						BgL_arg1359z00_1442 =
							BGl_getz00zzsaw_proceduresz00(
							((BgL_nodez00_bglt) BgL_arg1360z00_1443), BgL_rz00_5);
					}
					{
						obj_t BgL_rz00_2598;
						obj_t BgL_lz00_2597;

						BgL_lz00_2597 = BgL_arg1358z00_1441;
						BgL_rz00_2598 = BgL_arg1359z00_1442;
						BgL_rz00_5 = BgL_rz00_2598;
						BgL_lz00_4 = BgL_lz00_2597;
						goto BGl_getza2za2zzsaw_proceduresz00;
					}
				}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzsaw_proceduresz00(void)
	{
		{	/* SawMill/procedures.scm 1 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzsaw_proceduresz00(void)
	{
		{	/* SawMill/procedures.scm 1 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_getzd2envzd2zzsaw_proceduresz00,
				BGl_proc1864z00zzsaw_proceduresz00, BGl_nodez00zzast_nodez00,
				BGl_string1865z00zzsaw_proceduresz00);
		}

	}



/* &get1260 */
	obj_t BGl_z62get1260z62zzsaw_proceduresz00(obj_t BgL_envz00_2244,
		obj_t BgL_ez00_2245, obj_t BgL_rz00_2246)
	{
		{	/* SawMill/procedures.scm 31 */
			{	/* SawMill/procedures.scm 32 */
				obj_t BgL_arg1364z00_2379;

				{	/* SawMill/procedures.scm 32 */
					obj_t BgL_arg1365z00_2380;

					{	/* SawMill/procedures.scm 32 */
						obj_t BgL_arg1866z00_2381;
						long BgL_arg1867z00_2382;

						BgL_arg1866z00_2381 = (BGl_za2classesza2z00zz__objectz00);
						{	/* SawMill/procedures.scm 32 */
							long BgL_arg1869z00_2383;

							BgL_arg1869z00_2383 =
								BGL_OBJECT_CLASS_NUM(
								((BgL_objectz00_bglt) ((BgL_nodez00_bglt) BgL_ez00_2245)));
							BgL_arg1867z00_2382 = (BgL_arg1869z00_2383 - OBJECT_TYPE);
						}
						BgL_arg1365z00_2380 =
							VECTOR_REF(BgL_arg1866z00_2381, BgL_arg1867z00_2382);
					}
					BgL_arg1364z00_2379 =
						BGl_classzd2namezd2zz__objectz00(BgL_arg1365z00_2380);
				}
				return
					BGl_errorz00zz__errorz00(
					((obj_t)
						CNST_TABLE_REF(0)), BGl_string1866z00zzsaw_proceduresz00,
					BgL_arg1364z00_2379);
			}
		}

	}



/* get */
	obj_t BGl_getz00zzsaw_proceduresz00(BgL_nodez00_bglt BgL_ez00_6,
		obj_t BgL_rz00_7)
	{
		{	/* SawMill/procedures.scm 31 */
			{	/* SawMill/procedures.scm 31 */
				obj_t BgL_method1261z00_1451;

				{	/* SawMill/procedures.scm 31 */
					obj_t BgL_res1857z00_1961;

					{	/* SawMill/procedures.scm 31 */
						long BgL_objzd2classzd2numz00_1932;

						BgL_objzd2classzd2numz00_1932 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_ez00_6));
						{	/* SawMill/procedures.scm 31 */
							obj_t BgL_arg1862z00_1933;

							BgL_arg1862z00_1933 =
								PROCEDURE_REF(BGl_getzd2envzd2zzsaw_proceduresz00, (int) (1L));
							{	/* SawMill/procedures.scm 31 */
								int BgL_offsetz00_1936;

								BgL_offsetz00_1936 = (int) (BgL_objzd2classzd2numz00_1932);
								{	/* SawMill/procedures.scm 31 */
									long BgL_offsetz00_1937;

									BgL_offsetz00_1937 =
										((long) (BgL_offsetz00_1936) - OBJECT_TYPE);
									{	/* SawMill/procedures.scm 31 */
										long BgL_modz00_1938;

										BgL_modz00_1938 =
											(BgL_offsetz00_1937 >> (int) ((long) ((int) (4L))));
										{	/* SawMill/procedures.scm 31 */
											long BgL_restz00_1940;

											BgL_restz00_1940 =
												(BgL_offsetz00_1937 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(1L <<
																		(int) ((long) ((int) (4L)))))) - 1L))));
											{	/* SawMill/procedures.scm 31 */

												{	/* SawMill/procedures.scm 31 */
													obj_t BgL_bucketz00_1942;

													BgL_bucketz00_1942 =
														VECTOR_REF(
														((obj_t) BgL_arg1862z00_1933), BgL_modz00_1938);
													BgL_res1857z00_1961 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_1942), BgL_restz00_1940);
					}}}}}}}}
					BgL_method1261z00_1451 = BgL_res1857z00_1961;
				}
				return
					BGL_PROCEDURE_CALL2(BgL_method1261z00_1451,
					((obj_t) BgL_ez00_6), BgL_rz00_7);
			}
		}

	}



/* &get */
	obj_t BGl_z62getz62zzsaw_proceduresz00(obj_t BgL_envz00_2247,
		obj_t BgL_ez00_2248, obj_t BgL_rz00_2249)
	{
		{	/* SawMill/procedures.scm 31 */
			return
				BGl_getz00zzsaw_proceduresz00(
				((BgL_nodez00_bglt) BgL_ez00_2248), BgL_rz00_2249);
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzsaw_proceduresz00(void)
	{
		{	/* SawMill/procedures.scm 1 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_getzd2envzd2zzsaw_proceduresz00, BGl_atomz00zzast_nodez00,
				BGl_proc1867z00zzsaw_proceduresz00,
				BGl_string1868z00zzsaw_proceduresz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_getzd2envzd2zzsaw_proceduresz00, BGl_varz00zzast_nodez00,
				BGl_proc1869z00zzsaw_proceduresz00,
				BGl_string1868z00zzsaw_proceduresz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_getzd2envzd2zzsaw_proceduresz00, BGl_letzd2varzd2zzast_nodez00,
				BGl_proc1870z00zzsaw_proceduresz00,
				BGl_string1868z00zzsaw_proceduresz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_getzd2envzd2zzsaw_proceduresz00, BGl_setqz00zzast_nodez00,
				BGl_proc1871z00zzsaw_proceduresz00,
				BGl_string1868z00zzsaw_proceduresz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_getzd2envzd2zzsaw_proceduresz00, BGl_sequencez00zzast_nodez00,
				BGl_proc1872z00zzsaw_proceduresz00,
				BGl_string1868z00zzsaw_proceduresz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_getzd2envzd2zzsaw_proceduresz00, BGl_syncz00zzast_nodez00,
				BGl_proc1873z00zzsaw_proceduresz00,
				BGl_string1868z00zzsaw_proceduresz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_getzd2envzd2zzsaw_proceduresz00, BGl_conditionalz00zzast_nodez00,
				BGl_proc1874z00zzsaw_proceduresz00,
				BGl_string1868z00zzsaw_proceduresz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_getzd2envzd2zzsaw_proceduresz00, BGl_switchz00zzast_nodez00,
				BGl_proc1875z00zzsaw_proceduresz00,
				BGl_string1868z00zzsaw_proceduresz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_getzd2envzd2zzsaw_proceduresz00, BGl_letzd2funzd2zzast_nodez00,
				BGl_proc1876z00zzsaw_proceduresz00,
				BGl_string1868z00zzsaw_proceduresz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_getzd2envzd2zzsaw_proceduresz00, BGl_appz00zzast_nodez00,
				BGl_proc1877z00zzsaw_proceduresz00,
				BGl_string1868z00zzsaw_proceduresz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_getzd2envzd2zzsaw_proceduresz00, BGl_appzd2lyzd2zzast_nodez00,
				BGl_proc1878z00zzsaw_proceduresz00,
				BGl_string1868z00zzsaw_proceduresz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_getzd2envzd2zzsaw_proceduresz00, BGl_funcallz00zzast_nodez00,
				BGl_proc1879z00zzsaw_proceduresz00,
				BGl_string1868z00zzsaw_proceduresz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_getzd2envzd2zzsaw_proceduresz00, BGl_pragmaz00zzast_nodez00,
				BGl_proc1880z00zzsaw_proceduresz00,
				BGl_string1868z00zzsaw_proceduresz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_getzd2envzd2zzsaw_proceduresz00, BGl_getfieldz00zzast_nodez00,
				BGl_proc1881z00zzsaw_proceduresz00,
				BGl_string1868z00zzsaw_proceduresz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_getzd2envzd2zzsaw_proceduresz00, BGl_setfieldz00zzast_nodez00,
				BGl_proc1882z00zzsaw_proceduresz00,
				BGl_string1868z00zzsaw_proceduresz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_getzd2envzd2zzsaw_proceduresz00, BGl_newz00zzast_nodez00,
				BGl_proc1883z00zzsaw_proceduresz00,
				BGl_string1868z00zzsaw_proceduresz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_getzd2envzd2zzsaw_proceduresz00, BGl_vallocz00zzast_nodez00,
				BGl_proc1884z00zzsaw_proceduresz00,
				BGl_string1868z00zzsaw_proceduresz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_getzd2envzd2zzsaw_proceduresz00, BGl_vrefz00zzast_nodez00,
				BGl_proc1885z00zzsaw_proceduresz00,
				BGl_string1868z00zzsaw_proceduresz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_getzd2envzd2zzsaw_proceduresz00, BGl_vsetz12z12zzast_nodez00,
				BGl_proc1886z00zzsaw_proceduresz00,
				BGl_string1868z00zzsaw_proceduresz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_getzd2envzd2zzsaw_proceduresz00, BGl_vlengthz00zzast_nodez00,
				BGl_proc1887z00zzsaw_proceduresz00,
				BGl_string1868z00zzsaw_proceduresz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_getzd2envzd2zzsaw_proceduresz00, BGl_instanceofz00zzast_nodez00,
				BGl_proc1888z00zzsaw_proceduresz00,
				BGl_string1868z00zzsaw_proceduresz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_getzd2envzd2zzsaw_proceduresz00, BGl_castzd2nullzd2zzast_nodez00,
				BGl_proc1889z00zzsaw_proceduresz00,
				BGl_string1868z00zzsaw_proceduresz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_getzd2envzd2zzsaw_proceduresz00, BGl_castz00zzast_nodez00,
				BGl_proc1890z00zzsaw_proceduresz00,
				BGl_string1868z00zzsaw_proceduresz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_getzd2envzd2zzsaw_proceduresz00, BGl_setzd2exzd2itz00zzast_nodez00,
				BGl_proc1891z00zzsaw_proceduresz00,
				BGl_string1868z00zzsaw_proceduresz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_getzd2envzd2zzsaw_proceduresz00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc1892z00zzsaw_proceduresz00,
				BGl_string1868z00zzsaw_proceduresz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_getzd2envzd2zzsaw_proceduresz00, BGl_failz00zzast_nodez00,
				BGl_proc1893z00zzsaw_proceduresz00,
				BGl_string1868z00zzsaw_proceduresz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_getzd2envzd2zzsaw_proceduresz00, BGl_makezd2boxzd2zzast_nodez00,
				BGl_proc1894z00zzsaw_proceduresz00,
				BGl_string1868z00zzsaw_proceduresz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_getzd2envzd2zzsaw_proceduresz00, BGl_boxzd2refzd2zzast_nodez00,
				BGl_proc1895z00zzsaw_proceduresz00,
				BGl_string1868z00zzsaw_proceduresz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_getzd2envzd2zzsaw_proceduresz00, BGl_boxzd2setz12zc0zzast_nodez00,
				BGl_proc1896z00zzsaw_proceduresz00,
				BGl_string1868z00zzsaw_proceduresz00);
		}

	}



/* &get-box-set!1321 */
	obj_t BGl_z62getzd2boxzd2setz121321z70zzsaw_proceduresz00(obj_t
		BgL_envz00_2279, obj_t BgL_ez00_2280, obj_t BgL_rz00_2281)
	{
		{	/* SawMill/procedures.scm 188 */
			{	/* SawMill/procedures.scm 190 */
				BgL_varz00_bglt BgL_arg1686z00_2385;
				obj_t BgL_arg1691z00_2386;

				BgL_arg1686z00_2385 =
					(((BgL_boxzd2setz12zc0_bglt) COBJECT(
							((BgL_boxzd2setz12zc0_bglt) BgL_ez00_2280)))->BgL_varz00);
				BgL_arg1691z00_2386 =
					BGl_getz00zzsaw_proceduresz00(
					(((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_ez00_2280)))->BgL_valuez00),
					BgL_rz00_2281);
				return BGl_getz00zzsaw_proceduresz00(((BgL_nodez00_bglt)
						BgL_arg1686z00_2385), BgL_arg1691z00_2386);
			}
		}

	}



/* &get-box-ref1319 */
	obj_t BGl_z62getzd2boxzd2ref1319z62zzsaw_proceduresz00(obj_t BgL_envz00_2282,
		obj_t BgL_ez00_2283, obj_t BgL_rz00_2284)
	{
		{	/* SawMill/procedures.scm 183 */
			{	/* SawMill/procedures.scm 185 */
				BgL_varz00_bglt BgL_arg1680z00_2388;

				BgL_arg1680z00_2388 =
					(((BgL_boxzd2refzd2_bglt) COBJECT(
							((BgL_boxzd2refzd2_bglt) BgL_ez00_2283)))->BgL_varz00);
				return
					BGl_getz00zzsaw_proceduresz00(
					((BgL_nodez00_bglt) BgL_arg1680z00_2388), BgL_rz00_2284);
			}
		}

	}



/* &get-make-box1317 */
	obj_t BGl_z62getzd2makezd2box1317z62zzsaw_proceduresz00(obj_t BgL_envz00_2285,
		obj_t BgL_ez00_2286, obj_t BgL_rz00_2287)
	{
		{	/* SawMill/procedures.scm 178 */
			return
				BGl_getz00zzsaw_proceduresz00(
				(((BgL_makezd2boxzd2_bglt) COBJECT(
							((BgL_makezd2boxzd2_bglt) BgL_ez00_2286)))->BgL_valuez00),
				BgL_rz00_2287);
		}

	}



/* &get-fail1315 */
	obj_t BGl_z62getzd2fail1315zb0zzsaw_proceduresz00(obj_t BgL_envz00_2288,
		obj_t BgL_ez00_2289, obj_t BgL_rz00_2290)
	{
		{	/* SawMill/procedures.scm 173 */
			return
				BGl_getz00zzsaw_proceduresz00(
				(((BgL_failz00_bglt) COBJECT(
							((BgL_failz00_bglt) BgL_ez00_2289)))->BgL_procz00),
				BGl_getz00zzsaw_proceduresz00(
					(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_ez00_2289)))->BgL_msgz00),
					BGl_getz00zzsaw_proceduresz00(
						(((BgL_failz00_bglt) COBJECT(
									((BgL_failz00_bglt) BgL_ez00_2289)))->BgL_objz00),
						BgL_rz00_2290)));
		}

	}



/* &get-jump-ex-it1313 */
	obj_t BGl_z62getzd2jumpzd2exzd2it1313zb0zzsaw_proceduresz00(obj_t
		BgL_envz00_2291, obj_t BgL_ez00_2292, obj_t BgL_rz00_2293)
	{
		{	/* SawMill/procedures.scm 168 */
			return
				BGl_getz00zzsaw_proceduresz00(
				(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
							((BgL_jumpzd2exzd2itz00_bglt) BgL_ez00_2292)))->BgL_exitz00),
				BGl_getz00zzsaw_proceduresz00(
					(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_ez00_2292)))->BgL_valuez00),
					BgL_rz00_2293));
		}

	}



/* &get-set-ex-it1311 */
	obj_t BGl_z62getzd2setzd2exzd2it1311zb0zzsaw_proceduresz00(obj_t
		BgL_envz00_2294, obj_t BgL_ez00_2295, obj_t BgL_rz00_2296)
	{
		{	/* SawMill/procedures.scm 163 */
			{	/* SawMill/procedures.scm 165 */
				BgL_varz00_bglt BgL_arg1653z00_2393;
				obj_t BgL_arg1655z00_2394;

				BgL_arg1653z00_2393 =
					(((BgL_setzd2exzd2itz00_bglt) COBJECT(
							((BgL_setzd2exzd2itz00_bglt) BgL_ez00_2295)))->BgL_varz00);
				BgL_arg1655z00_2394 =
					BGl_getz00zzsaw_proceduresz00(
					(((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_ez00_2295)))->BgL_bodyz00),
					BgL_rz00_2296);
				return BGl_getz00zzsaw_proceduresz00(((BgL_nodez00_bglt)
						BgL_arg1653z00_2393), BgL_arg1655z00_2394);
			}
		}

	}



/* &get-cast1309 */
	obj_t BGl_z62getzd2cast1309zb0zzsaw_proceduresz00(obj_t BgL_envz00_2297,
		obj_t BgL_ez00_2298, obj_t BgL_rz00_2299)
	{
		{	/* SawMill/procedures.scm 158 */
			return
				BGl_getz00zzsaw_proceduresz00(
				(((BgL_castz00_bglt) COBJECT(
							((BgL_castz00_bglt) BgL_ez00_2298)))->BgL_argz00), BgL_rz00_2299);
		}

	}



/* &get-cast-null1307 */
	obj_t BGl_z62getzd2castzd2null1307z62zzsaw_proceduresz00(obj_t
		BgL_envz00_2300, obj_t BgL_ez00_2301, obj_t BgL_rz00_2302)
	{
		{	/* SawMill/procedures.scm 154 */
			return BgL_rz00_2302;
		}

	}



/* &get-instanceof1305 */
	obj_t BGl_z62getzd2instanceof1305zb0zzsaw_proceduresz00(obj_t BgL_envz00_2303,
		obj_t BgL_ez00_2304, obj_t BgL_rz00_2305)
	{
		{	/* SawMill/procedures.scm 149 */
			{	/* SawMill/procedures.scm 151 */
				obj_t BgL_arg1649z00_2398;

				BgL_arg1649z00_2398 =
					(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt)
								((BgL_instanceofz00_bglt) BgL_ez00_2304))))->BgL_exprza2za2);
				return
					BGl_getza2za2zzsaw_proceduresz00(BgL_arg1649z00_2398, BgL_rz00_2305);
			}
		}

	}



/* &get-vlength1303 */
	obj_t BGl_z62getzd2vlength1303zb0zzsaw_proceduresz00(obj_t BgL_envz00_2306,
		obj_t BgL_ez00_2307, obj_t BgL_rz00_2308)
	{
		{	/* SawMill/procedures.scm 144 */
			{	/* SawMill/procedures.scm 146 */
				obj_t BgL_arg1648z00_2400;

				BgL_arg1648z00_2400 =
					(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt)
								((BgL_vlengthz00_bglt) BgL_ez00_2307))))->BgL_exprza2za2);
				return
					BGl_getza2za2zzsaw_proceduresz00(BgL_arg1648z00_2400, BgL_rz00_2308);
			}
		}

	}



/* &get-vset!1301 */
	obj_t BGl_z62getzd2vsetz121301za2zzsaw_proceduresz00(obj_t BgL_envz00_2309,
		obj_t BgL_ez00_2310, obj_t BgL_rz00_2311)
	{
		{	/* SawMill/procedures.scm 139 */
			{	/* SawMill/procedures.scm 141 */
				obj_t BgL_arg1643z00_2402;

				BgL_arg1643z00_2402 =
					(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt)
								((BgL_vsetz12z12_bglt) BgL_ez00_2310))))->BgL_exprza2za2);
				return
					BGl_getza2za2zzsaw_proceduresz00(BgL_arg1643z00_2402, BgL_rz00_2311);
			}
		}

	}



/* &get-vref1298 */
	obj_t BGl_z62getzd2vref1298zb0zzsaw_proceduresz00(obj_t BgL_envz00_2312,
		obj_t BgL_ez00_2313, obj_t BgL_rz00_2314)
	{
		{	/* SawMill/procedures.scm 134 */
			{	/* SawMill/procedures.scm 136 */
				obj_t BgL_arg1642z00_2404;

				BgL_arg1642z00_2404 =
					(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt)
								((BgL_vrefz00_bglt) BgL_ez00_2313))))->BgL_exprza2za2);
				return
					BGl_getza2za2zzsaw_proceduresz00(BgL_arg1642z00_2404, BgL_rz00_2314);
			}
		}

	}



/* &get-valloc1296 */
	obj_t BGl_z62getzd2valloc1296zb0zzsaw_proceduresz00(obj_t BgL_envz00_2315,
		obj_t BgL_ez00_2316, obj_t BgL_rz00_2317)
	{
		{	/* SawMill/procedures.scm 129 */
			{	/* SawMill/procedures.scm 131 */
				obj_t BgL_arg1638z00_2406;

				BgL_arg1638z00_2406 =
					(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt)
								((BgL_vallocz00_bglt) BgL_ez00_2316))))->BgL_exprza2za2);
				return
					BGl_getza2za2zzsaw_proceduresz00(BgL_arg1638z00_2406, BgL_rz00_2317);
			}
		}

	}



/* &get-new1294 */
	obj_t BGl_z62getzd2new1294zb0zzsaw_proceduresz00(obj_t BgL_envz00_2318,
		obj_t BgL_ez00_2319, obj_t BgL_rz00_2320)
	{
		{	/* SawMill/procedures.scm 125 */
			return BgL_rz00_2320;
		}

	}



/* &get-setfield1292 */
	obj_t BGl_z62getzd2setfield1292zb0zzsaw_proceduresz00(obj_t BgL_envz00_2321,
		obj_t BgL_ez00_2322, obj_t BgL_rz00_2323)
	{
		{	/* SawMill/procedures.scm 120 */
			{	/* SawMill/procedures.scm 122 */
				obj_t BgL_arg1635z00_2409;

				BgL_arg1635z00_2409 =
					(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt)
								((BgL_setfieldz00_bglt) BgL_ez00_2322))))->BgL_exprza2za2);
				return
					BGl_getza2za2zzsaw_proceduresz00(BgL_arg1635z00_2409, BgL_rz00_2323);
			}
		}

	}



/* &get-getfield1290 */
	obj_t BGl_z62getzd2getfield1290zb0zzsaw_proceduresz00(obj_t BgL_envz00_2324,
		obj_t BgL_ez00_2325, obj_t BgL_rz00_2326)
	{
		{	/* SawMill/procedures.scm 115 */
			{	/* SawMill/procedures.scm 117 */
				obj_t BgL_arg1633z00_2411;

				BgL_arg1633z00_2411 =
					(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt)
								((BgL_getfieldz00_bglt) BgL_ez00_2325))))->BgL_exprza2za2);
				return
					BGl_getza2za2zzsaw_proceduresz00(BgL_arg1633z00_2411, BgL_rz00_2326);
			}
		}

	}



/* &get-pragma1288 */
	obj_t BGl_z62getzd2pragma1288zb0zzsaw_proceduresz00(obj_t BgL_envz00_2327,
		obj_t BgL_ez00_2328, obj_t BgL_rz00_2329)
	{
		{	/* SawMill/procedures.scm 110 */
			{	/* SawMill/procedures.scm 112 */
				obj_t BgL_arg1632z00_2413;

				BgL_arg1632z00_2413 =
					(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt)
								((BgL_pragmaz00_bglt) BgL_ez00_2328))))->BgL_exprza2za2);
				return
					BGl_getza2za2zzsaw_proceduresz00(BgL_arg1632z00_2413, BgL_rz00_2329);
			}
		}

	}



/* &get-funcall1286 */
	obj_t BGl_z62getzd2funcall1286zb0zzsaw_proceduresz00(obj_t BgL_envz00_2330,
		obj_t BgL_ez00_2331, obj_t BgL_rz00_2332)
	{
		{	/* SawMill/procedures.scm 103 */
			if (
				((((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_ez00_2331)))->BgL_strengthz00) ==
					((obj_t) CNST_TABLE_REF(1))))
				{	/* SawMill/procedures.scm 105 */
					return
						BGl_getza2za2zzsaw_proceduresz00(
						(((BgL_funcallz00_bglt) COBJECT(
									((BgL_funcallz00_bglt) BgL_ez00_2331)))->BgL_argsz00),
						BgL_rz00_2332);
				}
			else
				{	/* SawMill/procedures.scm 105 */
					return
						BGl_getz00zzsaw_proceduresz00(
						(((BgL_funcallz00_bglt) COBJECT(
									((BgL_funcallz00_bglt) BgL_ez00_2331)))->BgL_funz00),
						BGl_getza2za2zzsaw_proceduresz00(
							(((BgL_funcallz00_bglt) COBJECT(
										((BgL_funcallz00_bglt) BgL_ez00_2331)))->BgL_argsz00),
							BgL_rz00_2332));
				}
		}

	}



/* &get-app-ly1284 */
	obj_t BGl_z62getzd2appzd2ly1284z62zzsaw_proceduresz00(obj_t BgL_envz00_2333,
		obj_t BgL_ez00_2334, obj_t BgL_rz00_2335)
	{
		{	/* SawMill/procedures.scm 98 */
			return
				BGl_getz00zzsaw_proceduresz00(
				(((BgL_appzd2lyzd2_bglt) COBJECT(
							((BgL_appzd2lyzd2_bglt) BgL_ez00_2334)))->BgL_funz00),
				BGl_getz00zzsaw_proceduresz00(
					(((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_ez00_2334)))->BgL_argz00),
					BgL_rz00_2335));
		}

	}



/* &get-app1282 */
	obj_t BGl_z62getzd2app1282zb0zzsaw_proceduresz00(obj_t BgL_envz00_2336,
		obj_t BgL_ez00_2337, obj_t BgL_rz00_2338)
	{
		{	/* SawMill/procedures.scm 84 */
			{	/* SawMill/procedures.scm 86 */
				obj_t BgL_rz00_2417;
				BgL_variablez00_bglt BgL_vz00_2418;

				BgL_rz00_2417 =
					BGl_getza2za2zzsaw_proceduresz00(
					(((BgL_appz00_bglt) COBJECT(
								((BgL_appz00_bglt) BgL_ez00_2337)))->BgL_argsz00),
					BgL_rz00_2338);
				BgL_vz00_2418 =
					(((BgL_varz00_bglt) COBJECT((((BgL_appz00_bglt)
									COBJECT(((BgL_appz00_bglt) BgL_ez00_2337)))->BgL_funz00)))->
					BgL_variablez00);
				{	/* SawMill/procedures.scm 87 */
					bool_t BgL_test1945z00_2770;

					{	/* SawMill/procedures.scm 87 */
						obj_t BgL_classz00_2419;

						BgL_classz00_2419 = BGl_localz00zzast_varz00;
						{	/* SawMill/procedures.scm 87 */
							BgL_objectz00_bglt BgL_arg1858z00_2420;

							{	/* SawMill/procedures.scm 87 */
								obj_t BgL_tmpz00_2771;

								BgL_tmpz00_2771 =
									((obj_t) ((BgL_objectz00_bglt) BgL_vz00_2418));
								BgL_arg1858z00_2420 = (BgL_objectz00_bglt) (BgL_tmpz00_2771);
							}
							if (BGL_CONDEXPAND_ISA_ARCH64())
								{	/* SawMill/procedures.scm 87 */
									long BgL_idxz00_2421;

									BgL_idxz00_2421 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_2420);
									BgL_test1945z00_2770 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_2421 + 2L)) == BgL_classz00_2419);
								}
							else
								{	/* SawMill/procedures.scm 87 */
									bool_t BgL_res1860z00_2424;

									{	/* SawMill/procedures.scm 87 */
										obj_t BgL_oclassz00_2425;

										{	/* SawMill/procedures.scm 87 */
											obj_t BgL_arg1866z00_2426;
											long BgL_arg1867z00_2427;

											BgL_arg1866z00_2426 = (BGl_za2classesza2z00zz__objectz00);
											{	/* SawMill/procedures.scm 87 */
												long BgL_arg1869z00_2428;

												BgL_arg1869z00_2428 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_2420);
												BgL_arg1867z00_2427 =
													(BgL_arg1869z00_2428 - OBJECT_TYPE);
											}
											BgL_oclassz00_2425 =
												VECTOR_REF(BgL_arg1866z00_2426, BgL_arg1867z00_2427);
										}
										{	/* SawMill/procedures.scm 87 */
											bool_t BgL__ortest_1115z00_2429;

											BgL__ortest_1115z00_2429 =
												(BgL_classz00_2419 == BgL_oclassz00_2425);
											if (BgL__ortest_1115z00_2429)
												{	/* SawMill/procedures.scm 87 */
													BgL_res1860z00_2424 = BgL__ortest_1115z00_2429;
												}
											else
												{	/* SawMill/procedures.scm 87 */
													long BgL_odepthz00_2430;

													{	/* SawMill/procedures.scm 87 */
														obj_t BgL_arg1855z00_2431;

														BgL_arg1855z00_2431 = (BgL_oclassz00_2425);
														BgL_odepthz00_2430 =
															BGL_CLASS_DEPTH(BgL_arg1855z00_2431);
													}
													if ((2L < BgL_odepthz00_2430))
														{	/* SawMill/procedures.scm 87 */
															obj_t BgL_arg1853z00_2432;

															{	/* SawMill/procedures.scm 87 */
																obj_t BgL_arg1854z00_2433;

																BgL_arg1854z00_2433 = (BgL_oclassz00_2425);
																BgL_arg1853z00_2432 =
																	BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_2433,
																	2L);
															}
															BgL_res1860z00_2424 =
																(BgL_arg1853z00_2432 == BgL_classz00_2419);
														}
													else
														{	/* SawMill/procedures.scm 87 */
															BgL_res1860z00_2424 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_test1945z00_2770 = BgL_res1860z00_2424;
								}
						}
					}
					if (BgL_test1945z00_2770)
						{	/* SawMill/procedures.scm 87 */
							return BgL_rz00_2417;
						}
					else
						{	/* SawMill/procedures.scm 89 */
							obj_t BgL_idz00_2434;

							BgL_idz00_2434 =
								(((BgL_variablez00_bglt) COBJECT(
										((BgL_variablez00_bglt)
											((BgL_globalz00_bglt) BgL_vz00_2418))))->BgL_idz00);
							if ((BgL_idz00_2434 == ((obj_t) CNST_TABLE_REF(2))))
								{	/* SawMill/procedures.scm 91 */
									BgL_variablez00_bglt BgL_gz00_2435;

									{
										BgL_varz00_bglt BgL_auxz00_2801;

										{	/* SawMill/procedures.scm 91 */
											obj_t BgL_pairz00_2436;

											BgL_pairz00_2436 =
												(((BgL_appz00_bglt) COBJECT(
														((BgL_appz00_bglt) BgL_ez00_2337)))->BgL_argsz00);
											BgL_auxz00_2801 =
												((BgL_varz00_bglt) CAR(BgL_pairz00_2436));
										}
										BgL_gz00_2435 =
											(((BgL_varz00_bglt) COBJECT(BgL_auxz00_2801))->
											BgL_variablez00);
									}
									if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
												((obj_t) BgL_gz00_2435), BgL_rz00_2417)))
										{	/* SawMill/procedures.scm 92 */
											return BgL_rz00_2417;
										}
									else
										{	/* SawMill/procedures.scm 92 */
											return
												MAKE_YOUNG_PAIR(((obj_t) BgL_gz00_2435), BgL_rz00_2417);
										}
								}
							else
								{	/* SawMill/procedures.scm 90 */
									return BgL_rz00_2417;
								}
						}
				}
			}
		}

	}



/* &get-let-fun1280 */
	obj_t BGl_z62getzd2letzd2fun1280z62zzsaw_proceduresz00(obj_t BgL_envz00_2339,
		obj_t BgL_ez00_2340, obj_t BgL_rz00_2341)
	{
		{	/* SawMill/procedures.scm 78 */
			{	/* SawMill/procedures.scm 80 */
				obj_t BgL_arg1553z00_2438;
				obj_t BgL_arg1554z00_2439;

				{	/* SawMill/procedures.scm 80 */
					obj_t BgL_l1255z00_2440;

					BgL_l1255z00_2440 =
						(((BgL_letzd2funzd2_bglt) COBJECT(
								((BgL_letzd2funzd2_bglt) BgL_ez00_2340)))->BgL_localsz00);
					if (NULLP(BgL_l1255z00_2440))
						{	/* SawMill/procedures.scm 80 */
							BgL_arg1553z00_2438 = BNIL;
						}
					else
						{	/* SawMill/procedures.scm 80 */
							obj_t BgL_head1257z00_2441;

							BgL_head1257z00_2441 = MAKE_YOUNG_PAIR(BNIL, BNIL);
							{
								obj_t BgL_l1255z00_2443;
								obj_t BgL_tail1258z00_2444;

								BgL_l1255z00_2443 = BgL_l1255z00_2440;
								BgL_tail1258z00_2444 = BgL_head1257z00_2441;
							BgL_zc3z04anonymousza31556ze3z87_2442:
								if (NULLP(BgL_l1255z00_2443))
									{	/* SawMill/procedures.scm 80 */
										BgL_arg1553z00_2438 = CDR(BgL_head1257z00_2441);
									}
								else
									{	/* SawMill/procedures.scm 80 */
										obj_t BgL_newtail1259z00_2445;

										{	/* SawMill/procedures.scm 80 */
											obj_t BgL_arg1560z00_2446;

											BgL_arg1560z00_2446 =
												(((BgL_sfunz00_bglt) COBJECT(
														((BgL_sfunz00_bglt)
															(((BgL_variablez00_bglt) COBJECT(
																		((BgL_variablez00_bglt)
																			((BgL_localz00_bglt)
																				CAR(
																					((obj_t) BgL_l1255z00_2443))))))->
																BgL_valuez00))))->BgL_bodyz00);
											BgL_newtail1259z00_2445 =
												MAKE_YOUNG_PAIR(BgL_arg1560z00_2446, BNIL);
										}
										SET_CDR(BgL_tail1258z00_2444, BgL_newtail1259z00_2445);
										{	/* SawMill/procedures.scm 80 */
											obj_t BgL_arg1558z00_2447;

											BgL_arg1558z00_2447 = CDR(((obj_t) BgL_l1255z00_2443));
											{
												obj_t BgL_tail1258z00_2833;
												obj_t BgL_l1255z00_2832;

												BgL_l1255z00_2832 = BgL_arg1558z00_2447;
												BgL_tail1258z00_2833 = BgL_newtail1259z00_2445;
												BgL_tail1258z00_2444 = BgL_tail1258z00_2833;
												BgL_l1255z00_2443 = BgL_l1255z00_2832;
												goto BgL_zc3z04anonymousza31556ze3z87_2442;
											}
										}
									}
							}
						}
				}
				BgL_arg1554z00_2439 =
					BGl_getz00zzsaw_proceduresz00(
					(((BgL_letzd2funzd2_bglt) COBJECT(
								((BgL_letzd2funzd2_bglt) BgL_ez00_2340)))->BgL_bodyz00),
					BgL_rz00_2341);
				return BGl_getza2za2zzsaw_proceduresz00(BgL_arg1553z00_2438,
					BgL_arg1554z00_2439);
			}
		}

	}



/* &get-switch1278 */
	obj_t BGl_z62getzd2switch1278zb0zzsaw_proceduresz00(obj_t BgL_envz00_2342,
		obj_t BgL_ez00_2343, obj_t BgL_rz00_2344)
	{
		{	/* SawMill/procedures.scm 73 */
			{	/* SawMill/procedures.scm 75 */
				BgL_nodez00_bglt BgL_arg1513z00_2449;
				obj_t BgL_arg1515z00_2450;

				BgL_arg1513z00_2449 =
					(((BgL_switchz00_bglt) COBJECT(
							((BgL_switchz00_bglt) BgL_ez00_2343)))->BgL_testz00);
				{	/* SawMill/procedures.scm 75 */
					obj_t BgL_arg1516z00_2451;

					{	/* SawMill/procedures.scm 75 */
						obj_t BgL_l1249z00_2452;

						BgL_l1249z00_2452 =
							(((BgL_switchz00_bglt) COBJECT(
									((BgL_switchz00_bglt) BgL_ez00_2343)))->BgL_clausesz00);
						if (NULLP(BgL_l1249z00_2452))
							{	/* SawMill/procedures.scm 75 */
								BgL_arg1516z00_2451 = BNIL;
							}
						else
							{	/* SawMill/procedures.scm 75 */
								obj_t BgL_head1251z00_2453;

								{	/* SawMill/procedures.scm 75 */
									obj_t BgL_arg1543z00_2454;

									{	/* SawMill/procedures.scm 75 */
										obj_t BgL_pairz00_2455;

										BgL_pairz00_2455 = CAR(((obj_t) BgL_l1249z00_2452));
										BgL_arg1543z00_2454 = CDR(BgL_pairz00_2455);
									}
									BgL_head1251z00_2453 =
										MAKE_YOUNG_PAIR(BgL_arg1543z00_2454, BNIL);
								}
								{	/* SawMill/procedures.scm 75 */
									obj_t BgL_g1254z00_2456;

									BgL_g1254z00_2456 = CDR(((obj_t) BgL_l1249z00_2452));
									{
										obj_t BgL_l1249z00_2458;
										obj_t BgL_tail1252z00_2459;

										BgL_l1249z00_2458 = BgL_g1254z00_2456;
										BgL_tail1252z00_2459 = BgL_head1251z00_2453;
									BgL_zc3z04anonymousza31518ze3z87_2457:
										if (NULLP(BgL_l1249z00_2458))
											{	/* SawMill/procedures.scm 75 */
												BgL_arg1516z00_2451 = BgL_head1251z00_2453;
											}
										else
											{	/* SawMill/procedures.scm 75 */
												obj_t BgL_newtail1253z00_2460;

												{	/* SawMill/procedures.scm 75 */
													obj_t BgL_arg1532z00_2461;

													{	/* SawMill/procedures.scm 75 */
														obj_t BgL_pairz00_2462;

														BgL_pairz00_2462 = CAR(((obj_t) BgL_l1249z00_2458));
														BgL_arg1532z00_2461 = CDR(BgL_pairz00_2462);
													}
													BgL_newtail1253z00_2460 =
														MAKE_YOUNG_PAIR(BgL_arg1532z00_2461, BNIL);
												}
												SET_CDR(BgL_tail1252z00_2459, BgL_newtail1253z00_2460);
												{	/* SawMill/procedures.scm 75 */
													obj_t BgL_arg1530z00_2463;

													BgL_arg1530z00_2463 =
														CDR(((obj_t) BgL_l1249z00_2458));
													{
														obj_t BgL_tail1252z00_2860;
														obj_t BgL_l1249z00_2859;

														BgL_l1249z00_2859 = BgL_arg1530z00_2463;
														BgL_tail1252z00_2860 = BgL_newtail1253z00_2460;
														BgL_tail1252z00_2459 = BgL_tail1252z00_2860;
														BgL_l1249z00_2458 = BgL_l1249z00_2859;
														goto BgL_zc3z04anonymousza31518ze3z87_2457;
													}
												}
											}
									}
								}
							}
					}
					BgL_arg1515z00_2450 =
						BGl_getza2za2zzsaw_proceduresz00(BgL_arg1516z00_2451,
						BgL_rz00_2344);
				}
				return
					BGl_getz00zzsaw_proceduresz00(BgL_arg1513z00_2449,
					BgL_arg1515z00_2450);
			}
		}

	}



/* &get-conditional1276 */
	obj_t BGl_z62getzd2conditional1276zb0zzsaw_proceduresz00(obj_t
		BgL_envz00_2345, obj_t BgL_ez00_2346, obj_t BgL_rz00_2347)
	{
		{	/* SawMill/procedures.scm 68 */
			return
				BGl_getz00zzsaw_proceduresz00(
				(((BgL_conditionalz00_bglt) COBJECT(
							((BgL_conditionalz00_bglt) BgL_ez00_2346)))->BgL_testz00),
				BGl_getz00zzsaw_proceduresz00(
					(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_ez00_2346)))->BgL_truez00),
					BGl_getz00zzsaw_proceduresz00(
						(((BgL_conditionalz00_bglt) COBJECT(
									((BgL_conditionalz00_bglt) BgL_ez00_2346)))->BgL_falsez00),
						BgL_rz00_2347)));
		}

	}



/* &get-sync1274 */
	obj_t BGl_z62getzd2sync1274zb0zzsaw_proceduresz00(obj_t BgL_envz00_2348,
		obj_t BgL_ez00_2349, obj_t BgL_rz00_2350)
	{
		{	/* SawMill/procedures.scm 63 */
			return
				BGl_getz00zzsaw_proceduresz00(
				(((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_ez00_2349)))->BgL_prelockz00),
				BGl_getz00zzsaw_proceduresz00(
					(((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_ez00_2349)))->BgL_mutexz00),
					BGl_getz00zzsaw_proceduresz00(
						(((BgL_syncz00_bglt) COBJECT(
									((BgL_syncz00_bglt) BgL_ez00_2349)))->BgL_bodyz00),
						BgL_rz00_2350)));
		}

	}



/* &get-sequence1272 */
	obj_t BGl_z62getzd2sequence1272zb0zzsaw_proceduresz00(obj_t BgL_envz00_2351,
		obj_t BgL_ez00_2352, obj_t BgL_rz00_2353)
	{
		{	/* SawMill/procedures.scm 58 */
			return
				BGl_getza2za2zzsaw_proceduresz00(
				(((BgL_sequencez00_bglt) COBJECT(
							((BgL_sequencez00_bglt) BgL_ez00_2352)))->BgL_nodesz00),
				BgL_rz00_2353);
		}

	}



/* &get-setq1270 */
	obj_t BGl_z62getzd2setq1270zb0zzsaw_proceduresz00(obj_t BgL_envz00_2354,
		obj_t BgL_ez00_2355, obj_t BgL_rz00_2356)
	{
		{	/* SawMill/procedures.scm 53 */
			return
				BGl_getz00zzsaw_proceduresz00(
				(((BgL_setqz00_bglt) COBJECT(
							((BgL_setqz00_bglt) BgL_ez00_2355)))->BgL_valuez00),
				BgL_rz00_2356);
		}

	}



/* &get-let-var1267 */
	obj_t BGl_z62getzd2letzd2var1267z62zzsaw_proceduresz00(obj_t BgL_envz00_2357,
		obj_t BgL_ez00_2358, obj_t BgL_rz00_2359)
	{
		{	/* SawMill/procedures.scm 48 */
			{	/* SawMill/procedures.scm 50 */
				BgL_nodez00_bglt BgL_arg1400z00_2469;
				obj_t BgL_arg1401z00_2470;

				BgL_arg1400z00_2469 =
					(((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_ez00_2358)))->BgL_bodyz00);
				{	/* SawMill/procedures.scm 50 */
					obj_t BgL_arg1402z00_2471;

					{	/* SawMill/procedures.scm 50 */
						obj_t BgL_l1243z00_2472;

						BgL_l1243z00_2472 =
							(((BgL_letzd2varzd2_bglt) COBJECT(
									((BgL_letzd2varzd2_bglt) BgL_ez00_2358)))->BgL_bindingsz00);
						if (NULLP(BgL_l1243z00_2472))
							{	/* SawMill/procedures.scm 50 */
								BgL_arg1402z00_2471 = BNIL;
							}
						else
							{	/* SawMill/procedures.scm 50 */
								obj_t BgL_head1245z00_2473;

								{	/* SawMill/procedures.scm 50 */
									obj_t BgL_arg1417z00_2474;

									{	/* SawMill/procedures.scm 50 */
										obj_t BgL_pairz00_2475;

										BgL_pairz00_2475 = CAR(((obj_t) BgL_l1243z00_2472));
										BgL_arg1417z00_2474 = CDR(BgL_pairz00_2475);
									}
									BgL_head1245z00_2473 =
										MAKE_YOUNG_PAIR(BgL_arg1417z00_2474, BNIL);
								}
								{	/* SawMill/procedures.scm 50 */
									obj_t BgL_g1248z00_2476;

									BgL_g1248z00_2476 = CDR(((obj_t) BgL_l1243z00_2472));
									{
										obj_t BgL_l1243z00_2478;
										obj_t BgL_tail1246z00_2479;

										BgL_l1243z00_2478 = BgL_g1248z00_2476;
										BgL_tail1246z00_2479 = BgL_head1245z00_2473;
									BgL_zc3z04anonymousza31405ze3z87_2477:
										if (NULLP(BgL_l1243z00_2478))
											{	/* SawMill/procedures.scm 50 */
												BgL_arg1402z00_2471 = BgL_head1245z00_2473;
											}
										else
											{	/* SawMill/procedures.scm 50 */
												obj_t BgL_newtail1247z00_2480;

												{	/* SawMill/procedures.scm 50 */
													obj_t BgL_arg1415z00_2481;

													{	/* SawMill/procedures.scm 50 */
														obj_t BgL_pairz00_2482;

														BgL_pairz00_2482 = CAR(((obj_t) BgL_l1243z00_2478));
														BgL_arg1415z00_2481 = CDR(BgL_pairz00_2482);
													}
													BgL_newtail1247z00_2480 =
														MAKE_YOUNG_PAIR(BgL_arg1415z00_2481, BNIL);
												}
												SET_CDR(BgL_tail1246z00_2479, BgL_newtail1247z00_2480);
												{	/* SawMill/procedures.scm 50 */
													obj_t BgL_arg1414z00_2483;

													BgL_arg1414z00_2483 =
														CDR(((obj_t) BgL_l1243z00_2478));
													{
														obj_t BgL_tail1246z00_2909;
														obj_t BgL_l1243z00_2908;

														BgL_l1243z00_2908 = BgL_arg1414z00_2483;
														BgL_tail1246z00_2909 = BgL_newtail1247z00_2480;
														BgL_tail1246z00_2479 = BgL_tail1246z00_2909;
														BgL_l1243z00_2478 = BgL_l1243z00_2908;
														goto BgL_zc3z04anonymousza31405ze3z87_2477;
													}
												}
											}
									}
								}
							}
					}
					BgL_arg1401z00_2470 =
						BGl_getza2za2zzsaw_proceduresz00(BgL_arg1402z00_2471,
						BgL_rz00_2359);
				}
				return
					BGl_getz00zzsaw_proceduresz00(BgL_arg1400z00_2469,
					BgL_arg1401z00_2470);
			}
		}

	}



/* &get-var1265 */
	obj_t BGl_z62getzd2var1265zb0zzsaw_proceduresz00(obj_t BgL_envz00_2360,
		obj_t BgL_ez00_2361, obj_t BgL_rz00_2362)
	{
		{	/* SawMill/procedures.scm 39 */
			{	/* SawMill/procedures.scm 41 */
				bool_t BgL_test1957z00_2912;

				{	/* SawMill/procedures.scm 41 */
					bool_t BgL_test1958z00_2913;

					{	/* SawMill/procedures.scm 41 */
						BgL_variablez00_bglt BgL_arg1392z00_2485;

						BgL_arg1392z00_2485 =
							(((BgL_varz00_bglt) COBJECT(
									((BgL_varz00_bglt) BgL_ez00_2361)))->BgL_variablez00);
						{	/* SawMill/procedures.scm 41 */
							obj_t BgL_classz00_2486;

							BgL_classz00_2486 = BGl_globalz00zzast_varz00;
							{	/* SawMill/procedures.scm 41 */
								BgL_objectz00_bglt BgL_arg1858z00_2487;

								{	/* SawMill/procedures.scm 41 */
									obj_t BgL_tmpz00_2916;

									BgL_tmpz00_2916 =
										((obj_t) ((BgL_objectz00_bglt) BgL_arg1392z00_2485));
									BgL_arg1858z00_2487 = (BgL_objectz00_bglt) (BgL_tmpz00_2916);
								}
								if (BGL_CONDEXPAND_ISA_ARCH64())
									{	/* SawMill/procedures.scm 41 */
										long BgL_idxz00_2488;

										BgL_idxz00_2488 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_2487);
										BgL_test1958z00_2913 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_2488 + 2L)) == BgL_classz00_2486);
									}
								else
									{	/* SawMill/procedures.scm 41 */
										bool_t BgL_res1858z00_2491;

										{	/* SawMill/procedures.scm 41 */
											obj_t BgL_oclassz00_2492;

											{	/* SawMill/procedures.scm 41 */
												obj_t BgL_arg1866z00_2493;
												long BgL_arg1867z00_2494;

												BgL_arg1866z00_2493 =
													(BGl_za2classesza2z00zz__objectz00);
												{	/* SawMill/procedures.scm 41 */
													long BgL_arg1869z00_2495;

													BgL_arg1869z00_2495 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_2487);
													BgL_arg1867z00_2494 =
														(BgL_arg1869z00_2495 - OBJECT_TYPE);
												}
												BgL_oclassz00_2492 =
													VECTOR_REF(BgL_arg1866z00_2493, BgL_arg1867z00_2494);
											}
											{	/* SawMill/procedures.scm 41 */
												bool_t BgL__ortest_1115z00_2496;

												BgL__ortest_1115z00_2496 =
													(BgL_classz00_2486 == BgL_oclassz00_2492);
												if (BgL__ortest_1115z00_2496)
													{	/* SawMill/procedures.scm 41 */
														BgL_res1858z00_2491 = BgL__ortest_1115z00_2496;
													}
												else
													{	/* SawMill/procedures.scm 41 */
														long BgL_odepthz00_2497;

														{	/* SawMill/procedures.scm 41 */
															obj_t BgL_arg1855z00_2498;

															BgL_arg1855z00_2498 = (BgL_oclassz00_2492);
															BgL_odepthz00_2497 =
																BGL_CLASS_DEPTH(BgL_arg1855z00_2498);
														}
														if ((2L < BgL_odepthz00_2497))
															{	/* SawMill/procedures.scm 41 */
																obj_t BgL_arg1853z00_2499;

																{	/* SawMill/procedures.scm 41 */
																	obj_t BgL_arg1854z00_2500;

																	BgL_arg1854z00_2500 = (BgL_oclassz00_2492);
																	BgL_arg1853z00_2499 =
																		BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_2500,
																		2L);
																}
																BgL_res1858z00_2491 =
																	(BgL_arg1853z00_2499 == BgL_classz00_2486);
															}
														else
															{	/* SawMill/procedures.scm 41 */
																BgL_res1858z00_2491 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_test1958z00_2913 = BgL_res1858z00_2491;
									}
							}
						}
					}
					if (BgL_test1958z00_2913)
						{	/* SawMill/procedures.scm 42 */
							bool_t BgL_test1962z00_2939;

							{	/* SawMill/procedures.scm 42 */
								BgL_valuez00_bglt BgL_arg1388z00_2501;

								BgL_arg1388z00_2501 =
									(((BgL_variablez00_bglt) COBJECT(
											(((BgL_varz00_bglt) COBJECT(
														((BgL_varz00_bglt) BgL_ez00_2361)))->
												BgL_variablez00)))->BgL_valuez00);
								{	/* SawMill/procedures.scm 42 */
									obj_t BgL_classz00_2502;

									BgL_classz00_2502 = BGl_sfunz00zzast_varz00;
									{	/* SawMill/procedures.scm 42 */
										BgL_objectz00_bglt BgL_arg1858z00_2503;

										{	/* SawMill/procedures.scm 42 */
											obj_t BgL_tmpz00_2943;

											BgL_tmpz00_2943 =
												((obj_t) ((BgL_objectz00_bglt) BgL_arg1388z00_2501));
											BgL_arg1858z00_2503 =
												(BgL_objectz00_bglt) (BgL_tmpz00_2943);
										}
										if (BGL_CONDEXPAND_ISA_ARCH64())
											{	/* SawMill/procedures.scm 42 */
												long BgL_idxz00_2504;

												BgL_idxz00_2504 =
													BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_2503);
												BgL_test1962z00_2939 =
													(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
														(BgL_idxz00_2504 + 3L)) == BgL_classz00_2502);
											}
										else
											{	/* SawMill/procedures.scm 42 */
												bool_t BgL_res1859z00_2507;

												{	/* SawMill/procedures.scm 42 */
													obj_t BgL_oclassz00_2508;

													{	/* SawMill/procedures.scm 42 */
														obj_t BgL_arg1866z00_2509;
														long BgL_arg1867z00_2510;

														BgL_arg1866z00_2509 =
															(BGl_za2classesza2z00zz__objectz00);
														{	/* SawMill/procedures.scm 42 */
															long BgL_arg1869z00_2511;

															BgL_arg1869z00_2511 =
																BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_2503);
															BgL_arg1867z00_2510 =
																(BgL_arg1869z00_2511 - OBJECT_TYPE);
														}
														BgL_oclassz00_2508 =
															VECTOR_REF(BgL_arg1866z00_2509,
															BgL_arg1867z00_2510);
													}
													{	/* SawMill/procedures.scm 42 */
														bool_t BgL__ortest_1115z00_2512;

														BgL__ortest_1115z00_2512 =
															(BgL_classz00_2502 == BgL_oclassz00_2508);
														if (BgL__ortest_1115z00_2512)
															{	/* SawMill/procedures.scm 42 */
																BgL_res1859z00_2507 = BgL__ortest_1115z00_2512;
															}
														else
															{	/* SawMill/procedures.scm 42 */
																long BgL_odepthz00_2513;

																{	/* SawMill/procedures.scm 42 */
																	obj_t BgL_arg1855z00_2514;

																	BgL_arg1855z00_2514 = (BgL_oclassz00_2508);
																	BgL_odepthz00_2513 =
																		BGL_CLASS_DEPTH(BgL_arg1855z00_2514);
																}
																if ((3L < BgL_odepthz00_2513))
																	{	/* SawMill/procedures.scm 42 */
																		obj_t BgL_arg1853z00_2515;

																		{	/* SawMill/procedures.scm 42 */
																			obj_t BgL_arg1854z00_2516;

																			BgL_arg1854z00_2516 =
																				(BgL_oclassz00_2508);
																			BgL_arg1853z00_2515 =
																				BGL_CLASS_ANCESTORS_REF
																				(BgL_arg1854z00_2516, 3L);
																		}
																		BgL_res1859z00_2507 =
																			(BgL_arg1853z00_2515 ==
																			BgL_classz00_2502);
																	}
																else
																	{	/* SawMill/procedures.scm 42 */
																		BgL_res1859z00_2507 = ((bool_t) 0);
																	}
															}
													}
												}
												BgL_test1962z00_2939 = BgL_res1859z00_2507;
											}
									}
								}
							}
							if (BgL_test1962z00_2939)
								{	/* SawMill/procedures.scm 42 */
									if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
												((obj_t)
													(((BgL_varz00_bglt) COBJECT(
																((BgL_varz00_bglt) BgL_ez00_2361)))->
														BgL_variablez00)), BgL_rz00_2362)))
										{	/* SawMill/procedures.scm 43 */
											BgL_test1957z00_2912 = ((bool_t) 0);
										}
									else
										{	/* SawMill/procedures.scm 43 */
											BgL_test1957z00_2912 = ((bool_t) 1);
										}
								}
							else
								{	/* SawMill/procedures.scm 42 */
									BgL_test1957z00_2912 = ((bool_t) 0);
								}
						}
					else
						{	/* SawMill/procedures.scm 41 */
							BgL_test1957z00_2912 = ((bool_t) 0);
						}
				}
				if (BgL_test1957z00_2912)
					{	/* SawMill/procedures.scm 44 */
						BgL_variablez00_bglt BgL_arg1385z00_2517;

						BgL_arg1385z00_2517 =
							(((BgL_varz00_bglt) COBJECT(
									((BgL_varz00_bglt) BgL_ez00_2361)))->BgL_variablez00);
						return
							MAKE_YOUNG_PAIR(((obj_t) BgL_arg1385z00_2517), BgL_rz00_2362);
					}
				else
					{	/* SawMill/procedures.scm 41 */
						return BgL_rz00_2362;
					}
			}
		}

	}



/* &get-atom1263 */
	obj_t BGl_z62getzd2atom1263zb0zzsaw_proceduresz00(obj_t BgL_envz00_2363,
		obj_t BgL_ez00_2364, obj_t BgL_rz00_2365)
	{
		{	/* SawMill/procedures.scm 35 */
			return BgL_rz00_2365;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzsaw_proceduresz00(void)
	{
		{	/* SawMill/procedures.scm 1 */
			BGl_modulezd2initializa7ationz75zztype_typez00(515343395L,
				BSTRING_TO_STRING(BGl_string1897z00zzsaw_proceduresz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(90839984L,
				BSTRING_TO_STRING(BGl_string1897z00zzsaw_proceduresz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(469732712L,
				BSTRING_TO_STRING(BGl_string1897z00zzsaw_proceduresz00));
			BGl_modulezd2initializa7ationz75zzast_envz00(146730773L,
				BSTRING_TO_STRING(BGl_string1897z00zzsaw_proceduresz00));
			return
				BGl_modulezd2initializa7ationz75zzsaw_elsewherez00(10713639L,
				BSTRING_TO_STRING(BGl_string1897z00zzsaw_proceduresz00));
		}

	}

#ifdef __cplusplus
}
#endif
