/*===========================================================================*/
/*   (Tailc/walk.scm)                                                        */
/*   Bigloo (4.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Jan 27 07:45:49 AM CET 2025     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.6a/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.6a/lib/bigloo/4.6a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -stdc -indent Tailc/walk.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL_TAILC_WALK_TYPE_DEFINITIONS
#define BGL_TAILC_WALK_TYPE_DEFINITIONS

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_nullz00;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_qualifiedzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_svarz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}              *BgL_svarz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_nodezf2effectzf2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
	}                       *BgL_nodezf2effectzf2_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_refz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_refz00_bglt;

	typedef struct BgL_closurez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}                 *BgL_closurez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
		obj_t BgL_metaz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_stackablez00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_switchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_switchz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_localzd2tailzd2_bgl
	{
	}                      *BgL_localzd2tailzd2_bglt;


#endif													// BGL_TAILC_WALK_TYPE_DEFINITIONS
#endif													// BGL_MODULE_TYPE_DEFINITIONS

	static obj_t BGl_z62getzd2tailzd2callszd2seque1315zb0zztailc_walkz00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_globalzd2ze3localz12z23zztailc_walkz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_classzd2nilzd2initz12z12zz__objectz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_tailczd2walkz12zc0zztailc_walkz00(obj_t);
	static obj_t BGl_z62getzd2tailzd2callszd2sync1317zb0zztailc_walkz00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zztailc_walkz00 = BUNSPEC;
	extern obj_t BGl_closurez00zzast_nodez00;
	extern obj_t BGl_funz00zzast_varz00;
	static obj_t BGl_z62getzd2tailzd2callszd2switc1323zb0zztailc_walkz00(obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_syncz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_sfunz00zzast_varz00;
	static obj_t BGl_toplevelzd2initzd2zztailc_walkz00(void);
	static obj_t BGl_getzd2tailzd2callsz00zztailc_walkz00(BgL_nodez00_bglt,
		BgL_variablez00_bglt, obj_t);
	extern obj_t BGl_sequencez00zzast_nodez00;
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	static obj_t BGl_genericzd2initzd2zztailc_walkz00(void);
	extern obj_t BGl_leavezd2functionzd2zztools_errorz00(void);
	static obj_t BGl_objectzd2initzd2zztailc_walkz00(void);
	static obj_t BGl_z62getzd2tailzd2calls1310z62zztailc_walkz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	extern obj_t BGl_typez00zztype_typez00;
	extern BgL_localz00_bglt BGl_clonezd2localzd2zzast_localz00(BgL_localz00_bglt,
		BgL_valuez00_bglt);
	static obj_t BGl_tailczd2globalzd2zztailc_walkz00(obj_t);
	static obj_t BGl_z62tailczd2walkz12za2zztailc_walkz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	extern obj_t BGl_refz00zzast_nodez00;
	extern BgL_localz00_bglt BGl_makezd2localzd2sfunz00zzast_localz00(obj_t,
		BgL_typez00_bglt, BgL_sfunz00_bglt);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zztailc_walkz00(void);
	extern obj_t BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00;
	static obj_t BGl_localzd2tailzd2zztailc_walkz00 = BUNSPEC;
	static obj_t BGl_z62getzd2tailzd2callszd2condi1321zb0zztailc_walkz00(obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_svarz00zzast_varz00;
	static obj_t BGl_z62zc3z04anonymousza31531ze3ze5zztailc_walkz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zztailc_walkz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_localz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_removez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_passz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	extern obj_t BGl_enterzd2functionzd2zztools_errorz00(obj_t);
	extern obj_t BGl_nodez00zzast_nodez00;
	static obj_t BGl_z62getzd2tailzd2callszd2letzd2f1325z62zztailc_walkz00(obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_localz00zzast_varz00;
	static obj_t BGl_cnstzd2initzd2zztailc_walkz00(void);
	static obj_t BGl_z62getzd2tailzd2callszd2letzd2v1327z62zztailc_walkz00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_libraryzd2moduleszd2initz00zztailc_walkz00(void);
	BGL_IMPORT long bgl_list_length(obj_t);
	BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t,
		long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zztailc_walkz00(void);
	static obj_t BGl_gczd2rootszd2initz00zztailc_walkz00(void);
	static BgL_localz00_bglt BGl_z62lambda1513z62zztailc_walkz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static BgL_localz00_bglt BGl_z62lambda1517z62zztailc_walkz00(obj_t, obj_t);
	static BgL_localz00_bglt BGl_z62lambda1532z62zztailc_walkz00(obj_t, obj_t);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	extern obj_t BGl_za2currentzd2passza2zd2zzengine_passz00;
	extern obj_t BGl_valuez00zzast_varz00;
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_switchz00zzast_nodez00;
	static obj_t BGl_z62getzd2tailzd2callszd2closu1313zb0zztailc_walkz00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62getzd2tailzd2callszd2app1319zb0zztailc_walkz00(obj_t,
		obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_classzd2superzd2zz__objectz00(obj_t);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(obj_t);
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	static obj_t BGl_z62getzd2tailzd2callsz62zztailc_walkz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t __cnst[4];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_tailczd2walkz12zd2envz12zztailc_walkz00,
		BgL_bgl_za762tailcza7d2walkza71825za7,
		BGl_z62tailczd2walkz12za2zztailc_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1800z00zztailc_walkz00,
		BgL_bgl_string1800za700za7za7t1826za7, ": ", 2);
	      DEFINE_STRING(BGl_string1801z00zztailc_walkz00,
		BgL_bgl_string1801za700za7za7t1827za7, "        ", 8);
	      DEFINE_STRING(BGl_string1807z00zztailc_walkz00,
		BgL_bgl_string1807za700za7za7t1828za7, "get-tail-calls1310", 18);
	      DEFINE_STRING(BGl_string1809z00zztailc_walkz00,
		BgL_bgl_string1809za700za7za7t1829za7, "get-tail-calls", 14);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1802z00zztailc_walkz00,
		BgL_bgl_za762lambda1532za7621830z00, BGl_z62lambda1532z62zztailc_walkz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1803z00zztailc_walkz00,
		BgL_bgl_za762za7c3za704anonymo1831za7,
		BGl_z62zc3z04anonymousza31531ze3ze5zztailc_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1804z00zztailc_walkz00,
		BgL_bgl_za762lambda1517za7621832z00, BGl_z62lambda1517z62zztailc_walkz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1805z00zztailc_walkz00,
		BgL_bgl_za762lambda1513za7621833z00, BGl_z62lambda1513z62zztailc_walkz00,
		0L, BUNSPEC, 13);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1806z00zztailc_walkz00,
		BgL_bgl_za762getza7d2tailza7d21834za7,
		BGl_z62getzd2tailzd2calls1310z62zztailc_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1808z00zztailc_walkz00,
		BgL_bgl_za762getza7d2tailza7d21835za7,
		BGl_z62getzd2tailzd2callszd2closu1313zb0zztailc_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STRING(BGl_string1817z00zztailc_walkz00,
		BgL_bgl_string1817za700za7za7t1836za7, "Unexpected closure", 18);
	      DEFINE_STRING(BGl_string1818z00zztailc_walkz00,
		BgL_bgl_string1818za700za7za7t1837za7, "tailc_walk", 10);
	      DEFINE_STRING(BGl_string1819z00zztailc_walkz00,
		BgL_bgl_string1819za700za7za7t1838za7,
		"_ tailc_walk local-tail pass-started ", 37);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1810z00zztailc_walkz00,
		BgL_bgl_za762getza7d2tailza7d21839za7,
		BGl_z62getzd2tailzd2callszd2seque1315zb0zztailc_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1811z00zztailc_walkz00,
		BgL_bgl_za762getza7d2tailza7d21840za7,
		BGl_z62getzd2tailzd2callszd2sync1317zb0zztailc_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1812z00zztailc_walkz00,
		BgL_bgl_za762getza7d2tailza7d21841za7,
		BGl_z62getzd2tailzd2callszd2app1319zb0zztailc_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1813z00zztailc_walkz00,
		BgL_bgl_za762getza7d2tailza7d21842za7,
		BGl_z62getzd2tailzd2callszd2condi1321zb0zztailc_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1814z00zztailc_walkz00,
		BgL_bgl_za762getza7d2tailza7d21843za7,
		BGl_z62getzd2tailzd2callszd2switc1323zb0zztailc_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1815z00zztailc_walkz00,
		BgL_bgl_za762getza7d2tailza7d21844za7,
		BGl_z62getzd2tailzd2callszd2letzd2f1325z62zztailc_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1816z00zztailc_walkz00,
		BgL_bgl_za762getza7d2tailza7d21845za7,
		BGl_z62getzd2tailzd2callszd2letzd2v1327z62zztailc_walkz00, 0L, BUNSPEC, 3);
	     
		DEFINE_STATIC_BGL_GENERIC(BGl_getzd2tailzd2callszd2envzd2zztailc_walkz00,
		BgL_bgl_za762getza7d2tailza7d21846za7,
		BGl_z62getzd2tailzd2callsz62zztailc_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STRING(BGl_string1796z00zztailc_walkz00,
		BgL_bgl_string1796za700za7za7t1847za7, "Tailc", 5);
	      DEFINE_STRING(BGl_string1797z00zztailc_walkz00,
		BgL_bgl_string1797za700za7za7t1848za7, "   . ", 5);
	      DEFINE_STRING(BGl_string1798z00zztailc_walkz00,
		BgL_bgl_string1798za700za7za7t1849za7, "failure during prelude hook", 27);
	      DEFINE_STRING(BGl_string1799z00zztailc_walkz00,
		BgL_bgl_string1799za700za7za7t1850za7, " self tail call(s)", 18);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		     ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zztailc_walkz00));
		     ADD_ROOT((void *) (&BGl_localzd2tailzd2zztailc_walkz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zztailc_walkz00(long
		BgL_checksumz00_2260, char *BgL_fromz00_2261)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zztailc_walkz00))
				{
					BGl_requirezd2initializa7ationz75zztailc_walkz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zztailc_walkz00();
					BGl_libraryzd2moduleszd2initz00zztailc_walkz00();
					BGl_cnstzd2initzd2zztailc_walkz00();
					BGl_importedzd2moduleszd2initz00zztailc_walkz00();
					BGl_objectzd2initzd2zztailc_walkz00();
					BGl_genericzd2initzd2zztailc_walkz00();
					BGl_methodzd2initzd2zztailc_walkz00();
					return BGl_toplevelzd2initzd2zztailc_walkz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zztailc_walkz00(void)
	{
		{	/* Tailc/walk.scm 15 */
			BGl_modulezd2initializa7ationz75zz__objectz00(0L, "tailc_walk");
			BGl_modulezd2initializa7ationz75zz__readerz00(0L, "tailc_walk");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(0L, "tailc_walk");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(0L,
				"tailc_walk");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(0L, "tailc_walk");
			BGl_modulezd2initializa7ationz75zz__bitz00(0L, "tailc_walk");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(0L,
				"tailc_walk");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(0L, "tailc_walk");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(0L,
				"tailc_walk");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zztailc_walkz00(void)
	{
		{	/* Tailc/walk.scm 15 */
			{	/* Tailc/walk.scm 15 */
				obj_t BgL_cportz00_2167;

				{	/* Tailc/walk.scm 15 */
					obj_t BgL_stringz00_2174;

					BgL_stringz00_2174 = BGl_string1819z00zztailc_walkz00;
					{	/* Tailc/walk.scm 15 */
						obj_t BgL_startz00_2175;

						BgL_startz00_2175 = BINT(0L);
						{	/* Tailc/walk.scm 15 */
							obj_t BgL_endz00_2176;

							BgL_endz00_2176 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_2174)));
							{	/* Tailc/walk.scm 15 */

								BgL_cportz00_2167 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_2174, BgL_startz00_2175, BgL_endz00_2176);
				}}}}
				{
					long BgL_iz00_2168;

					BgL_iz00_2168 = 3L;
				BgL_loopz00_2169:
					if ((BgL_iz00_2168 == (-1L)))
						{	/* Tailc/walk.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Tailc/walk.scm 15 */
							{	/* Tailc/walk.scm 15 */
								obj_t BgL_arg1821z00_2170;

								{	/* Tailc/walk.scm 15 */

									{	/* Tailc/walk.scm 15 */
										obj_t BgL_locationz00_2172;

										BgL_locationz00_2172 = BBOOL(((bool_t) 0));
										{	/* Tailc/walk.scm 15 */

											BgL_arg1821z00_2170 =
												BGl_readz00zz__readerz00(BgL_cportz00_2167,
												BgL_locationz00_2172);
										}
									}
								}
								{	/* Tailc/walk.scm 15 */
									int BgL_tmpz00_2291;

									BgL_tmpz00_2291 = (int) (BgL_iz00_2168);
									CNST_TABLE_SET(BgL_tmpz00_2291, BgL_arg1821z00_2170);
							}}
							{	/* Tailc/walk.scm 15 */
								int BgL_auxz00_2173;

								BgL_auxz00_2173 = (int) ((BgL_iz00_2168 - 1L));
								{
									long BgL_iz00_2296;

									BgL_iz00_2296 = (long) (BgL_auxz00_2173);
									BgL_iz00_2168 = BgL_iz00_2296;
									goto BgL_loopz00_2169;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zztailc_walkz00(void)
	{
		{	/* Tailc/walk.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zztailc_walkz00(void)
	{
		{	/* Tailc/walk.scm 15 */
			return BUNSPEC;
		}

	}



/* tailc-walk! */
	BGL_EXPORTED_DEF obj_t BGl_tailczd2walkz12zc0zztailc_walkz00(obj_t
		BgL_globalsz00_48)
	{
		{	/* Tailc/walk.scm 32 */
			{	/* Tailc/walk.scm 33 */
				obj_t BgL_list1337z00_1439;

				{	/* Tailc/walk.scm 33 */
					obj_t BgL_arg1338z00_1440;

					{	/* Tailc/walk.scm 33 */
						obj_t BgL_arg1339z00_1441;

						BgL_arg1339z00_1441 =
							MAKE_YOUNG_PAIR(BCHAR(((unsigned char) 10)), BNIL);
						BgL_arg1338z00_1440 =
							MAKE_YOUNG_PAIR(BGl_string1796z00zztailc_walkz00,
							BgL_arg1339z00_1441);
					}
					BgL_list1337z00_1439 =
						MAKE_YOUNG_PAIR(BGl_string1797z00zztailc_walkz00,
						BgL_arg1338z00_1440);
				}
				BGl_verbosez00zztools_speekz00(BINT(1L), BgL_list1337z00_1439);
			}
			BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00 = BINT(0L);
			BGl_za2currentzd2passza2zd2zzengine_passz00 =
				BGl_string1796z00zztailc_walkz00;
			{	/* Tailc/walk.scm 33 */
				obj_t BgL_g1130z00_1442;

				BgL_g1130z00_1442 = BNIL;
				{
					obj_t BgL_hooksz00_1445;
					obj_t BgL_hnamesz00_1446;

					BgL_hooksz00_1445 = BgL_g1130z00_1442;
					BgL_hnamesz00_1446 = BNIL;
				BgL_zc3z04anonymousza31340ze3z87_1447:
					if (NULLP(BgL_hooksz00_1445))
						{	/* Tailc/walk.scm 33 */
							((obj_t) CNST_TABLE_REF(0));
						}
					else
						{	/* Tailc/walk.scm 33 */
							bool_t BgL_test1854z00_2310;

							{	/* Tailc/walk.scm 33 */
								obj_t BgL_fun1360z00_1454;

								BgL_fun1360z00_1454 = CAR(((obj_t) BgL_hooksz00_1445));
								BgL_test1854z00_2310 =
									CBOOL(BGL_PROCEDURE_CALL0(BgL_fun1360z00_1454));
							}
							if (BgL_test1854z00_2310)
								{	/* Tailc/walk.scm 33 */
									obj_t BgL_arg1355z00_1451;
									obj_t BgL_arg1358z00_1452;

									BgL_arg1355z00_1451 = CDR(((obj_t) BgL_hooksz00_1445));
									BgL_arg1358z00_1452 = CDR(((obj_t) BgL_hnamesz00_1446));
									{
										obj_t BgL_hnamesz00_2322;
										obj_t BgL_hooksz00_2321;

										BgL_hooksz00_2321 = BgL_arg1355z00_1451;
										BgL_hnamesz00_2322 = BgL_arg1358z00_1452;
										BgL_hnamesz00_1446 = BgL_hnamesz00_2322;
										BgL_hooksz00_1445 = BgL_hooksz00_2321;
										goto BgL_zc3z04anonymousza31340ze3z87_1447;
									}
								}
							else
								{	/* Tailc/walk.scm 33 */
									obj_t BgL_arg1359z00_1453;

									BgL_arg1359z00_1453 = CAR(((obj_t) BgL_hnamesz00_1446));
									BGl_internalzd2errorzd2zztools_errorz00
										(BGl_string1796z00zztailc_walkz00,
										BGl_string1798z00zztailc_walkz00, BgL_arg1359z00_1453);
								}
						}
				}
			}
			{
				obj_t BgL_l1294z00_1458;

				BgL_l1294z00_1458 = BgL_globalsz00_48;
			BgL_zc3z04anonymousza31362ze3z87_1459:
				if (PAIRP(BgL_l1294z00_1458))
					{	/* Tailc/walk.scm 34 */
						BGl_tailczd2globalzd2zztailc_walkz00(CAR(BgL_l1294z00_1458));
						{
							obj_t BgL_l1294z00_2330;

							BgL_l1294z00_2330 = CDR(BgL_l1294z00_1458);
							BgL_l1294z00_1458 = BgL_l1294z00_2330;
							goto BgL_zc3z04anonymousza31362ze3z87_1459;
						}
					}
				else
					{	/* Tailc/walk.scm 34 */
						((bool_t) 1);
					}
			}
			return BgL_globalsz00_48;
		}

	}



/* &tailc-walk! */
	obj_t BGl_z62tailczd2walkz12za2zztailc_walkz00(obj_t BgL_envz00_2092,
		obj_t BgL_globalsz00_2093)
	{
		{	/* Tailc/walk.scm 32 */
			return BGl_tailczd2walkz12zc0zztailc_walkz00(BgL_globalsz00_2093);
		}

	}



/* tailc-global */
	obj_t BGl_tailczd2globalzd2zztailc_walkz00(obj_t BgL_globalz00_49)
	{
		{	/* Tailc/walk.scm 40 */
			{	/* Tailc/walk.scm 41 */
				obj_t BgL_arg1367z00_1464;

				BgL_arg1367z00_1464 =
					(((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt)
								((BgL_globalz00_bglt) BgL_globalz00_49))))->BgL_idz00);
				BGl_enterzd2functionzd2zztools_errorz00(BgL_arg1367z00_1464);
			}
			{	/* Tailc/walk.scm 42 */
				obj_t BgL_callsz00_1465;

				{	/* Tailc/walk.scm 42 */
					obj_t BgL_arg1385z00_1475;

					BgL_arg1385z00_1475 =
						(((BgL_sfunz00_bglt) COBJECT(
								((BgL_sfunz00_bglt)
									(((BgL_variablez00_bglt) COBJECT(
												((BgL_variablez00_bglt)
													((BgL_globalz00_bglt) BgL_globalz00_49))))->
										BgL_valuez00))))->BgL_bodyz00);
					BgL_callsz00_1465 =
						BGl_getzd2tailzd2callsz00zztailc_walkz00(((BgL_nodez00_bglt)
							BgL_arg1385z00_1475), ((BgL_variablez00_bglt) BgL_globalz00_49),
						BNIL);
				}
				if (NULLP(BgL_callsz00_1465))
					{	/* Tailc/walk.scm 43 */
						BFALSE;
					}
				else
					{	/* Tailc/walk.scm 43 */
						{	/* Tailc/walk.scm 44 */
							obj_t BgL_arg1370z00_1467;
							long BgL_arg1371z00_1468;

							BgL_arg1370z00_1467 =
								BGl_shapez00zztools_shapez00(BgL_globalz00_49);
							BgL_arg1371z00_1468 = bgl_list_length(BgL_callsz00_1465);
							{	/* Tailc/walk.scm 44 */
								obj_t BgL_list1372z00_1469;

								{	/* Tailc/walk.scm 44 */
									obj_t BgL_arg1376z00_1470;

									{	/* Tailc/walk.scm 44 */
										obj_t BgL_arg1379z00_1471;

										{	/* Tailc/walk.scm 44 */
											obj_t BgL_arg1380z00_1472;

											{	/* Tailc/walk.scm 44 */
												obj_t BgL_arg1382z00_1473;

												{	/* Tailc/walk.scm 44 */
													obj_t BgL_arg1383z00_1474;

													BgL_arg1383z00_1474 =
														MAKE_YOUNG_PAIR(BCHAR(((unsigned char) 10)), BNIL);
													BgL_arg1382z00_1473 =
														MAKE_YOUNG_PAIR(BGl_string1799z00zztailc_walkz00,
														BgL_arg1383z00_1474);
												}
												BgL_arg1380z00_1472 =
													MAKE_YOUNG_PAIR(BINT(BgL_arg1371z00_1468),
													BgL_arg1382z00_1473);
											}
											BgL_arg1379z00_1471 =
												MAKE_YOUNG_PAIR(BGl_string1800z00zztailc_walkz00,
												BgL_arg1380z00_1472);
										}
										BgL_arg1376z00_1470 =
											MAKE_YOUNG_PAIR(BgL_arg1370z00_1467, BgL_arg1379z00_1471);
									}
									BgL_list1372z00_1469 =
										MAKE_YOUNG_PAIR(BGl_string1801z00zztailc_walkz00,
										BgL_arg1376z00_1470);
								}
								BGl_verbosez00zztools_speekz00(BINT(3L), BgL_list1372z00_1469);
						}}
						BGl_globalzd2ze3localz12z23zztailc_walkz00(BgL_globalz00_49,
							BgL_callsz00_1465);
			}}
			return BGl_leavezd2functionzd2zztools_errorz00();
		}

	}



/* global->local! */
	obj_t BGl_globalzd2ze3localz12z23zztailc_walkz00(obj_t BgL_globalz00_50,
		obj_t BgL_callsz00_51)
	{
		{	/* Tailc/walk.scm 52 */
			{	/* Tailc/walk.scm 53 */
				BgL_valuez00_bglt BgL_gfunz00_1477;

				BgL_gfunz00_1477 =
					(((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt)
								((BgL_globalz00_bglt) BgL_globalz00_50))))->BgL_valuez00);
				{	/* Tailc/walk.scm 53 */
					BgL_typez00_bglt BgL_gtypez00_1478;

					BgL_gtypez00_1478 =
						(((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt)
									((BgL_globalz00_bglt) BgL_globalz00_50))))->BgL_typez00);
					{	/* Tailc/walk.scm 54 */
						obj_t BgL_lbodyz00_1479;

						BgL_lbodyz00_1479 =
							(((BgL_sfunz00_bglt) COBJECT(
									((BgL_sfunz00_bglt) BgL_gfunz00_1477)))->BgL_bodyz00);
						{	/* Tailc/walk.scm 55 */
							obj_t BgL_largsz00_1480;

							BgL_largsz00_1480 =
								(((BgL_sfunz00_bglt) COBJECT(
										((BgL_sfunz00_bglt) BgL_gfunz00_1477)))->BgL_argsz00);
							{	/* Tailc/walk.scm 56 */
								obj_t BgL_gargsz00_1481;

								if (NULLP(BgL_largsz00_1480))
									{	/* Tailc/walk.scm 57 */
										BgL_gargsz00_1481 = BNIL;
									}
								else
									{	/* Tailc/walk.scm 57 */
										obj_t BgL_head1298z00_1542;

										BgL_head1298z00_1542 = MAKE_YOUNG_PAIR(BNIL, BNIL);
										{
											obj_t BgL_l1296z00_1544;
											obj_t BgL_tail1299z00_1545;

											BgL_l1296z00_1544 = BgL_largsz00_1480;
											BgL_tail1299z00_1545 = BgL_head1298z00_1542;
										BgL_zc3z04anonymousza31449ze3z87_1546:
											if (NULLP(BgL_l1296z00_1544))
												{	/* Tailc/walk.scm 57 */
													BgL_gargsz00_1481 = CDR(BgL_head1298z00_1542);
												}
											else
												{	/* Tailc/walk.scm 57 */
													obj_t BgL_newtail1300z00_1548;

													{	/* Tailc/walk.scm 57 */
														BgL_localz00_bglt BgL_arg1471z00_1550;

														{	/* Tailc/walk.scm 57 */
															obj_t BgL_oldz00_1551;

															BgL_oldz00_1551 =
																CAR(((obj_t) BgL_l1296z00_1544));
															{	/* Tailc/walk.scm 59 */
																BgL_svarz00_bglt BgL_arg1480z00_1552;

																{	/* Tailc/walk.scm 59 */
																	BgL_svarz00_bglt BgL_duplicated1134z00_1553;
																	BgL_svarz00_bglt BgL_new1132z00_1554;

																	BgL_duplicated1134z00_1553 =
																		((BgL_svarz00_bglt)
																		(((BgL_variablez00_bglt) COBJECT(
																					((BgL_variablez00_bglt)
																						((BgL_localz00_bglt)
																							BgL_oldz00_1551))))->
																			BgL_valuez00));
																	{	/* Tailc/walk.scm 59 */
																		BgL_svarz00_bglt BgL_new1135z00_1555;

																		BgL_new1135z00_1555 =
																			((BgL_svarz00_bglt)
																			BOBJECT(GC_MALLOC(sizeof(struct
																						BgL_svarz00_bgl))));
																		{	/* Tailc/walk.scm 59 */
																			long BgL_arg1484z00_1556;

																			BgL_arg1484z00_1556 =
																				BGL_CLASS_NUM(BGl_svarz00zzast_varz00);
																			BGL_OBJECT_CLASS_NUM_SET(
																				((BgL_objectz00_bglt)
																					BgL_new1135z00_1555),
																				BgL_arg1484z00_1556);
																		}
																		{	/* Tailc/walk.scm 59 */
																			BgL_objectz00_bglt BgL_tmpz00_2387;

																			BgL_tmpz00_2387 =
																				((BgL_objectz00_bglt)
																				BgL_new1135z00_1555);
																			BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2387,
																				BFALSE);
																		}
																		((BgL_objectz00_bglt) BgL_new1135z00_1555);
																		BgL_new1132z00_1554 = BgL_new1135z00_1555;
																	}
																	((((BgL_svarz00_bglt)
																				COBJECT(BgL_new1132z00_1554))->
																			BgL_locz00) =
																		((obj_t) (((BgL_svarz00_bglt)
																					COBJECT(BgL_duplicated1134z00_1553))->
																				BgL_locz00)), BUNSPEC);
																	BgL_arg1480z00_1552 = BgL_new1132z00_1554;
																}
																BgL_arg1471z00_1550 =
																	BGl_clonezd2localzd2zzast_localz00(
																	((BgL_localz00_bglt) BgL_oldz00_1551),
																	((BgL_valuez00_bglt) BgL_arg1480z00_1552));
														}}
														BgL_newtail1300z00_1548 =
															MAKE_YOUNG_PAIR(
															((obj_t) BgL_arg1471z00_1550), BNIL);
													}
													SET_CDR(BgL_tail1299z00_1545,
														BgL_newtail1300z00_1548);
													{	/* Tailc/walk.scm 57 */
														obj_t BgL_arg1457z00_1549;

														BgL_arg1457z00_1549 =
															CDR(((obj_t) BgL_l1296z00_1544));
														{
															obj_t BgL_tail1299z00_2402;
															obj_t BgL_l1296z00_2401;

															BgL_l1296z00_2401 = BgL_arg1457z00_1549;
															BgL_tail1299z00_2402 = BgL_newtail1300z00_1548;
															BgL_tail1299z00_1545 = BgL_tail1299z00_2402;
															BgL_l1296z00_1544 = BgL_l1296z00_2401;
															goto BgL_zc3z04anonymousza31449ze3z87_1546;
														}
													}
												}
										}
									}
								{	/* Tailc/walk.scm 57 */
									BgL_sfunz00_bglt BgL_lfunz00_1482;

									{	/* Tailc/walk.scm 62 */
										BgL_sfunz00_bglt BgL_new1136z00_1527;

										{	/* Tailc/walk.scm 63 */
											BgL_sfunz00_bglt BgL_new1149z00_1538;

											BgL_new1149z00_1538 =
												((BgL_sfunz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
															BgL_sfunz00_bgl))));
											{	/* Tailc/walk.scm 63 */
												long BgL_arg1446z00_1539;

												BgL_arg1446z00_1539 =
													BGL_CLASS_NUM(BGl_sfunz00zzast_varz00);
												BGL_OBJECT_CLASS_NUM_SET(
													((BgL_objectz00_bglt) BgL_new1149z00_1538),
													BgL_arg1446z00_1539);
											}
											{	/* Tailc/walk.scm 63 */
												BgL_objectz00_bglt BgL_tmpz00_2407;

												BgL_tmpz00_2407 =
													((BgL_objectz00_bglt) BgL_new1149z00_1538);
												BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2407, BFALSE);
											}
											((BgL_objectz00_bglt) BgL_new1149z00_1538);
											BgL_new1136z00_1527 = BgL_new1149z00_1538;
										}
										((((BgL_funz00_bglt) COBJECT(
														((BgL_funz00_bglt) BgL_new1136z00_1527)))->
												BgL_arityz00) =
											((long) (((BgL_funz00_bglt)
														COBJECT(((BgL_funz00_bglt) ((BgL_sfunz00_bglt)
																	BgL_gfunz00_1477))))->BgL_arityz00)),
											BUNSPEC);
										((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
															BgL_new1136z00_1527)))->BgL_sidezd2effectzd2) =
											((obj_t) (((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
																BgL_gfunz00_1477)))->BgL_sidezd2effectzd2)),
											BUNSPEC);
										((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
															BgL_new1136z00_1527)))->BgL_predicatezd2ofzd2) =
											((obj_t) (((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
																BgL_gfunz00_1477)))->BgL_predicatezd2ofzd2)),
											BUNSPEC);
										((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
															BgL_new1136z00_1527)))->
												BgL_stackzd2allocatorzd2) =
											((obj_t) (((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
																BgL_gfunz00_1477)))->BgL_stackzd2allocatorzd2)),
											BUNSPEC);
										((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
															BgL_new1136z00_1527)))->BgL_topzf3zf3) =
											((bool_t) (((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
																BgL_gfunz00_1477)))->BgL_topzf3zf3)), BUNSPEC);
										((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
															BgL_new1136z00_1527)))->BgL_thezd2closurezd2) =
											((obj_t) (((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
																BgL_gfunz00_1477)))->BgL_thezd2closurezd2)),
											BUNSPEC);
										((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
															BgL_new1136z00_1527)))->BgL_effectz00) =
											((obj_t) (((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
																BgL_gfunz00_1477)))->BgL_effectz00)), BUNSPEC);
										((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
															BgL_new1136z00_1527)))->BgL_failsafez00) =
											((obj_t) (((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
																BgL_gfunz00_1477)))->BgL_failsafez00)),
											BUNSPEC);
										((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
															BgL_new1136z00_1527)))->BgL_argszd2noescapezd2) =
											((obj_t) (((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
																BgL_gfunz00_1477)))->BgL_argszd2noescapezd2)),
											BUNSPEC);
										((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
															BgL_new1136z00_1527)))->BgL_argszd2retescapezd2) =
											((obj_t) (((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
																BgL_gfunz00_1477)))->BgL_argszd2retescapezd2)),
											BUNSPEC);
										((((BgL_sfunz00_bglt) COBJECT(BgL_new1136z00_1527))->
												BgL_propertyz00) =
											((obj_t) (((BgL_sfunz00_bglt)
														COBJECT(((BgL_sfunz00_bglt) ((BgL_funz00_bglt)
																	BgL_gfunz00_1477))))->BgL_propertyz00)),
											BUNSPEC);
										((((BgL_sfunz00_bglt) COBJECT(BgL_new1136z00_1527))->
												BgL_argsz00) = ((obj_t) BgL_largsz00_1480), BUNSPEC);
										((((BgL_sfunz00_bglt) COBJECT(BgL_new1136z00_1527))->
												BgL_argszd2namezd2) =
											((obj_t) (((BgL_sfunz00_bglt)
														COBJECT(((BgL_sfunz00_bglt) ((BgL_funz00_bglt)
																	BgL_gfunz00_1477))))->BgL_argszd2namezd2)),
											BUNSPEC);
										((((BgL_sfunz00_bglt) COBJECT(BgL_new1136z00_1527))->
												BgL_bodyz00) = ((obj_t) BgL_lbodyz00_1479), BUNSPEC);
										((((BgL_sfunz00_bglt) COBJECT(BgL_new1136z00_1527))->
												BgL_classz00) =
											((obj_t) (((BgL_sfunz00_bglt)
														COBJECT(((BgL_sfunz00_bglt) ((BgL_funz00_bglt)
																	BgL_gfunz00_1477))))->BgL_classz00)),
											BUNSPEC);
										((((BgL_sfunz00_bglt) COBJECT(BgL_new1136z00_1527))->
												BgL_dssslzd2keywordszd2) =
											((obj_t) (((BgL_sfunz00_bglt)
														COBJECT(((BgL_sfunz00_bglt) ((BgL_funz00_bglt)
																	BgL_gfunz00_1477))))->
													BgL_dssslzd2keywordszd2)), BUNSPEC);
										((((BgL_sfunz00_bglt) COBJECT(BgL_new1136z00_1527))->
												BgL_locz00) =
											((obj_t) (((BgL_sfunz00_bglt)
														COBJECT(((BgL_sfunz00_bglt) ((BgL_funz00_bglt)
																	BgL_gfunz00_1477))))->BgL_locz00)), BUNSPEC);
										((((BgL_sfunz00_bglt) COBJECT(BgL_new1136z00_1527))->
												BgL_optionalsz00) =
											((obj_t) (((BgL_sfunz00_bglt)
														COBJECT(((BgL_sfunz00_bglt) ((BgL_funz00_bglt)
																	BgL_gfunz00_1477))))->BgL_optionalsz00)),
											BUNSPEC);
										((((BgL_sfunz00_bglt) COBJECT(BgL_new1136z00_1527))->
												BgL_keysz00) =
											((obj_t) (((BgL_sfunz00_bglt)
														COBJECT(((BgL_sfunz00_bglt) ((BgL_funz00_bglt)
																	BgL_gfunz00_1477))))->BgL_keysz00)), BUNSPEC);
										((((BgL_sfunz00_bglt) COBJECT(BgL_new1136z00_1527))->
												BgL_thezd2closurezd2globalz00) =
											((obj_t) (((BgL_sfunz00_bglt)
														COBJECT(((BgL_sfunz00_bglt) ((BgL_funz00_bglt)
																	BgL_gfunz00_1477))))->
													BgL_thezd2closurezd2globalz00)), BUNSPEC);
										((((BgL_sfunz00_bglt) COBJECT(BgL_new1136z00_1527))->
												BgL_strengthz00) =
											((obj_t) (((BgL_sfunz00_bglt)
														COBJECT(((BgL_sfunz00_bglt) ((BgL_funz00_bglt)
																	BgL_gfunz00_1477))))->BgL_strengthz00)),
											BUNSPEC);
										((((BgL_sfunz00_bglt) COBJECT(BgL_new1136z00_1527))->
												BgL_stackablez00) =
											((obj_t) (((BgL_sfunz00_bglt)
														COBJECT(((BgL_sfunz00_bglt) ((BgL_funz00_bglt)
																	BgL_gfunz00_1477))))->BgL_stackablez00)),
											BUNSPEC);
										BgL_lfunz00_1482 = BgL_new1136z00_1527;
									}
									{	/* Tailc/walk.scm 62 */
										BgL_localz00_bglt BgL_localz00_1483;

										{	/* Tailc/walk.scm 66 */
											obj_t BgL_arg1419z00_1525;

											BgL_arg1419z00_1525 =
												(((BgL_variablez00_bglt) COBJECT(
														((BgL_variablez00_bglt)
															((BgL_globalz00_bglt) BgL_globalz00_50))))->
												BgL_idz00);
											BgL_localz00_1483 =
												BGl_makezd2localzd2sfunz00zzast_localz00
												(BgL_arg1419z00_1525, BgL_gtypez00_1478,
												BgL_lfunz00_1482);
										}
										{	/* Tailc/walk.scm 66 */
											obj_t BgL_locz00_1484;

											BgL_locz00_1484 =
												(((BgL_nodez00_bglt) COBJECT(
														((BgL_nodez00_bglt) BgL_lbodyz00_1479)))->
												BgL_locz00);
											{	/* Tailc/walk.scm 67 */
												BgL_letzd2funzd2_bglt BgL_gbodyz00_1485;

												{	/* Tailc/walk.scm 68 */
													BgL_letzd2funzd2_bglt BgL_new1151z00_1499;

													{	/* Tailc/walk.scm 69 */
														BgL_letzd2funzd2_bglt BgL_new1150z00_1523;

														BgL_new1150z00_1523 =
															((BgL_letzd2funzd2_bglt)
															BOBJECT(GC_MALLOC(sizeof(struct
																		BgL_letzd2funzd2_bgl))));
														{	/* Tailc/walk.scm 69 */
															long BgL_arg1418z00_1524;

															BgL_arg1418z00_1524 =
																BGL_CLASS_NUM(BGl_letzd2funzd2zzast_nodez00);
															BGL_OBJECT_CLASS_NUM_SET(
																((BgL_objectz00_bglt) BgL_new1150z00_1523),
																BgL_arg1418z00_1524);
														}
														{	/* Tailc/walk.scm 69 */
															BgL_objectz00_bglt BgL_tmpz00_2504;

															BgL_tmpz00_2504 =
																((BgL_objectz00_bglt) BgL_new1150z00_1523);
															BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2504, BFALSE);
														}
														((BgL_objectz00_bglt) BgL_new1150z00_1523);
														BgL_new1151z00_1499 = BgL_new1150z00_1523;
													}
													((((BgL_nodez00_bglt) COBJECT(
																	((BgL_nodez00_bglt) BgL_new1151z00_1499)))->
															BgL_locz00) = ((obj_t) BgL_locz00_1484), BUNSPEC);
													((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
																		BgL_new1151z00_1499)))->BgL_typez00) =
														((BgL_typez00_bglt) BgL_gtypez00_1478), BUNSPEC);
													((((BgL_nodezf2effectzf2_bglt)
																COBJECT(((BgL_nodezf2effectzf2_bglt)
																		BgL_new1151z00_1499)))->
															BgL_sidezd2effectzd2) =
														((obj_t) BUNSPEC), BUNSPEC);
													((((BgL_nodezf2effectzf2_bglt)
																COBJECT(((BgL_nodezf2effectzf2_bglt)
																		BgL_new1151z00_1499)))->BgL_keyz00) =
														((obj_t) BINT((-1L))), BUNSPEC);
													{
														obj_t BgL_auxz00_2517;

														{	/* Tailc/walk.scm 71 */
															obj_t BgL_list1401z00_1500;

															BgL_list1401z00_1500 =
																MAKE_YOUNG_PAIR(
																((obj_t) BgL_localz00_1483), BNIL);
															BgL_auxz00_2517 = BgL_list1401z00_1500;
														}
														((((BgL_letzd2funzd2_bglt)
																	COBJECT(BgL_new1151z00_1499))->
																BgL_localsz00) =
															((obj_t) BgL_auxz00_2517), BUNSPEC);
													}
													{
														BgL_nodez00_bglt BgL_auxz00_2521;

														{	/* Tailc/walk.scm 72 */
															BgL_appz00_bglt BgL_new1153z00_1501;

															{	/* Tailc/walk.scm 73 */
																BgL_appz00_bglt BgL_new1152z00_1521;

																BgL_new1152z00_1521 =
																	((BgL_appz00_bglt)
																	BOBJECT(GC_MALLOC(sizeof(struct
																				BgL_appz00_bgl))));
																{	/* Tailc/walk.scm 73 */
																	long BgL_arg1417z00_1522;

																	{	/* Tailc/walk.scm 73 */
																		obj_t BgL_classz00_1904;

																		BgL_classz00_1904 = BGl_appz00zzast_nodez00;
																		BgL_arg1417z00_1522 =
																			BGL_CLASS_NUM(BgL_classz00_1904);
																	}
																	BGL_OBJECT_CLASS_NUM_SET(
																		((BgL_objectz00_bglt) BgL_new1152z00_1521),
																		BgL_arg1417z00_1522);
																}
																{	/* Tailc/walk.scm 73 */
																	BgL_objectz00_bglt BgL_tmpz00_2526;

																	BgL_tmpz00_2526 =
																		((BgL_objectz00_bglt) BgL_new1152z00_1521);
																	BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2526,
																		BFALSE);
																}
																((BgL_objectz00_bglt) BgL_new1152z00_1521);
																BgL_new1153z00_1501 = BgL_new1152z00_1521;
															}
															((((BgL_nodez00_bglt) COBJECT(
																			((BgL_nodez00_bglt)
																				BgL_new1153z00_1501)))->BgL_locz00) =
																((obj_t) BgL_locz00_1484), BUNSPEC);
															((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
																				BgL_new1153z00_1501)))->BgL_typez00) =
																((BgL_typez00_bglt) BgL_gtypez00_1478),
																BUNSPEC);
															((((BgL_nodezf2effectzf2_bglt)
																		COBJECT(((BgL_nodezf2effectzf2_bglt)
																				BgL_new1153z00_1501)))->
																	BgL_sidezd2effectzd2) =
																((obj_t) BUNSPEC), BUNSPEC);
															((((BgL_nodezf2effectzf2_bglt)
																		COBJECT(((BgL_nodezf2effectzf2_bglt)
																				BgL_new1153z00_1501)))->BgL_keyz00) =
																((obj_t) BINT((-1L))), BUNSPEC);
															{
																BgL_varz00_bglt BgL_auxz00_2539;

																{	/* Tailc/walk.scm 75 */
																	BgL_refz00_bglt BgL_new1155z00_1502;

																	{	/* Tailc/walk.scm 76 */
																		BgL_refz00_bglt BgL_new1154z00_1503;

																		BgL_new1154z00_1503 =
																			((BgL_refz00_bglt)
																			BOBJECT(GC_MALLOC(sizeof(struct
																						BgL_refz00_bgl))));
																		{	/* Tailc/walk.scm 76 */
																			long BgL_arg1402z00_1504;

																			{	/* Tailc/walk.scm 76 */
																				obj_t BgL_classz00_1908;

																				BgL_classz00_1908 =
																					BGl_refz00zzast_nodez00;
																				BgL_arg1402z00_1504 =
																					BGL_CLASS_NUM(BgL_classz00_1908);
																			}
																			BGL_OBJECT_CLASS_NUM_SET(
																				((BgL_objectz00_bglt)
																					BgL_new1154z00_1503),
																				BgL_arg1402z00_1504);
																		}
																		{	/* Tailc/walk.scm 76 */
																			BgL_objectz00_bglt BgL_tmpz00_2544;

																			BgL_tmpz00_2544 =
																				((BgL_objectz00_bglt)
																				BgL_new1154z00_1503);
																			BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2544,
																				BFALSE);
																		}
																		((BgL_objectz00_bglt) BgL_new1154z00_1503);
																		BgL_new1155z00_1502 = BgL_new1154z00_1503;
																	}
																	((((BgL_nodez00_bglt) COBJECT(
																					((BgL_nodez00_bglt)
																						BgL_new1155z00_1502)))->
																			BgL_locz00) =
																		((obj_t) BgL_locz00_1484), BUNSPEC);
																	((((BgL_nodez00_bglt)
																				COBJECT(((BgL_nodez00_bglt)
																						BgL_new1155z00_1502)))->
																			BgL_typez00) =
																		((BgL_typez00_bglt) BgL_gtypez00_1478),
																		BUNSPEC);
																	((((BgL_varz00_bglt)
																				COBJECT(((BgL_varz00_bglt)
																						BgL_new1155z00_1502)))->
																			BgL_variablez00) =
																		((BgL_variablez00_bglt) (
																				(BgL_variablez00_bglt)
																				BgL_localz00_1483)), BUNSPEC);
																	BgL_auxz00_2539 =
																		((BgL_varz00_bglt) BgL_new1155z00_1502);
																}
																((((BgL_appz00_bglt)
																			COBJECT(BgL_new1153z00_1501))->
																		BgL_funz00) =
																	((BgL_varz00_bglt) BgL_auxz00_2539), BUNSPEC);
															}
															{
																obj_t BgL_auxz00_2557;

																if (NULLP(BgL_gargsz00_1481))
																	{	/* Tailc/walk.scm 79 */
																		BgL_auxz00_2557 = BNIL;
																	}
																else
																	{	/* Tailc/walk.scm 79 */
																		obj_t BgL_head1303z00_1507;

																		BgL_head1303z00_1507 =
																			MAKE_YOUNG_PAIR(BNIL, BNIL);
																		{
																			obj_t BgL_l1301z00_1509;
																			obj_t BgL_tail1304z00_1510;

																			BgL_l1301z00_1509 = BgL_gargsz00_1481;
																			BgL_tail1304z00_1510 =
																				BgL_head1303z00_1507;
																		BgL_zc3z04anonymousza31405ze3z87_1511:
																			if (NULLP(BgL_l1301z00_1509))
																				{	/* Tailc/walk.scm 79 */
																					BgL_auxz00_2557 =
																						CDR(BgL_head1303z00_1507);
																				}
																			else
																				{	/* Tailc/walk.scm 79 */
																					obj_t BgL_newtail1305z00_1513;

																					{	/* Tailc/walk.scm 79 */
																						BgL_refz00_bglt BgL_arg1415z00_1515;

																						{	/* Tailc/walk.scm 79 */
																							obj_t BgL_vz00_1516;

																							BgL_vz00_1516 =
																								CAR(
																								((obj_t) BgL_l1301z00_1509));
																							{	/* Tailc/walk.scm 80 */
																								BgL_refz00_bglt
																									BgL_new1157z00_1517;
																								{	/* Tailc/walk.scm 83 */
																									BgL_refz00_bglt
																										BgL_new1156z00_1518;
																									BgL_new1156z00_1518 =
																										((BgL_refz00_bglt)
																										BOBJECT(GC_MALLOC(sizeof
																												(struct
																													BgL_refz00_bgl))));
																									{	/* Tailc/walk.scm 83 */
																										long BgL_arg1416z00_1519;

																										{	/* Tailc/walk.scm 83 */
																											obj_t BgL_classz00_1914;

																											BgL_classz00_1914 =
																												BGl_refz00zzast_nodez00;
																											BgL_arg1416z00_1519 =
																												BGL_CLASS_NUM
																												(BgL_classz00_1914);
																										}
																										BGL_OBJECT_CLASS_NUM_SET(
																											((BgL_objectz00_bglt)
																												BgL_new1156z00_1518),
																											BgL_arg1416z00_1519);
																									}
																									{	/* Tailc/walk.scm 83 */
																										BgL_objectz00_bglt
																											BgL_tmpz00_2570;
																										BgL_tmpz00_2570 =
																											((BgL_objectz00_bglt)
																											BgL_new1156z00_1518);
																										BGL_OBJECT_WIDENING_SET
																											(BgL_tmpz00_2570, BFALSE);
																									}
																									((BgL_objectz00_bglt)
																										BgL_new1156z00_1518);
																									BgL_new1157z00_1517 =
																										BgL_new1156z00_1518;
																								}
																								((((BgL_nodez00_bglt) COBJECT(
																												((BgL_nodez00_bglt)
																													BgL_new1157z00_1517)))->
																										BgL_locz00) =
																									((obj_t) BgL_locz00_1484),
																									BUNSPEC);
																								((((BgL_nodez00_bglt)
																											COBJECT((
																													(BgL_nodez00_bglt)
																													BgL_new1157z00_1517)))->
																										BgL_typez00) =
																									((BgL_typez00_bglt) ((
																												(BgL_variablez00_bglt)
																												COBJECT((
																														(BgL_variablez00_bglt)
																														((BgL_localz00_bglt)
																															BgL_vz00_1516))))->
																											BgL_typez00)), BUNSPEC);
																								((((BgL_varz00_bglt)
																											COBJECT(((BgL_varz00_bglt)
																													BgL_new1157z00_1517)))->
																										BgL_variablez00) =
																									((BgL_variablez00_bglt) (
																											(BgL_variablez00_bglt)
																											BgL_vz00_1516)), BUNSPEC);
																								BgL_arg1415z00_1515 =
																									BgL_new1157z00_1517;
																						}}
																						BgL_newtail1305z00_1513 =
																							MAKE_YOUNG_PAIR(
																							((obj_t) BgL_arg1415z00_1515),
																							BNIL);
																					}
																					SET_CDR(BgL_tail1304z00_1510,
																						BgL_newtail1305z00_1513);
																					{	/* Tailc/walk.scm 79 */
																						obj_t BgL_arg1414z00_1514;

																						BgL_arg1414z00_1514 =
																							CDR(((obj_t) BgL_l1301z00_1509));
																						{
																							obj_t BgL_tail1304z00_2590;
																							obj_t BgL_l1301z00_2589;

																							BgL_l1301z00_2589 =
																								BgL_arg1414z00_1514;
																							BgL_tail1304z00_2590 =
																								BgL_newtail1305z00_1513;
																							BgL_tail1304z00_1510 =
																								BgL_tail1304z00_2590;
																							BgL_l1301z00_1509 =
																								BgL_l1301z00_2589;
																							goto
																								BgL_zc3z04anonymousza31405ze3z87_1511;
																						}
																					}
																				}
																		}
																	}
																((((BgL_appz00_bglt)
																			COBJECT(BgL_new1153z00_1501))->
																		BgL_argsz00) =
																	((obj_t) BgL_auxz00_2557), BUNSPEC);
															}
															((((BgL_appz00_bglt)
																		COBJECT(BgL_new1153z00_1501))->
																	BgL_stackablez00) =
																((obj_t) BFALSE), BUNSPEC);
															BgL_auxz00_2521 =
																((BgL_nodez00_bglt) BgL_new1153z00_1501);
														}
														((((BgL_letzd2funzd2_bglt)
																	COBJECT(BgL_new1151z00_1499))->BgL_bodyz00) =
															((BgL_nodez00_bglt) BgL_auxz00_2521), BUNSPEC);
													}
													BgL_gbodyz00_1485 = BgL_new1151z00_1499;
												}
												{	/* Tailc/walk.scm 68 */

													((((BgL_sfunz00_bglt) COBJECT(
																	((BgL_sfunz00_bglt) BgL_gfunz00_1477)))->
															BgL_argsz00) =
														((obj_t) BgL_gargsz00_1481), BUNSPEC);
													((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
																		BgL_gfunz00_1477)))->BgL_bodyz00) =
														((obj_t) ((obj_t) BgL_gbodyz00_1485)), BUNSPEC);
													{
														obj_t BgL_l1306z00_1487;

														BgL_l1306z00_1487 = BgL_callsz00_51;
													BgL_zc3z04anonymousza31387ze3z87_1488:
														if (PAIRP(BgL_l1306z00_1487))
															{	/* Tailc/walk.scm 89 */
																{	/* Tailc/walk.scm 90 */
																	obj_t BgL_callz00_1490;

																	BgL_callz00_1490 = CAR(BgL_l1306z00_1487);
																	{	/* Tailc/walk.scm 90 */
																		obj_t BgL_locz00_1491;

																		BgL_locz00_1491 =
																			(((BgL_nodez00_bglt) COBJECT(
																					((BgL_nodez00_bglt)
																						BgL_callz00_1490)))->BgL_locz00);
																		{	/* Tailc/walk.scm 90 */
																			BgL_refz00_bglt BgL_varz00_1492;

																			{	/* Tailc/walk.scm 91 */
																				BgL_refz00_bglt BgL_new1159z00_1494;

																				{	/* Tailc/walk.scm 94 */
																					BgL_refz00_bglt BgL_new1158z00_1495;

																					BgL_new1158z00_1495 =
																						((BgL_refz00_bglt)
																						BOBJECT(GC_MALLOC(sizeof(struct
																									BgL_refz00_bgl))));
																					{	/* Tailc/walk.scm 94 */
																						long BgL_arg1392z00_1496;

																						BgL_arg1392z00_1496 =
																							BGL_CLASS_NUM
																							(BGl_refz00zzast_nodez00);
																						BGL_OBJECT_CLASS_NUM_SET((
																								(BgL_objectz00_bglt)
																								BgL_new1158z00_1495),
																							BgL_arg1392z00_1496);
																					}
																					{	/* Tailc/walk.scm 94 */
																						BgL_objectz00_bglt BgL_tmpz00_2609;

																						BgL_tmpz00_2609 =
																							((BgL_objectz00_bglt)
																							BgL_new1158z00_1495);
																						BGL_OBJECT_WIDENING_SET
																							(BgL_tmpz00_2609, BFALSE);
																					}
																					((BgL_objectz00_bglt)
																						BgL_new1158z00_1495);
																					BgL_new1159z00_1494 =
																						BgL_new1158z00_1495;
																				}
																				((((BgL_nodez00_bglt) COBJECT(
																								((BgL_nodez00_bglt)
																									BgL_new1159z00_1494)))->
																						BgL_locz00) =
																					((obj_t) BgL_locz00_1491), BUNSPEC);
																				((((BgL_nodez00_bglt)
																							COBJECT(((BgL_nodez00_bglt)
																									BgL_new1159z00_1494)))->
																						BgL_typez00) =
																					((BgL_typez00_bglt) ((
																								(BgL_variablez00_bglt)
																								COBJECT(((BgL_variablez00_bglt)
																										BgL_localz00_1483)))->
																							BgL_typez00)), BUNSPEC);
																				((((BgL_varz00_bglt)
																							COBJECT(((BgL_varz00_bglt)
																									BgL_new1159z00_1494)))->
																						BgL_variablez00) =
																					((BgL_variablez00_bglt) (
																							(BgL_variablez00_bglt)
																							BgL_localz00_1483)), BUNSPEC);
																				BgL_varz00_1492 = BgL_new1159z00_1494;
																			}
																			{	/* Tailc/walk.scm 91 */

																				((((BgL_appz00_bglt) COBJECT(
																								((BgL_appz00_bglt)
																									BgL_callz00_1490)))->
																						BgL_funz00) =
																					((BgL_varz00_bglt) ((BgL_varz00_bglt)
																							BgL_varz00_1492)), BUNSPEC);
																}}}}
																{
																	obj_t BgL_l1306z00_2625;

																	BgL_l1306z00_2625 = CDR(BgL_l1306z00_1487);
																	BgL_l1306z00_1487 = BgL_l1306z00_2625;
																	goto BgL_zc3z04anonymousza31387ze3z87_1488;
																}
															}
														else
															{	/* Tailc/walk.scm 89 */
																((bool_t) 1);
															}
													}
													return BGl_funz00zzast_varz00;
												}
											}
										}
									}
								}
							}
						}
					}
				}
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zztailc_walkz00(void)
	{
		{	/* Tailc/walk.scm 15 */
			{	/* Tailc/walk.scm 26 */
				obj_t BgL_arg1511z00_1562;
				obj_t BgL_arg1512z00_1563;

				{	/* Tailc/walk.scm 26 */
					obj_t BgL_v1308z00_1597;

					BgL_v1308z00_1597 = create_vector(0L);
					BgL_arg1511z00_1562 = BgL_v1308z00_1597;
				}
				{	/* Tailc/walk.scm 26 */
					obj_t BgL_v1309z00_1598;

					BgL_v1309z00_1598 = create_vector(0L);
					BgL_arg1512z00_1563 = BgL_v1309z00_1598;
				}
				return (BGl_localzd2tailzd2zztailc_walkz00 =
					BGl_registerzd2classz12zc0zz__objectz00(
						((obj_t)
							CNST_TABLE_REF(1)),
						((obj_t)
							CNST_TABLE_REF(2)), BGl_localz00zzast_varz00, 43644L,
						BGl_proc1805z00zztailc_walkz00, BGl_proc1804z00zztailc_walkz00,
						BFALSE, BGl_proc1803z00zztailc_walkz00,
						BGl_proc1802z00zztailc_walkz00, BgL_arg1511z00_1562,
						BgL_arg1512z00_1563), BUNSPEC);
			}
		}

	}



/* &lambda1532 */
	BgL_localz00_bglt BGl_z62lambda1532z62zztailc_walkz00(obj_t BgL_envz00_2098,
		obj_t BgL_o1121z00_2099)
	{
		{	/* Tailc/walk.scm 26 */
			{	/* Tailc/walk.scm 26 */
				long BgL_arg1535z00_2179;

				{	/* Tailc/walk.scm 26 */
					obj_t BgL_arg1543z00_2180;

					{	/* Tailc/walk.scm 26 */
						obj_t BgL_arg1545z00_2181;

						{	/* Tailc/walk.scm 26 */
							obj_t BgL_arg1866z00_2182;
							long BgL_arg1867z00_2183;

							BgL_arg1866z00_2182 = (BGl_za2classesza2z00zz__objectz00);
							{	/* Tailc/walk.scm 26 */
								long BgL_arg1869z00_2184;

								BgL_arg1869z00_2184 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_localz00_bglt) BgL_o1121z00_2099)));
								BgL_arg1867z00_2183 = (BgL_arg1869z00_2184 - OBJECT_TYPE);
							}
							BgL_arg1545z00_2181 =
								VECTOR_REF(BgL_arg1866z00_2182, BgL_arg1867z00_2183);
						}
						BgL_arg1543z00_2180 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg1545z00_2181);
					}
					{	/* Tailc/walk.scm 26 */
						obj_t BgL_tmpz00_2641;

						BgL_tmpz00_2641 = ((obj_t) BgL_arg1543z00_2180);
						BgL_arg1535z00_2179 = BGL_CLASS_NUM(BgL_tmpz00_2641);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_localz00_bglt) BgL_o1121z00_2099)), BgL_arg1535z00_2179);
			}
			{	/* Tailc/walk.scm 26 */
				BgL_objectz00_bglt BgL_tmpz00_2647;

				BgL_tmpz00_2647 =
					((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_o1121z00_2099));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2647, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_o1121z00_2099));
			return ((BgL_localz00_bglt) ((BgL_localz00_bglt) BgL_o1121z00_2099));
		}

	}



/* &<@anonymous:1531> */
	obj_t BGl_z62zc3z04anonymousza31531ze3ze5zztailc_walkz00(obj_t
		BgL_envz00_2100, obj_t BgL_new1120z00_2101)
	{
		{	/* Tailc/walk.scm 26 */
			{
				BgL_localz00_bglt BgL_auxz00_2655;

				((((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt)
									((BgL_localz00_bglt) BgL_new1120z00_2101))))->BgL_idz00) =
					((obj_t) ((obj_t) CNST_TABLE_REF(3))), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_localz00_bglt)
										BgL_new1120z00_2101))))->BgL_namez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_2664;

					{	/* Tailc/walk.scm 26 */
						obj_t BgL_classz00_2186;

						BgL_classz00_2186 = BGl_typez00zztype_typez00;
						{	/* Tailc/walk.scm 26 */
							obj_t BgL__ortest_1117z00_2187;

							BgL__ortest_1117z00_2187 = BGL_CLASS_NIL(BgL_classz00_2186);
							if (CBOOL(BgL__ortest_1117z00_2187))
								{	/* Tailc/walk.scm 26 */
									BgL_auxz00_2664 =
										((BgL_typez00_bglt) BgL__ortest_1117z00_2187);
								}
							else
								{	/* Tailc/walk.scm 26 */
									BgL_auxz00_2664 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_2186));
								}
						}
					}
					((((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt)
										((BgL_localz00_bglt) BgL_new1120z00_2101))))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_2664), BUNSPEC);
				}
				{
					BgL_valuez00_bglt BgL_auxz00_2674;

					{	/* Tailc/walk.scm 26 */
						obj_t BgL_classz00_2188;

						BgL_classz00_2188 = BGl_valuez00zzast_varz00;
						{	/* Tailc/walk.scm 26 */
							obj_t BgL__ortest_1117z00_2189;

							BgL__ortest_1117z00_2189 = BGL_CLASS_NIL(BgL_classz00_2188);
							if (CBOOL(BgL__ortest_1117z00_2189))
								{	/* Tailc/walk.scm 26 */
									BgL_auxz00_2674 =
										((BgL_valuez00_bglt) BgL__ortest_1117z00_2189);
								}
							else
								{	/* Tailc/walk.scm 26 */
									BgL_auxz00_2674 =
										((BgL_valuez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_2188));
								}
						}
					}
					((((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt)
										((BgL_localz00_bglt) BgL_new1120z00_2101))))->
							BgL_valuez00) = ((BgL_valuez00_bglt) BgL_auxz00_2674), BUNSPEC);
				}
				((((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt)
									((BgL_localz00_bglt) BgL_new1120z00_2101))))->BgL_accessz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_localz00_bglt)
										BgL_new1120z00_2101))))->BgL_fastzd2alphazd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_localz00_bglt)
										BgL_new1120z00_2101))))->BgL_removablez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_localz00_bglt)
										BgL_new1120z00_2101))))->BgL_occurrencez00) =
					((long) 0L), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_localz00_bglt)
										BgL_new1120z00_2101))))->BgL_occurrencewz00) =
					((long) 0L), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_localz00_bglt)
										BgL_new1120z00_2101))))->BgL_userzf3zf3) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt) ((BgL_localz00_bglt)
										BgL_new1120z00_2101))))->BgL_keyz00) =
					((long) 0L), BUNSPEC);
				((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt) ((BgL_localz00_bglt)
										BgL_new1120z00_2101))))->BgL_valzd2noescapezd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt) ((BgL_localz00_bglt)
										BgL_new1120z00_2101))))->BgL_volatilez00) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				BgL_auxz00_2655 = ((BgL_localz00_bglt) BgL_new1120z00_2101);
				return ((obj_t) BgL_auxz00_2655);
			}
		}

	}



/* &lambda1517 */
	BgL_localz00_bglt BGl_z62lambda1517z62zztailc_walkz00(obj_t BgL_envz00_2102,
		obj_t BgL_o1116z00_2103)
	{
		{	/* Tailc/walk.scm 26 */
			{	/* Tailc/walk.scm 26 */
				BgL_localzd2tailzd2_bglt BgL_wide1118z00_2191;

				BgL_wide1118z00_2191 =
					((BgL_localzd2tailzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_localzd2tailzd2_bgl))));
				{	/* Tailc/walk.scm 26 */
					obj_t BgL_auxz00_2718;
					BgL_objectz00_bglt BgL_tmpz00_2714;

					BgL_auxz00_2718 = ((obj_t) BgL_wide1118z00_2191);
					BgL_tmpz00_2714 =
						((BgL_objectz00_bglt)
						((BgL_localz00_bglt) ((BgL_localz00_bglt) BgL_o1116z00_2103)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2714, BgL_auxz00_2718);
				}
				((BgL_objectz00_bglt)
					((BgL_localz00_bglt) ((BgL_localz00_bglt) BgL_o1116z00_2103)));
				{	/* Tailc/walk.scm 26 */
					long BgL_arg1530z00_2192;

					BgL_arg1530z00_2192 =
						BGL_CLASS_NUM(BGl_localzd2tailzd2zztailc_walkz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_localz00_bglt)
								((BgL_localz00_bglt) BgL_o1116z00_2103))), BgL_arg1530z00_2192);
				}
				return
					((BgL_localz00_bglt)
					((BgL_localz00_bglt) ((BgL_localz00_bglt) BgL_o1116z00_2103)));
			}
		}

	}



/* &lambda1513 */
	BgL_localz00_bglt BGl_z62lambda1513z62zztailc_walkz00(obj_t BgL_envz00_2104,
		obj_t BgL_id1103z00_2105, obj_t BgL_name1104z00_2106,
		obj_t BgL_type1105z00_2107, obj_t BgL_value1106z00_2108,
		obj_t BgL_access1107z00_2109, obj_t BgL_fastzd2alpha1108zd2_2110,
		obj_t BgL_removable1109z00_2111, obj_t BgL_occurrence1110z00_2112,
		obj_t BgL_occurrencew1111z00_2113, obj_t BgL_userzf31112zf3_2114,
		obj_t BgL_key1113z00_2115, obj_t BgL_valzd2noescape1114zd2_2116,
		obj_t BgL_volatile1115z00_2117)
	{
		{	/* Tailc/walk.scm 26 */
			{	/* Tailc/walk.scm 26 */
				long BgL_occurrence1110z00_2196;
				long BgL_occurrencew1111z00_2197;
				bool_t BgL_userzf31112zf3_2198;
				long BgL_key1113z00_2199;
				bool_t BgL_volatile1115z00_2200;

				BgL_occurrence1110z00_2196 = (long) CINT(BgL_occurrence1110z00_2112);
				BgL_occurrencew1111z00_2197 = (long) CINT(BgL_occurrencew1111z00_2113);
				BgL_userzf31112zf3_2198 = CBOOL(BgL_userzf31112zf3_2114);
				BgL_key1113z00_2199 = (long) CINT(BgL_key1113z00_2115);
				BgL_volatile1115z00_2200 = CBOOL(BgL_volatile1115z00_2117);
				{	/* Tailc/walk.scm 26 */
					BgL_localz00_bglt BgL_new1175z00_2201;

					{	/* Tailc/walk.scm 26 */
						BgL_localz00_bglt BgL_tmp1173z00_2202;
						BgL_localzd2tailzd2_bglt BgL_wide1174z00_2203;

						{
							BgL_localz00_bglt BgL_auxz00_2737;

							{	/* Tailc/walk.scm 26 */
								BgL_localz00_bglt BgL_new1172z00_2204;

								BgL_new1172z00_2204 =
									((BgL_localz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_localz00_bgl))));
								{	/* Tailc/walk.scm 26 */
									long BgL_arg1516z00_2205;

									BgL_arg1516z00_2205 = BGL_CLASS_NUM(BGl_localz00zzast_varz00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1172z00_2204),
										BgL_arg1516z00_2205);
								}
								{	/* Tailc/walk.scm 26 */
									BgL_objectz00_bglt BgL_tmpz00_2742;

									BgL_tmpz00_2742 = ((BgL_objectz00_bglt) BgL_new1172z00_2204);
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2742, BFALSE);
								}
								((BgL_objectz00_bglt) BgL_new1172z00_2204);
								BgL_auxz00_2737 = BgL_new1172z00_2204;
							}
							BgL_tmp1173z00_2202 = ((BgL_localz00_bglt) BgL_auxz00_2737);
						}
						BgL_wide1174z00_2203 =
							((BgL_localzd2tailzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_localzd2tailzd2_bgl))));
						{	/* Tailc/walk.scm 26 */
							obj_t BgL_auxz00_2750;
							BgL_objectz00_bglt BgL_tmpz00_2748;

							BgL_auxz00_2750 = ((obj_t) BgL_wide1174z00_2203);
							BgL_tmpz00_2748 = ((BgL_objectz00_bglt) BgL_tmp1173z00_2202);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2748, BgL_auxz00_2750);
						}
						((BgL_objectz00_bglt) BgL_tmp1173z00_2202);
						{	/* Tailc/walk.scm 26 */
							long BgL_arg1515z00_2206;

							BgL_arg1515z00_2206 =
								BGL_CLASS_NUM(BGl_localzd2tailzd2zztailc_walkz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_tmp1173z00_2202),
								BgL_arg1515z00_2206);
						}
						BgL_new1175z00_2201 = ((BgL_localz00_bglt) BgL_tmp1173z00_2202);
					}
					((((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt) BgL_new1175z00_2201)))->BgL_idz00) =
						((obj_t) ((obj_t) BgL_id1103z00_2105)), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1175z00_2201)))->BgL_namez00) =
						((obj_t) BgL_name1104z00_2106), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1175z00_2201)))->BgL_typez00) =
						((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1105z00_2107)),
						BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1175z00_2201)))->BgL_valuez00) =
						((BgL_valuez00_bglt) ((BgL_valuez00_bglt) BgL_value1106z00_2108)),
						BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1175z00_2201)))->BgL_accessz00) =
						((obj_t) BgL_access1107z00_2109), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1175z00_2201)))->BgL_fastzd2alphazd2) =
						((obj_t) BgL_fastzd2alpha1108zd2_2110), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1175z00_2201)))->BgL_removablez00) =
						((obj_t) BgL_removable1109z00_2111), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1175z00_2201)))->BgL_occurrencez00) =
						((long) BgL_occurrence1110z00_2196), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1175z00_2201)))->BgL_occurrencewz00) =
						((long) BgL_occurrencew1111z00_2197), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1175z00_2201)))->BgL_userzf3zf3) =
						((bool_t) BgL_userzf31112zf3_2198), BUNSPEC);
					((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt)
										BgL_new1175z00_2201)))->BgL_keyz00) =
						((long) BgL_key1113z00_2199), BUNSPEC);
					((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt)
										BgL_new1175z00_2201)))->BgL_valzd2noescapezd2) =
						((obj_t) BgL_valzd2noescape1114zd2_2116), BUNSPEC);
					((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt)
										BgL_new1175z00_2201)))->BgL_volatilez00) =
						((bool_t) BgL_volatile1115z00_2200), BUNSPEC);
					return BgL_new1175z00_2201;
				}
			}
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zztailc_walkz00(void)
	{
		{	/* Tailc/walk.scm 15 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_getzd2tailzd2callszd2envzd2zztailc_walkz00,
				BGl_proc1806z00zztailc_walkz00, BGl_nodez00zzast_nodez00,
				BGl_string1807z00zztailc_walkz00);
		}

	}



/* &get-tail-calls1310 */
	obj_t BGl_z62getzd2tailzd2calls1310z62zztailc_walkz00(obj_t BgL_envz00_2119,
		obj_t BgL_nz00_2120, obj_t BgL_hz00_2121, obj_t BgL_tailsz00_2122)
	{
		{	/* Tailc/walk.scm 106 */
			return ((obj_t) BgL_tailsz00_2122);
		}

	}



/* get-tail-calls */
	obj_t BGl_getzd2tailzd2callsz00zztailc_walkz00(BgL_nodez00_bglt BgL_nz00_52,
		BgL_variablez00_bglt BgL_hz00_53, obj_t BgL_tailsz00_54)
	{
		{	/* Tailc/walk.scm 106 */
			{	/* Tailc/walk.scm 106 */
				obj_t BgL_method1311z00_1609;

				{	/* Tailc/walk.scm 106 */
					obj_t BgL_res1793z00_1990;

					{	/* Tailc/walk.scm 106 */
						long BgL_objzd2classzd2numz00_1961;

						BgL_objzd2classzd2numz00_1961 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nz00_52));
						{	/* Tailc/walk.scm 106 */
							obj_t BgL_arg1862z00_1962;

							BgL_arg1862z00_1962 =
								PROCEDURE_REF(BGl_getzd2tailzd2callszd2envzd2zztailc_walkz00,
								(int) (1L));
							{	/* Tailc/walk.scm 106 */
								int BgL_offsetz00_1965;

								BgL_offsetz00_1965 = (int) (BgL_objzd2classzd2numz00_1961);
								{	/* Tailc/walk.scm 106 */
									long BgL_offsetz00_1966;

									BgL_offsetz00_1966 =
										((long) (BgL_offsetz00_1965) - OBJECT_TYPE);
									{	/* Tailc/walk.scm 106 */
										long BgL_modz00_1967;

										BgL_modz00_1967 =
											(BgL_offsetz00_1966 >> (int) ((long) ((int) (4L))));
										{	/* Tailc/walk.scm 106 */
											long BgL_restz00_1969;

											BgL_restz00_1969 =
												(BgL_offsetz00_1966 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(1L <<
																		(int) ((long) ((int) (4L)))))) - 1L))));
											{	/* Tailc/walk.scm 106 */

												{	/* Tailc/walk.scm 106 */
													obj_t BgL_bucketz00_1971;

													BgL_bucketz00_1971 =
														VECTOR_REF(
														((obj_t) BgL_arg1862z00_1962), BgL_modz00_1967);
													BgL_res1793z00_1990 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_1971), BgL_restz00_1969);
					}}}}}}}}
					BgL_method1311z00_1609 = BgL_res1793z00_1990;
				}
				return
					BGL_PROCEDURE_CALL3(BgL_method1311z00_1609,
					((obj_t) BgL_nz00_52), ((obj_t) BgL_hz00_53), BgL_tailsz00_54);
			}
		}

	}



/* &get-tail-calls */
	obj_t BGl_z62getzd2tailzd2callsz62zztailc_walkz00(obj_t BgL_envz00_2123,
		obj_t BgL_nz00_2124, obj_t BgL_hz00_2125, obj_t BgL_tailsz00_2126)
	{
		{	/* Tailc/walk.scm 106 */
			return
				BGl_getzd2tailzd2callsz00zztailc_walkz00(
				((BgL_nodez00_bglt) BgL_nz00_2124),
				((BgL_variablez00_bglt) BgL_hz00_2125), BgL_tailsz00_2126);
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zztailc_walkz00(void)
	{
		{	/* Tailc/walk.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_getzd2tailzd2callszd2envzd2zztailc_walkz00,
				BGl_closurez00zzast_nodez00, BGl_proc1808z00zztailc_walkz00,
				BGl_string1809z00zztailc_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_getzd2tailzd2callszd2envzd2zztailc_walkz00,
				BGl_sequencez00zzast_nodez00, BGl_proc1810z00zztailc_walkz00,
				BGl_string1809z00zztailc_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_getzd2tailzd2callszd2envzd2zztailc_walkz00,
				BGl_syncz00zzast_nodez00, BGl_proc1811z00zztailc_walkz00,
				BGl_string1809z00zztailc_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_getzd2tailzd2callszd2envzd2zztailc_walkz00,
				BGl_appz00zzast_nodez00, BGl_proc1812z00zztailc_walkz00,
				BGl_string1809z00zztailc_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_getzd2tailzd2callszd2envzd2zztailc_walkz00,
				BGl_conditionalz00zzast_nodez00, BGl_proc1813z00zztailc_walkz00,
				BGl_string1809z00zztailc_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_getzd2tailzd2callszd2envzd2zztailc_walkz00,
				BGl_switchz00zzast_nodez00, BGl_proc1814z00zztailc_walkz00,
				BGl_string1809z00zztailc_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_getzd2tailzd2callszd2envzd2zztailc_walkz00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc1815z00zztailc_walkz00,
				BGl_string1809z00zztailc_walkz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_getzd2tailzd2callszd2envzd2zztailc_walkz00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc1816z00zztailc_walkz00,
				BGl_string1809z00zztailc_walkz00);
		}

	}



/* &get-tail-calls-let-v1327 */
	obj_t BGl_z62getzd2tailzd2callszd2letzd2v1327z62zztailc_walkz00(obj_t
		BgL_envz00_2135, obj_t BgL_nodez00_2136, obj_t BgL_hostz00_2137,
		obj_t BgL_tailsz00_2138)
	{
		{	/* Tailc/walk.scm 179 */
			{	/* Tailc/walk.scm 181 */
				BgL_nodez00_bglt BgL_arg1631z00_2211;

				BgL_arg1631z00_2211 =
					(((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_nodez00_2136)))->BgL_bodyz00);
				return
					BGl_getzd2tailzd2callsz00zztailc_walkz00(BgL_arg1631z00_2211,
					((BgL_variablez00_bglt) BgL_hostz00_2137), BgL_tailsz00_2138);
			}
		}

	}



/* &get-tail-calls-let-f1325 */
	obj_t BGl_z62getzd2tailzd2callszd2letzd2f1325z62zztailc_walkz00(obj_t
		BgL_envz00_2139, obj_t BgL_nodez00_2140, obj_t BgL_hostz00_2141,
		obj_t BgL_tailsz00_2142)
	{
		{	/* Tailc/walk.scm 169 */
			{	/* Tailc/walk.scm 174 */
				BgL_nodez00_bglt BgL_arg1626z00_2213;

				BgL_arg1626z00_2213 =
					(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nodez00_2140)))->BgL_bodyz00);
				return
					BGl_getzd2tailzd2callsz00zztailc_walkz00(BgL_arg1626z00_2213,
					((BgL_variablez00_bglt) BgL_hostz00_2141), BgL_tailsz00_2142);
			}
		}

	}



/* &get-tail-calls-switc1323 */
	obj_t BGl_z62getzd2tailzd2callszd2switc1323zb0zztailc_walkz00(obj_t
		BgL_envz00_2143, obj_t BgL_nodez00_2144, obj_t BgL_hostz00_2145,
		obj_t BgL_tailsz00_2146)
	{
		{	/* Tailc/walk.scm 157 */
			{	/* Tailc/walk.scm 159 */
				obj_t BgL_res1822z00_2223;

				{	/* Tailc/walk.scm 159 */
					obj_t BgL_g1169z00_2215;

					BgL_g1169z00_2215 =
						(((BgL_switchz00_bglt) COBJECT(
								((BgL_switchz00_bglt) BgL_nodez00_2144)))->BgL_clausesz00);
					{
						obj_t BgL_clausesz00_2217;
						obj_t BgL_tailsz00_2218;

						BgL_clausesz00_2217 = BgL_g1169z00_2215;
						BgL_tailsz00_2218 = BgL_tailsz00_2146;
					BgL_liipz00_2216:
						if (NULLP(BgL_clausesz00_2217))
							{	/* Tailc/walk.scm 161 */
								BgL_res1822z00_2223 = BgL_tailsz00_2218;
							}
						else
							{	/* Tailc/walk.scm 163 */
								obj_t BgL_arg1605z00_2219;
								obj_t BgL_arg1611z00_2220;

								BgL_arg1605z00_2219 = CDR(((obj_t) BgL_clausesz00_2217));
								{	/* Tailc/walk.scm 164 */
									obj_t BgL_arg1612z00_2221;

									{	/* Tailc/walk.scm 164 */
										obj_t BgL_pairz00_2222;

										BgL_pairz00_2222 = CAR(((obj_t) BgL_clausesz00_2217));
										BgL_arg1612z00_2221 = CDR(BgL_pairz00_2222);
									}
									BgL_arg1611z00_2220 =
										BGl_getzd2tailzd2callsz00zztailc_walkz00(
										((BgL_nodez00_bglt) BgL_arg1612z00_2221),
										((BgL_variablez00_bglt) BgL_hostz00_2145),
										BgL_tailsz00_2218);
								}
								{
									obj_t BgL_tailsz00_2854;
									obj_t BgL_clausesz00_2853;

									BgL_clausesz00_2853 = BgL_arg1605z00_2219;
									BgL_tailsz00_2854 = BgL_arg1611z00_2220;
									BgL_tailsz00_2218 = BgL_tailsz00_2854;
									BgL_clausesz00_2217 = BgL_clausesz00_2853;
									goto BgL_liipz00_2216;
								}
							}
					}
				}
				return BgL_res1822z00_2223;
			}
		}

	}



/* &get-tail-calls-condi1321 */
	obj_t BGl_z62getzd2tailzd2callszd2condi1321zb0zztailc_walkz00(obj_t
		BgL_envz00_2147, obj_t BgL_nodez00_2148, obj_t BgL_hostz00_2149,
		obj_t BgL_tailsz00_2150)
	{
		{	/* Tailc/walk.scm 150 */
			{	/* Tailc/walk.scm 152 */
				BgL_nodez00_bglt BgL_arg1592z00_2225;
				obj_t BgL_arg1593z00_2226;

				BgL_arg1592z00_2225 =
					(((BgL_conditionalz00_bglt) COBJECT(
							((BgL_conditionalz00_bglt) BgL_nodez00_2148)))->BgL_truez00);
				{	/* Tailc/walk.scm 152 */
					BgL_nodez00_bglt BgL_arg1597z00_2227;

					BgL_arg1597z00_2227 =
						(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_2148)))->BgL_falsez00);
					BgL_arg1593z00_2226 =
						BGl_getzd2tailzd2callsz00zztailc_walkz00(BgL_arg1597z00_2227,
						((BgL_variablez00_bglt) BgL_hostz00_2149), BgL_tailsz00_2150);
				}
				return
					BGl_getzd2tailzd2callsz00zztailc_walkz00(BgL_arg1592z00_2225,
					((BgL_variablez00_bglt) BgL_hostz00_2149), BgL_arg1593z00_2226);
			}
		}

	}



/* &get-tail-calls-app1319 */
	obj_t BGl_z62getzd2tailzd2callszd2app1319zb0zztailc_walkz00(obj_t
		BgL_envz00_2151, obj_t BgL_nodez00_2152, obj_t BgL_hostz00_2153,
		obj_t BgL_tailsz00_2154)
	{
		{	/* Tailc/walk.scm 133 */
			{	/* Tailc/walk.scm 135 */
				obj_t BgL_calleez00_2229;

				BgL_calleez00_2229 =
					((obj_t)
					(((BgL_varz00_bglt) COBJECT(
								(((BgL_appz00_bglt) COBJECT(
											((BgL_appz00_bglt) BgL_nodez00_2152)))->BgL_funz00)))->
						BgL_variablez00));
				if ((BgL_calleez00_2229 == BgL_hostz00_2153))
					{	/* Tailc/walk.scm 137 */
						return
							MAKE_YOUNG_PAIR(
							((obj_t)
								((BgL_appz00_bglt) BgL_nodez00_2152)), BgL_tailsz00_2154);
					}
				else
					{	/* Tailc/walk.scm 139 */
						bool_t BgL_test1869z00_2872;

						{	/* Tailc/walk.scm 139 */
							obj_t BgL_classz00_2230;

							BgL_classz00_2230 = BGl_localzd2tailzd2zztailc_walkz00;
							if (BGL_OBJECTP(BgL_calleez00_2229))
								{	/* Tailc/walk.scm 139 */
									obj_t BgL_oclassz00_2231;

									{	/* Tailc/walk.scm 139 */
										obj_t BgL_arg1866z00_2232;
										long BgL_arg1867z00_2233;

										BgL_arg1866z00_2232 = (BGl_za2classesza2z00zz__objectz00);
										{	/* Tailc/walk.scm 139 */
											long BgL_arg1869z00_2234;

											BgL_arg1869z00_2234 =
												BGL_OBJECT_CLASS_NUM(
												((BgL_objectz00_bglt) BgL_calleez00_2229));
											BgL_arg1867z00_2233 = (BgL_arg1869z00_2234 - OBJECT_TYPE);
										}
										BgL_oclassz00_2231 =
											VECTOR_REF(BgL_arg1866z00_2232, BgL_arg1867z00_2233);
									}
									BgL_test1869z00_2872 =
										(BgL_oclassz00_2231 == BgL_classz00_2230);
								}
							else
								{	/* Tailc/walk.scm 139 */
									BgL_test1869z00_2872 = ((bool_t) 0);
								}
						}
						if (BgL_test1869z00_2872)
							{	/* Tailc/walk.scm 139 */
								return BgL_tailsz00_2154;
							}
						else
							{	/* Tailc/walk.scm 141 */
								bool_t BgL_test1871z00_2881;

								{	/* Tailc/walk.scm 141 */
									obj_t BgL_classz00_2235;

									BgL_classz00_2235 = BGl_localz00zzast_varz00;
									if (BGL_OBJECTP(BgL_calleez00_2229))
										{	/* Tailc/walk.scm 141 */
											BgL_objectz00_bglt BgL_arg1858z00_2236;

											BgL_arg1858z00_2236 =
												(BgL_objectz00_bglt) (BgL_calleez00_2229);
											if (BGL_CONDEXPAND_ISA_ARCH64())
												{	/* Tailc/walk.scm 141 */
													long BgL_idxz00_2237;

													BgL_idxz00_2237 =
														BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_2236);
													BgL_test1871z00_2881 =
														(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
															(BgL_idxz00_2237 + 2L)) == BgL_classz00_2235);
												}
											else
												{	/* Tailc/walk.scm 141 */
													bool_t BgL_res1794z00_2240;

													{	/* Tailc/walk.scm 141 */
														obj_t BgL_oclassz00_2241;

														{	/* Tailc/walk.scm 141 */
															obj_t BgL_arg1866z00_2242;
															long BgL_arg1867z00_2243;

															BgL_arg1866z00_2242 =
																(BGl_za2classesza2z00zz__objectz00);
															{	/* Tailc/walk.scm 141 */
																long BgL_arg1869z00_2244;

																BgL_arg1869z00_2244 =
																	BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_2236);
																BgL_arg1867z00_2243 =
																	(BgL_arg1869z00_2244 - OBJECT_TYPE);
															}
															BgL_oclassz00_2241 =
																VECTOR_REF(BgL_arg1866z00_2242,
																BgL_arg1867z00_2243);
														}
														{	/* Tailc/walk.scm 141 */
															bool_t BgL__ortest_1115z00_2245;

															BgL__ortest_1115z00_2245 =
																(BgL_classz00_2235 == BgL_oclassz00_2241);
															if (BgL__ortest_1115z00_2245)
																{	/* Tailc/walk.scm 141 */
																	BgL_res1794z00_2240 =
																		BgL__ortest_1115z00_2245;
																}
															else
																{	/* Tailc/walk.scm 141 */
																	long BgL_odepthz00_2246;

																	{	/* Tailc/walk.scm 141 */
																		obj_t BgL_arg1855z00_2247;

																		BgL_arg1855z00_2247 = (BgL_oclassz00_2241);
																		BgL_odepthz00_2246 =
																			BGL_CLASS_DEPTH(BgL_arg1855z00_2247);
																	}
																	if ((2L < BgL_odepthz00_2246))
																		{	/* Tailc/walk.scm 141 */
																			obj_t BgL_arg1853z00_2248;

																			{	/* Tailc/walk.scm 141 */
																				obj_t BgL_arg1854z00_2249;

																				BgL_arg1854z00_2249 =
																					(BgL_oclassz00_2241);
																				BgL_arg1853z00_2248 =
																					BGL_CLASS_ANCESTORS_REF
																					(BgL_arg1854z00_2249, 2L);
																			}
																			BgL_res1794z00_2240 =
																				(BgL_arg1853z00_2248 ==
																				BgL_classz00_2235);
																		}
																	else
																		{	/* Tailc/walk.scm 141 */
																			BgL_res1794z00_2240 = ((bool_t) 0);
																		}
																}
														}
													}
													BgL_test1871z00_2881 = BgL_res1794z00_2240;
												}
										}
									else
										{	/* Tailc/walk.scm 141 */
											BgL_test1871z00_2881 = ((bool_t) 0);
										}
								}
								if (BgL_test1871z00_2881)
									{	/* Tailc/walk.scm 141 */
										{	/* Tailc/walk.scm 142 */
											BgL_localzd2tailzd2_bglt BgL_wide1165z00_2250;

											BgL_wide1165z00_2250 =
												((BgL_localzd2tailzd2_bglt)
												BOBJECT(GC_MALLOC(sizeof(struct
															BgL_localzd2tailzd2_bgl))));
											{	/* Tailc/walk.scm 142 */
												obj_t BgL_auxz00_2909;
												BgL_objectz00_bglt BgL_tmpz00_2905;

												BgL_auxz00_2909 = ((obj_t) BgL_wide1165z00_2250);
												BgL_tmpz00_2905 =
													((BgL_objectz00_bglt)
													((BgL_localz00_bglt)
														((BgL_localz00_bglt) BgL_calleez00_2229)));
												BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2905,
													BgL_auxz00_2909);
											}
											((BgL_objectz00_bglt)
												((BgL_localz00_bglt)
													((BgL_localz00_bglt) BgL_calleez00_2229)));
											{	/* Tailc/walk.scm 142 */
												long BgL_arg1581z00_2251;

												BgL_arg1581z00_2251 =
													BGL_CLASS_NUM(BGl_localzd2tailzd2zztailc_walkz00);
												BGL_OBJECT_CLASS_NUM_SET(
													((BgL_objectz00_bglt)
														((BgL_localz00_bglt)
															((BgL_localz00_bglt) BgL_calleez00_2229))),
													BgL_arg1581z00_2251);
											}
											((BgL_localz00_bglt)
												((BgL_localz00_bglt)
													((BgL_localz00_bglt) BgL_calleez00_2229)));
										}
										((BgL_localz00_bglt)
											((BgL_localz00_bglt) BgL_calleez00_2229));
										{	/* Tailc/walk.scm 143 */
											obj_t BgL_arg1587z00_2252;

											BgL_arg1587z00_2252 =
												(((BgL_sfunz00_bglt) COBJECT(
														((BgL_sfunz00_bglt)
															(((BgL_variablez00_bglt) COBJECT(
																		((BgL_variablez00_bglt)
																			((BgL_localz00_bglt)
																				BgL_calleez00_2229))))->
																BgL_valuez00))))->BgL_bodyz00);
											return
												BGl_getzd2tailzd2callsz00zztailc_walkz00((
													(BgL_nodez00_bglt) BgL_arg1587z00_2252),
												((BgL_variablez00_bglt) BgL_hostz00_2153),
												BgL_tailsz00_2154);
										}
									}
								else
									{	/* Tailc/walk.scm 141 */
										return BgL_tailsz00_2154;
									}
							}
					}
			}
		}

	}



/* &get-tail-calls-sync1317 */
	obj_t BGl_z62getzd2tailzd2callszd2sync1317zb0zztailc_walkz00(obj_t
		BgL_envz00_2155, obj_t BgL_nodez00_2156, obj_t BgL_hostz00_2157,
		obj_t BgL_tailsz00_2158)
	{
		{	/* Tailc/walk.scm 127 */
			return ((obj_t) BgL_tailsz00_2158);
		}

	}



/* &get-tail-calls-seque1315 */
	obj_t BGl_z62getzd2tailzd2callszd2seque1315zb0zztailc_walkz00(obj_t
		BgL_envz00_2159, obj_t BgL_nodez00_2160, obj_t BgL_hostz00_2161,
		obj_t BgL_tailsz00_2162)
	{
		{	/* Tailc/walk.scm 118 */
			if (NULLP(
					(((BgL_sequencez00_bglt) COBJECT(
								((BgL_sequencez00_bglt) BgL_nodez00_2160)))->BgL_nodesz00)))
				{	/* Tailc/walk.scm 120 */
					return BgL_tailsz00_2162;
				}
			else
				{	/* Tailc/walk.scm 122 */
					obj_t BgL_arg1560z00_2256;

					BgL_arg1560z00_2256 =
						CAR(BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(
							(((BgL_sequencez00_bglt) COBJECT(
										((BgL_sequencez00_bglt) BgL_nodez00_2160)))->
								BgL_nodesz00)));
					return BGl_getzd2tailzd2callsz00zztailc_walkz00(((BgL_nodez00_bglt)
							BgL_arg1560z00_2256), ((BgL_variablez00_bglt) BgL_hostz00_2161),
						BgL_tailsz00_2162);
				}
		}

	}



/* &get-tail-calls-closu1313 */
	obj_t BGl_z62getzd2tailzd2callszd2closu1313zb0zztailc_walkz00(obj_t
		BgL_envz00_2163, obj_t BgL_nodez00_2164, obj_t BgL_hostz00_2165,
		obj_t BgL_tailsz00_2166)
	{
		{	/* Tailc/walk.scm 112 */
			{	/* Tailc/walk.scm 113 */
				obj_t BgL_res1824z00_2259;

				{	/* Tailc/walk.scm 113 */
					obj_t BgL_arg1554z00_2258;

					BgL_arg1554z00_2258 =
						BGl_shapez00zztools_shapez00(
						((obj_t) ((BgL_closurez00_bglt) BgL_nodez00_2164)));
					BgL_res1824z00_2259 =
						BGl_internalzd2errorzd2zztools_errorz00
						(BGl_string1809z00zztailc_walkz00, BGl_string1817z00zztailc_walkz00,
						BgL_arg1554z00_2258);
				}
				return BgL_res1824z00_2259;
			}
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zztailc_walkz00(void)
	{
		{	/* Tailc/walk.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_speekz00(61247943L,
				BSTRING_TO_STRING(BGl_string1818z00zztailc_walkz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(300504031L,
				BSTRING_TO_STRING(BGl_string1818z00zztailc_walkz00));
			BGl_modulezd2initializa7ationz75zzengine_passz00(373082237L,
				BSTRING_TO_STRING(BGl_string1818z00zztailc_walkz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(365925558L,
				BSTRING_TO_STRING(BGl_string1818z00zztailc_walkz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(515343395L,
				BSTRING_TO_STRING(BGl_string1818z00zztailc_walkz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(90839984L,
				BSTRING_TO_STRING(BGl_string1818z00zztailc_walkz00));
			BGl_modulezd2initializa7ationz75zzast_removez00(383247627L,
				BSTRING_TO_STRING(BGl_string1818z00zztailc_walkz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(469732712L,
				BSTRING_TO_STRING(BGl_string1818z00zztailc_walkz00));
			return
				BGl_modulezd2initializa7ationz75zzast_localz00(315247917L,
				BSTRING_TO_STRING(BGl_string1818z00zztailc_walkz00));
		}

	}

#ifdef __cplusplus
}
#endif
