/*===========================================================================*/
/*   (Tvector/access.scm)                                                    */
/*   Bigloo (4.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Jan 27 07:45:49 AM CET 2025     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.6a/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.6a/lib/bigloo/4.6a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -stdc -indent Tvector/access.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL_TVECTOR_ACCESS_TYPE_DEFINITIONS
#define BGL_TVECTOR_ACCESS_TYPE_DEFINITIONS

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_nullz00;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_backendz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
		bool_t BgL_boundzd2checkzd2;
		bool_t BgL_typezd2checkzd2;
		bool_t BgL_typedzd2funcallzd2;
		bool_t BgL_strictzd2typezd2castz00;
		bool_t BgL_forcezd2registerzd2gczd2rootszd2;
		bool_t BgL_stringzd2literalzd2supportz00;
		bool_t BgL_boxedzd2fixnumszd2;
		bool_t BgL_typedzd2closureszd2;
	}                 *BgL_backendz00_bglt;

	typedef struct BgL_tvecz00_bgl
	{
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}              *BgL_tvecz00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_qualifiedzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;


#endif													// BGL_TVECTOR_ACCESS_TYPE_DEFINITIONS
#endif													// BGL_MODULE_TYPE_DEFINITIONS

	static obj_t BGl_requirezd2initializa7ationz75zztvector_accessz00 = BUNSPEC;
	extern obj_t BGl_makezd2typedzd2identz00zzast_identz00(obj_t, obj_t);
	static BgL_typez00_bglt
		BGl_getzd2tvectorzd2lengthzd2typezd2zztvector_accessz00(void);
	extern obj_t BGl_getzd2globalzf2modulez20zzast_envz00(obj_t, obj_t);
	static obj_t BGl_toplevelzd2initzd2zztvector_accessz00(void);
	static obj_t BGl_genericzd2initzd2zztvector_accessz00(void);
	BGL_IMPORT obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
	static obj_t BGl_objectzd2initzd2zztvector_accessz00(void);
	BGL_IMPORT obj_t string_append_3(obj_t, obj_t, obj_t);
	static obj_t BGl_za2tvectorzd2lengthza2zd2zztvector_accessz00 = BUNSPEC;
	extern obj_t BGl_thezd2backendzd2zzbackend_backendz00(void);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT obj_t bstring_to_symbol(obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_makezd2typedzd2formalz00zzast_identz00(obj_t);
	static obj_t BGl_methodzd2initzd2zztvector_accessz00(void);
	BGL_IMPORT obj_t string_append(obj_t, obj_t);
	static obj_t BGl_allocatezd2tvectorze70z35zztvector_accessz00(obj_t);
	extern obj_t BGl_producezd2modulezd2clausez12z12zzmodule_modulez00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zztvector_accessz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_privatez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztvector_tvectorz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_miscz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	BGL_IMPORT obj_t BGl_stringzd2appendzd2zz__r4_strings_6_7z00(obj_t);
	extern obj_t BGl_makezd2privatezd2sexpz00zzast_privatez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_cnstzd2initzd2zztvector_accessz00(void);
	static obj_t BGl_libraryzd2moduleszd2initz00zztvector_accessz00(void);
	BGL_EXPORTED_DECL obj_t
		BGl_makezd2tvectorzd2accessesz00zztvector_accessz00(BgL_typez00_bglt, obj_t,
		bool_t);
	static obj_t BGl_importedzd2moduleszd2initz00zztvector_accessz00(void);
	static obj_t BGl_gczd2rootszd2initz00zztvector_accessz00(void);
	BGL_IMPORT obj_t bigloo_mangle(obj_t);
	static obj_t BGl_z62makezd2tvectorzd2accessesz62zztvector_accessz00(obj_t,
		obj_t, obj_t, obj_t);
	extern BgL_typez00_bglt BGl_findzd2typezd2zztype_envz00(obj_t);
	extern obj_t BGl_userzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t, obj_t);
	static obj_t __cnst[57];


	   
		 
		DEFINE_STRING(BGl_string2120z00zztvector_accessz00,
		BgL_bgl_string2120za700za7za7t2123za7, "tvector_access", 14);
	      DEFINE_STRING(BGl_string2121z00zztvector_accessz00,
		BgL_bgl_string2121za700za7za7t2124za7,
		"foreign $tvector-length pragma predicate-of static inline declare-tvector! @ get-tvector-descriptor __tvector eq? $tvector-descr tvector? instanceof o::obj ::bool vref vset! +fx ni $tvector-descr-set! valloc tvector->vector ::vector define let labels loop::pair if loop -fx cons acc acc::obj i =fx len tv ::obj vector->tvector v quote v::vector define-inline vlength o -length ->list vector-> ->vector ? -set! -ref allocate- make- -descriptor obj ",
		447);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2tvectorzd2accesseszd2envzd2zztvector_accessz00,
		BgL_bgl_za762makeza7d2tvecto2125z00,
		BGl_z62makezd2tvectorzd2accessesz62zztvector_accessz00, 0L, BUNSPEC, 3);
	      DEFINE_STRING(BGl_string2104z00zztvector_accessz00,
		BgL_bgl_string2104za700za7za7t2126za7, "obj_t", 5);
	      DEFINE_STRING(BGl_string2105z00zztvector_accessz00,
		BgL_bgl_string2105za700za7za7t2127za7, "TVECTOR_LENGTH( $1 )", 20);
	      DEFINE_STRING(BGl_string2106z00zztvector_accessz00,
		BgL_bgl_string2106za700za7za7t2128za7, ", $1, $2 )", 10);
	      DEFINE_STRING(BGl_string2107z00zztvector_accessz00,
		BgL_bgl_string2107za700za7za7t2129za7, ", ", 2);
	      DEFINE_STRING(BGl_string2108z00zztvector_accessz00,
		BgL_bgl_string2108za700za7za7t2130za7, "ALLOCATE_S_TVECTOR( ", 20);
	      DEFINE_STRING(BGl_string2109z00zztvector_accessz00,
		BgL_bgl_string2109za700za7za7t2131za7, "TVECTOR_SET( ", 13);
	      DEFINE_STRING(BGl_string2110z00zztvector_accessz00,
		BgL_bgl_string2110za700za7za7t2132za7, ",$1,$2,$3 )", 11);
	      DEFINE_STRING(BGl_string2111z00zztvector_accessz00,
		BgL_bgl_string2111za700za7za7t2133za7, "TVECTOR_REF( ", 13);
	      DEFINE_STRING(BGl_string2112z00zztvector_accessz00,
		BgL_bgl_string2112za700za7za7t2134za7, ",$1,$2 )", 8);
	      DEFINE_STRING(BGl_string2113z00zztvector_accessz00,
		BgL_bgl_string2113za700za7za7t2135za7, "Undefined type `", 16);
	      DEFINE_STRING(BGl_string2114z00zztvector_accessz00,
		BgL_bgl_string2114za700za7za7t2136za7, "'", 1);
	      DEFINE_STRING(BGl_string2115z00zztvector_accessz00,
		BgL_bgl_string2115za700za7za7t2137za7, "tvector", 7);
	      DEFINE_STRING(BGl_string2116z00zztvector_accessz00,
		BgL_bgl_string2116za700za7za7t2138za7, "double", 6);
	      DEFINE_STRING(BGl_string2117z00zztvector_accessz00,
		BgL_bgl_string2117za700za7za7t2139za7, "float", 5);
	      DEFINE_STRING(BGl_string2118z00zztvector_accessz00,
		BgL_bgl_string2118za700za7za7t2140za7, "ALLOCATE_ATOMIC_TVECTOR( ", 25);
	      DEFINE_STRING(BGl_string2119z00zztvector_accessz00,
		BgL_bgl_string2119za700za7za7t2141za7, "ALLOCATE_TVECTOR( ", 18);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zztvector_accessz00));
		     ADD_ROOT((void *) (&BGl_za2tvectorzd2lengthza2zd2zztvector_accessz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zztvector_accessz00(long
		BgL_checksumz00_1345, char *BgL_fromz00_1346)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zztvector_accessz00))
				{
					BGl_requirezd2initializa7ationz75zztvector_accessz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zztvector_accessz00();
					BGl_libraryzd2moduleszd2initz00zztvector_accessz00();
					BGl_cnstzd2initzd2zztvector_accessz00();
					BGl_importedzd2moduleszd2initz00zztvector_accessz00();
					return BGl_toplevelzd2initzd2zztvector_accessz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zztvector_accessz00(void)
	{
		{	/* Tvector/access.scm 15 */
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(0L,
				"tvector_access");
			BGl_modulezd2initializa7ationz75zz__readerz00(0L, "tvector_access");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(0L,
				"tvector_access");
			BGl_modulezd2initializa7ationz75zz__biglooz00(0L, "tvector_access");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(0L,
				"tvector_access");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(0L,
				"tvector_access");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(0L,
				"tvector_access");
			BGl_modulezd2initializa7ationz75zz__objectz00(0L, "tvector_access");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zztvector_accessz00(void)
	{
		{	/* Tvector/access.scm 15 */
			{	/* Tvector/access.scm 15 */
				obj_t BgL_cportz00_1334;

				{	/* Tvector/access.scm 15 */
					obj_t BgL_stringz00_1341;

					BgL_stringz00_1341 = BGl_string2121z00zztvector_accessz00;
					{	/* Tvector/access.scm 15 */
						obj_t BgL_startz00_1342;

						BgL_startz00_1342 = BINT(0L);
						{	/* Tvector/access.scm 15 */
							obj_t BgL_endz00_1343;

							BgL_endz00_1343 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_1341)));
							{	/* Tvector/access.scm 15 */

								BgL_cportz00_1334 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_1341, BgL_startz00_1342, BgL_endz00_1343);
				}}}}
				{
					long BgL_iz00_1335;

					BgL_iz00_1335 = 56L;
				BgL_loopz00_1336:
					if ((BgL_iz00_1335 == (-1L)))
						{	/* Tvector/access.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Tvector/access.scm 15 */
							{	/* Tvector/access.scm 15 */
								obj_t BgL_arg2122z00_1337;

								{	/* Tvector/access.scm 15 */

									{	/* Tvector/access.scm 15 */
										obj_t BgL_locationz00_1339;

										BgL_locationz00_1339 = BBOOL(((bool_t) 0));
										{	/* Tvector/access.scm 15 */

											BgL_arg2122z00_1337 =
												BGl_readz00zz__readerz00(BgL_cportz00_1334,
												BgL_locationz00_1339);
										}
									}
								}
								{	/* Tvector/access.scm 15 */
									int BgL_tmpz00_1372;

									BgL_tmpz00_1372 = (int) (BgL_iz00_1335);
									CNST_TABLE_SET(BgL_tmpz00_1372, BgL_arg2122z00_1337);
							}}
							{	/* Tvector/access.scm 15 */
								int BgL_auxz00_1340;

								BgL_auxz00_1340 = (int) ((BgL_iz00_1335 - 1L));
								{
									long BgL_iz00_1377;

									BgL_iz00_1377 = (long) (BgL_auxz00_1340);
									BgL_iz00_1335 = BgL_iz00_1377;
									goto BgL_loopz00_1336;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zztvector_accessz00(void)
	{
		{	/* Tvector/access.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zztvector_accessz00(void)
	{
		{	/* Tvector/access.scm 15 */
			return (BGl_za2tvectorzd2lengthza2zd2zztvector_accessz00 =
				BFALSE, BUNSPEC);
		}

	}



/* make-tvector-accesses */
	BGL_EXPORTED_DEF obj_t
		BGl_makezd2tvectorzd2accessesz00zztvector_accessz00(BgL_typez00_bglt
		BgL_tvz00_3, obj_t BgL_srcz00_4, bool_t BgL_importz00_5)
	{
		{	/* Tvector/access.scm 34 */
			{	/* Tvector/access.scm 35 */
				obj_t BgL_tvzd2idzd2_620;

				BgL_tvzd2idzd2_620 =
					(((BgL_typez00_bglt) COBJECT(
							((BgL_typez00_bglt) BgL_tvz00_3)))->BgL_idz00);
				{	/* Tvector/access.scm 36 */
					BgL_typez00_bglt BgL_objz00_622;

					BgL_objz00_622 =
						BGl_findzd2typezd2zztype_envz00(((obj_t) CNST_TABLE_REF(0)));
					{	/* Tvector/access.scm 37 */
						BgL_typez00_bglt BgL_itemzd2typezd2_623;

						{
							BgL_tvecz00_bglt BgL_auxz00_1385;

							{
								obj_t BgL_auxz00_1386;

								{	/* Tvector/access.scm 38 */
									BgL_objectz00_bglt BgL_tmpz00_1387;

									BgL_tmpz00_1387 = ((BgL_objectz00_bglt) BgL_tvz00_3);
									BgL_auxz00_1386 = BGL_OBJECT_WIDENING(BgL_tmpz00_1387);
								}
								BgL_auxz00_1385 = ((BgL_tvecz00_bglt) BgL_auxz00_1386);
							}
							BgL_itemzd2typezd2_623 =
								(((BgL_tvecz00_bglt) COBJECT(BgL_auxz00_1385))->
								BgL_itemzd2typezd2);
						}
						{	/* Tvector/access.scm 38 */
							obj_t BgL_itemzd2idzd2_624;

							BgL_itemzd2idzd2_624 =
								(((BgL_typez00_bglt) COBJECT(BgL_itemzd2typezd2_623))->
								BgL_idz00);
							{	/* Tvector/access.scm 39 */
								obj_t BgL_itemzd2namezd2_625;

								BgL_itemzd2namezd2_625 =
									(((BgL_typez00_bglt) COBJECT(BgL_itemzd2typezd2_623))->
									BgL_namez00);
								{	/* Tvector/access.scm 40 */
									obj_t BgL_mitemzd2namezd2_626;

									if (STRINGP(BgL_itemzd2namezd2_625))
										{	/* Tvector/access.scm 41 */
											BgL_mitemzd2namezd2_626 =
												bigloo_mangle(BgL_itemzd2namezd2_625);
										}
									else
										{	/* Tvector/access.scm 41 */
											BgL_mitemzd2namezd2_626 =
												BGl_string2104z00zztvector_accessz00;
										}
									{	/* Tvector/access.scm 41 */
										obj_t BgL_descrzd2idzd2_627;

										{	/* Tvector/access.scm 44 */
											obj_t BgL_arg2083z00_1134;

											{	/* Tvector/access.scm 44 */
												obj_t BgL_arg2084z00_1135;
												obj_t BgL_arg2085z00_1136;

												{	/* Tvector/access.scm 44 */
													obj_t BgL_arg1486z00_1193;

													BgL_arg1486z00_1193 =
														SYMBOL_TO_STRING(BgL_tvzd2idzd2_620);
													BgL_arg2084z00_1135 =
														BGl_stringzd2copyzd2zz__r4_strings_6_7z00
														(BgL_arg1486z00_1193);
												}
												{	/* Tvector/access.scm 44 */
													obj_t BgL_symbolz00_1194;

													BgL_symbolz00_1194 = ((obj_t) CNST_TABLE_REF(1));
													{	/* Tvector/access.scm 44 */
														obj_t BgL_arg1486z00_1195;

														BgL_arg1486z00_1195 =
															SYMBOL_TO_STRING(BgL_symbolz00_1194);
														BgL_arg2085z00_1136 =
															BGl_stringzd2copyzd2zz__r4_strings_6_7z00
															(BgL_arg1486z00_1195);
													}
												}
												BgL_arg2083z00_1134 =
													string_append(BgL_arg2084z00_1135,
													BgL_arg2085z00_1136);
											}
											BgL_descrzd2idzd2_627 =
												bstring_to_symbol(BgL_arg2083z00_1134);
										}
										{	/* Tvector/access.scm 44 */
											obj_t BgL_tvzd2makezd2idz00_628;

											{	/* Tvector/access.scm 45 */
												obj_t BgL_arg2080z00_1131;

												{	/* Tvector/access.scm 45 */
													obj_t BgL_arg2081z00_1132;
													obj_t BgL_arg2082z00_1133;

													{	/* Tvector/access.scm 45 */
														obj_t BgL_symbolz00_1197;

														BgL_symbolz00_1197 = ((obj_t) CNST_TABLE_REF(2));
														{	/* Tvector/access.scm 45 */
															obj_t BgL_arg1486z00_1198;

															BgL_arg1486z00_1198 =
																SYMBOL_TO_STRING(BgL_symbolz00_1197);
															BgL_arg2081z00_1132 =
																BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																(BgL_arg1486z00_1198);
														}
													}
													{	/* Tvector/access.scm 45 */
														obj_t BgL_arg1486z00_1200;

														BgL_arg1486z00_1200 =
															SYMBOL_TO_STRING(BgL_tvzd2idzd2_620);
														BgL_arg2082z00_1133 =
															BGl_stringzd2copyzd2zz__r4_strings_6_7z00
															(BgL_arg1486z00_1200);
													}
													BgL_arg2080z00_1131 =
														string_append(BgL_arg2081z00_1132,
														BgL_arg2082z00_1133);
												}
												BgL_tvzd2makezd2idz00_628 =
													bstring_to_symbol(BgL_arg2080z00_1131);
											}
											{	/* Tvector/access.scm 45 */
												obj_t BgL_tvzd2alloczd2idz00_629;

												{	/* Tvector/access.scm 46 */
													obj_t BgL_arg2077z00_1128;

													{	/* Tvector/access.scm 46 */
														obj_t BgL_arg2078z00_1129;
														obj_t BgL_arg2079z00_1130;

														{	/* Tvector/access.scm 46 */
															obj_t BgL_symbolz00_1202;

															BgL_symbolz00_1202 = ((obj_t) CNST_TABLE_REF(3));
															{	/* Tvector/access.scm 46 */
																obj_t BgL_arg1486z00_1203;

																BgL_arg1486z00_1203 =
																	SYMBOL_TO_STRING(BgL_symbolz00_1202);
																BgL_arg2078z00_1129 =
																	BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																	(BgL_arg1486z00_1203);
															}
														}
														{	/* Tvector/access.scm 46 */
															obj_t BgL_arg1486z00_1205;

															BgL_arg1486z00_1205 =
																SYMBOL_TO_STRING(BgL_tvzd2idzd2_620);
															BgL_arg2079z00_1130 =
																BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																(BgL_arg1486z00_1205);
														}
														BgL_arg2077z00_1128 =
															string_append(BgL_arg2078z00_1129,
															BgL_arg2079z00_1130);
													}
													BgL_tvzd2alloczd2idz00_629 =
														bstring_to_symbol(BgL_arg2077z00_1128);
												}
												{	/* Tvector/access.scm 46 */
													obj_t BgL_tvzd2refzd2idz00_630;

													{	/* Tvector/access.scm 47 */
														obj_t BgL_arg2074z00_1125;

														{	/* Tvector/access.scm 47 */
															obj_t BgL_arg2075z00_1126;
															obj_t BgL_arg2076z00_1127;

															{	/* Tvector/access.scm 47 */
																obj_t BgL_arg1486z00_1208;

																BgL_arg1486z00_1208 =
																	SYMBOL_TO_STRING(BgL_tvzd2idzd2_620);
																BgL_arg2075z00_1126 =
																	BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																	(BgL_arg1486z00_1208);
															}
															{	/* Tvector/access.scm 47 */
																obj_t BgL_symbolz00_1209;

																BgL_symbolz00_1209 =
																	((obj_t) CNST_TABLE_REF(4));
																{	/* Tvector/access.scm 47 */
																	obj_t BgL_arg1486z00_1210;

																	BgL_arg1486z00_1210 =
																		SYMBOL_TO_STRING(BgL_symbolz00_1209);
																	BgL_arg2076z00_1127 =
																		BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																		(BgL_arg1486z00_1210);
																}
															}
															BgL_arg2074z00_1125 =
																string_append(BgL_arg2075z00_1126,
																BgL_arg2076z00_1127);
														}
														BgL_tvzd2refzd2idz00_630 =
															bstring_to_symbol(BgL_arg2074z00_1125);
													}
													{	/* Tvector/access.scm 47 */
														obj_t BgL_tvzd2setz12zd2idz12_631;

														{	/* Tvector/access.scm 48 */
															obj_t BgL_arg2071z00_1122;

															{	/* Tvector/access.scm 48 */
																obj_t BgL_arg2072z00_1123;
																obj_t BgL_arg2073z00_1124;

																{	/* Tvector/access.scm 48 */
																	obj_t BgL_arg1486z00_1213;

																	BgL_arg1486z00_1213 =
																		SYMBOL_TO_STRING(BgL_tvzd2idzd2_620);
																	BgL_arg2072z00_1123 =
																		BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																		(BgL_arg1486z00_1213);
																}
																{	/* Tvector/access.scm 48 */
																	obj_t BgL_symbolz00_1214;

																	BgL_symbolz00_1214 =
																		((obj_t) CNST_TABLE_REF(5));
																	{	/* Tvector/access.scm 48 */
																		obj_t BgL_arg1486z00_1215;

																		BgL_arg1486z00_1215 =
																			SYMBOL_TO_STRING(BgL_symbolz00_1214);
																		BgL_arg2073z00_1124 =
																			BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																			(BgL_arg1486z00_1215);
																	}
																}
																BgL_arg2071z00_1122 =
																	string_append(BgL_arg2072z00_1123,
																	BgL_arg2073z00_1124);
															}
															BgL_tvzd2setz12zd2idz12_631 =
																bstring_to_symbol(BgL_arg2071z00_1122);
														}
														{	/* Tvector/access.scm 48 */
															obj_t BgL_tvzf3zd2idz21_632;

															{	/* Tvector/access.scm 49 */
																obj_t BgL_arg2068z00_1119;

																{	/* Tvector/access.scm 49 */
																	obj_t BgL_arg2069z00_1120;
																	obj_t BgL_arg2070z00_1121;

																	{	/* Tvector/access.scm 49 */
																		obj_t BgL_arg1486z00_1218;

																		BgL_arg1486z00_1218 =
																			SYMBOL_TO_STRING(BgL_tvzd2idzd2_620);
																		BgL_arg2069z00_1120 =
																			BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																			(BgL_arg1486z00_1218);
																	}
																	{	/* Tvector/access.scm 49 */
																		obj_t BgL_symbolz00_1219;

																		BgL_symbolz00_1219 =
																			((obj_t) CNST_TABLE_REF(6));
																		{	/* Tvector/access.scm 49 */
																			obj_t BgL_arg1486z00_1220;

																			BgL_arg1486z00_1220 =
																				SYMBOL_TO_STRING(BgL_symbolz00_1219);
																			BgL_arg2070z00_1121 =
																				BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																				(BgL_arg1486z00_1220);
																		}
																	}
																	BgL_arg2068z00_1119 =
																		string_append(BgL_arg2069z00_1120,
																		BgL_arg2070z00_1121);
																}
																BgL_tvzf3zd2idz21_632 =
																	bstring_to_symbol(BgL_arg2068z00_1119);
															}
															{	/* Tvector/access.scm 49 */
																obj_t BgL_tvzd2ze3vectorzd2idze3_633;

																{	/* Tvector/access.scm 50 */
																	obj_t BgL_arg2065z00_1116;

																	{	/* Tvector/access.scm 50 */
																		obj_t BgL_arg2066z00_1117;
																		obj_t BgL_arg2067z00_1118;

																		{	/* Tvector/access.scm 50 */
																			obj_t BgL_arg1486z00_1223;

																			BgL_arg1486z00_1223 =
																				SYMBOL_TO_STRING(BgL_tvzd2idzd2_620);
																			BgL_arg2066z00_1117 =
																				BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																				(BgL_arg1486z00_1223);
																		}
																		{	/* Tvector/access.scm 50 */
																			obj_t BgL_symbolz00_1224;

																			BgL_symbolz00_1224 =
																				((obj_t) CNST_TABLE_REF(7));
																			{	/* Tvector/access.scm 50 */
																				obj_t BgL_arg1486z00_1225;

																				BgL_arg1486z00_1225 =
																					SYMBOL_TO_STRING(BgL_symbolz00_1224);
																				BgL_arg2067z00_1118 =
																					BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																					(BgL_arg1486z00_1225);
																			}
																		}
																		BgL_arg2065z00_1116 =
																			string_append(BgL_arg2066z00_1117,
																			BgL_arg2067z00_1118);
																	}
																	BgL_tvzd2ze3vectorzd2idze3_633 =
																		bstring_to_symbol(BgL_arg2065z00_1116);
																}
																{	/* Tvector/access.scm 50 */
																	obj_t BgL_vectorzd2ze3tvzd2idze3_634;

																	{	/* Tvector/access.scm 51 */
																		obj_t BgL_arg2061z00_1113;

																		{	/* Tvector/access.scm 51 */
																			obj_t BgL_arg2063z00_1114;
																			obj_t BgL_arg2064z00_1115;

																			{	/* Tvector/access.scm 51 */
																				obj_t BgL_symbolz00_1227;

																				BgL_symbolz00_1227 =
																					((obj_t) CNST_TABLE_REF(8));
																				{	/* Tvector/access.scm 51 */
																					obj_t BgL_arg1486z00_1228;

																					BgL_arg1486z00_1228 =
																						SYMBOL_TO_STRING
																						(BgL_symbolz00_1227);
																					BgL_arg2063z00_1114 =
																						BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																						(BgL_arg1486z00_1228);
																				}
																			}
																			{	/* Tvector/access.scm 51 */
																				obj_t BgL_arg1486z00_1230;

																				BgL_arg1486z00_1230 =
																					SYMBOL_TO_STRING(BgL_tvzd2idzd2_620);
																				BgL_arg2064z00_1115 =
																					BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																					(BgL_arg1486z00_1230);
																			}
																			BgL_arg2061z00_1113 =
																				string_append(BgL_arg2063z00_1114,
																				BgL_arg2064z00_1115);
																		}
																		BgL_vectorzd2ze3tvzd2idze3_634 =
																			bstring_to_symbol(BgL_arg2061z00_1113);
																	}
																	{	/* Tvector/access.scm 51 */
																		obj_t BgL_tvzd2ze3listz31_635;

																		{	/* Tvector/access.scm 52 */
																			obj_t BgL_arg2058z00_1110;

																			{	/* Tvector/access.scm 52 */
																				obj_t BgL_arg2059z00_1111;
																				obj_t BgL_arg2060z00_1112;

																				{	/* Tvector/access.scm 52 */
																					obj_t BgL_arg1486z00_1233;

																					BgL_arg1486z00_1233 =
																						SYMBOL_TO_STRING
																						(BgL_tvzd2idzd2_620);
																					BgL_arg2059z00_1111 =
																						BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																						(BgL_arg1486z00_1233);
																				}
																				{	/* Tvector/access.scm 52 */
																					obj_t BgL_symbolz00_1234;

																					BgL_symbolz00_1234 =
																						((obj_t) CNST_TABLE_REF(9));
																					{	/* Tvector/access.scm 52 */
																						obj_t BgL_arg1486z00_1235;

																						BgL_arg1486z00_1235 =
																							SYMBOL_TO_STRING
																							(BgL_symbolz00_1234);
																						BgL_arg2060z00_1112 =
																							BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																							(BgL_arg1486z00_1235);
																					}
																				}
																				BgL_arg2058z00_1110 =
																					string_append(BgL_arg2059z00_1111,
																					BgL_arg2060z00_1112);
																			}
																			BgL_tvzd2ze3listz31_635 =
																				bstring_to_symbol(BgL_arg2058z00_1110);
																		}
																		{	/* Tvector/access.scm 52 */
																			obj_t BgL_tvzd2lengthzd2idz00_636;

																			{	/* Tvector/access.scm 53 */
																				obj_t BgL_arg2054z00_1107;

																				{	/* Tvector/access.scm 53 */
																					obj_t BgL_arg2055z00_1108;
																					obj_t BgL_arg2056z00_1109;

																					{	/* Tvector/access.scm 53 */
																						obj_t BgL_arg1486z00_1238;

																						BgL_arg1486z00_1238 =
																							SYMBOL_TO_STRING
																							(BgL_tvzd2idzd2_620);
																						BgL_arg2055z00_1108 =
																							BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																							(BgL_arg1486z00_1238);
																					}
																					{	/* Tvector/access.scm 53 */
																						obj_t BgL_symbolz00_1239;

																						BgL_symbolz00_1239 =
																							((obj_t) CNST_TABLE_REF(10));
																						{	/* Tvector/access.scm 53 */
																							obj_t BgL_arg1486z00_1240;

																							BgL_arg1486z00_1240 =
																								SYMBOL_TO_STRING
																								(BgL_symbolz00_1239);
																							BgL_arg2056z00_1109 =
																								BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																								(BgL_arg1486z00_1240);
																						}
																					}
																					BgL_arg2054z00_1107 =
																						string_append(BgL_arg2055z00_1108,
																						BgL_arg2056z00_1109);
																				}
																				BgL_tvzd2lengthzd2idz00_636 =
																					bstring_to_symbol
																					(BgL_arg2054z00_1107);
																			}
																			{	/* Tvector/access.scm 53 */
																				BgL_typez00_bglt BgL_intzd2typezd2_637;

																				BgL_intzd2typezd2_637 =
																					BGl_getzd2tvectorzd2lengthzd2typezd2zztvector_accessz00
																					();
																				{	/* Tvector/access.scm 54 */
																					obj_t BgL_intzd2typezd2idz00_638;

																					BgL_intzd2typezd2idz00_638 =
																						(((BgL_typez00_bglt)
																							COBJECT(BgL_intzd2typezd2_637))->
																						BgL_idz00);
																					{	/* Tvector/access.scm 55 */

																						{

																							{	/* Tvector/access.scm 187 */
																								obj_t BgL_arg1103z00_654;

																								{	/* Tvector/access.scm 187 */
																									obj_t BgL_arg1104z00_655;

																									{	/* Tvector/access.scm 187 */
																										obj_t BgL_arg1105z00_656;
																										obj_t BgL_arg1110z00_657;

																										{	/* Tvector/access.scm 187 */
																											obj_t BgL_arg1111z00_658;

																											{	/* Tvector/access.scm 187 */
																												obj_t
																													BgL_arg1113z00_659;
																												obj_t
																													BgL_arg1114z00_660;
																												{	/* Tvector/access.scm 187 */
																													obj_t
																														BgL_arg1115z00_661;
																													{	/* Tvector/access.scm 187 */
																														obj_t
																															BgL_arg1127z00_662;
																														obj_t
																															BgL_arg1128z00_663;
																														{	/* Tvector/access.scm 187 */
																															obj_t
																																BgL_arg1486z00_1305;
																															BgL_arg1486z00_1305
																																=
																																SYMBOL_TO_STRING
																																(BgL_tvzf3zd2idz21_632);
																															BgL_arg1127z00_662
																																=
																																BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																																(BgL_arg1486z00_1305);
																														}
																														{	/* Tvector/access.scm 187 */
																															obj_t
																																BgL_symbolz00_1306;
																															BgL_symbolz00_1306
																																=
																																((obj_t)
																																CNST_TABLE_REF
																																(41));
																															{	/* Tvector/access.scm 187 */
																																obj_t
																																	BgL_arg1486z00_1307;
																																BgL_arg1486z00_1307
																																	=
																																	SYMBOL_TO_STRING
																																	(BgL_symbolz00_1306);
																																BgL_arg1128z00_663
																																	=
																																	BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																																	(BgL_arg1486z00_1307);
																															}
																														}
																														BgL_arg1115z00_661 =
																															string_append
																															(BgL_arg1127z00_662,
																															BgL_arg1128z00_663);
																													}
																													BgL_arg1113z00_659 =
																														bstring_to_symbol
																														(BgL_arg1115z00_661);
																												}
																												BgL_arg1114z00_660 =
																													MAKE_YOUNG_PAIR(
																													((obj_t)
																														CNST_TABLE_REF(18)),
																													BNIL);
																												BgL_arg1111z00_658 =
																													MAKE_YOUNG_PAIR
																													(BgL_arg1113z00_659,
																													BgL_arg1114z00_660);
																											}
																											BgL_arg1105z00_656 =
																												MAKE_YOUNG_PAIR(
																												((obj_t)
																													CNST_TABLE_REF(51)),
																												BgL_arg1111z00_658);
																										}
																										{	/* Tvector/access.scm 190 */
																											obj_t BgL_arg1129z00_664;
																											obj_t BgL_arg1131z00_665;

																											{	/* Tvector/access.scm 190 */
																												obj_t
																													BgL_arg1134z00_666;
																												{	/* Tvector/access.scm 190 */
																													obj_t
																														BgL_arg1135z00_667;
																													obj_t
																														BgL_arg1139z00_668;
																													BgL_arg1135z00_667 =
																														BGl_makezd2typedzd2identz00zzast_identz00
																														(BgL_tvzd2refzd2idz00_630,
																														BgL_itemzd2idzd2_624);
																													{	/* Tvector/access.scm 191 */
																														obj_t
																															BgL_arg1145z00_669;
																														obj_t
																															BgL_arg1146z00_670;
																														BgL_arg1145z00_669 =
																															BGl_makezd2typedzd2identz00zzast_identz00
																															(((obj_t)
																																CNST_TABLE_REF
																																(19)),
																															BgL_tvzd2idzd2_620);
																														BgL_arg1146z00_670 =
																															MAKE_YOUNG_PAIR
																															(BGl_makezd2typedzd2identz00zzast_identz00
																															(((obj_t)
																																	CNST_TABLE_REF
																																	(22)),
																																BgL_intzd2typezd2idz00_638),
																															BNIL);
																														BgL_arg1139z00_668 =
																															MAKE_YOUNG_PAIR
																															(BgL_arg1145z00_669,
																															BgL_arg1146z00_670);
																													}
																													BgL_arg1134z00_666 =
																														MAKE_YOUNG_PAIR
																														(BgL_arg1135z00_667,
																														BgL_arg1139z00_668);
																												}
																												BgL_arg1129z00_664 =
																													MAKE_YOUNG_PAIR(
																													((obj_t)
																														CNST_TABLE_REF(51)),
																													BgL_arg1134z00_666);
																											}
																											{	/* Tvector/access.scm 194 */
																												obj_t
																													BgL_arg1156z00_672;
																												obj_t
																													BgL_arg1157z00_673;
																												{	/* Tvector/access.scm 194 */
																													obj_t
																														BgL_arg1158z00_674;
																													{	/* Tvector/access.scm 194 */
																														obj_t
																															BgL_arg1159z00_675;
																														obj_t
																															BgL_arg1161z00_676;
																														{	/* Tvector/access.scm 194 */
																															obj_t
																																BgL_arg1172z00_677;
																															{	/* Tvector/access.scm 194 */
																																obj_t
																																	BgL_arg1173z00_678;
																																obj_t
																																	BgL_arg1174z00_679;
																																{	/* Tvector/access.scm 194 */
																																	obj_t
																																		BgL_arg1486z00_1310;
																																	BgL_arg1486z00_1310
																																		=
																																		SYMBOL_TO_STRING
																																		(BgL_tvzd2setz12zd2idz12_631);
																																	BgL_arg1173z00_678
																																		=
																																		BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																																		(BgL_arg1486z00_1310);
																																}
																																{	/* Tvector/access.scm 194 */
																																	obj_t
																																		BgL_symbolz00_1311;
																																	BgL_symbolz00_1311
																																		=
																																		((obj_t)
																																		CNST_TABLE_REF
																																		(18));
																																	{	/* Tvector/access.scm 194 */
																																		obj_t
																																			BgL_arg1486z00_1312;
																																		BgL_arg1486z00_1312
																																			=
																																			SYMBOL_TO_STRING
																																			(BgL_symbolz00_1311);
																																		BgL_arg1174z00_679
																																			=
																																			BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																																			(BgL_arg1486z00_1312);
																																	}
																																}
																																BgL_arg1172z00_677
																																	=
																																	string_append
																																	(BgL_arg1173z00_678,
																																	BgL_arg1174z00_679);
																															}
																															BgL_arg1159z00_675
																																=
																																bstring_to_symbol
																																(BgL_arg1172z00_677);
																														}
																														{	/* Tvector/access.scm 195 */
																															obj_t
																																BgL_arg1177z00_680;
																															obj_t
																																BgL_arg1178z00_681;
																															BgL_arg1177z00_680
																																=
																																BGl_makezd2typedzd2identz00zzast_identz00
																																(((obj_t)
																																	CNST_TABLE_REF
																																	(19)),
																																BgL_tvzd2idzd2_620);
																															{	/* Tvector/access.scm 196 */
																																obj_t
																																	BgL_arg1179z00_682;
																																obj_t
																																	BgL_arg1183z00_683;
																																BgL_arg1179z00_682
																																	=
																																	BGl_makezd2typedzd2identz00zzast_identz00
																																	(((obj_t)
																																		CNST_TABLE_REF
																																		(22)),
																																	BgL_intzd2typezd2idz00_638);
																																BgL_arg1183z00_683
																																	=
																																	MAKE_YOUNG_PAIR
																																	(BGl_makezd2typedzd2identz00zzast_identz00
																																	(((obj_t)
																																			CNST_TABLE_REF
																																			(16)),
																																		BgL_itemzd2idzd2_624),
																																	BNIL);
																																BgL_arg1178z00_681
																																	=
																																	MAKE_YOUNG_PAIR
																																	(BgL_arg1179z00_682,
																																	BgL_arg1183z00_683);
																															}
																															BgL_arg1161z00_676
																																=
																																MAKE_YOUNG_PAIR
																																(BgL_arg1177z00_680,
																																BgL_arg1178z00_681);
																														}
																														BgL_arg1158z00_674 =
																															MAKE_YOUNG_PAIR
																															(BgL_arg1159z00_675,
																															BgL_arg1161z00_676);
																													}
																													BgL_arg1156z00_672 =
																														MAKE_YOUNG_PAIR(
																														((obj_t)
																															CNST_TABLE_REF
																															(51)),
																														BgL_arg1158z00_674);
																												}
																												{	/* Tvector/access.scm 199 */
																													obj_t
																														BgL_arg1187z00_685;
																													obj_t
																														BgL_arg1192z00_686;
																													{	/* Tvector/access.scm 199 */
																														obj_t
																															BgL_arg1195z00_687;
																														{	/* Tvector/access.scm 199 */
																															obj_t
																																BgL_arg1207z00_688;
																															obj_t
																																BgL_arg1208z00_689;
																															BgL_arg1207z00_688
																																=
																																BGl_makezd2typedzd2identz00zzast_identz00
																																(BgL_tvzd2makezd2idz00_628,
																																BgL_tvzd2idzd2_620);
																															{	/* Tvector/access.scm 200 */
																																obj_t
																																	BgL_arg1212z00_690;
																																obj_t
																																	BgL_arg1226z00_691;
																																BgL_arg1212z00_690
																																	=
																																	BGl_makezd2typedzd2identz00zzast_identz00
																																	(((obj_t)
																																		CNST_TABLE_REF
																																		(22)),
																																	BgL_intzd2typezd2idz00_638);
																																BgL_arg1226z00_691
																																	=
																																	MAKE_YOUNG_PAIR
																																	(BGl_makezd2typedzd2formalz00zzast_identz00
																																	(BgL_itemzd2idzd2_624),
																																	BNIL);
																																BgL_arg1208z00_689
																																	=
																																	MAKE_YOUNG_PAIR
																																	(BgL_arg1212z00_690,
																																	BgL_arg1226z00_691);
																															}
																															BgL_arg1195z00_687
																																=
																																MAKE_YOUNG_PAIR
																																(BgL_arg1207z00_688,
																																BgL_arg1208z00_689);
																														}
																														BgL_arg1187z00_685 =
																															MAKE_YOUNG_PAIR(
																															((obj_t)
																																CNST_TABLE_REF
																																(51)),
																															BgL_arg1195z00_687);
																													}
																													{	/* Tvector/access.scm 203 */
																														obj_t
																															BgL_arg1236z00_693;
																														obj_t
																															BgL_arg1237z00_694;
																														{	/* Tvector/access.scm 203 */
																															obj_t
																																BgL_arg1240z00_695;
																															{	/* Tvector/access.scm 203 */
																																obj_t
																																	BgL_arg1241z00_696;
																																obj_t
																																	BgL_arg1242z00_697;
																																BgL_arg1241z00_696
																																	=
																																	BGl_makezd2typedzd2identz00zzast_identz00
																																	(BgL_tvzd2alloczd2idz00_629,
																																	BgL_tvzd2idzd2_620);
																																BgL_arg1242z00_697
																																	=
																																	MAKE_YOUNG_PAIR
																																	(BGl_makezd2typedzd2identz00zzast_identz00
																																	(((obj_t)
																																			CNST_TABLE_REF
																																			(22)),
																																		BgL_intzd2typezd2idz00_638),
																																	BNIL);
																																BgL_arg1240z00_695
																																	=
																																	MAKE_YOUNG_PAIR
																																	(BgL_arg1241z00_696,
																																	BgL_arg1242z00_697);
																															}
																															BgL_arg1236z00_693
																																=
																																MAKE_YOUNG_PAIR(
																																((obj_t)
																																	CNST_TABLE_REF
																																	(51)),
																																BgL_arg1240z00_695);
																														}
																														{	/* Tvector/access.scm 206 */
																															obj_t
																																BgL_arg1245z00_699;
																															obj_t
																																BgL_arg1246z00_700;
																															{	/* Tvector/access.scm 206 */
																																obj_t
																																	BgL_arg1247z00_701;
																																{	/* Tvector/access.scm 206 */
																																	obj_t
																																		BgL_arg1249z00_702;
																																	obj_t
																																		BgL_arg1250z00_703;
																																	{	/* Tvector/access.scm 206 */
																																		obj_t
																																			BgL_arg1252z00_704;
																																		{	/* Tvector/access.scm 206 */
																																			obj_t
																																				BgL_arg1253z00_705;
																																			obj_t
																																				BgL_arg1254z00_706;
																																			{	/* Tvector/access.scm 206 */
																																				obj_t
																																					BgL_arg1486z00_1315;
																																				BgL_arg1486z00_1315
																																					=
																																					SYMBOL_TO_STRING
																																					(BgL_tvzd2ze3vectorzd2idze3_633);
																																				BgL_arg1253z00_705
																																					=
																																					BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																																					(BgL_arg1486z00_1315);
																																			}
																																			{	/* Tvector/access.scm 206 */
																																				obj_t
																																					BgL_symbolz00_1316;
																																				BgL_symbolz00_1316
																																					=
																																					(
																																					(obj_t)
																																					CNST_TABLE_REF
																																					(33));
																																				{	/* Tvector/access.scm 206 */
																																					obj_t
																																						BgL_arg1486z00_1317;
																																					BgL_arg1486z00_1317
																																						=
																																						SYMBOL_TO_STRING
																																						(BgL_symbolz00_1316);
																																					BgL_arg1254z00_706
																																						=
																																						BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																																						(BgL_arg1486z00_1317);
																																				}
																																			}
																																			BgL_arg1252z00_704
																																				=
																																				string_append
																																				(BgL_arg1253z00_705,
																																				BgL_arg1254z00_706);
																																		}
																																		BgL_arg1249z00_702
																																			=
																																			bstring_to_symbol
																																			(BgL_arg1252z00_704);
																																	}
																																	BgL_arg1250z00_703
																																		=
																																		MAKE_YOUNG_PAIR
																																		(BGl_makezd2typedzd2identz00zzast_identz00
																																		(((obj_t)
																																				CNST_TABLE_REF
																																				(19)),
																																			BgL_tvzd2idzd2_620),
																																		BNIL);
																																	BgL_arg1247z00_701
																																		=
																																		MAKE_YOUNG_PAIR
																																		(BgL_arg1249z00_702,
																																		BgL_arg1250z00_703);
																																}
																																BgL_arg1245z00_699
																																	=
																																	MAKE_YOUNG_PAIR
																																	(((obj_t)
																																		CNST_TABLE_REF
																																		(51)),
																																	BgL_arg1247z00_701);
																															}
																															{	/* Tvector/access.scm 209 */
																																obj_t
																																	BgL_arg1256z00_708;
																																obj_t
																																	BgL_arg1258z00_709;
																																{	/* Tvector/access.scm 209 */
																																	obj_t
																																		BgL_arg1260z00_710;
																																	{	/* Tvector/access.scm 209 */
																																		obj_t
																																			BgL_arg1262z00_711;
																																		obj_t
																																			BgL_arg1266z00_712;
																																		BgL_arg1262z00_711
																																			=
																																			BGl_makezd2typedzd2identz00zzast_identz00
																																			(BgL_vectorzd2ze3tvzd2idze3_634,
																																			BgL_tvzd2idzd2_620);
																																		BgL_arg1266z00_712
																																			=
																																			MAKE_YOUNG_PAIR
																																			(((obj_t)
																																				CNST_TABLE_REF
																																				(33)),
																																			BNIL);
																																		BgL_arg1260z00_710
																																			=
																																			MAKE_YOUNG_PAIR
																																			(BgL_arg1262z00_711,
																																			BgL_arg1266z00_712);
																																	}
																																	BgL_arg1256z00_708
																																		=
																																		MAKE_YOUNG_PAIR
																																		(((obj_t)
																																			CNST_TABLE_REF
																																			(51)),
																																		BgL_arg1260z00_710);
																																}
																																{	/* Tvector/access.scm 212 */
																																	obj_t
																																		BgL_arg1267z00_713;
																																	obj_t
																																		BgL_arg1268z00_714;
																																	{	/* Tvector/access.scm 212 */
																																		obj_t
																																			BgL_arg1271z00_715;
																																		{	/* Tvector/access.scm 212 */
																																			obj_t
																																				BgL_arg1272z00_716;
																																			obj_t
																																				BgL_arg1273z00_717;
																																			BgL_arg1272z00_716
																																				=
																																				BGl_makezd2typedzd2identz00zzast_identz00
																																				(BgL_tvzd2lengthzd2idz00_636,
																																				BgL_intzd2typezd2idz00_638);
																																			BgL_arg1273z00_717
																																				=
																																				MAKE_YOUNG_PAIR
																																				(BGl_makezd2typedzd2identz00zzast_identz00
																																				(((obj_t) CNST_TABLE_REF(11)), BgL_tvzd2idzd2_620), BNIL);
																																			BgL_arg1271z00_715
																																				=
																																				MAKE_YOUNG_PAIR
																																				(BgL_arg1272z00_716,
																																				BgL_arg1273z00_717);
																																		}
																																		BgL_arg1267z00_713
																																			=
																																			MAKE_YOUNG_PAIR
																																			(((obj_t)
																																				CNST_TABLE_REF
																																				(51)),
																																			BgL_arg1271z00_715);
																																	}
																																	{	/* Tvector/access.scm 215 */
																																		obj_t
																																			BgL_arg1275z00_719;
																																		{	/* Tvector/access.scm 215 */
																																			obj_t
																																				BgL_arg1276z00_720;
																																			obj_t
																																				BgL_arg1277z00_721;
																																			{	/* Tvector/access.scm 215 */
																																				obj_t
																																					BgL_arg1279z00_722;
																																				{	/* Tvector/access.scm 215 */
																																					obj_t
																																						BgL_arg1280z00_723;
																																					obj_t
																																						BgL_arg1281z00_724;
																																					{	/* Tvector/access.scm 215 */
																																						obj_t
																																							BgL_arg1486z00_1320;
																																						BgL_arg1486z00_1320
																																							=
																																							SYMBOL_TO_STRING
																																							(BgL_tvzd2ze3listz31_635);
																																						BgL_arg1280z00_723
																																							=
																																							BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																																							(BgL_arg1486z00_1320);
																																					}
																																					{	/* Tvector/access.scm 215 */
																																						obj_t
																																							BgL_symbolz00_1321;
																																						BgL_symbolz00_1321
																																							=
																																							(
																																							(obj_t)
																																							CNST_TABLE_REF
																																							(18));
																																						{	/* Tvector/access.scm 215 */
																																							obj_t
																																								BgL_arg1486z00_1322;
																																							BgL_arg1486z00_1322
																																								=
																																								SYMBOL_TO_STRING
																																								(BgL_symbolz00_1321);
																																							BgL_arg1281z00_724
																																								=
																																								BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																																								(BgL_arg1486z00_1322);
																																						}
																																					}
																																					BgL_arg1279z00_722
																																						=
																																						string_append
																																						(BgL_arg1280z00_723,
																																						BgL_arg1281z00_724);
																																				}
																																				BgL_arg1276z00_720
																																					=
																																					bstring_to_symbol
																																					(BgL_arg1279z00_722);
																																			}
																																			BgL_arg1277z00_721
																																				=
																																				MAKE_YOUNG_PAIR
																																				(BGl_makezd2typedzd2identz00zzast_identz00
																																				(((obj_t) CNST_TABLE_REF(19)), BgL_tvzd2idzd2_620), BNIL);
																																			BgL_arg1275z00_719
																																				=
																																				MAKE_YOUNG_PAIR
																																				(BgL_arg1276z00_720,
																																				BgL_arg1277z00_721);
																																		}
																																		BgL_arg1268z00_714
																																			=
																																			MAKE_YOUNG_PAIR
																																			(BgL_arg1275z00_719,
																																			BNIL);
																																	}
																																	BgL_arg1258z00_709
																																		=
																																		MAKE_YOUNG_PAIR
																																		(BgL_arg1267z00_713,
																																		BgL_arg1268z00_714);
																																}
																																BgL_arg1246z00_700
																																	=
																																	MAKE_YOUNG_PAIR
																																	(BgL_arg1256z00_708,
																																	BgL_arg1258z00_709);
																															}
																															BgL_arg1237z00_694
																																=
																																MAKE_YOUNG_PAIR
																																(BgL_arg1245z00_699,
																																BgL_arg1246z00_700);
																														}
																														BgL_arg1192z00_686 =
																															MAKE_YOUNG_PAIR
																															(BgL_arg1236z00_693,
																															BgL_arg1237z00_694);
																													}
																													BgL_arg1157z00_673 =
																														MAKE_YOUNG_PAIR
																														(BgL_arg1187z00_685,
																														BgL_arg1192z00_686);
																												}
																												BgL_arg1131z00_665 =
																													MAKE_YOUNG_PAIR
																													(BgL_arg1156z00_672,
																													BgL_arg1157z00_673);
																											}
																											BgL_arg1110z00_657 =
																												MAKE_YOUNG_PAIR
																												(BgL_arg1129z00_664,
																												BgL_arg1131z00_665);
																										}
																										BgL_arg1104z00_655 =
																											MAKE_YOUNG_PAIR
																											(BgL_arg1105z00_656,
																											BgL_arg1110z00_657);
																									}
																									BgL_arg1103z00_654 =
																										MAKE_YOUNG_PAIR(
																										((obj_t)
																											CNST_TABLE_REF(52)),
																										BgL_arg1104z00_655);
																								}
																								BGl_producezd2modulezd2clausez12z12zzmodule_modulez00
																									(BgL_arg1103z00_654);
																							}
																							{	/* Tvector/access.scm 219 */
																								obj_t BgL_arg1284z00_726;

																								{	/* Tvector/access.scm 219 */
																									obj_t BgL_arg1285z00_727;

																									{	/* Tvector/access.scm 219 */
																										obj_t BgL_arg1287z00_728;

																										{	/* Tvector/access.scm 219 */
																											obj_t BgL_arg1288z00_729;

																											{	/* Tvector/access.scm 219 */
																												obj_t
																													BgL_arg1289z00_730;
																												{	/* Tvector/access.scm 219 */
																													obj_t
																														BgL_arg1291z00_731;
																													BgL_arg1291z00_731 =
																														MAKE_YOUNG_PAIR
																														(BgL_tvzd2idzd2_620,
																														BNIL);
																													BgL_arg1289z00_730 =
																														MAKE_YOUNG_PAIR((
																															(obj_t)
																															CNST_TABLE_REF
																															(53)),
																														BgL_arg1291z00_731);
																												}
																												BgL_arg1288z00_729 =
																													MAKE_YOUNG_PAIR
																													(BgL_arg1289z00_730,
																													BNIL);
																											}
																											BgL_arg1287z00_728 =
																												MAKE_YOUNG_PAIR
																												(BgL_tvzf3zd2idz21_632,
																												BgL_arg1288z00_729);
																										}
																										BgL_arg1285z00_727 =
																											MAKE_YOUNG_PAIR
																											(BgL_arg1287z00_728,
																											BNIL);
																									}
																									BgL_arg1284z00_726 =
																										MAKE_YOUNG_PAIR(
																										((obj_t)
																											CNST_TABLE_REF(54)),
																										BgL_arg1285z00_727);
																								}
																								BGl_producezd2modulezd2clausez12z12zzmodule_modulez00
																									(BgL_arg1284z00_726);
																							}
																							if (STRINGP
																								(BgL_itemzd2namezd2_625))
																								{	/* Tvector/access.scm 222 */
																									BFALSE;
																								}
																							else
																								{	/* Tvector/access.scm 225 */
																									obj_t BgL_arg1293z00_733;

																									{	/* Tvector/access.scm 225 */
																										obj_t BgL_arg1295z00_735;

																										{	/* Tvector/access.scm 225 */
																											obj_t BgL_arg1486z00_1325;

																											BgL_arg1486z00_1325 =
																												SYMBOL_TO_STRING
																												(BgL_itemzd2idzd2_624);
																											BgL_arg1295z00_735 =
																												BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																												(BgL_arg1486z00_1325);
																										}
																										BgL_arg1293z00_733 =
																											string_append_3
																											(BGl_string2113z00zztvector_accessz00,
																											BgL_arg1295z00_735,
																											BGl_string2114z00zztvector_accessz00);
																									}
																									BGl_userzd2errorzd2zztools_errorz00
																										(BGl_string2115z00zztvector_accessz00,
																										BgL_arg1293z00_733,
																										BgL_srcz00_4, BNIL);
																								}
																							{	/* Tvector/access.scm 230 */
																								obj_t BgL_arg1296z00_736;
																								obj_t BgL_arg1297z00_737;
																								obj_t BgL_arg1298z00_738;
																								obj_t BgL_arg1299z00_739;
																								obj_t BgL_arg1301z00_740;
																								obj_t BgL_arg1302z00_741;
																								obj_t BgL_arg1303z00_742;
																								obj_t BgL_arg1304z00_743;
																								obj_t BgL_arg1305z00_744;
																								obj_t BgL_arg1309z00_745;

																								if (BgL_importz00_5)
																									{	/* Tvector/access.scm 59 */
																										obj_t BgL_arg1322z00_757;

																										{	/* Tvector/access.scm 59 */
																											obj_t BgL_arg1326z00_758;
																											obj_t BgL_arg1327z00_759;

																											{	/* Tvector/access.scm 59 */
																												obj_t
																													BgL_arg1331z00_760;
																												{	/* Tvector/access.scm 59 */
																													obj_t
																														BgL_arg1332z00_761;
																													obj_t
																														BgL_arg1333z00_762;
																													{	/* Tvector/access.scm 59 */
																														obj_t
																															BgL_arg1486z00_1244;
																														BgL_arg1486z00_1244
																															=
																															SYMBOL_TO_STRING
																															(BgL_descrzd2idzd2_627);
																														BgL_arg1332z00_761 =
																															BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																															(BgL_arg1486z00_1244);
																													}
																													{	/* Tvector/access.scm 59 */
																														obj_t
																															BgL_symbolz00_1245;
																														BgL_symbolz00_1245 =
																															((obj_t)
																															CNST_TABLE_REF
																															(18));
																														{	/* Tvector/access.scm 59 */
																															obj_t
																																BgL_arg1486z00_1246;
																															BgL_arg1486z00_1246
																																=
																																SYMBOL_TO_STRING
																																(BgL_symbolz00_1245);
																															BgL_arg1333z00_762
																																=
																																BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																																(BgL_arg1486z00_1246);
																														}
																													}
																													BgL_arg1331z00_760 =
																														string_append
																														(BgL_arg1332z00_761,
																														BgL_arg1333z00_762);
																												}
																												BgL_arg1326z00_758 =
																													bstring_to_symbol
																													(BgL_arg1331z00_760);
																											}
																											{	/* Tvector/access.scm 60 */
																												obj_t
																													BgL_arg1336z00_763;
																												{	/* Tvector/access.scm 60 */
																													obj_t
																														BgL_arg1338z00_764;
																													obj_t
																														BgL_arg1339z00_765;
																													{	/* Tvector/access.scm 60 */
																														obj_t
																															BgL_arg1340z00_766;
																														{	/* Tvector/access.scm 60 */
																															obj_t
																																BgL_arg1341z00_767;
																															BgL_arg1341z00_767
																																=
																																MAKE_YOUNG_PAIR(
																																((obj_t)
																																	CNST_TABLE_REF
																																	(47)), BNIL);
																															BgL_arg1340z00_766
																																=
																																MAKE_YOUNG_PAIR(
																																((obj_t)
																																	CNST_TABLE_REF
																																	(48)),
																																BgL_arg1341z00_767);
																														}
																														BgL_arg1338z00_764 =
																															MAKE_YOUNG_PAIR(
																															((obj_t)
																																CNST_TABLE_REF
																																(49)),
																															BgL_arg1340z00_766);
																													}
																													{	/* Tvector/access.scm 60 */
																														obj_t
																															BgL_arg1342z00_768;
																														{	/* Tvector/access.scm 60 */
																															obj_t
																																BgL_arg1355z00_769;
																															BgL_arg1355z00_769
																																=
																																MAKE_YOUNG_PAIR
																																(BgL_tvzd2idzd2_620,
																																BNIL);
																															BgL_arg1342z00_768
																																=
																																MAKE_YOUNG_PAIR(
																																((obj_t)
																																	CNST_TABLE_REF
																																	(15)),
																																BgL_arg1355z00_769);
																														}
																														BgL_arg1339z00_765 =
																															MAKE_YOUNG_PAIR
																															(BgL_arg1342z00_768,
																															BNIL);
																													}
																													BgL_arg1336z00_763 =
																														MAKE_YOUNG_PAIR
																														(BgL_arg1338z00_764,
																														BgL_arg1339z00_765);
																												}
																												BgL_arg1327z00_759 =
																													MAKE_YOUNG_PAIR
																													(BgL_arg1336z00_763,
																													BNIL);
																											}
																											BgL_arg1322z00_757 =
																												MAKE_YOUNG_PAIR
																												(BgL_arg1326z00_758,
																												BgL_arg1327z00_759);
																										}
																										BgL_arg1296z00_736 =
																											MAKE_YOUNG_PAIR(
																											((obj_t)
																												CNST_TABLE_REF(32)),
																											BgL_arg1322z00_757);
																									}
																								else
																									{	/* Tvector/access.scm 61 */
																										obj_t BgL_arg1358z00_770;

																										{	/* Tvector/access.scm 61 */
																											obj_t BgL_arg1359z00_771;
																											obj_t BgL_arg1360z00_772;

																											{	/* Tvector/access.scm 61 */
																												obj_t
																													BgL_arg1361z00_773;
																												{	/* Tvector/access.scm 61 */
																													obj_t
																														BgL_arg1364z00_774;
																													obj_t
																														BgL_arg1365z00_775;
																													{	/* Tvector/access.scm 61 */
																														obj_t
																															BgL_arg1486z00_1249;
																														BgL_arg1486z00_1249
																															=
																															SYMBOL_TO_STRING
																															(BgL_descrzd2idzd2_627);
																														BgL_arg1364z00_774 =
																															BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																															(BgL_arg1486z00_1249);
																													}
																													{	/* Tvector/access.scm 61 */
																														obj_t
																															BgL_symbolz00_1250;
																														BgL_symbolz00_1250 =
																															((obj_t)
																															CNST_TABLE_REF
																															(18));
																														{	/* Tvector/access.scm 61 */
																															obj_t
																																BgL_arg1486z00_1251;
																															BgL_arg1486z00_1251
																																=
																																SYMBOL_TO_STRING
																																(BgL_symbolz00_1250);
																															BgL_arg1365z00_775
																																=
																																BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																																(BgL_arg1486z00_1251);
																														}
																													}
																													BgL_arg1361z00_773 =
																														string_append
																														(BgL_arg1364z00_774,
																														BgL_arg1365z00_775);
																												}
																												BgL_arg1359z00_771 =
																													bstring_to_symbol
																													(BgL_arg1361z00_773);
																											}
																											{	/* Tvector/access.scm 62 */
																												obj_t
																													BgL_arg1367z00_776;
																												{	/* Tvector/access.scm 62 */
																													obj_t
																														BgL_arg1370z00_777;
																													obj_t
																														BgL_arg1371z00_778;
																													{	/* Tvector/access.scm 62 */
																														obj_t
																															BgL_arg1376z00_779;
																														{	/* Tvector/access.scm 62 */
																															obj_t
																																BgL_arg1379z00_780;
																															BgL_arg1379z00_780
																																=
																																MAKE_YOUNG_PAIR(
																																((obj_t)
																																	CNST_TABLE_REF
																																	(47)), BNIL);
																															BgL_arg1376z00_779
																																=
																																MAKE_YOUNG_PAIR(
																																((obj_t)
																																	CNST_TABLE_REF
																																	(50)),
																																BgL_arg1379z00_780);
																														}
																														BgL_arg1370z00_777 =
																															MAKE_YOUNG_PAIR(
																															((obj_t)
																																CNST_TABLE_REF
																																(49)),
																															BgL_arg1376z00_779);
																													}
																													{	/* Tvector/access.scm 63 */
																														obj_t
																															BgL_arg1380z00_781;
																														obj_t
																															BgL_arg1382z00_782;
																														{	/* Tvector/access.scm 63 */
																															obj_t
																																BgL_arg1486z00_1254;
																															BgL_arg1486z00_1254
																																=
																																SYMBOL_TO_STRING
																																(BgL_tvzd2idzd2_620);
																															BgL_arg1380z00_781
																																=
																																BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																																(BgL_arg1486z00_1254);
																														}
																														{	/* Tvector/access.scm 62 */
																															obj_t
																																BgL_arg1383z00_783;
																															{	/* Tvector/access.scm 62 */
																																obj_t
																																	BgL_arg1385z00_784;
																																BgL_arg1385z00_784
																																	=
																																	MAKE_YOUNG_PAIR
																																	(BgL_tvzd2setz12zd2idz12_631,
																																	BNIL);
																																BgL_arg1383z00_783
																																	=
																																	MAKE_YOUNG_PAIR
																																	(BgL_tvzd2refzd2idz00_630,
																																	BgL_arg1385z00_784);
																															}
																															BgL_arg1382z00_782
																																=
																																MAKE_YOUNG_PAIR
																																(BgL_tvzd2alloczd2idz00_629,
																																BgL_arg1383z00_783);
																														}
																														BgL_arg1371z00_778 =
																															MAKE_YOUNG_PAIR
																															(BgL_arg1380z00_781,
																															BgL_arg1382z00_782);
																													}
																													BgL_arg1367z00_776 =
																														MAKE_YOUNG_PAIR
																														(BgL_arg1370z00_777,
																														BgL_arg1371z00_778);
																												}
																												BgL_arg1360z00_772 =
																													MAKE_YOUNG_PAIR
																													(BgL_arg1367z00_776,
																													BNIL);
																											}
																											BgL_arg1358z00_770 =
																												MAKE_YOUNG_PAIR
																												(BgL_arg1359z00_771,
																												BgL_arg1360z00_772);
																										}
																										BgL_arg1296z00_736 =
																											MAKE_YOUNG_PAIR(
																											((obj_t)
																												CNST_TABLE_REF(32)),
																											BgL_arg1358z00_770);
																									}
																								{	/* Tvector/access.scm 79 */
																									bool_t BgL_test2147z00_1685;

																									{	/* Tvector/access.scm 79 */
																										obj_t BgL_arg1532z00_819;

																										BgL_arg1532z00_819 =
																											BGl_thezd2backendzd2zzbackend_backendz00
																											();
																										BgL_test2147z00_1685 =
																											(((BgL_backendz00_bglt)
																												COBJECT((
																														(BgL_backendz00_bglt)
																														BgL_arg1532z00_819)))->
																											BgL_tvectorzd2descrzd2supportz00);
																									}
																									if (BgL_test2147z00_1685)
																										{	/* Tvector/access.scm 79 */
																											{	/* Tvector/access.scm 69 */
																												obj_t
																													BgL_arg1388z00_786;
																												{	/* Tvector/access.scm 69 */
																													obj_t
																														BgL_arg1390z00_787;
																													obj_t
																														BgL_arg1392z00_788;
																													{	/* Tvector/access.scm 69 */
																														obj_t
																															BgL_arg1400z00_789;
																														obj_t
																															BgL_arg1401z00_790;
																														{	/* Tvector/access.scm 69 */
																															obj_t
																																BgL_arg1402z00_791;
																															{	/* Tvector/access.scm 69 */
																																obj_t
																																	BgL_arg1403z00_792;
																																obj_t
																																	BgL_arg1406z00_793;
																																{	/* Tvector/access.scm 69 */
																																	obj_t
																																		BgL_arg1486z00_1256;
																																	BgL_arg1486z00_1256
																																		=
																																		SYMBOL_TO_STRING
																																		(BgL_tvzf3zd2idz21_632);
																																	BgL_arg1403z00_792
																																		=
																																		BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																																		(BgL_arg1486z00_1256);
																																}
																																{	/* Tvector/access.scm 69 */
																																	obj_t
																																		BgL_symbolz00_1257;
																																	BgL_symbolz00_1257
																																		=
																																		((obj_t)
																																		CNST_TABLE_REF
																																		(41));
																																	{	/* Tvector/access.scm 69 */
																																		obj_t
																																			BgL_arg1486z00_1258;
																																		BgL_arg1486z00_1258
																																			=
																																			SYMBOL_TO_STRING
																																			(BgL_symbolz00_1257);
																																		BgL_arg1406z00_793
																																			=
																																			BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																																			(BgL_arg1486z00_1258);
																																	}
																																}
																																BgL_arg1402z00_791
																																	=
																																	string_append
																																	(BgL_arg1403z00_792,
																																	BgL_arg1406z00_793);
																															}
																															BgL_arg1400z00_789
																																=
																																bstring_to_symbol
																																(BgL_arg1402z00_791);
																														}
																														BgL_arg1401z00_790 =
																															MAKE_YOUNG_PAIR(
																															((obj_t)
																																CNST_TABLE_REF
																																(42)), BNIL);
																														BgL_arg1390z00_787 =
																															MAKE_YOUNG_PAIR
																															(BgL_arg1400z00_789,
																															BgL_arg1401z00_790);
																													}
																													{	/* Tvector/access.scm 70 */
																														obj_t
																															BgL_arg1414z00_794;
																														{	/* Tvector/access.scm 70 */
																															obj_t
																																BgL_arg1415z00_795;
																															{	/* Tvector/access.scm 70 */
																																obj_t
																																	BgL_arg1416z00_796;
																																obj_t
																																	BgL_arg1417z00_797;
																																{	/* Tvector/access.scm 70 */
																																	obj_t
																																		BgL_arg1418z00_798;
																																	BgL_arg1418z00_798
																																		=
																																		MAKE_YOUNG_PAIR
																																		(((obj_t)
																																			CNST_TABLE_REF
																																			(11)),
																																		BNIL);
																																	BgL_arg1416z00_796
																																		=
																																		MAKE_YOUNG_PAIR
																																		(((obj_t)
																																			CNST_TABLE_REF
																																			(44)),
																																		BgL_arg1418z00_798);
																																}
																																{	/* Tvector/access.scm 71 */
																																	obj_t
																																		BgL_arg1419z00_799;
																																	obj_t
																																		BgL_arg1446z00_800;
																																	{	/* Tvector/access.scm 71 */
																																		obj_t
																																			BgL_arg1457z00_801;
																																		{	/* Tvector/access.scm 71 */
																																			obj_t
																																				BgL_arg1471z00_802;
																																			obj_t
																																				BgL_arg1480z00_803;
																																			{	/* Tvector/access.scm 71 */
																																				obj_t
																																					BgL_arg1484z00_804;
																																				BgL_arg1484z00_804
																																					=
																																					MAKE_YOUNG_PAIR
																																					(((obj_t) CNST_TABLE_REF(11)), BNIL);
																																				BgL_arg1471z00_802
																																					=
																																					MAKE_YOUNG_PAIR
																																					(((obj_t) CNST_TABLE_REF(45)), BgL_arg1484z00_804);
																																			}
																																			BgL_arg1480z00_803
																																				=
																																				MAKE_YOUNG_PAIR
																																				(BgL_descrzd2idzd2_627,
																																				BNIL);
																																			BgL_arg1457z00_801
																																				=
																																				MAKE_YOUNG_PAIR
																																				(BgL_arg1471z00_802,
																																				BgL_arg1480z00_803);
																																		}
																																		BgL_arg1419z00_799
																																			=
																																			MAKE_YOUNG_PAIR
																																			(((obj_t)
																																				CNST_TABLE_REF
																																				(46)),
																																			BgL_arg1457z00_801);
																																	}
																																	BgL_arg1446z00_800
																																		=
																																		MAKE_YOUNG_PAIR
																																		(BFALSE,
																																		BNIL);
																																	BgL_arg1417z00_797
																																		=
																																		MAKE_YOUNG_PAIR
																																		(BgL_arg1419z00_799,
																																		BgL_arg1446z00_800);
																																}
																																BgL_arg1415z00_795
																																	=
																																	MAKE_YOUNG_PAIR
																																	(BgL_arg1416z00_796,
																																	BgL_arg1417z00_797);
																															}
																															BgL_arg1414z00_794
																																=
																																MAKE_YOUNG_PAIR(
																																((obj_t)
																																	CNST_TABLE_REF
																																	(28)),
																																BgL_arg1415z00_795);
																														}
																														BgL_arg1392z00_788 =
																															MAKE_YOUNG_PAIR
																															(BgL_arg1414z00_794,
																															BNIL);
																													}
																													BgL_arg1388z00_786 =
																														MAKE_YOUNG_PAIR
																														(BgL_arg1390z00_787,
																														BgL_arg1392z00_788);
																												}
																												BgL_arg1297z00_737 =
																													MAKE_YOUNG_PAIR(
																													((obj_t)
																														CNST_TABLE_REF(13)),
																													BgL_arg1388z00_786);
																											}
																										}
																									else
																										{	/* Tvector/access.scm 79 */
																											{	/* Tvector/access.scm 75 */
																												obj_t
																													BgL_arg1487z00_806;
																												{	/* Tvector/access.scm 75 */
																													obj_t
																														BgL_arg1489z00_807;
																													obj_t
																														BgL_arg1490z00_808;
																													{	/* Tvector/access.scm 75 */
																														obj_t
																															BgL_arg1506z00_809;
																														obj_t
																															BgL_arg1511z00_810;
																														{	/* Tvector/access.scm 75 */
																															obj_t
																																BgL_arg1512z00_811;
																															{	/* Tvector/access.scm 75 */
																																obj_t
																																	BgL_arg1513z00_812;
																																obj_t
																																	BgL_arg1515z00_813;
																																{	/* Tvector/access.scm 75 */
																																	obj_t
																																		BgL_arg1486z00_1261;
																																	BgL_arg1486z00_1261
																																		=
																																		SYMBOL_TO_STRING
																																		(BgL_tvzf3zd2idz21_632);
																																	BgL_arg1513z00_812
																																		=
																																		BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																																		(BgL_arg1486z00_1261);
																																}
																																{	/* Tvector/access.scm 75 */
																																	obj_t
																																		BgL_symbolz00_1262;
																																	BgL_symbolz00_1262
																																		=
																																		((obj_t)
																																		CNST_TABLE_REF
																																		(41));
																																	{	/* Tvector/access.scm 75 */
																																		obj_t
																																			BgL_arg1486z00_1263;
																																		BgL_arg1486z00_1263
																																			=
																																			SYMBOL_TO_STRING
																																			(BgL_symbolz00_1262);
																																		BgL_arg1515z00_813
																																			=
																																			BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																																			(BgL_arg1486z00_1263);
																																	}
																																}
																																BgL_arg1512z00_811
																																	=
																																	string_append
																																	(BgL_arg1513z00_812,
																																	BgL_arg1515z00_813);
																															}
																															BgL_arg1506z00_809
																																=
																																bstring_to_symbol
																																(BgL_arg1512z00_811);
																														}
																														BgL_arg1511z00_810 =
																															MAKE_YOUNG_PAIR(
																															((obj_t)
																																CNST_TABLE_REF
																																(42)), BNIL);
																														BgL_arg1489z00_807 =
																															MAKE_YOUNG_PAIR
																															(BgL_arg1506z00_809,
																															BgL_arg1511z00_810);
																													}
																													{	/* Tvector/access.scm 76 */
																														obj_t
																															BgL_arg1516z00_814;
																														{	/* Tvector/access.scm 76 */
																															obj_t
																																BgL_list1517z00_815;
																															BgL_list1517z00_815
																																=
																																MAKE_YOUNG_PAIR(
																																((obj_t)
																																	CNST_TABLE_REF
																																	(11)), BNIL);
																															BgL_arg1516z00_814
																																=
																																BGl_makezd2privatezd2sexpz00zzast_privatez00
																																(((obj_t)
																																	CNST_TABLE_REF
																																	(43)),
																																BgL_tvzd2idzd2_620,
																																BgL_list1517z00_815);
																														}
																														BgL_arg1490z00_808 =
																															MAKE_YOUNG_PAIR
																															(BgL_arg1516z00_814,
																															BNIL);
																													}
																													BgL_arg1487z00_806 =
																														MAKE_YOUNG_PAIR
																														(BgL_arg1489z00_807,
																														BgL_arg1490z00_808);
																												}
																												BgL_arg1297z00_737 =
																													MAKE_YOUNG_PAIR(
																													((obj_t)
																														CNST_TABLE_REF(13)),
																													BgL_arg1487z00_806);
																											}
																										}
																								}
																								{	/* Tvector/access.scm 84 */
																									obj_t BgL_pfmtz00_821;

																									BgL_pfmtz00_821 =
																										string_append_3
																										(BGl_string2111z00zztvector_accessz00,
																										BgL_mitemzd2namezd2_626,
																										BGl_string2112z00zztvector_accessz00);
																									{	/* Tvector/access.scm 84 */
																										obj_t BgL_expz00_822;

																										{	/* Tvector/access.scm 85 */
																											obj_t BgL_list1575z00_831;

																											{	/* Tvector/access.scm 85 */
																												obj_t
																													BgL_arg1577z00_832;
																												{	/* Tvector/access.scm 85 */
																													obj_t
																														BgL_arg1578z00_833;
																													{	/* Tvector/access.scm 85 */
																														obj_t
																															BgL_arg1581z00_834;
																														{	/* Tvector/access.scm 85 */
																															obj_t
																																BgL_arg1587z00_835;
																															BgL_arg1587z00_835
																																=
																																MAKE_YOUNG_PAIR(
																																((obj_t)
																																	CNST_TABLE_REF
																																	(11)), BNIL);
																															BgL_arg1581z00_834
																																=
																																MAKE_YOUNG_PAIR(
																																((obj_t)
																																	CNST_TABLE_REF
																																	(19)),
																																BgL_arg1587z00_835);
																														}
																														BgL_arg1578z00_833 =
																															MAKE_YOUNG_PAIR
																															(BgL_pfmtz00_821,
																															BgL_arg1581z00_834);
																													}
																													BgL_arg1577z00_832 =
																														MAKE_YOUNG_PAIR
																														(BgL_intzd2typezd2idz00_638,
																														BgL_arg1578z00_833);
																												}
																												BgL_list1575z00_831 =
																													MAKE_YOUNG_PAIR
																													(BgL_itemzd2idzd2_624,
																													BgL_arg1577z00_832);
																											}
																											BgL_expz00_822 =
																												BGl_makezd2privatezd2sexpz00zzast_privatez00
																												(((obj_t)
																													CNST_TABLE_REF(40)),
																												BgL_tvzd2idzd2_620,
																												BgL_list1575z00_831);
																										}
																										{	/* Tvector/access.scm 85 */

																											{	/* Tvector/access.scm 87 */
																												obj_t
																													BgL_arg1535z00_823;
																												{	/* Tvector/access.scm 87 */
																													obj_t
																														BgL_arg1543z00_824;
																													obj_t
																														BgL_arg1545z00_825;
																													{	/* Tvector/access.scm 87 */
																														obj_t
																															BgL_arg1553z00_826;
																														obj_t
																															BgL_arg1554z00_827;
																														BgL_arg1553z00_826 =
																															BGl_makezd2typedzd2identz00zzast_identz00
																															(BgL_tvzd2refzd2idz00_630,
																															BgL_itemzd2idzd2_624);
																														{	/* Tvector/access.scm 88 */
																															obj_t
																																BgL_arg1558z00_828;
																															obj_t
																																BgL_arg1560z00_829;
																															BgL_arg1558z00_828
																																=
																																BGl_makezd2typedzd2identz00zzast_identz00
																																(((obj_t)
																																	CNST_TABLE_REF
																																	(19)),
																																BgL_tvzd2idzd2_620);
																															BgL_arg1560z00_829
																																=
																																MAKE_YOUNG_PAIR
																																(BGl_makezd2typedzd2identz00zzast_identz00
																																(((obj_t)
																																		CNST_TABLE_REF
																																		(11)),
																																	BgL_intzd2typezd2idz00_638),
																																BNIL);
																															BgL_arg1554z00_827
																																=
																																MAKE_YOUNG_PAIR
																																(BgL_arg1558z00_828,
																																BgL_arg1560z00_829);
																														}
																														BgL_arg1543z00_824 =
																															MAKE_YOUNG_PAIR
																															(BgL_arg1553z00_826,
																															BgL_arg1554z00_827);
																													}
																													BgL_arg1545z00_825 =
																														MAKE_YOUNG_PAIR
																														(BgL_expz00_822,
																														BNIL);
																													BgL_arg1535z00_823 =
																														MAKE_YOUNG_PAIR
																														(BgL_arg1543z00_824,
																														BgL_arg1545z00_825);
																												}
																												BgL_arg1298z00_738 =
																													MAKE_YOUNG_PAIR(
																													((obj_t)
																														CNST_TABLE_REF(13)),
																													BgL_arg1535z00_823);
																											}
																										}
																									}
																								}
																								{	/* Tvector/access.scm 93 */
																									obj_t BgL_pfmtz00_837;

																									BgL_pfmtz00_837 =
																										string_append_3
																										(BGl_string2109z00zztvector_accessz00,
																										BgL_mitemzd2namezd2_626,
																										BGl_string2110z00zztvector_accessz00);
																									{	/* Tvector/access.scm 93 */
																										obj_t BgL_expz00_838;

																										{	/* Tvector/access.scm 94 */
																											obj_t BgL_list1636z00_852;

																											{	/* Tvector/access.scm 94 */
																												obj_t
																													BgL_arg1638z00_853;
																												{	/* Tvector/access.scm 94 */
																													obj_t
																														BgL_arg1642z00_854;
																													{	/* Tvector/access.scm 94 */
																														obj_t
																															BgL_arg1643z00_855;
																														{	/* Tvector/access.scm 94 */
																															obj_t
																																BgL_arg1648z00_856;
																															{	/* Tvector/access.scm 94 */
																																obj_t
																																	BgL_arg1649z00_857;
																																BgL_arg1649z00_857
																																	=
																																	MAKE_YOUNG_PAIR
																																	(((obj_t)
																																		CNST_TABLE_REF
																																		(16)),
																																	BNIL);
																																BgL_arg1648z00_856
																																	=
																																	MAKE_YOUNG_PAIR
																																	(((obj_t)
																																		CNST_TABLE_REF
																																		(11)),
																																	BgL_arg1649z00_857);
																															}
																															BgL_arg1643z00_855
																																=
																																MAKE_YOUNG_PAIR(
																																((obj_t)
																																	CNST_TABLE_REF
																																	(19)),
																																BgL_arg1648z00_856);
																														}
																														BgL_arg1642z00_854 =
																															MAKE_YOUNG_PAIR
																															(BgL_pfmtz00_837,
																															BgL_arg1643z00_855);
																													}
																													BgL_arg1638z00_853 =
																														MAKE_YOUNG_PAIR
																														(BgL_intzd2typezd2idz00_638,
																														BgL_arg1642z00_854);
																												}
																												BgL_list1636z00_852 =
																													MAKE_YOUNG_PAIR
																													(BgL_itemzd2idzd2_624,
																													BgL_arg1638z00_853);
																											}
																											BgL_expz00_838 =
																												BGl_makezd2privatezd2sexpz00zzast_privatez00
																												(((obj_t)
																													CNST_TABLE_REF(39)),
																												BgL_tvzd2idzd2_620,
																												BgL_list1636z00_852);
																										}
																										{	/* Tvector/access.scm 94 */

																											{	/* Tvector/access.scm 96 */
																												obj_t
																													BgL_arg1590z00_839;
																												{	/* Tvector/access.scm 96 */
																													obj_t
																														BgL_arg1592z00_840;
																													obj_t
																														BgL_arg1593z00_841;
																													{	/* Tvector/access.scm 96 */
																														obj_t
																															BgL_arg1597z00_842;
																														obj_t
																															BgL_arg1605z00_843;
																														{	/* Tvector/access.scm 96 */
																															obj_t
																																BgL_arg1611z00_844;
																															{	/* Tvector/access.scm 96 */
																																obj_t
																																	BgL_arg1612z00_845;
																																obj_t
																																	BgL_arg1625z00_846;
																																{	/* Tvector/access.scm 96 */
																																	obj_t
																																		BgL_arg1486z00_1267;
																																	BgL_arg1486z00_1267
																																		=
																																		SYMBOL_TO_STRING
																																		(BgL_tvzd2setz12zd2idz12_631);
																																	BgL_arg1612z00_845
																																		=
																																		BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																																		(BgL_arg1486z00_1267);
																																}
																																{	/* Tvector/access.scm 96 */
																																	obj_t
																																		BgL_symbolz00_1268;
																																	BgL_symbolz00_1268
																																		=
																																		((obj_t)
																																		CNST_TABLE_REF
																																		(18));
																																	{	/* Tvector/access.scm 96 */
																																		obj_t
																																			BgL_arg1486z00_1269;
																																		BgL_arg1486z00_1269
																																			=
																																			SYMBOL_TO_STRING
																																			(BgL_symbolz00_1268);
																																		BgL_arg1625z00_846
																																			=
																																			BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																																			(BgL_arg1486z00_1269);
																																	}
																																}
																																BgL_arg1611z00_844
																																	=
																																	string_append
																																	(BgL_arg1612z00_845,
																																	BgL_arg1625z00_846);
																															}
																															BgL_arg1597z00_842
																																=
																																bstring_to_symbol
																																(BgL_arg1611z00_844);
																														}
																														{	/* Tvector/access.scm 97 */
																															obj_t
																																BgL_arg1626z00_847;
																															obj_t
																																BgL_arg1631z00_848;
																															BgL_arg1626z00_847
																																=
																																BGl_makezd2typedzd2identz00zzast_identz00
																																(((obj_t)
																																	CNST_TABLE_REF
																																	(19)),
																																BgL_tvzd2idzd2_620);
																															{	/* Tvector/access.scm 98 */
																																obj_t
																																	BgL_arg1632z00_849;
																																obj_t
																																	BgL_arg1633z00_850;
																																BgL_arg1632z00_849
																																	=
																																	BGl_makezd2typedzd2identz00zzast_identz00
																																	(((obj_t)
																																		CNST_TABLE_REF
																																		(11)),
																																	BgL_intzd2typezd2idz00_638);
																																BgL_arg1633z00_850
																																	=
																																	MAKE_YOUNG_PAIR
																																	(BGl_makezd2typedzd2identz00zzast_identz00
																																	(((obj_t)
																																			CNST_TABLE_REF
																																			(16)),
																																		BgL_itemzd2idzd2_624),
																																	BNIL);
																																BgL_arg1631z00_848
																																	=
																																	MAKE_YOUNG_PAIR
																																	(BgL_arg1632z00_849,
																																	BgL_arg1633z00_850);
																															}
																															BgL_arg1605z00_843
																																=
																																MAKE_YOUNG_PAIR
																																(BgL_arg1626z00_847,
																																BgL_arg1631z00_848);
																														}
																														BgL_arg1592z00_840 =
																															MAKE_YOUNG_PAIR
																															(BgL_arg1597z00_842,
																															BgL_arg1605z00_843);
																													}
																													BgL_arg1593z00_841 =
																														MAKE_YOUNG_PAIR
																														(BgL_expz00_838,
																														BNIL);
																													BgL_arg1590z00_839 =
																														MAKE_YOUNG_PAIR
																														(BgL_arg1592z00_840,
																														BgL_arg1593z00_841);
																												}
																												BgL_arg1299z00_739 =
																													MAKE_YOUNG_PAIR(
																													((obj_t)
																														CNST_TABLE_REF(13)),
																													BgL_arg1590z00_839);
																											}
																										}
																									}
																								}
																								{	/* Tvector/access.scm 103 */
																									obj_t BgL_arg1653z00_859;

																									{	/* Tvector/access.scm 103 */
																										obj_t BgL_arg1655z00_860;
																										obj_t BgL_arg1656z00_861;

																										{	/* Tvector/access.scm 103 */
																											obj_t BgL_arg1657z00_862;
																											obj_t BgL_arg1660z00_863;

																											BgL_arg1657z00_862 =
																												BGl_makezd2typedzd2identz00zzast_identz00
																												(BgL_tvzd2makezd2idz00_628,
																												BgL_tvzd2idzd2_620);
																											{	/* Tvector/access.scm 104 */
																												obj_t
																													BgL_arg1663z00_864;
																												obj_t
																													BgL_arg1664z00_865;
																												BgL_arg1663z00_864 =
																													BGl_makezd2typedzd2identz00zzast_identz00
																													(((obj_t)
																														CNST_TABLE_REF(20)),
																													BgL_intzd2typezd2idz00_638);
																												BgL_arg1664z00_865 =
																													MAKE_YOUNG_PAIR
																													(BGl_makezd2typedzd2identz00zzast_identz00
																													(((obj_t)
																															CNST_TABLE_REF
																															(16)),
																														BgL_itemzd2idzd2_624),
																													BNIL);
																												BgL_arg1660z00_863 =
																													MAKE_YOUNG_PAIR
																													(BgL_arg1663z00_864,
																													BgL_arg1664z00_865);
																											}
																											BgL_arg1655z00_860 =
																												MAKE_YOUNG_PAIR
																												(BgL_arg1657z00_862,
																												BgL_arg1660z00_863);
																										}
																										{	/* Tvector/access.scm 106 */
																											obj_t BgL_arg1674z00_867;

																											{	/* Tvector/access.scm 106 */
																												obj_t
																													BgL_arg1675z00_868;
																												{	/* Tvector/access.scm 106 */
																													obj_t
																														BgL_arg1677z00_869;
																													obj_t
																														BgL_arg1679z00_870;
																													{	/* Tvector/access.scm 106 */
																														obj_t
																															BgL_arg1680z00_871;
																														{	/* Tvector/access.scm 106 */
																															obj_t
																																BgL_arg1685z00_872;
																															obj_t
																																BgL_arg1686z00_873;
																															BgL_arg1685z00_872
																																=
																																BGl_makezd2typedzd2identz00zzast_identz00
																																(((obj_t)
																																	CNST_TABLE_REF
																																	(19)),
																																BgL_tvzd2idzd2_620);
																															{	/* Tvector/access.scm 106 */
																																obj_t
																																	BgL_arg1691z00_874;
																																{	/* Tvector/access.scm 106 */
																																	obj_t
																																		BgL_arg1692z00_875;
																																	BgL_arg1692z00_875
																																		=
																																		MAKE_YOUNG_PAIR
																																		(((obj_t)
																																			CNST_TABLE_REF
																																			(20)),
																																		BNIL);
																																	BgL_arg1691z00_874
																																		=
																																		MAKE_YOUNG_PAIR
																																		(BgL_tvzd2alloczd2idz00_629,
																																		BgL_arg1692z00_875);
																																}
																																BgL_arg1686z00_873
																																	=
																																	MAKE_YOUNG_PAIR
																																	(BgL_arg1691z00_874,
																																	BNIL);
																															}
																															BgL_arg1680z00_871
																																=
																																MAKE_YOUNG_PAIR
																																(BgL_arg1685z00_872,
																																BgL_arg1686z00_873);
																														}
																														BgL_arg1677z00_869 =
																															MAKE_YOUNG_PAIR
																															(BgL_arg1680z00_871,
																															BNIL);
																													}
																													{	/* Tvector/access.scm 107 */
																														obj_t
																															BgL_arg1693z00_876;
																														{	/* Tvector/access.scm 107 */
																															obj_t
																																BgL_arg1695z00_877;
																															{	/* Tvector/access.scm 107 */
																																obj_t
																																	BgL_arg1696z00_878;
																																obj_t
																																	BgL_arg1699z00_879;
																																{	/* Tvector/access.scm 107 */
																																	obj_t
																																		BgL_arg1703z00_880;
																																	{	/* Tvector/access.scm 107 */
																																		obj_t
																																			BgL_arg1715z00_881;
																																		obj_t
																																			BgL_arg1716z00_882;
																																		BgL_arg1715z00_881
																																			=
																																			BGl_makezd2typedzd2identz00zzast_identz00
																																			(((obj_t)
																																				CNST_TABLE_REF
																																				(27)),
																																			BgL_tvzd2idzd2_620);
																																		{	/* Tvector/access.scm 107 */
																																			obj_t
																																				BgL_arg1717z00_883;
																																			obj_t
																																				BgL_arg1720z00_884;
																																			BgL_arg1717z00_883
																																				=
																																				MAKE_YOUNG_PAIR
																																				(BGl_makezd2typedzd2identz00zzast_identz00
																																				(((obj_t) CNST_TABLE_REF(22)), BgL_intzd2typezd2idz00_638), BNIL);
																																			{	/* Tvector/access.scm 108 */
																																				obj_t
																																					BgL_arg1729z00_886;
																																				{	/* Tvector/access.scm 108 */
																																					obj_t
																																						BgL_arg1730z00_887;
																																					{	/* Tvector/access.scm 108 */
																																						obj_t
																																							BgL_arg1746z00_888;
																																						obj_t
																																							BgL_arg1748z00_889;
																																						{	/* Tvector/access.scm 108 */
																																							obj_t
																																								BgL_arg1755z00_890;
																																							{	/* Tvector/access.scm 108 */
																																								obj_t
																																									BgL_arg1756z00_891;
																																								BgL_arg1756z00_891
																																									=
																																									MAKE_YOUNG_PAIR
																																									(
																																									((obj_t) CNST_TABLE_REF(20)), BNIL);
																																								BgL_arg1755z00_890
																																									=
																																									MAKE_YOUNG_PAIR
																																									(
																																									((obj_t) CNST_TABLE_REF(22)), BgL_arg1756z00_891);
																																							}
																																							BgL_arg1746z00_888
																																								=
																																								MAKE_YOUNG_PAIR
																																								(
																																								((obj_t) CNST_TABLE_REF(21)), BgL_arg1755z00_890);
																																						}
																																						{	/* Tvector/access.scm 110 */
																																							obj_t
																																								BgL_arg1757z00_892;
																																							{	/* Tvector/access.scm 110 */
																																								obj_t
																																									BgL_arg1763z00_893;
																																								{	/* Tvector/access.scm 110 */
																																									obj_t
																																										BgL_arg1765z00_894;
																																									{	/* Tvector/access.scm 110 */
																																										obj_t
																																											BgL_arg1768z00_895;
																																										obj_t
																																											BgL_arg1770z00_896;
																																										{	/* Tvector/access.scm 110 */
																																											obj_t
																																												BgL_arg1772z00_897;
																																											{	/* Tvector/access.scm 110 */
																																												obj_t
																																													BgL_arg1776z00_898;
																																												obj_t
																																													BgL_arg1782z00_899;
																																												BgL_arg1776z00_898
																																													=
																																													BGl_makezd2typedzd2identz00zzast_identz00
																																													(
																																													((obj_t) CNST_TABLE_REF(37)), BgL_intzd2typezd2idz00_638);
																																												{	/* Tvector/access.scm 110 */
																																													obj_t
																																														BgL_arg1783z00_900;
																																													{	/* Tvector/access.scm 110 */
																																														obj_t
																																															BgL_arg1784z00_901;
																																														{	/* Tvector/access.scm 110 */
																																															obj_t
																																																BgL_arg1785z00_902;
																																															BgL_arg1785z00_902
																																																=
																																																MAKE_YOUNG_PAIR
																																																(BINT
																																																(1L),
																																																BNIL);
																																															BgL_arg1784z00_901
																																																=
																																																MAKE_YOUNG_PAIR
																																																(
																																																((obj_t) CNST_TABLE_REF(22)), BgL_arg1785z00_902);
																																														}
																																														BgL_arg1783z00_900
																																															=
																																															MAKE_YOUNG_PAIR
																																															(
																																															((obj_t) CNST_TABLE_REF(38)), BgL_arg1784z00_901);
																																													}
																																													BgL_arg1782z00_899
																																														=
																																														MAKE_YOUNG_PAIR
																																														(BgL_arg1783z00_900,
																																														BNIL);
																																												}
																																												BgL_arg1772z00_897
																																													=
																																													MAKE_YOUNG_PAIR
																																													(BgL_arg1776z00_898,
																																													BgL_arg1782z00_899);
																																											}
																																											BgL_arg1768z00_895
																																												=
																																												MAKE_YOUNG_PAIR
																																												(BgL_arg1772z00_897,
																																												BNIL);
																																										}
																																										{	/* Tvector/access.scm 111 */
																																											obj_t
																																												BgL_arg1786z00_903;
																																											obj_t
																																												BgL_arg1789z00_904;
																																											{	/* Tvector/access.scm 111 */
																																												obj_t
																																													BgL_arg1790z00_905;
																																												{	/* Tvector/access.scm 111 */
																																													obj_t
																																														BgL_arg1796z00_906;
																																													{	/* Tvector/access.scm 111 */
																																														obj_t
																																															BgL_arg1797z00_907;
																																														BgL_arg1797z00_907
																																															=
																																															MAKE_YOUNG_PAIR
																																															(
																																															((obj_t) CNST_TABLE_REF(16)), BNIL);
																																														BgL_arg1796z00_906
																																															=
																																															MAKE_YOUNG_PAIR
																																															(
																																															((obj_t) CNST_TABLE_REF(22)), BgL_arg1797z00_907);
																																													}
																																													BgL_arg1790z00_905
																																														=
																																														MAKE_YOUNG_PAIR
																																														(
																																														((obj_t) CNST_TABLE_REF(19)), BgL_arg1796z00_906);
																																												}
																																												BgL_arg1786z00_903
																																													=
																																													MAKE_YOUNG_PAIR
																																													(BgL_tvzd2setz12zd2idz12_631,
																																													BgL_arg1790z00_905);
																																											}
																																											{	/* Tvector/access.scm 112 */
																																												obj_t
																																													BgL_arg1799z00_908;
																																												{	/* Tvector/access.scm 112 */
																																													obj_t
																																														BgL_arg1800z00_909;
																																													BgL_arg1800z00_909
																																														=
																																														MAKE_YOUNG_PAIR
																																														(
																																														((obj_t) CNST_TABLE_REF(37)), BNIL);
																																													BgL_arg1799z00_908
																																														=
																																														MAKE_YOUNG_PAIR
																																														(
																																														((obj_t) CNST_TABLE_REF(27)), BgL_arg1800z00_909);
																																												}
																																												BgL_arg1789z00_904
																																													=
																																													MAKE_YOUNG_PAIR
																																													(BgL_arg1799z00_908,
																																													BNIL);
																																											}
																																											BgL_arg1770z00_896
																																												=
																																												MAKE_YOUNG_PAIR
																																												(BgL_arg1786z00_903,
																																												BgL_arg1789z00_904);
																																										}
																																										BgL_arg1765z00_894
																																											=
																																											MAKE_YOUNG_PAIR
																																											(BgL_arg1768z00_895,
																																											BgL_arg1770z00_896);
																																									}
																																									BgL_arg1763z00_893
																																										=
																																										MAKE_YOUNG_PAIR
																																										(
																																										((obj_t) CNST_TABLE_REF(31)), BgL_arg1765z00_894);
																																								}
																																								BgL_arg1757z00_892
																																									=
																																									MAKE_YOUNG_PAIR
																																									(BgL_arg1763z00_893,
																																									BNIL);
																																							}
																																							BgL_arg1748z00_889
																																								=
																																								MAKE_YOUNG_PAIR
																																								(
																																								((obj_t) CNST_TABLE_REF(19)), BgL_arg1757z00_892);
																																						}
																																						BgL_arg1730z00_887
																																							=
																																							MAKE_YOUNG_PAIR
																																							(BgL_arg1746z00_888,
																																							BgL_arg1748z00_889);
																																					}
																																					BgL_arg1729z00_886
																																						=
																																						MAKE_YOUNG_PAIR
																																						(((obj_t) CNST_TABLE_REF(28)), BgL_arg1730z00_887);
																																				}
																																				BgL_arg1720z00_884
																																					=
																																					MAKE_YOUNG_PAIR
																																					(BgL_arg1729z00_886,
																																					BNIL);
																																			}
																																			BgL_arg1716z00_882
																																				=
																																				MAKE_YOUNG_PAIR
																																				(BgL_arg1717z00_883,
																																				BgL_arg1720z00_884);
																																		}
																																		BgL_arg1703z00_880
																																			=
																																			MAKE_YOUNG_PAIR
																																			(BgL_arg1715z00_881,
																																			BgL_arg1716z00_882);
																																	}
																																	BgL_arg1696z00_878
																																		=
																																		MAKE_YOUNG_PAIR
																																		(BgL_arg1703z00_880,
																																		BNIL);
																																}
																																{	/* Tvector/access.scm 113 */
																																	obj_t
																																		BgL_arg1801z00_910;
																																	{	/* Tvector/access.scm 113 */
																																		obj_t
																																			BgL_arg1802z00_911;
																																		BgL_arg1802z00_911
																																			=
																																			MAKE_YOUNG_PAIR
																																			(BINT(0L),
																																			BNIL);
																																		BgL_arg1801z00_910
																																			=
																																			MAKE_YOUNG_PAIR
																																			(((obj_t)
																																				CNST_TABLE_REF
																																				(27)),
																																			BgL_arg1802z00_911);
																																	}
																																	BgL_arg1699z00_879
																																		=
																																		MAKE_YOUNG_PAIR
																																		(BgL_arg1801z00_910,
																																		BNIL);
																																}
																																BgL_arg1695z00_877
																																	=
																																	MAKE_YOUNG_PAIR
																																	(BgL_arg1696z00_878,
																																	BgL_arg1699z00_879);
																															}
																															BgL_arg1693z00_876
																																=
																																MAKE_YOUNG_PAIR(
																																((obj_t)
																																	CNST_TABLE_REF
																																	(30)),
																																BgL_arg1695z00_877);
																														}
																														BgL_arg1679z00_870 =
																															MAKE_YOUNG_PAIR
																															(BgL_arg1693z00_876,
																															BNIL);
																													}
																													BgL_arg1675z00_868 =
																														MAKE_YOUNG_PAIR
																														(BgL_arg1677z00_869,
																														BgL_arg1679z00_870);
																												}
																												BgL_arg1674z00_867 =
																													MAKE_YOUNG_PAIR(
																													((obj_t)
																														CNST_TABLE_REF(31)),
																													BgL_arg1675z00_868);
																											}
																											BgL_arg1656z00_861 =
																												MAKE_YOUNG_PAIR
																												(BgL_arg1674z00_867,
																												BNIL);
																										}
																										BgL_arg1653z00_859 =
																											MAKE_YOUNG_PAIR
																											(BgL_arg1655z00_860,
																											BgL_arg1656z00_861);
																									}
																									BgL_arg1301z00_740 =
																										MAKE_YOUNG_PAIR(
																										((obj_t)
																											CNST_TABLE_REF(13)),
																										BgL_arg1653z00_859);
																								}
																								{	/* Tvector/access.scm 152 */
																									bool_t BgL_test2148z00_1926;

																									{	/* Tvector/access.scm 152 */
																										obj_t BgL_arg1930z00_985;

																										BgL_arg1930z00_985 =
																											BGl_thezd2backendzd2zzbackend_backendz00
																											();
																										BgL_test2148z00_1926 =
																											(((BgL_backendz00_bglt)
																												COBJECT((
																														(BgL_backendz00_bglt)
																														BgL_arg1930z00_985)))->
																											BgL_tvectorzd2descrzd2supportz00);
																									}
																									if (BgL_test2148z00_1926)
																										{	/* Tvector/access.scm 152 */
																											{	/* Tvector/access.scm 121 */
																												obj_t
																													BgL_arg1810z00_917;
																												{	/* Tvector/access.scm 121 */
																													obj_t
																														BgL_arg1811z00_918;
																													obj_t
																														BgL_arg1814z00_919;
																													{	/* Tvector/access.scm 121 */
																														obj_t
																															BgL_arg1818z00_920;
																														obj_t
																															BgL_arg1821z00_921;
																														BgL_arg1818z00_920 =
																															BGl_makezd2typedzd2identz00zzast_identz00
																															(BgL_tvzd2alloczd2idz00_629,
																															BgL_tvzd2idzd2_620);
																														BgL_arg1821z00_921 =
																															MAKE_YOUNG_PAIR
																															(BGl_makezd2typedzd2identz00zzast_identz00
																															(((obj_t)
																																	CNST_TABLE_REF
																																	(20)),
																																BgL_intzd2typezd2idz00_638),
																															BNIL);
																														BgL_arg1811z00_918 =
																															MAKE_YOUNG_PAIR
																															(BgL_arg1818z00_920,
																															BgL_arg1821z00_921);
																													}
																													{	/* Tvector/access.scm 123 */
																														obj_t
																															BgL_arg1825z00_923;
																														{	/* Tvector/access.scm 123 */
																															obj_t
																																BgL_arg1829z00_924;
																															obj_t
																																BgL_arg1834z00_925;
																															{	/* Tvector/access.scm 123 */
																																obj_t
																																	BgL_arg1856z00_933;
																																BgL_arg1856z00_933
																																	=
																																	BGl_allocatezd2tvectorze70z35zztvector_accessz00
																																	(BgL_itemzd2namezd2_625);
																																{	/* Tvector/access.scm 123 */
																																	obj_t
																																		BgL_list1857z00_934;
																																	{	/* Tvector/access.scm 123 */
																																		obj_t
																																			BgL_arg1859z00_935;
																																		{	/* Tvector/access.scm 123 */
																																			obj_t
																																				BgL_arg1865z00_936;
																																			{	/* Tvector/access.scm 123 */
																																				obj_t
																																					BgL_arg1872z00_937;
																																				{	/* Tvector/access.scm 123 */
																																					obj_t
																																						BgL_arg1873z00_938;
																																					BgL_arg1873z00_938
																																						=
																																						MAKE_YOUNG_PAIR
																																						(BGl_string2106z00zztvector_accessz00,
																																						BNIL);
																																					BgL_arg1872z00_937
																																						=
																																						MAKE_YOUNG_PAIR
																																						(BgL_itemzd2namezd2_625,
																																						BgL_arg1873z00_938);
																																				}
																																				BgL_arg1865z00_936
																																					=
																																					MAKE_YOUNG_PAIR
																																					(BGl_string2107z00zztvector_accessz00,
																																					BgL_arg1872z00_937);
																																			}
																																			BgL_arg1859z00_935
																																				=
																																				MAKE_YOUNG_PAIR
																																				(BgL_mitemzd2namezd2_626,
																																				BgL_arg1865z00_936);
																																		}
																																		BgL_list1857z00_934
																																			=
																																			MAKE_YOUNG_PAIR
																																			(BgL_arg1856z00_933,
																																			BgL_arg1859z00_935);
																																	}
																																	BgL_arg1829z00_924
																																		=
																																		BGl_stringzd2appendzd2zz__r4_strings_6_7z00
																																		(BgL_list1857z00_934);
																																}
																															}
																															{	/* Tvector/access.scm 127 */
																																obj_t
																																	BgL_list1874z00_939;
																																{	/* Tvector/access.scm 127 */
																																	obj_t
																																		BgL_arg1876z00_940;
																																	{	/* Tvector/access.scm 127 */
																																		obj_t
																																			BgL_arg1878z00_941;
																																		{	/* Tvector/access.scm 127 */
																																			obj_t
																																				BgL_arg1882z00_942;
																																			{	/* Tvector/access.scm 127 */
																																				obj_t
																																					BgL_arg1884z00_943;
																																				BgL_arg1884z00_943
																																					=
																																					MAKE_YOUNG_PAIR
																																					(BGl_string2106z00zztvector_accessz00,
																																					BNIL);
																																				BgL_arg1882z00_942
																																					=
																																					MAKE_YOUNG_PAIR
																																					(BgL_itemzd2namezd2_625,
																																					BgL_arg1884z00_943);
																																			}
																																			BgL_arg1878z00_941
																																				=
																																				MAKE_YOUNG_PAIR
																																				(BGl_string2107z00zztvector_accessz00,
																																				BgL_arg1882z00_942);
																																		}
																																		BgL_arg1876z00_940
																																			=
																																			MAKE_YOUNG_PAIR
																																			(BgL_mitemzd2namezd2_626,
																																			BgL_arg1878z00_941);
																																	}
																																	BgL_list1874z00_939
																																		=
																																		MAKE_YOUNG_PAIR
																																		(BGl_string2108z00zztvector_accessz00,
																																		BgL_arg1876z00_940);
																																}
																																BgL_arg1834z00_925
																																	=
																																	BGl_stringzd2appendzd2zz__r4_strings_6_7z00
																																	(BgL_list1874z00_939);
																															}
																															{	/* Tvector/access.scm 122 */
																																obj_t
																																	BgL_list1835z00_926;
																																{	/* Tvector/access.scm 122 */
																																	obj_t
																																		BgL_arg1842z00_927;
																																	{	/* Tvector/access.scm 122 */
																																		obj_t
																																			BgL_arg1845z00_928;
																																		{	/* Tvector/access.scm 122 */
																																			obj_t
																																				BgL_arg1847z00_929;
																																			{	/* Tvector/access.scm 122 */
																																				obj_t
																																					BgL_arg1848z00_930;
																																				{	/* Tvector/access.scm 122 */
																																					obj_t
																																						BgL_arg1851z00_931;
																																					{	/* Tvector/access.scm 122 */
																																						obj_t
																																							BgL_arg1852z00_932;
																																						BgL_arg1852z00_932
																																							=
																																							MAKE_YOUNG_PAIR
																																							(BgL_descrzd2idzd2_627,
																																							BNIL);
																																						BgL_arg1851z00_931
																																							=
																																							MAKE_YOUNG_PAIR
																																							(((obj_t) CNST_TABLE_REF(20)), BgL_arg1852z00_932);
																																					}
																																					BgL_arg1848z00_930
																																						=
																																						MAKE_YOUNG_PAIR
																																						(BFALSE,
																																						BgL_arg1851z00_931);
																																				}
																																				BgL_arg1847z00_929
																																					=
																																					MAKE_YOUNG_PAIR
																																					(BgL_arg1834z00_925,
																																					BgL_arg1848z00_930);
																																			}
																																			BgL_arg1845z00_928
																																				=
																																				MAKE_YOUNG_PAIR
																																				(BgL_arg1829z00_924,
																																				BgL_arg1847z00_929);
																																		}
																																		BgL_arg1842z00_927
																																			=
																																			MAKE_YOUNG_PAIR
																																			(BgL_intzd2typezd2idz00_638,
																																			BgL_arg1845z00_928);
																																	}
																																	BgL_list1835z00_926
																																		=
																																		MAKE_YOUNG_PAIR
																																		(BgL_itemzd2idzd2_624,
																																		BgL_arg1842z00_927);
																																}
																																BgL_arg1825z00_923
																																	=
																																	BGl_makezd2privatezd2sexpz00zzast_privatez00
																																	(((obj_t)
																																		CNST_TABLE_REF
																																		(35)),
																																	BgL_tvzd2idzd2_620,
																																	BgL_list1835z00_926);
																															}
																														}
																														BgL_arg1814z00_919 =
																															MAKE_YOUNG_PAIR
																															(BgL_arg1825z00_923,
																															BNIL);
																													}
																													BgL_arg1810z00_917 =
																														MAKE_YOUNG_PAIR
																														(BgL_arg1811z00_918,
																														BgL_arg1814z00_919);
																												}
																												BgL_arg1302z00_741 =
																													MAKE_YOUNG_PAIR(
																													((obj_t)
																														CNST_TABLE_REF(13)),
																													BgL_arg1810z00_917);
																											}
																										}
																									else
																										{	/* Tvector/access.scm 152 */
																											{	/* Tvector/access.scm 135 */
																												obj_t
																													BgL_arg1886z00_945;
																												{	/* Tvector/access.scm 135 */
																													obj_t
																														BgL_arg1887z00_946;
																													obj_t
																														BgL_arg1889z00_947;
																													{	/* Tvector/access.scm 135 */
																														obj_t
																															BgL_arg1890z00_948;
																														obj_t
																															BgL_arg1891z00_949;
																														BgL_arg1890z00_948 =
																															BGl_makezd2typedzd2identz00zzast_identz00
																															(BgL_tvzd2alloczd2idz00_629,
																															BgL_tvzd2idzd2_620);
																														BgL_arg1891z00_949 =
																															MAKE_YOUNG_PAIR
																															(BGl_makezd2typedzd2identz00zzast_identz00
																															(((obj_t)
																																	CNST_TABLE_REF
																																	(20)),
																																BgL_intzd2typezd2idz00_638),
																															BNIL);
																														BgL_arg1887z00_946 =
																															MAKE_YOUNG_PAIR
																															(BgL_arg1890z00_948,
																															BgL_arg1891z00_949);
																													}
																													{	/* Tvector/access.scm 136 */
																														obj_t
																															BgL_arg1893z00_951;
																														{	/* Tvector/access.scm 136 */
																															obj_t
																																BgL_arg1894z00_952;
																															{	/* Tvector/access.scm 136 */
																																obj_t
																																	BgL_arg1895z00_953;
																																obj_t
																																	BgL_arg1896z00_954;
																																{	/* Tvector/access.scm 136 */
																																	obj_t
																																		BgL_arg1897z00_955;
																																	{	/* Tvector/access.scm 136 */
																																		obj_t
																																			BgL_arg1898z00_956;
																																		obj_t
																																			BgL_arg1899z00_957;
																																		BgL_arg1898z00_956
																																			=
																																			BGl_makezd2typedzd2identz00zzast_identz00
																																			(((obj_t)
																																				CNST_TABLE_REF
																																				(16)),
																																			BgL_tvzd2idzd2_620);
																																		{	/* Tvector/access.scm 138 */
																																			obj_t
																																				BgL_arg1900z00_958;
																																			{	/* Tvector/access.scm 138 */
																																				obj_t
																																					BgL_arg1901z00_959;
																																				obj_t
																																					BgL_arg1902z00_960;
																																				{	/* Tvector/access.scm 138 */
																																					obj_t
																																						BgL_arg1909z00_967;
																																					BgL_arg1909z00_967
																																						=
																																						BGl_allocatezd2tvectorze70z35zztvector_accessz00
																																						(BgL_itemzd2namezd2_625);
																																					{	/* Tvector/access.scm 138 */
																																						obj_t
																																							BgL_list1910z00_968;
																																						{	/* Tvector/access.scm 138 */
																																							obj_t
																																								BgL_arg1911z00_969;
																																							{	/* Tvector/access.scm 138 */
																																								obj_t
																																									BgL_arg1912z00_970;
																																								{	/* Tvector/access.scm 138 */
																																									obj_t
																																										BgL_arg1913z00_971;
																																									{	/* Tvector/access.scm 138 */
																																										obj_t
																																											BgL_arg1915z00_972;
																																										BgL_arg1915z00_972
																																											=
																																											MAKE_YOUNG_PAIR
																																											(BGl_string2106z00zztvector_accessz00,
																																											BNIL);
																																										BgL_arg1913z00_971
																																											=
																																											MAKE_YOUNG_PAIR
																																											(BgL_itemzd2namezd2_625,
																																											BgL_arg1915z00_972);
																																									}
																																									BgL_arg1912z00_970
																																										=
																																										MAKE_YOUNG_PAIR
																																										(BGl_string2107z00zztvector_accessz00,
																																										BgL_arg1913z00_971);
																																								}
																																								BgL_arg1911z00_969
																																									=
																																									MAKE_YOUNG_PAIR
																																									(BgL_mitemzd2namezd2_626,
																																									BgL_arg1912z00_970);
																																							}
																																							BgL_list1910z00_968
																																								=
																																								MAKE_YOUNG_PAIR
																																								(BgL_arg1909z00_967,
																																								BgL_arg1911z00_969);
																																						}
																																						BgL_arg1901z00_959
																																							=
																																							BGl_stringzd2appendzd2zz__r4_strings_6_7z00
																																							(BgL_list1910z00_968);
																																					}
																																				}
																																				{	/* Tvector/access.scm 142 */
																																					obj_t
																																						BgL_list1916z00_973;
																																					{	/* Tvector/access.scm 142 */
																																						obj_t
																																							BgL_arg1917z00_974;
																																						{	/* Tvector/access.scm 142 */
																																							obj_t
																																								BgL_arg1918z00_975;
																																							{	/* Tvector/access.scm 142 */
																																								obj_t
																																									BgL_arg1919z00_976;
																																								{	/* Tvector/access.scm 142 */
																																									obj_t
																																										BgL_arg1921z00_977;
																																									BgL_arg1921z00_977
																																										=
																																										MAKE_YOUNG_PAIR
																																										(BGl_string2106z00zztvector_accessz00,
																																										BNIL);
																																									BgL_arg1919z00_976
																																										=
																																										MAKE_YOUNG_PAIR
																																										(BgL_itemzd2namezd2_625,
																																										BgL_arg1921z00_977);
																																								}
																																								BgL_arg1918z00_975
																																									=
																																									MAKE_YOUNG_PAIR
																																									(BGl_string2107z00zztvector_accessz00,
																																									BgL_arg1919z00_976);
																																							}
																																							BgL_arg1917z00_974
																																								=
																																								MAKE_YOUNG_PAIR
																																								(BgL_mitemzd2namezd2_626,
																																								BgL_arg1918z00_975);
																																						}
																																						BgL_list1916z00_973
																																							=
																																							MAKE_YOUNG_PAIR
																																							(BGl_string2108z00zztvector_accessz00,
																																							BgL_arg1917z00_974);
																																					}
																																					BgL_arg1902z00_960
																																						=
																																						BGl_stringzd2appendzd2zz__r4_strings_6_7z00
																																						(BgL_list1916z00_973);
																																				}
																																				{	/* Tvector/access.scm 137 */
																																					obj_t
																																						BgL_list1903z00_961;
																																					{	/* Tvector/access.scm 137 */
																																						obj_t
																																							BgL_arg1904z00_962;
																																						{	/* Tvector/access.scm 137 */
																																							obj_t
																																								BgL_arg1905z00_963;
																																							{	/* Tvector/access.scm 137 */
																																								obj_t
																																									BgL_arg1906z00_964;
																																								{	/* Tvector/access.scm 137 */
																																									obj_t
																																										BgL_arg1907z00_965;
																																									{	/* Tvector/access.scm 137 */
																																										obj_t
																																											BgL_arg1908z00_966;
																																										BgL_arg1908z00_966
																																											=
																																											MAKE_YOUNG_PAIR
																																											(
																																											((obj_t) CNST_TABLE_REF(20)), BNIL);
																																										BgL_arg1907z00_965
																																											=
																																											MAKE_YOUNG_PAIR
																																											(BFALSE,
																																											BgL_arg1908z00_966);
																																									}
																																									BgL_arg1906z00_964
																																										=
																																										MAKE_YOUNG_PAIR
																																										(BgL_arg1902z00_960,
																																										BgL_arg1907z00_965);
																																								}
																																								BgL_arg1905z00_963
																																									=
																																									MAKE_YOUNG_PAIR
																																									(BgL_arg1901z00_959,
																																									BgL_arg1906z00_964);
																																							}
																																							BgL_arg1904z00_962
																																								=
																																								MAKE_YOUNG_PAIR
																																								(BgL_intzd2typezd2idz00_638,
																																								BgL_arg1905z00_963);
																																						}
																																						BgL_list1903z00_961
																																							=
																																							MAKE_YOUNG_PAIR
																																							(BgL_itemzd2idzd2_624,
																																							BgL_arg1904z00_962);
																																					}
																																					BgL_arg1900z00_958
																																						=
																																						BGl_makezd2privatezd2sexpz00zzast_privatez00
																																						(((obj_t) CNST_TABLE_REF(35)), BgL_tvzd2idzd2_620, BgL_list1903z00_961);
																																				}
																																			}
																																			BgL_arg1899z00_957
																																				=
																																				MAKE_YOUNG_PAIR
																																				(BgL_arg1900z00_958,
																																				BNIL);
																																		}
																																		BgL_arg1897z00_955
																																			=
																																			MAKE_YOUNG_PAIR
																																			(BgL_arg1898z00_956,
																																			BgL_arg1899z00_957);
																																	}
																																	BgL_arg1895z00_953
																																		=
																																		MAKE_YOUNG_PAIR
																																		(BgL_arg1897z00_955,
																																		BNIL);
																																}
																																{	/* Tvector/access.scm 148 */
																																	obj_t
																																		BgL_arg1922z00_978;
																																	obj_t
																																		BgL_arg1923z00_979;
																																	{	/* Tvector/access.scm 148 */
																																		obj_t
																																			BgL_arg1924z00_980;
																																		{	/* Tvector/access.scm 148 */
																																			obj_t
																																				BgL_arg1926z00_981;
																																			BgL_arg1926z00_981
																																				=
																																				MAKE_YOUNG_PAIR
																																				(BgL_descrzd2idzd2_627,
																																				BNIL);
																																			BgL_arg1924z00_980
																																				=
																																				MAKE_YOUNG_PAIR
																																				(((obj_t) CNST_TABLE_REF(16)), BgL_arg1926z00_981);
																																		}
																																		BgL_arg1922z00_978
																																			=
																																			MAKE_YOUNG_PAIR
																																			(((obj_t)
																																				CNST_TABLE_REF
																																				(36)),
																																			BgL_arg1924z00_980);
																																	}
																																	BgL_arg1923z00_979
																																		=
																																		MAKE_YOUNG_PAIR
																																		(((obj_t)
																																			CNST_TABLE_REF
																																			(16)),
																																		BNIL);
																																	BgL_arg1896z00_954
																																		=
																																		MAKE_YOUNG_PAIR
																																		(BgL_arg1922z00_978,
																																		BgL_arg1923z00_979);
																																}
																																BgL_arg1894z00_952
																																	=
																																	MAKE_YOUNG_PAIR
																																	(BgL_arg1895z00_953,
																																	BgL_arg1896z00_954);
																															}
																															BgL_arg1893z00_951
																																=
																																MAKE_YOUNG_PAIR(
																																((obj_t)
																																	CNST_TABLE_REF
																																	(31)),
																																BgL_arg1894z00_952);
																														}
																														BgL_arg1889z00_947 =
																															MAKE_YOUNG_PAIR
																															(BgL_arg1893z00_951,
																															BNIL);
																													}
																													BgL_arg1886z00_945 =
																														MAKE_YOUNG_PAIR
																														(BgL_arg1887z00_946,
																														BgL_arg1889z00_947);
																												}
																												BgL_arg1302z00_741 =
																													MAKE_YOUNG_PAIR(
																													((obj_t)
																														CNST_TABLE_REF(13)),
																													BgL_arg1886z00_945);
																											}
																										}
																								}
																								{	/* Tvector/access.scm 157 */
																									obj_t BgL_arg1932z00_987;

																									{	/* Tvector/access.scm 157 */
																										obj_t BgL_arg1933z00_988;
																										obj_t BgL_arg1934z00_989;

																										{	/* Tvector/access.scm 157 */
																											obj_t BgL_arg1935z00_990;
																											obj_t BgL_arg1936z00_991;

																											{	/* Tvector/access.scm 157 */
																												obj_t
																													BgL_arg1938z00_992;
																												{	/* Tvector/access.scm 157 */
																													obj_t
																														BgL_arg1939z00_993;
																													obj_t
																														BgL_arg1940z00_994;
																													{	/* Tvector/access.scm 157 */
																														obj_t
																															BgL_arg1486z00_1295;
																														BgL_arg1486z00_1295
																															=
																															SYMBOL_TO_STRING
																															(BgL_tvzd2ze3vectorzd2idze3_633);
																														BgL_arg1939z00_993 =
																															BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																															(BgL_arg1486z00_1295);
																													}
																													{	/* Tvector/access.scm 157 */
																														obj_t
																															BgL_symbolz00_1296;
																														BgL_symbolz00_1296 =
																															((obj_t)
																															CNST_TABLE_REF
																															(33));
																														{	/* Tvector/access.scm 157 */
																															obj_t
																																BgL_arg1486z00_1297;
																															BgL_arg1486z00_1297
																																=
																																SYMBOL_TO_STRING
																																(BgL_symbolz00_1296);
																															BgL_arg1940z00_994
																																=
																																BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																																(BgL_arg1486z00_1297);
																														}
																													}
																													BgL_arg1938z00_992 =
																														string_append
																														(BgL_arg1939z00_993,
																														BgL_arg1940z00_994);
																												}
																												BgL_arg1935z00_990 =
																													bstring_to_symbol
																													(BgL_arg1938z00_992);
																											}
																											BgL_arg1936z00_991 =
																												MAKE_YOUNG_PAIR
																												(BGl_makezd2typedzd2identz00zzast_identz00
																												(((obj_t)
																														CNST_TABLE_REF(19)),
																													BgL_tvzd2idzd2_620),
																												BNIL);
																											BgL_arg1933z00_988 =
																												MAKE_YOUNG_PAIR
																												(BgL_arg1935z00_990,
																												BgL_arg1936z00_991);
																										}
																										{	/* Tvector/access.scm 159 */
																											obj_t BgL_arg1943z00_996;

																											{	/* Tvector/access.scm 159 */
																												obj_t
																													BgL_arg1944z00_997;
																												BgL_arg1944z00_997 =
																													MAKE_YOUNG_PAIR((
																														(obj_t)
																														CNST_TABLE_REF(19)),
																													BNIL);
																												BgL_arg1943z00_996 =
																													MAKE_YOUNG_PAIR((
																														(obj_t)
																														CNST_TABLE_REF(34)),
																													BgL_arg1944z00_997);
																											}
																											BgL_arg1934z00_989 =
																												MAKE_YOUNG_PAIR
																												(BgL_arg1943z00_996,
																												BNIL);
																										}
																										BgL_arg1932z00_987 =
																											MAKE_YOUNG_PAIR
																											(BgL_arg1933z00_988,
																											BgL_arg1934z00_989);
																									}
																									BgL_arg1303z00_742 =
																										MAKE_YOUNG_PAIR(
																										((obj_t)
																											CNST_TABLE_REF(13)),
																										BgL_arg1932z00_987);
																								}
																								{	/* Tvector/access.scm 175 */
																									obj_t BgL_arg2030z00_1070;

																									{	/* Tvector/access.scm 175 */
																										obj_t BgL_arg2031z00_1071;
																										obj_t BgL_arg2032z00_1072;

																										{	/* Tvector/access.scm 175 */
																											obj_t BgL_arg2033z00_1073;
																											obj_t BgL_arg2034z00_1074;

																											BgL_arg2033z00_1073 =
																												BGl_makezd2typedzd2identz00zzast_identz00
																												(BgL_vectorzd2ze3tvzd2idze3_634,
																												BgL_tvzd2idzd2_620);
																											BgL_arg2034z00_1074 =
																												MAKE_YOUNG_PAIR(((obj_t)
																													CNST_TABLE_REF(14)),
																												BNIL);
																											BgL_arg2031z00_1071 =
																												MAKE_YOUNG_PAIR
																												(BgL_arg2033z00_1073,
																												BgL_arg2034z00_1074);
																										}
																										{	/* Tvector/access.scm 176 */
																											obj_t BgL_arg2035z00_1075;

																											{	/* Tvector/access.scm 176 */
																												obj_t
																													BgL_arg2036z00_1076;
																												{	/* Tvector/access.scm 176 */
																													obj_t
																														BgL_arg2038z00_1077;
																													obj_t
																														BgL_arg2039z00_1078;
																													{	/* Tvector/access.scm 176 */
																														obj_t
																															BgL_arg2040z00_1079;
																														BgL_arg2040z00_1079
																															=
																															MAKE_YOUNG_PAIR
																															(BgL_tvzd2idzd2_620,
																															BNIL);
																														BgL_arg2038z00_1077
																															=
																															MAKE_YOUNG_PAIR((
																																(obj_t)
																																CNST_TABLE_REF
																																(15)),
																															BgL_arg2040z00_1079);
																													}
																													BgL_arg2039z00_1078 =
																														MAKE_YOUNG_PAIR(
																														((obj_t)
																															CNST_TABLE_REF
																															(16)), BNIL);
																													BgL_arg2036z00_1076 =
																														MAKE_YOUNG_PAIR
																														(BgL_arg2038z00_1077,
																														BgL_arg2039z00_1078);
																												}
																												BgL_arg2035z00_1075 =
																													MAKE_YOUNG_PAIR(
																													((obj_t)
																														CNST_TABLE_REF(17)),
																													BgL_arg2036z00_1076);
																											}
																											BgL_arg2032z00_1072 =
																												MAKE_YOUNG_PAIR
																												(BgL_arg2035z00_1075,
																												BNIL);
																										}
																										BgL_arg2030z00_1070 =
																											MAKE_YOUNG_PAIR
																											(BgL_arg2031z00_1071,
																											BgL_arg2032z00_1072);
																									}
																									BgL_arg1304z00_743 =
																										MAKE_YOUNG_PAIR(
																										((obj_t)
																											CNST_TABLE_REF(13)),
																										BgL_arg2030z00_1070);
																								}
																								{	/* Tvector/access.scm 179 */
																									obj_t BgL_arg2042z00_1081;

																									{	/* Tvector/access.scm 179 */
																										obj_t BgL_arg2043z00_1082;
																										obj_t BgL_arg2044z00_1083;

																										{	/* Tvector/access.scm 179 */
																											obj_t BgL_arg2045z00_1084;
																											obj_t BgL_arg2046z00_1085;

																											BgL_arg2045z00_1084 =
																												BGl_makezd2typedzd2identz00zzast_identz00
																												(BgL_tvzd2lengthzd2idz00_636,
																												BgL_intzd2typezd2idz00_638);
																											BgL_arg2046z00_1085 =
																												MAKE_YOUNG_PAIR
																												(BGl_makezd2typedzd2identz00zzast_identz00
																												(((obj_t)
																														CNST_TABLE_REF(11)),
																													BgL_tvzd2idzd2_620),
																												BNIL);
																											BgL_arg2043z00_1082 =
																												MAKE_YOUNG_PAIR
																												(BgL_arg2045z00_1084,
																												BgL_arg2046z00_1085);
																										}
																										{	/* Tvector/access.scm 181 */
																											obj_t BgL_arg2049z00_1087;

																											{	/* Tvector/access.scm 181 */
																												obj_t
																													BgL_list2050z00_1088;
																												{	/* Tvector/access.scm 181 */
																													obj_t
																														BgL_arg2051z00_1089;
																													{	/* Tvector/access.scm 181 */
																														obj_t
																															BgL_arg2052z00_1090;
																														{	/* Tvector/access.scm 181 */
																															obj_t
																																BgL_arg2053z00_1091;
																															BgL_arg2053z00_1091
																																=
																																MAKE_YOUNG_PAIR(
																																((obj_t)
																																	CNST_TABLE_REF
																																	(11)), BNIL);
																															BgL_arg2052z00_1090
																																=
																																MAKE_YOUNG_PAIR
																																(BGl_string2105z00zztvector_accessz00,
																																BgL_arg2053z00_1091);
																														}
																														BgL_arg2051z00_1089
																															=
																															MAKE_YOUNG_PAIR
																															(BgL_intzd2typezd2idz00_638,
																															BgL_arg2052z00_1090);
																													}
																													BgL_list2050z00_1088 =
																														MAKE_YOUNG_PAIR
																														(BgL_itemzd2idzd2_624,
																														BgL_arg2051z00_1089);
																												}
																												BgL_arg2049z00_1087 =
																													BGl_makezd2privatezd2sexpz00zzast_privatez00
																													(((obj_t)
																														CNST_TABLE_REF(12)),
																													BgL_tvzd2idzd2_620,
																													BgL_list2050z00_1088);
																											}
																											BgL_arg2044z00_1083 =
																												MAKE_YOUNG_PAIR
																												(BgL_arg2049z00_1087,
																												BNIL);
																										}
																										BgL_arg2042z00_1081 =
																											MAKE_YOUNG_PAIR
																											(BgL_arg2043z00_1082,
																											BgL_arg2044z00_1083);
																									}
																									BgL_arg1305z00_744 =
																										MAKE_YOUNG_PAIR(
																										((obj_t)
																											CNST_TABLE_REF(13)),
																										BgL_arg2042z00_1081);
																								}
																								{	/* Tvector/access.scm 162 */
																									obj_t BgL_arg1946z00_999;

																									{	/* Tvector/access.scm 162 */
																										obj_t BgL_arg1947z00_1000;
																										obj_t BgL_arg1948z00_1001;

																										{	/* Tvector/access.scm 162 */
																											obj_t BgL_arg1950z00_1002;
																											obj_t BgL_arg1953z00_1003;

																											{	/* Tvector/access.scm 162 */
																												obj_t
																													BgL_arg1954z00_1004;
																												{	/* Tvector/access.scm 162 */
																													obj_t
																														BgL_arg1955z00_1005;
																													obj_t
																														BgL_arg1956z00_1006;
																													{	/* Tvector/access.scm 162 */
																														obj_t
																															BgL_arg1486z00_1300;
																														BgL_arg1486z00_1300
																															=
																															SYMBOL_TO_STRING
																															(BgL_tvzd2ze3listz31_635);
																														BgL_arg1955z00_1005
																															=
																															BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																															(BgL_arg1486z00_1300);
																													}
																													{	/* Tvector/access.scm 162 */
																														obj_t
																															BgL_symbolz00_1301;
																														BgL_symbolz00_1301 =
																															((obj_t)
																															CNST_TABLE_REF
																															(18));
																														{	/* Tvector/access.scm 162 */
																															obj_t
																																BgL_arg1486z00_1302;
																															BgL_arg1486z00_1302
																																=
																																SYMBOL_TO_STRING
																																(BgL_symbolz00_1301);
																															BgL_arg1956z00_1006
																																=
																																BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																																(BgL_arg1486z00_1302);
																														}
																													}
																													BgL_arg1954z00_1004 =
																														string_append
																														(BgL_arg1955z00_1005,
																														BgL_arg1956z00_1006);
																												}
																												BgL_arg1950z00_1002 =
																													bstring_to_symbol
																													(BgL_arg1954z00_1004);
																											}
																											BgL_arg1953z00_1003 =
																												MAKE_YOUNG_PAIR
																												(BGl_makezd2typedzd2identz00zzast_identz00
																												(((obj_t)
																														CNST_TABLE_REF(19)),
																													BgL_tvzd2idzd2_620),
																												BNIL);
																											BgL_arg1947z00_1000 =
																												MAKE_YOUNG_PAIR
																												(BgL_arg1950z00_1002,
																												BgL_arg1953z00_1003);
																										}
																										{	/* Tvector/access.scm 164 */
																											obj_t BgL_arg1960z00_1008;

																											{	/* Tvector/access.scm 164 */
																												obj_t
																													BgL_arg1961z00_1009;
																												{	/* Tvector/access.scm 164 */
																													obj_t
																														BgL_arg1962z00_1010;
																													obj_t
																														BgL_arg1963z00_1011;
																													{	/* Tvector/access.scm 164 */
																														obj_t
																															BgL_arg1965z00_1012;
																														{	/* Tvector/access.scm 164 */
																															obj_t
																																BgL_arg1966z00_1013;
																															obj_t
																																BgL_arg1967z00_1014;
																															BgL_arg1966z00_1013
																																=
																																BGl_makezd2typedzd2identz00zzast_identz00
																																(((obj_t)
																																	CNST_TABLE_REF
																																	(20)),
																																BgL_intzd2typezd2idz00_638);
																															{	/* Tvector/access.scm 164 */
																																obj_t
																																	BgL_arg1968z00_1015;
																																{	/* Tvector/access.scm 164 */
																																	obj_t
																																		BgL_arg1969z00_1016;
																																	BgL_arg1969z00_1016
																																		=
																																		MAKE_YOUNG_PAIR
																																		(((obj_t)
																																			CNST_TABLE_REF
																																			(19)),
																																		BNIL);
																																	BgL_arg1968z00_1015
																																		=
																																		MAKE_YOUNG_PAIR
																																		(BgL_tvzd2lengthzd2idz00_636,
																																		BgL_arg1969z00_1016);
																																}
																																BgL_arg1967z00_1014
																																	=
																																	MAKE_YOUNG_PAIR
																																	(BgL_arg1968z00_1015,
																																	BNIL);
																															}
																															BgL_arg1965z00_1012
																																=
																																MAKE_YOUNG_PAIR
																																(BgL_arg1966z00_1013,
																																BgL_arg1967z00_1014);
																														}
																														BgL_arg1962z00_1010
																															=
																															MAKE_YOUNG_PAIR
																															(BgL_arg1965z00_1012,
																															BNIL);
																													}
																													{	/* Tvector/access.scm 165 */
																														obj_t
																															BgL_arg1970z00_1017;
																														{	/* Tvector/access.scm 165 */
																															obj_t
																																BgL_arg1971z00_1018;
																															{	/* Tvector/access.scm 165 */
																																obj_t
																																	BgL_arg1972z00_1019;
																																obj_t
																																	BgL_arg1973z00_1020;
																																{	/* Tvector/access.scm 165 */
																																	obj_t
																																		BgL_arg1974z00_1021;
																																	{	/* Tvector/access.scm 165 */
																																		obj_t
																																			BgL_arg1975z00_1022;
																																		BgL_arg1975z00_1022
																																			=
																																			MAKE_YOUNG_PAIR
																																			(BINT(0L),
																																			BNIL);
																																		BgL_arg1974z00_1021
																																			=
																																			MAKE_YOUNG_PAIR
																																			(((obj_t)
																																				CNST_TABLE_REF
																																				(20)),
																																			BgL_arg1975z00_1022);
																																	}
																																	BgL_arg1972z00_1019
																																		=
																																		MAKE_YOUNG_PAIR
																																		(((obj_t)
																																			CNST_TABLE_REF
																																			(21)),
																																		BgL_arg1974z00_1021);
																																}
																																{	/* Tvector/access.scm 166 */
																																	obj_t
																																		BgL_arg1976z00_1023;
																																	obj_t
																																		BgL_arg1978z00_1024;
																																	{	/* Tvector/access.scm 166 */
																																		obj_t
																																			BgL_arg1979z00_1025;
																																		BgL_arg1979z00_1025
																																			=
																																			MAKE_YOUNG_PAIR
																																			(BNIL,
																																			BNIL);
																																		BgL_arg1976z00_1023
																																			=
																																			MAKE_YOUNG_PAIR
																																			(((obj_t)
																																				CNST_TABLE_REF
																																				(15)),
																																			BgL_arg1979z00_1025);
																																	}
																																	{	/* Tvector/access.scm 167 */
																																		obj_t
																																			BgL_arg1980z00_1026;
																																		{	/* Tvector/access.scm 167 */
																																			obj_t
																																				BgL_arg1981z00_1027;
																																			{	/* Tvector/access.scm 167 */
																																				obj_t
																																					BgL_arg1982z00_1028;
																																				obj_t
																																					BgL_arg1983z00_1029;
																																				{	/* Tvector/access.scm 167 */
																																					obj_t
																																						BgL_arg1984z00_1030;
																																					{	/* Tvector/access.scm 167 */
																																						obj_t
																																							BgL_arg1985z00_1031;
																																						{	/* Tvector/access.scm 167 */
																																							obj_t
																																								BgL_arg1986z00_1032;
																																							obj_t
																																								BgL_arg1987z00_1033;
																																							{	/* Tvector/access.scm 167 */
																																								obj_t
																																									BgL_arg1988z00_1034;
																																								obj_t
																																									BgL_arg1989z00_1035;
																																								BgL_arg1988z00_1034
																																									=
																																									BGl_makezd2typedzd2identz00zzast_identz00
																																									(
																																									((obj_t) CNST_TABLE_REF(22)), BgL_intzd2typezd2idz00_638);
																																								BgL_arg1989z00_1035
																																									=
																																									MAKE_YOUNG_PAIR
																																									(
																																									((obj_t) CNST_TABLE_REF(23)), BNIL);
																																								BgL_arg1986z00_1032
																																									=
																																									MAKE_YOUNG_PAIR
																																									(BgL_arg1988z00_1034,
																																									BgL_arg1989z00_1035);
																																							}
																																							{	/* Tvector/access.scm 168 */
																																								obj_t
																																									BgL_arg1990z00_1036;
																																								{	/* Tvector/access.scm 168 */
																																									obj_t
																																										BgL_arg1991z00_1037;
																																									{	/* Tvector/access.scm 168 */
																																										obj_t
																																											BgL_arg1994z00_1038;
																																										obj_t
																																											BgL_arg1995z00_1039;
																																										{	/* Tvector/access.scm 168 */
																																											obj_t
																																												BgL_arg1998z00_1040;
																																											{	/* Tvector/access.scm 168 */
																																												obj_t
																																													BgL_arg1999z00_1041;
																																												BgL_arg1999z00_1041
																																													=
																																													MAKE_YOUNG_PAIR
																																													(BINT
																																													(0L),
																																													BNIL);
																																												BgL_arg1998z00_1040
																																													=
																																													MAKE_YOUNG_PAIR
																																													(
																																													((obj_t) CNST_TABLE_REF(22)), BgL_arg1999z00_1041);
																																											}
																																											BgL_arg1994z00_1038
																																												=
																																												MAKE_YOUNG_PAIR
																																												(
																																												((obj_t) CNST_TABLE_REF(21)), BgL_arg1998z00_1040);
																																										}
																																										{	/* Tvector/access.scm 169 */
																																											obj_t
																																												BgL_arg2000z00_1042;
																																											obj_t
																																												BgL_arg2001z00_1043;
																																											{	/* Tvector/access.scm 169 */
																																												obj_t
																																													BgL_arg2002z00_1044;
																																												{	/* Tvector/access.scm 169 */
																																													obj_t
																																														BgL_arg2003z00_1045;
																																													obj_t
																																														BgL_arg2004z00_1046;
																																													{	/* Tvector/access.scm 169 */
																																														obj_t
																																															BgL_arg2005z00_1047;
																																														{	/* Tvector/access.scm 169 */
																																															obj_t
																																																BgL_arg2006z00_1048;
																																															BgL_arg2006z00_1048
																																																=
																																																MAKE_YOUNG_PAIR
																																																(
																																																((obj_t) CNST_TABLE_REF(22)), BNIL);
																																															BgL_arg2005z00_1047
																																																=
																																																MAKE_YOUNG_PAIR
																																																(
																																																((obj_t) CNST_TABLE_REF(19)), BgL_arg2006z00_1048);
																																														}
																																														BgL_arg2003z00_1045
																																															=
																																															MAKE_YOUNG_PAIR
																																															(BgL_tvzd2refzd2idz00_630,
																																															BgL_arg2005z00_1047);
																																													}
																																													BgL_arg2004z00_1046
																																														=
																																														MAKE_YOUNG_PAIR
																																														(
																																														((obj_t) CNST_TABLE_REF(24)), BNIL);
																																													BgL_arg2002z00_1044
																																														=
																																														MAKE_YOUNG_PAIR
																																														(BgL_arg2003z00_1045,
																																														BgL_arg2004z00_1046);
																																												}
																																												BgL_arg2000z00_1042
																																													=
																																													MAKE_YOUNG_PAIR
																																													(
																																													((obj_t) CNST_TABLE_REF(25)), BgL_arg2002z00_1044);
																																											}
																																											{	/* Tvector/access.scm 170 */
																																												obj_t
																																													BgL_arg2007z00_1049;
																																												{	/* Tvector/access.scm 170 */
																																													obj_t
																																														BgL_arg2008z00_1050;
																																													{	/* Tvector/access.scm 170 */
																																														obj_t
																																															BgL_arg2009z00_1051;
																																														obj_t
																																															BgL_arg2010z00_1052;
																																														{	/* Tvector/access.scm 170 */
																																															obj_t
																																																BgL_arg2011z00_1053;
																																															{	/* Tvector/access.scm 170 */
																																																obj_t
																																																	BgL_arg2012z00_1054;
																																																BgL_arg2012z00_1054
																																																	=
																																																	MAKE_YOUNG_PAIR
																																																	(BINT
																																																	(1L),
																																																	BNIL);
																																																BgL_arg2011z00_1053
																																																	=
																																																	MAKE_YOUNG_PAIR
																																																	(
																																																	((obj_t) CNST_TABLE_REF(22)), BgL_arg2012z00_1054);
																																															}
																																															BgL_arg2009z00_1051
																																																=
																																																MAKE_YOUNG_PAIR
																																																(
																																																((obj_t) CNST_TABLE_REF(26)), BgL_arg2011z00_1053);
																																														}
																																														{	/* Tvector/access.scm 171 */
																																															obj_t
																																																BgL_arg2013z00_1055;
																																															{	/* Tvector/access.scm 171 */
																																																obj_t
																																																	BgL_arg2014z00_1056;
																																																{	/* Tvector/access.scm 171 */
																																																	obj_t
																																																		BgL_arg2015z00_1057;
																																																	obj_t
																																																		BgL_arg2016z00_1058;
																																																	{	/* Tvector/access.scm 171 */
																																																		obj_t
																																																			BgL_arg2017z00_1059;
																																																		{	/* Tvector/access.scm 171 */
																																																			obj_t
																																																				BgL_arg2018z00_1060;
																																																			BgL_arg2018z00_1060
																																																				=
																																																				MAKE_YOUNG_PAIR
																																																				(
																																																				((obj_t) CNST_TABLE_REF(22)), BNIL);
																																																			BgL_arg2017z00_1059
																																																				=
																																																				MAKE_YOUNG_PAIR
																																																				(
																																																				((obj_t) CNST_TABLE_REF(19)), BgL_arg2018z00_1060);
																																																		}
																																																		BgL_arg2015z00_1057
																																																			=
																																																			MAKE_YOUNG_PAIR
																																																			(BgL_tvzd2refzd2idz00_630,
																																																			BgL_arg2017z00_1059);
																																																	}
																																																	BgL_arg2016z00_1058
																																																		=
																																																		MAKE_YOUNG_PAIR
																																																		(
																																																		((obj_t) CNST_TABLE_REF(24)), BNIL);
																																																	BgL_arg2014z00_1056
																																																		=
																																																		MAKE_YOUNG_PAIR
																																																		(BgL_arg2015z00_1057,
																																																		BgL_arg2016z00_1058);
																																																}
																																																BgL_arg2013z00_1055
																																																	=
																																																	MAKE_YOUNG_PAIR
																																																	(
																																																	((obj_t) CNST_TABLE_REF(25)), BgL_arg2014z00_1056);
																																															}
																																															BgL_arg2010z00_1052
																																																=
																																																MAKE_YOUNG_PAIR
																																																(BgL_arg2013z00_1055,
																																																BNIL);
																																														}
																																														BgL_arg2008z00_1050
																																															=
																																															MAKE_YOUNG_PAIR
																																															(BgL_arg2009z00_1051,
																																															BgL_arg2010z00_1052);
																																													}
																																													BgL_arg2007z00_1049
																																														=
																																														MAKE_YOUNG_PAIR
																																														(
																																														((obj_t) CNST_TABLE_REF(27)), BgL_arg2008z00_1050);
																																												}
																																												BgL_arg2001z00_1043
																																													=
																																													MAKE_YOUNG_PAIR
																																													(BgL_arg2007z00_1049,
																																													BNIL);
																																											}
																																											BgL_arg1995z00_1039
																																												=
																																												MAKE_YOUNG_PAIR
																																												(BgL_arg2000z00_1042,
																																												BgL_arg2001z00_1043);
																																										}
																																										BgL_arg1991z00_1037
																																											=
																																											MAKE_YOUNG_PAIR
																																											(BgL_arg1994z00_1038,
																																											BgL_arg1995z00_1039);
																																									}
																																									BgL_arg1990z00_1036
																																										=
																																										MAKE_YOUNG_PAIR
																																										(
																																										((obj_t) CNST_TABLE_REF(28)), BgL_arg1991z00_1037);
																																								}
																																								BgL_arg1987z00_1033
																																									=
																																									MAKE_YOUNG_PAIR
																																									(BgL_arg1990z00_1036,
																																									BNIL);
																																							}
																																							BgL_arg1985z00_1031
																																								=
																																								MAKE_YOUNG_PAIR
																																								(BgL_arg1986z00_1032,
																																								BgL_arg1987z00_1033);
																																						}
																																						BgL_arg1984z00_1030
																																							=
																																							MAKE_YOUNG_PAIR
																																							(((obj_t) CNST_TABLE_REF(29)), BgL_arg1985z00_1031);
																																					}
																																					BgL_arg1982z00_1028
																																						=
																																						MAKE_YOUNG_PAIR
																																						(BgL_arg1984z00_1030,
																																						BNIL);
																																				}
																																				{	/* Tvector/access.scm 172 */
																																					obj_t
																																						BgL_arg2019z00_1061;
																																					{	/* Tvector/access.scm 172 */
																																						obj_t
																																							BgL_arg2021z00_1062;
																																						{	/* Tvector/access.scm 172 */
																																							obj_t
																																								BgL_arg2022z00_1063;
																																							obj_t
																																								BgL_arg2023z00_1064;
																																							{	/* Tvector/access.scm 172 */
																																								obj_t
																																									BgL_arg2024z00_1065;
																																								{	/* Tvector/access.scm 172 */
																																									obj_t
																																										BgL_arg2025z00_1066;
																																									BgL_arg2025z00_1066
																																										=
																																										MAKE_YOUNG_PAIR
																																										(BINT
																																										(1L),
																																										BNIL);
																																									BgL_arg2024z00_1065
																																										=
																																										MAKE_YOUNG_PAIR
																																										(
																																										((obj_t) CNST_TABLE_REF(20)), BgL_arg2025z00_1066);
																																								}
																																								BgL_arg2022z00_1063
																																									=
																																									MAKE_YOUNG_PAIR
																																									(
																																									((obj_t) CNST_TABLE_REF(26)), BgL_arg2024z00_1065);
																																							}
																																							{	/* Tvector/access.scm 172 */
																																								obj_t
																																									BgL_arg2026z00_1067;
																																								{	/* Tvector/access.scm 172 */
																																									obj_t
																																										BgL_arg2027z00_1068;
																																									BgL_arg2027z00_1068
																																										=
																																										MAKE_YOUNG_PAIR
																																										(BNIL,
																																										BNIL);
																																									BgL_arg2026z00_1067
																																										=
																																										MAKE_YOUNG_PAIR
																																										(
																																										((obj_t) CNST_TABLE_REF(15)), BgL_arg2027z00_1068);
																																								}
																																								BgL_arg2023z00_1064
																																									=
																																									MAKE_YOUNG_PAIR
																																									(BgL_arg2026z00_1067,
																																									BNIL);
																																							}
																																							BgL_arg2021z00_1062
																																								=
																																								MAKE_YOUNG_PAIR
																																								(BgL_arg2022z00_1063,
																																								BgL_arg2023z00_1064);
																																						}
																																						BgL_arg2019z00_1061
																																							=
																																							MAKE_YOUNG_PAIR
																																							(((obj_t) CNST_TABLE_REF(27)), BgL_arg2021z00_1062);
																																					}
																																					BgL_arg1983z00_1029
																																						=
																																						MAKE_YOUNG_PAIR
																																						(BgL_arg2019z00_1061,
																																						BNIL);
																																				}
																																				BgL_arg1981z00_1027
																																					=
																																					MAKE_YOUNG_PAIR
																																					(BgL_arg1982z00_1028,
																																					BgL_arg1983z00_1029);
																																			}
																																			BgL_arg1980z00_1026
																																				=
																																				MAKE_YOUNG_PAIR
																																				(((obj_t) CNST_TABLE_REF(30)), BgL_arg1981z00_1027);
																																		}
																																		BgL_arg1978z00_1024
																																			=
																																			MAKE_YOUNG_PAIR
																																			(BgL_arg1980z00_1026,
																																			BNIL);
																																	}
																																	BgL_arg1973z00_1020
																																		=
																																		MAKE_YOUNG_PAIR
																																		(BgL_arg1976z00_1023,
																																		BgL_arg1978z00_1024);
																																}
																																BgL_arg1971z00_1018
																																	=
																																	MAKE_YOUNG_PAIR
																																	(BgL_arg1972z00_1019,
																																	BgL_arg1973z00_1020);
																															}
																															BgL_arg1970z00_1017
																																=
																																MAKE_YOUNG_PAIR(
																																((obj_t)
																																	CNST_TABLE_REF
																																	(28)),
																																BgL_arg1971z00_1018);
																														}
																														BgL_arg1963z00_1011
																															=
																															MAKE_YOUNG_PAIR
																															(BgL_arg1970z00_1017,
																															BNIL);
																													}
																													BgL_arg1961z00_1009 =
																														MAKE_YOUNG_PAIR
																														(BgL_arg1962z00_1010,
																														BgL_arg1963z00_1011);
																												}
																												BgL_arg1960z00_1008 =
																													MAKE_YOUNG_PAIR(
																													((obj_t)
																														CNST_TABLE_REF(31)),
																													BgL_arg1961z00_1009);
																											}
																											BgL_arg1948z00_1001 =
																												MAKE_YOUNG_PAIR
																												(BgL_arg1960z00_1008,
																												BNIL);
																										}
																										BgL_arg1946z00_999 =
																											MAKE_YOUNG_PAIR
																											(BgL_arg1947z00_1000,
																											BgL_arg1948z00_1001);
																									}
																									BgL_arg1309z00_745 =
																										MAKE_YOUNG_PAIR(
																										((obj_t)
																											CNST_TABLE_REF(32)),
																										BgL_arg1946z00_999);
																								}
																								{	/* Tvector/access.scm 230 */
																									obj_t BgL_list1310z00_746;

																									{	/* Tvector/access.scm 230 */
																										obj_t BgL_arg1311z00_747;

																										{	/* Tvector/access.scm 230 */
																											obj_t BgL_arg1313z00_748;

																											{	/* Tvector/access.scm 230 */
																												obj_t
																													BgL_arg1314z00_749;
																												{	/* Tvector/access.scm 230 */
																													obj_t
																														BgL_arg1315z00_750;
																													{	/* Tvector/access.scm 230 */
																														obj_t
																															BgL_arg1316z00_751;
																														{	/* Tvector/access.scm 230 */
																															obj_t
																																BgL_arg1317z00_752;
																															{	/* Tvector/access.scm 230 */
																																obj_t
																																	BgL_arg1318z00_753;
																																{	/* Tvector/access.scm 230 */
																																	obj_t
																																		BgL_arg1319z00_754;
																																	{	/* Tvector/access.scm 230 */
																																		obj_t
																																			BgL_arg1320z00_755;
																																		BgL_arg1320z00_755
																																			=
																																			MAKE_YOUNG_PAIR
																																			(BgL_arg1309z00_745,
																																			BNIL);
																																		BgL_arg1319z00_754
																																			=
																																			MAKE_YOUNG_PAIR
																																			(BgL_arg1305z00_744,
																																			BgL_arg1320z00_755);
																																	}
																																	BgL_arg1318z00_753
																																		=
																																		MAKE_YOUNG_PAIR
																																		(BgL_arg1304z00_743,
																																		BgL_arg1319z00_754);
																																}
																																BgL_arg1317z00_752
																																	=
																																	MAKE_YOUNG_PAIR
																																	(BgL_arg1303z00_742,
																																	BgL_arg1318z00_753);
																															}
																															BgL_arg1316z00_751
																																=
																																MAKE_YOUNG_PAIR
																																(BgL_arg1302z00_741,
																																BgL_arg1317z00_752);
																														}
																														BgL_arg1315z00_750 =
																															MAKE_YOUNG_PAIR
																															(BgL_arg1301z00_740,
																															BgL_arg1316z00_751);
																													}
																													BgL_arg1314z00_749 =
																														MAKE_YOUNG_PAIR
																														(BgL_arg1299z00_739,
																														BgL_arg1315z00_750);
																												}
																												BgL_arg1313z00_748 =
																													MAKE_YOUNG_PAIR
																													(BgL_arg1298z00_738,
																													BgL_arg1314z00_749);
																											}
																											BgL_arg1311z00_747 =
																												MAKE_YOUNG_PAIR
																												(BgL_arg1297z00_737,
																												BgL_arg1313z00_748);
																										}
																										BgL_list1310z00_746 =
																											MAKE_YOUNG_PAIR
																											(BgL_arg1296z00_736,
																											BgL_arg1311z00_747);
																									}
																									return BgL_list1310z00_746;
																								}
																							}
																						}
																					}
																				}
																			}
																		}
																	}
																}
															}
														}
													}
												}
											}
										}
									}
								}
							}
						}
					}
				}
			}
		}

	}



/* allocate-tvector~0 */
	obj_t BGl_allocatezd2tvectorze70z35zztvector_accessz00(obj_t
		BgL_itemzd2namezd2_1333)
	{
		{	/* Tvector/access.scm 118 */
			{	/* Tvector/access.scm 116 */
				bool_t BgL_test2149z00_2238;

				{	/* Tvector/access.scm 116 */
					bool_t BgL_test2150z00_2239;

					{	/* Tvector/access.scm 116 */
						long BgL_l1z00_1273;

						BgL_l1z00_1273 = STRING_LENGTH(((obj_t) BgL_itemzd2namezd2_1333));
						if ((BgL_l1z00_1273 == 6L))
							{	/* Tvector/access.scm 116 */
								int BgL_arg1343z00_1276;

								{	/* Tvector/access.scm 116 */
									char *BgL_auxz00_2247;
									char *BgL_tmpz00_2244;

									BgL_auxz00_2247 =
										BSTRING_TO_STRING(BGl_string2116z00zztvector_accessz00);
									BgL_tmpz00_2244 =
										BSTRING_TO_STRING(((obj_t) BgL_itemzd2namezd2_1333));
									BgL_arg1343z00_1276 =
										memcmp(BgL_tmpz00_2244, BgL_auxz00_2247, BgL_l1z00_1273);
								}
								BgL_test2150z00_2239 = ((long) (BgL_arg1343z00_1276) == 0L);
							}
						else
							{	/* Tvector/access.scm 116 */
								BgL_test2150z00_2239 = ((bool_t) 0);
							}
					}
					if (BgL_test2150z00_2239)
						{	/* Tvector/access.scm 116 */
							BgL_test2149z00_2238 = ((bool_t) 1);
						}
					else
						{	/* Tvector/access.scm 116 */
							long BgL_l1z00_1284;

							BgL_l1z00_1284 = STRING_LENGTH(((obj_t) BgL_itemzd2namezd2_1333));
							if ((BgL_l1z00_1284 == 5L))
								{	/* Tvector/access.scm 116 */
									int BgL_arg1343z00_1287;

									{	/* Tvector/access.scm 116 */
										char *BgL_auxz00_2259;
										char *BgL_tmpz00_2256;

										BgL_auxz00_2259 =
											BSTRING_TO_STRING(BGl_string2117z00zztvector_accessz00);
										BgL_tmpz00_2256 =
											BSTRING_TO_STRING(((obj_t) BgL_itemzd2namezd2_1333));
										BgL_arg1343z00_1287 =
											memcmp(BgL_tmpz00_2256, BgL_auxz00_2259, BgL_l1z00_1284);
									}
									BgL_test2149z00_2238 = ((long) (BgL_arg1343z00_1287) == 0L);
								}
							else
								{	/* Tvector/access.scm 116 */
									BgL_test2149z00_2238 = ((bool_t) 0);
								}
						}
				}
				if (BgL_test2149z00_2238)
					{	/* Tvector/access.scm 116 */
						return BGl_string2118z00zztvector_accessz00;
					}
				else
					{	/* Tvector/access.scm 116 */
						return BGl_string2119z00zztvector_accessz00;
					}
			}
		}

	}



/* &make-tvector-accesses */
	obj_t BGl_z62makezd2tvectorzd2accessesz62zztvector_accessz00(obj_t
		BgL_envz00_1329, obj_t BgL_tvz00_1330, obj_t BgL_srcz00_1331,
		obj_t BgL_importz00_1332)
	{
		{	/* Tvector/access.scm 34 */
			return
				BGl_makezd2tvectorzd2accessesz00zztvector_accessz00(
				((BgL_typez00_bglt) BgL_tvz00_1330), BgL_srcz00_1331,
				CBOOL(BgL_importz00_1332));
		}

	}



/* get-tvector-length-type */
	BgL_typez00_bglt BGl_getzd2tvectorzd2lengthzd2typezd2zztvector_accessz00(void)
	{
		{	/* Tvector/access.scm 244 */
			if (CBOOL(BGl_za2tvectorzd2lengthza2zd2zztvector_accessz00))
				{	/* Tvector/access.scm 245 */
					BFALSE;
				}
			else
				{	/* Tvector/access.scm 245 */
					BGl_za2tvectorzd2lengthza2zd2zztvector_accessz00 =
						BGl_getzd2globalzf2modulez20zzast_envz00(
						((obj_t) CNST_TABLE_REF(55)), ((obj_t) CNST_TABLE_REF(56)));
				}
			{	/* Tvector/access.scm 247 */
				BgL_globalz00_bglt BgL_oz00_1327;

				BgL_oz00_1327 =
					((BgL_globalz00_bglt)
					BGl_za2tvectorzd2lengthza2zd2zztvector_accessz00);
				return (((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
								BgL_oz00_1327)))->BgL_typez00);
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zztvector_accessz00(void)
	{
		{	/* Tvector/access.scm 15 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zztvector_accessz00(void)
	{
		{	/* Tvector/access.scm 15 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zztvector_accessz00(void)
	{
		{	/* Tvector/access.scm 15 */
			return BUNSPEC;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zztvector_accessz00(void)
	{
		{	/* Tvector/access.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_miscz00(9470071L,
				BSTRING_TO_STRING(BGl_string2120z00zztvector_accessz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(515343395L,
				BSTRING_TO_STRING(BGl_string2120z00zztvector_accessz00));
			BGl_modulezd2initializa7ationz75zztype_envz00(296457443L,
				BSTRING_TO_STRING(BGl_string2120z00zztvector_accessz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(161876678L,
				BSTRING_TO_STRING(BGl_string2120z00zztvector_accessz00));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(216206620L,
				BSTRING_TO_STRING(BGl_string2120z00zztvector_accessz00));
			BGl_modulezd2initializa7ationz75zztvector_tvectorz00(501518119L,
				BSTRING_TO_STRING(BGl_string2120z00zztvector_accessz00));
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(158397907L,
				BSTRING_TO_STRING(BGl_string2120z00zztvector_accessz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(300504031L,
				BSTRING_TO_STRING(BGl_string2120z00zztvector_accessz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(365925558L,
				BSTRING_TO_STRING(BGl_string2120z00zztvector_accessz00));
			BGl_modulezd2initializa7ationz75zzast_identz00(174885617L,
				BSTRING_TO_STRING(BGl_string2120z00zztvector_accessz00));
			BGl_modulezd2initializa7ationz75zzast_privatez00(135263837L,
				BSTRING_TO_STRING(BGl_string2120z00zztvector_accessz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(90839984L,
				BSTRING_TO_STRING(BGl_string2120z00zztvector_accessz00));
			return
				BGl_modulezd2initializa7ationz75zzast_envz00(146730773L,
				BSTRING_TO_STRING(BGl_string2120z00zztvector_accessz00));
		}

	}

#ifdef __cplusplus
}
#endif
