/*===========================================================================*/
/*   (Llib/flac.scm)                                                         */
/*   Bigloo (4.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Jan 27 07:55:05 AM CET 2025     */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.6a-build/bigloo-4.6a/bin/bigloo -ldopt -L/builddir/build/BUILD/bigloo-4.6a-build/bigloo-4.6a/libbacktrace/usr/lib64/bigloo/4.6a  -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo-4.6a-build/bigloo-4.6a/lib/bigloo/4.6a -I Llib -lib-dir /builddir/build/BUILD/bigloo-4.6a-build/bigloo-4.6a/lib/bigloo/4.6a -unsafe -safee -srfi flac -copt  -DBGL_DUMMY -copt -fPIC -copt -IClib Llib/flac.scm -o objs/flac.o -c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>
#include <FLAC/stream_decoder.h>
#include <bglflac.h>

#ifdef __cplusplus
extern "C" {
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL___FLAC_FLAC_TYPE_DEFINITIONS
#define BGL___FLAC_FLAC_TYPE_DEFINITIONS

/* object type definitions */
typedef struct BgL_z62errorz62_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_stackz00;
   obj_t BgL_procz00;
   obj_t BgL_msgz00;
   obj_t BgL_objz00;
} *BgL_z62errorz62_bglt;

typedef struct BgL_z62exceptionz62_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_stackz00;
} *BgL_z62exceptionz62_bglt;

typedef struct BgL_flaczd2decoderzd2_bgl {
   header_t header;
   obj_t widening;
   FLAC__StreamDecoder * BgL_z42builtinz42;
   obj_t BgL_z52flacbufz52;
   obj_t BgL_outbufz00;
   bool_t BgL_z52eofz52;
   long BgL_z52samplez52;
   double BgL_z52volumez52;
   bool_t BgL_md5checkz00;
   int BgL_z52bchecksumz52;
   int BgL_z52rchecksumz52;
} *BgL_flaczd2decoderzd2_bglt;

typedef struct BgL_z62flaczd2errorzb0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_stackz00;
   obj_t BgL_procz00;
   obj_t BgL_msgz00;
   obj_t BgL_objz00;
} *BgL_z62flaczd2errorzb0_bglt;


#endif // BGL___FLAC_FLAC_TYPE_DEFINITIONS
#endif // BGL_MODULE_TYPE_DEFINITIONS

static obj_t BGl_z62zc3z04anonymousza31200ze3ze5zz__flac_flacz00(obj_t);
BGL_EXPORTED_DECL obj_t bgl_flac_decoder_tell(BgL_flaczd2decoderzd2_bglt);
static obj_t BGl_requirezd2initializa7ationz75zz__flac_flacz00 = BUNSPEC;
BGL_IMPORT obj_t BGl_raisez00zz__errorz00(obj_t);
static obj_t BGl_z62flaczd2decoderzd2seekz62zz__flac_flacz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL FLAC__StreamDecoder * BGl_z52z42flaczd2decoderzd2newz10zz__flac_flacz00(void);
BGL_IMPORT obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62flaczd2decoderzd2tell1130z62zz__flac_flacz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_toplevelzd2initzd2zz__flac_flacz00(void);
static obj_t BGl_z62flaczd2decoderzd2write1126z62zz__flac_flacz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62z52z42flaczd2makezd2customz72zz__flac_flacz00(obj_t);
static obj_t BGl_genericzd2initzd2zz__flac_flacz00(void);
static obj_t BGl_z62flaczd2error1686zb0zz__flac_flacz00(obj_t, obj_t, obj_t, obj_t);
static FLAC__bool BGl_flaczd2decoderzd2decode11120ze70ze7zz__flac_flacz00(BgL_flaczd2decoderzd2_bglt);
BGL_EXPORTED_DECL int bgl_flac_error(char *, char *, obj_t);
static obj_t BGl_z62flaczd2decoderzd2resetz12z70zz__flac_flacz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t, bool_t, bool_t, obj_t, obj_t, obj_t);
static obj_t BGl_objectzd2initzd2zz__flac_flacz00(void);
BGL_IMPORT obj_t BGl_2za2za2zz__r4_numbers_6_5z00(obj_t, obj_t);
static obj_t BGl_z62flaczd2volumezd2setz121142z70zz__flac_flacz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t bgl_flac_decoder_length(BgL_flaczd2decoderzd2_bglt);
BGL_IMPORT obj_t bgl_bignum_mul(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31231ze3ze5zz__flac_flacz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31223ze3ze5zz__flac_flacz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31207ze3ze5zz__flac_flacz00(obj_t);
BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
static obj_t BGl_z62flaczd2decoderzd2resetz121122z70zz__flac_flacz00(obj_t, obj_t);
static obj_t BGl_z62flaczd2decoderzd2writez62zz__flac_flacz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31216ze3ze5zz__flac_flacz00(obj_t);
BGL_EXPORTED_DEF obj_t BGl_z62flaczd2errorzb0zz__flac_flacz00 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza31241ze3ze5zz__flac_flacz00(obj_t);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
static obj_t BGl_z62flaczd2decoderzd2positio1138z62zz__flac_flacz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t bgl_flac_decoder_metadata(BgL_flaczd2decoderzd2_bglt, BGL_LONGLONG_T, long, long, long);
BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t, obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zz__flac_flacz00(void);
BGL_EXPORTED_DECL long BGl_flaczd2decoderzd2infoz00zz__flac_flacz00(BgL_flaczd2decoderzd2_bglt);
static obj_t BGl_z62flaczd2decoderzd2metadat1128z62zz__flac_flacz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62flaczd2decoderzd2tellz62zz__flac_flacz00(obj_t, obj_t);
BGL_IMPORT obj_t make_string(long, unsigned char);
BGL_IMPORT obj_t bgl_long_to_bignum(long);
BGL_EXPORTED_DECL obj_t BGl_flaczd2decoderzd2resetz12z12zz__flac_flacz00(BgL_flaczd2decoderzd2_bglt);
static obj_t BGl_z62flaczd2decoderzd2metadataz62zz__flac_flacz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31181ze3ze5zz__flac_flacz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_flaczd2decoderzd2initz00zz__flac_flacz00(BgL_flaczd2decoderzd2_bglt);
BGL_EXPORTED_DECL obj_t bgl_flac_decoder_read(BgL_flaczd2decoderzd2_bglt, long);
BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1205z62zz__flac_flacz00(obj_t, obj_t);
static obj_t BGl_z62lambda1206z62zz__flac_flacz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_flaczd2decoderzd2decode16z00zz__flac_flacz00(BgL_flaczd2decoderzd2_bglt);
static obj_t BGl_z62flaczd2decoderzd2closez62zz__flac_flacz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31191ze3ze5zz__flac_flacz00(obj_t);
static obj_t BGl_z62lambda1214z62zz__flac_flacz00(obj_t, obj_t);
static obj_t BGl_z62lambda1215z62zz__flac_flacz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62flaczd2decoderzd2decode11120z62zz__flac_flacz00(obj_t, obj_t);
static obj_t BGl_z62lambda1221z62zz__flac_flacz00(obj_t, obj_t);
static obj_t BGl_z62lambda1222z62zz__flac_flacz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31362ze3ze5zz__flac_flacz00(obj_t, obj_t);
static obj_t BGl_z62lambda1229z62zz__flac_flacz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_flaczd2volumezd2setz12z12zz__flac_flacz00(BgL_flaczd2decoderzd2_bglt, obj_t);
static obj_t BGl_z62lambda1230z62zz__flac_flacz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1239z62zz__flac_flacz00(obj_t, obj_t);
BGL_EXPORTED_DECL long BGl_flaczd2decoderzd2positionz00zz__flac_flacz00(BgL_flaczd2decoderzd2_bglt);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__flac_flacz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__multimediazd2musiczd2(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__customz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bignumz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
static obj_t BGl_z62lambda1240z62zz__flac_flacz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_z62errorz62zz__objectz00;
BGL_EXPORTED_DECL obj_t BGl_z52z42flaczd2makezd2customz10zz__flac_flacz00(void);
static obj_t BGl_z62zc3z04anonymousza31267ze3ze5zz__flac_flacz00(obj_t);
static obj_t BGl_z62objectzd2printzd2flaczd2de1113zb0zz__flac_flacz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62flaczd2decoderzd2decode16z62zz__flac_flacz00(obj_t, obj_t);
static BgL_flaczd2decoderzd2_bglt BGl_z62lambda1176z62zz__flac_flacz00(obj_t);
static obj_t BGl_z62flaczd2decoderzd2seek1132z62zz__flac_flacz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62z52z42flaczd2decoderzd2newz72zz__flac_flacz00(obj_t);
static obj_t BGl_z62flaczd2decoderzd2decodez62zz__flac_flacz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t bgl_flac_decoder_write(BgL_flaczd2decoderzd2_bglt, long, long, long, long);
static obj_t BGl_z62lambda1265z62zz__flac_flacz00(obj_t, obj_t);
static obj_t BGl_z62lambda1266z62zz__flac_flacz00(obj_t, obj_t, obj_t);
static obj_t BGl_cnstzd2initzd2zz__flac_flacz00(void);
BGL_EXPORTED_DEF obj_t BGl_flaczd2decoderzd2zz__flac_flacz00 = BUNSPEC;
static obj_t BGl_z62lambda1189z62zz__flac_flacz00(obj_t, obj_t);
static obj_t BGl_z62flaczd2decoderzd2decode1118z62zz__flac_flacz00(obj_t, obj_t);
static obj_t BGl_libraryzd2moduleszd2initz00zz__flac_flacz00(void);
BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t bgl_flac_decoder_seek(BgL_flaczd2decoderzd2_bglt, BGL_LONGLONG_T);
static obj_t BGl_gczd2rootszd2initz00zz__flac_flacz00(void);
static obj_t BGl_z62lambda1190z62zz__flac_flacz00(obj_t, obj_t, obj_t);
static BgL_z62flaczd2errorzb0_bglt BGl_z62lambda1356z62zz__flac_flacz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1198z62zz__flac_flacz00(obj_t, obj_t);
static obj_t BGl_z62lambda1199z62zz__flac_flacz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t bgl_custom_nil(void);
static obj_t BGl_z62flaczd2decoderzd2positionz62zz__flac_flacz00(obj_t, obj_t);
static BgL_z62flaczd2errorzb0_bglt BGl_z62lambda1360z62zz__flac_flacz00(obj_t);
BGL_IMPORT obj_t BGl_objectz00zz__objectz00;
static obj_t BGl_z62flaczd2decoderzd2infoz62zz__flac_flacz00(obj_t, obj_t);
static obj_t BGl_z62lambda1287z62zz__flac_flacz00(obj_t, obj_t);
static obj_t BGl_z62lambda1288z62zz__flac_flacz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62flaczd2volumezd2setz12z70zz__flac_flacz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62flaczd2decoderzd2close1116z62zz__flac_flacz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31385ze3ze5zz__flac_flacz00(obj_t);
BGL_IMPORT obj_t BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(obj_t);
BGL_IMPORT obj_t void_star_to_obj(void *);
static obj_t BGl_z62flaczd2decoderzd2length1134z62zz__flac_flacz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31289ze3ze5zz__flac_flacz00(obj_t);
static obj_t BGl_z62flaczd2decoderzd2info1136z62zz__flac_flacz00(obj_t, obj_t);
static obj_t BGl_z62flaczd2volumezd2get1140z62zz__flac_flacz00(obj_t, obj_t);
static obj_t BGl_z62flaczd2decoderzd2initz62zz__flac_flacz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62flaczd2decoderzd2init1114z62zz__flac_flacz00(obj_t, obj_t);
static obj_t BGl_z62flaczd2decoderzd2readz62zz__flac_flacz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62flaczd2decoderzd2read1124z62zz__flac_flacz00(obj_t, obj_t, obj_t);
static FLAC__bool BGl_flaczd2decoderzd2decode1118ze70ze7zz__flac_flacz00(BgL_flaczd2decoderzd2_bglt);
BGL_EXPORTED_DECL obj_t BGl_flaczd2decoderzd2decodez00zz__flac_flacz00(BgL_flaczd2decoderzd2_bglt);
static obj_t BGl_z62zc3z04anonymousza31398ze3ze5zz__flac_flacz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_flaczd2decoderzd2closez00zz__flac_flacz00(BgL_flaczd2decoderzd2_bglt);
static obj_t BGl_flaczd2decoderzd2statezd2ze3symbolz31zz__flac_flacz00(FLAC__StreamDecoderState);
BGL_EXPORTED_DECL obj_t BGl_flaczd2volumezd2getz00zz__flac_flacz00(BgL_flaczd2decoderzd2_bglt);
static obj_t BGl_z62flaczd2volumezd2getz62zz__flac_flacz00(obj_t, obj_t);
static obj_t BGl_z62flaczd2decoderzd2lengthz62zz__flac_flacz00(obj_t, obj_t);
static obj_t __cnst[ 34 ] ;


DEFINE_EXPORT_BGL_GENERIC( BGl_flaczd2decoderzd2decodezd2envzd2zz__flac_flacz00, BgL_bgl_za762flacza7d2decode1855z00, BGl_z62flaczd2decoderzd2decodez62zz__flac_flacz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_GENERIC( BGl_flaczd2volumezd2setz12zd2envzc0zz__flac_flacz00, BgL_bgl_za762flacza7d2volume1856z00, BGl_z62flaczd2volumezd2setz12z70zz__flac_flacz00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_GENERIC( BGl_flaczd2decoderzd2metadatazd2envzd2zz__flac_flacz00, BgL_bgl_za762flacza7d2decode1857z00, BGl_z62flaczd2decoderzd2metadataz62zz__flac_flacz00, 0L, BUNSPEC, 5 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_z52z42flaczd2decoderzd2newzd2envzc2zz__flac_flacz00, BgL_bgl_za762za752za742flacza7d21858z00, BGl_z62z52z42flaczd2decoderzd2newz72zz__flac_flacz00, 0L, BUNSPEC, 0 );
DEFINE_EXPORT_BGL_GENERIC( BGl_flaczd2decoderzd2lengthzd2envzd2zz__flac_flacz00, BgL_bgl_za762flacza7d2decode1859z00, BGl_z62flaczd2decoderzd2lengthz62zz__flac_flacz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1801z00zz__flac_flacz00, BgL_bgl_string1801za700za7za7_1860za7, "flac-decoder-info1136", 21 );
DEFINE_STRING( BGl_string1803z00zz__flac_flacz00, BgL_bgl_string1803za700za7za7_1861za7, "flac-decoder-positio1138", 24 );
DEFINE_STRING( BGl_string1805z00zz__flac_flacz00, BgL_bgl_string1805za700za7za7_1862za7, "flac-volume-get1140", 19 );
DEFINE_STRING( BGl_string1807z00zz__flac_flacz00, BgL_bgl_string1807za700za7za7_1863za7, "flac-volume-set!1142", 20 );
DEFINE_STRING( BGl_string1808z00zz__flac_flacz00, BgL_bgl_string1808za700za7za7_1864za7, "No method for this object", 25 );
DEFINE_STRING( BGl_string1809z00zz__flac_flacz00, BgL_bgl_string1809za700za7za7_1865za7, "&flac-decoder-init", 18 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1800z00zz__flac_flacz00, BgL_bgl_za762flacza7d2decode1866z00, BGl_z62flaczd2decoderzd2info1136z62zz__flac_flacz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1802z00zz__flac_flacz00, BgL_bgl_za762flacza7d2decode1867z00, BGl_z62flaczd2decoderzd2positio1138z62zz__flac_flacz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1810z00zz__flac_flacz00, BgL_bgl_string1810za700za7za7_1868za7, "flac-decoder", 12 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1804z00zz__flac_flacz00, BgL_bgl_za762flacza7d2volume1869z00, BGl_z62flaczd2volumezd2get1140z62zz__flac_flacz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1811z00zz__flac_flacz00, BgL_bgl_string1811za700za7za7_1870za7, "&flac-decoder-close", 19 );
DEFINE_STRING( BGl_string1812z00zz__flac_flacz00, BgL_bgl_string1812za700za7za7_1871za7, "&flac-decoder-decode", 20 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1806z00zz__flac_flacz00, BgL_bgl_za762flacza7d2volume1872z00, BGl_z62flaczd2volumezd2setz121142z70zz__flac_flacz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string1813z00zz__flac_flacz00, BgL_bgl_string1813za700za7za7_1873za7, "&flac-decoder-decode16", 22 );
DEFINE_STRING( BGl_string1814z00zz__flac_flacz00, BgL_bgl_string1814za700za7za7_1874za7, "&flac-decoder-reset!", 20 );
DEFINE_STRING( BGl_string1815z00zz__flac_flacz00, BgL_bgl_string1815za700za7za7_1875za7, "&flac-decoder-read", 18 );
DEFINE_STRING( BGl_string1816z00zz__flac_flacz00, BgL_bgl_string1816za700za7za7_1876za7, "bint", 4 );
DEFINE_STRING( BGl_string1817z00zz__flac_flacz00, BgL_bgl_string1817za700za7za7_1877za7, "&flac-decoder-write", 19 );
DEFINE_STRING( BGl_string1818z00zz__flac_flacz00, BgL_bgl_string1818za700za7za7_1878za7, "&flac-decoder-metadata", 22 );
DEFINE_STRING( BGl_string1819z00zz__flac_flacz00, BgL_bgl_string1819za700za7za7_1879za7, "bllong", 6 );
DEFINE_STRING( BGl_string1820z00zz__flac_flacz00, BgL_bgl_string1820za700za7za7_1880za7, "&flac-decoder-tell", 18 );
DEFINE_STRING( BGl_string1821z00zz__flac_flacz00, BgL_bgl_string1821za700za7za7_1881za7, "&flac-decoder-seek", 18 );
DEFINE_STRING( BGl_string1822z00zz__flac_flacz00, BgL_bgl_string1822za700za7za7_1882za7, "&flac-decoder-length", 20 );
DEFINE_STRING( BGl_string1741z00zz__flac_flacz00, BgL_bgl_string1741za700za7za7_1883za7, "Llib/flac.scm", 13 );
DEFINE_STRING( BGl_string1823z00zz__flac_flacz00, BgL_bgl_string1823za700za7za7_1884za7, "&flac-decoder-info", 18 );
DEFINE_STRING( BGl_string1742z00zz__flac_flacz00, BgL_bgl_string1742za700za7za7_1885za7, "/builddir/build/BUILD/bigloo-4.6a-build/bigloo-4.6a/api/flac/src/Llib/flac.scm", 78 );
DEFINE_STRING( BGl_string1824z00zz__flac_flacz00, BgL_bgl_string1824za700za7za7_1886za7, "&flac-decoder-position", 22 );
DEFINE_STRING( BGl_string1743z00zz__flac_flacz00, BgL_bgl_string1743za700za7za7_1887za7, "&flac-error1686", 15 );
DEFINE_STRING( BGl_string1825z00zz__flac_flacz00, BgL_bgl_string1825za700za7za7_1888za7, "&flac-volume-get", 16 );
DEFINE_STRING( BGl_string1744z00zz__flac_flacz00, BgL_bgl_string1744za700za7za7_1889za7, "bstring", 7 );
DEFINE_STRING( BGl_string1826z00zz__flac_flacz00, BgL_bgl_string1826za700za7za7_1890za7, "&flac-volume-set!", 17 );
DEFINE_STRING( BGl_string1828z00zz__flac_flacz00, BgL_bgl_string1828za700za7za7_1891za7, "object-print", 12 );
DEFINE_STRING( BGl_string1829z00zz__flac_flacz00, BgL_bgl_string1829za700za7za7_1892za7, "#|flac-decoder|", 15 );
DEFINE_STRING( BGl_string1830z00zz__flac_flacz00, BgL_bgl_string1830za700za7za7_1893za7, "#z4 flac-decoder-read1124 flac-decoder-write1126 flac-decoder-metadat1128 &flac-error __flac_flac flac-decoder %rchecksum int %bchecksum md5check double %volume long %sample bool %eof bstring outbuf custom %flacbuf $flac-decoder $builtin unknown stream-decoder-uninitialized stream-decoder-memory-allocation-error stream-decoder-aborted stream-decoder-seek-error STREAM-DECODER-OGG-ERROR stream-decoder-end-of-stream stream-decoder-read-frame stream-decoder-search-for-frame-sync stream-decoder-read-metadata decoder-search-for-metata ", 535 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1745z00zz__flac_flacz00, BgL_bgl_za762za7c3za704anonymo1894za7, BGl_z62zc3z04anonymousza31191ze3ze5zz__flac_flacz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1827z00zz__flac_flacz00, BgL_bgl_za762objectza7d2prin1895z00, BGl_z62objectzd2printzd2flaczd2de1113zb0zz__flac_flacz00, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1746z00zz__flac_flacz00, BgL_bgl_za762lambda1190za7621896z00, BGl_z62lambda1190z62zz__flac_flacz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1747z00zz__flac_flacz00, BgL_bgl_za762lambda1189za7621897z00, BGl_z62lambda1189z62zz__flac_flacz00, 0L, BUNSPEC, 1 );
BGL_IMPORT obj_t BGl_objectzd2printzd2envz00zz__objectz00;
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1748z00zz__flac_flacz00, BgL_bgl_za762za7c3za704anonymo1898za7, BGl_z62zc3z04anonymousza31200ze3ze5zz__flac_flacz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1749z00zz__flac_flacz00, BgL_bgl_za762lambda1199za7621899z00, BGl_z62lambda1199z62zz__flac_flacz00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_GENERIC( BGl_flaczd2decoderzd2closezd2envzd2zz__flac_flacz00, BgL_bgl_za762flacza7d2decode1900z00, BGl_z62flaczd2decoderzd2closez62zz__flac_flacz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1750z00zz__flac_flacz00, BgL_bgl_za762lambda1198za7621901z00, BGl_z62lambda1198z62zz__flac_flacz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1751z00zz__flac_flacz00, BgL_bgl_za762za7c3za704anonymo1902za7, BGl_z62zc3z04anonymousza31207ze3ze5zz__flac_flacz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1752z00zz__flac_flacz00, BgL_bgl_za762lambda1206za7621903z00, BGl_z62lambda1206z62zz__flac_flacz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1753z00zz__flac_flacz00, BgL_bgl_za762lambda1205za7621904z00, BGl_z62lambda1205z62zz__flac_flacz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_GENERIC( BGl_flaczd2decoderzd2seekzd2envzd2zz__flac_flacz00, BgL_bgl_za762flacza7d2decode1905z00, BGl_z62flaczd2decoderzd2seekz62zz__flac_flacz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1754z00zz__flac_flacz00, BgL_bgl_za762za7c3za704anonymo1906za7, BGl_z62zc3z04anonymousza31216ze3ze5zz__flac_flacz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1755z00zz__flac_flacz00, BgL_bgl_za762lambda1215za7621907z00, BGl_z62lambda1215z62zz__flac_flacz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1756z00zz__flac_flacz00, BgL_bgl_za762lambda1214za7621908z00, BGl_z62lambda1214z62zz__flac_flacz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1757z00zz__flac_flacz00, BgL_bgl_za762za7c3za704anonymo1909za7, BGl_z62zc3z04anonymousza31223ze3ze5zz__flac_flacz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1758z00zz__flac_flacz00, BgL_bgl_za762lambda1222za7621910z00, BGl_z62lambda1222z62zz__flac_flacz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1759z00zz__flac_flacz00, BgL_bgl_za762lambda1221za7621911z00, BGl_z62lambda1221z62zz__flac_flacz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1760z00zz__flac_flacz00, BgL_bgl_za762za7c3za704anonymo1912za7, BGl_z62zc3z04anonymousza31231ze3ze5zz__flac_flacz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1761z00zz__flac_flacz00, BgL_bgl_za762lambda1230za7621913z00, BGl_z62lambda1230z62zz__flac_flacz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1762z00zz__flac_flacz00, BgL_bgl_za762lambda1229za7621914z00, BGl_z62lambda1229z62zz__flac_flacz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1763z00zz__flac_flacz00, BgL_bgl_za762za7c3za704anonymo1915za7, BGl_z62zc3z04anonymousza31241ze3ze5zz__flac_flacz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1764z00zz__flac_flacz00, BgL_bgl_za762lambda1240za7621916z00, BGl_z62lambda1240z62zz__flac_flacz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1765z00zz__flac_flacz00, BgL_bgl_za762lambda1239za7621917z00, BGl_z62lambda1239z62zz__flac_flacz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1766z00zz__flac_flacz00, BgL_bgl_za762za7c3za704anonymo1918za7, BGl_z62zc3z04anonymousza31267ze3ze5zz__flac_flacz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1767z00zz__flac_flacz00, BgL_bgl_za762lambda1266za7621919z00, BGl_z62lambda1266z62zz__flac_flacz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1768z00zz__flac_flacz00, BgL_bgl_za762lambda1265za7621920z00, BGl_z62lambda1265z62zz__flac_flacz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1769z00zz__flac_flacz00, BgL_bgl_za762za7c3za704anonymo1921za7, BGl_z62zc3z04anonymousza31289ze3ze5zz__flac_flacz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string1777z00zz__flac_flacz00, BgL_bgl_string1777za700za7za7_1922za7, "", 0 );
DEFINE_STRING( BGl_string1779z00zz__flac_flacz00, BgL_bgl_string1779za700za7za7_1923za7, "flac-decoder-init1114", 21 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1770z00zz__flac_flacz00, BgL_bgl_za762lambda1288za7621924z00, BGl_z62lambda1288z62zz__flac_flacz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1771z00zz__flac_flacz00, BgL_bgl_za762lambda1287za7621925z00, BGl_z62lambda1287z62zz__flac_flacz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1772z00zz__flac_flacz00, BgL_bgl_za762za7c3za704anonymo1926za7, BGl_z62zc3z04anonymousza31181ze3ze5zz__flac_flacz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1773z00zz__flac_flacz00, BgL_bgl_za762lambda1176za7621927z00, BGl_z62lambda1176z62zz__flac_flacz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1774z00zz__flac_flacz00, BgL_bgl_za762za7c3za704anonymo1928za7, BGl_z62zc3z04anonymousza31362ze3ze5zz__flac_flacz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1781z00zz__flac_flacz00, BgL_bgl_string1781za700za7za7_1929za7, "flac-decoder-close1116", 22 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1775z00zz__flac_flacz00, BgL_bgl_za762lambda1360za7621930z00, BGl_z62lambda1360z62zz__flac_flacz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1776z00zz__flac_flacz00, BgL_bgl_za762lambda1356za7621931z00, BGl_z62lambda1356z62zz__flac_flacz00, 0L, BUNSPEC, 6 );
DEFINE_STRING( BGl_string1783z00zz__flac_flacz00, BgL_bgl_string1783za700za7za7_1932za7, "flac-decoder-decode1118", 23 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1778z00zz__flac_flacz00, BgL_bgl_za762flacza7d2decode1933z00, BGl_z62flaczd2decoderzd2init1114z62zz__flac_flacz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1785z00zz__flac_flacz00, BgL_bgl_string1785za700za7za7_1934za7, "flac-decoder-decode11120", 24 );
DEFINE_STRING( BGl_string1787z00zz__flac_flacz00, BgL_bgl_string1787za700za7za7_1935za7, "flac-decoder-reset!1122", 23 );
DEFINE_STRING( BGl_string1789z00zz__flac_flacz00, BgL_bgl_string1789za700za7za7_1936za7, "flac-decoder-read1124", 21 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1780z00zz__flac_flacz00, BgL_bgl_za762flacza7d2decode1937z00, BGl_z62flaczd2decoderzd2close1116z62zz__flac_flacz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1782z00zz__flac_flacz00, BgL_bgl_za762flacza7d2decode1938z00, BGl_z62flaczd2decoderzd2decode1118z62zz__flac_flacz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1784z00zz__flac_flacz00, BgL_bgl_za762flacza7d2decode1939z00, BGl_z62flaczd2decoderzd2decode11120z62zz__flac_flacz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1791z00zz__flac_flacz00, BgL_bgl_string1791za700za7za7_1940za7, "flac-decoder-write1126", 22 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1786z00zz__flac_flacz00, BgL_bgl_za762flacza7d2decode1941z00, BGl_z62flaczd2decoderzd2resetz121122z70zz__flac_flacz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1793z00zz__flac_flacz00, BgL_bgl_string1793za700za7za7_1942za7, "flac-decoder-metadat1128", 24 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1788z00zz__flac_flacz00, BgL_bgl_za762flacza7d2decode1943z00, BGl_z62flaczd2decoderzd2read1124z62zz__flac_flacz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string1795z00zz__flac_flacz00, BgL_bgl_string1795za700za7za7_1944za7, "flac-decoder-tell1130", 21 );
DEFINE_STRING( BGl_string1797z00zz__flac_flacz00, BgL_bgl_string1797za700za7za7_1945za7, "flac-decoder-seek1132", 21 );
DEFINE_STRING( BGl_string1799z00zz__flac_flacz00, BgL_bgl_string1799za700za7za7_1946za7, "flac-decoder-length1134", 23 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1790z00zz__flac_flacz00, BgL_bgl_za762flacza7d2decode1947z00, BGl_z62flaczd2decoderzd2write1126z62zz__flac_flacz00, 0L, BUNSPEC, 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1792z00zz__flac_flacz00, BgL_bgl_za762flacza7d2decode1948z00, BGl_z62flaczd2decoderzd2metadat1128z62zz__flac_flacz00, 0L, BUNSPEC, 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1794z00zz__flac_flacz00, BgL_bgl_za762flacza7d2decode1949z00, BGl_z62flaczd2decoderzd2tell1130z62zz__flac_flacz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1796z00zz__flac_flacz00, BgL_bgl_za762flacza7d2decode1950z00, BGl_z62flaczd2decoderzd2seek1132z62zz__flac_flacz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1798z00zz__flac_flacz00, BgL_bgl_za762flacza7d2decode1951z00, BGl_z62flaczd2decoderzd2length1134z62zz__flac_flacz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_GENERIC( BGl_flaczd2decoderzd2decode16zd2envzd2zz__flac_flacz00, BgL_bgl_za762flacza7d2decode1952z00, BGl_z62flaczd2decoderzd2decode16z62zz__flac_flacz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_GENERIC( BGl_flaczd2decoderzd2infozd2envzd2zz__flac_flacz00, BgL_bgl_za762flacza7d2decode1953z00, BGl_z62flaczd2decoderzd2infoz62zz__flac_flacz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_GENERIC( BGl_flaczd2decoderzd2resetz12zd2envzc0zz__flac_flacz00, BgL_bgl_za762flacza7d2decode1954z00, BGl_z62flaczd2decoderzd2resetz12z70zz__flac_flacz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_GENERIC( BGl_flaczd2decoderzd2initzd2envzd2zz__flac_flacz00, BgL_bgl_za762flacza7d2decode1955z00, BGl_z62flaczd2decoderzd2initz62zz__flac_flacz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_GENERIC( BGl_flaczd2decoderzd2readzd2envzd2zz__flac_flacz00, BgL_bgl_za762flacza7d2decode1956z00, BGl_z62flaczd2decoderzd2readz62zz__flac_flacz00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_GENERIC( BGl_flaczd2decoderzd2writezd2envzd2zz__flac_flacz00, BgL_bgl_za762flacza7d2decode1957z00, BGl_z62flaczd2decoderzd2writez62zz__flac_flacz00, 0L, BUNSPEC, 5 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_flaczd2errorzd2envz00zz__flac_flacz00, BgL_bgl_za762flacza7d2error11958z00, BGl_z62flaczd2error1686zb0zz__flac_flacz00, 0L, BUNSPEC, 3 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_z52z42flaczd2makezd2customzd2envzc2zz__flac_flacz00, BgL_bgl_za762za752za742flacza7d21959z00, BGl_z62z52z42flaczd2makezd2customz72zz__flac_flacz00, 0L, BUNSPEC, 0 );
DEFINE_EXPORT_BGL_GENERIC( BGl_flaczd2decoderzd2tellzd2envzd2zz__flac_flacz00, BgL_bgl_za762flacza7d2decode1960z00, BGl_z62flaczd2decoderzd2tellz62zz__flac_flacz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_GENERIC( BGl_flaczd2decoderzd2positionzd2envzd2zz__flac_flacz00, BgL_bgl_za762flacza7d2decode1961z00, BGl_z62flaczd2decoderzd2positionz62zz__flac_flacz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_GENERIC( BGl_flaczd2volumezd2getzd2envzd2zz__flac_flacz00, BgL_bgl_za762flacza7d2volume1962z00, BGl_z62flaczd2volumezd2getz62zz__flac_flacz00, 0L, BUNSPEC, 1 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__flac_flacz00) );
ADD_ROOT( (void *)(&BGl_z62flaczd2errorzb0zz__flac_flacz00) );
ADD_ROOT( (void *)(&BGl_flaczd2decoderzd2zz__flac_flacz00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__flac_flacz00(long BgL_checksumz00_1929, char * BgL_fromz00_1930)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__flac_flacz00))
{ 
BGl_requirezd2initializa7ationz75zz__flac_flacz00 = 
BBOOL(((bool_t)0)); 
BGL_GC_INIT(); 
BGl_gczd2rootszd2initz00zz__flac_flacz00(); 
BGl_libraryzd2moduleszd2initz00zz__flac_flacz00(); 
BGl_cnstzd2initzd2zz__flac_flacz00(); 
BGl_objectzd2initzd2zz__flac_flacz00(); 
BGl_genericzd2initzd2zz__flac_flacz00(); 
BGl_methodzd2initzd2zz__flac_flacz00(); 
return 
BGl_toplevelzd2initzd2zz__flac_flacz00();}  else 
{ 
return BUNSPEC;} } 

}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zz__flac_flacz00(void)
{
{ /* Llib/flac.scm 15 */
BGl_modulezd2initializa7ationz75zz__errorz00(0L, "__flac_flac"); 
BGl_modulezd2initializa7ationz75zz__objectz00(0L, "__flac_flac"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(0L, "__flac_flac"); 
BGl_modulezd2initializa7ationz75zz__readerz00(0L, "__flac_flac"); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(0L, "__flac_flac"); 
BGl_modulezd2initializa7ationz75zz__multimediazd2musiczd2(0L, "__flac_flac"); 
BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(0L, "__flac_flac"); 
BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(0L, "__flac_flac"); 
BGl_modulezd2initializa7ationz75zz__bitz00(0L, "__flac_flac"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(0L, "__flac_flac"); 
BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(0L, "__flac_flac"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(0L, "__flac_flac"); 
BGl_modulezd2initializa7ationz75zz__bexitz00(0L, "__flac_flac"); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(0L, "__flac_flac"); 
BGl_modulezd2initializa7ationz75zz__bignumz00(0L, "__flac_flac"); 
BGl_modulezd2initializa7ationz75zz__customz00(0L, "__flac_flac"); 
BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(0L, "__flac_flac"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(0L, "__flac_flac"); 
return BUNSPEC;} 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__flac_flacz00(void)
{
{ /* Llib/flac.scm 15 */
{ /* Llib/flac.scm 15 */
 obj_t BgL_cportz00_1241;
{ /* Llib/flac.scm 15 */
 obj_t BgL_stringz00_1248;
BgL_stringz00_1248 = BGl_string1830z00zz__flac_flacz00; 
{ /* Llib/flac.scm 15 */
 obj_t BgL_startz00_1249;
BgL_startz00_1249 = 
BINT(0L); 
{ /* Llib/flac.scm 15 */
 obj_t BgL_endz00_1250;
BgL_endz00_1250 = 
BINT(
STRING_LENGTH(
((obj_t)BgL_stringz00_1248))); 
{ /* Llib/flac.scm 15 */

BgL_cportz00_1241 = 
BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(BgL_stringz00_1248, BgL_startz00_1249, BgL_endz00_1250); } } } } 
{ 
 long BgL_iz00_1242;
BgL_iz00_1242 = 33L; 
BgL_loopz00_1243:
if(
(BgL_iz00_1242==(-1L)))
{ /* Llib/flac.scm 15 */
return BUNSPEC;}  else 
{ /* Llib/flac.scm 15 */
{ /* Llib/flac.scm 15 */
 obj_t BgL_arg1839z00_1244;
{ /* Llib/flac.scm 15 */

{ /* Llib/flac.scm 15 */
 obj_t BgL_locationz00_1246;
BgL_locationz00_1246 = 
BBOOL(((bool_t)0)); 
{ /* Llib/flac.scm 15 */

BgL_arg1839z00_1244 = 
BGl_readz00zz__readerz00(BgL_cportz00_1241, BgL_locationz00_1246); } } } 
{ /* Llib/flac.scm 15 */
 int BgL_tmpz00_1969;
BgL_tmpz00_1969 = 
(int)(BgL_iz00_1242); 
CNST_TABLE_SET(BgL_tmpz00_1969, BgL_arg1839z00_1244); } } 
{ /* Llib/flac.scm 15 */
 int BgL_auxz00_1247;
BgL_auxz00_1247 = 
(int)(
(BgL_iz00_1242-1L)); 
{ 
 long BgL_iz00_1974;
BgL_iz00_1974 = 
(long)(BgL_auxz00_1247); 
BgL_iz00_1242 = BgL_iz00_1974; 
goto BgL_loopz00_1243;} } } } } } 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__flac_flacz00(void)
{
{ /* Llib/flac.scm 15 */
return 
bgl_gc_roots_register();} 

}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__flac_flacz00(void)
{
{ /* Llib/flac.scm 15 */
BGl_modulezd2initializa7ationz75zz__multimediazd2musiczd2(0L, 
BSTRING_TO_STRING(BGl_string1741z00zz__flac_flacz00)); 
return BUNSPEC;} 

}



/* %$flac-decoder-new */
BGL_EXPORTED_DEF FLAC__StreamDecoder * BGl_z52z42flaczd2decoderzd2newz10zz__flac_flacz00(void)
{
{ /* Llib/flac.scm 77 */
return 
FLAC__stream_decoder_new();} 

}



/* &%$flac-decoder-new */
obj_t BGl_z62z52z42flaczd2decoderzd2newz72zz__flac_flacz00(obj_t BgL_envz00_948)
{
{ /* Llib/flac.scm 77 */
return 
void_star_to_obj(
BGl_z52z42flaczd2decoderzd2newz10zz__flac_flacz00());} 

}



/* %$flac-make-custom */
BGL_EXPORTED_DEF obj_t BGl_z52z42flaczd2makezd2customz10zz__flac_flacz00(void)
{
{ /* Llib/flac.scm 83 */
return 
create_custom(0L);} 

}



/* &%$flac-make-custom */
obj_t BGl_z62z52z42flaczd2makezd2customz72zz__flac_flacz00(obj_t BgL_envz00_949)
{
{ /* Llib/flac.scm 83 */
return 
BGl_z52z42flaczd2makezd2customz10zz__flac_flacz00();} 

}



/* flac-decoder-state->symbol */
obj_t BGl_flaczd2decoderzd2statezd2ze3symbolz31zz__flac_flacz00(FLAC__StreamDecoderState BgL_sz00_29)
{
{ /* Llib/flac.scm 195 */
if(
(BgL_sz00_29==FLAC__STREAM_DECODER_SEARCH_FOR_METADATA))
{ /* Llib/flac.scm 197 */
return 
((obj_t)
CNST_TABLE_REF(0));}  else 
{ /* Llib/flac.scm 197 */
if(
(BgL_sz00_29==FLAC__STREAM_DECODER_READ_METADATA))
{ /* Llib/flac.scm 199 */
return 
((obj_t)
CNST_TABLE_REF(1));}  else 
{ /* Llib/flac.scm 199 */
if(
(BgL_sz00_29==FLAC__STREAM_DECODER_SEARCH_FOR_FRAME_SYNC))
{ /* Llib/flac.scm 201 */
return 
((obj_t)
CNST_TABLE_REF(2));}  else 
{ /* Llib/flac.scm 201 */
if(
(BgL_sz00_29==FLAC__STREAM_DECODER_READ_FRAME))
{ /* Llib/flac.scm 203 */
return 
((obj_t)
CNST_TABLE_REF(3));}  else 
{ /* Llib/flac.scm 203 */
if(
(BgL_sz00_29==FLAC__STREAM_DECODER_END_OF_STREAM))
{ /* Llib/flac.scm 205 */
return 
((obj_t)
CNST_TABLE_REF(4));}  else 
{ /* Llib/flac.scm 205 */
if(
(BgL_sz00_29==FLAC__STREAM_DECODER_OGG_ERROR))
{ /* Llib/flac.scm 207 */
return 
((obj_t)
CNST_TABLE_REF(5));}  else 
{ /* Llib/flac.scm 207 */
if(
(BgL_sz00_29==FLAC__STREAM_DECODER_SEEK_ERROR))
{ /* Llib/flac.scm 209 */
return 
((obj_t)
CNST_TABLE_REF(6));}  else 
{ /* Llib/flac.scm 209 */
if(
(BgL_sz00_29==FLAC__STREAM_DECODER_ABORTED))
{ /* Llib/flac.scm 211 */
return 
((obj_t)
CNST_TABLE_REF(7));}  else 
{ /* Llib/flac.scm 211 */
if(
(BgL_sz00_29==FLAC__STREAM_DECODER_MEMORY_ALLOCATION_ERROR))
{ /* Llib/flac.scm 213 */
return 
((obj_t)
CNST_TABLE_REF(8));}  else 
{ /* Llib/flac.scm 213 */
if(
(BgL_sz00_29==FLAC__STREAM_DECODER_UNINITIALIZED))
{ /* Llib/flac.scm 215 */
return 
((obj_t)
CNST_TABLE_REF(9));}  else 
{ /* Llib/flac.scm 215 */
return 
((obj_t)
CNST_TABLE_REF(10));} } } } } } } } } } } 

}



/* flac-error */
BGL_EXPORTED_DEF int bgl_flac_error(char * BgL_procz00_35, char * BgL_msgz00_36, obj_t BgL_objz00_37)
{
{ /* Llib/flac.scm 267 */
{ /* Llib/flac.scm 268 */
 BgL_z62flaczd2errorzb0_bglt BgL_arg1165z00_64;
{ /* Llib/flac.scm 268 */
 BgL_z62flaczd2errorzb0_bglt BgL_new1102z00_65;
{ /* Llib/flac.scm 268 */
 BgL_z62flaczd2errorzb0_bglt BgL_new1101z00_68;
BgL_new1101z00_68 = 
((BgL_z62flaczd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62flaczd2errorzb0_bgl) ))); 
{ /* Llib/flac.scm 268 */
 long BgL_arg1168z00_69;
BgL_arg1168z00_69 = 
BGL_CLASS_NUM(BGl_z62flaczd2errorzb0zz__flac_flacz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1101z00_68), BgL_arg1168z00_69); } 
BgL_new1102z00_65 = BgL_new1101z00_68; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1102z00_65)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1102z00_65)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_2034;
{ /* Llib/flac.scm 268 */
 obj_t BgL_arg1166z00_66;
{ /* Llib/flac.scm 268 */
 obj_t BgL_arg1167z00_67;
{ /* Llib/flac.scm 268 */
 obj_t BgL_classz00_398;
BgL_classz00_398 = BGl_z62flaczd2errorzb0zz__flac_flacz00; 
BgL_arg1167z00_67 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_398); } 
BgL_arg1166z00_66 = 
VECTOR_REF(BgL_arg1167z00_67,2L); } 
BgL_auxz00_2034 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1166z00_66); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1102z00_65)))->BgL_stackz00)=((obj_t)BgL_auxz00_2034),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1102z00_65)))->BgL_procz00)=((obj_t)
string_to_bstring(BgL_procz00_35)),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1102z00_65)))->BgL_msgz00)=((obj_t)
string_to_bstring(BgL_msgz00_36)),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1102z00_65)))->BgL_objz00)=((obj_t)BgL_objz00_37),BUNSPEC); 
BgL_arg1165z00_64 = BgL_new1102z00_65; } 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1165z00_64)); } 
return 
(int)(0L);} 

}



/* &flac-error1686 */
obj_t BGl_z62flaczd2error1686zb0zz__flac_flacz00(obj_t BgL_envz00_950, obj_t BgL_procz00_951, obj_t BgL_msgz00_952, obj_t BgL_objz00_953)
{
{ /* Llib/flac.scm 267 */
{ /* Llib/flac.scm 271 */
 int BgL_tmpz00_2051;
{ /* Llib/flac.scm 271 */
 char * BgL_auxz00_2061; char * BgL_auxz00_2052;
{ /* Llib/flac.scm 271 */
 obj_t BgL_tmpz00_2062;
if(
STRINGP(BgL_msgz00_952))
{ /* Llib/flac.scm 271 */
BgL_tmpz00_2062 = BgL_msgz00_952
; }  else 
{ 
 obj_t BgL_auxz00_2065;
BgL_auxz00_2065 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1742z00zz__flac_flacz00, 
BINT(12269L), BGl_string1743z00zz__flac_flacz00, BGl_string1744z00zz__flac_flacz00, BgL_msgz00_952); 
FAILURE(BgL_auxz00_2065,BFALSE,BFALSE);} 
BgL_auxz00_2061 = 
BSTRING_TO_STRING(BgL_tmpz00_2062); } 
{ /* Llib/flac.scm 271 */
 obj_t BgL_tmpz00_2053;
if(
STRINGP(BgL_procz00_951))
{ /* Llib/flac.scm 271 */
BgL_tmpz00_2053 = BgL_procz00_951
; }  else 
{ 
 obj_t BgL_auxz00_2056;
BgL_auxz00_2056 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1742z00zz__flac_flacz00, 
BINT(12269L), BGl_string1743z00zz__flac_flacz00, BGl_string1744z00zz__flac_flacz00, BgL_procz00_951); 
FAILURE(BgL_auxz00_2056,BFALSE,BFALSE);} 
BgL_auxz00_2052 = 
BSTRING_TO_STRING(BgL_tmpz00_2053); } 
BgL_tmpz00_2051 = 
bgl_flac_error(BgL_auxz00_2052, BgL_auxz00_2061, BgL_objz00_953); } 
return 
BINT(BgL_tmpz00_2051);} } 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__flac_flacz00(void)
{
{ /* Llib/flac.scm 15 */
{ /* Llib/flac.scm 31 */
 obj_t BgL_arg1171z00_72; obj_t BgL_arg1175z00_73;
{ /* Llib/flac.scm 31 */
 obj_t BgL_v1108z00_79;
BgL_v1108z00_79 = 
create_vector(9L); 
{ /* Llib/flac.scm 31 */
 obj_t BgL_arg1182z00_80;
BgL_arg1182z00_80 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
((obj_t)
CNST_TABLE_REF(11)), BGl_proc1747z00zz__flac_flacz00, BGl_proc1746z00zz__flac_flacz00, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc1745z00zz__flac_flacz00, 
((obj_t)
CNST_TABLE_REF(12))); 
VECTOR_SET(BgL_v1108z00_79,0L,BgL_arg1182z00_80); } 
{ /* Llib/flac.scm 31 */
 obj_t BgL_arg1193z00_93;
BgL_arg1193z00_93 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
((obj_t)
CNST_TABLE_REF(13)), BGl_proc1750z00zz__flac_flacz00, BGl_proc1749z00zz__flac_flacz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc1748z00zz__flac_flacz00, 
((obj_t)
CNST_TABLE_REF(14))); 
VECTOR_SET(BgL_v1108z00_79,1L,BgL_arg1193z00_93); } 
{ /* Llib/flac.scm 31 */
 obj_t BgL_arg1201z00_106;
BgL_arg1201z00_106 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
((obj_t)
CNST_TABLE_REF(15)), BGl_proc1753z00zz__flac_flacz00, BGl_proc1752z00zz__flac_flacz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc1751z00zz__flac_flacz00, 
((obj_t)
CNST_TABLE_REF(16))); 
VECTOR_SET(BgL_v1108z00_79,2L,BgL_arg1201z00_106); } 
{ /* Llib/flac.scm 31 */
 obj_t BgL_arg1209z00_119;
BgL_arg1209z00_119 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
((obj_t)
CNST_TABLE_REF(17)), BGl_proc1756z00zz__flac_flacz00, BGl_proc1755z00zz__flac_flacz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc1754z00zz__flac_flacz00, 
((obj_t)
CNST_TABLE_REF(18))); 
VECTOR_SET(BgL_v1108z00_79,3L,BgL_arg1209z00_119); } 
{ /* Llib/flac.scm 31 */
 obj_t BgL_arg1217z00_132;
BgL_arg1217z00_132 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
((obj_t)
CNST_TABLE_REF(19)), BGl_proc1759z00zz__flac_flacz00, BGl_proc1758z00zz__flac_flacz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc1757z00zz__flac_flacz00, 
((obj_t)
CNST_TABLE_REF(20))); 
VECTOR_SET(BgL_v1108z00_79,4L,BgL_arg1217z00_132); } 
{ /* Llib/flac.scm 31 */
 obj_t BgL_arg1224z00_145;
BgL_arg1224z00_145 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
((obj_t)
CNST_TABLE_REF(21)), BGl_proc1762z00zz__flac_flacz00, BGl_proc1761z00zz__flac_flacz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc1760z00zz__flac_flacz00, 
((obj_t)
CNST_TABLE_REF(22))); 
VECTOR_SET(BgL_v1108z00_79,5L,BgL_arg1224z00_145); } 
{ /* Llib/flac.scm 31 */
 obj_t BgL_arg1232z00_158;
BgL_arg1232z00_158 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
((obj_t)
CNST_TABLE_REF(23)), BGl_proc1765z00zz__flac_flacz00, BGl_proc1764z00zz__flac_flacz00, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc1763z00zz__flac_flacz00, 
((obj_t)
CNST_TABLE_REF(18))); 
VECTOR_SET(BgL_v1108z00_79,6L,BgL_arg1232z00_158); } 
{ /* Llib/flac.scm 31 */
 obj_t BgL_arg1243z00_171;
BgL_arg1243z00_171 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
((obj_t)
CNST_TABLE_REF(24)), BGl_proc1768z00zz__flac_flacz00, BGl_proc1767z00zz__flac_flacz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc1766z00zz__flac_flacz00, 
((obj_t)
CNST_TABLE_REF(25))); 
VECTOR_SET(BgL_v1108z00_79,7L,BgL_arg1243z00_171); } 
{ /* Llib/flac.scm 31 */
 obj_t BgL_arg1269z00_184;
BgL_arg1269z00_184 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
((obj_t)
CNST_TABLE_REF(26)), BGl_proc1771z00zz__flac_flacz00, BGl_proc1770z00zz__flac_flacz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc1769z00zz__flac_flacz00, 
((obj_t)
CNST_TABLE_REF(25))); 
VECTOR_SET(BgL_v1108z00_79,8L,BgL_arg1269z00_184); } 
BgL_arg1171z00_72 = BgL_v1108z00_79; } 
{ /* Llib/flac.scm 31 */
 obj_t BgL_v1109z00_197;
BgL_v1109z00_197 = 
create_vector(0L); 
BgL_arg1175z00_73 = BgL_v1109z00_197; } 
BGl_flaczd2decoderzd2zz__flac_flacz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
((obj_t)
CNST_TABLE_REF(27)), 
((obj_t)
CNST_TABLE_REF(28)), BGl_objectz00zz__objectz00, 5831L, BFALSE, BGl_proc1773z00zz__flac_flacz00, BGl_flaczd2decoderzd2initzd2envzd2zz__flac_flacz00, BGl_proc1772z00zz__flac_flacz00, BFALSE, BgL_arg1171z00_72, BgL_arg1175z00_73); } 
{ /* Llib/flac.scm 43 */
 obj_t BgL_arg1354z00_203; obj_t BgL_arg1355z00_204;
{ /* Llib/flac.scm 43 */
 obj_t BgL_v1110z00_220;
BgL_v1110z00_220 = 
create_vector(0L); 
BgL_arg1354z00_203 = BgL_v1110z00_220; } 
{ /* Llib/flac.scm 43 */
 obj_t BgL_v1111z00_221;
BgL_v1111z00_221 = 
create_vector(0L); 
BgL_arg1355z00_204 = BgL_v1111z00_221; } 
return ( 
BGl_z62flaczd2errorzb0zz__flac_flacz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
((obj_t)
CNST_TABLE_REF(29)), 
((obj_t)
CNST_TABLE_REF(28)), BGl_z62errorz62zz__objectz00, 1288L, BGl_proc1776z00zz__flac_flacz00, BGl_proc1775z00zz__flac_flacz00, BFALSE, BGl_proc1774z00zz__flac_flacz00, BFALSE, BgL_arg1354z00_203, BgL_arg1355z00_204), BUNSPEC) ;} } 

}



/* &<@anonymous:1362> */
obj_t BGl_z62zc3z04anonymousza31362ze3ze5zz__flac_flacz00(obj_t BgL_envz00_986, obj_t BgL_new1082z00_987)
{
{ /* Llib/flac.scm 43 */
{ 
 BgL_z62flaczd2errorzb0_bglt BgL_auxz00_2140;
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)
((BgL_z62flaczd2errorzb0_bglt)BgL_new1082z00_987))))->BgL_fnamez00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)
((BgL_z62flaczd2errorzb0_bglt)BgL_new1082z00_987))))->BgL_locationz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)
((BgL_z62flaczd2errorzb0_bglt)BgL_new1082z00_987))))->BgL_stackz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)
((BgL_z62flaczd2errorzb0_bglt)BgL_new1082z00_987))))->BgL_procz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)
((BgL_z62flaczd2errorzb0_bglt)BgL_new1082z00_987))))->BgL_msgz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)
((BgL_z62flaczd2errorzb0_bglt)BgL_new1082z00_987))))->BgL_objz00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_2140 = 
((BgL_z62flaczd2errorzb0_bglt)BgL_new1082z00_987); 
return 
((obj_t)BgL_auxz00_2140);} } 

}



/* &lambda1360 */
BgL_z62flaczd2errorzb0_bglt BGl_z62lambda1360z62zz__flac_flacz00(obj_t BgL_envz00_988)
{
{ /* Llib/flac.scm 43 */
{ /* Llib/flac.scm 43 */
 BgL_z62flaczd2errorzb0_bglt BgL_new1081z00_1253;
BgL_new1081z00_1253 = 
((BgL_z62flaczd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62flaczd2errorzb0_bgl) ))); 
{ /* Llib/flac.scm 43 */
 long BgL_arg1361z00_1254;
BgL_arg1361z00_1254 = 
BGL_CLASS_NUM(BGl_z62flaczd2errorzb0zz__flac_flacz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1081z00_1253), BgL_arg1361z00_1254); } 
return BgL_new1081z00_1253;} } 

}



/* &lambda1356 */
BgL_z62flaczd2errorzb0_bglt BGl_z62lambda1356z62zz__flac_flacz00(obj_t BgL_envz00_989, obj_t BgL_fname1075z00_990, obj_t BgL_location1076z00_991, obj_t BgL_stack1077z00_992, obj_t BgL_proc1078z00_993, obj_t BgL_msg1079z00_994, obj_t BgL_obj1080z00_995)
{
{ /* Llib/flac.scm 43 */
{ /* Llib/flac.scm 43 */
 BgL_z62flaczd2errorzb0_bglt BgL_new1104z00_1255;
{ /* Llib/flac.scm 43 */
 BgL_z62flaczd2errorzb0_bglt BgL_new1103z00_1256;
BgL_new1103z00_1256 = 
((BgL_z62flaczd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62flaczd2errorzb0_bgl) ))); 
{ /* Llib/flac.scm 43 */
 long BgL_arg1359z00_1257;
BgL_arg1359z00_1257 = 
BGL_CLASS_NUM(BGl_z62flaczd2errorzb0zz__flac_flacz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1103z00_1256), BgL_arg1359z00_1257); } 
BgL_new1104z00_1255 = BgL_new1103z00_1256; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1104z00_1255)))->BgL_fnamez00)=((obj_t)BgL_fname1075z00_990),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1104z00_1255)))->BgL_locationz00)=((obj_t)BgL_location1076z00_991),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1104z00_1255)))->BgL_stackz00)=((obj_t)BgL_stack1077z00_992),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1104z00_1255)))->BgL_procz00)=((obj_t)BgL_proc1078z00_993),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1104z00_1255)))->BgL_msgz00)=((obj_t)BgL_msg1079z00_994),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1104z00_1255)))->BgL_objz00)=((obj_t)BgL_obj1080z00_995),BUNSPEC); 
return BgL_new1104z00_1255;} } 

}



/* &<@anonymous:1181> */
obj_t BGl_z62zc3z04anonymousza31181ze3ze5zz__flac_flacz00(obj_t BgL_envz00_996, obj_t BgL_new1073z00_997)
{
{ /* Llib/flac.scm 31 */
{ 
 BgL_flaczd2decoderzd2_bglt BgL_auxz00_2181;
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_new1073z00_997)))->BgL_z42builtinz42)=((FLAC__StreamDecoder *)
0L),BUNSPEC); 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_new1073z00_997)))->BgL_z52flacbufz52)=((obj_t)
bgl_custom_nil()),BUNSPEC); 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_new1073z00_997)))->BgL_outbufz00)=((obj_t)BGl_string1777z00zz__flac_flacz00),BUNSPEC); 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_new1073z00_997)))->BgL_z52eofz52)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_new1073z00_997)))->BgL_z52samplez52)=((long)0L),BUNSPEC); 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_new1073z00_997)))->BgL_z52volumez52)=((double)((double)0.0)),BUNSPEC); 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_new1073z00_997)))->BgL_md5checkz00)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_new1073z00_997)))->BgL_z52bchecksumz52)=((int)
(int)(0L)),BUNSPEC); 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_new1073z00_997)))->BgL_z52rchecksumz52)=((int)
(int)(0L)),BUNSPEC); 
BgL_auxz00_2181 = 
((BgL_flaczd2decoderzd2_bglt)BgL_new1073z00_997); 
return 
((obj_t)BgL_auxz00_2181);} } 

}



/* &lambda1176 */
BgL_flaczd2decoderzd2_bglt BGl_z62lambda1176z62zz__flac_flacz00(obj_t BgL_envz00_998)
{
{ /* Llib/flac.scm 31 */
{ /* Llib/flac.scm 31 */
 BgL_flaczd2decoderzd2_bglt BgL_new1072z00_1259;
BgL_new1072z00_1259 = 
((BgL_flaczd2decoderzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_flaczd2decoderzd2_bgl) ))); 
{ /* Llib/flac.scm 31 */
 long BgL_arg1180z00_1260;
BgL_arg1180z00_1260 = 
BGL_CLASS_NUM(BGl_flaczd2decoderzd2zz__flac_flacz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1072z00_1259), BgL_arg1180z00_1260); } 
return BgL_new1072z00_1259;} } 

}



/* &<@anonymous:1289> */
obj_t BGl_z62zc3z04anonymousza31289ze3ze5zz__flac_flacz00(obj_t BgL_envz00_999)
{
{ /* Llib/flac.scm 31 */
return 
BINT(128L);} 

}



/* &lambda1288 */
obj_t BGl_z62lambda1288z62zz__flac_flacz00(obj_t BgL_envz00_1000, obj_t BgL_oz00_1001, obj_t BgL_vz00_1002)
{
{ /* Llib/flac.scm 31 */
{ /* Llib/flac.scm 31 */
 int BgL_vz00_1262;
BgL_vz00_1262 = 
CINT(BgL_vz00_1002); 
return 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_oz00_1001)))->BgL_z52rchecksumz52)=((int)BgL_vz00_1262),BUNSPEC);} } 

}



/* &lambda1287 */
obj_t BGl_z62lambda1287z62zz__flac_flacz00(obj_t BgL_envz00_1003, obj_t BgL_oz00_1004)
{
{ /* Llib/flac.scm 31 */
return 
BINT(
(((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_oz00_1004)))->BgL_z52rchecksumz52));} 

}



/* &<@anonymous:1267> */
obj_t BGl_z62zc3z04anonymousza31267ze3ze5zz__flac_flacz00(obj_t BgL_envz00_1005)
{
{ /* Llib/flac.scm 31 */
return 
BINT(128L);} 

}



/* &lambda1266 */
obj_t BGl_z62lambda1266z62zz__flac_flacz00(obj_t BgL_envz00_1006, obj_t BgL_oz00_1007, obj_t BgL_vz00_1008)
{
{ /* Llib/flac.scm 31 */
{ /* Llib/flac.scm 31 */
 int BgL_vz00_1265;
BgL_vz00_1265 = 
CINT(BgL_vz00_1008); 
return 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_oz00_1007)))->BgL_z52bchecksumz52)=((int)BgL_vz00_1265),BUNSPEC);} } 

}



/* &lambda1265 */
obj_t BGl_z62lambda1265z62zz__flac_flacz00(obj_t BgL_envz00_1009, obj_t BgL_oz00_1010)
{
{ /* Llib/flac.scm 31 */
return 
BINT(
(((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_oz00_1010)))->BgL_z52bchecksumz52));} 

}



/* &<@anonymous:1241> */
obj_t BGl_z62zc3z04anonymousza31241ze3ze5zz__flac_flacz00(obj_t BgL_envz00_1011)
{
{ /* Llib/flac.scm 31 */
return 
BBOOL(((bool_t)0));} 

}



/* &lambda1240 */
obj_t BGl_z62lambda1240z62zz__flac_flacz00(obj_t BgL_envz00_1012, obj_t BgL_oz00_1013, obj_t BgL_vz00_1014)
{
{ /* Llib/flac.scm 31 */
{ /* Llib/flac.scm 31 */
 bool_t BgL_vz00_1268;
BgL_vz00_1268 = 
CBOOL(BgL_vz00_1014); 
return 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_oz00_1013)))->BgL_md5checkz00)=((bool_t)BgL_vz00_1268),BUNSPEC);} } 

}



/* &lambda1239 */
obj_t BGl_z62lambda1239z62zz__flac_flacz00(obj_t BgL_envz00_1015, obj_t BgL_oz00_1016)
{
{ /* Llib/flac.scm 31 */
return 
BBOOL(
(((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_oz00_1016)))->BgL_md5checkz00));} 

}



/* &<@anonymous:1231> */
obj_t BGl_z62zc3z04anonymousza31231ze3ze5zz__flac_flacz00(obj_t BgL_envz00_1017)
{
{ /* Llib/flac.scm 31 */
return 
DOUBLE_TO_REAL(((double)1.0));} 

}



/* &lambda1230 */
obj_t BGl_z62lambda1230z62zz__flac_flacz00(obj_t BgL_envz00_1018, obj_t BgL_oz00_1019, obj_t BgL_vz00_1020)
{
{ /* Llib/flac.scm 31 */
{ /* Llib/flac.scm 31 */
 double BgL_vz00_1271;
BgL_vz00_1271 = 
REAL_TO_DOUBLE(BgL_vz00_1020); 
return 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_oz00_1019)))->BgL_z52volumez52)=((double)BgL_vz00_1271),BUNSPEC);} } 

}



/* &lambda1229 */
obj_t BGl_z62lambda1229z62zz__flac_flacz00(obj_t BgL_envz00_1021, obj_t BgL_oz00_1022)
{
{ /* Llib/flac.scm 31 */
return 
DOUBLE_TO_REAL(
(((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_oz00_1022)))->BgL_z52volumez52));} 

}



/* &<@anonymous:1223> */
obj_t BGl_z62zc3z04anonymousza31223ze3ze5zz__flac_flacz00(obj_t BgL_envz00_1023)
{
{ /* Llib/flac.scm 31 */
return 
BINT(0L);} 

}



/* &lambda1222 */
obj_t BGl_z62lambda1222z62zz__flac_flacz00(obj_t BgL_envz00_1024, obj_t BgL_oz00_1025, obj_t BgL_vz00_1026)
{
{ /* Llib/flac.scm 31 */
{ /* Llib/flac.scm 31 */
 long BgL_vz00_1274;
BgL_vz00_1274 = 
(long)CINT(BgL_vz00_1026); 
return 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_oz00_1025)))->BgL_z52samplez52)=((long)BgL_vz00_1274),BUNSPEC);} } 

}



/* &lambda1221 */
obj_t BGl_z62lambda1221z62zz__flac_flacz00(obj_t BgL_envz00_1027, obj_t BgL_oz00_1028)
{
{ /* Llib/flac.scm 31 */
return 
BINT(
(((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_oz00_1028)))->BgL_z52samplez52));} 

}



/* &<@anonymous:1216> */
obj_t BGl_z62zc3z04anonymousza31216ze3ze5zz__flac_flacz00(obj_t BgL_envz00_1029)
{
{ /* Llib/flac.scm 31 */
return 
BBOOL(((bool_t)0));} 

}



/* &lambda1215 */
obj_t BGl_z62lambda1215z62zz__flac_flacz00(obj_t BgL_envz00_1030, obj_t BgL_oz00_1031, obj_t BgL_vz00_1032)
{
{ /* Llib/flac.scm 31 */
{ /* Llib/flac.scm 31 */
 bool_t BgL_vz00_1277;
BgL_vz00_1277 = 
CBOOL(BgL_vz00_1032); 
return 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_oz00_1031)))->BgL_z52eofz52)=((bool_t)BgL_vz00_1277),BUNSPEC);} } 

}



/* &lambda1214 */
obj_t BGl_z62lambda1214z62zz__flac_flacz00(obj_t BgL_envz00_1033, obj_t BgL_oz00_1034)
{
{ /* Llib/flac.scm 31 */
return 
BBOOL(
(((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_oz00_1034)))->BgL_z52eofz52));} 

}



/* &<@anonymous:1207> */
obj_t BGl_z62zc3z04anonymousza31207ze3ze5zz__flac_flacz00(obj_t BgL_envz00_1035)
{
{ /* Llib/flac.scm 31 */
return BGl_string1777z00zz__flac_flacz00;} 

}



/* &lambda1206 */
obj_t BGl_z62lambda1206z62zz__flac_flacz00(obj_t BgL_envz00_1036, obj_t BgL_oz00_1037, obj_t BgL_vz00_1038)
{
{ /* Llib/flac.scm 31 */
return 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_oz00_1037)))->BgL_outbufz00)=((obj_t)
((obj_t)BgL_vz00_1038)),BUNSPEC);} 

}



/* &lambda1205 */
obj_t BGl_z62lambda1205z62zz__flac_flacz00(obj_t BgL_envz00_1039, obj_t BgL_oz00_1040)
{
{ /* Llib/flac.scm 31 */
return 
(((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_oz00_1040)))->BgL_outbufz00);} 

}



/* &<@anonymous:1200> */
obj_t BGl_z62zc3z04anonymousza31200ze3ze5zz__flac_flacz00(obj_t BgL_envz00_1041)
{
{ /* Llib/flac.scm 31 */
return 
create_custom(0L);} 

}



/* &lambda1199 */
obj_t BGl_z62lambda1199z62zz__flac_flacz00(obj_t BgL_envz00_1042, obj_t BgL_oz00_1043, obj_t BgL_vz00_1044)
{
{ /* Llib/flac.scm 31 */
return 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_oz00_1043)))->BgL_z52flacbufz52)=((obj_t)
((obj_t)BgL_vz00_1044)),BUNSPEC);} 

}



/* &lambda1198 */
obj_t BGl_z62lambda1198z62zz__flac_flacz00(obj_t BgL_envz00_1045, obj_t BgL_oz00_1046)
{
{ /* Llib/flac.scm 31 */
return 
(((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_oz00_1046)))->BgL_z52flacbufz52);} 

}



/* &<@anonymous:1191> */
obj_t BGl_z62zc3z04anonymousza31191ze3ze5zz__flac_flacz00(obj_t BgL_envz00_1047)
{
{ /* Llib/flac.scm 31 */
return 
void_star_to_obj(
FLAC__stream_decoder_new());} 

}



/* &lambda1190 */
obj_t BGl_z62lambda1190z62zz__flac_flacz00(obj_t BgL_envz00_1048, obj_t BgL_oz00_1049, obj_t BgL_vz00_1050)
{
{ /* Llib/flac.scm 31 */
{ /* Llib/flac.scm 31 */
 FLAC__StreamDecoder * BgL_vz00_1286;
BgL_vz00_1286 = 
FOREIGN_TO_COBJ(BgL_vz00_1050); 
return 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_oz00_1049)))->BgL_z42builtinz42)=((FLAC__StreamDecoder *)BgL_vz00_1286),BUNSPEC);} } 

}



/* &lambda1189 */
obj_t BGl_z62lambda1189z62zz__flac_flacz00(obj_t BgL_envz00_1051, obj_t BgL_oz00_1052)
{
{ /* Llib/flac.scm 31 */
return 
void_star_to_obj(
(((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_oz00_1052)))->BgL_z42builtinz42));} 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__flac_flacz00(void)
{
{ /* Llib/flac.scm 15 */
BGl_registerzd2genericz12zc0zz__objectz00(BGl_flaczd2decoderzd2initzd2envzd2zz__flac_flacz00, BGl_proc1778z00zz__flac_flacz00, BGl_flaczd2decoderzd2zz__flac_flacz00, BGl_string1779z00zz__flac_flacz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_flaczd2decoderzd2closezd2envzd2zz__flac_flacz00, BGl_proc1780z00zz__flac_flacz00, BGl_flaczd2decoderzd2zz__flac_flacz00, BGl_string1781z00zz__flac_flacz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_flaczd2decoderzd2decodezd2envzd2zz__flac_flacz00, BGl_proc1782z00zz__flac_flacz00, BGl_flaczd2decoderzd2zz__flac_flacz00, BGl_string1783z00zz__flac_flacz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_flaczd2decoderzd2decode16zd2envzd2zz__flac_flacz00, BGl_proc1784z00zz__flac_flacz00, BGl_flaczd2decoderzd2zz__flac_flacz00, BGl_string1785z00zz__flac_flacz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_flaczd2decoderzd2resetz12zd2envzc0zz__flac_flacz00, BGl_proc1786z00zz__flac_flacz00, BGl_flaczd2decoderzd2zz__flac_flacz00, BGl_string1787z00zz__flac_flacz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_flaczd2decoderzd2readzd2envzd2zz__flac_flacz00, BGl_proc1788z00zz__flac_flacz00, BGl_flaczd2decoderzd2zz__flac_flacz00, BGl_string1789z00zz__flac_flacz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_flaczd2decoderzd2writezd2envzd2zz__flac_flacz00, BGl_proc1790z00zz__flac_flacz00, BGl_flaczd2decoderzd2zz__flac_flacz00, BGl_string1791z00zz__flac_flacz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_flaczd2decoderzd2metadatazd2envzd2zz__flac_flacz00, BGl_proc1792z00zz__flac_flacz00, BGl_flaczd2decoderzd2zz__flac_flacz00, BGl_string1793z00zz__flac_flacz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_flaczd2decoderzd2tellzd2envzd2zz__flac_flacz00, BGl_proc1794z00zz__flac_flacz00, BGl_flaczd2decoderzd2zz__flac_flacz00, BGl_string1795z00zz__flac_flacz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_flaczd2decoderzd2seekzd2envzd2zz__flac_flacz00, BGl_proc1796z00zz__flac_flacz00, BGl_flaczd2decoderzd2zz__flac_flacz00, BGl_string1797z00zz__flac_flacz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_flaczd2decoderzd2lengthzd2envzd2zz__flac_flacz00, BGl_proc1798z00zz__flac_flacz00, BGl_flaczd2decoderzd2zz__flac_flacz00, BGl_string1799z00zz__flac_flacz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_flaczd2decoderzd2infozd2envzd2zz__flac_flacz00, BGl_proc1800z00zz__flac_flacz00, BGl_flaczd2decoderzd2zz__flac_flacz00, BGl_string1801z00zz__flac_flacz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_flaczd2decoderzd2positionzd2envzd2zz__flac_flacz00, BGl_proc1802z00zz__flac_flacz00, BGl_flaczd2decoderzd2zz__flac_flacz00, BGl_string1803z00zz__flac_flacz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_flaczd2volumezd2getzd2envzd2zz__flac_flacz00, BGl_proc1804z00zz__flac_flacz00, BGl_flaczd2decoderzd2zz__flac_flacz00, BGl_string1805z00zz__flac_flacz00); 
return 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_flaczd2volumezd2setz12zd2envzc0zz__flac_flacz00, BGl_proc1806z00zz__flac_flacz00, BGl_flaczd2decoderzd2zz__flac_flacz00, BGl_string1807z00zz__flac_flacz00);} 

}



/* &flac-volume-set!1142 */
obj_t BGl_z62flaczd2volumezd2setz121142z70zz__flac_flacz00(obj_t BgL_envz00_1072, obj_t BgL_mz00_1073, obj_t BgL_volz00_1074)
{
{ /* Llib/flac.scm 258 */
{ /* Llib/flac.scm 260 */
 bool_t BgL_test1977z00_2286;
if(
(
(long)CINT(BgL_volz00_1074)>=0L))
{ /* Llib/flac.scm 260 */
BgL_test1977z00_2286 = 
(
(long)CINT(BgL_volz00_1074)<=100L)
; }  else 
{ /* Llib/flac.scm 260 */
BgL_test1977z00_2286 = ((bool_t)0)
; } 
if(BgL_test1977z00_2286)
{ /* Llib/flac.scm 261 */
 double BgL_vz00_1289;
BgL_vz00_1289 = 
(
(double)(
(long)CINT(BgL_volz00_1074))/((double)100.0)); 
return 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_mz00_1073)))->BgL_z52volumez52)=((double)
(BgL_vz00_1289*BgL_vz00_1289)),BUNSPEC);}  else 
{ /* Llib/flac.scm 260 */
return BFALSE;} } } 

}



/* &flac-volume-get1140 */
obj_t BGl_z62flaczd2volumezd2get1140z62zz__flac_flacz00(obj_t BgL_envz00_1075, obj_t BgL_mz00_1076)
{
{ /* Llib/flac.scm 251 */
return 
BINT(
(long)(
(
sqrt(
(((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_mz00_1076)))->BgL_z52volumez52))*((double)100.0))));} 

}



/* &flac-decoder-positio1138 */
obj_t BGl_z62flaczd2decoderzd2positio1138z62zz__flac_flacz00(obj_t BgL_envz00_1077, obj_t BgL_mz00_1078)
{
{ /* Llib/flac.scm 239 */
{ /* Llib/flac.scm 240 */
 long BgL_tmpz00_2304;
if(
(
(((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_mz00_1078)))->BgL_z52samplez52)<0L))
{ /* Llib/flac.scm 241 */
BgL_tmpz00_2304 = 0L
; }  else 
{ /* Llib/flac.scm 243 */
 unsigned long BgL_sratez00_1292;
{ /* Llib/flac.scm 243 */
 FLAC__StreamDecoder * BgL_tmpz00_2309;
BgL_tmpz00_2309 = 
(((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_mz00_1078)))->BgL_z42builtinz42); 
BgL_sratez00_1292 = 
FLAC__stream_decoder_get_sample_rate(BgL_tmpz00_2309); } 
if(
(
(long)(BgL_sratez00_1292)==0L))
{ /* Llib/flac.scm 244 */
BgL_tmpz00_2304 = 0L
; }  else 
{ /* Llib/flac.scm 244 */
BgL_tmpz00_2304 = 
(
(((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_mz00_1078)))->BgL_z52samplez52)/
(long)(BgL_sratez00_1292))
; } } 
return 
BINT(BgL_tmpz00_2304);} } 

}



/* &flac-decoder-info1136 */
obj_t BGl_z62flaczd2decoderzd2info1136z62zz__flac_flacz00(obj_t BgL_envz00_1079, obj_t BgL_oz00_1080)
{
{ /* Llib/flac.scm 187 */
{ /* Llib/flac.scm 188 */
 unsigned long BgL_tmpz00_2321;
{ /* Llib/flac.scm 189 */
 unsigned long BgL_val0_1106z00_1294; unsigned long BgL_val1_1107z00_1295;
{ /* Llib/flac.scm 189 */
 FLAC__StreamDecoder * BgL_tmpz00_2322;
BgL_tmpz00_2322 = 
(((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_oz00_1080)))->BgL_z42builtinz42); 
BgL_val0_1106z00_1294 = 
FLAC__stream_decoder_get_bits_per_sample(BgL_tmpz00_2322); } 
{ /* Llib/flac.scm 190 */
 FLAC__StreamDecoder * BgL_tmpz00_2326;
BgL_tmpz00_2326 = 
(((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_oz00_1080)))->BgL_z42builtinz42); 
BgL_val1_1107z00_1295 = 
FLAC__stream_decoder_get_sample_rate(BgL_tmpz00_2326); } 
{ /* Llib/flac.scm 189 */
 int BgL_tmpz00_2330;
BgL_tmpz00_2330 = 
(int)(2L); 
BGL_MVALUES_NUMBER_SET(BgL_tmpz00_2330); } 
{ /* Llib/flac.scm 189 */
 obj_t BgL_auxz00_2335; int BgL_tmpz00_2333;
BgL_auxz00_2335 = 
BINT(BgL_val1_1107z00_1295); 
BgL_tmpz00_2333 = 
(int)(1L); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_2333, BgL_auxz00_2335); } 
BgL_tmpz00_2321 = BgL_val0_1106z00_1294; } 
return 
BINT(BgL_tmpz00_2321);} } 

}



/* &flac-decoder-length1134 */
obj_t BGl_z62flaczd2decoderzd2length1134z62zz__flac_flacz00(obj_t BgL_envz00_1081, obj_t BgL_oz00_1082)
{
{ /* Llib/flac.scm 181 */
return 
BINT((-1L));} 

}



/* &flac-decoder-seek1132 */
obj_t BGl_z62flaczd2decoderzd2seek1132z62zz__flac_flacz00(obj_t BgL_envz00_1083, obj_t BgL_oz00_1084, obj_t BgL_offsetz00_1085)
{
{ /* Llib/flac.scm 175 */
return 
BBOOL(((bool_t)1));} 

}



/* &flac-decoder-tell1130 */
obj_t BGl_z62flaczd2decoderzd2tell1130z62zz__flac_flacz00(obj_t BgL_envz00_1086, obj_t BgL_oz00_1087)
{
{ /* Llib/flac.scm 169 */
return 
BBOOL(((bool_t)0));} 

}



/* &flac-decoder-metadat1128 */
obj_t BGl_z62flaczd2decoderzd2metadat1128z62zz__flac_flacz00(obj_t BgL_envz00_1088, obj_t BgL_oz00_1089, obj_t BgL_totalz00_1090, obj_t BgL_sratez00_1091, obj_t BgL_channelsz00_1092, obj_t BgL_bpsz00_1093)
{
{ /* Llib/flac.scm 160 */
return 
BGl_errorz00zz__errorz00(
((obj_t)
CNST_TABLE_REF(30)), BGl_string1808z00zz__flac_flacz00, 
((obj_t)
((BgL_flaczd2decoderzd2_bglt)BgL_oz00_1089)));} 

}



/* &flac-decoder-write1126 */
obj_t BGl_z62flaczd2decoderzd2write1126z62zz__flac_flacz00(obj_t BgL_envz00_1094, obj_t BgL_oz00_1095, obj_t BgL_blocksiza7eza7_1096, obj_t BgL_sratez00_1097, obj_t BgL_channelsz00_1098, obj_t BgL_bpsz00_1099)
{
{ /* Llib/flac.scm 151 */
return 
BGl_errorz00zz__errorz00(
((obj_t)
CNST_TABLE_REF(31)), BGl_string1808z00zz__flac_flacz00, 
((obj_t)
((BgL_flaczd2decoderzd2_bglt)BgL_oz00_1095)));} 

}



/* &flac-decoder-read1124 */
obj_t BGl_z62flaczd2decoderzd2read1124z62zz__flac_flacz00(obj_t BgL_envz00_1100, obj_t BgL_oz00_1101, obj_t BgL_siza7eza7_1102)
{
{ /* Llib/flac.scm 146 */
return 
BGl_errorz00zz__errorz00(
((obj_t)
CNST_TABLE_REF(32)), BGl_string1808z00zz__flac_flacz00, 
((obj_t)
((BgL_flaczd2decoderzd2_bglt)BgL_oz00_1101)));} 

}



/* &flac-decoder-reset!1122 */
obj_t BGl_z62flaczd2decoderzd2resetz121122z70zz__flac_flacz00(obj_t BgL_envz00_1103, obj_t BgL_oz00_1104)
{
{ /* Llib/flac.scm 129 */
{ /* Llib/flac.scm 130 */
 bool_t BgL_test1981z00_2357;
{ /* Llib/flac.scm 130 */
 obj_t BgL_arg1409z00_1313;
{ /* Llib/flac.scm 141 */
 FLAC__StreamDecoderState BgL_arg1149z00_1314;
{ /* Llib/flac.scm 141 */
 FLAC__StreamDecoder * BgL_tmpz00_2358;
BgL_tmpz00_2358 = 
(((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_oz00_1104)))->BgL_z42builtinz42); 
BgL_arg1149z00_1314 = 
FLAC__stream_decoder_get_state(BgL_tmpz00_2358); } 
BgL_arg1409z00_1313 = 
BGl_flaczd2decoderzd2statezd2ze3symbolz31zz__flac_flacz00(BgL_arg1149z00_1314); } 
BgL_test1981z00_2357 = 
(BgL_arg1409z00_1313==
((obj_t)
CNST_TABLE_REF(9))); } 
if(BgL_test1981z00_2357)
{ /* Llib/flac.scm 130 */
return BFALSE;}  else 
{ /* Llib/flac.scm 130 */
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_oz00_1104)))->BgL_z52eofz52)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_oz00_1104)))->BgL_z52samplez52)=((long)0L),BUNSPEC); 
{ /* Llib/flac.scm 134 */
 FLAC__StreamDecoder * BgL_arg1406z00_1315;
BgL_arg1406z00_1315 = 
(((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_oz00_1104)))->BgL_z42builtinz42); 
return 
BINT(
FLAC__stream_decoder_reset(BgL_arg1406z00_1315));} } } } 

}



/* &flac-decoder-decode11120 */
obj_t BGl_z62flaczd2decoderzd2decode11120z62zz__flac_flacz00(obj_t BgL_envz00_1105, obj_t BgL_oz00_1106)
{
{ /* Llib/flac.scm 118 */
return 
BINT(
BGl_flaczd2decoderzd2decode11120ze70ze7zz__flac_flacz00(
((BgL_flaczd2decoderzd2_bglt)BgL_oz00_1106)));} 

}



/* flac-decoder-decode11120~0 */
FLAC__bool BGl_flaczd2decoderzd2decode11120ze70ze7zz__flac_flacz00(BgL_flaczd2decoderzd2_bglt BgL_oz00_257)
{
{ /* Llib/flac.scm 118 */
{ /* Llib/flac.scm 120 */
 obj_t BgL_exitd1091z00_260;
BgL_exitd1091z00_260 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Llib/flac.scm 124 */
 obj_t BgL_zc3z04anonymousza31398ze3z87_1066;
BgL_zc3z04anonymousza31398ze3z87_1066 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31398ze3ze5zz__flac_flacz00, 
(int)(0L), 
(int)(1L)); 
PROCEDURE_SET(BgL_zc3z04anonymousza31398ze3z87_1066, 
(int)(0L), 
((obj_t)BgL_oz00_257)); 
{ /* Llib/flac.scm 120 */
 obj_t BgL_arg1846z00_451;
{ /* Llib/flac.scm 120 */
 obj_t BgL_arg1847z00_452;
BgL_arg1847z00_452 = 
BGL_EXITD_PROTECT(BgL_exitd1091z00_260); 
BgL_arg1846z00_451 = 
MAKE_YOUNG_PAIR(BgL_zc3z04anonymousza31398ze3z87_1066, BgL_arg1847z00_452); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1091z00_260, BgL_arg1846z00_451); BUNSPEC; } 
{ /* Llib/flac.scm 122 */
 FLAC__bool BgL_tmp1093z00_262;
{ /* Llib/flac.scm 122 */
 FLAC__StreamDecoder * BgL_arg1396z00_263;
BgL_arg1396z00_263 = 
(((BgL_flaczd2decoderzd2_bglt)COBJECT(BgL_oz00_257))->BgL_z42builtinz42); 
{ /* Llib/flac.scm 122 */
 obj_t BgL_tmpz00_2388;
BgL_tmpz00_2388 = 
((obj_t)BgL_oz00_257); 
bgl_FLAC__stream_decoder_init_stream16(BgL_arg1396z00_263, BgL_tmpz00_2388); } } 
{ /* Llib/flac.scm 123 */
 FLAC__StreamDecoder * BgL_tmpz00_2391;
BgL_tmpz00_2391 = 
(((BgL_flaczd2decoderzd2_bglt)COBJECT(BgL_oz00_257))->BgL_z42builtinz42); 
BgL_tmp1093z00_262 = 
FLAC__stream_decoder_process_until_end_of_stream(BgL_tmpz00_2391); } 
{ /* Llib/flac.scm 120 */
 bool_t BgL_test1982z00_2394;
{ /* Llib/flac.scm 120 */
 obj_t BgL_arg1845z00_454;
BgL_arg1845z00_454 = 
BGL_EXITD_PROTECT(BgL_exitd1091z00_260); 
BgL_test1982z00_2394 = 
PAIRP(BgL_arg1845z00_454); } 
if(BgL_test1982z00_2394)
{ /* Llib/flac.scm 120 */
 obj_t BgL_arg1843z00_455;
{ /* Llib/flac.scm 120 */
 obj_t BgL_arg1844z00_456;
BgL_arg1844z00_456 = 
BGL_EXITD_PROTECT(BgL_exitd1091z00_260); 
BgL_arg1843z00_455 = 
CDR(
((obj_t)BgL_arg1844z00_456)); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1091z00_260, BgL_arg1843z00_455); BUNSPEC; }  else 
{ /* Llib/flac.scm 120 */BFALSE; } } 
BGl_flaczd2decoderzd2resetz12z12zz__flac_flacz00(BgL_oz00_257); 
return BgL_tmp1093z00_262;} } } } 

}



/* &<@anonymous:1398> */
obj_t BGl_z62zc3z04anonymousza31398ze3ze5zz__flac_flacz00(obj_t BgL_envz00_1107)
{
{ /* Llib/flac.scm 120 */
{ /* Llib/flac.scm 124 */
 BgL_flaczd2decoderzd2_bglt BgL_oz00_1108;
BgL_oz00_1108 = 
((BgL_flaczd2decoderzd2_bglt)
PROCEDURE_REF(BgL_envz00_1107, 
(int)(0L))); 
return 
BGl_flaczd2decoderzd2resetz12z12zz__flac_flacz00(BgL_oz00_1108);} } 

}



/* &flac-decoder-decode1118 */
obj_t BGl_z62flaczd2decoderzd2decode1118z62zz__flac_flacz00(obj_t BgL_envz00_1109, obj_t BgL_oz00_1110)
{
{ /* Llib/flac.scm 107 */
return 
BINT(
BGl_flaczd2decoderzd2decode1118ze70ze7zz__flac_flacz00(
((BgL_flaczd2decoderzd2_bglt)BgL_oz00_1110)));} 

}



/* flac-decoder-decode1118~0 */
FLAC__bool BGl_flaczd2decoderzd2decode1118ze70ze7zz__flac_flacz00(BgL_flaczd2decoderzd2_bglt BgL_oz00_245)
{
{ /* Llib/flac.scm 107 */
{ /* Llib/flac.scm 109 */
 obj_t BgL_exitd1086z00_248;
BgL_exitd1086z00_248 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Llib/flac.scm 113 */
 obj_t BgL_zc3z04anonymousza31385ze3z87_1068;
BgL_zc3z04anonymousza31385ze3z87_1068 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31385ze3ze5zz__flac_flacz00, 
(int)(0L), 
(int)(1L)); 
PROCEDURE_SET(BgL_zc3z04anonymousza31385ze3z87_1068, 
(int)(0L), 
((obj_t)BgL_oz00_245)); 
{ /* Llib/flac.scm 109 */
 obj_t BgL_arg1846z00_444;
{ /* Llib/flac.scm 109 */
 obj_t BgL_arg1847z00_445;
BgL_arg1847z00_445 = 
BGL_EXITD_PROTECT(BgL_exitd1086z00_248); 
BgL_arg1846z00_444 = 
MAKE_YOUNG_PAIR(BgL_zc3z04anonymousza31385ze3z87_1068, BgL_arg1847z00_445); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1086z00_248, BgL_arg1846z00_444); BUNSPEC; } 
{ /* Llib/flac.scm 111 */
 FLAC__bool BgL_tmp1088z00_250;
{ /* Llib/flac.scm 111 */
 FLAC__StreamDecoder * BgL_arg1382z00_251;
BgL_arg1382z00_251 = 
(((BgL_flaczd2decoderzd2_bglt)COBJECT(BgL_oz00_245))->BgL_z42builtinz42); 
{ /* Llib/flac.scm 111 */
 obj_t BgL_tmpz00_2420;
BgL_tmpz00_2420 = 
((obj_t)BgL_oz00_245); 
bgl_FLAC__stream_decoder_init_stream(BgL_arg1382z00_251, BgL_tmpz00_2420); } } 
{ /* Llib/flac.scm 112 */
 FLAC__StreamDecoder * BgL_tmpz00_2423;
BgL_tmpz00_2423 = 
(((BgL_flaczd2decoderzd2_bglt)COBJECT(BgL_oz00_245))->BgL_z42builtinz42); 
BgL_tmp1088z00_250 = 
FLAC__stream_decoder_process_until_end_of_stream(BgL_tmpz00_2423); } 
{ /* Llib/flac.scm 109 */
 bool_t BgL_test1983z00_2426;
{ /* Llib/flac.scm 109 */
 obj_t BgL_arg1845z00_447;
BgL_arg1845z00_447 = 
BGL_EXITD_PROTECT(BgL_exitd1086z00_248); 
BgL_test1983z00_2426 = 
PAIRP(BgL_arg1845z00_447); } 
if(BgL_test1983z00_2426)
{ /* Llib/flac.scm 109 */
 obj_t BgL_arg1843z00_448;
{ /* Llib/flac.scm 109 */
 obj_t BgL_arg1844z00_449;
BgL_arg1844z00_449 = 
BGL_EXITD_PROTECT(BgL_exitd1086z00_248); 
BgL_arg1843z00_448 = 
CDR(
((obj_t)BgL_arg1844z00_449)); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1086z00_248, BgL_arg1843z00_448); BUNSPEC; }  else 
{ /* Llib/flac.scm 109 */BFALSE; } } 
BGl_flaczd2decoderzd2resetz12z12zz__flac_flacz00(BgL_oz00_245); 
return BgL_tmp1088z00_250;} } } } 

}



/* &<@anonymous:1385> */
obj_t BGl_z62zc3z04anonymousza31385ze3ze5zz__flac_flacz00(obj_t BgL_envz00_1111)
{
{ /* Llib/flac.scm 109 */
{ /* Llib/flac.scm 113 */
 BgL_flaczd2decoderzd2_bglt BgL_oz00_1112;
BgL_oz00_1112 = 
((BgL_flaczd2decoderzd2_bglt)
PROCEDURE_REF(BgL_envz00_1111, 
(int)(0L))); 
return 
BGl_flaczd2decoderzd2resetz12z12zz__flac_flacz00(BgL_oz00_1112);} } 

}



/* &flac-decoder-close1116 */
obj_t BGl_z62flaczd2decoderzd2close1116z62zz__flac_flacz00(obj_t BgL_envz00_1113, obj_t BgL_oz00_1114)
{
{ /* Llib/flac.scm 99 */
{ 
 BgL_flaczd2decoderzd2_bglt BgL_auxz00_2438;
{ /* Llib/flac.scm 101 */
 FLAC__StreamDecoder * BgL_arg1377z00_1317;
BgL_arg1377z00_1317 = 
(((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_oz00_1114)))->BgL_z42builtinz42); 
FLAC__stream_decoder_delete(BgL_arg1377z00_1317); BUNSPEC; } 
BgL_auxz00_2438 = 
((BgL_flaczd2decoderzd2_bglt)BgL_oz00_1114); 
return 
((obj_t)BgL_auxz00_2438);} } 

}



/* &flac-decoder-init1114 */
obj_t BGl_z62flaczd2decoderzd2init1114z62zz__flac_flacz00(obj_t BgL_envz00_1115, obj_t BgL_oz00_1116)
{
{ /* Llib/flac.scm 89 */
{ /* Llib/flac.scm 91 */
 FLAC__StreamDecoder * BgL_arg1365z00_1319; FLAC__bool BgL_arg1370z00_1320;
BgL_arg1365z00_1319 = 
(((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_oz00_1116)))->BgL_z42builtinz42); 
if(
(((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_oz00_1116)))->BgL_md5checkz00))
{ /* Llib/flac.scm 92 */
BgL_arg1370z00_1320 = true; }  else 
{ /* Llib/flac.scm 92 */
BgL_arg1370z00_1320 = false; } 
FLAC__stream_decoder_set_md5_checking(BgL_arg1365z00_1319, BgL_arg1370z00_1320); } 
{ 
 obj_t BgL_auxz00_2450;
{ /* Llib/flac.scm 94 */
 obj_t BgL_arg1373z00_1321;
{ /* Llib/flac.scm 94 */
 obj_t BgL_b1105z00_1322;
{ /* Llib/flac.scm 94 */
 obj_t BgL_za71za7_1323;
BgL_za71za7_1323 = 
BINT(FLAC__MAX_CHANNELS); 
{ /* Llib/flac.scm 94 */
 obj_t BgL_tmpz00_1324;
BgL_tmpz00_1324 = 
BINT(0L); 
{ /* Llib/flac.scm 94 */
 bool_t BgL_test1985z00_2454;
{ /* Llib/flac.scm 94 */
 obj_t BgL_tmpz00_2455;
BgL_tmpz00_2455 = 
BINT(4L); 
BgL_test1985z00_2454 = 
BGL_MULFX_OV(BgL_za71za7_1323, BgL_tmpz00_2455, BgL_tmpz00_1324); } 
if(BgL_test1985z00_2454)
{ /* Llib/flac.scm 94 */
BgL_b1105z00_1322 = 
bgl_bignum_mul(
bgl_long_to_bignum(
(long)CINT(BgL_za71za7_1323)), 
((obj_t)
CNST_TABLE_REF(33))); }  else 
{ /* Llib/flac.scm 94 */
BgL_b1105z00_1322 = BgL_tmpz00_1324; } } } } 
if(
INTEGERP(BgL_b1105z00_1322))
{ /* Llib/flac.scm 94 */
 obj_t BgL_za71za7_1325;
BgL_za71za7_1325 = 
BINT(FLAC__MAX_BLOCK_SIZE); 
{ /* Llib/flac.scm 94 */
 obj_t BgL_tmpz00_1326;
BgL_tmpz00_1326 = 
BINT(0L); 
if(
BGL_MULFX_OV(BgL_za71za7_1325, BgL_b1105z00_1322, BgL_tmpz00_1326))
{ /* Llib/flac.scm 94 */
BgL_arg1373z00_1321 = 
bgl_bignum_mul(
bgl_long_to_bignum(
(long)CINT(BgL_za71za7_1325)), 
bgl_long_to_bignum(
(long)CINT(BgL_b1105z00_1322))); }  else 
{ /* Llib/flac.scm 94 */
BgL_arg1373z00_1321 = BgL_tmpz00_1326; } } }  else 
{ /* Llib/flac.scm 94 */
BgL_arg1373z00_1321 = 
BGl_2za2za2zz__r4_numbers_6_5z00(
BINT(FLAC__MAX_BLOCK_SIZE), BgL_b1105z00_1322); } } 
{ /* Llib/flac.scm 94 */

{ /* Llib/flac.scm 94 */
 long BgL_kz00_1327;
BgL_kz00_1327 = 
(long)CINT(BgL_arg1373z00_1321); 
BgL_auxz00_2450 = 
make_string(BgL_kz00_1327, ((unsigned char)' ')); } } } 
return 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_oz00_1116)))->BgL_outbufz00)=((obj_t)BgL_auxz00_2450),BUNSPEC);} } 

}



/* flac-decoder-init */
BGL_EXPORTED_DEF obj_t BGl_flaczd2decoderzd2initz00zz__flac_flacz00(BgL_flaczd2decoderzd2_bglt BgL_oz00_6)
{
{ /* Llib/flac.scm 89 */
{ /* Llib/flac.scm 89 */
 obj_t BgL_method1115z00_351;
{ /* Llib/flac.scm 89 */
 obj_t BgL_res1615z00_511;
{ /* Llib/flac.scm 89 */
 long BgL_objzd2classzd2numz00_482;
BgL_objzd2classzd2numz00_482 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_oz00_6)); 
{ /* Llib/flac.scm 89 */
 obj_t BgL_arg1831z00_483;
BgL_arg1831z00_483 = 
PROCEDURE_REF(BGl_flaczd2decoderzd2initzd2envzd2zz__flac_flacz00, 
(int)(1L)); 
{ /* Llib/flac.scm 89 */
 int BgL_offsetz00_486;
BgL_offsetz00_486 = 
(int)(BgL_objzd2classzd2numz00_482); 
{ /* Llib/flac.scm 89 */
 long BgL_offsetz00_487;
BgL_offsetz00_487 = 
(
(long)(BgL_offsetz00_486)-OBJECT_TYPE); 
{ /* Llib/flac.scm 89 */
 long BgL_modz00_488;
BgL_modz00_488 = 
(BgL_offsetz00_487 >> 
(int)(
(long)(
(int)(4L)))); 
{ /* Llib/flac.scm 89 */
 long BgL_restz00_490;
BgL_restz00_490 = 
(BgL_offsetz00_487 & 
(long)(
(int)(
(
(long)(
(int)(
(1L << 
(int)(
(long)(
(int)(4L))))))-1L)))); 
{ /* Llib/flac.scm 89 */

{ /* Llib/flac.scm 89 */
 obj_t BgL_bucketz00_492;
BgL_bucketz00_492 = 
VECTOR_REF(
((obj_t)BgL_arg1831z00_483),BgL_modz00_488); 
BgL_res1615z00_511 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_492),BgL_restz00_490); } } } } } } } } 
BgL_method1115z00_351 = BgL_res1615z00_511; } 
return 
BGL_PROCEDURE_CALL1(BgL_method1115z00_351, 
((obj_t)BgL_oz00_6));} } 

}



/* &flac-decoder-init */
obj_t BGl_z62flaczd2decoderzd2initz62zz__flac_flacz00(obj_t BgL_envz00_1053, obj_t BgL_oz00_1054)
{
{ /* Llib/flac.scm 89 */
{ /* Llib/flac.scm 89 */
 BgL_flaczd2decoderzd2_bglt BgL_auxz00_2509;
{ /* Llib/flac.scm 89 */
 bool_t BgL_test1988z00_2510;
{ /* Llib/flac.scm 89 */
 obj_t BgL_classz00_1328;
BgL_classz00_1328 = BGl_flaczd2decoderzd2zz__flac_flacz00; 
if(
BGL_OBJECTP(BgL_oz00_1054))
{ /* Llib/flac.scm 89 */
 BgL_objectz00_bglt BgL_arg1829z00_1330; long BgL_arg1830z00_1331;
BgL_arg1829z00_1330 = 
(BgL_objectz00_bglt)(BgL_oz00_1054); 
BgL_arg1830z00_1331 = 
BGL_CLASS_DEPTH(BgL_classz00_1328); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/flac.scm 89 */
 long BgL_idxz00_1339;
BgL_idxz00_1339 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1829z00_1330); 
{ /* Llib/flac.scm 89 */
 obj_t BgL_arg1820z00_1340;
{ /* Llib/flac.scm 89 */
 long BgL_arg1821z00_1341;
BgL_arg1821z00_1341 = 
(BgL_idxz00_1339+BgL_arg1830z00_1331); 
BgL_arg1820z00_1340 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1821z00_1341); } 
BgL_test1988z00_2510 = 
(BgL_arg1820z00_1340==BgL_classz00_1328); } }  else 
{ /* Llib/flac.scm 89 */
 bool_t BgL_res1840z00_1367;
{ /* Llib/flac.scm 89 */
 obj_t BgL_oclassz00_1349;
{ /* Llib/flac.scm 89 */
 obj_t BgL_arg1834z00_1357; long BgL_arg1835z00_1358;
BgL_arg1834z00_1357 = 
(BGl_za2classesza2z00zz__objectz00); 
{ /* Llib/flac.scm 89 */
 long BgL_arg1836z00_1359;
BgL_arg1836z00_1359 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1829z00_1330); 
BgL_arg1835z00_1358 = 
(BgL_arg1836z00_1359-OBJECT_TYPE); } 
BgL_oclassz00_1349 = 
VECTOR_REF(BgL_arg1834z00_1357,BgL_arg1835z00_1358); } 
{ /* Llib/flac.scm 89 */
 bool_t BgL__ortest_1114z00_1350;
BgL__ortest_1114z00_1350 = 
(BgL_classz00_1328==BgL_oclassz00_1349); 
if(BgL__ortest_1114z00_1350)
{ /* Llib/flac.scm 89 */
BgL_res1840z00_1367 = BgL__ortest_1114z00_1350; }  else 
{ /* Llib/flac.scm 89 */
 long BgL_odepthz00_1351;
{ /* Llib/flac.scm 89 */
 obj_t BgL_arg1824z00_1352;
BgL_arg1824z00_1352 = 
(BgL_oclassz00_1349); 
BgL_odepthz00_1351 = 
BGL_CLASS_DEPTH(BgL_arg1824z00_1352); } 
if(
(BgL_arg1830z00_1331<BgL_odepthz00_1351))
{ /* Llib/flac.scm 89 */
 obj_t BgL_arg1822z00_1354;
{ /* Llib/flac.scm 89 */
 obj_t BgL_arg1823z00_1355;
BgL_arg1823z00_1355 = 
(BgL_oclassz00_1349); 
BgL_arg1822z00_1354 = 
BGL_CLASS_ANCESTORS_REF(BgL_arg1823z00_1355, BgL_arg1830z00_1331); } 
BgL_res1840z00_1367 = 
(BgL_arg1822z00_1354==BgL_classz00_1328); }  else 
{ /* Llib/flac.scm 89 */
BgL_res1840z00_1367 = ((bool_t)0); } } } } 
BgL_test1988z00_2510 = BgL_res1840z00_1367; } }  else 
{ /* Llib/flac.scm 89 */
BgL_test1988z00_2510 = ((bool_t)0)
; } } 
if(BgL_test1988z00_2510)
{ /* Llib/flac.scm 89 */
BgL_auxz00_2509 = 
((BgL_flaczd2decoderzd2_bglt)BgL_oz00_1054)
; }  else 
{ 
 obj_t BgL_auxz00_2535;
BgL_auxz00_2535 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1742z00zz__flac_flacz00, 
BINT(4030L), BGl_string1809z00zz__flac_flacz00, BGl_string1810z00zz__flac_flacz00, BgL_oz00_1054); 
FAILURE(BgL_auxz00_2535,BFALSE,BFALSE);} } 
return 
BGl_flaczd2decoderzd2initz00zz__flac_flacz00(BgL_auxz00_2509);} } 

}



/* flac-decoder-close */
BGL_EXPORTED_DEF obj_t BGl_flaczd2decoderzd2closez00zz__flac_flacz00(BgL_flaczd2decoderzd2_bglt BgL_oz00_7)
{
{ /* Llib/flac.scm 99 */
{ /* Llib/flac.scm 99 */
 obj_t BgL_method1117z00_352;
{ /* Llib/flac.scm 99 */
 obj_t BgL_res1620z00_542;
{ /* Llib/flac.scm 99 */
 long BgL_objzd2classzd2numz00_513;
BgL_objzd2classzd2numz00_513 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_oz00_7)); 
{ /* Llib/flac.scm 99 */
 obj_t BgL_arg1831z00_514;
BgL_arg1831z00_514 = 
PROCEDURE_REF(BGl_flaczd2decoderzd2closezd2envzd2zz__flac_flacz00, 
(int)(1L)); 
{ /* Llib/flac.scm 99 */
 int BgL_offsetz00_517;
BgL_offsetz00_517 = 
(int)(BgL_objzd2classzd2numz00_513); 
{ /* Llib/flac.scm 99 */
 long BgL_offsetz00_518;
BgL_offsetz00_518 = 
(
(long)(BgL_offsetz00_517)-OBJECT_TYPE); 
{ /* Llib/flac.scm 99 */
 long BgL_modz00_519;
BgL_modz00_519 = 
(BgL_offsetz00_518 >> 
(int)(
(long)(
(int)(4L)))); 
{ /* Llib/flac.scm 99 */
 long BgL_restz00_521;
BgL_restz00_521 = 
(BgL_offsetz00_518 & 
(long)(
(int)(
(
(long)(
(int)(
(1L << 
(int)(
(long)(
(int)(4L))))))-1L)))); 
{ /* Llib/flac.scm 99 */

{ /* Llib/flac.scm 99 */
 obj_t BgL_bucketz00_523;
BgL_bucketz00_523 = 
VECTOR_REF(
((obj_t)BgL_arg1831z00_514),BgL_modz00_519); 
BgL_res1620z00_542 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_523),BgL_restz00_521); } } } } } } } } 
BgL_method1117z00_352 = BgL_res1620z00_542; } 
return 
BGL_PROCEDURE_CALL1(BgL_method1117z00_352, 
((obj_t)BgL_oz00_7));} } 

}



/* &flac-decoder-close */
obj_t BGl_z62flaczd2decoderzd2closez62zz__flac_flacz00(obj_t BgL_envz00_1117, obj_t BgL_oz00_1118)
{
{ /* Llib/flac.scm 99 */
{ /* Llib/flac.scm 99 */
 BgL_flaczd2decoderzd2_bglt BgL_auxz00_2570;
{ /* Llib/flac.scm 99 */
 bool_t BgL_test1993z00_2571;
{ /* Llib/flac.scm 99 */
 obj_t BgL_classz00_1368;
BgL_classz00_1368 = BGl_flaczd2decoderzd2zz__flac_flacz00; 
if(
BGL_OBJECTP(BgL_oz00_1118))
{ /* Llib/flac.scm 99 */
 BgL_objectz00_bglt BgL_arg1829z00_1370; long BgL_arg1830z00_1371;
BgL_arg1829z00_1370 = 
(BgL_objectz00_bglt)(BgL_oz00_1118); 
BgL_arg1830z00_1371 = 
BGL_CLASS_DEPTH(BgL_classz00_1368); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/flac.scm 99 */
 long BgL_idxz00_1379;
BgL_idxz00_1379 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1829z00_1370); 
{ /* Llib/flac.scm 99 */
 obj_t BgL_arg1820z00_1380;
{ /* Llib/flac.scm 99 */
 long BgL_arg1821z00_1381;
BgL_arg1821z00_1381 = 
(BgL_idxz00_1379+BgL_arg1830z00_1371); 
BgL_arg1820z00_1380 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1821z00_1381); } 
BgL_test1993z00_2571 = 
(BgL_arg1820z00_1380==BgL_classz00_1368); } }  else 
{ /* Llib/flac.scm 99 */
 bool_t BgL_res1841z00_1407;
{ /* Llib/flac.scm 99 */
 obj_t BgL_oclassz00_1389;
{ /* Llib/flac.scm 99 */
 obj_t BgL_arg1834z00_1397; long BgL_arg1835z00_1398;
BgL_arg1834z00_1397 = 
(BGl_za2classesza2z00zz__objectz00); 
{ /* Llib/flac.scm 99 */
 long BgL_arg1836z00_1399;
BgL_arg1836z00_1399 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1829z00_1370); 
BgL_arg1835z00_1398 = 
(BgL_arg1836z00_1399-OBJECT_TYPE); } 
BgL_oclassz00_1389 = 
VECTOR_REF(BgL_arg1834z00_1397,BgL_arg1835z00_1398); } 
{ /* Llib/flac.scm 99 */
 bool_t BgL__ortest_1114z00_1390;
BgL__ortest_1114z00_1390 = 
(BgL_classz00_1368==BgL_oclassz00_1389); 
if(BgL__ortest_1114z00_1390)
{ /* Llib/flac.scm 99 */
BgL_res1841z00_1407 = BgL__ortest_1114z00_1390; }  else 
{ /* Llib/flac.scm 99 */
 long BgL_odepthz00_1391;
{ /* Llib/flac.scm 99 */
 obj_t BgL_arg1824z00_1392;
BgL_arg1824z00_1392 = 
(BgL_oclassz00_1389); 
BgL_odepthz00_1391 = 
BGL_CLASS_DEPTH(BgL_arg1824z00_1392); } 
if(
(BgL_arg1830z00_1371<BgL_odepthz00_1391))
{ /* Llib/flac.scm 99 */
 obj_t BgL_arg1822z00_1394;
{ /* Llib/flac.scm 99 */
 obj_t BgL_arg1823z00_1395;
BgL_arg1823z00_1395 = 
(BgL_oclassz00_1389); 
BgL_arg1822z00_1394 = 
BGL_CLASS_ANCESTORS_REF(BgL_arg1823z00_1395, BgL_arg1830z00_1371); } 
BgL_res1841z00_1407 = 
(BgL_arg1822z00_1394==BgL_classz00_1368); }  else 
{ /* Llib/flac.scm 99 */
BgL_res1841z00_1407 = ((bool_t)0); } } } } 
BgL_test1993z00_2571 = BgL_res1841z00_1407; } }  else 
{ /* Llib/flac.scm 99 */
BgL_test1993z00_2571 = ((bool_t)0)
; } } 
if(BgL_test1993z00_2571)
{ /* Llib/flac.scm 99 */
BgL_auxz00_2570 = 
((BgL_flaczd2decoderzd2_bglt)BgL_oz00_1118)
; }  else 
{ 
 obj_t BgL_auxz00_2596;
BgL_auxz00_2596 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1742z00zz__flac_flacz00, 
BINT(4535L), BGl_string1811z00zz__flac_flacz00, BGl_string1810z00zz__flac_flacz00, BgL_oz00_1118); 
FAILURE(BgL_auxz00_2596,BFALSE,BFALSE);} } 
return 
BGl_flaczd2decoderzd2closez00zz__flac_flacz00(BgL_auxz00_2570);} } 

}



/* flac-decoder-decode */
BGL_EXPORTED_DEF obj_t BGl_flaczd2decoderzd2decodez00zz__flac_flacz00(BgL_flaczd2decoderzd2_bglt BgL_oz00_8)
{
{ /* Llib/flac.scm 107 */
{ /* Llib/flac.scm 107 */
 obj_t BgL_method1119z00_353;
{ /* Llib/flac.scm 107 */
 obj_t BgL_res1625z00_573;
{ /* Llib/flac.scm 107 */
 long BgL_objzd2classzd2numz00_544;
BgL_objzd2classzd2numz00_544 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_oz00_8)); 
{ /* Llib/flac.scm 107 */
 obj_t BgL_arg1831z00_545;
BgL_arg1831z00_545 = 
PROCEDURE_REF(BGl_flaczd2decoderzd2decodezd2envzd2zz__flac_flacz00, 
(int)(1L)); 
{ /* Llib/flac.scm 107 */
 int BgL_offsetz00_548;
BgL_offsetz00_548 = 
(int)(BgL_objzd2classzd2numz00_544); 
{ /* Llib/flac.scm 107 */
 long BgL_offsetz00_549;
BgL_offsetz00_549 = 
(
(long)(BgL_offsetz00_548)-OBJECT_TYPE); 
{ /* Llib/flac.scm 107 */
 long BgL_modz00_550;
BgL_modz00_550 = 
(BgL_offsetz00_549 >> 
(int)(
(long)(
(int)(4L)))); 
{ /* Llib/flac.scm 107 */
 long BgL_restz00_552;
BgL_restz00_552 = 
(BgL_offsetz00_549 & 
(long)(
(int)(
(
(long)(
(int)(
(1L << 
(int)(
(long)(
(int)(4L))))))-1L)))); 
{ /* Llib/flac.scm 107 */

{ /* Llib/flac.scm 107 */
 obj_t BgL_bucketz00_554;
BgL_bucketz00_554 = 
VECTOR_REF(
((obj_t)BgL_arg1831z00_545),BgL_modz00_550); 
BgL_res1625z00_573 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_554),BgL_restz00_552); } } } } } } } } 
BgL_method1119z00_353 = BgL_res1625z00_573; } 
return 
BGL_PROCEDURE_CALL1(BgL_method1119z00_353, 
((obj_t)BgL_oz00_8));} } 

}



/* &flac-decoder-decode */
obj_t BGl_z62flaczd2decoderzd2decodez62zz__flac_flacz00(obj_t BgL_envz00_1119, obj_t BgL_oz00_1120)
{
{ /* Llib/flac.scm 107 */
{ /* Llib/flac.scm 107 */
 BgL_flaczd2decoderzd2_bglt BgL_auxz00_2631;
{ /* Llib/flac.scm 107 */
 bool_t BgL_test1998z00_2632;
{ /* Llib/flac.scm 107 */
 obj_t BgL_classz00_1408;
BgL_classz00_1408 = BGl_flaczd2decoderzd2zz__flac_flacz00; 
if(
BGL_OBJECTP(BgL_oz00_1120))
{ /* Llib/flac.scm 107 */
 BgL_objectz00_bglt BgL_arg1829z00_1410; long BgL_arg1830z00_1411;
BgL_arg1829z00_1410 = 
(BgL_objectz00_bglt)(BgL_oz00_1120); 
BgL_arg1830z00_1411 = 
BGL_CLASS_DEPTH(BgL_classz00_1408); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/flac.scm 107 */
 long BgL_idxz00_1419;
BgL_idxz00_1419 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1829z00_1410); 
{ /* Llib/flac.scm 107 */
 obj_t BgL_arg1820z00_1420;
{ /* Llib/flac.scm 107 */
 long BgL_arg1821z00_1421;
BgL_arg1821z00_1421 = 
(BgL_idxz00_1419+BgL_arg1830z00_1411); 
BgL_arg1820z00_1420 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1821z00_1421); } 
BgL_test1998z00_2632 = 
(BgL_arg1820z00_1420==BgL_classz00_1408); } }  else 
{ /* Llib/flac.scm 107 */
 bool_t BgL_res1842z00_1447;
{ /* Llib/flac.scm 107 */
 obj_t BgL_oclassz00_1429;
{ /* Llib/flac.scm 107 */
 obj_t BgL_arg1834z00_1437; long BgL_arg1835z00_1438;
BgL_arg1834z00_1437 = 
(BGl_za2classesza2z00zz__objectz00); 
{ /* Llib/flac.scm 107 */
 long BgL_arg1836z00_1439;
BgL_arg1836z00_1439 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1829z00_1410); 
BgL_arg1835z00_1438 = 
(BgL_arg1836z00_1439-OBJECT_TYPE); } 
BgL_oclassz00_1429 = 
VECTOR_REF(BgL_arg1834z00_1437,BgL_arg1835z00_1438); } 
{ /* Llib/flac.scm 107 */
 bool_t BgL__ortest_1114z00_1430;
BgL__ortest_1114z00_1430 = 
(BgL_classz00_1408==BgL_oclassz00_1429); 
if(BgL__ortest_1114z00_1430)
{ /* Llib/flac.scm 107 */
BgL_res1842z00_1447 = BgL__ortest_1114z00_1430; }  else 
{ /* Llib/flac.scm 107 */
 long BgL_odepthz00_1431;
{ /* Llib/flac.scm 107 */
 obj_t BgL_arg1824z00_1432;
BgL_arg1824z00_1432 = 
(BgL_oclassz00_1429); 
BgL_odepthz00_1431 = 
BGL_CLASS_DEPTH(BgL_arg1824z00_1432); } 
if(
(BgL_arg1830z00_1411<BgL_odepthz00_1431))
{ /* Llib/flac.scm 107 */
 obj_t BgL_arg1822z00_1434;
{ /* Llib/flac.scm 107 */
 obj_t BgL_arg1823z00_1435;
BgL_arg1823z00_1435 = 
(BgL_oclassz00_1429); 
BgL_arg1822z00_1434 = 
BGL_CLASS_ANCESTORS_REF(BgL_arg1823z00_1435, BgL_arg1830z00_1411); } 
BgL_res1842z00_1447 = 
(BgL_arg1822z00_1434==BgL_classz00_1408); }  else 
{ /* Llib/flac.scm 107 */
BgL_res1842z00_1447 = ((bool_t)0); } } } } 
BgL_test1998z00_2632 = BgL_res1842z00_1447; } }  else 
{ /* Llib/flac.scm 107 */
BgL_test1998z00_2632 = ((bool_t)0)
; } } 
if(BgL_test1998z00_2632)
{ /* Llib/flac.scm 107 */
BgL_auxz00_2631 = 
((BgL_flaczd2decoderzd2_bglt)BgL_oz00_1120)
; }  else 
{ 
 obj_t BgL_auxz00_2657;
BgL_auxz00_2657 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1742z00zz__flac_flacz00, 
BINT(4902L), BGl_string1812z00zz__flac_flacz00, BGl_string1810z00zz__flac_flacz00, BgL_oz00_1120); 
FAILURE(BgL_auxz00_2657,BFALSE,BFALSE);} } 
return 
BGl_flaczd2decoderzd2decodez00zz__flac_flacz00(BgL_auxz00_2631);} } 

}



/* flac-decoder-decode16 */
BGL_EXPORTED_DEF obj_t BGl_flaczd2decoderzd2decode16z00zz__flac_flacz00(BgL_flaczd2decoderzd2_bglt BgL_oz00_9)
{
{ /* Llib/flac.scm 118 */
{ /* Llib/flac.scm 118 */
 obj_t BgL_method1121z00_354;
{ /* Llib/flac.scm 118 */
 obj_t BgL_res1630z00_604;
{ /* Llib/flac.scm 118 */
 long BgL_objzd2classzd2numz00_575;
BgL_objzd2classzd2numz00_575 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_oz00_9)); 
{ /* Llib/flac.scm 118 */
 obj_t BgL_arg1831z00_576;
BgL_arg1831z00_576 = 
PROCEDURE_REF(BGl_flaczd2decoderzd2decode16zd2envzd2zz__flac_flacz00, 
(int)(1L)); 
{ /* Llib/flac.scm 118 */
 int BgL_offsetz00_579;
BgL_offsetz00_579 = 
(int)(BgL_objzd2classzd2numz00_575); 
{ /* Llib/flac.scm 118 */
 long BgL_offsetz00_580;
BgL_offsetz00_580 = 
(
(long)(BgL_offsetz00_579)-OBJECT_TYPE); 
{ /* Llib/flac.scm 118 */
 long BgL_modz00_581;
BgL_modz00_581 = 
(BgL_offsetz00_580 >> 
(int)(
(long)(
(int)(4L)))); 
{ /* Llib/flac.scm 118 */
 long BgL_restz00_583;
BgL_restz00_583 = 
(BgL_offsetz00_580 & 
(long)(
(int)(
(
(long)(
(int)(
(1L << 
(int)(
(long)(
(int)(4L))))))-1L)))); 
{ /* Llib/flac.scm 118 */

{ /* Llib/flac.scm 118 */
 obj_t BgL_bucketz00_585;
BgL_bucketz00_585 = 
VECTOR_REF(
((obj_t)BgL_arg1831z00_576),BgL_modz00_581); 
BgL_res1630z00_604 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_585),BgL_restz00_583); } } } } } } } } 
BgL_method1121z00_354 = BgL_res1630z00_604; } 
return 
BGL_PROCEDURE_CALL1(BgL_method1121z00_354, 
((obj_t)BgL_oz00_9));} } 

}



/* &flac-decoder-decode16 */
obj_t BGl_z62flaczd2decoderzd2decode16z62zz__flac_flacz00(obj_t BgL_envz00_1121, obj_t BgL_oz00_1122)
{
{ /* Llib/flac.scm 118 */
{ /* Llib/flac.scm 118 */
 BgL_flaczd2decoderzd2_bglt BgL_auxz00_2692;
{ /* Llib/flac.scm 118 */
 bool_t BgL_test2003z00_2693;
{ /* Llib/flac.scm 118 */
 obj_t BgL_classz00_1448;
BgL_classz00_1448 = BGl_flaczd2decoderzd2zz__flac_flacz00; 
if(
BGL_OBJECTP(BgL_oz00_1122))
{ /* Llib/flac.scm 118 */
 BgL_objectz00_bglt BgL_arg1829z00_1450; long BgL_arg1830z00_1451;
BgL_arg1829z00_1450 = 
(BgL_objectz00_bglt)(BgL_oz00_1122); 
BgL_arg1830z00_1451 = 
BGL_CLASS_DEPTH(BgL_classz00_1448); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/flac.scm 118 */
 long BgL_idxz00_1459;
BgL_idxz00_1459 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1829z00_1450); 
{ /* Llib/flac.scm 118 */
 obj_t BgL_arg1820z00_1460;
{ /* Llib/flac.scm 118 */
 long BgL_arg1821z00_1461;
BgL_arg1821z00_1461 = 
(BgL_idxz00_1459+BgL_arg1830z00_1451); 
BgL_arg1820z00_1460 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1821z00_1461); } 
BgL_test2003z00_2693 = 
(BgL_arg1820z00_1460==BgL_classz00_1448); } }  else 
{ /* Llib/flac.scm 118 */
 bool_t BgL_res1843z00_1487;
{ /* Llib/flac.scm 118 */
 obj_t BgL_oclassz00_1469;
{ /* Llib/flac.scm 118 */
 obj_t BgL_arg1834z00_1477; long BgL_arg1835z00_1478;
BgL_arg1834z00_1477 = 
(BGl_za2classesza2z00zz__objectz00); 
{ /* Llib/flac.scm 118 */
 long BgL_arg1836z00_1479;
BgL_arg1836z00_1479 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1829z00_1450); 
BgL_arg1835z00_1478 = 
(BgL_arg1836z00_1479-OBJECT_TYPE); } 
BgL_oclassz00_1469 = 
VECTOR_REF(BgL_arg1834z00_1477,BgL_arg1835z00_1478); } 
{ /* Llib/flac.scm 118 */
 bool_t BgL__ortest_1114z00_1470;
BgL__ortest_1114z00_1470 = 
(BgL_classz00_1448==BgL_oclassz00_1469); 
if(BgL__ortest_1114z00_1470)
{ /* Llib/flac.scm 118 */
BgL_res1843z00_1487 = BgL__ortest_1114z00_1470; }  else 
{ /* Llib/flac.scm 118 */
 long BgL_odepthz00_1471;
{ /* Llib/flac.scm 118 */
 obj_t BgL_arg1824z00_1472;
BgL_arg1824z00_1472 = 
(BgL_oclassz00_1469); 
BgL_odepthz00_1471 = 
BGL_CLASS_DEPTH(BgL_arg1824z00_1472); } 
if(
(BgL_arg1830z00_1451<BgL_odepthz00_1471))
{ /* Llib/flac.scm 118 */
 obj_t BgL_arg1822z00_1474;
{ /* Llib/flac.scm 118 */
 obj_t BgL_arg1823z00_1475;
BgL_arg1823z00_1475 = 
(BgL_oclassz00_1469); 
BgL_arg1822z00_1474 = 
BGL_CLASS_ANCESTORS_REF(BgL_arg1823z00_1475, BgL_arg1830z00_1451); } 
BgL_res1843z00_1487 = 
(BgL_arg1822z00_1474==BgL_classz00_1448); }  else 
{ /* Llib/flac.scm 118 */
BgL_res1843z00_1487 = ((bool_t)0); } } } } 
BgL_test2003z00_2693 = BgL_res1843z00_1487; } }  else 
{ /* Llib/flac.scm 118 */
BgL_test2003z00_2693 = ((bool_t)0)
; } } 
if(BgL_test2003z00_2693)
{ /* Llib/flac.scm 118 */
BgL_auxz00_2692 = 
((BgL_flaczd2decoderzd2_bglt)BgL_oz00_1122)
; }  else 
{ 
 obj_t BgL_auxz00_2718;
BgL_auxz00_2718 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1742z00zz__flac_flacz00, 
BINT(5389L), BGl_string1813z00zz__flac_flacz00, BGl_string1810z00zz__flac_flacz00, BgL_oz00_1122); 
FAILURE(BgL_auxz00_2718,BFALSE,BFALSE);} } 
return 
BGl_flaczd2decoderzd2decode16z00zz__flac_flacz00(BgL_auxz00_2692);} } 

}



/* flac-decoder-reset! */
BGL_EXPORTED_DEF obj_t BGl_flaczd2decoderzd2resetz12z12zz__flac_flacz00(BgL_flaczd2decoderzd2_bglt BgL_oz00_10)
{
{ /* Llib/flac.scm 129 */
{ /* Llib/flac.scm 129 */
 obj_t BgL_method1123z00_355;
{ /* Llib/flac.scm 129 */
 obj_t BgL_res1635z00_635;
{ /* Llib/flac.scm 129 */
 long BgL_objzd2classzd2numz00_606;
BgL_objzd2classzd2numz00_606 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_oz00_10)); 
{ /* Llib/flac.scm 129 */
 obj_t BgL_arg1831z00_607;
BgL_arg1831z00_607 = 
PROCEDURE_REF(BGl_flaczd2decoderzd2resetz12zd2envzc0zz__flac_flacz00, 
(int)(1L)); 
{ /* Llib/flac.scm 129 */
 int BgL_offsetz00_610;
BgL_offsetz00_610 = 
(int)(BgL_objzd2classzd2numz00_606); 
{ /* Llib/flac.scm 129 */
 long BgL_offsetz00_611;
BgL_offsetz00_611 = 
(
(long)(BgL_offsetz00_610)-OBJECT_TYPE); 
{ /* Llib/flac.scm 129 */
 long BgL_modz00_612;
BgL_modz00_612 = 
(BgL_offsetz00_611 >> 
(int)(
(long)(
(int)(4L)))); 
{ /* Llib/flac.scm 129 */
 long BgL_restz00_614;
BgL_restz00_614 = 
(BgL_offsetz00_611 & 
(long)(
(int)(
(
(long)(
(int)(
(1L << 
(int)(
(long)(
(int)(4L))))))-1L)))); 
{ /* Llib/flac.scm 129 */

{ /* Llib/flac.scm 129 */
 obj_t BgL_bucketz00_616;
BgL_bucketz00_616 = 
VECTOR_REF(
((obj_t)BgL_arg1831z00_607),BgL_modz00_612); 
BgL_res1635z00_635 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_616),BgL_restz00_614); } } } } } } } } 
BgL_method1123z00_355 = BgL_res1635z00_635; } 
return 
BGL_PROCEDURE_CALL1(BgL_method1123z00_355, 
((obj_t)BgL_oz00_10));} } 

}



/* &flac-decoder-reset! */
obj_t BGl_z62flaczd2decoderzd2resetz12z70zz__flac_flacz00(obj_t BgL_envz00_1123, obj_t BgL_oz00_1124)
{
{ /* Llib/flac.scm 129 */
{ /* Llib/flac.scm 129 */
 BgL_flaczd2decoderzd2_bglt BgL_auxz00_2753;
{ /* Llib/flac.scm 129 */
 bool_t BgL_test2008z00_2754;
{ /* Llib/flac.scm 129 */
 obj_t BgL_classz00_1488;
BgL_classz00_1488 = BGl_flaczd2decoderzd2zz__flac_flacz00; 
if(
BGL_OBJECTP(BgL_oz00_1124))
{ /* Llib/flac.scm 129 */
 BgL_objectz00_bglt BgL_arg1829z00_1490; long BgL_arg1830z00_1491;
BgL_arg1829z00_1490 = 
(BgL_objectz00_bglt)(BgL_oz00_1124); 
BgL_arg1830z00_1491 = 
BGL_CLASS_DEPTH(BgL_classz00_1488); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/flac.scm 129 */
 long BgL_idxz00_1499;
BgL_idxz00_1499 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1829z00_1490); 
{ /* Llib/flac.scm 129 */
 obj_t BgL_arg1820z00_1500;
{ /* Llib/flac.scm 129 */
 long BgL_arg1821z00_1501;
BgL_arg1821z00_1501 = 
(BgL_idxz00_1499+BgL_arg1830z00_1491); 
BgL_arg1820z00_1500 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1821z00_1501); } 
BgL_test2008z00_2754 = 
(BgL_arg1820z00_1500==BgL_classz00_1488); } }  else 
{ /* Llib/flac.scm 129 */
 bool_t BgL_res1844z00_1527;
{ /* Llib/flac.scm 129 */
 obj_t BgL_oclassz00_1509;
{ /* Llib/flac.scm 129 */
 obj_t BgL_arg1834z00_1517; long BgL_arg1835z00_1518;
BgL_arg1834z00_1517 = 
(BGl_za2classesza2z00zz__objectz00); 
{ /* Llib/flac.scm 129 */
 long BgL_arg1836z00_1519;
BgL_arg1836z00_1519 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1829z00_1490); 
BgL_arg1835z00_1518 = 
(BgL_arg1836z00_1519-OBJECT_TYPE); } 
BgL_oclassz00_1509 = 
VECTOR_REF(BgL_arg1834z00_1517,BgL_arg1835z00_1518); } 
{ /* Llib/flac.scm 129 */
 bool_t BgL__ortest_1114z00_1510;
BgL__ortest_1114z00_1510 = 
(BgL_classz00_1488==BgL_oclassz00_1509); 
if(BgL__ortest_1114z00_1510)
{ /* Llib/flac.scm 129 */
BgL_res1844z00_1527 = BgL__ortest_1114z00_1510; }  else 
{ /* Llib/flac.scm 129 */
 long BgL_odepthz00_1511;
{ /* Llib/flac.scm 129 */
 obj_t BgL_arg1824z00_1512;
BgL_arg1824z00_1512 = 
(BgL_oclassz00_1509); 
BgL_odepthz00_1511 = 
BGL_CLASS_DEPTH(BgL_arg1824z00_1512); } 
if(
(BgL_arg1830z00_1491<BgL_odepthz00_1511))
{ /* Llib/flac.scm 129 */
 obj_t BgL_arg1822z00_1514;
{ /* Llib/flac.scm 129 */
 obj_t BgL_arg1823z00_1515;
BgL_arg1823z00_1515 = 
(BgL_oclassz00_1509); 
BgL_arg1822z00_1514 = 
BGL_CLASS_ANCESTORS_REF(BgL_arg1823z00_1515, BgL_arg1830z00_1491); } 
BgL_res1844z00_1527 = 
(BgL_arg1822z00_1514==BgL_classz00_1488); }  else 
{ /* Llib/flac.scm 129 */
BgL_res1844z00_1527 = ((bool_t)0); } } } } 
BgL_test2008z00_2754 = BgL_res1844z00_1527; } }  else 
{ /* Llib/flac.scm 129 */
BgL_test2008z00_2754 = ((bool_t)0)
; } } 
if(BgL_test2008z00_2754)
{ /* Llib/flac.scm 129 */
BgL_auxz00_2753 = 
((BgL_flaczd2decoderzd2_bglt)BgL_oz00_1124)
; }  else 
{ 
 obj_t BgL_auxz00_2779;
BgL_auxz00_2779 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1742z00zz__flac_flacz00, 
BINT(5880L), BGl_string1814z00zz__flac_flacz00, BGl_string1810z00zz__flac_flacz00, BgL_oz00_1124); 
FAILURE(BgL_auxz00_2779,BFALSE,BFALSE);} } 
return 
BGl_flaczd2decoderzd2resetz12z12zz__flac_flacz00(BgL_auxz00_2753);} } 

}



/* flac-decoder-read */
BGL_EXPORTED_DEF obj_t bgl_flac_decoder_read(BgL_flaczd2decoderzd2_bglt BgL_oz00_12, long BgL_siza7eza7_13)
{
{ /* Llib/flac.scm 146 */
{ /* Llib/flac.scm 146 */
 obj_t BgL_method1125z00_356;
{ /* Llib/flac.scm 146 */
 obj_t BgL_res1640z00_666;
{ /* Llib/flac.scm 146 */
 long BgL_objzd2classzd2numz00_637;
BgL_objzd2classzd2numz00_637 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_oz00_12)); 
{ /* Llib/flac.scm 146 */
 obj_t BgL_arg1831z00_638;
BgL_arg1831z00_638 = 
PROCEDURE_REF(BGl_flaczd2decoderzd2readzd2envzd2zz__flac_flacz00, 
(int)(1L)); 
{ /* Llib/flac.scm 146 */
 int BgL_offsetz00_641;
BgL_offsetz00_641 = 
(int)(BgL_objzd2classzd2numz00_637); 
{ /* Llib/flac.scm 146 */
 long BgL_offsetz00_642;
BgL_offsetz00_642 = 
(
(long)(BgL_offsetz00_641)-OBJECT_TYPE); 
{ /* Llib/flac.scm 146 */
 long BgL_modz00_643;
BgL_modz00_643 = 
(BgL_offsetz00_642 >> 
(int)(
(long)(
(int)(4L)))); 
{ /* Llib/flac.scm 146 */
 long BgL_restz00_645;
BgL_restz00_645 = 
(BgL_offsetz00_642 & 
(long)(
(int)(
(
(long)(
(int)(
(1L << 
(int)(
(long)(
(int)(4L))))))-1L)))); 
{ /* Llib/flac.scm 146 */

{ /* Llib/flac.scm 146 */
 obj_t BgL_bucketz00_647;
BgL_bucketz00_647 = 
VECTOR_REF(
((obj_t)BgL_arg1831z00_638),BgL_modz00_643); 
BgL_res1640z00_666 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_647),BgL_restz00_645); } } } } } } } } 
BgL_method1125z00_356 = BgL_res1640z00_666; } 
return 
BGL_PROCEDURE_CALL2(BgL_method1125z00_356, 
((obj_t)BgL_oz00_12), 
BINT(BgL_siza7eza7_13));} } 

}



/* &flac-decoder-read */
obj_t BGl_z62flaczd2decoderzd2readz62zz__flac_flacz00(obj_t BgL_envz00_1125, obj_t BgL_oz00_1126, obj_t BgL_siza7eza7_1127)
{
{ /* Llib/flac.scm 146 */
{ /* Llib/flac.scm 146 */
 long BgL_auxz00_2846; BgL_flaczd2decoderzd2_bglt BgL_auxz00_2816;
{ /* Llib/flac.scm 146 */
 obj_t BgL_tmpz00_2847;
if(
INTEGERP(BgL_siza7eza7_1127))
{ /* Llib/flac.scm 146 */
BgL_tmpz00_2847 = BgL_siza7eza7_1127
; }  else 
{ 
 obj_t BgL_auxz00_2850;
BgL_auxz00_2850 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1742z00zz__flac_flacz00, 
BINT(6750L), BGl_string1815z00zz__flac_flacz00, BGl_string1816z00zz__flac_flacz00, BgL_siza7eza7_1127); 
FAILURE(BgL_auxz00_2850,BFALSE,BFALSE);} 
BgL_auxz00_2846 = 
(long)CINT(BgL_tmpz00_2847); } 
{ /* Llib/flac.scm 146 */
 bool_t BgL_test2013z00_2817;
{ /* Llib/flac.scm 146 */
 obj_t BgL_classz00_1528;
BgL_classz00_1528 = BGl_flaczd2decoderzd2zz__flac_flacz00; 
if(
BGL_OBJECTP(BgL_oz00_1126))
{ /* Llib/flac.scm 146 */
 BgL_objectz00_bglt BgL_arg1829z00_1530; long BgL_arg1830z00_1531;
BgL_arg1829z00_1530 = 
(BgL_objectz00_bglt)(BgL_oz00_1126); 
BgL_arg1830z00_1531 = 
BGL_CLASS_DEPTH(BgL_classz00_1528); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/flac.scm 146 */
 long BgL_idxz00_1539;
BgL_idxz00_1539 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1829z00_1530); 
{ /* Llib/flac.scm 146 */
 obj_t BgL_arg1820z00_1540;
{ /* Llib/flac.scm 146 */
 long BgL_arg1821z00_1541;
BgL_arg1821z00_1541 = 
(BgL_idxz00_1539+BgL_arg1830z00_1531); 
BgL_arg1820z00_1540 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1821z00_1541); } 
BgL_test2013z00_2817 = 
(BgL_arg1820z00_1540==BgL_classz00_1528); } }  else 
{ /* Llib/flac.scm 146 */
 bool_t BgL_res1845z00_1567;
{ /* Llib/flac.scm 146 */
 obj_t BgL_oclassz00_1549;
{ /* Llib/flac.scm 146 */
 obj_t BgL_arg1834z00_1557; long BgL_arg1835z00_1558;
BgL_arg1834z00_1557 = 
(BGl_za2classesza2z00zz__objectz00); 
{ /* Llib/flac.scm 146 */
 long BgL_arg1836z00_1559;
BgL_arg1836z00_1559 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1829z00_1530); 
BgL_arg1835z00_1558 = 
(BgL_arg1836z00_1559-OBJECT_TYPE); } 
BgL_oclassz00_1549 = 
VECTOR_REF(BgL_arg1834z00_1557,BgL_arg1835z00_1558); } 
{ /* Llib/flac.scm 146 */
 bool_t BgL__ortest_1114z00_1550;
BgL__ortest_1114z00_1550 = 
(BgL_classz00_1528==BgL_oclassz00_1549); 
if(BgL__ortest_1114z00_1550)
{ /* Llib/flac.scm 146 */
BgL_res1845z00_1567 = BgL__ortest_1114z00_1550; }  else 
{ /* Llib/flac.scm 146 */
 long BgL_odepthz00_1551;
{ /* Llib/flac.scm 146 */
 obj_t BgL_arg1824z00_1552;
BgL_arg1824z00_1552 = 
(BgL_oclassz00_1549); 
BgL_odepthz00_1551 = 
BGL_CLASS_DEPTH(BgL_arg1824z00_1552); } 
if(
(BgL_arg1830z00_1531<BgL_odepthz00_1551))
{ /* Llib/flac.scm 146 */
 obj_t BgL_arg1822z00_1554;
{ /* Llib/flac.scm 146 */
 obj_t BgL_arg1823z00_1555;
BgL_arg1823z00_1555 = 
(BgL_oclassz00_1549); 
BgL_arg1822z00_1554 = 
BGL_CLASS_ANCESTORS_REF(BgL_arg1823z00_1555, BgL_arg1830z00_1531); } 
BgL_res1845z00_1567 = 
(BgL_arg1822z00_1554==BgL_classz00_1528); }  else 
{ /* Llib/flac.scm 146 */
BgL_res1845z00_1567 = ((bool_t)0); } } } } 
BgL_test2013z00_2817 = BgL_res1845z00_1567; } }  else 
{ /* Llib/flac.scm 146 */
BgL_test2013z00_2817 = ((bool_t)0)
; } } 
if(BgL_test2013z00_2817)
{ /* Llib/flac.scm 146 */
BgL_auxz00_2816 = 
((BgL_flaczd2decoderzd2_bglt)BgL_oz00_1126)
; }  else 
{ 
 obj_t BgL_auxz00_2842;
BgL_auxz00_2842 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1742z00zz__flac_flacz00, 
BINT(6750L), BGl_string1815z00zz__flac_flacz00, BGl_string1810z00zz__flac_flacz00, BgL_oz00_1126); 
FAILURE(BgL_auxz00_2842,BFALSE,BFALSE);} } 
return 
bgl_flac_decoder_read(BgL_auxz00_2816, BgL_auxz00_2846);} } 

}



/* flac-decoder-write */
BGL_EXPORTED_DEF obj_t bgl_flac_decoder_write(BgL_flaczd2decoderzd2_bglt BgL_oz00_14, long BgL_blocksiza7eza7_15, long BgL_sratez00_16, long BgL_channelsz00_17, long BgL_bpsz00_18)
{
{ /* Llib/flac.scm 151 */
{ /* Llib/flac.scm 151 */
 obj_t BgL_method1127z00_357;
{ /* Llib/flac.scm 151 */
 obj_t BgL_res1645z00_697;
{ /* Llib/flac.scm 151 */
 long BgL_objzd2classzd2numz00_668;
BgL_objzd2classzd2numz00_668 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_oz00_14)); 
{ /* Llib/flac.scm 151 */
 obj_t BgL_arg1831z00_669;
BgL_arg1831z00_669 = 
PROCEDURE_REF(BGl_flaczd2decoderzd2writezd2envzd2zz__flac_flacz00, 
(int)(1L)); 
{ /* Llib/flac.scm 151 */
 int BgL_offsetz00_672;
BgL_offsetz00_672 = 
(int)(BgL_objzd2classzd2numz00_668); 
{ /* Llib/flac.scm 151 */
 long BgL_offsetz00_673;
BgL_offsetz00_673 = 
(
(long)(BgL_offsetz00_672)-OBJECT_TYPE); 
{ /* Llib/flac.scm 151 */
 long BgL_modz00_674;
BgL_modz00_674 = 
(BgL_offsetz00_673 >> 
(int)(
(long)(
(int)(4L)))); 
{ /* Llib/flac.scm 151 */
 long BgL_restz00_676;
BgL_restz00_676 = 
(BgL_offsetz00_673 & 
(long)(
(int)(
(
(long)(
(int)(
(1L << 
(int)(
(long)(
(int)(4L))))))-1L)))); 
{ /* Llib/flac.scm 151 */

{ /* Llib/flac.scm 151 */
 obj_t BgL_bucketz00_678;
BgL_bucketz00_678 = 
VECTOR_REF(
((obj_t)BgL_arg1831z00_669),BgL_modz00_674); 
BgL_res1645z00_697 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_678),BgL_restz00_676); } } } } } } } } 
BgL_method1127z00_357 = BgL_res1645z00_697; } 
return 
BGL_PROCEDURE_CALL5(BgL_method1127z00_357, 
((obj_t)BgL_oz00_14), 
BINT(BgL_blocksiza7eza7_15), 
BINT(BgL_sratez00_16), 
BINT(BgL_channelsz00_17), 
BINT(BgL_bpsz00_18));} } 

}



/* &flac-decoder-write */
obj_t BGl_z62flaczd2decoderzd2writez62zz__flac_flacz00(obj_t BgL_envz00_1128, obj_t BgL_oz00_1129, obj_t BgL_blocksiza7eza7_1130, obj_t BgL_sratez00_1131, obj_t BgL_channelsz00_1132, obj_t BgL_bpsz00_1133)
{
{ /* Llib/flac.scm 151 */
{ /* Llib/flac.scm 151 */
 long BgL_auxz00_2951; long BgL_auxz00_2942; long BgL_auxz00_2933; long BgL_auxz00_2924; BgL_flaczd2decoderzd2_bglt BgL_auxz00_2894;
{ /* Llib/flac.scm 151 */
 obj_t BgL_tmpz00_2952;
if(
INTEGERP(BgL_bpsz00_1133))
{ /* Llib/flac.scm 151 */
BgL_tmpz00_2952 = BgL_bpsz00_1133
; }  else 
{ 
 obj_t BgL_auxz00_2955;
BgL_auxz00_2955 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1742z00zz__flac_flacz00, 
BINT(7037L), BGl_string1817z00zz__flac_flacz00, BGl_string1816z00zz__flac_flacz00, BgL_bpsz00_1133); 
FAILURE(BgL_auxz00_2955,BFALSE,BFALSE);} 
BgL_auxz00_2951 = 
(long)CINT(BgL_tmpz00_2952); } 
{ /* Llib/flac.scm 151 */
 obj_t BgL_tmpz00_2943;
if(
INTEGERP(BgL_channelsz00_1132))
{ /* Llib/flac.scm 151 */
BgL_tmpz00_2943 = BgL_channelsz00_1132
; }  else 
{ 
 obj_t BgL_auxz00_2946;
BgL_auxz00_2946 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1742z00zz__flac_flacz00, 
BINT(7037L), BGl_string1817z00zz__flac_flacz00, BGl_string1816z00zz__flac_flacz00, BgL_channelsz00_1132); 
FAILURE(BgL_auxz00_2946,BFALSE,BFALSE);} 
BgL_auxz00_2942 = 
(long)CINT(BgL_tmpz00_2943); } 
{ /* Llib/flac.scm 151 */
 obj_t BgL_tmpz00_2934;
if(
INTEGERP(BgL_sratez00_1131))
{ /* Llib/flac.scm 151 */
BgL_tmpz00_2934 = BgL_sratez00_1131
; }  else 
{ 
 obj_t BgL_auxz00_2937;
BgL_auxz00_2937 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1742z00zz__flac_flacz00, 
BINT(7037L), BGl_string1817z00zz__flac_flacz00, BGl_string1816z00zz__flac_flacz00, BgL_sratez00_1131); 
FAILURE(BgL_auxz00_2937,BFALSE,BFALSE);} 
BgL_auxz00_2933 = 
(long)CINT(BgL_tmpz00_2934); } 
{ /* Llib/flac.scm 151 */
 obj_t BgL_tmpz00_2925;
if(
INTEGERP(BgL_blocksiza7eza7_1130))
{ /* Llib/flac.scm 151 */
BgL_tmpz00_2925 = BgL_blocksiza7eza7_1130
; }  else 
{ 
 obj_t BgL_auxz00_2928;
BgL_auxz00_2928 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1742z00zz__flac_flacz00, 
BINT(7037L), BGl_string1817z00zz__flac_flacz00, BGl_string1816z00zz__flac_flacz00, BgL_blocksiza7eza7_1130); 
FAILURE(BgL_auxz00_2928,BFALSE,BFALSE);} 
BgL_auxz00_2924 = 
(long)CINT(BgL_tmpz00_2925); } 
{ /* Llib/flac.scm 151 */
 bool_t BgL_test2019z00_2895;
{ /* Llib/flac.scm 151 */
 obj_t BgL_classz00_1568;
BgL_classz00_1568 = BGl_flaczd2decoderzd2zz__flac_flacz00; 
if(
BGL_OBJECTP(BgL_oz00_1129))
{ /* Llib/flac.scm 151 */
 BgL_objectz00_bglt BgL_arg1829z00_1570; long BgL_arg1830z00_1571;
BgL_arg1829z00_1570 = 
(BgL_objectz00_bglt)(BgL_oz00_1129); 
BgL_arg1830z00_1571 = 
BGL_CLASS_DEPTH(BgL_classz00_1568); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/flac.scm 151 */
 long BgL_idxz00_1579;
BgL_idxz00_1579 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1829z00_1570); 
{ /* Llib/flac.scm 151 */
 obj_t BgL_arg1820z00_1580;
{ /* Llib/flac.scm 151 */
 long BgL_arg1821z00_1581;
BgL_arg1821z00_1581 = 
(BgL_idxz00_1579+BgL_arg1830z00_1571); 
BgL_arg1820z00_1580 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1821z00_1581); } 
BgL_test2019z00_2895 = 
(BgL_arg1820z00_1580==BgL_classz00_1568); } }  else 
{ /* Llib/flac.scm 151 */
 bool_t BgL_res1846z00_1607;
{ /* Llib/flac.scm 151 */
 obj_t BgL_oclassz00_1589;
{ /* Llib/flac.scm 151 */
 obj_t BgL_arg1834z00_1597; long BgL_arg1835z00_1598;
BgL_arg1834z00_1597 = 
(BGl_za2classesza2z00zz__objectz00); 
{ /* Llib/flac.scm 151 */
 long BgL_arg1836z00_1599;
BgL_arg1836z00_1599 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1829z00_1570); 
BgL_arg1835z00_1598 = 
(BgL_arg1836z00_1599-OBJECT_TYPE); } 
BgL_oclassz00_1589 = 
VECTOR_REF(BgL_arg1834z00_1597,BgL_arg1835z00_1598); } 
{ /* Llib/flac.scm 151 */
 bool_t BgL__ortest_1114z00_1590;
BgL__ortest_1114z00_1590 = 
(BgL_classz00_1568==BgL_oclassz00_1589); 
if(BgL__ortest_1114z00_1590)
{ /* Llib/flac.scm 151 */
BgL_res1846z00_1607 = BgL__ortest_1114z00_1590; }  else 
{ /* Llib/flac.scm 151 */
 long BgL_odepthz00_1591;
{ /* Llib/flac.scm 151 */
 obj_t BgL_arg1824z00_1592;
BgL_arg1824z00_1592 = 
(BgL_oclassz00_1589); 
BgL_odepthz00_1591 = 
BGL_CLASS_DEPTH(BgL_arg1824z00_1592); } 
if(
(BgL_arg1830z00_1571<BgL_odepthz00_1591))
{ /* Llib/flac.scm 151 */
 obj_t BgL_arg1822z00_1594;
{ /* Llib/flac.scm 151 */
 obj_t BgL_arg1823z00_1595;
BgL_arg1823z00_1595 = 
(BgL_oclassz00_1589); 
BgL_arg1822z00_1594 = 
BGL_CLASS_ANCESTORS_REF(BgL_arg1823z00_1595, BgL_arg1830z00_1571); } 
BgL_res1846z00_1607 = 
(BgL_arg1822z00_1594==BgL_classz00_1568); }  else 
{ /* Llib/flac.scm 151 */
BgL_res1846z00_1607 = ((bool_t)0); } } } } 
BgL_test2019z00_2895 = BgL_res1846z00_1607; } }  else 
{ /* Llib/flac.scm 151 */
BgL_test2019z00_2895 = ((bool_t)0)
; } } 
if(BgL_test2019z00_2895)
{ /* Llib/flac.scm 151 */
BgL_auxz00_2894 = 
((BgL_flaczd2decoderzd2_bglt)BgL_oz00_1129)
; }  else 
{ 
 obj_t BgL_auxz00_2920;
BgL_auxz00_2920 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1742z00zz__flac_flacz00, 
BINT(7037L), BGl_string1817z00zz__flac_flacz00, BGl_string1810z00zz__flac_flacz00, BgL_oz00_1129); 
FAILURE(BgL_auxz00_2920,BFALSE,BFALSE);} } 
return 
bgl_flac_decoder_write(BgL_auxz00_2894, BgL_auxz00_2924, BgL_auxz00_2933, BgL_auxz00_2942, BgL_auxz00_2951);} } 

}



/* flac-decoder-metadata */
BGL_EXPORTED_DEF obj_t bgl_flac_decoder_metadata(BgL_flaczd2decoderzd2_bglt BgL_oz00_19, BGL_LONGLONG_T BgL_totalz00_20, long BgL_sratez00_21, long BgL_channelsz00_22, long BgL_bpsz00_23)
{
{ /* Llib/flac.scm 160 */
{ /* Llib/flac.scm 160 */
 obj_t BgL_method1129z00_358;
{ /* Llib/flac.scm 160 */
 obj_t BgL_res1650z00_728;
{ /* Llib/flac.scm 160 */
 long BgL_objzd2classzd2numz00_699;
BgL_objzd2classzd2numz00_699 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_oz00_19)); 
{ /* Llib/flac.scm 160 */
 obj_t BgL_arg1831z00_700;
BgL_arg1831z00_700 = 
PROCEDURE_REF(BGl_flaczd2decoderzd2metadatazd2envzd2zz__flac_flacz00, 
(int)(1L)); 
{ /* Llib/flac.scm 160 */
 int BgL_offsetz00_703;
BgL_offsetz00_703 = 
(int)(BgL_objzd2classzd2numz00_699); 
{ /* Llib/flac.scm 160 */
 long BgL_offsetz00_704;
BgL_offsetz00_704 = 
(
(long)(BgL_offsetz00_703)-OBJECT_TYPE); 
{ /* Llib/flac.scm 160 */
 long BgL_modz00_705;
BgL_modz00_705 = 
(BgL_offsetz00_704 >> 
(int)(
(long)(
(int)(4L)))); 
{ /* Llib/flac.scm 160 */
 long BgL_restz00_707;
BgL_restz00_707 = 
(BgL_offsetz00_704 & 
(long)(
(int)(
(
(long)(
(int)(
(1L << 
(int)(
(long)(
(int)(4L))))))-1L)))); 
{ /* Llib/flac.scm 160 */

{ /* Llib/flac.scm 160 */
 obj_t BgL_bucketz00_709;
BgL_bucketz00_709 = 
VECTOR_REF(
((obj_t)BgL_arg1831z00_700),BgL_modz00_705); 
BgL_res1650z00_728 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_709),BgL_restz00_707); } } } } } } } } 
BgL_method1129z00_358 = BgL_res1650z00_728; } 
return 
BGL_PROCEDURE_CALL5(BgL_method1129z00_358, 
((obj_t)BgL_oz00_19), 
make_bllong(BgL_totalz00_20), 
BINT(BgL_sratez00_21), 
BINT(BgL_channelsz00_22), 
BINT(BgL_bpsz00_23));} } 

}



/* &flac-decoder-metadata */
obj_t BGl_z62flaczd2decoderzd2metadataz62zz__flac_flacz00(obj_t BgL_envz00_1134, obj_t BgL_oz00_1135, obj_t BgL_totalz00_1136, obj_t BgL_sratez00_1137, obj_t BgL_channelsz00_1138, obj_t BgL_bpsz00_1139)
{
{ /* Llib/flac.scm 160 */
{ /* Llib/flac.scm 160 */
 long BgL_auxz00_3056; long BgL_auxz00_3047; long BgL_auxz00_3038; BGL_LONGLONG_T BgL_auxz00_3029; BgL_flaczd2decoderzd2_bglt BgL_auxz00_2999;
{ /* Llib/flac.scm 160 */
 obj_t BgL_tmpz00_3057;
if(
INTEGERP(BgL_bpsz00_1139))
{ /* Llib/flac.scm 160 */
BgL_tmpz00_3057 = BgL_bpsz00_1139
; }  else 
{ 
 obj_t BgL_auxz00_3060;
BgL_auxz00_3060 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1742z00zz__flac_flacz00, 
BINT(7387L), BGl_string1818z00zz__flac_flacz00, BGl_string1816z00zz__flac_flacz00, BgL_bpsz00_1139); 
FAILURE(BgL_auxz00_3060,BFALSE,BFALSE);} 
BgL_auxz00_3056 = 
(long)CINT(BgL_tmpz00_3057); } 
{ /* Llib/flac.scm 160 */
 obj_t BgL_tmpz00_3048;
if(
INTEGERP(BgL_channelsz00_1138))
{ /* Llib/flac.scm 160 */
BgL_tmpz00_3048 = BgL_channelsz00_1138
; }  else 
{ 
 obj_t BgL_auxz00_3051;
BgL_auxz00_3051 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1742z00zz__flac_flacz00, 
BINT(7387L), BGl_string1818z00zz__flac_flacz00, BGl_string1816z00zz__flac_flacz00, BgL_channelsz00_1138); 
FAILURE(BgL_auxz00_3051,BFALSE,BFALSE);} 
BgL_auxz00_3047 = 
(long)CINT(BgL_tmpz00_3048); } 
{ /* Llib/flac.scm 160 */
 obj_t BgL_tmpz00_3039;
if(
INTEGERP(BgL_sratez00_1137))
{ /* Llib/flac.scm 160 */
BgL_tmpz00_3039 = BgL_sratez00_1137
; }  else 
{ 
 obj_t BgL_auxz00_3042;
BgL_auxz00_3042 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1742z00zz__flac_flacz00, 
BINT(7387L), BGl_string1818z00zz__flac_flacz00, BGl_string1816z00zz__flac_flacz00, BgL_sratez00_1137); 
FAILURE(BgL_auxz00_3042,BFALSE,BFALSE);} 
BgL_auxz00_3038 = 
(long)CINT(BgL_tmpz00_3039); } 
{ /* Llib/flac.scm 160 */
 obj_t BgL_tmpz00_3030;
if(
LLONGP(BgL_totalz00_1136))
{ /* Llib/flac.scm 160 */
BgL_tmpz00_3030 = BgL_totalz00_1136
; }  else 
{ 
 obj_t BgL_auxz00_3033;
BgL_auxz00_3033 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1742z00zz__flac_flacz00, 
BINT(7387L), BGl_string1818z00zz__flac_flacz00, BGl_string1819z00zz__flac_flacz00, BgL_totalz00_1136); 
FAILURE(BgL_auxz00_3033,BFALSE,BFALSE);} 
BgL_auxz00_3029 = 
BLLONG_TO_LLONG(BgL_tmpz00_3030); } 
{ /* Llib/flac.scm 160 */
 bool_t BgL_test2028z00_3000;
{ /* Llib/flac.scm 160 */
 obj_t BgL_classz00_1608;
BgL_classz00_1608 = BGl_flaczd2decoderzd2zz__flac_flacz00; 
if(
BGL_OBJECTP(BgL_oz00_1135))
{ /* Llib/flac.scm 160 */
 BgL_objectz00_bglt BgL_arg1829z00_1610; long BgL_arg1830z00_1611;
BgL_arg1829z00_1610 = 
(BgL_objectz00_bglt)(BgL_oz00_1135); 
BgL_arg1830z00_1611 = 
BGL_CLASS_DEPTH(BgL_classz00_1608); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/flac.scm 160 */
 long BgL_idxz00_1619;
BgL_idxz00_1619 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1829z00_1610); 
{ /* Llib/flac.scm 160 */
 obj_t BgL_arg1820z00_1620;
{ /* Llib/flac.scm 160 */
 long BgL_arg1821z00_1621;
BgL_arg1821z00_1621 = 
(BgL_idxz00_1619+BgL_arg1830z00_1611); 
BgL_arg1820z00_1620 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1821z00_1621); } 
BgL_test2028z00_3000 = 
(BgL_arg1820z00_1620==BgL_classz00_1608); } }  else 
{ /* Llib/flac.scm 160 */
 bool_t BgL_res1847z00_1647;
{ /* Llib/flac.scm 160 */
 obj_t BgL_oclassz00_1629;
{ /* Llib/flac.scm 160 */
 obj_t BgL_arg1834z00_1637; long BgL_arg1835z00_1638;
BgL_arg1834z00_1637 = 
(BGl_za2classesza2z00zz__objectz00); 
{ /* Llib/flac.scm 160 */
 long BgL_arg1836z00_1639;
BgL_arg1836z00_1639 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1829z00_1610); 
BgL_arg1835z00_1638 = 
(BgL_arg1836z00_1639-OBJECT_TYPE); } 
BgL_oclassz00_1629 = 
VECTOR_REF(BgL_arg1834z00_1637,BgL_arg1835z00_1638); } 
{ /* Llib/flac.scm 160 */
 bool_t BgL__ortest_1114z00_1630;
BgL__ortest_1114z00_1630 = 
(BgL_classz00_1608==BgL_oclassz00_1629); 
if(BgL__ortest_1114z00_1630)
{ /* Llib/flac.scm 160 */
BgL_res1847z00_1647 = BgL__ortest_1114z00_1630; }  else 
{ /* Llib/flac.scm 160 */
 long BgL_odepthz00_1631;
{ /* Llib/flac.scm 160 */
 obj_t BgL_arg1824z00_1632;
BgL_arg1824z00_1632 = 
(BgL_oclassz00_1629); 
BgL_odepthz00_1631 = 
BGL_CLASS_DEPTH(BgL_arg1824z00_1632); } 
if(
(BgL_arg1830z00_1611<BgL_odepthz00_1631))
{ /* Llib/flac.scm 160 */
 obj_t BgL_arg1822z00_1634;
{ /* Llib/flac.scm 160 */
 obj_t BgL_arg1823z00_1635;
BgL_arg1823z00_1635 = 
(BgL_oclassz00_1629); 
BgL_arg1822z00_1634 = 
BGL_CLASS_ANCESTORS_REF(BgL_arg1823z00_1635, BgL_arg1830z00_1611); } 
BgL_res1847z00_1647 = 
(BgL_arg1822z00_1634==BgL_classz00_1608); }  else 
{ /* Llib/flac.scm 160 */
BgL_res1847z00_1647 = ((bool_t)0); } } } } 
BgL_test2028z00_3000 = BgL_res1847z00_1647; } }  else 
{ /* Llib/flac.scm 160 */
BgL_test2028z00_3000 = ((bool_t)0)
; } } 
if(BgL_test2028z00_3000)
{ /* Llib/flac.scm 160 */
BgL_auxz00_2999 = 
((BgL_flaczd2decoderzd2_bglt)BgL_oz00_1135)
; }  else 
{ 
 obj_t BgL_auxz00_3025;
BgL_auxz00_3025 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1742z00zz__flac_flacz00, 
BINT(7387L), BGl_string1818z00zz__flac_flacz00, BGl_string1810z00zz__flac_flacz00, BgL_oz00_1135); 
FAILURE(BgL_auxz00_3025,BFALSE,BFALSE);} } 
return 
bgl_flac_decoder_metadata(BgL_auxz00_2999, BgL_auxz00_3029, BgL_auxz00_3038, BgL_auxz00_3047, BgL_auxz00_3056);} } 

}



/* flac-decoder-tell */
BGL_EXPORTED_DEF obj_t bgl_flac_decoder_tell(BgL_flaczd2decoderzd2_bglt BgL_oz00_24)
{
{ /* Llib/flac.scm 169 */
{ /* Llib/flac.scm 169 */
 obj_t BgL_method1131z00_359;
{ /* Llib/flac.scm 169 */
 obj_t BgL_res1655z00_759;
{ /* Llib/flac.scm 169 */
 long BgL_objzd2classzd2numz00_730;
BgL_objzd2classzd2numz00_730 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_oz00_24)); 
{ /* Llib/flac.scm 169 */
 obj_t BgL_arg1831z00_731;
BgL_arg1831z00_731 = 
PROCEDURE_REF(BGl_flaczd2decoderzd2tellzd2envzd2zz__flac_flacz00, 
(int)(1L)); 
{ /* Llib/flac.scm 169 */
 int BgL_offsetz00_734;
BgL_offsetz00_734 = 
(int)(BgL_objzd2classzd2numz00_730); 
{ /* Llib/flac.scm 169 */
 long BgL_offsetz00_735;
BgL_offsetz00_735 = 
(
(long)(BgL_offsetz00_734)-OBJECT_TYPE); 
{ /* Llib/flac.scm 169 */
 long BgL_modz00_736;
BgL_modz00_736 = 
(BgL_offsetz00_735 >> 
(int)(
(long)(
(int)(4L)))); 
{ /* Llib/flac.scm 169 */
 long BgL_restz00_738;
BgL_restz00_738 = 
(BgL_offsetz00_735 & 
(long)(
(int)(
(
(long)(
(int)(
(1L << 
(int)(
(long)(
(int)(4L))))))-1L)))); 
{ /* Llib/flac.scm 169 */

{ /* Llib/flac.scm 169 */
 obj_t BgL_bucketz00_740;
BgL_bucketz00_740 = 
VECTOR_REF(
((obj_t)BgL_arg1831z00_731),BgL_modz00_736); 
BgL_res1655z00_759 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_740),BgL_restz00_738); } } } } } } } } 
BgL_method1131z00_359 = BgL_res1655z00_759; } 
return 
BGL_PROCEDURE_CALL1(BgL_method1131z00_359, 
((obj_t)BgL_oz00_24));} } 

}



/* &flac-decoder-tell */
obj_t BGl_z62flaczd2decoderzd2tellz62zz__flac_flacz00(obj_t BgL_envz00_1140, obj_t BgL_oz00_1141)
{
{ /* Llib/flac.scm 169 */
{ /* Llib/flac.scm 169 */
 BgL_flaczd2decoderzd2_bglt BgL_auxz00_3096;
{ /* Llib/flac.scm 169 */
 bool_t BgL_test2037z00_3097;
{ /* Llib/flac.scm 169 */
 obj_t BgL_classz00_1648;
BgL_classz00_1648 = BGl_flaczd2decoderzd2zz__flac_flacz00; 
if(
BGL_OBJECTP(BgL_oz00_1141))
{ /* Llib/flac.scm 169 */
 BgL_objectz00_bglt BgL_arg1829z00_1650; long BgL_arg1830z00_1651;
BgL_arg1829z00_1650 = 
(BgL_objectz00_bglt)(BgL_oz00_1141); 
BgL_arg1830z00_1651 = 
BGL_CLASS_DEPTH(BgL_classz00_1648); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/flac.scm 169 */
 long BgL_idxz00_1659;
BgL_idxz00_1659 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1829z00_1650); 
{ /* Llib/flac.scm 169 */
 obj_t BgL_arg1820z00_1660;
{ /* Llib/flac.scm 169 */
 long BgL_arg1821z00_1661;
BgL_arg1821z00_1661 = 
(BgL_idxz00_1659+BgL_arg1830z00_1651); 
BgL_arg1820z00_1660 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1821z00_1661); } 
BgL_test2037z00_3097 = 
(BgL_arg1820z00_1660==BgL_classz00_1648); } }  else 
{ /* Llib/flac.scm 169 */
 bool_t BgL_res1848z00_1687;
{ /* Llib/flac.scm 169 */
 obj_t BgL_oclassz00_1669;
{ /* Llib/flac.scm 169 */
 obj_t BgL_arg1834z00_1677; long BgL_arg1835z00_1678;
BgL_arg1834z00_1677 = 
(BGl_za2classesza2z00zz__objectz00); 
{ /* Llib/flac.scm 169 */
 long BgL_arg1836z00_1679;
BgL_arg1836z00_1679 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1829z00_1650); 
BgL_arg1835z00_1678 = 
(BgL_arg1836z00_1679-OBJECT_TYPE); } 
BgL_oclassz00_1669 = 
VECTOR_REF(BgL_arg1834z00_1677,BgL_arg1835z00_1678); } 
{ /* Llib/flac.scm 169 */
 bool_t BgL__ortest_1114z00_1670;
BgL__ortest_1114z00_1670 = 
(BgL_classz00_1648==BgL_oclassz00_1669); 
if(BgL__ortest_1114z00_1670)
{ /* Llib/flac.scm 169 */
BgL_res1848z00_1687 = BgL__ortest_1114z00_1670; }  else 
{ /* Llib/flac.scm 169 */
 long BgL_odepthz00_1671;
{ /* Llib/flac.scm 169 */
 obj_t BgL_arg1824z00_1672;
BgL_arg1824z00_1672 = 
(BgL_oclassz00_1669); 
BgL_odepthz00_1671 = 
BGL_CLASS_DEPTH(BgL_arg1824z00_1672); } 
if(
(BgL_arg1830z00_1651<BgL_odepthz00_1671))
{ /* Llib/flac.scm 169 */
 obj_t BgL_arg1822z00_1674;
{ /* Llib/flac.scm 169 */
 obj_t BgL_arg1823z00_1675;
BgL_arg1823z00_1675 = 
(BgL_oclassz00_1669); 
BgL_arg1822z00_1674 = 
BGL_CLASS_ANCESTORS_REF(BgL_arg1823z00_1675, BgL_arg1830z00_1651); } 
BgL_res1848z00_1687 = 
(BgL_arg1822z00_1674==BgL_classz00_1648); }  else 
{ /* Llib/flac.scm 169 */
BgL_res1848z00_1687 = ((bool_t)0); } } } } 
BgL_test2037z00_3097 = BgL_res1848z00_1687; } }  else 
{ /* Llib/flac.scm 169 */
BgL_test2037z00_3097 = ((bool_t)0)
; } } 
if(BgL_test2037z00_3097)
{ /* Llib/flac.scm 169 */
BgL_auxz00_3096 = 
((BgL_flaczd2decoderzd2_bglt)BgL_oz00_1141)
; }  else 
{ 
 obj_t BgL_auxz00_3122;
BgL_auxz00_3122 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1742z00zz__flac_flacz00, 
BINT(7737L), BGl_string1820z00zz__flac_flacz00, BGl_string1810z00zz__flac_flacz00, BgL_oz00_1141); 
FAILURE(BgL_auxz00_3122,BFALSE,BFALSE);} } 
return 
bgl_flac_decoder_tell(BgL_auxz00_3096);} } 

}



/* flac-decoder-seek */
BGL_EXPORTED_DEF obj_t bgl_flac_decoder_seek(BgL_flaczd2decoderzd2_bglt BgL_oz00_25, BGL_LONGLONG_T BgL_offsetz00_26)
{
{ /* Llib/flac.scm 175 */
{ /* Llib/flac.scm 175 */
 obj_t BgL_method1133z00_360;
{ /* Llib/flac.scm 175 */
 obj_t BgL_res1660z00_790;
{ /* Llib/flac.scm 175 */
 long BgL_objzd2classzd2numz00_761;
BgL_objzd2classzd2numz00_761 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_oz00_25)); 
{ /* Llib/flac.scm 175 */
 obj_t BgL_arg1831z00_762;
BgL_arg1831z00_762 = 
PROCEDURE_REF(BGl_flaczd2decoderzd2seekzd2envzd2zz__flac_flacz00, 
(int)(1L)); 
{ /* Llib/flac.scm 175 */
 int BgL_offsetz00_765;
BgL_offsetz00_765 = 
(int)(BgL_objzd2classzd2numz00_761); 
{ /* Llib/flac.scm 175 */
 long BgL_offsetz00_766;
BgL_offsetz00_766 = 
(
(long)(BgL_offsetz00_765)-OBJECT_TYPE); 
{ /* Llib/flac.scm 175 */
 long BgL_modz00_767;
BgL_modz00_767 = 
(BgL_offsetz00_766 >> 
(int)(
(long)(
(int)(4L)))); 
{ /* Llib/flac.scm 175 */
 long BgL_restz00_769;
BgL_restz00_769 = 
(BgL_offsetz00_766 & 
(long)(
(int)(
(
(long)(
(int)(
(1L << 
(int)(
(long)(
(int)(4L))))))-1L)))); 
{ /* Llib/flac.scm 175 */

{ /* Llib/flac.scm 175 */
 obj_t BgL_bucketz00_771;
BgL_bucketz00_771 = 
VECTOR_REF(
((obj_t)BgL_arg1831z00_762),BgL_modz00_767); 
BgL_res1660z00_790 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_771),BgL_restz00_769); } } } } } } } } 
BgL_method1133z00_360 = BgL_res1660z00_790; } 
return 
BGL_PROCEDURE_CALL2(BgL_method1133z00_360, 
((obj_t)BgL_oz00_25), 
make_bllong(BgL_offsetz00_26));} } 

}



/* &flac-decoder-seek */
obj_t BGl_z62flaczd2decoderzd2seekz62zz__flac_flacz00(obj_t BgL_envz00_1142, obj_t BgL_oz00_1143, obj_t BgL_offsetz00_1144)
{
{ /* Llib/flac.scm 175 */
{ /* Llib/flac.scm 175 */
 BGL_LONGLONG_T BgL_auxz00_3189; BgL_flaczd2decoderzd2_bglt BgL_auxz00_3159;
{ /* Llib/flac.scm 175 */
 obj_t BgL_tmpz00_3190;
if(
LLONGP(BgL_offsetz00_1144))
{ /* Llib/flac.scm 175 */
BgL_tmpz00_3190 = BgL_offsetz00_1144
; }  else 
{ 
 obj_t BgL_auxz00_3193;
BgL_auxz00_3193 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1742z00zz__flac_flacz00, 
BINT(8019L), BGl_string1821z00zz__flac_flacz00, BGl_string1819z00zz__flac_flacz00, BgL_offsetz00_1144); 
FAILURE(BgL_auxz00_3193,BFALSE,BFALSE);} 
BgL_auxz00_3189 = 
BLLONG_TO_LLONG(BgL_tmpz00_3190); } 
{ /* Llib/flac.scm 175 */
 bool_t BgL_test2042z00_3160;
{ /* Llib/flac.scm 175 */
 obj_t BgL_classz00_1688;
BgL_classz00_1688 = BGl_flaczd2decoderzd2zz__flac_flacz00; 
if(
BGL_OBJECTP(BgL_oz00_1143))
{ /* Llib/flac.scm 175 */
 BgL_objectz00_bglt BgL_arg1829z00_1690; long BgL_arg1830z00_1691;
BgL_arg1829z00_1690 = 
(BgL_objectz00_bglt)(BgL_oz00_1143); 
BgL_arg1830z00_1691 = 
BGL_CLASS_DEPTH(BgL_classz00_1688); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/flac.scm 175 */
 long BgL_idxz00_1699;
BgL_idxz00_1699 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1829z00_1690); 
{ /* Llib/flac.scm 175 */
 obj_t BgL_arg1820z00_1700;
{ /* Llib/flac.scm 175 */
 long BgL_arg1821z00_1701;
BgL_arg1821z00_1701 = 
(BgL_idxz00_1699+BgL_arg1830z00_1691); 
BgL_arg1820z00_1700 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1821z00_1701); } 
BgL_test2042z00_3160 = 
(BgL_arg1820z00_1700==BgL_classz00_1688); } }  else 
{ /* Llib/flac.scm 175 */
 bool_t BgL_res1849z00_1727;
{ /* Llib/flac.scm 175 */
 obj_t BgL_oclassz00_1709;
{ /* Llib/flac.scm 175 */
 obj_t BgL_arg1834z00_1717; long BgL_arg1835z00_1718;
BgL_arg1834z00_1717 = 
(BGl_za2classesza2z00zz__objectz00); 
{ /* Llib/flac.scm 175 */
 long BgL_arg1836z00_1719;
BgL_arg1836z00_1719 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1829z00_1690); 
BgL_arg1835z00_1718 = 
(BgL_arg1836z00_1719-OBJECT_TYPE); } 
BgL_oclassz00_1709 = 
VECTOR_REF(BgL_arg1834z00_1717,BgL_arg1835z00_1718); } 
{ /* Llib/flac.scm 175 */
 bool_t BgL__ortest_1114z00_1710;
BgL__ortest_1114z00_1710 = 
(BgL_classz00_1688==BgL_oclassz00_1709); 
if(BgL__ortest_1114z00_1710)
{ /* Llib/flac.scm 175 */
BgL_res1849z00_1727 = BgL__ortest_1114z00_1710; }  else 
{ /* Llib/flac.scm 175 */
 long BgL_odepthz00_1711;
{ /* Llib/flac.scm 175 */
 obj_t BgL_arg1824z00_1712;
BgL_arg1824z00_1712 = 
(BgL_oclassz00_1709); 
BgL_odepthz00_1711 = 
BGL_CLASS_DEPTH(BgL_arg1824z00_1712); } 
if(
(BgL_arg1830z00_1691<BgL_odepthz00_1711))
{ /* Llib/flac.scm 175 */
 obj_t BgL_arg1822z00_1714;
{ /* Llib/flac.scm 175 */
 obj_t BgL_arg1823z00_1715;
BgL_arg1823z00_1715 = 
(BgL_oclassz00_1709); 
BgL_arg1822z00_1714 = 
BGL_CLASS_ANCESTORS_REF(BgL_arg1823z00_1715, BgL_arg1830z00_1691); } 
BgL_res1849z00_1727 = 
(BgL_arg1822z00_1714==BgL_classz00_1688); }  else 
{ /* Llib/flac.scm 175 */
BgL_res1849z00_1727 = ((bool_t)0); } } } } 
BgL_test2042z00_3160 = BgL_res1849z00_1727; } }  else 
{ /* Llib/flac.scm 175 */
BgL_test2042z00_3160 = ((bool_t)0)
; } } 
if(BgL_test2042z00_3160)
{ /* Llib/flac.scm 175 */
BgL_auxz00_3159 = 
((BgL_flaczd2decoderzd2_bglt)BgL_oz00_1143)
; }  else 
{ 
 obj_t BgL_auxz00_3185;
BgL_auxz00_3185 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1742z00zz__flac_flacz00, 
BINT(8019L), BGl_string1821z00zz__flac_flacz00, BGl_string1810z00zz__flac_flacz00, BgL_oz00_1143); 
FAILURE(BgL_auxz00_3185,BFALSE,BFALSE);} } 
return 
bgl_flac_decoder_seek(BgL_auxz00_3159, BgL_auxz00_3189);} } 

}



/* flac-decoder-length */
BGL_EXPORTED_DEF obj_t bgl_flac_decoder_length(BgL_flaczd2decoderzd2_bglt BgL_oz00_27)
{
{ /* Llib/flac.scm 181 */
{ /* Llib/flac.scm 181 */
 obj_t BgL_method1135z00_361;
{ /* Llib/flac.scm 181 */
 obj_t BgL_res1665z00_821;
{ /* Llib/flac.scm 181 */
 long BgL_objzd2classzd2numz00_792;
BgL_objzd2classzd2numz00_792 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_oz00_27)); 
{ /* Llib/flac.scm 181 */
 obj_t BgL_arg1831z00_793;
BgL_arg1831z00_793 = 
PROCEDURE_REF(BGl_flaczd2decoderzd2lengthzd2envzd2zz__flac_flacz00, 
(int)(1L)); 
{ /* Llib/flac.scm 181 */
 int BgL_offsetz00_796;
BgL_offsetz00_796 = 
(int)(BgL_objzd2classzd2numz00_792); 
{ /* Llib/flac.scm 181 */
 long BgL_offsetz00_797;
BgL_offsetz00_797 = 
(
(long)(BgL_offsetz00_796)-OBJECT_TYPE); 
{ /* Llib/flac.scm 181 */
 long BgL_modz00_798;
BgL_modz00_798 = 
(BgL_offsetz00_797 >> 
(int)(
(long)(
(int)(4L)))); 
{ /* Llib/flac.scm 181 */
 long BgL_restz00_800;
BgL_restz00_800 = 
(BgL_offsetz00_797 & 
(long)(
(int)(
(
(long)(
(int)(
(1L << 
(int)(
(long)(
(int)(4L))))))-1L)))); 
{ /* Llib/flac.scm 181 */

{ /* Llib/flac.scm 181 */
 obj_t BgL_bucketz00_802;
BgL_bucketz00_802 = 
VECTOR_REF(
((obj_t)BgL_arg1831z00_793),BgL_modz00_798); 
BgL_res1665z00_821 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_802),BgL_restz00_800); } } } } } } } } 
BgL_method1135z00_361 = BgL_res1665z00_821; } 
return 
BGL_PROCEDURE_CALL1(BgL_method1135z00_361, 
((obj_t)BgL_oz00_27));} } 

}



/* &flac-decoder-length */
obj_t BGl_z62flaczd2decoderzd2lengthz62zz__flac_flacz00(obj_t BgL_envz00_1145, obj_t BgL_oz00_1146)
{
{ /* Llib/flac.scm 181 */
{ /* Llib/flac.scm 181 */
 BgL_flaczd2decoderzd2_bglt BgL_auxz00_3229;
{ /* Llib/flac.scm 181 */
 bool_t BgL_test2048z00_3230;
{ /* Llib/flac.scm 181 */
 obj_t BgL_classz00_1728;
BgL_classz00_1728 = BGl_flaczd2decoderzd2zz__flac_flacz00; 
if(
BGL_OBJECTP(BgL_oz00_1146))
{ /* Llib/flac.scm 181 */
 BgL_objectz00_bglt BgL_arg1829z00_1730; long BgL_arg1830z00_1731;
BgL_arg1829z00_1730 = 
(BgL_objectz00_bglt)(BgL_oz00_1146); 
BgL_arg1830z00_1731 = 
BGL_CLASS_DEPTH(BgL_classz00_1728); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/flac.scm 181 */
 long BgL_idxz00_1739;
BgL_idxz00_1739 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1829z00_1730); 
{ /* Llib/flac.scm 181 */
 obj_t BgL_arg1820z00_1740;
{ /* Llib/flac.scm 181 */
 long BgL_arg1821z00_1741;
BgL_arg1821z00_1741 = 
(BgL_idxz00_1739+BgL_arg1830z00_1731); 
BgL_arg1820z00_1740 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1821z00_1741); } 
BgL_test2048z00_3230 = 
(BgL_arg1820z00_1740==BgL_classz00_1728); } }  else 
{ /* Llib/flac.scm 181 */
 bool_t BgL_res1850z00_1767;
{ /* Llib/flac.scm 181 */
 obj_t BgL_oclassz00_1749;
{ /* Llib/flac.scm 181 */
 obj_t BgL_arg1834z00_1757; long BgL_arg1835z00_1758;
BgL_arg1834z00_1757 = 
(BGl_za2classesza2z00zz__objectz00); 
{ /* Llib/flac.scm 181 */
 long BgL_arg1836z00_1759;
BgL_arg1836z00_1759 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1829z00_1730); 
BgL_arg1835z00_1758 = 
(BgL_arg1836z00_1759-OBJECT_TYPE); } 
BgL_oclassz00_1749 = 
VECTOR_REF(BgL_arg1834z00_1757,BgL_arg1835z00_1758); } 
{ /* Llib/flac.scm 181 */
 bool_t BgL__ortest_1114z00_1750;
BgL__ortest_1114z00_1750 = 
(BgL_classz00_1728==BgL_oclassz00_1749); 
if(BgL__ortest_1114z00_1750)
{ /* Llib/flac.scm 181 */
BgL_res1850z00_1767 = BgL__ortest_1114z00_1750; }  else 
{ /* Llib/flac.scm 181 */
 long BgL_odepthz00_1751;
{ /* Llib/flac.scm 181 */
 obj_t BgL_arg1824z00_1752;
BgL_arg1824z00_1752 = 
(BgL_oclassz00_1749); 
BgL_odepthz00_1751 = 
BGL_CLASS_DEPTH(BgL_arg1824z00_1752); } 
if(
(BgL_arg1830z00_1731<BgL_odepthz00_1751))
{ /* Llib/flac.scm 181 */
 obj_t BgL_arg1822z00_1754;
{ /* Llib/flac.scm 181 */
 obj_t BgL_arg1823z00_1755;
BgL_arg1823z00_1755 = 
(BgL_oclassz00_1749); 
BgL_arg1822z00_1754 = 
BGL_CLASS_ANCESTORS_REF(BgL_arg1823z00_1755, BgL_arg1830z00_1731); } 
BgL_res1850z00_1767 = 
(BgL_arg1822z00_1754==BgL_classz00_1728); }  else 
{ /* Llib/flac.scm 181 */
BgL_res1850z00_1767 = ((bool_t)0); } } } } 
BgL_test2048z00_3230 = BgL_res1850z00_1767; } }  else 
{ /* Llib/flac.scm 181 */
BgL_test2048z00_3230 = ((bool_t)0)
; } } 
if(BgL_test2048z00_3230)
{ /* Llib/flac.scm 181 */
BgL_auxz00_3229 = 
((BgL_flaczd2decoderzd2_bglt)BgL_oz00_1146)
; }  else 
{ 
 obj_t BgL_auxz00_3255;
BgL_auxz00_3255 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1742z00zz__flac_flacz00, 
BINT(8308L), BGl_string1822z00zz__flac_flacz00, BGl_string1810z00zz__flac_flacz00, BgL_oz00_1146); 
FAILURE(BgL_auxz00_3255,BFALSE,BFALSE);} } 
return 
bgl_flac_decoder_length(BgL_auxz00_3229);} } 

}



/* flac-decoder-info */
BGL_EXPORTED_DEF long BGl_flaczd2decoderzd2infoz00zz__flac_flacz00(BgL_flaczd2decoderzd2_bglt BgL_oz00_28)
{
{ /* Llib/flac.scm 187 */
{ /* Llib/flac.scm 187 */
 obj_t BgL_method1137z00_362;
{ /* Llib/flac.scm 187 */
 obj_t BgL_res1670z00_852;
{ /* Llib/flac.scm 187 */
 long BgL_objzd2classzd2numz00_823;
BgL_objzd2classzd2numz00_823 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_oz00_28)); 
{ /* Llib/flac.scm 187 */
 obj_t BgL_arg1831z00_824;
BgL_arg1831z00_824 = 
PROCEDURE_REF(BGl_flaczd2decoderzd2infozd2envzd2zz__flac_flacz00, 
(int)(1L)); 
{ /* Llib/flac.scm 187 */
 int BgL_offsetz00_827;
BgL_offsetz00_827 = 
(int)(BgL_objzd2classzd2numz00_823); 
{ /* Llib/flac.scm 187 */
 long BgL_offsetz00_828;
BgL_offsetz00_828 = 
(
(long)(BgL_offsetz00_827)-OBJECT_TYPE); 
{ /* Llib/flac.scm 187 */
 long BgL_modz00_829;
BgL_modz00_829 = 
(BgL_offsetz00_828 >> 
(int)(
(long)(
(int)(4L)))); 
{ /* Llib/flac.scm 187 */
 long BgL_restz00_831;
BgL_restz00_831 = 
(BgL_offsetz00_828 & 
(long)(
(int)(
(
(long)(
(int)(
(1L << 
(int)(
(long)(
(int)(4L))))))-1L)))); 
{ /* Llib/flac.scm 187 */

{ /* Llib/flac.scm 187 */
 obj_t BgL_bucketz00_833;
BgL_bucketz00_833 = 
VECTOR_REF(
((obj_t)BgL_arg1831z00_824),BgL_modz00_829); 
BgL_res1670z00_852 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_833),BgL_restz00_831); } } } } } } } } 
BgL_method1137z00_362 = BgL_res1670z00_852; } 
return 
(long)CINT(
BGL_PROCEDURE_CALL1(BgL_method1137z00_362, 
((obj_t)BgL_oz00_28)));} } 

}



/* &flac-decoder-info */
obj_t BGl_z62flaczd2decoderzd2infoz62zz__flac_flacz00(obj_t BgL_envz00_1147, obj_t BgL_oz00_1148)
{
{ /* Llib/flac.scm 187 */
{ /* Llib/flac.scm 187 */
 long BgL_tmpz00_3291;
{ /* Llib/flac.scm 187 */
 BgL_flaczd2decoderzd2_bglt BgL_auxz00_3292;
{ /* Llib/flac.scm 187 */
 bool_t BgL_test2053z00_3293;
{ /* Llib/flac.scm 187 */
 obj_t BgL_classz00_1768;
BgL_classz00_1768 = BGl_flaczd2decoderzd2zz__flac_flacz00; 
if(
BGL_OBJECTP(BgL_oz00_1148))
{ /* Llib/flac.scm 187 */
 BgL_objectz00_bglt BgL_arg1829z00_1770; long BgL_arg1830z00_1771;
BgL_arg1829z00_1770 = 
(BgL_objectz00_bglt)(BgL_oz00_1148); 
BgL_arg1830z00_1771 = 
BGL_CLASS_DEPTH(BgL_classz00_1768); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/flac.scm 187 */
 long BgL_idxz00_1779;
BgL_idxz00_1779 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1829z00_1770); 
{ /* Llib/flac.scm 187 */
 obj_t BgL_arg1820z00_1780;
{ /* Llib/flac.scm 187 */
 long BgL_arg1821z00_1781;
BgL_arg1821z00_1781 = 
(BgL_idxz00_1779+BgL_arg1830z00_1771); 
BgL_arg1820z00_1780 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1821z00_1781); } 
BgL_test2053z00_3293 = 
(BgL_arg1820z00_1780==BgL_classz00_1768); } }  else 
{ /* Llib/flac.scm 187 */
 bool_t BgL_res1851z00_1807;
{ /* Llib/flac.scm 187 */
 obj_t BgL_oclassz00_1789;
{ /* Llib/flac.scm 187 */
 obj_t BgL_arg1834z00_1797; long BgL_arg1835z00_1798;
BgL_arg1834z00_1797 = 
(BGl_za2classesza2z00zz__objectz00); 
{ /* Llib/flac.scm 187 */
 long BgL_arg1836z00_1799;
BgL_arg1836z00_1799 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1829z00_1770); 
BgL_arg1835z00_1798 = 
(BgL_arg1836z00_1799-OBJECT_TYPE); } 
BgL_oclassz00_1789 = 
VECTOR_REF(BgL_arg1834z00_1797,BgL_arg1835z00_1798); } 
{ /* Llib/flac.scm 187 */
 bool_t BgL__ortest_1114z00_1790;
BgL__ortest_1114z00_1790 = 
(BgL_classz00_1768==BgL_oclassz00_1789); 
if(BgL__ortest_1114z00_1790)
{ /* Llib/flac.scm 187 */
BgL_res1851z00_1807 = BgL__ortest_1114z00_1790; }  else 
{ /* Llib/flac.scm 187 */
 long BgL_odepthz00_1791;
{ /* Llib/flac.scm 187 */
 obj_t BgL_arg1824z00_1792;
BgL_arg1824z00_1792 = 
(BgL_oclassz00_1789); 
BgL_odepthz00_1791 = 
BGL_CLASS_DEPTH(BgL_arg1824z00_1792); } 
if(
(BgL_arg1830z00_1771<BgL_odepthz00_1791))
{ /* Llib/flac.scm 187 */
 obj_t BgL_arg1822z00_1794;
{ /* Llib/flac.scm 187 */
 obj_t BgL_arg1823z00_1795;
BgL_arg1823z00_1795 = 
(BgL_oclassz00_1789); 
BgL_arg1822z00_1794 = 
BGL_CLASS_ANCESTORS_REF(BgL_arg1823z00_1795, BgL_arg1830z00_1771); } 
BgL_res1851z00_1807 = 
(BgL_arg1822z00_1794==BgL_classz00_1768); }  else 
{ /* Llib/flac.scm 187 */
BgL_res1851z00_1807 = ((bool_t)0); } } } } 
BgL_test2053z00_3293 = BgL_res1851z00_1807; } }  else 
{ /* Llib/flac.scm 187 */
BgL_test2053z00_3293 = ((bool_t)0)
; } } 
if(BgL_test2053z00_3293)
{ /* Llib/flac.scm 187 */
BgL_auxz00_3292 = 
((BgL_flaczd2decoderzd2_bglt)BgL_oz00_1148)
; }  else 
{ 
 obj_t BgL_auxz00_3318;
BgL_auxz00_3318 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1742z00zz__flac_flacz00, 
BINT(8592L), BGl_string1823z00zz__flac_flacz00, BGl_string1810z00zz__flac_flacz00, BgL_oz00_1148); 
FAILURE(BgL_auxz00_3318,BFALSE,BFALSE);} } 
BgL_tmpz00_3291 = 
BGl_flaczd2decoderzd2infoz00zz__flac_flacz00(BgL_auxz00_3292); } 
return 
BINT(BgL_tmpz00_3291);} } 

}



/* flac-decoder-position */
BGL_EXPORTED_DEF long BGl_flaczd2decoderzd2positionz00zz__flac_flacz00(BgL_flaczd2decoderzd2_bglt BgL_mz00_31)
{
{ /* Llib/flac.scm 239 */
{ /* Llib/flac.scm 239 */
 obj_t BgL_method1139z00_363;
{ /* Llib/flac.scm 239 */
 obj_t BgL_res1675z00_883;
{ /* Llib/flac.scm 239 */
 long BgL_objzd2classzd2numz00_854;
BgL_objzd2classzd2numz00_854 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_mz00_31)); 
{ /* Llib/flac.scm 239 */
 obj_t BgL_arg1831z00_855;
BgL_arg1831z00_855 = 
PROCEDURE_REF(BGl_flaczd2decoderzd2positionzd2envzd2zz__flac_flacz00, 
(int)(1L)); 
{ /* Llib/flac.scm 239 */
 int BgL_offsetz00_858;
BgL_offsetz00_858 = 
(int)(BgL_objzd2classzd2numz00_854); 
{ /* Llib/flac.scm 239 */
 long BgL_offsetz00_859;
BgL_offsetz00_859 = 
(
(long)(BgL_offsetz00_858)-OBJECT_TYPE); 
{ /* Llib/flac.scm 239 */
 long BgL_modz00_860;
BgL_modz00_860 = 
(BgL_offsetz00_859 >> 
(int)(
(long)(
(int)(4L)))); 
{ /* Llib/flac.scm 239 */
 long BgL_restz00_862;
BgL_restz00_862 = 
(BgL_offsetz00_859 & 
(long)(
(int)(
(
(long)(
(int)(
(1L << 
(int)(
(long)(
(int)(4L))))))-1L)))); 
{ /* Llib/flac.scm 239 */

{ /* Llib/flac.scm 239 */
 obj_t BgL_bucketz00_864;
BgL_bucketz00_864 = 
VECTOR_REF(
((obj_t)BgL_arg1831z00_855),BgL_modz00_860); 
BgL_res1675z00_883 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_864),BgL_restz00_862); } } } } } } } } 
BgL_method1139z00_363 = BgL_res1675z00_883; } 
return 
(long)CINT(
BGL_PROCEDURE_CALL1(BgL_method1139z00_363, 
((obj_t)BgL_mz00_31)));} } 

}



/* &flac-decoder-position */
obj_t BGl_z62flaczd2decoderzd2positionz62zz__flac_flacz00(obj_t BgL_envz00_1149, obj_t BgL_mz00_1150)
{
{ /* Llib/flac.scm 239 */
{ /* Llib/flac.scm 239 */
 long BgL_tmpz00_3355;
{ /* Llib/flac.scm 239 */
 BgL_flaczd2decoderzd2_bglt BgL_auxz00_3356;
{ /* Llib/flac.scm 239 */
 bool_t BgL_test2058z00_3357;
{ /* Llib/flac.scm 239 */
 obj_t BgL_classz00_1808;
BgL_classz00_1808 = BGl_flaczd2decoderzd2zz__flac_flacz00; 
if(
BGL_OBJECTP(BgL_mz00_1150))
{ /* Llib/flac.scm 239 */
 BgL_objectz00_bglt BgL_arg1829z00_1810; long BgL_arg1830z00_1811;
BgL_arg1829z00_1810 = 
(BgL_objectz00_bglt)(BgL_mz00_1150); 
BgL_arg1830z00_1811 = 
BGL_CLASS_DEPTH(BgL_classz00_1808); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/flac.scm 239 */
 long BgL_idxz00_1819;
BgL_idxz00_1819 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1829z00_1810); 
{ /* Llib/flac.scm 239 */
 obj_t BgL_arg1820z00_1820;
{ /* Llib/flac.scm 239 */
 long BgL_arg1821z00_1821;
BgL_arg1821z00_1821 = 
(BgL_idxz00_1819+BgL_arg1830z00_1811); 
BgL_arg1820z00_1820 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1821z00_1821); } 
BgL_test2058z00_3357 = 
(BgL_arg1820z00_1820==BgL_classz00_1808); } }  else 
{ /* Llib/flac.scm 239 */
 bool_t BgL_res1852z00_1847;
{ /* Llib/flac.scm 239 */
 obj_t BgL_oclassz00_1829;
{ /* Llib/flac.scm 239 */
 obj_t BgL_arg1834z00_1837; long BgL_arg1835z00_1838;
BgL_arg1834z00_1837 = 
(BGl_za2classesza2z00zz__objectz00); 
{ /* Llib/flac.scm 239 */
 long BgL_arg1836z00_1839;
BgL_arg1836z00_1839 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1829z00_1810); 
BgL_arg1835z00_1838 = 
(BgL_arg1836z00_1839-OBJECT_TYPE); } 
BgL_oclassz00_1829 = 
VECTOR_REF(BgL_arg1834z00_1837,BgL_arg1835z00_1838); } 
{ /* Llib/flac.scm 239 */
 bool_t BgL__ortest_1114z00_1830;
BgL__ortest_1114z00_1830 = 
(BgL_classz00_1808==BgL_oclassz00_1829); 
if(BgL__ortest_1114z00_1830)
{ /* Llib/flac.scm 239 */
BgL_res1852z00_1847 = BgL__ortest_1114z00_1830; }  else 
{ /* Llib/flac.scm 239 */
 long BgL_odepthz00_1831;
{ /* Llib/flac.scm 239 */
 obj_t BgL_arg1824z00_1832;
BgL_arg1824z00_1832 = 
(BgL_oclassz00_1829); 
BgL_odepthz00_1831 = 
BGL_CLASS_DEPTH(BgL_arg1824z00_1832); } 
if(
(BgL_arg1830z00_1811<BgL_odepthz00_1831))
{ /* Llib/flac.scm 239 */
 obj_t BgL_arg1822z00_1834;
{ /* Llib/flac.scm 239 */
 obj_t BgL_arg1823z00_1835;
BgL_arg1823z00_1835 = 
(BgL_oclassz00_1829); 
BgL_arg1822z00_1834 = 
BGL_CLASS_ANCESTORS_REF(BgL_arg1823z00_1835, BgL_arg1830z00_1811); } 
BgL_res1852z00_1847 = 
(BgL_arg1822z00_1834==BgL_classz00_1808); }  else 
{ /* Llib/flac.scm 239 */
BgL_res1852z00_1847 = ((bool_t)0); } } } } 
BgL_test2058z00_3357 = BgL_res1852z00_1847; } }  else 
{ /* Llib/flac.scm 239 */
BgL_test2058z00_3357 = ((bool_t)0)
; } } 
if(BgL_test2058z00_3357)
{ /* Llib/flac.scm 239 */
BgL_auxz00_3356 = 
((BgL_flaczd2decoderzd2_bglt)BgL_mz00_1150)
; }  else 
{ 
 obj_t BgL_auxz00_3382;
BgL_auxz00_3382 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1742z00zz__flac_flacz00, 
BINT(10859L), BGl_string1824z00zz__flac_flacz00, BGl_string1810z00zz__flac_flacz00, BgL_mz00_1150); 
FAILURE(BgL_auxz00_3382,BFALSE,BFALSE);} } 
BgL_tmpz00_3355 = 
BGl_flaczd2decoderzd2positionz00zz__flac_flacz00(BgL_auxz00_3356); } 
return 
BINT(BgL_tmpz00_3355);} } 

}



/* flac-volume-get */
BGL_EXPORTED_DEF obj_t BGl_flaczd2volumezd2getz00zz__flac_flacz00(BgL_flaczd2decoderzd2_bglt BgL_mz00_32)
{
{ /* Llib/flac.scm 251 */
{ /* Llib/flac.scm 251 */
 obj_t BgL_method1141z00_364;
{ /* Llib/flac.scm 251 */
 obj_t BgL_res1680z00_914;
{ /* Llib/flac.scm 251 */
 long BgL_objzd2classzd2numz00_885;
BgL_objzd2classzd2numz00_885 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_mz00_32)); 
{ /* Llib/flac.scm 251 */
 obj_t BgL_arg1831z00_886;
BgL_arg1831z00_886 = 
PROCEDURE_REF(BGl_flaczd2volumezd2getzd2envzd2zz__flac_flacz00, 
(int)(1L)); 
{ /* Llib/flac.scm 251 */
 int BgL_offsetz00_889;
BgL_offsetz00_889 = 
(int)(BgL_objzd2classzd2numz00_885); 
{ /* Llib/flac.scm 251 */
 long BgL_offsetz00_890;
BgL_offsetz00_890 = 
(
(long)(BgL_offsetz00_889)-OBJECT_TYPE); 
{ /* Llib/flac.scm 251 */
 long BgL_modz00_891;
BgL_modz00_891 = 
(BgL_offsetz00_890 >> 
(int)(
(long)(
(int)(4L)))); 
{ /* Llib/flac.scm 251 */
 long BgL_restz00_893;
BgL_restz00_893 = 
(BgL_offsetz00_890 & 
(long)(
(int)(
(
(long)(
(int)(
(1L << 
(int)(
(long)(
(int)(4L))))))-1L)))); 
{ /* Llib/flac.scm 251 */

{ /* Llib/flac.scm 251 */
 obj_t BgL_bucketz00_895;
BgL_bucketz00_895 = 
VECTOR_REF(
((obj_t)BgL_arg1831z00_886),BgL_modz00_891); 
BgL_res1680z00_914 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_895),BgL_restz00_893); } } } } } } } } 
BgL_method1141z00_364 = BgL_res1680z00_914; } 
return 
BGL_PROCEDURE_CALL1(BgL_method1141z00_364, 
((obj_t)BgL_mz00_32));} } 

}



/* &flac-volume-get */
obj_t BGl_z62flaczd2volumezd2getz62zz__flac_flacz00(obj_t BgL_envz00_1151, obj_t BgL_mz00_1152)
{
{ /* Llib/flac.scm 251 */
{ /* Llib/flac.scm 251 */
 BgL_flaczd2decoderzd2_bglt BgL_auxz00_3418;
{ /* Llib/flac.scm 251 */
 bool_t BgL_test2063z00_3419;
{ /* Llib/flac.scm 251 */
 obj_t BgL_classz00_1848;
BgL_classz00_1848 = BGl_flaczd2decoderzd2zz__flac_flacz00; 
if(
BGL_OBJECTP(BgL_mz00_1152))
{ /* Llib/flac.scm 251 */
 BgL_objectz00_bglt BgL_arg1829z00_1850; long BgL_arg1830z00_1851;
BgL_arg1829z00_1850 = 
(BgL_objectz00_bglt)(BgL_mz00_1152); 
BgL_arg1830z00_1851 = 
BGL_CLASS_DEPTH(BgL_classz00_1848); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/flac.scm 251 */
 long BgL_idxz00_1859;
BgL_idxz00_1859 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1829z00_1850); 
{ /* Llib/flac.scm 251 */
 obj_t BgL_arg1820z00_1860;
{ /* Llib/flac.scm 251 */
 long BgL_arg1821z00_1861;
BgL_arg1821z00_1861 = 
(BgL_idxz00_1859+BgL_arg1830z00_1851); 
BgL_arg1820z00_1860 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1821z00_1861); } 
BgL_test2063z00_3419 = 
(BgL_arg1820z00_1860==BgL_classz00_1848); } }  else 
{ /* Llib/flac.scm 251 */
 bool_t BgL_res1853z00_1887;
{ /* Llib/flac.scm 251 */
 obj_t BgL_oclassz00_1869;
{ /* Llib/flac.scm 251 */
 obj_t BgL_arg1834z00_1877; long BgL_arg1835z00_1878;
BgL_arg1834z00_1877 = 
(BGl_za2classesza2z00zz__objectz00); 
{ /* Llib/flac.scm 251 */
 long BgL_arg1836z00_1879;
BgL_arg1836z00_1879 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1829z00_1850); 
BgL_arg1835z00_1878 = 
(BgL_arg1836z00_1879-OBJECT_TYPE); } 
BgL_oclassz00_1869 = 
VECTOR_REF(BgL_arg1834z00_1877,BgL_arg1835z00_1878); } 
{ /* Llib/flac.scm 251 */
 bool_t BgL__ortest_1114z00_1870;
BgL__ortest_1114z00_1870 = 
(BgL_classz00_1848==BgL_oclassz00_1869); 
if(BgL__ortest_1114z00_1870)
{ /* Llib/flac.scm 251 */
BgL_res1853z00_1887 = BgL__ortest_1114z00_1870; }  else 
{ /* Llib/flac.scm 251 */
 long BgL_odepthz00_1871;
{ /* Llib/flac.scm 251 */
 obj_t BgL_arg1824z00_1872;
BgL_arg1824z00_1872 = 
(BgL_oclassz00_1869); 
BgL_odepthz00_1871 = 
BGL_CLASS_DEPTH(BgL_arg1824z00_1872); } 
if(
(BgL_arg1830z00_1851<BgL_odepthz00_1871))
{ /* Llib/flac.scm 251 */
 obj_t BgL_arg1822z00_1874;
{ /* Llib/flac.scm 251 */
 obj_t BgL_arg1823z00_1875;
BgL_arg1823z00_1875 = 
(BgL_oclassz00_1869); 
BgL_arg1822z00_1874 = 
BGL_CLASS_ANCESTORS_REF(BgL_arg1823z00_1875, BgL_arg1830z00_1851); } 
BgL_res1853z00_1887 = 
(BgL_arg1822z00_1874==BgL_classz00_1848); }  else 
{ /* Llib/flac.scm 251 */
BgL_res1853z00_1887 = ((bool_t)0); } } } } 
BgL_test2063z00_3419 = BgL_res1853z00_1887; } }  else 
{ /* Llib/flac.scm 251 */
BgL_test2063z00_3419 = ((bool_t)0)
; } } 
if(BgL_test2063z00_3419)
{ /* Llib/flac.scm 251 */
BgL_auxz00_3418 = 
((BgL_flaczd2decoderzd2_bglt)BgL_mz00_1152)
; }  else 
{ 
 obj_t BgL_auxz00_3444;
BgL_auxz00_3444 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1742z00zz__flac_flacz00, 
BINT(11336L), BGl_string1825z00zz__flac_flacz00, BGl_string1810z00zz__flac_flacz00, BgL_mz00_1152); 
FAILURE(BgL_auxz00_3444,BFALSE,BFALSE);} } 
return 
BGl_flaczd2volumezd2getz00zz__flac_flacz00(BgL_auxz00_3418);} } 

}



/* flac-volume-set! */
BGL_EXPORTED_DEF obj_t BGl_flaczd2volumezd2setz12z12zz__flac_flacz00(BgL_flaczd2decoderzd2_bglt BgL_mz00_33, obj_t BgL_volz00_34)
{
{ /* Llib/flac.scm 258 */
{ /* Llib/flac.scm 258 */
 obj_t BgL_method1143z00_365;
{ /* Llib/flac.scm 258 */
 obj_t BgL_res1685z00_945;
{ /* Llib/flac.scm 258 */
 long BgL_objzd2classzd2numz00_916;
BgL_objzd2classzd2numz00_916 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_mz00_33)); 
{ /* Llib/flac.scm 258 */
 obj_t BgL_arg1831z00_917;
BgL_arg1831z00_917 = 
PROCEDURE_REF(BGl_flaczd2volumezd2setz12zd2envzc0zz__flac_flacz00, 
(int)(1L)); 
{ /* Llib/flac.scm 258 */
 int BgL_offsetz00_920;
BgL_offsetz00_920 = 
(int)(BgL_objzd2classzd2numz00_916); 
{ /* Llib/flac.scm 258 */
 long BgL_offsetz00_921;
BgL_offsetz00_921 = 
(
(long)(BgL_offsetz00_920)-OBJECT_TYPE); 
{ /* Llib/flac.scm 258 */
 long BgL_modz00_922;
BgL_modz00_922 = 
(BgL_offsetz00_921 >> 
(int)(
(long)(
(int)(4L)))); 
{ /* Llib/flac.scm 258 */
 long BgL_restz00_924;
BgL_restz00_924 = 
(BgL_offsetz00_921 & 
(long)(
(int)(
(
(long)(
(int)(
(1L << 
(int)(
(long)(
(int)(4L))))))-1L)))); 
{ /* Llib/flac.scm 258 */

{ /* Llib/flac.scm 258 */
 obj_t BgL_bucketz00_926;
BgL_bucketz00_926 = 
VECTOR_REF(
((obj_t)BgL_arg1831z00_917),BgL_modz00_922); 
BgL_res1685z00_945 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_926),BgL_restz00_924); } } } } } } } } 
BgL_method1143z00_365 = BgL_res1685z00_945; } 
return 
BGL_PROCEDURE_CALL2(BgL_method1143z00_365, 
((obj_t)BgL_mz00_33), BgL_volz00_34);} } 

}



/* &flac-volume-set! */
obj_t BGl_z62flaczd2volumezd2setz12z70zz__flac_flacz00(obj_t BgL_envz00_1153, obj_t BgL_mz00_1154, obj_t BgL_volz00_1155)
{
{ /* Llib/flac.scm 258 */
{ /* Llib/flac.scm 258 */
 BgL_flaczd2decoderzd2_bglt BgL_auxz00_3480;
{ /* Llib/flac.scm 258 */
 bool_t BgL_test2068z00_3481;
{ /* Llib/flac.scm 258 */
 obj_t BgL_classz00_1888;
BgL_classz00_1888 = BGl_flaczd2decoderzd2zz__flac_flacz00; 
if(
BGL_OBJECTP(BgL_mz00_1154))
{ /* Llib/flac.scm 258 */
 BgL_objectz00_bglt BgL_arg1829z00_1890; long BgL_arg1830z00_1891;
BgL_arg1829z00_1890 = 
(BgL_objectz00_bglt)(BgL_mz00_1154); 
BgL_arg1830z00_1891 = 
BGL_CLASS_DEPTH(BgL_classz00_1888); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/flac.scm 258 */
 long BgL_idxz00_1899;
BgL_idxz00_1899 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1829z00_1890); 
{ /* Llib/flac.scm 258 */
 obj_t BgL_arg1820z00_1900;
{ /* Llib/flac.scm 258 */
 long BgL_arg1821z00_1901;
BgL_arg1821z00_1901 = 
(BgL_idxz00_1899+BgL_arg1830z00_1891); 
BgL_arg1820z00_1900 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1821z00_1901); } 
BgL_test2068z00_3481 = 
(BgL_arg1820z00_1900==BgL_classz00_1888); } }  else 
{ /* Llib/flac.scm 258 */
 bool_t BgL_res1854z00_1927;
{ /* Llib/flac.scm 258 */
 obj_t BgL_oclassz00_1909;
{ /* Llib/flac.scm 258 */
 obj_t BgL_arg1834z00_1917; long BgL_arg1835z00_1918;
BgL_arg1834z00_1917 = 
(BGl_za2classesza2z00zz__objectz00); 
{ /* Llib/flac.scm 258 */
 long BgL_arg1836z00_1919;
BgL_arg1836z00_1919 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1829z00_1890); 
BgL_arg1835z00_1918 = 
(BgL_arg1836z00_1919-OBJECT_TYPE); } 
BgL_oclassz00_1909 = 
VECTOR_REF(BgL_arg1834z00_1917,BgL_arg1835z00_1918); } 
{ /* Llib/flac.scm 258 */
 bool_t BgL__ortest_1114z00_1910;
BgL__ortest_1114z00_1910 = 
(BgL_classz00_1888==BgL_oclassz00_1909); 
if(BgL__ortest_1114z00_1910)
{ /* Llib/flac.scm 258 */
BgL_res1854z00_1927 = BgL__ortest_1114z00_1910; }  else 
{ /* Llib/flac.scm 258 */
 long BgL_odepthz00_1911;
{ /* Llib/flac.scm 258 */
 obj_t BgL_arg1824z00_1912;
BgL_arg1824z00_1912 = 
(BgL_oclassz00_1909); 
BgL_odepthz00_1911 = 
BGL_CLASS_DEPTH(BgL_arg1824z00_1912); } 
if(
(BgL_arg1830z00_1891<BgL_odepthz00_1911))
{ /* Llib/flac.scm 258 */
 obj_t BgL_arg1822z00_1914;
{ /* Llib/flac.scm 258 */
 obj_t BgL_arg1823z00_1915;
BgL_arg1823z00_1915 = 
(BgL_oclassz00_1909); 
BgL_arg1822z00_1914 = 
BGL_CLASS_ANCESTORS_REF(BgL_arg1823z00_1915, BgL_arg1830z00_1891); } 
BgL_res1854z00_1927 = 
(BgL_arg1822z00_1914==BgL_classz00_1888); }  else 
{ /* Llib/flac.scm 258 */
BgL_res1854z00_1927 = ((bool_t)0); } } } } 
BgL_test2068z00_3481 = BgL_res1854z00_1927; } }  else 
{ /* Llib/flac.scm 258 */
BgL_test2068z00_3481 = ((bool_t)0)
; } } 
if(BgL_test2068z00_3481)
{ /* Llib/flac.scm 258 */
BgL_auxz00_3480 = 
((BgL_flaczd2decoderzd2_bglt)BgL_mz00_1154)
; }  else 
{ 
 obj_t BgL_auxz00_3506;
BgL_auxz00_3506 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1742z00zz__flac_flacz00, 
BINT(11704L), BGl_string1826z00zz__flac_flacz00, BGl_string1810z00zz__flac_flacz00, BgL_mz00_1154); 
FAILURE(BgL_auxz00_3506,BFALSE,BFALSE);} } 
return 
BGl_flaczd2volumezd2setz12z12zz__flac_flacz00(BgL_auxz00_3480, BgL_volz00_1155);} } 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__flac_flacz00(void)
{
{ /* Llib/flac.scm 15 */
return 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_objectzd2printzd2envz00zz__objectz00, BGl_flaczd2decoderzd2zz__flac_flacz00, BGl_proc1827z00zz__flac_flacz00, BGl_string1828z00zz__flac_flacz00);} 

}



/* &object-print-flac-de1113 */
obj_t BGl_z62objectzd2printzd2flaczd2de1113zb0zz__flac_flacz00(obj_t BgL_envz00_1157, obj_t BgL_oz00_1158, obj_t BgL_portz00_1159, obj_t BgL_printzd2slotzd2_1160)
{
{ /* Llib/flac.scm 71 */
{ /* Llib/flac.scm 72 */
 obj_t BgL_tmpz00_3512;
BgL_tmpz00_3512 = 
((obj_t)BgL_portz00_1159); 
return 
bgl_display_string(BGl_string1829z00zz__flac_flacz00, BgL_tmpz00_3512);} } 

}

#ifdef __cplusplus
}
#endif
