/*===========================================================================*/
/*   (Abound/walk.scm)                                                       */
/*   Bigloo (4.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Jan 27 07:45:49 AM CET 2025     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.6a/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.6a/lib/bigloo/4.6a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -stdc -indent Abound/walk.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL_ABOUND_WALK_TYPE_DEFINITIONS
#define BGL_ABOUND_WALK_TYPE_DEFINITIONS

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_nullz00;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_qualifiedzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_cfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_argszd2typezd2;
		bool_t BgL_macrozf3zf3;
		bool_t BgL_infixzf3zf3;
		obj_t BgL_methodz00;
	}              *BgL_cfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_nodezf2effectzf2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
	}                       *BgL_nodezf2effectzf2_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
		obj_t BgL_metaz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_stackablez00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_privatez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
	}                 *BgL_privatez00_bglt;

	typedef struct BgL_vrefz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		bool_t BgL_unsafez00;
	}              *BgL_vrefz00_bglt;

	typedef struct BgL_vsetz12z12_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		bool_t BgL_unsafez00;
	}                 *BgL_vsetz12z12_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_switchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_switchz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		struct BgL_nodez00_bgl *BgL_onexitz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		obj_t BgL_stackablez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}              *BgL_syncz00_bglt;


#endif													// BGL_ABOUND_WALK_TYPE_DEFINITIONS
#endif													// BGL_MODULE_TYPE_DEFINITIONS

	static BgL_appz00_bglt
		BGl_z62zc3z04anonymousza31927ze3ze5zzabound_walkz00(obj_t,
		BgL_nodezf2effectzf2_bglt, obj_t, obj_t);
	static obj_t BGl_za2s16vectorzd2setz12za2zc0zzabound_walkz00 = BUNSPEC;
	static obj_t BGl_z62aboundzd2walkz12za2zzabound_walkz00(obj_t, obj_t);
	extern obj_t BGl_setqz00zzast_nodez00;
	extern obj_t BGl_locationzd2fullzd2fnamez00zztools_locationz00(obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzabound_walkz00 = BUNSPEC;
	extern obj_t BGl_makezd2typedzd2identz00zzast_identz00(obj_t, obj_t);
	extern obj_t BGl_za2vectorza2z00zztype_cachez00;
	static BgL_nodez00_bglt
		BGl_z62aboundzd2nodezd2boxzd2setz121349za2zzabound_walkz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62aboundzd2nodezd2setzd2exzd2i1341z62zzabound_walkz00(obj_t, obj_t);
	BGL_IMPORT obj_t bgl_display_obj(obj_t, obj_t);
	extern obj_t BGl_syncz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62aboundzd2nodezd2appzd2ly1317zb0zzabound_walkz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62aboundzd2nodezd2conditio1331z62zzabound_walkz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62aboundzd2nodezd2makezd2box1345zb0zzabound_walkz00(obj_t, obj_t);
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62aboundzd2node1307zb0zzabound_walkz00(obj_t, obj_t);
	static obj_t BGl_za2s32vectorzd2refza2zd2zzabound_walkz00 = BUNSPEC;
	static obj_t BGl_toplevelzd2initzd2zzabound_walkz00(void);
	extern obj_t BGl_sequencez00zzast_nodez00;
	BGL_IMPORT bool_t BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(obj_t);
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_lvtypezd2nodez12zc0zzast_lvtypez00(BgL_nodez00_bglt);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62aboundzd2nodezd2jumpzd2exzd21343z62zzabound_walkz00(obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzabound_walkz00(void);
	static obj_t BGl_za2u64vectorzd2setz12za2zc0zzabound_walkz00 = BUNSPEC;
	extern obj_t BGl_leavezd2functionzd2zztools_errorz00(void);
	static obj_t BGl_za2stringzd2refza2zd2zzabound_walkz00 = BUNSPEC;
	static obj_t BGl_objectzd2initzd2zzabound_walkz00(void);
	static BgL_nodez00_bglt
		BGl_z62aboundzd2nodezd2vref1323z62zzabound_walkz00(obj_t, obj_t);
	static obj_t BGl_za2u32vectorzd2setz12za2zc0zzabound_walkz00 = BUNSPEC;
	extern obj_t BGl_castz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	BGL_IMPORT bool_t BGl_2ze3ze3zz__r4_numbers_6_5z00(obj_t, obj_t);
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62aboundzd2nodezd2extern1321z62zzabound_walkz00(obj_t, obj_t);
	extern BgL_nodez00_bglt BGl_lvtypezd2nodezd2zzast_lvtypez00(BgL_nodez00_bglt);
	static BgL_nodez00_bglt
		BGl_z62aboundzd2nodezd2switch1335z62zzabound_walkz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62aboundzd2nodezd2sequence1311z62zzabound_walkz00(obj_t, obj_t);
	static obj_t BGl_za2s64vectorzd2setz12za2zc0zzabound_walkz00 = BUNSPEC;
	static BgL_nodez00_bglt
		BGl_z62aboundzd2nodezd2letzd2fun1337zb0zzabound_walkz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_za2s32vectorzd2setz12za2zc0zzabound_walkz00 = BUNSPEC;
	static obj_t BGl_methodzd2initzd2zzabound_walkz00(void);
	extern obj_t BGl_externz00zzast_nodez00;
	extern obj_t BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00;
	static obj_t BGl_aboundzd2funz12zc0zzabound_walkz00(obj_t);
	extern BgL_nodez00_bglt
		BGl_topzd2levelzd2sexpzd2ze3nodez31zzast_sexpz00(obj_t, obj_t);
	extern obj_t BGl_findzd2globalzd2zzast_envz00(obj_t, obj_t);
	extern obj_t BGl_za2hvectorsza2z00zztype_cachez00;
	static BgL_vsetz12z12_bglt
		BGl_z62zc3z04anonymousza32055ze3ze5zzabound_walkz00(obj_t,
		BgL_nodezf2effectzf2_bglt, obj_t, obj_t);
	static BgL_vrefz00_bglt
		BGl_z62zc3z04anonymousza32039ze3ze5zzabound_walkz00(obj_t,
		BgL_nodezf2effectzf2_bglt, obj_t, obj_t);
	BGL_IMPORT obj_t string_append(obj_t, obj_t);
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_aboundzd2nodezd2zzabound_walkz00(BgL_nodez00_bglt);
	static BgL_nodez00_bglt
		BGl_z62aboundzd2nodezd2vsetz121325z70zzabound_walkz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_exitz00zz__errorz00(obj_t);
	static obj_t BGl_z62initzd2cachez12za2zzabound_walkz00(obj_t);
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	static obj_t BGl_za2u16vectorzd2refza2zd2zzabound_walkz00 = BUNSPEC;
	static obj_t BGl_za2u8vectorzd2setz12za2zc0zzabound_walkz00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t BGl_aboundzd2walkz12zc0zzabound_walkz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzabound_walkz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_dumpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_lvtypez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_privatez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_localz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_passz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	static obj_t BGl_za2f64vectorzd2setz12za2zc0zzabound_walkz00 = BUNSPEC;
	extern obj_t BGl_enterzd2functionzd2zztools_errorz00(obj_t);
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	static obj_t BGl_za2f32vectorzd2setz12za2zc0zzabound_walkz00 = BUNSPEC;
	static BgL_nodez00_bglt
		BGl_z62aboundzd2nodezd2funcall1319z62zzabound_walkz00(obj_t, obj_t);
	extern obj_t BGl_vrefz00zzast_nodez00;
	static obj_t BGl_za2f64vectorzd2refza2zd2zzabound_walkz00 = BUNSPEC;
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzabound_walkz00(void);
	static obj_t BGl_libraryzd2moduleszd2initz00zzabound_walkz00(void);
	static BgL_nodez00_bglt
		BGl_z62aboundzd2nodezd2letzd2var1339zb0zzabound_walkz00(obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzabound_walkz00(void);
	static obj_t BGl_gczd2rootszd2initz00zzabound_walkz00(void);
	static obj_t BGl_za2u8vectorzd2refza2zd2zzabound_walkz00 = BUNSPEC;
	static obj_t BGl_za2s16vectorzd2refza2zd2zzabound_walkz00 = BUNSPEC;
	static obj_t BGl_za2s8vectorzd2setz12za2zc0zzabound_walkz00 = BUNSPEC;
	static BgL_appz00_bglt
		BGl_z62zc3z04anonymousza31903ze3ze5zzabound_walkz00(obj_t,
		BgL_nodezf2effectzf2_bglt, obj_t, obj_t);
	static obj_t BGl_za2u64vectorzd2refza2zd2zzabound_walkz00 = BUNSPEC;
	static BgL_nodez00_bglt BGl_z62aboundzd2nodezb0zzabound_walkz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62aboundzd2nodezd2boxzd2ref1347zb0zzabound_walkz00(obj_t, obj_t);
	static obj_t BGl_za2stringzd2setz12za2zc0zzabound_walkz00 = BUNSPEC;
	static BgL_nodez00_bglt
		BGl_z62aboundzd2nodezd2cast1327z62zzabound_walkz00(obj_t, obj_t);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	extern obj_t BGl_za2currentzd2passza2zd2zzengine_passz00;
	static obj_t BGl_za2structzd2refza2zd2zzabound_walkz00 = BUNSPEC;
	static obj_t BGl_za2structzd2setz12za2zc0zzabound_walkz00 = BUNSPEC;
	BGL_IMPORT obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
	static obj_t BGl_za2f32vectorzd2refza2zd2zzabound_walkz00 = BUNSPEC;
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62aboundzd2nodezd2setq1329z62zzabound_walkz00(obj_t, obj_t);
	extern obj_t BGl_switchz00zzast_nodez00;
	extern obj_t BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00(obj_t);
	static BgL_nodez00_bglt
		BGl_z62aboundzd2nodezd2sync1313z62zzabound_walkz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_arrayzd2refzd2zzabound_walkz00(BgL_nodezf2effectzf2_bglt, obj_t, obj_t,
		obj_t, BgL_typez00_bglt, obj_t, obj_t, obj_t);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_arrayzd2setz12zc0zzabound_walkz00(BgL_nodezf2effectzf2_bglt, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_za2u16vectorzd2setz12za2zc0zzabound_walkz00 = BUNSPEC;
	static BgL_nodez00_bglt
		BGl_z62aboundzd2nodezd2fail1333z62zzabound_walkz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62aboundzd2nodezd2app1315z62zzabound_walkz00(obj_t, obj_t);
	BGL_IMPORT obj_t
		BGl_findzd2superzd2classzd2methodzd2zz__objectz00(BgL_objectz00_bglt, obj_t,
		obj_t);
	extern obj_t BGl_funcallz00zzast_nodez00;
	static obj_t BGl_za2u32vectorzd2refza2zd2zzabound_walkz00 = BUNSPEC;
	static obj_t BGl_za2s64vectorzd2refza2zd2zzabound_walkz00 = BUNSPEC;
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	static bool_t BGl_aboundzd2nodeza2z12z62zzabound_walkz00(obj_t);
	static obj_t BGl_za2s8vectorzd2refza2zd2zzabound_walkz00 = BUNSPEC;
	extern obj_t BGl_vsetz12z12zzast_nodez00;
	static obj_t BGl_z62clearzd2cachez12za2zzabound_walkz00(obj_t);
	static obj_t __cnst[45];


	   
		 
		DEFINE_STRING(BGl_string2207z00zzabound_walkz00,
		BgL_bgl_string2207za700za7za7a2214za7, "string-ref", 10);
	      DEFINE_STRING(BGl_string2208z00zzabound_walkz00,
		BgL_bgl_string2208za700za7za7a2215za7, "string-set!", 11);
	     
		DEFINE_STATIC_BGL_PROCEDURE(BGl_initzd2cachez12zd2envz12zzabound_walkz00,
		BgL_bgl_za762initza7d2cacheza72216za7,
		BGl_z62initzd2cachez12za2zzabound_walkz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2200z00zzabound_walkz00,
		BgL_bgl_za762aboundza7d2node2217z00,
		BGl_z62aboundzd2nodezd2setzd2exzd2i1341z62zzabound_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2201z00zzabound_walkz00,
		BgL_bgl_za762aboundza7d2node2218z00,
		BGl_z62aboundzd2nodezd2jumpzd2exzd21343z62zzabound_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2202z00zzabound_walkz00,
		BgL_bgl_za762aboundza7d2node2219z00,
		BGl_z62aboundzd2nodezd2makezd2box1345zb0zzabound_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2203z00zzabound_walkz00,
		BgL_bgl_za762aboundza7d2node2220z00,
		BGl_z62aboundzd2nodezd2boxzd2ref1347zb0zzabound_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2204z00zzabound_walkz00,
		BgL_bgl_za762aboundza7d2node2221z00,
		BGl_z62aboundzd2nodezd2boxzd2setz121349za2zzabound_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2211z00zzabound_walkz00,
		BgL_bgl_string2211za700za7za7a2222za7, "abound_walk", 11);
	      DEFINE_BGL_L_PROCEDURE(BGl_proc2205z00zzabound_walkz00,
		BgL_bgl_za762za7c3za704anonymo2223za7,
		BGl_z62zc3z04anonymousza32055ze3ze5zzabound_walkz00);
	      DEFINE_STRING(BGl_string2212z00zzabound_walkz00,
		BgL_bgl_string2212za700za7za7a2224za7,
		"$string-bound-check? $string-length s let if failure @ index-out-of-bounds-error __error $vector-bound-check? $tvector-length $hvector-length $vector-length location l i v $f64vector-set! $f32vector-set! $u64vector-set! $s64vector-set! $u32vector-set! $s32vector-set! $u16vector-set! $s16vector-set! $u8vector-set! $s8vector-set! $f64vector-ref $f32vector-ref $u64vector-ref $s64vector-ref $u32vector-ref $s32vector-ref $u16vector-ref $s16vector-ref $u8vector-ref $s8vector-ref $struct-set! $struct-ref $string-set! $string-ref foreign (clear-cache!) pass-started (init-cache!) ",
		578);
	      DEFINE_BGL_L_PROCEDURE(BGl_proc2206z00zzabound_walkz00,
		BgL_bgl_za762za7c3za704anonymo2225za7,
		BGl_z62zc3z04anonymousza32039ze3ze5zzabound_walkz00);
	      DEFINE_BGL_L_PROCEDURE(BGl_proc2209z00zzabound_walkz00,
		BgL_bgl_za762za7c3za704anonymo2226za7,
		BGl_z62zc3z04anonymousza31903ze3ze5zzabound_walkz00);
	      DEFINE_BGL_L_PROCEDURE(BGl_proc2210z00zzabound_walkz00,
		BgL_bgl_za762za7c3za704anonymo2227za7,
		BGl_z62zc3z04anonymousza31927ze3ze5zzabound_walkz00);
	      DEFINE_STRING(BGl_string2172z00zzabound_walkz00,
		BgL_bgl_string2172za700za7za7a2228za7, "Abound", 6);
	      DEFINE_STRING(BGl_string2173z00zzabound_walkz00,
		BgL_bgl_string2173za700za7za7a2229za7, "   . ", 5);
	      DEFINE_STRING(BGl_string2174z00zzabound_walkz00,
		BgL_bgl_string2174za700za7za7a2230za7, "failure during prelude hook", 27);
	      DEFINE_STRING(BGl_string2175z00zzabound_walkz00,
		BgL_bgl_string2175za700za7za7a2231za7, " error", 6);
	      DEFINE_STRING(BGl_string2176z00zzabound_walkz00,
		BgL_bgl_string2176za700za7za7a2232za7, "s", 1);
	      DEFINE_STRING(BGl_string2177z00zzabound_walkz00,
		BgL_bgl_string2177za700za7za7a2233za7, "", 0);
	      DEFINE_STRING(BGl_string2178z00zzabound_walkz00,
		BgL_bgl_string2178za700za7za7a2234za7, " occured, ending ...", 20);
	      DEFINE_STRING(BGl_string2179z00zzabound_walkz00,
		BgL_bgl_string2179za700za7za7a2235za7, "failure during postlude hook", 28);
	      DEFINE_STRING(BGl_string2180z00zzabound_walkz00,
		BgL_bgl_string2180za700za7za7a2236za7, "-ref", 4);
	      DEFINE_STRING(BGl_string2181z00zzabound_walkz00,
		BgL_bgl_string2181za700za7za7a2237za7, "-set!", 5);
	      DEFINE_STRING(BGl_string2183z00zzabound_walkz00,
		BgL_bgl_string2183za700za7za7a2238za7, "abound-node1307", 15);
	      DEFINE_STRING(BGl_string2185z00zzabound_walkz00,
		BgL_bgl_string2185za700za7za7a2239za7, "abound-node", 11);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2182z00zzabound_walkz00,
		BgL_bgl_za762aboundza7d2node2240z00,
		BGl_z62aboundzd2node1307zb0zzabound_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2184z00zzabound_walkz00,
		BgL_bgl_za762aboundza7d2node2241z00,
		BGl_z62aboundzd2nodezd2sequence1311z62zzabound_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2186z00zzabound_walkz00,
		BgL_bgl_za762aboundza7d2node2242z00,
		BGl_z62aboundzd2nodezd2sync1313z62zzabound_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2187z00zzabound_walkz00,
		BgL_bgl_za762aboundza7d2node2243z00,
		BGl_z62aboundzd2nodezd2app1315z62zzabound_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2188z00zzabound_walkz00,
		BgL_bgl_za762aboundza7d2node2244z00,
		BGl_z62aboundzd2nodezd2appzd2ly1317zb0zzabound_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2189z00zzabound_walkz00,
		BgL_bgl_za762aboundza7d2node2245z00,
		BGl_z62aboundzd2nodezd2funcall1319z62zzabound_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2190z00zzabound_walkz00,
		BgL_bgl_za762aboundza7d2node2246z00,
		BGl_z62aboundzd2nodezd2extern1321z62zzabound_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2191z00zzabound_walkz00,
		BgL_bgl_za762aboundza7d2node2247z00,
		BGl_z62aboundzd2nodezd2vref1323z62zzabound_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2192z00zzabound_walkz00,
		BgL_bgl_za762aboundza7d2node2248z00,
		BGl_z62aboundzd2nodezd2vsetz121325z70zzabound_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2193z00zzabound_walkz00,
		BgL_bgl_za762aboundza7d2node2249z00,
		BGl_z62aboundzd2nodezd2cast1327z62zzabound_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2194z00zzabound_walkz00,
		BgL_bgl_za762aboundza7d2node2250z00,
		BGl_z62aboundzd2nodezd2setq1329z62zzabound_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2195z00zzabound_walkz00,
		BgL_bgl_za762aboundza7d2node2251z00,
		BGl_z62aboundzd2nodezd2conditio1331z62zzabound_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2196z00zzabound_walkz00,
		BgL_bgl_za762aboundza7d2node2252z00,
		BGl_z62aboundzd2nodezd2fail1333z62zzabound_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2197z00zzabound_walkz00,
		BgL_bgl_za762aboundza7d2node2253z00,
		BGl_z62aboundzd2nodezd2switch1335z62zzabound_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2198z00zzabound_walkz00,
		BgL_bgl_za762aboundza7d2node2254z00,
		BGl_z62aboundzd2nodezd2letzd2fun1337zb0zzabound_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2199z00zzabound_walkz00,
		BgL_bgl_za762aboundza7d2node2255z00,
		BGl_z62aboundzd2nodezd2letzd2var1339zb0zzabound_walkz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_aboundzd2walkz12zd2envz12zzabound_walkz00,
		BgL_bgl_za762aboundza7d2walk2256z00,
		BGl_z62aboundzd2walkz12za2zzabound_walkz00, 0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_PROCEDURE(BGl_clearzd2cachez12zd2envz12zzabound_walkz00,
		BgL_bgl_za762clearza7d2cache2257z00,
		BGl_z62clearzd2cachez12za2zzabound_walkz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_GENERIC(BGl_aboundzd2nodezd2envz00zzabound_walkz00,
		BgL_bgl_za762aboundza7d2node2258z00,
		BGl_z62aboundzd2nodezb0zzabound_walkz00, 0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		     ADD_ROOT((void *) (&BGl_za2s16vectorzd2setz12za2zc0zzabound_walkz00));
		   
			 ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zzabound_walkz00));
		     ADD_ROOT((void *) (&BGl_za2s32vectorzd2refza2zd2zzabound_walkz00));
		     ADD_ROOT((void *) (&BGl_za2u64vectorzd2setz12za2zc0zzabound_walkz00));
		     ADD_ROOT((void *) (&BGl_za2stringzd2refza2zd2zzabound_walkz00));
		     ADD_ROOT((void *) (&BGl_za2u32vectorzd2setz12za2zc0zzabound_walkz00));
		     ADD_ROOT((void *) (&BGl_za2s64vectorzd2setz12za2zc0zzabound_walkz00));
		     ADD_ROOT((void *) (&BGl_za2s32vectorzd2setz12za2zc0zzabound_walkz00));
		     ADD_ROOT((void *) (&BGl_za2u16vectorzd2refza2zd2zzabound_walkz00));
		     ADD_ROOT((void *) (&BGl_za2u8vectorzd2setz12za2zc0zzabound_walkz00));
		     ADD_ROOT((void *) (&BGl_za2f64vectorzd2setz12za2zc0zzabound_walkz00));
		     ADD_ROOT((void *) (&BGl_za2f32vectorzd2setz12za2zc0zzabound_walkz00));
		     ADD_ROOT((void *) (&BGl_za2f64vectorzd2refza2zd2zzabound_walkz00));
		     ADD_ROOT((void *) (&BGl_za2u8vectorzd2refza2zd2zzabound_walkz00));
		     ADD_ROOT((void *) (&BGl_za2s16vectorzd2refza2zd2zzabound_walkz00));
		     ADD_ROOT((void *) (&BGl_za2s8vectorzd2setz12za2zc0zzabound_walkz00));
		     ADD_ROOT((void *) (&BGl_za2u64vectorzd2refza2zd2zzabound_walkz00));
		     ADD_ROOT((void *) (&BGl_za2stringzd2setz12za2zc0zzabound_walkz00));
		     ADD_ROOT((void *) (&BGl_za2structzd2refza2zd2zzabound_walkz00));
		     ADD_ROOT((void *) (&BGl_za2structzd2setz12za2zc0zzabound_walkz00));
		     ADD_ROOT((void *) (&BGl_za2f32vectorzd2refza2zd2zzabound_walkz00));
		     ADD_ROOT((void *) (&BGl_za2u16vectorzd2setz12za2zc0zzabound_walkz00));
		     ADD_ROOT((void *) (&BGl_za2u32vectorzd2refza2zd2zzabound_walkz00));
		     ADD_ROOT((void *) (&BGl_za2s64vectorzd2refza2zd2zzabound_walkz00));
		     ADD_ROOT((void *) (&BGl_za2s8vectorzd2refza2zd2zzabound_walkz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzabound_walkz00(long
		BgL_checksumz00_2867, char *BgL_fromz00_2868)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzabound_walkz00))
				{
					BGl_requirezd2initializa7ationz75zzabound_walkz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzabound_walkz00();
					BGl_libraryzd2moduleszd2initz00zzabound_walkz00();
					BGl_cnstzd2initzd2zzabound_walkz00();
					BGl_importedzd2moduleszd2initz00zzabound_walkz00();
					BGl_genericzd2initzd2zzabound_walkz00();
					BGl_methodzd2initzd2zzabound_walkz00();
					return BGl_toplevelzd2initzd2zzabound_walkz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzabound_walkz00(void)
	{
		{	/* Abound/walk.scm 15 */
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(0L,
				"abound_walk");
			BGl_modulezd2initializa7ationz75zz__objectz00(0L, "abound_walk");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(0L,
				"abound_walk");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(0L,
				"abound_walk");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(0L, "abound_walk");
			BGl_modulezd2initializa7ationz75zz__readerz00(0L, "abound_walk");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(0L, "abound_walk");
			BGl_modulezd2initializa7ationz75zz__errorz00(0L, "abound_walk");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(0L, "abound_walk");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(0L, "abound_walk");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(0L, "abound_walk");
			BGl_modulezd2initializa7ationz75zz__bitz00(0L, "abound_walk");
			BGl_modulezd2initializa7ationz75zz__structurez00(0L, "abound_walk");
			BGl_modulezd2initializa7ationz75zz__biglooz00(0L, "abound_walk");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzabound_walkz00(void)
	{
		{	/* Abound/walk.scm 15 */
			{	/* Abound/walk.scm 15 */
				obj_t BgL_cportz00_2610;

				{	/* Abound/walk.scm 15 */
					obj_t BgL_stringz00_2617;

					BgL_stringz00_2617 = BGl_string2212z00zzabound_walkz00;
					{	/* Abound/walk.scm 15 */
						obj_t BgL_startz00_2618;

						BgL_startz00_2618 = BINT(0L);
						{	/* Abound/walk.scm 15 */
							obj_t BgL_endz00_2619;

							BgL_endz00_2619 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_2617)));
							{	/* Abound/walk.scm 15 */

								BgL_cportz00_2610 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_2617, BgL_startz00_2618, BgL_endz00_2619);
				}}}}
				{
					long BgL_iz00_2611;

					BgL_iz00_2611 = 44L;
				BgL_loopz00_2612:
					if ((BgL_iz00_2611 == (-1L)))
						{	/* Abound/walk.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Abound/walk.scm 15 */
							{	/* Abound/walk.scm 15 */
								obj_t BgL_arg2213z00_2613;

								{	/* Abound/walk.scm 15 */

									{	/* Abound/walk.scm 15 */
										obj_t BgL_locationz00_2615;

										BgL_locationz00_2615 = BBOOL(((bool_t) 0));
										{	/* Abound/walk.scm 15 */

											BgL_arg2213z00_2613 =
												BGl_readz00zz__readerz00(BgL_cportz00_2610,
												BgL_locationz00_2615);
										}
									}
								}
								{	/* Abound/walk.scm 15 */
									int BgL_tmpz00_2902;

									BgL_tmpz00_2902 = (int) (BgL_iz00_2611);
									CNST_TABLE_SET(BgL_tmpz00_2902, BgL_arg2213z00_2613);
							}}
							{	/* Abound/walk.scm 15 */
								int BgL_auxz00_2616;

								BgL_auxz00_2616 = (int) ((BgL_iz00_2611 - 1L));
								{
									long BgL_iz00_2907;

									BgL_iz00_2907 = (long) (BgL_auxz00_2616);
									BgL_iz00_2611 = BgL_iz00_2907;
									goto BgL_loopz00_2612;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzabound_walkz00(void)
	{
		{	/* Abound/walk.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzabound_walkz00(void)
	{
		{	/* Abound/walk.scm 15 */
			BGl_za2stringzd2refza2zd2zzabound_walkz00 = BUNSPEC;
			BGl_za2stringzd2setz12za2zc0zzabound_walkz00 = BUNSPEC;
			BGl_za2structzd2refza2zd2zzabound_walkz00 = BUNSPEC;
			BGl_za2structzd2setz12za2zc0zzabound_walkz00 = BUNSPEC;
			BGl_za2s8vectorzd2refza2zd2zzabound_walkz00 = BUNSPEC;
			BGl_za2u8vectorzd2refza2zd2zzabound_walkz00 = BUNSPEC;
			BGl_za2s16vectorzd2refza2zd2zzabound_walkz00 = BUNSPEC;
			BGl_za2u16vectorzd2refza2zd2zzabound_walkz00 = BUNSPEC;
			BGl_za2s32vectorzd2refza2zd2zzabound_walkz00 = BUNSPEC;
			BGl_za2u32vectorzd2refza2zd2zzabound_walkz00 = BUNSPEC;
			BGl_za2s64vectorzd2refza2zd2zzabound_walkz00 = BUNSPEC;
			BGl_za2u64vectorzd2refza2zd2zzabound_walkz00 = BUNSPEC;
			BGl_za2f32vectorzd2refza2zd2zzabound_walkz00 = BUNSPEC;
			BGl_za2f64vectorzd2refza2zd2zzabound_walkz00 = BUNSPEC;
			BGl_za2s8vectorzd2setz12za2zc0zzabound_walkz00 = BUNSPEC;
			BGl_za2u8vectorzd2setz12za2zc0zzabound_walkz00 = BUNSPEC;
			BGl_za2s16vectorzd2setz12za2zc0zzabound_walkz00 = BUNSPEC;
			BGl_za2u16vectorzd2setz12za2zc0zzabound_walkz00 = BUNSPEC;
			BGl_za2s32vectorzd2setz12za2zc0zzabound_walkz00 = BUNSPEC;
			BGl_za2u32vectorzd2setz12za2zc0zzabound_walkz00 = BUNSPEC;
			BGl_za2s64vectorzd2setz12za2zc0zzabound_walkz00 = BUNSPEC;
			BGl_za2u64vectorzd2setz12za2zc0zzabound_walkz00 = BUNSPEC;
			BGl_za2f32vectorzd2setz12za2zc0zzabound_walkz00 = BUNSPEC;
			BGl_za2f64vectorzd2setz12za2zc0zzabound_walkz00 = BUNSPEC;
			return BUNSPEC;
		}

	}



/* abound-walk! */
	BGL_EXPORTED_DEF obj_t BGl_aboundzd2walkz12zc0zzabound_walkz00(obj_t
		BgL_globalsz00_17)
	{
		{	/* Abound/walk.scm 39 */
			{	/* Abound/walk.scm 40 */
				obj_t BgL_list1380z00_1523;

				{	/* Abound/walk.scm 40 */
					obj_t BgL_arg1382z00_1524;

					{	/* Abound/walk.scm 40 */
						obj_t BgL_arg1383z00_1525;

						BgL_arg1383z00_1525 =
							MAKE_YOUNG_PAIR(BCHAR(((unsigned char) 10)), BNIL);
						BgL_arg1382z00_1524 =
							MAKE_YOUNG_PAIR(BGl_string2172z00zzabound_walkz00,
							BgL_arg1383z00_1525);
					}
					BgL_list1380z00_1523 =
						MAKE_YOUNG_PAIR(BGl_string2173z00zzabound_walkz00,
						BgL_arg1382z00_1524);
				}
				BGl_verbosez00zztools_speekz00(BINT(1L), BgL_list1380z00_1523);
			}
			BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00 = BINT(0L);
			BGl_za2currentzd2passza2zd2zzengine_passz00 =
				BGl_string2172z00zzabound_walkz00;
			{	/* Abound/walk.scm 40 */
				obj_t BgL_g1107z00_1526;
				obj_t BgL_g1108z00_1527;

				{	/* Abound/walk.scm 40 */
					obj_t BgL_list1394z00_1540;

					BgL_list1394z00_1540 =
						MAKE_YOUNG_PAIR(BGl_initzd2cachez12zd2envz12zzabound_walkz00, BNIL);
					BgL_g1107z00_1526 = BgL_list1394z00_1540;
				}
				BgL_g1108z00_1527 = ((obj_t) CNST_TABLE_REF(0));
				{
					obj_t BgL_hooksz00_1529;
					obj_t BgL_hnamesz00_1530;

					BgL_hooksz00_1529 = BgL_g1107z00_1526;
					BgL_hnamesz00_1530 = BgL_g1108z00_1527;
				BgL_zc3z04anonymousza31384ze3z87_1531:
					if (NULLP(BgL_hooksz00_1529))
						{	/* Abound/walk.scm 40 */
							((obj_t) CNST_TABLE_REF(1));
						}
					else
						{	/* Abound/walk.scm 40 */
							bool_t BgL_test2262z00_2924;

							{	/* Abound/walk.scm 40 */
								obj_t BgL_fun1393z00_1538;

								BgL_fun1393z00_1538 = CAR(((obj_t) BgL_hooksz00_1529));
								BgL_test2262z00_2924 =
									CBOOL(BGL_PROCEDURE_CALL0(BgL_fun1393z00_1538));
							}
							if (BgL_test2262z00_2924)
								{	/* Abound/walk.scm 40 */
									obj_t BgL_arg1388z00_1535;
									obj_t BgL_arg1390z00_1536;

									BgL_arg1388z00_1535 = CDR(((obj_t) BgL_hooksz00_1529));
									BgL_arg1390z00_1536 = CDR(((obj_t) BgL_hnamesz00_1530));
									{
										obj_t BgL_hnamesz00_2936;
										obj_t BgL_hooksz00_2935;

										BgL_hooksz00_2935 = BgL_arg1388z00_1535;
										BgL_hnamesz00_2936 = BgL_arg1390z00_1536;
										BgL_hnamesz00_1530 = BgL_hnamesz00_2936;
										BgL_hooksz00_1529 = BgL_hooksz00_2935;
										goto BgL_zc3z04anonymousza31384ze3z87_1531;
									}
								}
							else
								{	/* Abound/walk.scm 40 */
									obj_t BgL_arg1392z00_1537;

									BgL_arg1392z00_1537 = CAR(((obj_t) BgL_hnamesz00_1530));
									BGl_internalzd2errorzd2zztools_errorz00
										(BGl_string2172z00zzabound_walkz00,
										BGl_string2174z00zzabound_walkz00, BgL_arg1392z00_1537);
								}
						}
				}
			}
			{
				obj_t BgL_l1295z00_1542;

				BgL_l1295z00_1542 = BgL_globalsz00_17;
			BgL_zc3z04anonymousza31395ze3z87_1543:
				if (PAIRP(BgL_l1295z00_1542))
					{	/* Abound/walk.scm 41 */
						BGl_aboundzd2funz12zc0zzabound_walkz00(CAR(BgL_l1295z00_1542));
						{
							obj_t BgL_l1295z00_2944;

							BgL_l1295z00_2944 = CDR(BgL_l1295z00_1542);
							BgL_l1295z00_1542 = BgL_l1295z00_2944;
							goto BgL_zc3z04anonymousza31395ze3z87_1543;
						}
					}
				else
					{	/* Abound/walk.scm 41 */
						((bool_t) 1);
					}
			}
			if (
				((long) CINT(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00) > 0L))
				{	/* Abound/walk.scm 42 */
					{	/* Abound/walk.scm 42 */
						obj_t BgL_port1297z00_1550;

						{	/* Abound/walk.scm 42 */
							obj_t BgL_tmpz00_2949;

							BgL_tmpz00_2949 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_port1297z00_1550 =
								BGL_ENV_CURRENT_ERROR_PORT(BgL_tmpz00_2949);
						}
						bgl_display_obj(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00,
							BgL_port1297z00_1550);
						bgl_display_string(BGl_string2175z00zzabound_walkz00,
							BgL_port1297z00_1550);
						{	/* Abound/walk.scm 42 */
							obj_t BgL_arg1406z00_1551;

							{	/* Abound/walk.scm 42 */
								bool_t BgL_test2265z00_2954;

								if (BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00
									(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00))
									{	/* Abound/walk.scm 42 */
										if (INTEGERP
											(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00))
											{	/* Abound/walk.scm 42 */
												BgL_test2265z00_2954 =
													(
													(long)
													CINT
													(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00)
													> 1L);
											}
										else
											{	/* Abound/walk.scm 42 */
												BgL_test2265z00_2954 =
													BGl_2ze3ze3zz__r4_numbers_6_5z00
													(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00,
													BINT(1L));
											}
									}
								else
									{	/* Abound/walk.scm 42 */
										BgL_test2265z00_2954 = ((bool_t) 0);
									}
								if (BgL_test2265z00_2954)
									{	/* Abound/walk.scm 42 */
										BgL_arg1406z00_1551 = BGl_string2176z00zzabound_walkz00;
									}
								else
									{	/* Abound/walk.scm 42 */
										BgL_arg1406z00_1551 = BGl_string2177z00zzabound_walkz00;
									}
							}
							bgl_display_obj(BgL_arg1406z00_1551, BgL_port1297z00_1550);
						}
						bgl_display_string(BGl_string2178z00zzabound_walkz00,
							BgL_port1297z00_1550);
						bgl_display_char(((unsigned char) 10), BgL_port1297z00_1550);
					}
					{	/* Abound/walk.scm 42 */
						obj_t BgL_list1409z00_1555;

						BgL_list1409z00_1555 = MAKE_YOUNG_PAIR(BINT((-1L)), BNIL);
						BGL_TAIL return BGl_exitz00zz__errorz00(BgL_list1409z00_1555);
					}
				}
			else
				{	/* Abound/walk.scm 42 */
					obj_t BgL_g1109z00_1556;
					obj_t BgL_g1110z00_1557;

					{	/* Abound/walk.scm 42 */
						obj_t BgL_list1473z00_1570;

						BgL_list1473z00_1570 =
							MAKE_YOUNG_PAIR(BGl_clearzd2cachez12zd2envz12zzabound_walkz00,
							BNIL);
						BgL_g1109z00_1556 = BgL_list1473z00_1570;
					}
					BgL_g1110z00_1557 = ((obj_t) CNST_TABLE_REF(2));
					{
						obj_t BgL_hooksz00_1559;
						obj_t BgL_hnamesz00_1560;

						BgL_hooksz00_1559 = BgL_g1109z00_1556;
						BgL_hnamesz00_1560 = BgL_g1110z00_1557;
					BgL_zc3z04anonymousza31410ze3z87_1561:
						if (NULLP(BgL_hooksz00_1559))
							{	/* Abound/walk.scm 42 */
								return BgL_globalsz00_17;
							}
						else
							{	/* Abound/walk.scm 42 */
								bool_t BgL_test2269z00_2974;

								{	/* Abound/walk.scm 42 */
									obj_t BgL_fun1472z00_1568;

									BgL_fun1472z00_1568 = CAR(((obj_t) BgL_hooksz00_1559));
									BgL_test2269z00_2974 =
										CBOOL(BGL_PROCEDURE_CALL0(BgL_fun1472z00_1568));
								}
								if (BgL_test2269z00_2974)
									{	/* Abound/walk.scm 42 */
										obj_t BgL_arg1446z00_1565;
										obj_t BgL_arg1457z00_1566;

										BgL_arg1446z00_1565 = CDR(((obj_t) BgL_hooksz00_1559));
										BgL_arg1457z00_1566 = CDR(((obj_t) BgL_hnamesz00_1560));
										{
											obj_t BgL_hnamesz00_2986;
											obj_t BgL_hooksz00_2985;

											BgL_hooksz00_2985 = BgL_arg1446z00_1565;
											BgL_hnamesz00_2986 = BgL_arg1457z00_1566;
											BgL_hnamesz00_1560 = BgL_hnamesz00_2986;
											BgL_hooksz00_1559 = BgL_hooksz00_2985;
											goto BgL_zc3z04anonymousza31410ze3z87_1561;
										}
									}
								else
									{	/* Abound/walk.scm 42 */
										obj_t BgL_arg1471z00_1567;

										BgL_arg1471z00_1567 = CAR(((obj_t) BgL_hnamesz00_1560));
										return
											BGl_internalzd2errorzd2zztools_errorz00
											(BGl_za2currentzd2passza2zd2zzengine_passz00,
											BGl_string2179z00zzabound_walkz00, BgL_arg1471z00_1567);
									}
							}
					}
				}
		}

	}



/* &abound-walk! */
	obj_t BGl_z62aboundzd2walkz12za2zzabound_walkz00(obj_t BgL_envz00_2520,
		obj_t BgL_globalsz00_2521)
	{
		{	/* Abound/walk.scm 39 */
			return BGl_aboundzd2walkz12zc0zzabound_walkz00(BgL_globalsz00_2521);
		}

	}



/* &init-cache! */
	obj_t BGl_z62initzd2cachez12za2zzabound_walkz00(obj_t BgL_envz00_2522)
	{
		{	/* Abound/walk.scm 75 */
			{	/* Abound/walk.scm 76 */
				obj_t BgL_list1474z00_2621;

				BgL_list1474z00_2621 =
					MAKE_YOUNG_PAIR(((obj_t) CNST_TABLE_REF(3)), BNIL);
				BGl_za2stringzd2refza2zd2zzabound_walkz00 =
					BGl_findzd2globalzd2zzast_envz00(
					((obj_t) CNST_TABLE_REF(4)), BgL_list1474z00_2621);
			}
			{	/* Abound/walk.scm 77 */
				obj_t BgL_list1475z00_2622;

				BgL_list1475z00_2622 =
					MAKE_YOUNG_PAIR(((obj_t) CNST_TABLE_REF(3)), BNIL);
				BGl_za2stringzd2setz12za2zc0zzabound_walkz00 =
					BGl_findzd2globalzd2zzast_envz00(
					((obj_t) CNST_TABLE_REF(5)), BgL_list1475z00_2622);
			}
			{	/* Abound/walk.scm 78 */
				obj_t BgL_list1476z00_2623;

				BgL_list1476z00_2623 =
					MAKE_YOUNG_PAIR(((obj_t) CNST_TABLE_REF(3)), BNIL);
				BGl_za2structzd2refza2zd2zzabound_walkz00 =
					BGl_findzd2globalzd2zzast_envz00(
					((obj_t) CNST_TABLE_REF(6)), BgL_list1476z00_2623);
			}
			{	/* Abound/walk.scm 79 */
				obj_t BgL_list1477z00_2624;

				BgL_list1477z00_2624 =
					MAKE_YOUNG_PAIR(((obj_t) CNST_TABLE_REF(3)), BNIL);
				BGl_za2structzd2setz12za2zc0zzabound_walkz00 =
					BGl_findzd2globalzd2zzast_envz00(
					((obj_t) CNST_TABLE_REF(7)), BgL_list1477z00_2624);
			}
			{	/* Abound/walk.scm 80 */
				obj_t BgL_list1478z00_2625;

				BgL_list1478z00_2625 =
					MAKE_YOUNG_PAIR(((obj_t) CNST_TABLE_REF(3)), BNIL);
				BGl_za2s8vectorzd2refza2zd2zzabound_walkz00 =
					BGl_findzd2globalzd2zzast_envz00(
					((obj_t) CNST_TABLE_REF(8)), BgL_list1478z00_2625);
			}
			{	/* Abound/walk.scm 81 */
				obj_t BgL_list1479z00_2626;

				BgL_list1479z00_2626 =
					MAKE_YOUNG_PAIR(((obj_t) CNST_TABLE_REF(3)), BNIL);
				BGl_za2u8vectorzd2refza2zd2zzabound_walkz00 =
					BGl_findzd2globalzd2zzast_envz00(
					((obj_t) CNST_TABLE_REF(9)), BgL_list1479z00_2626);
			}
			{	/* Abound/walk.scm 82 */
				obj_t BgL_list1480z00_2627;

				BgL_list1480z00_2627 =
					MAKE_YOUNG_PAIR(((obj_t) CNST_TABLE_REF(3)), BNIL);
				BGl_za2s16vectorzd2refza2zd2zzabound_walkz00 =
					BGl_findzd2globalzd2zzast_envz00(
					((obj_t) CNST_TABLE_REF(10)), BgL_list1480z00_2627);
			}
			{	/* Abound/walk.scm 83 */
				obj_t BgL_list1481z00_2628;

				BgL_list1481z00_2628 =
					MAKE_YOUNG_PAIR(((obj_t) CNST_TABLE_REF(3)), BNIL);
				BGl_za2u16vectorzd2refza2zd2zzabound_walkz00 =
					BGl_findzd2globalzd2zzast_envz00(
					((obj_t) CNST_TABLE_REF(11)), BgL_list1481z00_2628);
			}
			{	/* Abound/walk.scm 84 */
				obj_t BgL_list1482z00_2629;

				BgL_list1482z00_2629 =
					MAKE_YOUNG_PAIR(((obj_t) CNST_TABLE_REF(3)), BNIL);
				BGl_za2s32vectorzd2refza2zd2zzabound_walkz00 =
					BGl_findzd2globalzd2zzast_envz00(
					((obj_t) CNST_TABLE_REF(12)), BgL_list1482z00_2629);
			}
			{	/* Abound/walk.scm 85 */
				obj_t BgL_list1483z00_2630;

				BgL_list1483z00_2630 =
					MAKE_YOUNG_PAIR(((obj_t) CNST_TABLE_REF(3)), BNIL);
				BGl_za2u32vectorzd2refza2zd2zzabound_walkz00 =
					BGl_findzd2globalzd2zzast_envz00(
					((obj_t) CNST_TABLE_REF(13)), BgL_list1483z00_2630);
			}
			{	/* Abound/walk.scm 86 */
				obj_t BgL_list1484z00_2631;

				BgL_list1484z00_2631 =
					MAKE_YOUNG_PAIR(((obj_t) CNST_TABLE_REF(3)), BNIL);
				BGl_za2s64vectorzd2refza2zd2zzabound_walkz00 =
					BGl_findzd2globalzd2zzast_envz00(
					((obj_t) CNST_TABLE_REF(14)), BgL_list1484z00_2631);
			}
			{	/* Abound/walk.scm 87 */
				obj_t BgL_list1485z00_2632;

				BgL_list1485z00_2632 =
					MAKE_YOUNG_PAIR(((obj_t) CNST_TABLE_REF(3)), BNIL);
				BGl_za2u64vectorzd2refza2zd2zzabound_walkz00 =
					BGl_findzd2globalzd2zzast_envz00(
					((obj_t) CNST_TABLE_REF(15)), BgL_list1485z00_2632);
			}
			{	/* Abound/walk.scm 88 */
				obj_t BgL_list1486z00_2633;

				BgL_list1486z00_2633 =
					MAKE_YOUNG_PAIR(((obj_t) CNST_TABLE_REF(3)), BNIL);
				BGl_za2f32vectorzd2refza2zd2zzabound_walkz00 =
					BGl_findzd2globalzd2zzast_envz00(
					((obj_t) CNST_TABLE_REF(16)), BgL_list1486z00_2633);
			}
			{	/* Abound/walk.scm 89 */
				obj_t BgL_list1487z00_2634;

				BgL_list1487z00_2634 =
					MAKE_YOUNG_PAIR(((obj_t) CNST_TABLE_REF(3)), BNIL);
				BGl_za2f64vectorzd2refza2zd2zzabound_walkz00 =
					BGl_findzd2globalzd2zzast_envz00(
					((obj_t) CNST_TABLE_REF(17)), BgL_list1487z00_2634);
			}
			{	/* Abound/walk.scm 90 */
				obj_t BgL_list1488z00_2635;

				BgL_list1488z00_2635 =
					MAKE_YOUNG_PAIR(((obj_t) CNST_TABLE_REF(3)), BNIL);
				BGl_za2s8vectorzd2setz12za2zc0zzabound_walkz00 =
					BGl_findzd2globalzd2zzast_envz00(
					((obj_t) CNST_TABLE_REF(18)), BgL_list1488z00_2635);
			}
			{	/* Abound/walk.scm 91 */
				obj_t BgL_list1489z00_2636;

				BgL_list1489z00_2636 =
					MAKE_YOUNG_PAIR(((obj_t) CNST_TABLE_REF(3)), BNIL);
				BGl_za2u8vectorzd2setz12za2zc0zzabound_walkz00 =
					BGl_findzd2globalzd2zzast_envz00(
					((obj_t) CNST_TABLE_REF(19)), BgL_list1489z00_2636);
			}
			{	/* Abound/walk.scm 92 */
				obj_t BgL_list1490z00_2637;

				BgL_list1490z00_2637 =
					MAKE_YOUNG_PAIR(((obj_t) CNST_TABLE_REF(3)), BNIL);
				BGl_za2s16vectorzd2setz12za2zc0zzabound_walkz00 =
					BGl_findzd2globalzd2zzast_envz00(
					((obj_t) CNST_TABLE_REF(20)), BgL_list1490z00_2637);
			}
			{	/* Abound/walk.scm 93 */
				obj_t BgL_list1491z00_2638;

				BgL_list1491z00_2638 =
					MAKE_YOUNG_PAIR(((obj_t) CNST_TABLE_REF(3)), BNIL);
				BGl_za2u16vectorzd2setz12za2zc0zzabound_walkz00 =
					BGl_findzd2globalzd2zzast_envz00(
					((obj_t) CNST_TABLE_REF(21)), BgL_list1491z00_2638);
			}
			{	/* Abound/walk.scm 94 */
				obj_t BgL_list1492z00_2639;

				BgL_list1492z00_2639 =
					MAKE_YOUNG_PAIR(((obj_t) CNST_TABLE_REF(3)), BNIL);
				BGl_za2s32vectorzd2setz12za2zc0zzabound_walkz00 =
					BGl_findzd2globalzd2zzast_envz00(
					((obj_t) CNST_TABLE_REF(22)), BgL_list1492z00_2639);
			}
			{	/* Abound/walk.scm 95 */
				obj_t BgL_list1493z00_2640;

				BgL_list1493z00_2640 =
					MAKE_YOUNG_PAIR(((obj_t) CNST_TABLE_REF(3)), BNIL);
				BGl_za2u32vectorzd2setz12za2zc0zzabound_walkz00 =
					BGl_findzd2globalzd2zzast_envz00(
					((obj_t) CNST_TABLE_REF(23)), BgL_list1493z00_2640);
			}
			{	/* Abound/walk.scm 96 */
				obj_t BgL_list1494z00_2641;

				BgL_list1494z00_2641 =
					MAKE_YOUNG_PAIR(((obj_t) CNST_TABLE_REF(3)), BNIL);
				BGl_za2s64vectorzd2setz12za2zc0zzabound_walkz00 =
					BGl_findzd2globalzd2zzast_envz00(
					((obj_t) CNST_TABLE_REF(24)), BgL_list1494z00_2641);
			}
			{	/* Abound/walk.scm 97 */
				obj_t BgL_list1495z00_2642;

				BgL_list1495z00_2642 =
					MAKE_YOUNG_PAIR(((obj_t) CNST_TABLE_REF(3)), BNIL);
				BGl_za2u64vectorzd2setz12za2zc0zzabound_walkz00 =
					BGl_findzd2globalzd2zzast_envz00(
					((obj_t) CNST_TABLE_REF(25)), BgL_list1495z00_2642);
			}
			{	/* Abound/walk.scm 98 */
				obj_t BgL_list1496z00_2643;

				BgL_list1496z00_2643 =
					MAKE_YOUNG_PAIR(((obj_t) CNST_TABLE_REF(3)), BNIL);
				BGl_za2f32vectorzd2setz12za2zc0zzabound_walkz00 =
					BGl_findzd2globalzd2zzast_envz00(
					((obj_t) CNST_TABLE_REF(26)), BgL_list1496z00_2643);
			}
			{	/* Abound/walk.scm 99 */
				obj_t BgL_list1497z00_2644;

				BgL_list1497z00_2644 =
					MAKE_YOUNG_PAIR(((obj_t) CNST_TABLE_REF(3)), BNIL);
				BGl_za2f64vectorzd2setz12za2zc0zzabound_walkz00 =
					BGl_findzd2globalzd2zzast_envz00(
					((obj_t) CNST_TABLE_REF(27)), BgL_list1497z00_2644);
			}
			return BUNSPEC;
		}

	}



/* &clear-cache! */
	obj_t BGl_z62clearzd2cachez12za2zzabound_walkz00(obj_t BgL_envz00_2523)
	{
		{	/* Abound/walk.scm 105 */
			return (BGl_za2stringzd2refza2zd2zzabound_walkz00 = BFALSE, BUNSPEC);
		}

	}



/* abound-fun! */
	obj_t BGl_aboundzd2funz12zc0zzabound_walkz00(obj_t BgL_varz00_18)
	{
		{	/* Abound/walk.scm 111 */
			{	/* Abound/walk.scm 112 */
				obj_t BgL_arg1506z00_1595;

				BgL_arg1506z00_1595 =
					(((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_varz00_18)))->BgL_idz00);
				BGl_enterzd2functionzd2zztools_errorz00(BgL_arg1506z00_1595);
			}
			{	/* Abound/walk.scm 113 */
				BgL_valuez00_bglt BgL_funz00_1596;

				BgL_funz00_1596 =
					(((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_varz00_18)))->BgL_valuez00);
				{	/* Abound/walk.scm 114 */
					BgL_nodez00_bglt BgL_arg1511z00_1597;

					{	/* Abound/walk.scm 114 */
						obj_t BgL_arg1512z00_1598;

						BgL_arg1512z00_1598 =
							(((BgL_sfunz00_bglt) COBJECT(
									((BgL_sfunz00_bglt) BgL_funz00_1596)))->BgL_bodyz00);
						BgL_arg1511z00_1597 =
							BGl_aboundzd2nodezd2zzabound_walkz00(
							((BgL_nodez00_bglt) BgL_arg1512z00_1598));
					}
					((((BgL_sfunz00_bglt) COBJECT(
									((BgL_sfunz00_bglt) BgL_funz00_1596)))->BgL_bodyz00) =
						((obj_t) ((obj_t) BgL_arg1511z00_1597)), BUNSPEC);
				}
				BGl_leavezd2functionzd2zztools_errorz00();
				return BgL_varz00_18;
			}
		}

	}



/* array-ref */
	BgL_nodez00_bglt BGl_arrayzd2refzd2zzabound_walkz00(BgL_nodezf2effectzf2_bglt
		BgL_nodez00_27, obj_t BgL_vecz00_28, obj_t BgL_offz00_29,
		obj_t BgL_locz00_30, BgL_typez00_bglt BgL_ftypez00_31,
		obj_t BgL_otypez00_32, obj_t BgL_vtypez00_33, obj_t BgL_dupz00_34)
	{
		{	/* Abound/walk.scm 266 */
			{	/* Abound/walk.scm 267 */
				obj_t BgL_vz00_1599;
				obj_t BgL_iz00_1600;
				obj_t BgL_lz00_1601;
				obj_t BgL_lnamez00_1602;
				obj_t BgL_lposz00_1603;

				BgL_vz00_1599 =
					BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
					(BGl_gensymz00zz__r4_symbols_6_4z00(((obj_t) CNST_TABLE_REF(28))));
				BgL_iz00_1600 =
					BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
					(BGl_gensymz00zz__r4_symbols_6_4z00(((obj_t) CNST_TABLE_REF(29))));
				BgL_lz00_1601 =
					BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
					(BGl_gensymz00zz__r4_symbols_6_4z00(((obj_t) CNST_TABLE_REF(30))));
				{	/* Abound/walk.scm 270 */
					bool_t BgL_test2270z00_3160;

					if (STRUCTP(BgL_locz00_30))
						{	/* Abound/walk.scm 270 */
							BgL_test2270z00_3160 =
								(STRUCT_KEY(BgL_locz00_30) == ((obj_t) CNST_TABLE_REF(31)));
						}
					else
						{	/* Abound/walk.scm 270 */
							BgL_test2270z00_3160 = ((bool_t) 0);
						}
					if (BgL_test2270z00_3160)
						{	/* Abound/walk.scm 270 */
							BgL_lnamez00_1602 =
								BGl_locationzd2fullzd2fnamez00zztools_locationz00
								(BgL_locz00_30);
						}
					else
						{	/* Abound/walk.scm 270 */
							BgL_lnamez00_1602 = BFALSE;
						}
				}
				{	/* Abound/walk.scm 271 */
					bool_t BgL_test2272z00_3168;

					if (STRUCTP(BgL_locz00_30))
						{	/* Abound/walk.scm 271 */
							BgL_test2272z00_3168 =
								(STRUCT_KEY(BgL_locz00_30) == ((obj_t) CNST_TABLE_REF(31)));
						}
					else
						{	/* Abound/walk.scm 271 */
							BgL_test2272z00_3168 = ((bool_t) 0);
						}
					if (BgL_test2272z00_3168)
						{	/* Abound/walk.scm 271 */
							BgL_lposz00_1603 = STRUCT_REF(BgL_locz00_30, (int) (1L));
						}
					else
						{	/* Abound/walk.scm 271 */
							BgL_lposz00_1603 = BFALSE;
						}
				}
				{	/* Abound/walk.scm 273 */
					obj_t BgL_arg1513z00_1604;

					{	/* Abound/walk.scm 273 */
						obj_t BgL_arg1515z00_1605;

						{	/* Abound/walk.scm 273 */
							obj_t BgL_arg1516z00_1606;
							obj_t BgL_arg1530z00_1607;

							{	/* Abound/walk.scm 273 */
								obj_t BgL_arg1532z00_1608;
								obj_t BgL_arg1535z00_1609;

								{	/* Abound/walk.scm 273 */
									obj_t BgL_arg1543z00_1610;
									obj_t BgL_arg1545z00_1611;

									{	/* Abound/walk.scm 273 */
										obj_t BgL_arg1553z00_1612;

										BgL_arg1553z00_1612 =
											(((BgL_typez00_bglt) COBJECT(
													((BgL_typez00_bglt) BgL_vtypez00_33)))->BgL_idz00);
										BgL_arg1543z00_1610 =
											BGl_makezd2typedzd2identz00zzast_identz00(BgL_vz00_1599,
											BgL_arg1553z00_1612);
									}
									BgL_arg1545z00_1611 = MAKE_YOUNG_PAIR(BgL_vecz00_28, BNIL);
									BgL_arg1532z00_1608 =
										MAKE_YOUNG_PAIR(BgL_arg1543z00_1610, BgL_arg1545z00_1611);
								}
								{	/* Abound/walk.scm 274 */
									obj_t BgL_arg1554z00_1613;

									{	/* Abound/walk.scm 274 */
										obj_t BgL_arg1558z00_1614;
										obj_t BgL_arg1560z00_1615;

										{	/* Abound/walk.scm 274 */
											obj_t BgL_arg1574z00_1616;

											BgL_arg1574z00_1616 =
												(((BgL_typez00_bglt) COBJECT(
														((BgL_typez00_bglt) BgL_otypez00_32)))->BgL_idz00);
											BgL_arg1558z00_1614 =
												BGl_makezd2typedzd2identz00zzast_identz00(BgL_iz00_1600,
												BgL_arg1574z00_1616);
										}
										BgL_arg1560z00_1615 = MAKE_YOUNG_PAIR(BgL_offz00_29, BNIL);
										BgL_arg1554z00_1613 =
											MAKE_YOUNG_PAIR(BgL_arg1558z00_1614, BgL_arg1560z00_1615);
									}
									BgL_arg1535z00_1609 =
										MAKE_YOUNG_PAIR(BgL_arg1554z00_1613, BNIL);
								}
								BgL_arg1516z00_1606 =
									MAKE_YOUNG_PAIR(BgL_arg1532z00_1608, BgL_arg1535z00_1609);
							}
							{	/* Abound/walk.scm 275 */
								obj_t BgL_arg1577z00_1617;

								{	/* Abound/walk.scm 275 */
									obj_t BgL_arg1578z00_1618;

									{	/* Abound/walk.scm 275 */
										obj_t BgL_arg1581z00_1619;
										obj_t BgL_arg1587z00_1620;

										{	/* Abound/walk.scm 275 */
											obj_t BgL_arg1588z00_1621;

											{	/* Abound/walk.scm 275 */
												obj_t BgL_arg1590z00_1622;
												obj_t BgL_arg1592z00_1623;

												{	/* Abound/walk.scm 275 */
													obj_t BgL_arg1593z00_1624;

													BgL_arg1593z00_1624 =
														(((BgL_typez00_bglt) COBJECT(
																((BgL_typez00_bglt) BgL_otypez00_32)))->
														BgL_idz00);
													BgL_arg1590z00_1622 =
														BGl_makezd2typedzd2identz00zzast_identz00
														(BgL_lz00_1601, BgL_arg1593z00_1624);
												}
												{	/* Abound/walk.scm 277 */
													obj_t BgL_arg1597z00_1625;

													if (
														(BgL_vtypez00_33 ==
															BGl_za2vectorza2z00zztype_cachez00))
														{	/* Abound/walk.scm 278 */
															obj_t BgL_arg1605z00_1626;

															BgL_arg1605z00_1626 =
																MAKE_YOUNG_PAIR(BgL_vz00_1599, BNIL);
															BgL_arg1597z00_1625 =
																MAKE_YOUNG_PAIR(
																((obj_t)
																	CNST_TABLE_REF(32)), BgL_arg1605z00_1626);
														}
													else
														{	/* Abound/walk.scm 277 */
															if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
																	(BgL_vtypez00_33,
																		BGl_za2hvectorsza2z00zztype_cachez00)))
																{	/* Abound/walk.scm 280 */
																	obj_t BgL_arg1611z00_1628;

																	BgL_arg1611z00_1628 =
																		MAKE_YOUNG_PAIR(BgL_vz00_1599, BNIL);
																	BgL_arg1597z00_1625 =
																		MAKE_YOUNG_PAIR(
																		((obj_t)
																			CNST_TABLE_REF(33)), BgL_arg1611z00_1628);
																}
															else
																{	/* Abound/walk.scm 282 */
																	obj_t BgL_arg1612z00_1629;

																	BgL_arg1612z00_1629 =
																		MAKE_YOUNG_PAIR(BgL_vz00_1599, BNIL);
																	BgL_arg1597z00_1625 =
																		MAKE_YOUNG_PAIR(
																		((obj_t)
																			CNST_TABLE_REF(34)), BgL_arg1612z00_1629);
																}
														}
													BgL_arg1592z00_1623 =
														MAKE_YOUNG_PAIR(BgL_arg1597z00_1625, BNIL);
												}
												BgL_arg1588z00_1621 =
													MAKE_YOUNG_PAIR(BgL_arg1590z00_1622,
													BgL_arg1592z00_1623);
											}
											BgL_arg1581z00_1619 =
												MAKE_YOUNG_PAIR(BgL_arg1588z00_1621, BNIL);
										}
										{	/* Abound/walk.scm 283 */
											obj_t BgL_arg1625z00_1630;

											{	/* Abound/walk.scm 283 */
												obj_t BgL_arg1626z00_1631;

												{	/* Abound/walk.scm 283 */
													obj_t BgL_arg1631z00_1632;
													obj_t BgL_arg1632z00_1633;

													{	/* Abound/walk.scm 283 */
														obj_t BgL_arg1633z00_1634;

														{	/* Abound/walk.scm 283 */
															obj_t BgL_arg1635z00_1635;

															BgL_arg1635z00_1635 =
																MAKE_YOUNG_PAIR(BgL_lz00_1601, BNIL);
															BgL_arg1633z00_1634 =
																MAKE_YOUNG_PAIR(BgL_iz00_1600,
																BgL_arg1635z00_1635);
														}
														BgL_arg1631z00_1632 =
															MAKE_YOUNG_PAIR(
															((obj_t)
																CNST_TABLE_REF(35)), BgL_arg1633z00_1634);
													}
													{	/* Abound/walk.scm 284 */
														BgL_nodezf2effectzf2_bglt BgL_arg1638z00_1636;
														obj_t BgL_arg1642z00_1637;

														BgL_arg1638z00_1636 =
															((BgL_nodezf2effectzf2_bglt(*)(obj_t,
																	BgL_nodezf2effectzf2_bglt, obj_t,
																	obj_t))
															PROCEDURE_L_ENTRY(BgL_dupz00_34)) (BgL_dupz00_34,
															BgL_nodez00_27, BgL_vz00_1599, BgL_iz00_1600);
														{	/* Abound/walk.scm 286 */
															obj_t BgL_arg1643z00_1638;

															{	/* Abound/walk.scm 286 */
																obj_t BgL_arg1648z00_1639;

																{	/* Abound/walk.scm 286 */
																	obj_t BgL_arg1649z00_1640;
																	obj_t BgL_arg1650z00_1641;

																	{	/* Abound/walk.scm 286 */
																		obj_t BgL_arg1653z00_1642;
																		obj_t BgL_arg1655z00_1643;

																		{	/* Abound/walk.scm 286 */
																			obj_t BgL_arg1656z00_1644;

																			{	/* Abound/walk.scm 286 */
																				obj_t BgL_arg1657z00_1645;

																				BgL_arg1657z00_1645 =
																					MAKE_YOUNG_PAIR(
																					((obj_t) CNST_TABLE_REF(36)), BNIL);
																				BgL_arg1656z00_1644 =
																					MAKE_YOUNG_PAIR(
																					((obj_t)
																						CNST_TABLE_REF(37)),
																					BgL_arg1657z00_1645);
																			}
																			BgL_arg1653z00_1642 =
																				MAKE_YOUNG_PAIR(
																				((obj_t)
																					CNST_TABLE_REF(38)),
																				BgL_arg1656z00_1644);
																		}
																		{	/* Abound/walk.scm 289 */
																			obj_t BgL_arg1660z00_1646;

																			{	/* Abound/walk.scm 289 */
																				obj_t BgL_arg1663z00_1647;

																				{	/* Abound/walk.scm 289 */
																					obj_t BgL_arg1664z00_1648;
																					obj_t BgL_arg1673z00_1649;

																					{	/* Abound/walk.scm 289 */
																						obj_t BgL_arg1674z00_1650;

																						{	/* Abound/walk.scm 289 */
																							obj_t BgL_arg1675z00_1651;

																							BgL_arg1675z00_1651 =
																								(((BgL_typez00_bglt) COBJECT(
																										((BgL_typez00_bglt)
																											BgL_vtypez00_33)))->
																								BgL_idz00);
																							BgL_arg1674z00_1650 =
																								SYMBOL_TO_STRING
																								(BgL_arg1675z00_1651);
																						}
																						BgL_arg1664z00_1648 =
																							string_append(BgL_arg1674z00_1650,
																							BGl_string2180z00zzabound_walkz00);
																					}
																					{	/* Abound/walk.scm 286 */
																						obj_t BgL_arg1677z00_1652;

																						{	/* Abound/walk.scm 286 */
																							obj_t BgL_arg1679z00_1653;

																							BgL_arg1679z00_1653 =
																								MAKE_YOUNG_PAIR(BgL_iz00_1600,
																								BNIL);
																							BgL_arg1677z00_1652 =
																								MAKE_YOUNG_PAIR(BgL_lz00_1601,
																								BgL_arg1679z00_1653);
																						}
																						BgL_arg1673z00_1649 =
																							MAKE_YOUNG_PAIR(BgL_vz00_1599,
																							BgL_arg1677z00_1652);
																					}
																					BgL_arg1663z00_1647 =
																						MAKE_YOUNG_PAIR(BgL_arg1664z00_1648,
																						BgL_arg1673z00_1649);
																				}
																				BgL_arg1660z00_1646 =
																					MAKE_YOUNG_PAIR(BgL_lposz00_1603,
																					BgL_arg1663z00_1647);
																			}
																			BgL_arg1655z00_1643 =
																				MAKE_YOUNG_PAIR(BgL_lnamez00_1602,
																				BgL_arg1660z00_1646);
																		}
																		BgL_arg1649z00_1640 =
																			MAKE_YOUNG_PAIR(BgL_arg1653z00_1642,
																			BgL_arg1655z00_1643);
																	}
																	{	/* Abound/walk.scm 285 */
																		obj_t BgL_arg1680z00_1654;

																		BgL_arg1680z00_1654 =
																			MAKE_YOUNG_PAIR(BFALSE, BNIL);
																		BgL_arg1650z00_1641 =
																			MAKE_YOUNG_PAIR(BFALSE,
																			BgL_arg1680z00_1654);
																	}
																	BgL_arg1648z00_1639 =
																		MAKE_YOUNG_PAIR(BgL_arg1649z00_1640,
																		BgL_arg1650z00_1641);
																}
																BgL_arg1643z00_1638 =
																	MAKE_YOUNG_PAIR(
																	((obj_t)
																		CNST_TABLE_REF(39)), BgL_arg1648z00_1639);
															}
															BgL_arg1642z00_1637 =
																MAKE_YOUNG_PAIR(BgL_arg1643z00_1638, BNIL);
														}
														BgL_arg1632z00_1633 =
															MAKE_YOUNG_PAIR(
															((obj_t) BgL_arg1638z00_1636),
															BgL_arg1642z00_1637);
													}
													BgL_arg1626z00_1631 =
														MAKE_YOUNG_PAIR(BgL_arg1631z00_1632,
														BgL_arg1632z00_1633);
												}
												BgL_arg1625z00_1630 =
													MAKE_YOUNG_PAIR(
													((obj_t) CNST_TABLE_REF(40)), BgL_arg1626z00_1631);
											}
											BgL_arg1587z00_1620 =
												MAKE_YOUNG_PAIR(BgL_arg1625z00_1630, BNIL);
										}
										BgL_arg1578z00_1618 =
											MAKE_YOUNG_PAIR(BgL_arg1581z00_1619, BgL_arg1587z00_1620);
									}
									BgL_arg1577z00_1617 =
										MAKE_YOUNG_PAIR(
										((obj_t) CNST_TABLE_REF(41)), BgL_arg1578z00_1618);
								}
								BgL_arg1530z00_1607 =
									MAKE_YOUNG_PAIR(BgL_arg1577z00_1617, BNIL);
							}
							BgL_arg1515z00_1605 =
								MAKE_YOUNG_PAIR(BgL_arg1516z00_1606, BgL_arg1530z00_1607);
						}
						BgL_arg1513z00_1604 =
							MAKE_YOUNG_PAIR(
							((obj_t) CNST_TABLE_REF(41)), BgL_arg1515z00_1605);
					}
					return
						BGl_topzd2levelzd2sexpzd2ze3nodez31zzast_sexpz00
						(BgL_arg1513z00_1604, BgL_locz00_30);
				}
			}
		}

	}



/* array-set! */
	BgL_nodez00_bglt
		BGl_arrayzd2setz12zc0zzabound_walkz00(BgL_nodezf2effectzf2_bglt
		BgL_nodez00_36, obj_t BgL_vecz00_37, obj_t BgL_offz00_38,
		obj_t BgL_locz00_39, obj_t BgL_ftypez00_40, obj_t BgL_otypez00_41,
		obj_t BgL_vtypez00_42, obj_t BgL_dupz00_43)
	{
		{	/* Abound/walk.scm 318 */
			{	/* Abound/walk.scm 319 */
				obj_t BgL_vz00_1660;
				obj_t BgL_iz00_1661;
				obj_t BgL_lz00_1662;
				obj_t BgL_lnamez00_1663;
				obj_t BgL_lposz00_1664;

				BgL_vz00_1660 =
					BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
					(BGl_gensymz00zz__r4_symbols_6_4z00(((obj_t) CNST_TABLE_REF(28))));
				BgL_iz00_1661 =
					BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
					(BGl_gensymz00zz__r4_symbols_6_4z00(((obj_t) CNST_TABLE_REF(29))));
				BgL_lz00_1662 =
					BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
					(BGl_gensymz00zz__r4_symbols_6_4z00(((obj_t) CNST_TABLE_REF(30))));
				{	/* Abound/walk.scm 322 */
					bool_t BgL_test2276z00_3279;

					if (STRUCTP(BgL_locz00_39))
						{	/* Abound/walk.scm 322 */
							BgL_test2276z00_3279 =
								(STRUCT_KEY(BgL_locz00_39) == ((obj_t) CNST_TABLE_REF(31)));
						}
					else
						{	/* Abound/walk.scm 322 */
							BgL_test2276z00_3279 = ((bool_t) 0);
						}
					if (BgL_test2276z00_3279)
						{	/* Abound/walk.scm 322 */
							BgL_lnamez00_1663 =
								BGl_locationzd2fullzd2fnamez00zztools_locationz00
								(BgL_locz00_39);
						}
					else
						{	/* Abound/walk.scm 322 */
							BgL_lnamez00_1663 = BFALSE;
						}
				}
				{	/* Abound/walk.scm 323 */
					bool_t BgL_test2278z00_3287;

					if (STRUCTP(BgL_locz00_39))
						{	/* Abound/walk.scm 323 */
							BgL_test2278z00_3287 =
								(STRUCT_KEY(BgL_locz00_39) == ((obj_t) CNST_TABLE_REF(31)));
						}
					else
						{	/* Abound/walk.scm 323 */
							BgL_test2278z00_3287 = ((bool_t) 0);
						}
					if (BgL_test2278z00_3287)
						{	/* Abound/walk.scm 323 */
							BgL_lposz00_1664 = STRUCT_REF(BgL_locz00_39, (int) (1L));
						}
					else
						{	/* Abound/walk.scm 323 */
							BgL_lposz00_1664 = BFALSE;
						}
				}
				{	/* Abound/walk.scm 325 */
					obj_t BgL_arg1695z00_1665;

					{	/* Abound/walk.scm 325 */
						obj_t BgL_arg1696z00_1666;

						{	/* Abound/walk.scm 325 */
							obj_t BgL_arg1699z00_1667;
							obj_t BgL_arg1703z00_1668;

							{	/* Abound/walk.scm 325 */
								obj_t BgL_arg1715z00_1669;
								obj_t BgL_arg1716z00_1670;

								{	/* Abound/walk.scm 325 */
									obj_t BgL_arg1717z00_1671;
									obj_t BgL_arg1720z00_1672;

									{	/* Abound/walk.scm 325 */
										obj_t BgL_arg1724z00_1673;

										BgL_arg1724z00_1673 =
											(((BgL_typez00_bglt) COBJECT(
													((BgL_typez00_bglt) BgL_vtypez00_42)))->BgL_idz00);
										BgL_arg1717z00_1671 =
											BGl_makezd2typedzd2identz00zzast_identz00(BgL_vz00_1660,
											BgL_arg1724z00_1673);
									}
									BgL_arg1720z00_1672 = MAKE_YOUNG_PAIR(BgL_vecz00_37, BNIL);
									BgL_arg1715z00_1669 =
										MAKE_YOUNG_PAIR(BgL_arg1717z00_1671, BgL_arg1720z00_1672);
								}
								{	/* Abound/walk.scm 326 */
									obj_t BgL_arg1729z00_1674;

									{	/* Abound/walk.scm 326 */
										obj_t BgL_arg1730z00_1675;
										obj_t BgL_arg1746z00_1676;

										{	/* Abound/walk.scm 326 */
											obj_t BgL_arg1748z00_1677;

											BgL_arg1748z00_1677 =
												(((BgL_typez00_bglt) COBJECT(
														((BgL_typez00_bglt) BgL_otypez00_41)))->BgL_idz00);
											BgL_arg1730z00_1675 =
												BGl_makezd2typedzd2identz00zzast_identz00(BgL_iz00_1661,
												BgL_arg1748z00_1677);
										}
										BgL_arg1746z00_1676 = MAKE_YOUNG_PAIR(BgL_offz00_38, BNIL);
										BgL_arg1729z00_1674 =
											MAKE_YOUNG_PAIR(BgL_arg1730z00_1675, BgL_arg1746z00_1676);
									}
									BgL_arg1716z00_1670 =
										MAKE_YOUNG_PAIR(BgL_arg1729z00_1674, BNIL);
								}
								BgL_arg1699z00_1667 =
									MAKE_YOUNG_PAIR(BgL_arg1715z00_1669, BgL_arg1716z00_1670);
							}
							{	/* Abound/walk.scm 327 */
								obj_t BgL_arg1755z00_1678;

								{	/* Abound/walk.scm 327 */
									obj_t BgL_arg1756z00_1679;

									{	/* Abound/walk.scm 327 */
										obj_t BgL_arg1757z00_1680;
										obj_t BgL_arg1763z00_1681;

										{	/* Abound/walk.scm 327 */
											obj_t BgL_arg1765z00_1682;

											{	/* Abound/walk.scm 327 */
												obj_t BgL_arg1768z00_1683;
												obj_t BgL_arg1770z00_1684;

												{	/* Abound/walk.scm 327 */
													obj_t BgL_arg1772z00_1685;

													BgL_arg1772z00_1685 =
														(((BgL_typez00_bglt) COBJECT(
																((BgL_typez00_bglt) BgL_otypez00_41)))->
														BgL_idz00);
													BgL_arg1768z00_1683 =
														BGl_makezd2typedzd2identz00zzast_identz00
														(BgL_lz00_1662, BgL_arg1772z00_1685);
												}
												{	/* Abound/walk.scm 329 */
													obj_t BgL_arg1776z00_1686;

													if (
														(BgL_vtypez00_42 ==
															BGl_za2vectorza2z00zztype_cachez00))
														{	/* Abound/walk.scm 330 */
															obj_t BgL_arg1782z00_1687;

															BgL_arg1782z00_1687 =
																MAKE_YOUNG_PAIR(BgL_vz00_1660, BNIL);
															BgL_arg1776z00_1686 =
																MAKE_YOUNG_PAIR(
																((obj_t)
																	CNST_TABLE_REF(32)), BgL_arg1782z00_1687);
														}
													else
														{	/* Abound/walk.scm 329 */
															if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
																	(BgL_vtypez00_42,
																		BGl_za2hvectorsza2z00zztype_cachez00)))
																{	/* Abound/walk.scm 332 */
																	obj_t BgL_arg1784z00_1689;

																	BgL_arg1784z00_1689 =
																		MAKE_YOUNG_PAIR(BgL_vz00_1660, BNIL);
																	BgL_arg1776z00_1686 =
																		MAKE_YOUNG_PAIR(
																		((obj_t)
																			CNST_TABLE_REF(33)), BgL_arg1784z00_1689);
																}
															else
																{	/* Abound/walk.scm 334 */
																	obj_t BgL_arg1785z00_1690;

																	BgL_arg1785z00_1690 =
																		MAKE_YOUNG_PAIR(BgL_vz00_1660, BNIL);
																	BgL_arg1776z00_1686 =
																		MAKE_YOUNG_PAIR(
																		((obj_t)
																			CNST_TABLE_REF(34)), BgL_arg1785z00_1690);
																}
														}
													BgL_arg1770z00_1684 =
														MAKE_YOUNG_PAIR(BgL_arg1776z00_1686, BNIL);
												}
												BgL_arg1765z00_1682 =
													MAKE_YOUNG_PAIR(BgL_arg1768z00_1683,
													BgL_arg1770z00_1684);
											}
											BgL_arg1757z00_1680 =
												MAKE_YOUNG_PAIR(BgL_arg1765z00_1682, BNIL);
										}
										{	/* Abound/walk.scm 335 */
											obj_t BgL_arg1786z00_1691;

											{	/* Abound/walk.scm 335 */
												obj_t BgL_arg1789z00_1692;

												{	/* Abound/walk.scm 335 */
													obj_t BgL_arg1790z00_1693;
													obj_t BgL_arg1796z00_1694;

													{	/* Abound/walk.scm 335 */
														obj_t BgL_arg1797z00_1695;

														{	/* Abound/walk.scm 335 */
															obj_t BgL_arg1799z00_1696;

															BgL_arg1799z00_1696 =
																MAKE_YOUNG_PAIR(BgL_lz00_1662, BNIL);
															BgL_arg1797z00_1695 =
																MAKE_YOUNG_PAIR(BgL_iz00_1661,
																BgL_arg1799z00_1696);
														}
														BgL_arg1790z00_1693 =
															MAKE_YOUNG_PAIR(
															((obj_t)
																CNST_TABLE_REF(35)), BgL_arg1797z00_1695);
													}
													{	/* Abound/walk.scm 336 */
														BgL_nodezf2effectzf2_bglt BgL_arg1800z00_1697;
														obj_t BgL_arg1801z00_1698;

														BgL_arg1800z00_1697 =
															((BgL_nodezf2effectzf2_bglt(*)(obj_t,
																	BgL_nodezf2effectzf2_bglt, obj_t,
																	obj_t))
															PROCEDURE_L_ENTRY(BgL_dupz00_43)) (BgL_dupz00_43,
															BgL_nodez00_36, BgL_vz00_1660, BgL_iz00_1661);
														{	/* Abound/walk.scm 338 */
															obj_t BgL_arg1802z00_1699;

															{	/* Abound/walk.scm 338 */
																obj_t BgL_arg1803z00_1700;

																{	/* Abound/walk.scm 338 */
																	obj_t BgL_arg1804z00_1701;
																	obj_t BgL_arg1810z00_1702;

																	{	/* Abound/walk.scm 338 */
																		obj_t BgL_arg1811z00_1703;
																		obj_t BgL_arg1814z00_1704;

																		{	/* Abound/walk.scm 338 */
																			obj_t BgL_arg1818z00_1705;

																			{	/* Abound/walk.scm 338 */
																				obj_t BgL_arg1821z00_1706;

																				BgL_arg1821z00_1706 =
																					MAKE_YOUNG_PAIR(
																					((obj_t) CNST_TABLE_REF(36)), BNIL);
																				BgL_arg1818z00_1705 =
																					MAKE_YOUNG_PAIR(
																					((obj_t)
																						CNST_TABLE_REF(37)),
																					BgL_arg1821z00_1706);
																			}
																			BgL_arg1811z00_1703 =
																				MAKE_YOUNG_PAIR(
																				((obj_t)
																					CNST_TABLE_REF(38)),
																				BgL_arg1818z00_1705);
																		}
																		{	/* Abound/walk.scm 341 */
																			obj_t BgL_arg1822z00_1707;

																			{	/* Abound/walk.scm 341 */
																				obj_t BgL_arg1825z00_1708;

																				{	/* Abound/walk.scm 341 */
																					obj_t BgL_arg1829z00_1709;
																					obj_t BgL_arg1834z00_1710;

																					{	/* Abound/walk.scm 341 */
																						obj_t BgL_arg1842z00_1711;

																						{	/* Abound/walk.scm 341 */
																							obj_t BgL_arg1845z00_1712;

																							BgL_arg1845z00_1712 =
																								(((BgL_typez00_bglt) COBJECT(
																										((BgL_typez00_bglt)
																											BgL_vtypez00_42)))->
																								BgL_idz00);
																							BgL_arg1842z00_1711 =
																								SYMBOL_TO_STRING
																								(BgL_arg1845z00_1712);
																						}
																						BgL_arg1829z00_1709 =
																							string_append(BgL_arg1842z00_1711,
																							BGl_string2181z00zzabound_walkz00);
																					}
																					{	/* Abound/walk.scm 338 */
																						obj_t BgL_arg1847z00_1713;

																						{	/* Abound/walk.scm 338 */
																							obj_t BgL_arg1848z00_1714;

																							BgL_arg1848z00_1714 =
																								MAKE_YOUNG_PAIR(BgL_iz00_1661,
																								BNIL);
																							BgL_arg1847z00_1713 =
																								MAKE_YOUNG_PAIR(BgL_lz00_1662,
																								BgL_arg1848z00_1714);
																						}
																						BgL_arg1834z00_1710 =
																							MAKE_YOUNG_PAIR(BgL_vz00_1660,
																							BgL_arg1847z00_1713);
																					}
																					BgL_arg1825z00_1708 =
																						MAKE_YOUNG_PAIR(BgL_arg1829z00_1709,
																						BgL_arg1834z00_1710);
																				}
																				BgL_arg1822z00_1707 =
																					MAKE_YOUNG_PAIR(BgL_lposz00_1664,
																					BgL_arg1825z00_1708);
																			}
																			BgL_arg1814z00_1704 =
																				MAKE_YOUNG_PAIR(BgL_lnamez00_1663,
																				BgL_arg1822z00_1707);
																		}
																		BgL_arg1804z00_1701 =
																			MAKE_YOUNG_PAIR(BgL_arg1811z00_1703,
																			BgL_arg1814z00_1704);
																	}
																	{	/* Abound/walk.scm 337 */
																		obj_t BgL_arg1851z00_1715;

																		BgL_arg1851z00_1715 =
																			MAKE_YOUNG_PAIR(BFALSE, BNIL);
																		BgL_arg1810z00_1702 =
																			MAKE_YOUNG_PAIR(BFALSE,
																			BgL_arg1851z00_1715);
																	}
																	BgL_arg1803z00_1700 =
																		MAKE_YOUNG_PAIR(BgL_arg1804z00_1701,
																		BgL_arg1810z00_1702);
																}
																BgL_arg1802z00_1699 =
																	MAKE_YOUNG_PAIR(
																	((obj_t)
																		CNST_TABLE_REF(39)), BgL_arg1803z00_1700);
															}
															BgL_arg1801z00_1698 =
																MAKE_YOUNG_PAIR(BgL_arg1802z00_1699, BNIL);
														}
														BgL_arg1796z00_1694 =
															MAKE_YOUNG_PAIR(
															((obj_t) BgL_arg1800z00_1697),
															BgL_arg1801z00_1698);
													}
													BgL_arg1789z00_1692 =
														MAKE_YOUNG_PAIR(BgL_arg1790z00_1693,
														BgL_arg1796z00_1694);
												}
												BgL_arg1786z00_1691 =
													MAKE_YOUNG_PAIR(
													((obj_t) CNST_TABLE_REF(40)), BgL_arg1789z00_1692);
											}
											BgL_arg1763z00_1681 =
												MAKE_YOUNG_PAIR(BgL_arg1786z00_1691, BNIL);
										}
										BgL_arg1756z00_1679 =
											MAKE_YOUNG_PAIR(BgL_arg1757z00_1680, BgL_arg1763z00_1681);
									}
									BgL_arg1755z00_1678 =
										MAKE_YOUNG_PAIR(
										((obj_t) CNST_TABLE_REF(41)), BgL_arg1756z00_1679);
								}
								BgL_arg1703z00_1668 =
									MAKE_YOUNG_PAIR(BgL_arg1755z00_1678, BNIL);
							}
							BgL_arg1696z00_1666 =
								MAKE_YOUNG_PAIR(BgL_arg1699z00_1667, BgL_arg1703z00_1668);
						}
						BgL_arg1695z00_1665 =
							MAKE_YOUNG_PAIR(
							((obj_t) CNST_TABLE_REF(41)), BgL_arg1696z00_1666);
					}
					return
						BGl_topzd2levelzd2sexpzd2ze3nodez31zzast_sexpz00
						(BgL_arg1695z00_1665, BgL_locz00_39);
				}
			}
		}

	}



/* abound-node*! */
	bool_t BGl_aboundzd2nodeza2z12z62zzabound_walkz00(obj_t BgL_nodeza2za2_56)
	{
		{	/* Abound/walk.scm 454 */
		BGl_aboundzd2nodeza2z12z62zzabound_walkz00:
			if (PAIRP(BgL_nodeza2za2_56))
				{	/* Abound/walk.scm 455 */
					{	/* Abound/walk.scm 456 */
						BgL_nodez00_bglt BgL_arg1865z00_1722;

						{	/* Abound/walk.scm 456 */
							obj_t BgL_arg1872z00_1723;

							BgL_arg1872z00_1723 = CAR(BgL_nodeza2za2_56);
							BgL_arg1865z00_1722 =
								BGl_aboundzd2nodezd2zzabound_walkz00(
								((BgL_nodez00_bglt) BgL_arg1872z00_1723));
						}
						{	/* Abound/walk.scm 456 */
							obj_t BgL_tmpz00_3391;

							BgL_tmpz00_3391 = ((obj_t) BgL_arg1865z00_1722);
							SET_CAR(BgL_nodeza2za2_56, BgL_tmpz00_3391);
						}
					}
					{
						obj_t BgL_nodeza2za2_3394;

						BgL_nodeza2za2_3394 = CDR(BgL_nodeza2za2_56);
						BgL_nodeza2za2_56 = BgL_nodeza2za2_3394;
						goto BGl_aboundzd2nodeza2z12z62zzabound_walkz00;
					}
				}
			else
				{	/* Abound/walk.scm 455 */
					return ((bool_t) 0);
				}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzabound_walkz00(void)
	{
		{	/* Abound/walk.scm 15 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzabound_walkz00(void)
	{
		{	/* Abound/walk.scm 15 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_aboundzd2nodezd2envz00zzabound_walkz00,
				BGl_proc2182z00zzabound_walkz00, BGl_nodez00zzast_nodez00,
				BGl_string2183z00zzabound_walkz00);
		}

	}



/* &abound-node1307 */
	obj_t BGl_z62aboundzd2node1307zb0zzabound_walkz00(obj_t BgL_envz00_2525,
		obj_t BgL_nodez00_2526)
	{
		{	/* Abound/walk.scm 121 */
			return ((obj_t) ((BgL_nodez00_bglt) BgL_nodez00_2526));
		}

	}



/* abound-node */
	BgL_nodez00_bglt BGl_aboundzd2nodezd2zzabound_walkz00(BgL_nodez00_bglt
		BgL_nodez00_19)
	{
		{	/* Abound/walk.scm 121 */
			{	/* Abound/walk.scm 121 */
				obj_t BgL_method1309z00_1729;

				{	/* Abound/walk.scm 121 */
					obj_t BgL_res2165z00_2370;

					{	/* Abound/walk.scm 121 */
						long BgL_objzd2classzd2numz00_2341;

						BgL_objzd2classzd2numz00_2341 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_19));
						{	/* Abound/walk.scm 121 */
							obj_t BgL_arg1862z00_2342;

							BgL_arg1862z00_2342 =
								PROCEDURE_REF(BGl_aboundzd2nodezd2envz00zzabound_walkz00,
								(int) (1L));
							{	/* Abound/walk.scm 121 */
								int BgL_offsetz00_2345;

								BgL_offsetz00_2345 = (int) (BgL_objzd2classzd2numz00_2341);
								{	/* Abound/walk.scm 121 */
									long BgL_offsetz00_2346;

									BgL_offsetz00_2346 =
										((long) (BgL_offsetz00_2345) - OBJECT_TYPE);
									{	/* Abound/walk.scm 121 */
										long BgL_modz00_2347;

										BgL_modz00_2347 =
											(BgL_offsetz00_2346 >> (int) ((long) ((int) (4L))));
										{	/* Abound/walk.scm 121 */
											long BgL_restz00_2349;

											BgL_restz00_2349 =
												(BgL_offsetz00_2346 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(1L <<
																		(int) ((long) ((int) (4L)))))) - 1L))));
											{	/* Abound/walk.scm 121 */

												{	/* Abound/walk.scm 121 */
													obj_t BgL_bucketz00_2351;

													BgL_bucketz00_2351 =
														VECTOR_REF(
														((obj_t) BgL_arg1862z00_2342), BgL_modz00_2347);
													BgL_res2165z00_2370 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_2351), BgL_restz00_2349);
					}}}}}}}}
					BgL_method1309z00_1729 = BgL_res2165z00_2370;
				}
				return
					((BgL_nodez00_bglt)
					BGL_PROCEDURE_CALL1(BgL_method1309z00_1729,
						((obj_t) BgL_nodez00_19)));
			}
		}

	}



/* &abound-node */
	BgL_nodez00_bglt BGl_z62aboundzd2nodezb0zzabound_walkz00(obj_t
		BgL_envz00_2527, obj_t BgL_nodez00_2528)
	{
		{	/* Abound/walk.scm 121 */
			return
				BGl_aboundzd2nodezd2zzabound_walkz00(
				((BgL_nodez00_bglt) BgL_nodez00_2528));
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzabound_walkz00(void)
	{
		{	/* Abound/walk.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_aboundzd2nodezd2envz00zzabound_walkz00,
				BGl_sequencez00zzast_nodez00, BGl_proc2184z00zzabound_walkz00,
				BGl_string2185z00zzabound_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_aboundzd2nodezd2envz00zzabound_walkz00, BGl_syncz00zzast_nodez00,
				BGl_proc2186z00zzabound_walkz00, BGl_string2185z00zzabound_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_aboundzd2nodezd2envz00zzabound_walkz00, BGl_appz00zzast_nodez00,
				BGl_proc2187z00zzabound_walkz00, BGl_string2185z00zzabound_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_aboundzd2nodezd2envz00zzabound_walkz00,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc2188z00zzabound_walkz00,
				BGl_string2185z00zzabound_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_aboundzd2nodezd2envz00zzabound_walkz00,
				BGl_funcallz00zzast_nodez00, BGl_proc2189z00zzabound_walkz00,
				BGl_string2185z00zzabound_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_aboundzd2nodezd2envz00zzabound_walkz00, BGl_externz00zzast_nodez00,
				BGl_proc2190z00zzabound_walkz00, BGl_string2185z00zzabound_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_aboundzd2nodezd2envz00zzabound_walkz00, BGl_vrefz00zzast_nodez00,
				BGl_proc2191z00zzabound_walkz00, BGl_string2185z00zzabound_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_aboundzd2nodezd2envz00zzabound_walkz00,
				BGl_vsetz12z12zzast_nodez00, BGl_proc2192z00zzabound_walkz00,
				BGl_string2185z00zzabound_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_aboundzd2nodezd2envz00zzabound_walkz00, BGl_castz00zzast_nodez00,
				BGl_proc2193z00zzabound_walkz00, BGl_string2185z00zzabound_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_aboundzd2nodezd2envz00zzabound_walkz00, BGl_setqz00zzast_nodez00,
				BGl_proc2194z00zzabound_walkz00, BGl_string2185z00zzabound_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_aboundzd2nodezd2envz00zzabound_walkz00,
				BGl_conditionalz00zzast_nodez00, BGl_proc2195z00zzabound_walkz00,
				BGl_string2185z00zzabound_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_aboundzd2nodezd2envz00zzabound_walkz00, BGl_failz00zzast_nodez00,
				BGl_proc2196z00zzabound_walkz00, BGl_string2185z00zzabound_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_aboundzd2nodezd2envz00zzabound_walkz00, BGl_switchz00zzast_nodez00,
				BGl_proc2197z00zzabound_walkz00, BGl_string2185z00zzabound_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_aboundzd2nodezd2envz00zzabound_walkz00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc2198z00zzabound_walkz00,
				BGl_string2185z00zzabound_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_aboundzd2nodezd2envz00zzabound_walkz00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc2199z00zzabound_walkz00,
				BGl_string2185z00zzabound_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_aboundzd2nodezd2envz00zzabound_walkz00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc2200z00zzabound_walkz00,
				BGl_string2185z00zzabound_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_aboundzd2nodezd2envz00zzabound_walkz00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc2201z00zzabound_walkz00,
				BGl_string2185z00zzabound_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_aboundzd2nodezd2envz00zzabound_walkz00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc2202z00zzabound_walkz00,
				BGl_string2185z00zzabound_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_aboundzd2nodezd2envz00zzabound_walkz00,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc2203z00zzabound_walkz00,
				BGl_string2185z00zzabound_walkz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_aboundzd2nodezd2envz00zzabound_walkz00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc2204z00zzabound_walkz00,
				BGl_string2185z00zzabound_walkz00);
		}

	}



/* &abound-node-box-set!1349 */
	BgL_nodez00_bglt
		BGl_z62aboundzd2nodezd2boxzd2setz121349za2zzabound_walkz00(obj_t
		BgL_envz00_2553, obj_t BgL_nodez00_2554)
	{
		{	/* Abound/walk.scm 445 */
			{
				BgL_varz00_bglt BgL_auxz00_3452;

				{	/* Abound/walk.scm 447 */
					BgL_varz00_bglt BgL_arg2098z00_2647;

					BgL_arg2098z00_2647 =
						(((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2554)))->BgL_varz00);
					BgL_auxz00_3452 =
						((BgL_varz00_bglt)
						BGl_aboundzd2nodezd2zzabound_walkz00(
							((BgL_nodez00_bglt) BgL_arg2098z00_2647)));
				}
				((((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2554)))->BgL_varz00) =
					((BgL_varz00_bglt) BgL_auxz00_3452), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_3460;

				{	/* Abound/walk.scm 448 */
					BgL_nodez00_bglt BgL_arg2099z00_2648;

					BgL_arg2099z00_2648 =
						(((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2554)))->BgL_valuez00);
					BgL_auxz00_3460 =
						BGl_aboundzd2nodezd2zzabound_walkz00(BgL_arg2099z00_2648);
				}
				((((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2554)))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_auxz00_3460), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2554));
		}

	}



/* &abound-node-box-ref1347 */
	BgL_nodez00_bglt BGl_z62aboundzd2nodezd2boxzd2ref1347zb0zzabound_walkz00(obj_t
		BgL_envz00_2555, obj_t BgL_nodez00_2556)
	{
		{	/* Abound/walk.scm 438 */
			{	/* Abound/walk.scm 439 */
				BgL_nodez00_bglt BgL_arg2096z00_2650;

				{	/* Abound/walk.scm 439 */
					BgL_varz00_bglt BgL_arg2097z00_2651;

					BgL_arg2097z00_2651 =
						(((BgL_boxzd2refzd2_bglt) COBJECT(
								((BgL_boxzd2refzd2_bglt) BgL_nodez00_2556)))->BgL_varz00);
					BgL_arg2096z00_2650 =
						BGl_aboundzd2nodezd2zzabound_walkz00(
						((BgL_nodez00_bglt) BgL_arg2097z00_2651));
				}
				((((BgL_boxzd2refzd2_bglt) COBJECT(
								((BgL_boxzd2refzd2_bglt) BgL_nodez00_2556)))->BgL_varz00) =
					((BgL_varz00_bglt) ((BgL_varz00_bglt) BgL_arg2096z00_2650)), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_boxzd2refzd2_bglt) BgL_nodez00_2556));
		}

	}



/* &abound-node-make-box1345 */
	BgL_nodez00_bglt
		BGl_z62aboundzd2nodezd2makezd2box1345zb0zzabound_walkz00(obj_t
		BgL_envz00_2557, obj_t BgL_nodez00_2558)
	{
		{	/* Abound/walk.scm 431 */
			((((BgL_makezd2boxzd2_bglt) COBJECT(
							((BgL_makezd2boxzd2_bglt) BgL_nodez00_2558)))->BgL_valuez00) =
				((BgL_nodez00_bglt)
					BGl_aboundzd2nodezd2zzabound_walkz00((((BgL_makezd2boxzd2_bglt)
								COBJECT(((BgL_makezd2boxzd2_bglt) BgL_nodez00_2558)))->
							BgL_valuez00))), BUNSPEC);
			return ((BgL_nodez00_bglt) ((BgL_makezd2boxzd2_bglt) BgL_nodez00_2558));
		}

	}



/* &abound-node-jump-ex-1343 */
	BgL_nodez00_bglt
		BGl_z62aboundzd2nodezd2jumpzd2exzd21343z62zzabound_walkz00(obj_t
		BgL_envz00_2559, obj_t BgL_nodez00_2560)
	{
		{	/* Abound/walk.scm 422 */
			{
				BgL_nodez00_bglt BgL_auxz00_3484;

				{	/* Abound/walk.scm 424 */
					BgL_nodez00_bglt BgL_arg2092z00_2654;

					BgL_arg2092z00_2654 =
						(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2560)))->BgL_exitz00);
					BgL_auxz00_3484 =
						BGl_aboundzd2nodezd2zzabound_walkz00(BgL_arg2092z00_2654);
				}
				((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2560)))->
						BgL_exitz00) = ((BgL_nodez00_bglt) BgL_auxz00_3484), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_3490;

				{	/* Abound/walk.scm 425 */
					BgL_nodez00_bglt BgL_arg2093z00_2655;

					BgL_arg2093z00_2655 =
						(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2560)))->
						BgL_valuez00);
					BgL_auxz00_3490 =
						BGl_aboundzd2nodezd2zzabound_walkz00(BgL_arg2093z00_2655);
				}
				((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2560)))->
						BgL_valuez00) = ((BgL_nodez00_bglt) BgL_auxz00_3490), BUNSPEC);
			}
			return
				((BgL_nodez00_bglt) ((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2560));
		}

	}



/* &abound-node-set-ex-i1341 */
	BgL_nodez00_bglt
		BGl_z62aboundzd2nodezd2setzd2exzd2i1341z62zzabound_walkz00(obj_t
		BgL_envz00_2561, obj_t BgL_nodez00_2562)
	{
		{	/* Abound/walk.scm 414 */
			((((BgL_setzd2exzd2itz00_bglt) COBJECT(
							((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2562)))->BgL_bodyz00) =
				((BgL_nodez00_bglt)
					BGl_aboundzd2nodezd2zzabound_walkz00((((BgL_setzd2exzd2itz00_bglt)
								COBJECT(((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2562)))->
							BgL_bodyz00))), BUNSPEC);
			((((BgL_setzd2exzd2itz00_bglt) COBJECT(((BgL_setzd2exzd2itz00_bglt)
								BgL_nodez00_2562)))->BgL_onexitz00) =
				((BgL_nodez00_bglt)
					BGl_aboundzd2nodezd2zzabound_walkz00((((BgL_setzd2exzd2itz00_bglt)
								COBJECT(((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2562)))->
							BgL_onexitz00))), BUNSPEC);
			return ((BgL_nodez00_bglt) ((BgL_setzd2exzd2itz00_bglt)
					BgL_nodez00_2562));
		}

	}



/* &abound-node-let-var1339 */
	BgL_nodez00_bglt BGl_z62aboundzd2nodezd2letzd2var1339zb0zzabound_walkz00(obj_t
		BgL_envz00_2563, obj_t BgL_nodez00_2564)
	{
		{	/* Abound/walk.scm 403 */
			{	/* Abound/walk.scm 405 */
				obj_t BgL_g1306z00_2658;

				BgL_g1306z00_2658 =
					(((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_nodez00_2564)))->BgL_bindingsz00);
				{
					obj_t BgL_l1304z00_2660;

					BgL_l1304z00_2660 = BgL_g1306z00_2658;
				BgL_zc3z04anonymousza32082ze3z87_2659:
					if (PAIRP(BgL_l1304z00_2660))
						{	/* Abound/walk.scm 405 */
							{	/* Abound/walk.scm 406 */
								obj_t BgL_bindingz00_2661;

								BgL_bindingz00_2661 = CAR(BgL_l1304z00_2660);
								{	/* Abound/walk.scm 406 */
									BgL_nodez00_bglt BgL_arg2084z00_2662;

									{	/* Abound/walk.scm 406 */
										obj_t BgL_arg2085z00_2663;

										BgL_arg2085z00_2663 = CDR(((obj_t) BgL_bindingz00_2661));
										BgL_arg2084z00_2662 =
											BGl_aboundzd2nodezd2zzabound_walkz00(
											((BgL_nodez00_bglt) BgL_arg2085z00_2663));
									}
									{	/* Abound/walk.scm 406 */
										obj_t BgL_auxz00_3521;
										obj_t BgL_tmpz00_3519;

										BgL_auxz00_3521 = ((obj_t) BgL_arg2084z00_2662);
										BgL_tmpz00_3519 = ((obj_t) BgL_bindingz00_2661);
										SET_CDR(BgL_tmpz00_3519, BgL_auxz00_3521);
									}
								}
							}
							{
								obj_t BgL_l1304z00_3524;

								BgL_l1304z00_3524 = CDR(BgL_l1304z00_2660);
								BgL_l1304z00_2660 = BgL_l1304z00_3524;
								goto BgL_zc3z04anonymousza32082ze3z87_2659;
							}
						}
					else
						{	/* Abound/walk.scm 405 */
							((bool_t) 1);
						}
				}
			}
			{
				BgL_nodez00_bglt BgL_auxz00_3526;

				{	/* Abound/walk.scm 408 */
					BgL_nodez00_bglt BgL_arg2087z00_2664;

					BgL_arg2087z00_2664 =
						(((BgL_letzd2varzd2_bglt) COBJECT(
								((BgL_letzd2varzd2_bglt) BgL_nodez00_2564)))->BgL_bodyz00);
					BgL_auxz00_3526 =
						BGl_aboundzd2nodezd2zzabound_walkz00(BgL_arg2087z00_2664);
				}
				((((BgL_letzd2varzd2_bglt) COBJECT(
								((BgL_letzd2varzd2_bglt) BgL_nodez00_2564)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3526), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_letzd2varzd2_bglt) BgL_nodez00_2564));
		}

	}



/* &abound-node-let-fun1337 */
	BgL_nodez00_bglt BGl_z62aboundzd2nodezd2letzd2fun1337zb0zzabound_walkz00(obj_t
		BgL_envz00_2565, obj_t BgL_nodez00_2566)
	{
		{	/* Abound/walk.scm 394 */
			{	/* Abound/walk.scm 396 */
				obj_t BgL_g1303z00_2666;

				BgL_g1303z00_2666 =
					(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nodez00_2566)))->BgL_localsz00);
				{
					obj_t BgL_l1301z00_2668;

					BgL_l1301z00_2668 = BgL_g1303z00_2666;
				BgL_zc3z04anonymousza32078ze3z87_2667:
					if (PAIRP(BgL_l1301z00_2668))
						{	/* Abound/walk.scm 396 */
							BGl_aboundzd2funz12zc0zzabound_walkz00(CAR(BgL_l1301z00_2668));
							{
								obj_t BgL_l1301z00_3540;

								BgL_l1301z00_3540 = CDR(BgL_l1301z00_2668);
								BgL_l1301z00_2668 = BgL_l1301z00_3540;
								goto BgL_zc3z04anonymousza32078ze3z87_2667;
							}
						}
					else
						{	/* Abound/walk.scm 396 */
							((bool_t) 1);
						}
				}
			}
			{
				BgL_nodez00_bglt BgL_auxz00_3542;

				{	/* Abound/walk.scm 397 */
					BgL_nodez00_bglt BgL_arg2081z00_2669;

					BgL_arg2081z00_2669 =
						(((BgL_letzd2funzd2_bglt) COBJECT(
								((BgL_letzd2funzd2_bglt) BgL_nodez00_2566)))->BgL_bodyz00);
					BgL_auxz00_3542 =
						BGl_aboundzd2nodezd2zzabound_walkz00(BgL_arg2081z00_2669);
				}
				((((BgL_letzd2funzd2_bglt) COBJECT(
								((BgL_letzd2funzd2_bglt) BgL_nodez00_2566)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3542), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_letzd2funzd2_bglt) BgL_nodez00_2566));
		}

	}



/* &abound-node-switch1335 */
	BgL_nodez00_bglt BGl_z62aboundzd2nodezd2switch1335z62zzabound_walkz00(obj_t
		BgL_envz00_2567, obj_t BgL_nodez00_2568)
	{
		{	/* Abound/walk.scm 383 */
			{
				BgL_nodez00_bglt BgL_auxz00_3550;

				{	/* Abound/walk.scm 385 */
					BgL_nodez00_bglt BgL_arg2072z00_2671;

					BgL_arg2072z00_2671 =
						(((BgL_switchz00_bglt) COBJECT(
								((BgL_switchz00_bglt) BgL_nodez00_2568)))->BgL_testz00);
					BgL_auxz00_3550 =
						BGl_aboundzd2nodezd2zzabound_walkz00(BgL_arg2072z00_2671);
				}
				((((BgL_switchz00_bglt) COBJECT(
								((BgL_switchz00_bglt) BgL_nodez00_2568)))->BgL_testz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3550), BUNSPEC);
			}
			{	/* Abound/walk.scm 386 */
				obj_t BgL_g1300z00_2672;

				BgL_g1300z00_2672 =
					(((BgL_switchz00_bglt) COBJECT(
							((BgL_switchz00_bglt) BgL_nodez00_2568)))->BgL_clausesz00);
				{
					obj_t BgL_l1298z00_2674;

					BgL_l1298z00_2674 = BgL_g1300z00_2672;
				BgL_zc3z04anonymousza32073ze3z87_2673:
					if (PAIRP(BgL_l1298z00_2674))
						{	/* Abound/walk.scm 386 */
							{	/* Abound/walk.scm 387 */
								obj_t BgL_clausez00_2675;

								BgL_clausez00_2675 = CAR(BgL_l1298z00_2674);
								{	/* Abound/walk.scm 387 */
									BgL_nodez00_bglt BgL_arg2075z00_2676;

									{	/* Abound/walk.scm 387 */
										obj_t BgL_arg2076z00_2677;

										BgL_arg2076z00_2677 = CDR(((obj_t) BgL_clausez00_2675));
										BgL_arg2075z00_2676 =
											BGl_aboundzd2nodezd2zzabound_walkz00(
											((BgL_nodez00_bglt) BgL_arg2076z00_2677));
									}
									{	/* Abound/walk.scm 387 */
										obj_t BgL_auxz00_3567;
										obj_t BgL_tmpz00_3565;

										BgL_auxz00_3567 = ((obj_t) BgL_arg2075z00_2676);
										BgL_tmpz00_3565 = ((obj_t) BgL_clausez00_2675);
										SET_CDR(BgL_tmpz00_3565, BgL_auxz00_3567);
									}
								}
							}
							{
								obj_t BgL_l1298z00_3570;

								BgL_l1298z00_3570 = CDR(BgL_l1298z00_2674);
								BgL_l1298z00_2674 = BgL_l1298z00_3570;
								goto BgL_zc3z04anonymousza32073ze3z87_2673;
							}
						}
					else
						{	/* Abound/walk.scm 386 */
							((bool_t) 1);
						}
				}
			}
			return ((BgL_nodez00_bglt) ((BgL_switchz00_bglt) BgL_nodez00_2568));
		}

	}



/* &abound-node-fail1333 */
	BgL_nodez00_bglt BGl_z62aboundzd2nodezd2fail1333z62zzabound_walkz00(obj_t
		BgL_envz00_2569, obj_t BgL_nodez00_2570)
	{
		{	/* Abound/walk.scm 373 */
			{
				BgL_nodez00_bglt BgL_auxz00_3574;

				{	/* Abound/walk.scm 375 */
					BgL_nodez00_bglt BgL_arg2069z00_2679;

					BgL_arg2069z00_2679 =
						(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2570)))->BgL_procz00);
					BgL_auxz00_3574 =
						BGl_aboundzd2nodezd2zzabound_walkz00(BgL_arg2069z00_2679);
				}
				((((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2570)))->BgL_procz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3574), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_3580;

				{	/* Abound/walk.scm 376 */
					BgL_nodez00_bglt BgL_arg2070z00_2680;

					BgL_arg2070z00_2680 =
						(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2570)))->BgL_msgz00);
					BgL_auxz00_3580 =
						BGl_aboundzd2nodezd2zzabound_walkz00(BgL_arg2070z00_2680);
				}
				((((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2570)))->BgL_msgz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3580), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_3586;

				{	/* Abound/walk.scm 377 */
					BgL_nodez00_bglt BgL_arg2071z00_2681;

					BgL_arg2071z00_2681 =
						(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2570)))->BgL_objz00);
					BgL_auxz00_3586 =
						BGl_aboundzd2nodezd2zzabound_walkz00(BgL_arg2071z00_2681);
				}
				((((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2570)))->BgL_objz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3586), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_failz00_bglt) BgL_nodez00_2570));
		}

	}



/* &abound-node-conditio1331 */
	BgL_nodez00_bglt BGl_z62aboundzd2nodezd2conditio1331z62zzabound_walkz00(obj_t
		BgL_envz00_2571, obj_t BgL_nodez00_2572)
	{
		{	/* Abound/walk.scm 363 */
			{
				BgL_nodez00_bglt BgL_auxz00_3594;

				{	/* Abound/walk.scm 365 */
					BgL_nodez00_bglt BgL_arg2066z00_2683;

					BgL_arg2066z00_2683 =
						(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_2572)))->BgL_testz00);
					BgL_auxz00_3594 =
						BGl_aboundzd2nodezd2zzabound_walkz00(BgL_arg2066z00_2683);
				}
				((((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_2572)))->BgL_testz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3594), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_3600;

				{	/* Abound/walk.scm 366 */
					BgL_nodez00_bglt BgL_arg2067z00_2684;

					BgL_arg2067z00_2684 =
						(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_2572)))->BgL_truez00);
					BgL_auxz00_3600 =
						BGl_aboundzd2nodezd2zzabound_walkz00(BgL_arg2067z00_2684);
				}
				((((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_2572)))->BgL_truez00) =
					((BgL_nodez00_bglt) BgL_auxz00_3600), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_3606;

				{	/* Abound/walk.scm 367 */
					BgL_nodez00_bglt BgL_arg2068z00_2685;

					BgL_arg2068z00_2685 =
						(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_2572)))->BgL_falsez00);
					BgL_auxz00_3606 =
						BGl_aboundzd2nodezd2zzabound_walkz00(BgL_arg2068z00_2685);
				}
				((((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_2572)))->BgL_falsez00) =
					((BgL_nodez00_bglt) BgL_auxz00_3606), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_conditionalz00_bglt) BgL_nodez00_2572));
		}

	}



/* &abound-node-setq1329 */
	BgL_nodez00_bglt BGl_z62aboundzd2nodezd2setq1329z62zzabound_walkz00(obj_t
		BgL_envz00_2573, obj_t BgL_nodez00_2574)
	{
		{	/* Abound/walk.scm 356 */
			((((BgL_setqz00_bglt) COBJECT(
							((BgL_setqz00_bglt) BgL_nodez00_2574)))->BgL_valuez00) =
				((BgL_nodez00_bglt)
					BGl_aboundzd2nodezd2zzabound_walkz00((((BgL_setqz00_bglt)
								COBJECT(((BgL_setqz00_bglt) BgL_nodez00_2574)))->
							BgL_valuez00))), BUNSPEC);
			return ((BgL_nodez00_bglt) ((BgL_setqz00_bglt) BgL_nodez00_2574));
		}

	}



/* &abound-node-cast1327 */
	BgL_nodez00_bglt BGl_z62aboundzd2nodezd2cast1327z62zzabound_walkz00(obj_t
		BgL_envz00_2575, obj_t BgL_nodez00_2576)
	{
		{	/* Abound/walk.scm 349 */
			BGl_aboundzd2nodezd2zzabound_walkz00(
				(((BgL_castz00_bglt) COBJECT(
							((BgL_castz00_bglt) BgL_nodez00_2576)))->BgL_argz00));
			return ((BgL_nodez00_bglt) ((BgL_castz00_bglt) BgL_nodez00_2576));
		}

	}



/* &abound-node-vset!1325 */
	BgL_nodez00_bglt BGl_z62aboundzd2nodezd2vsetz121325z70zzabound_walkz00(obj_t
		BgL_envz00_2577, obj_t BgL_nodez00_2578)
	{
		{	/* Abound/walk.scm 297 */
			{

				{
					BgL_vsetz12z12_bglt BgL_nodez00_2692;

					{	/* Abound/walk.scm 297 */
						obj_t BgL_nextzd2method1324zd2_2690;

						BgL_nextzd2method1324zd2_2690 =
							BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
							((BgL_objectz00_bglt)
								((BgL_vsetz12z12_bglt) BgL_nodez00_2578)),
							BGl_aboundzd2nodezd2envz00zzabound_walkz00,
							BGl_vsetz12z12zzast_nodez00);
						BGL_PROCEDURE_CALL1(BgL_nextzd2method1324zd2_2690,
							((obj_t) ((BgL_vsetz12z12_bglt) BgL_nodez00_2578)));
					}
					if (
						(((BgL_vsetz12z12_bglt) COBJECT(
									((BgL_vsetz12z12_bglt) BgL_nodez00_2578)))->BgL_unsafez00))
						{	/* Abound/walk.scm 309 */
							return
								((BgL_nodez00_bglt) ((BgL_vsetz12z12_bglt) BgL_nodez00_2578));
						}
					else
						{	/* Abound/walk.scm 311 */
							BgL_nodez00_bglt BgL_nodez00_2702;

							BgL_nodez00_2692 = ((BgL_vsetz12z12_bglt) BgL_nodez00_2578);
							{	/* Abound/walk.scm 301 */
								obj_t BgL_arg2045z00_2693;
								obj_t BgL_arg2046z00_2694;
								obj_t BgL_arg2047z00_2695;
								BgL_typez00_bglt BgL_arg2049z00_2696;
								BgL_typez00_bglt BgL_arg2050z00_2697;
								BgL_typez00_bglt BgL_arg2051z00_2698;

								{	/* Abound/walk.scm 301 */
									obj_t BgL_pairz00_2699;

									BgL_pairz00_2699 =
										(((BgL_externz00_bglt) COBJECT(
												((BgL_externz00_bglt) BgL_nodez00_2692)))->
										BgL_exprza2za2);
									BgL_arg2045z00_2693 = CAR(BgL_pairz00_2699);
								}
								{	/* Abound/walk.scm 301 */
									obj_t BgL_pairz00_2700;

									BgL_pairz00_2700 =
										(((BgL_externz00_bglt) COBJECT(
												((BgL_externz00_bglt) BgL_nodez00_2692)))->
										BgL_exprza2za2);
									BgL_arg2046z00_2694 = CAR(CDR(BgL_pairz00_2700));
								}
								BgL_arg2047z00_2695 =
									(((BgL_nodez00_bglt) COBJECT(
											((BgL_nodez00_bglt) BgL_nodez00_2692)))->BgL_locz00);
								BgL_arg2049z00_2696 =
									(((BgL_vsetz12z12_bglt) COBJECT(BgL_nodez00_2692))->
									BgL_ftypez00);
								BgL_arg2050z00_2697 =
									(((BgL_vsetz12z12_bglt) COBJECT(BgL_nodez00_2692))->
									BgL_otypez00);
								BgL_arg2051z00_2698 =
									(((BgL_vsetz12z12_bglt) COBJECT(BgL_nodez00_2692))->
									BgL_vtypez00);
								{	/* Abound/walk.scm 303 */
									obj_t BgL_zc3z04anonymousza32055ze3z87_2701;

									BgL_zc3z04anonymousza32055ze3z87_2701 =
										BGl_proc2205z00zzabound_walkz00;
									BgL_nodez00_2702 =
										BGl_arrayzd2setz12zc0zzabound_walkz00((
											(BgL_nodezf2effectzf2_bglt) BgL_nodez00_2692),
										BgL_arg2045z00_2693, BgL_arg2046z00_2694,
										BgL_arg2047z00_2695, ((obj_t) BgL_arg2049z00_2696),
										((obj_t) BgL_arg2050z00_2697),
										((obj_t) BgL_arg2051z00_2698),
										BgL_zc3z04anonymousza32055ze3z87_2701);
								}
							}
							BGl_lvtypezd2nodez12zc0zzast_lvtypez00(BgL_nodez00_2702);
							return BgL_nodez00_2702;
						}
				}
			}
		}

	}



/* &<@anonymous:2055> */
	BgL_vsetz12z12_bglt BGl_z62zc3z04anonymousza32055ze3ze5zzabound_walkz00(obj_t
		BgL_envz00_2579, BgL_nodezf2effectzf2_bglt BgL_nodez00_2580,
		obj_t BgL_vz00_2581, obj_t BgL_iz00_2582)
	{
		{	/* Abound/walk.scm 302 */
			{	/* Abound/walk.scm 304 */
				BgL_vsetz12z12_bglt BgL_new1159z00_2706;

				{	/* Abound/walk.scm 304 */
					BgL_vsetz12z12_bglt BgL_new1170z00_2707;

					BgL_new1170z00_2707 =
						((BgL_vsetz12z12_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_vsetz12z12_bgl))));
					{	/* Abound/walk.scm 304 */
						long BgL_arg2061z00_2708;

						BgL_arg2061z00_2708 = BGL_CLASS_NUM(BGl_vsetz12z12zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1170z00_2707), BgL_arg2061z00_2708);
					}
					{	/* Abound/walk.scm 304 */
						BgL_objectz00_bglt BgL_tmpz00_3663;

						BgL_tmpz00_3663 = ((BgL_objectz00_bglt) BgL_new1170z00_2707);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3663, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1170z00_2707);
					BgL_new1159z00_2706 = BgL_new1170z00_2707;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1159z00_2706)))->BgL_locz00) =
					((obj_t) (((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
										BgL_nodez00_2580)))->BgL_locz00)), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1159z00_2706)))->BgL_typez00) =
					((BgL_typez00_bglt) (((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
										BgL_nodez00_2580)))->BgL_typez00)), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1159z00_2706)))->BgL_sidezd2effectzd2) =
					((obj_t) (((BgL_nodezf2effectzf2_bglt)
								COBJECT(((BgL_nodezf2effectzf2_bglt) ((BgL_nodez00_bglt)
											BgL_nodez00_2580))))->BgL_sidezd2effectzd2)), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1159z00_2706)))->BgL_keyz00) =
					((obj_t) (((BgL_nodezf2effectzf2_bglt)
								COBJECT(((BgL_nodezf2effectzf2_bglt) ((BgL_nodez00_bglt)
											BgL_nodez00_2580))))->BgL_keyz00)), BUNSPEC);
				{
					obj_t BgL_auxz00_3685;

					{	/* Abound/walk.scm 305 */
						obj_t BgL_arg2056z00_2709;

						{	/* Abound/walk.scm 305 */
							obj_t BgL_pairz00_2710;

							BgL_pairz00_2710 =
								(((BgL_externz00_bglt) COBJECT(
										((BgL_externz00_bglt)
											((BgL_vsetz12z12_bglt) BgL_nodez00_2580))))->
								BgL_exprza2za2);
							{	/* Abound/walk.scm 305 */
								obj_t BgL_pairz00_2711;

								{	/* Abound/walk.scm 305 */
									obj_t BgL_pairz00_2712;

									BgL_pairz00_2712 = CDR(BgL_pairz00_2710);
									BgL_pairz00_2711 = CDR(BgL_pairz00_2712);
								}
								BgL_arg2056z00_2709 = CAR(BgL_pairz00_2711);
						}}
						{	/* Abound/walk.scm 305 */
							obj_t BgL_list2057z00_2713;

							{	/* Abound/walk.scm 305 */
								obj_t BgL_arg2058z00_2714;

								{	/* Abound/walk.scm 305 */
									obj_t BgL_arg2059z00_2715;

									BgL_arg2059z00_2715 =
										MAKE_YOUNG_PAIR(BgL_arg2056z00_2709, BNIL);
									BgL_arg2058z00_2714 =
										MAKE_YOUNG_PAIR(BgL_iz00_2582, BgL_arg2059z00_2715);
								}
								BgL_list2057z00_2713 =
									MAKE_YOUNG_PAIR(BgL_vz00_2581, BgL_arg2058z00_2714);
							}
							BgL_auxz00_3685 = BgL_list2057z00_2713;
					}}
					((((BgL_externz00_bglt) COBJECT(
									((BgL_externz00_bglt) BgL_new1159z00_2706)))->
							BgL_exprza2za2) = ((obj_t) BgL_auxz00_3685), BUNSPEC);
				}
				((((BgL_externz00_bglt) COBJECT(
								((BgL_externz00_bglt) BgL_new1159z00_2706)))->BgL_effectz00) =
					((obj_t) (((BgL_externz00_bglt)
								COBJECT(((BgL_externz00_bglt) ((BgL_nodez00_bglt)
											BgL_nodez00_2580))))->BgL_effectz00)), BUNSPEC);
				((((BgL_privatez00_bglt) COBJECT(((BgL_privatez00_bglt)
									BgL_new1159z00_2706)))->BgL_czd2formatzd2) =
					((obj_t) (((BgL_privatez00_bglt)
								COBJECT(((BgL_privatez00_bglt) ((BgL_nodez00_bglt)
											BgL_nodez00_2580))))->BgL_czd2formatzd2)), BUNSPEC);
				((((BgL_vsetz12z12_bglt) COBJECT(BgL_new1159z00_2706))->BgL_ftypez00) =
					((BgL_typez00_bglt) (((BgL_vsetz12z12_bglt)
								COBJECT(((BgL_vsetz12z12_bglt) ((BgL_nodez00_bglt)
											BgL_nodez00_2580))))->BgL_ftypez00)), BUNSPEC);
				((((BgL_vsetz12z12_bglt) COBJECT(BgL_new1159z00_2706))->BgL_otypez00) =
					((BgL_typez00_bglt) (((BgL_vsetz12z12_bglt)
								COBJECT(((BgL_vsetz12z12_bglt) ((BgL_nodez00_bglt)
											BgL_nodez00_2580))))->BgL_otypez00)), BUNSPEC);
				((((BgL_vsetz12z12_bglt) COBJECT(BgL_new1159z00_2706))->BgL_vtypez00) =
					((BgL_typez00_bglt) (((BgL_vsetz12z12_bglt)
								COBJECT(((BgL_vsetz12z12_bglt) ((BgL_nodez00_bglt)
											BgL_nodez00_2580))))->BgL_vtypez00)), BUNSPEC);
				((((BgL_vsetz12z12_bglt) COBJECT(BgL_new1159z00_2706))->BgL_unsafez00) =
					((bool_t) (((BgL_vsetz12z12_bglt)
								COBJECT(((BgL_vsetz12z12_bglt) ((BgL_nodez00_bglt)
											BgL_nodez00_2580))))->BgL_unsafez00)), BUNSPEC);
				return BgL_new1159z00_2706;
			}
		}

	}



/* &abound-node-vref1323 */
	BgL_nodez00_bglt BGl_z62aboundzd2nodezd2vref1323z62zzabound_walkz00(obj_t
		BgL_envz00_2583, obj_t BgL_nodez00_2584)
	{
		{	/* Abound/walk.scm 248 */
			{

				{
					BgL_vrefz00_bglt BgL_nodez00_2720;

					{	/* Abound/walk.scm 248 */
						obj_t BgL_nextzd2method1322zd2_2718;

						BgL_nextzd2method1322zd2_2718 =
							BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
							((BgL_objectz00_bglt)
								((BgL_vrefz00_bglt) BgL_nodez00_2584)),
							BGl_aboundzd2nodezd2envz00zzabound_walkz00,
							BGl_vrefz00zzast_nodez00);
						BGL_PROCEDURE_CALL1(BgL_nextzd2method1322zd2_2718,
							((obj_t) ((BgL_vrefz00_bglt) BgL_nodez00_2584)));
					}
					if (
						(((BgL_vrefz00_bglt) COBJECT(
									((BgL_vrefz00_bglt) BgL_nodez00_2584)))->BgL_unsafez00))
						{	/* Abound/walk.scm 257 */
							return ((BgL_nodez00_bglt) ((BgL_vrefz00_bglt) BgL_nodez00_2584));
						}
					else
						{	/* Abound/walk.scm 259 */
							BgL_nodez00_bglt BgL_nodez00_2730;

							BgL_nodez00_2720 = ((BgL_vrefz00_bglt) BgL_nodez00_2584);
							{	/* Abound/walk.scm 252 */
								obj_t BgL_arg2028z00_2721;
								obj_t BgL_arg2030z00_2722;
								obj_t BgL_arg2031z00_2723;
								BgL_typez00_bglt BgL_arg2032z00_2724;
								BgL_typez00_bglt BgL_arg2033z00_2725;
								BgL_typez00_bglt BgL_arg2034z00_2726;

								{	/* Abound/walk.scm 252 */
									obj_t BgL_pairz00_2727;

									BgL_pairz00_2727 =
										(((BgL_externz00_bglt) COBJECT(
												((BgL_externz00_bglt) BgL_nodez00_2720)))->
										BgL_exprza2za2);
									BgL_arg2028z00_2721 = CAR(BgL_pairz00_2727);
								}
								{	/* Abound/walk.scm 252 */
									obj_t BgL_pairz00_2728;

									BgL_pairz00_2728 =
										(((BgL_externz00_bglt) COBJECT(
												((BgL_externz00_bglt) BgL_nodez00_2720)))->
										BgL_exprza2za2);
									BgL_arg2030z00_2722 = CAR(CDR(BgL_pairz00_2728));
								}
								BgL_arg2031z00_2723 =
									(((BgL_nodez00_bglt) COBJECT(
											((BgL_nodez00_bglt) BgL_nodez00_2720)))->BgL_locz00);
								BgL_arg2032z00_2724 =
									(((BgL_vrefz00_bglt) COBJECT(BgL_nodez00_2720))->
									BgL_ftypez00);
								BgL_arg2033z00_2725 =
									(((BgL_vrefz00_bglt) COBJECT(BgL_nodez00_2720))->
									BgL_otypez00);
								BgL_arg2034z00_2726 =
									(((BgL_vrefz00_bglt) COBJECT(BgL_nodez00_2720))->
									BgL_vtypez00);
								{	/* Abound/walk.scm 253 */
									obj_t BgL_zc3z04anonymousza32039ze3z87_2729;

									BgL_zc3z04anonymousza32039ze3z87_2729 =
										BGl_proc2206z00zzabound_walkz00;
									BgL_nodez00_2730 =
										BGl_arrayzd2refzd2zzabound_walkz00((
											(BgL_nodezf2effectzf2_bglt) BgL_nodez00_2720),
										BgL_arg2028z00_2721, BgL_arg2030z00_2722,
										BgL_arg2031z00_2723, BgL_arg2032z00_2724,
										((obj_t) BgL_arg2033z00_2725),
										((obj_t) BgL_arg2034z00_2726),
										BgL_zc3z04anonymousza32039ze3z87_2729);
								}
							}
							BGl_lvtypezd2nodez12zc0zzast_lvtypez00(BgL_nodez00_2730);
							return BgL_nodez00_2730;
						}
				}
			}
		}

	}



/* &<@anonymous:2039> */
	BgL_vrefz00_bglt BGl_z62zc3z04anonymousza32039ze3ze5zzabound_walkz00(obj_t
		BgL_envz00_2585, BgL_nodezf2effectzf2_bglt BgL_nodez00_2586,
		obj_t BgL_vz00_2587, obj_t BgL_iz00_2588)
	{
		{	/* Abound/walk.scm 253 */
			{	/* Abound/walk.scm 253 */
				BgL_vrefz00_bglt BgL_new1144z00_2734;

				{	/* Abound/walk.scm 253 */
					BgL_vrefz00_bglt BgL_new1155z00_2735;

					BgL_new1155z00_2735 =
						((BgL_vrefz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_vrefz00_bgl))));
					{	/* Abound/walk.scm 253 */
						long BgL_arg2042z00_2736;

						BgL_arg2042z00_2736 = BGL_CLASS_NUM(BGl_vrefz00zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1155z00_2735), BgL_arg2042z00_2736);
					}
					{	/* Abound/walk.scm 253 */
						BgL_objectz00_bglt BgL_tmpz00_3759;

						BgL_tmpz00_3759 = ((BgL_objectz00_bglt) BgL_new1155z00_2735);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3759, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1155z00_2735);
					BgL_new1144z00_2734 = BgL_new1155z00_2735;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1144z00_2734)))->BgL_locz00) =
					((obj_t) (((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
										BgL_nodez00_2586)))->BgL_locz00)), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1144z00_2734)))->BgL_typez00) =
					((BgL_typez00_bglt) (((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
										BgL_nodez00_2586)))->BgL_typez00)), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1144z00_2734)))->BgL_sidezd2effectzd2) =
					((obj_t) (((BgL_nodezf2effectzf2_bglt)
								COBJECT(((BgL_nodezf2effectzf2_bglt) ((BgL_nodez00_bglt)
											BgL_nodez00_2586))))->BgL_sidezd2effectzd2)), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1144z00_2734)))->BgL_keyz00) =
					((obj_t) (((BgL_nodezf2effectzf2_bglt)
								COBJECT(((BgL_nodezf2effectzf2_bglt) ((BgL_nodez00_bglt)
											BgL_nodez00_2586))))->BgL_keyz00)), BUNSPEC);
				{
					obj_t BgL_auxz00_3781;

					{	/* Abound/walk.scm 253 */
						obj_t BgL_list2040z00_2737;

						{	/* Abound/walk.scm 253 */
							obj_t BgL_arg2041z00_2738;

							BgL_arg2041z00_2738 = MAKE_YOUNG_PAIR(BgL_iz00_2588, BNIL);
							BgL_list2040z00_2737 =
								MAKE_YOUNG_PAIR(BgL_vz00_2587, BgL_arg2041z00_2738);
						}
						BgL_auxz00_3781 = BgL_list2040z00_2737;
					}
					((((BgL_externz00_bglt) COBJECT(
									((BgL_externz00_bglt) BgL_new1144z00_2734)))->
							BgL_exprza2za2) = ((obj_t) BgL_auxz00_3781), BUNSPEC);
				}
				((((BgL_externz00_bglt) COBJECT(
								((BgL_externz00_bglt) BgL_new1144z00_2734)))->BgL_effectz00) =
					((obj_t) (((BgL_externz00_bglt)
								COBJECT(((BgL_externz00_bglt) ((BgL_nodez00_bglt)
											BgL_nodez00_2586))))->BgL_effectz00)), BUNSPEC);
				((((BgL_privatez00_bglt) COBJECT(((BgL_privatez00_bglt)
									BgL_new1144z00_2734)))->BgL_czd2formatzd2) =
					((obj_t) (((BgL_privatez00_bglt)
								COBJECT(((BgL_privatez00_bglt) ((BgL_nodez00_bglt)
											BgL_nodez00_2586))))->BgL_czd2formatzd2)), BUNSPEC);
				((((BgL_vrefz00_bglt) COBJECT(BgL_new1144z00_2734))->BgL_ftypez00) =
					((BgL_typez00_bglt) (((BgL_vrefz00_bglt)
								COBJECT(((BgL_vrefz00_bglt) ((BgL_nodez00_bglt)
											BgL_nodez00_2586))))->BgL_ftypez00)), BUNSPEC);
				((((BgL_vrefz00_bglt) COBJECT(BgL_new1144z00_2734))->BgL_otypez00) =
					((BgL_typez00_bglt) (((BgL_vrefz00_bglt)
								COBJECT(((BgL_vrefz00_bglt) ((BgL_nodez00_bglt)
											BgL_nodez00_2586))))->BgL_otypez00)), BUNSPEC);
				((((BgL_vrefz00_bglt) COBJECT(BgL_new1144z00_2734))->BgL_vtypez00) =
					((BgL_typez00_bglt) (((BgL_vrefz00_bglt)
								COBJECT(((BgL_vrefz00_bglt) ((BgL_nodez00_bglt)
											BgL_nodez00_2586))))->BgL_vtypez00)), BUNSPEC);
				((((BgL_vrefz00_bglt) COBJECT(BgL_new1144z00_2734))->BgL_unsafez00) =
					((bool_t) (((BgL_vrefz00_bglt)
								COBJECT(((BgL_vrefz00_bglt) ((BgL_nodez00_bglt)
											BgL_nodez00_2586))))->BgL_unsafez00)), BUNSPEC);
				return BgL_new1144z00_2734;
			}
		}

	}



/* &abound-node-extern1321 */
	BgL_nodez00_bglt BGl_z62aboundzd2nodezd2extern1321z62zzabound_walkz00(obj_t
		BgL_envz00_2589, obj_t BgL_nodez00_2590)
	{
		{	/* Abound/walk.scm 241 */
			BGl_aboundzd2nodeza2z12z62zzabound_walkz00(
				(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt) BgL_nodez00_2590)))->BgL_exprza2za2));
			return ((BgL_nodez00_bglt) ((BgL_externz00_bglt) BgL_nodez00_2590));
		}

	}



/* &abound-node-funcall1319 */
	BgL_nodez00_bglt BGl_z62aboundzd2nodezd2funcall1319z62zzabound_walkz00(obj_t
		BgL_envz00_2591, obj_t BgL_nodez00_2592)
	{
		{	/* Abound/walk.scm 232 */
			{
				BgL_nodez00_bglt BgL_auxz00_3817;

				{	/* Abound/walk.scm 234 */
					BgL_nodez00_bglt BgL_arg2023z00_2741;

					BgL_arg2023z00_2741 =
						(((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_nodez00_2592)))->BgL_funz00);
					BgL_auxz00_3817 =
						BGl_aboundzd2nodezd2zzabound_walkz00(BgL_arg2023z00_2741);
				}
				((((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_nodez00_2592)))->BgL_funz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3817), BUNSPEC);
			}
			BGl_aboundzd2nodeza2z12z62zzabound_walkz00(
				(((BgL_funcallz00_bglt) COBJECT(
							((BgL_funcallz00_bglt) BgL_nodez00_2592)))->BgL_argsz00));
			return ((BgL_nodez00_bglt) ((BgL_funcallz00_bglt) BgL_nodez00_2592));
		}

	}



/* &abound-node-app-ly1317 */
	BgL_nodez00_bglt BGl_z62aboundzd2nodezd2appzd2ly1317zb0zzabound_walkz00(obj_t
		BgL_envz00_2593, obj_t BgL_nodez00_2594)
	{
		{	/* Abound/walk.scm 223 */
			{
				BgL_nodez00_bglt BgL_auxz00_3828;

				{	/* Abound/walk.scm 225 */
					BgL_nodez00_bglt BgL_arg2021z00_2743;

					BgL_arg2021z00_2743 =
						(((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_2594)))->BgL_funz00);
					BgL_auxz00_3828 =
						BGl_aboundzd2nodezd2zzabound_walkz00(BgL_arg2021z00_2743);
				}
				((((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_2594)))->BgL_funz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3828), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_3834;

				{	/* Abound/walk.scm 226 */
					BgL_nodez00_bglt BgL_arg2022z00_2744;

					BgL_arg2022z00_2744 =
						(((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_2594)))->BgL_argz00);
					BgL_auxz00_3834 =
						BGl_aboundzd2nodezd2zzabound_walkz00(BgL_arg2022z00_2744);
				}
				((((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_2594)))->BgL_argz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3834), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_appzd2lyzd2_bglt) BgL_nodez00_2594));
		}

	}



/* &abound-node-app1315 */
	BgL_nodez00_bglt BGl_z62aboundzd2nodezd2app1315z62zzabound_walkz00(obj_t
		BgL_envz00_2595, obj_t BgL_nodez00_2596)
	{
		{	/* Abound/walk.scm 143 */
			{
				BgL_appz00_bglt BgL_nodez00_2747;

				BGl_aboundzd2nodeza2z12z62zzabound_walkz00(
					(((BgL_appz00_bglt) COBJECT(
								((BgL_appz00_bglt) BgL_nodez00_2596)))->BgL_argsz00));
				{	/* Abound/walk.scm 172 */
					obj_t BgL_vz00_2817;

					BgL_vz00_2817 =
						((obj_t)
						(((BgL_varz00_bglt) COBJECT(
									(((BgL_appz00_bglt) COBJECT(
												((BgL_appz00_bglt) BgL_nodez00_2596)))->BgL_funz00)))->
							BgL_variablez00));
					{	/* Abound/walk.scm 174 */
						bool_t BgL_test2288z00_3849;

						if ((BgL_vz00_2817 == BGl_za2stringzd2refza2zd2zzabound_walkz00))
							{	/* Abound/walk.scm 174 */
								BgL_test2288z00_3849 = ((bool_t) 1);
							}
						else
							{	/* Abound/walk.scm 174 */
								BgL_test2288z00_3849 =
									(BgL_vz00_2817 ==
									BGl_za2stringzd2setz12za2zc0zzabound_walkz00);
							}
						if (BgL_test2288z00_3849)
							{	/* Abound/walk.scm 175 */
								BgL_nodez00_bglt BgL_nodez00_2818;

								BgL_nodez00_2747 = ((BgL_appz00_bglt) BgL_nodez00_2596);
								{	/* Abound/walk.scm 147 */
									obj_t BgL_sz00_2748;

									BgL_sz00_2748 =
										BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
										(BGl_gensymz00zz__r4_symbols_6_4z00(((obj_t)
												CNST_TABLE_REF(42))));
									{	/* Abound/walk.scm 147 */
										obj_t BgL_iz00_2749;

										BgL_iz00_2749 =
											BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
											(BGl_gensymz00zz__r4_symbols_6_4z00(((obj_t)
													CNST_TABLE_REF(29))));
										{	/* Abound/walk.scm 148 */
											obj_t BgL_lz00_2750;

											BgL_lz00_2750 =
												BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
												(BGl_gensymz00zz__r4_symbols_6_4z00(((obj_t)
														CNST_TABLE_REF(30))));
											{	/* Abound/walk.scm 149 */
												obj_t BgL_lnamez00_2751;

												{	/* Abound/walk.scm 150 */
													bool_t BgL_test2290z00_3865;

													{	/* Abound/walk.scm 150 */
														obj_t BgL_arg2016z00_2752;

														BgL_arg2016z00_2752 =
															(((BgL_nodez00_bglt) COBJECT(
																	((BgL_nodez00_bglt) BgL_nodez00_2747)))->
															BgL_locz00);
														if (STRUCTP(BgL_arg2016z00_2752))
															{	/* Abound/walk.scm 150 */
																BgL_test2290z00_3865 =
																	(STRUCT_KEY(BgL_arg2016z00_2752) ==
																	((obj_t) CNST_TABLE_REF(31)));
															}
														else
															{	/* Abound/walk.scm 150 */
																BgL_test2290z00_3865 = ((bool_t) 0);
															}
													}
													if (BgL_test2290z00_3865)
														{	/* Abound/walk.scm 150 */
															obj_t BgL_arg2015z00_2753;

															BgL_arg2015z00_2753 =
																(((BgL_nodez00_bglt) COBJECT(
																		((BgL_nodez00_bglt) BgL_nodez00_2747)))->
																BgL_locz00);
															BgL_lnamez00_2751 =
																BGl_locationzd2fullzd2fnamez00zztools_locationz00
																(BgL_arg2015z00_2753);
														}
													else
														{	/* Abound/walk.scm 150 */
															BgL_lnamez00_2751 = BFALSE;
														}
												}
												{	/* Abound/walk.scm 150 */
													obj_t BgL_lposz00_2754;

													{	/* Abound/walk.scm 151 */
														bool_t BgL_test2292z00_3877;

														{	/* Abound/walk.scm 151 */
															obj_t BgL_arg2012z00_2755;

															BgL_arg2012z00_2755 =
																(((BgL_nodez00_bglt) COBJECT(
																		((BgL_nodez00_bglt) BgL_nodez00_2747)))->
																BgL_locz00);
															if (STRUCTP(BgL_arg2012z00_2755))
																{	/* Abound/walk.scm 151 */
																	BgL_test2292z00_3877 =
																		(STRUCT_KEY(BgL_arg2012z00_2755) ==
																		((obj_t) CNST_TABLE_REF(31)));
																}
															else
																{	/* Abound/walk.scm 151 */
																	BgL_test2292z00_3877 = ((bool_t) 0);
																}
														}
														if (BgL_test2292z00_3877)
															{	/* Abound/walk.scm 151 */
																obj_t BgL_sz00_2756;

																BgL_sz00_2756 =
																	(((BgL_nodez00_bglt) COBJECT(
																			((BgL_nodez00_bglt) BgL_nodez00_2747)))->
																	BgL_locz00);
																BgL_lposz00_2754 =
																	STRUCT_REF(BgL_sz00_2756, (int) (1L));
															}
														else
															{	/* Abound/walk.scm 151 */
																BgL_lposz00_2754 = BFALSE;
															}
													}
													{	/* Abound/walk.scm 151 */
														obj_t BgL_vz00_2757;

														BgL_vz00_2757 =
															((obj_t)
															(((BgL_varz00_bglt) COBJECT(
																		(((BgL_appz00_bglt)
																				COBJECT(BgL_nodez00_2747))->
																			BgL_funz00)))->BgL_variablez00));
														{	/* Abound/walk.scm 152 */
															obj_t BgL_namez00_2758;

															if (
																(BgL_vz00_2757 ==
																	BGl_za2stringzd2refza2zd2zzabound_walkz00))
																{	/* Abound/walk.scm 153 */
																	BgL_namez00_2758 =
																		BGl_string2207z00zzabound_walkz00;
																}
															else
																{	/* Abound/walk.scm 153 */
																	BgL_namez00_2758 =
																		BGl_string2208z00zzabound_walkz00;
																}
															{	/* Abound/walk.scm 153 */
																obj_t BgL_typesz00_2759;

																BgL_typesz00_2759 =
																	(((BgL_cfunz00_bglt) COBJECT(
																			((BgL_cfunz00_bglt)
																				(((BgL_variablez00_bglt) COBJECT(
																							((BgL_variablez00_bglt)
																								BgL_vz00_2757)))->
																					BgL_valuez00))))->BgL_argszd2typezd2);
																{	/* Abound/walk.scm 154 */

																	{	/* Abound/walk.scm 156 */
																		obj_t BgL_arg1938z00_2760;
																		obj_t BgL_arg1939z00_2761;

																		{	/* Abound/walk.scm 156 */
																			obj_t BgL_arg1940z00_2762;

																			{	/* Abound/walk.scm 156 */
																				obj_t BgL_arg1942z00_2763;
																				obj_t BgL_arg1943z00_2764;

																				{	/* Abound/walk.scm 156 */
																					obj_t BgL_arg1944z00_2765;
																					obj_t BgL_arg1945z00_2766;

																					{	/* Abound/walk.scm 156 */
																						obj_t BgL_arg1946z00_2767;
																						obj_t BgL_arg1947z00_2768;

																						{	/* Abound/walk.scm 156 */
																							obj_t BgL_arg1948z00_2769;

																							BgL_arg1948z00_2769 =
																								(((BgL_typez00_bglt) COBJECT(
																										((BgL_typez00_bglt)
																											CAR(
																												((obj_t)
																													BgL_typesz00_2759)))))->
																								BgL_idz00);
																							BgL_arg1946z00_2767 =
																								BGl_makezd2typedzd2identz00zzast_identz00
																								(BgL_sz00_2748,
																								BgL_arg1948z00_2769);
																						}
																						BgL_arg1947z00_2768 =
																							MAKE_YOUNG_PAIR(CAR(
																								(((BgL_appz00_bglt)
																										COBJECT(BgL_nodez00_2747))->
																									BgL_argsz00)), BNIL);
																						BgL_arg1944z00_2765 =
																							MAKE_YOUNG_PAIR
																							(BgL_arg1946z00_2767,
																							BgL_arg1947z00_2768);
																					}
																					{	/* Abound/walk.scm 157 */
																						obj_t BgL_arg1955z00_2770;

																						{	/* Abound/walk.scm 157 */
																							obj_t BgL_arg1956z00_2771;
																							obj_t BgL_arg1957z00_2772;

																							{	/* Abound/walk.scm 157 */
																								obj_t BgL_arg1960z00_2773;

																								{
																									BgL_typez00_bglt
																										BgL_auxz00_3908;
																									{	/* Abound/walk.scm 157 */
																										obj_t BgL_pairz00_2774;

																										BgL_pairz00_2774 =
																											CDR(
																											((obj_t)
																												BgL_typesz00_2759));
																										BgL_auxz00_3908 =
																											((BgL_typez00_bglt)
																											CAR(BgL_pairz00_2774));
																									}
																									BgL_arg1960z00_2773 =
																										(((BgL_typez00_bglt)
																											COBJECT
																											(BgL_auxz00_3908))->
																										BgL_idz00);
																								}
																								BgL_arg1956z00_2771 =
																									BGl_makezd2typedzd2identz00zzast_identz00
																									(BgL_iz00_2749,
																									BgL_arg1960z00_2773);
																							}
																							{	/* Abound/walk.scm 157 */
																								obj_t BgL_arg1962z00_2775;

																								{	/* Abound/walk.scm 157 */
																									obj_t BgL_pairz00_2776;

																									BgL_pairz00_2776 =
																										(((BgL_appz00_bglt)
																											COBJECT
																											(BgL_nodez00_2747))->
																										BgL_argsz00);
																									BgL_arg1962z00_2775 =
																										CAR(CDR(BgL_pairz00_2776));
																								}
																								BgL_arg1957z00_2772 =
																									MAKE_YOUNG_PAIR
																									(BgL_arg1962z00_2775, BNIL);
																							}
																							BgL_arg1955z00_2770 =
																								MAKE_YOUNG_PAIR
																								(BgL_arg1956z00_2771,
																								BgL_arg1957z00_2772);
																						}
																						BgL_arg1945z00_2766 =
																							MAKE_YOUNG_PAIR
																							(BgL_arg1955z00_2770, BNIL);
																					}
																					BgL_arg1942z00_2763 =
																						MAKE_YOUNG_PAIR(BgL_arg1944z00_2765,
																						BgL_arg1945z00_2766);
																				}
																				{	/* Abound/walk.scm 158 */
																					obj_t BgL_arg1965z00_2777;

																					{	/* Abound/walk.scm 158 */
																						obj_t BgL_arg1966z00_2778;

																						{	/* Abound/walk.scm 158 */
																							obj_t BgL_arg1967z00_2779;
																							obj_t BgL_arg1968z00_2780;

																							{	/* Abound/walk.scm 158 */
																								obj_t BgL_arg1969z00_2781;

																								{	/* Abound/walk.scm 158 */
																									obj_t BgL_arg1970z00_2782;
																									obj_t BgL_arg1971z00_2783;

																									{	/* Abound/walk.scm 158 */
																										obj_t BgL_arg1972z00_2784;

																										{
																											BgL_typez00_bglt
																												BgL_auxz00_3922;
																											{	/* Abound/walk.scm 158 */
																												obj_t BgL_pairz00_2785;

																												BgL_pairz00_2785 =
																													CDR(
																													((obj_t)
																														BgL_typesz00_2759));
																												BgL_auxz00_3922 =
																													((BgL_typez00_bglt)
																													CAR
																													(BgL_pairz00_2785));
																											}
																											BgL_arg1972z00_2784 =
																												(((BgL_typez00_bglt)
																													COBJECT
																													(BgL_auxz00_3922))->
																												BgL_idz00);
																										}
																										BgL_arg1970z00_2782 =
																											BGl_makezd2typedzd2identz00zzast_identz00
																											(BgL_lz00_2750,
																											BgL_arg1972z00_2784);
																									}
																									{	/* Abound/walk.scm 159 */
																										obj_t BgL_arg1974z00_2786;

																										{	/* Abound/walk.scm 159 */
																											obj_t BgL_arg1975z00_2787;

																											BgL_arg1975z00_2787 =
																												MAKE_YOUNG_PAIR
																												(BgL_sz00_2748, BNIL);
																											BgL_arg1974z00_2786 =
																												MAKE_YOUNG_PAIR(((obj_t)
																													CNST_TABLE_REF(43)),
																												BgL_arg1975z00_2787);
																										}
																										BgL_arg1971z00_2783 =
																											MAKE_YOUNG_PAIR
																											(BgL_arg1974z00_2786,
																											BNIL);
																									}
																									BgL_arg1969z00_2781 =
																										MAKE_YOUNG_PAIR
																										(BgL_arg1970z00_2782,
																										BgL_arg1971z00_2783);
																								}
																								BgL_arg1967z00_2779 =
																									MAKE_YOUNG_PAIR
																									(BgL_arg1969z00_2781, BNIL);
																							}
																							{	/* Abound/walk.scm 160 */
																								obj_t BgL_arg1976z00_2788;

																								{	/* Abound/walk.scm 160 */
																									obj_t BgL_arg1978z00_2789;

																									{	/* Abound/walk.scm 160 */
																										obj_t BgL_arg1979z00_2790;
																										obj_t BgL_arg1980z00_2791;

																										{	/* Abound/walk.scm 160 */
																											obj_t BgL_arg1981z00_2792;

																											{	/* Abound/walk.scm 160 */
																												obj_t
																													BgL_arg1982z00_2793;
																												BgL_arg1982z00_2793 =
																													MAKE_YOUNG_PAIR
																													(BgL_lz00_2750, BNIL);
																												BgL_arg1981z00_2792 =
																													MAKE_YOUNG_PAIR
																													(BgL_iz00_2749,
																													BgL_arg1982z00_2793);
																											}
																											BgL_arg1979z00_2790 =
																												MAKE_YOUNG_PAIR(
																												((obj_t)
																													CNST_TABLE_REF(44)),
																												BgL_arg1981z00_2792);
																										}
																										{	/* Abound/walk.scm 161 */
																											BgL_appz00_bglt
																												BgL_arg1983z00_2794;
																											obj_t BgL_arg1984z00_2795;

																											{	/* Abound/walk.scm 161 */
																												BgL_appz00_bglt
																													BgL_new1113z00_2796;
																												{	/* Abound/walk.scm 162 */
																													BgL_appz00_bglt
																														BgL_new1120z00_2797;
																													BgL_new1120z00_2797 =
																														((BgL_appz00_bglt)
																														BOBJECT(GC_MALLOC
																															(sizeof(struct
																																	BgL_appz00_bgl))));
																													{	/* Abound/walk.scm 162 */
																														long
																															BgL_arg1988z00_2798;
																														BgL_arg1988z00_2798
																															=
																															BGL_CLASS_NUM
																															(BGl_appz00zzast_nodez00);
																														BGL_OBJECT_CLASS_NUM_SET
																															(((BgL_objectz00_bglt) BgL_new1120z00_2797), BgL_arg1988z00_2798);
																													}
																													{	/* Abound/walk.scm 162 */
																														BgL_objectz00_bglt
																															BgL_tmpz00_3945;
																														BgL_tmpz00_3945 =
																															(
																															(BgL_objectz00_bglt)
																															BgL_new1120z00_2797);
																														BGL_OBJECT_WIDENING_SET
																															(BgL_tmpz00_3945,
																															BFALSE);
																													}
																													((BgL_objectz00_bglt)
																														BgL_new1120z00_2797);
																													BgL_new1113z00_2796 =
																														BgL_new1120z00_2797;
																												}
																												((((BgL_nodez00_bglt)
																															COBJECT((
																																	(BgL_nodez00_bglt)
																																	BgL_new1113z00_2796)))->
																														BgL_locz00) =
																													((obj_t) ((
																																(BgL_nodez00_bglt)
																																COBJECT((
																																		(BgL_nodez00_bglt)
																																		BgL_nodez00_2747)))->
																															BgL_locz00)),
																													BUNSPEC);
																												((((BgL_nodez00_bglt)
																															COBJECT((
																																	(BgL_nodez00_bglt)
																																	BgL_new1113z00_2796)))->
																														BgL_typez00) =
																													((BgL_typez00_bglt) ((
																																(BgL_nodez00_bglt)
																																COBJECT((
																																		(BgL_nodez00_bglt)
																																		BgL_nodez00_2747)))->
																															BgL_typez00)),
																													BUNSPEC);
																												((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt) BgL_new1113z00_2796)))->BgL_sidezd2effectzd2) = ((obj_t) (((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt) ((BgL_nodez00_bglt) BgL_nodez00_2747))))->BgL_sidezd2effectzd2)), BUNSPEC);
																												((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt) BgL_new1113z00_2796)))->BgL_keyz00) = ((obj_t) (((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt) ((BgL_nodez00_bglt) BgL_nodez00_2747))))->BgL_keyz00)), BUNSPEC);
																												((((BgL_appz00_bglt)
																															COBJECT
																															(BgL_new1113z00_2796))->
																														BgL_funz00) =
																													((BgL_varz00_bglt) ((
																																(BgL_appz00_bglt)
																																COBJECT((
																																		(BgL_appz00_bglt)
																																		((BgL_nodez00_bglt) BgL_nodez00_2747))))->BgL_funz00)), BUNSPEC);
																												{
																													obj_t BgL_auxz00_3971;

																													{	/* Abound/walk.scm 162 */
																														obj_t
																															BgL_arg1985z00_2799;
																														{	/* Abound/walk.scm 162 */
																															obj_t
																																BgL_arg1986z00_2800;
																															{	/* Abound/walk.scm 162 */
																																obj_t
																																	BgL_pairz00_2801;
																																BgL_pairz00_2801
																																	=
																																	(((BgL_appz00_bglt) COBJECT(BgL_nodez00_2747))->BgL_argsz00);
																																{	/* Abound/walk.scm 162 */
																																	obj_t
																																		BgL_pairz00_2802;
																																	BgL_pairz00_2802
																																		=
																																		CDR
																																		(BgL_pairz00_2801);
																																	BgL_arg1986z00_2800
																																		=
																																		CDR
																																		(BgL_pairz00_2802);
																															}}
																															BgL_arg1985z00_2799
																																=
																																MAKE_YOUNG_PAIR
																																(BgL_iz00_2749,
																																BgL_arg1986z00_2800);
																														}
																														BgL_auxz00_3971 =
																															MAKE_YOUNG_PAIR
																															(BgL_sz00_2748,
																															BgL_arg1985z00_2799);
																													}
																													((((BgL_appz00_bglt)
																																COBJECT
																																(BgL_new1113z00_2796))->
																															BgL_argsz00) =
																														((obj_t)
																															BgL_auxz00_3971),
																														BUNSPEC);
																												}
																												((((BgL_appz00_bglt)
																															COBJECT
																															(BgL_new1113z00_2796))->
																														BgL_stackablez00) =
																													((obj_t) ((
																																(BgL_appz00_bglt)
																																COBJECT((
																																		(BgL_appz00_bglt)
																																		((BgL_nodez00_bglt) BgL_nodez00_2747))))->BgL_stackablez00)), BUNSPEC);
																												BgL_arg1983z00_2794 =
																													BgL_new1113z00_2796;
																											}
																											{	/* Abound/walk.scm 164 */
																												obj_t
																													BgL_arg1989z00_2803;
																												{	/* Abound/walk.scm 164 */
																													obj_t
																														BgL_arg1990z00_2804;
																													{	/* Abound/walk.scm 164 */
																														obj_t
																															BgL_arg1991z00_2805;
																														obj_t
																															BgL_arg1994z00_2806;
																														{	/* Abound/walk.scm 164 */
																															obj_t
																																BgL_arg1995z00_2807;
																															obj_t
																																BgL_arg1998z00_2808;
																															{	/* Abound/walk.scm 164 */
																																obj_t
																																	BgL_arg1999z00_2809;
																																{	/* Abound/walk.scm 164 */
																																	obj_t
																																		BgL_arg2000z00_2810;
																																	BgL_arg2000z00_2810
																																		=
																																		MAKE_YOUNG_PAIR
																																		(((obj_t)
																																			CNST_TABLE_REF
																																			(36)),
																																		BNIL);
																																	BgL_arg1999z00_2809
																																		=
																																		MAKE_YOUNG_PAIR
																																		(((obj_t)
																																			CNST_TABLE_REF
																																			(37)),
																																		BgL_arg2000z00_2810);
																																}
																																BgL_arg1995z00_2807
																																	=
																																	MAKE_YOUNG_PAIR
																																	(((obj_t)
																																		CNST_TABLE_REF
																																		(38)),
																																	BgL_arg1999z00_2809);
																															}
																															{	/* Abound/walk.scm 164 */
																																obj_t
																																	BgL_arg2001z00_2811;
																																{	/* Abound/walk.scm 164 */
																																	obj_t
																																		BgL_arg2002z00_2812;
																																	{	/* Abound/walk.scm 164 */
																																		obj_t
																																			BgL_arg2003z00_2813;
																																		{	/* Abound/walk.scm 164 */
																																			obj_t
																																				BgL_arg2004z00_2814;
																																			{	/* Abound/walk.scm 164 */
																																				obj_t
																																					BgL_arg2005z00_2815;
																																				BgL_arg2005z00_2815
																																					=
																																					MAKE_YOUNG_PAIR
																																					(BgL_iz00_2749,
																																					BNIL);
																																				BgL_arg2004z00_2814
																																					=
																																					MAKE_YOUNG_PAIR
																																					(BgL_lz00_2750,
																																					BgL_arg2005z00_2815);
																																			}
																																			BgL_arg2003z00_2813
																																				=
																																				MAKE_YOUNG_PAIR
																																				(BgL_sz00_2748,
																																				BgL_arg2004z00_2814);
																																		}
																																		BgL_arg2002z00_2812
																																			=
																																			MAKE_YOUNG_PAIR
																																			(BgL_namez00_2758,
																																			BgL_arg2003z00_2813);
																																	}
																																	BgL_arg2001z00_2811
																																		=
																																		MAKE_YOUNG_PAIR
																																		(BgL_lposz00_2754,
																																		BgL_arg2002z00_2812);
																																}
																																BgL_arg1998z00_2808
																																	=
																																	MAKE_YOUNG_PAIR
																																	(BgL_lnamez00_2751,
																																	BgL_arg2001z00_2811);
																															}
																															BgL_arg1991z00_2805
																																=
																																MAKE_YOUNG_PAIR
																																(BgL_arg1995z00_2807,
																																BgL_arg1998z00_2808);
																														}
																														{	/* Abound/walk.scm 163 */
																															obj_t
																																BgL_arg2006z00_2816;
																															BgL_arg2006z00_2816
																																=
																																MAKE_YOUNG_PAIR
																																(BFALSE, BNIL);
																															BgL_arg1994z00_2806
																																=
																																MAKE_YOUNG_PAIR
																																(BFALSE,
																																BgL_arg2006z00_2816);
																														}
																														BgL_arg1990z00_2804
																															=
																															MAKE_YOUNG_PAIR
																															(BgL_arg1991z00_2805,
																															BgL_arg1994z00_2806);
																													}
																													BgL_arg1989z00_2803 =
																														MAKE_YOUNG_PAIR(
																														((obj_t)
																															CNST_TABLE_REF
																															(39)),
																														BgL_arg1990z00_2804);
																												}
																												BgL_arg1984z00_2795 =
																													MAKE_YOUNG_PAIR
																													(BgL_arg1989z00_2803,
																													BNIL);
																											}
																											BgL_arg1980z00_2791 =
																												MAKE_YOUNG_PAIR(
																												((obj_t)
																													BgL_arg1983z00_2794),
																												BgL_arg1984z00_2795);
																										}
																										BgL_arg1978z00_2789 =
																											MAKE_YOUNG_PAIR
																											(BgL_arg1979z00_2790,
																											BgL_arg1980z00_2791);
																									}
																									BgL_arg1976z00_2788 =
																										MAKE_YOUNG_PAIR(
																										((obj_t)
																											CNST_TABLE_REF(40)),
																										BgL_arg1978z00_2789);
																								}
																								BgL_arg1968z00_2780 =
																									MAKE_YOUNG_PAIR
																									(BgL_arg1976z00_2788, BNIL);
																							}
																							BgL_arg1966z00_2778 =
																								MAKE_YOUNG_PAIR
																								(BgL_arg1967z00_2779,
																								BgL_arg1968z00_2780);
																						}
																						BgL_arg1965z00_2777 =
																							MAKE_YOUNG_PAIR(
																							((obj_t)
																								CNST_TABLE_REF(41)),
																							BgL_arg1966z00_2778);
																					}
																					BgL_arg1943z00_2764 =
																						MAKE_YOUNG_PAIR(BgL_arg1965z00_2777,
																						BNIL);
																				}
																				BgL_arg1940z00_2762 =
																					MAKE_YOUNG_PAIR(BgL_arg1942z00_2763,
																					BgL_arg1943z00_2764);
																			}
																			BgL_arg1938z00_2760 =
																				MAKE_YOUNG_PAIR(
																				((obj_t)
																					CNST_TABLE_REF(41)),
																				BgL_arg1940z00_2762);
																		}
																		BgL_arg1939z00_2761 =
																			(((BgL_nodez00_bglt) COBJECT(
																					((BgL_nodez00_bglt)
																						BgL_nodez00_2747)))->BgL_locz00);
																		BgL_nodez00_2818 =
																			BGl_topzd2levelzd2sexpzd2ze3nodez31zzast_sexpz00
																			(BgL_arg1938z00_2760,
																			BgL_arg1939z00_2761);
								}}}}}}}}}}
								BGl_lvtypezd2nodez12zc0zzast_lvtypez00(BgL_nodez00_2818);
								return BgL_nodez00_2818;
							}
						else
							{	/* Abound/walk.scm 178 */
								bool_t BgL_test2295z00_4026;

								if (
									(BgL_vz00_2817 ==
										BGl_za2s8vectorzd2refza2zd2zzabound_walkz00))
									{	/* Abound/walk.scm 178 */
										BgL_test2295z00_4026 = ((bool_t) 1);
									}
								else
									{	/* Abound/walk.scm 178 */
										if (
											(BgL_vz00_2817 ==
												BGl_za2s16vectorzd2refza2zd2zzabound_walkz00))
											{	/* Abound/walk.scm 179 */
												BgL_test2295z00_4026 = ((bool_t) 1);
											}
										else
											{	/* Abound/walk.scm 179 */
												if (
													(BgL_vz00_2817 ==
														BGl_za2s32vectorzd2refza2zd2zzabound_walkz00))
													{	/* Abound/walk.scm 180 */
														BgL_test2295z00_4026 = ((bool_t) 1);
													}
												else
													{	/* Abound/walk.scm 180 */
														if (
															(BgL_vz00_2817 ==
																BGl_za2s64vectorzd2refza2zd2zzabound_walkz00))
															{	/* Abound/walk.scm 181 */
																BgL_test2295z00_4026 = ((bool_t) 1);
															}
														else
															{	/* Abound/walk.scm 181 */
																if (
																	(BgL_vz00_2817 ==
																		BGl_za2u8vectorzd2refza2zd2zzabound_walkz00))
																	{	/* Abound/walk.scm 182 */
																		BgL_test2295z00_4026 = ((bool_t) 1);
																	}
																else
																	{	/* Abound/walk.scm 182 */
																		if (
																			(BgL_vz00_2817 ==
																				BGl_za2u16vectorzd2refza2zd2zzabound_walkz00))
																			{	/* Abound/walk.scm 183 */
																				BgL_test2295z00_4026 = ((bool_t) 1);
																			}
																		else
																			{	/* Abound/walk.scm 183 */
																				if (
																					(BgL_vz00_2817 ==
																						BGl_za2u32vectorzd2refza2zd2zzabound_walkz00))
																					{	/* Abound/walk.scm 184 */
																						BgL_test2295z00_4026 = ((bool_t) 1);
																					}
																				else
																					{	/* Abound/walk.scm 184 */
																						if (
																							(BgL_vz00_2817 ==
																								BGl_za2u64vectorzd2refza2zd2zzabound_walkz00))
																							{	/* Abound/walk.scm 185 */
																								BgL_test2295z00_4026 =
																									((bool_t) 1);
																							}
																						else
																							{	/* Abound/walk.scm 185 */
																								if (
																									(BgL_vz00_2817 ==
																										BGl_za2f32vectorzd2refza2zd2zzabound_walkz00))
																									{	/* Abound/walk.scm 186 */
																										BgL_test2295z00_4026 =
																											((bool_t) 1);
																									}
																								else
																									{	/* Abound/walk.scm 186 */
																										BgL_test2295z00_4026 =
																											(BgL_vz00_2817 ==
																											BGl_za2f64vectorzd2refza2zd2zzabound_walkz00);
																									}
																							}
																					}
																			}
																	}
															}
													}
											}
									}
								if (BgL_test2295z00_4026)
									{	/* Abound/walk.scm 189 */
										BgL_nodez00_bglt BgL_arg1889z00_2819;

										{	/* Abound/walk.scm 190 */
											obj_t BgL_arg1890z00_2820;
											obj_t BgL_arg1891z00_2821;
											obj_t BgL_arg1892z00_2822;
											BgL_typez00_bglt BgL_arg1893z00_2823;
											obj_t BgL_arg1894z00_2824;
											obj_t BgL_arg1895z00_2825;

											BgL_arg1890z00_2820 =
												CAR(
												(((BgL_appz00_bglt) COBJECT(
															((BgL_appz00_bglt) BgL_nodez00_2596)))->
													BgL_argsz00));
											{	/* Abound/walk.scm 190 */
												obj_t BgL_pairz00_2826;

												BgL_pairz00_2826 =
													(((BgL_appz00_bglt) COBJECT(
															((BgL_appz00_bglt) BgL_nodez00_2596)))->
													BgL_argsz00);
												BgL_arg1891z00_2821 = CAR(CDR(BgL_pairz00_2826));
											}
											BgL_arg1892z00_2822 =
												(((BgL_nodez00_bglt) COBJECT(
														((BgL_nodez00_bglt)
															((BgL_appz00_bglt) BgL_nodez00_2596))))->
												BgL_locz00);
											BgL_arg1893z00_2823 =
												(((BgL_variablez00_bglt)
													COBJECT(((BgL_variablez00_bglt) ((BgL_globalz00_bglt)
																BgL_vz00_2817))))->BgL_typez00);
											{	/* Abound/walk.scm 192 */
												obj_t BgL_pairz00_2827;

												BgL_pairz00_2827 =
													(((BgL_cfunz00_bglt) COBJECT(
															((BgL_cfunz00_bglt)
																(((BgL_variablez00_bglt) COBJECT(
																			((BgL_variablez00_bglt)
																				((BgL_globalz00_bglt)
																					BgL_vz00_2817))))->BgL_valuez00))))->
													BgL_argszd2typezd2);
												BgL_arg1894z00_2824 = CAR(CDR(BgL_pairz00_2827));
											}
											{	/* Abound/walk.scm 193 */
												obj_t BgL_pairz00_2828;

												BgL_pairz00_2828 =
													(((BgL_cfunz00_bglt) COBJECT(
															((BgL_cfunz00_bglt)
																(((BgL_variablez00_bglt) COBJECT(
																			((BgL_variablez00_bglt)
																				((BgL_globalz00_bglt)
																					BgL_vz00_2817))))->BgL_valuez00))))->
													BgL_argszd2typezd2);
												BgL_arg1895z00_2825 = CAR(BgL_pairz00_2828);
											}
											{	/* Abound/walk.scm 195 */
												obj_t BgL_zc3z04anonymousza31903ze3z87_2829;

												BgL_zc3z04anonymousza31903ze3z87_2829 =
													BGl_proc2209z00zzabound_walkz00;
												BgL_arg1889z00_2819 =
													BGl_arrayzd2refzd2zzabound_walkz00((
														(BgL_nodezf2effectzf2_bglt) ((BgL_appz00_bglt)
															BgL_nodez00_2596)), BgL_arg1890z00_2820,
													BgL_arg1891z00_2821, BgL_arg1892z00_2822,
													BgL_arg1893z00_2823, BgL_arg1894z00_2824,
													BgL_arg1895z00_2825,
													BgL_zc3z04anonymousza31903ze3z87_2829);
											}
										}
										return
											BGl_lvtypezd2nodezd2zzast_lvtypez00(BgL_arg1889z00_2819);
									}
								else
									{	/* Abound/walk.scm 197 */
										bool_t BgL_test2305z00_4076;

										if (
											(BgL_vz00_2817 ==
												BGl_za2s8vectorzd2setz12za2zc0zzabound_walkz00))
											{	/* Abound/walk.scm 197 */
												BgL_test2305z00_4076 = ((bool_t) 1);
											}
										else
											{	/* Abound/walk.scm 197 */
												if (
													(BgL_vz00_2817 ==
														BGl_za2s16vectorzd2setz12za2zc0zzabound_walkz00))
													{	/* Abound/walk.scm 198 */
														BgL_test2305z00_4076 = ((bool_t) 1);
													}
												else
													{	/* Abound/walk.scm 198 */
														if (
															(BgL_vz00_2817 ==
																BGl_za2s32vectorzd2setz12za2zc0zzabound_walkz00))
															{	/* Abound/walk.scm 199 */
																BgL_test2305z00_4076 = ((bool_t) 1);
															}
														else
															{	/* Abound/walk.scm 199 */
																if (
																	(BgL_vz00_2817 ==
																		BGl_za2s64vectorzd2setz12za2zc0zzabound_walkz00))
																	{	/* Abound/walk.scm 200 */
																		BgL_test2305z00_4076 = ((bool_t) 1);
																	}
																else
																	{	/* Abound/walk.scm 200 */
																		if (
																			(BgL_vz00_2817 ==
																				BGl_za2u8vectorzd2setz12za2zc0zzabound_walkz00))
																			{	/* Abound/walk.scm 201 */
																				BgL_test2305z00_4076 = ((bool_t) 1);
																			}
																		else
																			{	/* Abound/walk.scm 201 */
																				if (
																					(BgL_vz00_2817 ==
																						BGl_za2u16vectorzd2setz12za2zc0zzabound_walkz00))
																					{	/* Abound/walk.scm 202 */
																						BgL_test2305z00_4076 = ((bool_t) 1);
																					}
																				else
																					{	/* Abound/walk.scm 202 */
																						if (
																							(BgL_vz00_2817 ==
																								BGl_za2u32vectorzd2setz12za2zc0zzabound_walkz00))
																							{	/* Abound/walk.scm 203 */
																								BgL_test2305z00_4076 =
																									((bool_t) 1);
																							}
																						else
																							{	/* Abound/walk.scm 203 */
																								if (
																									(BgL_vz00_2817 ==
																										BGl_za2u64vectorzd2setz12za2zc0zzabound_walkz00))
																									{	/* Abound/walk.scm 204 */
																										BgL_test2305z00_4076 =
																											((bool_t) 1);
																									}
																								else
																									{	/* Abound/walk.scm 204 */
																										if (
																											(BgL_vz00_2817 ==
																												BGl_za2f32vectorzd2setz12za2zc0zzabound_walkz00))
																											{	/* Abound/walk.scm 205 */
																												BgL_test2305z00_4076 =
																													((bool_t) 1);
																											}
																										else
																											{	/* Abound/walk.scm 205 */
																												BgL_test2305z00_4076 =
																													(BgL_vz00_2817 ==
																													BGl_za2f64vectorzd2setz12za2zc0zzabound_walkz00);
																											}
																									}
																							}
																					}
																			}
																	}
															}
													}
											}
										if (BgL_test2305z00_4076)
											{	/* Abound/walk.scm 208 */
												BgL_nodez00_bglt BgL_arg1908z00_2830;

												{	/* Abound/walk.scm 209 */
													obj_t BgL_arg1909z00_2831;
													obj_t BgL_arg1910z00_2832;
													obj_t BgL_arg1911z00_2833;
													obj_t BgL_arg1912z00_2834;
													obj_t BgL_arg1913z00_2835;
													obj_t BgL_arg1915z00_2836;

													BgL_arg1909z00_2831 =
														CAR(
														(((BgL_appz00_bglt) COBJECT(
																	((BgL_appz00_bglt) BgL_nodez00_2596)))->
															BgL_argsz00));
													{	/* Abound/walk.scm 209 */
														obj_t BgL_pairz00_2837;

														BgL_pairz00_2837 =
															(((BgL_appz00_bglt) COBJECT(
																	((BgL_appz00_bglt) BgL_nodez00_2596)))->
															BgL_argsz00);
														BgL_arg1910z00_2832 = CAR(CDR(BgL_pairz00_2837));
													}
													BgL_arg1911z00_2833 =
														(((BgL_nodez00_bglt) COBJECT(
																((BgL_nodez00_bglt)
																	((BgL_appz00_bglt) BgL_nodez00_2596))))->
														BgL_locz00);
													{	/* Abound/walk.scm 210 */
														obj_t BgL_pairz00_2838;

														BgL_pairz00_2838 =
															(((BgL_cfunz00_bglt) COBJECT(
																	((BgL_cfunz00_bglt)
																		(((BgL_variablez00_bglt) COBJECT(
																					((BgL_variablez00_bglt)
																						((BgL_globalz00_bglt)
																							BgL_vz00_2817))))->
																			BgL_valuez00))))->BgL_argszd2typezd2);
														BgL_arg1912z00_2834 =
															CAR(CDR(CDR(BgL_pairz00_2838)));
													}
													{	/* Abound/walk.scm 211 */
														obj_t BgL_pairz00_2839;

														BgL_pairz00_2839 =
															(((BgL_cfunz00_bglt) COBJECT(
																	((BgL_cfunz00_bglt)
																		(((BgL_variablez00_bglt) COBJECT(
																					((BgL_variablez00_bglt)
																						((BgL_globalz00_bglt)
																							BgL_vz00_2817))))->
																			BgL_valuez00))))->BgL_argszd2typezd2);
														BgL_arg1913z00_2835 = CAR(CDR(BgL_pairz00_2839));
													}
													{	/* Abound/walk.scm 212 */
														obj_t BgL_pairz00_2840;

														BgL_pairz00_2840 =
															(((BgL_cfunz00_bglt) COBJECT(
																	((BgL_cfunz00_bglt)
																		(((BgL_variablez00_bglt) COBJECT(
																					((BgL_variablez00_bglt)
																						((BgL_globalz00_bglt)
																							BgL_vz00_2817))))->
																			BgL_valuez00))))->BgL_argszd2typezd2);
														BgL_arg1915z00_2836 = CAR(BgL_pairz00_2840);
													}
													{	/* Abound/walk.scm 214 */
														obj_t BgL_zc3z04anonymousza31927ze3z87_2841;

														BgL_zc3z04anonymousza31927ze3z87_2841 =
															BGl_proc2210z00zzabound_walkz00;
														BgL_arg1908z00_2830 =
															BGl_arrayzd2setz12zc0zzabound_walkz00((
																(BgL_nodezf2effectzf2_bglt) ((BgL_appz00_bglt)
																	BgL_nodez00_2596)), BgL_arg1909z00_2831,
															BgL_arg1910z00_2832, BgL_arg1911z00_2833,
															BgL_arg1912z00_2834, BgL_arg1913z00_2835,
															BgL_arg1915z00_2836,
															BgL_zc3z04anonymousza31927ze3z87_2841);
													}
												}
												return
													BGl_lvtypezd2nodezd2zzast_lvtypez00
													(BgL_arg1908z00_2830);
											}
										else
											{	/* Abound/walk.scm 197 */
												return
													((BgL_nodez00_bglt)
													((BgL_appz00_bglt) BgL_nodez00_2596));
											}
									}
							}
					}
				}
			}
		}

	}



/* &<@anonymous:1903> */
	BgL_appz00_bglt BGl_z62zc3z04anonymousza31903ze3ze5zzabound_walkz00(obj_t
		BgL_envz00_2597, BgL_nodezf2effectzf2_bglt BgL_nodez00_2598,
		obj_t BgL_vz00_2599, obj_t BgL_iz00_2600)
	{
		{	/* Abound/walk.scm 194 */
			{	/* Abound/walk.scm 195 */
				BgL_appz00_bglt BgL_new1123z00_2845;

				{	/* Abound/walk.scm 195 */
					BgL_appz00_bglt BgL_new1130z00_2846;

					BgL_new1130z00_2846 =
						((BgL_appz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_appz00_bgl))));
					{	/* Abound/walk.scm 195 */
						long BgL_arg1906z00_2847;

						BgL_arg1906z00_2847 = BGL_CLASS_NUM(BGl_appz00zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1130z00_2846), BgL_arg1906z00_2847);
					}
					{	/* Abound/walk.scm 195 */
						BgL_objectz00_bglt BgL_tmpz00_4137;

						BgL_tmpz00_4137 = ((BgL_objectz00_bglt) BgL_new1130z00_2846);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4137, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1130z00_2846);
					BgL_new1123z00_2845 = BgL_new1130z00_2846;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1123z00_2845)))->BgL_locz00) =
					((obj_t) (((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
										BgL_nodez00_2598)))->BgL_locz00)), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1123z00_2845)))->BgL_typez00) =
					((BgL_typez00_bglt) (((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
										BgL_nodez00_2598)))->BgL_typez00)), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1123z00_2845)))->BgL_sidezd2effectzd2) =
					((obj_t) (((BgL_nodezf2effectzf2_bglt)
								COBJECT(((BgL_nodezf2effectzf2_bglt) ((BgL_nodez00_bglt)
											BgL_nodez00_2598))))->BgL_sidezd2effectzd2)), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1123z00_2845)))->BgL_keyz00) =
					((obj_t) (((BgL_nodezf2effectzf2_bglt)
								COBJECT(((BgL_nodezf2effectzf2_bglt) ((BgL_nodez00_bglt)
											BgL_nodez00_2598))))->BgL_keyz00)), BUNSPEC);
				((((BgL_appz00_bglt) COBJECT(BgL_new1123z00_2845))->BgL_funz00) =
					((BgL_varz00_bglt) (((BgL_appz00_bglt)
								COBJECT(((BgL_appz00_bglt) ((BgL_nodez00_bglt)
											BgL_nodez00_2598))))->BgL_funz00)), BUNSPEC);
				{
					obj_t BgL_auxz00_4163;

					{	/* Abound/walk.scm 196 */
						obj_t BgL_list1904z00_2848;

						{	/* Abound/walk.scm 196 */
							obj_t BgL_arg1905z00_2849;

							BgL_arg1905z00_2849 = MAKE_YOUNG_PAIR(BgL_iz00_2600, BNIL);
							BgL_list1904z00_2848 =
								MAKE_YOUNG_PAIR(BgL_vz00_2599, BgL_arg1905z00_2849);
						}
						BgL_auxz00_4163 = BgL_list1904z00_2848;
					}
					((((BgL_appz00_bglt) COBJECT(BgL_new1123z00_2845))->BgL_argsz00) =
						((obj_t) BgL_auxz00_4163), BUNSPEC);
				}
				((((BgL_appz00_bglt) COBJECT(BgL_new1123z00_2845))->BgL_stackablez00) =
					((obj_t) (((BgL_appz00_bglt)
								COBJECT(((BgL_appz00_bglt) ((BgL_nodez00_bglt)
											BgL_nodez00_2598))))->BgL_stackablez00)), BUNSPEC);
				return BgL_new1123z00_2845;
			}
		}

	}



/* &<@anonymous:1927> */
	BgL_appz00_bglt BGl_z62zc3z04anonymousza31927ze3ze5zzabound_walkz00(obj_t
		BgL_envz00_2601, BgL_nodezf2effectzf2_bglt BgL_nodez00_2602,
		obj_t BgL_vecz00_2603, obj_t BgL_iz00_2604)
	{
		{	/* Abound/walk.scm 213 */
			{	/* Abound/walk.scm 215 */
				BgL_appz00_bglt BgL_new1133z00_2853;

				{	/* Abound/walk.scm 215 */
					BgL_appz00_bglt BgL_new1140z00_2854;

					BgL_new1140z00_2854 =
						((BgL_appz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_appz00_bgl))));
					{	/* Abound/walk.scm 215 */
						long BgL_arg1934z00_2855;

						BgL_arg1934z00_2855 = BGL_CLASS_NUM(BGl_appz00zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1140z00_2854), BgL_arg1934z00_2855);
					}
					{	/* Abound/walk.scm 215 */
						BgL_objectz00_bglt BgL_tmpz00_4175;

						BgL_tmpz00_4175 = ((BgL_objectz00_bglt) BgL_new1140z00_2854);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4175, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1140z00_2854);
					BgL_new1133z00_2853 = BgL_new1140z00_2854;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1133z00_2853)))->BgL_locz00) =
					((obj_t) (((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
										BgL_nodez00_2602)))->BgL_locz00)), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1133z00_2853)))->BgL_typez00) =
					((BgL_typez00_bglt) (((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
										BgL_nodez00_2602)))->BgL_typez00)), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1133z00_2853)))->BgL_sidezd2effectzd2) =
					((obj_t) (((BgL_nodezf2effectzf2_bglt)
								COBJECT(((BgL_nodezf2effectzf2_bglt) ((BgL_nodez00_bglt)
											BgL_nodez00_2602))))->BgL_sidezd2effectzd2)), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1133z00_2853)))->BgL_keyz00) =
					((obj_t) (((BgL_nodezf2effectzf2_bglt)
								COBJECT(((BgL_nodezf2effectzf2_bglt) ((BgL_nodez00_bglt)
											BgL_nodez00_2602))))->BgL_keyz00)), BUNSPEC);
				((((BgL_appz00_bglt) COBJECT(BgL_new1133z00_2853))->BgL_funz00) =
					((BgL_varz00_bglt) (((BgL_appz00_bglt)
								COBJECT(((BgL_appz00_bglt) ((BgL_nodez00_bglt)
											BgL_nodez00_2602))))->BgL_funz00)), BUNSPEC);
				{
					obj_t BgL_auxz00_4201;

					{	/* Abound/walk.scm 216 */
						obj_t BgL_arg1928z00_2856;

						{	/* Abound/walk.scm 216 */
							obj_t BgL_pairz00_2857;

							BgL_pairz00_2857 =
								(((BgL_appz00_bglt) COBJECT(
										((BgL_appz00_bglt) BgL_nodez00_2602)))->BgL_argsz00);
							{	/* Abound/walk.scm 216 */
								obj_t BgL_pairz00_2858;

								{	/* Abound/walk.scm 216 */
									obj_t BgL_pairz00_2859;

									BgL_pairz00_2859 = CDR(BgL_pairz00_2857);
									BgL_pairz00_2858 = CDR(BgL_pairz00_2859);
								}
								BgL_arg1928z00_2856 = CAR(BgL_pairz00_2858);
						}}
						{	/* Abound/walk.scm 216 */
							obj_t BgL_list1929z00_2860;

							{	/* Abound/walk.scm 216 */
								obj_t BgL_arg1930z00_2861;

								{	/* Abound/walk.scm 216 */
									obj_t BgL_arg1932z00_2862;

									BgL_arg1932z00_2862 =
										MAKE_YOUNG_PAIR(BgL_arg1928z00_2856, BNIL);
									BgL_arg1930z00_2861 =
										MAKE_YOUNG_PAIR(BgL_iz00_2604, BgL_arg1932z00_2862);
								}
								BgL_list1929z00_2860 =
									MAKE_YOUNG_PAIR(BgL_vecz00_2603, BgL_arg1930z00_2861);
							}
							BgL_auxz00_4201 = BgL_list1929z00_2860;
					}}
					((((BgL_appz00_bglt) COBJECT(BgL_new1133z00_2853))->BgL_argsz00) =
						((obj_t) BgL_auxz00_4201), BUNSPEC);
				}
				((((BgL_appz00_bglt) COBJECT(BgL_new1133z00_2853))->BgL_stackablez00) =
					((obj_t) (((BgL_appz00_bglt)
								COBJECT(((BgL_appz00_bglt) ((BgL_nodez00_bglt)
											BgL_nodez00_2602))))->BgL_stackablez00)), BUNSPEC);
				return BgL_new1133z00_2853;
			}
		}

	}



/* &abound-node-sync1313 */
	BgL_nodez00_bglt BGl_z62aboundzd2nodezd2sync1313z62zzabound_walkz00(obj_t
		BgL_envz00_2605, obj_t BgL_nodez00_2606)
	{
		{	/* Abound/walk.scm 134 */
			{
				BgL_nodez00_bglt BgL_auxz00_4215;

				{	/* Abound/walk.scm 136 */
					BgL_nodez00_bglt BgL_arg1882z00_2864;

					BgL_arg1882z00_2864 =
						(((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_2606)))->BgL_mutexz00);
					BgL_auxz00_4215 =
						BGl_aboundzd2nodezd2zzabound_walkz00(BgL_arg1882z00_2864);
				}
				((((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_2606)))->BgL_mutexz00) =
					((BgL_nodez00_bglt) BgL_auxz00_4215), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_4221;

				{	/* Abound/walk.scm 137 */
					BgL_nodez00_bglt BgL_arg1884z00_2865;

					BgL_arg1884z00_2865 =
						(((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_2606)))->BgL_bodyz00);
					BgL_auxz00_4221 =
						BGl_aboundzd2nodezd2zzabound_walkz00(BgL_arg1884z00_2865);
				}
				((((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_2606)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_4221), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_syncz00_bglt) BgL_nodez00_2606));
		}

	}



/* &abound-node-sequence1311 */
	BgL_nodez00_bglt BGl_z62aboundzd2nodezd2sequence1311z62zzabound_walkz00(obj_t
		BgL_envz00_2607, obj_t BgL_nodez00_2608)
	{
		{	/* Abound/walk.scm 127 */
			BGl_aboundzd2nodeza2z12z62zzabound_walkz00(
				(((BgL_sequencez00_bglt) COBJECT(
							((BgL_sequencez00_bglt) BgL_nodez00_2608)))->BgL_nodesz00));
			return ((BgL_nodez00_bglt) ((BgL_sequencez00_bglt) BgL_nodez00_2608));
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzabound_walkz00(void)
	{
		{	/* Abound/walk.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_speekz00(61247943L,
				BSTRING_TO_STRING(BGl_string2211z00zzabound_walkz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(300504031L,
				BSTRING_TO_STRING(BGl_string2211z00zzabound_walkz00));
			BGl_modulezd2initializa7ationz75zzengine_passz00(373082237L,
				BSTRING_TO_STRING(BGl_string2211z00zzabound_walkz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(515343395L,
				BSTRING_TO_STRING(BGl_string2211z00zzabound_walkz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(90839984L,
				BSTRING_TO_STRING(BGl_string2211z00zzabound_walkz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(469732712L,
				BSTRING_TO_STRING(BGl_string2211z00zzabound_walkz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(365925558L,
				BSTRING_TO_STRING(BGl_string2211z00zzabound_walkz00));
			BGl_modulezd2initializa7ationz75zztools_locationz00(462333240L,
				BSTRING_TO_STRING(BGl_string2211z00zzabound_walkz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(489890788L,
				BSTRING_TO_STRING(BGl_string2211z00zzabound_walkz00));
			BGl_modulezd2initializa7ationz75zzast_identz00(174885617L,
				BSTRING_TO_STRING(BGl_string2211z00zzabound_walkz00));
			BGl_modulezd2initializa7ationz75zzast_localz00(315247917L,
				BSTRING_TO_STRING(BGl_string2211z00zzabound_walkz00));
			BGl_modulezd2initializa7ationz75zzast_envz00(146730773L,
				BSTRING_TO_STRING(BGl_string2211z00zzabound_walkz00));
			BGl_modulezd2initializa7ationz75zzast_sexpz00(163122759L,
				BSTRING_TO_STRING(BGl_string2211z00zzabound_walkz00));
			BGl_modulezd2initializa7ationz75zzast_privatez00(135263837L,
				BSTRING_TO_STRING(BGl_string2211z00zzabound_walkz00));
			BGl_modulezd2initializa7ationz75zzast_lvtypez00(189769752L,
				BSTRING_TO_STRING(BGl_string2211z00zzabound_walkz00));
			BGl_modulezd2initializa7ationz75zzast_dumpz00(271707717L,
				BSTRING_TO_STRING(BGl_string2211z00zzabound_walkz00));
			return
				BGl_modulezd2initializa7ationz75zzbackend_backendz00(216206620L,
				BSTRING_TO_STRING(BGl_string2211z00zzabound_walkz00));
		}

	}

#ifdef __cplusplus
}
#endif
