/*===========================================================================*/
/*   (Ast/app.scm)                                                           */
/*   Bigloo (4.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Jan 27 07:45:49 AM CET 2025     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.6a/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.6a/lib/bigloo/4.6a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -stdc -indent Ast/app.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL_AST_APP_TYPE_DEFINITIONS
#define BGL_AST_APP_TYPE_DEFINITIONS

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_nullz00;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_qualifiedzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_cfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_argszd2typezd2;
		bool_t BgL_macrozf3zf3;
		bool_t BgL_infixzf3zf3;
		obj_t BgL_methodz00;
	}              *BgL_cfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_nodezf2effectzf2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
	}                       *BgL_nodezf2effectzf2_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_literalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}                 *BgL_literalz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_refz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_refz00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
		obj_t BgL_metaz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_stackablez00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_privatez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
	}                 *BgL_privatez00_bglt;

	typedef struct BgL_vallocz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                *BgL_vallocz00_bglt;

	typedef struct BgL_vrefz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		bool_t BgL_unsafez00;
	}              *BgL_vrefz00_bglt;

	typedef struct BgL_vsetz12z12_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		bool_t BgL_unsafez00;
	}                 *BgL_vsetz12z12_bglt;

	typedef struct BgL_vlengthz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_vtypez00;
		obj_t BgL_ftypez00;
	}                 *BgL_vlengthz00_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_tvecz00_bgl
	{
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}              *BgL_tvecz00_bglt;


#endif													// BGL_AST_APP_TYPE_DEFINITIONS
#endif													// BGL_MODULE_TYPE_DEFINITIONS

	BGL_IMPORT obj_t BGl_numberzd2ze3stringz31zz__r4_numbers_6_5z00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(obj_t,
		obj_t);
	extern obj_t BGl_dssslzd2keyzd2argszd2sortzd2zztools_dssslz00(obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzast_appz00 = BUNSPEC;
	BGL_IMPORT obj_t BGl_listzd2tailzd2zz__r4_pairs_and_lists_6_3z00(obj_t, long);
	BGL_IMPORT bool_t BGl_stringzd2suffixzf3z21zz__r4_strings_6_7z00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_closurez00zzast_nodez00;
	extern obj_t BGl_userzd2errorzf2locationz20zztools_errorz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_funz00zzast_varz00;
	extern bool_t BGl_sfunzd2optionalzf3z21zzast_varz00(obj_t);
	extern obj_t BGl_findzd2locationzf2locz20zztools_locationz00(obj_t, obj_t);
	extern obj_t BGl_vlengthz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_applicationzd2ze3nodez31zzast_appz00(obj_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_za2voidza2z00zztype_cachez00;
	extern obj_t BGl_atomz00zzast_nodez00;
	extern obj_t BGl_sfunz00zzast_varz00;
	extern obj_t BGl_fastzd2idzd2ofzd2idzd2zzast_identz00(obj_t, obj_t);
	extern obj_t BGl_sequencez00zzast_nodez00;
	static BgL_nodez00_bglt BGl_z62makezd2appzd2nodez62zzast_appz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_makezd2fxzd2appzd2nodezd2zzast_appz00(obj_t, BgL_varz00_bglt,
		obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	static obj_t BGl_genericzd2initzd2zzast_appz00(void);
	static obj_t BGl_objectzd2initzd2zzast_appz00(void);
	BGL_IMPORT obj_t BGl_2zb2zb2zz__r4_numbers_6_5z00(obj_t, obj_t);
	BGL_IMPORT obj_t bgl_bignum_mul(obj_t, obj_t);
	extern obj_t BGl_comptimezd2expandzd2zzexpand_epsz00(obj_t);
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	BGL_IMPORT obj_t bgl_reverse_bang(obj_t);
	BGL_IMPORT obj_t string_append_3(obj_t, obj_t, obj_t);
	static bool_t BGl_atomiczf3ze70z14zzast_appz00(obj_t);
	BGL_IMPORT obj_t BGl_dropz00zz__r4_pairs_and_lists_6_3z00(obj_t, long);
	BGL_IMPORT obj_t bgl_bignum_add(obj_t, obj_t);
	static obj_t BGl_makezd2argszd2listze70ze7zzast_appz00(obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	extern obj_t BGl_refz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_appendzd221011zd2zzast_appz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzast_appz00(void);
	BGL_IMPORT obj_t BGl_keywordzd2ze3symbolz31zz__r4_symbols_6_4z00(obj_t);
	extern obj_t BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00;
	static obj_t BGl_makezd2specialzd2appzd2nodezd2zzast_appz00(obj_t,
		BgL_varz00_bglt, obj_t);
	BGL_IMPORT obj_t string_append(obj_t, obj_t);
	BGL_IMPORT obj_t bgl_long_to_bignum(long);
	extern obj_t BGl_varz00zzast_nodez00;
	extern bool_t BGl_sfunzd2keyzf3z21zzast_varz00(obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62applicationzd2ze3nodez53zzast_appz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	extern BgL_typez00_bglt BGl_getzd2typezd2atomz00zztype_typeofz00(obj_t);
	extern obj_t BGl_za2_za2z00zztype_cachez00;
	static obj_t BGl_z62correctzd2arityzd2appzf3z91zzast_appz00(obj_t, obj_t,
		obj_t);
	extern BgL_typez00_bglt
		BGl_strictzd2nodezd2typez00zzast_nodez00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	BGL_EXPORTED_DECL BgL_nodez00_bglt BGl_makezd2appzd2nodez00zzast_appz00(obj_t,
		obj_t, obj_t, BgL_varz00_bglt, obj_t);
	BGL_IMPORT obj_t BGl_takez00zz__r4_pairs_and_lists_6_3z00(obj_t, long);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzast_appz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typeofz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzexpand_epsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_dssslz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_privatez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_letz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_localz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztvector_tvectorz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bignumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	extern obj_t BGl_cfunz00zzast_varz00;
	BGL_IMPORT obj_t BGl_stringzd2appendzd2zz__r4_strings_6_7z00(obj_t);
	extern obj_t BGl_vrefz00zzast_nodez00;
	static obj_t BGl_makezd2thezd2appze70ze7zzast_appz00(obj_t, obj_t, obj_t);
	static obj_t BGl_cnstzd2initzd2zzast_appz00(void);
	static obj_t BGl_libraryzd2moduleszd2initz00zzast_appz00(void);
	BGL_IMPORT long bgl_list_length(obj_t);
	static BgL_nodez00_bglt BGl_makezd2vazd2appzd2nodezd2zzast_appz00(long, obj_t,
		obj_t, BgL_varz00_bglt, obj_t);
	extern BgL_nodez00_bglt BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00(obj_t,
		obj_t, obj_t);
	extern BgL_localz00_bglt
		BGl_makezd2userzd2localzd2svarzd2zzast_localz00(obj_t, BgL_typez00_bglt);
	static obj_t BGl_importedzd2moduleszd2initz00zzast_appz00(void);
	static obj_t BGl_gczd2rootszd2initz00zzast_appz00(void);
	extern obj_t BGl_tvecz00zztvector_tvectorz00;
	extern obj_t BGl_parsezd2idzd2zzast_identz00(obj_t, obj_t);
	extern obj_t BGl_vallocz00zzast_nodez00;
	static BgL_nodez00_bglt BGl_makezd2keyszd2appzd2nodezd2zzast_appz00(obj_t,
		obj_t, obj_t, BgL_varz00_bglt, obj_t);
	extern obj_t BGl_letzd2symzd2zzast_letz00(void);
	extern BgL_nodez00_bglt BGl_sexpzd2ze3nodez31zzast_sexpz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_za2unspecza2z00zztype_cachez00;
	extern obj_t BGl_userzd2warningzf2locationz20zztools_errorz00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
	static BgL_nodez00_bglt
		BGl_makezd2optionalszd2appzd2nodezd2zzast_appz00(obj_t, obj_t, obj_t,
		BgL_varz00_bglt, obj_t);
	extern obj_t BGl_literalz00zzast_nodez00;
	extern obj_t BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00(obj_t);
	static BgL_nodez00_bglt
		BGl_cleanzd2userzd2nodez12z12zzast_appz00(BgL_nodez00_bglt);
	static obj_t BGl_loopze70ze7zzast_appz00(obj_t, BgL_variablez00_bglt, obj_t);
	static BgL_nodezf2effectzf2_bglt BGl_loopze71ze7zzast_appz00(obj_t,
		BgL_sfunz00_bglt, BgL_varz00_bglt, BgL_variablez00_bglt, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_correctzd2arityzd2appzf3zf3zzast_appz00(BgL_variablez00_bglt, obj_t);
	extern obj_t BGl_funcallz00zzast_nodez00;
	extern obj_t BGl_globalz00zzast_varz00;
	static long BGl_checkzd2userzd2appz00zzast_appz00(BgL_nodez00_bglt, obj_t);
	extern obj_t BGl_vsetz12z12zzast_nodez00;
	extern obj_t BGl_compilezd2expandzd2zzexpand_epsz00(obj_t);
	static obj_t __cnst[23];


	   
		 
		DEFINE_STRING(BGl_string2362z00zzast_appz00,
		BgL_bgl_string2362za700za7za7a2381za7, "] args expected, ", 17);
	      DEFINE_STRING(BGl_string2363z00zzast_appz00,
		BgL_bgl_string2363za700za7za7a2382za7, "..", 2);
	      DEFINE_STRING(BGl_string2364z00zzast_appz00,
		BgL_bgl_string2364za700za7za7a2383za7, "[", 1);
	      DEFINE_STRING(BGl_string2365z00zzast_appz00,
		BgL_bgl_string2365za700za7za7a2384za7, " arg(s) expected, ", 18);
	      DEFINE_STRING(BGl_string2366z00zzast_appz00,
		BgL_bgl_string2366za700za7za7a2385za7, " or more arg(s) expected, ", 26);
	      DEFINE_STRING(BGl_string2367z00zzast_appz00,
		BgL_bgl_string2367za700za7za7a2386za7, " provided", 9);
	      DEFINE_STRING(BGl_string2368z00zzast_appz00,
		BgL_bgl_string2368za700za7za7a2387za7, "Illegal application: ", 21);
	      DEFINE_STRING(BGl_string2369z00zzast_appz00,
		BgL_bgl_string2369za700za7za7a2388za7, "Illegal duplicated key", 22);
	      DEFINE_STRING(BGl_string2370z00zzast_appz00,
		BgL_bgl_string2370za700za7za7a2389za7, "Illegal keyword(s) argument(s)",
		30);
	      DEFINE_STRING(BGl_string2371z00zzast_appz00,
		BgL_bgl_string2371za700za7za7a2390za7, "Illegal keyword application", 27);
	      DEFINE_STRING(BGl_string2372z00zzast_appz00,
		BgL_bgl_string2372za700za7za7a2391za7, "($1)", 4);
	      DEFINE_STRING(BGl_string2373z00zzast_appz00,
		BgL_bgl_string2373za700za7za7a2392za7, "($1,$2)", 7);
	      DEFINE_STRING(BGl_string2374z00zzast_appz00,
		BgL_bgl_string2374za700za7za7a2393za7, "-ur", 3);
	      DEFINE_STRING(BGl_string2375z00zzast_appz00,
		BgL_bgl_string2375za700za7za7a2394za7, "($1,$2,$3)", 10);
	      DEFINE_STRING(BGl_string2376z00zzast_appz00,
		BgL_bgl_string2376za700za7za7a2395za7, "make-special-app-node", 21);
	      DEFINE_STRING(BGl_string2377z00zzast_appz00,
		BgL_bgl_string2377za700za7za7a2396za7, "Illegal application", 19);
	      DEFINE_STRING(BGl_string2378z00zzast_appz00,
		BgL_bgl_string2378za700za7za7a2397za7, "ast_app", 7);
	      DEFINE_STRING(BGl_string2379z00zzast_appz00,
		BgL_bgl_string2379za700za7za7a2398za7,
		"$create-vector $vector-set-ur! $vector-set! $vector-ref-ur $vector-ref $vector-length $vector? c-eq? $cons foreign list \077\077? (c-eq? $vector? $vector-length $vector-ref $vector-ref-ur $vector-set! $vector-set-ur! $create-vector) let* @ quote arg (@ list __r4_pairs_and_lists_6_3) fun value (quote ()) app #z2 ",
		307);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2appzd2nodezd2envzd2zzast_appz00,
		BgL_bgl_za762makeza7d2appza7d22399za7,
		BGl_z62makezd2appzd2nodez62zzast_appz00, 0L, BUNSPEC, 5);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_correctzd2arityzd2appzf3zd2envz21zzast_appz00,
		BgL_bgl_za762correctza7d2ari2400z00,
		BGl_z62correctzd2arityzd2appzf3z91zzast_appz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_applicationzd2ze3nodezd2envze3zzast_appz00,
		BgL_bgl_za762applicationza7d2401z00,
		BGl_z62applicationzd2ze3nodez53zzast_appz00, 0L, BUNSPEC, 4);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		     ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zzast_appz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzast_appz00(long
		BgL_checksumz00_4182, char *BgL_fromz00_4183)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzast_appz00))
				{
					BGl_requirezd2initializa7ationz75zzast_appz00 = BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzast_appz00();
					BGl_libraryzd2moduleszd2initz00zzast_appz00();
					BGl_cnstzd2initzd2zzast_appz00();
					BGl_importedzd2moduleszd2initz00zzast_appz00();
					return BGl_methodzd2initzd2zzast_appz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzast_appz00(void)
	{
		{	/* Ast/app.scm 14 */
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(0L, "ast_app");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(0L,
				"ast_app");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(0L, "ast_app");
			BGl_modulezd2initializa7ationz75zz__objectz00(0L, "ast_app");
			BGl_modulezd2initializa7ationz75zz__readerz00(0L, "ast_app");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(0L, "ast_app");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(0L, "ast_app");
			BGl_modulezd2initializa7ationz75zz__errorz00(0L, "ast_app");
			BGl_modulezd2initializa7ationz75zz__bignumz00(0L, "ast_app");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(0L, "ast_app");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(0L, "ast_app");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(0L,
				"ast_app");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzast_appz00(void)
	{
		{	/* Ast/app.scm 14 */
			{	/* Ast/app.scm 14 */
				obj_t BgL_cportz00_4171;

				{	/* Ast/app.scm 14 */
					obj_t BgL_stringz00_4178;

					BgL_stringz00_4178 = BGl_string2379z00zzast_appz00;
					{	/* Ast/app.scm 14 */
						obj_t BgL_startz00_4179;

						BgL_startz00_4179 = BINT(0L);
						{	/* Ast/app.scm 14 */
							obj_t BgL_endz00_4180;

							BgL_endz00_4180 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_4178)));
							{	/* Ast/app.scm 14 */

								BgL_cportz00_4171 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_4178, BgL_startz00_4179, BgL_endz00_4180);
				}}}}
				{
					long BgL_iz00_4172;

					BgL_iz00_4172 = 22L;
				BgL_loopz00_4173:
					if ((BgL_iz00_4172 == (-1L)))
						{	/* Ast/app.scm 14 */
							return BUNSPEC;
						}
					else
						{	/* Ast/app.scm 14 */
							{	/* Ast/app.scm 14 */
								obj_t BgL_arg2380z00_4174;

								{	/* Ast/app.scm 14 */

									{	/* Ast/app.scm 14 */
										obj_t BgL_locationz00_4176;

										BgL_locationz00_4176 = BBOOL(((bool_t) 0));
										{	/* Ast/app.scm 14 */

											BgL_arg2380z00_4174 =
												BGl_readz00zz__readerz00(BgL_cportz00_4171,
												BgL_locationz00_4176);
										}
									}
								}
								{	/* Ast/app.scm 14 */
									int BgL_tmpz00_4213;

									BgL_tmpz00_4213 = (int) (BgL_iz00_4172);
									CNST_TABLE_SET(BgL_tmpz00_4213, BgL_arg2380z00_4174);
							}}
							{	/* Ast/app.scm 14 */
								int BgL_auxz00_4177;

								BgL_auxz00_4177 = (int) ((BgL_iz00_4172 - 1L));
								{
									long BgL_iz00_4218;

									BgL_iz00_4218 = (long) (BgL_auxz00_4177);
									BgL_iz00_4172 = BgL_iz00_4218;
									goto BgL_loopz00_4173;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzast_appz00(void)
	{
		{	/* Ast/app.scm 14 */
			return bgl_gc_roots_register();
		}

	}



/* append-21011 */
	obj_t BGl_appendzd221011zd2zzast_appz00(obj_t BgL_l1z00_1, obj_t BgL_l2z00_2)
	{
		{
			if (NULLP(BgL_l1z00_1))
				{
					return BgL_l2z00_2;
				}
			else
				{
					obj_t BgL_headz00_1446;

					BgL_headz00_1446 = MAKE_YOUNG_PAIR(BNIL, BgL_l2z00_2);
					{
						obj_t BgL_prevz00_1447;
						obj_t BgL_tailz00_1448;

						BgL_prevz00_1447 = BgL_headz00_1446;
						BgL_tailz00_1448 = BgL_l1z00_1;
					BgL_loopz00_1449:
						if (PAIRP(BgL_tailz00_1448))
							{
								obj_t BgL_newzd2prevzd2_1451;

								BgL_newzd2prevzd2_1451 =
									MAKE_YOUNG_PAIR(CAR(BgL_tailz00_1448), BgL_l2z00_2);
								SET_CDR(BgL_prevz00_1447, BgL_newzd2prevzd2_1451);
								{
									obj_t BgL_tailz00_4230;
									obj_t BgL_prevz00_4229;

									BgL_prevz00_4229 = BgL_newzd2prevzd2_1451;
									BgL_tailz00_4230 = CDR(BgL_tailz00_1448);
									BgL_tailz00_1448 = BgL_tailz00_4230;
									BgL_prevz00_1447 = BgL_prevz00_4229;
									goto BgL_loopz00_1449;
								}
							}
						else
							{
								BNIL;
							}
						return CDR(BgL_headz00_1446);
					}
				}
		}

	}



/* correct-arity-app? */
	BGL_EXPORTED_DEF bool_t
		BGl_correctzd2arityzd2appzf3zf3zzast_appz00(BgL_variablez00_bglt
		BgL_varz00_3, obj_t BgL_argsz00_4)
	{
		{	/* Ast/app.scm 40 */
			{	/* Ast/app.scm 41 */
				long BgL_nbzd2argszd2_1455;

				BgL_nbzd2argszd2_1455 = bgl_list_length(BgL_argsz00_4);
				{	/* Ast/app.scm 42 */
					long BgL_arityz00_1456;

					BgL_arityz00_1456 =
						(((BgL_funz00_bglt) COBJECT(
								((BgL_funz00_bglt)
									(((BgL_variablez00_bglt) COBJECT(BgL_varz00_3))->
										BgL_valuez00))))->BgL_arityz00);
					{	/* Ast/app.scm 43 */

						if ((BgL_arityz00_1456 == (-1L)))
							{	/* Ast/app.scm 45 */
								return ((bool_t) 1);
							}
						else
							{	/* Ast/app.scm 45 */
								if ((BgL_arityz00_1456 >= 0L))
									{	/* Ast/app.scm 47 */
										return (BgL_arityz00_1456 == BgL_nbzd2argszd2_1455);
									}
								else
									{	/* Ast/app.scm 47 */
										return
											(
											(NEG(BgL_arityz00_1456) -
												(BgL_nbzd2argszd2_1455 + 1L)) <= 0L);
									}
							}
					}
				}
			}
		}

	}



/* &correct-arity-app? */
	obj_t BGl_z62correctzd2arityzd2appzf3z91zzast_appz00(obj_t BgL_envz00_4147,
		obj_t BgL_varz00_4148, obj_t BgL_argsz00_4149)
	{
		{	/* Ast/app.scm 40 */
			return
				BBOOL(BGl_correctzd2arityzd2appzf3zf3zzast_appz00(
					((BgL_variablez00_bglt) BgL_varz00_4148), BgL_argsz00_4149));
		}

	}



/* clean-user-node! */
	BgL_nodez00_bglt BGl_cleanzd2userzd2nodez12z12zzast_appz00(BgL_nodez00_bglt
		BgL_nodez00_5)
	{
		{	/* Ast/app.scm 58 */
			{
				BgL_nodez00_bglt BgL_walkz00_1464;

				BgL_walkz00_1464 = BgL_nodez00_5;
			BgL_zc3z04anonymousza31381ze3z87_1465:
				{	/* Ast/app.scm 60 */
					bool_t BgL_test2408z00_4249;

					{	/* Ast/app.scm 60 */
						obj_t BgL_classz00_2544;

						BgL_classz00_2544 = BGl_letzd2varzd2zzast_nodez00;
						{	/* Ast/app.scm 60 */
							BgL_objectz00_bglt BgL_arg1858z00_2546;

							{	/* Ast/app.scm 60 */
								obj_t BgL_tmpz00_4250;

								BgL_tmpz00_4250 =
									((obj_t) ((BgL_objectz00_bglt) BgL_walkz00_1464));
								BgL_arg1858z00_2546 = (BgL_objectz00_bglt) (BgL_tmpz00_4250);
							}
							if (BGL_CONDEXPAND_ISA_ARCH64())
								{	/* Ast/app.scm 60 */
									long BgL_idxz00_2552;

									BgL_idxz00_2552 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_2546);
									BgL_test2408z00_4249 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_2552 + 3L)) == BgL_classz00_2544);
								}
							else
								{	/* Ast/app.scm 60 */
									bool_t BgL_res2316z00_2577;

									{	/* Ast/app.scm 60 */
										obj_t BgL_oclassz00_2560;

										{	/* Ast/app.scm 60 */
											obj_t BgL_arg1866z00_2568;
											long BgL_arg1867z00_2569;

											BgL_arg1866z00_2568 = (BGl_za2classesza2z00zz__objectz00);
											{	/* Ast/app.scm 60 */
												long BgL_arg1869z00_2570;

												BgL_arg1869z00_2570 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_2546);
												BgL_arg1867z00_2569 =
													(BgL_arg1869z00_2570 - OBJECT_TYPE);
											}
											BgL_oclassz00_2560 =
												VECTOR_REF(BgL_arg1866z00_2568, BgL_arg1867z00_2569);
										}
										{	/* Ast/app.scm 60 */
											bool_t BgL__ortest_1115z00_2561;

											BgL__ortest_1115z00_2561 =
												(BgL_classz00_2544 == BgL_oclassz00_2560);
											if (BgL__ortest_1115z00_2561)
												{	/* Ast/app.scm 60 */
													BgL_res2316z00_2577 = BgL__ortest_1115z00_2561;
												}
											else
												{	/* Ast/app.scm 60 */
													long BgL_odepthz00_2562;

													{	/* Ast/app.scm 60 */
														obj_t BgL_arg1855z00_2563;

														BgL_arg1855z00_2563 = (BgL_oclassz00_2560);
														BgL_odepthz00_2562 =
															BGL_CLASS_DEPTH(BgL_arg1855z00_2563);
													}
													if ((3L < BgL_odepthz00_2562))
														{	/* Ast/app.scm 60 */
															obj_t BgL_arg1853z00_2565;

															{	/* Ast/app.scm 60 */
																obj_t BgL_arg1854z00_2566;

																BgL_arg1854z00_2566 = (BgL_oclassz00_2560);
																BgL_arg1853z00_2565 =
																	BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_2566,
																	3L);
															}
															BgL_res2316z00_2577 =
																(BgL_arg1853z00_2565 == BgL_classz00_2544);
														}
													else
														{	/* Ast/app.scm 60 */
															BgL_res2316z00_2577 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_test2408z00_4249 = BgL_res2316z00_2577;
								}
						}
					}
					if (BgL_test2408z00_4249)
						{	/* Ast/app.scm 60 */
							{	/* Ast/app.scm 62 */
								obj_t BgL_g1297z00_1467;

								BgL_g1297z00_1467 =
									(((BgL_letzd2varzd2_bglt) COBJECT(
											((BgL_letzd2varzd2_bglt) BgL_walkz00_1464)))->
									BgL_bindingsz00);
								{
									obj_t BgL_l1295z00_1469;

									BgL_l1295z00_1469 = BgL_g1297z00_1467;
								BgL_zc3z04anonymousza31383ze3z87_1470:
									if (PAIRP(BgL_l1295z00_1469))
										{	/* Ast/app.scm 64 */
											{	/* Ast/app.scm 63 */
												obj_t BgL_bindingz00_1472;

												BgL_bindingz00_1472 = CAR(BgL_l1295z00_1469);
												{	/* Ast/app.scm 63 */
													obj_t BgL_arg1385z00_1473;

													BgL_arg1385z00_1473 =
														CAR(((obj_t) BgL_bindingz00_1472));
													((((BgL_variablez00_bglt) COBJECT(
																	((BgL_variablez00_bglt)
																		((BgL_localz00_bglt)
																			BgL_arg1385z00_1473))))->BgL_userzf3zf3) =
														((bool_t) ((bool_t) 0)), BUNSPEC);
												}
											}
											{
												obj_t BgL_l1295z00_4283;

												BgL_l1295z00_4283 = CDR(BgL_l1295z00_1469);
												BgL_l1295z00_1469 = BgL_l1295z00_4283;
												goto BgL_zc3z04anonymousza31383ze3z87_1470;
											}
										}
									else
										{	/* Ast/app.scm 64 */
											((bool_t) 1);
										}
								}
							}
							{	/* Ast/app.scm 65 */
								BgL_nodez00_bglt BgL_arg1388z00_1476;

								BgL_arg1388z00_1476 =
									(((BgL_letzd2varzd2_bglt) COBJECT(
											((BgL_letzd2varzd2_bglt) BgL_walkz00_1464)))->
									BgL_bodyz00);
								{
									BgL_nodez00_bglt BgL_walkz00_4287;

									BgL_walkz00_4287 = BgL_arg1388z00_1476;
									BgL_walkz00_1464 = BgL_walkz00_4287;
									goto BgL_zc3z04anonymousza31381ze3z87_1465;
								}
							}
						}
					else
						{	/* Ast/app.scm 60 */
							return BgL_nodez00_5;
						}
				}
			}
		}

	}



/* application->node */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_applicationzd2ze3nodez31zzast_appz00(obj_t BgL_expz00_6,
		obj_t BgL_stackz00_7, obj_t BgL_locz00_8, obj_t BgL_sitez00_9)
	{
		{	/* Ast/app.scm 74 */
			{
				obj_t BgL_expz00_1584;
				obj_t BgL_expz00_1600;
				obj_t BgL_locz00_1601;
				BgL_nodez00_bglt BgL_funz00_1602;
				obj_t BgL_argsz00_1603;

				{	/* Ast/app.scm 142 */
					obj_t BgL_locz00_1481;

					BgL_locz00_1481 =
						BGl_findzd2locationzf2locz20zztools_locationz00(BgL_expz00_6,
						BgL_locz00_8);
					{	/* Ast/app.scm 142 */
						obj_t BgL_errzd2nbzd2_1482;

						BgL_errzd2nbzd2_1482 =
							BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00;
						{	/* Ast/app.scm 143 */
							obj_t BgL_debugstampz00_1483;

							{	/* Ast/app.scm 144 */

								{	/* Ast/app.scm 144 */

									BgL_debugstampz00_1483 =
										BGl_gensymz00zz__r4_symbols_6_4z00(BFALSE);
								}
							}
							{	/* Ast/app.scm 144 */
								BgL_nodez00_bglt BgL_funz00_1484;

								{	/* Ast/app.scm 145 */
									obj_t BgL_arg1577z00_1551;

									BgL_arg1577z00_1551 = CAR(((obj_t) BgL_expz00_6));
									BgL_funz00_1484 =
										BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_arg1577z00_1551,
										BgL_stackz00_7, BgL_locz00_1481,
										((obj_t) CNST_TABLE_REF(1)));
								}
								{	/* Ast/app.scm 145 */
									bool_t BgL_funzd2errzf3z21_1485;

									BgL_funzd2errzf3z21_1485 =
										(
										(long)
										CINT(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00) >
										(long) CINT(BgL_errzd2nbzd2_1482));
									{	/* Ast/app.scm 146 */

										{	/* Ast/app.scm 147 */
											bool_t BgL_test2413z00_4298;

											{	/* Ast/app.scm 147 */
												bool_t BgL_test2414z00_4299;

												BgL_expz00_1584 = BgL_expz00_6;
												{
													obj_t BgL_expz00_1587;

													BgL_expz00_1587 = BgL_expz00_1584;
												BgL_zc3z04anonymousza31633ze3z87_1588:
													if (NULLP(BgL_expz00_1587))
														{	/* Ast/app.scm 94 */
															BgL_test2414z00_4299 = ((bool_t) 1);
														}
													else
														{	/* Ast/app.scm 94 */
															if (BGl_atomiczf3ze70z14zzast_appz00(CAR(
																		((obj_t) BgL_expz00_1587))))
																{	/* Ast/app.scm 97 */
																	obj_t BgL_arg1638z00_1592;

																	BgL_arg1638z00_1592 =
																		CDR(((obj_t) BgL_expz00_1587));
																	{
																		obj_t BgL_expz00_4308;

																		BgL_expz00_4308 = BgL_arg1638z00_1592;
																		BgL_expz00_1587 = BgL_expz00_4308;
																		goto BgL_zc3z04anonymousza31633ze3z87_1588;
																	}
																}
															else
																{	/* Ast/app.scm 99 */
																	bool_t BgL_test2417z00_4309;

																	{	/* Ast/app.scm 99 */
																		bool_t BgL__ortest_1108z00_1595;

																		{	/* Ast/app.scm 99 */
																			obj_t BgL_arg1648z00_1597;

																			BgL_arg1648z00_1597 =
																				CAR(((obj_t) BgL_expz00_1587));
																			{	/* Ast/app.scm 99 */
																				obj_t BgL_classz00_2595;

																				BgL_classz00_2595 =
																					BGl_atomz00zzast_nodez00;
																				if (BGL_OBJECTP(BgL_arg1648z00_1597))
																					{	/* Ast/app.scm 99 */
																						BgL_objectz00_bglt
																							BgL_arg1858z00_2597;
																						BgL_arg1858z00_2597 =
																							(BgL_objectz00_bglt)
																							(BgL_arg1648z00_1597);
																						if (BGL_CONDEXPAND_ISA_ARCH64())
																							{	/* Ast/app.scm 99 */
																								long BgL_idxz00_2603;

																								BgL_idxz00_2603 =
																									BGL_OBJECT_INHERITANCE_NUM
																									(BgL_arg1858z00_2597);
																								BgL__ortest_1108z00_1595 =
																									(VECTOR_REF
																									(BGl_za2inheritancesza2z00zz__objectz00,
																										(BgL_idxz00_2603 + 2L)) ==
																									BgL_classz00_2595);
																							}
																						else
																							{	/* Ast/app.scm 99 */
																								bool_t BgL_res2317z00_2628;

																								{	/* Ast/app.scm 99 */
																									obj_t BgL_oclassz00_2611;

																									{	/* Ast/app.scm 99 */
																										obj_t BgL_arg1866z00_2619;
																										long BgL_arg1867z00_2620;

																										BgL_arg1866z00_2619 =
																											(BGl_za2classesza2z00zz__objectz00);
																										{	/* Ast/app.scm 99 */
																											long BgL_arg1869z00_2621;

																											BgL_arg1869z00_2621 =
																												BGL_OBJECT_CLASS_NUM
																												(BgL_arg1858z00_2597);
																											BgL_arg1867z00_2620 =
																												(BgL_arg1869z00_2621 -
																												OBJECT_TYPE);
																										}
																										BgL_oclassz00_2611 =
																											VECTOR_REF
																											(BgL_arg1866z00_2619,
																											BgL_arg1867z00_2620);
																									}
																									{	/* Ast/app.scm 99 */
																										bool_t
																											BgL__ortest_1115z00_2612;
																										BgL__ortest_1115z00_2612 =
																											(BgL_classz00_2595 ==
																											BgL_oclassz00_2611);
																										if (BgL__ortest_1115z00_2612)
																											{	/* Ast/app.scm 99 */
																												BgL_res2317z00_2628 =
																													BgL__ortest_1115z00_2612;
																											}
																										else
																											{	/* Ast/app.scm 99 */
																												long BgL_odepthz00_2613;

																												{	/* Ast/app.scm 99 */
																													obj_t
																														BgL_arg1855z00_2614;
																													BgL_arg1855z00_2614 =
																														(BgL_oclassz00_2611);
																													BgL_odepthz00_2613 =
																														BGL_CLASS_DEPTH
																														(BgL_arg1855z00_2614);
																												}
																												if (
																													(2L <
																														BgL_odepthz00_2613))
																													{	/* Ast/app.scm 99 */
																														obj_t
																															BgL_arg1853z00_2616;
																														{	/* Ast/app.scm 99 */
																															obj_t
																																BgL_arg1854z00_2617;
																															BgL_arg1854z00_2617
																																=
																																(BgL_oclassz00_2611);
																															BgL_arg1853z00_2616
																																=
																																BGL_CLASS_ANCESTORS_REF
																																(BgL_arg1854z00_2617,
																																2L);
																														}
																														BgL_res2317z00_2628
																															=
																															(BgL_arg1853z00_2616
																															==
																															BgL_classz00_2595);
																													}
																												else
																													{	/* Ast/app.scm 99 */
																														BgL_res2317z00_2628
																															= ((bool_t) 0);
																													}
																											}
																									}
																								}
																								BgL__ortest_1108z00_1595 =
																									BgL_res2317z00_2628;
																							}
																					}
																				else
																					{	/* Ast/app.scm 99 */
																						BgL__ortest_1108z00_1595 =
																							((bool_t) 0);
																					}
																			}
																		}
																		if (BgL__ortest_1108z00_1595)
																			{	/* Ast/app.scm 99 */
																				BgL_test2417z00_4309 =
																					BgL__ortest_1108z00_1595;
																			}
																		else
																			{	/* Ast/app.scm 99 */
																				obj_t BgL_arg1643z00_1596;

																				BgL_arg1643z00_1596 =
																					CAR(((obj_t) BgL_expz00_1587));
																				{	/* Ast/app.scm 99 */
																					obj_t BgL_classz00_2630;

																					BgL_classz00_2630 =
																						BGl_varz00zzast_nodez00;
																					if (BGL_OBJECTP(BgL_arg1643z00_1596))
																						{	/* Ast/app.scm 99 */
																							BgL_objectz00_bglt
																								BgL_arg1858z00_2632;
																							BgL_arg1858z00_2632 =
																								(BgL_objectz00_bglt)
																								(BgL_arg1643z00_1596);
																							if (BGL_CONDEXPAND_ISA_ARCH64())
																								{	/* Ast/app.scm 99 */
																									long BgL_idxz00_2638;

																									BgL_idxz00_2638 =
																										BGL_OBJECT_INHERITANCE_NUM
																										(BgL_arg1858z00_2632);
																									BgL_test2417z00_4309 =
																										(VECTOR_REF
																										(BGl_za2inheritancesza2z00zz__objectz00,
																											(BgL_idxz00_2638 + 2L)) ==
																										BgL_classz00_2630);
																								}
																							else
																								{	/* Ast/app.scm 99 */
																									bool_t BgL_res2318z00_2663;

																									{	/* Ast/app.scm 99 */
																										obj_t BgL_oclassz00_2646;

																										{	/* Ast/app.scm 99 */
																											obj_t BgL_arg1866z00_2654;
																											long BgL_arg1867z00_2655;

																											BgL_arg1866z00_2654 =
																												(BGl_za2classesza2z00zz__objectz00);
																											{	/* Ast/app.scm 99 */
																												long
																													BgL_arg1869z00_2656;
																												BgL_arg1869z00_2656 =
																													BGL_OBJECT_CLASS_NUM
																													(BgL_arg1858z00_2632);
																												BgL_arg1867z00_2655 =
																													(BgL_arg1869z00_2656 -
																													OBJECT_TYPE);
																											}
																											BgL_oclassz00_2646 =
																												VECTOR_REF
																												(BgL_arg1866z00_2654,
																												BgL_arg1867z00_2655);
																										}
																										{	/* Ast/app.scm 99 */
																											bool_t
																												BgL__ortest_1115z00_2647;
																											BgL__ortest_1115z00_2647 =
																												(BgL_classz00_2630 ==
																												BgL_oclassz00_2646);
																											if (BgL__ortest_1115z00_2647)
																												{	/* Ast/app.scm 99 */
																													BgL_res2318z00_2663 =
																														BgL__ortest_1115z00_2647;
																												}
																											else
																												{	/* Ast/app.scm 99 */
																													long
																														BgL_odepthz00_2648;
																													{	/* Ast/app.scm 99 */
																														obj_t
																															BgL_arg1855z00_2649;
																														BgL_arg1855z00_2649
																															=
																															(BgL_oclassz00_2646);
																														BgL_odepthz00_2648 =
																															BGL_CLASS_DEPTH
																															(BgL_arg1855z00_2649);
																													}
																													if (
																														(2L <
																															BgL_odepthz00_2648))
																														{	/* Ast/app.scm 99 */
																															obj_t
																																BgL_arg1853z00_2651;
																															{	/* Ast/app.scm 99 */
																																obj_t
																																	BgL_arg1854z00_2652;
																																BgL_arg1854z00_2652
																																	=
																																	(BgL_oclassz00_2646);
																																BgL_arg1853z00_2651
																																	=
																																	BGL_CLASS_ANCESTORS_REF
																																	(BgL_arg1854z00_2652,
																																	2L);
																															}
																															BgL_res2318z00_2663
																																=
																																(BgL_arg1853z00_2651
																																==
																																BgL_classz00_2630);
																														}
																													else
																														{	/* Ast/app.scm 99 */
																															BgL_res2318z00_2663
																																= ((bool_t) 0);
																														}
																												}
																										}
																									}
																									BgL_test2417z00_4309 =
																										BgL_res2318z00_2663;
																								}
																						}
																					else
																						{	/* Ast/app.scm 99 */
																							BgL_test2417z00_4309 =
																								((bool_t) 0);
																						}
																				}
																			}
																	}
																	if (BgL_test2417z00_4309)
																		{	/* Ast/app.scm 100 */
																			obj_t BgL_arg1642z00_1594;

																			BgL_arg1642z00_1594 =
																				CDR(((obj_t) BgL_expz00_1587));
																			{
																				obj_t BgL_expz00_4361;

																				BgL_expz00_4361 = BgL_arg1642z00_1594;
																				BgL_expz00_1587 = BgL_expz00_4361;
																				goto
																					BgL_zc3z04anonymousza31633ze3z87_1588;
																			}
																		}
																	else
																		{	/* Ast/app.scm 99 */
																			BgL_test2414z00_4299 = ((bool_t) 0);
																		}
																}
														}
												}
												if (BgL_test2414z00_4299)
													{	/* Ast/app.scm 147 */
														obj_t BgL_classz00_2740;

														BgL_classz00_2740 = BGl_varz00zzast_nodez00;
														{	/* Ast/app.scm 147 */
															BgL_objectz00_bglt BgL_arg1858z00_2742;

															{	/* Ast/app.scm 147 */
																obj_t BgL_tmpz00_4362;

																BgL_tmpz00_4362 =
																	((obj_t)
																	((BgL_objectz00_bglt) BgL_funz00_1484));
																BgL_arg1858z00_2742 =
																	(BgL_objectz00_bglt) (BgL_tmpz00_4362);
															}
															if (BGL_CONDEXPAND_ISA_ARCH64())
																{	/* Ast/app.scm 147 */
																	long BgL_idxz00_2748;

																	BgL_idxz00_2748 =
																		BGL_OBJECT_INHERITANCE_NUM
																		(BgL_arg1858z00_2742);
																	BgL_test2413z00_4298 =
																		(VECTOR_REF
																		(BGl_za2inheritancesza2z00zz__objectz00,
																			(BgL_idxz00_2748 + 2L)) ==
																		BgL_classz00_2740);
																}
															else
																{	/* Ast/app.scm 147 */
																	bool_t BgL_res2320z00_2773;

																	{	/* Ast/app.scm 147 */
																		obj_t BgL_oclassz00_2756;

																		{	/* Ast/app.scm 147 */
																			obj_t BgL_arg1866z00_2764;
																			long BgL_arg1867z00_2765;

																			BgL_arg1866z00_2764 =
																				(BGl_za2classesza2z00zz__objectz00);
																			{	/* Ast/app.scm 147 */
																				long BgL_arg1869z00_2766;

																				BgL_arg1869z00_2766 =
																					BGL_OBJECT_CLASS_NUM
																					(BgL_arg1858z00_2742);
																				BgL_arg1867z00_2765 =
																					(BgL_arg1869z00_2766 - OBJECT_TYPE);
																			}
																			BgL_oclassz00_2756 =
																				VECTOR_REF(BgL_arg1866z00_2764,
																				BgL_arg1867z00_2765);
																		}
																		{	/* Ast/app.scm 147 */
																			bool_t BgL__ortest_1115z00_2757;

																			BgL__ortest_1115z00_2757 =
																				(BgL_classz00_2740 ==
																				BgL_oclassz00_2756);
																			if (BgL__ortest_1115z00_2757)
																				{	/* Ast/app.scm 147 */
																					BgL_res2320z00_2773 =
																						BgL__ortest_1115z00_2757;
																				}
																			else
																				{	/* Ast/app.scm 147 */
																					long BgL_odepthz00_2758;

																					{	/* Ast/app.scm 147 */
																						obj_t BgL_arg1855z00_2759;

																						BgL_arg1855z00_2759 =
																							(BgL_oclassz00_2756);
																						BgL_odepthz00_2758 =
																							BGL_CLASS_DEPTH
																							(BgL_arg1855z00_2759);
																					}
																					if ((2L < BgL_odepthz00_2758))
																						{	/* Ast/app.scm 147 */
																							obj_t BgL_arg1853z00_2761;

																							{	/* Ast/app.scm 147 */
																								obj_t BgL_arg1854z00_2762;

																								BgL_arg1854z00_2762 =
																									(BgL_oclassz00_2756);
																								BgL_arg1853z00_2761 =
																									BGL_CLASS_ANCESTORS_REF
																									(BgL_arg1854z00_2762, 2L);
																							}
																							BgL_res2320z00_2773 =
																								(BgL_arg1853z00_2761 ==
																								BgL_classz00_2740);
																						}
																					else
																						{	/* Ast/app.scm 147 */
																							BgL_res2320z00_2773 =
																								((bool_t) 0);
																						}
																				}
																		}
																	}
																	BgL_test2413z00_4298 = BgL_res2320z00_2773;
																}
														}
													}
												else
													{	/* Ast/app.scm 147 */
														BgL_test2413z00_4298 = ((bool_t) 0);
													}
											}
											if (BgL_test2413z00_4298)
												{	/* Ast/app.scm 148 */
													obj_t BgL_argsz00_1488;

													BgL_argsz00_1488 = CDR(((obj_t) BgL_expz00_6));
													{	/* Ast/app.scm 148 */
														long BgL_deltaz00_1489;

														BgL_deltaz00_1489 =
															BGl_checkzd2userzd2appz00zzast_appz00
															(BgL_funz00_1484, BgL_argsz00_1488);
														{	/* Ast/app.scm 149 */

															{	/* Ast/app.scm 151 */
																bool_t BgL_test2430z00_4388;

																{	/* Ast/app.scm 151 */
																	obj_t BgL_classz00_2775;

																	BgL_classz00_2775 = BGl_varz00zzast_nodez00;
																	{	/* Ast/app.scm 151 */
																		BgL_objectz00_bglt BgL_arg1858z00_2777;

																		{	/* Ast/app.scm 151 */
																			obj_t BgL_tmpz00_4389;

																			BgL_tmpz00_4389 =
																				((obj_t)
																				((BgL_objectz00_bglt) BgL_funz00_1484));
																			BgL_arg1858z00_2777 =
																				(BgL_objectz00_bglt) (BgL_tmpz00_4389);
																		}
																		if (BGL_CONDEXPAND_ISA_ARCH64())
																			{	/* Ast/app.scm 151 */
																				long BgL_idxz00_2783;

																				BgL_idxz00_2783 =
																					BGL_OBJECT_INHERITANCE_NUM
																					(BgL_arg1858z00_2777);
																				BgL_test2430z00_4388 =
																					(VECTOR_REF
																					(BGl_za2inheritancesza2z00zz__objectz00,
																						(BgL_idxz00_2783 + 2L)) ==
																					BgL_classz00_2775);
																			}
																		else
																			{	/* Ast/app.scm 151 */
																				bool_t BgL_res2321z00_2808;

																				{	/* Ast/app.scm 151 */
																					obj_t BgL_oclassz00_2791;

																					{	/* Ast/app.scm 151 */
																						obj_t BgL_arg1866z00_2799;
																						long BgL_arg1867z00_2800;

																						BgL_arg1866z00_2799 =
																							(BGl_za2classesza2z00zz__objectz00);
																						{	/* Ast/app.scm 151 */
																							long BgL_arg1869z00_2801;

																							BgL_arg1869z00_2801 =
																								BGL_OBJECT_CLASS_NUM
																								(BgL_arg1858z00_2777);
																							BgL_arg1867z00_2800 =
																								(BgL_arg1869z00_2801 -
																								OBJECT_TYPE);
																						}
																						BgL_oclassz00_2791 =
																							VECTOR_REF(BgL_arg1866z00_2799,
																							BgL_arg1867z00_2800);
																					}
																					{	/* Ast/app.scm 151 */
																						bool_t BgL__ortest_1115z00_2792;

																						BgL__ortest_1115z00_2792 =
																							(BgL_classz00_2775 ==
																							BgL_oclassz00_2791);
																						if (BgL__ortest_1115z00_2792)
																							{	/* Ast/app.scm 151 */
																								BgL_res2321z00_2808 =
																									BgL__ortest_1115z00_2792;
																							}
																						else
																							{	/* Ast/app.scm 151 */
																								long BgL_odepthz00_2793;

																								{	/* Ast/app.scm 151 */
																									obj_t BgL_arg1855z00_2794;

																									BgL_arg1855z00_2794 =
																										(BgL_oclassz00_2791);
																									BgL_odepthz00_2793 =
																										BGL_CLASS_DEPTH
																										(BgL_arg1855z00_2794);
																								}
																								if ((2L < BgL_odepthz00_2793))
																									{	/* Ast/app.scm 151 */
																										obj_t BgL_arg1853z00_2796;

																										{	/* Ast/app.scm 151 */
																											obj_t BgL_arg1854z00_2797;

																											BgL_arg1854z00_2797 =
																												(BgL_oclassz00_2791);
																											BgL_arg1853z00_2796 =
																												BGL_CLASS_ANCESTORS_REF
																												(BgL_arg1854z00_2797,
																												2L);
																										}
																										BgL_res2321z00_2808 =
																											(BgL_arg1853z00_2796 ==
																											BgL_classz00_2775);
																									}
																								else
																									{	/* Ast/app.scm 151 */
																										BgL_res2321z00_2808 =
																											((bool_t) 0);
																									}
																							}
																					}
																				}
																				BgL_test2430z00_4388 =
																					BgL_res2321z00_2808;
																			}
																	}
																}
																if (BgL_test2430z00_4388)
																	{	/* Ast/app.scm 151 */
																		if ((BgL_deltaz00_1489 == 0L))
																			{	/* Ast/app.scm 153 */
																				return
																					BGl_makezd2appzd2nodez00zzast_appz00
																					(BgL_stackz00_7, BgL_locz00_1481,
																					BgL_sitez00_9,
																					((BgL_varz00_bglt) BgL_funz00_1484),
																					BgL_argsz00_1488);
																			}
																		else
																			{	/* Ast/app.scm 153 */
																				BgL_expz00_1600 = BgL_expz00_6;
																				BgL_locz00_1601 = BgL_locz00_1481;
																				BgL_funz00_1602 = BgL_funz00_1484;
																				BgL_argsz00_1603 = BgL_argsz00_1488;
																				{	/* Ast/app.scm 103 */
																					BgL_variablez00_bglt BgL_varz00_1605;

																					BgL_varz00_1605 =
																						(((BgL_varz00_bglt) COBJECT(
																								((BgL_varz00_bglt)
																									BgL_funz00_1602)))->
																						BgL_variablez00);
																					{	/* Ast/app.scm 103 */
																						BgL_valuez00_bglt BgL_funz00_1606;

																						BgL_funz00_1606 =
																							(((BgL_variablez00_bglt)
																								COBJECT(BgL_varz00_1605))->
																							BgL_valuez00);
																						{	/* Ast/app.scm 105 */
																							long BgL_arityz00_1608;

																							{	/* Ast/app.scm 107 */
																								bool_t BgL_test2435z00_4419;

																								{	/* Ast/app.scm 107 */
																									obj_t BgL_classz00_2667;

																									BgL_classz00_2667 =
																										BGl_funz00zzast_varz00;
																									{	/* Ast/app.scm 107 */
																										BgL_objectz00_bglt
																											BgL_arg1858z00_2669;
																										{	/* Ast/app.scm 107 */
																											obj_t BgL_tmpz00_4420;

																											BgL_tmpz00_4420 =
																												((obj_t)
																												((BgL_objectz00_bglt)
																													BgL_funz00_1606));
																											BgL_arg1858z00_2669 =
																												(BgL_objectz00_bglt)
																												(BgL_tmpz00_4420);
																										}
																										if (BGL_CONDEXPAND_ISA_ARCH64())
																											{	/* Ast/app.scm 107 */
																												long BgL_idxz00_2675;

																												BgL_idxz00_2675 =
																													BGL_OBJECT_INHERITANCE_NUM
																													(BgL_arg1858z00_2669);
																												BgL_test2435z00_4419 =
																													(VECTOR_REF
																													(BGl_za2inheritancesza2z00zz__objectz00,
																														(BgL_idxz00_2675 +
																															2L)) ==
																													BgL_classz00_2667);
																											}
																										else
																											{	/* Ast/app.scm 107 */
																												bool_t
																													BgL_res2319z00_2700;
																												{	/* Ast/app.scm 107 */
																													obj_t
																														BgL_oclassz00_2683;
																													{	/* Ast/app.scm 107 */
																														obj_t
																															BgL_arg1866z00_2691;
																														long
																															BgL_arg1867z00_2692;
																														BgL_arg1866z00_2691
																															=
																															(BGl_za2classesza2z00zz__objectz00);
																														{	/* Ast/app.scm 107 */
																															long
																																BgL_arg1869z00_2693;
																															BgL_arg1869z00_2693
																																=
																																BGL_OBJECT_CLASS_NUM
																																(BgL_arg1858z00_2669);
																															BgL_arg1867z00_2692
																																=
																																(BgL_arg1869z00_2693
																																- OBJECT_TYPE);
																														}
																														BgL_oclassz00_2683 =
																															VECTOR_REF
																															(BgL_arg1866z00_2691,
																															BgL_arg1867z00_2692);
																													}
																													{	/* Ast/app.scm 107 */
																														bool_t
																															BgL__ortest_1115z00_2684;
																														BgL__ortest_1115z00_2684
																															=
																															(BgL_classz00_2667
																															==
																															BgL_oclassz00_2683);
																														if (BgL__ortest_1115z00_2684)
																															{	/* Ast/app.scm 107 */
																																BgL_res2319z00_2700
																																	=
																																	BgL__ortest_1115z00_2684;
																															}
																														else
																															{	/* Ast/app.scm 107 */
																																long
																																	BgL_odepthz00_2685;
																																{	/* Ast/app.scm 107 */
																																	obj_t
																																		BgL_arg1855z00_2686;
																																	BgL_arg1855z00_2686
																																		=
																																		(BgL_oclassz00_2683);
																																	BgL_odepthz00_2685
																																		=
																																		BGL_CLASS_DEPTH
																																		(BgL_arg1855z00_2686);
																																}
																																if (
																																	(2L <
																																		BgL_odepthz00_2685))
																																	{	/* Ast/app.scm 107 */
																																		obj_t
																																			BgL_arg1853z00_2688;
																																		{	/* Ast/app.scm 107 */
																																			obj_t
																																				BgL_arg1854z00_2689;
																																			BgL_arg1854z00_2689
																																				=
																																				(BgL_oclassz00_2683);
																																			BgL_arg1853z00_2688
																																				=
																																				BGL_CLASS_ANCESTORS_REF
																																				(BgL_arg1854z00_2689,
																																				2L);
																																		}
																																		BgL_res2319z00_2700
																																			=
																																			(BgL_arg1853z00_2688
																																			==
																																			BgL_classz00_2667);
																																	}
																																else
																																	{	/* Ast/app.scm 107 */
																																		BgL_res2319z00_2700
																																			=
																																			((bool_t)
																																			0);
																																	}
																															}
																													}
																												}
																												BgL_test2435z00_4419 =
																													BgL_res2319z00_2700;
																											}
																									}
																								}
																								if (BgL_test2435z00_4419)
																									{	/* Ast/app.scm 107 */
																										BgL_arityz00_1608 =
																											(((BgL_funz00_bglt)
																												COBJECT((
																														(BgL_funz00_bglt)
																														BgL_funz00_1606)))->
																											BgL_arityz00);
																									}
																								else
																									{	/* Ast/app.scm 107 */
																										BgL_arityz00_1608 = (-1L);
																									}
																							}
																							{	/* Ast/app.scm 106 */
																								obj_t BgL_expectz00_1609;

																								if ((BgL_arityz00_1608 >= 0L))
																									{	/* Ast/app.scm 112 */
																										if (BGl_sfunzd2optionalzf3z21zzast_varz00(((obj_t) BgL_funz00_1606)))
																											{	/* Ast/app.scm 116 */
																												obj_t
																													BgL_arg1660z00_1619;
																												obj_t
																													BgL_arg1663z00_1620;
																												{	/* Ast/app.scm 116 */

																													BgL_arg1660z00_1619 =
																														BGl_numberzd2ze3stringz31zz__r4_numbers_6_5z00
																														(BINT
																														(BgL_arityz00_1608),
																														BINT(10L));
																												}
																												{	/* Ast/app.scm 119 */
																													obj_t
																														BgL_arg1679z00_1628;
																													{	/* Ast/app.scm 119 */
																														long
																															BgL_b1298z00_1631;
																														BgL_b1298z00_1631 =
																															bgl_list_length(((
																																	(BgL_sfunz00_bglt)
																																	COBJECT((
																																			(BgL_sfunz00_bglt)
																																			BgL_funz00_1606)))->
																																BgL_optionalsz00));
																														{	/* Ast/app.scm 119 */
																															obj_t
																																BgL_za71za7_2704;
																															obj_t
																																BgL_za72za7_2705;
																															BgL_za71za7_2704 =
																																BINT
																																(BgL_arityz00_1608);
																															BgL_za72za7_2705 =
																																BINT
																																(BgL_b1298z00_1631);
																															{	/* Ast/app.scm 119 */
																																obj_t
																																	BgL_tmpz00_2706;
																																BgL_tmpz00_2706
																																	= BINT(0L);
																																if (BGL_ADDFX_OV
																																	(BgL_za71za7_2704,
																																		BgL_za72za7_2705,
																																		BgL_tmpz00_2706))
																																	{	/* Ast/app.scm 119 */
																																		BgL_arg1679z00_1628
																																			=
																																			bgl_bignum_add
																																			(bgl_long_to_bignum
																																			((long)
																																				CINT
																																				(BgL_za71za7_2704)),
																																			bgl_long_to_bignum
																																			((long)
																																				CINT
																																				(BgL_za72za7_2705)));
																																	}
																																else
																																	{	/* Ast/app.scm 119 */
																																		BgL_arg1679z00_1628
																																			=
																																			BgL_tmpz00_2706;
																																	}
																															}
																														}
																													}
																													{	/* Ast/app.scm 118 */

																														BgL_arg1663z00_1620
																															=
																															BGl_numberzd2ze3stringz31zz__r4_numbers_6_5z00
																															(BgL_arg1679z00_1628,
																															BINT(10L));
																													}
																												}
																												{	/* Ast/app.scm 115 */
																													obj_t
																														BgL_list1664z00_1621;
																													{	/* Ast/app.scm 115 */
																														obj_t
																															BgL_arg1673z00_1622;
																														{	/* Ast/app.scm 115 */
																															obj_t
																																BgL_arg1674z00_1623;
																															{	/* Ast/app.scm 115 */
																																obj_t
																																	BgL_arg1675z00_1624;
																																{	/* Ast/app.scm 115 */
																																	obj_t
																																		BgL_arg1677z00_1625;
																																	BgL_arg1677z00_1625
																																		=
																																		MAKE_YOUNG_PAIR
																																		(BGl_string2362z00zzast_appz00,
																																		BNIL);
																																	BgL_arg1675z00_1624
																																		=
																																		MAKE_YOUNG_PAIR
																																		(BgL_arg1663z00_1620,
																																		BgL_arg1677z00_1625);
																																}
																																BgL_arg1674z00_1623
																																	=
																																	MAKE_YOUNG_PAIR
																																	(BGl_string2363z00zzast_appz00,
																																	BgL_arg1675z00_1624);
																															}
																															BgL_arg1673z00_1622
																																=
																																MAKE_YOUNG_PAIR
																																(BgL_arg1660z00_1619,
																																BgL_arg1674z00_1623);
																														}
																														BgL_list1664z00_1621
																															=
																															MAKE_YOUNG_PAIR
																															(BGl_string2364z00zzast_appz00,
																															BgL_arg1673z00_1622);
																													}
																													BgL_expectz00_1609 =
																														BGl_stringzd2appendzd2zz__r4_strings_6_7z00
																														(BgL_list1664z00_1621);
																												}
																											}
																										else
																											{	/* Ast/app.scm 114 */
																												if (BGl_sfunzd2keyzf3z21zzast_varz00(((obj_t) BgL_funz00_1606)))
																													{	/* Ast/app.scm 124 */
																														obj_t
																															BgL_arg1691z00_1635;
																														obj_t
																															BgL_arg1692z00_1636;
																														{	/* Ast/app.scm 124 */

																															BgL_arg1691z00_1635
																																=
																																BGl_numberzd2ze3stringz31zz__r4_numbers_6_5z00
																																(BINT
																																(BgL_arityz00_1608),
																																BINT(10L));
																														}
																														{	/* Ast/app.scm 127 */
																															obj_t
																																BgL_arg1715z00_1644;
																															{	/* Ast/app.scm 127 */
																																obj_t
																																	BgL_b1300z00_1647;
																																{	/* Ast/app.scm 128 */
																																	long
																																		BgL_b1299z00_1649;
																																	BgL_b1299z00_1649
																																		=
																																		bgl_list_length
																																		((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt) BgL_funz00_1606)))->BgL_keysz00));
																																	{	/* Ast/app.scm 128 */
																																		obj_t
																																			BgL_za72za7_2716;
																																		BgL_za72za7_2716
																																			=
																																			BINT
																																			(BgL_b1299z00_1649);
																																		{	/* Ast/app.scm 128 */
																																			obj_t
																																				BgL_tmpz00_2717;
																																			BgL_tmpz00_2717
																																				=
																																				BINT
																																				(0L);
																																			{	/* Ast/app.scm 128 */
																																				bool_t
																																					BgL_test2443z00_4485;
																																				{	/* Ast/app.scm 128 */
																																					obj_t
																																						BgL_tmpz00_4486;
																																					BgL_tmpz00_4486
																																						=
																																						BINT
																																						(2L);
																																					BgL_test2443z00_4485
																																						=
																																						BGL_MULFX_OV
																																						(BgL_tmpz00_4486,
																																						BgL_za72za7_2716,
																																						BgL_tmpz00_2717);
																																				}
																																				if (BgL_test2443z00_4485)
																																					{	/* Ast/app.scm 128 */
																																						BgL_b1300z00_1647
																																							=
																																							bgl_bignum_mul
																																							(((obj_t) CNST_TABLE_REF(0)), bgl_long_to_bignum((long) CINT(BgL_za72za7_2716)));
																																					}
																																				else
																																					{	/* Ast/app.scm 128 */
																																						BgL_b1300z00_1647
																																							=
																																							BgL_tmpz00_2717;
																																					}
																																			}
																																		}
																																	}
																																}
																																if (INTEGERP
																																	(BgL_b1300z00_1647))
																																	{	/* Ast/app.scm 127 */
																																		obj_t
																																			BgL_za71za7_2725;
																																		BgL_za71za7_2725
																																			=
																																			BINT
																																			(BgL_arityz00_1608);
																																		{	/* Ast/app.scm 127 */
																																			obj_t
																																				BgL_tmpz00_2727;
																																			BgL_tmpz00_2727
																																				=
																																				BINT
																																				(0L);
																																			if (BGL_ADDFX_OV(BgL_za71za7_2725, BgL_b1300z00_1647, BgL_tmpz00_2727))
																																				{	/* Ast/app.scm 127 */
																																					BgL_arg1715z00_1644
																																						=
																																						bgl_bignum_add
																																						(bgl_long_to_bignum
																																						((long) CINT(BgL_za71za7_2725)), bgl_long_to_bignum((long) CINT(BgL_b1300z00_1647)));
																																				}
																																			else
																																				{	/* Ast/app.scm 127 */
																																					BgL_arg1715z00_1644
																																						=
																																						BgL_tmpz00_2727;
																																				}
																																		}
																																	}
																																else
																																	{	/* Ast/app.scm 127 */
																																		BgL_arg1715z00_1644
																																			=
																																			BGl_2zb2zb2zz__r4_numbers_6_5z00
																																			(BINT
																																			(BgL_arityz00_1608),
																																			BgL_b1300z00_1647);
																																	}
																															}
																															{	/* Ast/app.scm 126 */

																																BgL_arg1692z00_1636
																																	=
																																	BGl_numberzd2ze3stringz31zz__r4_numbers_6_5z00
																																	(BgL_arg1715z00_1644,
																																	BINT(10L));
																															}
																														}
																														{	/* Ast/app.scm 123 */
																															obj_t
																																BgL_list1693z00_1637;
																															{	/* Ast/app.scm 123 */
																																obj_t
																																	BgL_arg1695z00_1638;
																																{	/* Ast/app.scm 123 */
																																	obj_t
																																		BgL_arg1696z00_1639;
																																	{	/* Ast/app.scm 123 */
																																		obj_t
																																			BgL_arg1699z00_1640;
																																		{	/* Ast/app.scm 123 */
																																			obj_t
																																				BgL_arg1703z00_1641;
																																			BgL_arg1703z00_1641
																																				=
																																				MAKE_YOUNG_PAIR
																																				(BGl_string2362z00zzast_appz00,
																																				BNIL);
																																			BgL_arg1699z00_1640
																																				=
																																				MAKE_YOUNG_PAIR
																																				(BgL_arg1692z00_1636,
																																				BgL_arg1703z00_1641);
																																		}
																																		BgL_arg1696z00_1639
																																			=
																																			MAKE_YOUNG_PAIR
																																			(BGl_string2363z00zzast_appz00,
																																			BgL_arg1699z00_1640);
																																	}
																																	BgL_arg1695z00_1638
																																		=
																																		MAKE_YOUNG_PAIR
																																		(BgL_arg1691z00_1635,
																																		BgL_arg1696z00_1639);
																																}
																																BgL_list1693z00_1637
																																	=
																																	MAKE_YOUNG_PAIR
																																	(BGl_string2364z00zzast_appz00,
																																	BgL_arg1695z00_1638);
																															}
																															BgL_expectz00_1609
																																=
																																BGl_stringzd2appendzd2zz__r4_strings_6_7z00
																																(BgL_list1693z00_1637);
																														}
																													}
																												else
																													{	/* Ast/app.scm 131 */
																														obj_t
																															BgL_arg1720z00_1651;
																														{	/* Ast/app.scm 131 */

																															BgL_arg1720z00_1651
																																=
																																BGl_numberzd2ze3stringz31zz__r4_numbers_6_5z00
																																(BINT
																																(BgL_arityz00_1608),
																																BINT(10L));
																														}
																														BgL_expectz00_1609 =
																															string_append
																															(BgL_arg1720z00_1651,
																															BGl_string2365z00zzast_appz00);
																													}
																											}
																									}
																								else
																									{	/* Ast/app.scm 134 */
																										obj_t BgL_arg1724z00_1654;

																										{	/* Ast/app.scm 134 */

																											BgL_arg1724z00_1654 =
																												BGl_numberzd2ze3stringz31zz__r4_numbers_6_5z00
																												(BINT(NEG(
																														(BgL_arityz00_1608 +
																															1L))), BINT(10L));
																										}
																										BgL_expectz00_1609 =
																											string_append
																											(BgL_arg1724z00_1654,
																											BGl_string2366z00zzast_appz00);
																									}
																								{	/* Ast/app.scm 111 */
																									obj_t BgL_providez00_1610;

																									{	/* Ast/app.scm 136 */
																										obj_t BgL_arg1656z00_1613;

																										{	/* Ast/app.scm 136 */

																											BgL_arg1656z00_1613 =
																												BGl_numberzd2ze3stringz31zz__r4_numbers_6_5z00
																												(BINT(bgl_list_length
																													(BgL_argsz00_1603)),
																												BINT(10L));
																										}
																										BgL_providez00_1610 =
																											string_append
																											(BgL_arg1656z00_1613,
																											BGl_string2367z00zzast_appz00);
																									}
																									{	/* Ast/app.scm 136 */

																										return
																											BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00
																											(string_append_3
																											(BGl_string2368z00zzast_appz00,
																												BgL_expectz00_1609,
																												BgL_providez00_1610),
																											BGl_shapez00zztools_shapez00
																											(BgL_expz00_1600),
																											BgL_locz00_1601);
																									}
																								}
																							}
																						}
																					}
																				}
																			}
																	}
																else
																	{	/* Ast/app.scm 151 */
																		BGL_TAIL return
																			BGl_sexpzd2ze3nodez31zzast_sexpz00(
																			((obj_t)
																				CNST_TABLE_REF(2)), BgL_stackz00_7,
																			BgL_locz00_1481,
																			((obj_t) CNST_TABLE_REF(3)));
																	}
															}
														}
													}
												}
											else
												{	/* Ast/app.scm 157 */
													obj_t BgL_g1109z00_1492;

													BgL_g1109z00_1492 = CDR(((obj_t) BgL_expz00_6));
													{
														obj_t BgL_oldzd2argszd2_1496;
														obj_t BgL_newzd2argszd2_1497;
														obj_t BgL_bindingsz00_1498;

														BgL_oldzd2argszd2_1496 = BgL_g1109z00_1492;
														BgL_newzd2argszd2_1497 = BNIL;
														BgL_bindingsz00_1498 = BNIL;
													BgL_zc3z04anonymousza31395ze3z87_1499:
														if (NULLP(BgL_oldzd2argszd2_1496))
															{	/* Ast/app.scm 168 */
																bool_t BgL_test2447z00_4542;

																{	/* Ast/app.scm 168 */
																	obj_t BgL_classz00_2812;

																	BgL_classz00_2812 = BGl_varz00zzast_nodez00;
																	{	/* Ast/app.scm 168 */
																		BgL_objectz00_bglt BgL_arg1858z00_2814;

																		{	/* Ast/app.scm 168 */
																			obj_t BgL_tmpz00_4543;

																			BgL_tmpz00_4543 =
																				((obj_t)
																				((BgL_objectz00_bglt) BgL_funz00_1484));
																			BgL_arg1858z00_2814 =
																				(BgL_objectz00_bglt) (BgL_tmpz00_4543);
																		}
																		if (BGL_CONDEXPAND_ISA_ARCH64())
																			{	/* Ast/app.scm 168 */
																				long BgL_idxz00_2820;

																				BgL_idxz00_2820 =
																					BGL_OBJECT_INHERITANCE_NUM
																					(BgL_arg1858z00_2814);
																				BgL_test2447z00_4542 =
																					(VECTOR_REF
																					(BGl_za2inheritancesza2z00zz__objectz00,
																						(BgL_idxz00_2820 + 2L)) ==
																					BgL_classz00_2812);
																			}
																		else
																			{	/* Ast/app.scm 168 */
																				bool_t BgL_res2322z00_2845;

																				{	/* Ast/app.scm 168 */
																					obj_t BgL_oclassz00_2828;

																					{	/* Ast/app.scm 168 */
																						obj_t BgL_arg1866z00_2836;
																						long BgL_arg1867z00_2837;

																						BgL_arg1866z00_2836 =
																							(BGl_za2classesza2z00zz__objectz00);
																						{	/* Ast/app.scm 168 */
																							long BgL_arg1869z00_2838;

																							BgL_arg1869z00_2838 =
																								BGL_OBJECT_CLASS_NUM
																								(BgL_arg1858z00_2814);
																							BgL_arg1867z00_2837 =
																								(BgL_arg1869z00_2838 -
																								OBJECT_TYPE);
																						}
																						BgL_oclassz00_2828 =
																							VECTOR_REF(BgL_arg1866z00_2836,
																							BgL_arg1867z00_2837);
																					}
																					{	/* Ast/app.scm 168 */
																						bool_t BgL__ortest_1115z00_2829;

																						BgL__ortest_1115z00_2829 =
																							(BgL_classz00_2812 ==
																							BgL_oclassz00_2828);
																						if (BgL__ortest_1115z00_2829)
																							{	/* Ast/app.scm 168 */
																								BgL_res2322z00_2845 =
																									BgL__ortest_1115z00_2829;
																							}
																						else
																							{	/* Ast/app.scm 168 */
																								long BgL_odepthz00_2830;

																								{	/* Ast/app.scm 168 */
																									obj_t BgL_arg1855z00_2831;

																									BgL_arg1855z00_2831 =
																										(BgL_oclassz00_2828);
																									BgL_odepthz00_2830 =
																										BGL_CLASS_DEPTH
																										(BgL_arg1855z00_2831);
																								}
																								if ((2L < BgL_odepthz00_2830))
																									{	/* Ast/app.scm 168 */
																										obj_t BgL_arg1853z00_2833;

																										{	/* Ast/app.scm 168 */
																											obj_t BgL_arg1854z00_2834;

																											BgL_arg1854z00_2834 =
																												(BgL_oclassz00_2828);
																											BgL_arg1853z00_2833 =
																												BGL_CLASS_ANCESTORS_REF
																												(BgL_arg1854z00_2834,
																												2L);
																										}
																										BgL_res2322z00_2845 =
																											(BgL_arg1853z00_2833 ==
																											BgL_classz00_2812);
																									}
																								else
																									{	/* Ast/app.scm 168 */
																										BgL_res2322z00_2845 =
																											((bool_t) 0);
																									}
																							}
																					}
																				}
																				BgL_test2447z00_4542 =
																					BgL_res2322z00_2845;
																			}
																	}
																}
																if (BgL_test2447z00_4542)
																	{	/* Ast/app.scm 170 */
																		BgL_nodez00_bglt BgL_nodez00_1504;

																		{	/* Ast/app.scm 170 */
																			obj_t BgL_arg1400z00_1505;

																			BgL_arg1400z00_1505 =
																				BGl_makezd2thezd2appze70ze7zzast_appz00
																				(BgL_bindingsz00_1498,
																				BgL_newzd2argszd2_1497,
																				((obj_t) BgL_funz00_1484));
																			BgL_nodez00_1504 =
																				BGl_sexpzd2ze3nodez31zzast_sexpz00
																				(BgL_arg1400z00_1505, BgL_stackz00_7,
																				BgL_locz00_1481, BgL_sitez00_9);
																		}
																		return
																			BGl_cleanzd2userzd2nodez12z12zzast_appz00
																			(BgL_nodez00_1504);
																	}
																else
																	{	/* Ast/app.scm 175 */
																		obj_t BgL_newzd2funzd2_1506;

																		BgL_newzd2funzd2_1506 =
																			BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
																			(BGl_gensymz00zz__r4_symbols_6_4z00((
																					(obj_t) CNST_TABLE_REF(4))));
																		{	/* Ast/app.scm 175 */
																			obj_t BgL_lexpz00_1507;

																			{	/* Ast/app.scm 176 */
																				obj_t BgL_arg1401z00_1509;
																				obj_t BgL_arg1402z00_1510;

																				BgL_arg1401z00_1509 =
																					BGl_letzd2symzd2zzast_letz00();
																				{	/* Ast/app.scm 176 */
																					obj_t BgL_arg1403z00_1511;
																					obj_t BgL_arg1406z00_1512;

																					{	/* Ast/app.scm 176 */
																						obj_t BgL_arg1414z00_1513;

																						{	/* Ast/app.scm 176 */
																							obj_t BgL_arg1415z00_1514;

																							{	/* Ast/app.scm 176 */
																								obj_t BgL_arg1416z00_1515;

																								if (BgL_funzd2errzf3z21_1485)
																									{	/* Ast/app.scm 176 */
																										BgL_arg1416z00_1515 =
																											((obj_t)
																											CNST_TABLE_REF(5));
																									}
																								else
																									{	/* Ast/app.scm 176 */
																										BgL_arg1416z00_1515 =
																											((obj_t) BgL_funz00_1484);
																									}
																								BgL_arg1415z00_1514 =
																									MAKE_YOUNG_PAIR
																									(BgL_arg1416z00_1515, BNIL);
																							}
																							BgL_arg1414z00_1513 =
																								MAKE_YOUNG_PAIR
																								(BgL_newzd2funzd2_1506,
																								BgL_arg1415z00_1514);
																						}
																						BgL_arg1403z00_1511 =
																							MAKE_YOUNG_PAIR
																							(BgL_arg1414z00_1513, BNIL);
																					}
																					BgL_arg1406z00_1512 =
																						MAKE_YOUNG_PAIR
																						(BGl_makezd2thezd2appze70ze7zzast_appz00
																						(BgL_bindingsz00_1498,
																							BgL_newzd2argszd2_1497,
																							BgL_newzd2funzd2_1506), BNIL);
																					BgL_arg1402z00_1510 =
																						MAKE_YOUNG_PAIR(BgL_arg1403z00_1511,
																						BgL_arg1406z00_1512);
																				}
																				BgL_lexpz00_1507 =
																					MAKE_YOUNG_PAIR(BgL_arg1401z00_1509,
																					BgL_arg1402z00_1510);
																			}
																			{	/* Ast/app.scm 176 */
																				BgL_nodez00_bglt BgL_nodez00_1508;

																				BgL_nodez00_1508 =
																					BGl_sexpzd2ze3nodez31zzast_sexpz00
																					(BgL_lexpz00_1507, BgL_stackz00_7,
																					BgL_locz00_1481, BgL_sitez00_9);
																				{	/* Ast/app.scm 180 */

																					return
																						BGl_cleanzd2userzd2nodez12z12zzast_appz00
																						(BgL_nodez00_1508);
																				}
																			}
																		}
																	}
															}
														else
															{	/* Ast/app.scm 161 */
																if (BGl_atomiczf3ze70z14zzast_appz00(CAR(
																			((obj_t) BgL_oldzd2argszd2_1496))))
																	{	/* Ast/app.scm 183 */
																		obj_t BgL_arg1506z00_1531;
																		obj_t BgL_arg1511z00_1532;

																		BgL_arg1506z00_1531 =
																			CDR(((obj_t) BgL_oldzd2argszd2_1496));
																		if (EPAIRP(BgL_oldzd2argszd2_1496))
																			{	/* Ast/app.scm 185 */
																				obj_t BgL_arg1513z00_1534;
																				obj_t BgL_arg1515z00_1535;

																				BgL_arg1513z00_1534 =
																					CAR(((obj_t) BgL_oldzd2argszd2_1496));
																				BgL_arg1515z00_1535 =
																					CER(((obj_t) BgL_oldzd2argszd2_1496));
																				{	/* Ast/app.scm 185 */
																					obj_t BgL_res2323z00_2850;

																					BgL_res2323z00_2850 =
																						MAKE_YOUNG_EPAIR
																						(BgL_arg1513z00_1534,
																						BgL_newzd2argszd2_1497,
																						BgL_arg1515z00_1535);
																					BgL_arg1511z00_1532 =
																						BgL_res2323z00_2850;
																				}
																			}
																		else
																			{	/* Ast/app.scm 186 */
																				obj_t BgL_arg1516z00_1536;

																				BgL_arg1516z00_1536 =
																					CAR(((obj_t) BgL_oldzd2argszd2_1496));
																				BgL_arg1511z00_1532 =
																					MAKE_YOUNG_PAIR(BgL_arg1516z00_1536,
																					BgL_newzd2argszd2_1497);
																			}
																		{
																			obj_t BgL_newzd2argszd2_4605;
																			obj_t BgL_oldzd2argszd2_4604;

																			BgL_oldzd2argszd2_4604 =
																				BgL_arg1506z00_1531;
																			BgL_newzd2argszd2_4605 =
																				BgL_arg1511z00_1532;
																			BgL_newzd2argszd2_1497 =
																				BgL_newzd2argszd2_4605;
																			BgL_oldzd2argszd2_1496 =
																				BgL_oldzd2argszd2_4604;
																			goto
																				BgL_zc3z04anonymousza31395ze3z87_1499;
																		}
																	}
																else
																	{	/* Ast/app.scm 189 */
																		obj_t BgL_newzd2argzd2_1537;

																		BgL_newzd2argzd2_1537 =
																			BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
																			(BGl_gensymz00zz__r4_symbols_6_4z00((
																					(obj_t) CNST_TABLE_REF(6))));
																		{	/* Ast/app.scm 190 */
																			obj_t BgL_arg1530z00_1538;
																			obj_t BgL_arg1532z00_1539;
																			obj_t BgL_arg1535z00_1540;

																			BgL_arg1530z00_1538 =
																				CDR(((obj_t) BgL_oldzd2argszd2_1496));
																			if (EPAIRP(BgL_oldzd2argszd2_1496))
																				{	/* Ast/app.scm 192 */
																					obj_t BgL_arg1543z00_1542;

																					BgL_arg1543z00_1542 =
																						CER(
																						((obj_t) BgL_oldzd2argszd2_1496));
																					{	/* Ast/app.scm 192 */
																						obj_t BgL_res2324z00_2854;

																						BgL_res2324z00_2854 =
																							MAKE_YOUNG_EPAIR
																							(BgL_newzd2argzd2_1537,
																							BgL_newzd2argszd2_1497,
																							BgL_arg1543z00_1542);
																						BgL_arg1532z00_1539 =
																							BgL_res2324z00_2854;
																					}
																				}
																			else
																				{	/* Ast/app.scm 191 */
																					BgL_arg1532z00_1539 =
																						MAKE_YOUNG_PAIR
																						(BgL_newzd2argzd2_1537,
																						BgL_newzd2argszd2_1497);
																				}
																			{	/* Ast/app.scm 194 */
																				obj_t BgL_arg1545z00_1543;

																				{	/* Ast/app.scm 194 */
																					obj_t BgL_arg1553z00_1544;

																					BgL_arg1553z00_1544 =
																						CAR(
																						((obj_t) BgL_oldzd2argszd2_1496));
																					{	/* Ast/app.scm 194 */
																						obj_t BgL_list1554z00_1545;

																						{	/* Ast/app.scm 194 */
																							obj_t BgL_arg1558z00_1546;

																							BgL_arg1558z00_1546 =
																								MAKE_YOUNG_PAIR
																								(BgL_arg1553z00_1544, BNIL);
																							BgL_list1554z00_1545 =
																								MAKE_YOUNG_PAIR
																								(BgL_newzd2argzd2_1537,
																								BgL_arg1558z00_1546);
																						}
																						BgL_arg1545z00_1543 =
																							BgL_list1554z00_1545;
																					}
																				}
																				BgL_arg1535z00_1540 =
																					MAKE_YOUNG_PAIR(BgL_arg1545z00_1543,
																					BgL_bindingsz00_1498);
																			}
																			{
																				obj_t BgL_bindingsz00_4625;
																				obj_t BgL_newzd2argszd2_4624;
																				obj_t BgL_oldzd2argszd2_4623;

																				BgL_oldzd2argszd2_4623 =
																					BgL_arg1530z00_1538;
																				BgL_newzd2argszd2_4624 =
																					BgL_arg1532z00_1539;
																				BgL_bindingsz00_4625 =
																					BgL_arg1535z00_1540;
																				BgL_bindingsz00_1498 =
																					BgL_bindingsz00_4625;
																				BgL_newzd2argszd2_1497 =
																					BgL_newzd2argszd2_4624;
																				BgL_oldzd2argszd2_1496 =
																					BgL_oldzd2argszd2_4623;
																				goto
																					BgL_zc3z04anonymousza31395ze3z87_1499;
																			}
																		}
																	}
															}
													}
												}
										}
									}
								}
							}
						}
					}
				}
			}
		}

	}



/* atomic?~0 */
	bool_t BGl_atomiczf3ze70z14zzast_appz00(obj_t BgL_expz00_1553)
	{
		{	/* Ast/app.scm 89 */
			if (PAIRP(BgL_expz00_1553))
				{	/* Ast/app.scm 89 */
					if ((CAR(((obj_t) BgL_expz00_1553)) == ((obj_t) CNST_TABLE_REF(7))))
						{	/* Ast/app.scm 89 */
							return ((bool_t) 1);
						}
					else
						{	/* Ast/app.scm 89 */
							obj_t BgL_cdrzd2371zd2_1567;

							BgL_cdrzd2371zd2_1567 = CDR(((obj_t) BgL_expz00_1553));
							if (
								(CAR(((obj_t) BgL_expz00_1553)) == ((obj_t) CNST_TABLE_REF(8))))
								{	/* Ast/app.scm 89 */
									if (PAIRP(BgL_cdrzd2371zd2_1567))
										{	/* Ast/app.scm 89 */
											obj_t BgL_cdrzd2373zd2_1571;

											BgL_cdrzd2373zd2_1571 = CDR(BgL_cdrzd2371zd2_1567);
											{	/* Ast/app.scm 89 */
												bool_t BgL_test2459z00_4645;

												{	/* Ast/app.scm 89 */
													obj_t BgL_tmpz00_4646;

													BgL_tmpz00_4646 = CAR(BgL_cdrzd2371zd2_1567);
													BgL_test2459z00_4645 = SYMBOLP(BgL_tmpz00_4646);
												}
												if (BgL_test2459z00_4645)
													{	/* Ast/app.scm 89 */
														if (PAIRP(BgL_cdrzd2373zd2_1571))
															{	/* Ast/app.scm 89 */
																bool_t BgL_test2461z00_4651;

																{	/* Ast/app.scm 89 */
																	obj_t BgL_tmpz00_4652;

																	BgL_tmpz00_4652 = CAR(BgL_cdrzd2373zd2_1571);
																	BgL_test2461z00_4651 =
																		SYMBOLP(BgL_tmpz00_4652);
																}
																if (BgL_test2461z00_4651)
																	{	/* Ast/app.scm 89 */
																		return NULLP(CDR(BgL_cdrzd2373zd2_1571));
																	}
																else
																	{	/* Ast/app.scm 89 */
																		return ((bool_t) 0);
																	}
															}
														else
															{	/* Ast/app.scm 89 */
																return ((bool_t) 0);
															}
													}
												else
													{	/* Ast/app.scm 89 */
														return ((bool_t) 0);
													}
											}
										}
									else
										{	/* Ast/app.scm 89 */
											return ((bool_t) 0);
										}
								}
							else
								{	/* Ast/app.scm 89 */
									return ((bool_t) 0);
								}
						}
				}
			else
				{	/* Ast/app.scm 89 */
					return ((bool_t) 1);
				}
		}

	}



/* make-the-app~0 */
	obj_t BGl_makezd2thezd2appze70ze7zzast_appz00(obj_t BgL_bindingsz00_4170,
		obj_t BgL_newzd2argszd2_4169, obj_t BgL_funz00_1518)
	{
		{	/* Ast/app.scm 163 */
			if (NULLP(BgL_bindingsz00_4170))
				{	/* Ast/app.scm 164 */
					return
						MAKE_YOUNG_PAIR(BgL_funz00_1518,
						bgl_reverse_bang(BgL_newzd2argszd2_4169));
				}
			else
				{	/* Ast/app.scm 165 */
					obj_t BgL_arg1446z00_1521;
					obj_t BgL_arg1457z00_1522;

					BgL_arg1446z00_1521 = BGl_letzd2symzd2zzast_letz00();
					{	/* Ast/app.scm 165 */
						obj_t BgL_arg1471z00_1523;
						obj_t BgL_arg1480z00_1524;

						BgL_arg1471z00_1523 = bgl_reverse_bang(BgL_bindingsz00_4170);
						{	/* Ast/app.scm 166 */
							obj_t BgL_arg1484z00_1525;

							BgL_arg1484z00_1525 =
								MAKE_YOUNG_PAIR(BgL_funz00_1518,
								bgl_reverse_bang(BgL_newzd2argszd2_4169));
							BgL_arg1480z00_1524 = MAKE_YOUNG_PAIR(BgL_arg1484z00_1525, BNIL);
						}
						BgL_arg1457z00_1522 =
							MAKE_YOUNG_PAIR(BgL_arg1471z00_1523, BgL_arg1480z00_1524);
					}
					return MAKE_YOUNG_PAIR(BgL_arg1446z00_1521, BgL_arg1457z00_1522);
				}
		}

	}



/* &application->node */
	BgL_nodez00_bglt BGl_z62applicationzd2ze3nodez53zzast_appz00(obj_t
		BgL_envz00_4150, obj_t BgL_expz00_4151, obj_t BgL_stackz00_4152,
		obj_t BgL_locz00_4153, obj_t BgL_sitez00_4154)
	{
		{	/* Ast/app.scm 74 */
			return
				BGl_applicationzd2ze3nodez31zzast_appz00(BgL_expz00_4151,
				BgL_stackz00_4152, BgL_locz00_4153, BgL_sitez00_4154);
		}

	}



/* check-user-app */
	long BGl_checkzd2userzd2appz00zzast_appz00(BgL_nodez00_bglt BgL_funz00_10,
		obj_t BgL_argsz00_11)
	{
		{	/* Ast/app.scm 205 */
			{	/* Ast/app.scm 206 */
				bool_t BgL_test2463z00_4669;

				{	/* Ast/app.scm 206 */
					obj_t BgL_classz00_2857;

					BgL_classz00_2857 = BGl_varz00zzast_nodez00;
					{	/* Ast/app.scm 206 */
						BgL_objectz00_bglt BgL_arg1858z00_2859;

						{	/* Ast/app.scm 206 */
							obj_t BgL_tmpz00_4670;

							BgL_tmpz00_4670 = ((obj_t) ((BgL_objectz00_bglt) BgL_funz00_10));
							BgL_arg1858z00_2859 = (BgL_objectz00_bglt) (BgL_tmpz00_4670);
						}
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Ast/app.scm 206 */
								long BgL_idxz00_2865;

								BgL_idxz00_2865 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_2859);
								BgL_test2463z00_4669 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_2865 + 2L)) == BgL_classz00_2857);
							}
						else
							{	/* Ast/app.scm 206 */
								bool_t BgL_res2326z00_2890;

								{	/* Ast/app.scm 206 */
									obj_t BgL_oclassz00_2873;

									{	/* Ast/app.scm 206 */
										obj_t BgL_arg1866z00_2881;
										long BgL_arg1867z00_2882;

										BgL_arg1866z00_2881 = (BGl_za2classesza2z00zz__objectz00);
										{	/* Ast/app.scm 206 */
											long BgL_arg1869z00_2883;

											BgL_arg1869z00_2883 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_2859);
											BgL_arg1867z00_2882 = (BgL_arg1869z00_2883 - OBJECT_TYPE);
										}
										BgL_oclassz00_2873 =
											VECTOR_REF(BgL_arg1866z00_2881, BgL_arg1867z00_2882);
									}
									{	/* Ast/app.scm 206 */
										bool_t BgL__ortest_1115z00_2874;

										BgL__ortest_1115z00_2874 =
											(BgL_classz00_2857 == BgL_oclassz00_2873);
										if (BgL__ortest_1115z00_2874)
											{	/* Ast/app.scm 206 */
												BgL_res2326z00_2890 = BgL__ortest_1115z00_2874;
											}
										else
											{	/* Ast/app.scm 206 */
												long BgL_odepthz00_2875;

												{	/* Ast/app.scm 206 */
													obj_t BgL_arg1855z00_2876;

													BgL_arg1855z00_2876 = (BgL_oclassz00_2873);
													BgL_odepthz00_2875 =
														BGL_CLASS_DEPTH(BgL_arg1855z00_2876);
												}
												if ((2L < BgL_odepthz00_2875))
													{	/* Ast/app.scm 206 */
														obj_t BgL_arg1853z00_2878;

														{	/* Ast/app.scm 206 */
															obj_t BgL_arg1854z00_2879;

															BgL_arg1854z00_2879 = (BgL_oclassz00_2873);
															BgL_arg1853z00_2878 =
																BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_2879,
																2L);
														}
														BgL_res2326z00_2890 =
															(BgL_arg1853z00_2878 == BgL_classz00_2857);
													}
												else
													{	/* Ast/app.scm 206 */
														BgL_res2326z00_2890 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_test2463z00_4669 = BgL_res2326z00_2890;
							}
					}
				}
				if (BgL_test2463z00_4669)
					{	/* Ast/app.scm 212 */
						BgL_variablez00_bglt BgL_varz00_1664;

						BgL_varz00_1664 =
							(((BgL_varz00_bglt) COBJECT(
									((BgL_varz00_bglt) BgL_funz00_10)))->BgL_variablez00);
						{	/* Ast/app.scm 212 */
							BgL_valuez00_bglt BgL_funz00_1665;

							BgL_funz00_1665 =
								(((BgL_variablez00_bglt) COBJECT(BgL_varz00_1664))->
								BgL_valuez00);
							{	/* Ast/app.scm 213 */
								long BgL_nbzd2argszd2_1666;

								BgL_nbzd2argszd2_1666 = bgl_list_length(BgL_argsz00_11);
								{	/* Ast/app.scm 214 */
									long BgL_arityz00_1667;

									{	/* Ast/app.scm 216 */
										bool_t BgL_test2467z00_4697;

										{	/* Ast/app.scm 216 */
											obj_t BgL_classz00_2893;

											BgL_classz00_2893 = BGl_funz00zzast_varz00;
											{	/* Ast/app.scm 216 */
												BgL_objectz00_bglt BgL_arg1858z00_2895;

												{	/* Ast/app.scm 216 */
													obj_t BgL_tmpz00_4698;

													BgL_tmpz00_4698 =
														((obj_t) ((BgL_objectz00_bglt) BgL_funz00_1665));
													BgL_arg1858z00_2895 =
														(BgL_objectz00_bglt) (BgL_tmpz00_4698);
												}
												if (BGL_CONDEXPAND_ISA_ARCH64())
													{	/* Ast/app.scm 216 */
														long BgL_idxz00_2901;

														BgL_idxz00_2901 =
															BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_2895);
														BgL_test2467z00_4697 =
															(VECTOR_REF
															(BGl_za2inheritancesza2z00zz__objectz00,
																(BgL_idxz00_2901 + 2L)) == BgL_classz00_2893);
													}
												else
													{	/* Ast/app.scm 216 */
														bool_t BgL_res2327z00_2926;

														{	/* Ast/app.scm 216 */
															obj_t BgL_oclassz00_2909;

															{	/* Ast/app.scm 216 */
																obj_t BgL_arg1866z00_2917;
																long BgL_arg1867z00_2918;

																BgL_arg1866z00_2917 =
																	(BGl_za2classesza2z00zz__objectz00);
																{	/* Ast/app.scm 216 */
																	long BgL_arg1869z00_2919;

																	BgL_arg1869z00_2919 =
																		BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_2895);
																	BgL_arg1867z00_2918 =
																		(BgL_arg1869z00_2919 - OBJECT_TYPE);
																}
																BgL_oclassz00_2909 =
																	VECTOR_REF(BgL_arg1866z00_2917,
																	BgL_arg1867z00_2918);
															}
															{	/* Ast/app.scm 216 */
																bool_t BgL__ortest_1115z00_2910;

																BgL__ortest_1115z00_2910 =
																	(BgL_classz00_2893 == BgL_oclassz00_2909);
																if (BgL__ortest_1115z00_2910)
																	{	/* Ast/app.scm 216 */
																		BgL_res2327z00_2926 =
																			BgL__ortest_1115z00_2910;
																	}
																else
																	{	/* Ast/app.scm 216 */
																		long BgL_odepthz00_2911;

																		{	/* Ast/app.scm 216 */
																			obj_t BgL_arg1855z00_2912;

																			BgL_arg1855z00_2912 =
																				(BgL_oclassz00_2909);
																			BgL_odepthz00_2911 =
																				BGL_CLASS_DEPTH(BgL_arg1855z00_2912);
																		}
																		if ((2L < BgL_odepthz00_2911))
																			{	/* Ast/app.scm 216 */
																				obj_t BgL_arg1853z00_2914;

																				{	/* Ast/app.scm 216 */
																					obj_t BgL_arg1854z00_2915;

																					BgL_arg1854z00_2915 =
																						(BgL_oclassz00_2909);
																					BgL_arg1853z00_2914 =
																						BGL_CLASS_ANCESTORS_REF
																						(BgL_arg1854z00_2915, 2L);
																				}
																				BgL_res2327z00_2926 =
																					(BgL_arg1853z00_2914 ==
																					BgL_classz00_2893);
																			}
																		else
																			{	/* Ast/app.scm 216 */
																				BgL_res2327z00_2926 = ((bool_t) 0);
																			}
																	}
															}
														}
														BgL_test2467z00_4697 = BgL_res2327z00_2926;
													}
											}
										}
										if (BgL_test2467z00_4697)
											{	/* Ast/app.scm 216 */
												BgL_arityz00_1667 =
													(((BgL_funz00_bglt) COBJECT(
															((BgL_funz00_bglt) BgL_funz00_1665)))->
													BgL_arityz00);
											}
										else
											{	/* Ast/app.scm 216 */
												BgL_arityz00_1667 = (-1L);
											}
									}
									{	/* Ast/app.scm 215 */

										if ((BgL_arityz00_1667 == (-1L)))
											{	/* Ast/app.scm 221 */
												return 0L;
											}
										else
											{	/* Ast/app.scm 221 */
												if ((BgL_arityz00_1667 >= 0L))
													{	/* Ast/app.scm 223 */
														if (BGl_sfunzd2optionalzf3z21zzast_varz00(
																((obj_t) BgL_funz00_1665)))
															{	/* Ast/app.scm 225 */
																if ((BgL_nbzd2argszd2_1666 < BgL_arityz00_1667))
																	{	/* Ast/app.scm 227 */
																		return
																			(BgL_arityz00_1667 -
																			BgL_nbzd2argszd2_1666);
																	}
																else
																	{	/* Ast/app.scm 227 */
																		if (
																			(BgL_nbzd2argszd2_1666 >
																				(BgL_arityz00_1667 +
																					bgl_list_length(
																						(((BgL_sfunz00_bglt) COBJECT(
																									((BgL_sfunz00_bglt)
																										BgL_funz00_1665)))->
																							BgL_optionalsz00)))))
																			{	/* Ast/app.scm 229 */
																				return
																					(
																					(BgL_arityz00_1667 +
																						bgl_list_length(
																							(((BgL_sfunz00_bglt) COBJECT(
																										((BgL_sfunz00_bglt)
																											BgL_funz00_1665)))->
																								BgL_optionalsz00))) -
																					BgL_nbzd2argszd2_1666);
																			}
																		else
																			{	/* Ast/app.scm 229 */
																				return 0L;
																			}
																	}
															}
														else
															{	/* Ast/app.scm 225 */
																if (BGl_sfunzd2keyzf3z21zzast_varz00(
																		((obj_t) BgL_funz00_1665)))
																	{	/* Ast/app.scm 234 */
																		long BgL_klz00_1687;

																		BgL_klz00_1687 =
																			bgl_list_length(
																			(((BgL_sfunz00_bglt) COBJECT(
																						((BgL_sfunz00_bglt)
																							BgL_funz00_1665)))->BgL_keysz00));
																		if ((BgL_nbzd2argszd2_1666 <
																				BgL_arityz00_1667))
																			{	/* Ast/app.scm 236 */
																				return
																					(BgL_arityz00_1667 -
																					BgL_nbzd2argszd2_1666);
																			}
																		else
																			{	/* Ast/app.scm 236 */
																				if (
																					(BgL_nbzd2argszd2_1666 >
																						(BgL_arityz00_1667 +
																							(BgL_klz00_1687 * 2L))))
																					{	/* Ast/app.scm 238 */
																						return
																							(
																							(BgL_arityz00_1667 +
																								(BgL_klz00_1687 * 2L)) -
																							BgL_nbzd2argszd2_1666);
																					}
																				else
																					{	/* Ast/app.scm 238 */
																						return 0L;
																					}
																			}
																	}
																else
																	{	/* Ast/app.scm 233 */
																		return
																			(BgL_arityz00_1667 -
																			BgL_nbzd2argszd2_1666);
																	}
															}
													}
												else
													{	/* Ast/app.scm 223 */
														if (
															((NEG(BgL_arityz00_1667) -
																	(BgL_nbzd2argszd2_1666 + 1L)) <= 0L))
															{	/* Ast/app.scm 245 */
																return 0L;
															}
														else
															{	/* Ast/app.scm 245 */
																return 1L;
															}
													}
											}
									}
								}
							}
						}
					}
				else
					{	/* Ast/app.scm 206 */
						return 0L;
					}
			}
		}

	}



/* make-app-node */
	BGL_EXPORTED_DEF BgL_nodez00_bglt BGl_makezd2appzd2nodez00zzast_appz00(obj_t
		BgL_stackz00_12, obj_t BgL_locz00_13, obj_t BgL_sitez00_14,
		BgL_varz00_bglt BgL_varz00_15, obj_t BgL_argsz00_16)
	{
		{	/* Ast/app.scm 252 */
			{	/* Ast/app.scm 253 */
				BgL_valuez00_bglt BgL_funz00_1709;

				BgL_funz00_1709 =
					(((BgL_variablez00_bglt) COBJECT(
							(((BgL_varz00_bglt) COBJECT(BgL_varz00_15))->BgL_variablez00)))->
					BgL_valuez00);
				{	/* Ast/app.scm 255 */
					bool_t BgL_test2480z00_4768;

					{	/* Ast/app.scm 255 */
						bool_t BgL_test2481z00_4769;

						{	/* Ast/app.scm 255 */
							obj_t BgL_classz00_2968;

							BgL_classz00_2968 = BGl_sfunz00zzast_varz00;
							{	/* Ast/app.scm 255 */
								BgL_objectz00_bglt BgL_arg1858z00_2970;

								{	/* Ast/app.scm 255 */
									obj_t BgL_tmpz00_4770;

									BgL_tmpz00_4770 =
										((obj_t) ((BgL_objectz00_bglt) BgL_funz00_1709));
									BgL_arg1858z00_2970 = (BgL_objectz00_bglt) (BgL_tmpz00_4770);
								}
								if (BGL_CONDEXPAND_ISA_ARCH64())
									{	/* Ast/app.scm 255 */
										long BgL_idxz00_2976;

										BgL_idxz00_2976 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_2970);
										BgL_test2481z00_4769 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_2976 + 3L)) == BgL_classz00_2968);
									}
								else
									{	/* Ast/app.scm 255 */
										bool_t BgL_res2328z00_3001;

										{	/* Ast/app.scm 255 */
											obj_t BgL_oclassz00_2984;

											{	/* Ast/app.scm 255 */
												obj_t BgL_arg1866z00_2992;
												long BgL_arg1867z00_2993;

												BgL_arg1866z00_2992 =
													(BGl_za2classesza2z00zz__objectz00);
												{	/* Ast/app.scm 255 */
													long BgL_arg1869z00_2994;

													BgL_arg1869z00_2994 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_2970);
													BgL_arg1867z00_2993 =
														(BgL_arg1869z00_2994 - OBJECT_TYPE);
												}
												BgL_oclassz00_2984 =
													VECTOR_REF(BgL_arg1866z00_2992, BgL_arg1867z00_2993);
											}
											{	/* Ast/app.scm 255 */
												bool_t BgL__ortest_1115z00_2985;

												BgL__ortest_1115z00_2985 =
													(BgL_classz00_2968 == BgL_oclassz00_2984);
												if (BgL__ortest_1115z00_2985)
													{	/* Ast/app.scm 255 */
														BgL_res2328z00_3001 = BgL__ortest_1115z00_2985;
													}
												else
													{	/* Ast/app.scm 255 */
														long BgL_odepthz00_2986;

														{	/* Ast/app.scm 255 */
															obj_t BgL_arg1855z00_2987;

															BgL_arg1855z00_2987 = (BgL_oclassz00_2984);
															BgL_odepthz00_2986 =
																BGL_CLASS_DEPTH(BgL_arg1855z00_2987);
														}
														if ((3L < BgL_odepthz00_2986))
															{	/* Ast/app.scm 255 */
																obj_t BgL_arg1853z00_2989;

																{	/* Ast/app.scm 255 */
																	obj_t BgL_arg1854z00_2990;

																	BgL_arg1854z00_2990 = (BgL_oclassz00_2984);
																	BgL_arg1853z00_2989 =
																		BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_2990,
																		3L);
																}
																BgL_res2328z00_3001 =
																	(BgL_arg1853z00_2989 == BgL_classz00_2968);
															}
														else
															{	/* Ast/app.scm 255 */
																BgL_res2328z00_3001 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_test2481z00_4769 = BgL_res2328z00_3001;
									}
							}
						}
						if (BgL_test2481z00_4769)
							{	/* Ast/app.scm 255 */
								obj_t BgL_tmpz00_4793;

								BgL_tmpz00_4793 =
									(((BgL_sfunz00_bglt) COBJECT(
											((BgL_sfunz00_bglt) BgL_funz00_1709)))->BgL_optionalsz00);
								BgL_test2480z00_4768 = PAIRP(BgL_tmpz00_4793);
							}
						else
							{	/* Ast/app.scm 255 */
								BgL_test2480z00_4768 = ((bool_t) 0);
							}
					}
					if (BgL_test2480z00_4768)
						{	/* Ast/app.scm 256 */
							obj_t BgL_argsz00_1713;

							{
								obj_t BgL_argsz00_1716;
								obj_t BgL_resz00_1717;

								BgL_argsz00_1716 = BgL_argsz00_16;
								BgL_resz00_1717 = BNIL;
							BgL_zc3z04anonymousza31804ze3z87_1718:
								if (NULLP(BgL_argsz00_1716))
									{	/* Ast/app.scm 258 */
										BgL_argsz00_1713 = bgl_reverse_bang(BgL_resz00_1717);
									}
								else
									{	/* Ast/app.scm 260 */
										obj_t BgL_az00_1720;
										obj_t BgL_locz00_1721;

										BgL_az00_1720 = CAR(((obj_t) BgL_argsz00_1716));
										BgL_locz00_1721 =
											BGl_findzd2locationzf2locz20zztools_locationz00
											(BgL_argsz00_1716, BgL_locz00_13);
										{	/* Ast/app.scm 262 */
											obj_t BgL_arg1810z00_1722;
											obj_t BgL_arg1811z00_1723;

											BgL_arg1810z00_1722 = CDR(((obj_t) BgL_argsz00_1716));
											{	/* Ast/app.scm 263 */
												BgL_nodez00_bglt BgL_arg1814z00_1724;

												BgL_arg1814z00_1724 =
													BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_az00_1720,
													BgL_stackz00_12, BgL_locz00_1721,
													((obj_t) CNST_TABLE_REF(3)));
												BgL_arg1811z00_1723 =
													MAKE_YOUNG_PAIR(((obj_t) BgL_arg1814z00_1724),
													BgL_resz00_1717);
											}
											{
												obj_t BgL_resz00_4811;
												obj_t BgL_argsz00_4810;

												BgL_argsz00_4810 = BgL_arg1810z00_1722;
												BgL_resz00_4811 = BgL_arg1811z00_1723;
												BgL_resz00_1717 = BgL_resz00_4811;
												BgL_argsz00_1716 = BgL_argsz00_4810;
												goto BgL_zc3z04anonymousza31804ze3z87_1718;
											}
										}
									}
							}
							return
								BGl_makezd2optionalszd2appzd2nodezd2zzast_appz00
								(BgL_stackz00_12, BgL_locz00_13, BgL_sitez00_14, BgL_varz00_15,
								BgL_argsz00_1713);
						}
					else
						{	/* Ast/app.scm 266 */
							bool_t BgL_test2486z00_4813;

							{	/* Ast/app.scm 266 */
								bool_t BgL_test2487z00_4814;

								{	/* Ast/app.scm 266 */
									obj_t BgL_classz00_3005;

									BgL_classz00_3005 = BGl_sfunz00zzast_varz00;
									{	/* Ast/app.scm 266 */
										BgL_objectz00_bglt BgL_arg1858z00_3007;

										{	/* Ast/app.scm 266 */
											obj_t BgL_tmpz00_4815;

											BgL_tmpz00_4815 =
												((obj_t) ((BgL_objectz00_bglt) BgL_funz00_1709));
											BgL_arg1858z00_3007 =
												(BgL_objectz00_bglt) (BgL_tmpz00_4815);
										}
										if (BGL_CONDEXPAND_ISA_ARCH64())
											{	/* Ast/app.scm 266 */
												long BgL_idxz00_3013;

												BgL_idxz00_3013 =
													BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_3007);
												BgL_test2487z00_4814 =
													(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
														(BgL_idxz00_3013 + 3L)) == BgL_classz00_3005);
											}
										else
											{	/* Ast/app.scm 266 */
												bool_t BgL_res2329z00_3038;

												{	/* Ast/app.scm 266 */
													obj_t BgL_oclassz00_3021;

													{	/* Ast/app.scm 266 */
														obj_t BgL_arg1866z00_3029;
														long BgL_arg1867z00_3030;

														BgL_arg1866z00_3029 =
															(BGl_za2classesza2z00zz__objectz00);
														{	/* Ast/app.scm 266 */
															long BgL_arg1869z00_3031;

															BgL_arg1869z00_3031 =
																BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_3007);
															BgL_arg1867z00_3030 =
																(BgL_arg1869z00_3031 - OBJECT_TYPE);
														}
														BgL_oclassz00_3021 =
															VECTOR_REF(BgL_arg1866z00_3029,
															BgL_arg1867z00_3030);
													}
													{	/* Ast/app.scm 266 */
														bool_t BgL__ortest_1115z00_3022;

														BgL__ortest_1115z00_3022 =
															(BgL_classz00_3005 == BgL_oclassz00_3021);
														if (BgL__ortest_1115z00_3022)
															{	/* Ast/app.scm 266 */
																BgL_res2329z00_3038 = BgL__ortest_1115z00_3022;
															}
														else
															{	/* Ast/app.scm 266 */
																long BgL_odepthz00_3023;

																{	/* Ast/app.scm 266 */
																	obj_t BgL_arg1855z00_3024;

																	BgL_arg1855z00_3024 = (BgL_oclassz00_3021);
																	BgL_odepthz00_3023 =
																		BGL_CLASS_DEPTH(BgL_arg1855z00_3024);
																}
																if ((3L < BgL_odepthz00_3023))
																	{	/* Ast/app.scm 266 */
																		obj_t BgL_arg1853z00_3026;

																		{	/* Ast/app.scm 266 */
																			obj_t BgL_arg1854z00_3027;

																			BgL_arg1854z00_3027 =
																				(BgL_oclassz00_3021);
																			BgL_arg1853z00_3026 =
																				BGL_CLASS_ANCESTORS_REF
																				(BgL_arg1854z00_3027, 3L);
																		}
																		BgL_res2329z00_3038 =
																			(BgL_arg1853z00_3026 ==
																			BgL_classz00_3005);
																	}
																else
																	{	/* Ast/app.scm 266 */
																		BgL_res2329z00_3038 = ((bool_t) 0);
																	}
															}
													}
												}
												BgL_test2487z00_4814 = BgL_res2329z00_3038;
											}
									}
								}
								if (BgL_test2487z00_4814)
									{	/* Ast/app.scm 266 */
										obj_t BgL_tmpz00_4838;

										BgL_tmpz00_4838 =
											(((BgL_sfunz00_bglt) COBJECT(
													((BgL_sfunz00_bglt) BgL_funz00_1709)))->BgL_keysz00);
										BgL_test2486z00_4813 = PAIRP(BgL_tmpz00_4838);
									}
								else
									{	/* Ast/app.scm 266 */
										BgL_test2486z00_4813 = ((bool_t) 0);
									}
							}
							if (BgL_test2486z00_4813)
								{	/* Ast/app.scm 267 */
									obj_t BgL_argsz00_1729;

									{
										obj_t BgL_argsz00_1732;
										obj_t BgL_resz00_1733;

										BgL_argsz00_1732 = BgL_argsz00_16;
										BgL_resz00_1733 = BNIL;
									BgL_zc3z04anonymousza31820ze3z87_1734:
										if (NULLP(BgL_argsz00_1732))
											{	/* Ast/app.scm 269 */
												BgL_argsz00_1729 = bgl_reverse_bang(BgL_resz00_1733);
											}
										else
											{	/* Ast/app.scm 271 */
												obj_t BgL_az00_1736;
												obj_t BgL_locz00_1737;

												BgL_az00_1736 = CAR(((obj_t) BgL_argsz00_1732));
												BgL_locz00_1737 =
													BGl_findzd2locationzf2locz20zztools_locationz00
													(BgL_argsz00_1732, BgL_locz00_13);
												{	/* Ast/app.scm 273 */
													obj_t BgL_arg1822z00_1738;
													obj_t BgL_arg1825z00_1739;

													BgL_arg1822z00_1738 = CDR(((obj_t) BgL_argsz00_1732));
													{	/* Ast/app.scm 274 */
														BgL_nodez00_bglt BgL_arg1829z00_1740;

														BgL_arg1829z00_1740 =
															BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_az00_1736,
															BgL_stackz00_12, BgL_locz00_1737,
															((obj_t) CNST_TABLE_REF(3)));
														BgL_arg1825z00_1739 =
															MAKE_YOUNG_PAIR(((obj_t) BgL_arg1829z00_1740),
															BgL_resz00_1733);
													}
													{
														obj_t BgL_resz00_4856;
														obj_t BgL_argsz00_4855;

														BgL_argsz00_4855 = BgL_arg1822z00_1738;
														BgL_resz00_4856 = BgL_arg1825z00_1739;
														BgL_resz00_1733 = BgL_resz00_4856;
														BgL_argsz00_1732 = BgL_argsz00_4855;
														goto BgL_zc3z04anonymousza31820ze3z87_1734;
													}
												}
											}
									}
									return
										BGl_makezd2keyszd2appzd2nodezd2zzast_appz00(BgL_stackz00_12,
										BgL_locz00_13, BgL_sitez00_14, BgL_varz00_15,
										BgL_argsz00_1729);
								}
							else
								{	/* Ast/app.scm 277 */
									bool_t BgL_test2492z00_4858;

									{	/* Ast/app.scm 277 */
										bool_t BgL_test2493z00_4859;

										{	/* Ast/app.scm 277 */
											obj_t BgL_classz00_3042;

											BgL_classz00_3042 = BGl_funz00zzast_varz00;
											{	/* Ast/app.scm 277 */
												BgL_objectz00_bglt BgL_arg1858z00_3044;

												{	/* Ast/app.scm 277 */
													obj_t BgL_tmpz00_4860;

													BgL_tmpz00_4860 =
														((obj_t) ((BgL_objectz00_bglt) BgL_funz00_1709));
													BgL_arg1858z00_3044 =
														(BgL_objectz00_bglt) (BgL_tmpz00_4860);
												}
												if (BGL_CONDEXPAND_ISA_ARCH64())
													{	/* Ast/app.scm 277 */
														long BgL_idxz00_3050;

														BgL_idxz00_3050 =
															BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_3044);
														BgL_test2493z00_4859 =
															(VECTOR_REF
															(BGl_za2inheritancesza2z00zz__objectz00,
																(BgL_idxz00_3050 + 2L)) == BgL_classz00_3042);
													}
												else
													{	/* Ast/app.scm 277 */
														bool_t BgL_res2330z00_3075;

														{	/* Ast/app.scm 277 */
															obj_t BgL_oclassz00_3058;

															{	/* Ast/app.scm 277 */
																obj_t BgL_arg1866z00_3066;
																long BgL_arg1867z00_3067;

																BgL_arg1866z00_3066 =
																	(BGl_za2classesza2z00zz__objectz00);
																{	/* Ast/app.scm 277 */
																	long BgL_arg1869z00_3068;

																	BgL_arg1869z00_3068 =
																		BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_3044);
																	BgL_arg1867z00_3067 =
																		(BgL_arg1869z00_3068 - OBJECT_TYPE);
																}
																BgL_oclassz00_3058 =
																	VECTOR_REF(BgL_arg1866z00_3066,
																	BgL_arg1867z00_3067);
															}
															{	/* Ast/app.scm 277 */
																bool_t BgL__ortest_1115z00_3059;

																BgL__ortest_1115z00_3059 =
																	(BgL_classz00_3042 == BgL_oclassz00_3058);
																if (BgL__ortest_1115z00_3059)
																	{	/* Ast/app.scm 277 */
																		BgL_res2330z00_3075 =
																			BgL__ortest_1115z00_3059;
																	}
																else
																	{	/* Ast/app.scm 277 */
																		long BgL_odepthz00_3060;

																		{	/* Ast/app.scm 277 */
																			obj_t BgL_arg1855z00_3061;

																			BgL_arg1855z00_3061 =
																				(BgL_oclassz00_3058);
																			BgL_odepthz00_3060 =
																				BGL_CLASS_DEPTH(BgL_arg1855z00_3061);
																		}
																		if ((2L < BgL_odepthz00_3060))
																			{	/* Ast/app.scm 277 */
																				obj_t BgL_arg1853z00_3063;

																				{	/* Ast/app.scm 277 */
																					obj_t BgL_arg1854z00_3064;

																					BgL_arg1854z00_3064 =
																						(BgL_oclassz00_3058);
																					BgL_arg1853z00_3063 =
																						BGL_CLASS_ANCESTORS_REF
																						(BgL_arg1854z00_3064, 2L);
																				}
																				BgL_res2330z00_3075 =
																					(BgL_arg1853z00_3063 ==
																					BgL_classz00_3042);
																			}
																		else
																			{	/* Ast/app.scm 277 */
																				BgL_res2330z00_3075 = ((bool_t) 0);
																			}
																	}
															}
														}
														BgL_test2493z00_4859 = BgL_res2330z00_3075;
													}
											}
										}
										if (BgL_test2493z00_4859)
											{	/* Ast/app.scm 277 */
												if (
													((((BgL_funz00_bglt) COBJECT(
																	((BgL_funz00_bglt) BgL_funz00_1709)))->
															BgL_arityz00) >= 0L))
													{	/* Ast/app.scm 277 */
														BgL_test2492z00_4858 = ((bool_t) 1);
													}
												else
													{	/* Ast/app.scm 277 */
														obj_t BgL_classz00_3078;

														BgL_classz00_3078 = BGl_cfunz00zzast_varz00;
														{	/* Ast/app.scm 277 */
															BgL_objectz00_bglt BgL_arg1858z00_3080;

															{	/* Ast/app.scm 277 */
																obj_t BgL_tmpz00_4887;

																BgL_tmpz00_4887 =
																	((obj_t)
																	((BgL_objectz00_bglt) BgL_funz00_1709));
																BgL_arg1858z00_3080 =
																	(BgL_objectz00_bglt) (BgL_tmpz00_4887);
															}
															if (BGL_CONDEXPAND_ISA_ARCH64())
																{	/* Ast/app.scm 277 */
																	long BgL_idxz00_3086;

																	BgL_idxz00_3086 =
																		BGL_OBJECT_INHERITANCE_NUM
																		(BgL_arg1858z00_3080);
																	BgL_test2492z00_4858 =
																		(VECTOR_REF
																		(BGl_za2inheritancesza2z00zz__objectz00,
																			(BgL_idxz00_3086 + 3L)) ==
																		BgL_classz00_3078);
																}
															else
																{	/* Ast/app.scm 277 */
																	bool_t BgL_res2331z00_3111;

																	{	/* Ast/app.scm 277 */
																		obj_t BgL_oclassz00_3094;

																		{	/* Ast/app.scm 277 */
																			obj_t BgL_arg1866z00_3102;
																			long BgL_arg1867z00_3103;

																			BgL_arg1866z00_3102 =
																				(BGl_za2classesza2z00zz__objectz00);
																			{	/* Ast/app.scm 277 */
																				long BgL_arg1869z00_3104;

																				BgL_arg1869z00_3104 =
																					BGL_OBJECT_CLASS_NUM
																					(BgL_arg1858z00_3080);
																				BgL_arg1867z00_3103 =
																					(BgL_arg1869z00_3104 - OBJECT_TYPE);
																			}
																			BgL_oclassz00_3094 =
																				VECTOR_REF(BgL_arg1866z00_3102,
																				BgL_arg1867z00_3103);
																		}
																		{	/* Ast/app.scm 277 */
																			bool_t BgL__ortest_1115z00_3095;

																			BgL__ortest_1115z00_3095 =
																				(BgL_classz00_3078 ==
																				BgL_oclassz00_3094);
																			if (BgL__ortest_1115z00_3095)
																				{	/* Ast/app.scm 277 */
																					BgL_res2331z00_3111 =
																						BgL__ortest_1115z00_3095;
																				}
																			else
																				{	/* Ast/app.scm 277 */
																					long BgL_odepthz00_3096;

																					{	/* Ast/app.scm 277 */
																						obj_t BgL_arg1855z00_3097;

																						BgL_arg1855z00_3097 =
																							(BgL_oclassz00_3094);
																						BgL_odepthz00_3096 =
																							BGL_CLASS_DEPTH
																							(BgL_arg1855z00_3097);
																					}
																					if ((3L < BgL_odepthz00_3096))
																						{	/* Ast/app.scm 277 */
																							obj_t BgL_arg1853z00_3099;

																							{	/* Ast/app.scm 277 */
																								obj_t BgL_arg1854z00_3100;

																								BgL_arg1854z00_3100 =
																									(BgL_oclassz00_3094);
																								BgL_arg1853z00_3099 =
																									BGL_CLASS_ANCESTORS_REF
																									(BgL_arg1854z00_3100, 3L);
																							}
																							BgL_res2331z00_3111 =
																								(BgL_arg1853z00_3099 ==
																								BgL_classz00_3078);
																						}
																					else
																						{	/* Ast/app.scm 277 */
																							BgL_res2331z00_3111 =
																								((bool_t) 0);
																						}
																				}
																		}
																	}
																	BgL_test2492z00_4858 = BgL_res2331z00_3111;
																}
														}
													}
											}
										else
											{	/* Ast/app.scm 277 */
												BgL_test2492z00_4858 = ((bool_t) 1);
											}
									}
									if (BgL_test2492z00_4858)
										{	/* Ast/app.scm 278 */
											obj_t BgL_argsz00_1747;

											{
												obj_t BgL_argsz00_1750;
												obj_t BgL_resz00_1751;

												BgL_argsz00_1750 = BgL_argsz00_16;
												BgL_resz00_1751 = BNIL;
											BgL_zc3z04anonymousza31844ze3z87_1752:
												if (NULLP(BgL_argsz00_1750))
													{	/* Ast/app.scm 280 */
														BgL_argsz00_1747 =
															bgl_reverse_bang(BgL_resz00_1751);
													}
												else
													{	/* Ast/app.scm 282 */
														obj_t BgL_az00_1754;
														obj_t BgL_locz00_1755;

														BgL_az00_1754 = CAR(((obj_t) BgL_argsz00_1750));
														BgL_locz00_1755 =
															BGl_findzd2locationzf2locz20zztools_locationz00
															(BgL_argsz00_1750, BgL_locz00_13);
														{	/* Ast/app.scm 284 */
															obj_t BgL_arg1847z00_1756;
															obj_t BgL_arg1848z00_1757;

															BgL_arg1847z00_1756 =
																CDR(((obj_t) BgL_argsz00_1750));
															{	/* Ast/app.scm 285 */
																BgL_nodez00_bglt BgL_arg1851z00_1758;

																BgL_arg1851z00_1758 =
																	BGl_sexpzd2ze3nodez31zzast_sexpz00
																	(BgL_az00_1754, BgL_stackz00_12,
																	BgL_locz00_1755, ((obj_t) CNST_TABLE_REF(3)));
																BgL_arg1848z00_1757 =
																	MAKE_YOUNG_PAIR(((obj_t) BgL_arg1851z00_1758),
																	BgL_resz00_1751);
															}
															{
																obj_t BgL_resz00_4924;
																obj_t BgL_argsz00_4923;

																BgL_argsz00_4923 = BgL_arg1847z00_1756;
																BgL_resz00_4924 = BgL_arg1848z00_1757;
																BgL_resz00_1751 = BgL_resz00_4924;
																BgL_argsz00_1750 = BgL_argsz00_4923;
																goto BgL_zc3z04anonymousza31844ze3z87_1752;
															}
														}
													}
											}
											return
												((BgL_nodez00_bglt)
												BGl_makezd2fxzd2appzd2nodezd2zzast_appz00(BgL_locz00_13,
													BgL_varz00_15, BgL_argsz00_1747));
										}
									else
										{	/* Ast/app.scm 289 */
											long BgL_arg1852z00_1760;

											BgL_arg1852z00_1760 =
												(((BgL_funz00_bglt) COBJECT(
														((BgL_funz00_bglt) BgL_funz00_1709)))->
												BgL_arityz00);
											return
												BGl_makezd2vazd2appzd2nodezd2zzast_appz00
												(BgL_arg1852z00_1760, BgL_stackz00_12, BgL_locz00_13,
												BgL_varz00_15, BgL_argsz00_16);
										}
								}
						}
				}
			}
		}

	}



/* &make-app-node */
	BgL_nodez00_bglt BGl_z62makezd2appzd2nodez62zzast_appz00(obj_t
		BgL_envz00_4155, obj_t BgL_stackz00_4156, obj_t BgL_locz00_4157,
		obj_t BgL_sitez00_4158, obj_t BgL_varz00_4159, obj_t BgL_argsz00_4160)
	{
		{	/* Ast/app.scm 252 */
			return
				BGl_makezd2appzd2nodez00zzast_appz00(BgL_stackz00_4156, BgL_locz00_4157,
				BgL_sitez00_4158, ((BgL_varz00_bglt) BgL_varz00_4159),
				BgL_argsz00_4160);
		}

	}



/* make-optionals-app-node */
	BgL_nodez00_bglt BGl_makezd2optionalszd2appzd2nodezd2zzast_appz00(obj_t
		BgL_stackz00_17, obj_t BgL_locz00_18, obj_t BgL_sitez00_19,
		BgL_varz00_bglt BgL_varz00_20, obj_t BgL_actualsz00_21)
	{
		{	/* Ast/app.scm 294 */
			{	/* Ast/app.scm 295 */
				BgL_variablez00_bglt BgL_vz00_1769;
				long BgL_lenz00_1770;

				BgL_vz00_1769 =
					(((BgL_varz00_bglt) COBJECT(BgL_varz00_20))->BgL_variablez00);
				BgL_lenz00_1770 = bgl_list_length(BgL_actualsz00_21);
				{	/* Ast/app.scm 297 */
					BgL_sfunz00_bglt BgL_i1115z00_1771;

					BgL_i1115z00_1771 =
						((BgL_sfunz00_bglt)
						(((BgL_variablez00_bglt) COBJECT(BgL_vz00_1769))->BgL_valuez00));
					if (
						(BgL_lenz00_1770 ==
							((((BgL_funz00_bglt) COBJECT(
											((BgL_funz00_bglt) BgL_i1115z00_1771)))->BgL_arityz00) +
								bgl_list_length(
									(((BgL_sfunz00_bglt) COBJECT(BgL_i1115z00_1771))->
										BgL_optionalsz00)))))
						{	/* Ast/app.scm 300 */
							BgL_appz00_bglt BgL_new1118z00_1777;

							{	/* Ast/app.scm 301 */
								BgL_appz00_bglt BgL_new1116z00_1785;

								BgL_new1116z00_1785 =
									((BgL_appz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_appz00_bgl))));
								{	/* Ast/app.scm 301 */
									long BgL_arg1885z00_1786;

									BgL_arg1885z00_1786 = BGL_CLASS_NUM(BGl_appz00zzast_nodez00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1116z00_1785),
										BgL_arg1885z00_1786);
								}
								{	/* Ast/app.scm 301 */
									BgL_objectz00_bglt BgL_tmpz00_4947;

									BgL_tmpz00_4947 = ((BgL_objectz00_bglt) BgL_new1116z00_1785);
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4947, BFALSE);
								}
								((BgL_objectz00_bglt) BgL_new1116z00_1785);
								BgL_new1118z00_1777 = BgL_new1116z00_1785;
							}
							((((BgL_nodez00_bglt) COBJECT(
											((BgL_nodez00_bglt) BgL_new1118z00_1777)))->BgL_locz00) =
								((obj_t) BgL_locz00_18), BUNSPEC);
							{
								BgL_typez00_bglt BgL_auxz00_4953;

								{	/* Ast/app.scm 302 */
									BgL_typez00_bglt BgL_arg1882z00_1778;

									BgL_arg1882z00_1778 =
										(((BgL_variablez00_bglt) COBJECT(BgL_vz00_1769))->
										BgL_typez00);
									BgL_auxz00_4953 =
										BGl_strictzd2nodezd2typez00zzast_nodez00(((BgL_typez00_bglt)
											BGl_za2_za2z00zztype_cachez00), BgL_arg1882z00_1778);
								}
								((((BgL_nodez00_bglt) COBJECT(
												((BgL_nodez00_bglt) BgL_new1118z00_1777)))->
										BgL_typez00) =
									((BgL_typez00_bglt) BgL_auxz00_4953), BUNSPEC);
							}
							((((BgL_nodezf2effectzf2_bglt) COBJECT(
											((BgL_nodezf2effectzf2_bglt) BgL_new1118z00_1777)))->
									BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
							((((BgL_nodezf2effectzf2_bglt)
										COBJECT(((BgL_nodezf2effectzf2_bglt)
												BgL_new1118z00_1777)))->BgL_keyz00) =
								((obj_t) BINT((-1L))), BUNSPEC);
							{
								BgL_varz00_bglt BgL_auxz00_4964;

								{	/* Ast/app.scm 303 */
									bool_t BgL_test2503z00_4965;

									{	/* Ast/app.scm 303 */
										obj_t BgL_classz00_3126;

										BgL_classz00_3126 = BGl_closurez00zzast_nodez00;
										{	/* Ast/app.scm 303 */
											BgL_objectz00_bglt BgL_arg1858z00_3128;

											{	/* Ast/app.scm 303 */
												obj_t BgL_tmpz00_4966;

												BgL_tmpz00_4966 =
													((obj_t) ((BgL_objectz00_bglt) BgL_varz00_20));
												BgL_arg1858z00_3128 =
													(BgL_objectz00_bglt) (BgL_tmpz00_4966);
											}
											if (BGL_CONDEXPAND_ISA_ARCH64())
												{	/* Ast/app.scm 303 */
													long BgL_idxz00_3134;

													BgL_idxz00_3134 =
														BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_3128);
													{	/* Ast/app.scm 303 */
														obj_t BgL_arg1849z00_3135;

														{	/* Ast/app.scm 303 */
															long BgL_arg1850z00_3136;

															BgL_arg1850z00_3136 = (BgL_idxz00_3134 + 3L);
															{	/* Ast/app.scm 303 */
																obj_t BgL_vectorz00_3138;

																BgL_vectorz00_3138 =
																	BGl_za2inheritancesza2z00zz__objectz00;
																BgL_arg1849z00_3135 =
																	VECTOR_REF(BgL_vectorz00_3138,
																	BgL_arg1850z00_3136);
														}}
														BgL_test2503z00_4965 =
															(BgL_arg1849z00_3135 == BgL_classz00_3126);
												}}
											else
												{	/* Ast/app.scm 303 */
													bool_t BgL_res2332z00_3159;

													{	/* Ast/app.scm 303 */
														obj_t BgL_oclassz00_3142;

														{	/* Ast/app.scm 303 */
															obj_t BgL_arg1866z00_3150;
															long BgL_arg1867z00_3151;

															BgL_arg1866z00_3150 =
																(BGl_za2classesza2z00zz__objectz00);
															{	/* Ast/app.scm 303 */
																long BgL_arg1869z00_3152;

																BgL_arg1869z00_3152 =
																	BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_3128);
																BgL_arg1867z00_3151 =
																	(BgL_arg1869z00_3152 - OBJECT_TYPE);
															}
															BgL_oclassz00_3142 =
																VECTOR_REF(BgL_arg1866z00_3150,
																BgL_arg1867z00_3151);
														}
														{	/* Ast/app.scm 303 */
															bool_t BgL__ortest_1115z00_3143;

															BgL__ortest_1115z00_3143 =
																(BgL_classz00_3126 == BgL_oclassz00_3142);
															if (BgL__ortest_1115z00_3143)
																{	/* Ast/app.scm 303 */
																	BgL_res2332z00_3159 =
																		BgL__ortest_1115z00_3143;
																}
															else
																{	/* Ast/app.scm 303 */
																	long BgL_odepthz00_3144;

																	{	/* Ast/app.scm 303 */
																		obj_t BgL_arg1855z00_3145;

																		BgL_arg1855z00_3145 = (BgL_oclassz00_3142);
																		BgL_odepthz00_3144 =
																			BGL_CLASS_DEPTH(BgL_arg1855z00_3145);
																	}
																	if ((3L < BgL_odepthz00_3144))
																		{	/* Ast/app.scm 303 */
																			obj_t BgL_arg1853z00_3147;

																			{	/* Ast/app.scm 303 */
																				obj_t BgL_arg1854z00_3148;

																				BgL_arg1854z00_3148 =
																					(BgL_oclassz00_3142);
																				BgL_arg1853z00_3147 =
																					BGL_CLASS_ANCESTORS_REF
																					(BgL_arg1854z00_3148, 3L);
																			}
																			BgL_res2332z00_3159 =
																				(BgL_arg1853z00_3147 ==
																				BgL_classz00_3126);
																		}
																	else
																		{	/* Ast/app.scm 303 */
																			BgL_res2332z00_3159 = ((bool_t) 0);
																		}
																}
														}
													}
													BgL_test2503z00_4965 = BgL_res2332z00_3159;
												}
										}
									}
									if (BgL_test2503z00_4965)
										{	/* Ast/app.scm 303 */
											BgL_refz00_bglt BgL_new1120z00_1781;

											{	/* Ast/app.scm 303 */
												BgL_refz00_bglt BgL_new1124z00_1783;

												BgL_new1124z00_1783 =
													((BgL_refz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
																BgL_refz00_bgl))));
												{	/* Ast/app.scm 303 */
													long BgL_arg1884z00_1784;

													{	/* Ast/app.scm 303 */
														obj_t BgL_classz00_3160;

														BgL_classz00_3160 = BGl_refz00zzast_nodez00;
														BgL_arg1884z00_1784 =
															BGL_CLASS_NUM(BgL_classz00_3160);
													}
													BGL_OBJECT_CLASS_NUM_SET(
														((BgL_objectz00_bglt) BgL_new1124z00_1783),
														BgL_arg1884z00_1784);
												}
												{	/* Ast/app.scm 303 */
													BgL_objectz00_bglt BgL_tmpz00_4993;

													BgL_tmpz00_4993 =
														((BgL_objectz00_bglt) BgL_new1124z00_1783);
													BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4993, BFALSE);
												}
												((BgL_objectz00_bglt) BgL_new1124z00_1783);
												BgL_new1120z00_1781 = BgL_new1124z00_1783;
											}
											((((BgL_nodez00_bglt) COBJECT(
															((BgL_nodez00_bglt) BgL_new1120z00_1781)))->
													BgL_locz00) =
												((obj_t) (((BgL_nodez00_bglt)
															COBJECT(((BgL_nodez00_bglt) BgL_varz00_20)))->
														BgL_locz00)), BUNSPEC);
											((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
																BgL_new1120z00_1781)))->BgL_typez00) =
												((BgL_typez00_bglt) (((BgL_nodez00_bglt)
															COBJECT(((BgL_nodez00_bglt) BgL_varz00_20)))->
														BgL_typez00)), BUNSPEC);
											((((BgL_varz00_bglt) COBJECT(((BgL_varz00_bglt)
																BgL_new1120z00_1781)))->BgL_variablez00) =
												((BgL_variablez00_bglt) (((BgL_varz00_bglt)
															COBJECT(((BgL_varz00_bglt) ((BgL_nodez00_bglt)
																		BgL_varz00_20))))->BgL_variablez00)),
												BUNSPEC);
											BgL_auxz00_4964 = ((BgL_varz00_bglt) BgL_new1120z00_1781);
										}
									else
										{	/* Ast/app.scm 303 */
											BgL_auxz00_4964 = BgL_varz00_20;
										}
								}
								((((BgL_appz00_bglt) COBJECT(BgL_new1118z00_1777))->
										BgL_funz00) = ((BgL_varz00_bglt) BgL_auxz00_4964), BUNSPEC);
							}
							((((BgL_appz00_bglt) COBJECT(BgL_new1118z00_1777))->BgL_argsz00) =
								((obj_t) BgL_actualsz00_21), BUNSPEC);
							((((BgL_appz00_bglt) COBJECT(BgL_new1118z00_1777))->
									BgL_stackablez00) = ((obj_t) BFALSE), BUNSPEC);
							return ((BgL_nodez00_bglt) BgL_new1118z00_1777);
						}
					else
						{	/* Ast/app.scm 306 */
							obj_t BgL_reqsz00_1787;

							BgL_reqsz00_1787 =
								BGl_takez00zz__r4_pairs_and_lists_6_3z00(
								(((BgL_sfunz00_bglt) COBJECT(BgL_i1115z00_1771))->
									BgL_argszd2namezd2),
								(((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
												BgL_i1115z00_1771)))->BgL_arityz00));
							{	/* Ast/app.scm 306 */
								obj_t BgL_provsz00_1788;

								{	/* Ast/app.scm 307 */
									obj_t BgL_l1303z00_1891;

									BgL_l1303z00_1891 =
										BGl_takez00zz__r4_pairs_and_lists_6_3z00(
										(((BgL_sfunz00_bglt) COBJECT(BgL_i1115z00_1771))->
											BgL_optionalsz00),
										(BgL_lenz00_1770 -
											(((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
															BgL_i1115z00_1771)))->BgL_arityz00)));
									if (NULLP(BgL_l1303z00_1891))
										{	/* Ast/app.scm 307 */
											BgL_provsz00_1788 = BNIL;
										}
									else
										{	/* Ast/app.scm 307 */
											obj_t BgL_head1305z00_1893;

											BgL_head1305z00_1893 =
												MAKE_YOUNG_PAIR(CAR(CAR(BgL_l1303z00_1891)), BNIL);
											{	/* Ast/app.scm 307 */
												obj_t BgL_g1308z00_1894;

												BgL_g1308z00_1894 = CDR(BgL_l1303z00_1891);
												{
													obj_t BgL_l1303z00_1896;
													obj_t BgL_tail1306z00_1897;

													BgL_l1303z00_1896 = BgL_g1308z00_1894;
													BgL_tail1306z00_1897 = BgL_head1305z00_1893;
												BgL_zc3z04anonymousza31957ze3z87_1898:
													if (NULLP(BgL_l1303z00_1896))
														{	/* Ast/app.scm 307 */
															BgL_provsz00_1788 = BgL_head1305z00_1893;
														}
													else
														{	/* Ast/app.scm 307 */
															obj_t BgL_newtail1307z00_1900;

															{	/* Ast/app.scm 307 */
																obj_t BgL_arg1961z00_1902;

																{	/* Ast/app.scm 307 */
																	obj_t BgL_pairz00_3170;

																	BgL_pairz00_3170 =
																		CAR(((obj_t) BgL_l1303z00_1896));
																	BgL_arg1961z00_1902 = CAR(BgL_pairz00_3170);
																}
																BgL_newtail1307z00_1900 =
																	MAKE_YOUNG_PAIR(BgL_arg1961z00_1902, BNIL);
															}
															SET_CDR(BgL_tail1306z00_1897,
																BgL_newtail1307z00_1900);
															{	/* Ast/app.scm 307 */
																obj_t BgL_arg1960z00_1901;

																BgL_arg1960z00_1901 =
																	CDR(((obj_t) BgL_l1303z00_1896));
																{
																	obj_t BgL_tail1306z00_5040;
																	obj_t BgL_l1303z00_5039;

																	BgL_l1303z00_5039 = BgL_arg1960z00_1901;
																	BgL_tail1306z00_5040 =
																		BgL_newtail1307z00_1900;
																	BgL_tail1306z00_1897 = BgL_tail1306z00_5040;
																	BgL_l1303z00_1896 = BgL_l1303z00_5039;
																	goto BgL_zc3z04anonymousza31957ze3z87_1898;
																}
															}
														}
												}
											}
										}
								}
								{	/* Ast/app.scm 307 */
									obj_t BgL_optsz00_1789;

									BgL_optsz00_1789 =
										BGl_listzd2tailzd2zz__r4_pairs_and_lists_6_3z00(
										(((BgL_sfunz00_bglt) COBJECT(BgL_i1115z00_1771))->
											BgL_optionalsz00),
										(BgL_lenz00_1770 -
											(((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
															BgL_i1115z00_1771)))->BgL_arityz00)));
									{	/* Ast/app.scm 308 */
										obj_t BgL_expz00_1790;

										{	/* Ast/app.scm 309 */
											obj_t BgL_arg1889z00_1793;
											obj_t BgL_arg1890z00_1794;

											BgL_arg1889z00_1793 = BGl_letzd2symzd2zzast_letz00();
											{	/* Ast/app.scm 309 */
												obj_t BgL_arg1891z00_1795;
												obj_t BgL_arg1892z00_1796;

												{	/* Ast/app.scm 309 */
													obj_t BgL_ll1310z00_1798;

													BgL_ll1310z00_1798 =
														BGl_takez00zz__r4_pairs_and_lists_6_3z00
														(BgL_actualsz00_21,
														(((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
																		BgL_i1115z00_1771)))->BgL_arityz00));
													if (NULLP(BgL_reqsz00_1787))
														{	/* Ast/app.scm 309 */
															BgL_arg1891z00_1795 = BNIL;
														}
													else
														{	/* Ast/app.scm 309 */
															obj_t BgL_head1311z00_1800;

															{	/* Ast/app.scm 309 */
																obj_t BgL_arg1903z00_1818;

																{	/* Ast/app.scm 309 */
																	obj_t BgL_arg1904z00_1819;
																	obj_t BgL_arg1905z00_1820;

																	BgL_arg1904z00_1819 =
																		CAR(((obj_t) BgL_reqsz00_1787));
																	BgL_arg1905z00_1820 =
																		CAR(((obj_t) BgL_ll1310z00_1798));
																	{	/* Ast/app.scm 309 */
																		obj_t BgL_list1906z00_1821;

																		{	/* Ast/app.scm 309 */
																			obj_t BgL_arg1907z00_1822;

																			BgL_arg1907z00_1822 =
																				MAKE_YOUNG_PAIR(BgL_arg1905z00_1820,
																				BNIL);
																			BgL_list1906z00_1821 =
																				MAKE_YOUNG_PAIR(BgL_arg1904z00_1819,
																				BgL_arg1907z00_1822);
																		}
																		BgL_arg1903z00_1818 = BgL_list1906z00_1821;
																	}
																}
																BgL_head1311z00_1800 =
																	MAKE_YOUNG_PAIR(BgL_arg1903z00_1818, BNIL);
															}
															{	/* Ast/app.scm 309 */
																obj_t BgL_g1315z00_1801;
																obj_t BgL_g1316z00_1802;

																BgL_g1315z00_1801 =
																	CDR(((obj_t) BgL_reqsz00_1787));
																BgL_g1316z00_1802 =
																	CDR(((obj_t) BgL_ll1310z00_1798));
																{
																	obj_t BgL_ll1309z00_1804;
																	obj_t BgL_ll1310z00_1805;
																	obj_t BgL_tail1312z00_1806;

																	BgL_ll1309z00_1804 = BgL_g1315z00_1801;
																	BgL_ll1310z00_1805 = BgL_g1316z00_1802;
																	BgL_tail1312z00_1806 = BgL_head1311z00_1800;
																BgL_zc3z04anonymousza31894ze3z87_1807:
																	if (NULLP(BgL_ll1309z00_1804))
																		{	/* Ast/app.scm 309 */
																			BgL_arg1891z00_1795 =
																				BgL_head1311z00_1800;
																		}
																	else
																		{	/* Ast/app.scm 309 */
																			obj_t BgL_newtail1313z00_1809;

																			{	/* Ast/app.scm 309 */
																				obj_t BgL_arg1898z00_1812;

																				{	/* Ast/app.scm 309 */
																					obj_t BgL_arg1899z00_1813;
																					obj_t BgL_arg1900z00_1814;

																					BgL_arg1899z00_1813 =
																						CAR(((obj_t) BgL_ll1309z00_1804));
																					BgL_arg1900z00_1814 =
																						CAR(((obj_t) BgL_ll1310z00_1805));
																					{	/* Ast/app.scm 309 */
																						obj_t BgL_list1901z00_1815;

																						{	/* Ast/app.scm 309 */
																							obj_t BgL_arg1902z00_1816;

																							BgL_arg1902z00_1816 =
																								MAKE_YOUNG_PAIR
																								(BgL_arg1900z00_1814, BNIL);
																							BgL_list1901z00_1815 =
																								MAKE_YOUNG_PAIR
																								(BgL_arg1899z00_1813,
																								BgL_arg1902z00_1816);
																						}
																						BgL_arg1898z00_1812 =
																							BgL_list1901z00_1815;
																					}
																				}
																				BgL_newtail1313z00_1809 =
																					MAKE_YOUNG_PAIR(BgL_arg1898z00_1812,
																					BNIL);
																			}
																			SET_CDR(BgL_tail1312z00_1806,
																				BgL_newtail1313z00_1809);
																			{	/* Ast/app.scm 309 */
																				obj_t BgL_arg1896z00_1810;
																				obj_t BgL_arg1897z00_1811;

																				BgL_arg1896z00_1810 =
																					CDR(((obj_t) BgL_ll1309z00_1804));
																				BgL_arg1897z00_1811 =
																					CDR(((obj_t) BgL_ll1310z00_1805));
																				{
																					obj_t BgL_tail1312z00_5079;
																					obj_t BgL_ll1310z00_5078;
																					obj_t BgL_ll1309z00_5077;

																					BgL_ll1309z00_5077 =
																						BgL_arg1896z00_1810;
																					BgL_ll1310z00_5078 =
																						BgL_arg1897z00_1811;
																					BgL_tail1312z00_5079 =
																						BgL_newtail1313z00_1809;
																					BgL_tail1312z00_1806 =
																						BgL_tail1312z00_5079;
																					BgL_ll1310z00_1805 =
																						BgL_ll1310z00_5078;
																					BgL_ll1309z00_1804 =
																						BgL_ll1309z00_5077;
																					goto
																						BgL_zc3z04anonymousza31894ze3z87_1807;
																				}
																			}
																		}
																}
															}
														}
												}
												{	/* Ast/app.scm 310 */
													obj_t BgL_arg1909z00_1824;

													{	/* Ast/app.scm 310 */
														obj_t BgL_arg1910z00_1825;

														{	/* Ast/app.scm 310 */
															obj_t BgL_arg1911z00_1826;
															obj_t BgL_arg1912z00_1827;

															{	/* Ast/app.scm 310 */
																obj_t BgL_arg1913z00_1828;

																{	/* Ast/app.scm 310 */
																	obj_t BgL_ll1318z00_1830;

																	BgL_ll1318z00_1830 =
																		BGl_dropz00zz__r4_pairs_and_lists_6_3z00
																		(BgL_actualsz00_21,
																		(((BgL_funz00_bglt)
																				COBJECT(((BgL_funz00_bglt)
																						BgL_i1115z00_1771)))->
																			BgL_arityz00));
																	if (NULLP(BgL_provsz00_1788))
																		{	/* Ast/app.scm 310 */
																			BgL_arg1913z00_1828 = BNIL;
																		}
																	else
																		{	/* Ast/app.scm 310 */
																			obj_t BgL_head1319z00_1832;

																			{	/* Ast/app.scm 310 */
																				obj_t BgL_arg1926z00_1850;

																				{	/* Ast/app.scm 310 */
																					obj_t BgL_arg1927z00_1851;
																					obj_t BgL_arg1928z00_1852;

																					BgL_arg1927z00_1851 =
																						CAR(((obj_t) BgL_provsz00_1788));
																					BgL_arg1928z00_1852 =
																						CAR(((obj_t) BgL_ll1318z00_1830));
																					{	/* Ast/app.scm 310 */
																						obj_t BgL_list1929z00_1853;

																						{	/* Ast/app.scm 310 */
																							obj_t BgL_arg1930z00_1854;

																							BgL_arg1930z00_1854 =
																								MAKE_YOUNG_PAIR
																								(BgL_arg1928z00_1852, BNIL);
																							BgL_list1929z00_1853 =
																								MAKE_YOUNG_PAIR
																								(BgL_arg1927z00_1851,
																								BgL_arg1930z00_1854);
																						}
																						BgL_arg1926z00_1850 =
																							BgL_list1929z00_1853;
																					}
																				}
																				BgL_head1319z00_1832 =
																					MAKE_YOUNG_PAIR(BgL_arg1926z00_1850,
																					BNIL);
																			}
																			{	/* Ast/app.scm 310 */
																				obj_t BgL_g1323z00_1833;
																				obj_t BgL_g1324z00_1834;

																				BgL_g1323z00_1833 =
																					CDR(((obj_t) BgL_provsz00_1788));
																				BgL_g1324z00_1834 =
																					CDR(((obj_t) BgL_ll1318z00_1830));
																				{
																					obj_t BgL_ll1317z00_1836;
																					obj_t BgL_ll1318z00_1837;
																					obj_t BgL_tail1320z00_1838;

																					BgL_ll1317z00_1836 =
																						BgL_g1323z00_1833;
																					BgL_ll1318z00_1837 =
																						BgL_g1324z00_1834;
																					BgL_tail1320z00_1838 =
																						BgL_head1319z00_1832;
																				BgL_zc3z04anonymousza31915ze3z87_1839:
																					if (NULLP(BgL_ll1317z00_1836))
																						{	/* Ast/app.scm 310 */
																							BgL_arg1913z00_1828 =
																								BgL_head1319z00_1832;
																						}
																					else
																						{	/* Ast/app.scm 310 */
																							obj_t BgL_newtail1321z00_1841;

																							{	/* Ast/app.scm 310 */
																								obj_t BgL_arg1919z00_1844;

																								{	/* Ast/app.scm 310 */
																									obj_t BgL_arg1921z00_1845;
																									obj_t BgL_arg1922z00_1846;

																									BgL_arg1921z00_1845 =
																										CAR(
																										((obj_t)
																											BgL_ll1317z00_1836));
																									BgL_arg1922z00_1846 =
																										CAR(((obj_t)
																											BgL_ll1318z00_1837));
																									{	/* Ast/app.scm 310 */
																										obj_t BgL_list1923z00_1847;

																										{	/* Ast/app.scm 310 */
																											obj_t BgL_arg1924z00_1848;

																											BgL_arg1924z00_1848 =
																												MAKE_YOUNG_PAIR
																												(BgL_arg1922z00_1846,
																												BNIL);
																											BgL_list1923z00_1847 =
																												MAKE_YOUNG_PAIR
																												(BgL_arg1921z00_1845,
																												BgL_arg1924z00_1848);
																										}
																										BgL_arg1919z00_1844 =
																											BgL_list1923z00_1847;
																									}
																								}
																								BgL_newtail1321z00_1841 =
																									MAKE_YOUNG_PAIR
																									(BgL_arg1919z00_1844, BNIL);
																							}
																							SET_CDR(BgL_tail1320z00_1838,
																								BgL_newtail1321z00_1841);
																							{	/* Ast/app.scm 310 */
																								obj_t BgL_arg1917z00_1842;
																								obj_t BgL_arg1918z00_1843;

																								BgL_arg1917z00_1842 =
																									CDR(
																									((obj_t) BgL_ll1317z00_1836));
																								BgL_arg1918z00_1843 =
																									CDR(
																									((obj_t) BgL_ll1318z00_1837));
																								{
																									obj_t BgL_tail1320z00_5112;
																									obj_t BgL_ll1318z00_5111;
																									obj_t BgL_ll1317z00_5110;

																									BgL_ll1317z00_5110 =
																										BgL_arg1917z00_1842;
																									BgL_ll1318z00_5111 =
																										BgL_arg1918z00_1843;
																									BgL_tail1320z00_5112 =
																										BgL_newtail1321z00_1841;
																									BgL_tail1320z00_1838 =
																										BgL_tail1320z00_5112;
																									BgL_ll1318z00_1837 =
																										BgL_ll1318z00_5111;
																									BgL_ll1317z00_1836 =
																										BgL_ll1317z00_5110;
																									goto
																										BgL_zc3z04anonymousza31915ze3z87_1839;
																								}
																							}
																						}
																				}
																			}
																		}
																}
																BgL_arg1911z00_1826 =
																	BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																	(BgL_arg1913z00_1828, BgL_optsz00_1789);
															}
															{	/* Ast/app.scm 313 */
																obj_t BgL_arg1933z00_1856;

																{	/* Ast/app.scm 313 */
																	obj_t BgL_arg1934z00_1857;

																	{	/* Ast/app.scm 313 */
																		obj_t BgL_arg1935z00_1858;

																		{	/* Ast/app.scm 313 */
																			obj_t BgL_arg1936z00_1859;
																			obj_t BgL_arg1938z00_1860;

																			if (NULLP(BgL_provsz00_1788))
																				{	/* Ast/app.scm 313 */
																					BgL_arg1936z00_1859 = BNIL;
																				}
																			else
																				{	/* Ast/app.scm 313 */
																					obj_t BgL_head1327z00_1863;

																					BgL_head1327z00_1863 =
																						MAKE_YOUNG_PAIR(BNIL, BNIL);
																					{
																						obj_t BgL_l1325z00_1865;
																						obj_t BgL_tail1328z00_1866;

																						BgL_l1325z00_1865 =
																							BgL_provsz00_1788;
																						BgL_tail1328z00_1866 =
																							BgL_head1327z00_1863;
																					BgL_zc3z04anonymousza31940ze3z87_1867:
																						if (NULLP
																							(BgL_l1325z00_1865))
																							{	/* Ast/app.scm 313 */
																								BgL_arg1936z00_1859 =
																									CDR(BgL_head1327z00_1863);
																							}
																						else
																							{	/* Ast/app.scm 313 */
																								obj_t BgL_newtail1329z00_1869;

																								{	/* Ast/app.scm 313 */
																									obj_t BgL_arg1943z00_1871;

																									{	/* Ast/app.scm 313 */
																										obj_t BgL_iz00_1872;

																										BgL_iz00_1872 =
																											CAR(
																											((obj_t)
																												BgL_l1325z00_1865));
																										BgL_arg1943z00_1871 =
																											BGl_fastzd2idzd2ofzd2idzd2zzast_identz00
																											(BgL_iz00_1872,
																											BgL_locz00_18);
																									}
																									BgL_newtail1329z00_1869 =
																										MAKE_YOUNG_PAIR
																										(BgL_arg1943z00_1871, BNIL);
																								}
																								SET_CDR(BgL_tail1328z00_1866,
																									BgL_newtail1329z00_1869);
																								{	/* Ast/app.scm 313 */
																									obj_t BgL_arg1942z00_1870;

																									BgL_arg1942z00_1870 =
																										CDR(
																										((obj_t)
																											BgL_l1325z00_1865));
																									{
																										obj_t BgL_tail1328z00_5128;
																										obj_t BgL_l1325z00_5127;

																										BgL_l1325z00_5127 =
																											BgL_arg1942z00_1870;
																										BgL_tail1328z00_5128 =
																											BgL_newtail1329z00_1869;
																										BgL_tail1328z00_1866 =
																											BgL_tail1328z00_5128;
																										BgL_l1325z00_1865 =
																											BgL_l1325z00_5127;
																										goto
																											BgL_zc3z04anonymousza31940ze3z87_1867;
																									}
																								}
																							}
																					}
																				}
																			if (NULLP(BgL_optsz00_1789))
																				{	/* Ast/app.scm 316 */
																					BgL_arg1938z00_1860 = BNIL;
																				}
																			else
																				{	/* Ast/app.scm 316 */
																					obj_t BgL_head1332z00_1876;

																					BgL_head1332z00_1876 =
																						MAKE_YOUNG_PAIR(BNIL, BNIL);
																					{
																						obj_t BgL_l1330z00_1878;
																						obj_t BgL_tail1333z00_1879;

																						BgL_l1330z00_1878 =
																							BgL_optsz00_1789;
																						BgL_tail1333z00_1879 =
																							BgL_head1332z00_1876;
																					BgL_zc3z04anonymousza31945ze3z87_1880:
																						if (NULLP
																							(BgL_l1330z00_1878))
																							{	/* Ast/app.scm 316 */
																								BgL_arg1938z00_1860 =
																									CDR(BgL_head1332z00_1876);
																							}
																						else
																							{	/* Ast/app.scm 316 */
																								obj_t BgL_newtail1334z00_1882;

																								{	/* Ast/app.scm 316 */
																									obj_t BgL_arg1948z00_1884;

																									{	/* Ast/app.scm 316 */
																										obj_t BgL_oz00_1885;

																										BgL_oz00_1885 =
																											CAR(
																											((obj_t)
																												BgL_l1330z00_1878));
																										{	/* Ast/app.scm 317 */
																											obj_t BgL_arg1950z00_1886;

																											BgL_arg1950z00_1886 =
																												CAR(
																												((obj_t)
																													BgL_oz00_1885));
																											BgL_arg1948z00_1884 =
																												BGl_fastzd2idzd2ofzd2idzd2zzast_identz00
																												(BgL_arg1950z00_1886,
																												BgL_locz00_18);
																										}
																									}
																									BgL_newtail1334z00_1882 =
																										MAKE_YOUNG_PAIR
																										(BgL_arg1948z00_1884, BNIL);
																								}
																								SET_CDR(BgL_tail1333z00_1879,
																									BgL_newtail1334z00_1882);
																								{	/* Ast/app.scm 316 */
																									obj_t BgL_arg1947z00_1883;

																									BgL_arg1947z00_1883 =
																										CDR(
																										((obj_t)
																											BgL_l1330z00_1878));
																									{
																										obj_t BgL_tail1333z00_5145;
																										obj_t BgL_l1330z00_5144;

																										BgL_l1330z00_5144 =
																											BgL_arg1947z00_1883;
																										BgL_tail1333z00_5145 =
																											BgL_newtail1334z00_1882;
																										BgL_tail1333z00_1879 =
																											BgL_tail1333z00_5145;
																										BgL_l1330z00_1878 =
																											BgL_l1330z00_5144;
																										goto
																											BgL_zc3z04anonymousza31945ze3z87_1880;
																									}
																								}
																							}
																					}
																				}
																			BgL_arg1935z00_1858 =
																				BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																				(BgL_arg1936z00_1859,
																				BgL_arg1938z00_1860);
																		}
																		BgL_arg1934z00_1857 =
																			BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																			(BgL_reqsz00_1787, BgL_arg1935z00_1858);
																	}
																	BgL_arg1933z00_1856 =
																		MAKE_YOUNG_PAIR(
																		((obj_t) BgL_varz00_20),
																		BgL_arg1934z00_1857);
																}
																BgL_arg1912z00_1827 =
																	MAKE_YOUNG_PAIR(BgL_arg1933z00_1856, BNIL);
															}
															BgL_arg1910z00_1825 =
																MAKE_YOUNG_PAIR(BgL_arg1911z00_1826,
																BgL_arg1912z00_1827);
														}
														BgL_arg1909z00_1824 =
															MAKE_YOUNG_PAIR(
															((obj_t) CNST_TABLE_REF(9)), BgL_arg1910z00_1825);
													}
													BgL_arg1892z00_1796 =
														MAKE_YOUNG_PAIR(BgL_arg1909z00_1824, BNIL);
												}
												BgL_arg1890z00_1794 =
													MAKE_YOUNG_PAIR(BgL_arg1891z00_1795,
													BgL_arg1892z00_1796);
											}
											BgL_expz00_1790 =
												MAKE_YOUNG_PAIR(BgL_arg1889z00_1793,
												BgL_arg1890z00_1794);
										}
										{	/* Ast/app.scm 309 */

											return
												BGl_sexpzd2ze3nodez31zzast_sexpz00
												(BGl_compilezd2expandzd2zzexpand_epsz00
												(BGl_comptimezd2expandzd2zzexpand_epsz00
													(BgL_expz00_1790)), BNIL, BgL_locz00_18,
												BgL_sitez00_19);
										}
									}
								}
							}
						}
				}
			}
		}

	}



/* make-keys-app-node */
	BgL_nodez00_bglt BGl_makezd2keyszd2appzd2nodezd2zzast_appz00(obj_t
		BgL_stackz00_22, obj_t BgL_locz00_23, obj_t BgL_sitez00_24,
		BgL_varz00_bglt BgL_varz00_25, obj_t BgL_argsz00_26)
	{
		{	/* Ast/app.scm 327 */
			{	/* Ast/app.scm 328 */
				BgL_variablez00_bglt BgL_vz00_1916;

				BgL_vz00_1916 =
					(((BgL_varz00_bglt) COBJECT(BgL_varz00_25))->BgL_variablez00);
				{	/* Ast/app.scm 329 */
					BgL_sfunz00_bglt BgL_i1125z00_1917;

					BgL_i1125z00_1917 =
						((BgL_sfunz00_bglt)
						(((BgL_variablez00_bglt) COBJECT(BgL_vz00_1916))->BgL_valuez00));
					{	/* Ast/app.scm 330 */
						obj_t BgL_collectedz00_1918;

						{	/* Ast/app.scm 330 */
							obj_t BgL_g1129z00_2161;

							BgL_g1129z00_2161 =
								BGl_listzd2tailzd2zz__r4_pairs_and_lists_6_3z00(BgL_argsz00_26,
								(((BgL_funz00_bglt) COBJECT(
											((BgL_funz00_bglt) BgL_i1125z00_1917)))->BgL_arityz00));
							BgL_collectedz00_1918 =
								BGl_loopze70ze7zzast_appz00(BgL_locz00_23, BgL_vz00_1916,
								BgL_g1129z00_2161);
						}
						{
							obj_t BgL_valsz00_2038;
							obj_t BgL_keysz00_2065;
							obj_t BgL_valsz00_2066;
							obj_t BgL_stackz00_2067;

							{	/* Ast/app.scm 418 */
								bool_t BgL_test2517z00_5168;

								{
									obj_t BgL_l1340z00_2016;

									BgL_l1340z00_2016 = BgL_collectedz00_1918;
								BgL_zc3z04anonymousza32031ze3z87_2017:
									if (NULLP(BgL_l1340z00_2016))
										{	/* Ast/app.scm 418 */
											BgL_test2517z00_5168 = ((bool_t) 0);
										}
									else
										{	/* Ast/app.scm 419 */
											bool_t BgL__ortest_1342z00_2019;

											{	/* Ast/app.scm 419 */
												obj_t BgL_az00_2022;

												{	/* Ast/app.scm 419 */
													obj_t BgL_pairz00_3317;

													BgL_pairz00_3317 = CAR(((obj_t) BgL_l1340z00_2016));
													BgL_az00_2022 = CAR(BgL_pairz00_3317);
												}
												{	/* Ast/app.scm 420 */
													bool_t BgL_test2519z00_5174;

													{	/* Ast/app.scm 420 */
														bool_t BgL_test2520z00_5175;

														{	/* Ast/app.scm 420 */
															obj_t BgL_classz00_3318;

															BgL_classz00_3318 = BGl_atomz00zzast_nodez00;
															if (BGL_OBJECTP(BgL_az00_2022))
																{	/* Ast/app.scm 420 */
																	BgL_objectz00_bglt BgL_arg1858z00_3320;

																	BgL_arg1858z00_3320 =
																		(BgL_objectz00_bglt) (BgL_az00_2022);
																	if (BGL_CONDEXPAND_ISA_ARCH64())
																		{	/* Ast/app.scm 420 */
																			long BgL_idxz00_3326;

																			BgL_idxz00_3326 =
																				BGL_OBJECT_INHERITANCE_NUM
																				(BgL_arg1858z00_3320);
																			BgL_test2520z00_5175 =
																				(VECTOR_REF
																				(BGl_za2inheritancesza2z00zz__objectz00,
																					(BgL_idxz00_3326 + 2L)) ==
																				BgL_classz00_3318);
																		}
																	else
																		{	/* Ast/app.scm 420 */
																			bool_t BgL_res2341z00_3351;

																			{	/* Ast/app.scm 420 */
																				obj_t BgL_oclassz00_3334;

																				{	/* Ast/app.scm 420 */
																					obj_t BgL_arg1866z00_3342;
																					long BgL_arg1867z00_3343;

																					BgL_arg1866z00_3342 =
																						(BGl_za2classesza2z00zz__objectz00);
																					{	/* Ast/app.scm 420 */
																						long BgL_arg1869z00_3344;

																						BgL_arg1869z00_3344 =
																							BGL_OBJECT_CLASS_NUM
																							(BgL_arg1858z00_3320);
																						BgL_arg1867z00_3343 =
																							(BgL_arg1869z00_3344 -
																							OBJECT_TYPE);
																					}
																					BgL_oclassz00_3334 =
																						VECTOR_REF(BgL_arg1866z00_3342,
																						BgL_arg1867z00_3343);
																				}
																				{	/* Ast/app.scm 420 */
																					bool_t BgL__ortest_1115z00_3335;

																					BgL__ortest_1115z00_3335 =
																						(BgL_classz00_3318 ==
																						BgL_oclassz00_3334);
																					if (BgL__ortest_1115z00_3335)
																						{	/* Ast/app.scm 420 */
																							BgL_res2341z00_3351 =
																								BgL__ortest_1115z00_3335;
																						}
																					else
																						{	/* Ast/app.scm 420 */
																							long BgL_odepthz00_3336;

																							{	/* Ast/app.scm 420 */
																								obj_t BgL_arg1855z00_3337;

																								BgL_arg1855z00_3337 =
																									(BgL_oclassz00_3334);
																								BgL_odepthz00_3336 =
																									BGL_CLASS_DEPTH
																									(BgL_arg1855z00_3337);
																							}
																							if ((2L < BgL_odepthz00_3336))
																								{	/* Ast/app.scm 420 */
																									obj_t BgL_arg1853z00_3339;

																									{	/* Ast/app.scm 420 */
																										obj_t BgL_arg1854z00_3340;

																										BgL_arg1854z00_3340 =
																											(BgL_oclassz00_3334);
																										BgL_arg1853z00_3339 =
																											BGL_CLASS_ANCESTORS_REF
																											(BgL_arg1854z00_3340, 2L);
																									}
																									BgL_res2341z00_3351 =
																										(BgL_arg1853z00_3339 ==
																										BgL_classz00_3318);
																								}
																							else
																								{	/* Ast/app.scm 420 */
																									BgL_res2341z00_3351 =
																										((bool_t) 0);
																								}
																						}
																				}
																			}
																			BgL_test2520z00_5175 =
																				BgL_res2341z00_3351;
																		}
																}
															else
																{	/* Ast/app.scm 420 */
																	BgL_test2520z00_5175 = ((bool_t) 0);
																}
														}
														if (BgL_test2520z00_5175)
															{	/* Ast/app.scm 420 */
																obj_t BgL_tmpz00_5198;

																BgL_tmpz00_5198 =
																	(((BgL_atomz00_bglt) COBJECT(
																			((BgL_atomz00_bglt) BgL_az00_2022)))->
																	BgL_valuez00);
																BgL_test2519z00_5174 =
																	KEYWORDP(BgL_tmpz00_5198);
															}
														else
															{	/* Ast/app.scm 420 */
																BgL_test2519z00_5174 = ((bool_t) 0);
															}
													}
													if (BgL_test2519z00_5174)
														{	/* Ast/app.scm 420 */
															BgL__ortest_1342z00_2019 = ((bool_t) 0);
														}
													else
														{	/* Ast/app.scm 420 */
															BgL__ortest_1342z00_2019 = ((bool_t) 1);
														}
												}
											}
											if (BgL__ortest_1342z00_2019)
												{	/* Ast/app.scm 418 */
													BgL_test2517z00_5168 = BgL__ortest_1342z00_2019;
												}
											else
												{	/* Ast/app.scm 418 */
													obj_t BgL_arg2032z00_2020;

													BgL_arg2032z00_2020 =
														CDR(((obj_t) BgL_l1340z00_2016));
													{
														obj_t BgL_l1340z00_5205;

														BgL_l1340z00_5205 = BgL_arg2032z00_2020;
														BgL_l1340z00_2016 = BgL_l1340z00_5205;
														goto BgL_zc3z04anonymousza32031ze3z87_2017;
													}
												}
										}
								}
								if (BgL_test2517z00_5168)
									{	/* Ast/app.scm 418 */
										{	/* Ast/app.scm 343 */
											obj_t BgL_fz00_2028;

											BgL_fz00_2028 =
												BGl_gensymz00zz__r4_symbols_6_4z00(
												(((BgL_variablez00_bglt) COBJECT(BgL_vz00_1916))->
													BgL_idz00));
											{	/* Ast/app.scm 348 */
												obj_t BgL_expz00_2029;

												{	/* Ast/app.scm 348 */
													obj_t BgL_arg2035z00_2030;
													obj_t BgL_arg2036z00_2031;

													BgL_arg2035z00_2030 = BGl_letzd2symzd2zzast_letz00();
													{	/* Ast/app.scm 348 */
														obj_t BgL_arg2038z00_2032;
														obj_t BgL_arg2039z00_2033;

														{	/* Ast/app.scm 348 */
															obj_t BgL_arg2040z00_2034;

															{	/* Ast/app.scm 348 */
																obj_t BgL_arg2041z00_2035;

																BgL_arg2041z00_2035 =
																	MAKE_YOUNG_PAIR(
																	((obj_t) BgL_vz00_1916), BNIL);
																BgL_arg2040z00_2034 =
																	MAKE_YOUNG_PAIR(BgL_fz00_2028,
																	BgL_arg2041z00_2035);
															}
															BgL_arg2038z00_2032 =
																MAKE_YOUNG_PAIR(BgL_arg2040z00_2034, BNIL);
														}
														{	/* Ast/app.scm 348 */
															obj_t BgL_arg2042z00_2036;

															BgL_arg2042z00_2036 =
																MAKE_YOUNG_PAIR(BgL_fz00_2028, BgL_argsz00_26);
															BgL_arg2039z00_2033 =
																MAKE_YOUNG_PAIR(BgL_arg2042z00_2036, BNIL);
														}
														BgL_arg2036z00_2031 =
															MAKE_YOUNG_PAIR(BgL_arg2038z00_2032,
															BgL_arg2039z00_2033);
													}
													BgL_expz00_2029 =
														MAKE_YOUNG_PAIR(BgL_arg2035z00_2030,
														BgL_arg2036z00_2031);
												}
												return
													BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_expz00_2029,
													BgL_stackz00_22, BgL_locz00_23, BgL_sitez00_24);
											}
										}
									}
								else
									{	/* Ast/app.scm 423 */
										obj_t BgL_valsz00_1937;

										{	/* Ast/app.scm 425 */
											obj_t BgL_arg2017z00_1994;

											{	/* Ast/app.scm 425 */
												obj_t BgL_arg2018z00_1995;

												if (NULLP(BgL_collectedz00_1918))
													{	/* Ast/app.scm 425 */
														BgL_arg2018z00_1995 = BNIL;
													}
												else
													{	/* Ast/app.scm 425 */
														obj_t BgL_head1345z00_1998;

														BgL_head1345z00_1998 = MAKE_YOUNG_PAIR(BNIL, BNIL);
														{
															obj_t BgL_l1343z00_2000;
															obj_t BgL_tail1346z00_2001;

															BgL_l1343z00_2000 = BgL_collectedz00_1918;
															BgL_tail1346z00_2001 = BgL_head1345z00_1998;
														BgL_zc3z04anonymousza32020ze3z87_2002:
															if (NULLP(BgL_l1343z00_2000))
																{	/* Ast/app.scm 425 */
																	BgL_arg2018z00_1995 =
																		CDR(BgL_head1345z00_1998);
																}
															else
																{	/* Ast/app.scm 425 */
																	obj_t BgL_newtail1347z00_2004;

																	{	/* Ast/app.scm 425 */
																		obj_t BgL_arg2023z00_2006;

																		{	/* Ast/app.scm 425 */
																			obj_t BgL_vz00_2007;

																			BgL_vz00_2007 =
																				CAR(((obj_t) BgL_l1343z00_2000));
																			{	/* Ast/app.scm 427 */
																				obj_t BgL_arg2024z00_2008;
																				obj_t BgL_arg2025z00_2009;

																				{	/* Ast/app.scm 427 */
																					obj_t BgL_arg2028z00_2012;

																					BgL_arg2028z00_2012 =
																						(((BgL_atomz00_bglt) COBJECT(
																								((BgL_atomz00_bglt)
																									CAR(
																										((obj_t)
																											BgL_vz00_2007)))))->
																						BgL_valuez00);
																					BgL_arg2024z00_2008 =
																						BGl_keywordzd2ze3symbolz31zz__r4_symbols_6_4z00
																						(BgL_arg2028z00_2012);
																				}
																				{	/* Ast/app.scm 428 */
																					obj_t BgL_pairz00_3361;

																					BgL_pairz00_3361 =
																						CDR(((obj_t) BgL_vz00_2007));
																					BgL_arg2025z00_2009 =
																						CAR(BgL_pairz00_3361);
																				}
																				{	/* Ast/app.scm 426 */
																					obj_t BgL_list2026z00_2010;

																					{	/* Ast/app.scm 426 */
																						obj_t BgL_arg2027z00_2011;

																						BgL_arg2027z00_2011 =
																							MAKE_YOUNG_PAIR
																							(BgL_arg2025z00_2009, BNIL);
																						BgL_list2026z00_2010 =
																							MAKE_YOUNG_PAIR
																							(BgL_arg2024z00_2008,
																							BgL_arg2027z00_2011);
																					}
																					BgL_arg2023z00_2006 =
																						BgL_list2026z00_2010;
																				}
																			}
																		}
																		BgL_newtail1347z00_2004 =
																			MAKE_YOUNG_PAIR(BgL_arg2023z00_2006,
																			BNIL);
																	}
																	SET_CDR(BgL_tail1346z00_2001,
																		BgL_newtail1347z00_2004);
																	{	/* Ast/app.scm 425 */
																		obj_t BgL_arg2022z00_2005;

																		BgL_arg2022z00_2005 =
																			CDR(((obj_t) BgL_l1343z00_2000));
																		{
																			obj_t BgL_tail1346z00_5241;
																			obj_t BgL_l1343z00_5240;

																			BgL_l1343z00_5240 = BgL_arg2022z00_2005;
																			BgL_tail1346z00_5241 =
																				BgL_newtail1347z00_2004;
																			BgL_tail1346z00_2001 =
																				BgL_tail1346z00_5241;
																			BgL_l1343z00_2000 = BgL_l1343z00_5240;
																			goto
																				BgL_zc3z04anonymousza32020ze3z87_2002;
																		}
																	}
																}
														}
													}
												BgL_arg2017z00_1994 =
													BGl_dssslzd2keyzd2argszd2sortzd2zztools_dssslz00
													(BgL_arg2018z00_1995);
											}
											BgL_valsz00_2038 = BgL_arg2017z00_1994;
											{
												obj_t BgL_vsz00_2042;
												obj_t BgL_nvalsz00_2043;

												BgL_vsz00_2042 = BgL_valsz00_2038;
												BgL_nvalsz00_2043 = BNIL;
											BgL_zc3z04anonymousza32045ze3z87_2044:
												if (NULLP(BgL_vsz00_2042))
													{	/* Ast/app.scm 354 */
														BgL_valsz00_1937 =
															bgl_reverse_bang(BgL_nvalsz00_2043);
													}
												else
													{	/* Ast/app.scm 354 */
														if (NULLP(CDR(((obj_t) BgL_vsz00_2042))))
															{	/* Ast/app.scm 357 */
																obj_t BgL_arg2049z00_2048;

																{	/* Ast/app.scm 357 */
																	obj_t BgL_arg2050z00_2049;

																	BgL_arg2050z00_2049 =
																		CAR(((obj_t) BgL_vsz00_2042));
																	BgL_arg2049z00_2048 =
																		MAKE_YOUNG_PAIR(BgL_arg2050z00_2049,
																		BgL_nvalsz00_2043);
																}
																BgL_valsz00_1937 =
																	bgl_reverse_bang(BgL_arg2049z00_2048);
															}
														else
															{	/* Ast/app.scm 358 */
																bool_t BgL_test2530z00_5254;

																{	/* Ast/app.scm 358 */
																	obj_t BgL_auxz00_5259;
																	obj_t BgL_tmpz00_5255;

																	{	/* Ast/app.scm 358 */
																		obj_t BgL_pairz00_3232;

																		{	/* Ast/app.scm 358 */
																			obj_t BgL_pairz00_3231;

																			BgL_pairz00_3231 =
																				CDR(((obj_t) BgL_vsz00_2042));
																			BgL_pairz00_3232 = CAR(BgL_pairz00_3231);
																		}
																		BgL_auxz00_5259 = CAR(BgL_pairz00_3232);
																	}
																	{	/* Ast/app.scm 358 */
																		obj_t BgL_pairz00_3227;

																		BgL_pairz00_3227 =
																			CAR(((obj_t) BgL_vsz00_2042));
																		BgL_tmpz00_5255 = CAR(BgL_pairz00_3227);
																	}
																	BgL_test2530z00_5254 =
																		(BgL_tmpz00_5255 == BgL_auxz00_5259);
																}
																if (BgL_test2530z00_5254)
																	{	/* Ast/app.scm 358 */
																		{	/* Ast/app.scm 360 */
																			obj_t BgL_arg2055z00_2054;
																			obj_t BgL_arg2056z00_2055;

																			BgL_arg2055z00_2054 =
																				(((BgL_variablez00_bglt)
																					COBJECT(BgL_vz00_1916))->BgL_idz00);
																			{	/* Ast/app.scm 361 */
																				obj_t BgL_pairz00_3237;

																				BgL_pairz00_3237 =
																					CAR(((obj_t) BgL_vsz00_2042));
																				BgL_arg2056z00_2055 =
																					CAR(BgL_pairz00_3237);
																			}
																			BGl_userzd2warningzf2locationz20zztools_errorz00
																				(BgL_locz00_23, BgL_arg2055z00_2054,
																				BGl_string2369z00zzast_appz00,
																				BgL_arg2056z00_2055);
																		}
																		{	/* Ast/app.scm 362 */
																			obj_t BgL_arg2058z00_2056;

																			BgL_arg2058z00_2056 =
																				CDR(((obj_t) BgL_vsz00_2042));
																			{
																				obj_t BgL_vsz00_5272;

																				BgL_vsz00_5272 = BgL_arg2058z00_2056;
																				BgL_vsz00_2042 = BgL_vsz00_5272;
																				goto
																					BgL_zc3z04anonymousza32045ze3z87_2044;
																			}
																		}
																	}
																else
																	{	/* Ast/app.scm 364 */
																		obj_t BgL_arg2059z00_2057;
																		obj_t BgL_arg2060z00_2058;

																		BgL_arg2059z00_2057 =
																			CDR(((obj_t) BgL_vsz00_2042));
																		{	/* Ast/app.scm 364 */
																			obj_t BgL_arg2061z00_2059;

																			BgL_arg2061z00_2059 =
																				CAR(((obj_t) BgL_vsz00_2042));
																			BgL_arg2060z00_2058 =
																				MAKE_YOUNG_PAIR(BgL_arg2061z00_2059,
																				BgL_nvalsz00_2043);
																		}
																		{
																			obj_t BgL_nvalsz00_5279;
																			obj_t BgL_vsz00_5278;

																			BgL_vsz00_5278 = BgL_arg2059z00_2057;
																			BgL_nvalsz00_5279 = BgL_arg2060z00_2058;
																			BgL_nvalsz00_2043 = BgL_nvalsz00_5279;
																			BgL_vsz00_2042 = BgL_vsz00_5278;
																			goto
																				BgL_zc3z04anonymousza32045ze3z87_2044;
																		}
																	}
															}
													}
											}
										}
										{	/* Ast/app.scm 431 */
											obj_t BgL_fkeysz00_1938;

											{	/* Ast/app.scm 431 */
												obj_t BgL_l1348z00_1979;

												BgL_l1348z00_1979 =
													(((BgL_sfunz00_bglt) COBJECT(BgL_i1125z00_1917))->
													BgL_keysz00);
												if (NULLP(BgL_l1348z00_1979))
													{	/* Ast/app.scm 431 */
														BgL_fkeysz00_1938 = BNIL;
													}
												else
													{	/* Ast/app.scm 431 */
														obj_t BgL_head1350z00_1981;

														BgL_head1350z00_1981 = MAKE_YOUNG_PAIR(BNIL, BNIL);
														{
															obj_t BgL_l1348z00_1983;
															obj_t BgL_tail1351z00_1984;

															BgL_l1348z00_1983 = BgL_l1348z00_1979;
															BgL_tail1351z00_1984 = BgL_head1350z00_1981;
														BgL_zc3z04anonymousza32011ze3z87_1985:
															if (NULLP(BgL_l1348z00_1983))
																{	/* Ast/app.scm 431 */
																	BgL_fkeysz00_1938 = CDR(BgL_head1350z00_1981);
																}
															else
																{	/* Ast/app.scm 431 */
																	obj_t BgL_newtail1352z00_1987;

																	{	/* Ast/app.scm 431 */
																		obj_t BgL_arg2014z00_1989;

																		{	/* Ast/app.scm 431 */
																			obj_t BgL_kz00_1990;

																			BgL_kz00_1990 =
																				CAR(((obj_t) BgL_l1348z00_1983));
																			{	/* Ast/app.scm 432 */
																				obj_t BgL_arg2015z00_1991;

																				BgL_arg2015z00_1991 =
																					CAR(((obj_t) BgL_kz00_1990));
																				BgL_arg2014z00_1989 =
																					BGl_fastzd2idzd2ofzd2idzd2zzast_identz00
																					(BgL_arg2015z00_1991, BgL_locz00_23);
																			}
																		}
																		BgL_newtail1352z00_1987 =
																			MAKE_YOUNG_PAIR(BgL_arg2014z00_1989,
																			BNIL);
																	}
																	SET_CDR(BgL_tail1351z00_1984,
																		BgL_newtail1352z00_1987);
																	{	/* Ast/app.scm 431 */
																		obj_t BgL_arg2013z00_1988;

																		BgL_arg2013z00_1988 =
																			CDR(((obj_t) BgL_l1348z00_1983));
																		{
																			obj_t BgL_tail1351z00_5297;
																			obj_t BgL_l1348z00_5296;

																			BgL_l1348z00_5296 = BgL_arg2013z00_1988;
																			BgL_tail1351z00_5297 =
																				BgL_newtail1352z00_1987;
																			BgL_tail1351z00_1984 =
																				BgL_tail1351z00_5297;
																			BgL_l1348z00_1983 = BgL_l1348z00_5296;
																			goto
																				BgL_zc3z04anonymousza32011ze3z87_1985;
																		}
																	}
																}
														}
													}
											}
											{	/* Ast/app.scm 431 */
												obj_t BgL_errz00_1939;

												{	/* Ast/app.scm 434 */
													obj_t BgL_hook1357z00_1960;

													BgL_hook1357z00_1960 = MAKE_YOUNG_PAIR(BFALSE, BNIL);
													{
														obj_t BgL_l1354z00_1962;
														obj_t BgL_h1355z00_1963;

														BgL_l1354z00_1962 = BgL_valsz00_1937;
														BgL_h1355z00_1963 = BgL_hook1357z00_1960;
													BgL_zc3z04anonymousza32000ze3z87_1964:
														if (NULLP(BgL_l1354z00_1962))
															{	/* Ast/app.scm 434 */
																BgL_errz00_1939 = CDR(BgL_hook1357z00_1960);
															}
														else
															{	/* Ast/app.scm 434 */
																bool_t BgL_test2534z00_5302;

																{	/* Ast/app.scm 435 */
																	bool_t BgL_test2535z00_5303;

																	{	/* Ast/app.scm 435 */
																		obj_t BgL_tmpz00_5304;

																		{	/* Ast/app.scm 435 */
																			obj_t BgL_auxz00_5305;

																			{	/* Ast/app.scm 435 */
																				obj_t BgL_pairz00_3372;

																				BgL_pairz00_3372 =
																					CAR(((obj_t) BgL_l1354z00_1962));
																				BgL_auxz00_5305 = CAR(BgL_pairz00_3372);
																			}
																			BgL_tmpz00_5304 =
																				BGl_memqz00zz__r4_pairs_and_lists_6_3z00
																				(BgL_auxz00_5305, BgL_fkeysz00_1938);
																		}
																		BgL_test2535z00_5303 =
																			CBOOL(BgL_tmpz00_5304);
																	}
																	if (BgL_test2535z00_5303)
																		{	/* Ast/app.scm 435 */
																			BgL_test2534z00_5302 = ((bool_t) 0);
																		}
																	else
																		{	/* Ast/app.scm 435 */
																			BgL_test2534z00_5302 = ((bool_t) 1);
																		}
																}
																if (BgL_test2534z00_5302)
																	{	/* Ast/app.scm 434 */
																		obj_t BgL_nh1356z00_1971;

																		{	/* Ast/app.scm 434 */
																			obj_t BgL_arg2007z00_1973;

																			BgL_arg2007z00_1973 =
																				CAR(((obj_t) BgL_l1354z00_1962));
																			BgL_nh1356z00_1971 =
																				MAKE_YOUNG_PAIR(BgL_arg2007z00_1973,
																				BNIL);
																		}
																		SET_CDR(BgL_h1355z00_1963,
																			BgL_nh1356z00_1971);
																		{	/* Ast/app.scm 434 */
																			obj_t BgL_arg2006z00_1972;

																			BgL_arg2006z00_1972 =
																				CDR(((obj_t) BgL_l1354z00_1962));
																			{
																				obj_t BgL_h1355z00_5318;
																				obj_t BgL_l1354z00_5317;

																				BgL_l1354z00_5317 = BgL_arg2006z00_1972;
																				BgL_h1355z00_5318 = BgL_nh1356z00_1971;
																				BgL_h1355z00_1963 = BgL_h1355z00_5318;
																				BgL_l1354z00_1962 = BgL_l1354z00_5317;
																				goto
																					BgL_zc3z04anonymousza32000ze3z87_1964;
																			}
																		}
																	}
																else
																	{	/* Ast/app.scm 434 */
																		obj_t BgL_arg2008z00_1974;

																		BgL_arg2008z00_1974 =
																			CDR(((obj_t) BgL_l1354z00_1962));
																		{
																			obj_t BgL_l1354z00_5321;

																			BgL_l1354z00_5321 = BgL_arg2008z00_1974;
																			BgL_l1354z00_1962 = BgL_l1354z00_5321;
																			goto
																				BgL_zc3z04anonymousza32000ze3z87_1964;
																		}
																	}
															}
													}
												}
												{	/* Ast/app.scm 434 */

													if (PAIRP(BgL_errz00_1939))
														{	/* Ast/app.scm 439 */
															obj_t BgL_arg1985z00_1941;
															obj_t BgL_arg1986z00_1942;

															BgL_arg1985z00_1941 =
																(((BgL_variablez00_bglt)
																	COBJECT(BgL_vz00_1916))->BgL_idz00);
															{	/* Ast/app.scm 440 */
																obj_t BgL_head1360z00_1946;

																BgL_head1360z00_1946 =
																	MAKE_YOUNG_PAIR(CAR(CAR(BgL_errz00_1939)),
																	BNIL);
																{	/* Ast/app.scm 440 */
																	obj_t BgL_g1363z00_1947;

																	BgL_g1363z00_1947 = CDR(BgL_errz00_1939);
																	{
																		obj_t BgL_l1358z00_1949;
																		obj_t BgL_tail1361z00_1950;

																		BgL_l1358z00_1949 = BgL_g1363z00_1947;
																		BgL_tail1361z00_1950 = BgL_head1360z00_1946;
																	BgL_zc3z04anonymousza31989ze3z87_1951:
																		if (NULLP(BgL_l1358z00_1949))
																			{	/* Ast/app.scm 440 */
																				BgL_arg1986z00_1942 =
																					BgL_head1360z00_1946;
																			}
																		else
																			{	/* Ast/app.scm 440 */
																				obj_t BgL_newtail1362z00_1953;

																				{	/* Ast/app.scm 440 */
																					obj_t BgL_arg1994z00_1955;

																					{	/* Ast/app.scm 440 */
																						obj_t BgL_pairz00_3382;

																						BgL_pairz00_3382 =
																							CAR(((obj_t) BgL_l1358z00_1949));
																						BgL_arg1994z00_1955 =
																							CAR(BgL_pairz00_3382);
																					}
																					BgL_newtail1362z00_1953 =
																						MAKE_YOUNG_PAIR(BgL_arg1994z00_1955,
																						BNIL);
																				}
																				SET_CDR(BgL_tail1361z00_1950,
																					BgL_newtail1362z00_1953);
																				{	/* Ast/app.scm 440 */
																					obj_t BgL_arg1991z00_1954;

																					BgL_arg1991z00_1954 =
																						CDR(((obj_t) BgL_l1358z00_1949));
																					{
																						obj_t BgL_tail1361z00_5339;
																						obj_t BgL_l1358z00_5338;

																						BgL_l1358z00_5338 =
																							BgL_arg1991z00_1954;
																						BgL_tail1361z00_5339 =
																							BgL_newtail1362z00_1953;
																						BgL_tail1361z00_1950 =
																							BgL_tail1361z00_5339;
																						BgL_l1358z00_1949 =
																							BgL_l1358z00_5338;
																						goto
																							BgL_zc3z04anonymousza31989ze3z87_1951;
																					}
																				}
																			}
																	}
																}
															}
															BGl_userzd2errorzf2locationz20zztools_errorz00
																(BgL_locz00_23, BgL_arg1985z00_1941,
																BGl_string2370z00zzast_appz00,
																BgL_arg1986z00_1942, BNIL);
														}
													else
														{	/* Ast/app.scm 437 */
															BFALSE;
														}
												}
											}
										}
										{	/* Ast/app.scm 441 */
											obj_t BgL_arg2016z00_1993;

											BgL_arg2016z00_1993 =
												(((BgL_sfunz00_bglt) COBJECT(BgL_i1125z00_1917))->
												BgL_keysz00);
											{
												BgL_nodezf2effectzf2_bglt BgL_auxz00_5342;

												BgL_keysz00_2065 = BgL_arg2016z00_1993;
												BgL_valsz00_2066 = BgL_valsz00_1937;
												BgL_stackz00_2067 = BgL_stackz00_22;
												BgL_auxz00_5342 =
													BGl_loopze71ze7zzast_appz00(BgL_argsz00_26,
													BgL_i1125z00_1917, BgL_varz00_25, BgL_vz00_1916,
													BgL_sitez00_24, BgL_locz00_23, BgL_keysz00_2065,
													BgL_valsz00_2066, BNIL, BgL_stackz00_2067);
												return ((BgL_nodez00_bglt) BgL_auxz00_5342);
											}
										}
									}
							}
						}
					}
				}
			}
		}

	}



/* loop~0 */
	obj_t BGl_loopze70ze7zzast_appz00(obj_t BgL_locz00_4162,
		BgL_variablez00_bglt BgL_vz00_4161, obj_t BgL_lz00_2163)
	{
		{	/* Ast/app.scm 330 */
			if (NULLP(BgL_lz00_2163))
				{	/* Ast/app.scm 332 */
					return BNIL;
				}
			else
				{	/* Ast/app.scm 334 */
					bool_t BgL_test2539z00_5347;

					{	/* Ast/app.scm 334 */
						obj_t BgL_tmpz00_5348;

						BgL_tmpz00_5348 = CDR(((obj_t) BgL_lz00_2163));
						BgL_test2539z00_5347 = PAIRP(BgL_tmpz00_5348);
					}
					if (BgL_test2539z00_5347)
						{	/* Ast/app.scm 335 */
							obj_t BgL_arg2120z00_2168;
							obj_t BgL_arg2121z00_2169;

							{	/* Ast/app.scm 335 */
								obj_t BgL_arg2122z00_2170;
								obj_t BgL_arg2123z00_2171;

								BgL_arg2122z00_2170 = CAR(((obj_t) BgL_lz00_2163));
								{	/* Ast/app.scm 335 */
									obj_t BgL_pairz00_3213;

									BgL_pairz00_3213 = CDR(((obj_t) BgL_lz00_2163));
									BgL_arg2123z00_2171 = CAR(BgL_pairz00_3213);
								}
								{	/* Ast/app.scm 335 */
									obj_t BgL_list2124z00_2172;

									{	/* Ast/app.scm 335 */
										obj_t BgL_arg2125z00_2173;

										BgL_arg2125z00_2173 =
											MAKE_YOUNG_PAIR(BgL_arg2123z00_2171, BNIL);
										BgL_list2124z00_2172 =
											MAKE_YOUNG_PAIR(BgL_arg2122z00_2170, BgL_arg2125z00_2173);
									}
									BgL_arg2120z00_2168 = BgL_list2124z00_2172;
								}
							}
							{	/* Ast/app.scm 336 */
								obj_t BgL_arg2126z00_2174;

								{	/* Ast/app.scm 336 */
									obj_t BgL_pairz00_3218;

									BgL_pairz00_3218 = CDR(((obj_t) BgL_lz00_2163));
									BgL_arg2126z00_2174 = CDR(BgL_pairz00_3218);
								}
								BgL_arg2121z00_2169 =
									BGl_loopze70ze7zzast_appz00(BgL_locz00_4162, BgL_vz00_4161,
									BgL_arg2126z00_2174);
							}
							return MAKE_YOUNG_PAIR(BgL_arg2120z00_2168, BgL_arg2121z00_2169);
						}
					else
						{	/* Ast/app.scm 339 */
							obj_t BgL_arg2127z00_2175;
							obj_t BgL_arg2128z00_2176;

							BgL_arg2127z00_2175 =
								(((BgL_variablez00_bglt) COBJECT(BgL_vz00_4161))->BgL_idz00);
							{	/* Ast/app.scm 341 */
								obj_t BgL_arg2130z00_2178;

								BgL_arg2130z00_2178 = CAR(((obj_t) BgL_lz00_2163));
								BgL_arg2128z00_2176 =
									BGl_shapez00zztools_shapez00(BgL_arg2130z00_2178);
							}
							return
								BGl_userzd2errorzf2locationz20zztools_errorz00(BgL_locz00_4162,
								BgL_arg2127z00_2175, BGl_string2371z00zzast_appz00,
								BgL_arg2128z00_2176, BNIL);
						}
				}
		}

	}



/* loop~1 */
	BgL_nodezf2effectzf2_bglt BGl_loopze71ze7zzast_appz00(obj_t BgL_argsz00_4168,
		BgL_sfunz00_bglt BgL_i1125z00_4167, BgL_varz00_bglt BgL_varz00_4166,
		BgL_variablez00_bglt BgL_vz00_4165, obj_t BgL_sitez00_4164,
		obj_t BgL_locz00_4163, obj_t BgL_keysz00_2071, obj_t BgL_valsz00_2072,
		obj_t BgL_envz00_2073, obj_t BgL_stackz00_2074)
	{
		{	/* Ast/app.scm 367 */
			if (NULLP(BgL_keysz00_2071))
				{	/* Ast/app.scm 373 */
					BgL_appz00_bglt BgL_new1133z00_2077;

					{	/* Ast/app.scm 374 */
						BgL_appz00_bglt BgL_new1132z00_2095;

						BgL_new1132z00_2095 =
							((BgL_appz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_appz00_bgl))));
						{	/* Ast/app.scm 374 */
							long BgL_arg2079z00_2096;

							BgL_arg2079z00_2096 = BGL_CLASS_NUM(BGl_appz00zzast_nodez00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1132z00_2095),
								BgL_arg2079z00_2096);
						}
						{	/* Ast/app.scm 374 */
							BgL_objectz00_bglt BgL_tmpz00_5375;

							BgL_tmpz00_5375 = ((BgL_objectz00_bglt) BgL_new1132z00_2095);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5375, BFALSE);
						}
						((BgL_objectz00_bglt) BgL_new1132z00_2095);
						BgL_new1133z00_2077 = BgL_new1132z00_2095;
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt) BgL_new1133z00_2077)))->BgL_locz00) =
						((obj_t) BgL_locz00_4163), BUNSPEC);
					{
						BgL_typez00_bglt BgL_auxz00_5381;

						{	/* Ast/app.scm 375 */
							BgL_typez00_bglt BgL_arg2070z00_2078;

							BgL_arg2070z00_2078 =
								(((BgL_variablez00_bglt) COBJECT(BgL_vz00_4165))->BgL_typez00);
							BgL_auxz00_5381 =
								BGl_strictzd2nodezd2typez00zzast_nodez00(
								((BgL_typez00_bglt) BGl_za2_za2z00zztype_cachez00),
								BgL_arg2070z00_2078);
						}
						((((BgL_nodez00_bglt) COBJECT(
										((BgL_nodez00_bglt) BgL_new1133z00_2077)))->BgL_typez00) =
							((BgL_typez00_bglt) BgL_auxz00_5381), BUNSPEC);
					}
					((((BgL_nodezf2effectzf2_bglt) COBJECT(
									((BgL_nodezf2effectzf2_bglt) BgL_new1133z00_2077)))->
							BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
										BgL_new1133z00_2077)))->BgL_keyz00) =
						((obj_t) BINT((-1L))), BUNSPEC);
					((((BgL_appz00_bglt) COBJECT(BgL_new1133z00_2077))->BgL_funz00) =
						((BgL_varz00_bglt) BgL_varz00_4166), BUNSPEC);
					{
						obj_t BgL_auxz00_5393;

						{	/* Ast/app.scm 378 */
							obj_t BgL_arg2071z00_2079;
							obj_t BgL_arg2072z00_2080;

							BgL_arg2071z00_2079 =
								BGl_takez00zz__r4_pairs_and_lists_6_3z00(BgL_argsz00_4168,
								(((BgL_funz00_bglt) COBJECT(
											((BgL_funz00_bglt) BgL_i1125z00_4167)))->BgL_arityz00));
							{	/* Ast/app.scm 379 */
								obj_t BgL_l1335z00_2082;

								BgL_l1335z00_2082 = bgl_reverse_bang(BgL_envz00_2073);
								if (NULLP(BgL_l1335z00_2082))
									{	/* Ast/app.scm 379 */
										BgL_arg2072z00_2080 = BNIL;
									}
								else
									{	/* Ast/app.scm 379 */
										obj_t BgL_head1337z00_2084;

										BgL_head1337z00_2084 = MAKE_YOUNG_PAIR(BNIL, BNIL);
										{
											obj_t BgL_l1335z00_2086;
											obj_t BgL_tail1338z00_2087;

											BgL_l1335z00_2086 = BgL_l1335z00_2082;
											BgL_tail1338z00_2087 = BgL_head1337z00_2084;
										BgL_zc3z04anonymousza32075ze3z87_2088:
											if (NULLP(BgL_l1335z00_2086))
												{	/* Ast/app.scm 379 */
													BgL_arg2072z00_2080 = CDR(BgL_head1337z00_2084);
												}
											else
												{	/* Ast/app.scm 379 */
													obj_t BgL_newtail1339z00_2090;

													{	/* Ast/app.scm 379 */
														BgL_nodez00_bglt BgL_arg2078z00_2092;

														{	/* Ast/app.scm 379 */
															obj_t BgL_vz00_2093;

															BgL_vz00_2093 = CAR(((obj_t) BgL_l1335z00_2086));
															BgL_arg2078z00_2092 =
																BGl_sexpzd2ze3nodez31zzast_sexpz00
																(BgL_vz00_2093, BgL_stackz00_2074,
																BgL_locz00_4163, BgL_sitez00_4164);
														}
														BgL_newtail1339z00_2090 =
															MAKE_YOUNG_PAIR(
															((obj_t) BgL_arg2078z00_2092), BNIL);
													}
													SET_CDR(BgL_tail1338z00_2087,
														BgL_newtail1339z00_2090);
													{	/* Ast/app.scm 379 */
														obj_t BgL_arg2077z00_2091;

														BgL_arg2077z00_2091 =
															CDR(((obj_t) BgL_l1335z00_2086));
														{
															obj_t BgL_tail1338z00_5413;
															obj_t BgL_l1335z00_5412;

															BgL_l1335z00_5412 = BgL_arg2077z00_2091;
															BgL_tail1338z00_5413 = BgL_newtail1339z00_2090;
															BgL_tail1338z00_2087 = BgL_tail1338z00_5413;
															BgL_l1335z00_2086 = BgL_l1335z00_5412;
															goto BgL_zc3z04anonymousza32075ze3z87_2088;
														}
													}
												}
										}
									}
							}
							BgL_auxz00_5393 =
								BGl_appendzd221011zd2zzast_appz00(BgL_arg2071z00_2079,
								BgL_arg2072z00_2080);
						}
						((((BgL_appz00_bglt) COBJECT(BgL_new1133z00_2077))->BgL_argsz00) =
							((obj_t) BgL_auxz00_5393), BUNSPEC);
					}
					((((BgL_appz00_bglt) COBJECT(BgL_new1133z00_2077))->
							BgL_stackablez00) = ((obj_t) BFALSE), BUNSPEC);
					return ((BgL_nodezf2effectzf2_bglt) BgL_new1133z00_2077);
				}
			else
				{	/* Ast/app.scm 372 */
					if (NULLP(BgL_valsz00_2072))
						{	/* Ast/app.scm 383 */
							obj_t BgL_itz00_2098;

							{	/* Ast/app.scm 383 */
								obj_t BgL_arg2089z00_2114;

								{	/* Ast/app.scm 383 */
									obj_t BgL_pairz00_3253;

									BgL_pairz00_3253 = CAR(((obj_t) BgL_keysz00_2071));
									BgL_arg2089z00_2114 = CAR(BgL_pairz00_3253);
								}
								BgL_itz00_2098 =
									BGl_parsezd2idzd2zzast_identz00(BgL_arg2089z00_2114,
									BgL_locz00_4163);
							}
							{	/* Ast/app.scm 383 */
								BgL_localz00_bglt BgL_varz00_2099;

								{	/* Ast/app.scm 384 */
									obj_t BgL_arg2087z00_2112;
									obj_t BgL_arg2088z00_2113;

									BgL_arg2087z00_2112 = CAR(BgL_itz00_2098);
									BgL_arg2088z00_2113 = CDR(BgL_itz00_2098);
									BgL_varz00_2099 =
										BGl_makezd2userzd2localzd2svarzd2zzast_localz00
										(BgL_arg2087z00_2112,
										((BgL_typez00_bglt) BgL_arg2088z00_2113));
								}
								{	/* Ast/app.scm 384 */
									BgL_nodez00_bglt BgL_valz00_2100;

									{	/* Ast/app.scm 385 */
										obj_t BgL_arg2086z00_2111;

										{	/* Ast/app.scm 385 */
											obj_t BgL_pairz00_3261;

											{	/* Ast/app.scm 385 */
												obj_t BgL_pairz00_3260;

												BgL_pairz00_3260 = CAR(((obj_t) BgL_keysz00_2071));
												BgL_pairz00_3261 = CDR(BgL_pairz00_3260);
											}
											BgL_arg2086z00_2111 = CAR(BgL_pairz00_3261);
										}
										BgL_valz00_2100 =
											BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_arg2086z00_2111,
											BgL_stackz00_2074, BgL_locz00_4163, BgL_sitez00_4164);
									}
									{	/* Ast/app.scm 385 */
										obj_t BgL_nenvz00_2101;

										BgL_nenvz00_2101 =
											MAKE_YOUNG_PAIR(
											((obj_t) BgL_varz00_2099), BgL_envz00_2073);
										{	/* Ast/app.scm 386 */
											obj_t BgL_nstackz00_2102;

											BgL_nstackz00_2102 =
												MAKE_YOUNG_PAIR(
												((obj_t) BgL_varz00_2099), BgL_stackz00_2074);
											{	/* Ast/app.scm 387 */
												BgL_nodezf2effectzf2_bglt BgL_bodyz00_2103;

												{	/* Ast/app.scm 388 */
													obj_t BgL_arg2085z00_2110;

													BgL_arg2085z00_2110 = CDR(((obj_t) BgL_keysz00_2071));
													BgL_bodyz00_2103 =
														BGl_loopze71ze7zzast_appz00(BgL_argsz00_4168,
														BgL_i1125z00_4167, BgL_varz00_4166, BgL_vz00_4165,
														BgL_sitez00_4164, BgL_locz00_4163,
														BgL_arg2085z00_2110, BNIL, BgL_nenvz00_2101,
														BgL_nstackz00_2102);
												}
												{	/* Ast/app.scm 388 */

													{	/* Ast/app.scm 389 */
														BgL_letzd2varzd2_bglt BgL_new1136z00_2104;

														{	/* Ast/app.scm 390 */
															BgL_letzd2varzd2_bglt BgL_new1135z00_2108;

															BgL_new1135z00_2108 =
																((BgL_letzd2varzd2_bglt)
																BOBJECT(GC_MALLOC(sizeof(struct
																			BgL_letzd2varzd2_bgl))));
															{	/* Ast/app.scm 390 */
																long BgL_arg2084z00_2109;

																BgL_arg2084z00_2109 =
																	BGL_CLASS_NUM(BGl_letzd2varzd2zzast_nodez00);
																BGL_OBJECT_CLASS_NUM_SET(
																	((BgL_objectz00_bglt) BgL_new1135z00_2108),
																	BgL_arg2084z00_2109);
															}
															{	/* Ast/app.scm 390 */
																BgL_objectz00_bglt BgL_tmpz00_5444;

																BgL_tmpz00_5444 =
																	((BgL_objectz00_bglt) BgL_new1135z00_2108);
																BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5444,
																	BFALSE);
															}
															((BgL_objectz00_bglt) BgL_new1135z00_2108);
															BgL_new1136z00_2104 = BgL_new1135z00_2108;
														}
														((((BgL_nodez00_bglt) COBJECT(
																		((BgL_nodez00_bglt) BgL_new1136z00_2104)))->
																BgL_locz00) =
															((obj_t) BgL_locz00_4163), BUNSPEC);
														{
															BgL_typez00_bglt BgL_auxz00_5450;

															{	/* Ast/app.scm 391 */
																BgL_typez00_bglt BgL_arg2081z00_2105;

																BgL_arg2081z00_2105 =
																	(((BgL_variablez00_bglt)
																		COBJECT(BgL_vz00_4165))->BgL_typez00);
																BgL_auxz00_5450 =
																	BGl_strictzd2nodezd2typez00zzast_nodez00((
																		(BgL_typez00_bglt)
																		BGl_za2_za2z00zztype_cachez00),
																	BgL_arg2081z00_2105);
															}
															((((BgL_nodez00_bglt) COBJECT(
																			((BgL_nodez00_bglt)
																				BgL_new1136z00_2104)))->BgL_typez00) =
																((BgL_typez00_bglt) BgL_auxz00_5450), BUNSPEC);
														}
														((((BgL_nodezf2effectzf2_bglt) COBJECT(
																		((BgL_nodezf2effectzf2_bglt)
																			BgL_new1136z00_2104)))->
																BgL_sidezd2effectzd2) =
															((obj_t) BUNSPEC), BUNSPEC);
														((((BgL_nodezf2effectzf2_bglt)
																	COBJECT(((BgL_nodezf2effectzf2_bglt)
																			BgL_new1136z00_2104)))->BgL_keyz00) =
															((obj_t) BINT((-1L))), BUNSPEC);
														{
															obj_t BgL_auxz00_5461;

															{	/* Ast/app.scm 392 */
																obj_t BgL_arg2082z00_2106;

																BgL_arg2082z00_2106 =
																	MAKE_YOUNG_PAIR(
																	((obj_t) BgL_varz00_2099),
																	((obj_t) BgL_valz00_2100));
																{	/* Ast/app.scm 392 */
																	obj_t BgL_list2083z00_2107;

																	BgL_list2083z00_2107 =
																		MAKE_YOUNG_PAIR(BgL_arg2082z00_2106, BNIL);
																	BgL_auxz00_5461 = BgL_list2083z00_2107;
															}}
															((((BgL_letzd2varzd2_bglt)
																		COBJECT(BgL_new1136z00_2104))->
																	BgL_bindingsz00) =
																((obj_t) BgL_auxz00_5461), BUNSPEC);
														}
														((((BgL_letzd2varzd2_bglt)
																	COBJECT(BgL_new1136z00_2104))->BgL_bodyz00) =
															((BgL_nodez00_bglt) ((BgL_nodez00_bglt)
																	BgL_bodyz00_2103)), BUNSPEC);
														((((BgL_letzd2varzd2_bglt)
																	COBJECT(BgL_new1136z00_2104))->
																BgL_removablezf3zf3) =
															((bool_t) ((bool_t) 1)), BUNSPEC);
														return ((BgL_nodezf2effectzf2_bglt)
															BgL_new1136z00_2104);
													}
												}
											}
										}
									}
								}
							}
						}
					else
						{	/* Ast/app.scm 394 */
							bool_t BgL_test2544z00_5471;

							{	/* Ast/app.scm 394 */
								obj_t BgL_arg2113z00_2154;
								obj_t BgL_arg2114z00_2155;

								{	/* Ast/app.scm 394 */
									obj_t BgL_arg2115z00_2156;

									{	/* Ast/app.scm 394 */
										obj_t BgL_pairz00_3272;

										BgL_pairz00_3272 = CAR(((obj_t) BgL_keysz00_2071));
										BgL_arg2115z00_2156 = CAR(BgL_pairz00_3272);
									}
									BgL_arg2113z00_2154 =
										BGl_fastzd2idzd2ofzd2idzd2zzast_identz00
										(BgL_arg2115z00_2156, BgL_locz00_4163);
								}
								{	/* Ast/app.scm 394 */
									obj_t BgL_pairz00_3276;

									BgL_pairz00_3276 = CAR(((obj_t) BgL_valsz00_2072));
									BgL_arg2114z00_2155 = CAR(BgL_pairz00_3276);
								}
								BgL_test2544z00_5471 =
									(BgL_arg2113z00_2154 == BgL_arg2114z00_2155);
							}
							if (BgL_test2544z00_5471)
								{	/* Ast/app.scm 395 */
									obj_t BgL_itz00_2119;

									{	/* Ast/app.scm 395 */
										obj_t BgL_arg2103z00_2136;

										{	/* Ast/app.scm 395 */
											obj_t BgL_pairz00_3280;

											BgL_pairz00_3280 = CAR(((obj_t) BgL_valsz00_2072));
											BgL_arg2103z00_2136 = CAR(BgL_pairz00_3280);
										}
										BgL_itz00_2119 =
											BGl_parsezd2idzd2zzast_identz00(BgL_arg2103z00_2136,
											BgL_locz00_4163);
									}
									{	/* Ast/app.scm 395 */
										BgL_localz00_bglt BgL_varz00_2120;

										{	/* Ast/app.scm 396 */
											obj_t BgL_arg2101z00_2134;
											obj_t BgL_arg2102z00_2135;

											BgL_arg2101z00_2134 = CAR(BgL_itz00_2119);
											BgL_arg2102z00_2135 = CDR(BgL_itz00_2119);
											BgL_varz00_2120 =
												BGl_makezd2userzd2localzd2svarzd2zzast_localz00
												(BgL_arg2101z00_2134,
												((BgL_typez00_bglt) BgL_arg2102z00_2135));
										}
										{	/* Ast/app.scm 396 */
											BgL_nodez00_bglt BgL_valz00_2121;

											{	/* Ast/app.scm 397 */
												obj_t BgL_arg2100z00_2133;

												{	/* Ast/app.scm 397 */
													obj_t BgL_pairz00_3288;

													{	/* Ast/app.scm 397 */
														obj_t BgL_pairz00_3287;

														BgL_pairz00_3287 = CAR(((obj_t) BgL_valsz00_2072));
														BgL_pairz00_3288 = CDR(BgL_pairz00_3287);
													}
													BgL_arg2100z00_2133 = CAR(BgL_pairz00_3288);
												}
												BgL_valz00_2121 =
													BGl_sexpzd2ze3nodez31zzast_sexpz00
													(BgL_arg2100z00_2133, BgL_stackz00_2074,
													BgL_locz00_4163, BgL_sitez00_4164);
											}
											{	/* Ast/app.scm 397 */
												obj_t BgL_nenvz00_2122;

												BgL_nenvz00_2122 =
													MAKE_YOUNG_PAIR(
													((obj_t) BgL_varz00_2120), BgL_envz00_2073);
												{	/* Ast/app.scm 398 */
													obj_t BgL_nstackz00_2123;

													BgL_nstackz00_2123 =
														MAKE_YOUNG_PAIR(
														((obj_t) BgL_varz00_2120), BgL_stackz00_2074);
													{	/* Ast/app.scm 399 */
														BgL_nodezf2effectzf2_bglt BgL_bodyz00_2124;

														{	/* Ast/app.scm 400 */
															obj_t BgL_arg2098z00_2131;
															obj_t BgL_arg2099z00_2132;

															BgL_arg2098z00_2131 =
																CDR(((obj_t) BgL_keysz00_2071));
															BgL_arg2099z00_2132 =
																CDR(((obj_t) BgL_valsz00_2072));
															BgL_bodyz00_2124 =
																BGl_loopze71ze7zzast_appz00(BgL_argsz00_4168,
																BgL_i1125z00_4167, BgL_varz00_4166,
																BgL_vz00_4165, BgL_sitez00_4164,
																BgL_locz00_4163, BgL_arg2098z00_2131,
																BgL_arg2099z00_2132, BgL_nenvz00_2122,
																BgL_nstackz00_2123);
														}
														{	/* Ast/app.scm 400 */

															{	/* Ast/app.scm 401 */
																BgL_letzd2varzd2_bglt BgL_new1138z00_2125;

																{	/* Ast/app.scm 402 */
																	BgL_letzd2varzd2_bglt BgL_new1137z00_2129;

																	BgL_new1137z00_2129 =
																		((BgL_letzd2varzd2_bglt)
																		BOBJECT(GC_MALLOC(sizeof(struct
																					BgL_letzd2varzd2_bgl))));
																	{	/* Ast/app.scm 402 */
																		long BgL_arg2097z00_2130;

																		BgL_arg2097z00_2130 =
																			BGL_CLASS_NUM
																			(BGl_letzd2varzd2zzast_nodez00);
																		BGL_OBJECT_CLASS_NUM_SET((
																				(BgL_objectz00_bglt)
																				BgL_new1137z00_2129),
																			BgL_arg2097z00_2130);
																	}
																	{	/* Ast/app.scm 402 */
																		BgL_objectz00_bglt BgL_tmpz00_5506;

																		BgL_tmpz00_5506 =
																			((BgL_objectz00_bglt)
																			BgL_new1137z00_2129);
																		BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5506,
																			BFALSE);
																	}
																	((BgL_objectz00_bglt) BgL_new1137z00_2129);
																	BgL_new1138z00_2125 = BgL_new1137z00_2129;
																}
																((((BgL_nodez00_bglt) COBJECT(
																				((BgL_nodez00_bglt)
																					BgL_new1138z00_2125)))->BgL_locz00) =
																	((obj_t) BgL_locz00_4163), BUNSPEC);
																{
																	BgL_typez00_bglt BgL_auxz00_5512;

																	{	/* Ast/app.scm 403 */
																		BgL_typez00_bglt BgL_arg2094z00_2126;

																		BgL_arg2094z00_2126 =
																			(((BgL_variablez00_bglt)
																				COBJECT(BgL_vz00_4165))->BgL_typez00);
																		BgL_auxz00_5512 =
																			BGl_strictzd2nodezd2typez00zzast_nodez00((
																				(BgL_typez00_bglt)
																				BGl_za2_za2z00zztype_cachez00),
																			BgL_arg2094z00_2126);
																	}
																	((((BgL_nodez00_bglt) COBJECT(
																					((BgL_nodez00_bglt)
																						BgL_new1138z00_2125)))->
																			BgL_typez00) =
																		((BgL_typez00_bglt) BgL_auxz00_5512),
																		BUNSPEC);
																}
																((((BgL_nodezf2effectzf2_bglt) COBJECT(
																				((BgL_nodezf2effectzf2_bglt)
																					BgL_new1138z00_2125)))->
																		BgL_sidezd2effectzd2) =
																	((obj_t) BUNSPEC), BUNSPEC);
																((((BgL_nodezf2effectzf2_bglt)
																			COBJECT(((BgL_nodezf2effectzf2_bglt)
																					BgL_new1138z00_2125)))->BgL_keyz00) =
																	((obj_t) BINT((-1L))), BUNSPEC);
																{
																	obj_t BgL_auxz00_5523;

																	{	/* Ast/app.scm 404 */
																		obj_t BgL_arg2095z00_2127;

																		BgL_arg2095z00_2127 =
																			MAKE_YOUNG_PAIR(
																			((obj_t) BgL_varz00_2120),
																			((obj_t) BgL_valz00_2121));
																		{	/* Ast/app.scm 404 */
																			obj_t BgL_list2096z00_2128;

																			BgL_list2096z00_2128 =
																				MAKE_YOUNG_PAIR(BgL_arg2095z00_2127,
																				BNIL);
																			BgL_auxz00_5523 = BgL_list2096z00_2128;
																	}}
																	((((BgL_letzd2varzd2_bglt)
																				COBJECT(BgL_new1138z00_2125))->
																			BgL_bindingsz00) =
																		((obj_t) BgL_auxz00_5523), BUNSPEC);
																}
																((((BgL_letzd2varzd2_bglt)
																			COBJECT(BgL_new1138z00_2125))->
																		BgL_bodyz00) =
																	((BgL_nodez00_bglt) ((BgL_nodez00_bglt)
																			BgL_bodyz00_2124)), BUNSPEC);
																((((BgL_letzd2varzd2_bglt)
																			COBJECT(BgL_new1138z00_2125))->
																		BgL_removablezf3zf3) =
																	((bool_t) ((bool_t) 1)), BUNSPEC);
																return ((BgL_nodezf2effectzf2_bglt)
																	BgL_new1138z00_2125);
															}
														}
													}
												}
											}
										}
									}
								}
							else
								{	/* Ast/app.scm 407 */
									obj_t BgL_itz00_2137;

									{	/* Ast/app.scm 407 */
										obj_t BgL_arg2112z00_2153;

										{	/* Ast/app.scm 407 */
											obj_t BgL_pairz00_3300;

											BgL_pairz00_3300 = CAR(((obj_t) BgL_keysz00_2071));
											BgL_arg2112z00_2153 = CAR(BgL_pairz00_3300);
										}
										BgL_itz00_2137 =
											BGl_parsezd2idzd2zzast_identz00(BgL_arg2112z00_2153,
											BgL_locz00_4163);
									}
									{	/* Ast/app.scm 407 */
										BgL_localz00_bglt BgL_varz00_2138;

										{	/* Ast/app.scm 408 */
											obj_t BgL_arg2110z00_2151;
											obj_t BgL_arg2111z00_2152;

											BgL_arg2110z00_2151 = CAR(BgL_itz00_2137);
											BgL_arg2111z00_2152 = CDR(BgL_itz00_2137);
											BgL_varz00_2138 =
												BGl_makezd2userzd2localzd2svarzd2zzast_localz00
												(BgL_arg2110z00_2151,
												((BgL_typez00_bglt) BgL_arg2111z00_2152));
										}
										{	/* Ast/app.scm 408 */
											BgL_nodez00_bglt BgL_valz00_2139;

											{	/* Ast/app.scm 409 */
												obj_t BgL_arg2109z00_2150;

												{	/* Ast/app.scm 409 */
													obj_t BgL_pairz00_3308;

													{	/* Ast/app.scm 409 */
														obj_t BgL_pairz00_3307;

														BgL_pairz00_3307 = CAR(((obj_t) BgL_keysz00_2071));
														BgL_pairz00_3308 = CDR(BgL_pairz00_3307);
													}
													BgL_arg2109z00_2150 = CAR(BgL_pairz00_3308);
												}
												BgL_valz00_2139 =
													BGl_sexpzd2ze3nodez31zzast_sexpz00
													(BgL_arg2109z00_2150, BgL_stackz00_2074,
													BgL_locz00_4163, BgL_sitez00_4164);
											}
											{	/* Ast/app.scm 409 */
												obj_t BgL_nenvz00_2140;

												BgL_nenvz00_2140 =
													MAKE_YOUNG_PAIR(
													((obj_t) BgL_varz00_2138), BgL_envz00_2073);
												{	/* Ast/app.scm 410 */
													obj_t BgL_nstackz00_2141;

													BgL_nstackz00_2141 =
														MAKE_YOUNG_PAIR(
														((obj_t) BgL_varz00_2138), BgL_stackz00_2074);
													{	/* Ast/app.scm 411 */
														BgL_nodezf2effectzf2_bglt BgL_bodyz00_2142;

														{	/* Ast/app.scm 412 */
															obj_t BgL_arg2108z00_2149;

															BgL_arg2108z00_2149 =
																CDR(((obj_t) BgL_keysz00_2071));
															BgL_bodyz00_2142 =
																BGl_loopze71ze7zzast_appz00(BgL_argsz00_4168,
																BgL_i1125z00_4167, BgL_varz00_4166,
																BgL_vz00_4165, BgL_sitez00_4164,
																BgL_locz00_4163, BgL_arg2108z00_2149,
																BgL_valsz00_2072, BgL_nenvz00_2140,
																BgL_nstackz00_2141);
														}
														{	/* Ast/app.scm 412 */

															{	/* Ast/app.scm 413 */
																BgL_letzd2varzd2_bglt BgL_new1140z00_2143;

																{	/* Ast/app.scm 414 */
																	BgL_letzd2varzd2_bglt BgL_new1139z00_2147;

																	BgL_new1139z00_2147 =
																		((BgL_letzd2varzd2_bglt)
																		BOBJECT(GC_MALLOC(sizeof(struct
																					BgL_letzd2varzd2_bgl))));
																	{	/* Ast/app.scm 414 */
																		long BgL_arg2107z00_2148;

																		BgL_arg2107z00_2148 =
																			BGL_CLASS_NUM
																			(BGl_letzd2varzd2zzast_nodez00);
																		BGL_OBJECT_CLASS_NUM_SET((
																				(BgL_objectz00_bglt)
																				BgL_new1139z00_2147),
																			BgL_arg2107z00_2148);
																	}
																	{	/* Ast/app.scm 414 */
																		BgL_objectz00_bglt BgL_tmpz00_5557;

																		BgL_tmpz00_5557 =
																			((BgL_objectz00_bglt)
																			BgL_new1139z00_2147);
																		BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5557,
																			BFALSE);
																	}
																	((BgL_objectz00_bglt) BgL_new1139z00_2147);
																	BgL_new1140z00_2143 = BgL_new1139z00_2147;
																}
																((((BgL_nodez00_bglt) COBJECT(
																				((BgL_nodez00_bglt)
																					BgL_new1140z00_2143)))->BgL_locz00) =
																	((obj_t) BgL_locz00_4163), BUNSPEC);
																{
																	BgL_typez00_bglt BgL_auxz00_5563;

																	{	/* Ast/app.scm 415 */
																		BgL_typez00_bglt BgL_arg2104z00_2144;

																		BgL_arg2104z00_2144 =
																			(((BgL_variablez00_bglt)
																				COBJECT(BgL_vz00_4165))->BgL_typez00);
																		BgL_auxz00_5563 =
																			BGl_strictzd2nodezd2typez00zzast_nodez00((
																				(BgL_typez00_bglt)
																				BGl_za2_za2z00zztype_cachez00),
																			BgL_arg2104z00_2144);
																	}
																	((((BgL_nodez00_bglt) COBJECT(
																					((BgL_nodez00_bglt)
																						BgL_new1140z00_2143)))->
																			BgL_typez00) =
																		((BgL_typez00_bglt) BgL_auxz00_5563),
																		BUNSPEC);
																}
																((((BgL_nodezf2effectzf2_bglt) COBJECT(
																				((BgL_nodezf2effectzf2_bglt)
																					BgL_new1140z00_2143)))->
																		BgL_sidezd2effectzd2) =
																	((obj_t) BUNSPEC), BUNSPEC);
																((((BgL_nodezf2effectzf2_bglt)
																			COBJECT(((BgL_nodezf2effectzf2_bglt)
																					BgL_new1140z00_2143)))->BgL_keyz00) =
																	((obj_t) BINT((-1L))), BUNSPEC);
																{
																	obj_t BgL_auxz00_5574;

																	{	/* Ast/app.scm 416 */
																		obj_t BgL_arg2105z00_2145;

																		BgL_arg2105z00_2145 =
																			MAKE_YOUNG_PAIR(
																			((obj_t) BgL_varz00_2138),
																			((obj_t) BgL_valz00_2139));
																		{	/* Ast/app.scm 416 */
																			obj_t BgL_list2106z00_2146;

																			BgL_list2106z00_2146 =
																				MAKE_YOUNG_PAIR(BgL_arg2105z00_2145,
																				BNIL);
																			BgL_auxz00_5574 = BgL_list2106z00_2146;
																	}}
																	((((BgL_letzd2varzd2_bglt)
																				COBJECT(BgL_new1140z00_2143))->
																			BgL_bindingsz00) =
																		((obj_t) BgL_auxz00_5574), BUNSPEC);
																}
																((((BgL_letzd2varzd2_bglt)
																			COBJECT(BgL_new1140z00_2143))->
																		BgL_bodyz00) =
																	((BgL_nodez00_bglt) ((BgL_nodez00_bglt)
																			BgL_bodyz00_2142)), BUNSPEC);
																((((BgL_letzd2varzd2_bglt)
																			COBJECT(BgL_new1140z00_2143))->
																		BgL_removablezf3zf3) =
																	((bool_t) ((bool_t) 1)), BUNSPEC);
																return ((BgL_nodezf2effectzf2_bglt)
																	BgL_new1140z00_2143);
															}
														}
													}
												}
											}
										}
									}
								}
						}
				}
		}

	}



/* make-fx-app-node */
	obj_t BGl_makezd2fxzd2appzd2nodezd2zzast_appz00(obj_t BgL_locz00_27,
		BgL_varz00_bglt BgL_varz00_28, obj_t BgL_argsz00_29)
	{
		{	/* Ast/app.scm 452 */
			{	/* Ast/app.scm 453 */
				BgL_variablez00_bglt BgL_vz00_2182;

				BgL_vz00_2182 =
					(((BgL_varz00_bglt) COBJECT(BgL_varz00_28))->BgL_variablez00);
				{	/* Ast/app.scm 455 */
					bool_t BgL_test2545z00_5585;

					{	/* Ast/app.scm 455 */
						bool_t BgL_test2546z00_5586;

						{	/* Ast/app.scm 455 */
							BgL_valuez00_bglt BgL_arg2155z00_2224;

							BgL_arg2155z00_2224 =
								(((BgL_variablez00_bglt) COBJECT(BgL_vz00_2182))->BgL_valuez00);
							{	/* Ast/app.scm 455 */
								obj_t BgL_classz00_3387;

								BgL_classz00_3387 = BGl_cfunz00zzast_varz00;
								{	/* Ast/app.scm 455 */
									BgL_objectz00_bglt BgL_arg1858z00_3389;

									{	/* Ast/app.scm 455 */
										obj_t BgL_tmpz00_5588;

										BgL_tmpz00_5588 =
											((obj_t) ((BgL_objectz00_bglt) BgL_arg2155z00_2224));
										BgL_arg1858z00_3389 =
											(BgL_objectz00_bglt) (BgL_tmpz00_5588);
									}
									if (BGL_CONDEXPAND_ISA_ARCH64())
										{	/* Ast/app.scm 455 */
											long BgL_idxz00_3395;

											BgL_idxz00_3395 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_3389);
											BgL_test2546z00_5586 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_3395 + 3L)) == BgL_classz00_3387);
										}
									else
										{	/* Ast/app.scm 455 */
											bool_t BgL_res2343z00_3420;

											{	/* Ast/app.scm 455 */
												obj_t BgL_oclassz00_3403;

												{	/* Ast/app.scm 455 */
													obj_t BgL_arg1866z00_3411;
													long BgL_arg1867z00_3412;

													BgL_arg1866z00_3411 =
														(BGl_za2classesza2z00zz__objectz00);
													{	/* Ast/app.scm 455 */
														long BgL_arg1869z00_3413;

														BgL_arg1869z00_3413 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_3389);
														BgL_arg1867z00_3412 =
															(BgL_arg1869z00_3413 - OBJECT_TYPE);
													}
													BgL_oclassz00_3403 =
														VECTOR_REF(BgL_arg1866z00_3411,
														BgL_arg1867z00_3412);
												}
												{	/* Ast/app.scm 455 */
													bool_t BgL__ortest_1115z00_3404;

													BgL__ortest_1115z00_3404 =
														(BgL_classz00_3387 == BgL_oclassz00_3403);
													if (BgL__ortest_1115z00_3404)
														{	/* Ast/app.scm 455 */
															BgL_res2343z00_3420 = BgL__ortest_1115z00_3404;
														}
													else
														{	/* Ast/app.scm 455 */
															long BgL_odepthz00_3405;

															{	/* Ast/app.scm 455 */
																obj_t BgL_arg1855z00_3406;

																BgL_arg1855z00_3406 = (BgL_oclassz00_3403);
																BgL_odepthz00_3405 =
																	BGL_CLASS_DEPTH(BgL_arg1855z00_3406);
															}
															if ((3L < BgL_odepthz00_3405))
																{	/* Ast/app.scm 455 */
																	obj_t BgL_arg1853z00_3408;

																	{	/* Ast/app.scm 455 */
																		obj_t BgL_arg1854z00_3409;

																		BgL_arg1854z00_3409 = (BgL_oclassz00_3403);
																		BgL_arg1853z00_3408 =
																			BGL_CLASS_ANCESTORS_REF
																			(BgL_arg1854z00_3409, 3L);
																	}
																	BgL_res2343z00_3420 =
																		(BgL_arg1853z00_3408 == BgL_classz00_3387);
																}
															else
																{	/* Ast/app.scm 455 */
																	BgL_res2343z00_3420 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_test2546z00_5586 = BgL_res2343z00_3420;
										}
								}
							}
						}
						if (BgL_test2546z00_5586)
							{	/* Ast/app.scm 455 */
								BgL_test2545z00_5585 =
									CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
										(((BgL_variablez00_bglt) COBJECT(
													((BgL_variablez00_bglt)
														((BgL_globalz00_bglt) BgL_vz00_2182))))->BgL_idz00),
										((obj_t) CNST_TABLE_REF(10))));
							}
						else
							{	/* Ast/app.scm 455 */
								BgL_test2545z00_5585 = ((bool_t) 0);
							}
					}
					if (BgL_test2545z00_5585)
						{	/* Ast/app.scm 455 */
							BGL_TAIL return
								BGl_makezd2specialzd2appzd2nodezd2zzast_appz00(BgL_locz00_27,
								BgL_varz00_28, BgL_argsz00_29);
						}
					else
						{	/* Ast/app.scm 459 */
							bool_t BgL_test2550z00_5619;

							{	/* Ast/app.scm 459 */
								BgL_valuez00_bglt BgL_arg2154z00_2222;

								BgL_arg2154z00_2222 =
									(((BgL_variablez00_bglt) COBJECT(BgL_vz00_2182))->
									BgL_valuez00);
								{	/* Ast/app.scm 459 */
									obj_t BgL_classz00_3424;

									BgL_classz00_3424 = BGl_funz00zzast_varz00;
									{	/* Ast/app.scm 459 */
										BgL_objectz00_bglt BgL_arg1858z00_3426;

										{	/* Ast/app.scm 459 */
											obj_t BgL_tmpz00_5621;

											BgL_tmpz00_5621 =
												((obj_t) ((BgL_objectz00_bglt) BgL_arg2154z00_2222));
											BgL_arg1858z00_3426 =
												(BgL_objectz00_bglt) (BgL_tmpz00_5621);
										}
										if (BGL_CONDEXPAND_ISA_ARCH64())
											{	/* Ast/app.scm 459 */
												long BgL_idxz00_3432;

												BgL_idxz00_3432 =
													BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_3426);
												BgL_test2550z00_5619 =
													(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
														(BgL_idxz00_3432 + 2L)) == BgL_classz00_3424);
											}
										else
											{	/* Ast/app.scm 459 */
												bool_t BgL_res2344z00_3457;

												{	/* Ast/app.scm 459 */
													obj_t BgL_oclassz00_3440;

													{	/* Ast/app.scm 459 */
														obj_t BgL_arg1866z00_3448;
														long BgL_arg1867z00_3449;

														BgL_arg1866z00_3448 =
															(BGl_za2classesza2z00zz__objectz00);
														{	/* Ast/app.scm 459 */
															long BgL_arg1869z00_3450;

															BgL_arg1869z00_3450 =
																BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_3426);
															BgL_arg1867z00_3449 =
																(BgL_arg1869z00_3450 - OBJECT_TYPE);
														}
														BgL_oclassz00_3440 =
															VECTOR_REF(BgL_arg1866z00_3448,
															BgL_arg1867z00_3449);
													}
													{	/* Ast/app.scm 459 */
														bool_t BgL__ortest_1115z00_3441;

														BgL__ortest_1115z00_3441 =
															(BgL_classz00_3424 == BgL_oclassz00_3440);
														if (BgL__ortest_1115z00_3441)
															{	/* Ast/app.scm 459 */
																BgL_res2344z00_3457 = BgL__ortest_1115z00_3441;
															}
														else
															{	/* Ast/app.scm 459 */
																long BgL_odepthz00_3442;

																{	/* Ast/app.scm 459 */
																	obj_t BgL_arg1855z00_3443;

																	BgL_arg1855z00_3443 = (BgL_oclassz00_3440);
																	BgL_odepthz00_3442 =
																		BGL_CLASS_DEPTH(BgL_arg1855z00_3443);
																}
																if ((2L < BgL_odepthz00_3442))
																	{	/* Ast/app.scm 459 */
																		obj_t BgL_arg1853z00_3445;

																		{	/* Ast/app.scm 459 */
																			obj_t BgL_arg1854z00_3446;

																			BgL_arg1854z00_3446 =
																				(BgL_oclassz00_3440);
																			BgL_arg1853z00_3445 =
																				BGL_CLASS_ANCESTORS_REF
																				(BgL_arg1854z00_3446, 2L);
																		}
																		BgL_res2344z00_3457 =
																			(BgL_arg1853z00_3445 ==
																			BgL_classz00_3424);
																	}
																else
																	{	/* Ast/app.scm 459 */
																		BgL_res2344z00_3457 = ((bool_t) 0);
																	}
															}
													}
												}
												BgL_test2550z00_5619 = BgL_res2344z00_3457;
											}
									}
								}
							}
							if (BgL_test2550z00_5619)
								{	/* Ast/app.scm 461 */
									BgL_appz00_bglt BgL_callz00_2189;

									{	/* Ast/app.scm 461 */
										BgL_appz00_bglt BgL_new1142z00_2203;

										{	/* Ast/app.scm 462 */
											BgL_appz00_bglt BgL_new1141z00_2211;

											BgL_new1141z00_2211 =
												((BgL_appz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
															BgL_appz00_bgl))));
											{	/* Ast/app.scm 462 */
												long BgL_arg2150z00_2212;

												BgL_arg2150z00_2212 =
													BGL_CLASS_NUM(BGl_appz00zzast_nodez00);
												BGL_OBJECT_CLASS_NUM_SET(
													((BgL_objectz00_bglt) BgL_new1141z00_2211),
													BgL_arg2150z00_2212);
											}
											{	/* Ast/app.scm 462 */
												BgL_objectz00_bglt BgL_tmpz00_5648;

												BgL_tmpz00_5648 =
													((BgL_objectz00_bglt) BgL_new1141z00_2211);
												BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5648, BFALSE);
											}
											((BgL_objectz00_bglt) BgL_new1141z00_2211);
											BgL_new1142z00_2203 = BgL_new1141z00_2211;
										}
										((((BgL_nodez00_bglt) COBJECT(
														((BgL_nodez00_bglt) BgL_new1142z00_2203)))->
												BgL_locz00) = ((obj_t) BgL_locz00_27), BUNSPEC);
										{
											BgL_typez00_bglt BgL_auxz00_5654;

											{	/* Ast/app.scm 463 */
												BgL_typez00_bglt BgL_arg2147z00_2204;

												BgL_arg2147z00_2204 =
													(((BgL_variablez00_bglt) COBJECT(BgL_vz00_2182))->
													BgL_typez00);
												BgL_auxz00_5654 =
													BGl_strictzd2nodezd2typez00zzast_nodez00((
														(BgL_typez00_bglt) BGl_za2_za2z00zztype_cachez00),
													BgL_arg2147z00_2204);
											}
											((((BgL_nodez00_bglt) COBJECT(
															((BgL_nodez00_bglt) BgL_new1142z00_2203)))->
													BgL_typez00) =
												((BgL_typez00_bglt) BgL_auxz00_5654), BUNSPEC);
										}
										((((BgL_nodezf2effectzf2_bglt) COBJECT(
														((BgL_nodezf2effectzf2_bglt)
															BgL_new1142z00_2203)))->BgL_sidezd2effectzd2) =
											((obj_t) BUNSPEC), BUNSPEC);
										((((BgL_nodezf2effectzf2_bglt)
													COBJECT(((BgL_nodezf2effectzf2_bglt)
															BgL_new1142z00_2203)))->BgL_keyz00) =
											((obj_t) BINT((-1L))), BUNSPEC);
										{
											BgL_varz00_bglt BgL_auxz00_5665;

											{	/* Ast/app.scm 464 */
												bool_t BgL_test2554z00_5666;

												{	/* Ast/app.scm 464 */
													obj_t BgL_classz00_3463;

													BgL_classz00_3463 = BGl_closurez00zzast_nodez00;
													{	/* Ast/app.scm 464 */
														BgL_objectz00_bglt BgL_arg1858z00_3465;

														{	/* Ast/app.scm 464 */
															obj_t BgL_tmpz00_5667;

															BgL_tmpz00_5667 =
																((obj_t) ((BgL_objectz00_bglt) BgL_varz00_28));
															BgL_arg1858z00_3465 =
																(BgL_objectz00_bglt) (BgL_tmpz00_5667);
														}
														if (BGL_CONDEXPAND_ISA_ARCH64())
															{	/* Ast/app.scm 464 */
																long BgL_idxz00_3471;

																BgL_idxz00_3471 =
																	BGL_OBJECT_INHERITANCE_NUM
																	(BgL_arg1858z00_3465);
																{	/* Ast/app.scm 464 */
																	obj_t BgL_arg1849z00_3472;

																	{	/* Ast/app.scm 464 */
																		long BgL_arg1850z00_3473;

																		BgL_arg1850z00_3473 =
																			(BgL_idxz00_3471 + 3L);
																		{	/* Ast/app.scm 464 */
																			obj_t BgL_vectorz00_3475;

																			BgL_vectorz00_3475 =
																				BGl_za2inheritancesza2z00zz__objectz00;
																			BgL_arg1849z00_3472 =
																				VECTOR_REF(BgL_vectorz00_3475,
																				BgL_arg1850z00_3473);
																	}}
																	BgL_test2554z00_5666 =
																		(BgL_arg1849z00_3472 == BgL_classz00_3463);
															}}
														else
															{	/* Ast/app.scm 464 */
																bool_t BgL_res2345z00_3496;

																{	/* Ast/app.scm 464 */
																	obj_t BgL_oclassz00_3479;

																	{	/* Ast/app.scm 464 */
																		obj_t BgL_arg1866z00_3487;
																		long BgL_arg1867z00_3488;

																		BgL_arg1866z00_3487 =
																			(BGl_za2classesza2z00zz__objectz00);
																		{	/* Ast/app.scm 464 */
																			long BgL_arg1869z00_3489;

																			BgL_arg1869z00_3489 =
																				BGL_OBJECT_CLASS_NUM
																				(BgL_arg1858z00_3465);
																			BgL_arg1867z00_3488 =
																				(BgL_arg1869z00_3489 - OBJECT_TYPE);
																		}
																		BgL_oclassz00_3479 =
																			VECTOR_REF(BgL_arg1866z00_3487,
																			BgL_arg1867z00_3488);
																	}
																	{	/* Ast/app.scm 464 */
																		bool_t BgL__ortest_1115z00_3480;

																		BgL__ortest_1115z00_3480 =
																			(BgL_classz00_3463 == BgL_oclassz00_3479);
																		if (BgL__ortest_1115z00_3480)
																			{	/* Ast/app.scm 464 */
																				BgL_res2345z00_3496 =
																					BgL__ortest_1115z00_3480;
																			}
																		else
																			{	/* Ast/app.scm 464 */
																				long BgL_odepthz00_3481;

																				{	/* Ast/app.scm 464 */
																					obj_t BgL_arg1855z00_3482;

																					BgL_arg1855z00_3482 =
																						(BgL_oclassz00_3479);
																					BgL_odepthz00_3481 =
																						BGL_CLASS_DEPTH
																						(BgL_arg1855z00_3482);
																				}
																				if ((3L < BgL_odepthz00_3481))
																					{	/* Ast/app.scm 464 */
																						obj_t BgL_arg1853z00_3484;

																						{	/* Ast/app.scm 464 */
																							obj_t BgL_arg1854z00_3485;

																							BgL_arg1854z00_3485 =
																								(BgL_oclassz00_3479);
																							BgL_arg1853z00_3484 =
																								BGL_CLASS_ANCESTORS_REF
																								(BgL_arg1854z00_3485, 3L);
																						}
																						BgL_res2345z00_3496 =
																							(BgL_arg1853z00_3484 ==
																							BgL_classz00_3463);
																					}
																				else
																					{	/* Ast/app.scm 464 */
																						BgL_res2345z00_3496 = ((bool_t) 0);
																					}
																			}
																	}
																}
																BgL_test2554z00_5666 = BgL_res2345z00_3496;
															}
													}
												}
												if (BgL_test2554z00_5666)
													{	/* Ast/app.scm 464 */
														BgL_refz00_bglt BgL_new1143z00_2207;

														{	/* Ast/app.scm 464 */
															BgL_refz00_bglt BgL_new1147z00_2209;

															BgL_new1147z00_2209 =
																((BgL_refz00_bglt)
																BOBJECT(GC_MALLOC(sizeof(struct
																			BgL_refz00_bgl))));
															{	/* Ast/app.scm 464 */
																long BgL_arg2149z00_2210;

																{	/* Ast/app.scm 464 */
																	obj_t BgL_classz00_3497;

																	BgL_classz00_3497 = BGl_refz00zzast_nodez00;
																	BgL_arg2149z00_2210 =
																		BGL_CLASS_NUM(BgL_classz00_3497);
																}
																BGL_OBJECT_CLASS_NUM_SET(
																	((BgL_objectz00_bglt) BgL_new1147z00_2209),
																	BgL_arg2149z00_2210);
															}
															{	/* Ast/app.scm 464 */
																BgL_objectz00_bglt BgL_tmpz00_5694;

																BgL_tmpz00_5694 =
																	((BgL_objectz00_bglt) BgL_new1147z00_2209);
																BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5694,
																	BFALSE);
															}
															((BgL_objectz00_bglt) BgL_new1147z00_2209);
															BgL_new1143z00_2207 = BgL_new1147z00_2209;
														}
														((((BgL_nodez00_bglt) COBJECT(
																		((BgL_nodez00_bglt) BgL_new1143z00_2207)))->
																BgL_locz00) =
															((obj_t) (((BgL_nodez00_bglt)
																		COBJECT(((BgL_nodez00_bglt)
																				BgL_varz00_28)))->BgL_locz00)),
															BUNSPEC);
														((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
																			BgL_new1143z00_2207)))->BgL_typez00) =
															((BgL_typez00_bglt) (((BgL_nodez00_bglt)
																		COBJECT(((BgL_nodez00_bglt)
																				BgL_varz00_28)))->BgL_typez00)),
															BUNSPEC);
														((((BgL_varz00_bglt) COBJECT(((BgL_varz00_bglt)
																			BgL_new1143z00_2207)))->BgL_variablez00) =
															((BgL_variablez00_bglt) (((BgL_varz00_bglt)
																		COBJECT(((BgL_varz00_bglt) (
																					(BgL_nodez00_bglt) BgL_varz00_28))))->
																	BgL_variablez00)), BUNSPEC);
														BgL_auxz00_5665 =
															((BgL_varz00_bglt) BgL_new1143z00_2207);
													}
												else
													{	/* Ast/app.scm 464 */
														BgL_auxz00_5665 = BgL_varz00_28;
													}
											}
											((((BgL_appz00_bglt) COBJECT(BgL_new1142z00_2203))->
													BgL_funz00) =
												((BgL_varz00_bglt) BgL_auxz00_5665), BUNSPEC);
										}
										((((BgL_appz00_bglt) COBJECT(BgL_new1142z00_2203))->
												BgL_argsz00) = ((obj_t) BgL_argsz00_29), BUNSPEC);
										((((BgL_appz00_bglt) COBJECT(BgL_new1142z00_2203))->
												BgL_stackablez00) = ((obj_t) BFALSE), BUNSPEC);
										BgL_callz00_2189 = BgL_new1142z00_2203;
									}
									{	/* Ast/app.scm 466 */
										bool_t BgL_test2558z00_5715;

										{	/* Ast/app.scm 466 */
											obj_t BgL_arg2146z00_2202;

											BgL_arg2146z00_2202 =
												((obj_t)
												(((BgL_variablez00_bglt) COBJECT(BgL_vz00_2182))->
													BgL_typez00));
											BgL_test2558z00_5715 =
												(BgL_arg2146z00_2202 ==
												BGl_za2voidza2z00zztype_cachez00);
										}
										if (BgL_test2558z00_5715)
											{	/* Ast/app.scm 468 */
												BgL_literalz00_bglt BgL_unspecz00_2192;

												{	/* Ast/app.scm 468 */
													BgL_literalz00_bglt BgL_new1149z00_2198;

													{	/* Ast/app.scm 468 */
														BgL_literalz00_bglt BgL_new1148z00_2200;

														BgL_new1148z00_2200 =
															((BgL_literalz00_bglt)
															BOBJECT(GC_MALLOC(sizeof(struct
																		BgL_literalz00_bgl))));
														{	/* Ast/app.scm 468 */
															long BgL_arg2145z00_2201;

															BgL_arg2145z00_2201 =
																BGL_CLASS_NUM(BGl_literalz00zzast_nodez00);
															BGL_OBJECT_CLASS_NUM_SET(
																((BgL_objectz00_bglt) BgL_new1148z00_2200),
																BgL_arg2145z00_2201);
														}
														{	/* Ast/app.scm 468 */
															BgL_objectz00_bglt BgL_tmpz00_5723;

															BgL_tmpz00_5723 =
																((BgL_objectz00_bglt) BgL_new1148z00_2200);
															BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5723, BFALSE);
														}
														((BgL_objectz00_bglt) BgL_new1148z00_2200);
														BgL_new1149z00_2198 = BgL_new1148z00_2200;
													}
													((((BgL_nodez00_bglt) COBJECT(
																	((BgL_nodez00_bglt) BgL_new1149z00_2198)))->
															BgL_locz00) = ((obj_t) BFALSE), BUNSPEC);
													{
														BgL_typez00_bglt BgL_auxz00_5729;

														{	/* Ast/app.scm 469 */
															BgL_typez00_bglt BgL_arg2144z00_2199;

															BgL_arg2144z00_2199 =
																BGl_getzd2typezd2atomz00zztype_typeofz00
																(BUNSPEC);
															BgL_auxz00_5729 =
																BGl_strictzd2nodezd2typez00zzast_nodez00
																(BgL_arg2144z00_2199,
																((BgL_typez00_bglt)
																	BGl_za2objza2z00zztype_cachez00));
														}
														((((BgL_nodez00_bglt) COBJECT(
																		((BgL_nodez00_bglt) BgL_new1149z00_2198)))->
																BgL_typez00) =
															((BgL_typez00_bglt) BgL_auxz00_5729), BUNSPEC);
													}
													((((BgL_atomz00_bglt) COBJECT(
																	((BgL_atomz00_bglt) BgL_new1149z00_2198)))->
															BgL_valuez00) = ((obj_t) BUNSPEC), BUNSPEC);
													BgL_unspecz00_2192 = BgL_new1149z00_2198;
												}
												{	/* Ast/app.scm 471 */
													BgL_sequencez00_bglt BgL_new1151z00_2193;

													{	/* Ast/app.scm 471 */
														BgL_sequencez00_bglt BgL_new1150z00_2196;

														BgL_new1150z00_2196 =
															((BgL_sequencez00_bglt)
															BOBJECT(GC_MALLOC(sizeof(struct
																		BgL_sequencez00_bgl))));
														{	/* Ast/app.scm 471 */
															long BgL_arg2143z00_2197;

															BgL_arg2143z00_2197 =
																BGL_CLASS_NUM(BGl_sequencez00zzast_nodez00);
															BGL_OBJECT_CLASS_NUM_SET(
																((BgL_objectz00_bglt) BgL_new1150z00_2196),
																BgL_arg2143z00_2197);
														}
														{	/* Ast/app.scm 471 */
															BgL_objectz00_bglt BgL_tmpz00_5741;

															BgL_tmpz00_5741 =
																((BgL_objectz00_bglt) BgL_new1150z00_2196);
															BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5741, BFALSE);
														}
														((BgL_objectz00_bglt) BgL_new1150z00_2196);
														BgL_new1151z00_2193 = BgL_new1150z00_2196;
													}
													((((BgL_nodez00_bglt) COBJECT(
																	((BgL_nodez00_bglt) BgL_new1151z00_2193)))->
															BgL_locz00) = ((obj_t) BFALSE), BUNSPEC);
													((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
																		BgL_new1151z00_2193)))->BgL_typez00) =
														((BgL_typez00_bglt)
															BGl_strictzd2nodezd2typez00zzast_nodez00((
																	(BgL_typez00_bglt)
																	BGl_za2_za2z00zztype_cachez00),
																((BgL_typez00_bglt)
																	BGl_za2objza2z00zztype_cachez00))), BUNSPEC);
													((((BgL_nodezf2effectzf2_bglt)
																COBJECT(((BgL_nodezf2effectzf2_bglt)
																		BgL_new1151z00_2193)))->
															BgL_sidezd2effectzd2) =
														((obj_t) BUNSPEC), BUNSPEC);
													((((BgL_nodezf2effectzf2_bglt)
																COBJECT(((BgL_nodezf2effectzf2_bglt)
																		BgL_new1151z00_2193)))->BgL_keyz00) =
														((obj_t) BINT((-1L))), BUNSPEC);
													{
														obj_t BgL_auxz00_5757;

														{	/* Ast/app.scm 473 */
															obj_t BgL_list2141z00_2194;

															{	/* Ast/app.scm 473 */
																obj_t BgL_arg2142z00_2195;

																BgL_arg2142z00_2195 =
																	MAKE_YOUNG_PAIR(
																	((obj_t) BgL_unspecz00_2192), BNIL);
																BgL_list2141z00_2194 =
																	MAKE_YOUNG_PAIR(
																	((obj_t) BgL_callz00_2189),
																	BgL_arg2142z00_2195);
															}
															BgL_auxz00_5757 = BgL_list2141z00_2194;
														}
														((((BgL_sequencez00_bglt)
																	COBJECT(BgL_new1151z00_2193))->BgL_nodesz00) =
															((obj_t) BgL_auxz00_5757), BUNSPEC);
													}
													((((BgL_sequencez00_bglt)
																COBJECT(BgL_new1151z00_2193))->BgL_unsafez00) =
														((bool_t) ((bool_t) 0)), BUNSPEC);
													((((BgL_sequencez00_bglt)
																COBJECT(BgL_new1151z00_2193))->BgL_metaz00) =
														((obj_t) BNIL), BUNSPEC);
													return ((obj_t) BgL_new1151z00_2193);
												}
											}
										else
											{	/* Ast/app.scm 466 */
												return ((obj_t) BgL_callz00_2189);
											}
									}
								}
							else
								{	/* Ast/app.scm 477 */
									BgL_funcallz00_bglt BgL_new1153z00_2213;

									{	/* Ast/app.scm 478 */
										BgL_funcallz00_bglt BgL_new1152z00_2220;

										BgL_new1152z00_2220 =
											((BgL_funcallz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
														BgL_funcallz00_bgl))));
										{	/* Ast/app.scm 478 */
											long BgL_arg2153z00_2221;

											BgL_arg2153z00_2221 =
												BGL_CLASS_NUM(BGl_funcallz00zzast_nodez00);
											BGL_OBJECT_CLASS_NUM_SET(
												((BgL_objectz00_bglt) BgL_new1152z00_2220),
												BgL_arg2153z00_2221);
										}
										{	/* Ast/app.scm 478 */
											BgL_objectz00_bglt BgL_tmpz00_5771;

											BgL_tmpz00_5771 =
												((BgL_objectz00_bglt) BgL_new1152z00_2220);
											BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5771, BFALSE);
										}
										((BgL_objectz00_bglt) BgL_new1152z00_2220);
										BgL_new1153z00_2213 = BgL_new1152z00_2220;
									}
									((((BgL_nodez00_bglt) COBJECT(
													((BgL_nodez00_bglt) BgL_new1153z00_2213)))->
											BgL_locz00) = ((obj_t) BgL_locz00_27), BUNSPEC);
									((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
														BgL_new1153z00_2213)))->BgL_typez00) =
										((BgL_typez00_bglt) ((BgL_typez00_bglt)
												BGl_za2_za2z00zztype_cachez00)), BUNSPEC);
									((((BgL_funcallz00_bglt) COBJECT(BgL_new1153z00_2213))->
											BgL_funz00) =
										((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_varz00_28)),
										BUNSPEC);
									{
										obj_t BgL_auxz00_5782;

										{	/* Ast/app.scm 481 */
											BgL_refz00_bglt BgL_arg2151z00_2214;

											{	/* Ast/app.scm 481 */
												BgL_refz00_bglt BgL_new1154z00_2216;

												{	/* Ast/app.scm 481 */
													BgL_refz00_bglt BgL_new1158z00_2218;

													BgL_new1158z00_2218 =
														((BgL_refz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
																	BgL_refz00_bgl))));
													{	/* Ast/app.scm 481 */
														long BgL_arg2152z00_2219;

														{	/* Ast/app.scm 481 */
															obj_t BgL_classz00_3515;

															BgL_classz00_3515 = BGl_refz00zzast_nodez00;
															BgL_arg2152z00_2219 =
																BGL_CLASS_NUM(BgL_classz00_3515);
														}
														BGL_OBJECT_CLASS_NUM_SET(
															((BgL_objectz00_bglt) BgL_new1158z00_2218),
															BgL_arg2152z00_2219);
													}
													{	/* Ast/app.scm 481 */
														BgL_objectz00_bglt BgL_tmpz00_5787;

														BgL_tmpz00_5787 =
															((BgL_objectz00_bglt) BgL_new1158z00_2218);
														BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5787, BFALSE);
													}
													((BgL_objectz00_bglt) BgL_new1158z00_2218);
													BgL_new1154z00_2216 = BgL_new1158z00_2218;
												}
												((((BgL_nodez00_bglt) COBJECT(
																((BgL_nodez00_bglt) BgL_new1154z00_2216)))->
														BgL_locz00) =
													((obj_t) (((BgL_nodez00_bglt)
																COBJECT(((BgL_nodez00_bglt) BgL_varz00_28)))->
															BgL_locz00)), BUNSPEC);
												((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
																	BgL_new1154z00_2216)))->BgL_typez00) =
													((BgL_typez00_bglt) (((BgL_nodez00_bglt)
																COBJECT(((BgL_nodez00_bglt) BgL_varz00_28)))->
															BgL_typez00)), BUNSPEC);
												((((BgL_varz00_bglt) COBJECT(((BgL_varz00_bglt)
																	BgL_new1154z00_2216)))->BgL_variablez00) =
													((BgL_variablez00_bglt) (((BgL_varz00_bglt)
																COBJECT(((BgL_varz00_bglt) ((BgL_nodez00_bglt)
																			BgL_varz00_28))))->BgL_variablez00)),
													BUNSPEC);
												BgL_arg2151z00_2214 = BgL_new1154z00_2216;
											}
											BgL_auxz00_5782 =
												MAKE_YOUNG_PAIR(
												((obj_t) BgL_arg2151z00_2214), BgL_argsz00_29);
										}
										((((BgL_funcallz00_bglt) COBJECT(BgL_new1153z00_2213))->
												BgL_argsz00) = ((obj_t) BgL_auxz00_5782), BUNSPEC);
									}
									((((BgL_funcallz00_bglt) COBJECT(BgL_new1153z00_2213))->
											BgL_strengthz00) =
										((obj_t) ((obj_t) CNST_TABLE_REF(11))), BUNSPEC);
									((((BgL_funcallz00_bglt) COBJECT(BgL_new1153z00_2213))->
											BgL_functionsz00) = ((obj_t) BUNSPEC), BUNSPEC);
									return ((obj_t) BgL_new1153z00_2213);
								}
						}
				}
			}
		}

	}



/* make-va-app-node */
	BgL_nodez00_bglt BGl_makezd2vazd2appzd2nodezd2zzast_appz00(long
		BgL_arityz00_30, obj_t BgL_stackz00_31, obj_t BgL_locz00_32,
		BgL_varz00_bglt BgL_varz00_33, obj_t BgL_argsz00_34)
	{
		{	/* Ast/app.scm 486 */
			{
				obj_t BgL_oldzd2argszd2_2228;
				long BgL_arityz00_2229;
				obj_t BgL_fzd2argszd2_2230;

				BgL_oldzd2argszd2_2228 = BgL_argsz00_34;
				BgL_arityz00_2229 = BgL_arityz00_30;
				BgL_fzd2argszd2_2230 = BNIL;
			BgL_zc3z04anonymousza32156ze3z87_2231:
				if ((BgL_arityz00_2229 == (-1L)))
					{	/* Ast/app.scm 495 */
						obj_t BgL_lzd2argzd2_2233;

						BgL_lzd2argzd2_2233 =
							BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
							(BGl_gensymz00zz__r4_symbols_6_4z00(((obj_t)
									CNST_TABLE_REF(12))));
						{	/* Ast/app.scm 495 */
							obj_t BgL_lzd2expzd2_2234;

							{	/* Ast/app.scm 496 */
								obj_t BgL_arg2162z00_2242;
								obj_t BgL_arg2163z00_2243;

								BgL_arg2162z00_2242 = BGl_letzd2symzd2zzast_letz00();
								{	/* Ast/app.scm 496 */
									obj_t BgL_arg2164z00_2244;
									obj_t BgL_arg2165z00_2245;

									{	/* Ast/app.scm 496 */
										obj_t BgL_arg2166z00_2246;

										{	/* Ast/app.scm 496 */
											obj_t BgL_arg2167z00_2247;

											BgL_arg2167z00_2247 =
												MAKE_YOUNG_PAIR
												(BGl_makezd2argszd2listze70ze7zzast_appz00
												(BgL_oldzd2argszd2_2228), BNIL);
											BgL_arg2166z00_2246 =
												MAKE_YOUNG_PAIR(BgL_lzd2argzd2_2233,
												BgL_arg2167z00_2247);
										}
										BgL_arg2164z00_2244 =
											MAKE_YOUNG_PAIR(BgL_arg2166z00_2246, BNIL);
									}
									BgL_arg2165z00_2245 =
										MAKE_YOUNG_PAIR(BgL_lzd2argzd2_2233, BNIL);
									BgL_arg2163z00_2243 =
										MAKE_YOUNG_PAIR(BgL_arg2164z00_2244, BgL_arg2165z00_2245);
								}
								BgL_lzd2expzd2_2234 =
									MAKE_YOUNG_PAIR(BgL_arg2162z00_2242, BgL_arg2163z00_2243);
							}
							{	/* Ast/app.scm 496 */
								BgL_nodez00_bglt BgL_lzd2nodezd2_2235;

								BgL_lzd2nodezd2_2235 =
									BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_lzd2expzd2_2234,
									BgL_stackz00_31, BgL_locz00_32, ((obj_t) CNST_TABLE_REF(3)));
								{	/* Ast/app.scm 498 */
									BgL_nodez00_bglt BgL_lzd2varzd2_2236;

									BgL_lzd2varzd2_2236 =
										(((BgL_letzd2varzd2_bglt) COBJECT(
												((BgL_letzd2varzd2_bglt) BgL_lzd2nodezd2_2235)))->
										BgL_bodyz00);
									{	/* Ast/app.scm 499 */
										obj_t BgL_appz00_2237;

										{	/* Ast/app.scm 501 */
											obj_t BgL_arg2160z00_2240;

											{	/* Ast/app.scm 501 */
												obj_t BgL_arg2161z00_2241;

												BgL_arg2161z00_2241 =
													MAKE_YOUNG_PAIR(
													((obj_t) BgL_lzd2varzd2_2236), BgL_fzd2argszd2_2230);
												BgL_arg2160z00_2240 =
													bgl_reverse_bang(BgL_arg2161z00_2241);
											}
											BgL_appz00_2237 =
												BGl_makezd2fxzd2appzd2nodezd2zzast_appz00(BgL_locz00_32,
												BgL_varz00_33, BgL_arg2160z00_2240);
										}
										{	/* Ast/app.scm 500 */

											((((BgL_letzd2varzd2_bglt) COBJECT(
															((BgL_letzd2varzd2_bglt) BgL_lzd2nodezd2_2235)))->
													BgL_bodyz00) =
												((BgL_nodez00_bglt) ((BgL_nodez00_bglt)
														BgL_appz00_2237)), BUNSPEC);
											{
												BgL_typez00_bglt BgL_auxz00_5838;

												{	/* Ast/app.scm 504 */
													BgL_typez00_bglt BgL_arg2159z00_2239;

													BgL_arg2159z00_2239 =
														(((BgL_nodez00_bglt) COBJECT(
																((BgL_nodez00_bglt)
																	((BgL_letzd2varzd2_bglt)
																		BgL_lzd2nodezd2_2235))))->BgL_typez00);
													BgL_auxz00_5838 =
														BGl_strictzd2nodezd2typez00zzast_nodez00((
															(BgL_typez00_bglt) BGl_za2_za2z00zztype_cachez00),
														BgL_arg2159z00_2239);
												}
												((((BgL_nodez00_bglt) COBJECT(
																((BgL_nodez00_bglt)
																	((BgL_letzd2varzd2_bglt)
																		BgL_lzd2nodezd2_2235))))->BgL_typez00) =
													((BgL_typez00_bglt) BgL_auxz00_5838), BUNSPEC);
											}
											return
												BGl_cleanzd2userzd2nodez12z12zzast_appz00
												(BgL_lzd2nodezd2_2235);
										}
									}
								}
							}
						}
					}
				else
					{	/* Ast/app.scm 506 */
						obj_t BgL_arg2170z00_2250;
						long BgL_arg2171z00_2251;
						obj_t BgL_arg2172z00_2252;

						BgL_arg2170z00_2250 = CDR(((obj_t) BgL_oldzd2argszd2_2228));
						BgL_arg2171z00_2251 = (BgL_arityz00_2229 + 1L);
						{	/* Ast/app.scm 508 */
							BgL_nodez00_bglt BgL_arg2173z00_2253;

							{	/* Ast/app.scm 508 */
								obj_t BgL_arg2174z00_2254;

								BgL_arg2174z00_2254 = CAR(((obj_t) BgL_oldzd2argszd2_2228));
								BgL_arg2173z00_2253 =
									BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_arg2174z00_2254,
									BgL_stackz00_31, BgL_locz00_32, ((obj_t) CNST_TABLE_REF(3)));
							}
							BgL_arg2172z00_2252 =
								MAKE_YOUNG_PAIR(
								((obj_t) BgL_arg2173z00_2253), BgL_fzd2argszd2_2230);
						}
						{
							obj_t BgL_fzd2argszd2_5860;
							long BgL_arityz00_5859;
							obj_t BgL_oldzd2argszd2_5858;

							BgL_oldzd2argszd2_5858 = BgL_arg2170z00_2250;
							BgL_arityz00_5859 = BgL_arg2171z00_2251;
							BgL_fzd2argszd2_5860 = BgL_arg2172z00_2252;
							BgL_fzd2argszd2_2230 = BgL_fzd2argszd2_5860;
							BgL_arityz00_2229 = BgL_arityz00_5859;
							BgL_oldzd2argszd2_2228 = BgL_oldzd2argszd2_5858;
							goto BgL_zc3z04anonymousza32156ze3z87_2231;
						}
					}
			}
		}

	}



/* make-args-list~0 */
	obj_t BGl_makezd2argszd2listze70ze7zzast_appz00(obj_t BgL_argsz00_2256)
	{
		{	/* Ast/app.scm 490 */
			if (NULLP(BgL_argsz00_2256))
				{	/* Ast/app.scm 488 */
					return ((obj_t) CNST_TABLE_REF(2));
				}
			else
				{	/* Ast/app.scm 490 */
					obj_t BgL_arg2177z00_2259;
					obj_t BgL_arg2178z00_2260;

					{	/* Ast/app.scm 490 */
						obj_t BgL_arg2179z00_2261;

						{	/* Ast/app.scm 490 */
							obj_t BgL_arg2180z00_2262;

							BgL_arg2180z00_2262 =
								MAKE_YOUNG_PAIR(((obj_t) CNST_TABLE_REF(13)), BNIL);
							BgL_arg2179z00_2261 =
								MAKE_YOUNG_PAIR(
								((obj_t) CNST_TABLE_REF(14)), BgL_arg2180z00_2262);
						}
						BgL_arg2177z00_2259 =
							MAKE_YOUNG_PAIR(((obj_t) CNST_TABLE_REF(8)), BgL_arg2179z00_2261);
					}
					{	/* Ast/app.scm 490 */
						obj_t BgL_arg2181z00_2263;
						obj_t BgL_arg2182z00_2264;

						BgL_arg2181z00_2263 = CAR(((obj_t) BgL_argsz00_2256));
						{	/* Ast/app.scm 490 */
							obj_t BgL_arg2183z00_2265;

							{	/* Ast/app.scm 490 */
								obj_t BgL_arg2184z00_2266;

								BgL_arg2184z00_2266 = CDR(((obj_t) BgL_argsz00_2256));
								BgL_arg2183z00_2265 =
									BGl_makezd2argszd2listze70ze7zzast_appz00
									(BgL_arg2184z00_2266);
							}
							BgL_arg2182z00_2264 = MAKE_YOUNG_PAIR(BgL_arg2183z00_2265, BNIL);
						}
						BgL_arg2178z00_2260 =
							MAKE_YOUNG_PAIR(BgL_arg2181z00_2263, BgL_arg2182z00_2264);
					}
					return MAKE_YOUNG_PAIR(BgL_arg2177z00_2259, BgL_arg2178z00_2260);
				}
		}

	}



/* make-special-app-node */
	obj_t BGl_makezd2specialzd2appzd2nodezd2zzast_appz00(obj_t BgL_locz00_36,
		BgL_varz00_bglt BgL_varz00_37, obj_t BgL_argsz00_38)
	{
		{	/* Ast/app.scm 528 */
			{	/* Ast/app.scm 529 */
				BgL_variablez00_bglt BgL_variablez00_2269;

				BgL_variablez00_2269 =
					(((BgL_varz00_bglt) COBJECT(BgL_varz00_37))->BgL_variablez00);
				{	/* Ast/app.scm 529 */
					obj_t BgL_gnamez00_2270;

					BgL_gnamez00_2270 =
						(((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt)
									((BgL_globalz00_bglt) BgL_variablez00_2269))))->BgL_namez00);
					{	/* Ast/app.scm 530 */

						{	/* Ast/app.scm 531 */
							obj_t BgL_casezd2valuezd2_2271;

							BgL_casezd2valuezd2_2271 =
								(((BgL_variablez00_bglt) COBJECT(
										((BgL_variablez00_bglt)
											((BgL_globalz00_bglt) BgL_variablez00_2269))))->
								BgL_idz00);
							if ((BgL_casezd2valuezd2_2271 == ((obj_t) CNST_TABLE_REF(15))))
								{	/* Ast/app.scm 531 */
									{	/* Ast/app.scm 535 */
										bool_t BgL_test2562z00_5893;

										{	/* Ast/app.scm 535 */
											bool_t BgL_test2563z00_5894;

											{	/* Ast/app.scm 535 */
												obj_t BgL_arg2196z00_2284;

												BgL_arg2196z00_2284 = CAR(((obj_t) BgL_argsz00_38));
												{	/* Ast/app.scm 535 */
													obj_t BgL_classz00_3533;

													BgL_classz00_3533 = BGl_varz00zzast_nodez00;
													if (BGL_OBJECTP(BgL_arg2196z00_2284))
														{	/* Ast/app.scm 535 */
															BgL_objectz00_bglt BgL_arg1858z00_3535;

															BgL_arg1858z00_3535 =
																(BgL_objectz00_bglt) (BgL_arg2196z00_2284);
															if (BGL_CONDEXPAND_ISA_ARCH64())
																{	/* Ast/app.scm 535 */
																	long BgL_idxz00_3541;

																	BgL_idxz00_3541 =
																		BGL_OBJECT_INHERITANCE_NUM
																		(BgL_arg1858z00_3535);
																	BgL_test2563z00_5894 =
																		(VECTOR_REF
																		(BGl_za2inheritancesza2z00zz__objectz00,
																			(BgL_idxz00_3541 + 2L)) ==
																		BgL_classz00_3533);
																}
															else
																{	/* Ast/app.scm 535 */
																	bool_t BgL_res2347z00_3566;

																	{	/* Ast/app.scm 535 */
																		obj_t BgL_oclassz00_3549;

																		{	/* Ast/app.scm 535 */
																			obj_t BgL_arg1866z00_3557;
																			long BgL_arg1867z00_3558;

																			BgL_arg1866z00_3557 =
																				(BGl_za2classesza2z00zz__objectz00);
																			{	/* Ast/app.scm 535 */
																				long BgL_arg1869z00_3559;

																				BgL_arg1869z00_3559 =
																					BGL_OBJECT_CLASS_NUM
																					(BgL_arg1858z00_3535);
																				BgL_arg1867z00_3558 =
																					(BgL_arg1869z00_3559 - OBJECT_TYPE);
																			}
																			BgL_oclassz00_3549 =
																				VECTOR_REF(BgL_arg1866z00_3557,
																				BgL_arg1867z00_3558);
																		}
																		{	/* Ast/app.scm 535 */
																			bool_t BgL__ortest_1115z00_3550;

																			BgL__ortest_1115z00_3550 =
																				(BgL_classz00_3533 ==
																				BgL_oclassz00_3549);
																			if (BgL__ortest_1115z00_3550)
																				{	/* Ast/app.scm 535 */
																					BgL_res2347z00_3566 =
																						BgL__ortest_1115z00_3550;
																				}
																			else
																				{	/* Ast/app.scm 535 */
																					long BgL_odepthz00_3551;

																					{	/* Ast/app.scm 535 */
																						obj_t BgL_arg1855z00_3552;

																						BgL_arg1855z00_3552 =
																							(BgL_oclassz00_3549);
																						BgL_odepthz00_3551 =
																							BGL_CLASS_DEPTH
																							(BgL_arg1855z00_3552);
																					}
																					if ((2L < BgL_odepthz00_3551))
																						{	/* Ast/app.scm 535 */
																							obj_t BgL_arg1853z00_3554;

																							{	/* Ast/app.scm 535 */
																								obj_t BgL_arg1854z00_3555;

																								BgL_arg1854z00_3555 =
																									(BgL_oclassz00_3549);
																								BgL_arg1853z00_3554 =
																									BGL_CLASS_ANCESTORS_REF
																									(BgL_arg1854z00_3555, 2L);
																							}
																							BgL_res2347z00_3566 =
																								(BgL_arg1853z00_3554 ==
																								BgL_classz00_3533);
																						}
																					else
																						{	/* Ast/app.scm 535 */
																							BgL_res2347z00_3566 =
																								((bool_t) 0);
																						}
																				}
																		}
																	}
																	BgL_test2563z00_5894 = BgL_res2347z00_3566;
																}
														}
													else
														{	/* Ast/app.scm 535 */
															BgL_test2563z00_5894 = ((bool_t) 0);
														}
												}
											}
											if (BgL_test2563z00_5894)
												{	/* Ast/app.scm 535 */
													bool_t BgL_test2568z00_5919;

													{	/* Ast/app.scm 535 */
														obj_t BgL_arg2195z00_2283;

														BgL_arg2195z00_2283 = CAR(((obj_t) BgL_argsz00_38));
														{	/* Ast/app.scm 535 */
															obj_t BgL_classz00_3568;

															BgL_classz00_3568 = BGl_closurez00zzast_nodez00;
															if (BGL_OBJECTP(BgL_arg2195z00_2283))
																{	/* Ast/app.scm 535 */
																	BgL_objectz00_bglt BgL_arg1858z00_3570;

																	BgL_arg1858z00_3570 =
																		(BgL_objectz00_bglt) (BgL_arg2195z00_2283);
																	if (BGL_CONDEXPAND_ISA_ARCH64())
																		{	/* Ast/app.scm 535 */
																			long BgL_idxz00_3576;

																			BgL_idxz00_3576 =
																				BGL_OBJECT_INHERITANCE_NUM
																				(BgL_arg1858z00_3570);
																			BgL_test2568z00_5919 =
																				(VECTOR_REF
																				(BGl_za2inheritancesza2z00zz__objectz00,
																					(BgL_idxz00_3576 + 3L)) ==
																				BgL_classz00_3568);
																		}
																	else
																		{	/* Ast/app.scm 535 */
																			bool_t BgL_res2348z00_3601;

																			{	/* Ast/app.scm 535 */
																				obj_t BgL_oclassz00_3584;

																				{	/* Ast/app.scm 535 */
																					obj_t BgL_arg1866z00_3592;
																					long BgL_arg1867z00_3593;

																					BgL_arg1866z00_3592 =
																						(BGl_za2classesza2z00zz__objectz00);
																					{	/* Ast/app.scm 535 */
																						long BgL_arg1869z00_3594;

																						BgL_arg1869z00_3594 =
																							BGL_OBJECT_CLASS_NUM
																							(BgL_arg1858z00_3570);
																						BgL_arg1867z00_3593 =
																							(BgL_arg1869z00_3594 -
																							OBJECT_TYPE);
																					}
																					BgL_oclassz00_3584 =
																						VECTOR_REF(BgL_arg1866z00_3592,
																						BgL_arg1867z00_3593);
																				}
																				{	/* Ast/app.scm 535 */
																					bool_t BgL__ortest_1115z00_3585;

																					BgL__ortest_1115z00_3585 =
																						(BgL_classz00_3568 ==
																						BgL_oclassz00_3584);
																					if (BgL__ortest_1115z00_3585)
																						{	/* Ast/app.scm 535 */
																							BgL_res2348z00_3601 =
																								BgL__ortest_1115z00_3585;
																						}
																					else
																						{	/* Ast/app.scm 535 */
																							long BgL_odepthz00_3586;

																							{	/* Ast/app.scm 535 */
																								obj_t BgL_arg1855z00_3587;

																								BgL_arg1855z00_3587 =
																									(BgL_oclassz00_3584);
																								BgL_odepthz00_3586 =
																									BGL_CLASS_DEPTH
																									(BgL_arg1855z00_3587);
																							}
																							if ((3L < BgL_odepthz00_3586))
																								{	/* Ast/app.scm 535 */
																									obj_t BgL_arg1853z00_3589;

																									{	/* Ast/app.scm 535 */
																										obj_t BgL_arg1854z00_3590;

																										BgL_arg1854z00_3590 =
																											(BgL_oclassz00_3584);
																										BgL_arg1853z00_3589 =
																											BGL_CLASS_ANCESTORS_REF
																											(BgL_arg1854z00_3590, 3L);
																									}
																									BgL_res2348z00_3601 =
																										(BgL_arg1853z00_3589 ==
																										BgL_classz00_3568);
																								}
																							else
																								{	/* Ast/app.scm 535 */
																									BgL_res2348z00_3601 =
																										((bool_t) 0);
																								}
																						}
																				}
																			}
																			BgL_test2568z00_5919 =
																				BgL_res2348z00_3601;
																		}
																}
															else
																{	/* Ast/app.scm 535 */
																	BgL_test2568z00_5919 = ((bool_t) 0);
																}
														}
													}
													if (BgL_test2568z00_5919)
														{	/* Ast/app.scm 535 */
															BgL_test2562z00_5893 = ((bool_t) 0);
														}
													else
														{	/* Ast/app.scm 535 */
															BgL_test2562z00_5893 = ((bool_t) 1);
														}
												}
											else
												{	/* Ast/app.scm 535 */
													BgL_test2562z00_5893 = ((bool_t) 0);
												}
										}
										if (BgL_test2562z00_5893)
											{	/* Ast/app.scm 536 */
												obj_t BgL_arg2194z00_2280;

												BgL_arg2194z00_2280 = CAR(((obj_t) BgL_argsz00_38));
												{	/* Ast/app.scm 536 */
													BgL_typez00_bglt BgL_vz00_3604;

													BgL_vz00_3604 =
														((BgL_typez00_bglt) BGl_za2_za2z00zztype_cachez00);
													((((BgL_nodez00_bglt) COBJECT(
																	((BgL_nodez00_bglt) BgL_arg2194z00_2280)))->
															BgL_typez00) =
														((BgL_typez00_bglt) BgL_vz00_3604), BUNSPEC);
												}
											}
										else
											{	/* Ast/app.scm 535 */
												BFALSE;
											}
									}
									{	/* Ast/app.scm 537 */
										bool_t BgL_test2573z00_5949;

										{	/* Ast/app.scm 537 */
											bool_t BgL_test2574z00_5950;

											{	/* Ast/app.scm 537 */
												obj_t BgL_arg2207z00_2296;

												{	/* Ast/app.scm 537 */
													obj_t BgL_pairz00_3608;

													BgL_pairz00_3608 = CDR(((obj_t) BgL_argsz00_38));
													BgL_arg2207z00_2296 = CAR(BgL_pairz00_3608);
												}
												{	/* Ast/app.scm 537 */
													obj_t BgL_classz00_3609;

													BgL_classz00_3609 = BGl_varz00zzast_nodez00;
													if (BGL_OBJECTP(BgL_arg2207z00_2296))
														{	/* Ast/app.scm 537 */
															BgL_objectz00_bglt BgL_arg1858z00_3611;

															BgL_arg1858z00_3611 =
																(BgL_objectz00_bglt) (BgL_arg2207z00_2296);
															if (BGL_CONDEXPAND_ISA_ARCH64())
																{	/* Ast/app.scm 537 */
																	long BgL_idxz00_3617;

																	BgL_idxz00_3617 =
																		BGL_OBJECT_INHERITANCE_NUM
																		(BgL_arg1858z00_3611);
																	BgL_test2574z00_5950 =
																		(VECTOR_REF
																		(BGl_za2inheritancesza2z00zz__objectz00,
																			(BgL_idxz00_3617 + 2L)) ==
																		BgL_classz00_3609);
																}
															else
																{	/* Ast/app.scm 537 */
																	bool_t BgL_res2349z00_3642;

																	{	/* Ast/app.scm 537 */
																		obj_t BgL_oclassz00_3625;

																		{	/* Ast/app.scm 537 */
																			obj_t BgL_arg1866z00_3633;
																			long BgL_arg1867z00_3634;

																			BgL_arg1866z00_3633 =
																				(BGl_za2classesza2z00zz__objectz00);
																			{	/* Ast/app.scm 537 */
																				long BgL_arg1869z00_3635;

																				BgL_arg1869z00_3635 =
																					BGL_OBJECT_CLASS_NUM
																					(BgL_arg1858z00_3611);
																				BgL_arg1867z00_3634 =
																					(BgL_arg1869z00_3635 - OBJECT_TYPE);
																			}
																			BgL_oclassz00_3625 =
																				VECTOR_REF(BgL_arg1866z00_3633,
																				BgL_arg1867z00_3634);
																		}
																		{	/* Ast/app.scm 537 */
																			bool_t BgL__ortest_1115z00_3626;

																			BgL__ortest_1115z00_3626 =
																				(BgL_classz00_3609 ==
																				BgL_oclassz00_3625);
																			if (BgL__ortest_1115z00_3626)
																				{	/* Ast/app.scm 537 */
																					BgL_res2349z00_3642 =
																						BgL__ortest_1115z00_3626;
																				}
																			else
																				{	/* Ast/app.scm 537 */
																					long BgL_odepthz00_3627;

																					{	/* Ast/app.scm 537 */
																						obj_t BgL_arg1855z00_3628;

																						BgL_arg1855z00_3628 =
																							(BgL_oclassz00_3625);
																						BgL_odepthz00_3627 =
																							BGL_CLASS_DEPTH
																							(BgL_arg1855z00_3628);
																					}
																					if ((2L < BgL_odepthz00_3627))
																						{	/* Ast/app.scm 537 */
																							obj_t BgL_arg1853z00_3630;

																							{	/* Ast/app.scm 537 */
																								obj_t BgL_arg1854z00_3631;

																								BgL_arg1854z00_3631 =
																									(BgL_oclassz00_3625);
																								BgL_arg1853z00_3630 =
																									BGL_CLASS_ANCESTORS_REF
																									(BgL_arg1854z00_3631, 2L);
																							}
																							BgL_res2349z00_3642 =
																								(BgL_arg1853z00_3630 ==
																								BgL_classz00_3609);
																						}
																					else
																						{	/* Ast/app.scm 537 */
																							BgL_res2349z00_3642 =
																								((bool_t) 0);
																						}
																				}
																		}
																	}
																	BgL_test2574z00_5950 = BgL_res2349z00_3642;
																}
														}
													else
														{	/* Ast/app.scm 537 */
															BgL_test2574z00_5950 = ((bool_t) 0);
														}
												}
											}
											if (BgL_test2574z00_5950)
												{	/* Ast/app.scm 537 */
													bool_t BgL_test2579z00_5976;

													{	/* Ast/app.scm 537 */
														obj_t BgL_arg2206z00_2295;

														{	/* Ast/app.scm 537 */
															obj_t BgL_pairz00_3646;

															BgL_pairz00_3646 = CDR(((obj_t) BgL_argsz00_38));
															BgL_arg2206z00_2295 = CAR(BgL_pairz00_3646);
														}
														{	/* Ast/app.scm 537 */
															obj_t BgL_classz00_3647;

															BgL_classz00_3647 = BGl_closurez00zzast_nodez00;
															if (BGL_OBJECTP(BgL_arg2206z00_2295))
																{	/* Ast/app.scm 537 */
																	BgL_objectz00_bglt BgL_arg1858z00_3649;

																	BgL_arg1858z00_3649 =
																		(BgL_objectz00_bglt) (BgL_arg2206z00_2295);
																	if (BGL_CONDEXPAND_ISA_ARCH64())
																		{	/* Ast/app.scm 537 */
																			long BgL_idxz00_3655;

																			BgL_idxz00_3655 =
																				BGL_OBJECT_INHERITANCE_NUM
																				(BgL_arg1858z00_3649);
																			BgL_test2579z00_5976 =
																				(VECTOR_REF
																				(BGl_za2inheritancesza2z00zz__objectz00,
																					(BgL_idxz00_3655 + 3L)) ==
																				BgL_classz00_3647);
																		}
																	else
																		{	/* Ast/app.scm 537 */
																			bool_t BgL_res2350z00_3680;

																			{	/* Ast/app.scm 537 */
																				obj_t BgL_oclassz00_3663;

																				{	/* Ast/app.scm 537 */
																					obj_t BgL_arg1866z00_3671;
																					long BgL_arg1867z00_3672;

																					BgL_arg1866z00_3671 =
																						(BGl_za2classesza2z00zz__objectz00);
																					{	/* Ast/app.scm 537 */
																						long BgL_arg1869z00_3673;

																						BgL_arg1869z00_3673 =
																							BGL_OBJECT_CLASS_NUM
																							(BgL_arg1858z00_3649);
																						BgL_arg1867z00_3672 =
																							(BgL_arg1869z00_3673 -
																							OBJECT_TYPE);
																					}
																					BgL_oclassz00_3663 =
																						VECTOR_REF(BgL_arg1866z00_3671,
																						BgL_arg1867z00_3672);
																				}
																				{	/* Ast/app.scm 537 */
																					bool_t BgL__ortest_1115z00_3664;

																					BgL__ortest_1115z00_3664 =
																						(BgL_classz00_3647 ==
																						BgL_oclassz00_3663);
																					if (BgL__ortest_1115z00_3664)
																						{	/* Ast/app.scm 537 */
																							BgL_res2350z00_3680 =
																								BgL__ortest_1115z00_3664;
																						}
																					else
																						{	/* Ast/app.scm 537 */
																							long BgL_odepthz00_3665;

																							{	/* Ast/app.scm 537 */
																								obj_t BgL_arg1855z00_3666;

																								BgL_arg1855z00_3666 =
																									(BgL_oclassz00_3663);
																								BgL_odepthz00_3665 =
																									BGL_CLASS_DEPTH
																									(BgL_arg1855z00_3666);
																							}
																							if ((3L < BgL_odepthz00_3665))
																								{	/* Ast/app.scm 537 */
																									obj_t BgL_arg1853z00_3668;

																									{	/* Ast/app.scm 537 */
																										obj_t BgL_arg1854z00_3669;

																										BgL_arg1854z00_3669 =
																											(BgL_oclassz00_3663);
																										BgL_arg1853z00_3668 =
																											BGL_CLASS_ANCESTORS_REF
																											(BgL_arg1854z00_3669, 3L);
																									}
																									BgL_res2350z00_3680 =
																										(BgL_arg1853z00_3668 ==
																										BgL_classz00_3647);
																								}
																							else
																								{	/* Ast/app.scm 537 */
																									BgL_res2350z00_3680 =
																										((bool_t) 0);
																								}
																						}
																				}
																			}
																			BgL_test2579z00_5976 =
																				BgL_res2350z00_3680;
																		}
																}
															else
																{	/* Ast/app.scm 537 */
																	BgL_test2579z00_5976 = ((bool_t) 0);
																}
														}
													}
													if (BgL_test2579z00_5976)
														{	/* Ast/app.scm 537 */
															BgL_test2573z00_5949 = ((bool_t) 0);
														}
													else
														{	/* Ast/app.scm 537 */
															BgL_test2573z00_5949 = ((bool_t) 1);
														}
												}
											else
												{	/* Ast/app.scm 537 */
													BgL_test2573z00_5949 = ((bool_t) 0);
												}
										}
										if (BgL_test2573z00_5949)
											{	/* Ast/app.scm 538 */
												obj_t BgL_arg2205z00_2292;

												{	/* Ast/app.scm 538 */
													obj_t BgL_pairz00_3684;

													BgL_pairz00_3684 = CDR(((obj_t) BgL_argsz00_38));
													BgL_arg2205z00_2292 = CAR(BgL_pairz00_3684);
												}
												{	/* Ast/app.scm 538 */
													BgL_typez00_bglt BgL_vz00_3686;

													BgL_vz00_3686 =
														((BgL_typez00_bglt) BGl_za2_za2z00zztype_cachez00);
													((((BgL_nodez00_bglt) COBJECT(
																	((BgL_nodez00_bglt) BgL_arg2205z00_2292)))->
															BgL_typez00) =
														((BgL_typez00_bglt) BgL_vz00_3686), BUNSPEC);
												}
											}
										else
											{	/* Ast/app.scm 537 */
												BFALSE;
											}
									}
									{	/* Ast/app.scm 539 */
										BgL_appz00_bglt BgL_new1162z00_2297;

										{	/* Ast/app.scm 540 */
											BgL_appz00_bglt BgL_new1161z00_2299;

											BgL_new1161z00_2299 =
												((BgL_appz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
															BgL_appz00_bgl))));
											{	/* Ast/app.scm 540 */
												long BgL_arg2209z00_2300;

												BgL_arg2209z00_2300 =
													BGL_CLASS_NUM(BGl_appz00zzast_nodez00);
												BGL_OBJECT_CLASS_NUM_SET(
													((BgL_objectz00_bglt) BgL_new1161z00_2299),
													BgL_arg2209z00_2300);
											}
											{	/* Ast/app.scm 540 */
												BgL_objectz00_bglt BgL_tmpz00_6012;

												BgL_tmpz00_6012 =
													((BgL_objectz00_bglt) BgL_new1161z00_2299);
												BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6012, BFALSE);
											}
											((BgL_objectz00_bglt) BgL_new1161z00_2299);
											BgL_new1162z00_2297 = BgL_new1161z00_2299;
										}
										((((BgL_nodez00_bglt) COBJECT(
														((BgL_nodez00_bglt) BgL_new1162z00_2297)))->
												BgL_locz00) = ((obj_t) BgL_locz00_36), BUNSPEC);
										{
											BgL_typez00_bglt BgL_auxz00_6018;

											{	/* Ast/app.scm 541 */
												BgL_typez00_bglt BgL_arg2208z00_2298;

												BgL_arg2208z00_2298 =
													(((BgL_variablez00_bglt)
														COBJECT(BgL_variablez00_2269))->BgL_typez00);
												BgL_auxz00_6018 =
													BGl_strictzd2nodezd2typez00zzast_nodez00((
														(BgL_typez00_bglt) BGl_za2_za2z00zztype_cachez00),
													BgL_arg2208z00_2298);
											}
											((((BgL_nodez00_bglt) COBJECT(
															((BgL_nodez00_bglt) BgL_new1162z00_2297)))->
													BgL_typez00) =
												((BgL_typez00_bglt) BgL_auxz00_6018), BUNSPEC);
										}
										((((BgL_nodezf2effectzf2_bglt) COBJECT(
														((BgL_nodezf2effectzf2_bglt)
															BgL_new1162z00_2297)))->BgL_sidezd2effectzd2) =
											((obj_t) BUNSPEC), BUNSPEC);
										((((BgL_nodezf2effectzf2_bglt)
													COBJECT(((BgL_nodezf2effectzf2_bglt)
															BgL_new1162z00_2297)))->BgL_keyz00) =
											((obj_t) BINT((-1L))), BUNSPEC);
										((((BgL_appz00_bglt) COBJECT(BgL_new1162z00_2297))->
												BgL_funz00) =
											((BgL_varz00_bglt) BgL_varz00_37), BUNSPEC);
										((((BgL_appz00_bglt) COBJECT(BgL_new1162z00_2297))->
												BgL_argsz00) = ((obj_t) BgL_argsz00_38), BUNSPEC);
										((((BgL_appz00_bglt) COBJECT(BgL_new1162z00_2297))->
												BgL_stackablez00) = ((obj_t) BFALSE), BUNSPEC);
										return ((obj_t) BgL_new1162z00_2297);
									}
								}
							else
								{	/* Ast/app.scm 531 */
									if (
										(BgL_casezd2valuezd2_2271 == ((obj_t) CNST_TABLE_REF(16))))
										{	/* Ast/app.scm 531 */
											{	/* Ast/app.scm 547 */
												obj_t BgL_arg2211z00_2302;

												BgL_arg2211z00_2302 = CAR(((obj_t) BgL_argsz00_38));
												{	/* Ast/app.scm 547 */
													BgL_typez00_bglt BgL_vz00_3695;

													BgL_vz00_3695 =
														((BgL_typez00_bglt) BGl_za2_za2z00zztype_cachez00);
													((((BgL_nodez00_bglt) COBJECT(
																	((BgL_nodez00_bglt) BgL_arg2211z00_2302)))->
															BgL_typez00) =
														((BgL_typez00_bglt) BgL_vz00_3695), BUNSPEC);
												}
											}
											{	/* Ast/app.scm 548 */
												BgL_appz00_bglt BgL_new1164z00_2303;

												{	/* Ast/app.scm 549 */
													BgL_appz00_bglt BgL_new1163z00_2305;

													BgL_new1163z00_2305 =
														((BgL_appz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
																	BgL_appz00_bgl))));
													{	/* Ast/app.scm 549 */
														long BgL_arg2213z00_2306;

														BgL_arg2213z00_2306 =
															BGL_CLASS_NUM(BGl_appz00zzast_nodez00);
														BGL_OBJECT_CLASS_NUM_SET(
															((BgL_objectz00_bglt) BgL_new1163z00_2305),
															BgL_arg2213z00_2306);
													}
													{	/* Ast/app.scm 549 */
														BgL_objectz00_bglt BgL_tmpz00_6046;

														BgL_tmpz00_6046 =
															((BgL_objectz00_bglt) BgL_new1163z00_2305);
														BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6046, BFALSE);
													}
													((BgL_objectz00_bglt) BgL_new1163z00_2305);
													BgL_new1164z00_2303 = BgL_new1163z00_2305;
												}
												((((BgL_nodez00_bglt) COBJECT(
																((BgL_nodez00_bglt) BgL_new1164z00_2303)))->
														BgL_locz00) = ((obj_t) BgL_locz00_36), BUNSPEC);
												{
													BgL_typez00_bglt BgL_auxz00_6052;

													{	/* Ast/app.scm 550 */
														BgL_typez00_bglt BgL_arg2212z00_2304;

														BgL_arg2212z00_2304 =
															(((BgL_variablez00_bglt)
																COBJECT(BgL_variablez00_2269))->BgL_typez00);
														BgL_auxz00_6052 =
															BGl_strictzd2nodezd2typez00zzast_nodez00((
																(BgL_typez00_bglt)
																BGl_za2_za2z00zztype_cachez00),
															BgL_arg2212z00_2304);
													}
													((((BgL_nodez00_bglt) COBJECT(
																	((BgL_nodez00_bglt) BgL_new1164z00_2303)))->
															BgL_typez00) =
														((BgL_typez00_bglt) BgL_auxz00_6052), BUNSPEC);
												}
												((((BgL_nodezf2effectzf2_bglt) COBJECT(
																((BgL_nodezf2effectzf2_bglt)
																	BgL_new1164z00_2303)))->
														BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
												((((BgL_nodezf2effectzf2_bglt)
															COBJECT(((BgL_nodezf2effectzf2_bglt)
																	BgL_new1164z00_2303)))->BgL_keyz00) =
													((obj_t) BINT((-1L))), BUNSPEC);
												((((BgL_appz00_bglt) COBJECT(BgL_new1164z00_2303))->
														BgL_funz00) =
													((BgL_varz00_bglt) BgL_varz00_37), BUNSPEC);
												((((BgL_appz00_bglt) COBJECT(BgL_new1164z00_2303))->
														BgL_argsz00) = ((obj_t) BgL_argsz00_38), BUNSPEC);
												((((BgL_appz00_bglt) COBJECT(BgL_new1164z00_2303))->
														BgL_stackablez00) = ((obj_t) BFALSE), BUNSPEC);
												return ((obj_t) BgL_new1164z00_2303);
											}
										}
									else
										{	/* Ast/app.scm 531 */
											if (
												(BgL_casezd2valuezd2_2271 ==
													((obj_t) CNST_TABLE_REF(17))))
												{	/* Ast/app.scm 554 */
													obj_t BgL_vtypez00_2308;

													{	/* Ast/app.scm 554 */
														obj_t BgL_pairz00_3704;

														BgL_pairz00_3704 =
															(((BgL_cfunz00_bglt) COBJECT(
																	((BgL_cfunz00_bglt)
																		(((BgL_variablez00_bglt) COBJECT(
																					((BgL_variablez00_bglt)
																						((BgL_globalz00_bglt)
																							BgL_variablez00_2269))))->
																			BgL_valuez00))))->BgL_argszd2typezd2);
														BgL_vtypez00_2308 = CAR(BgL_pairz00_3704);
													}
													{	/* Ast/app.scm 554 */
														obj_t BgL_ftypez00_2309;

														{	/* Ast/app.scm 555 */
															bool_t BgL_test2586z00_6077;

															{	/* Ast/app.scm 555 */
																obj_t BgL_classz00_3705;

																BgL_classz00_3705 =
																	BGl_tvecz00zztvector_tvectorz00;
																if (BGL_OBJECTP(BgL_vtypez00_2308))
																	{	/* Ast/app.scm 555 */
																		BgL_objectz00_bglt BgL_arg1858z00_3707;

																		BgL_arg1858z00_3707 =
																			(BgL_objectz00_bglt) (BgL_vtypez00_2308);
																		if (BGL_CONDEXPAND_ISA_ARCH64())
																			{	/* Ast/app.scm 555 */
																				long BgL_idxz00_3713;

																				BgL_idxz00_3713 =
																					BGL_OBJECT_INHERITANCE_NUM
																					(BgL_arg1858z00_3707);
																				BgL_test2586z00_6077 =
																					(VECTOR_REF
																					(BGl_za2inheritancesza2z00zz__objectz00,
																						(BgL_idxz00_3713 + 2L)) ==
																					BgL_classz00_3705);
																			}
																		else
																			{	/* Ast/app.scm 555 */
																				bool_t BgL_res2351z00_3738;

																				{	/* Ast/app.scm 555 */
																					obj_t BgL_oclassz00_3721;

																					{	/* Ast/app.scm 555 */
																						obj_t BgL_arg1866z00_3729;
																						long BgL_arg1867z00_3730;

																						BgL_arg1866z00_3729 =
																							(BGl_za2classesza2z00zz__objectz00);
																						{	/* Ast/app.scm 555 */
																							long BgL_arg1869z00_3731;

																							BgL_arg1869z00_3731 =
																								BGL_OBJECT_CLASS_NUM
																								(BgL_arg1858z00_3707);
																							BgL_arg1867z00_3730 =
																								(BgL_arg1869z00_3731 -
																								OBJECT_TYPE);
																						}
																						BgL_oclassz00_3721 =
																							VECTOR_REF(BgL_arg1866z00_3729,
																							BgL_arg1867z00_3730);
																					}
																					{	/* Ast/app.scm 555 */
																						bool_t BgL__ortest_1115z00_3722;

																						BgL__ortest_1115z00_3722 =
																							(BgL_classz00_3705 ==
																							BgL_oclassz00_3721);
																						if (BgL__ortest_1115z00_3722)
																							{	/* Ast/app.scm 555 */
																								BgL_res2351z00_3738 =
																									BgL__ortest_1115z00_3722;
																							}
																						else
																							{	/* Ast/app.scm 555 */
																								long BgL_odepthz00_3723;

																								{	/* Ast/app.scm 555 */
																									obj_t BgL_arg1855z00_3724;

																									BgL_arg1855z00_3724 =
																										(BgL_oclassz00_3721);
																									BgL_odepthz00_3723 =
																										BGL_CLASS_DEPTH
																										(BgL_arg1855z00_3724);
																								}
																								if ((2L < BgL_odepthz00_3723))
																									{	/* Ast/app.scm 555 */
																										obj_t BgL_arg1853z00_3726;

																										{	/* Ast/app.scm 555 */
																											obj_t BgL_arg1854z00_3727;

																											BgL_arg1854z00_3727 =
																												(BgL_oclassz00_3721);
																											BgL_arg1853z00_3726 =
																												BGL_CLASS_ANCESTORS_REF
																												(BgL_arg1854z00_3727,
																												2L);
																										}
																										BgL_res2351z00_3738 =
																											(BgL_arg1853z00_3726 ==
																											BgL_classz00_3705);
																									}
																								else
																									{	/* Ast/app.scm 555 */
																										BgL_res2351z00_3738 =
																											((bool_t) 0);
																									}
																							}
																					}
																				}
																				BgL_test2586z00_6077 =
																					BgL_res2351z00_3738;
																			}
																	}
																else
																	{	/* Ast/app.scm 555 */
																		BgL_test2586z00_6077 = ((bool_t) 0);
																	}
															}
															if (BgL_test2586z00_6077)
																{
																	BgL_typez00_bglt BgL_auxz00_6100;

																	{
																		BgL_tvecz00_bglt BgL_auxz00_6101;

																		{
																			obj_t BgL_auxz00_6102;

																			{	/* Ast/app.scm 556 */
																				BgL_objectz00_bglt BgL_tmpz00_6103;

																				BgL_tmpz00_6103 =
																					((BgL_objectz00_bglt)
																					((BgL_typez00_bglt)
																						BgL_vtypez00_2308));
																				BgL_auxz00_6102 =
																					BGL_OBJECT_WIDENING(BgL_tmpz00_6103);
																			}
																			BgL_auxz00_6101 =
																				((BgL_tvecz00_bglt) BgL_auxz00_6102);
																		}
																		BgL_auxz00_6100 =
																			(((BgL_tvecz00_bglt)
																				COBJECT(BgL_auxz00_6101))->
																			BgL_itemzd2typezd2);
																	}
																	BgL_ftypez00_2309 = ((obj_t) BgL_auxz00_6100);
																}
															else
																{	/* Ast/app.scm 555 */
																	BgL_ftypez00_2309 =
																		BGl_za2_za2z00zztype_cachez00;
																}
														}
														{	/* Ast/app.scm 555 */

															{	/* Ast/app.scm 558 */
																BgL_vlengthz00_bglt BgL_new1166z00_2310;

																{	/* Ast/app.scm 559 */
																	BgL_vlengthz00_bglt BgL_new1165z00_2311;

																	BgL_new1165z00_2311 =
																		((BgL_vlengthz00_bglt)
																		BOBJECT(GC_MALLOC(sizeof(struct
																					BgL_vlengthz00_bgl))));
																	{	/* Ast/app.scm 559 */
																		long BgL_arg2215z00_2312;

																		BgL_arg2215z00_2312 =
																			BGL_CLASS_NUM
																			(BGl_vlengthz00zzast_nodez00);
																		BGL_OBJECT_CLASS_NUM_SET((
																				(BgL_objectz00_bglt)
																				BgL_new1165z00_2311),
																			BgL_arg2215z00_2312);
																	}
																	{	/* Ast/app.scm 559 */
																		BgL_objectz00_bglt BgL_tmpz00_6114;

																		BgL_tmpz00_6114 =
																			((BgL_objectz00_bglt)
																			BgL_new1165z00_2311);
																		BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6114,
																			BFALSE);
																	}
																	((BgL_objectz00_bglt) BgL_new1165z00_2311);
																	BgL_new1166z00_2310 = BgL_new1165z00_2311;
																}
																((((BgL_nodez00_bglt) COBJECT(
																				((BgL_nodez00_bglt)
																					BgL_new1166z00_2310)))->BgL_locz00) =
																	((obj_t) BgL_locz00_36), BUNSPEC);
																((((BgL_nodez00_bglt)
																			COBJECT(((BgL_nodez00_bglt)
																					BgL_new1166z00_2310)))->BgL_typez00) =
																	((BgL_typez00_bglt) (((BgL_variablez00_bglt)
																				COBJECT(((BgL_variablez00_bglt) (
																							(BgL_globalz00_bglt)
																							BgL_variablez00_2269))))->
																			BgL_typez00)), BUNSPEC);
																((((BgL_nodezf2effectzf2_bglt)
																			COBJECT(((BgL_nodezf2effectzf2_bglt)
																					BgL_new1166z00_2310)))->
																		BgL_sidezd2effectzd2) =
																	((obj_t) BUNSPEC), BUNSPEC);
																((((BgL_nodezf2effectzf2_bglt)
																			COBJECT(((BgL_nodezf2effectzf2_bglt)
																					BgL_new1166z00_2310)))->BgL_keyz00) =
																	((obj_t) BINT((-1L))), BUNSPEC);
																((((BgL_externz00_bglt)
																			COBJECT(((BgL_externz00_bglt)
																					BgL_new1166z00_2310)))->
																		BgL_exprza2za2) =
																	((obj_t) BgL_argsz00_38), BUNSPEC);
																((((BgL_externz00_bglt)
																			COBJECT(((BgL_externz00_bglt)
																					BgL_new1166z00_2310)))->
																		BgL_effectz00) =
																	((obj_t) BUNSPEC), BUNSPEC);
																((((BgL_privatez00_bglt)
																			COBJECT(((BgL_privatez00_bglt)
																					BgL_new1166z00_2310)))->
																		BgL_czd2formatzd2) =
																	((obj_t) string_append(BgL_gnamez00_2270,
																			BGl_string2372z00zzast_appz00)), BUNSPEC);
																((((BgL_vlengthz00_bglt)
																			COBJECT(BgL_new1166z00_2310))->
																		BgL_vtypez00) =
																	((BgL_typez00_bglt) ((BgL_typez00_bglt)
																			BgL_vtypez00_2308)), BUNSPEC);
																((((BgL_vlengthz00_bglt)
																			COBJECT(BgL_new1166z00_2310))->
																		BgL_ftypez00) =
																	((obj_t) BgL_ftypez00_2309), BUNSPEC);
																return ((obj_t) BgL_new1166z00_2310);
															}
														}
													}
												}
											else
												{	/* Ast/app.scm 531 */
													bool_t BgL_test2591z00_6141;

													{	/* Ast/app.scm 531 */
														bool_t BgL__ortest_1167z00_2363;

														BgL__ortest_1167z00_2363 =
															(BgL_casezd2valuezd2_2271 ==
															((obj_t) CNST_TABLE_REF(18)));
														if (BgL__ortest_1167z00_2363)
															{	/* Ast/app.scm 531 */
																BgL_test2591z00_6141 = BgL__ortest_1167z00_2363;
															}
														else
															{	/* Ast/app.scm 531 */
																BgL_test2591z00_6141 =
																	(BgL_casezd2valuezd2_2271 ==
																	((obj_t) CNST_TABLE_REF(19)));
															}
													}
													if (BgL_test2591z00_6141)
														{	/* Ast/app.scm 566 */
															BgL_vrefz00_bglt BgL_new1169z00_2318;

															{	/* Ast/app.scm 567 */
																BgL_vrefz00_bglt BgL_new1168z00_2332;

																BgL_new1168z00_2332 =
																	((BgL_vrefz00_bglt)
																	BOBJECT(GC_MALLOC(sizeof(struct
																				BgL_vrefz00_bgl))));
																{	/* Ast/app.scm 567 */
																	long BgL_arg2227z00_2333;

																	BgL_arg2227z00_2333 =
																		BGL_CLASS_NUM(BGl_vrefz00zzast_nodez00);
																	BGL_OBJECT_CLASS_NUM_SET(
																		((BgL_objectz00_bglt) BgL_new1168z00_2332),
																		BgL_arg2227z00_2333);
																}
																{	/* Ast/app.scm 567 */
																	BgL_objectz00_bglt BgL_tmpz00_6153;

																	BgL_tmpz00_6153 =
																		((BgL_objectz00_bglt) BgL_new1168z00_2332);
																	BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6153,
																		BFALSE);
																}
																((BgL_objectz00_bglt) BgL_new1168z00_2332);
																BgL_new1169z00_2318 = BgL_new1168z00_2332;
															}
															((((BgL_nodez00_bglt) COBJECT(
																			((BgL_nodez00_bglt)
																				BgL_new1169z00_2318)))->BgL_locz00) =
																((obj_t) BgL_locz00_36), BUNSPEC);
															{
																BgL_typez00_bglt BgL_auxz00_6159;

																{	/* Ast/app.scm 568 */
																	BgL_typez00_bglt BgL_arg2220z00_2319;

																	BgL_arg2220z00_2319 =
																		(((BgL_variablez00_bglt) COBJECT(
																				((BgL_variablez00_bglt)
																					((BgL_globalz00_bglt)
																						BgL_variablez00_2269))))->
																		BgL_typez00);
																	BgL_auxz00_6159 =
																		BGl_strictzd2nodezd2typez00zzast_nodez00((
																			(BgL_typez00_bglt)
																			BGl_za2_za2z00zztype_cachez00),
																		BgL_arg2220z00_2319);
																}
																((((BgL_nodez00_bglt) COBJECT(
																				((BgL_nodez00_bglt)
																					BgL_new1169z00_2318)))->BgL_typez00) =
																	((BgL_typez00_bglt) BgL_auxz00_6159),
																	BUNSPEC);
															}
															((((BgL_nodezf2effectzf2_bglt) COBJECT(
																			((BgL_nodezf2effectzf2_bglt)
																				BgL_new1169z00_2318)))->
																	BgL_sidezd2effectzd2) =
																((obj_t) BUNSPEC), BUNSPEC);
															((((BgL_nodezf2effectzf2_bglt)
																		COBJECT(((BgL_nodezf2effectzf2_bglt)
																				BgL_new1169z00_2318)))->BgL_keyz00) =
																((obj_t) BINT((-1L))), BUNSPEC);
															((((BgL_externz00_bglt)
																		COBJECT(((BgL_externz00_bglt)
																				BgL_new1169z00_2318)))->
																	BgL_exprza2za2) =
																((obj_t) BgL_argsz00_38), BUNSPEC);
															((((BgL_externz00_bglt)
																		COBJECT(((BgL_externz00_bglt)
																				BgL_new1169z00_2318)))->BgL_effectz00) =
																((obj_t) BUNSPEC), BUNSPEC);
															((((BgL_privatez00_bglt)
																		COBJECT(((BgL_privatez00_bglt)
																				BgL_new1169z00_2318)))->
																	BgL_czd2formatzd2) =
																((obj_t) string_append(BgL_gnamez00_2270,
																		BGl_string2373z00zzast_appz00)), BUNSPEC);
															((((BgL_vrefz00_bglt)
																		COBJECT(BgL_new1169z00_2318))->
																	BgL_ftypez00) =
																((BgL_typez00_bglt) (((BgL_variablez00_bglt)
																			COBJECT(((BgL_variablez00_bglt) (
																						(BgL_globalz00_bglt)
																						BgL_variablez00_2269))))->
																		BgL_typez00)), BUNSPEC);
															{
																BgL_typez00_bglt BgL_auxz00_6183;

																{	/* Ast/app.scm 574 */
																	obj_t BgL_pairz00_3754;

																	BgL_pairz00_3754 =
																		(((BgL_cfunz00_bglt) COBJECT(
																				((BgL_cfunz00_bglt)
																					(((BgL_variablez00_bglt) COBJECT(
																								((BgL_variablez00_bglt)
																									((BgL_globalz00_bglt)
																										BgL_variablez00_2269))))->
																						BgL_valuez00))))->
																		BgL_argszd2typezd2);
																	{	/* Ast/app.scm 574 */
																		obj_t BgL_pairz00_3757;

																		BgL_pairz00_3757 = CDR(BgL_pairz00_3754);
																		BgL_auxz00_6183 =
																			((BgL_typez00_bglt)
																			CAR(BgL_pairz00_3757));
																}}
																((((BgL_vrefz00_bglt)
																			COBJECT(BgL_new1169z00_2318))->
																		BgL_otypez00) =
																	((BgL_typez00_bglt) BgL_auxz00_6183),
																	BUNSPEC);
															}
															{
																BgL_typez00_bglt BgL_auxz00_6193;

																{	/* Ast/app.scm 572 */
																	obj_t BgL_pairz00_3760;

																	BgL_pairz00_3760 =
																		(((BgL_cfunz00_bglt) COBJECT(
																				((BgL_cfunz00_bglt)
																					(((BgL_variablez00_bglt) COBJECT(
																								((BgL_variablez00_bglt)
																									((BgL_globalz00_bglt)
																										BgL_variablez00_2269))))->
																						BgL_valuez00))))->
																		BgL_argszd2typezd2);
																	BgL_auxz00_6193 =
																		((BgL_typez00_bglt) CAR(BgL_pairz00_3760));
																}
																((((BgL_vrefz00_bglt)
																			COBJECT(BgL_new1169z00_2318))->
																		BgL_vtypez00) =
																	((BgL_typez00_bglt) BgL_auxz00_6193),
																	BUNSPEC);
															}
															{
																bool_t BgL_auxz00_6202;

																{	/* Ast/app.scm 571 */
																	obj_t BgL_arg2225z00_2324;

																	{	/* Ast/app.scm 571 */
																		obj_t BgL_arg2226z00_2331;

																		BgL_arg2226z00_2331 =
																			(((BgL_variablez00_bglt) COBJECT(
																					((BgL_variablez00_bglt)
																						((BgL_globalz00_bglt)
																							BgL_variablez00_2269))))->
																			BgL_idz00);
																		BgL_arg2225z00_2324 =
																			SYMBOL_TO_STRING(BgL_arg2226z00_2331);
																	}
																	{	/* Ast/app.scm 571 */

																		BgL_auxz00_6202 =
																			BGl_stringzd2suffixzf3z21zz__r4_strings_6_7z00
																			(BGl_string2374z00zzast_appz00,
																			BgL_arg2225z00_2324, BFALSE, BFALSE,
																			BFALSE, BFALSE);
																}}
																((((BgL_vrefz00_bglt)
																			COBJECT(BgL_new1169z00_2318))->
																		BgL_unsafez00) =
																	((bool_t) BgL_auxz00_6202), BUNSPEC);
															}
															return ((obj_t) BgL_new1169z00_2318);
														}
													else
														{	/* Ast/app.scm 531 */
															bool_t BgL_test2593z00_6210;

															{	/* Ast/app.scm 531 */
																bool_t BgL__ortest_1170z00_2362;

																BgL__ortest_1170z00_2362 =
																	(BgL_casezd2valuezd2_2271 ==
																	((obj_t) CNST_TABLE_REF(20)));
																if (BgL__ortest_1170z00_2362)
																	{	/* Ast/app.scm 531 */
																		BgL_test2593z00_6210 =
																			BgL__ortest_1170z00_2362;
																	}
																else
																	{	/* Ast/app.scm 531 */
																		BgL_test2593z00_6210 =
																			(BgL_casezd2valuezd2_2271 ==
																			((obj_t) CNST_TABLE_REF(21)));
																	}
															}
															if (BgL_test2593z00_6210)
																{	/* Ast/app.scm 531 */
																	{	/* Ast/app.scm 578 */
																		obj_t BgL_arg2230z00_2336;

																		{	/* Ast/app.scm 578 */
																			obj_t BgL_pairz00_3768;

																			{	/* Ast/app.scm 578 */
																				obj_t BgL_pairz00_3767;

																				BgL_pairz00_3767 =
																					CDR(((obj_t) BgL_argsz00_38));
																				BgL_pairz00_3768 =
																					CDR(BgL_pairz00_3767);
																			}
																			BgL_arg2230z00_2336 =
																				CAR(BgL_pairz00_3768);
																		}
																		{	/* Ast/app.scm 578 */
																			BgL_typez00_bglt BgL_vz00_3770;

																			BgL_vz00_3770 =
																				((BgL_typez00_bglt)
																				BGl_za2_za2z00zztype_cachez00);
																			((((BgL_nodez00_bglt)
																						COBJECT(((BgL_nodez00_bglt)
																								BgL_arg2230z00_2336)))->
																					BgL_typez00) =
																				((BgL_typez00_bglt) BgL_vz00_3770),
																				BUNSPEC);
																		}
																	}
																	{	/* Ast/app.scm 579 */
																		BgL_vsetz12z12_bglt BgL_new1172z00_2337;

																		{	/* Ast/app.scm 580 */
																			BgL_vsetz12z12_bglt BgL_new1171z00_2346;

																			BgL_new1171z00_2346 =
																				((BgL_vsetz12z12_bglt)
																				BOBJECT(GC_MALLOC(sizeof(struct
																							BgL_vsetz12z12_bgl))));
																			{	/* Ast/app.scm 580 */
																				long BgL_arg2240z00_2347;

																				BgL_arg2240z00_2347 =
																					BGL_CLASS_NUM
																					(BGl_vsetz12z12zzast_nodez00);
																				BGL_OBJECT_CLASS_NUM_SET((
																						(BgL_objectz00_bglt)
																						BgL_new1171z00_2346),
																					BgL_arg2240z00_2347);
																			}
																			{	/* Ast/app.scm 580 */
																				BgL_objectz00_bglt BgL_tmpz00_6229;

																				BgL_tmpz00_6229 =
																					((BgL_objectz00_bglt)
																					BgL_new1171z00_2346);
																				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6229,
																					BFALSE);
																			}
																			((BgL_objectz00_bglt)
																				BgL_new1171z00_2346);
																			BgL_new1172z00_2337 = BgL_new1171z00_2346;
																		}
																		((((BgL_nodez00_bglt) COBJECT(
																						((BgL_nodez00_bglt)
																							BgL_new1172z00_2337)))->
																				BgL_locz00) =
																			((obj_t) BgL_locz00_36), BUNSPEC);
																		{
																			BgL_typez00_bglt BgL_auxz00_6235;

																			{	/* Ast/app.scm 581 */
																				BgL_typez00_bglt BgL_arg2231z00_2338;

																				BgL_arg2231z00_2338 =
																					(((BgL_variablez00_bglt) COBJECT(
																							((BgL_variablez00_bglt)
																								((BgL_globalz00_bglt)
																									BgL_variablez00_2269))))->
																					BgL_typez00);
																				BgL_auxz00_6235 =
																					BGl_strictzd2nodezd2typez00zzast_nodez00
																					(((BgL_typez00_bglt)
																						BGl_za2unspecza2z00zztype_cachez00),
																					BgL_arg2231z00_2338);
																			}
																			((((BgL_nodez00_bglt) COBJECT(
																							((BgL_nodez00_bglt)
																								BgL_new1172z00_2337)))->
																					BgL_typez00) =
																				((BgL_typez00_bglt) BgL_auxz00_6235),
																				BUNSPEC);
																		}
																		((((BgL_nodezf2effectzf2_bglt) COBJECT(
																						((BgL_nodezf2effectzf2_bglt)
																							BgL_new1172z00_2337)))->
																				BgL_sidezd2effectzd2) =
																			((obj_t) BUNSPEC), BUNSPEC);
																		((((BgL_nodezf2effectzf2_bglt)
																					COBJECT(((BgL_nodezf2effectzf2_bglt)
																							BgL_new1172z00_2337)))->
																				BgL_keyz00) =
																			((obj_t) BINT((-1L))), BUNSPEC);
																		((((BgL_externz00_bglt)
																					COBJECT(((BgL_externz00_bglt)
																							BgL_new1172z00_2337)))->
																				BgL_exprza2za2) =
																			((obj_t) BgL_argsz00_38), BUNSPEC);
																		((((BgL_externz00_bglt)
																					COBJECT(((BgL_externz00_bglt)
																							BgL_new1172z00_2337)))->
																				BgL_effectz00) =
																			((obj_t) BUNSPEC), BUNSPEC);
																		((((BgL_privatez00_bglt)
																					COBJECT(((BgL_privatez00_bglt)
																							BgL_new1172z00_2337)))->
																				BgL_czd2formatzd2) =
																			((obj_t) string_append(BgL_gnamez00_2270,
																					BGl_string2375z00zzast_appz00)),
																			BUNSPEC);
																		{
																			BgL_typez00_bglt BgL_auxz00_6255;

																			{	/* Ast/app.scm 587 */
																				obj_t BgL_pairz00_3778;

																				BgL_pairz00_3778 =
																					(((BgL_cfunz00_bglt) COBJECT(
																							((BgL_cfunz00_bglt)
																								(((BgL_variablez00_bglt)
																										COBJECT((
																												(BgL_variablez00_bglt) (
																													(BgL_globalz00_bglt)
																													BgL_variablez00_2269))))->
																									BgL_valuez00))))->
																					BgL_argszd2typezd2);
																				{	/* Ast/app.scm 587 */
																					obj_t BgL_pairz00_3783;

																					{	/* Ast/app.scm 587 */
																						obj_t BgL_pairz00_3782;

																						BgL_pairz00_3782 =
																							CDR(BgL_pairz00_3778);
																						BgL_pairz00_3783 =
																							CDR(BgL_pairz00_3782);
																					}
																					BgL_auxz00_6255 =
																						((BgL_typez00_bglt)
																						CAR(BgL_pairz00_3783));
																			}}
																			((((BgL_vsetz12z12_bglt)
																						COBJECT(BgL_new1172z00_2337))->
																					BgL_ftypez00) =
																				((BgL_typez00_bglt) BgL_auxz00_6255),
																				BUNSPEC);
																		}
																		{
																			BgL_typez00_bglt BgL_auxz00_6266;

																			{	/* Ast/app.scm 586 */
																				obj_t BgL_pairz00_3786;

																				BgL_pairz00_3786 =
																					(((BgL_cfunz00_bglt) COBJECT(
																							((BgL_cfunz00_bglt)
																								(((BgL_variablez00_bglt)
																										COBJECT((
																												(BgL_variablez00_bglt) (
																													(BgL_globalz00_bglt)
																													BgL_variablez00_2269))))->
																									BgL_valuez00))))->
																					BgL_argszd2typezd2);
																				{	/* Ast/app.scm 586 */
																					obj_t BgL_pairz00_3789;

																					BgL_pairz00_3789 =
																						CDR(BgL_pairz00_3786);
																					BgL_auxz00_6266 =
																						((BgL_typez00_bglt)
																						CAR(BgL_pairz00_3789));
																			}}
																			((((BgL_vsetz12z12_bglt)
																						COBJECT(BgL_new1172z00_2337))->
																					BgL_otypez00) =
																				((BgL_typez00_bglt) BgL_auxz00_6266),
																				BUNSPEC);
																		}
																		{
																			BgL_typez00_bglt BgL_auxz00_6276;

																			{	/* Ast/app.scm 585 */
																				obj_t BgL_pairz00_3792;

																				BgL_pairz00_3792 =
																					(((BgL_cfunz00_bglt) COBJECT(
																							((BgL_cfunz00_bglt)
																								(((BgL_variablez00_bglt)
																										COBJECT((
																												(BgL_variablez00_bglt) (
																													(BgL_globalz00_bglt)
																													BgL_variablez00_2269))))->
																									BgL_valuez00))))->
																					BgL_argszd2typezd2);
																				BgL_auxz00_6276 =
																					((BgL_typez00_bglt)
																					CAR(BgL_pairz00_3792));
																			}
																			((((BgL_vsetz12z12_bglt)
																						COBJECT(BgL_new1172z00_2337))->
																					BgL_vtypez00) =
																				((BgL_typez00_bglt) BgL_auxz00_6276),
																				BUNSPEC);
																		}
																		((((BgL_vsetz12z12_bglt)
																					COBJECT(BgL_new1172z00_2337))->
																				BgL_unsafez00) =
																			((bool_t) ((((BgL_variablez00_bglt)
																							COBJECT(((BgL_variablez00_bglt) (
																										(BgL_globalz00_bglt)
																										BgL_variablez00_2269))))->
																						BgL_idz00) ==
																					((obj_t) CNST_TABLE_REF(21)))),
																			BUNSPEC);
																		return ((obj_t) BgL_new1172z00_2337);
																	}
																}
															else
																{	/* Ast/app.scm 531 */
																	if (
																		(BgL_casezd2valuezd2_2271 ==
																			((obj_t) CNST_TABLE_REF(22))))
																		{	/* Ast/app.scm 589 */
																			obj_t BgL_stackzd2alloczd2_2349;

																			BgL_stackzd2alloczd2_2349 =
																				(((BgL_funz00_bglt) COBJECT(
																						((BgL_funz00_bglt)
																							(((BgL_variablez00_bglt)
																									COBJECT
																									(BgL_variablez00_2269))->
																								BgL_valuez00))))->
																				BgL_stackzd2allocatorzd2);
																			{	/* Ast/app.scm 589 */
																				obj_t BgL_heapzd2formatzd2_2350;

																				BgL_heapzd2formatzd2_2350 =
																					string_append(BgL_gnamez00_2270,
																					BGl_string2372z00zzast_appz00);
																				{	/* Ast/app.scm 590 */
																					obj_t BgL_stackzd2formatzd2_2351;

																					{	/* Ast/app.scm 591 */
																						bool_t BgL_test2596z00_6301;

																						{	/* Ast/app.scm 591 */
																							obj_t BgL_classz00_3797;

																							BgL_classz00_3797 =
																								BGl_globalz00zzast_varz00;
																							if (BGL_OBJECTP
																								(BgL_stackzd2alloczd2_2349))
																								{	/* Ast/app.scm 591 */
																									BgL_objectz00_bglt
																										BgL_arg1858z00_3799;
																									BgL_arg1858z00_3799 =
																										(BgL_objectz00_bglt)
																										(BgL_stackzd2alloczd2_2349);
																									if (BGL_CONDEXPAND_ISA_ARCH64
																										())
																										{	/* Ast/app.scm 591 */
																											long BgL_idxz00_3805;

																											BgL_idxz00_3805 =
																												BGL_OBJECT_INHERITANCE_NUM
																												(BgL_arg1858z00_3799);
																											BgL_test2596z00_6301 =
																												(VECTOR_REF
																												(BGl_za2inheritancesza2z00zz__objectz00,
																													(BgL_idxz00_3805 +
																														2L)) ==
																												BgL_classz00_3797);
																										}
																									else
																										{	/* Ast/app.scm 591 */
																											bool_t
																												BgL_res2352z00_3830;
																											{	/* Ast/app.scm 591 */
																												obj_t
																													BgL_oclassz00_3813;
																												{	/* Ast/app.scm 591 */
																													obj_t
																														BgL_arg1866z00_3821;
																													long
																														BgL_arg1867z00_3822;
																													BgL_arg1866z00_3821 =
																														(BGl_za2classesza2z00zz__objectz00);
																													{	/* Ast/app.scm 591 */
																														long
																															BgL_arg1869z00_3823;
																														BgL_arg1869z00_3823
																															=
																															BGL_OBJECT_CLASS_NUM
																															(BgL_arg1858z00_3799);
																														BgL_arg1867z00_3822
																															=
																															(BgL_arg1869z00_3823
																															- OBJECT_TYPE);
																													}
																													BgL_oclassz00_3813 =
																														VECTOR_REF
																														(BgL_arg1866z00_3821,
																														BgL_arg1867z00_3822);
																												}
																												{	/* Ast/app.scm 591 */
																													bool_t
																														BgL__ortest_1115z00_3814;
																													BgL__ortest_1115z00_3814
																														=
																														(BgL_classz00_3797
																														==
																														BgL_oclassz00_3813);
																													if (BgL__ortest_1115z00_3814)
																														{	/* Ast/app.scm 591 */
																															BgL_res2352z00_3830
																																=
																																BgL__ortest_1115z00_3814;
																														}
																													else
																														{	/* Ast/app.scm 591 */
																															long
																																BgL_odepthz00_3815;
																															{	/* Ast/app.scm 591 */
																																obj_t
																																	BgL_arg1855z00_3816;
																																BgL_arg1855z00_3816
																																	=
																																	(BgL_oclassz00_3813);
																																BgL_odepthz00_3815
																																	=
																																	BGL_CLASS_DEPTH
																																	(BgL_arg1855z00_3816);
																															}
																															if (
																																(2L <
																																	BgL_odepthz00_3815))
																																{	/* Ast/app.scm 591 */
																																	obj_t
																																		BgL_arg1853z00_3818;
																																	{	/* Ast/app.scm 591 */
																																		obj_t
																																			BgL_arg1854z00_3819;
																																		BgL_arg1854z00_3819
																																			=
																																			(BgL_oclassz00_3813);
																																		BgL_arg1853z00_3818
																																			=
																																			BGL_CLASS_ANCESTORS_REF
																																			(BgL_arg1854z00_3819,
																																			2L);
																																	}
																																	BgL_res2352z00_3830
																																		=
																																		(BgL_arg1853z00_3818
																																		==
																																		BgL_classz00_3797);
																																}
																															else
																																{	/* Ast/app.scm 591 */
																																	BgL_res2352z00_3830
																																		=
																																		((bool_t)
																																		0);
																																}
																														}
																												}
																											}
																											BgL_test2596z00_6301 =
																												BgL_res2352z00_3830;
																										}
																								}
																							else
																								{	/* Ast/app.scm 591 */
																									BgL_test2596z00_6301 =
																										((bool_t) 0);
																								}
																						}
																						if (BgL_test2596z00_6301)
																							{	/* Ast/app.scm 592 */
																								obj_t BgL_arg2247z00_2359;

																								BgL_arg2247z00_2359 =
																									(((BgL_variablez00_bglt)
																										COBJECT((
																												(BgL_variablez00_bglt) (
																													(BgL_globalz00_bglt)
																													BgL_stackzd2alloczd2_2349))))->
																									BgL_namez00);
																								BgL_stackzd2formatzd2_2351 =
																									string_append
																									(BgL_arg2247z00_2359,
																									BGl_string2372z00zzast_appz00);
																							}
																						else
																							{	/* Ast/app.scm 591 */
																								BgL_stackzd2formatzd2_2351 =
																									BgL_heapzd2formatzd2_2350;
																							}
																					}
																					{	/* Ast/app.scm 591 */

																						{	/* Ast/app.scm 595 */
																							BgL_vallocz00_bglt
																								BgL_new1174z00_2352;
																							{	/* Ast/app.scm 596 */
																								BgL_vallocz00_bglt
																									BgL_new1173z00_2356;
																								BgL_new1173z00_2356 =
																									((BgL_vallocz00_bglt)
																									BOBJECT(GC_MALLOC(sizeof
																											(struct
																												BgL_vallocz00_bgl))));
																								{	/* Ast/app.scm 596 */
																									long BgL_arg2245z00_2357;

																									BgL_arg2245z00_2357 =
																										BGL_CLASS_NUM
																										(BGl_vallocz00zzast_nodez00);
																									BGL_OBJECT_CLASS_NUM_SET((
																											(BgL_objectz00_bglt)
																											BgL_new1173z00_2356),
																										BgL_arg2245z00_2357);
																								}
																								{	/* Ast/app.scm 596 */
																									BgL_objectz00_bglt
																										BgL_tmpz00_6332;
																									BgL_tmpz00_6332 =
																										((BgL_objectz00_bglt)
																										BgL_new1173z00_2356);
																									BGL_OBJECT_WIDENING_SET
																										(BgL_tmpz00_6332, BFALSE);
																								}
																								((BgL_objectz00_bglt)
																									BgL_new1173z00_2356);
																								BgL_new1174z00_2352 =
																									BgL_new1173z00_2356;
																							}
																							((((BgL_nodez00_bglt) COBJECT(
																											((BgL_nodez00_bglt)
																												BgL_new1174z00_2352)))->
																									BgL_locz00) =
																								((obj_t) BgL_locz00_36),
																								BUNSPEC);
																							{
																								BgL_typez00_bglt
																									BgL_auxz00_6338;
																								{	/* Ast/app.scm 597 */
																									BgL_typez00_bglt
																										BgL_arg2242z00_2353;
																									BgL_arg2242z00_2353 =
																										(((BgL_variablez00_bglt)
																											COBJECT((
																													(BgL_variablez00_bglt)
																													((BgL_globalz00_bglt)
																														BgL_variablez00_2269))))->
																										BgL_typez00);
																									BgL_auxz00_6338 =
																										BGl_strictzd2nodezd2typez00zzast_nodez00
																										(((BgL_typez00_bglt)
																											BGl_za2_za2z00zztype_cachez00),
																										BgL_arg2242z00_2353);
																								}
																								((((BgL_nodez00_bglt) COBJECT(
																												((BgL_nodez00_bglt)
																													BgL_new1174z00_2352)))->
																										BgL_typez00) =
																									((BgL_typez00_bglt)
																										BgL_auxz00_6338), BUNSPEC);
																							}
																							((((BgL_nodezf2effectzf2_bglt)
																										COBJECT((
																												(BgL_nodezf2effectzf2_bglt)
																												BgL_new1174z00_2352)))->
																									BgL_sidezd2effectzd2) =
																								((obj_t) BUNSPEC), BUNSPEC);
																							((((BgL_nodezf2effectzf2_bglt)
																										COBJECT((
																												(BgL_nodezf2effectzf2_bglt)
																												BgL_new1174z00_2352)))->
																									BgL_keyz00) =
																								((obj_t) BINT((-1L))), BUNSPEC);
																							((((BgL_externz00_bglt)
																										COBJECT((
																												(BgL_externz00_bglt)
																												BgL_new1174z00_2352)))->
																									BgL_exprza2za2) =
																								((obj_t) BgL_argsz00_38),
																								BUNSPEC);
																							((((BgL_externz00_bglt)
																										COBJECT((
																												(BgL_externz00_bglt)
																												BgL_new1174z00_2352)))->
																									BgL_effectz00) =
																								((obj_t) BUNSPEC), BUNSPEC);
																							((((BgL_privatez00_bglt)
																										COBJECT((
																												(BgL_privatez00_bglt)
																												BgL_new1174z00_2352)))->
																									BgL_czd2formatzd2) =
																								((obj_t)
																									BgL_heapzd2formatzd2_2350),
																								BUNSPEC);
																							((((BgL_vallocz00_bglt)
																										COBJECT
																										(BgL_new1174z00_2352))->
																									BgL_ftypez00) =
																								((BgL_typez00_bglt)
																									BGl_strictzd2nodezd2typez00zzast_nodez00
																									(((BgL_typez00_bglt)
																											BGl_za2_za2z00zztype_cachez00),
																										((BgL_typez00_bglt)
																											BGl_za2objza2z00zztype_cachez00))),
																								BUNSPEC);
																							{
																								BgL_typez00_bglt
																									BgL_auxz00_6361;
																								{	/* Ast/app.scm 600 */
																									obj_t BgL_pairz00_3839;

																									BgL_pairz00_3839 =
																										(((BgL_cfunz00_bglt)
																											COBJECT((
																													(BgL_cfunz00_bglt) ((
																															(BgL_variablez00_bglt)
																															COBJECT((
																																	(BgL_variablez00_bglt)
																																	((BgL_globalz00_bglt) BgL_variablez00_2269))))->BgL_valuez00))))->BgL_argszd2typezd2);
																									BgL_auxz00_6361 =
																										((BgL_typez00_bglt)
																										CAR(BgL_pairz00_3839));
																								}
																								((((BgL_vallocz00_bglt)
																											COBJECT
																											(BgL_new1174z00_2352))->
																										BgL_otypez00) =
																									((BgL_typez00_bglt)
																										BgL_auxz00_6361), BUNSPEC);
																							}
																							return
																								((obj_t) BgL_new1174z00_2352);
																						}
																					}
																				}
																			}
																		}
																	else
																		{	/* Ast/app.scm 603 */
																			obj_t BgL_arg2249z00_2361;

																			BgL_arg2249z00_2361 =
																				BGl_shapez00zztools_shapez00(
																				((obj_t) BgL_varz00_37));
																			return
																				BGl_errorz00zz__errorz00
																				(BGl_string2376z00zzast_appz00,
																				BGl_string2377z00zzast_appz00,
																				BgL_arg2249z00_2361);
																		}
																}
														}
												}
										}
								}
						}
					}
				}
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzast_appz00(void)
	{
		{	/* Ast/app.scm 14 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzast_appz00(void)
	{
		{	/* Ast/app.scm 14 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzast_appz00(void)
	{
		{	/* Ast/app.scm 14 */
			return BUNSPEC;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzast_appz00(void)
	{
		{	/* Ast/app.scm 14 */
			BGl_modulezd2initializa7ationz75zztype_typez00(515343395L,
				BSTRING_TO_STRING(BGl_string2378z00zzast_appz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(90839984L,
				BSTRING_TO_STRING(BGl_string2378z00zzast_appz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(469732712L,
				BSTRING_TO_STRING(BGl_string2378z00zzast_appz00));
			BGl_modulezd2initializa7ationz75zztools_tracez00(54713316L,
				BSTRING_TO_STRING(BGl_string2378z00zzast_appz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(300504031L,
				BSTRING_TO_STRING(BGl_string2378z00zzast_appz00));
			BGl_modulezd2initializa7ationz75zztools_locationz00(462333240L,
				BSTRING_TO_STRING(BGl_string2378z00zzast_appz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(365925558L,
				BSTRING_TO_STRING(BGl_string2378z00zzast_appz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(489890788L,
				BSTRING_TO_STRING(BGl_string2378z00zzast_appz00));
			BGl_modulezd2initializa7ationz75zztvector_tvectorz00(501518119L,
				BSTRING_TO_STRING(BGl_string2378z00zzast_appz00));
			BGl_modulezd2initializa7ationz75zzast_sexpz00(163122759L,
				BSTRING_TO_STRING(BGl_string2378z00zzast_appz00));
			BGl_modulezd2initializa7ationz75zzast_identz00(174885617L,
				BSTRING_TO_STRING(BGl_string2378z00zzast_appz00));
			BGl_modulezd2initializa7ationz75zzast_localz00(315247917L,
				BSTRING_TO_STRING(BGl_string2378z00zzast_appz00));
			BGl_modulezd2initializa7ationz75zzast_letz00(469204197L,
				BSTRING_TO_STRING(BGl_string2378z00zzast_appz00));
			BGl_modulezd2initializa7ationz75zzast_privatez00(135263837L,
				BSTRING_TO_STRING(BGl_string2378z00zzast_appz00));
			BGl_modulezd2initializa7ationz75zztools_dssslz00(275867955L,
				BSTRING_TO_STRING(BGl_string2378z00zzast_appz00));
			BGl_modulezd2initializa7ationz75zzexpand_epsz00(359337187L,
				BSTRING_TO_STRING(BGl_string2378z00zzast_appz00));
			return
				BGl_modulezd2initializa7ationz75zztype_typeofz00(398780265L,
				BSTRING_TO_STRING(BGl_string2378z00zzast_appz00));
		}

	}

#ifdef __cplusplus
}
#endif
