/*===========================================================================*/
/*   (Ast/unit.scm)                                                          */
/*   Bigloo (4.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Jan 27 07:45:49 AM CET 2025     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.6a/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.6a/lib/bigloo/4.6a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -stdc -indent Ast/unit.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL_AST_UNIT_TYPE_DEFINITIONS
#define BGL_AST_UNIT_TYPE_DEFINITIONS

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_nullz00;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_qualifiedzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_tclassz00_bgl
	{
		obj_t BgL_itszd2superzd2;
		obj_t BgL_slotsz00;
		struct BgL_globalz00_bgl *BgL_holderz00;
		obj_t BgL_wideningz00;
		long BgL_depthz00;
		bool_t BgL_finalzf3zf3;
		obj_t BgL_constructorz00;
		obj_t BgL_virtualzd2slotszd2numberz00;
		bool_t BgL_abstractzf3zf3;
		obj_t BgL_widezd2typezd2;
		obj_t BgL_subclassesz00;
	}                *BgL_tclassz00_bglt;


#endif													// BGL_AST_UNIT_TYPE_DEFINITIONS
#endif													// BGL_MODULE_TYPE_DEFINITIONS

	extern obj_t BGl_normaliza7ezd2prognz75zztools_prognz00(obj_t);
	extern BgL_globalz00_bglt
		BGl_defzd2globalzd2sfunzd2nozd2warningz12z12zzast_glozd2defzd2(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_makezd2methodzd2nozd2dssslzd2bodyz00zzobject_methodz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_za2unsafezd2arityza2zd2zzengine_paramz00;
	extern BgL_globalz00_bglt
		BGl_defzd2globalzd2svarz12z12zzast_glozd2defzd2(obj_t, obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(obj_t,
		obj_t);
	extern bool_t BGl_typezd2existszf3z21zztype_envz00(obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzast_unitz00 = BUNSPEC;
	extern obj_t BGl_dssslzd2keyszd2zztools_dssslz00(obj_t);
	extern obj_t BGl_makezd2typedzd2identz00zzast_identz00(obj_t, obj_t);
	extern obj_t BGl_userzd2errorzf2locationz20zztools_errorz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_za2vectorza2z00zztype_cachez00;
	extern obj_t BGl_funz00zzast_varz00;
	extern obj_t BGl_dssslzd2beforezd2dssslz00zztools_dssslz00(obj_t);
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	extern obj_t BGl_tclassz00zzobject_classz00;
	BGL_IMPORT obj_t BGl_warningz00zz__errorz00(obj_t);
	static obj_t BGl_zc3z04anonymousza33189ze3ze70z60zzast_unitz00(obj_t, obj_t);
	extern obj_t BGl_fastzd2idzd2ofzd2idzd2zzast_identz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_unitzd2initializa7ersz75zzast_unitz00(void);
	extern obj_t BGl_getzd2toplevelzd2unitz00zzmodule_includez00(void);
	static obj_t BGl_dozd2etazd2expanseze70ze7zzast_unitz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_toplevelzd2initzd2zzast_unitz00(void);
	extern obj_t BGl_makezd2nzd2protoz00zztools_argsz00(obj_t);
	static obj_t BGl_makezd2sfunzd2definitionz00zzast_unitz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_makezd2methodzd2bodyz00zzast_unitz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_assqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	static obj_t BGl_makezd2genericzd2definitionz00zzast_unitz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzast_unitz00(void);
	BGL_IMPORT obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
	static obj_t BGl_objectzd2initzd2zzast_unitz00(void);
	extern obj_t BGl_markzd2methodz12zc0zzobject_methodz00(obj_t);
	extern obj_t BGl_comptimezd2expandzd2zzexpand_epsz00(obj_t);
	static obj_t BGl_typedzd2argsze70z35zzast_unitz00(obj_t, BgL_globalz00_bglt);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	BGL_IMPORT obj_t bgl_reverse_bang(obj_t);
	BGL_IMPORT obj_t BGl_stringzd2containszd2zz__r4_strings_6_7z00(obj_t, obj_t,
		int);
	BGL_IMPORT obj_t BGl_dropz00zz__r4_pairs_and_lists_6_3z00(obj_t, long);
	extern obj_t BGl_userzd2warningzd2zztools_errorz00(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t bgl_bignum_add(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t BGl_declarezd2unitz12zc0zzast_unitz00(obj_t, long);
	BGL_IMPORT obj_t bstring_to_symbol(obj_t);
	static BgL_globalz00_bglt
		BGl_makezd2sfunzd2keyzd2closurezd2zzast_unitz00(obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_appendzd221011zd2zzast_unitz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzast_unitz00(void);
	extern obj_t BGl_makezd2genericzd2bodyz00zzobject_genericz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_za2unitzd2listza2zd2zzast_unitz00 = BUNSPEC;
	extern obj_t BGl_findzd2globalzd2zzast_envz00(obj_t, obj_t);
	static BgL_globalz00_bglt
		BGl_makezd2sfunzd2optzd2closurezd2zzast_unitz00(obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_epairifyzd2propagatezd2locz00zztools_miscz00(obj_t, obj_t);
	BGL_IMPORT obj_t string_append(obj_t, obj_t);
	BGL_IMPORT obj_t bgl_long_to_bignum(long);
	extern obj_t BGl_makezd2methodzd2dssslzd2bodyzd2zzobject_methodz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	extern bool_t BGl_globalzd2optionalzf3z21zzast_varz00(obj_t);
	extern obj_t BGl_idzd2ofzd2idz00zzast_identz00(obj_t, obj_t);
	static obj_t BGl_z62unitzd2initializa7erzd2idzc5zzast_unitz00(obj_t, obj_t);
	static obj_t BGl_z62unitzd2sexpza2zd2addzd2headz12z00zzast_unitz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_za2procedureza2z00zztype_cachez00;
	static bool_t BGl_lambdazf3zf3zzast_unitz00(obj_t);
	static obj_t BGl_z62unitzd2initializa7ersz17zzast_unitz00(obj_t);
	extern bool_t
		BGl_dssslzd2optionalzd2onlyzd2prototypezf3z21zztools_dssslz00(obj_t);
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	BGL_IMPORT obj_t bgl_append2(obj_t, obj_t);
	extern obj_t BGl_getzd2methodzd2unitz00zzmodule_classz00(void);
	static obj_t BGl_makezd2svarzd2definitionz00zzast_unitz00(obj_t, obj_t);
	static obj_t BGl_normaliza7ezd2prognzf2errorz87zzast_unitz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_za2modulezd2clauseza2zd2zzmodule_modulez00;
	BGL_EXPORTED_DECL obj_t BGl_unitzd2ze3defsz31zzast_unitz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_unitzd2sexpza2zd2addzd2headz12z62zzast_unitz00(obj_t, obj_t);
	extern obj_t BGl_za2moduleza2z00zzmodule_modulez00;
	extern obj_t BGl_replacez12z12zztools_miscz00(obj_t, obj_t);
	static obj_t BGl_toplevelzd2ze3astz31zzast_unitz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_takez00zz__r4_pairs_and_lists_6_3z00(obj_t, long);
	extern bool_t BGl_globalzd2keyzf3z21zzast_varz00(obj_t);
	static obj_t BGl_etazd2expansezd2zzast_unitz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzast_unitz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzexpand_epsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_impusez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_includez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_dssslz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_miscz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_argsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_prognz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_methodz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_genericz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_letz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_localz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_glozd2defzd2(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_findzd2gdefszd2(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bignumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__dssslz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	extern obj_t BGl_findzd2locationzd2zztools_locationz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_unitzd2sexpza2zd2addz12zb0zzast_unitz00(obj_t,
		obj_t);
	static obj_t BGl_z62unitzd2ze3defsz53zzast_unitz00(obj_t, obj_t);
	static obj_t BGl_z62unitzd2sexpza2zd2addz12zd2zzast_unitz00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_stringzd2appendzd2zz__r4_strings_6_7z00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_unitzd2initzd2callsz00zzast_unitz00(void);
	extern BgL_typez00_bglt BGl_typezd2ofzd2idz00zzast_identz00(obj_t, obj_t);
	static obj_t BGl_z62unitzd2initzd2callsz62zzast_unitz00(obj_t);
	BGL_IMPORT obj_t BGl_symbolzd2ze3keywordz31zz__r4_symbols_6_4z00(obj_t);
	BGL_IMPORT obj_t BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(long,
		long);
	static obj_t BGl_makezd2sfunzd2keyzd2definitionzd2zzast_unitz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	extern BgL_globalz00_bglt
		BGl_defzd2globalzd2sfunz12z12zzast_glozd2defzd2(obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_makezd2dssslzd2functionzd2preludezd2zz__dssslz00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_toplevelza2zd2ze3astz93zzast_unitz00(obj_t, obj_t);
	extern obj_t BGl_checkzd2idzd2zzast_identz00(obj_t, obj_t);
	static obj_t BGl_cnstzd2initzd2zzast_unitz00(void);
	static obj_t BGl_libraryzd2moduleszd2initz00zzast_unitz00(void);
	extern BgL_localz00_bglt BGl_makezd2localzd2svarz00zzast_localz00(obj_t,
		BgL_typez00_bglt);
	BGL_IMPORT long bgl_list_length(obj_t);
	extern long BGl_globalzd2arityzd2zztools_argsz00(obj_t);
	extern BgL_nodez00_bglt BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00(obj_t,
		obj_t, obj_t);
	extern BgL_localz00_bglt
		BGl_makezd2userzd2localzd2svarzd2zzast_localz00(obj_t, BgL_typez00_bglt);
	static obj_t BGl_importedzd2moduleszd2initz00zzast_unitz00(void);
	BGL_IMPORT obj_t BGl_iotaz00zz__r4_pairs_and_lists_6_3z00(int, obj_t);
	extern obj_t BGl_dssslzd2optionalszd2zztools_dssslz00(obj_t);
	static obj_t BGl_gczd2rootszd2initz00zzast_unitz00(void);
	extern obj_t BGl_parsezd2idzd2zzast_identz00(obj_t, obj_t);
	static obj_t BGl_parsezd2funzd2optzd2argszd2zzast_unitz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_unitzd2initializa7erzd2idza7zzast_unitz00(obj_t);
	extern obj_t BGl_findzd2globalzf2modulez20zzast_envz00(obj_t, obj_t);
	static obj_t BGl_makezd2methodzd2definitionz00zzast_unitz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_letzd2symzd2zzast_letz00(void);
	extern obj_t BGl_getzd2genericzd2unitz00zzmodule_classz00(void);
	extern obj_t BGl_za2unsafezd2evalza2zd2zzengine_paramz00;
	static obj_t BGl_makezd2genericzd2keyzd2definitionzd2zzast_unitz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_dssslzd2findzd2firstzd2formalzd2zztools_dssslz00(obj_t);
	static obj_t BGl_makezd2genericzd2nooptzd2definitionzd2zzast_unitz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	extern bool_t BGl_userzd2symbolzf3z21zzast_identz00(obj_t);
	extern BgL_typez00_bglt BGl_findzd2typezd2zztype_envz00(obj_t);
	BGL_IMPORT obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
	extern obj_t BGl_argsza2zd2ze3argszd2listz41zztools_argsz00(obj_t);
	static obj_t BGl_makezd2genericzd2optzd2definitionzd2zzast_unitz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31582ze3ze5zzast_unitz00(obj_t, obj_t);
	static obj_t BGl_errorzd2classzd2shadowz00zzast_unitz00(obj_t, obj_t);
	static obj_t BGl_loopze70ze7zzast_unitz00(obj_t, obj_t);
	extern obj_t BGl_userzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t, obj_t);
	extern bool_t BGl_checkzd2methodzd2definitionz00zzast_glozd2defzd2(obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t
		BGl_initializa7ezd2importedzd2modulesza7zzmodule_impusez00(obj_t);
	BGL_IMPORT obj_t BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(obj_t);
	static obj_t BGl_parsezd2funzd2argsz00zzast_unitz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_globalz00zzast_varz00;
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_stringzd2downcasezd2zz__r4_strings_6_7z00(obj_t);
	static obj_t BGl_unitzd2requirezd2initzd2idzd2zzast_unitz00(obj_t);
	extern bool_t BGl_dssslzd2prototypezf3z21zztools_dssslz00(obj_t);
	extern obj_t BGl_findzd2globalzd2defsz00zzast_findzd2gdefszd2(obj_t);
	BGL_IMPORT bool_t BGl_dssslzd2namedzd2constantzf3zf3zz__dssslz00(obj_t);
	extern obj_t BGl_compilezd2expandzd2zzexpand_epsz00(obj_t);
	static obj_t __cnst[57];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_unitzd2initializa7erzd2idzd2envz75zzast_unitz00,
		BgL_bgl_za762unitza7d2initia3609z00,
		BGl_z62unitzd2initializa7erzd2idzc5zzast_unitz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_unitzd2ze3defszd2envze3zzast_unitz00,
		BgL_bgl_za762unitza7d2za7e3def3610za7,
		BGl_z62unitzd2ze3defsz53zzast_unitz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_unitzd2sexpza2zd2addzd2headz12zd2envzb0zzast_unitz00,
		BgL_bgl_za762unitza7d2sexpza7a3611za7,
		BGl_z62unitzd2sexpza2zd2addzd2headz12z00zzast_unitz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_unitzd2initzd2callszd2envzd2zzast_unitz00,
		BgL_bgl_za762unitza7d2initza7d3612za7,
		BGl_z62unitzd2initzd2callsz62zzast_unitz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_unitzd2sexpza2zd2addz12zd2envz62zzast_unitz00,
		BgL_bgl_za762unitza7d2sexpza7a3613za7,
		BGl_z62unitzd2sexpza2zd2addz12zd2zzast_unitz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string3600z00zzast_unitz00,
		BgL_bgl_string3600za700za7za7a3614za7, "Illegal keyword argument", 24);
	      DEFINE_STRING(BGl_string3601z00zzast_unitz00,
		BgL_bgl_string3601za700za7za7a3615za7,
		"generics can only use on DSSSL keyword", 38);
	      DEFINE_STRING(BGl_string3602z00zzast_unitz00,
		BgL_bgl_string3602za700za7za7a3616za7, "No method for this object", 25);
	      DEFINE_STRING(BGl_string3603z00zzast_unitz00,
		BgL_bgl_string3603za700za7za7a3617za7, "Bad generic formal argument", 27);
	      DEFINE_STRING(BGl_string3604z00zzast_unitz00,
		BgL_bgl_string3604za700za7za7a3618za7, "::", 2);
	      DEFINE_STRING(BGl_string3605z00zzast_unitz00,
		BgL_bgl_string3605za700za7za7a3619za7, "Bad method formal argument", 26);
	      DEFINE_STRING(BGl_string3606z00zzast_unitz00,
		BgL_bgl_string3606za700za7za7a3620za7, "ast_unit", 8);
	      DEFINE_STRING(BGl_string3607z00zzast_unitz00,
		BgL_bgl_string3607za700za7za7a3621za7,
		"unit register-generic! sgfun when >=fx index memq vector-ref let -fx +fx eq? v =fx k1 i vector-length var check search l globalization env opt _ case else quote error __error let* $vector-length $vector-ref-ur cons* apply define-method define-generic define-inline labels define sifun __object register-class! sfun read lambda -require-initialization -init now export cgen snifun obj if begin set! @ ",
		400);
	      DEFINE_STRING(BGl_string3589z00zzast_unitz00,
		BgL_bgl_string3589za700za7za7a3622za7, "]", 1);
	      DEFINE_STRING(BGl_string3590z00zzast_unitz00,
		BgL_bgl_string3590za700za7za7a3623za7, "      [", 7);
	      DEFINE_STRING(BGl_string3591z00zzast_unitz00,
		BgL_bgl_string3591za700za7za7a3624za7, "Illegal class shadowing", 23);
	      DEFINE_STRING(BGl_string3592z00zzast_unitz00,
		BgL_bgl_string3592za700za7za7a3625za7,
		"Unable to eta-expand #!optional alias", 37);
	      DEFINE_STRING(BGl_string3593z00zzast_unitz00,
		BgL_bgl_string3593za700za7za7a3626za7, "Unable to eta-expand #!key alias",
		32);
	      DEFINE_STRING(BGl_string3594z00zzast_unitz00,
		BgL_bgl_string3594za700za7za7a3627za7, "form no longer supported", 24);
	      DEFINE_STRING(BGl_string3595z00zzast_unitz00,
		BgL_bgl_string3595za700za7za7a3628za7, "define-generic", 14);
	      DEFINE_STRING(BGl_string3596z00zzast_unitz00,
		BgL_bgl_string3596za700za7za7a3629za7, "Illegal '() expression", 22);
	      DEFINE_STRING(BGl_string3597z00zzast_unitz00,
		BgL_bgl_string3597za700za7za7a3630za7, "] expected, provided", 20);
	      DEFINE_STRING(BGl_string3598z00zzast_unitz00,
		BgL_bgl_string3598za700za7za7a3631za7, "..", 2);
	      DEFINE_STRING(BGl_string3599z00zzast_unitz00,
		BgL_bgl_string3599za700za7za7a3632za7, "wrong number of arguments: [", 28);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_unitzd2initializa7erszd2envza7zzast_unitz00,
		BgL_bgl_za762unitza7d2initia3633z00,
		BGl_z62unitzd2initializa7ersz17zzast_unitz00, 0L, BUNSPEC, 0);
	extern obj_t BGl_userzd2errorzd2envz00zztools_errorz00;

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		     ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zzast_unitz00));
		     ADD_ROOT((void *) (&BGl_za2unitzd2listza2zd2zzast_unitz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzast_unitz00(long
		BgL_checksumz00_5809, char *BgL_fromz00_5810)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzast_unitz00))
				{
					BGl_requirezd2initializa7ationz75zzast_unitz00 = BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzast_unitz00();
					BGl_libraryzd2moduleszd2initz00zzast_unitz00();
					BGl_cnstzd2initzd2zzast_unitz00();
					BGl_importedzd2moduleszd2initz00zzast_unitz00();
					return BGl_toplevelzd2initzd2zzast_unitz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzast_unitz00(void)
	{
		{	/* Ast/unit.scm 21 */
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(0L,
				"ast_unit");
			BGl_modulezd2initializa7ationz75zz__objectz00(0L, "ast_unit");
			BGl_modulezd2initializa7ationz75zz__errorz00(0L, "ast_unit");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(0L, "ast_unit");
			BGl_modulezd2initializa7ationz75zz__readerz00(0L, "ast_unit");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(0L, "ast_unit");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(0L, "ast_unit");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(0L,
				"ast_unit");
			BGl_modulezd2initializa7ationz75zz__dssslz00(0L, "ast_unit");
			BGl_modulezd2initializa7ationz75zz__bignumz00(0L, "ast_unit");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(0L, "ast_unit");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(0L, "ast_unit");
			BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(0L,
				"ast_unit");
			BGl_modulezd2initializa7ationz75zz__structurez00(0L, "ast_unit");
			BGl_modulezd2initializa7ationz75zz__biglooz00(0L, "ast_unit");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzast_unitz00(void)
	{
		{	/* Ast/unit.scm 21 */
			{	/* Ast/unit.scm 21 */
				obj_t BgL_cportz00_5798;

				{	/* Ast/unit.scm 21 */
					obj_t BgL_stringz00_5805;

					BgL_stringz00_5805 = BGl_string3607z00zzast_unitz00;
					{	/* Ast/unit.scm 21 */
						obj_t BgL_startz00_5806;

						BgL_startz00_5806 = BINT(0L);
						{	/* Ast/unit.scm 21 */
							obj_t BgL_endz00_5807;

							BgL_endz00_5807 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_5805)));
							{	/* Ast/unit.scm 21 */

								BgL_cportz00_5798 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_5805, BgL_startz00_5806, BgL_endz00_5807);
				}}}}
				{
					long BgL_iz00_5799;

					BgL_iz00_5799 = 56L;
				BgL_loopz00_5800:
					if ((BgL_iz00_5799 == (-1L)))
						{	/* Ast/unit.scm 21 */
							return BUNSPEC;
						}
					else
						{	/* Ast/unit.scm 21 */
							{	/* Ast/unit.scm 21 */
								obj_t BgL_arg3608z00_5801;

								{	/* Ast/unit.scm 21 */

									{	/* Ast/unit.scm 21 */
										obj_t BgL_locationz00_5803;

										BgL_locationz00_5803 = BBOOL(((bool_t) 0));
										{	/* Ast/unit.scm 21 */

											BgL_arg3608z00_5801 =
												BGl_readz00zz__readerz00(BgL_cportz00_5798,
												BgL_locationz00_5803);
										}
									}
								}
								{	/* Ast/unit.scm 21 */
									int BgL_tmpz00_5843;

									BgL_tmpz00_5843 = (int) (BgL_iz00_5799);
									CNST_TABLE_SET(BgL_tmpz00_5843, BgL_arg3608z00_5801);
							}}
							{	/* Ast/unit.scm 21 */
								int BgL_auxz00_5804;

								BgL_auxz00_5804 = (int) ((BgL_iz00_5799 - 1L));
								{
									long BgL_iz00_5848;

									BgL_iz00_5848 = (long) (BgL_auxz00_5804);
									BgL_iz00_5799 = BgL_iz00_5848;
									goto BgL_loopz00_5800;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzast_unitz00(void)
	{
		{	/* Ast/unit.scm 21 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzast_unitz00(void)
	{
		{	/* Ast/unit.scm 21 */
			return (BGl_za2unitzd2listza2zd2zzast_unitz00 = BNIL, BUNSPEC);
		}

	}



/* append-21011 */
	obj_t BGl_appendzd221011zd2zzast_unitz00(obj_t BgL_l1z00_1, obj_t BgL_l2z00_2)
	{
		{
			if (NULLP(BgL_l1z00_1))
				{
					return BgL_l2z00_2;
				}
			else
				{
					obj_t BgL_headz00_1722;

					BgL_headz00_1722 = MAKE_YOUNG_PAIR(BNIL, BgL_l2z00_2);
					{
						obj_t BgL_prevz00_1723;
						obj_t BgL_tailz00_1724;

						BgL_prevz00_1723 = BgL_headz00_1722;
						BgL_tailz00_1724 = BgL_l1z00_1;
					BgL_loopz00_1725:
						if (PAIRP(BgL_tailz00_1724))
							{
								obj_t BgL_newzd2prevzd2_1727;

								BgL_newzd2prevzd2_1727 =
									MAKE_YOUNG_PAIR(CAR(BgL_tailz00_1724), BgL_l2z00_2);
								SET_CDR(BgL_prevz00_1723, BgL_newzd2prevzd2_1727);
								{
									obj_t BgL_tailz00_5860;
									obj_t BgL_prevz00_5859;

									BgL_prevz00_5859 = BgL_newzd2prevzd2_1727;
									BgL_tailz00_5860 = CDR(BgL_tailz00_1724);
									BgL_tailz00_1724 = BgL_tailz00_5860;
									BgL_prevz00_1723 = BgL_prevz00_5859;
									goto BgL_loopz00_1725;
								}
							}
						else
							{
								BNIL;
							}
						return CDR(BgL_headz00_1722);
					}
				}
		}

	}



/* unit-sexp*-add! */
	BGL_EXPORTED_DEF obj_t BGl_unitzd2sexpza2zd2addz12zb0zzast_unitz00(obj_t
		BgL_unitz00_25, obj_t BgL_sexpz00_26)
	{
		{	/* Ast/unit.scm 61 */
			if (NULLP(STRUCT_REF(((obj_t) BgL_unitz00_25), (int) (2L))))
				{	/* Ast/unit.scm 63 */
					int BgL_auxz00_5870;
					obj_t BgL_tmpz00_5868;

					BgL_auxz00_5870 = (int) (2L);
					BgL_tmpz00_5868 = ((obj_t) BgL_unitz00_25);
					return STRUCT_SET(BgL_tmpz00_5868, BgL_auxz00_5870, BgL_sexpz00_26);
				}
			else
				{	/* Ast/unit.scm 64 */
					obj_t BgL_arg1392z00_1746;

					BgL_arg1392z00_1746 =
						BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(STRUCT_REF(
							((obj_t) BgL_unitz00_25), (int) (2L)));
					return SET_CDR(BgL_arg1392z00_1746, BgL_sexpz00_26);
				}
		}

	}



/* &unit-sexp*-add! */
	obj_t BGl_z62unitzd2sexpza2zd2addz12zd2zzast_unitz00(obj_t BgL_envz00_5773,
		obj_t BgL_unitz00_5774, obj_t BgL_sexpz00_5775)
	{
		{	/* Ast/unit.scm 61 */
			return
				BGl_unitzd2sexpza2zd2addz12zb0zzast_unitz00(BgL_unitz00_5774,
				BgL_sexpz00_5775);
		}

	}



/* unit-sexp*-add-head! */
	BGL_EXPORTED_DEF obj_t
		BGl_unitzd2sexpza2zd2addzd2headz12z62zzast_unitz00(obj_t BgL_unitz00_27,
		obj_t BgL_sexpz00_28)
	{
		{	/* Ast/unit.scm 69 */
			{	/* Ast/unit.scm 70 */
				obj_t BgL_arg1402z00_4022;

				{	/* Ast/unit.scm 70 */
					obj_t BgL_arg1403z00_4023;

					BgL_arg1403z00_4023 =
						STRUCT_REF(((obj_t) BgL_unitz00_27), (int) (2L));
					BgL_arg1402z00_4022 =
						BGl_appendzd221011zd2zzast_unitz00(BgL_sexpz00_28,
						BgL_arg1403z00_4023);
				}
				{	/* Ast/unit.scm 70 */
					int BgL_auxz00_5885;
					obj_t BgL_tmpz00_5883;

					BgL_auxz00_5885 = (int) (2L);
					BgL_tmpz00_5883 = ((obj_t) BgL_unitz00_27);
					return
						STRUCT_SET(BgL_tmpz00_5883, BgL_auxz00_5885, BgL_arg1402z00_4022);
				}
			}
		}

	}



/* &unit-sexp*-add-head! */
	obj_t BGl_z62unitzd2sexpza2zd2addzd2headz12z00zzast_unitz00(obj_t
		BgL_envz00_5776, obj_t BgL_unitz00_5777, obj_t BgL_sexpz00_5778)
	{
		{	/* Ast/unit.scm 69 */
			return
				BGl_unitzd2sexpza2zd2addzd2headz12z62zzast_unitz00(BgL_unitz00_5777,
				BgL_sexpz00_5778);
		}

	}



/* unit->defs */
	BGL_EXPORTED_DEF obj_t BGl_unitzd2ze3defsz31zzast_unitz00(obj_t
		BgL_unitz00_29)
	{
		{	/* Ast/unit.scm 75 */
			{	/* Ast/unit.scm 77 */
				obj_t BgL_arg1406z00_1751;

				{	/* Ast/unit.scm 77 */
					obj_t BgL_arg1417z00_1756;

					{	/* Ast/unit.scm 77 */
						obj_t BgL_arg1418z00_1757;

						BgL_arg1418z00_1757 =
							STRUCT_REF(((obj_t) BgL_unitz00_29), (int) (0L));
						{	/* Ast/unit.scm 77 */
							obj_t BgL_arg1486z00_4028;

							BgL_arg1486z00_4028 =
								SYMBOL_TO_STRING(((obj_t) BgL_arg1418z00_1757));
							BgL_arg1417z00_1756 =
								BGl_stringzd2copyzd2zz__r4_strings_6_7z00(BgL_arg1486z00_4028);
					}}
					BgL_arg1406z00_1751 =
						BGl_stringzd2downcasezd2zz__r4_strings_6_7z00(BgL_arg1417z00_1756);
				}
				{	/* Ast/unit.scm 76 */
					obj_t BgL_list1407z00_1752;

					{	/* Ast/unit.scm 76 */
						obj_t BgL_arg1414z00_1753;

						{	/* Ast/unit.scm 76 */
							obj_t BgL_arg1415z00_1754;

							{	/* Ast/unit.scm 76 */
								obj_t BgL_arg1416z00_1755;

								BgL_arg1416z00_1755 =
									MAKE_YOUNG_PAIR(BCHAR(((unsigned char) 10)), BNIL);
								BgL_arg1415z00_1754 =
									MAKE_YOUNG_PAIR(BGl_string3589z00zzast_unitz00,
									BgL_arg1416z00_1755);
							}
							BgL_arg1414z00_1753 =
								MAKE_YOUNG_PAIR(BgL_arg1406z00_1751, BgL_arg1415z00_1754);
						}
						BgL_list1407z00_1752 =
							MAKE_YOUNG_PAIR(BGl_string3590z00zzast_unitz00,
							BgL_arg1414z00_1753);
					}
					BGl_verbosez00zztools_speekz00(BINT(2L), BgL_list1407z00_1752);
			}}
			{	/* Ast/unit.scm 81 */
				obj_t BgL_idz00_1761;

				BgL_idz00_1761 = STRUCT_REF(((obj_t) BgL_unitz00_29), (int) (0L));
				{	/* Ast/unit.scm 81 */
					obj_t BgL_weightz00_1762;

					BgL_weightz00_1762 = STRUCT_REF(((obj_t) BgL_unitz00_29), (int) (1L));
					{	/* Ast/unit.scm 82 */
						obj_t BgL_sexpza2za2_1763;

						BgL_sexpza2za2_1763 =
							STRUCT_REF(((obj_t) BgL_unitz00_29), (int) (2L));
						{	/* Ast/unit.scm 83 */
							obj_t BgL_gdefsz00_1764;

							BgL_gdefsz00_1764 =
								BGl_findzd2globalzd2defsz00zzast_findzd2gdefszd2
								(BgL_sexpza2za2_1763);
							{	/* Ast/unit.scm 84 */

								{	/* Ast/unit.scm 86 */
									obj_t BgL_g1110z00_1765;
									obj_t BgL_g1111z00_1766;

									if (PROCEDUREP(BgL_sexpza2za2_1763))
										{	/* Ast/unit.scm 86 */
											BgL_g1110z00_1765 =
												BGL_PROCEDURE_CALL0(BgL_sexpza2za2_1763);
										}
									else
										{	/* Ast/unit.scm 86 */
											BgL_g1110z00_1765 =
												BGl_toplevelza2zd2ze3astz93zzast_unitz00
												(BgL_sexpza2za2_1763, BgL_gdefsz00_1764);
										}
									if (CBOOL(STRUCT_REF(((obj_t) BgL_unitz00_29), (int) (4L))))
										{	/* Ast/unit.scm 89 */
											obj_t BgL_list1615z00_1824;

											BgL_list1615z00_1824 = MAKE_YOUNG_PAIR(BUNSPEC, BNIL);
											BgL_g1111z00_1766 = BgL_list1615z00_1824;
										}
									else
										{	/* Ast/unit.scm 89 */
											BgL_g1111z00_1766 = BNIL;
										}
									{
										obj_t BgL_aexpza2za2_1769;
										obj_t BgL_initza2za2_1770;
										obj_t BgL_defza2za2_1771;

										BgL_aexpza2za2_1769 = BgL_g1110z00_1765;
										BgL_initza2za2_1770 = BgL_g1111z00_1766;
										BgL_defza2za2_1771 = BNIL;
									BgL_zc3z04anonymousza31447ze3z87_1772:
										if (NULLP(BgL_aexpza2za2_1769))
											{	/* Ast/unit.scm 91 */
												if (NULLP(BgL_initza2za2_1770))
													{	/* Ast/unit.scm 92 */
														return bgl_reverse_bang(BgL_defza2za2_1771);
													}
												else
													{	/* Ast/unit.scm 93 */
														obj_t BgL_bodyz00_1775;

														if (CBOOL(STRUCT_REF(
																	((obj_t) BgL_unitz00_29), (int) (4L))))
															{	/* Ast/unit.scm 94 */
																obj_t BgL_arg1506z00_1789;

																{	/* Ast/unit.scm 94 */
																	obj_t BgL_arg1511z00_1790;
																	obj_t BgL_arg1512z00_1791;

																	{	/* Ast/unit.scm 94 */
																		obj_t BgL_arg1513z00_1792;

																		{	/* Ast/unit.scm 94 */
																			obj_t BgL_arg1515z00_1793;
																			obj_t BgL_arg1516z00_1794;

																			BgL_arg1515z00_1793 =
																				BGl_unitzd2requirezd2initzd2idzd2zzast_unitz00
																				(BgL_idz00_1761);
																			BgL_arg1516z00_1794 =
																				MAKE_YOUNG_PAIR
																				(BGl_za2moduleza2z00zzmodule_modulez00,
																				BNIL);
																			BgL_arg1513z00_1792 =
																				MAKE_YOUNG_PAIR(BgL_arg1515z00_1793,
																				BgL_arg1516z00_1794);
																		}
																		BgL_arg1511z00_1790 =
																			MAKE_YOUNG_PAIR(
																			((obj_t)
																				CNST_TABLE_REF(0)),
																			BgL_arg1513z00_1792);
																	}
																	{	/* Ast/unit.scm 96 */
																		obj_t BgL_arg1530z00_1795;

																		{	/* Ast/unit.scm 96 */
																			obj_t BgL_arg1532z00_1796;

																			{	/* Ast/unit.scm 96 */
																				obj_t BgL_arg1535z00_1797;
																				obj_t BgL_arg1543z00_1798;

																				{	/* Ast/unit.scm 96 */
																					obj_t BgL_arg1545z00_1799;

																					{	/* Ast/unit.scm 96 */
																						obj_t BgL_arg1553z00_1800;
																						obj_t BgL_arg1554z00_1801;

																						{	/* Ast/unit.scm 96 */
																							obj_t BgL_arg1558z00_1802;

																							{	/* Ast/unit.scm 96 */
																								obj_t BgL_arg1560z00_1803;
																								obj_t BgL_arg1574z00_1804;

																								BgL_arg1560z00_1803 =
																									BGl_unitzd2requirezd2initzd2idzd2zzast_unitz00
																									(BgL_idz00_1761);
																								BgL_arg1574z00_1804 =
																									MAKE_YOUNG_PAIR
																									(BGl_za2moduleza2z00zzmodule_modulez00,
																									BNIL);
																								BgL_arg1558z00_1802 =
																									MAKE_YOUNG_PAIR
																									(BgL_arg1560z00_1803,
																									BgL_arg1574z00_1804);
																							}
																							BgL_arg1553z00_1800 =
																								MAKE_YOUNG_PAIR(
																								((obj_t)
																									CNST_TABLE_REF(0)),
																								BgL_arg1558z00_1802);
																						}
																						BgL_arg1554z00_1801 =
																							MAKE_YOUNG_PAIR(BFALSE, BNIL);
																						BgL_arg1545z00_1799 =
																							MAKE_YOUNG_PAIR
																							(BgL_arg1553z00_1800,
																							BgL_arg1554z00_1801);
																					}
																					BgL_arg1535z00_1797 =
																						MAKE_YOUNG_PAIR(
																						((obj_t)
																							CNST_TABLE_REF(1)),
																						BgL_arg1545z00_1799);
																				}
																				{	/* Ast/unit.scm 99 */
																					obj_t BgL_arg1577z00_1805;
																					obj_t BgL_arg1578z00_1806;

																					{	/* Ast/unit.scm 99 */
																						obj_t
																							BgL_zc3z04anonymousza31582ze3z87_5779;
																						BgL_zc3z04anonymousza31582ze3z87_5779
																							=
																							MAKE_FX_PROCEDURE
																							(BGl_z62zc3z04anonymousza31582ze3ze5zzast_unitz00,
																							(int) (1L), (int) (1L));
																						PROCEDURE_SET
																							(BgL_zc3z04anonymousza31582ze3z87_5779,
																							(int) (0L), BgL_idz00_1761);
																						BgL_arg1577z00_1805 =
																							BGl_initializa7ezd2importedzd2modulesza7zzmodule_impusez00
																							(BgL_zc3z04anonymousza31582ze3z87_5779);
																					}
																					BgL_arg1578z00_1806 =
																						bgl_reverse_bang
																						(BgL_initza2za2_1770);
																					BgL_arg1543z00_1798 =
																						BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																						(BgL_arg1577z00_1805,
																						BgL_arg1578z00_1806);
																				}
																				BgL_arg1532z00_1796 =
																					MAKE_YOUNG_PAIR(BgL_arg1535z00_1797,
																					BgL_arg1543z00_1798);
																			}
																			BgL_arg1530z00_1795 =
																				MAKE_YOUNG_PAIR(
																				((obj_t)
																					CNST_TABLE_REF(2)),
																				BgL_arg1532z00_1796);
																		}
																		BgL_arg1512z00_1791 =
																			MAKE_YOUNG_PAIR(BgL_arg1530z00_1795,
																			BNIL);
																	}
																	BgL_arg1506z00_1789 =
																		MAKE_YOUNG_PAIR(BgL_arg1511z00_1790,
																		BgL_arg1512z00_1791);
																}
																BgL_bodyz00_1775 =
																	MAKE_YOUNG_PAIR(
																	((obj_t)
																		CNST_TABLE_REF(3)), BgL_arg1506z00_1789);
															}
														else
															{	/* Ast/unit.scm 93 */
																BgL_bodyz00_1775 =
																	BGl_normaliza7ezd2prognz75zztools_prognz00
																	(bgl_reverse_bang(BgL_initza2za2_1770));
															}
														{	/* Ast/unit.scm 93 */
															BgL_globalz00_bglt BgL_initz00_1776;

															{	/* Ast/unit.scm 104 */
																obj_t BgL_arg1487z00_1786;

																{	/* Ast/unit.scm 104 */
																	obj_t BgL_arg1489z00_1787;

																	BgL_arg1489z00_1787 =
																		BGl_unitzd2initializa7erzd2idza7zzast_unitz00
																		(BgL_idz00_1761);
																	BgL_arg1487z00_1786 =
																		BGl_makezd2typedzd2identz00zzast_identz00
																		(BgL_arg1489z00_1787,
																		((obj_t) CNST_TABLE_REF(4)));
																}
																BgL_initz00_1776 =
																	BGl_defzd2globalzd2sfunzd2nozd2warningz12z12zzast_glozd2defzd2
																	(BgL_arg1487z00_1786, BNIL, BNIL,
																	BGl_za2moduleza2z00zzmodule_modulez00,
																	((obj_t) CNST_TABLE_REF(5)),
																	BGl_za2modulezd2clauseza2zd2zzmodule_modulez00,
																	((obj_t) CNST_TABLE_REF(6)),
																	BgL_bodyz00_1775);
															}
															{	/* Ast/unit.scm 102 */

																if (CBOOL(STRUCT_REF(
																			((obj_t) BgL_unitz00_29), (int) (4L))))
																	{	/* Ast/unit.scm 114 */
																		obj_t BgL_vz00_4038;

																		BgL_vz00_4038 = ((obj_t) CNST_TABLE_REF(7));
																		((((BgL_globalz00_bglt)
																					COBJECT(BgL_initz00_1776))->
																				BgL_importz00) =
																			((obj_t) BgL_vz00_4038), BUNSPEC);
																	}
																else
																	{	/* Ast/unit.scm 113 */
																		BFALSE;
																	}
																if (
																	(BgL_unitz00_29 ==
																		BGl_getzd2toplevelzd2unitz00zzmodule_includez00
																		()))
																	{	/* Ast/unit.scm 117 */
																		BFALSE;
																	}
																else
																	{	/* Ast/unit.scm 117 */
																		((((BgL_variablez00_bglt) COBJECT(
																						((BgL_variablez00_bglt)
																							BgL_initz00_1776)))->
																				BgL_userzf3zf3) =
																			((bool_t) ((bool_t) 0)), BUNSPEC);
																	}
																BGl_declarezd2unitz12zc0zzast_unitz00
																	(BgL_idz00_1761,
																	(long) CINT(BgL_weightz00_1762));
																((((BgL_globalz00_bglt)
																			COBJECT(BgL_initz00_1776))->
																		BgL_evaluablezf3zf3) =
																	((bool_t) ((bool_t) 0)), BUNSPEC);
																if (CBOOL(STRUCT_REF(((obj_t) BgL_unitz00_29),
																			(int) (4L))))
																	{	/* Ast/unit.scm 128 */
																		obj_t BgL_idz00_1782;

																		{	/* Ast/unit.scm 128 */
																			obj_t BgL_arg1480z00_1784;

																			BgL_arg1480z00_1784 =
																				BGl_unitzd2requirezd2initzd2idzd2zzast_unitz00
																				(BgL_idz00_1761);
																			BgL_idz00_1782 =
																				BGl_makezd2typedzd2identz00zzast_identz00
																				(BgL_arg1480z00_1784,
																				((obj_t) CNST_TABLE_REF(4)));
																		}
																		{	/* Ast/unit.scm 128 */
																			BgL_globalz00_bglt BgL_gloz00_1783;

																			BgL_gloz00_1783 =
																				BGl_defzd2globalzd2svarz12z12zzast_glozd2defzd2
																				(BgL_idz00_1782,
																				BGl_za2moduleza2z00zzmodule_modulez00,
																				BGl_za2modulezd2clauseza2zd2zzmodule_modulez00,
																				((obj_t) CNST_TABLE_REF(8)));
																			{	/* Ast/unit.scm 130 */

																				((((BgL_variablez00_bglt) COBJECT(
																								((BgL_variablez00_bglt)
																									BgL_gloz00_1783)))->
																						BgL_userzf3zf3) =
																					((bool_t) ((bool_t) 0)), BUNSPEC);
																				((((BgL_globalz00_bglt)
																							COBJECT(BgL_gloz00_1783))->
																						BgL_evaluablezf3zf3) =
																					((bool_t) ((bool_t) 0)), BUNSPEC);
																	}}}
																else
																	{	/* Ast/unit.scm 127 */
																		BFALSE;
																	}
																{	/* Ast/unit.scm 134 */
																	obj_t BgL_arg1484z00_1785;

																	BgL_arg1484z00_1785 =
																		bgl_reverse_bang(BgL_defza2za2_1771);
																	return
																		MAKE_YOUNG_PAIR(
																		((obj_t) BgL_initz00_1776),
																		BgL_arg1484z00_1785);
																}
															}
														}
													}
											}
										else
											{	/* Ast/unit.scm 136 */
												bool_t BgL_test3647z00_6014;

												{	/* Ast/unit.scm 136 */
													obj_t BgL_arg1612z00_1820;

													BgL_arg1612z00_1820 =
														CAR(((obj_t) BgL_aexpza2za2_1769));
													{	/* Ast/unit.scm 136 */
														obj_t BgL_classz00_4049;

														BgL_classz00_4049 = BGl_globalz00zzast_varz00;
														if (BGL_OBJECTP(BgL_arg1612z00_1820))
															{	/* Ast/unit.scm 136 */
																BgL_objectz00_bglt BgL_arg1858z00_4051;

																BgL_arg1858z00_4051 =
																	(BgL_objectz00_bglt) (BgL_arg1612z00_1820);
																if (BGL_CONDEXPAND_ISA_ARCH64())
																	{	/* Ast/unit.scm 136 */
																		long BgL_idxz00_4057;

																		BgL_idxz00_4057 =
																			BGL_OBJECT_INHERITANCE_NUM
																			(BgL_arg1858z00_4051);
																		BgL_test3647z00_6014 =
																			(VECTOR_REF
																			(BGl_za2inheritancesza2z00zz__objectz00,
																				(BgL_idxz00_4057 + 2L)) ==
																			BgL_classz00_4049);
																	}
																else
																	{	/* Ast/unit.scm 136 */
																		bool_t BgL_res3533z00_4082;

																		{	/* Ast/unit.scm 136 */
																			obj_t BgL_oclassz00_4065;

																			{	/* Ast/unit.scm 136 */
																				obj_t BgL_arg1866z00_4073;
																				long BgL_arg1867z00_4074;

																				BgL_arg1866z00_4073 =
																					(BGl_za2classesza2z00zz__objectz00);
																				{	/* Ast/unit.scm 136 */
																					long BgL_arg1869z00_4075;

																					BgL_arg1869z00_4075 =
																						BGL_OBJECT_CLASS_NUM
																						(BgL_arg1858z00_4051);
																					BgL_arg1867z00_4074 =
																						(BgL_arg1869z00_4075 - OBJECT_TYPE);
																				}
																				BgL_oclassz00_4065 =
																					VECTOR_REF(BgL_arg1866z00_4073,
																					BgL_arg1867z00_4074);
																			}
																			{	/* Ast/unit.scm 136 */
																				bool_t BgL__ortest_1115z00_4066;

																				BgL__ortest_1115z00_4066 =
																					(BgL_classz00_4049 ==
																					BgL_oclassz00_4065);
																				if (BgL__ortest_1115z00_4066)
																					{	/* Ast/unit.scm 136 */
																						BgL_res3533z00_4082 =
																							BgL__ortest_1115z00_4066;
																					}
																				else
																					{	/* Ast/unit.scm 136 */
																						long BgL_odepthz00_4067;

																						{	/* Ast/unit.scm 136 */
																							obj_t BgL_arg1855z00_4068;

																							BgL_arg1855z00_4068 =
																								(BgL_oclassz00_4065);
																							BgL_odepthz00_4067 =
																								BGL_CLASS_DEPTH
																								(BgL_arg1855z00_4068);
																						}
																						if ((2L < BgL_odepthz00_4067))
																							{	/* Ast/unit.scm 136 */
																								obj_t BgL_arg1853z00_4070;

																								{	/* Ast/unit.scm 136 */
																									obj_t BgL_arg1854z00_4071;

																									BgL_arg1854z00_4071 =
																										(BgL_oclassz00_4065);
																									BgL_arg1853z00_4070 =
																										BGL_CLASS_ANCESTORS_REF
																										(BgL_arg1854z00_4071, 2L);
																								}
																								BgL_res3533z00_4082 =
																									(BgL_arg1853z00_4070 ==
																									BgL_classz00_4049);
																							}
																						else
																							{	/* Ast/unit.scm 136 */
																								BgL_res3533z00_4082 =
																									((bool_t) 0);
																							}
																					}
																			}
																		}
																		BgL_test3647z00_6014 = BgL_res3533z00_4082;
																	}
															}
														else
															{	/* Ast/unit.scm 136 */
																BgL_test3647z00_6014 = ((bool_t) 0);
															}
													}
												}
												if (BgL_test3647z00_6014)
													{	/* Ast/unit.scm 137 */
														obj_t BgL_arg1590z00_1814;
														obj_t BgL_arg1592z00_1815;

														BgL_arg1590z00_1814 =
															CDR(((obj_t) BgL_aexpza2za2_1769));
														{	/* Ast/unit.scm 139 */
															obj_t BgL_arg1593z00_1816;

															BgL_arg1593z00_1816 =
																CAR(((obj_t) BgL_aexpza2za2_1769));
															BgL_arg1592z00_1815 =
																MAKE_YOUNG_PAIR(BgL_arg1593z00_1816,
																BgL_defza2za2_1771);
														}
														{
															obj_t BgL_defza2za2_6045;
															obj_t BgL_aexpza2za2_6044;

															BgL_aexpza2za2_6044 = BgL_arg1590z00_1814;
															BgL_defza2za2_6045 = BgL_arg1592z00_1815;
															BgL_defza2za2_1771 = BgL_defza2za2_6045;
															BgL_aexpza2za2_1769 = BgL_aexpza2za2_6044;
															goto BgL_zc3z04anonymousza31447ze3z87_1772;
														}
													}
												else
													{	/* Ast/unit.scm 140 */
														obj_t BgL_arg1597z00_1817;
														obj_t BgL_arg1605z00_1818;

														BgL_arg1597z00_1817 =
															CDR(((obj_t) BgL_aexpza2za2_1769));
														{	/* Ast/unit.scm 141 */
															obj_t BgL_arg1611z00_1819;

															BgL_arg1611z00_1819 =
																CAR(((obj_t) BgL_aexpza2za2_1769));
															BgL_arg1605z00_1818 =
																MAKE_YOUNG_PAIR(BgL_arg1611z00_1819,
																BgL_initza2za2_1770);
														}
														{
															obj_t BgL_initza2za2_6052;
															obj_t BgL_aexpza2za2_6051;

															BgL_aexpza2za2_6051 = BgL_arg1597z00_1817;
															BgL_initza2za2_6052 = BgL_arg1605z00_1818;
															BgL_initza2za2_1770 = BgL_initza2za2_6052;
															BgL_aexpza2za2_1769 = BgL_aexpza2za2_6051;
															goto BgL_zc3z04anonymousza31447ze3z87_1772;
														}
													}
											}
									}
								}
							}
						}
					}
				}
			}
		}

	}



/* &unit->defs */
	obj_t BGl_z62unitzd2ze3defsz53zzast_unitz00(obj_t BgL_envz00_5780,
		obj_t BgL_unitz00_5781)
	{
		{	/* Ast/unit.scm 75 */
			return BGl_unitzd2ze3defsz31zzast_unitz00(BgL_unitz00_5781);
		}

	}



/* &<@anonymous:1582> */
	obj_t BGl_z62zc3z04anonymousza31582ze3ze5zzast_unitz00(obj_t BgL_envz00_5782,
		obj_t BgL_mz00_5784)
	{
		{	/* Ast/unit.scm 98 */
			return
				BGl_unitzd2initializa7erzd2idza7zzast_unitz00(PROCEDURE_REF
				(BgL_envz00_5782, (int) (0L)));
		}

	}



/* declare-unit! */
	obj_t BGl_declarezd2unitz12zc0zzast_unitz00(obj_t BgL_idz00_30,
		long BgL_weightz00_31)
	{
		{	/* Ast/unit.scm 152 */
			{	/* Ast/unit.scm 153 */
				bool_t BgL_test3652z00_6057;

				if (NULLP(BGl_za2unitzd2listza2zd2zzast_unitz00))
					{	/* Ast/unit.scm 153 */
						BgL_test3652z00_6057 = ((bool_t) 1);
					}
				else
					{	/* Ast/unit.scm 153 */
						obj_t BgL_arg1673z00_1851;

						BgL_arg1673z00_1851 =
							CDR(CAR(BGl_za2unitzd2listza2zd2zzast_unitz00));
						BgL_test3652z00_6057 =
							(BgL_weightz00_31 < (long) CINT(BgL_arg1673z00_1851));
					}
				if (BgL_test3652z00_6057)
					{	/* Ast/unit.scm 154 */
						obj_t BgL_arg1631z00_1829;

						BgL_arg1631z00_1829 =
							MAKE_YOUNG_PAIR(BgL_idz00_30, BINT(BgL_weightz00_31));
						return (BGl_za2unitzd2listza2zd2zzast_unitz00 =
							MAKE_YOUNG_PAIR(BgL_arg1631z00_1829,
								BGl_za2unitzd2listza2zd2zzast_unitz00), BUNSPEC);
					}
				else
					{
						obj_t BgL_ulistz00_1831;

						BgL_ulistz00_1831 = BGl_za2unitzd2listza2zd2zzast_unitz00;
					BgL_zc3z04anonymousza31632ze3z87_1832:
						{	/* Ast/unit.scm 157 */
							bool_t BgL_test3654z00_6067;

							{	/* Ast/unit.scm 157 */
								long BgL_tmpz00_6068;

								{	/* Ast/unit.scm 157 */
									obj_t BgL_pairz00_4093;

									BgL_pairz00_4093 = CAR(((obj_t) BgL_ulistz00_1831));
									BgL_tmpz00_6068 = (long) CINT(CDR(BgL_pairz00_4093));
								}
								BgL_test3654z00_6067 = (BgL_weightz00_31 < BgL_tmpz00_6068);
							}
							if (BgL_test3654z00_6067)
								{	/* Ast/unit.scm 157 */
									{	/* Ast/unit.scm 158 */
										obj_t BgL_arg1638z00_1836;

										{	/* Ast/unit.scm 158 */
											obj_t BgL_arg1642z00_1837;
											obj_t BgL_arg1643z00_1838;

											BgL_arg1642z00_1837 = CAR(((obj_t) BgL_ulistz00_1831));
											BgL_arg1643z00_1838 = CDR(((obj_t) BgL_ulistz00_1831));
											BgL_arg1638z00_1836 =
												MAKE_YOUNG_PAIR(BgL_arg1642z00_1837,
												BgL_arg1643z00_1838);
										}
										{	/* Ast/unit.scm 158 */
											obj_t BgL_tmpz00_6079;

											BgL_tmpz00_6079 = ((obj_t) BgL_ulistz00_1831);
											SET_CDR(BgL_tmpz00_6079, BgL_arg1638z00_1836);
										}
									}
									{	/* Ast/unit.scm 159 */
										obj_t BgL_arg1648z00_1839;

										BgL_arg1648z00_1839 =
											MAKE_YOUNG_PAIR(BgL_idz00_30, BINT(BgL_weightz00_31));
										{	/* Ast/unit.scm 159 */
											obj_t BgL_tmpz00_6084;

											BgL_tmpz00_6084 = ((obj_t) BgL_ulistz00_1831);
											return SET_CAR(BgL_tmpz00_6084, BgL_arg1648z00_1839);
										}
									}
								}
							else
								{	/* Ast/unit.scm 157 */
									if (NULLP(CDR(((obj_t) BgL_ulistz00_1831))))
										{	/* Ast/unit.scm 161 */
											obj_t BgL_arg1653z00_1842;

											{	/* Ast/unit.scm 161 */
												obj_t BgL_arg1655z00_1843;

												BgL_arg1655z00_1843 =
													MAKE_YOUNG_PAIR(BgL_idz00_30, BINT(BgL_weightz00_31));
												{	/* Ast/unit.scm 161 */
													obj_t BgL_list1656z00_1844;

													BgL_list1656z00_1844 =
														MAKE_YOUNG_PAIR(BgL_arg1655z00_1843, BNIL);
													BgL_arg1653z00_1842 = BgL_list1656z00_1844;
												}
											}
											{	/* Ast/unit.scm 161 */
												obj_t BgL_tmpz00_6094;

												BgL_tmpz00_6094 = ((obj_t) BgL_ulistz00_1831);
												return SET_CDR(BgL_tmpz00_6094, BgL_arg1653z00_1842);
											}
										}
									else
										{	/* Ast/unit.scm 163 */
											obj_t BgL_arg1657z00_1845;

											BgL_arg1657z00_1845 = CDR(((obj_t) BgL_ulistz00_1831));
											{
												obj_t BgL_ulistz00_6099;

												BgL_ulistz00_6099 = BgL_arg1657z00_1845;
												BgL_ulistz00_1831 = BgL_ulistz00_6099;
												goto BgL_zc3z04anonymousza31632ze3z87_1832;
											}
										}
								}
						}
					}
			}
		}

	}



/* unit-initializer-id */
	BGL_EXPORTED_DEF obj_t BGl_unitzd2initializa7erzd2idza7zzast_unitz00(obj_t
		BgL_idz00_32)
	{
		{	/* Ast/unit.scm 168 */
			{	/* Ast/unit.scm 169 */
				obj_t BgL_arg1675z00_1853;

				{	/* Ast/unit.scm 169 */
					obj_t BgL_arg1677z00_1854;
					obj_t BgL_arg1679z00_1855;

					{	/* Ast/unit.scm 169 */
						obj_t BgL_arg1486z00_4105;

						BgL_arg1486z00_4105 = SYMBOL_TO_STRING(((obj_t) BgL_idz00_32));
						BgL_arg1677z00_1854 =
							BGl_stringzd2copyzd2zz__r4_strings_6_7z00(BgL_arg1486z00_4105);
					}
					{	/* Ast/unit.scm 169 */
						obj_t BgL_symbolz00_4106;

						BgL_symbolz00_4106 = ((obj_t) CNST_TABLE_REF(9));
						{	/* Ast/unit.scm 169 */
							obj_t BgL_arg1486z00_4107;

							BgL_arg1486z00_4107 = SYMBOL_TO_STRING(BgL_symbolz00_4106);
							BgL_arg1679z00_1855 =
								BGl_stringzd2copyzd2zz__r4_strings_6_7z00(BgL_arg1486z00_4107);
						}
					}
					BgL_arg1675z00_1853 =
						string_append(BgL_arg1677z00_1854, BgL_arg1679z00_1855);
				}
				return bstring_to_symbol(BgL_arg1675z00_1853);
			}
		}

	}



/* &unit-initializer-id */
	obj_t BGl_z62unitzd2initializa7erzd2idzc5zzast_unitz00(obj_t BgL_envz00_5785,
		obj_t BgL_idz00_5786)
	{
		{	/* Ast/unit.scm 168 */
			return BGl_unitzd2initializa7erzd2idza7zzast_unitz00(BgL_idz00_5786);
		}

	}



/* unit-require-init-id */
	obj_t BGl_unitzd2requirezd2initzd2idzd2zzast_unitz00(obj_t BgL_idz00_33)
	{
		{	/* Ast/unit.scm 174 */
			{	/* Ast/unit.scm 175 */
				obj_t BgL_arg1680z00_1856;

				{	/* Ast/unit.scm 175 */
					obj_t BgL_arg1686z00_1857;
					obj_t BgL_arg1691z00_1858;

					{	/* Ast/unit.scm 175 */
						obj_t BgL_arg1486z00_4110;

						BgL_arg1486z00_4110 = SYMBOL_TO_STRING(((obj_t) BgL_idz00_33));
						BgL_arg1686z00_1857 =
							BGl_stringzd2copyzd2zz__r4_strings_6_7z00(BgL_arg1486z00_4110);
					}
					{	/* Ast/unit.scm 175 */
						obj_t BgL_symbolz00_4111;

						BgL_symbolz00_4111 = ((obj_t) CNST_TABLE_REF(10));
						{	/* Ast/unit.scm 175 */
							obj_t BgL_arg1486z00_4112;

							BgL_arg1486z00_4112 = SYMBOL_TO_STRING(BgL_symbolz00_4111);
							BgL_arg1691z00_1858 =
								BGl_stringzd2copyzd2zz__r4_strings_6_7z00(BgL_arg1486z00_4112);
						}
					}
					BgL_arg1680z00_1856 =
						string_append(BgL_arg1686z00_1857, BgL_arg1691z00_1858);
				}
				return bstring_to_symbol(BgL_arg1680z00_1856);
			}
		}

	}



/* unit-initializers */
	BGL_EXPORTED_DEF obj_t BGl_unitzd2initializa7ersz75zzast_unitz00(void)
	{
		{	/* Ast/unit.scm 180 */
			{	/* Ast/unit.scm 181 */
				obj_t BgL_l1262z00_1859;

				BgL_l1262z00_1859 = BGl_za2unitzd2listza2zd2zzast_unitz00;
				if (NULLP(BgL_l1262z00_1859))
					{	/* Ast/unit.scm 181 */
						return BNIL;
					}
				else
					{	/* Ast/unit.scm 181 */
						obj_t BgL_head1264z00_1861;

						BgL_head1264z00_1861 = MAKE_YOUNG_PAIR(BNIL, BNIL);
						{
							obj_t BgL_l1262z00_1863;
							obj_t BgL_tail1265z00_1864;

							BgL_l1262z00_1863 = BgL_l1262z00_1859;
							BgL_tail1265z00_1864 = BgL_head1264z00_1861;
						BgL_zc3z04anonymousza31694ze3z87_1865:
							if (NULLP(BgL_l1262z00_1863))
								{	/* Ast/unit.scm 181 */
									return CDR(BgL_head1264z00_1861);
								}
							else
								{	/* Ast/unit.scm 181 */
									obj_t BgL_newtail1266z00_1867;

									{	/* Ast/unit.scm 181 */
										obj_t BgL_arg1699z00_1869;

										{	/* Ast/unit.scm 181 */
											obj_t BgL_unitz00_1870;

											BgL_unitz00_1870 = CAR(((obj_t) BgL_l1262z00_1863));
											{	/* Ast/unit.scm 182 */
												obj_t BgL_arg1703z00_1871;

												{	/* Ast/unit.scm 182 */
													obj_t BgL_arg1715z00_1872;

													BgL_arg1715z00_1872 = CAR(((obj_t) BgL_unitz00_1870));
													BgL_arg1703z00_1871 =
														BGl_unitzd2initializa7erzd2idza7zzast_unitz00
														(BgL_arg1715z00_1872);
												}
												BgL_arg1699z00_1869 =
													BGl_findzd2globalzf2modulez20zzast_envz00
													(BgL_arg1703z00_1871,
													BGl_za2moduleza2z00zzmodule_modulez00);
											}
										}
										BgL_newtail1266z00_1867 =
											MAKE_YOUNG_PAIR(BgL_arg1699z00_1869, BNIL);
									}
									SET_CDR(BgL_tail1265z00_1864, BgL_newtail1266z00_1867);
									{	/* Ast/unit.scm 181 */
										obj_t BgL_arg1696z00_1868;

										BgL_arg1696z00_1868 = CDR(((obj_t) BgL_l1262z00_1863));
										{
											obj_t BgL_tail1265z00_6136;
											obj_t BgL_l1262z00_6135;

											BgL_l1262z00_6135 = BgL_arg1696z00_1868;
											BgL_tail1265z00_6136 = BgL_newtail1266z00_1867;
											BgL_tail1265z00_1864 = BgL_tail1265z00_6136;
											BgL_l1262z00_1863 = BgL_l1262z00_6135;
											goto BgL_zc3z04anonymousza31694ze3z87_1865;
										}
									}
								}
						}
					}
			}
		}

	}



/* &unit-initializers */
	obj_t BGl_z62unitzd2initializa7ersz17zzast_unitz00(obj_t BgL_envz00_5787)
	{
		{	/* Ast/unit.scm 180 */
			return BGl_unitzd2initializa7ersz75zzast_unitz00();
		}

	}



/* unit-init-calls */
	BGL_EXPORTED_DEF obj_t BGl_unitzd2initzd2callsz00zzast_unitz00(void)
	{
		{	/* Ast/unit.scm 188 */
			{	/* Ast/unit.scm 189 */
				obj_t BgL_l1267z00_1874;

				BgL_l1267z00_1874 = BGl_za2unitzd2listza2zd2zzast_unitz00;
				if (NULLP(BgL_l1267z00_1874))
					{	/* Ast/unit.scm 189 */
						return BNIL;
					}
				else
					{	/* Ast/unit.scm 189 */
						obj_t BgL_head1269z00_1876;

						BgL_head1269z00_1876 = MAKE_YOUNG_PAIR(BNIL, BNIL);
						{
							obj_t BgL_l1267z00_1878;
							obj_t BgL_tail1270z00_1879;

							BgL_l1267z00_1878 = BgL_l1267z00_1874;
							BgL_tail1270z00_1879 = BgL_head1269z00_1876;
						BgL_zc3z04anonymousza31717ze3z87_1880:
							if (NULLP(BgL_l1267z00_1878))
								{	/* Ast/unit.scm 189 */
									return CDR(BgL_head1269z00_1876);
								}
							else
								{	/* Ast/unit.scm 189 */
									obj_t BgL_newtail1271z00_1882;

									{	/* Ast/unit.scm 189 */
										obj_t BgL_arg1724z00_1884;

										{	/* Ast/unit.scm 189 */
											obj_t BgL_unitz00_1885;

											BgL_unitz00_1885 = CAR(((obj_t) BgL_l1267z00_1878));
											{	/* Ast/unit.scm 189 */
												obj_t BgL_arg1729z00_1886;

												{	/* Ast/unit.scm 189 */
													obj_t BgL_arg1730z00_1887;

													{	/* Ast/unit.scm 189 */
														obj_t BgL_arg1746z00_1888;
														obj_t BgL_arg1748z00_1889;

														{	/* Ast/unit.scm 189 */
															obj_t BgL_arg1755z00_1890;

															BgL_arg1755z00_1890 =
																CAR(((obj_t) BgL_unitz00_1885));
															BgL_arg1746z00_1888 =
																BGl_unitzd2initializa7erzd2idza7zzast_unitz00
																(BgL_arg1755z00_1890);
														}
														BgL_arg1748z00_1889 =
															MAKE_YOUNG_PAIR
															(BGl_za2moduleza2z00zzmodule_modulez00, BNIL);
														BgL_arg1730z00_1887 =
															MAKE_YOUNG_PAIR(BgL_arg1746z00_1888,
															BgL_arg1748z00_1889);
													}
													BgL_arg1729z00_1886 =
														MAKE_YOUNG_PAIR(
														((obj_t) CNST_TABLE_REF(0)), BgL_arg1730z00_1887);
												}
												BgL_arg1724z00_1884 =
													MAKE_YOUNG_PAIR(BgL_arg1729z00_1886, BNIL);
											}
										}
										BgL_newtail1271z00_1882 =
											MAKE_YOUNG_PAIR(BgL_arg1724z00_1884, BNIL);
									}
									SET_CDR(BgL_tail1270z00_1879, BgL_newtail1271z00_1882);
									{	/* Ast/unit.scm 189 */
										obj_t BgL_arg1720z00_1883;

										BgL_arg1720z00_1883 = CDR(((obj_t) BgL_l1267z00_1878));
										{
											obj_t BgL_tail1270z00_6160;
											obj_t BgL_l1267z00_6159;

											BgL_l1267z00_6159 = BgL_arg1720z00_1883;
											BgL_tail1270z00_6160 = BgL_newtail1271z00_1882;
											BgL_tail1270z00_1879 = BgL_tail1270z00_6160;
											BgL_l1267z00_1878 = BgL_l1267z00_6159;
											goto BgL_zc3z04anonymousza31717ze3z87_1880;
										}
									}
								}
						}
					}
			}
		}

	}



/* &unit-init-calls */
	obj_t BGl_z62unitzd2initzd2callsz62zzast_unitz00(obj_t BgL_envz00_5788)
	{
		{	/* Ast/unit.scm 188 */
			return BGl_unitzd2initzd2callsz00zzast_unitz00();
		}

	}



/* toplevel*->ast */
	obj_t BGl_toplevelza2zd2ze3astz93zzast_unitz00(obj_t BgL_sexpza2za2_34,
		obj_t BgL_gdefsz00_35)
	{
		{	/* Ast/unit.scm 195 */
			{
				obj_t BgL_sexpza2za2_1894;
				obj_t BgL_aexpza2za2_1895;

				BgL_sexpza2za2_1894 = BgL_sexpza2za2_34;
				BgL_aexpza2za2_1895 = BNIL;
			BgL_zc3z04anonymousza31756ze3z87_1896:
				if (NULLP(BgL_sexpza2za2_1894))
					{	/* Ast/unit.scm 198 */
						return bgl_reverse_bang(BgL_aexpza2za2_1895);
					}
				else
					{	/* Ast/unit.scm 200 */
						obj_t BgL_arg1763z00_1898;
						obj_t BgL_arg1765z00_1899;

						BgL_arg1763z00_1898 = CDR(((obj_t) BgL_sexpza2za2_1894));
						{	/* Ast/unit.scm 201 */
							obj_t BgL_arg1768z00_1900;

							{	/* Ast/unit.scm 201 */
								obj_t BgL_arg1770z00_1901;

								BgL_arg1770z00_1901 = CAR(((obj_t) BgL_sexpza2za2_1894));
								BgL_arg1768z00_1900 =
									BGl_toplevelzd2ze3astz31zzast_unitz00(BgL_arg1770z00_1901,
									BgL_gdefsz00_35);
							}
							BgL_arg1765z00_1899 =
								BGl_appendzd221011zd2zzast_unitz00(BgL_arg1768z00_1900,
								BgL_aexpza2za2_1895);
						}
						{
							obj_t BgL_aexpza2za2_6172;
							obj_t BgL_sexpza2za2_6171;

							BgL_sexpza2za2_6171 = BgL_arg1763z00_1898;
							BgL_aexpza2za2_6172 = BgL_arg1765z00_1899;
							BgL_aexpza2za2_1895 = BgL_aexpza2za2_6172;
							BgL_sexpza2za2_1894 = BgL_sexpza2za2_6171;
							goto BgL_zc3z04anonymousza31756ze3z87_1896;
						}
					}
			}
		}

	}



/* lambda? */
	bool_t BGl_lambdazf3zf3zzast_unitz00(obj_t BgL_symz00_36)
	{
		{	/* Ast/unit.scm 206 */
			if (SYMBOLP(BgL_symz00_36))
				{	/* Ast/unit.scm 207 */
					obj_t BgL_arg1772z00_1904;

					BgL_arg1772z00_1904 =
						BGl_fastzd2idzd2ofzd2idzd2zzast_identz00(BgL_symz00_36, BFALSE);
					return (BgL_arg1772z00_1904 == ((obj_t) CNST_TABLE_REF(11)));
				}
			else
				{	/* Ast/unit.scm 207 */
					return ((bool_t) 0);
				}
		}

	}



/* error-class-shadow */
	obj_t BGl_errorzd2classzd2shadowz00zzast_unitz00(obj_t BgL_idz00_37,
		obj_t BgL_srcz00_38)
	{
		{	/* Ast/unit.scm 212 */
			{	/* Ast/unit.scm 213 */
				obj_t BgL_locz00_1905;

				BgL_locz00_1905 =
					BGl_findzd2locationzd2zztools_locationz00(BgL_srcz00_38);
				if (CBOOL(BgL_locz00_1905))
					{	/* Ast/unit.scm 215 */
						return
							BGl_userzd2errorzf2locationz20zztools_errorz00(BgL_locz00_1905,
							BGl_za2moduleza2z00zzmodule_modulez00,
							BGl_string3591z00zzast_unitz00, BgL_idz00_37, BNIL);
					}
				else
					{	/* Ast/unit.scm 215 */
						return
							BGl_userzd2errorzd2zztools_errorz00
							(BGl_za2moduleza2z00zzmodule_modulez00,
							BGl_string3591z00zzast_unitz00, BgL_idz00_37, BNIL);
					}
			}
		}

	}



/* toplevel->ast */
	obj_t BGl_toplevelzd2ze3astz31zzast_unitz00(obj_t BgL_sexpz00_39,
		obj_t BgL_gdefsz00_40)
	{
		{	/* Ast/unit.scm 224 */
		BGl_toplevelzd2ze3astz31zzast_unitz00:
			{
				obj_t BgL_varz00_1961;
				obj_t BgL_argsz00_1962;
				obj_t BgL_expz00_1963;
				obj_t BgL_varz00_1957;
				obj_t BgL_argsz00_1958;
				obj_t BgL_expz00_1959;
				obj_t BgL_varz00_1952;
				obj_t BgL_modulez00_1953;
				obj_t BgL_argsz00_1954;
				obj_t BgL_expz00_1955;
				obj_t BgL_varz00_1948;
				obj_t BgL_argsz00_1949;
				obj_t BgL_expz00_1950;
				obj_t BgL_varz00_1943;
				obj_t BgL_modulez00_1944;
				obj_t BgL_argsz00_1945;
				obj_t BgL_expz00_1946;
				obj_t BgL_varz00_1940;
				obj_t BgL_expz00_1941;
				obj_t BgL_varz00_1936;
				obj_t BgL_var2z00_1937;
				obj_t BgL_modulez00_1938;
				obj_t BgL_varz00_1933;
				obj_t BgL_var2z00_1934;
				obj_t BgL_varz00_1930;
				obj_t BgL_1zd2expzd2_1931;
				obj_t BgL_varz00_1925;
				obj_t BgL_lamz00_1926;
				obj_t BgL_argsz00_1927;
				obj_t BgL_expz00_1928;
				obj_t BgL_varz00_1920;
				obj_t BgL_argsz00_1921;
				obj_t BgL_expz00_1922;
				obj_t BgL_fz00_1923;
				obj_t BgL_varz00_1916;
				obj_t BgL_argsz00_1917;
				obj_t BgL_expz00_1918;
				obj_t BgL_varz00_1912;
				obj_t BgL_argsz00_1913;
				obj_t BgL_expz00_1914;

				if (PAIRP(BgL_sexpz00_39))
					{	/* Ast/unit.scm 225 */
						if ((CAR(((obj_t) BgL_sexpz00_39)) == ((obj_t) CNST_TABLE_REF(2))))
							{	/* Ast/unit.scm 225 */
								if (NULLP(CDR(((obj_t) BgL_sexpz00_39))))
									{	/* Ast/unit.scm 225 */
										{	/* Ast/unit.scm 227 */
											obj_t BgL_list2223z00_2523;

											BgL_list2223z00_2523 =
												MAKE_YOUNG_PAIR(BgL_sexpz00_39, BNIL);
											return BgL_list2223z00_2523;
										}
									}
								else
									{	/* Ast/unit.scm 225 */
										obj_t BgL_arg1784z00_1972;

										BgL_arg1784z00_1972 = CDR(((obj_t) BgL_sexpz00_39));
										return
											bgl_reverse_bang(BGl_toplevelza2zd2ze3astz93zzast_unitz00
											(BgL_arg1784z00_1972, BgL_gdefsz00_40));
									}
							}
						else
							{	/* Ast/unit.scm 225 */
								obj_t BgL_cdrzd2422zd2_1974;

								BgL_cdrzd2422zd2_1974 = CDR(((obj_t) BgL_sexpz00_39));
								if (
									(CAR(
											((obj_t) BgL_sexpz00_39)) ==
										((obj_t) CNST_TABLE_REF(17))))
									{	/* Ast/unit.scm 225 */
										if (PAIRP(BgL_cdrzd2422zd2_1974))
											{	/* Ast/unit.scm 225 */
												obj_t BgL_carzd2426zd2_1978;

												BgL_carzd2426zd2_1978 = CAR(BgL_cdrzd2422zd2_1974);
												if (PAIRP(BgL_carzd2426zd2_1978))
													{	/* Ast/unit.scm 225 */
														BgL_varz00_1912 = CAR(BgL_carzd2426zd2_1978);
														BgL_argsz00_1913 = CDR(BgL_carzd2426zd2_1978);
														BgL_expz00_1914 = CDR(BgL_cdrzd2422zd2_1974);
														{	/* Ast/unit.scm 231 */
															obj_t BgL_idz00_2525;

															BgL_idz00_2525 =
																BGl_idzd2ofzd2idz00zzast_identz00
																(BgL_varz00_1912,
																BGl_findzd2locationzd2zztools_locationz00
																(BgL_sexpz00_39));
															{	/* Ast/unit.scm 231 */
																obj_t BgL_defz00_2526;

																BgL_defz00_2526 =
																	BGl_assqz00zz__r4_pairs_and_lists_6_3z00
																	(BgL_idz00_2525, BgL_gdefsz00_40);
																{	/* Ast/unit.scm 232 */
																	obj_t BgL_globalz00_2527;

																	BgL_globalz00_2527 =
																		BGl_findzd2globalzf2modulez20zzast_envz00
																		(BgL_idz00_2525,
																		BGl_za2moduleza2z00zzmodule_modulez00);
																	{	/* Ast/unit.scm 233 */

																		{	/* Ast/unit.scm 241 */
																			bool_t BgL_test3669z00_6218;

																			if (BGl_typezd2existszf3z21zztype_envz00
																				(BgL_varz00_1912))
																				{	/* Ast/unit.scm 241 */
																					BgL_typez00_bglt BgL_arg2228z00_2532;

																					BgL_arg2228z00_2532 =
																						BGl_findzd2typezd2zztype_envz00
																						(BgL_varz00_1912);
																					{	/* Ast/unit.scm 241 */
																						obj_t BgL_classz00_4128;

																						BgL_classz00_4128 =
																							BGl_tclassz00zzobject_classz00;
																						{	/* Ast/unit.scm 241 */
																							BgL_objectz00_bglt
																								BgL_arg1858z00_4130;
																							{	/* Ast/unit.scm 241 */
																								obj_t BgL_tmpz00_6222;

																								BgL_tmpz00_6222 =
																									((obj_t)
																									((BgL_objectz00_bglt)
																										BgL_arg2228z00_2532));
																								BgL_arg1858z00_4130 =
																									(BgL_objectz00_bglt)
																									(BgL_tmpz00_6222);
																							}
																							if (BGL_CONDEXPAND_ISA_ARCH64())
																								{	/* Ast/unit.scm 241 */
																									long BgL_idxz00_4136;

																									BgL_idxz00_4136 =
																										BGL_OBJECT_INHERITANCE_NUM
																										(BgL_arg1858z00_4130);
																									BgL_test3669z00_6218 =
																										(VECTOR_REF
																										(BGl_za2inheritancesza2z00zz__objectz00,
																											(BgL_idxz00_4136 + 2L)) ==
																										BgL_classz00_4128);
																								}
																							else
																								{	/* Ast/unit.scm 241 */
																									bool_t BgL_res3536z00_4161;

																									{	/* Ast/unit.scm 241 */
																										obj_t BgL_oclassz00_4144;

																										{	/* Ast/unit.scm 241 */
																											obj_t BgL_arg1866z00_4152;
																											long BgL_arg1867z00_4153;

																											BgL_arg1866z00_4152 =
																												(BGl_za2classesza2z00zz__objectz00);
																											{	/* Ast/unit.scm 241 */
																												long
																													BgL_arg1869z00_4154;
																												BgL_arg1869z00_4154 =
																													BGL_OBJECT_CLASS_NUM
																													(BgL_arg1858z00_4130);
																												BgL_arg1867z00_4153 =
																													(BgL_arg1869z00_4154 -
																													OBJECT_TYPE);
																											}
																											BgL_oclassz00_4144 =
																												VECTOR_REF
																												(BgL_arg1866z00_4152,
																												BgL_arg1867z00_4153);
																										}
																										{	/* Ast/unit.scm 241 */
																											bool_t
																												BgL__ortest_1115z00_4145;
																											BgL__ortest_1115z00_4145 =
																												(BgL_classz00_4128 ==
																												BgL_oclassz00_4144);
																											if (BgL__ortest_1115z00_4145)
																												{	/* Ast/unit.scm 241 */
																													BgL_res3536z00_4161 =
																														BgL__ortest_1115z00_4145;
																												}
																											else
																												{	/* Ast/unit.scm 241 */
																													long
																														BgL_odepthz00_4146;
																													{	/* Ast/unit.scm 241 */
																														obj_t
																															BgL_arg1855z00_4147;
																														BgL_arg1855z00_4147
																															=
																															(BgL_oclassz00_4144);
																														BgL_odepthz00_4146 =
																															BGL_CLASS_DEPTH
																															(BgL_arg1855z00_4147);
																													}
																													if (
																														(2L <
																															BgL_odepthz00_4146))
																														{	/* Ast/unit.scm 241 */
																															obj_t
																																BgL_arg1853z00_4149;
																															{	/* Ast/unit.scm 241 */
																																obj_t
																																	BgL_arg1854z00_4150;
																																BgL_arg1854z00_4150
																																	=
																																	(BgL_oclassz00_4144);
																																BgL_arg1853z00_4149
																																	=
																																	BGL_CLASS_ANCESTORS_REF
																																	(BgL_arg1854z00_4150,
																																	2L);
																															}
																															BgL_res3536z00_4161
																																=
																																(BgL_arg1853z00_4149
																																==
																																BgL_classz00_4128);
																														}
																													else
																														{	/* Ast/unit.scm 241 */
																															BgL_res3536z00_4161
																																= ((bool_t) 0);
																														}
																												}
																										}
																									}
																									BgL_test3669z00_6218 =
																										BgL_res3536z00_4161;
																								}
																						}
																					}
																				}
																			else
																				{	/* Ast/unit.scm 241 */
																					BgL_test3669z00_6218 = ((bool_t) 0);
																				}
																			if (BgL_test3669z00_6218)
																				{	/* Ast/unit.scm 241 */
																					BGl_errorzd2classzd2shadowz00zzast_unitz00
																						(BgL_varz00_1912, BgL_sexpz00_39);
																				}
																			else
																				{	/* Ast/unit.scm 241 */
																					BFALSE;
																				}
																		}
																		{	/* Ast/unit.scm 243 */
																			bool_t BgL_test3674z00_6246;

																			if (PAIRP(BgL_defz00_2526))
																				{	/* Ast/unit.scm 243 */
																					if (
																						(CAR(CDR(BgL_defz00_2526)) ==
																							((obj_t) CNST_TABLE_REF(12))))
																						{	/* Ast/unit.scm 245 */
																							bool_t BgL__ortest_1116z00_2551;

																							{	/* Ast/unit.scm 245 */
																								bool_t BgL_test3677z00_6255;

																								{	/* Ast/unit.scm 245 */
																									obj_t BgL_classz00_4164;

																									BgL_classz00_4164 =
																										BGl_globalz00zzast_varz00;
																									if (BGL_OBJECTP
																										(BgL_globalz00_2527))
																										{	/* Ast/unit.scm 245 */
																											BgL_objectz00_bglt
																												BgL_arg1858z00_4166;
																											BgL_arg1858z00_4166 =
																												(BgL_objectz00_bglt)
																												(BgL_globalz00_2527);
																											if (BGL_CONDEXPAND_ISA_ARCH64())
																												{	/* Ast/unit.scm 245 */
																													long BgL_idxz00_4172;

																													BgL_idxz00_4172 =
																														BGL_OBJECT_INHERITANCE_NUM
																														(BgL_arg1858z00_4166);
																													BgL_test3677z00_6255 =
																														(VECTOR_REF
																														(BGl_za2inheritancesza2z00zz__objectz00,
																															(BgL_idxz00_4172 +
																																2L)) ==
																														BgL_classz00_4164);
																												}
																											else
																												{	/* Ast/unit.scm 245 */
																													bool_t
																														BgL_res3537z00_4197;
																													{	/* Ast/unit.scm 245 */
																														obj_t
																															BgL_oclassz00_4180;
																														{	/* Ast/unit.scm 245 */
																															obj_t
																																BgL_arg1866z00_4188;
																															long
																																BgL_arg1867z00_4189;
																															BgL_arg1866z00_4188
																																=
																																(BGl_za2classesza2z00zz__objectz00);
																															{	/* Ast/unit.scm 245 */
																																long
																																	BgL_arg1869z00_4190;
																																BgL_arg1869z00_4190
																																	=
																																	BGL_OBJECT_CLASS_NUM
																																	(BgL_arg1858z00_4166);
																																BgL_arg1867z00_4189
																																	=
																																	(BgL_arg1869z00_4190
																																	-
																																	OBJECT_TYPE);
																															}
																															BgL_oclassz00_4180
																																=
																																VECTOR_REF
																																(BgL_arg1866z00_4188,
																																BgL_arg1867z00_4189);
																														}
																														{	/* Ast/unit.scm 245 */
																															bool_t
																																BgL__ortest_1115z00_4181;
																															BgL__ortest_1115z00_4181
																																=
																																(BgL_classz00_4164
																																==
																																BgL_oclassz00_4180);
																															if (BgL__ortest_1115z00_4181)
																																{	/* Ast/unit.scm 245 */
																																	BgL_res3537z00_4197
																																		=
																																		BgL__ortest_1115z00_4181;
																																}
																															else
																																{	/* Ast/unit.scm 245 */
																																	long
																																		BgL_odepthz00_4182;
																																	{	/* Ast/unit.scm 245 */
																																		obj_t
																																			BgL_arg1855z00_4183;
																																		BgL_arg1855z00_4183
																																			=
																																			(BgL_oclassz00_4180);
																																		BgL_odepthz00_4182
																																			=
																																			BGL_CLASS_DEPTH
																																			(BgL_arg1855z00_4183);
																																	}
																																	if (
																																		(2L <
																																			BgL_odepthz00_4182))
																																		{	/* Ast/unit.scm 245 */
																																			obj_t
																																				BgL_arg1853z00_4185;
																																			{	/* Ast/unit.scm 245 */
																																				obj_t
																																					BgL_arg1854z00_4186;
																																				BgL_arg1854z00_4186
																																					=
																																					(BgL_oclassz00_4180);
																																				BgL_arg1853z00_4185
																																					=
																																					BGL_CLASS_ANCESTORS_REF
																																					(BgL_arg1854z00_4186,
																																					2L);
																																			}
																																			BgL_res3537z00_4197
																																				=
																																				(BgL_arg1853z00_4185
																																				==
																																				BgL_classz00_4164);
																																		}
																																	else
																																		{	/* Ast/unit.scm 245 */
																																			BgL_res3537z00_4197
																																				=
																																				(
																																				(bool_t)
																																				0);
																																		}
																																}
																														}
																													}
																													BgL_test3677z00_6255 =
																														BgL_res3537z00_4197;
																												}
																										}
																									else
																										{	/* Ast/unit.scm 245 */
																											BgL_test3677z00_6255 =
																												((bool_t) 0);
																										}
																								}
																								if (BgL_test3677z00_6255)
																									{	/* Ast/unit.scm 245 */
																										BgL__ortest_1116z00_2551 =
																											((bool_t) 0);
																									}
																								else
																									{	/* Ast/unit.scm 245 */
																										BgL__ortest_1116z00_2551 =
																											((bool_t) 1);
																									}
																							}
																							if (BgL__ortest_1116z00_2551)
																								{	/* Ast/unit.scm 245 */
																									BgL_test3674z00_6246 =
																										BgL__ortest_1116z00_2551;
																								}
																							else
																								{	/* Ast/unit.scm 245 */
																									BgL_test3674z00_6246 =
																										(
																										(((BgL_variablez00_bglt)
																												COBJECT((
																														(BgL_variablez00_bglt)
																														((BgL_globalz00_bglt) BgL_globalz00_2527))))->BgL_accessz00) == ((obj_t) CNST_TABLE_REF(12)));
																								}
																						}
																					else
																						{	/* Ast/unit.scm 244 */
																							BgL_test3674z00_6246 =
																								((bool_t) 0);
																						}
																				}
																			else
																				{	/* Ast/unit.scm 243 */
																					BgL_test3674z00_6246 = ((bool_t) 1);
																				}
																			if (BgL_test3674z00_6246)
																				{	/* Ast/unit.scm 249 */
																					obj_t BgL_arg2236z00_2541;

																					{	/* Ast/unit.scm 249 */
																						obj_t BgL_arg2237z00_2542;

																						{	/* Ast/unit.scm 249 */
																							obj_t BgL_arg2238z00_2543;

																							{	/* Ast/unit.scm 249 */
																								obj_t BgL_pairz00_4202;

																								BgL_pairz00_4202 =
																									CDR(((obj_t) BgL_sexpz00_39));
																								BgL_arg2238z00_2543 =
																									CDR(BgL_pairz00_4202);
																							}
																							BgL_arg2237z00_2542 =
																								BGl_findzd2locationzd2zztools_locationz00
																								(BgL_arg2238z00_2543);
																						}
																						BgL_arg2236z00_2541 =
																							BGl_normaliza7ezd2prognzf2errorz87zzast_unitz00
																							(BgL_expz00_1914, BgL_sexpz00_39,
																							BgL_arg2237z00_2542);
																					}
																					return
																						BGl_makezd2sfunzd2definitionz00zzast_unitz00
																						(BgL_varz00_1912,
																						BGl_za2moduleza2z00zzmodule_modulez00,
																						BgL_argsz00_1913,
																						BgL_arg2236z00_2541, BgL_sexpz00_39,
																						((obj_t) CNST_TABLE_REF(13)));
																				}
																			else
																				{	/* Ast/unit.scm 251 */
																					obj_t BgL_newzd2sexpzd2_2544;

																					{	/* Ast/unit.scm 251 */
																						obj_t BgL_arg2239z00_2545;

																						{	/* Ast/unit.scm 251 */
																							obj_t BgL_arg2240z00_2546;

																							{	/* Ast/unit.scm 251 */
																								obj_t BgL_arg2241z00_2547;

																								{	/* Ast/unit.scm 251 */
																									obj_t BgL_arg2242z00_2548;

																									BgL_arg2242z00_2548 =
																										MAKE_YOUNG_PAIR
																										(BgL_argsz00_1913,
																										BgL_expz00_1914);
																									BgL_arg2241z00_2547 =
																										MAKE_YOUNG_PAIR(((obj_t)
																											CNST_TABLE_REF(11)),
																										BgL_arg2242z00_2548);
																								}
																								BgL_arg2240z00_2546 =
																									MAKE_YOUNG_PAIR
																									(BgL_arg2241z00_2547, BNIL);
																							}
																							BgL_arg2239z00_2545 =
																								MAKE_YOUNG_PAIR(BgL_varz00_1912,
																								BgL_arg2240z00_2546);
																						}
																						BgL_newzd2sexpzd2_2544 =
																							MAKE_YOUNG_PAIR(
																							((obj_t)
																								CNST_TABLE_REF(1)),
																							BgL_arg2239z00_2545);
																					}
																					BGl_replacez12z12zztools_miscz00
																						(BgL_sexpz00_39,
																						BgL_newzd2sexpzd2_2544);
																					BGL_TAIL return
																						BGl_makezd2svarzd2definitionz00zzast_unitz00
																						(BgL_varz00_1912, BgL_sexpz00_39);
																				}
																		}
																	}
																}
															}
														}
													}
												else
													{	/* Ast/unit.scm 225 */
														obj_t BgL_cdrzd2452zd2_1984;

														BgL_cdrzd2452zd2_1984 =
															CDR(((obj_t) BgL_cdrzd2422zd2_1974));
														if (PAIRP(BgL_cdrzd2452zd2_1984))
															{	/* Ast/unit.scm 225 */
																obj_t BgL_carzd2456zd2_1986;

																BgL_carzd2456zd2_1986 =
																	CAR(BgL_cdrzd2452zd2_1984);
																if (PAIRP(BgL_carzd2456zd2_1986))
																	{	/* Ast/unit.scm 225 */
																		obj_t BgL_cdrzd2461zd2_1988;

																		BgL_cdrzd2461zd2_1988 =
																			CDR(BgL_carzd2456zd2_1986);
																		if (
																			(CAR(BgL_carzd2456zd2_1986) ==
																				((obj_t) CNST_TABLE_REF(11))))
																			{	/* Ast/unit.scm 225 */
																				if (PAIRP(BgL_cdrzd2461zd2_1988))
																					{	/* Ast/unit.scm 225 */
																						if (NULLP(CDR
																								(BgL_cdrzd2452zd2_1984)))
																							{	/* Ast/unit.scm 225 */
																								obj_t BgL_arg1810z00_1994;
																								obj_t BgL_arg1811z00_1995;
																								obj_t BgL_arg1814z00_1996;

																								BgL_arg1810z00_1994 =
																									CAR(
																									((obj_t)
																										BgL_cdrzd2422zd2_1974));
																								BgL_arg1811z00_1995 =
																									CAR(BgL_cdrzd2461zd2_1988);
																								BgL_arg1814z00_1996 =
																									CDR(BgL_cdrzd2461zd2_1988);
																								BgL_varz00_1916 =
																									BgL_arg1810z00_1994;
																								BgL_argsz00_1917 =
																									BgL_arg1811z00_1995;
																								BgL_expz00_1918 =
																									BgL_arg1814z00_1996;
																								{	/* Ast/unit.scm 255 */
																									bool_t BgL_test3688z00_6329;

																									if (BGl_typezd2existszf3z21zztype_envz00(BgL_varz00_1916))
																										{	/* Ast/unit.scm 255 */
																											BgL_typez00_bglt
																												BgL_arg2250z00_2561;
																											BgL_arg2250z00_2561 =
																												BGl_findzd2typezd2zztype_envz00
																												(BgL_varz00_1916);
																											{	/* Ast/unit.scm 255 */
																												obj_t BgL_classz00_4203;

																												BgL_classz00_4203 =
																													BGl_tclassz00zzobject_classz00;
																												{	/* Ast/unit.scm 255 */
																													BgL_objectz00_bglt
																														BgL_arg1858z00_4205;
																													{	/* Ast/unit.scm 255 */
																														obj_t
																															BgL_tmpz00_6333;
																														BgL_tmpz00_6333 =
																															((obj_t) (
																																(BgL_objectz00_bglt)
																																BgL_arg2250z00_2561));
																														BgL_arg1858z00_4205
																															=
																															(BgL_objectz00_bglt)
																															(BgL_tmpz00_6333);
																													}
																													if (BGL_CONDEXPAND_ISA_ARCH64())
																														{	/* Ast/unit.scm 255 */
																															long
																																BgL_idxz00_4211;
																															BgL_idxz00_4211 =
																																BGL_OBJECT_INHERITANCE_NUM
																																(BgL_arg1858z00_4205);
																															BgL_test3688z00_6329
																																=
																																(VECTOR_REF
																																(BGl_za2inheritancesza2z00zz__objectz00,
																																	(BgL_idxz00_4211
																																		+ 2L)) ==
																																BgL_classz00_4203);
																														}
																													else
																														{	/* Ast/unit.scm 255 */
																															bool_t
																																BgL_res3538z00_4236;
																															{	/* Ast/unit.scm 255 */
																																obj_t
																																	BgL_oclassz00_4219;
																																{	/* Ast/unit.scm 255 */
																																	obj_t
																																		BgL_arg1866z00_4227;
																																	long
																																		BgL_arg1867z00_4228;
																																	BgL_arg1866z00_4227
																																		=
																																		(BGl_za2classesza2z00zz__objectz00);
																																	{	/* Ast/unit.scm 255 */
																																		long
																																			BgL_arg1869z00_4229;
																																		BgL_arg1869z00_4229
																																			=
																																			BGL_OBJECT_CLASS_NUM
																																			(BgL_arg1858z00_4205);
																																		BgL_arg1867z00_4228
																																			=
																																			(BgL_arg1869z00_4229
																																			-
																																			OBJECT_TYPE);
																																	}
																																	BgL_oclassz00_4219
																																		=
																																		VECTOR_REF
																																		(BgL_arg1866z00_4227,
																																		BgL_arg1867z00_4228);
																																}
																																{	/* Ast/unit.scm 255 */
																																	bool_t
																																		BgL__ortest_1115z00_4220;
																																	BgL__ortest_1115z00_4220
																																		=
																																		(BgL_classz00_4203
																																		==
																																		BgL_oclassz00_4219);
																																	if (BgL__ortest_1115z00_4220)
																																		{	/* Ast/unit.scm 255 */
																																			BgL_res3538z00_4236
																																				=
																																				BgL__ortest_1115z00_4220;
																																		}
																																	else
																																		{	/* Ast/unit.scm 255 */
																																			long
																																				BgL_odepthz00_4221;
																																			{	/* Ast/unit.scm 255 */
																																				obj_t
																																					BgL_arg1855z00_4222;
																																				BgL_arg1855z00_4222
																																					=
																																					(BgL_oclassz00_4219);
																																				BgL_odepthz00_4221
																																					=
																																					BGL_CLASS_DEPTH
																																					(BgL_arg1855z00_4222);
																																			}
																																			if (
																																				(2L <
																																					BgL_odepthz00_4221))
																																				{	/* Ast/unit.scm 255 */
																																					obj_t
																																						BgL_arg1853z00_4224;
																																					{	/* Ast/unit.scm 255 */
																																						obj_t
																																							BgL_arg1854z00_4225;
																																						BgL_arg1854z00_4225
																																							=
																																							(BgL_oclassz00_4219);
																																						BgL_arg1853z00_4224
																																							=
																																							BGL_CLASS_ANCESTORS_REF
																																							(BgL_arg1854z00_4225,
																																							2L);
																																					}
																																					BgL_res3538z00_4236
																																						=
																																						(BgL_arg1853z00_4224
																																						==
																																						BgL_classz00_4203);
																																				}
																																			else
																																				{	/* Ast/unit.scm 255 */
																																					BgL_res3538z00_4236
																																						=
																																						(
																																						(bool_t)
																																						0);
																																				}
																																		}
																																}
																															}
																															BgL_test3688z00_6329
																																=
																																BgL_res3538z00_4236;
																														}
																												}
																											}
																										}
																									else
																										{	/* Ast/unit.scm 255 */
																											BgL_test3688z00_6329 =
																												((bool_t) 0);
																										}
																									if (BgL_test3688z00_6329)
																										{	/* Ast/unit.scm 255 */
																											BGl_errorzd2classzd2shadowz00zzast_unitz00
																												(BgL_varz00_1916,
																												BgL_sexpz00_39);
																										}
																									else
																										{	/* Ast/unit.scm 255 */
																											BFALSE;
																										}
																								}
																								{	/* Ast/unit.scm 257 */
																									obj_t BgL_idz00_2562;

																									BgL_idz00_2562 =
																										BGl_idzd2ofzd2idz00zzast_identz00
																										(BgL_varz00_1916,
																										BGl_findzd2locationzd2zztools_locationz00
																										(BgL_sexpz00_39));
																									{	/* Ast/unit.scm 257 */
																										obj_t BgL_defz00_2563;

																										BgL_defz00_2563 =
																											BGl_assqz00zz__r4_pairs_and_lists_6_3z00
																											(BgL_idz00_2562,
																											BgL_gdefsz00_40);
																										{	/* Ast/unit.scm 258 */
																											obj_t BgL_globalz00_2564;

																											BgL_globalz00_2564 =
																												BGl_findzd2globalzf2modulez20zzast_envz00
																												(BgL_idz00_2562,
																												BGl_za2moduleza2z00zzmodule_modulez00);
																											{	/* Ast/unit.scm 259 */

																												{	/* Ast/unit.scm 261 */
																													bool_t
																														BgL_test3693z00_6361;
																													{	/* Ast/unit.scm 261 */
																														bool_t
																															BgL_test3694z00_6362;
																														{	/* Ast/unit.scm 261 */
																															obj_t
																																BgL_tmpz00_6363;
																															{	/* Ast/unit.scm 261 */
																																obj_t
																																	BgL_pairz00_4238;
																																BgL_pairz00_4238
																																	=
																																	CDR(((obj_t)
																																		BgL_defz00_2563));
																																BgL_tmpz00_6363
																																	=
																																	CAR
																																	(BgL_pairz00_4238);
																															}
																															BgL_test3694z00_6362
																																=
																																(BgL_tmpz00_6363
																																==
																																((obj_t)
																																	CNST_TABLE_REF
																																	(12)));
																														}
																														if (BgL_test3694z00_6362)
																															{	/* Ast/unit.scm 262 */
																																bool_t
																																	BgL__ortest_1118z00_2578;
																																{	/* Ast/unit.scm 262 */
																																	bool_t
																																		BgL_test3695z00_6370;
																																	{	/* Ast/unit.scm 262 */
																																		obj_t
																																			BgL_classz00_4239;
																																		BgL_classz00_4239
																																			=
																																			BGl_globalz00zzast_varz00;
																																		if (BGL_OBJECTP(BgL_globalz00_2564))
																																			{	/* Ast/unit.scm 262 */
																																				BgL_objectz00_bglt
																																					BgL_arg1858z00_4241;
																																				BgL_arg1858z00_4241
																																					=
																																					(BgL_objectz00_bglt)
																																					(BgL_globalz00_2564);
																																				if (BGL_CONDEXPAND_ISA_ARCH64())
																																					{	/* Ast/unit.scm 262 */
																																						long
																																							BgL_idxz00_4247;
																																						BgL_idxz00_4247
																																							=
																																							BGL_OBJECT_INHERITANCE_NUM
																																							(BgL_arg1858z00_4241);
																																						BgL_test3695z00_6370
																																							=
																																							(VECTOR_REF
																																							(BGl_za2inheritancesza2z00zz__objectz00,
																																								(BgL_idxz00_4247
																																									+
																																									2L))
																																							==
																																							BgL_classz00_4239);
																																					}
																																				else
																																					{	/* Ast/unit.scm 262 */
																																						bool_t
																																							BgL_res3539z00_4272;
																																						{	/* Ast/unit.scm 262 */
																																							obj_t
																																								BgL_oclassz00_4255;
																																							{	/* Ast/unit.scm 262 */
																																								obj_t
																																									BgL_arg1866z00_4263;
																																								long
																																									BgL_arg1867z00_4264;
																																								BgL_arg1866z00_4263
																																									=
																																									(BGl_za2classesza2z00zz__objectz00);
																																								{	/* Ast/unit.scm 262 */
																																									long
																																										BgL_arg1869z00_4265;
																																									BgL_arg1869z00_4265
																																										=
																																										BGL_OBJECT_CLASS_NUM
																																										(BgL_arg1858z00_4241);
																																									BgL_arg1867z00_4264
																																										=
																																										(BgL_arg1869z00_4265
																																										-
																																										OBJECT_TYPE);
																																								}
																																								BgL_oclassz00_4255
																																									=
																																									VECTOR_REF
																																									(BgL_arg1866z00_4263,
																																									BgL_arg1867z00_4264);
																																							}
																																							{	/* Ast/unit.scm 262 */
																																								bool_t
																																									BgL__ortest_1115z00_4256;
																																								BgL__ortest_1115z00_4256
																																									=
																																									(BgL_classz00_4239
																																									==
																																									BgL_oclassz00_4255);
																																								if (BgL__ortest_1115z00_4256)
																																									{	/* Ast/unit.scm 262 */
																																										BgL_res3539z00_4272
																																											=
																																											BgL__ortest_1115z00_4256;
																																									}
																																								else
																																									{	/* Ast/unit.scm 262 */
																																										long
																																											BgL_odepthz00_4257;
																																										{	/* Ast/unit.scm 262 */
																																											obj_t
																																												BgL_arg1855z00_4258;
																																											BgL_arg1855z00_4258
																																												=
																																												(BgL_oclassz00_4255);
																																											BgL_odepthz00_4257
																																												=
																																												BGL_CLASS_DEPTH
																																												(BgL_arg1855z00_4258);
																																										}
																																										if ((2L < BgL_odepthz00_4257))
																																											{	/* Ast/unit.scm 262 */
																																												obj_t
																																													BgL_arg1853z00_4260;
																																												{	/* Ast/unit.scm 262 */
																																													obj_t
																																														BgL_arg1854z00_4261;
																																													BgL_arg1854z00_4261
																																														=
																																														(BgL_oclassz00_4255);
																																													BgL_arg1853z00_4260
																																														=
																																														BGL_CLASS_ANCESTORS_REF
																																														(BgL_arg1854z00_4261,
																																														2L);
																																												}
																																												BgL_res3539z00_4272
																																													=
																																													(BgL_arg1853z00_4260
																																													==
																																													BgL_classz00_4239);
																																											}
																																										else
																																											{	/* Ast/unit.scm 262 */
																																												BgL_res3539z00_4272
																																													=
																																													(
																																													(bool_t)
																																													0);
																																											}
																																									}
																																							}
																																						}
																																						BgL_test3695z00_6370
																																							=
																																							BgL_res3539z00_4272;
																																					}
																																			}
																																		else
																																			{	/* Ast/unit.scm 262 */
																																				BgL_test3695z00_6370
																																					=
																																					(
																																					(bool_t)
																																					0);
																																			}
																																	}
																																	if (BgL_test3695z00_6370)
																																		{	/* Ast/unit.scm 262 */
																																			BgL__ortest_1118z00_2578
																																				=
																																				(
																																				(bool_t)
																																				0);
																																		}
																																	else
																																		{	/* Ast/unit.scm 262 */
																																			BgL__ortest_1118z00_2578
																																				=
																																				(
																																				(bool_t)
																																				1);
																																		}
																																}
																																if (BgL__ortest_1118z00_2578)
																																	{	/* Ast/unit.scm 262 */
																																		BgL_test3693z00_6361
																																			=
																																			BgL__ortest_1118z00_2578;
																																	}
																																else
																																	{	/* Ast/unit.scm 262 */
																																		BgL_test3693z00_6361
																																			=
																																			((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt) ((BgL_globalz00_bglt) BgL_globalz00_2564))))->BgL_accessz00) == ((obj_t) CNST_TABLE_REF(12)));
																																	}
																															}
																														else
																															{	/* Ast/unit.scm 261 */
																																BgL_test3693z00_6361
																																	=
																																	((bool_t) 0);
																															}
																													}
																													if (BgL_test3693z00_6361)
																														{	/* Ast/unit.scm 266 */
																															obj_t
																																BgL_arg2260z00_2574;
																															{	/* Ast/unit.scm 266 */
																																obj_t
																																	BgL_arg2261z00_2575;
																																{	/* Ast/unit.scm 266 */
																																	obj_t
																																		BgL_arg2262z00_2576;
																																	{	/* Ast/unit.scm 266 */
																																		obj_t
																																			BgL_pairz00_4277;
																																		BgL_pairz00_4277
																																			=
																																			CDR((
																																				(obj_t)
																																				BgL_sexpz00_39));
																																		BgL_arg2262z00_2576
																																			=
																																			CDR
																																			(BgL_pairz00_4277);
																																	}
																																	BgL_arg2261z00_2575
																																		=
																																		BGl_findzd2locationzd2zztools_locationz00
																																		(BgL_arg2262z00_2576);
																																}
																																BgL_arg2260z00_2574
																																	=
																																	BGl_normaliza7ezd2prognzf2errorz87zzast_unitz00
																																	(BgL_expz00_1918,
																																	BgL_sexpz00_39,
																																	BgL_arg2261z00_2575);
																															}
																															return
																																BGl_makezd2sfunzd2definitionz00zzast_unitz00
																																(BgL_varz00_1916,
																																BGl_za2moduleza2z00zzmodule_modulez00,
																																BgL_argsz00_1917,
																																BgL_arg2260z00_2574,
																																BgL_sexpz00_39,
																																((obj_t)
																																	CNST_TABLE_REF
																																	(13)));
																														}
																													else
																														{	/* Ast/unit.scm 261 */
																															BGL_TAIL return
																																BGl_makezd2svarzd2definitionz00zzast_unitz00
																																(BgL_varz00_1916,
																																BgL_sexpz00_39);
																														}
																												}
																											}
																										}
																									}
																								}
																							}
																						else
																							{	/* Ast/unit.scm 225 */
																								obj_t BgL_cdrzd2529zd2_1997;

																								BgL_cdrzd2529zd2_1997 =
																									CDR(((obj_t) BgL_sexpz00_39));
																								{	/* Ast/unit.scm 225 */
																									obj_t BgL_arg1818z00_1998;
																									obj_t BgL_arg1821z00_1999;

																									BgL_arg1818z00_1998 =
																										CAR(
																										((obj_t)
																											BgL_cdrzd2529zd2_1997));
																									BgL_arg1821z00_1999 =
																										CDR(((obj_t)
																											BgL_cdrzd2529zd2_1997));
																									BgL_varz00_1940 =
																										BgL_arg1818z00_1998;
																									BgL_expz00_1941 =
																										BgL_arg1821z00_1999;
																								BgL_tagzd2368zd2_1942:
																									{	/* Ast/unit.scm 359 */
																										bool_t BgL_test3701z00_6415;

																										if (BGl_typezd2existszf3z21zztype_envz00(BgL_varz00_1940))
																											{	/* Ast/unit.scm 359 */
																												BgL_typez00_bglt
																													BgL_arg2391z00_2749;
																												BgL_arg2391z00_2749 =
																													BGl_findzd2typezd2zztype_envz00
																													(BgL_varz00_1940);
																												{	/* Ast/unit.scm 359 */
																													obj_t
																														BgL_classz00_4680;
																													BgL_classz00_4680 =
																														BGl_tclassz00zzobject_classz00;
																													{	/* Ast/unit.scm 359 */
																														BgL_objectz00_bglt
																															BgL_arg1858z00_4682;
																														{	/* Ast/unit.scm 359 */
																															obj_t
																																BgL_tmpz00_6419;
																															BgL_tmpz00_6419 =
																																((obj_t) (
																																	(BgL_objectz00_bglt)
																																	BgL_arg2391z00_2749));
																															BgL_arg1858z00_4682
																																=
																																(BgL_objectz00_bglt)
																																(BgL_tmpz00_6419);
																														}
																														if (BGL_CONDEXPAND_ISA_ARCH64())
																															{	/* Ast/unit.scm 359 */
																																long
																																	BgL_idxz00_4688;
																																BgL_idxz00_4688
																																	=
																																	BGL_OBJECT_INHERITANCE_NUM
																																	(BgL_arg1858z00_4682);
																																BgL_test3701z00_6415
																																	=
																																	(VECTOR_REF
																																	(BGl_za2inheritancesza2z00zz__objectz00,
																																		(BgL_idxz00_4688
																																			+ 2L)) ==
																																	BgL_classz00_4680);
																															}
																														else
																															{	/* Ast/unit.scm 359 */
																																bool_t
																																	BgL_res3551z00_4713;
																																{	/* Ast/unit.scm 359 */
																																	obj_t
																																		BgL_oclassz00_4696;
																																	{	/* Ast/unit.scm 359 */
																																		obj_t
																																			BgL_arg1866z00_4704;
																																		long
																																			BgL_arg1867z00_4705;
																																		BgL_arg1866z00_4704
																																			=
																																			(BGl_za2classesza2z00zz__objectz00);
																																		{	/* Ast/unit.scm 359 */
																																			long
																																				BgL_arg1869z00_4706;
																																			BgL_arg1869z00_4706
																																				=
																																				BGL_OBJECT_CLASS_NUM
																																				(BgL_arg1858z00_4682);
																																			BgL_arg1867z00_4705
																																				=
																																				(BgL_arg1869z00_4706
																																				-
																																				OBJECT_TYPE);
																																		}
																																		BgL_oclassz00_4696
																																			=
																																			VECTOR_REF
																																			(BgL_arg1866z00_4704,
																																			BgL_arg1867z00_4705);
																																	}
																																	{	/* Ast/unit.scm 359 */
																																		bool_t
																																			BgL__ortest_1115z00_4697;
																																		BgL__ortest_1115z00_4697
																																			=
																																			(BgL_classz00_4680
																																			==
																																			BgL_oclassz00_4696);
																																		if (BgL__ortest_1115z00_4697)
																																			{	/* Ast/unit.scm 359 */
																																				BgL_res3551z00_4713
																																					=
																																					BgL__ortest_1115z00_4697;
																																			}
																																		else
																																			{	/* Ast/unit.scm 359 */
																																				long
																																					BgL_odepthz00_4698;
																																				{	/* Ast/unit.scm 359 */
																																					obj_t
																																						BgL_arg1855z00_4699;
																																					BgL_arg1855z00_4699
																																						=
																																						(BgL_oclassz00_4696);
																																					BgL_odepthz00_4698
																																						=
																																						BGL_CLASS_DEPTH
																																						(BgL_arg1855z00_4699);
																																				}
																																				if (
																																					(2L <
																																						BgL_odepthz00_4698))
																																					{	/* Ast/unit.scm 359 */
																																						obj_t
																																							BgL_arg1853z00_4701;
																																						{	/* Ast/unit.scm 359 */
																																							obj_t
																																								BgL_arg1854z00_4702;
																																							BgL_arg1854z00_4702
																																								=
																																								(BgL_oclassz00_4696);
																																							BgL_arg1853z00_4701
																																								=
																																								BGL_CLASS_ANCESTORS_REF
																																								(BgL_arg1854z00_4702,
																																								2L);
																																						}
																																						BgL_res3551z00_4713
																																							=
																																							(BgL_arg1853z00_4701
																																							==
																																							BgL_classz00_4680);
																																					}
																																				else
																																					{	/* Ast/unit.scm 359 */
																																						BgL_res3551z00_4713
																																							=
																																							(
																																							(bool_t)
																																							0);
																																					}
																																			}
																																	}
																																}
																																BgL_test3701z00_6415
																																	=
																																	BgL_res3551z00_4713;
																															}
																													}
																												}
																											}
																										else
																											{	/* Ast/unit.scm 359 */
																												BgL_test3701z00_6415 =
																													((bool_t) 0);
																											}
																										if (BgL_test3701z00_6415)
																											{	/* Ast/unit.scm 360 */
																												bool_t
																													BgL_test3706z00_6442;
																												if (PAIRP
																													(BgL_expz00_1941))
																													{	/* Ast/unit.scm 360 */
																														obj_t
																															BgL_carzd23472zd2_2730;
																														BgL_carzd23472zd2_2730
																															=
																															CAR(((obj_t)
																																BgL_expz00_1941));
																														if (PAIRP
																															(BgL_carzd23472zd2_2730))
																															{	/* Ast/unit.scm 360 */
																																obj_t
																																	BgL_carzd23474zd2_2732;
																																BgL_carzd23474zd2_2732
																																	=
																																	CAR
																																	(BgL_carzd23472zd2_2730);
																																if (PAIRP
																																	(BgL_carzd23474zd2_2732))
																																	{	/* Ast/unit.scm 360 */
																																		obj_t
																																			BgL_cdrzd23477zd2_2734;
																																		BgL_cdrzd23477zd2_2734
																																			=
																																			CDR
																																			(BgL_carzd23474zd2_2732);
																																		if ((CAR
																																				(BgL_carzd23474zd2_2732)
																																				==
																																				((obj_t)
																																					CNST_TABLE_REF
																																					(0))))
																																			{	/* Ast/unit.scm 360 */
																																				if (PAIRP(BgL_cdrzd23477zd2_2734))
																																					{	/* Ast/unit.scm 360 */
																																						obj_t
																																							BgL_cdrzd23479zd2_2737;
																																						BgL_cdrzd23479zd2_2737
																																							=
																																							CDR
																																							(BgL_cdrzd23477zd2_2734);
																																						if (
																																							(CAR
																																								(BgL_cdrzd23477zd2_2734)
																																								==
																																								((obj_t) CNST_TABLE_REF(14))))
																																							{	/* Ast/unit.scm 360 */
																																								if (PAIRP(BgL_cdrzd23479zd2_2737))
																																									{	/* Ast/unit.scm 360 */
																																										if ((CAR(BgL_cdrzd23479zd2_2737) == ((obj_t) CNST_TABLE_REF(15))))
																																											{	/* Ast/unit.scm 360 */
																																												if (NULLP(CDR(BgL_cdrzd23479zd2_2737)))
																																													{	/* Ast/unit.scm 360 */
																																														BgL_test3706z00_6442
																																															=
																																															NULLP
																																															(CDR
																																															(((obj_t) BgL_expz00_1941)));
																																													}
																																												else
																																													{	/* Ast/unit.scm 360 */
																																														BgL_test3706z00_6442
																																															=
																																															(
																																															(bool_t)
																																															0);
																																													}
																																											}
																																										else
																																											{	/* Ast/unit.scm 360 */
																																												BgL_test3706z00_6442
																																													=
																																													(
																																													(bool_t)
																																													0);
																																											}
																																									}
																																								else
																																									{	/* Ast/unit.scm 360 */
																																										BgL_test3706z00_6442
																																											=
																																											(
																																											(bool_t)
																																											0);
																																									}
																																							}
																																						else
																																							{	/* Ast/unit.scm 360 */
																																								BgL_test3706z00_6442
																																									=
																																									(
																																									(bool_t)
																																									0);
																																							}
																																					}
																																				else
																																					{	/* Ast/unit.scm 360 */
																																						BgL_test3706z00_6442
																																							=
																																							(
																																							(bool_t)
																																							0);
																																					}
																																			}
																																		else
																																			{	/* Ast/unit.scm 360 */
																																				BgL_test3706z00_6442
																																					=
																																					(
																																					(bool_t)
																																					0);
																																			}
																																	}
																																else
																																	{	/* Ast/unit.scm 360 */
																																		BgL_test3706z00_6442
																																			=
																																			((bool_t)
																																			0);
																																	}
																															}
																														else
																															{	/* Ast/unit.scm 360 */
																																BgL_test3706z00_6442
																																	=
																																	((bool_t) 0);
																															}
																													}
																												else
																													{	/* Ast/unit.scm 360 */
																														BgL_test3706z00_6442
																															= ((bool_t) 0);
																													}
																												if (BgL_test3706z00_6442)
																													{	/* Ast/unit.scm 360 */
																														BFALSE;
																													}
																												else
																													{	/* Ast/unit.scm 360 */
																														BGl_errorzd2classzd2shadowz00zzast_unitz00
																															(BgL_varz00_1940,
																															BgL_sexpz00_39);
																													}
																											}
																										else
																											{	/* Ast/unit.scm 359 */
																												BFALSE;
																											}
																									}
																									BGL_TAIL return
																										BGl_makezd2svarzd2definitionz00zzast_unitz00
																										(BgL_varz00_1940,
																										BgL_sexpz00_39);
																								}
																							}
																					}
																				else
																					{	/* Ast/unit.scm 225 */
																						obj_t BgL_cdrzd2581zd2_2001;

																						BgL_cdrzd2581zd2_2001 =
																							CDR(((obj_t) BgL_sexpz00_39));
																						{	/* Ast/unit.scm 225 */
																							obj_t BgL_cdrzd2586zd2_2002;

																							BgL_cdrzd2586zd2_2002 =
																								CDR(
																								((obj_t)
																									BgL_cdrzd2581zd2_2001));
																							{	/* Ast/unit.scm 225 */
																								obj_t BgL_carzd2590zd2_2003;

																								BgL_carzd2590zd2_2003 =
																									CAR(
																									((obj_t)
																										BgL_cdrzd2586zd2_2002));
																								if (SYMBOLP
																									(BgL_carzd2590zd2_2003))
																									{	/* Ast/unit.scm 225 */
																										if (NULLP(CDR(
																													((obj_t)
																														BgL_cdrzd2586zd2_2002))))
																											{	/* Ast/unit.scm 225 */
																												obj_t
																													BgL_arg1829z00_2007;
																												BgL_arg1829z00_2007 =
																													CAR(((obj_t)
																														BgL_cdrzd2581zd2_2001));
																												BgL_varz00_1933 =
																													BgL_arg1829z00_2007;
																												BgL_var2z00_1934 =
																													BgL_carzd2590zd2_2003;
																											BgL_tagzd2366zd2_1935:
																												{	/* Ast/unit.scm 307 */
																													bool_t
																														BgL_test3718z00_6495;
																													if (BGl_typezd2existszf3z21zztype_envz00(BgL_varz00_1933))
																														{	/* Ast/unit.scm 307 */
																															BgL_typez00_bglt
																																BgL_arg2325z00_2653;
																															BgL_arg2325z00_2653
																																=
																																BGl_findzd2typezd2zztype_envz00
																																(BgL_varz00_1933);
																															{	/* Ast/unit.scm 307 */
																																obj_t
																																	BgL_classz00_4468;
																																BgL_classz00_4468
																																	=
																																	BGl_tclassz00zzobject_classz00;
																																{	/* Ast/unit.scm 307 */
																																	BgL_objectz00_bglt
																																		BgL_arg1858z00_4470;
																																	{	/* Ast/unit.scm 307 */
																																		obj_t
																																			BgL_tmpz00_6499;
																																		BgL_tmpz00_6499
																																			=
																																			((obj_t) (
																																				(BgL_objectz00_bglt)
																																				BgL_arg2325z00_2653));
																																		BgL_arg1858z00_4470
																																			=
																																			(BgL_objectz00_bglt)
																																			(BgL_tmpz00_6499);
																																	}
																																	if (BGL_CONDEXPAND_ISA_ARCH64())
																																		{	/* Ast/unit.scm 307 */
																																			long
																																				BgL_idxz00_4476;
																																			BgL_idxz00_4476
																																				=
																																				BGL_OBJECT_INHERITANCE_NUM
																																				(BgL_arg1858z00_4470);
																																			BgL_test3718z00_6495
																																				=
																																				(VECTOR_REF
																																				(BGl_za2inheritancesza2z00zz__objectz00,
																																					(BgL_idxz00_4476
																																						+
																																						2L))
																																				==
																																				BgL_classz00_4468);
																																		}
																																	else
																																		{	/* Ast/unit.scm 307 */
																																			bool_t
																																				BgL_res3545z00_4501;
																																			{	/* Ast/unit.scm 307 */
																																				obj_t
																																					BgL_oclassz00_4484;
																																				{	/* Ast/unit.scm 307 */
																																					obj_t
																																						BgL_arg1866z00_4492;
																																					long
																																						BgL_arg1867z00_4493;
																																					BgL_arg1866z00_4492
																																						=
																																						(BGl_za2classesza2z00zz__objectz00);
																																					{	/* Ast/unit.scm 307 */
																																						long
																																							BgL_arg1869z00_4494;
																																						BgL_arg1869z00_4494
																																							=
																																							BGL_OBJECT_CLASS_NUM
																																							(BgL_arg1858z00_4470);
																																						BgL_arg1867z00_4493
																																							=
																																							(BgL_arg1869z00_4494
																																							-
																																							OBJECT_TYPE);
																																					}
																																					BgL_oclassz00_4484
																																						=
																																						VECTOR_REF
																																						(BgL_arg1866z00_4492,
																																						BgL_arg1867z00_4493);
																																				}
																																				{	/* Ast/unit.scm 307 */
																																					bool_t
																																						BgL__ortest_1115z00_4485;
																																					BgL__ortest_1115z00_4485
																																						=
																																						(BgL_classz00_4468
																																						==
																																						BgL_oclassz00_4484);
																																					if (BgL__ortest_1115z00_4485)
																																						{	/* Ast/unit.scm 307 */
																																							BgL_res3545z00_4501
																																								=
																																								BgL__ortest_1115z00_4485;
																																						}
																																					else
																																						{	/* Ast/unit.scm 307 */
																																							long
																																								BgL_odepthz00_4486;
																																							{	/* Ast/unit.scm 307 */
																																								obj_t
																																									BgL_arg1855z00_4487;
																																								BgL_arg1855z00_4487
																																									=
																																									(BgL_oclassz00_4484);
																																								BgL_odepthz00_4486
																																									=
																																									BGL_CLASS_DEPTH
																																									(BgL_arg1855z00_4487);
																																							}
																																							if ((2L < BgL_odepthz00_4486))
																																								{	/* Ast/unit.scm 307 */
																																									obj_t
																																										BgL_arg1853z00_4489;
																																									{	/* Ast/unit.scm 307 */
																																										obj_t
																																											BgL_arg1854z00_4490;
																																										BgL_arg1854z00_4490
																																											=
																																											(BgL_oclassz00_4484);
																																										BgL_arg1853z00_4489
																																											=
																																											BGL_CLASS_ANCESTORS_REF
																																											(BgL_arg1854z00_4490,
																																											2L);
																																									}
																																									BgL_res3545z00_4501
																																										=
																																										(BgL_arg1853z00_4489
																																										==
																																										BgL_classz00_4468);
																																								}
																																							else
																																								{	/* Ast/unit.scm 307 */
																																									BgL_res3545z00_4501
																																										=
																																										(
																																										(bool_t)
																																										0);
																																								}
																																						}
																																				}
																																			}
																																			BgL_test3718z00_6495
																																				=
																																				BgL_res3545z00_4501;
																																		}
																																}
																															}
																														}
																													else
																														{	/* Ast/unit.scm 307 */
																															BgL_test3718z00_6495
																																= ((bool_t) 0);
																														}
																													if (BgL_test3718z00_6495)
																														{	/* Ast/unit.scm 307 */
																															BGl_errorzd2classzd2shadowz00zzast_unitz00
																																(BgL_varz00_1933,
																																BgL_sexpz00_39);
																														}
																													else
																														{	/* Ast/unit.scm 307 */
																															BFALSE;
																														}
																												}
																												{	/* Ast/unit.scm 309 */
																													obj_t BgL_defz00_2654;

																													BgL_defz00_2654 =
																														BGl_assqz00zz__r4_pairs_and_lists_6_3z00
																														(BGl_idzd2ofzd2idz00zzast_identz00
																														(BgL_varz00_1933,
																															BGl_findzd2locationzd2zztools_locationz00
																															(BgL_sexpz00_39)),
																														BgL_gdefsz00_40);
																													{	/* Ast/unit.scm 310 */
																														bool_t
																															BgL_test3723z00_6526;
																														{	/* Ast/unit.scm 310 */
																															obj_t
																																BgL_tmpz00_6527;
																															{	/* Ast/unit.scm 310 */
																																obj_t
																																	BgL_pairz00_4503;
																																BgL_pairz00_4503
																																	=
																																	CDR(((obj_t)
																																		BgL_defz00_2654));
																																BgL_tmpz00_6527
																																	=
																																	CAR
																																	(BgL_pairz00_4503);
																															}
																															BgL_test3723z00_6526
																																=
																																(BgL_tmpz00_6527
																																==
																																((obj_t)
																																	CNST_TABLE_REF
																																	(12)));
																														}
																														if (BgL_test3723z00_6526)
																															{	/* Ast/unit.scm 311 */
																																obj_t
																																	BgL_gz00_2658;
																																BgL_gz00_2658 =
																																	BGl_findzd2globalzd2zzast_envz00
																																	(BgL_var2z00_1934,
																																	BNIL);
																																{	/* Ast/unit.scm 311 */
																																	obj_t
																																		BgL_arityz00_2659;
																																	{	/* Ast/unit.scm 312 */
																																		bool_t
																																			BgL_test3724z00_6535;
																																		{	/* Ast/unit.scm 312 */
																																			obj_t
																																				BgL_classz00_4504;
																																			BgL_classz00_4504
																																				=
																																				BGl_globalz00zzast_varz00;
																																			if (BGL_OBJECTP(BgL_gz00_2658))
																																				{	/* Ast/unit.scm 312 */
																																					BgL_objectz00_bglt
																																						BgL_arg1858z00_4506;
																																					BgL_arg1858z00_4506
																																						=
																																						(BgL_objectz00_bglt)
																																						(BgL_gz00_2658);
																																					if (BGL_CONDEXPAND_ISA_ARCH64())
																																						{	/* Ast/unit.scm 312 */
																																							long
																																								BgL_idxz00_4512;
																																							BgL_idxz00_4512
																																								=
																																								BGL_OBJECT_INHERITANCE_NUM
																																								(BgL_arg1858z00_4506);
																																							BgL_test3724z00_6535
																																								=
																																								(VECTOR_REF
																																								(BGl_za2inheritancesza2z00zz__objectz00,
																																									(BgL_idxz00_4512
																																										+
																																										2L))
																																								==
																																								BgL_classz00_4504);
																																						}
																																					else
																																						{	/* Ast/unit.scm 312 */
																																							bool_t
																																								BgL_res3546z00_4537;
																																							{	/* Ast/unit.scm 312 */
																																								obj_t
																																									BgL_oclassz00_4520;
																																								{	/* Ast/unit.scm 312 */
																																									obj_t
																																										BgL_arg1866z00_4528;
																																									long
																																										BgL_arg1867z00_4529;
																																									BgL_arg1866z00_4528
																																										=
																																										(BGl_za2classesza2z00zz__objectz00);
																																									{	/* Ast/unit.scm 312 */
																																										long
																																											BgL_arg1869z00_4530;
																																										BgL_arg1869z00_4530
																																											=
																																											BGL_OBJECT_CLASS_NUM
																																											(BgL_arg1858z00_4506);
																																										BgL_arg1867z00_4529
																																											=
																																											(BgL_arg1869z00_4530
																																											-
																																											OBJECT_TYPE);
																																									}
																																									BgL_oclassz00_4520
																																										=
																																										VECTOR_REF
																																										(BgL_arg1866z00_4528,
																																										BgL_arg1867z00_4529);
																																								}
																																								{	/* Ast/unit.scm 312 */
																																									bool_t
																																										BgL__ortest_1115z00_4521;
																																									BgL__ortest_1115z00_4521
																																										=
																																										(BgL_classz00_4504
																																										==
																																										BgL_oclassz00_4520);
																																									if (BgL__ortest_1115z00_4521)
																																										{	/* Ast/unit.scm 312 */
																																											BgL_res3546z00_4537
																																												=
																																												BgL__ortest_1115z00_4521;
																																										}
																																									else
																																										{	/* Ast/unit.scm 312 */
																																											long
																																												BgL_odepthz00_4522;
																																											{	/* Ast/unit.scm 312 */
																																												obj_t
																																													BgL_arg1855z00_4523;
																																												BgL_arg1855z00_4523
																																													=
																																													(BgL_oclassz00_4520);
																																												BgL_odepthz00_4522
																																													=
																																													BGL_CLASS_DEPTH
																																													(BgL_arg1855z00_4523);
																																											}
																																											if ((2L < BgL_odepthz00_4522))
																																												{	/* Ast/unit.scm 312 */
																																													obj_t
																																														BgL_arg1853z00_4525;
																																													{	/* Ast/unit.scm 312 */
																																														obj_t
																																															BgL_arg1854z00_4526;
																																														BgL_arg1854z00_4526
																																															=
																																															(BgL_oclassz00_4520);
																																														BgL_arg1853z00_4525
																																															=
																																															BGL_CLASS_ANCESTORS_REF
																																															(BgL_arg1854z00_4526,
																																															2L);
																																													}
																																													BgL_res3546z00_4537
																																														=
																																														(BgL_arg1853z00_4525
																																														==
																																														BgL_classz00_4504);
																																												}
																																											else
																																												{	/* Ast/unit.scm 312 */
																																													BgL_res3546z00_4537
																																														=
																																														(
																																														(bool_t)
																																														0);
																																												}
																																										}
																																								}
																																							}
																																							BgL_test3724z00_6535
																																								=
																																								BgL_res3546z00_4537;
																																						}
																																				}
																																			else
																																				{	/* Ast/unit.scm 312 */
																																					BgL_test3724z00_6535
																																						=
																																						(
																																						(bool_t)
																																						0);
																																				}
																																		}
																																		if (BgL_test3724z00_6535)
																																			{	/* Ast/unit.scm 313 */
																																				bool_t
																																					BgL_test3729z00_6558;
																																				{	/* Ast/unit.scm 313 */
																																					BgL_valuez00_bglt
																																						BgL_arg2335z00_2667;
																																					BgL_arg2335z00_2667
																																						=
																																						(((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt) ((BgL_globalz00_bglt) BgL_gz00_2658))))->BgL_valuez00);
																																					{	/* Ast/unit.scm 313 */
																																						obj_t
																																							BgL_classz00_4539;
																																						BgL_classz00_4539
																																							=
																																							BGl_funz00zzast_varz00;
																																						{	/* Ast/unit.scm 313 */
																																							BgL_objectz00_bglt
																																								BgL_arg1858z00_4541;
																																							{	/* Ast/unit.scm 313 */
																																								obj_t
																																									BgL_tmpz00_6562;
																																								BgL_tmpz00_6562
																																									=
																																									(
																																									(obj_t)
																																									((BgL_objectz00_bglt) BgL_arg2335z00_2667));
																																								BgL_arg1858z00_4541
																																									=
																																									(BgL_objectz00_bglt)
																																									(BgL_tmpz00_6562);
																																							}
																																							if (BGL_CONDEXPAND_ISA_ARCH64())
																																								{	/* Ast/unit.scm 313 */
																																									long
																																										BgL_idxz00_4547;
																																									BgL_idxz00_4547
																																										=
																																										BGL_OBJECT_INHERITANCE_NUM
																																										(BgL_arg1858z00_4541);
																																									BgL_test3729z00_6558
																																										=
																																										(VECTOR_REF
																																										(BGl_za2inheritancesza2z00zz__objectz00,
																																											(BgL_idxz00_4547
																																												+
																																												2L))
																																										==
																																										BgL_classz00_4539);
																																								}
																																							else
																																								{	/* Ast/unit.scm 313 */
																																									bool_t
																																										BgL_res3547z00_4572;
																																									{	/* Ast/unit.scm 313 */
																																										obj_t
																																											BgL_oclassz00_4555;
																																										{	/* Ast/unit.scm 313 */
																																											obj_t
																																												BgL_arg1866z00_4563;
																																											long
																																												BgL_arg1867z00_4564;
																																											BgL_arg1866z00_4563
																																												=
																																												(BGl_za2classesza2z00zz__objectz00);
																																											{	/* Ast/unit.scm 313 */
																																												long
																																													BgL_arg1869z00_4565;
																																												BgL_arg1869z00_4565
																																													=
																																													BGL_OBJECT_CLASS_NUM
																																													(BgL_arg1858z00_4541);
																																												BgL_arg1867z00_4564
																																													=
																																													(BgL_arg1869z00_4565
																																													-
																																													OBJECT_TYPE);
																																											}
																																											BgL_oclassz00_4555
																																												=
																																												VECTOR_REF
																																												(BgL_arg1866z00_4563,
																																												BgL_arg1867z00_4564);
																																										}
																																										{	/* Ast/unit.scm 313 */
																																											bool_t
																																												BgL__ortest_1115z00_4556;
																																											BgL__ortest_1115z00_4556
																																												=
																																												(BgL_classz00_4539
																																												==
																																												BgL_oclassz00_4555);
																																											if (BgL__ortest_1115z00_4556)
																																												{	/* Ast/unit.scm 313 */
																																													BgL_res3547z00_4572
																																														=
																																														BgL__ortest_1115z00_4556;
																																												}
																																											else
																																												{	/* Ast/unit.scm 313 */
																																													long
																																														BgL_odepthz00_4557;
																																													{	/* Ast/unit.scm 313 */
																																														obj_t
																																															BgL_arg1855z00_4558;
																																														BgL_arg1855z00_4558
																																															=
																																															(BgL_oclassz00_4555);
																																														BgL_odepthz00_4557
																																															=
																																															BGL_CLASS_DEPTH
																																															(BgL_arg1855z00_4558);
																																													}
																																													if ((2L < BgL_odepthz00_4557))
																																														{	/* Ast/unit.scm 313 */
																																															obj_t
																																																BgL_arg1853z00_4560;
																																															{	/* Ast/unit.scm 313 */
																																																obj_t
																																																	BgL_arg1854z00_4561;
																																																BgL_arg1854z00_4561
																																																	=
																																																	(BgL_oclassz00_4555);
																																																BgL_arg1853z00_4560
																																																	=
																																																	BGL_CLASS_ANCESTORS_REF
																																																	(BgL_arg1854z00_4561,
																																																	2L);
																																															}
																																															BgL_res3547z00_4572
																																																=
																																																(BgL_arg1853z00_4560
																																																==
																																																BgL_classz00_4539);
																																														}
																																													else
																																														{	/* Ast/unit.scm 313 */
																																															BgL_res3547z00_4572
																																																=
																																																(
																																																(bool_t)
																																																0);
																																														}
																																												}
																																										}
																																									}
																																									BgL_test3729z00_6558
																																										=
																																										BgL_res3547z00_4572;
																																								}
																																						}
																																					}
																																				}
																																				if (BgL_test3729z00_6558)
																																					{	/* Ast/unit.scm 313 */
																																						BgL_arityz00_2659
																																							=
																																							BINT
																																							((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) (((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt) ((BgL_globalz00_bglt) BgL_gz00_2658))))->BgL_valuez00))))->BgL_arityz00));
																																					}
																																				else
																																					{	/* Ast/unit.scm 313 */
																																						BgL_arityz00_2659
																																							=
																																							BFALSE;
																																					}
																																			}
																																		else
																																			{	/* Ast/unit.scm 312 */
																																				BgL_arityz00_2659
																																					=
																																					BFALSE;
																																			}
																																	}
																																	{	/* Ast/unit.scm 312 */

																																		if (INTEGERP
																																			(BgL_arityz00_2659))
																																			{	/* Ast/unit.scm 315 */
																																				if (BGl_globalzd2optionalzf3z21zzast_varz00(BgL_gz00_2658))
																																					{	/* Ast/unit.scm 317 */
																																						BGl_userzd2warningzd2zztools_errorz00
																																							(BgL_varz00_1933,
																																							BGl_string3592z00zzast_unitz00,
																																							BgL_sexpz00_39);
																																						BGL_TAIL
																																							return
																																							BGl_makezd2svarzd2definitionz00zzast_unitz00
																																							(BgL_varz00_1933,
																																							BgL_sexpz00_39);
																																					}
																																				else
																																					{	/* Ast/unit.scm 317 */
																																						if (BGl_globalzd2keyzf3z21zzast_varz00(BgL_gz00_2658))
																																							{	/* Ast/unit.scm 322 */
																																								BGl_userzd2warningzd2zztools_errorz00
																																									(BgL_varz00_1933,
																																									BGl_string3593z00zzast_unitz00,
																																									BgL_sexpz00_39);
																																								BGL_TAIL
																																									return
																																									BGl_makezd2svarzd2definitionz00zzast_unitz00
																																									(BgL_varz00_1933,
																																									BgL_sexpz00_39);
																																							}
																																						else
																																							{
																																								obj_t
																																									BgL_sexpz00_6601;
																																								BgL_sexpz00_6601
																																									=
																																									BGl_etazd2expansezd2zzast_unitz00
																																									(BgL_sexpz00_39,
																																									BgL_arityz00_2659);
																																								BgL_sexpz00_39
																																									=
																																									BgL_sexpz00_6601;
																																								goto
																																									BGl_toplevelzd2ze3astz31zzast_unitz00;
																																							}
																																					}
																																			}
																																		else
																																			{	/* Ast/unit.scm 315 */
																																				BGL_TAIL
																																					return
																																					BGl_makezd2svarzd2definitionz00zzast_unitz00
																																					(BgL_varz00_1933,
																																					BgL_sexpz00_39);
																																			}
																																	}
																																}
																															}
																														else
																															{	/* Ast/unit.scm 310 */
																																BGL_TAIL return
																																	BGl_makezd2svarzd2definitionz00zzast_unitz00
																																	(BgL_varz00_1933,
																																	BgL_sexpz00_39);
																															}
																													}
																												}
																											}
																										else
																											{	/* Ast/unit.scm 225 */
																												obj_t
																													BgL_arg1834z00_2009;
																												BgL_arg1834z00_2009 =
																													CAR(((obj_t)
																														BgL_cdrzd2581zd2_2001));
																												{
																													obj_t BgL_expz00_6608;
																													obj_t BgL_varz00_6607;

																													BgL_varz00_6607 =
																														BgL_arg1834z00_2009;
																													BgL_expz00_6608 =
																														BgL_cdrzd2586zd2_2002;
																													BgL_expz00_1941 =
																														BgL_expz00_6608;
																													BgL_varz00_1940 =
																														BgL_varz00_6607;
																													goto
																														BgL_tagzd2368zd2_1942;
																												}
																											}
																									}
																								else
																									{	/* Ast/unit.scm 225 */
																										obj_t BgL_arg1847z00_2013;

																										BgL_arg1847z00_2013 =
																											CAR(
																											((obj_t)
																												BgL_cdrzd2581zd2_2001));
																										{
																											obj_t BgL_expz00_6612;
																											obj_t BgL_varz00_6611;

																											BgL_varz00_6611 =
																												BgL_arg1847z00_2013;
																											BgL_expz00_6612 =
																												BgL_cdrzd2586zd2_2002;
																											BgL_expz00_1941 =
																												BgL_expz00_6612;
																											BgL_varz00_1940 =
																												BgL_varz00_6611;
																											goto
																												BgL_tagzd2368zd2_1942;
																										}
																									}
																							}
																						}
																					}
																			}
																		else
																			{	/* Ast/unit.scm 225 */
																				obj_t BgL_cdrzd2661zd2_2015;

																				BgL_cdrzd2661zd2_2015 =
																					CDR(((obj_t) BgL_sexpz00_39));
																				{	/* Ast/unit.scm 225 */
																					obj_t BgL_cdrzd2668zd2_2016;

																					BgL_cdrzd2668zd2_2016 =
																						CDR(
																						((obj_t) BgL_cdrzd2661zd2_2015));
																					{	/* Ast/unit.scm 225 */
																						obj_t BgL_carzd2674zd2_2017;

																						BgL_carzd2674zd2_2017 =
																							CAR(
																							((obj_t) BgL_cdrzd2668zd2_2016));
																						{	/* Ast/unit.scm 225 */
																							obj_t BgL_cdrzd2680zd2_2018;

																							BgL_cdrzd2680zd2_2018 =
																								CDR(
																								((obj_t)
																									BgL_carzd2674zd2_2017));
																							if ((CAR(((obj_t)
																											BgL_carzd2674zd2_2017)) ==
																									((obj_t) CNST_TABLE_REF(18))))
																								{	/* Ast/unit.scm 225 */
																									if (PAIRP
																										(BgL_cdrzd2680zd2_2018))
																										{	/* Ast/unit.scm 225 */
																											obj_t
																												BgL_carzd2684zd2_2022;
																											obj_t
																												BgL_cdrzd2685zd2_2023;
																											BgL_carzd2684zd2_2022 =
																												CAR
																												(BgL_cdrzd2680zd2_2018);
																											BgL_cdrzd2685zd2_2023 =
																												CDR
																												(BgL_cdrzd2680zd2_2018);
																											if (PAIRP
																												(BgL_carzd2684zd2_2022))
																												{	/* Ast/unit.scm 225 */
																													obj_t
																														BgL_carzd2689zd2_2025;
																													BgL_carzd2689zd2_2025
																														=
																														CAR
																														(BgL_carzd2684zd2_2022);
																													if (PAIRP
																														(BgL_carzd2689zd2_2025))
																														{	/* Ast/unit.scm 225 */
																															obj_t
																																BgL_cdrzd2695zd2_2027;
																															BgL_cdrzd2695zd2_2027
																																=
																																CDR
																																(BgL_carzd2689zd2_2025);
																															{	/* Ast/unit.scm 225 */
																																obj_t
																																	BgL_fz00_2028;
																																BgL_fz00_2028 =
																																	CAR
																																	(BgL_carzd2689zd2_2025);
																																if (PAIRP
																																	(BgL_cdrzd2695zd2_2027))
																																	{	/* Ast/unit.scm 225 */
																																		if (NULLP
																																			(CDR
																																				(BgL_carzd2684zd2_2022)))
																																			{	/* Ast/unit.scm 225 */
																																				if (PAIRP(BgL_cdrzd2685zd2_2023))
																																					{	/* Ast/unit.scm 225 */
																																						if (
																																							(BgL_fz00_2028
																																								==
																																								CAR
																																								(BgL_cdrzd2685zd2_2023)))
																																							{	/* Ast/unit.scm 225 */
																																								if (NULLP(CDR(BgL_cdrzd2685zd2_2023)))
																																									{	/* Ast/unit.scm 225 */
																																										if (NULLP(CDR(((obj_t) BgL_cdrzd2668zd2_2016))))
																																											{	/* Ast/unit.scm 225 */
																																												obj_t
																																													BgL_arg1878z00_2039;
																																												obj_t
																																													BgL_arg1882z00_2040;
																																												obj_t
																																													BgL_arg1884z00_2041;
																																												BgL_arg1878z00_2039
																																													=
																																													CAR
																																													(
																																													((obj_t) BgL_cdrzd2661zd2_2015));
																																												BgL_arg1882z00_2040
																																													=
																																													CAR
																																													(BgL_cdrzd2695zd2_2027);
																																												BgL_arg1884z00_2041
																																													=
																																													CDR
																																													(BgL_cdrzd2695zd2_2027);
																																												BgL_varz00_1920
																																													=
																																													BgL_arg1878z00_2039;
																																												BgL_argsz00_1921
																																													=
																																													BgL_arg1882z00_2040;
																																												BgL_expz00_1922
																																													=
																																													BgL_arg1884z00_2041;
																																												BgL_fz00_1923
																																													=
																																													BgL_fz00_2028;
																																												{	/* Ast/unit.scm 270 */
																																													bool_t
																																														BgL_test3746z00_6659;
																																													if (BGl_typezd2existszf3z21zztype_envz00(BgL_varz00_1920))
																																														{	/* Ast/unit.scm 270 */
																																															BgL_typez00_bglt
																																																BgL_arg2270z00_2588;
																																															BgL_arg2270z00_2588
																																																=
																																																BGl_findzd2typezd2zztype_envz00
																																																(BgL_varz00_1920);
																																															{	/* Ast/unit.scm 270 */
																																																obj_t
																																																	BgL_classz00_4278;
																																																BgL_classz00_4278
																																																	=
																																																	BGl_tclassz00zzobject_classz00;
																																																{	/* Ast/unit.scm 270 */
																																																	BgL_objectz00_bglt
																																																		BgL_arg1858z00_4280;
																																																	{	/* Ast/unit.scm 270 */
																																																		obj_t
																																																			BgL_tmpz00_6663;
																																																		BgL_tmpz00_6663
																																																			=
																																																			(
																																																			(obj_t)
																																																			((BgL_objectz00_bglt) BgL_arg2270z00_2588));
																																																		BgL_arg1858z00_4280
																																																			=
																																																			(BgL_objectz00_bglt)
																																																			(BgL_tmpz00_6663);
																																																	}
																																																	if (BGL_CONDEXPAND_ISA_ARCH64())
																																																		{	/* Ast/unit.scm 270 */
																																																			long
																																																				BgL_idxz00_4286;
																																																			BgL_idxz00_4286
																																																				=
																																																				BGL_OBJECT_INHERITANCE_NUM
																																																				(BgL_arg1858z00_4280);
																																																			BgL_test3746z00_6659
																																																				=
																																																				(VECTOR_REF
																																																				(BGl_za2inheritancesza2z00zz__objectz00,
																																																					(BgL_idxz00_4286
																																																						+
																																																						2L))
																																																				==
																																																				BgL_classz00_4278);
																																																		}
																																																	else
																																																		{	/* Ast/unit.scm 270 */
																																																			bool_t
																																																				BgL_res3540z00_4311;
																																																			{	/* Ast/unit.scm 270 */
																																																				obj_t
																																																					BgL_oclassz00_4294;
																																																				{	/* Ast/unit.scm 270 */
																																																					obj_t
																																																						BgL_arg1866z00_4302;
																																																					long
																																																						BgL_arg1867z00_4303;
																																																					BgL_arg1866z00_4302
																																																						=
																																																						(BGl_za2classesza2z00zz__objectz00);
																																																					{	/* Ast/unit.scm 270 */
																																																						long
																																																							BgL_arg1869z00_4304;
																																																						BgL_arg1869z00_4304
																																																							=
																																																							BGL_OBJECT_CLASS_NUM
																																																							(BgL_arg1858z00_4280);
																																																						BgL_arg1867z00_4303
																																																							=
																																																							(BgL_arg1869z00_4304
																																																							-
																																																							OBJECT_TYPE);
																																																					}
																																																					BgL_oclassz00_4294
																																																						=
																																																						VECTOR_REF
																																																						(BgL_arg1866z00_4302,
																																																						BgL_arg1867z00_4303);
																																																				}
																																																				{	/* Ast/unit.scm 270 */
																																																					bool_t
																																																						BgL__ortest_1115z00_4295;
																																																					BgL__ortest_1115z00_4295
																																																						=
																																																						(BgL_classz00_4278
																																																						==
																																																						BgL_oclassz00_4294);
																																																					if (BgL__ortest_1115z00_4295)
																																																						{	/* Ast/unit.scm 270 */
																																																							BgL_res3540z00_4311
																																																								=
																																																								BgL__ortest_1115z00_4295;
																																																						}
																																																					else
																																																						{	/* Ast/unit.scm 270 */
																																																							long
																																																								BgL_odepthz00_4296;
																																																							{	/* Ast/unit.scm 270 */
																																																								obj_t
																																																									BgL_arg1855z00_4297;
																																																								BgL_arg1855z00_4297
																																																									=
																																																									(BgL_oclassz00_4294);
																																																								BgL_odepthz00_4296
																																																									=
																																																									BGL_CLASS_DEPTH
																																																									(BgL_arg1855z00_4297);
																																																							}
																																																							if ((2L < BgL_odepthz00_4296))
																																																								{	/* Ast/unit.scm 270 */
																																																									obj_t
																																																										BgL_arg1853z00_4299;
																																																									{	/* Ast/unit.scm 270 */
																																																										obj_t
																																																											BgL_arg1854z00_4300;
																																																										BgL_arg1854z00_4300
																																																											=
																																																											(BgL_oclassz00_4294);
																																																										BgL_arg1853z00_4299
																																																											=
																																																											BGL_CLASS_ANCESTORS_REF
																																																											(BgL_arg1854z00_4300,
																																																											2L);
																																																									}
																																																									BgL_res3540z00_4311
																																																										=
																																																										(BgL_arg1853z00_4299
																																																										==
																																																										BgL_classz00_4278);
																																																								}
																																																							else
																																																								{	/* Ast/unit.scm 270 */
																																																									BgL_res3540z00_4311
																																																										=
																																																										(
																																																										(bool_t)
																																																										0);
																																																								}
																																																						}
																																																				}
																																																			}
																																																			BgL_test3746z00_6659
																																																				=
																																																				BgL_res3540z00_4311;
																																																		}
																																																}
																																															}
																																														}
																																													else
																																														{	/* Ast/unit.scm 270 */
																																															BgL_test3746z00_6659
																																																=
																																																(
																																																(bool_t)
																																																0);
																																														}
																																													if (BgL_test3746z00_6659)
																																														{	/* Ast/unit.scm 270 */
																																															BGl_errorzd2classzd2shadowz00zzast_unitz00
																																																(BgL_varz00_1920,
																																																BgL_sexpz00_39);
																																														}
																																													else
																																														{	/* Ast/unit.scm 270 */
																																															BFALSE;
																																														}
																																												}
																																												{	/* Ast/unit.scm 272 */
																																													obj_t
																																														BgL_idz00_2589;
																																													BgL_idz00_2589
																																														=
																																														BGl_idzd2ofzd2idz00zzast_identz00
																																														(BgL_varz00_1920,
																																														BGl_findzd2locationzd2zztools_locationz00
																																														(BgL_sexpz00_39));
																																													{	/* Ast/unit.scm 272 */
																																														obj_t
																																															BgL_defz00_2590;
																																														BgL_defz00_2590
																																															=
																																															BGl_assqz00zz__r4_pairs_and_lists_6_3z00
																																															(BgL_idz00_2589,
																																															BgL_gdefsz00_40);
																																														{	/* Ast/unit.scm 273 */
																																															obj_t
																																																BgL_globalz00_2591;
																																															BgL_globalz00_2591
																																																=
																																																BGl_findzd2globalzf2modulez20zzast_envz00
																																																(BgL_idz00_2589,
																																																BGl_za2moduleza2z00zzmodule_modulez00);
																																															{	/* Ast/unit.scm 274 */

																																																{	/* Ast/unit.scm 276 */
																																																	bool_t
																																																		BgL_test3751z00_6691;
																																																	{	/* Ast/unit.scm 276 */
																																																		bool_t
																																																			BgL_test3752z00_6692;
																																																		{	/* Ast/unit.scm 276 */
																																																			obj_t
																																																				BgL_tmpz00_6693;
																																																			{	/* Ast/unit.scm 276 */
																																																				obj_t
																																																					BgL_pairz00_4313;
																																																				BgL_pairz00_4313
																																																					=
																																																					CDR
																																																					(
																																																					((obj_t) BgL_defz00_2590));
																																																				BgL_tmpz00_6693
																																																					=
																																																					CAR
																																																					(BgL_pairz00_4313);
																																																			}
																																																			BgL_test3752z00_6692
																																																				=
																																																				(BgL_tmpz00_6693
																																																				==
																																																				((obj_t) CNST_TABLE_REF(12)));
																																																		}
																																																		if (BgL_test3752z00_6692)
																																																			{	/* Ast/unit.scm 277 */
																																																				bool_t
																																																					BgL_test3753z00_6700;
																																																				{	/* Ast/unit.scm 277 */
																																																					bool_t
																																																						BgL_test3754z00_6701;
																																																					{	/* Ast/unit.scm 277 */
																																																						obj_t
																																																							BgL_classz00_4314;
																																																						BgL_classz00_4314
																																																							=
																																																							BGl_globalz00zzast_varz00;
																																																						if (BGL_OBJECTP(BgL_globalz00_2591))
																																																							{	/* Ast/unit.scm 277 */
																																																								BgL_objectz00_bglt
																																																									BgL_arg1858z00_4316;
																																																								BgL_arg1858z00_4316
																																																									=
																																																									(BgL_objectz00_bglt)
																																																									(BgL_globalz00_2591);
																																																								if (BGL_CONDEXPAND_ISA_ARCH64())
																																																									{	/* Ast/unit.scm 277 */
																																																										long
																																																											BgL_idxz00_4322;
																																																										BgL_idxz00_4322
																																																											=
																																																											BGL_OBJECT_INHERITANCE_NUM
																																																											(BgL_arg1858z00_4316);
																																																										BgL_test3754z00_6701
																																																											=
																																																											(VECTOR_REF
																																																											(BGl_za2inheritancesza2z00zz__objectz00,
																																																												(BgL_idxz00_4322
																																																													+
																																																													2L))
																																																											==
																																																											BgL_classz00_4314);
																																																									}
																																																								else
																																																									{	/* Ast/unit.scm 277 */
																																																										bool_t
																																																											BgL_res3541z00_4347;
																																																										{	/* Ast/unit.scm 277 */
																																																											obj_t
																																																												BgL_oclassz00_4330;
																																																											{	/* Ast/unit.scm 277 */
																																																												obj_t
																																																													BgL_arg1866z00_4338;
																																																												long
																																																													BgL_arg1867z00_4339;
																																																												BgL_arg1866z00_4338
																																																													=
																																																													(BGl_za2classesza2z00zz__objectz00);
																																																												{	/* Ast/unit.scm 277 */
																																																													long
																																																														BgL_arg1869z00_4340;
																																																													BgL_arg1869z00_4340
																																																														=
																																																														BGL_OBJECT_CLASS_NUM
																																																														(BgL_arg1858z00_4316);
																																																													BgL_arg1867z00_4339
																																																														=
																																																														(BgL_arg1869z00_4340
																																																														-
																																																														OBJECT_TYPE);
																																																												}
																																																												BgL_oclassz00_4330
																																																													=
																																																													VECTOR_REF
																																																													(BgL_arg1866z00_4338,
																																																													BgL_arg1867z00_4339);
																																																											}
																																																											{	/* Ast/unit.scm 277 */
																																																												bool_t
																																																													BgL__ortest_1115z00_4331;
																																																												BgL__ortest_1115z00_4331
																																																													=
																																																													(BgL_classz00_4314
																																																													==
																																																													BgL_oclassz00_4330);
																																																												if (BgL__ortest_1115z00_4331)
																																																													{	/* Ast/unit.scm 277 */
																																																														BgL_res3541z00_4347
																																																															=
																																																															BgL__ortest_1115z00_4331;
																																																													}
																																																												else
																																																													{	/* Ast/unit.scm 277 */
																																																														long
																																																															BgL_odepthz00_4332;
																																																														{	/* Ast/unit.scm 277 */
																																																															obj_t
																																																																BgL_arg1855z00_4333;
																																																															BgL_arg1855z00_4333
																																																																=
																																																																(BgL_oclassz00_4330);
																																																															BgL_odepthz00_4332
																																																																=
																																																																BGL_CLASS_DEPTH
																																																																(BgL_arg1855z00_4333);
																																																														}
																																																														if ((2L < BgL_odepthz00_4332))
																																																															{	/* Ast/unit.scm 277 */
																																																																obj_t
																																																																	BgL_arg1853z00_4335;
																																																																{	/* Ast/unit.scm 277 */
																																																																	obj_t
																																																																		BgL_arg1854z00_4336;
																																																																	BgL_arg1854z00_4336
																																																																		=
																																																																		(BgL_oclassz00_4330);
																																																																	BgL_arg1853z00_4335
																																																																		=
																																																																		BGL_CLASS_ANCESTORS_REF
																																																																		(BgL_arg1854z00_4336,
																																																																		2L);
																																																																}
																																																																BgL_res3541z00_4347
																																																																	=
																																																																	(BgL_arg1853z00_4335
																																																																	==
																																																																	BgL_classz00_4314);
																																																															}
																																																														else
																																																															{	/* Ast/unit.scm 277 */
																																																																BgL_res3541z00_4347
																																																																	=
																																																																	(
																																																																	(bool_t)
																																																																	0);
																																																															}
																																																													}
																																																											}
																																																										}
																																																										BgL_test3754z00_6701
																																																											=
																																																											BgL_res3541z00_4347;
																																																									}
																																																							}
																																																						else
																																																							{	/* Ast/unit.scm 277 */
																																																								BgL_test3754z00_6701
																																																									=
																																																									(
																																																									(bool_t)
																																																									0);
																																																							}
																																																					}
																																																					if (BgL_test3754z00_6701)
																																																						{	/* Ast/unit.scm 277 */
																																																							BgL_test3753z00_6700
																																																								=
																																																								(
																																																								(((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt) ((BgL_globalz00_bglt) BgL_globalz00_2591))))->BgL_accessz00) == ((obj_t) CNST_TABLE_REF(12)));
																																																						}
																																																					else
																																																						{	/* Ast/unit.scm 277 */
																																																							BgL_test3753z00_6700
																																																								=
																																																								(
																																																								(bool_t)
																																																								1);
																																																						}
																																																				}
																																																				if (BgL_test3753z00_6700)
																																																					{	/* Ast/unit.scm 277 */
																																																						BgL_test3751z00_6691
																																																							=
																																																							(BgL_idz00_2589
																																																							==
																																																							BgL_fz00_1923);
																																																					}
																																																				else
																																																					{	/* Ast/unit.scm 277 */
																																																						BgL_test3751z00_6691
																																																							=
																																																							(
																																																							(bool_t)
																																																							0);
																																																					}
																																																			}
																																																		else
																																																			{	/* Ast/unit.scm 276 */
																																																				BgL_test3751z00_6691
																																																					=
																																																					(
																																																					(bool_t)
																																																					0);
																																																			}
																																																	}
																																																	if (BgL_test3751z00_6691)
																																																		{	/* Ast/unit.scm 282 */
																																																			obj_t
																																																				BgL_arg2283z00_2603;
																																																			{	/* Ast/unit.scm 282 */
																																																				obj_t
																																																					BgL_arg2284z00_2604;
																																																				{	/* Ast/unit.scm 282 */
																																																					obj_t
																																																						BgL_arg2285z00_2605;
																																																					{	/* Ast/unit.scm 282 */
																																																						obj_t
																																																							BgL_pairz00_4352;
																																																						BgL_pairz00_4352
																																																							=
																																																							CDR
																																																							(
																																																							((obj_t) BgL_sexpz00_39));
																																																						BgL_arg2285z00_2605
																																																							=
																																																							CDR
																																																							(BgL_pairz00_4352);
																																																					}
																																																					BgL_arg2284z00_2604
																																																						=
																																																						BGl_findzd2locationzd2zztools_locationz00
																																																						(BgL_arg2285z00_2605);
																																																				}
																																																				BgL_arg2283z00_2603
																																																					=
																																																					BGl_normaliza7ezd2prognzf2errorz87zzast_unitz00
																																																					(BgL_expz00_1922,
																																																					BgL_sexpz00_39,
																																																					BgL_arg2284z00_2604);
																																																			}
																																																			return
																																																				BGl_makezd2sfunzd2definitionz00zzast_unitz00
																																																				(BgL_varz00_1920,
																																																				BGl_za2moduleza2z00zzmodule_modulez00,
																																																				BgL_argsz00_1921,
																																																				BgL_arg2283z00_2603,
																																																				BgL_sexpz00_39,
																																																				((obj_t) CNST_TABLE_REF(13)));
																																																		}
																																																	else
																																																		{	/* Ast/unit.scm 276 */
																																																			BGL_TAIL
																																																				return
																																																				BGl_makezd2svarzd2definitionz00zzast_unitz00
																																																				(BgL_varz00_1920,
																																																				BgL_sexpz00_39);
																																																		}
																																																}
																																															}
																																														}
																																													}
																																												}
																																											}
																																										else
																																											{	/* Ast/unit.scm 225 */
																																												obj_t
																																													BgL_arg1885z00_2043;
																																												obj_t
																																													BgL_arg1886z00_2044;
																																												BgL_arg1885z00_2043
																																													=
																																													CAR
																																													(
																																													((obj_t) BgL_cdrzd2661zd2_2015));
																																												BgL_arg1886z00_2044
																																													=
																																													CDR
																																													(
																																													((obj_t) BgL_cdrzd2661zd2_2015));
																																												{
																																													obj_t
																																														BgL_expz00_6745;
																																													obj_t
																																														BgL_varz00_6744;
																																													BgL_varz00_6744
																																														=
																																														BgL_arg1885z00_2043;
																																													BgL_expz00_6745
																																														=
																																														BgL_arg1886z00_2044;
																																													BgL_expz00_1941
																																														=
																																														BgL_expz00_6745;
																																													BgL_varz00_1940
																																														=
																																														BgL_varz00_6744;
																																													goto
																																														BgL_tagzd2368zd2_1942;
																																												}
																																											}
																																									}
																																								else
																																									{	/* Ast/unit.scm 225 */
																																										obj_t
																																											BgL_cdrzd2782zd2_2047;
																																										BgL_cdrzd2782zd2_2047
																																											=
																																											CDR
																																											(
																																											((obj_t) BgL_cdrzd2661zd2_2015));
																																										{	/* Ast/unit.scm 225 */
																																											obj_t
																																												BgL_carzd2788zd2_2048;
																																											BgL_carzd2788zd2_2048
																																												=
																																												CAR
																																												(
																																												((obj_t) BgL_cdrzd2782zd2_2047));
																																											{	/* Ast/unit.scm 225 */
																																												obj_t
																																													BgL_carzd2793zd2_2049;
																																												obj_t
																																													BgL_cdrzd2794zd2_2050;
																																												BgL_carzd2793zd2_2049
																																													=
																																													CAR
																																													(
																																													((obj_t) BgL_carzd2788zd2_2048));
																																												BgL_cdrzd2794zd2_2050
																																													=
																																													CDR
																																													(
																																													((obj_t) BgL_carzd2788zd2_2048));
																																												if (BGl_lambdazf3zf3zzast_unitz00(BgL_carzd2793zd2_2049))
																																													{	/* Ast/unit.scm 225 */
																																														if (NULLP(CDR(((obj_t) BgL_cdrzd2782zd2_2047))))
																																															{	/* Ast/unit.scm 225 */
																																																obj_t
																																																	BgL_arg1891z00_2054;
																																																obj_t
																																																	BgL_arg1892z00_2055;
																																																obj_t
																																																	BgL_arg1893z00_2056;
																																																BgL_arg1891z00_2054
																																																	=
																																																	CAR
																																																	(
																																																	((obj_t) BgL_cdrzd2661zd2_2015));
																																																BgL_arg1892z00_2055
																																																	=
																																																	CAR
																																																	(
																																																	((obj_t) BgL_cdrzd2794zd2_2050));
																																																BgL_arg1893z00_2056
																																																	=
																																																	CDR
																																																	(
																																																	((obj_t) BgL_cdrzd2794zd2_2050));
																																																BgL_varz00_1925
																																																	=
																																																	BgL_arg1891z00_2054;
																																																BgL_lamz00_1926
																																																	=
																																																	BgL_carzd2793zd2_2049;
																																																BgL_argsz00_1927
																																																	=
																																																	BgL_arg1892z00_2055;
																																																BgL_expz00_1928
																																																	=
																																																	BgL_arg1893z00_2056;
																																															BgL_tagzd2364zd2_1929:
																																																{	/* Ast/unit.scm 286 */
																																																	bool_t
																																																		BgL_test3761z00_6766;
																																																	if (BGl_typezd2existszf3z21zztype_envz00(BgL_varz00_1925))
																																																		{	/* Ast/unit.scm 286 */
																																																			BgL_typez00_bglt
																																																				BgL_arg2293z00_2617;
																																																			BgL_arg2293z00_2617
																																																				=
																																																				BGl_findzd2typezd2zztype_envz00
																																																				(BgL_varz00_1925);
																																																			{	/* Ast/unit.scm 286 */
																																																				obj_t
																																																					BgL_classz00_4353;
																																																				BgL_classz00_4353
																																																					=
																																																					BGl_tclassz00zzobject_classz00;
																																																				{	/* Ast/unit.scm 286 */
																																																					BgL_objectz00_bglt
																																																						BgL_arg1858z00_4355;
																																																					{	/* Ast/unit.scm 286 */
																																																						obj_t
																																																							BgL_tmpz00_6770;
																																																						BgL_tmpz00_6770
																																																							=
																																																							(
																																																							(obj_t)
																																																							((BgL_objectz00_bglt) BgL_arg2293z00_2617));
																																																						BgL_arg1858z00_4355
																																																							=
																																																							(BgL_objectz00_bglt)
																																																							(BgL_tmpz00_6770);
																																																					}
																																																					if (BGL_CONDEXPAND_ISA_ARCH64())
																																																						{	/* Ast/unit.scm 286 */
																																																							long
																																																								BgL_idxz00_4361;
																																																							BgL_idxz00_4361
																																																								=
																																																								BGL_OBJECT_INHERITANCE_NUM
																																																								(BgL_arg1858z00_4355);
																																																							BgL_test3761z00_6766
																																																								=
																																																								(VECTOR_REF
																																																								(BGl_za2inheritancesza2z00zz__objectz00,
																																																									(BgL_idxz00_4361
																																																										+
																																																										2L))
																																																								==
																																																								BgL_classz00_4353);
																																																						}
																																																					else
																																																						{	/* Ast/unit.scm 286 */
																																																							bool_t
																																																								BgL_res3542z00_4386;
																																																							{	/* Ast/unit.scm 286 */
																																																								obj_t
																																																									BgL_oclassz00_4369;
																																																								{	/* Ast/unit.scm 286 */
																																																									obj_t
																																																										BgL_arg1866z00_4377;
																																																									long
																																																										BgL_arg1867z00_4378;
																																																									BgL_arg1866z00_4377
																																																										=
																																																										(BGl_za2classesza2z00zz__objectz00);
																																																									{	/* Ast/unit.scm 286 */
																																																										long
																																																											BgL_arg1869z00_4379;
																																																										BgL_arg1869z00_4379
																																																											=
																																																											BGL_OBJECT_CLASS_NUM
																																																											(BgL_arg1858z00_4355);
																																																										BgL_arg1867z00_4378
																																																											=
																																																											(BgL_arg1869z00_4379
																																																											-
																																																											OBJECT_TYPE);
																																																									}
																																																									BgL_oclassz00_4369
																																																										=
																																																										VECTOR_REF
																																																										(BgL_arg1866z00_4377,
																																																										BgL_arg1867z00_4378);
																																																								}
																																																								{	/* Ast/unit.scm 286 */
																																																									bool_t
																																																										BgL__ortest_1115z00_4370;
																																																									BgL__ortest_1115z00_4370
																																																										=
																																																										(BgL_classz00_4353
																																																										==
																																																										BgL_oclassz00_4369);
																																																									if (BgL__ortest_1115z00_4370)
																																																										{	/* Ast/unit.scm 286 */
																																																											BgL_res3542z00_4386
																																																												=
																																																												BgL__ortest_1115z00_4370;
																																																										}
																																																									else
																																																										{	/* Ast/unit.scm 286 */
																																																											long
																																																												BgL_odepthz00_4371;
																																																											{	/* Ast/unit.scm 286 */
																																																												obj_t
																																																													BgL_arg1855z00_4372;
																																																												BgL_arg1855z00_4372
																																																													=
																																																													(BgL_oclassz00_4369);
																																																												BgL_odepthz00_4371
																																																													=
																																																													BGL_CLASS_DEPTH
																																																													(BgL_arg1855z00_4372);
																																																											}
																																																											if ((2L < BgL_odepthz00_4371))
																																																												{	/* Ast/unit.scm 286 */
																																																													obj_t
																																																														BgL_arg1853z00_4374;
																																																													{	/* Ast/unit.scm 286 */
																																																														obj_t
																																																															BgL_arg1854z00_4375;
																																																														BgL_arg1854z00_4375
																																																															=
																																																															(BgL_oclassz00_4369);
																																																														BgL_arg1853z00_4374
																																																															=
																																																															BGL_CLASS_ANCESTORS_REF
																																																															(BgL_arg1854z00_4375,
																																																															2L);
																																																													}
																																																													BgL_res3542z00_4386
																																																														=
																																																														(BgL_arg1853z00_4374
																																																														==
																																																														BgL_classz00_4353);
																																																												}
																																																											else
																																																												{	/* Ast/unit.scm 286 */
																																																													BgL_res3542z00_4386
																																																														=
																																																														(
																																																														(bool_t)
																																																														0);
																																																												}
																																																										}
																																																								}
																																																							}
																																																							BgL_test3761z00_6766
																																																								=
																																																								BgL_res3542z00_4386;
																																																						}
																																																				}
																																																			}
																																																		}
																																																	else
																																																		{	/* Ast/unit.scm 286 */
																																																			BgL_test3761z00_6766
																																																				=
																																																				(
																																																				(bool_t)
																																																				0);
																																																		}
																																																	if (BgL_test3761z00_6766)
																																																		{	/* Ast/unit.scm 286 */
																																																			BGl_errorzd2classzd2shadowz00zzast_unitz00
																																																				(BgL_varz00_1925,
																																																				BgL_sexpz00_39);
																																																		}
																																																	else
																																																		{	/* Ast/unit.scm 286 */
																																																			BFALSE;
																																																		}
																																																}
																																																{	/* Ast/unit.scm 288 */
																																																	obj_t
																																																		BgL_idz00_2618;
																																																	BgL_idz00_2618
																																																		=
																																																		BGl_idzd2ofzd2idz00zzast_identz00
																																																		(BgL_varz00_1925,
																																																		BGl_findzd2locationzd2zztools_locationz00
																																																		(BgL_sexpz00_39));
																																																	{	/* Ast/unit.scm 288 */
																																																		obj_t
																																																			BgL_defz00_2619;
																																																		BgL_defz00_2619
																																																			=
																																																			BGl_assqz00zz__r4_pairs_and_lists_6_3z00
																																																			(BgL_idz00_2618,
																																																			BgL_gdefsz00_40);
																																																		{	/* Ast/unit.scm 289 */
																																																			obj_t
																																																				BgL_globalz00_2620;
																																																			BgL_globalz00_2620
																																																				=
																																																				BGl_findzd2globalzf2modulez20zzast_envz00
																																																				(BgL_idz00_2618,
																																																				BGl_za2moduleza2z00zzmodule_modulez00);
																																																			{	/* Ast/unit.scm 290 */
																																																				BgL_typez00_bglt
																																																					BgL_tlamz00_2621;
																																																				BgL_tlamz00_2621
																																																					=
																																																					BGl_typezd2ofzd2idz00zzast_identz00
																																																					(BgL_lamz00_1926,
																																																					BFALSE);
																																																				{	/* Ast/unit.scm 291 */

																																																					{	/* Ast/unit.scm 293 */
																																																						bool_t
																																																							BgL_test3766z00_6799;
																																																						{	/* Ast/unit.scm 293 */
																																																							bool_t
																																																								BgL_test3767z00_6800;
																																																							{	/* Ast/unit.scm 293 */
																																																								obj_t
																																																									BgL_tmpz00_6801;
																																																								{	/* Ast/unit.scm 293 */
																																																									obj_t
																																																										BgL_pairz00_4388;
																																																									BgL_pairz00_4388
																																																										=
																																																										CDR
																																																										(
																																																										((obj_t) BgL_defz00_2619));
																																																									BgL_tmpz00_6801
																																																										=
																																																										CAR
																																																										(BgL_pairz00_4388);
																																																								}
																																																								BgL_test3767z00_6800
																																																									=
																																																									(BgL_tmpz00_6801
																																																									==
																																																									((obj_t) CNST_TABLE_REF(12)));
																																																							}
																																																							if (BgL_test3767z00_6800)
																																																								{	/* Ast/unit.scm 294 */
																																																									bool_t
																																																										BgL__ortest_1119z00_2637;
																																																									{	/* Ast/unit.scm 294 */
																																																										bool_t
																																																											BgL_test3768z00_6808;
																																																										{	/* Ast/unit.scm 294 */
																																																											obj_t
																																																												BgL_classz00_4389;
																																																											BgL_classz00_4389
																																																												=
																																																												BGl_globalz00zzast_varz00;
																																																											if (BGL_OBJECTP(BgL_globalz00_2620))
																																																												{	/* Ast/unit.scm 294 */
																																																													BgL_objectz00_bglt
																																																														BgL_arg1858z00_4391;
																																																													BgL_arg1858z00_4391
																																																														=
																																																														(BgL_objectz00_bglt)
																																																														(BgL_globalz00_2620);
																																																													if (BGL_CONDEXPAND_ISA_ARCH64())
																																																														{	/* Ast/unit.scm 294 */
																																																															long
																																																																BgL_idxz00_4397;
																																																															BgL_idxz00_4397
																																																																=
																																																																BGL_OBJECT_INHERITANCE_NUM
																																																																(BgL_arg1858z00_4391);
																																																															BgL_test3768z00_6808
																																																																=
																																																																(VECTOR_REF
																																																																(BGl_za2inheritancesza2z00zz__objectz00,
																																																																	(BgL_idxz00_4397
																																																																		+
																																																																		2L))
																																																																==
																																																																BgL_classz00_4389);
																																																														}
																																																													else
																																																														{	/* Ast/unit.scm 294 */
																																																															bool_t
																																																																BgL_res3543z00_4422;
																																																															{	/* Ast/unit.scm 294 */
																																																																obj_t
																																																																	BgL_oclassz00_4405;
																																																																{	/* Ast/unit.scm 294 */
																																																																	obj_t
																																																																		BgL_arg1866z00_4413;
																																																																	long
																																																																		BgL_arg1867z00_4414;
																																																																	BgL_arg1866z00_4413
																																																																		=
																																																																		(BGl_za2classesza2z00zz__objectz00);
																																																																	{	/* Ast/unit.scm 294 */
																																																																		long
																																																																			BgL_arg1869z00_4415;
																																																																		BgL_arg1869z00_4415
																																																																			=
																																																																			BGL_OBJECT_CLASS_NUM
																																																																			(BgL_arg1858z00_4391);
																																																																		BgL_arg1867z00_4414
																																																																			=
																																																																			(BgL_arg1869z00_4415
																																																																			-
																																																																			OBJECT_TYPE);
																																																																	}
																																																																	BgL_oclassz00_4405
																																																																		=
																																																																		VECTOR_REF
																																																																		(BgL_arg1866z00_4413,
																																																																		BgL_arg1867z00_4414);
																																																																}
																																																																{	/* Ast/unit.scm 294 */
																																																																	bool_t
																																																																		BgL__ortest_1115z00_4406;
																																																																	BgL__ortest_1115z00_4406
																																																																		=
																																																																		(BgL_classz00_4389
																																																																		==
																																																																		BgL_oclassz00_4405);
																																																																	if (BgL__ortest_1115z00_4406)
																																																																		{	/* Ast/unit.scm 294 */
																																																																			BgL_res3543z00_4422
																																																																				=
																																																																				BgL__ortest_1115z00_4406;
																																																																		}
																																																																	else
																																																																		{	/* Ast/unit.scm 294 */
																																																																			long
																																																																				BgL_odepthz00_4407;
																																																																			{	/* Ast/unit.scm 294 */
																																																																				obj_t
																																																																					BgL_arg1855z00_4408;
																																																																				BgL_arg1855z00_4408
																																																																					=
																																																																					(BgL_oclassz00_4405);
																																																																				BgL_odepthz00_4407
																																																																					=
																																																																					BGL_CLASS_DEPTH
																																																																					(BgL_arg1855z00_4408);
																																																																			}
																																																																			if ((2L < BgL_odepthz00_4407))
																																																																				{	/* Ast/unit.scm 294 */
																																																																					obj_t
																																																																						BgL_arg1853z00_4410;
																																																																					{	/* Ast/unit.scm 294 */
																																																																						obj_t
																																																																							BgL_arg1854z00_4411;
																																																																						BgL_arg1854z00_4411
																																																																							=
																																																																							(BgL_oclassz00_4405);
																																																																						BgL_arg1853z00_4410
																																																																							=
																																																																							BGL_CLASS_ANCESTORS_REF
																																																																							(BgL_arg1854z00_4411,
																																																																							2L);
																																																																					}
																																																																					BgL_res3543z00_4422
																																																																						=
																																																																						(BgL_arg1853z00_4410
																																																																						==
																																																																						BgL_classz00_4389);
																																																																				}
																																																																			else
																																																																				{	/* Ast/unit.scm 294 */
																																																																					BgL_res3543z00_4422
																																																																						=
																																																																						(
																																																																						(bool_t)
																																																																						0);
																																																																				}
																																																																		}
																																																																}
																																																															}
																																																															BgL_test3768z00_6808
																																																																=
																																																																BgL_res3543z00_4422;
																																																														}
																																																												}
																																																											else
																																																												{	/* Ast/unit.scm 294 */
																																																													BgL_test3768z00_6808
																																																														=
																																																														(
																																																														(bool_t)
																																																														0);
																																																												}
																																																										}
																																																										if (BgL_test3768z00_6808)
																																																											{	/* Ast/unit.scm 294 */
																																																												BgL__ortest_1119z00_2637
																																																													=
																																																													(
																																																													(bool_t)
																																																													0);
																																																											}
																																																										else
																																																											{	/* Ast/unit.scm 294 */
																																																												BgL__ortest_1119z00_2637
																																																													=
																																																													(
																																																													(bool_t)
																																																													1);
																																																											}
																																																									}
																																																									if (BgL__ortest_1119z00_2637)
																																																										{	/* Ast/unit.scm 294 */
																																																											BgL_test3766z00_6799
																																																												=
																																																												BgL__ortest_1119z00_2637;
																																																										}
																																																									else
																																																										{	/* Ast/unit.scm 294 */
																																																											BgL_test3766z00_6799
																																																												=
																																																												(
																																																												(((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt) ((BgL_globalz00_bglt) BgL_globalz00_2620))))->BgL_accessz00) == ((obj_t) CNST_TABLE_REF(12)));
																																																										}
																																																								}
																																																							else
																																																								{	/* Ast/unit.scm 293 */
																																																									BgL_test3766z00_6799
																																																										=
																																																										(
																																																										(bool_t)
																																																										0);
																																																								}
																																																						}
																																																						if (BgL_test3766z00_6799)
																																																							{	/* Ast/unit.scm 296 */
																																																								obj_t
																																																									BgL_arg2303z00_2631;
																																																								obj_t
																																																									BgL_arg2305z00_2632;
																																																								BgL_arg2303z00_2631
																																																									=
																																																									BGl_makezd2typedzd2identz00zzast_identz00
																																																									(BgL_idz00_2618,
																																																									(((BgL_typez00_bglt) COBJECT(BgL_tlamz00_2621))->BgL_idz00));
																																																								{	/* Ast/unit.scm 298 */
																																																									obj_t
																																																										BgL_arg2308z00_2634;
																																																									{	/* Ast/unit.scm 298 */
																																																										obj_t
																																																											BgL_arg2309z00_2635;
																																																										{	/* Ast/unit.scm 298 */
																																																											obj_t
																																																												BgL_pairz00_4428;
																																																											BgL_pairz00_4428
																																																												=
																																																												CDR
																																																												(
																																																												((obj_t) BgL_sexpz00_39));
																																																											BgL_arg2309z00_2635
																																																												=
																																																												CDR
																																																												(BgL_pairz00_4428);
																																																										}
																																																										BgL_arg2308z00_2634
																																																											=
																																																											BGl_findzd2locationzd2zztools_locationz00
																																																											(BgL_arg2309z00_2635);
																																																									}
																																																									BgL_arg2305z00_2632
																																																										=
																																																										BGl_normaliza7ezd2prognzf2errorz87zzast_unitz00
																																																										(BgL_expz00_1928,
																																																										BgL_sexpz00_39,
																																																										BgL_arg2308z00_2634);
																																																								}
																																																								return
																																																									BGl_makezd2sfunzd2definitionz00zzast_unitz00
																																																									(BgL_arg2303z00_2631,
																																																									BGl_za2moduleza2z00zzmodule_modulez00,
																																																									BgL_argsz00_1927,
																																																									BgL_arg2305z00_2632,
																																																									BgL_sexpz00_39,
																																																									((obj_t) CNST_TABLE_REF(13)));
																																																							}
																																																						else
																																																							{	/* Ast/unit.scm 293 */
																																																								BGL_TAIL
																																																									return
																																																									BGl_makezd2svarzd2definitionz00zzast_unitz00
																																																									(BgL_varz00_1925,
																																																									BgL_sexpz00_39);
																																																							}
																																																					}
																																																				}
																																																			}
																																																		}
																																																	}
																																																}
																																															}
																																														else
																																															{	/* Ast/unit.scm 225 */
																																																obj_t
																																																	BgL_cdrzd2837zd2_2057;
																																																BgL_cdrzd2837zd2_2057
																																																	=
																																																	CDR
																																																	(
																																																	((obj_t) BgL_sexpz00_39));
																																																{	/* Ast/unit.scm 225 */
																																																	obj_t
																																																		BgL_arg1894z00_2058;
																																																	obj_t
																																																		BgL_arg1895z00_2059;
																																																	BgL_arg1894z00_2058
																																																		=
																																																		CAR
																																																		(
																																																		((obj_t) BgL_cdrzd2837zd2_2057));
																																																	BgL_arg1895z00_2059
																																																		=
																																																		CDR
																																																		(
																																																		((obj_t) BgL_cdrzd2837zd2_2057));
																																																	{
																																																		obj_t
																																																			BgL_expz00_6856;
																																																		obj_t
																																																			BgL_varz00_6855;
																																																		BgL_varz00_6855
																																																			=
																																																			BgL_arg1894z00_2058;
																																																		BgL_expz00_6856
																																																			=
																																																			BgL_arg1895z00_2059;
																																																		BgL_expz00_1941
																																																			=
																																																			BgL_expz00_6856;
																																																		BgL_varz00_1940
																																																			=
																																																			BgL_varz00_6855;
																																																		goto
																																																			BgL_tagzd2368zd2_1942;
																																																	}
																																																}
																																															}
																																													}
																																												else
																																													{	/* Ast/unit.scm 225 */
																																														obj_t
																																															BgL_cdrzd2864zd2_2061;
																																														BgL_cdrzd2864zd2_2061
																																															=
																																															CDR
																																															(
																																															((obj_t) BgL_sexpz00_39));
																																														{	/* Ast/unit.scm 225 */
																																															obj_t
																																																BgL_cdrzd2869zd2_2062;
																																															BgL_cdrzd2869zd2_2062
																																																=
																																																CDR
																																																(
																																																((obj_t) BgL_cdrzd2864zd2_2061));
																																															{	/* Ast/unit.scm 225 */
																																																obj_t
																																																	BgL_carzd2873zd2_2063;
																																																BgL_carzd2873zd2_2063
																																																	=
																																																	CAR
																																																	(
																																																	((obj_t) BgL_cdrzd2869zd2_2062));
																																																if (SYMBOLP(BgL_carzd2873zd2_2063))
																																																	{	/* Ast/unit.scm 225 */
																																																		if (NULLP(CDR(((obj_t) BgL_cdrzd2869zd2_2062))))
																																																			{	/* Ast/unit.scm 225 */
																																																				obj_t
																																																					BgL_arg1900z00_2067;
																																																				BgL_arg1900z00_2067
																																																					=
																																																					CAR
																																																					(
																																																					((obj_t) BgL_cdrzd2864zd2_2061));
																																																				{
																																																					obj_t
																																																						BgL_var2z00_6872;
																																																					obj_t
																																																						BgL_varz00_6871;
																																																					BgL_varz00_6871
																																																						=
																																																						BgL_arg1900z00_2067;
																																																					BgL_var2z00_6872
																																																						=
																																																						BgL_carzd2873zd2_2063;
																																																					BgL_var2z00_1934
																																																						=
																																																						BgL_var2z00_6872;
																																																					BgL_varz00_1933
																																																						=
																																																						BgL_varz00_6871;
																																																					goto
																																																						BgL_tagzd2366zd2_1935;
																																																				}
																																																			}
																																																		else
																																																			{	/* Ast/unit.scm 225 */
																																																				obj_t
																																																					BgL_arg1901z00_2069;
																																																				BgL_arg1901z00_2069
																																																					=
																																																					CAR
																																																					(
																																																					((obj_t) BgL_cdrzd2864zd2_2061));
																																																				{
																																																					obj_t
																																																						BgL_expz00_6876;
																																																					obj_t
																																																						BgL_varz00_6875;
																																																					BgL_varz00_6875
																																																						=
																																																						BgL_arg1901z00_2069;
																																																					BgL_expz00_6876
																																																						=
																																																						BgL_cdrzd2869zd2_2062;
																																																					BgL_expz00_1941
																																																						=
																																																						BgL_expz00_6876;
																																																					BgL_varz00_1940
																																																						=
																																																						BgL_varz00_6875;
																																																					goto
																																																						BgL_tagzd2368zd2_1942;
																																																				}
																																																			}
																																																	}
																																																else
																																																	{	/* Ast/unit.scm 225 */
																																																		obj_t
																																																			BgL_arg1904z00_2073;
																																																		BgL_arg1904z00_2073
																																																			=
																																																			CAR
																																																			(
																																																			((obj_t) BgL_cdrzd2864zd2_2061));
																																																		{
																																																			obj_t
																																																				BgL_expz00_6880;
																																																			obj_t
																																																				BgL_varz00_6879;
																																																			BgL_varz00_6879
																																																				=
																																																				BgL_arg1904z00_2073;
																																																			BgL_expz00_6880
																																																				=
																																																				BgL_cdrzd2869zd2_2062;
																																																			BgL_expz00_1941
																																																				=
																																																				BgL_expz00_6880;
																																																			BgL_varz00_1940
																																																				=
																																																				BgL_varz00_6879;
																																																			goto
																																																				BgL_tagzd2368zd2_1942;
																																																		}
																																																	}
																																															}
																																														}
																																													}
																																											}
																																										}
																																									}
																																							}
																																						else
																																							{	/* Ast/unit.scm 225 */
																																								obj_t
																																									BgL_cdrzd2950zd2_2077;
																																								BgL_cdrzd2950zd2_2077
																																									=
																																									CDR
																																									(
																																									((obj_t) BgL_cdrzd2661zd2_2015));
																																								{	/* Ast/unit.scm 225 */
																																									obj_t
																																										BgL_carzd2956zd2_2078;
																																									BgL_carzd2956zd2_2078
																																										=
																																										CAR
																																										(
																																										((obj_t) BgL_cdrzd2950zd2_2077));
																																									{	/* Ast/unit.scm 225 */
																																										obj_t
																																											BgL_carzd2961zd2_2079;
																																										obj_t
																																											BgL_cdrzd2962zd2_2080;
																																										BgL_carzd2961zd2_2079
																																											=
																																											CAR
																																											(
																																											((obj_t) BgL_carzd2956zd2_2078));
																																										BgL_cdrzd2962zd2_2080
																																											=
																																											CDR
																																											(
																																											((obj_t) BgL_carzd2956zd2_2078));
																																										if (BGl_lambdazf3zf3zzast_unitz00(BgL_carzd2961zd2_2079))
																																											{	/* Ast/unit.scm 225 */
																																												if (NULLP(CDR(((obj_t) BgL_cdrzd2950zd2_2077))))
																																													{	/* Ast/unit.scm 225 */
																																														obj_t
																																															BgL_arg1910z00_2084;
																																														obj_t
																																															BgL_arg1911z00_2085;
																																														obj_t
																																															BgL_arg1912z00_2086;
																																														BgL_arg1910z00_2084
																																															=
																																															CAR
																																															(
																																															((obj_t) BgL_cdrzd2661zd2_2015));
																																														BgL_arg1911z00_2085
																																															=
																																															CAR
																																															(
																																															((obj_t) BgL_cdrzd2962zd2_2080));
																																														BgL_arg1912z00_2086
																																															=
																																															CDR
																																															(
																																															((obj_t) BgL_cdrzd2962zd2_2080));
																																														{
																																															obj_t
																																																BgL_expz00_6904;
																																															obj_t
																																																BgL_argsz00_6903;
																																															obj_t
																																																BgL_lamz00_6902;
																																															obj_t
																																																BgL_varz00_6901;
																																															BgL_varz00_6901
																																																=
																																																BgL_arg1910z00_2084;
																																															BgL_lamz00_6902
																																																=
																																																BgL_carzd2961zd2_2079;
																																															BgL_argsz00_6903
																																																=
																																																BgL_arg1911z00_2085;
																																															BgL_expz00_6904
																																																=
																																																BgL_arg1912z00_2086;
																																															BgL_expz00_1928
																																																=
																																																BgL_expz00_6904;
																																															BgL_argsz00_1927
																																																=
																																																BgL_argsz00_6903;
																																															BgL_lamz00_1926
																																																=
																																																BgL_lamz00_6902;
																																															BgL_varz00_1925
																																																=
																																																BgL_varz00_6901;
																																															goto
																																																BgL_tagzd2364zd2_1929;
																																														}
																																													}
																																												else
																																													{	/* Ast/unit.scm 225 */
																																														obj_t
																																															BgL_cdrzd21005zd2_2087;
																																														BgL_cdrzd21005zd2_2087
																																															=
																																															CDR
																																															(
																																															((obj_t) BgL_sexpz00_39));
																																														{	/* Ast/unit.scm 225 */
																																															obj_t
																																																BgL_arg1913z00_2088;
																																															obj_t
																																																BgL_arg1915z00_2089;
																																															BgL_arg1913z00_2088
																																																=
																																																CAR
																																																(
																																																((obj_t) BgL_cdrzd21005zd2_2087));
																																															BgL_arg1915z00_2089
																																																=
																																																CDR
																																																(
																																																((obj_t) BgL_cdrzd21005zd2_2087));
																																															{
																																																obj_t
																																																	BgL_expz00_6912;
																																																obj_t
																																																	BgL_varz00_6911;
																																																BgL_varz00_6911
																																																	=
																																																	BgL_arg1913z00_2088;
																																																BgL_expz00_6912
																																																	=
																																																	BgL_arg1915z00_2089;
																																																BgL_expz00_1941
																																																	=
																																																	BgL_expz00_6912;
																																																BgL_varz00_1940
																																																	=
																																																	BgL_varz00_6911;
																																																goto
																																																	BgL_tagzd2368zd2_1942;
																																															}
																																														}
																																													}
																																											}
																																										else
																																											{	/* Ast/unit.scm 225 */
																																												obj_t
																																													BgL_cdrzd21032zd2_2091;
																																												BgL_cdrzd21032zd2_2091
																																													=
																																													CDR
																																													(
																																													((obj_t) BgL_sexpz00_39));
																																												{	/* Ast/unit.scm 225 */
																																													obj_t
																																														BgL_cdrzd21037zd2_2092;
																																													BgL_cdrzd21037zd2_2092
																																														=
																																														CDR
																																														(
																																														((obj_t) BgL_cdrzd21032zd2_2091));
																																													{	/* Ast/unit.scm 225 */
																																														obj_t
																																															BgL_carzd21041zd2_2093;
																																														BgL_carzd21041zd2_2093
																																															=
																																															CAR
																																															(
																																															((obj_t) BgL_cdrzd21037zd2_2092));
																																														if (SYMBOLP(BgL_carzd21041zd2_2093))
																																															{	/* Ast/unit.scm 225 */
																																																if (NULLP(CDR(((obj_t) BgL_cdrzd21037zd2_2092))))
																																																	{	/* Ast/unit.scm 225 */
																																																		obj_t
																																																			BgL_arg1921z00_2097;
																																																		BgL_arg1921z00_2097
																																																			=
																																																			CAR
																																																			(
																																																			((obj_t) BgL_cdrzd21032zd2_2091));
																																																		{
																																																			obj_t
																																																				BgL_var2z00_6928;
																																																			obj_t
																																																				BgL_varz00_6927;
																																																			BgL_varz00_6927
																																																				=
																																																				BgL_arg1921z00_2097;
																																																			BgL_var2z00_6928
																																																				=
																																																				BgL_carzd21041zd2_2093;
																																																			BgL_var2z00_1934
																																																				=
																																																				BgL_var2z00_6928;
																																																			BgL_varz00_1933
																																																				=
																																																				BgL_varz00_6927;
																																																			goto
																																																				BgL_tagzd2366zd2_1935;
																																																		}
																																																	}
																																																else
																																																	{	/* Ast/unit.scm 225 */
																																																		obj_t
																																																			BgL_arg1922z00_2099;
																																																		BgL_arg1922z00_2099
																																																			=
																																																			CAR
																																																			(
																																																			((obj_t) BgL_cdrzd21032zd2_2091));
																																																		{
																																																			obj_t
																																																				BgL_expz00_6932;
																																																			obj_t
																																																				BgL_varz00_6931;
																																																			BgL_varz00_6931
																																																				=
																																																				BgL_arg1922z00_2099;
																																																			BgL_expz00_6932
																																																				=
																																																				BgL_cdrzd21037zd2_2092;
																																																			BgL_expz00_1941
																																																				=
																																																				BgL_expz00_6932;
																																																			BgL_varz00_1940
																																																				=
																																																				BgL_varz00_6931;
																																																			goto
																																																				BgL_tagzd2368zd2_1942;
																																																		}
																																																	}
																																															}
																																														else
																																															{	/* Ast/unit.scm 225 */
																																																obj_t
																																																	BgL_arg1926z00_2103;
																																																BgL_arg1926z00_2103
																																																	=
																																																	CAR
																																																	(
																																																	((obj_t) BgL_cdrzd21032zd2_2091));
																																																{
																																																	obj_t
																																																		BgL_expz00_6936;
																																																	obj_t
																																																		BgL_varz00_6935;
																																																	BgL_varz00_6935
																																																		=
																																																		BgL_arg1926z00_2103;
																																																	BgL_expz00_6936
																																																		=
																																																		BgL_cdrzd21037zd2_2092;
																																																	BgL_expz00_1941
																																																		=
																																																		BgL_expz00_6936;
																																																	BgL_varz00_1940
																																																		=
																																																		BgL_varz00_6935;
																																																	goto
																																																		BgL_tagzd2368zd2_1942;
																																																}
																																															}
																																													}
																																												}
																																											}
																																									}
																																								}
																																							}
																																					}
																																				else
																																					{	/* Ast/unit.scm 225 */
																																						obj_t
																																							BgL_cdrzd21118zd2_2107;
																																						BgL_cdrzd21118zd2_2107
																																							=
																																							CDR
																																							(((obj_t) BgL_cdrzd2661zd2_2015));
																																						{	/* Ast/unit.scm 225 */
																																							obj_t
																																								BgL_carzd21124zd2_2108;
																																							BgL_carzd21124zd2_2108
																																								=
																																								CAR
																																								(
																																								((obj_t) BgL_cdrzd21118zd2_2107));
																																							{	/* Ast/unit.scm 225 */
																																								obj_t
																																									BgL_carzd21129zd2_2109;
																																								obj_t
																																									BgL_cdrzd21130zd2_2110;
																																								BgL_carzd21129zd2_2109
																																									=
																																									CAR
																																									(
																																									((obj_t) BgL_carzd21124zd2_2108));
																																								BgL_cdrzd21130zd2_2110
																																									=
																																									CDR
																																									(
																																									((obj_t) BgL_carzd21124zd2_2108));
																																								if (BGl_lambdazf3zf3zzast_unitz00(BgL_carzd21129zd2_2109))
																																									{	/* Ast/unit.scm 225 */
																																										if (NULLP(CDR(((obj_t) BgL_cdrzd21118zd2_2107))))
																																											{	/* Ast/unit.scm 225 */
																																												obj_t
																																													BgL_arg1932z00_2114;
																																												obj_t
																																													BgL_arg1933z00_2115;
																																												obj_t
																																													BgL_arg1934z00_2116;
																																												BgL_arg1932z00_2114
																																													=
																																													CAR
																																													(
																																													((obj_t) BgL_cdrzd2661zd2_2015));
																																												BgL_arg1933z00_2115
																																													=
																																													CAR
																																													(
																																													((obj_t) BgL_cdrzd21130zd2_2110));
																																												BgL_arg1934z00_2116
																																													=
																																													CDR
																																													(
																																													((obj_t) BgL_cdrzd21130zd2_2110));
																																												{
																																													obj_t
																																														BgL_expz00_6960;
																																													obj_t
																																														BgL_argsz00_6959;
																																													obj_t
																																														BgL_lamz00_6958;
																																													obj_t
																																														BgL_varz00_6957;
																																													BgL_varz00_6957
																																														=
																																														BgL_arg1932z00_2114;
																																													BgL_lamz00_6958
																																														=
																																														BgL_carzd21129zd2_2109;
																																													BgL_argsz00_6959
																																														=
																																														BgL_arg1933z00_2115;
																																													BgL_expz00_6960
																																														=
																																														BgL_arg1934z00_2116;
																																													BgL_expz00_1928
																																														=
																																														BgL_expz00_6960;
																																													BgL_argsz00_1927
																																														=
																																														BgL_argsz00_6959;
																																													BgL_lamz00_1926
																																														=
																																														BgL_lamz00_6958;
																																													BgL_varz00_1925
																																														=
																																														BgL_varz00_6957;
																																													goto
																																														BgL_tagzd2364zd2_1929;
																																												}
																																											}
																																										else
																																											{	/* Ast/unit.scm 225 */
																																												obj_t
																																													BgL_cdrzd21173zd2_2117;
																																												BgL_cdrzd21173zd2_2117
																																													=
																																													CDR
																																													(
																																													((obj_t) BgL_sexpz00_39));
																																												{	/* Ast/unit.scm 225 */
																																													obj_t
																																														BgL_arg1935z00_2118;
																																													obj_t
																																														BgL_arg1936z00_2119;
																																													BgL_arg1935z00_2118
																																														=
																																														CAR
																																														(
																																														((obj_t) BgL_cdrzd21173zd2_2117));
																																													BgL_arg1936z00_2119
																																														=
																																														CDR
																																														(
																																														((obj_t) BgL_cdrzd21173zd2_2117));
																																													{
																																														obj_t
																																															BgL_expz00_6968;
																																														obj_t
																																															BgL_varz00_6967;
																																														BgL_varz00_6967
																																															=
																																															BgL_arg1935z00_2118;
																																														BgL_expz00_6968
																																															=
																																															BgL_arg1936z00_2119;
																																														BgL_expz00_1941
																																															=
																																															BgL_expz00_6968;
																																														BgL_varz00_1940
																																															=
																																															BgL_varz00_6967;
																																														goto
																																															BgL_tagzd2368zd2_1942;
																																													}
																																												}
																																											}
																																									}
																																								else
																																									{	/* Ast/unit.scm 225 */
																																										obj_t
																																											BgL_cdrzd21200zd2_2121;
																																										BgL_cdrzd21200zd2_2121
																																											=
																																											CDR
																																											(
																																											((obj_t) BgL_sexpz00_39));
																																										{	/* Ast/unit.scm 225 */
																																											obj_t
																																												BgL_cdrzd21205zd2_2122;
																																											BgL_cdrzd21205zd2_2122
																																												=
																																												CDR
																																												(
																																												((obj_t) BgL_cdrzd21200zd2_2121));
																																											{	/* Ast/unit.scm 225 */
																																												obj_t
																																													BgL_carzd21209zd2_2123;
																																												BgL_carzd21209zd2_2123
																																													=
																																													CAR
																																													(
																																													((obj_t) BgL_cdrzd21205zd2_2122));
																																												if (SYMBOLP(BgL_carzd21209zd2_2123))
																																													{	/* Ast/unit.scm 225 */
																																														if (NULLP(CDR(((obj_t) BgL_cdrzd21205zd2_2122))))
																																															{	/* Ast/unit.scm 225 */
																																																obj_t
																																																	BgL_arg1942z00_2127;
																																																BgL_arg1942z00_2127
																																																	=
																																																	CAR
																																																	(
																																																	((obj_t) BgL_cdrzd21200zd2_2121));
																																																{
																																																	obj_t
																																																		BgL_var2z00_6984;
																																																	obj_t
																																																		BgL_varz00_6983;
																																																	BgL_varz00_6983
																																																		=
																																																		BgL_arg1942z00_2127;
																																																	BgL_var2z00_6984
																																																		=
																																																		BgL_carzd21209zd2_2123;
																																																	BgL_var2z00_1934
																																																		=
																																																		BgL_var2z00_6984;
																																																	BgL_varz00_1933
																																																		=
																																																		BgL_varz00_6983;
																																																	goto
																																																		BgL_tagzd2366zd2_1935;
																																																}
																																															}
																																														else
																																															{	/* Ast/unit.scm 225 */
																																																obj_t
																																																	BgL_arg1943z00_2129;
																																																BgL_arg1943z00_2129
																																																	=
																																																	CAR
																																																	(
																																																	((obj_t) BgL_cdrzd21200zd2_2121));
																																																{
																																																	obj_t
																																																		BgL_expz00_6988;
																																																	obj_t
																																																		BgL_varz00_6987;
																																																	BgL_varz00_6987
																																																		=
																																																		BgL_arg1943z00_2129;
																																																	BgL_expz00_6988
																																																		=
																																																		BgL_cdrzd21205zd2_2122;
																																																	BgL_expz00_1941
																																																		=
																																																		BgL_expz00_6988;
																																																	BgL_varz00_1940
																																																		=
																																																		BgL_varz00_6987;
																																																	goto
																																																		BgL_tagzd2368zd2_1942;
																																																}
																																															}
																																													}
																																												else
																																													{	/* Ast/unit.scm 225 */
																																														obj_t
																																															BgL_arg1946z00_2133;
																																														BgL_arg1946z00_2133
																																															=
																																															CAR
																																															(
																																															((obj_t) BgL_cdrzd21200zd2_2121));
																																														{
																																															obj_t
																																																BgL_expz00_6992;
																																															obj_t
																																																BgL_varz00_6991;
																																															BgL_varz00_6991
																																																=
																																																BgL_arg1946z00_2133;
																																															BgL_expz00_6992
																																																=
																																																BgL_cdrzd21205zd2_2122;
																																															BgL_expz00_1941
																																																=
																																																BgL_expz00_6992;
																																															BgL_varz00_1940
																																																=
																																																BgL_varz00_6991;
																																															goto
																																																BgL_tagzd2368zd2_1942;
																																														}
																																													}
																																											}
																																										}
																																									}
																																							}
																																						}
																																					}
																																			}
																																		else
																																			{	/* Ast/unit.scm 225 */
																																				obj_t
																																					BgL_cdrzd21286zd2_2136;
																																				BgL_cdrzd21286zd2_2136
																																					=
																																					CDR((
																																						(obj_t)
																																						BgL_cdrzd2661zd2_2015));
																																				{	/* Ast/unit.scm 225 */
																																					obj_t
																																						BgL_carzd21292zd2_2137;
																																					BgL_carzd21292zd2_2137
																																						=
																																						CAR(
																																						((obj_t) BgL_cdrzd21286zd2_2136));
																																					{	/* Ast/unit.scm 225 */
																																						obj_t
																																							BgL_carzd21297zd2_2138;
																																						obj_t
																																							BgL_cdrzd21298zd2_2139;
																																						BgL_carzd21297zd2_2138
																																							=
																																							CAR
																																							(((obj_t) BgL_carzd21292zd2_2137));
																																						BgL_cdrzd21298zd2_2139
																																							=
																																							CDR
																																							(((obj_t) BgL_carzd21292zd2_2137));
																																						if (BGl_lambdazf3zf3zzast_unitz00(BgL_carzd21297zd2_2138))
																																							{	/* Ast/unit.scm 225 */
																																								if (NULLP(CDR(((obj_t) BgL_cdrzd21286zd2_2136))))
																																									{	/* Ast/unit.scm 225 */
																																										obj_t
																																											BgL_arg1953z00_2143;
																																										obj_t
																																											BgL_arg1954z00_2144;
																																										obj_t
																																											BgL_arg1955z00_2145;
																																										BgL_arg1953z00_2143
																																											=
																																											CAR
																																											(
																																											((obj_t) BgL_cdrzd2661zd2_2015));
																																										BgL_arg1954z00_2144
																																											=
																																											CAR
																																											(
																																											((obj_t) BgL_cdrzd21298zd2_2139));
																																										BgL_arg1955z00_2145
																																											=
																																											CDR
																																											(
																																											((obj_t) BgL_cdrzd21298zd2_2139));
																																										{
																																											obj_t
																																												BgL_expz00_7016;
																																											obj_t
																																												BgL_argsz00_7015;
																																											obj_t
																																												BgL_lamz00_7014;
																																											obj_t
																																												BgL_varz00_7013;
																																											BgL_varz00_7013
																																												=
																																												BgL_arg1953z00_2143;
																																											BgL_lamz00_7014
																																												=
																																												BgL_carzd21297zd2_2138;
																																											BgL_argsz00_7015
																																												=
																																												BgL_arg1954z00_2144;
																																											BgL_expz00_7016
																																												=
																																												BgL_arg1955z00_2145;
																																											BgL_expz00_1928
																																												=
																																												BgL_expz00_7016;
																																											BgL_argsz00_1927
																																												=
																																												BgL_argsz00_7015;
																																											BgL_lamz00_1926
																																												=
																																												BgL_lamz00_7014;
																																											BgL_varz00_1925
																																												=
																																												BgL_varz00_7013;
																																											goto
																																												BgL_tagzd2364zd2_1929;
																																										}
																																									}
																																								else
																																									{	/* Ast/unit.scm 225 */
																																										obj_t
																																											BgL_cdrzd21341zd2_2146;
																																										BgL_cdrzd21341zd2_2146
																																											=
																																											CDR
																																											(
																																											((obj_t) BgL_sexpz00_39));
																																										{	/* Ast/unit.scm 225 */
																																											obj_t
																																												BgL_arg1956z00_2147;
																																											obj_t
																																												BgL_arg1957z00_2148;
																																											BgL_arg1956z00_2147
																																												=
																																												CAR
																																												(
																																												((obj_t) BgL_cdrzd21341zd2_2146));
																																											BgL_arg1957z00_2148
																																												=
																																												CDR
																																												(
																																												((obj_t) BgL_cdrzd21341zd2_2146));
																																											{
																																												obj_t
																																													BgL_expz00_7024;
																																												obj_t
																																													BgL_varz00_7023;
																																												BgL_varz00_7023
																																													=
																																													BgL_arg1956z00_2147;
																																												BgL_expz00_7024
																																													=
																																													BgL_arg1957z00_2148;
																																												BgL_expz00_1941
																																													=
																																													BgL_expz00_7024;
																																												BgL_varz00_1940
																																													=
																																													BgL_varz00_7023;
																																												goto
																																													BgL_tagzd2368zd2_1942;
																																											}
																																										}
																																									}
																																							}
																																						else
																																							{	/* Ast/unit.scm 225 */
																																								obj_t
																																									BgL_cdrzd21368zd2_2150;
																																								BgL_cdrzd21368zd2_2150
																																									=
																																									CDR
																																									(
																																									((obj_t) BgL_sexpz00_39));
																																								{	/* Ast/unit.scm 225 */
																																									obj_t
																																										BgL_cdrzd21373zd2_2151;
																																									BgL_cdrzd21373zd2_2151
																																										=
																																										CDR
																																										(
																																										((obj_t) BgL_cdrzd21368zd2_2150));
																																									{	/* Ast/unit.scm 225 */
																																										obj_t
																																											BgL_carzd21377zd2_2152;
																																										BgL_carzd21377zd2_2152
																																											=
																																											CAR
																																											(
																																											((obj_t) BgL_cdrzd21373zd2_2151));
																																										if (SYMBOLP(BgL_carzd21377zd2_2152))
																																											{	/* Ast/unit.scm 225 */
																																												if (NULLP(CDR(((obj_t) BgL_cdrzd21373zd2_2151))))
																																													{	/* Ast/unit.scm 225 */
																																														obj_t
																																															BgL_arg1965z00_2156;
																																														BgL_arg1965z00_2156
																																															=
																																															CAR
																																															(
																																															((obj_t) BgL_cdrzd21368zd2_2150));
																																														{
																																															obj_t
																																																BgL_var2z00_7040;
																																															obj_t
																																																BgL_varz00_7039;
																																															BgL_varz00_7039
																																																=
																																																BgL_arg1965z00_2156;
																																															BgL_var2z00_7040
																																																=
																																																BgL_carzd21377zd2_2152;
																																															BgL_var2z00_1934
																																																=
																																																BgL_var2z00_7040;
																																															BgL_varz00_1933
																																																=
																																																BgL_varz00_7039;
																																															goto
																																																BgL_tagzd2366zd2_1935;
																																														}
																																													}
																																												else
																																													{	/* Ast/unit.scm 225 */
																																														obj_t
																																															BgL_arg1966z00_2158;
																																														BgL_arg1966z00_2158
																																															=
																																															CAR
																																															(
																																															((obj_t) BgL_cdrzd21368zd2_2150));
																																														{
																																															obj_t
																																																BgL_expz00_7044;
																																															obj_t
																																																BgL_varz00_7043;
																																															BgL_varz00_7043
																																																=
																																																BgL_arg1966z00_2158;
																																															BgL_expz00_7044
																																																=
																																																BgL_cdrzd21373zd2_2151;
																																															BgL_expz00_1941
																																																=
																																																BgL_expz00_7044;
																																															BgL_varz00_1940
																																																=
																																																BgL_varz00_7043;
																																															goto
																																																BgL_tagzd2368zd2_1942;
																																														}
																																													}
																																											}
																																										else
																																											{	/* Ast/unit.scm 225 */
																																												obj_t
																																													BgL_arg1969z00_2162;
																																												BgL_arg1969z00_2162
																																													=
																																													CAR
																																													(
																																													((obj_t) BgL_cdrzd21368zd2_2150));
																																												{
																																													obj_t
																																														BgL_expz00_7048;
																																													obj_t
																																														BgL_varz00_7047;
																																													BgL_varz00_7047
																																														=
																																														BgL_arg1969z00_2162;
																																													BgL_expz00_7048
																																														=
																																														BgL_cdrzd21373zd2_2151;
																																													BgL_expz00_1941
																																														=
																																														BgL_expz00_7048;
																																													BgL_varz00_1940
																																														=
																																														BgL_varz00_7047;
																																													goto
																																														BgL_tagzd2368zd2_1942;
																																												}
																																											}
																																									}
																																								}
																																							}
																																					}
																																				}
																																			}
																																	}
																																else
																																	{	/* Ast/unit.scm 225 */
																																		obj_t
																																			BgL_cdrzd21454zd2_2166;
																																		BgL_cdrzd21454zd2_2166
																																			=
																																			CDR((
																																				(obj_t)
																																				BgL_cdrzd2661zd2_2015));
																																		{	/* Ast/unit.scm 225 */
																																			obj_t
																																				BgL_carzd21460zd2_2167;
																																			BgL_carzd21460zd2_2167
																																				=
																																				CAR((
																																					(obj_t)
																																					BgL_cdrzd21454zd2_2166));
																																			{	/* Ast/unit.scm 225 */
																																				obj_t
																																					BgL_carzd21465zd2_2168;
																																				obj_t
																																					BgL_cdrzd21466zd2_2169;
																																				BgL_carzd21465zd2_2168
																																					=
																																					CAR((
																																						(obj_t)
																																						BgL_carzd21460zd2_2167));
																																				BgL_cdrzd21466zd2_2169
																																					=
																																					CDR((
																																						(obj_t)
																																						BgL_carzd21460zd2_2167));
																																				if (BGl_lambdazf3zf3zzast_unitz00(BgL_carzd21465zd2_2168))
																																					{	/* Ast/unit.scm 225 */
																																						if (NULLP(CDR(((obj_t) BgL_cdrzd21454zd2_2166))))
																																							{	/* Ast/unit.scm 225 */
																																								obj_t
																																									BgL_arg1975z00_2173;
																																								obj_t
																																									BgL_arg1976z00_2174;
																																								obj_t
																																									BgL_arg1978z00_2175;
																																								BgL_arg1975z00_2173
																																									=
																																									CAR
																																									(
																																									((obj_t) BgL_cdrzd2661zd2_2015));
																																								BgL_arg1976z00_2174
																																									=
																																									CAR
																																									(
																																									((obj_t) BgL_cdrzd21466zd2_2169));
																																								BgL_arg1978z00_2175
																																									=
																																									CDR
																																									(
																																									((obj_t) BgL_cdrzd21466zd2_2169));
																																								{
																																									obj_t
																																										BgL_expz00_7072;
																																									obj_t
																																										BgL_argsz00_7071;
																																									obj_t
																																										BgL_lamz00_7070;
																																									obj_t
																																										BgL_varz00_7069;
																																									BgL_varz00_7069
																																										=
																																										BgL_arg1975z00_2173;
																																									BgL_lamz00_7070
																																										=
																																										BgL_carzd21465zd2_2168;
																																									BgL_argsz00_7071
																																										=
																																										BgL_arg1976z00_2174;
																																									BgL_expz00_7072
																																										=
																																										BgL_arg1978z00_2175;
																																									BgL_expz00_1928
																																										=
																																										BgL_expz00_7072;
																																									BgL_argsz00_1927
																																										=
																																										BgL_argsz00_7071;
																																									BgL_lamz00_1926
																																										=
																																										BgL_lamz00_7070;
																																									BgL_varz00_1925
																																										=
																																										BgL_varz00_7069;
																																									goto
																																										BgL_tagzd2364zd2_1929;
																																								}
																																							}
																																						else
																																							{	/* Ast/unit.scm 225 */
																																								obj_t
																																									BgL_cdrzd21509zd2_2176;
																																								BgL_cdrzd21509zd2_2176
																																									=
																																									CDR
																																									(
																																									((obj_t) BgL_sexpz00_39));
																																								{	/* Ast/unit.scm 225 */
																																									obj_t
																																										BgL_arg1979z00_2177;
																																									obj_t
																																										BgL_arg1980z00_2178;
																																									BgL_arg1979z00_2177
																																										=
																																										CAR
																																										(
																																										((obj_t) BgL_cdrzd21509zd2_2176));
																																									BgL_arg1980z00_2178
																																										=
																																										CDR
																																										(
																																										((obj_t) BgL_cdrzd21509zd2_2176));
																																									{
																																										obj_t
																																											BgL_expz00_7080;
																																										obj_t
																																											BgL_varz00_7079;
																																										BgL_varz00_7079
																																											=
																																											BgL_arg1979z00_2177;
																																										BgL_expz00_7080
																																											=
																																											BgL_arg1980z00_2178;
																																										BgL_expz00_1941
																																											=
																																											BgL_expz00_7080;
																																										BgL_varz00_1940
																																											=
																																											BgL_varz00_7079;
																																										goto
																																											BgL_tagzd2368zd2_1942;
																																									}
																																								}
																																							}
																																					}
																																				else
																																					{	/* Ast/unit.scm 225 */
																																						obj_t
																																							BgL_cdrzd21536zd2_2180;
																																						BgL_cdrzd21536zd2_2180
																																							=
																																							CDR
																																							(((obj_t) BgL_sexpz00_39));
																																						{	/* Ast/unit.scm 225 */
																																							obj_t
																																								BgL_cdrzd21541zd2_2181;
																																							BgL_cdrzd21541zd2_2181
																																								=
																																								CDR
																																								(
																																								((obj_t) BgL_cdrzd21536zd2_2180));
																																							{	/* Ast/unit.scm 225 */
																																								obj_t
																																									BgL_carzd21545zd2_2182;
																																								BgL_carzd21545zd2_2182
																																									=
																																									CAR
																																									(
																																									((obj_t) BgL_cdrzd21541zd2_2181));
																																								if (SYMBOLP(BgL_carzd21545zd2_2182))
																																									{	/* Ast/unit.scm 225 */
																																										if (NULLP(CDR(((obj_t) BgL_cdrzd21541zd2_2181))))
																																											{	/* Ast/unit.scm 225 */
																																												obj_t
																																													BgL_arg1985z00_2186;
																																												BgL_arg1985z00_2186
																																													=
																																													CAR
																																													(
																																													((obj_t) BgL_cdrzd21536zd2_2180));
																																												{
																																													obj_t
																																														BgL_var2z00_7096;
																																													obj_t
																																														BgL_varz00_7095;
																																													BgL_varz00_7095
																																														=
																																														BgL_arg1985z00_2186;
																																													BgL_var2z00_7096
																																														=
																																														BgL_carzd21545zd2_2182;
																																													BgL_var2z00_1934
																																														=
																																														BgL_var2z00_7096;
																																													BgL_varz00_1933
																																														=
																																														BgL_varz00_7095;
																																													goto
																																														BgL_tagzd2366zd2_1935;
																																												}
																																											}
																																										else
																																											{	/* Ast/unit.scm 225 */
																																												obj_t
																																													BgL_arg1986z00_2188;
																																												BgL_arg1986z00_2188
																																													=
																																													CAR
																																													(
																																													((obj_t) BgL_cdrzd21536zd2_2180));
																																												{
																																													obj_t
																																														BgL_expz00_7100;
																																													obj_t
																																														BgL_varz00_7099;
																																													BgL_varz00_7099
																																														=
																																														BgL_arg1986z00_2188;
																																													BgL_expz00_7100
																																														=
																																														BgL_cdrzd21541zd2_2181;
																																													BgL_expz00_1941
																																														=
																																														BgL_expz00_7100;
																																													BgL_varz00_1940
																																														=
																																														BgL_varz00_7099;
																																													goto
																																														BgL_tagzd2368zd2_1942;
																																												}
																																											}
																																									}
																																								else
																																									{	/* Ast/unit.scm 225 */
																																										obj_t
																																											BgL_arg1989z00_2192;
																																										BgL_arg1989z00_2192
																																											=
																																											CAR
																																											(
																																											((obj_t) BgL_cdrzd21536zd2_2180));
																																										{
																																											obj_t
																																												BgL_expz00_7104;
																																											obj_t
																																												BgL_varz00_7103;
																																											BgL_varz00_7103
																																												=
																																												BgL_arg1989z00_2192;
																																											BgL_expz00_7104
																																												=
																																												BgL_cdrzd21541zd2_2181;
																																											BgL_expz00_1941
																																												=
																																												BgL_expz00_7104;
																																											BgL_varz00_1940
																																												=
																																												BgL_varz00_7103;
																																											goto
																																												BgL_tagzd2368zd2_1942;
																																										}
																																									}
																																							}
																																						}
																																					}
																																			}
																																		}
																																	}
																															}
																														}
																													else
																														{	/* Ast/unit.scm 225 */
																															obj_t
																																BgL_cdrzd21622zd2_2195;
																															BgL_cdrzd21622zd2_2195
																																=
																																CDR(((obj_t)
																																	BgL_cdrzd2661zd2_2015));
																															{	/* Ast/unit.scm 225 */
																																obj_t
																																	BgL_carzd21628zd2_2196;
																																BgL_carzd21628zd2_2196
																																	=
																																	CAR(((obj_t)
																																		BgL_cdrzd21622zd2_2195));
																																{	/* Ast/unit.scm 225 */
																																	obj_t
																																		BgL_carzd21633zd2_2197;
																																	obj_t
																																		BgL_cdrzd21634zd2_2198;
																																	BgL_carzd21633zd2_2197
																																		=
																																		CAR(((obj_t)
																																			BgL_carzd21628zd2_2196));
																																	BgL_cdrzd21634zd2_2198
																																		=
																																		CDR(((obj_t)
																																			BgL_carzd21628zd2_2196));
																																	if (BGl_lambdazf3zf3zzast_unitz00(BgL_carzd21633zd2_2197))
																																		{	/* Ast/unit.scm 225 */
																																			if (NULLP
																																				(CDR(((obj_t) BgL_cdrzd21622zd2_2195))))
																																				{	/* Ast/unit.scm 225 */
																																					obj_t
																																						BgL_arg1998z00_2202;
																																					obj_t
																																						BgL_arg1999z00_2203;
																																					obj_t
																																						BgL_arg2000z00_2204;
																																					BgL_arg1998z00_2202
																																						=
																																						CAR(
																																						((obj_t) BgL_cdrzd2661zd2_2015));
																																					BgL_arg1999z00_2203
																																						=
																																						CAR(
																																						((obj_t) BgL_cdrzd21634zd2_2198));
																																					BgL_arg2000z00_2204
																																						=
																																						CDR(
																																						((obj_t) BgL_cdrzd21634zd2_2198));
																																					{
																																						obj_t
																																							BgL_expz00_7128;
																																						obj_t
																																							BgL_argsz00_7127;
																																						obj_t
																																							BgL_lamz00_7126;
																																						obj_t
																																							BgL_varz00_7125;
																																						BgL_varz00_7125
																																							=
																																							BgL_arg1998z00_2202;
																																						BgL_lamz00_7126
																																							=
																																							BgL_carzd21633zd2_2197;
																																						BgL_argsz00_7127
																																							=
																																							BgL_arg1999z00_2203;
																																						BgL_expz00_7128
																																							=
																																							BgL_arg2000z00_2204;
																																						BgL_expz00_1928
																																							=
																																							BgL_expz00_7128;
																																						BgL_argsz00_1927
																																							=
																																							BgL_argsz00_7127;
																																						BgL_lamz00_1926
																																							=
																																							BgL_lamz00_7126;
																																						BgL_varz00_1925
																																							=
																																							BgL_varz00_7125;
																																						goto
																																							BgL_tagzd2364zd2_1929;
																																					}
																																				}
																																			else
																																				{	/* Ast/unit.scm 225 */
																																					obj_t
																																						BgL_cdrzd21677zd2_2205;
																																					BgL_cdrzd21677zd2_2205
																																						=
																																						CDR(
																																						((obj_t) BgL_sexpz00_39));
																																					{	/* Ast/unit.scm 225 */
																																						obj_t
																																							BgL_arg2001z00_2206;
																																						obj_t
																																							BgL_arg2002z00_2207;
																																						BgL_arg2001z00_2206
																																							=
																																							CAR
																																							(((obj_t) BgL_cdrzd21677zd2_2205));
																																						BgL_arg2002z00_2207
																																							=
																																							CDR
																																							(((obj_t) BgL_cdrzd21677zd2_2205));
																																						{
																																							obj_t
																																								BgL_expz00_7136;
																																							obj_t
																																								BgL_varz00_7135;
																																							BgL_varz00_7135
																																								=
																																								BgL_arg2001z00_2206;
																																							BgL_expz00_7136
																																								=
																																								BgL_arg2002z00_2207;
																																							BgL_expz00_1941
																																								=
																																								BgL_expz00_7136;
																																							BgL_varz00_1940
																																								=
																																								BgL_varz00_7135;
																																							goto
																																								BgL_tagzd2368zd2_1942;
																																						}
																																					}
																																				}
																																		}
																																	else
																																		{	/* Ast/unit.scm 225 */
																																			obj_t
																																				BgL_cdrzd21704zd2_2209;
																																			BgL_cdrzd21704zd2_2209
																																				=
																																				CDR((
																																					(obj_t)
																																					BgL_sexpz00_39));
																																			{	/* Ast/unit.scm 225 */
																																				obj_t
																																					BgL_cdrzd21709zd2_2210;
																																				BgL_cdrzd21709zd2_2210
																																					=
																																					CDR((
																																						(obj_t)
																																						BgL_cdrzd21704zd2_2209));
																																				{	/* Ast/unit.scm 225 */
																																					obj_t
																																						BgL_carzd21713zd2_2211;
																																					BgL_carzd21713zd2_2211
																																						=
																																						CAR(
																																						((obj_t) BgL_cdrzd21709zd2_2210));
																																					if (SYMBOLP(BgL_carzd21713zd2_2211))
																																						{	/* Ast/unit.scm 225 */
																																							if (NULLP(CDR(((obj_t) BgL_cdrzd21709zd2_2210))))
																																								{	/* Ast/unit.scm 225 */
																																									obj_t
																																										BgL_arg2007z00_2215;
																																									BgL_arg2007z00_2215
																																										=
																																										CAR
																																										(
																																										((obj_t) BgL_cdrzd21704zd2_2209));
																																									{
																																										obj_t
																																											BgL_var2z00_7152;
																																										obj_t
																																											BgL_varz00_7151;
																																										BgL_varz00_7151
																																											=
																																											BgL_arg2007z00_2215;
																																										BgL_var2z00_7152
																																											=
																																											BgL_carzd21713zd2_2211;
																																										BgL_var2z00_1934
																																											=
																																											BgL_var2z00_7152;
																																										BgL_varz00_1933
																																											=
																																											BgL_varz00_7151;
																																										goto
																																											BgL_tagzd2366zd2_1935;
																																									}
																																								}
																																							else
																																								{	/* Ast/unit.scm 225 */
																																									obj_t
																																										BgL_arg2008z00_2217;
																																									BgL_arg2008z00_2217
																																										=
																																										CAR
																																										(
																																										((obj_t) BgL_cdrzd21704zd2_2209));
																																									{
																																										obj_t
																																											BgL_expz00_7156;
																																										obj_t
																																											BgL_varz00_7155;
																																										BgL_varz00_7155
																																											=
																																											BgL_arg2008z00_2217;
																																										BgL_expz00_7156
																																											=
																																											BgL_cdrzd21709zd2_2210;
																																										BgL_expz00_1941
																																											=
																																											BgL_expz00_7156;
																																										BgL_varz00_1940
																																											=
																																											BgL_varz00_7155;
																																										goto
																																											BgL_tagzd2368zd2_1942;
																																									}
																																								}
																																						}
																																					else
																																						{	/* Ast/unit.scm 225 */
																																							obj_t
																																								BgL_arg2011z00_2221;
																																							BgL_arg2011z00_2221
																																								=
																																								CAR
																																								(
																																								((obj_t) BgL_cdrzd21704zd2_2209));
																																							{
																																								obj_t
																																									BgL_expz00_7160;
																																								obj_t
																																									BgL_varz00_7159;
																																								BgL_varz00_7159
																																									=
																																									BgL_arg2011z00_2221;
																																								BgL_expz00_7160
																																									=
																																									BgL_cdrzd21709zd2_2210;
																																								BgL_expz00_1941
																																									=
																																									BgL_expz00_7160;
																																								BgL_varz00_1940
																																									=
																																									BgL_varz00_7159;
																																								goto
																																									BgL_tagzd2368zd2_1942;
																																							}
																																						}
																																				}
																																			}
																																		}
																																}
																															}
																														}
																												}
																											else
																												{	/* Ast/unit.scm 225 */
																													obj_t
																														BgL_cdrzd21790zd2_2224;
																													BgL_cdrzd21790zd2_2224
																														=
																														CDR(((obj_t)
																															BgL_cdrzd2661zd2_2015));
																													{	/* Ast/unit.scm 225 */
																														obj_t
																															BgL_carzd21796zd2_2225;
																														BgL_carzd21796zd2_2225
																															=
																															CAR(((obj_t)
																																BgL_cdrzd21790zd2_2224));
																														{	/* Ast/unit.scm 225 */
																															obj_t
																																BgL_carzd21801zd2_2226;
																															obj_t
																																BgL_cdrzd21802zd2_2227;
																															BgL_carzd21801zd2_2226
																																=
																																CAR(((obj_t)
																																	BgL_carzd21796zd2_2225));
																															BgL_cdrzd21802zd2_2227
																																=
																																CDR(((obj_t)
																																	BgL_carzd21796zd2_2225));
																															if (BGl_lambdazf3zf3zzast_unitz00(BgL_carzd21801zd2_2226))
																																{	/* Ast/unit.scm 225 */
																																	if (NULLP(CDR(
																																				((obj_t)
																																					BgL_cdrzd21790zd2_2224))))
																																		{	/* Ast/unit.scm 225 */
																																			obj_t
																																				BgL_arg2016z00_2231;
																																			obj_t
																																				BgL_arg2017z00_2232;
																																			obj_t
																																				BgL_arg2018z00_2233;
																																			BgL_arg2016z00_2231
																																				=
																																				CAR((
																																					(obj_t)
																																					BgL_cdrzd2661zd2_2015));
																																			BgL_arg2017z00_2232
																																				=
																																				CAR((
																																					(obj_t)
																																					BgL_cdrzd21802zd2_2227));
																																			BgL_arg2018z00_2233
																																				=
																																				CDR((
																																					(obj_t)
																																					BgL_cdrzd21802zd2_2227));
																																			{
																																				obj_t
																																					BgL_expz00_7184;
																																				obj_t
																																					BgL_argsz00_7183;
																																				obj_t
																																					BgL_lamz00_7182;
																																				obj_t
																																					BgL_varz00_7181;
																																				BgL_varz00_7181
																																					=
																																					BgL_arg2016z00_2231;
																																				BgL_lamz00_7182
																																					=
																																					BgL_carzd21801zd2_2226;
																																				BgL_argsz00_7183
																																					=
																																					BgL_arg2017z00_2232;
																																				BgL_expz00_7184
																																					=
																																					BgL_arg2018z00_2233;
																																				BgL_expz00_1928
																																					=
																																					BgL_expz00_7184;
																																				BgL_argsz00_1927
																																					=
																																					BgL_argsz00_7183;
																																				BgL_lamz00_1926
																																					=
																																					BgL_lamz00_7182;
																																				BgL_varz00_1925
																																					=
																																					BgL_varz00_7181;
																																				goto
																																					BgL_tagzd2364zd2_1929;
																																			}
																																		}
																																	else
																																		{	/* Ast/unit.scm 225 */
																																			obj_t
																																				BgL_cdrzd21845zd2_2234;
																																			BgL_cdrzd21845zd2_2234
																																				=
																																				CDR((
																																					(obj_t)
																																					BgL_sexpz00_39));
																																			{	/* Ast/unit.scm 225 */
																																				obj_t
																																					BgL_arg2019z00_2235;
																																				obj_t
																																					BgL_arg2021z00_2236;
																																				BgL_arg2019z00_2235
																																					=
																																					CAR((
																																						(obj_t)
																																						BgL_cdrzd21845zd2_2234));
																																				BgL_arg2021z00_2236
																																					=
																																					CDR((
																																						(obj_t)
																																						BgL_cdrzd21845zd2_2234));
																																				{
																																					obj_t
																																						BgL_expz00_7192;
																																					obj_t
																																						BgL_varz00_7191;
																																					BgL_varz00_7191
																																						=
																																						BgL_arg2019z00_2235;
																																					BgL_expz00_7192
																																						=
																																						BgL_arg2021z00_2236;
																																					BgL_expz00_1941
																																						=
																																						BgL_expz00_7192;
																																					BgL_varz00_1940
																																						=
																																						BgL_varz00_7191;
																																					goto
																																						BgL_tagzd2368zd2_1942;
																																				}
																																			}
																																		}
																																}
																															else
																																{	/* Ast/unit.scm 225 */
																																	obj_t
																																		BgL_cdrzd21872zd2_2238;
																																	BgL_cdrzd21872zd2_2238
																																		=
																																		CDR(((obj_t)
																																			BgL_sexpz00_39));
																																	{	/* Ast/unit.scm 225 */
																																		obj_t
																																			BgL_cdrzd21877zd2_2239;
																																		BgL_cdrzd21877zd2_2239
																																			=
																																			CDR((
																																				(obj_t)
																																				BgL_cdrzd21872zd2_2238));
																																		{	/* Ast/unit.scm 225 */
																																			obj_t
																																				BgL_carzd21881zd2_2240;
																																			BgL_carzd21881zd2_2240
																																				=
																																				CAR((
																																					(obj_t)
																																					BgL_cdrzd21877zd2_2239));
																																			if (SYMBOLP(BgL_carzd21881zd2_2240))
																																				{	/* Ast/unit.scm 225 */
																																					if (NULLP(CDR(((obj_t) BgL_cdrzd21877zd2_2239))))
																																						{	/* Ast/unit.scm 225 */
																																							obj_t
																																								BgL_arg2026z00_2244;
																																							BgL_arg2026z00_2244
																																								=
																																								CAR
																																								(
																																								((obj_t) BgL_cdrzd21872zd2_2238));
																																							{
																																								obj_t
																																									BgL_var2z00_7208;
																																								obj_t
																																									BgL_varz00_7207;
																																								BgL_varz00_7207
																																									=
																																									BgL_arg2026z00_2244;
																																								BgL_var2z00_7208
																																									=
																																									BgL_carzd21881zd2_2240;
																																								BgL_var2z00_1934
																																									=
																																									BgL_var2z00_7208;
																																								BgL_varz00_1933
																																									=
																																									BgL_varz00_7207;
																																								goto
																																									BgL_tagzd2366zd2_1935;
																																							}
																																						}
																																					else
																																						{	/* Ast/unit.scm 225 */
																																							obj_t
																																								BgL_arg2027z00_2246;
																																							BgL_arg2027z00_2246
																																								=
																																								CAR
																																								(
																																								((obj_t) BgL_cdrzd21872zd2_2238));
																																							{
																																								obj_t
																																									BgL_expz00_7212;
																																								obj_t
																																									BgL_varz00_7211;
																																								BgL_varz00_7211
																																									=
																																									BgL_arg2027z00_2246;
																																								BgL_expz00_7212
																																									=
																																									BgL_cdrzd21877zd2_2239;
																																								BgL_expz00_1941
																																									=
																																									BgL_expz00_7212;
																																								BgL_varz00_1940
																																									=
																																									BgL_varz00_7211;
																																								goto
																																									BgL_tagzd2368zd2_1942;
																																							}
																																						}
																																				}
																																			else
																																				{	/* Ast/unit.scm 225 */
																																					obj_t
																																						BgL_arg2031z00_2250;
																																					BgL_arg2031z00_2250
																																						=
																																						CAR(
																																						((obj_t) BgL_cdrzd21872zd2_2238));
																																					{
																																						obj_t
																																							BgL_expz00_7216;
																																						obj_t
																																							BgL_varz00_7215;
																																						BgL_varz00_7215
																																							=
																																							BgL_arg2031z00_2250;
																																						BgL_expz00_7216
																																							=
																																							BgL_cdrzd21877zd2_2239;
																																						BgL_expz00_1941
																																							=
																																							BgL_expz00_7216;
																																						BgL_varz00_1940
																																							=
																																							BgL_varz00_7215;
																																						goto
																																							BgL_tagzd2368zd2_1942;
																																					}
																																				}
																																		}
																																	}
																																}
																														}
																													}
																												}
																										}
																									else
																										{	/* Ast/unit.scm 225 */
																											obj_t
																												BgL_cdrzd21973zd2_2253;
																											BgL_cdrzd21973zd2_2253 =
																												CDR(((obj_t)
																													BgL_cdrzd2661zd2_2015));
																											{	/* Ast/unit.scm 225 */
																												obj_t
																													BgL_carzd21977zd2_2254;
																												BgL_carzd21977zd2_2254 =
																													CAR(((obj_t)
																														BgL_cdrzd21973zd2_2253));
																												if (SYMBOLP
																													(BgL_carzd21977zd2_2254))
																													{	/* Ast/unit.scm 225 */
																														if (NULLP(CDR(
																																	((obj_t)
																																		BgL_cdrzd21973zd2_2253))))
																															{	/* Ast/unit.scm 225 */
																																obj_t
																																	BgL_arg2036z00_2258;
																																BgL_arg2036z00_2258
																																	=
																																	CAR(((obj_t)
																																		BgL_cdrzd2661zd2_2015));
																																{
																																	obj_t
																																		BgL_var2z00_7230;
																																	obj_t
																																		BgL_varz00_7229;
																																	BgL_varz00_7229
																																		=
																																		BgL_arg2036z00_2258;
																																	BgL_var2z00_7230
																																		=
																																		BgL_carzd21977zd2_2254;
																																	BgL_var2z00_1934
																																		=
																																		BgL_var2z00_7230;
																																	BgL_varz00_1933
																																		=
																																		BgL_varz00_7229;
																																	goto
																																		BgL_tagzd2366zd2_1935;
																																}
																															}
																														else
																															{	/* Ast/unit.scm 225 */
																																obj_t
																																	BgL_cdrzd21999zd2_2259;
																																BgL_cdrzd21999zd2_2259
																																	=
																																	CDR(((obj_t)
																																		BgL_sexpz00_39));
																																{	/* Ast/unit.scm 225 */
																																	obj_t
																																		BgL_arg2038z00_2260;
																																	obj_t
																																		BgL_arg2039z00_2261;
																																	BgL_arg2038z00_2260
																																		=
																																		CAR(((obj_t)
																																			BgL_cdrzd21999zd2_2259));
																																	BgL_arg2039z00_2261
																																		=
																																		CDR(((obj_t)
																																			BgL_cdrzd21999zd2_2259));
																																	{
																																		obj_t
																																			BgL_expz00_7238;
																																		obj_t
																																			BgL_varz00_7237;
																																		BgL_varz00_7237
																																			=
																																			BgL_arg2038z00_2260;
																																		BgL_expz00_7238
																																			=
																																			BgL_arg2039z00_2261;
																																		BgL_expz00_1941
																																			=
																																			BgL_expz00_7238;
																																		BgL_varz00_1940
																																			=
																																			BgL_varz00_7237;
																																		goto
																																			BgL_tagzd2368zd2_1942;
																																	}
																																}
																															}
																													}
																												else
																													{	/* Ast/unit.scm 225 */
																														obj_t
																															BgL_cdrzd22025zd2_2263;
																														BgL_cdrzd22025zd2_2263
																															=
																															CDR(((obj_t)
																																BgL_sexpz00_39));
																														{	/* Ast/unit.scm 225 */
																															obj_t
																																BgL_arg2041z00_2264;
																															obj_t
																																BgL_arg2042z00_2265;
																															BgL_arg2041z00_2264
																																=
																																CAR(((obj_t)
																																	BgL_cdrzd22025zd2_2263));
																															BgL_arg2042z00_2265
																																=
																																CDR(((obj_t)
																																	BgL_cdrzd22025zd2_2263));
																															{
																																obj_t
																																	BgL_expz00_7246;
																																obj_t
																																	BgL_varz00_7245;
																																BgL_varz00_7245
																																	=
																																	BgL_arg2041z00_2264;
																																BgL_expz00_7246
																																	=
																																	BgL_arg2042z00_2265;
																																BgL_expz00_1941
																																	=
																																	BgL_expz00_7246;
																																BgL_varz00_1940
																																	=
																																	BgL_varz00_7245;
																																goto
																																	BgL_tagzd2368zd2_1942;
																															}
																														}
																													}
																											}
																										}
																								}
																							else
																								{	/* Ast/unit.scm 225 */
																									obj_t BgL_cdrzd22054zd2_2267;

																									BgL_cdrzd22054zd2_2267 =
																										CDR(
																										((obj_t)
																											BgL_cdrzd2661zd2_2015));
																									{	/* Ast/unit.scm 225 */
																										obj_t
																											BgL_carzd22060zd2_2268;
																										BgL_carzd22060zd2_2268 =
																											CAR(((obj_t)
																												BgL_cdrzd22054zd2_2267));
																										{	/* Ast/unit.scm 225 */
																											obj_t
																												BgL_carzd22065zd2_2269;
																											obj_t
																												BgL_cdrzd22066zd2_2270;
																											BgL_carzd22065zd2_2269 =
																												CAR(((obj_t)
																													BgL_carzd22060zd2_2268));
																											BgL_cdrzd22066zd2_2270 =
																												CDR(((obj_t)
																													BgL_carzd22060zd2_2268));
																											if (BGl_lambdazf3zf3zzast_unitz00(BgL_carzd22065zd2_2269))
																												{	/* Ast/unit.scm 225 */
																													if (PAIRP
																														(BgL_cdrzd22066zd2_2270))
																														{	/* Ast/unit.scm 225 */
																															if (NULLP(CDR(
																																		((obj_t)
																																			BgL_cdrzd22054zd2_2267))))
																																{	/* Ast/unit.scm 225 */
																																	obj_t
																																		BgL_arg2047z00_2275;
																																	obj_t
																																		BgL_arg2049z00_2276;
																																	obj_t
																																		BgL_arg2050z00_2277;
																																	BgL_arg2047z00_2275
																																		=
																																		CAR(((obj_t)
																																			BgL_cdrzd2661zd2_2015));
																																	BgL_arg2049z00_2276
																																		=
																																		CAR
																																		(BgL_cdrzd22066zd2_2270);
																																	BgL_arg2050z00_2277
																																		=
																																		CDR
																																		(BgL_cdrzd22066zd2_2270);
																																	{
																																		obj_t
																																			BgL_expz00_7270;
																																		obj_t
																																			BgL_argsz00_7269;
																																		obj_t
																																			BgL_lamz00_7268;
																																		obj_t
																																			BgL_varz00_7267;
																																		BgL_varz00_7267
																																			=
																																			BgL_arg2047z00_2275;
																																		BgL_lamz00_7268
																																			=
																																			BgL_carzd22065zd2_2269;
																																		BgL_argsz00_7269
																																			=
																																			BgL_arg2049z00_2276;
																																		BgL_expz00_7270
																																			=
																																			BgL_arg2050z00_2277;
																																		BgL_expz00_1928
																																			=
																																			BgL_expz00_7270;
																																		BgL_argsz00_1927
																																			=
																																			BgL_argsz00_7269;
																																		BgL_lamz00_1926
																																			=
																																			BgL_lamz00_7268;
																																		BgL_varz00_1925
																																			=
																																			BgL_varz00_7267;
																																		goto
																																			BgL_tagzd2364zd2_1929;
																																	}
																																}
																															else
																																{	/* Ast/unit.scm 225 */
																																	obj_t
																																		BgL_cdrzd22111zd2_2278;
																																	BgL_cdrzd22111zd2_2278
																																		=
																																		CDR(((obj_t)
																																			BgL_sexpz00_39));
																																	{	/* Ast/unit.scm 225 */
																																		obj_t
																																			BgL_arg2051z00_2279;
																																		obj_t
																																			BgL_arg2052z00_2280;
																																		BgL_arg2051z00_2279
																																			=
																																			CAR((
																																				(obj_t)
																																				BgL_cdrzd22111zd2_2278));
																																		BgL_arg2052z00_2280
																																			=
																																			CDR((
																																				(obj_t)
																																				BgL_cdrzd22111zd2_2278));
																																		{
																																			obj_t
																																				BgL_expz00_7278;
																																			obj_t
																																				BgL_varz00_7277;
																																			BgL_varz00_7277
																																				=
																																				BgL_arg2051z00_2279;
																																			BgL_expz00_7278
																																				=
																																				BgL_arg2052z00_2280;
																																			BgL_expz00_1941
																																				=
																																				BgL_expz00_7278;
																																			BgL_varz00_1940
																																				=
																																				BgL_varz00_7277;
																																			goto
																																				BgL_tagzd2368zd2_1942;
																																		}
																																	}
																																}
																														}
																													else
																														{	/* Ast/unit.scm 225 */
																															obj_t
																																BgL_cdrzd22138zd2_2282;
																															BgL_cdrzd22138zd2_2282
																																=
																																CDR(((obj_t)
																																	BgL_sexpz00_39));
																															{	/* Ast/unit.scm 225 */
																																obj_t
																																	BgL_cdrzd22143zd2_2283;
																																BgL_cdrzd22143zd2_2283
																																	=
																																	CDR(((obj_t)
																																		BgL_cdrzd22138zd2_2282));
																																{	/* Ast/unit.scm 225 */
																																	obj_t
																																		BgL_carzd22147zd2_2284;
																																	BgL_carzd22147zd2_2284
																																		=
																																		CAR(((obj_t)
																																			BgL_cdrzd22143zd2_2283));
																																	if (SYMBOLP
																																		(BgL_carzd22147zd2_2284))
																																		{	/* Ast/unit.scm 225 */
																																			if (NULLP
																																				(CDR(((obj_t) BgL_cdrzd22143zd2_2283))))
																																				{	/* Ast/unit.scm 225 */
																																					obj_t
																																						BgL_arg2058z00_2288;
																																					BgL_arg2058z00_2288
																																						=
																																						CAR(
																																						((obj_t) BgL_cdrzd22138zd2_2282));
																																					{
																																						obj_t
																																							BgL_var2z00_7294;
																																						obj_t
																																							BgL_varz00_7293;
																																						BgL_varz00_7293
																																							=
																																							BgL_arg2058z00_2288;
																																						BgL_var2z00_7294
																																							=
																																							BgL_carzd22147zd2_2284;
																																						BgL_var2z00_1934
																																							=
																																							BgL_var2z00_7294;
																																						BgL_varz00_1933
																																							=
																																							BgL_varz00_7293;
																																						goto
																																							BgL_tagzd2366zd2_1935;
																																					}
																																				}
																																			else
																																				{	/* Ast/unit.scm 225 */
																																					obj_t
																																						BgL_arg2059z00_2290;
																																					BgL_arg2059z00_2290
																																						=
																																						CAR(
																																						((obj_t) BgL_cdrzd22138zd2_2282));
																																					{
																																						obj_t
																																							BgL_expz00_7298;
																																						obj_t
																																							BgL_varz00_7297;
																																						BgL_varz00_7297
																																							=
																																							BgL_arg2059z00_2290;
																																						BgL_expz00_7298
																																							=
																																							BgL_cdrzd22143zd2_2283;
																																						BgL_expz00_1941
																																							=
																																							BgL_expz00_7298;
																																						BgL_varz00_1940
																																							=
																																							BgL_varz00_7297;
																																						goto
																																							BgL_tagzd2368zd2_1942;
																																					}
																																				}
																																		}
																																	else
																																		{	/* Ast/unit.scm 225 */
																																			obj_t
																																				BgL_arg2063z00_2294;
																																			BgL_arg2063z00_2294
																																				=
																																				CAR((
																																					(obj_t)
																																					BgL_cdrzd22138zd2_2282));
																																			{
																																				obj_t
																																					BgL_expz00_7302;
																																				obj_t
																																					BgL_varz00_7301;
																																				BgL_varz00_7301
																																					=
																																					BgL_arg2063z00_2294;
																																				BgL_expz00_7302
																																					=
																																					BgL_cdrzd22143zd2_2283;
																																				BgL_expz00_1941
																																					=
																																					BgL_expz00_7302;
																																				BgL_varz00_1940
																																					=
																																					BgL_varz00_7301;
																																				goto
																																					BgL_tagzd2368zd2_1942;
																																			}
																																		}
																																}
																															}
																														}
																												}
																											else
																												{	/* Ast/unit.scm 225 */
																													obj_t
																														BgL_cdrzd22214zd2_2296;
																													BgL_cdrzd22214zd2_2296
																														=
																														CDR(((obj_t)
																															BgL_sexpz00_39));
																													{	/* Ast/unit.scm 225 */
																														obj_t
																															BgL_cdrzd22219zd2_2297;
																														BgL_cdrzd22219zd2_2297
																															=
																															CDR(((obj_t)
																																BgL_cdrzd22214zd2_2296));
																														{	/* Ast/unit.scm 225 */
																															obj_t
																																BgL_carzd22223zd2_2298;
																															BgL_carzd22223zd2_2298
																																=
																																CAR(((obj_t)
																																	BgL_cdrzd22219zd2_2297));
																															{	/* Ast/unit.scm 225 */
																																obj_t
																																	BgL_cdrzd22227zd2_2299;
																																BgL_cdrzd22227zd2_2299
																																	=
																																	CDR(((obj_t)
																																		BgL_carzd22223zd2_2298));
																																if ((CAR((
																																				(obj_t)
																																				BgL_carzd22223zd2_2298))
																																		==
																																		((obj_t)
																																			CNST_TABLE_REF
																																			(2))))
																																	{	/* Ast/unit.scm 225 */
																																		if (PAIRP
																																			(BgL_cdrzd22227zd2_2299))
																																			{	/* Ast/unit.scm 225 */
																																				if (NULLP(CDR(BgL_cdrzd22227zd2_2299)))
																																					{	/* Ast/unit.scm 225 */
																																						if (NULLP(CDR(((obj_t) BgL_cdrzd22219zd2_2297))))
																																							{	/* Ast/unit.scm 225 */
																																								obj_t
																																									BgL_arg2072z00_2307;
																																								obj_t
																																									BgL_arg2073z00_2308;
																																								BgL_arg2072z00_2307
																																									=
																																									CAR
																																									(
																																									((obj_t) BgL_cdrzd22214zd2_2296));
																																								BgL_arg2073z00_2308
																																									=
																																									CAR
																																									(BgL_cdrzd22227zd2_2299);
																																								BgL_varz00_1930
																																									=
																																									BgL_arg2072z00_2307;
																																								BgL_1zd2expzd2_1931
																																									=
																																									BgL_arg2073z00_2308;
																																								{	/* Ast/unit.scm 302 */
																																									bool_t
																																										BgL_test3811z00_7329;
																																									if (BGl_typezd2existszf3z21zztype_envz00(BgL_varz00_1930))
																																										{	/* Ast/unit.scm 302 */
																																											BgL_typez00_bglt
																																												BgL_arg2320z00_2647;
																																											BgL_arg2320z00_2647
																																												=
																																												BGl_findzd2typezd2zztype_envz00
																																												(BgL_varz00_1930);
																																											{	/* Ast/unit.scm 302 */
																																												obj_t
																																													BgL_classz00_4429;
																																												BgL_classz00_4429
																																													=
																																													BGl_tclassz00zzobject_classz00;
																																												{	/* Ast/unit.scm 302 */
																																													BgL_objectz00_bglt
																																														BgL_arg1858z00_4431;
																																													{	/* Ast/unit.scm 302 */
																																														obj_t
																																															BgL_tmpz00_7333;
																																														BgL_tmpz00_7333
																																															=
																																															(
																																															(obj_t)
																																															((BgL_objectz00_bglt) BgL_arg2320z00_2647));
																																														BgL_arg1858z00_4431
																																															=
																																															(BgL_objectz00_bglt)
																																															(BgL_tmpz00_7333);
																																													}
																																													if (BGL_CONDEXPAND_ISA_ARCH64())
																																														{	/* Ast/unit.scm 302 */
																																															long
																																																BgL_idxz00_4437;
																																															BgL_idxz00_4437
																																																=
																																																BGL_OBJECT_INHERITANCE_NUM
																																																(BgL_arg1858z00_4431);
																																															BgL_test3811z00_7329
																																																=
																																																(VECTOR_REF
																																																(BGl_za2inheritancesza2z00zz__objectz00,
																																																	(BgL_idxz00_4437
																																																		+
																																																		2L))
																																																==
																																																BgL_classz00_4429);
																																														}
																																													else
																																														{	/* Ast/unit.scm 302 */
																																															bool_t
																																																BgL_res3544z00_4462;
																																															{	/* Ast/unit.scm 302 */
																																																obj_t
																																																	BgL_oclassz00_4445;
																																																{	/* Ast/unit.scm 302 */
																																																	obj_t
																																																		BgL_arg1866z00_4453;
																																																	long
																																																		BgL_arg1867z00_4454;
																																																	BgL_arg1866z00_4453
																																																		=
																																																		(BGl_za2classesza2z00zz__objectz00);
																																																	{	/* Ast/unit.scm 302 */
																																																		long
																																																			BgL_arg1869z00_4455;
																																																		BgL_arg1869z00_4455
																																																			=
																																																			BGL_OBJECT_CLASS_NUM
																																																			(BgL_arg1858z00_4431);
																																																		BgL_arg1867z00_4454
																																																			=
																																																			(BgL_arg1869z00_4455
																																																			-
																																																			OBJECT_TYPE);
																																																	}
																																																	BgL_oclassz00_4445
																																																		=
																																																		VECTOR_REF
																																																		(BgL_arg1866z00_4453,
																																																		BgL_arg1867z00_4454);
																																																}
																																																{	/* Ast/unit.scm 302 */
																																																	bool_t
																																																		BgL__ortest_1115z00_4446;
																																																	BgL__ortest_1115z00_4446
																																																		=
																																																		(BgL_classz00_4429
																																																		==
																																																		BgL_oclassz00_4445);
																																																	if (BgL__ortest_1115z00_4446)
																																																		{	/* Ast/unit.scm 302 */
																																																			BgL_res3544z00_4462
																																																				=
																																																				BgL__ortest_1115z00_4446;
																																																		}
																																																	else
																																																		{	/* Ast/unit.scm 302 */
																																																			long
																																																				BgL_odepthz00_4447;
																																																			{	/* Ast/unit.scm 302 */
																																																				obj_t
																																																					BgL_arg1855z00_4448;
																																																				BgL_arg1855z00_4448
																																																					=
																																																					(BgL_oclassz00_4445);
																																																				BgL_odepthz00_4447
																																																					=
																																																					BGL_CLASS_DEPTH
																																																					(BgL_arg1855z00_4448);
																																																			}
																																																			if ((2L < BgL_odepthz00_4447))
																																																				{	/* Ast/unit.scm 302 */
																																																					obj_t
																																																						BgL_arg1853z00_4450;
																																																					{	/* Ast/unit.scm 302 */
																																																						obj_t
																																																							BgL_arg1854z00_4451;
																																																						BgL_arg1854z00_4451
																																																							=
																																																							(BgL_oclassz00_4445);
																																																						BgL_arg1853z00_4450
																																																							=
																																																							BGL_CLASS_ANCESTORS_REF
																																																							(BgL_arg1854z00_4451,
																																																							2L);
																																																					}
																																																					BgL_res3544z00_4462
																																																						=
																																																						(BgL_arg1853z00_4450
																																																						==
																																																						BgL_classz00_4429);
																																																				}
																																																			else
																																																				{	/* Ast/unit.scm 302 */
																																																					BgL_res3544z00_4462
																																																						=
																																																						(
																																																						(bool_t)
																																																						0);
																																																				}
																																																		}
																																																}
																																															}
																																															BgL_test3811z00_7329
																																																=
																																																BgL_res3544z00_4462;
																																														}
																																												}
																																											}
																																										}
																																									else
																																										{	/* Ast/unit.scm 302 */
																																											BgL_test3811z00_7329
																																												=
																																												(
																																												(bool_t)
																																												0);
																																										}
																																									if (BgL_test3811z00_7329)
																																										{	/* Ast/unit.scm 302 */
																																											BGl_errorzd2classzd2shadowz00zzast_unitz00
																																												(BgL_varz00_1930,
																																												BgL_sexpz00_39);
																																										}
																																									else
																																										{	/* Ast/unit.scm 302 */
																																											BFALSE;
																																										}
																																								}
																																								{	/* Ast/unit.scm 304 */
																																									obj_t
																																										BgL_arg2321z00_2648;
																																									{	/* Ast/unit.scm 304 */
																																										obj_t
																																											BgL_pairz00_4466;
																																										BgL_pairz00_4466
																																											=
																																											CDR
																																											(
																																											((obj_t) BgL_sexpz00_39));
																																										BgL_arg2321z00_2648
																																											=
																																											CDR
																																											(BgL_pairz00_4466);
																																									}
																																									{	/* Ast/unit.scm 304 */
																																										obj_t
																																											BgL_tmpz00_7360;
																																										BgL_tmpz00_7360
																																											=
																																											(
																																											(obj_t)
																																											BgL_arg2321z00_2648);
																																										SET_CAR
																																											(BgL_tmpz00_7360,
																																											BgL_1zd2expzd2_1931);
																																									}
																																								}
																																								{

																																									goto
																																										BGl_toplevelzd2ze3astz31zzast_unitz00;
																																								}
																																							}
																																						else
																																							{	/* Ast/unit.scm 225 */
																																								obj_t
																																									BgL_arg2074z00_2310;
																																								obj_t
																																									BgL_arg2075z00_2311;
																																								BgL_arg2074z00_2310
																																									=
																																									CAR
																																									(
																																									((obj_t) BgL_cdrzd22214zd2_2296));
																																								BgL_arg2075z00_2311
																																									=
																																									CDR
																																									(
																																									((obj_t) BgL_cdrzd22214zd2_2296));
																																								{
																																									obj_t
																																										BgL_expz00_7368;
																																									obj_t
																																										BgL_varz00_7367;
																																									BgL_varz00_7367
																																										=
																																										BgL_arg2074z00_2310;
																																									BgL_expz00_7368
																																										=
																																										BgL_arg2075z00_2311;
																																									BgL_expz00_1941
																																										=
																																										BgL_expz00_7368;
																																									BgL_varz00_1940
																																										=
																																										BgL_varz00_7367;
																																									goto
																																										BgL_tagzd2368zd2_1942;
																																								}
																																							}
																																					}
																																				else
																																					{	/* Ast/unit.scm 225 */
																																						obj_t
																																							BgL_cdrzd22280zd2_2314;
																																						BgL_cdrzd22280zd2_2314
																																							=
																																							CDR
																																							(((obj_t) BgL_cdrzd22214zd2_2296));
																																						{	/* Ast/unit.scm 225 */
																																							obj_t
																																								BgL_carzd22284zd2_2315;
																																							BgL_carzd22284zd2_2315
																																								=
																																								CAR
																																								(
																																								((obj_t) BgL_cdrzd22280zd2_2314));
																																							if (SYMBOLP(BgL_carzd22284zd2_2315))
																																								{	/* Ast/unit.scm 225 */
																																									if (NULLP(CDR(((obj_t) BgL_cdrzd22280zd2_2314))))
																																										{	/* Ast/unit.scm 225 */
																																											obj_t
																																												BgL_arg2080z00_2319;
																																											BgL_arg2080z00_2319
																																												=
																																												CAR
																																												(
																																												((obj_t) BgL_cdrzd22214zd2_2296));
																																											{
																																												obj_t
																																													BgL_var2z00_7382;
																																												obj_t
																																													BgL_varz00_7381;
																																												BgL_varz00_7381
																																													=
																																													BgL_arg2080z00_2319;
																																												BgL_var2z00_7382
																																													=
																																													BgL_carzd22284zd2_2315;
																																												BgL_var2z00_1934
																																													=
																																													BgL_var2z00_7382;
																																												BgL_varz00_1933
																																													=
																																													BgL_varz00_7381;
																																												goto
																																													BgL_tagzd2366zd2_1935;
																																											}
																																										}
																																									else
																																										{	/* Ast/unit.scm 225 */
																																											obj_t
																																												BgL_cdrzd22306zd2_2320;
																																											BgL_cdrzd22306zd2_2320
																																												=
																																												CDR
																																												(
																																												((obj_t) BgL_sexpz00_39));
																																											{	/* Ast/unit.scm 225 */
																																												obj_t
																																													BgL_arg2081z00_2321;
																																												obj_t
																																													BgL_arg2082z00_2322;
																																												BgL_arg2081z00_2321
																																													=
																																													CAR
																																													(
																																													((obj_t) BgL_cdrzd22306zd2_2320));
																																												BgL_arg2082z00_2322
																																													=
																																													CDR
																																													(
																																													((obj_t) BgL_cdrzd22306zd2_2320));
																																												{
																																													obj_t
																																														BgL_expz00_7390;
																																													obj_t
																																														BgL_varz00_7389;
																																													BgL_varz00_7389
																																														=
																																														BgL_arg2081z00_2321;
																																													BgL_expz00_7390
																																														=
																																														BgL_arg2082z00_2322;
																																													BgL_expz00_1941
																																														=
																																														BgL_expz00_7390;
																																													BgL_varz00_1940
																																														=
																																														BgL_varz00_7389;
																																													goto
																																														BgL_tagzd2368zd2_1942;
																																												}
																																											}
																																										}
																																								}
																																							else
																																								{	/* Ast/unit.scm 225 */
																																									obj_t
																																										BgL_cdrzd22332zd2_2324;
																																									BgL_cdrzd22332zd2_2324
																																										=
																																										CDR
																																										(
																																										((obj_t) BgL_sexpz00_39));
																																									{	/* Ast/unit.scm 225 */
																																										obj_t
																																											BgL_arg2084z00_2325;
																																										obj_t
																																											BgL_arg2085z00_2326;
																																										BgL_arg2084z00_2325
																																											=
																																											CAR
																																											(
																																											((obj_t) BgL_cdrzd22332zd2_2324));
																																										BgL_arg2085z00_2326
																																											=
																																											CDR
																																											(
																																											((obj_t) BgL_cdrzd22332zd2_2324));
																																										{
																																											obj_t
																																												BgL_expz00_7398;
																																											obj_t
																																												BgL_varz00_7397;
																																											BgL_varz00_7397
																																												=
																																												BgL_arg2084z00_2325;
																																											BgL_expz00_7398
																																												=
																																												BgL_arg2085z00_2326;
																																											BgL_expz00_1941
																																												=
																																												BgL_expz00_7398;
																																											BgL_varz00_1940
																																												=
																																												BgL_varz00_7397;
																																											goto
																																												BgL_tagzd2368zd2_1942;
																																										}
																																									}
																																								}
																																						}
																																					}
																																			}
																																		else
																																			{	/* Ast/unit.scm 225 */
																																				obj_t
																																					BgL_cdrzd22355zd2_2329;
																																				BgL_cdrzd22355zd2_2329
																																					=
																																					CDR((
																																						(obj_t)
																																						BgL_cdrzd22214zd2_2296));
																																				{	/* Ast/unit.scm 225 */
																																					obj_t
																																						BgL_carzd22359zd2_2330;
																																					BgL_carzd22359zd2_2330
																																						=
																																						CAR(
																																						((obj_t) BgL_cdrzd22355zd2_2329));
																																					if (SYMBOLP(BgL_carzd22359zd2_2330))
																																						{	/* Ast/unit.scm 225 */
																																							if (NULLP(CDR(((obj_t) BgL_cdrzd22355zd2_2329))))
																																								{	/* Ast/unit.scm 225 */
																																									obj_t
																																										BgL_arg2090z00_2334;
																																									BgL_arg2090z00_2334
																																										=
																																										CAR
																																										(
																																										((obj_t) BgL_cdrzd22214zd2_2296));
																																									{
																																										obj_t
																																											BgL_var2z00_7412;
																																										obj_t
																																											BgL_varz00_7411;
																																										BgL_varz00_7411
																																											=
																																											BgL_arg2090z00_2334;
																																										BgL_var2z00_7412
																																											=
																																											BgL_carzd22359zd2_2330;
																																										BgL_var2z00_1934
																																											=
																																											BgL_var2z00_7412;
																																										BgL_varz00_1933
																																											=
																																											BgL_varz00_7411;
																																										goto
																																											BgL_tagzd2366zd2_1935;
																																									}
																																								}
																																							else
																																								{	/* Ast/unit.scm 225 */
																																									obj_t
																																										BgL_cdrzd22381zd2_2335;
																																									BgL_cdrzd22381zd2_2335
																																										=
																																										CDR
																																										(
																																										((obj_t) BgL_sexpz00_39));
																																									{	/* Ast/unit.scm 225 */
																																										obj_t
																																											BgL_arg2091z00_2336;
																																										obj_t
																																											BgL_arg2092z00_2337;
																																										BgL_arg2091z00_2336
																																											=
																																											CAR
																																											(
																																											((obj_t) BgL_cdrzd22381zd2_2335));
																																										BgL_arg2092z00_2337
																																											=
																																											CDR
																																											(
																																											((obj_t) BgL_cdrzd22381zd2_2335));
																																										{
																																											obj_t
																																												BgL_expz00_7420;
																																											obj_t
																																												BgL_varz00_7419;
																																											BgL_varz00_7419
																																												=
																																												BgL_arg2091z00_2336;
																																											BgL_expz00_7420
																																												=
																																												BgL_arg2092z00_2337;
																																											BgL_expz00_1941
																																												=
																																												BgL_expz00_7420;
																																											BgL_varz00_1940
																																												=
																																												BgL_varz00_7419;
																																											goto
																																												BgL_tagzd2368zd2_1942;
																																										}
																																									}
																																								}
																																						}
																																					else
																																						{	/* Ast/unit.scm 225 */
																																							obj_t
																																								BgL_cdrzd22407zd2_2339;
																																							BgL_cdrzd22407zd2_2339
																																								=
																																								CDR
																																								(
																																								((obj_t) BgL_sexpz00_39));
																																							{	/* Ast/unit.scm 225 */
																																								obj_t
																																									BgL_arg2094z00_2340;
																																								obj_t
																																									BgL_arg2095z00_2341;
																																								BgL_arg2094z00_2340
																																									=
																																									CAR
																																									(
																																									((obj_t) BgL_cdrzd22407zd2_2339));
																																								BgL_arg2095z00_2341
																																									=
																																									CDR
																																									(
																																									((obj_t) BgL_cdrzd22407zd2_2339));
																																								{
																																									obj_t
																																										BgL_expz00_7428;
																																									obj_t
																																										BgL_varz00_7427;
																																									BgL_varz00_7427
																																										=
																																										BgL_arg2094z00_2340;
																																									BgL_expz00_7428
																																										=
																																										BgL_arg2095z00_2341;
																																									BgL_expz00_1941
																																										=
																																										BgL_expz00_7428;
																																									BgL_varz00_1940
																																										=
																																										BgL_varz00_7427;
																																									goto
																																										BgL_tagzd2368zd2_1942;
																																								}
																																							}
																																						}
																																				}
																																			}
																																	}
																																else
																																	{	/* Ast/unit.scm 225 */
																																		obj_t
																																			BgL_cdrzd22430zd2_2343;
																																		BgL_cdrzd22430zd2_2343
																																			=
																																			CDR((
																																				(obj_t)
																																				BgL_cdrzd22214zd2_2296));
																																		{	/* Ast/unit.scm 225 */
																																			obj_t
																																				BgL_carzd22434zd2_2344;
																																			BgL_carzd22434zd2_2344
																																				=
																																				CAR((
																																					(obj_t)
																																					BgL_cdrzd22430zd2_2343));
																																			if (SYMBOLP(BgL_carzd22434zd2_2344))
																																				{	/* Ast/unit.scm 225 */
																																					if (NULLP(CDR(((obj_t) BgL_cdrzd22430zd2_2343))))
																																						{	/* Ast/unit.scm 225 */
																																							obj_t
																																								BgL_arg2099z00_2348;
																																							BgL_arg2099z00_2348
																																								=
																																								CAR
																																								(
																																								((obj_t) BgL_cdrzd22214zd2_2296));
																																							{
																																								obj_t
																																									BgL_var2z00_7442;
																																								obj_t
																																									BgL_varz00_7441;
																																								BgL_varz00_7441
																																									=
																																									BgL_arg2099z00_2348;
																																								BgL_var2z00_7442
																																									=
																																									BgL_carzd22434zd2_2344;
																																								BgL_var2z00_1934
																																									=
																																									BgL_var2z00_7442;
																																								BgL_varz00_1933
																																									=
																																									BgL_varz00_7441;
																																								goto
																																									BgL_tagzd2366zd2_1935;
																																							}
																																						}
																																					else
																																						{	/* Ast/unit.scm 225 */
																																							obj_t
																																								BgL_cdrzd22456zd2_2349;
																																							BgL_cdrzd22456zd2_2349
																																								=
																																								CDR
																																								(
																																								((obj_t) BgL_sexpz00_39));
																																							{	/* Ast/unit.scm 225 */
																																								obj_t
																																									BgL_arg2100z00_2350;
																																								obj_t
																																									BgL_arg2101z00_2351;
																																								BgL_arg2100z00_2350
																																									=
																																									CAR
																																									(
																																									((obj_t) BgL_cdrzd22456zd2_2349));
																																								BgL_arg2101z00_2351
																																									=
																																									CDR
																																									(
																																									((obj_t) BgL_cdrzd22456zd2_2349));
																																								{
																																									obj_t
																																										BgL_expz00_7450;
																																									obj_t
																																										BgL_varz00_7449;
																																									BgL_varz00_7449
																																										=
																																										BgL_arg2100z00_2350;
																																									BgL_expz00_7450
																																										=
																																										BgL_arg2101z00_2351;
																																									BgL_expz00_1941
																																										=
																																										BgL_expz00_7450;
																																									BgL_varz00_1940
																																										=
																																										BgL_varz00_7449;
																																									goto
																																										BgL_tagzd2368zd2_1942;
																																								}
																																							}
																																						}
																																				}
																																			else
																																				{	/* Ast/unit.scm 225 */
																																					obj_t
																																						BgL_cdrzd22475zd2_2353;
																																					BgL_cdrzd22475zd2_2353
																																						=
																																						CDR(
																																						((obj_t) BgL_sexpz00_39));
																																					{	/* Ast/unit.scm 225 */
																																						obj_t
																																							BgL_cdrzd22481zd2_2354;
																																						BgL_cdrzd22481zd2_2354
																																							=
																																							CDR
																																							(((obj_t) BgL_cdrzd22475zd2_2353));
																																						{	/* Ast/unit.scm 225 */
																																							obj_t
																																								BgL_carzd22486zd2_2355;
																																							BgL_carzd22486zd2_2355
																																								=
																																								CAR
																																								(
																																								((obj_t) BgL_cdrzd22481zd2_2354));
																																							{	/* Ast/unit.scm 225 */
																																								obj_t
																																									BgL_cdrzd22491zd2_2356;
																																								BgL_cdrzd22491zd2_2356
																																									=
																																									CDR
																																									(
																																									((obj_t) BgL_carzd22486zd2_2355));
																																								if ((CAR(((obj_t) BgL_carzd22486zd2_2355)) == ((obj_t) CNST_TABLE_REF(0))))
																																									{	/* Ast/unit.scm 225 */
																																										if (PAIRP(BgL_cdrzd22491zd2_2356))
																																											{	/* Ast/unit.scm 225 */
																																												obj_t
																																													BgL_carzd22494zd2_2360;
																																												obj_t
																																													BgL_cdrzd22495zd2_2361;
																																												BgL_carzd22494zd2_2360
																																													=
																																													CAR
																																													(BgL_cdrzd22491zd2_2356);
																																												BgL_cdrzd22495zd2_2361
																																													=
																																													CDR
																																													(BgL_cdrzd22491zd2_2356);
																																												if (SYMBOLP(BgL_carzd22494zd2_2360))
																																													{	/* Ast/unit.scm 225 */
																																														if (PAIRP(BgL_cdrzd22495zd2_2361))
																																															{	/* Ast/unit.scm 225 */
																																																obj_t
																																																	BgL_carzd22500zd2_2364;
																																																BgL_carzd22500zd2_2364
																																																	=
																																																	CAR
																																																	(BgL_cdrzd22495zd2_2361);
																																																if (SYMBOLP(BgL_carzd22500zd2_2364))
																																																	{	/* Ast/unit.scm 225 */
																																																		if (NULLP(CDR(BgL_cdrzd22495zd2_2361)))
																																																			{	/* Ast/unit.scm 225 */
																																																				if (NULLP(CDR(((obj_t) BgL_cdrzd22481zd2_2354))))
																																																					{	/* Ast/unit.scm 225 */
																																																						obj_t
																																																							BgL_arg2113z00_2370;
																																																						BgL_arg2113z00_2370
																																																							=
																																																							CAR
																																																							(
																																																							((obj_t) BgL_cdrzd22475zd2_2353));
																																																						BgL_varz00_1936
																																																							=
																																																							BgL_arg2113z00_2370;
																																																						BgL_var2z00_1937
																																																							=
																																																							BgL_carzd22494zd2_2360;
																																																						BgL_modulez00_1938
																																																							=
																																																							BgL_carzd22500zd2_2364;
																																																						{	/* Ast/unit.scm 333 */
																																																							bool_t
																																																								BgL_test3829z00_7485;
																																																							if (BGl_typezd2existszf3z21zztype_envz00(BgL_varz00_1936))
																																																								{	/* Ast/unit.scm 333 */
																																																									BgL_typez00_bglt
																																																										BgL_arg2345z00_2677;
																																																									BgL_arg2345z00_2677
																																																										=
																																																										BGl_findzd2typezd2zztype_envz00
																																																										(BgL_varz00_1936);
																																																									{	/* Ast/unit.scm 333 */
																																																										obj_t
																																																											BgL_classz00_4575;
																																																										BgL_classz00_4575
																																																											=
																																																											BGl_tclassz00zzobject_classz00;
																																																										{	/* Ast/unit.scm 333 */
																																																											BgL_objectz00_bglt
																																																												BgL_arg1858z00_4577;
																																																											{	/* Ast/unit.scm 333 */
																																																												obj_t
																																																													BgL_tmpz00_7489;
																																																												BgL_tmpz00_7489
																																																													=
																																																													(
																																																													(obj_t)
																																																													((BgL_objectz00_bglt) BgL_arg2345z00_2677));
																																																												BgL_arg1858z00_4577
																																																													=
																																																													(BgL_objectz00_bglt)
																																																													(BgL_tmpz00_7489);
																																																											}
																																																											if (BGL_CONDEXPAND_ISA_ARCH64())
																																																												{	/* Ast/unit.scm 333 */
																																																													long
																																																														BgL_idxz00_4583;
																																																													BgL_idxz00_4583
																																																														=
																																																														BGL_OBJECT_INHERITANCE_NUM
																																																														(BgL_arg1858z00_4577);
																																																													BgL_test3829z00_7485
																																																														=
																																																														(VECTOR_REF
																																																														(BGl_za2inheritancesza2z00zz__objectz00,
																																																															(BgL_idxz00_4583
																																																																+
																																																																2L))
																																																														==
																																																														BgL_classz00_4575);
																																																												}
																																																											else
																																																												{	/* Ast/unit.scm 333 */
																																																													bool_t
																																																														BgL_res3548z00_4608;
																																																													{	/* Ast/unit.scm 333 */
																																																														obj_t
																																																															BgL_oclassz00_4591;
																																																														{	/* Ast/unit.scm 333 */
																																																															obj_t
																																																																BgL_arg1866z00_4599;
																																																															long
																																																																BgL_arg1867z00_4600;
																																																															BgL_arg1866z00_4599
																																																																=
																																																																(BGl_za2classesza2z00zz__objectz00);
																																																															{	/* Ast/unit.scm 333 */
																																																																long
																																																																	BgL_arg1869z00_4601;
																																																																BgL_arg1869z00_4601
																																																																	=
																																																																	BGL_OBJECT_CLASS_NUM
																																																																	(BgL_arg1858z00_4577);
																																																																BgL_arg1867z00_4600
																																																																	=
																																																																	(BgL_arg1869z00_4601
																																																																	-
																																																																	OBJECT_TYPE);
																																																															}
																																																															BgL_oclassz00_4591
																																																																=
																																																																VECTOR_REF
																																																																(BgL_arg1866z00_4599,
																																																																BgL_arg1867z00_4600);
																																																														}
																																																														{	/* Ast/unit.scm 333 */
																																																															bool_t
																																																																BgL__ortest_1115z00_4592;
																																																															BgL__ortest_1115z00_4592
																																																																=
																																																																(BgL_classz00_4575
																																																																==
																																																																BgL_oclassz00_4591);
																																																															if (BgL__ortest_1115z00_4592)
																																																																{	/* Ast/unit.scm 333 */
																																																																	BgL_res3548z00_4608
																																																																		=
																																																																		BgL__ortest_1115z00_4592;
																																																																}
																																																															else
																																																																{	/* Ast/unit.scm 333 */
																																																																	long
																																																																		BgL_odepthz00_4593;
																																																																	{	/* Ast/unit.scm 333 */
																																																																		obj_t
																																																																			BgL_arg1855z00_4594;
																																																																		BgL_arg1855z00_4594
																																																																			=
																																																																			(BgL_oclassz00_4591);
																																																																		BgL_odepthz00_4593
																																																																			=
																																																																			BGL_CLASS_DEPTH
																																																																			(BgL_arg1855z00_4594);
																																																																	}
																																																																	if ((2L < BgL_odepthz00_4593))
																																																																		{	/* Ast/unit.scm 333 */
																																																																			obj_t
																																																																				BgL_arg1853z00_4596;
																																																																			{	/* Ast/unit.scm 333 */
																																																																				obj_t
																																																																					BgL_arg1854z00_4597;
																																																																				BgL_arg1854z00_4597
																																																																					=
																																																																					(BgL_oclassz00_4591);
																																																																				BgL_arg1853z00_4596
																																																																					=
																																																																					BGL_CLASS_ANCESTORS_REF
																																																																					(BgL_arg1854z00_4597,
																																																																					2L);
																																																																			}
																																																																			BgL_res3548z00_4608
																																																																				=
																																																																				(BgL_arg1853z00_4596
																																																																				==
																																																																				BgL_classz00_4575);
																																																																		}
																																																																	else
																																																																		{	/* Ast/unit.scm 333 */
																																																																			BgL_res3548z00_4608
																																																																				=
																																																																				(
																																																																				(bool_t)
																																																																				0);
																																																																		}
																																																																}
																																																														}
																																																													}
																																																													BgL_test3829z00_7485
																																																														=
																																																														BgL_res3548z00_4608;
																																																												}
																																																										}
																																																									}
																																																								}
																																																							else
																																																								{	/* Ast/unit.scm 333 */
																																																									BgL_test3829z00_7485
																																																										=
																																																										(
																																																										(bool_t)
																																																										0);
																																																								}
																																																							if (BgL_test3829z00_7485)
																																																								{	/* Ast/unit.scm 333 */
																																																									BGl_errorzd2classzd2shadowz00zzast_unitz00
																																																										(BgL_varz00_1936,
																																																										BgL_sexpz00_39);
																																																								}
																																																							else
																																																								{	/* Ast/unit.scm 333 */
																																																									BFALSE;
																																																								}
																																																						}
																																																						{	/* Ast/unit.scm 335 */
																																																							obj_t
																																																								BgL_defz00_2678;
																																																							BgL_defz00_2678
																																																								=
																																																								BGl_assqz00zz__r4_pairs_and_lists_6_3z00
																																																								(BGl_idzd2ofzd2idz00zzast_identz00
																																																								(BgL_varz00_1936,
																																																									BGl_findzd2locationzd2zztools_locationz00
																																																									(BgL_sexpz00_39)),
																																																								BgL_gdefsz00_40);
																																																							{	/* Ast/unit.scm 336 */
																																																								bool_t
																																																									BgL_test3834z00_7516;
																																																								{	/* Ast/unit.scm 336 */
																																																									obj_t
																																																										BgL_tmpz00_7517;
																																																									{	/* Ast/unit.scm 336 */
																																																										obj_t
																																																											BgL_pairz00_4610;
																																																										BgL_pairz00_4610
																																																											=
																																																											CDR
																																																											(
																																																											((obj_t) BgL_defz00_2678));
																																																										BgL_tmpz00_7517
																																																											=
																																																											CAR
																																																											(BgL_pairz00_4610);
																																																									}
																																																									BgL_test3834z00_7516
																																																										=
																																																										(BgL_tmpz00_7517
																																																										==
																																																										((obj_t) CNST_TABLE_REF(12)));
																																																								}
																																																								if (BgL_test3834z00_7516)
																																																									{	/* Ast/unit.scm 337 */
																																																										obj_t
																																																											BgL_gz00_2682;
																																																										BgL_gz00_2682
																																																											=
																																																											BGl_findzd2globalzf2modulez20zzast_envz00
																																																											(BgL_var2z00_1937,
																																																											BgL_modulez00_1938);
																																																										{	/* Ast/unit.scm 337 */
																																																											obj_t
																																																												BgL_arityz00_2683;
																																																											{	/* Ast/unit.scm 338 */
																																																												bool_t
																																																													BgL_test3835z00_7525;
																																																												{	/* Ast/unit.scm 338 */
																																																													obj_t
																																																														BgL_classz00_4611;
																																																													BgL_classz00_4611
																																																														=
																																																														BGl_globalz00zzast_varz00;
																																																													if (BGL_OBJECTP(BgL_gz00_2682))
																																																														{	/* Ast/unit.scm 338 */
																																																															BgL_objectz00_bglt
																																																																BgL_arg1858z00_4613;
																																																															BgL_arg1858z00_4613
																																																																=
																																																																(BgL_objectz00_bglt)
																																																																(BgL_gz00_2682);
																																																															if (BGL_CONDEXPAND_ISA_ARCH64())
																																																																{	/* Ast/unit.scm 338 */
																																																																	long
																																																																		BgL_idxz00_4619;
																																																																	BgL_idxz00_4619
																																																																		=
																																																																		BGL_OBJECT_INHERITANCE_NUM
																																																																		(BgL_arg1858z00_4613);
																																																																	BgL_test3835z00_7525
																																																																		=
																																																																		(VECTOR_REF
																																																																		(BGl_za2inheritancesza2z00zz__objectz00,
																																																																			(BgL_idxz00_4619
																																																																				+
																																																																				2L))
																																																																		==
																																																																		BgL_classz00_4611);
																																																																}
																																																															else
																																																																{	/* Ast/unit.scm 338 */
																																																																	bool_t
																																																																		BgL_res3549z00_4644;
																																																																	{	/* Ast/unit.scm 338 */
																																																																		obj_t
																																																																			BgL_oclassz00_4627;
																																																																		{	/* Ast/unit.scm 338 */
																																																																			obj_t
																																																																				BgL_arg1866z00_4635;
																																																																			long
																																																																				BgL_arg1867z00_4636;
																																																																			BgL_arg1866z00_4635
																																																																				=
																																																																				(BGl_za2classesza2z00zz__objectz00);
																																																																			{	/* Ast/unit.scm 338 */
																																																																				long
																																																																					BgL_arg1869z00_4637;
																																																																				BgL_arg1869z00_4637
																																																																					=
																																																																					BGL_OBJECT_CLASS_NUM
																																																																					(BgL_arg1858z00_4613);
																																																																				BgL_arg1867z00_4636
																																																																					=
																																																																					(BgL_arg1869z00_4637
																																																																					-
																																																																					OBJECT_TYPE);
																																																																			}
																																																																			BgL_oclassz00_4627
																																																																				=
																																																																				VECTOR_REF
																																																																				(BgL_arg1866z00_4635,
																																																																				BgL_arg1867z00_4636);
																																																																		}
																																																																		{	/* Ast/unit.scm 338 */
																																																																			bool_t
																																																																				BgL__ortest_1115z00_4628;
																																																																			BgL__ortest_1115z00_4628
																																																																				=
																																																																				(BgL_classz00_4611
																																																																				==
																																																																				BgL_oclassz00_4627);
																																																																			if (BgL__ortest_1115z00_4628)
																																																																				{	/* Ast/unit.scm 338 */
																																																																					BgL_res3549z00_4644
																																																																						=
																																																																						BgL__ortest_1115z00_4628;
																																																																				}
																																																																			else
																																																																				{	/* Ast/unit.scm 338 */
																																																																					long
																																																																						BgL_odepthz00_4629;
																																																																					{	/* Ast/unit.scm 338 */
																																																																						obj_t
																																																																							BgL_arg1855z00_4630;
																																																																						BgL_arg1855z00_4630
																																																																							=
																																																																							(BgL_oclassz00_4627);
																																																																						BgL_odepthz00_4629
																																																																							=
																																																																							BGL_CLASS_DEPTH
																																																																							(BgL_arg1855z00_4630);
																																																																					}
																																																																					if ((2L < BgL_odepthz00_4629))
																																																																						{	/* Ast/unit.scm 338 */
																																																																							obj_t
																																																																								BgL_arg1853z00_4632;
																																																																							{	/* Ast/unit.scm 338 */
																																																																								obj_t
																																																																									BgL_arg1854z00_4633;
																																																																								BgL_arg1854z00_4633
																																																																									=
																																																																									(BgL_oclassz00_4627);
																																																																								BgL_arg1853z00_4632
																																																																									=
																																																																									BGL_CLASS_ANCESTORS_REF
																																																																									(BgL_arg1854z00_4633,
																																																																									2L);
																																																																							}
																																																																							BgL_res3549z00_4644
																																																																								=
																																																																								(BgL_arg1853z00_4632
																																																																								==
																																																																								BgL_classz00_4611);
																																																																						}
																																																																					else
																																																																						{	/* Ast/unit.scm 338 */
																																																																							BgL_res3549z00_4644
																																																																								=
																																																																								(
																																																																								(bool_t)
																																																																								0);
																																																																						}
																																																																				}
																																																																		}
																																																																	}
																																																																	BgL_test3835z00_7525
																																																																		=
																																																																		BgL_res3549z00_4644;
																																																																}
																																																														}
																																																													else
																																																														{	/* Ast/unit.scm 338 */
																																																															BgL_test3835z00_7525
																																																																=
																																																																(
																																																																(bool_t)
																																																																0);
																																																														}
																																																												}
																																																												if (BgL_test3835z00_7525)
																																																													{	/* Ast/unit.scm 339 */
																																																														bool_t
																																																															BgL_test3840z00_7548;
																																																														{	/* Ast/unit.scm 339 */
																																																															BgL_valuez00_bglt
																																																																BgL_arg2353z00_2690;
																																																															BgL_arg2353z00_2690
																																																																=
																																																																(
																																																																((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt) ((BgL_globalz00_bglt) BgL_gz00_2682))))->BgL_valuez00);
																																																															{	/* Ast/unit.scm 339 */
																																																																obj_t
																																																																	BgL_classz00_4646;
																																																																BgL_classz00_4646
																																																																	=
																																																																	BGl_funz00zzast_varz00;
																																																																{	/* Ast/unit.scm 339 */
																																																																	BgL_objectz00_bglt
																																																																		BgL_arg1858z00_4648;
																																																																	{	/* Ast/unit.scm 339 */
																																																																		obj_t
																																																																			BgL_tmpz00_7552;
																																																																		BgL_tmpz00_7552
																																																																			=
																																																																			(
																																																																			(obj_t)
																																																																			((BgL_objectz00_bglt) BgL_arg2353z00_2690));
																																																																		BgL_arg1858z00_4648
																																																																			=
																																																																			(BgL_objectz00_bglt)
																																																																			(BgL_tmpz00_7552);
																																																																	}
																																																																	if (BGL_CONDEXPAND_ISA_ARCH64())
																																																																		{	/* Ast/unit.scm 339 */
																																																																			long
																																																																				BgL_idxz00_4654;
																																																																			BgL_idxz00_4654
																																																																				=
																																																																				BGL_OBJECT_INHERITANCE_NUM
																																																																				(BgL_arg1858z00_4648);
																																																																			BgL_test3840z00_7548
																																																																				=
																																																																				(VECTOR_REF
																																																																				(BGl_za2inheritancesza2z00zz__objectz00,
																																																																					(BgL_idxz00_4654
																																																																						+
																																																																						2L))
																																																																				==
																																																																				BgL_classz00_4646);
																																																																		}
																																																																	else
																																																																		{	/* Ast/unit.scm 339 */
																																																																			bool_t
																																																																				BgL_res3550z00_4679;
																																																																			{	/* Ast/unit.scm 339 */
																																																																				obj_t
																																																																					BgL_oclassz00_4662;
																																																																				{	/* Ast/unit.scm 339 */
																																																																					obj_t
																																																																						BgL_arg1866z00_4670;
																																																																					long
																																																																						BgL_arg1867z00_4671;
																																																																					BgL_arg1866z00_4670
																																																																						=
																																																																						(BGl_za2classesza2z00zz__objectz00);
																																																																					{	/* Ast/unit.scm 339 */
																																																																						long
																																																																							BgL_arg1869z00_4672;
																																																																						BgL_arg1869z00_4672
																																																																							=
																																																																							BGL_OBJECT_CLASS_NUM
																																																																							(BgL_arg1858z00_4648);
																																																																						BgL_arg1867z00_4671
																																																																							=
																																																																							(BgL_arg1869z00_4672
																																																																							-
																																																																							OBJECT_TYPE);
																																																																					}
																																																																					BgL_oclassz00_4662
																																																																						=
																																																																						VECTOR_REF
																																																																						(BgL_arg1866z00_4670,
																																																																						BgL_arg1867z00_4671);
																																																																				}
																																																																				{	/* Ast/unit.scm 339 */
																																																																					bool_t
																																																																						BgL__ortest_1115z00_4663;
																																																																					BgL__ortest_1115z00_4663
																																																																						=
																																																																						(BgL_classz00_4646
																																																																						==
																																																																						BgL_oclassz00_4662);
																																																																					if (BgL__ortest_1115z00_4663)
																																																																						{	/* Ast/unit.scm 339 */
																																																																							BgL_res3550z00_4679
																																																																								=
																																																																								BgL__ortest_1115z00_4663;
																																																																						}
																																																																					else
																																																																						{	/* Ast/unit.scm 339 */
																																																																							long
																																																																								BgL_odepthz00_4664;
																																																																							{	/* Ast/unit.scm 339 */
																																																																								obj_t
																																																																									BgL_arg1855z00_4665;
																																																																								BgL_arg1855z00_4665
																																																																									=
																																																																									(BgL_oclassz00_4662);
																																																																								BgL_odepthz00_4664
																																																																									=
																																																																									BGL_CLASS_DEPTH
																																																																									(BgL_arg1855z00_4665);
																																																																							}
																																																																							if ((2L < BgL_odepthz00_4664))
																																																																								{	/* Ast/unit.scm 339 */
																																																																									obj_t
																																																																										BgL_arg1853z00_4667;
																																																																									{	/* Ast/unit.scm 339 */
																																																																										obj_t
																																																																											BgL_arg1854z00_4668;
																																																																										BgL_arg1854z00_4668
																																																																											=
																																																																											(BgL_oclassz00_4662);
																																																																										BgL_arg1853z00_4667
																																																																											=
																																																																											BGL_CLASS_ANCESTORS_REF
																																																																											(BgL_arg1854z00_4668,
																																																																											2L);
																																																																									}
																																																																									BgL_res3550z00_4679
																																																																										=
																																																																										(BgL_arg1853z00_4667
																																																																										==
																																																																										BgL_classz00_4646);
																																																																								}
																																																																							else
																																																																								{	/* Ast/unit.scm 339 */
																																																																									BgL_res3550z00_4679
																																																																										=
																																																																										(
																																																																										(bool_t)
																																																																										0);
																																																																								}
																																																																						}
																																																																				}
																																																																			}
																																																																			BgL_test3840z00_7548
																																																																				=
																																																																				BgL_res3550z00_4679;
																																																																		}
																																																																}
																																																															}
																																																														}
																																																														if (BgL_test3840z00_7548)
																																																															{	/* Ast/unit.scm 339 */
																																																																BgL_arityz00_2683
																																																																	=
																																																																	BINT
																																																																	(BGl_globalzd2arityzd2zztools_argsz00
																																																																	(BgL_gz00_2682));
																																																															}
																																																														else
																																																															{	/* Ast/unit.scm 339 */
																																																																BgL_arityz00_2683
																																																																	=
																																																																	BFALSE;
																																																															}
																																																													}
																																																												else
																																																													{	/* Ast/unit.scm 338 */
																																																														BgL_arityz00_2683
																																																															=
																																																															BFALSE;
																																																													}
																																																											}
																																																											{	/* Ast/unit.scm 338 */

																																																												if (INTEGERP(BgL_arityz00_2683))
																																																													{	/* Ast/unit.scm 341 */
																																																														if (BGl_globalzd2optionalzf3z21zzast_varz00(BgL_gz00_2682))
																																																															{	/* Ast/unit.scm 343 */
																																																																BGl_userzd2warningzd2zztools_errorz00
																																																																	(BgL_varz00_1936,
																																																																	BGl_string3592z00zzast_unitz00,
																																																																	BgL_sexpz00_39);
																																																																BGL_TAIL
																																																																	return
																																																																	BGl_makezd2svarzd2definitionz00zzast_unitz00
																																																																	(BgL_varz00_1936,
																																																																	BgL_sexpz00_39);
																																																															}
																																																														else
																																																															{	/* Ast/unit.scm 343 */
																																																																if (BGl_globalzd2keyzf3z21zzast_varz00(BgL_gz00_2682))
																																																																	{	/* Ast/unit.scm 348 */
																																																																		BGl_userzd2warningzd2zztools_errorz00
																																																																			(BgL_varz00_1936,
																																																																			BGl_string3593z00zzast_unitz00,
																																																																			BgL_sexpz00_39);
																																																																		BGL_TAIL
																																																																			return
																																																																			BGl_makezd2svarzd2definitionz00zzast_unitz00
																																																																			(BgL_varz00_1936,
																																																																			BgL_sexpz00_39);
																																																																	}
																																																																else
																																																																	{
																																																																		obj_t
																																																																			BgL_sexpz00_7587;
																																																																		BgL_sexpz00_7587
																																																																			=
																																																																			BGl_etazd2expansezd2zzast_unitz00
																																																																			(BgL_sexpz00_39,
																																																																			BgL_arityz00_2683);
																																																																		BgL_sexpz00_39
																																																																			=
																																																																			BgL_sexpz00_7587;
																																																																		goto
																																																																			BGl_toplevelzd2ze3astz31zzast_unitz00;
																																																																	}
																																																															}
																																																													}
																																																												else
																																																													{	/* Ast/unit.scm 341 */
																																																														BGL_TAIL
																																																															return
																																																															BGl_makezd2svarzd2definitionz00zzast_unitz00
																																																															(BgL_varz00_1936,
																																																															BgL_sexpz00_39);
																																																													}
																																																											}
																																																										}
																																																									}
																																																								else
																																																									{	/* Ast/unit.scm 336 */
																																																										BGL_TAIL
																																																											return
																																																											BGl_makezd2svarzd2definitionz00zzast_unitz00
																																																											(BgL_varz00_1936,
																																																											BgL_sexpz00_39);
																																																									}
																																																							}
																																																						}
																																																					}
																																																				else
																																																					{	/* Ast/unit.scm 225 */
																																																						obj_t
																																																							BgL_arg2114z00_2372;
																																																						obj_t
																																																							BgL_arg2115z00_2373;
																																																						BgL_arg2114z00_2372
																																																							=
																																																							CAR
																																																							(
																																																							((obj_t) BgL_cdrzd22475zd2_2353));
																																																						BgL_arg2115z00_2373
																																																							=
																																																							CDR
																																																							(
																																																							((obj_t) BgL_cdrzd22475zd2_2353));
																																																						{
																																																							obj_t
																																																								BgL_expz00_7596;
																																																							obj_t
																																																								BgL_varz00_7595;
																																																							BgL_varz00_7595
																																																								=
																																																								BgL_arg2114z00_2372;
																																																							BgL_expz00_7596
																																																								=
																																																								BgL_arg2115z00_2373;
																																																							BgL_expz00_1941
																																																								=
																																																								BgL_expz00_7596;
																																																							BgL_varz00_1940
																																																								=
																																																								BgL_varz00_7595;
																																																							goto
																																																								BgL_tagzd2368zd2_1942;
																																																						}
																																																					}
																																																			}
																																																		else
																																																			{	/* Ast/unit.scm 225 */
																																																				obj_t
																																																					BgL_arg2117z00_2376;
																																																				obj_t
																																																					BgL_arg2118z00_2377;
																																																				BgL_arg2117z00_2376
																																																					=
																																																					CAR
																																																					(
																																																					((obj_t) BgL_cdrzd22475zd2_2353));
																																																				BgL_arg2118z00_2377
																																																					=
																																																					CDR
																																																					(
																																																					((obj_t) BgL_cdrzd22475zd2_2353));
																																																				{
																																																					obj_t
																																																						BgL_expz00_7602;
																																																					obj_t
																																																						BgL_varz00_7601;
																																																					BgL_varz00_7601
																																																						=
																																																						BgL_arg2117z00_2376;
																																																					BgL_expz00_7602
																																																						=
																																																						BgL_arg2118z00_2377;
																																																					BgL_expz00_1941
																																																						=
																																																						BgL_expz00_7602;
																																																					BgL_varz00_1940
																																																						=
																																																						BgL_varz00_7601;
																																																					goto
																																																						BgL_tagzd2368zd2_1942;
																																																				}
																																																			}
																																																	}
																																																else
																																																	{	/* Ast/unit.scm 225 */
																																																		obj_t
																																																			BgL_arg2120z00_2380;
																																																		obj_t
																																																			BgL_arg2121z00_2381;
																																																		BgL_arg2120z00_2380
																																																			=
																																																			CAR
																																																			(
																																																			((obj_t) BgL_cdrzd22475zd2_2353));
																																																		BgL_arg2121z00_2381
																																																			=
																																																			CDR
																																																			(
																																																			((obj_t) BgL_cdrzd22475zd2_2353));
																																																		{
																																																			obj_t
																																																				BgL_expz00_7608;
																																																			obj_t
																																																				BgL_varz00_7607;
																																																			BgL_varz00_7607
																																																				=
																																																				BgL_arg2120z00_2380;
																																																			BgL_expz00_7608
																																																				=
																																																				BgL_arg2121z00_2381;
																																																			BgL_expz00_1941
																																																				=
																																																				BgL_expz00_7608;
																																																			BgL_varz00_1940
																																																				=
																																																				BgL_varz00_7607;
																																																			goto
																																																				BgL_tagzd2368zd2_1942;
																																																		}
																																																	}
																																															}
																																														else
																																															{	/* Ast/unit.scm 225 */
																																																obj_t
																																																	BgL_arg2122z00_2383;
																																																obj_t
																																																	BgL_arg2123z00_2384;
																																																BgL_arg2122z00_2383
																																																	=
																																																	CAR
																																																	(
																																																	((obj_t) BgL_cdrzd22475zd2_2353));
																																																BgL_arg2123z00_2384
																																																	=
																																																	CDR
																																																	(
																																																	((obj_t) BgL_cdrzd22475zd2_2353));
																																																{
																																																	obj_t
																																																		BgL_expz00_7614;
																																																	obj_t
																																																		BgL_varz00_7613;
																																																	BgL_varz00_7613
																																																		=
																																																		BgL_arg2122z00_2383;
																																																	BgL_expz00_7614
																																																		=
																																																		BgL_arg2123z00_2384;
																																																	BgL_expz00_1941
																																																		=
																																																		BgL_expz00_7614;
																																																	BgL_varz00_1940
																																																		=
																																																		BgL_varz00_7613;
																																																	goto
																																																		BgL_tagzd2368zd2_1942;
																																																}
																																															}
																																													}
																																												else
																																													{	/* Ast/unit.scm 225 */
																																														obj_t
																																															BgL_arg2124z00_2386;
																																														obj_t
																																															BgL_arg2125z00_2387;
																																														BgL_arg2124z00_2386
																																															=
																																															CAR
																																															(
																																															((obj_t) BgL_cdrzd22475zd2_2353));
																																														BgL_arg2125z00_2387
																																															=
																																															CDR
																																															(
																																															((obj_t) BgL_cdrzd22475zd2_2353));
																																														{
																																															obj_t
																																																BgL_expz00_7620;
																																															obj_t
																																																BgL_varz00_7619;
																																															BgL_varz00_7619
																																																=
																																																BgL_arg2124z00_2386;
																																															BgL_expz00_7620
																																																=
																																																BgL_arg2125z00_2387;
																																															BgL_expz00_1941
																																																=
																																																BgL_expz00_7620;
																																															BgL_varz00_1940
																																																=
																																																BgL_varz00_7619;
																																															goto
																																																BgL_tagzd2368zd2_1942;
																																														}
																																													}
																																											}
																																										else
																																											{	/* Ast/unit.scm 225 */
																																												obj_t
																																													BgL_arg2126z00_2389;
																																												obj_t
																																													BgL_arg2127z00_2390;
																																												BgL_arg2126z00_2389
																																													=
																																													CAR
																																													(
																																													((obj_t) BgL_cdrzd22475zd2_2353));
																																												BgL_arg2127z00_2390
																																													=
																																													CDR
																																													(
																																													((obj_t) BgL_cdrzd22475zd2_2353));
																																												{
																																													obj_t
																																														BgL_expz00_7626;
																																													obj_t
																																														BgL_varz00_7625;
																																													BgL_varz00_7625
																																														=
																																														BgL_arg2126z00_2389;
																																													BgL_expz00_7626
																																														=
																																														BgL_arg2127z00_2390;
																																													BgL_expz00_1941
																																														=
																																														BgL_expz00_7626;
																																													BgL_varz00_1940
																																														=
																																														BgL_varz00_7625;
																																													goto
																																														BgL_tagzd2368zd2_1942;
																																												}
																																											}
																																									}
																																								else
																																									{	/* Ast/unit.scm 225 */
																																										obj_t
																																											BgL_arg2128z00_2392;
																																										obj_t
																																											BgL_arg2129z00_2393;
																																										BgL_arg2128z00_2392
																																											=
																																											CAR
																																											(
																																											((obj_t) BgL_cdrzd22475zd2_2353));
																																										BgL_arg2129z00_2393
																																											=
																																											CDR
																																											(
																																											((obj_t) BgL_cdrzd22475zd2_2353));
																																										{
																																											obj_t
																																												BgL_expz00_7632;
																																											obj_t
																																												BgL_varz00_7631;
																																											BgL_varz00_7631
																																												=
																																												BgL_arg2128z00_2392;
																																											BgL_expz00_7632
																																												=
																																												BgL_arg2129z00_2393;
																																											BgL_expz00_1941
																																												=
																																												BgL_expz00_7632;
																																											BgL_varz00_1940
																																												=
																																												BgL_varz00_7631;
																																											goto
																																												BgL_tagzd2368zd2_1942;
																																										}
																																									}
																																							}
																																						}
																																					}
																																				}
																																		}
																																	}
																															}
																														}
																													}
																												}
																										}
																									}
																								}
																						}
																					}
																				}
																			}
																	}
																else
																	{	/* Ast/unit.scm 225 */
																		obj_t BgL_cdrzd22667zd2_2398;

																		BgL_cdrzd22667zd2_2398 =
																			CDR(((obj_t) BgL_sexpz00_39));
																		{	/* Ast/unit.scm 225 */
																			obj_t BgL_cdrzd22672zd2_2399;

																			BgL_cdrzd22672zd2_2399 =
																				CDR(((obj_t) BgL_cdrzd22667zd2_2398));
																			{	/* Ast/unit.scm 225 */
																				obj_t BgL_carzd22676zd2_2400;

																				BgL_carzd22676zd2_2400 =
																					CAR(((obj_t) BgL_cdrzd22672zd2_2399));
																				if (SYMBOLP(BgL_carzd22676zd2_2400))
																					{	/* Ast/unit.scm 225 */
																						if (NULLP(CDR(
																									((obj_t)
																										BgL_cdrzd22672zd2_2399))))
																							{	/* Ast/unit.scm 225 */
																								obj_t BgL_arg2137z00_2404;

																								BgL_arg2137z00_2404 =
																									CAR(
																									((obj_t)
																										BgL_cdrzd22667zd2_2398));
																								{
																									obj_t BgL_var2z00_7648;
																									obj_t BgL_varz00_7647;

																									BgL_varz00_7647 =
																										BgL_arg2137z00_2404;
																									BgL_var2z00_7648 =
																										BgL_carzd22676zd2_2400;
																									BgL_var2z00_1934 =
																										BgL_var2z00_7648;
																									BgL_varz00_1933 =
																										BgL_varz00_7647;
																									goto BgL_tagzd2366zd2_1935;
																								}
																							}
																						else
																							{	/* Ast/unit.scm 225 */
																								obj_t BgL_arg2138z00_2406;

																								BgL_arg2138z00_2406 =
																									CAR(
																									((obj_t)
																										BgL_cdrzd22667zd2_2398));
																								{
																									obj_t BgL_expz00_7652;
																									obj_t BgL_varz00_7651;

																									BgL_varz00_7651 =
																										BgL_arg2138z00_2406;
																									BgL_expz00_7652 =
																										BgL_cdrzd22672zd2_2399;
																									BgL_expz00_1941 =
																										BgL_expz00_7652;
																									BgL_varz00_1940 =
																										BgL_varz00_7651;
																									goto BgL_tagzd2368zd2_1942;
																								}
																							}
																					}
																				else
																					{	/* Ast/unit.scm 225 */
																						obj_t BgL_arg2141z00_2410;

																						BgL_arg2141z00_2410 =
																							CAR(
																							((obj_t) BgL_cdrzd22667zd2_2398));
																						{
																							obj_t BgL_expz00_7656;
																							obj_t BgL_varz00_7655;

																							BgL_varz00_7655 =
																								BgL_arg2141z00_2410;
																							BgL_expz00_7656 =
																								BgL_cdrzd22672zd2_2399;
																							BgL_expz00_1941 = BgL_expz00_7656;
																							BgL_varz00_1940 = BgL_varz00_7655;
																							goto BgL_tagzd2368zd2_1942;
																						}
																					}
																			}
																		}
																	}
															}
														else
															{	/* Ast/unit.scm 225 */
																obj_t BgL_cdrzd22792zd2_2412;

																BgL_cdrzd22792zd2_2412 =
																	CDR(((obj_t) BgL_sexpz00_39));
																{	/* Ast/unit.scm 225 */
																	obj_t BgL_arg2143z00_2413;
																	obj_t BgL_arg2144z00_2414;

																	BgL_arg2143z00_2413 =
																		CAR(((obj_t) BgL_cdrzd22792zd2_2412));
																	BgL_arg2144z00_2414 =
																		CDR(((obj_t) BgL_cdrzd22792zd2_2412));
																	{
																		obj_t BgL_expz00_7664;
																		obj_t BgL_varz00_7663;

																		BgL_varz00_7663 = BgL_arg2143z00_2413;
																		BgL_expz00_7664 = BgL_arg2144z00_2414;
																		BgL_expz00_1941 = BgL_expz00_7664;
																		BgL_varz00_1940 = BgL_varz00_7663;
																		goto BgL_tagzd2368zd2_1942;
																	}
																}
															}
													}
											}
										else
											{	/* Ast/unit.scm 225 */
											BgL_tagzd2374zd2_1965:
												{	/* Ast/unit.scm 396 */
													obj_t BgL_list2441z00_2787;

													BgL_list2441z00_2787 =
														MAKE_YOUNG_PAIR(BgL_sexpz00_39, BNIL);
													return BgL_list2441z00_2787;
												}
											}
									}
								else
									{	/* Ast/unit.scm 225 */
										if (
											(CAR(
													((obj_t) BgL_sexpz00_39)) ==
												((obj_t) CNST_TABLE_REF(19))))
											{	/* Ast/unit.scm 225 */
												if (PAIRP(BgL_cdrzd2422zd2_1974))
													{	/* Ast/unit.scm 225 */
														obj_t BgL_carzd22976zd2_2419;

														BgL_carzd22976zd2_2419 = CAR(BgL_cdrzd2422zd2_1974);
														if (PAIRP(BgL_carzd22976zd2_2419))
															{	/* Ast/unit.scm 225 */
																obj_t BgL_carzd22981zd2_2421;

																BgL_carzd22981zd2_2421 =
																	CAR(BgL_carzd22976zd2_2419);
																if (PAIRP(BgL_carzd22981zd2_2421))
																	{	/* Ast/unit.scm 225 */
																		obj_t BgL_cdrzd22986zd2_2423;

																		BgL_cdrzd22986zd2_2423 =
																			CDR(BgL_carzd22981zd2_2421);
																		if (
																			(CAR(BgL_carzd22981zd2_2421) ==
																				((obj_t) CNST_TABLE_REF(0))))
																			{	/* Ast/unit.scm 225 */
																				if (PAIRP(BgL_cdrzd22986zd2_2423))
																					{	/* Ast/unit.scm 225 */
																						obj_t BgL_cdrzd22990zd2_2427;

																						BgL_cdrzd22990zd2_2427 =
																							CDR(BgL_cdrzd22986zd2_2423);
																						if (PAIRP(BgL_cdrzd22990zd2_2427))
																							{	/* Ast/unit.scm 225 */
																								if (NULLP(CDR
																										(BgL_cdrzd22990zd2_2427)))
																									{	/* Ast/unit.scm 225 */
																										BgL_varz00_1943 =
																											CAR
																											(BgL_cdrzd22986zd2_2423);
																										BgL_modulez00_1944 =
																											CAR
																											(BgL_cdrzd22990zd2_2427);
																										BgL_argsz00_1945 =
																											CDR
																											(BgL_carzd22976zd2_2419);
																										BgL_expz00_1946 =
																											CDR
																											(BgL_cdrzd2422zd2_1974);
																										{	/* Ast/unit.scm 366 */
																											bool_t
																												BgL_test3857z00_7694;
																											if (BGl_typezd2existszf3z21zztype_envz00(BgL_varz00_1943))
																												{	/* Ast/unit.scm 366 */
																													BgL_typez00_bglt
																														BgL_arg2396z00_2754;
																													BgL_arg2396z00_2754 =
																														BGl_findzd2typezd2zztype_envz00
																														(BgL_varz00_1943);
																													{	/* Ast/unit.scm 366 */
																														obj_t
																															BgL_classz00_4723;
																														BgL_classz00_4723 =
																															BGl_tclassz00zzobject_classz00;
																														{	/* Ast/unit.scm 366 */
																															BgL_objectz00_bglt
																																BgL_arg1858z00_4725;
																															{	/* Ast/unit.scm 366 */
																																obj_t
																																	BgL_tmpz00_7698;
																																BgL_tmpz00_7698
																																	=
																																	((obj_t) (
																																		(BgL_objectz00_bglt)
																																		BgL_arg2396z00_2754));
																																BgL_arg1858z00_4725
																																	=
																																	(BgL_objectz00_bglt)
																																	(BgL_tmpz00_7698);
																															}
																															if (BGL_CONDEXPAND_ISA_ARCH64())
																																{	/* Ast/unit.scm 366 */
																																	long
																																		BgL_idxz00_4731;
																																	BgL_idxz00_4731
																																		=
																																		BGL_OBJECT_INHERITANCE_NUM
																																		(BgL_arg1858z00_4725);
																																	BgL_test3857z00_7694
																																		=
																																		(VECTOR_REF
																																		(BGl_za2inheritancesza2z00zz__objectz00,
																																			(BgL_idxz00_4731
																																				+
																																				2L)) ==
																																		BgL_classz00_4723);
																																}
																															else
																																{	/* Ast/unit.scm 366 */
																																	bool_t
																																		BgL_res3552z00_4756;
																																	{	/* Ast/unit.scm 366 */
																																		obj_t
																																			BgL_oclassz00_4739;
																																		{	/* Ast/unit.scm 366 */
																																			obj_t
																																				BgL_arg1866z00_4747;
																																			long
																																				BgL_arg1867z00_4748;
																																			BgL_arg1866z00_4747
																																				=
																																				(BGl_za2classesza2z00zz__objectz00);
																																			{	/* Ast/unit.scm 366 */
																																				long
																																					BgL_arg1869z00_4749;
																																				BgL_arg1869z00_4749
																																					=
																																					BGL_OBJECT_CLASS_NUM
																																					(BgL_arg1858z00_4725);
																																				BgL_arg1867z00_4748
																																					=
																																					(BgL_arg1869z00_4749
																																					-
																																					OBJECT_TYPE);
																																			}
																																			BgL_oclassz00_4739
																																				=
																																				VECTOR_REF
																																				(BgL_arg1866z00_4747,
																																				BgL_arg1867z00_4748);
																																		}
																																		{	/* Ast/unit.scm 366 */
																																			bool_t
																																				BgL__ortest_1115z00_4740;
																																			BgL__ortest_1115z00_4740
																																				=
																																				(BgL_classz00_4723
																																				==
																																				BgL_oclassz00_4739);
																																			if (BgL__ortest_1115z00_4740)
																																				{	/* Ast/unit.scm 366 */
																																					BgL_res3552z00_4756
																																						=
																																						BgL__ortest_1115z00_4740;
																																				}
																																			else
																																				{	/* Ast/unit.scm 366 */
																																					long
																																						BgL_odepthz00_4741;
																																					{	/* Ast/unit.scm 366 */
																																						obj_t
																																							BgL_arg1855z00_4742;
																																						BgL_arg1855z00_4742
																																							=
																																							(BgL_oclassz00_4739);
																																						BgL_odepthz00_4741
																																							=
																																							BGL_CLASS_DEPTH
																																							(BgL_arg1855z00_4742);
																																					}
																																					if (
																																						(2L
																																							<
																																							BgL_odepthz00_4741))
																																						{	/* Ast/unit.scm 366 */
																																							obj_t
																																								BgL_arg1853z00_4744;
																																							{	/* Ast/unit.scm 366 */
																																								obj_t
																																									BgL_arg1854z00_4745;
																																								BgL_arg1854z00_4745
																																									=
																																									(BgL_oclassz00_4739);
																																								BgL_arg1853z00_4744
																																									=
																																									BGL_CLASS_ANCESTORS_REF
																																									(BgL_arg1854z00_4745,
																																									2L);
																																							}
																																							BgL_res3552z00_4756
																																								=
																																								(BgL_arg1853z00_4744
																																								==
																																								BgL_classz00_4723);
																																						}
																																					else
																																						{	/* Ast/unit.scm 366 */
																																							BgL_res3552z00_4756
																																								=
																																								(
																																								(bool_t)
																																								0);
																																						}
																																				}
																																		}
																																	}
																																	BgL_test3857z00_7694
																																		=
																																		BgL_res3552z00_4756;
																																}
																														}
																													}
																												}
																											else
																												{	/* Ast/unit.scm 366 */
																													BgL_test3857z00_7694 =
																														((bool_t) 0);
																												}
																											if (BgL_test3857z00_7694)
																												{	/* Ast/unit.scm 366 */
																													BGl_errorzd2classzd2shadowz00zzast_unitz00
																														(BgL_varz00_1943,
																														BgL_sexpz00_39);
																												}
																											else
																												{	/* Ast/unit.scm 366 */
																													BFALSE;
																												}
																										}
																										{	/* Ast/unit.scm 370 */
																											obj_t BgL_arg2398z00_2755;

																											{	/* Ast/unit.scm 370 */
																												obj_t
																													BgL_arg2399z00_2756;
																												{	/* Ast/unit.scm 370 */
																													obj_t
																														BgL_arg2401z00_2757;
																													{	/* Ast/unit.scm 370 */
																														obj_t
																															BgL_pairz00_4760;
																														BgL_pairz00_4760 =
																															CDR(((obj_t)
																																BgL_sexpz00_39));
																														BgL_arg2401z00_2757
																															=
																															CDR
																															(BgL_pairz00_4760);
																													}
																													BgL_arg2399z00_2756 =
																														BGl_findzd2locationzd2zztools_locationz00
																														(BgL_arg2401z00_2757);
																												}
																												BgL_arg2398z00_2755 =
																													BGl_normaliza7ezd2prognzf2errorz87zzast_unitz00
																													(BgL_expz00_1946,
																													BgL_sexpz00_39,
																													BgL_arg2399z00_2756);
																											}
																											return
																												BGl_makezd2sfunzd2definitionz00zzast_unitz00
																												(BgL_varz00_1943,
																												BgL_modulez00_1944,
																												BgL_argsz00_1945,
																												BgL_arg2398z00_2755,
																												BgL_sexpz00_39,
																												((obj_t)
																													CNST_TABLE_REF(16)));
																										}
																									}
																								else
																									{	/* Ast/unit.scm 225 */
																										obj_t
																											BgL_cdrzd23006zd2_2435;
																										BgL_cdrzd23006zd2_2435 =
																											CDR(((obj_t)
																												BgL_sexpz00_39));
																										{	/* Ast/unit.scm 225 */
																											obj_t
																												BgL_carzd23010zd2_2436;
																											BgL_carzd23010zd2_2436 =
																												CAR(((obj_t)
																													BgL_cdrzd23006zd2_2435));
																											{	/* Ast/unit.scm 225 */
																												obj_t
																													BgL_arg2161z00_2437;
																												obj_t
																													BgL_arg2162z00_2438;
																												obj_t
																													BgL_arg2163z00_2439;
																												BgL_arg2161z00_2437 =
																													CAR(((obj_t)
																														BgL_carzd23010zd2_2436));
																												BgL_arg2162z00_2438 =
																													CDR(((obj_t)
																														BgL_carzd23010zd2_2436));
																												BgL_arg2163z00_2439 =
																													CDR(((obj_t)
																														BgL_cdrzd23006zd2_2435));
																												BgL_varz00_1948 =
																													BgL_arg2161z00_2437;
																												BgL_argsz00_1949 =
																													BgL_arg2162z00_2438;
																												BgL_expz00_1950 =
																													BgL_arg2163z00_2439;
																											BgL_tagzd2370zd2_1951:
																												{	/* Ast/unit.scm 373 */
																													bool_t
																														BgL_test3862z00_7744;
																													if (BGl_typezd2existszf3z21zztype_envz00(BgL_varz00_1948))
																														{	/* Ast/unit.scm 373 */
																															BgL_typez00_bglt
																																BgL_arg2405z00_2762;
																															BgL_arg2405z00_2762
																																=
																																BGl_findzd2typezd2zztype_envz00
																																(BgL_varz00_1948);
																															{	/* Ast/unit.scm 373 */
																																obj_t
																																	BgL_classz00_4761;
																																BgL_classz00_4761
																																	=
																																	BGl_tclassz00zzobject_classz00;
																																{	/* Ast/unit.scm 373 */
																																	BgL_objectz00_bglt
																																		BgL_arg1858z00_4763;
																																	{	/* Ast/unit.scm 373 */
																																		obj_t
																																			BgL_tmpz00_7748;
																																		BgL_tmpz00_7748
																																			=
																																			((obj_t) (
																																				(BgL_objectz00_bglt)
																																				BgL_arg2405z00_2762));
																																		BgL_arg1858z00_4763
																																			=
																																			(BgL_objectz00_bglt)
																																			(BgL_tmpz00_7748);
																																	}
																																	if (BGL_CONDEXPAND_ISA_ARCH64())
																																		{	/* Ast/unit.scm 373 */
																																			long
																																				BgL_idxz00_4769;
																																			BgL_idxz00_4769
																																				=
																																				BGL_OBJECT_INHERITANCE_NUM
																																				(BgL_arg1858z00_4763);
																																			BgL_test3862z00_7744
																																				=
																																				(VECTOR_REF
																																				(BGl_za2inheritancesza2z00zz__objectz00,
																																					(BgL_idxz00_4769
																																						+
																																						2L))
																																				==
																																				BgL_classz00_4761);
																																		}
																																	else
																																		{	/* Ast/unit.scm 373 */
																																			bool_t
																																				BgL_res3553z00_4794;
																																			{	/* Ast/unit.scm 373 */
																																				obj_t
																																					BgL_oclassz00_4777;
																																				{	/* Ast/unit.scm 373 */
																																					obj_t
																																						BgL_arg1866z00_4785;
																																					long
																																						BgL_arg1867z00_4786;
																																					BgL_arg1866z00_4785
																																						=
																																						(BGl_za2classesza2z00zz__objectz00);
																																					{	/* Ast/unit.scm 373 */
																																						long
																																							BgL_arg1869z00_4787;
																																						BgL_arg1869z00_4787
																																							=
																																							BGL_OBJECT_CLASS_NUM
																																							(BgL_arg1858z00_4763);
																																						BgL_arg1867z00_4786
																																							=
																																							(BgL_arg1869z00_4787
																																							-
																																							OBJECT_TYPE);
																																					}
																																					BgL_oclassz00_4777
																																						=
																																						VECTOR_REF
																																						(BgL_arg1866z00_4785,
																																						BgL_arg1867z00_4786);
																																				}
																																				{	/* Ast/unit.scm 373 */
																																					bool_t
																																						BgL__ortest_1115z00_4778;
																																					BgL__ortest_1115z00_4778
																																						=
																																						(BgL_classz00_4761
																																						==
																																						BgL_oclassz00_4777);
																																					if (BgL__ortest_1115z00_4778)
																																						{	/* Ast/unit.scm 373 */
																																							BgL_res3553z00_4794
																																								=
																																								BgL__ortest_1115z00_4778;
																																						}
																																					else
																																						{	/* Ast/unit.scm 373 */
																																							long
																																								BgL_odepthz00_4779;
																																							{	/* Ast/unit.scm 373 */
																																								obj_t
																																									BgL_arg1855z00_4780;
																																								BgL_arg1855z00_4780
																																									=
																																									(BgL_oclassz00_4777);
																																								BgL_odepthz00_4779
																																									=
																																									BGL_CLASS_DEPTH
																																									(BgL_arg1855z00_4780);
																																							}
																																							if ((2L < BgL_odepthz00_4779))
																																								{	/* Ast/unit.scm 373 */
																																									obj_t
																																										BgL_arg1853z00_4782;
																																									{	/* Ast/unit.scm 373 */
																																										obj_t
																																											BgL_arg1854z00_4783;
																																										BgL_arg1854z00_4783
																																											=
																																											(BgL_oclassz00_4777);
																																										BgL_arg1853z00_4782
																																											=
																																											BGL_CLASS_ANCESTORS_REF
																																											(BgL_arg1854z00_4783,
																																											2L);
																																									}
																																									BgL_res3553z00_4794
																																										=
																																										(BgL_arg1853z00_4782
																																										==
																																										BgL_classz00_4761);
																																								}
																																							else
																																								{	/* Ast/unit.scm 373 */
																																									BgL_res3553z00_4794
																																										=
																																										(
																																										(bool_t)
																																										0);
																																								}
																																						}
																																				}
																																			}
																																			BgL_test3862z00_7744
																																				=
																																				BgL_res3553z00_4794;
																																		}
																																}
																															}
																														}
																													else
																														{	/* Ast/unit.scm 373 */
																															BgL_test3862z00_7744
																																= ((bool_t) 0);
																														}
																													if (BgL_test3862z00_7744)
																														{	/* Ast/unit.scm 373 */
																															BGl_errorzd2classzd2shadowz00zzast_unitz00
																																(BgL_varz00_1948,
																																BgL_sexpz00_39);
																														}
																													else
																														{	/* Ast/unit.scm 373 */
																															BFALSE;
																														}
																												}
																												{	/* Ast/unit.scm 377 */
																													obj_t
																														BgL_arg2407z00_2763;
																													{	/* Ast/unit.scm 377 */
																														obj_t
																															BgL_arg2411z00_2764;
																														{	/* Ast/unit.scm 377 */
																															obj_t
																																BgL_arg2412z00_2765;
																															{	/* Ast/unit.scm 377 */
																																obj_t
																																	BgL_pairz00_4798;
																																BgL_pairz00_4798
																																	=
																																	CDR(((obj_t)
																																		BgL_sexpz00_39));
																																BgL_arg2412z00_2765
																																	=
																																	CDR
																																	(BgL_pairz00_4798);
																															}
																															BgL_arg2411z00_2764
																																=
																																BGl_findzd2locationzd2zztools_locationz00
																																(BgL_arg2412z00_2765);
																														}
																														BgL_arg2407z00_2763
																															=
																															BGl_normaliza7ezd2prognzf2errorz87zzast_unitz00
																															(BgL_expz00_1950,
																															BgL_sexpz00_39,
																															BgL_arg2411z00_2764);
																													}
																													return
																														BGl_makezd2sfunzd2definitionz00zzast_unitz00
																														(BgL_varz00_1948,
																														BGl_za2moduleza2z00zzmodule_modulez00,
																														BgL_argsz00_1949,
																														BgL_arg2407z00_2763,
																														BgL_sexpz00_39,
																														((obj_t)
																															CNST_TABLE_REF
																															(16)));
																												}
																											}
																										}
																									}
																							}
																						else
																							{	/* Ast/unit.scm 225 */
																								obj_t BgL_cdrzd23027zd2_2441;

																								BgL_cdrzd23027zd2_2441 =
																									CDR(((obj_t) BgL_sexpz00_39));
																								{	/* Ast/unit.scm 225 */
																									obj_t BgL_carzd23031zd2_2442;

																									BgL_carzd23031zd2_2442 =
																										CAR(
																										((obj_t)
																											BgL_cdrzd23027zd2_2441));
																									{	/* Ast/unit.scm 225 */
																										obj_t BgL_arg2165z00_2443;
																										obj_t BgL_arg2166z00_2444;
																										obj_t BgL_arg2167z00_2445;

																										BgL_arg2165z00_2443 =
																											CAR(
																											((obj_t)
																												BgL_carzd23031zd2_2442));
																										BgL_arg2166z00_2444 =
																											CDR(((obj_t)
																												BgL_carzd23031zd2_2442));
																										BgL_arg2167z00_2445 =
																											CDR(((obj_t)
																												BgL_cdrzd23027zd2_2441));
																										{
																											obj_t BgL_expz00_7792;
																											obj_t BgL_argsz00_7791;
																											obj_t BgL_varz00_7790;

																											BgL_varz00_7790 =
																												BgL_arg2165z00_2443;
																											BgL_argsz00_7791 =
																												BgL_arg2166z00_2444;
																											BgL_expz00_7792 =
																												BgL_arg2167z00_2445;
																											BgL_expz00_1950 =
																												BgL_expz00_7792;
																											BgL_argsz00_1949 =
																												BgL_argsz00_7791;
																											BgL_varz00_1948 =
																												BgL_varz00_7790;
																											goto
																												BgL_tagzd2370zd2_1951;
																										}
																									}
																								}
																							}
																					}
																				else
																					{	/* Ast/unit.scm 225 */
																						obj_t BgL_cdrzd23048zd2_2446;

																						BgL_cdrzd23048zd2_2446 =
																							CDR(((obj_t) BgL_sexpz00_39));
																						{	/* Ast/unit.scm 225 */
																							obj_t BgL_carzd23052zd2_2447;

																							BgL_carzd23052zd2_2447 =
																								CAR(
																								((obj_t)
																									BgL_cdrzd23048zd2_2446));
																							{	/* Ast/unit.scm 225 */
																								obj_t BgL_arg2168z00_2448;
																								obj_t BgL_arg2169z00_2449;
																								obj_t BgL_arg2170z00_2450;

																								BgL_arg2168z00_2448 =
																									CAR(
																									((obj_t)
																										BgL_carzd23052zd2_2447));
																								BgL_arg2169z00_2449 =
																									CDR(((obj_t)
																										BgL_carzd23052zd2_2447));
																								BgL_arg2170z00_2450 =
																									CDR(((obj_t)
																										BgL_cdrzd23048zd2_2446));
																								{
																									obj_t BgL_expz00_7805;
																									obj_t BgL_argsz00_7804;
																									obj_t BgL_varz00_7803;

																									BgL_varz00_7803 =
																										BgL_arg2168z00_2448;
																									BgL_argsz00_7804 =
																										BgL_arg2169z00_2449;
																									BgL_expz00_7805 =
																										BgL_arg2170z00_2450;
																									BgL_expz00_1950 =
																										BgL_expz00_7805;
																									BgL_argsz00_1949 =
																										BgL_argsz00_7804;
																									BgL_varz00_1948 =
																										BgL_varz00_7803;
																									goto BgL_tagzd2370zd2_1951;
																								}
																							}
																						}
																					}
																			}
																		else
																			{	/* Ast/unit.scm 225 */
																				obj_t BgL_cdrzd23069zd2_2451;

																				BgL_cdrzd23069zd2_2451 =
																					CDR(((obj_t) BgL_sexpz00_39));
																				{	/* Ast/unit.scm 225 */
																					obj_t BgL_carzd23073zd2_2452;

																					BgL_carzd23073zd2_2452 =
																						CAR(
																						((obj_t) BgL_cdrzd23069zd2_2451));
																					{	/* Ast/unit.scm 225 */
																						obj_t BgL_arg2171z00_2453;
																						obj_t BgL_arg2172z00_2454;
																						obj_t BgL_arg2173z00_2455;

																						BgL_arg2171z00_2453 =
																							CAR(
																							((obj_t) BgL_carzd23073zd2_2452));
																						BgL_arg2172z00_2454 =
																							CDR(
																							((obj_t) BgL_carzd23073zd2_2452));
																						BgL_arg2173z00_2455 =
																							CDR(
																							((obj_t) BgL_cdrzd23069zd2_2451));
																						{
																							obj_t BgL_expz00_7818;
																							obj_t BgL_argsz00_7817;
																							obj_t BgL_varz00_7816;

																							BgL_varz00_7816 =
																								BgL_arg2171z00_2453;
																							BgL_argsz00_7817 =
																								BgL_arg2172z00_2454;
																							BgL_expz00_7818 =
																								BgL_arg2173z00_2455;
																							BgL_expz00_1950 = BgL_expz00_7818;
																							BgL_argsz00_1949 =
																								BgL_argsz00_7817;
																							BgL_varz00_1948 = BgL_varz00_7816;
																							goto BgL_tagzd2370zd2_1951;
																						}
																					}
																				}
																			}
																	}
																else
																	{	/* Ast/unit.scm 225 */
																		obj_t BgL_cdrzd23090zd2_2457;

																		BgL_cdrzd23090zd2_2457 =
																			CDR(((obj_t) BgL_sexpz00_39));
																		{	/* Ast/unit.scm 225 */
																			obj_t BgL_carzd23094zd2_2458;

																			BgL_carzd23094zd2_2458 =
																				CAR(((obj_t) BgL_cdrzd23090zd2_2457));
																			{	/* Ast/unit.scm 225 */
																				obj_t BgL_arg2175z00_2459;
																				obj_t BgL_arg2176z00_2460;
																				obj_t BgL_arg2177z00_2461;

																				BgL_arg2175z00_2459 =
																					CAR(((obj_t) BgL_carzd23094zd2_2458));
																				BgL_arg2176z00_2460 =
																					CDR(((obj_t) BgL_carzd23094zd2_2458));
																				BgL_arg2177z00_2461 =
																					CDR(((obj_t) BgL_cdrzd23090zd2_2457));
																				{
																					obj_t BgL_expz00_7831;
																					obj_t BgL_argsz00_7830;
																					obj_t BgL_varz00_7829;

																					BgL_varz00_7829 = BgL_arg2175z00_2459;
																					BgL_argsz00_7830 =
																						BgL_arg2176z00_2460;
																					BgL_expz00_7831 = BgL_arg2177z00_2461;
																					BgL_expz00_1950 = BgL_expz00_7831;
																					BgL_argsz00_1949 = BgL_argsz00_7830;
																					BgL_varz00_1948 = BgL_varz00_7829;
																					goto BgL_tagzd2370zd2_1951;
																				}
																			}
																		}
																	}
															}
														else
															{	/* Ast/unit.scm 225 */
																goto BgL_tagzd2374zd2_1965;
															}
													}
												else
													{	/* Ast/unit.scm 225 */
														goto BgL_tagzd2374zd2_1965;
													}
											}
										else
											{	/* Ast/unit.scm 225 */
												obj_t BgL_cdrzd23173zd2_2462;

												BgL_cdrzd23173zd2_2462 = CDR(((obj_t) BgL_sexpz00_39));
												if (
													(CAR(
															((obj_t) BgL_sexpz00_39)) ==
														((obj_t) CNST_TABLE_REF(20))))
													{	/* Ast/unit.scm 225 */
														if (PAIRP(BgL_cdrzd23173zd2_2462))
															{	/* Ast/unit.scm 225 */
																obj_t BgL_carzd23178zd2_2466;

																BgL_carzd23178zd2_2466 =
																	CAR(BgL_cdrzd23173zd2_2462);
																if (PAIRP(BgL_carzd23178zd2_2466))
																	{	/* Ast/unit.scm 225 */
																		obj_t BgL_carzd23183zd2_2468;

																		BgL_carzd23183zd2_2468 =
																			CAR(BgL_carzd23178zd2_2466);
																		if (PAIRP(BgL_carzd23183zd2_2468))
																			{	/* Ast/unit.scm 225 */
																				obj_t BgL_cdrzd23188zd2_2470;

																				BgL_cdrzd23188zd2_2470 =
																					CDR(BgL_carzd23183zd2_2468);
																				if (
																					(CAR(BgL_carzd23183zd2_2468) ==
																						((obj_t) CNST_TABLE_REF(0))))
																					{	/* Ast/unit.scm 225 */
																						if (PAIRP(BgL_cdrzd23188zd2_2470))
																							{	/* Ast/unit.scm 225 */
																								obj_t BgL_cdrzd23192zd2_2474;

																								BgL_cdrzd23192zd2_2474 =
																									CDR(BgL_cdrzd23188zd2_2470);
																								if (PAIRP
																									(BgL_cdrzd23192zd2_2474))
																									{	/* Ast/unit.scm 225 */
																										if (NULLP(CDR
																												(BgL_cdrzd23192zd2_2474)))
																											{	/* Ast/unit.scm 225 */
																												BgL_varz00_1952 =
																													CAR
																													(BgL_cdrzd23188zd2_2470);
																												BgL_modulez00_1953 =
																													CAR
																													(BgL_cdrzd23192zd2_2474);
																												BgL_argsz00_1954 =
																													CDR
																													(BgL_carzd23178zd2_2466);
																												BgL_expz00_1955 =
																													CDR
																													(BgL_cdrzd23173zd2_2462);
																												{	/* Ast/unit.scm 380 */
																													bool_t
																														BgL_test3875z00_7862;
																													if (BGl_typezd2existszf3z21zztype_envz00(BgL_varz00_1952))
																														{	/* Ast/unit.scm 380 */
																															BgL_typez00_bglt
																																BgL_arg2417z00_2770;
																															BgL_arg2417z00_2770
																																=
																																BGl_findzd2typezd2zztype_envz00
																																(BgL_varz00_1952);
																															{	/* Ast/unit.scm 380 */
																																obj_t
																																	BgL_classz00_4799;
																																BgL_classz00_4799
																																	=
																																	BGl_tclassz00zzobject_classz00;
																																{	/* Ast/unit.scm 380 */
																																	BgL_objectz00_bglt
																																		BgL_arg1858z00_4801;
																																	{	/* Ast/unit.scm 380 */
																																		obj_t
																																			BgL_tmpz00_7866;
																																		BgL_tmpz00_7866
																																			=
																																			((obj_t) (
																																				(BgL_objectz00_bglt)
																																				BgL_arg2417z00_2770));
																																		BgL_arg1858z00_4801
																																			=
																																			(BgL_objectz00_bglt)
																																			(BgL_tmpz00_7866);
																																	}
																																	if (BGL_CONDEXPAND_ISA_ARCH64())
																																		{	/* Ast/unit.scm 380 */
																																			long
																																				BgL_idxz00_4807;
																																			BgL_idxz00_4807
																																				=
																																				BGL_OBJECT_INHERITANCE_NUM
																																				(BgL_arg1858z00_4801);
																																			BgL_test3875z00_7862
																																				=
																																				(VECTOR_REF
																																				(BGl_za2inheritancesza2z00zz__objectz00,
																																					(BgL_idxz00_4807
																																						+
																																						2L))
																																				==
																																				BgL_classz00_4799);
																																		}
																																	else
																																		{	/* Ast/unit.scm 380 */
																																			bool_t
																																				BgL_res3554z00_4832;
																																			{	/* Ast/unit.scm 380 */
																																				obj_t
																																					BgL_oclassz00_4815;
																																				{	/* Ast/unit.scm 380 */
																																					obj_t
																																						BgL_arg1866z00_4823;
																																					long
																																						BgL_arg1867z00_4824;
																																					BgL_arg1866z00_4823
																																						=
																																						(BGl_za2classesza2z00zz__objectz00);
																																					{	/* Ast/unit.scm 380 */
																																						long
																																							BgL_arg1869z00_4825;
																																						BgL_arg1869z00_4825
																																							=
																																							BGL_OBJECT_CLASS_NUM
																																							(BgL_arg1858z00_4801);
																																						BgL_arg1867z00_4824
																																							=
																																							(BgL_arg1869z00_4825
																																							-
																																							OBJECT_TYPE);
																																					}
																																					BgL_oclassz00_4815
																																						=
																																						VECTOR_REF
																																						(BgL_arg1866z00_4823,
																																						BgL_arg1867z00_4824);
																																				}
																																				{	/* Ast/unit.scm 380 */
																																					bool_t
																																						BgL__ortest_1115z00_4816;
																																					BgL__ortest_1115z00_4816
																																						=
																																						(BgL_classz00_4799
																																						==
																																						BgL_oclassz00_4815);
																																					if (BgL__ortest_1115z00_4816)
																																						{	/* Ast/unit.scm 380 */
																																							BgL_res3554z00_4832
																																								=
																																								BgL__ortest_1115z00_4816;
																																						}
																																					else
																																						{	/* Ast/unit.scm 380 */
																																							long
																																								BgL_odepthz00_4817;
																																							{	/* Ast/unit.scm 380 */
																																								obj_t
																																									BgL_arg1855z00_4818;
																																								BgL_arg1855z00_4818
																																									=
																																									(BgL_oclassz00_4815);
																																								BgL_odepthz00_4817
																																									=
																																									BGL_CLASS_DEPTH
																																									(BgL_arg1855z00_4818);
																																							}
																																							if ((2L < BgL_odepthz00_4817))
																																								{	/* Ast/unit.scm 380 */
																																									obj_t
																																										BgL_arg1853z00_4820;
																																									{	/* Ast/unit.scm 380 */
																																										obj_t
																																											BgL_arg1854z00_4821;
																																										BgL_arg1854z00_4821
																																											=
																																											(BgL_oclassz00_4815);
																																										BgL_arg1853z00_4820
																																											=
																																											BGL_CLASS_ANCESTORS_REF
																																											(BgL_arg1854z00_4821,
																																											2L);
																																									}
																																									BgL_res3554z00_4832
																																										=
																																										(BgL_arg1853z00_4820
																																										==
																																										BgL_classz00_4799);
																																								}
																																							else
																																								{	/* Ast/unit.scm 380 */
																																									BgL_res3554z00_4832
																																										=
																																										(
																																										(bool_t)
																																										0);
																																								}
																																						}
																																				}
																																			}
																																			BgL_test3875z00_7862
																																				=
																																				BgL_res3554z00_4832;
																																		}
																																}
																															}
																														}
																													else
																														{	/* Ast/unit.scm 380 */
																															BgL_test3875z00_7862
																																= ((bool_t) 0);
																														}
																													if (BgL_test3875z00_7862)
																														{	/* Ast/unit.scm 380 */
																															BGl_errorzd2classzd2shadowz00zzast_unitz00
																																(BgL_varz00_1952,
																																BgL_sexpz00_39);
																														}
																													else
																														{	/* Ast/unit.scm 380 */
																															BFALSE;
																														}
																												}
																												{	/* Ast/unit.scm 382 */
																													obj_t
																														BgL_list2418z00_2771;
																													{	/* Ast/unit.scm 382 */
																														obj_t
																															BgL_arg2421z00_2772;
																														{	/* Ast/unit.scm 382 */
																															obj_t
																																BgL_arg2422z00_2773;
																															BgL_arg2422z00_2773
																																=
																																MAKE_YOUNG_PAIR
																																(BgL_sexpz00_39,
																																BNIL);
																															BgL_arg2421z00_2772
																																=
																																MAKE_YOUNG_PAIR
																																(BGl_string3594z00zzast_unitz00,
																																BgL_arg2422z00_2773);
																														}
																														BgL_list2418z00_2771
																															=
																															MAKE_YOUNG_PAIR
																															(BGl_string3595z00zzast_unitz00,
																															BgL_arg2421z00_2772);
																													}
																													BGl_warningz00zz__errorz00
																														(BgL_list2418z00_2771);
																												}
																												return
																													BGl_makezd2genericzd2definitionz00zzast_unitz00
																													(BgL_varz00_1952,
																													BgL_modulez00_1953,
																													BgL_argsz00_1954,
																													BgL_expz00_1955,
																													BgL_sexpz00_39);
																											}
																										else
																											{	/* Ast/unit.scm 225 */
																												obj_t
																													BgL_carzd23211zd2_2483;
																												BgL_carzd23211zd2_2483 =
																													CAR(((obj_t)
																														BgL_cdrzd23173zd2_2462));
																												{	/* Ast/unit.scm 225 */
																													obj_t
																														BgL_arg2193z00_2484;
																													obj_t
																														BgL_arg2194z00_2485;
																													obj_t
																														BgL_arg2195z00_2486;
																													BgL_arg2193z00_2484 =
																														CAR(((obj_t)
																															BgL_carzd23211zd2_2483));
																													BgL_arg2194z00_2485 =
																														CDR(((obj_t)
																															BgL_carzd23211zd2_2483));
																													BgL_arg2195z00_2486 =
																														CDR(((obj_t)
																															BgL_cdrzd23173zd2_2462));
																													BgL_varz00_1957 =
																														BgL_arg2193z00_2484;
																													BgL_argsz00_1958 =
																														BgL_arg2194z00_2485;
																													BgL_expz00_1959 =
																														BgL_arg2195z00_2486;
																												BgL_tagzd2372zd2_1960:
																													{	/* Ast/unit.scm 385 */
																														bool_t
																															BgL_test3880z00_7907;
																														if (BGl_typezd2existszf3z21zztype_envz00(BgL_varz00_1957))
																															{	/* Ast/unit.scm 385 */
																																BgL_typez00_bglt
																																	BgL_arg2428z00_2778;
																																BgL_arg2428z00_2778
																																	=
																																	BGl_findzd2typezd2zztype_envz00
																																	(BgL_varz00_1957);
																																{	/* Ast/unit.scm 385 */
																																	obj_t
																																		BgL_classz00_4833;
																																	BgL_classz00_4833
																																		=
																																		BGl_tclassz00zzobject_classz00;
																																	{	/* Ast/unit.scm 385 */
																																		BgL_objectz00_bglt
																																			BgL_arg1858z00_4835;
																																		{	/* Ast/unit.scm 385 */
																																			obj_t
																																				BgL_tmpz00_7911;
																																			BgL_tmpz00_7911
																																				=
																																				((obj_t)
																																				((BgL_objectz00_bglt) BgL_arg2428z00_2778));
																																			BgL_arg1858z00_4835
																																				=
																																				(BgL_objectz00_bglt)
																																				(BgL_tmpz00_7911);
																																		}
																																		if (BGL_CONDEXPAND_ISA_ARCH64())
																																			{	/* Ast/unit.scm 385 */
																																				long
																																					BgL_idxz00_4841;
																																				BgL_idxz00_4841
																																					=
																																					BGL_OBJECT_INHERITANCE_NUM
																																					(BgL_arg1858z00_4835);
																																				BgL_test3880z00_7907
																																					=
																																					(VECTOR_REF
																																					(BGl_za2inheritancesza2z00zz__objectz00,
																																						(BgL_idxz00_4841
																																							+
																																							2L))
																																					==
																																					BgL_classz00_4833);
																																			}
																																		else
																																			{	/* Ast/unit.scm 385 */
																																				bool_t
																																					BgL_res3555z00_4866;
																																				{	/* Ast/unit.scm 385 */
																																					obj_t
																																						BgL_oclassz00_4849;
																																					{	/* Ast/unit.scm 385 */
																																						obj_t
																																							BgL_arg1866z00_4857;
																																						long
																																							BgL_arg1867z00_4858;
																																						BgL_arg1866z00_4857
																																							=
																																							(BGl_za2classesza2z00zz__objectz00);
																																						{	/* Ast/unit.scm 385 */
																																							long
																																								BgL_arg1869z00_4859;
																																							BgL_arg1869z00_4859
																																								=
																																								BGL_OBJECT_CLASS_NUM
																																								(BgL_arg1858z00_4835);
																																							BgL_arg1867z00_4858
																																								=
																																								(BgL_arg1869z00_4859
																																								-
																																								OBJECT_TYPE);
																																						}
																																						BgL_oclassz00_4849
																																							=
																																							VECTOR_REF
																																							(BgL_arg1866z00_4857,
																																							BgL_arg1867z00_4858);
																																					}
																																					{	/* Ast/unit.scm 385 */
																																						bool_t
																																							BgL__ortest_1115z00_4850;
																																						BgL__ortest_1115z00_4850
																																							=
																																							(BgL_classz00_4833
																																							==
																																							BgL_oclassz00_4849);
																																						if (BgL__ortest_1115z00_4850)
																																							{	/* Ast/unit.scm 385 */
																																								BgL_res3555z00_4866
																																									=
																																									BgL__ortest_1115z00_4850;
																																							}
																																						else
																																							{	/* Ast/unit.scm 385 */
																																								long
																																									BgL_odepthz00_4851;
																																								{	/* Ast/unit.scm 385 */
																																									obj_t
																																										BgL_arg1855z00_4852;
																																									BgL_arg1855z00_4852
																																										=
																																										(BgL_oclassz00_4849);
																																									BgL_odepthz00_4851
																																										=
																																										BGL_CLASS_DEPTH
																																										(BgL_arg1855z00_4852);
																																								}
																																								if ((2L < BgL_odepthz00_4851))
																																									{	/* Ast/unit.scm 385 */
																																										obj_t
																																											BgL_arg1853z00_4854;
																																										{	/* Ast/unit.scm 385 */
																																											obj_t
																																												BgL_arg1854z00_4855;
																																											BgL_arg1854z00_4855
																																												=
																																												(BgL_oclassz00_4849);
																																											BgL_arg1853z00_4854
																																												=
																																												BGL_CLASS_ANCESTORS_REF
																																												(BgL_arg1854z00_4855,
																																												2L);
																																										}
																																										BgL_res3555z00_4866
																																											=
																																											(BgL_arg1853z00_4854
																																											==
																																											BgL_classz00_4833);
																																									}
																																								else
																																									{	/* Ast/unit.scm 385 */
																																										BgL_res3555z00_4866
																																											=
																																											(
																																											(bool_t)
																																											0);
																																									}
																																							}
																																					}
																																				}
																																				BgL_test3880z00_7907
																																					=
																																					BgL_res3555z00_4866;
																																			}
																																	}
																																}
																															}
																														else
																															{	/* Ast/unit.scm 385 */
																																BgL_test3880z00_7907
																																	=
																																	((bool_t) 0);
																															}
																														if (BgL_test3880z00_7907)
																															{	/* Ast/unit.scm 385 */
																																BGl_errorzd2classzd2shadowz00zzast_unitz00
																																	(BgL_varz00_1957,
																																	BgL_sexpz00_39);
																															}
																														else
																															{	/* Ast/unit.scm 385 */
																																BFALSE;
																															}
																													}
																													return
																														BGl_makezd2genericzd2definitionz00zzast_unitz00
																														(BgL_varz00_1957,
																														BGl_za2moduleza2z00zzmodule_modulez00,
																														BgL_argsz00_1958,
																														BgL_expz00_1959,
																														BgL_sexpz00_39);
																												}
																											}
																									}
																								else
																									{	/* Ast/unit.scm 225 */
																										obj_t
																											BgL_carzd23231zd2_2489;
																										BgL_carzd23231zd2_2489 =
																											CAR(((obj_t)
																												BgL_cdrzd23173zd2_2462));
																										{	/* Ast/unit.scm 225 */
																											obj_t BgL_arg2197z00_2490;
																											obj_t BgL_arg2198z00_2491;
																											obj_t BgL_arg2200z00_2492;

																											BgL_arg2197z00_2490 =
																												CAR(
																												((obj_t)
																													BgL_carzd23231zd2_2489));
																											BgL_arg2198z00_2491 =
																												CDR(((obj_t)
																													BgL_carzd23231zd2_2489));
																											BgL_arg2200z00_2492 =
																												CDR(((obj_t)
																													BgL_cdrzd23173zd2_2462));
																											{
																												obj_t BgL_expz00_7946;
																												obj_t BgL_argsz00_7945;
																												obj_t BgL_varz00_7944;

																												BgL_varz00_7944 =
																													BgL_arg2197z00_2490;
																												BgL_argsz00_7945 =
																													BgL_arg2198z00_2491;
																												BgL_expz00_7946 =
																													BgL_arg2200z00_2492;
																												BgL_expz00_1959 =
																													BgL_expz00_7946;
																												BgL_argsz00_1958 =
																													BgL_argsz00_7945;
																												BgL_varz00_1957 =
																													BgL_varz00_7944;
																												goto
																													BgL_tagzd2372zd2_1960;
																											}
																										}
																									}
																							}
																						else
																							{	/* Ast/unit.scm 225 */
																								obj_t BgL_carzd23251zd2_2494;

																								BgL_carzd23251zd2_2494 =
																									CAR(
																									((obj_t)
																										BgL_cdrzd23173zd2_2462));
																								{	/* Ast/unit.scm 225 */
																									obj_t BgL_arg2201z00_2495;
																									obj_t BgL_arg2202z00_2496;
																									obj_t BgL_arg2203z00_2497;

																									BgL_arg2201z00_2495 =
																										CAR(
																										((obj_t)
																											BgL_carzd23251zd2_2494));
																									BgL_arg2202z00_2496 =
																										CDR(((obj_t)
																											BgL_carzd23251zd2_2494));
																									BgL_arg2203z00_2497 =
																										CDR(((obj_t)
																											BgL_cdrzd23173zd2_2462));
																									{
																										obj_t BgL_expz00_7957;
																										obj_t BgL_argsz00_7956;
																										obj_t BgL_varz00_7955;

																										BgL_varz00_7955 =
																											BgL_arg2201z00_2495;
																										BgL_argsz00_7956 =
																											BgL_arg2202z00_2496;
																										BgL_expz00_7957 =
																											BgL_arg2203z00_2497;
																										BgL_expz00_1959 =
																											BgL_expz00_7957;
																										BgL_argsz00_1958 =
																											BgL_argsz00_7956;
																										BgL_varz00_1957 =
																											BgL_varz00_7955;
																										goto BgL_tagzd2372zd2_1960;
																									}
																								}
																							}
																					}
																				else
																					{	/* Ast/unit.scm 225 */
																						obj_t BgL_carzd23271zd2_2499;

																						BgL_carzd23271zd2_2499 =
																							CAR(
																							((obj_t) BgL_cdrzd23173zd2_2462));
																						{	/* Ast/unit.scm 225 */
																							obj_t BgL_arg2204z00_2500;
																							obj_t BgL_arg2205z00_2501;
																							obj_t BgL_arg2206z00_2502;

																							BgL_arg2204z00_2500 =
																								CAR(
																								((obj_t)
																									BgL_carzd23271zd2_2499));
																							BgL_arg2205z00_2501 =
																								CDR(((obj_t)
																									BgL_carzd23271zd2_2499));
																							BgL_arg2206z00_2502 =
																								CDR(((obj_t)
																									BgL_cdrzd23173zd2_2462));
																							{
																								obj_t BgL_expz00_7968;
																								obj_t BgL_argsz00_7967;
																								obj_t BgL_varz00_7966;

																								BgL_varz00_7966 =
																									BgL_arg2204z00_2500;
																								BgL_argsz00_7967 =
																									BgL_arg2205z00_2501;
																								BgL_expz00_7968 =
																									BgL_arg2206z00_2502;
																								BgL_expz00_1959 =
																									BgL_expz00_7968;
																								BgL_argsz00_1958 =
																									BgL_argsz00_7967;
																								BgL_varz00_1957 =
																									BgL_varz00_7966;
																								goto BgL_tagzd2372zd2_1960;
																							}
																						}
																					}
																			}
																		else
																			{	/* Ast/unit.scm 225 */
																				obj_t BgL_carzd23291zd2_2505;

																				BgL_carzd23291zd2_2505 =
																					CAR(((obj_t) BgL_cdrzd23173zd2_2462));
																				{	/* Ast/unit.scm 225 */
																					obj_t BgL_arg2208z00_2506;
																					obj_t BgL_arg2209z00_2507;
																					obj_t BgL_arg2210z00_2508;

																					BgL_arg2208z00_2506 =
																						CAR(
																						((obj_t) BgL_carzd23291zd2_2505));
																					BgL_arg2209z00_2507 =
																						CDR(
																						((obj_t) BgL_carzd23291zd2_2505));
																					BgL_arg2210z00_2508 =
																						CDR(
																						((obj_t) BgL_cdrzd23173zd2_2462));
																					{
																						obj_t BgL_expz00_7979;
																						obj_t BgL_argsz00_7978;
																						obj_t BgL_varz00_7977;

																						BgL_varz00_7977 =
																							BgL_arg2208z00_2506;
																						BgL_argsz00_7978 =
																							BgL_arg2209z00_2507;
																						BgL_expz00_7979 =
																							BgL_arg2210z00_2508;
																						BgL_expz00_1959 = BgL_expz00_7979;
																						BgL_argsz00_1958 = BgL_argsz00_7978;
																						BgL_varz00_1957 = BgL_varz00_7977;
																						goto BgL_tagzd2372zd2_1960;
																					}
																				}
																			}
																	}
																else
																	{	/* Ast/unit.scm 225 */
																		goto BgL_tagzd2374zd2_1965;
																	}
															}
														else
															{	/* Ast/unit.scm 225 */
																goto BgL_tagzd2374zd2_1965;
															}
													}
												else
													{	/* Ast/unit.scm 225 */
														if (
															(CAR(
																	((obj_t) BgL_sexpz00_39)) ==
																((obj_t) CNST_TABLE_REF(21))))
															{	/* Ast/unit.scm 225 */
																if (PAIRP(BgL_cdrzd23173zd2_2462))
																	{	/* Ast/unit.scm 225 */
																		obj_t BgL_carzd23341zd2_2513;

																		BgL_carzd23341zd2_2513 =
																			CAR(BgL_cdrzd23173zd2_2462);
																		if (PAIRP(BgL_carzd23341zd2_2513))
																			{	/* Ast/unit.scm 225 */
																				BgL_varz00_1961 =
																					CAR(BgL_carzd23341zd2_2513);
																				BgL_argsz00_1962 =
																					CDR(BgL_carzd23341zd2_2513);
																				BgL_expz00_1963 =
																					CDR(BgL_cdrzd23173zd2_2462);
																				{	/* Ast/unit.scm 389 */
																					bool_t BgL_test3888z00_7991;

																					if (BGl_typezd2existszf3z21zztype_envz00(BgL_varz00_1961))
																						{	/* Ast/unit.scm 389 */
																							BgL_typez00_bglt
																								BgL_arg2437z00_2783;
																							BgL_arg2437z00_2783 =
																								BGl_findzd2typezd2zztype_envz00
																								(BgL_varz00_1961);
																							{	/* Ast/unit.scm 389 */
																								obj_t BgL_classz00_4867;

																								BgL_classz00_4867 =
																									BGl_tclassz00zzobject_classz00;
																								{	/* Ast/unit.scm 389 */
																									BgL_objectz00_bglt
																										BgL_arg1858z00_4869;
																									{	/* Ast/unit.scm 389 */
																										obj_t BgL_tmpz00_7995;

																										BgL_tmpz00_7995 =
																											((obj_t)
																											((BgL_objectz00_bglt)
																												BgL_arg2437z00_2783));
																										BgL_arg1858z00_4869 =
																											(BgL_objectz00_bglt)
																											(BgL_tmpz00_7995);
																									}
																									if (BGL_CONDEXPAND_ISA_ARCH64
																										())
																										{	/* Ast/unit.scm 389 */
																											long BgL_idxz00_4875;

																											BgL_idxz00_4875 =
																												BGL_OBJECT_INHERITANCE_NUM
																												(BgL_arg1858z00_4869);
																											BgL_test3888z00_7991 =
																												(VECTOR_REF
																												(BGl_za2inheritancesza2z00zz__objectz00,
																													(BgL_idxz00_4875 +
																														2L)) ==
																												BgL_classz00_4867);
																										}
																									else
																										{	/* Ast/unit.scm 389 */
																											bool_t
																												BgL_res3556z00_4900;
																											{	/* Ast/unit.scm 389 */
																												obj_t
																													BgL_oclassz00_4883;
																												{	/* Ast/unit.scm 389 */
																													obj_t
																														BgL_arg1866z00_4891;
																													long
																														BgL_arg1867z00_4892;
																													BgL_arg1866z00_4891 =
																														(BGl_za2classesza2z00zz__objectz00);
																													{	/* Ast/unit.scm 389 */
																														long
																															BgL_arg1869z00_4893;
																														BgL_arg1869z00_4893
																															=
																															BGL_OBJECT_CLASS_NUM
																															(BgL_arg1858z00_4869);
																														BgL_arg1867z00_4892
																															=
																															(BgL_arg1869z00_4893
																															- OBJECT_TYPE);
																													}
																													BgL_oclassz00_4883 =
																														VECTOR_REF
																														(BgL_arg1866z00_4891,
																														BgL_arg1867z00_4892);
																												}
																												{	/* Ast/unit.scm 389 */
																													bool_t
																														BgL__ortest_1115z00_4884;
																													BgL__ortest_1115z00_4884
																														=
																														(BgL_classz00_4867
																														==
																														BgL_oclassz00_4883);
																													if (BgL__ortest_1115z00_4884)
																														{	/* Ast/unit.scm 389 */
																															BgL_res3556z00_4900
																																=
																																BgL__ortest_1115z00_4884;
																														}
																													else
																														{	/* Ast/unit.scm 389 */
																															long
																																BgL_odepthz00_4885;
																															{	/* Ast/unit.scm 389 */
																																obj_t
																																	BgL_arg1855z00_4886;
																																BgL_arg1855z00_4886
																																	=
																																	(BgL_oclassz00_4883);
																																BgL_odepthz00_4885
																																	=
																																	BGL_CLASS_DEPTH
																																	(BgL_arg1855z00_4886);
																															}
																															if (
																																(2L <
																																	BgL_odepthz00_4885))
																																{	/* Ast/unit.scm 389 */
																																	obj_t
																																		BgL_arg1853z00_4888;
																																	{	/* Ast/unit.scm 389 */
																																		obj_t
																																			BgL_arg1854z00_4889;
																																		BgL_arg1854z00_4889
																																			=
																																			(BgL_oclassz00_4883);
																																		BgL_arg1853z00_4888
																																			=
																																			BGL_CLASS_ANCESTORS_REF
																																			(BgL_arg1854z00_4889,
																																			2L);
																																	}
																																	BgL_res3556z00_4900
																																		=
																																		(BgL_arg1853z00_4888
																																		==
																																		BgL_classz00_4867);
																																}
																															else
																																{	/* Ast/unit.scm 389 */
																																	BgL_res3556z00_4900
																																		=
																																		((bool_t)
																																		0);
																																}
																														}
																												}
																											}
																											BgL_test3888z00_7991 =
																												BgL_res3556z00_4900;
																										}
																								}
																							}
																						}
																					else
																						{	/* Ast/unit.scm 389 */
																							BgL_test3888z00_7991 =
																								((bool_t) 0);
																						}
																					if (BgL_test3888z00_7991)
																						{	/* Ast/unit.scm 389 */
																							BGl_errorzd2classzd2shadowz00zzast_unitz00
																								(BgL_varz00_1961,
																								BgL_sexpz00_39);
																						}
																					else
																						{	/* Ast/unit.scm 389 */
																							BFALSE;
																						}
																				}
																				{	/* Ast/unit.scm 393 */
																					obj_t BgL_arg2438z00_2784;

																					{	/* Ast/unit.scm 393 */
																						obj_t BgL_arg2439z00_2785;

																						{	/* Ast/unit.scm 393 */
																							obj_t BgL_arg2440z00_2786;

																							{	/* Ast/unit.scm 393 */
																								obj_t BgL_pairz00_4904;

																								BgL_pairz00_4904 =
																									CDR(((obj_t) BgL_sexpz00_39));
																								BgL_arg2440z00_2786 =
																									CDR(BgL_pairz00_4904);
																							}
																							BgL_arg2439z00_2785 =
																								BGl_findzd2locationzd2zztools_locationz00
																								(BgL_arg2440z00_2786);
																						}
																						BgL_arg2438z00_2784 =
																							BGl_normaliza7ezd2prognzf2errorz87zzast_unitz00
																							(BgL_expz00_1963, BgL_sexpz00_39,
																							BgL_arg2439z00_2785);
																					}
																					return
																						BGl_makezd2methodzd2definitionz00zzast_unitz00
																						(BgL_varz00_1961, BgL_argsz00_1962,
																						BgL_arg2438z00_2784,
																						BgL_sexpz00_39);
																				}
																			}
																		else
																			{	/* Ast/unit.scm 225 */
																				goto BgL_tagzd2374zd2_1965;
																			}
																	}
																else
																	{	/* Ast/unit.scm 225 */
																		goto BgL_tagzd2374zd2_1965;
																	}
															}
														else
															{	/* Ast/unit.scm 225 */
																goto BgL_tagzd2374zd2_1965;
															}
													}
											}
									}
							}
					}
				else
					{	/* Ast/unit.scm 225 */
						goto BgL_tagzd2374zd2_1965;
					}
			}
		}

	}



/* normalize-progn/error */
	obj_t BGl_normaliza7ezd2prognzf2errorz87zzast_unitz00(obj_t BgL_expz00_41,
		obj_t BgL_srcz00_42, obj_t BgL_locz00_43)
	{
		{	/* Ast/unit.scm 401 */
			if (NULLP(BgL_expz00_41))
				{	/* Ast/unit.scm 403 */
					obj_t BgL_arg2443z00_2789;

					BgL_arg2443z00_2789 =
						BGl_findzd2locationzd2zztools_locationz00(BgL_srcz00_42);
					return
						((obj_t)
						BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00
						(BGl_string3596z00zzast_unitz00, BgL_srcz00_42,
							BgL_arg2443z00_2789));
				}
			else
				{	/* Ast/unit.scm 404 */
					obj_t BgL_expz00_2790;

					BgL_expz00_2790 =
						BGl_normaliza7ezd2prognz75zztools_prognz00(BgL_expz00_41);
					if (CBOOL(BgL_locz00_43))
						{	/* Ast/unit.scm 406 */
							if (EPAIRP(BgL_expz00_2790))
								{	/* Ast/unit.scm 408 */
									return BgL_expz00_2790;
								}
							else
								{	/* Ast/unit.scm 408 */
									if (PAIRP(BgL_expz00_2790))
										{	/* Ast/unit.scm 411 */
											obj_t BgL_arg2448z00_2793;
											obj_t BgL_arg2449z00_2794;

											BgL_arg2448z00_2793 = CAR(BgL_expz00_2790);
											BgL_arg2449z00_2794 = CDR(BgL_expz00_2790);
											{	/* Ast/unit.scm 411 */
												obj_t BgL_res3558z00_5324;

												BgL_res3558z00_5324 =
													MAKE_YOUNG_EPAIR(BgL_arg2448z00_2793,
													BgL_arg2449z00_2794, BgL_locz00_43);
												return BgL_res3558z00_5324;
											}
										}
									else
										{	/* Ast/unit.scm 413 */
											obj_t BgL_arg2450z00_2795;

											{	/* Ast/unit.scm 413 */
												obj_t BgL_list2451z00_2796;

												BgL_list2451z00_2796 =
													MAKE_YOUNG_PAIR(BgL_expz00_2790, BNIL);
												BgL_arg2450z00_2795 = BgL_list2451z00_2796;
											}
											{	/* Ast/unit.scm 413 */
												obj_t BgL_res3560z00_5327;

												{	/* Ast/unit.scm 413 */
													obj_t BgL_obj1z00_5326;

													BgL_obj1z00_5326 = ((obj_t) CNST_TABLE_REF(2));
													BgL_res3560z00_5327 =
														MAKE_YOUNG_EPAIR(BgL_obj1z00_5326,
														BgL_arg2450z00_2795, BgL_locz00_43);
												}
												return BgL_res3560z00_5327;
											}
										}
								}
						}
					else
						{	/* Ast/unit.scm 406 */
							return BgL_expz00_2790;
						}
				}
		}

	}



/* eta-expanse */
	obj_t BGl_etazd2expansezd2zzast_unitz00(obj_t BgL_sexpz00_47,
		obj_t BgL_arityz00_48)
	{
		{	/* Ast/unit.scm 431 */
			{	/* Ast/unit.scm 432 */
				obj_t BgL_argsz00_2805;

				BgL_argsz00_2805 =
					BGl_makezd2nzd2protoz00zztools_argsz00(BgL_arityz00_48);
				{
					obj_t BgL_varz00_2883;
					obj_t BgL_id2z00_2884;
					obj_t BgL_modulez00_2885;

					if (PAIRP(BgL_sexpz00_47))
						{	/* Ast/unit.scm 456 */
							obj_t BgL_cdrzd23492zd2_2817;

							BgL_cdrzd23492zd2_2817 = CDR(((obj_t) BgL_sexpz00_47));
							if (
								(CAR(((obj_t) BgL_sexpz00_47)) == ((obj_t) CNST_TABLE_REF(17))))
								{	/* Ast/unit.scm 456 */
									if (PAIRP(BgL_cdrzd23492zd2_2817))
										{	/* Ast/unit.scm 456 */
											obj_t BgL_cdrzd23497zd2_2821;

											BgL_cdrzd23497zd2_2821 = CDR(BgL_cdrzd23492zd2_2817);
											if (PAIRP(BgL_cdrzd23497zd2_2821))
												{	/* Ast/unit.scm 456 */
													obj_t BgL_carzd23501zd2_2823;

													BgL_carzd23501zd2_2823 = CAR(BgL_cdrzd23497zd2_2821);
													if (PAIRP(BgL_carzd23501zd2_2823))
														{	/* Ast/unit.scm 456 */
															obj_t BgL_cdrzd23506zd2_2825;

															BgL_cdrzd23506zd2_2825 =
																CDR(BgL_carzd23501zd2_2823);
															if (
																(CAR(BgL_carzd23501zd2_2823) ==
																	((obj_t) CNST_TABLE_REF(0))))
																{	/* Ast/unit.scm 456 */
																	if (PAIRP(BgL_cdrzd23506zd2_2825))
																		{	/* Ast/unit.scm 456 */
																			obj_t BgL_cdrzd23510zd2_2829;

																			BgL_cdrzd23510zd2_2829 =
																				CDR(BgL_cdrzd23506zd2_2825);
																			if (PAIRP(BgL_cdrzd23510zd2_2829))
																				{	/* Ast/unit.scm 456 */
																					if (NULLP(CDR
																							(BgL_cdrzd23510zd2_2829)))
																						{	/* Ast/unit.scm 456 */
																							if (NULLP(CDR
																									(BgL_cdrzd23497zd2_2821)))
																								{	/* Ast/unit.scm 456 */
																									obj_t BgL_arg2479z00_2836;
																									obj_t BgL_arg2480z00_2837;

																									BgL_arg2479z00_2836 =
																										CAR(BgL_cdrzd23506zd2_2825);
																									BgL_arg2480z00_2837 =
																										CAR(BgL_cdrzd23510zd2_2829);
																									{	/* Ast/unit.scm 458 */
																										obj_t BgL_id2z00_5350;

																										BgL_id2z00_5350 =
																											BGl_idzd2ofzd2idz00zzast_identz00
																											(BgL_arg2479z00_2836,
																											BGl_findzd2locationzd2zztools_locationz00
																											(BgL_sexpz00_47));
																										{	/* Ast/unit.scm 458 */

																											{	/* Ast/unit.scm 459 */
																												obj_t BgL_auxz00_8087;

																												BgL_varz00_2883 =
																													BgL_arg2479z00_2836;
																												BgL_id2z00_2884 =
																													BgL_id2z00_5350;
																												BgL_modulez00_2885 =
																													BgL_arg2480z00_2837;
																												if (((long)
																														CINT
																														(BgL_arityz00_48) >=
																														0L))
																													{	/* Ast/unit.scm 436 */
																														obj_t
																															BgL_arg2525z00_2888;
																														{	/* Ast/unit.scm 436 */
																															obj_t
																																BgL_arg2527z00_2889;
																															obj_t
																																BgL_arg2528z00_2890;
																															BgL_arg2527z00_2889
																																=
																																MAKE_YOUNG_PAIR
																																(BgL_varz00_2883,
																																BgL_argsz00_2805);
																															{	/* Ast/unit.scm 437 */
																																obj_t
																																	BgL_arg2529z00_2891;
																																{	/* Ast/unit.scm 437 */
																																	obj_t
																																		BgL_arg2530z00_2892;
																																	{	/* Ast/unit.scm 437 */
																																		obj_t
																																			BgL_arg2532z00_2893;
																																		{	/* Ast/unit.scm 437 */
																																			obj_t
																																				BgL_arg2533z00_2894;
																																			BgL_arg2533z00_2894
																																				=
																																				MAKE_YOUNG_PAIR
																																				(BgL_modulez00_2885,
																																				BNIL);
																																			BgL_arg2532z00_2893
																																				=
																																				MAKE_YOUNG_PAIR
																																				(BgL_id2z00_2884,
																																				BgL_arg2533z00_2894);
																																		}
																																		BgL_arg2530z00_2892
																																			=
																																			MAKE_YOUNG_PAIR
																																			(((obj_t)
																																				CNST_TABLE_REF
																																				(0)),
																																			BgL_arg2532z00_2893);
																																	}
																																	BgL_arg2529z00_2891
																																		=
																																		MAKE_YOUNG_PAIR
																																		(BgL_arg2530z00_2892,
																																		BgL_argsz00_2805);
																																}
																																BgL_arg2528z00_2890
																																	=
																																	MAKE_YOUNG_PAIR
																																	(BgL_arg2529z00_2891,
																																	BNIL);
																															}
																															BgL_arg2525z00_2888
																																=
																																MAKE_YOUNG_PAIR
																																(BgL_arg2527z00_2889,
																																BgL_arg2528z00_2890);
																														}
																														BgL_auxz00_8087 =
																															MAKE_YOUNG_PAIR(
																															((obj_t)
																																CNST_TABLE_REF
																																(17)),
																															BgL_arg2525z00_2888);
																													}
																												else
																													{	/* Ast/unit.scm 435 */
																														if (
																															((long)
																																CINT
																																(BgL_arityz00_48)
																																== (-1L)))
																															{	/* Ast/unit.scm 439 */
																																obj_t
																																	BgL_arg2535z00_2896;
																																{	/* Ast/unit.scm 439 */
																																	obj_t
																																		BgL_arg2536z00_2897;
																																	obj_t
																																		BgL_arg2537z00_2898;
																																	BgL_arg2536z00_2897
																																		=
																																		MAKE_YOUNG_PAIR
																																		(BgL_varz00_2883,
																																		BgL_argsz00_2805);
																																	{	/* Ast/unit.scm 440 */
																																		obj_t
																																			BgL_arg2538z00_2899;
																																		{	/* Ast/unit.scm 440 */
																																			obj_t
																																				BgL_arg2539z00_2900;
																																			{	/* Ast/unit.scm 440 */
																																				obj_t
																																					BgL_arg2541z00_2901;
																																				obj_t
																																					BgL_arg2542z00_2902;
																																				{	/* Ast/unit.scm 440 */
																																					obj_t
																																						BgL_arg2543z00_2903;
																																					{	/* Ast/unit.scm 440 */
																																						obj_t
																																							BgL_arg2545z00_2904;
																																						BgL_arg2545z00_2904
																																							=
																																							MAKE_YOUNG_PAIR
																																							(BgL_modulez00_2885,
																																							BNIL);
																																						BgL_arg2543z00_2903
																																							=
																																							MAKE_YOUNG_PAIR
																																							(BgL_id2z00_2884,
																																							BgL_arg2545z00_2904);
																																					}
																																					BgL_arg2541z00_2901
																																						=
																																						MAKE_YOUNG_PAIR
																																						(((obj_t) CNST_TABLE_REF(0)), BgL_arg2543z00_2903);
																																				}
																																				BgL_arg2542z00_2902
																																					=
																																					MAKE_YOUNG_PAIR
																																					(BgL_argsz00_2805,
																																					BNIL);
																																				BgL_arg2539z00_2900
																																					=
																																					MAKE_YOUNG_PAIR
																																					(BgL_arg2541z00_2901,
																																					BgL_arg2542z00_2902);
																																			}
																																			BgL_arg2538z00_2899
																																				=
																																				MAKE_YOUNG_PAIR
																																				(((obj_t) CNST_TABLE_REF(22)), BgL_arg2539z00_2900);
																																		}
																																		BgL_arg2537z00_2898
																																			=
																																			MAKE_YOUNG_PAIR
																																			(BgL_arg2538z00_2899,
																																			BNIL);
																																	}
																																	BgL_arg2535z00_2896
																																		=
																																		MAKE_YOUNG_PAIR
																																		(BgL_arg2536z00_2897,
																																		BgL_arg2537z00_2898);
																																}
																																BgL_auxz00_8087
																																	=
																																	MAKE_YOUNG_PAIR
																																	(((obj_t)
																																		CNST_TABLE_REF
																																		(17)),
																																	BgL_arg2535z00_2896);
																															}
																														else
																															{	/* Ast/unit.scm 442 */
																																obj_t
																																	BgL_arg2546z00_2905;
																																{	/* Ast/unit.scm 442 */
																																	obj_t
																																		BgL_arg2548z00_2906;
																																	obj_t
																																		BgL_arg2549z00_2907;
																																	BgL_arg2548z00_2906
																																		=
																																		MAKE_YOUNG_PAIR
																																		(BgL_varz00_2883,
																																		BgL_argsz00_2805);
																																	{	/* Ast/unit.scm 443 */
																																		obj_t
																																			BgL_arg2550z00_2908;
																																		{	/* Ast/unit.scm 443 */
																																			obj_t
																																				BgL_arg2551z00_2909;
																																			{	/* Ast/unit.scm 443 */
																																				obj_t
																																					BgL_arg2552z00_2910;
																																				obj_t
																																					BgL_arg2553z00_2911;
																																				{	/* Ast/unit.scm 443 */
																																					obj_t
																																						BgL_arg2554z00_2912;
																																					{	/* Ast/unit.scm 443 */
																																						obj_t
																																							BgL_arg2555z00_2913;
																																						BgL_arg2555z00_2913
																																							=
																																							MAKE_YOUNG_PAIR
																																							(BgL_modulez00_2885,
																																							BNIL);
																																						BgL_arg2554z00_2912
																																							=
																																							MAKE_YOUNG_PAIR
																																							(BgL_id2z00_2884,
																																							BgL_arg2555z00_2913);
																																					}
																																					BgL_arg2552z00_2910
																																						=
																																						MAKE_YOUNG_PAIR
																																						(((obj_t) CNST_TABLE_REF(0)), BgL_arg2554z00_2912);
																																				}
																																				{	/* Ast/unit.scm 444 */
																																					obj_t
																																						BgL_arg2556z00_2914;
																																					{	/* Ast/unit.scm 444 */
																																						obj_t
																																							BgL_arg2557z00_2915;
																																						BgL_arg2557z00_2915
																																							=
																																							BGl_argsza2zd2ze3argszd2listz41zztools_argsz00
																																							(BgL_argsz00_2805);
																																						BgL_arg2556z00_2914
																																							=
																																							MAKE_YOUNG_PAIR
																																							(((obj_t) CNST_TABLE_REF(23)), BgL_arg2557z00_2915);
																																					}
																																					BgL_arg2553z00_2911
																																						=
																																						MAKE_YOUNG_PAIR
																																						(BgL_arg2556z00_2914,
																																						BNIL);
																																				}
																																				BgL_arg2551z00_2909
																																					=
																																					MAKE_YOUNG_PAIR
																																					(BgL_arg2552z00_2910,
																																					BgL_arg2553z00_2911);
																																			}
																																			BgL_arg2550z00_2908
																																				=
																																				MAKE_YOUNG_PAIR
																																				(((obj_t) CNST_TABLE_REF(22)), BgL_arg2551z00_2909);
																																		}
																																		BgL_arg2549z00_2907
																																			=
																																			MAKE_YOUNG_PAIR
																																			(BgL_arg2550z00_2908,
																																			BNIL);
																																	}
																																	BgL_arg2546z00_2905
																																		=
																																		MAKE_YOUNG_PAIR
																																		(BgL_arg2548z00_2906,
																																		BgL_arg2549z00_2907);
																																}
																																BgL_auxz00_8087
																																	=
																																	MAKE_YOUNG_PAIR
																																	(((obj_t)
																																		CNST_TABLE_REF
																																		(17)),
																																	BgL_arg2546z00_2905);
																															}
																													}
																												return
																													BGl_replacez12z12zztools_miscz00
																													(BgL_sexpz00_47,
																													BgL_auxz00_8087);
																											}
																										}
																									}
																								}
																							else
																								{	/* Ast/unit.scm 456 */
																									return BFALSE;
																								}
																						}
																					else
																						{	/* Ast/unit.scm 456 */
																							obj_t BgL_cdrzd23532zd2_2840;

																							BgL_cdrzd23532zd2_2840 =
																								CDR(
																								((obj_t)
																									BgL_cdrzd23492zd2_2817));
																							if (NULLP(CDR(((obj_t)
																											BgL_cdrzd23532zd2_2840))))
																								{	/* Ast/unit.scm 456 */
																									obj_t BgL_arg2485z00_2843;
																									obj_t BgL_arg2487z00_2844;

																									BgL_arg2485z00_2843 =
																										CAR(
																										((obj_t)
																											BgL_cdrzd23492zd2_2817));
																									BgL_arg2487z00_2844 =
																										CAR(((obj_t)
																											BgL_cdrzd23532zd2_2840));
																									{	/* Ast/unit.scm 461 */
																										obj_t BgL_id2z00_5358;

																										BgL_id2z00_5358 =
																											BGl_idzd2ofzd2idz00zzast_identz00
																											(BgL_arg2487z00_2844,
																											BGl_findzd2locationzd2zztools_locationz00
																											(BgL_sexpz00_47));
																										return
																											BGl_replacez12z12zztools_miscz00
																											(BgL_sexpz00_47,
																											BGl_dozd2etazd2expanseze70ze7zzast_unitz00
																											(BgL_arityz00_48,
																												BgL_argsz00_2805,
																												BgL_arg2485z00_2843,
																												BgL_id2z00_5358));
																									}
																								}
																							else
																								{	/* Ast/unit.scm 456 */
																									return BFALSE;
																								}
																						}
																				}
																			else
																				{	/* Ast/unit.scm 456 */
																					obj_t BgL_cdrzd23550zd2_2848;

																					BgL_cdrzd23550zd2_2848 =
																						CDR(
																						((obj_t) BgL_cdrzd23492zd2_2817));
																					if (NULLP(CDR(
																								((obj_t)
																									BgL_cdrzd23550zd2_2848))))
																						{	/* Ast/unit.scm 456 */
																							obj_t BgL_arg2492z00_2851;
																							obj_t BgL_arg2493z00_2852;

																							BgL_arg2492z00_2851 =
																								CAR(
																								((obj_t)
																									BgL_cdrzd23492zd2_2817));
																							BgL_arg2493z00_2852 =
																								CAR(((obj_t)
																									BgL_cdrzd23550zd2_2848));
																							{	/* Ast/unit.scm 461 */
																								obj_t BgL_id2z00_5366;

																								BgL_id2z00_5366 =
																									BGl_idzd2ofzd2idz00zzast_identz00
																									(BgL_arg2493z00_2852,
																									BGl_findzd2locationzd2zztools_locationz00
																									(BgL_sexpz00_47));
																								return
																									BGl_replacez12z12zztools_miscz00
																									(BgL_sexpz00_47,
																									BGl_dozd2etazd2expanseze70ze7zzast_unitz00
																									(BgL_arityz00_48,
																										BgL_argsz00_2805,
																										BgL_arg2492z00_2851,
																										BgL_id2z00_5366));
																							}
																						}
																					else
																						{	/* Ast/unit.scm 456 */
																							return BFALSE;
																						}
																				}
																		}
																	else
																		{	/* Ast/unit.scm 456 */
																			obj_t BgL_cdrzd23568zd2_2855;

																			BgL_cdrzd23568zd2_2855 =
																				CDR(((obj_t) BgL_cdrzd23492zd2_2817));
																			if (NULLP(CDR(
																						((obj_t) BgL_cdrzd23568zd2_2855))))
																				{	/* Ast/unit.scm 456 */
																					obj_t BgL_arg2498z00_2858;
																					obj_t BgL_arg2499z00_2859;

																					BgL_arg2498z00_2858 =
																						CAR(
																						((obj_t) BgL_cdrzd23492zd2_2817));
																					BgL_arg2499z00_2859 =
																						CAR(
																						((obj_t) BgL_cdrzd23568zd2_2855));
																					{	/* Ast/unit.scm 461 */
																						obj_t BgL_id2z00_5374;

																						BgL_id2z00_5374 =
																							BGl_idzd2ofzd2idz00zzast_identz00
																							(BgL_arg2499z00_2859,
																							BGl_findzd2locationzd2zztools_locationz00
																							(BgL_sexpz00_47));
																						return
																							BGl_replacez12z12zztools_miscz00
																							(BgL_sexpz00_47,
																							BGl_dozd2etazd2expanseze70ze7zzast_unitz00
																							(BgL_arityz00_48,
																								BgL_argsz00_2805,
																								BgL_arg2498z00_2858,
																								BgL_id2z00_5374));
																					}
																				}
																			else
																				{	/* Ast/unit.scm 456 */
																					return BFALSE;
																				}
																		}
																}
															else
																{	/* Ast/unit.scm 456 */
																	obj_t BgL_cdrzd23586zd2_2862;

																	BgL_cdrzd23586zd2_2862 =
																		CDR(((obj_t) BgL_cdrzd23492zd2_2817));
																	if (NULLP(CDR(
																				((obj_t) BgL_cdrzd23586zd2_2862))))
																		{	/* Ast/unit.scm 456 */
																			obj_t BgL_arg2503z00_2865;
																			obj_t BgL_arg2504z00_2866;

																			BgL_arg2503z00_2865 =
																				CAR(((obj_t) BgL_cdrzd23492zd2_2817));
																			BgL_arg2504z00_2866 =
																				CAR(((obj_t) BgL_cdrzd23586zd2_2862));
																			{	/* Ast/unit.scm 461 */
																				obj_t BgL_id2z00_5382;

																				BgL_id2z00_5382 =
																					BGl_idzd2ofzd2idz00zzast_identz00
																					(BgL_arg2504z00_2866,
																					BGl_findzd2locationzd2zztools_locationz00
																					(BgL_sexpz00_47));
																				return
																					BGl_replacez12z12zztools_miscz00
																					(BgL_sexpz00_47,
																					BGl_dozd2etazd2expanseze70ze7zzast_unitz00
																					(BgL_arityz00_48, BgL_argsz00_2805,
																						BgL_arg2503z00_2865,
																						BgL_id2z00_5382));
																			}
																		}
																	else
																		{	/* Ast/unit.scm 456 */
																			return BFALSE;
																		}
																}
														}
													else
														{	/* Ast/unit.scm 456 */
															obj_t BgL_cdrzd23604zd2_2870;

															BgL_cdrzd23604zd2_2870 =
																CDR(((obj_t) BgL_cdrzd23492zd2_2817));
															if (NULLP(CDR(((obj_t) BgL_cdrzd23604zd2_2870))))
																{	/* Ast/unit.scm 456 */
																	obj_t BgL_arg2510z00_2873;
																	obj_t BgL_arg2512z00_2874;

																	BgL_arg2510z00_2873 =
																		CAR(((obj_t) BgL_cdrzd23492zd2_2817));
																	BgL_arg2512z00_2874 =
																		CAR(((obj_t) BgL_cdrzd23604zd2_2870));
																	{	/* Ast/unit.scm 461 */
																		obj_t BgL_id2z00_5390;

																		BgL_id2z00_5390 =
																			BGl_idzd2ofzd2idz00zzast_identz00
																			(BgL_arg2512z00_2874,
																			BGl_findzd2locationzd2zztools_locationz00
																			(BgL_sexpz00_47));
																		return
																			BGl_replacez12z12zztools_miscz00
																			(BgL_sexpz00_47,
																			BGl_dozd2etazd2expanseze70ze7zzast_unitz00
																			(BgL_arityz00_48, BgL_argsz00_2805,
																				BgL_arg2510z00_2873, BgL_id2z00_5390));
																	}
																}
															else
																{	/* Ast/unit.scm 456 */
																	return BFALSE;
																}
														}
												}
											else
												{	/* Ast/unit.scm 456 */
													return BFALSE;
												}
										}
									else
										{	/* Ast/unit.scm 456 */
											return BFALSE;
										}
								}
							else
								{	/* Ast/unit.scm 456 */
									return BFALSE;
								}
						}
					else
						{	/* Ast/unit.scm 456 */
							return BFALSE;
						}
				}
			}
		}

	}



/* do-eta-expanse~0 */
	obj_t BGl_dozd2etazd2expanseze70ze7zzast_unitz00(obj_t BgL_arityz00_5796,
		obj_t BgL_argsz00_5795, obj_t BgL_varz00_2916, obj_t BgL_id2z00_2917)
	{
		{	/* Ast/unit.scm 455 */
			if (((long) CINT(BgL_arityz00_5796) >= 0L))
				{	/* Ast/unit.scm 448 */
					obj_t BgL_arg2560z00_2920;

					{	/* Ast/unit.scm 448 */
						obj_t BgL_arg2561z00_2921;
						obj_t BgL_arg2562z00_2922;

						BgL_arg2561z00_2921 =
							MAKE_YOUNG_PAIR(BgL_varz00_2916, BgL_argsz00_5795);
						{	/* Ast/unit.scm 449 */
							obj_t BgL_arg2563z00_2923;

							BgL_arg2563z00_2923 =
								MAKE_YOUNG_PAIR(BgL_id2z00_2917, BgL_argsz00_5795);
							BgL_arg2562z00_2922 = MAKE_YOUNG_PAIR(BgL_arg2563z00_2923, BNIL);
						}
						BgL_arg2560z00_2920 =
							MAKE_YOUNG_PAIR(BgL_arg2561z00_2921, BgL_arg2562z00_2922);
					}
					return
						MAKE_YOUNG_PAIR(((obj_t) CNST_TABLE_REF(17)), BgL_arg2560z00_2920);
				}
			else
				{	/* Ast/unit.scm 447 */
					if (((long) CINT(BgL_arityz00_5796) == (-1L)))
						{	/* Ast/unit.scm 451 */
							obj_t BgL_arg2565z00_2925;

							{	/* Ast/unit.scm 451 */
								obj_t BgL_arg2566z00_2926;
								obj_t BgL_arg2568z00_2927;

								BgL_arg2566z00_2926 =
									MAKE_YOUNG_PAIR(BgL_varz00_2916, BgL_argsz00_5795);
								{	/* Ast/unit.scm 452 */
									obj_t BgL_arg2569z00_2928;

									{	/* Ast/unit.scm 452 */
										obj_t BgL_arg2571z00_2929;

										{	/* Ast/unit.scm 452 */
											obj_t BgL_arg2572z00_2930;

											BgL_arg2572z00_2930 =
												MAKE_YOUNG_PAIR(BgL_argsz00_5795, BNIL);
											BgL_arg2571z00_2929 =
												MAKE_YOUNG_PAIR(BgL_id2z00_2917, BgL_arg2572z00_2930);
										}
										BgL_arg2569z00_2928 =
											MAKE_YOUNG_PAIR(
											((obj_t) CNST_TABLE_REF(22)), BgL_arg2571z00_2929);
									}
									BgL_arg2568z00_2927 =
										MAKE_YOUNG_PAIR(BgL_arg2569z00_2928, BNIL);
								}
								BgL_arg2565z00_2925 =
									MAKE_YOUNG_PAIR(BgL_arg2566z00_2926, BgL_arg2568z00_2927);
							}
							return
								MAKE_YOUNG_PAIR(
								((obj_t) CNST_TABLE_REF(17)), BgL_arg2565z00_2925);
						}
					else
						{	/* Ast/unit.scm 454 */
							obj_t BgL_arg2573z00_2931;

							{	/* Ast/unit.scm 454 */
								obj_t BgL_arg2575z00_2932;
								obj_t BgL_arg2576z00_2933;

								BgL_arg2575z00_2932 =
									MAKE_YOUNG_PAIR(BgL_varz00_2916, BgL_argsz00_5795);
								{	/* Ast/unit.scm 455 */
									obj_t BgL_arg2577z00_2934;

									{	/* Ast/unit.scm 455 */
										obj_t BgL_arg2578z00_2935;

										{	/* Ast/unit.scm 455 */
											obj_t BgL_arg2579z00_2936;

											{	/* Ast/unit.scm 455 */
												obj_t BgL_arg2580z00_2937;

												{	/* Ast/unit.scm 455 */
													obj_t BgL_arg2581z00_2938;

													BgL_arg2581z00_2938 =
														BGl_argsza2zd2ze3argszd2listz41zztools_argsz00
														(BgL_argsz00_5795);
													BgL_arg2580z00_2937 =
														MAKE_YOUNG_PAIR(((obj_t) CNST_TABLE_REF(23)),
														BgL_arg2581z00_2938);
												}
												BgL_arg2579z00_2936 =
													MAKE_YOUNG_PAIR(BgL_arg2580z00_2937, BNIL);
											}
											BgL_arg2578z00_2935 =
												MAKE_YOUNG_PAIR(BgL_id2z00_2917, BgL_arg2579z00_2936);
										}
										BgL_arg2577z00_2934 =
											MAKE_YOUNG_PAIR(
											((obj_t) CNST_TABLE_REF(22)), BgL_arg2578z00_2935);
									}
									BgL_arg2576z00_2933 =
										MAKE_YOUNG_PAIR(BgL_arg2577z00_2934, BNIL);
								}
								BgL_arg2573z00_2931 =
									MAKE_YOUNG_PAIR(BgL_arg2575z00_2932, BgL_arg2576z00_2933);
							}
							return
								MAKE_YOUNG_PAIR(
								((obj_t) CNST_TABLE_REF(17)), BgL_arg2573z00_2931);
						}
				}
		}

	}



/* make-sfun-definition */
	obj_t BGl_makezd2sfunzd2definitionz00zzast_unitz00(obj_t BgL_idz00_49,
		obj_t BgL_modulez00_50, obj_t BgL_argsz00_51, obj_t BgL_bodyz00_52,
		obj_t BgL_srcz00_53, obj_t BgL_classz00_54)
	{
		{	/* Ast/unit.scm 467 */
			{	/* Ast/unit.scm 468 */
				obj_t BgL_locz00_2941;
				obj_t BgL_optsz00_2942;
				obj_t BgL_keysz00_2943;

				BgL_locz00_2941 =
					BGl_findzd2locationzd2zztools_locationz00(BgL_srcz00_53);
				BgL_optsz00_2942 =
					BGl_dssslzd2optionalszd2zztools_dssslz00(BgL_argsz00_51);
				BgL_keysz00_2943 = BGl_dssslzd2keyszd2zztools_dssslz00(BgL_argsz00_51);
				if (NULLP(BgL_optsz00_2942))
					{	/* Ast/unit.scm 472 */
						if (NULLP(BgL_keysz00_2943))
							{	/* Ast/unit.scm 724 */
								obj_t BgL_localsz00_5399;
								obj_t BgL_bodyz00_5400;

								BgL_localsz00_5399 =
									BGl_parsezd2funzd2argsz00zzast_unitz00(BgL_argsz00_51,
									BgL_srcz00_53, BgL_locz00_2941);
								BgL_bodyz00_5400 =
									BGl_makezd2dssslzd2functionzd2preludezd2zz__dssslz00
									(BgL_idz00_49, BgL_argsz00_51, BgL_bodyz00_52,
									BGl_userzd2errorzd2envz00zztools_errorz00);
								{	/* Ast/unit.scm 726 */
									BgL_globalz00_bglt BgL_arg3241z00_5401;

									BgL_arg3241z00_5401 =
										BGl_defzd2globalzd2sfunz12z12zzast_glozd2defzd2
										(BgL_idz00_49, BgL_argsz00_51, BgL_localsz00_5399,
										BgL_modulez00_50, BgL_classz00_54, BgL_srcz00_53,
										((obj_t) CNST_TABLE_REF(8)), BgL_bodyz00_5400);
									{	/* Ast/unit.scm 726 */
										obj_t BgL_list3242z00_5402;

										BgL_list3242z00_5402 =
											MAKE_YOUNG_PAIR(((obj_t) BgL_arg3241z00_5401), BNIL);
										return BgL_list3242z00_5402;
									}
								}
							}
						else
							{	/* Ast/unit.scm 474 */
								return
									BGl_makezd2sfunzd2keyzd2definitionzd2zzast_unitz00
									(BgL_keysz00_2943, BgL_idz00_49, BgL_modulez00_50,
									BgL_argsz00_51, BgL_bodyz00_52, BgL_srcz00_53,
									BgL_classz00_54, BgL_locz00_2941);
							}
					}
				else
					{	/* Ast/unit.scm 483 */
						obj_t BgL_localsz00_5393;

						BgL_localsz00_5393 =
							BGl_parsezd2funzd2optzd2argszd2zzast_unitz00(BgL_argsz00_51,
							BgL_argsz00_51, BgL_locz00_2941);
						{	/* Ast/unit.scm 483 */
							BgL_globalz00_bglt BgL_gloz00_5394;

							BgL_gloz00_5394 =
								BGl_defzd2globalzd2sfunz12z12zzast_glozd2defzd2(BgL_idz00_49,
								BgL_argsz00_51, BgL_localsz00_5393, BgL_modulez00_50,
								BgL_classz00_54, BgL_srcz00_53, ((obj_t) CNST_TABLE_REF(8)),
								BgL_bodyz00_52);
							{	/* Ast/unit.scm 484 */
								BgL_globalz00_bglt BgL_cloz00_5395;

								BgL_cloz00_5395 =
									BGl_makezd2sfunzd2optzd2closurezd2zzast_unitz00(
									((obj_t) BgL_gloz00_5394), BgL_optsz00_2942, BgL_idz00_49,
									BgL_modulez00_50, BgL_argsz00_51, BgL_bodyz00_52,
									BgL_srcz00_53, BgL_classz00_54, BgL_locz00_2941);
								{	/* Ast/unit.scm 485 */

									{	/* Ast/unit.scm 486 */
										obj_t BgL_list2584z00_5396;

										{	/* Ast/unit.scm 486 */
											obj_t BgL_arg2585z00_5397;

											BgL_arg2585z00_5397 =
												MAKE_YOUNG_PAIR(((obj_t) BgL_cloz00_5395), BNIL);
											BgL_list2584z00_5396 =
												MAKE_YOUNG_PAIR(
												((obj_t) BgL_gloz00_5394), BgL_arg2585z00_5397);
										}
										return BgL_list2584z00_5396;
									}
								}
							}
						}
					}
			}
		}

	}



/* make-sfun-opt-closure */
	BgL_globalz00_bglt BGl_makezd2sfunzd2optzd2closurezd2zzast_unitz00(obj_t
		BgL_gloz00_63, obj_t BgL_optionalsz00_64, obj_t BgL_idz00_65,
		obj_t BgL_modulez00_66, obj_t BgL_argsz00_67, obj_t BgL_bodyz00_68,
		obj_t BgL_srcz00_69, obj_t BgL_classz00_70, obj_t BgL_locz00_71)
	{
		{	/* Ast/unit.scm 499 */
			{	/* Ast/unit.scm 500 */
				long BgL_arityz00_2951;

				BgL_arityz00_2951 =
					(((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt)
								((BgL_sfunz00_bglt)
									(((BgL_variablez00_bglt) COBJECT(
												((BgL_variablez00_bglt)
													((BgL_globalz00_bglt) BgL_gloz00_63))))->
										BgL_valuez00)))))->BgL_arityz00);
				{
					obj_t BgL_optz00_2971;

					{	/* Ast/unit.scm 538 */
						obj_t BgL_idz00_2953;

						{	/* Ast/unit.scm 538 */
							obj_t BgL_arg2596z00_2968;

							{	/* Ast/unit.scm 538 */
								obj_t BgL_arg2597z00_2969;
								obj_t BgL_arg2599z00_2970;

								{	/* Ast/unit.scm 538 */
									obj_t BgL_symbolz00_5463;

									BgL_symbolz00_5463 = ((obj_t) CNST_TABLE_REF(32));
									{	/* Ast/unit.scm 538 */
										obj_t BgL_arg1486z00_5464;

										BgL_arg1486z00_5464 = SYMBOL_TO_STRING(BgL_symbolz00_5463);
										BgL_arg2597z00_2969 =
											BGl_stringzd2copyzd2zz__r4_strings_6_7z00
											(BgL_arg1486z00_5464);
								}}
								{	/* Ast/unit.scm 538 */
									obj_t BgL_arg1486z00_5466;

									BgL_arg1486z00_5466 =
										SYMBOL_TO_STRING(((obj_t) BgL_idz00_65));
									BgL_arg2599z00_2970 =
										BGl_stringzd2copyzd2zz__r4_strings_6_7z00
										(BgL_arg1486z00_5466);
								}
								BgL_arg2596z00_2968 =
									string_append(BgL_arg2597z00_2969, BgL_arg2599z00_2970);
							}
							BgL_idz00_2953 = bstring_to_symbol(BgL_arg2596z00_2968);
						}
						{	/* Ast/unit.scm 538 */
							obj_t BgL_optidz00_2954;

							BgL_optidz00_2954 =
								BGl_gensymz00zz__r4_symbols_6_4z00(
								((obj_t) CNST_TABLE_REF(33)));
							{	/* Ast/unit.scm 539 */
								obj_t BgL_envidz00_2955;

								BgL_envidz00_2955 =
									BGl_gensymz00zz__r4_symbols_6_4z00(
									((obj_t) CNST_TABLE_REF(34)));
								{	/* Ast/unit.scm 540 */
									BgL_localz00_bglt BgL_optz00_2956;

									BgL_optz00_2956 =
										BGl_makezd2localzd2svarz00zzast_localz00(BgL_optidz00_2954,
										((BgL_typez00_bglt) BGl_za2vectorza2z00zztype_cachez00));
									{	/* Ast/unit.scm 541 */
										BgL_localz00_bglt BgL_envz00_2957;

										BgL_envz00_2957 =
											BGl_makezd2localzd2svarz00zzast_localz00
											(BgL_envidz00_2955,
											((BgL_typez00_bglt)
												BGl_za2procedureza2z00zztype_cachez00));
										{	/* Ast/unit.scm 542 */
											BgL_globalz00_bglt BgL_gz00_2958;

											{	/* Ast/unit.scm 543 */
												obj_t BgL_arg2586z00_2959;
												obj_t BgL_arg2587z00_2960;
												obj_t BgL_arg2588z00_2961;

												{	/* Ast/unit.scm 543 */
													obj_t BgL_list2589z00_2962;

													{	/* Ast/unit.scm 543 */
														obj_t BgL_arg2590z00_2963;

														BgL_arg2590z00_2963 =
															MAKE_YOUNG_PAIR(BgL_optidz00_2954, BNIL);
														BgL_list2589z00_2962 =
															MAKE_YOUNG_PAIR(BgL_envidz00_2955,
															BgL_arg2590z00_2963);
													}
													BgL_arg2586z00_2959 = BgL_list2589z00_2962;
												}
												{	/* Ast/unit.scm 544 */
													obj_t BgL_list2591z00_2964;

													{	/* Ast/unit.scm 544 */
														obj_t BgL_arg2593z00_2965;

														BgL_arg2593z00_2965 =
															MAKE_YOUNG_PAIR(((obj_t) BgL_optz00_2956), BNIL);
														BgL_list2591z00_2964 =
															MAKE_YOUNG_PAIR(
															((obj_t) BgL_envz00_2957), BgL_arg2593z00_2965);
													}
													BgL_arg2587z00_2960 = BgL_list2591z00_2964;
												}
												{	/* Ast/unit.scm 546 */
													obj_t BgL_auxz00_8308;

													{	/* Ast/unit.scm 546 */
														obj_t BgL_auxz00_8309;

														BgL_optz00_2971 = BgL_optidz00_2954;
														{	/* Ast/unit.scm 502 */
															long BgL_loptz00_2973;
															obj_t BgL_formsz00_2974;
															obj_t BgL_optsz00_2975;

															BgL_loptz00_2973 =
																bgl_list_length(BgL_optionalsz00_64);
															{	/* Ast/unit.scm 503 */
																obj_t BgL_l1272z00_3091;

																BgL_l1272z00_3091 =
																	(((BgL_sfunz00_bglt) COBJECT(
																			((BgL_sfunz00_bglt)
																				(((BgL_variablez00_bglt) COBJECT(
																							((BgL_variablez00_bglt)
																								((BgL_globalz00_bglt)
																									BgL_gloz00_63))))->
																					BgL_valuez00))))->BgL_argsz00);
																if (NULLP(BgL_l1272z00_3091))
																	{	/* Ast/unit.scm 503 */
																		BgL_formsz00_2974 = BNIL;
																	}
																else
																	{	/* Ast/unit.scm 503 */
																		obj_t BgL_head1274z00_3093;

																		{	/* Ast/unit.scm 503 */
																			obj_t BgL_arg2742z00_3105;

																			BgL_arg2742z00_3105 =
																				(((BgL_variablez00_bglt) COBJECT(
																						((BgL_variablez00_bglt)
																							((BgL_localz00_bglt)
																								CAR(
																									((obj_t)
																										BgL_l1272z00_3091))))))->
																				BgL_idz00);
																			BgL_head1274z00_3093 =
																				MAKE_YOUNG_PAIR(BgL_arg2742z00_3105,
																				BNIL);
																		}
																		{	/* Ast/unit.scm 503 */
																			obj_t BgL_g1277z00_3094;

																			BgL_g1277z00_3094 =
																				CDR(((obj_t) BgL_l1272z00_3091));
																			{
																				obj_t BgL_l1272z00_3096;
																				obj_t BgL_tail1275z00_3097;

																				BgL_l1272z00_3096 = BgL_g1277z00_3094;
																				BgL_tail1275z00_3097 =
																					BgL_head1274z00_3093;
																			BgL_zc3z04anonymousza32736ze3z87_3098:
																				if (NULLP(BgL_l1272z00_3096))
																					{	/* Ast/unit.scm 503 */
																						BgL_formsz00_2974 =
																							BgL_head1274z00_3093;
																					}
																				else
																					{	/* Ast/unit.scm 503 */
																						obj_t BgL_newtail1276z00_3100;

																						{	/* Ast/unit.scm 503 */
																							obj_t BgL_arg2739z00_3102;

																							BgL_arg2739z00_3102 =
																								(((BgL_variablez00_bglt)
																									COBJECT((
																											(BgL_variablez00_bglt) (
																												(BgL_localz00_bglt)
																												CAR(((obj_t)
																														BgL_l1272z00_3096))))))->
																								BgL_idz00);
																							BgL_newtail1276z00_3100 =
																								MAKE_YOUNG_PAIR
																								(BgL_arg2739z00_3102, BNIL);
																						}
																						SET_CDR(BgL_tail1275z00_3097,
																							BgL_newtail1276z00_3100);
																						{	/* Ast/unit.scm 503 */
																							obj_t BgL_arg2738z00_3101;

																							BgL_arg2738z00_3101 =
																								CDR(
																								((obj_t) BgL_l1272z00_3096));
																							{
																								obj_t BgL_tail1275z00_8338;
																								obj_t BgL_l1272z00_8337;

																								BgL_l1272z00_8337 =
																									BgL_arg2738z00_3101;
																								BgL_tail1275z00_8338 =
																									BgL_newtail1276z00_3100;
																								BgL_tail1275z00_3097 =
																									BgL_tail1275z00_8338;
																								BgL_l1272z00_3096 =
																									BgL_l1272z00_8337;
																								goto
																									BgL_zc3z04anonymousza32736ze3z87_3098;
																							}
																						}
																					}
																			}
																		}
																	}
															}
															{	/* Ast/unit.scm 504 */
																obj_t BgL_l1278z00_3108;

																BgL_l1278z00_3108 =
																	(((BgL_sfunz00_bglt) COBJECT(
																			((BgL_sfunz00_bglt)
																				(((BgL_variablez00_bglt) COBJECT(
																							((BgL_variablez00_bglt)
																								((BgL_globalz00_bglt)
																									BgL_gloz00_63))))->
																					BgL_valuez00))))->BgL_optionalsz00);
																if (NULLP(BgL_l1278z00_3108))
																	{	/* Ast/unit.scm 504 */
																		BgL_optsz00_2975 = BNIL;
																	}
																else
																	{	/* Ast/unit.scm 504 */
																		obj_t BgL_head1280z00_3110;

																		BgL_head1280z00_3110 =
																			MAKE_YOUNG_PAIR(BNIL, BNIL);
																		{
																			obj_t BgL_l1278z00_3112;
																			obj_t BgL_tail1281z00_3113;

																			BgL_l1278z00_3112 = BgL_l1278z00_3108;
																			BgL_tail1281z00_3113 =
																				BgL_head1280z00_3110;
																		BgL_zc3z04anonymousza32746ze3z87_3114:
																			if (NULLP(BgL_l1278z00_3112))
																				{	/* Ast/unit.scm 504 */
																					BgL_optsz00_2975 =
																						CDR(BgL_head1280z00_3110);
																				}
																			else
																				{	/* Ast/unit.scm 504 */
																					obj_t BgL_newtail1282z00_3116;

																					{	/* Ast/unit.scm 504 */
																						obj_t BgL_arg2750z00_3118;

																						{	/* Ast/unit.scm 504 */
																							obj_t BgL_oz00_3119;

																							BgL_oz00_3119 =
																								CAR(
																								((obj_t) BgL_l1278z00_3112));
																							{	/* Ast/unit.scm 505 */
																								obj_t BgL_arg2751z00_3120;

																								BgL_arg2751z00_3120 =
																									CAR(((obj_t) BgL_oz00_3119));
																								BgL_arg2750z00_3118 =
																									BGl_fastzd2idzd2ofzd2idzd2zzast_identz00
																									(BgL_arg2751z00_3120,
																									BgL_locz00_71);
																							}
																						}
																						BgL_newtail1282z00_3116 =
																							MAKE_YOUNG_PAIR
																							(BgL_arg2750z00_3118, BNIL);
																					}
																					SET_CDR(BgL_tail1281z00_3113,
																						BgL_newtail1282z00_3116);
																					{	/* Ast/unit.scm 504 */
																						obj_t BgL_arg2749z00_3117;

																						BgL_arg2749z00_3117 =
																							CDR(((obj_t) BgL_l1278z00_3112));
																						{
																							obj_t BgL_tail1281z00_8360;
																							obj_t BgL_l1278z00_8359;

																							BgL_l1278z00_8359 =
																								BgL_arg2749z00_3117;
																							BgL_tail1281z00_8360 =
																								BgL_newtail1282z00_3116;
																							BgL_tail1281z00_3113 =
																								BgL_tail1281z00_8360;
																							BgL_l1278z00_3112 =
																								BgL_l1278z00_8359;
																							goto
																								BgL_zc3z04anonymousza32746ze3z87_3114;
																						}
																					}
																				}
																		}
																	}
															}
															{	/* Ast/unit.scm 507 */
																obj_t BgL_arg2601z00_2976;
																obj_t BgL_arg2602z00_2977;

																BgL_arg2601z00_2976 =
																	BGl_letzd2symzd2zzast_letz00();
																{	/* Ast/unit.scm 507 */
																	obj_t BgL_arg2603z00_2978;
																	obj_t BgL_arg2604z00_2979;

																	{	/* Ast/unit.scm 507 */
																		obj_t BgL_ll1283z00_2980;
																		obj_t BgL_ll1284z00_2981;

																		BgL_ll1283z00_2980 =
																			BGl_takez00zz__r4_pairs_and_lists_6_3z00(
																			(((BgL_sfunz00_bglt) COBJECT(
																						((BgL_sfunz00_bglt)
																							(((BgL_variablez00_bglt) COBJECT(
																										((BgL_variablez00_bglt)
																											((BgL_globalz00_bglt)
																												BgL_gloz00_63))))->
																								BgL_valuez00))))->
																				BgL_argszd2namezd2), BgL_arityz00_2951);
																		BgL_ll1284z00_2981 =
																			BGl_iotaz00zz__r4_pairs_and_lists_6_3z00(
																			(int) (BgL_arityz00_2951), BNIL);
																		if (NULLP(BgL_ll1283z00_2980))
																			{	/* Ast/unit.scm 507 */
																				BgL_arg2603z00_2978 = BNIL;
																			}
																		else
																			{	/* Ast/unit.scm 507 */
																				obj_t BgL_head1285z00_2983;

																				BgL_head1285z00_2983 =
																					MAKE_YOUNG_PAIR(BNIL, BNIL);
																				{
																					obj_t BgL_ll1283z00_2985;
																					obj_t BgL_ll1284z00_2986;
																					obj_t BgL_tail1286z00_2987;

																					BgL_ll1283z00_2985 =
																						BgL_ll1283z00_2980;
																					BgL_ll1284z00_2986 =
																						BgL_ll1284z00_2981;
																					BgL_tail1286z00_2987 =
																						BgL_head1285z00_2983;
																				BgL_zc3z04anonymousza32606ze3z87_2988:
																					if (NULLP(BgL_ll1283z00_2985))
																						{	/* Ast/unit.scm 507 */
																							BgL_arg2603z00_2978 =
																								CDR(BgL_head1285z00_2983);
																						}
																					else
																						{	/* Ast/unit.scm 507 */
																							obj_t BgL_newtail1287z00_2990;

																							{	/* Ast/unit.scm 507 */
																								obj_t BgL_arg2610z00_2993;

																								{	/* Ast/unit.scm 507 */
																									obj_t BgL_vz00_2994;
																									obj_t BgL_iz00_2995;

																									BgL_vz00_2994 =
																										CAR(
																										((obj_t)
																											BgL_ll1283z00_2985));
																									BgL_iz00_2995 =
																										CAR(((obj_t)
																											BgL_ll1284z00_2986));
																									{	/* Ast/unit.scm 508 */
																										obj_t BgL_arg2611z00_2996;

																										{	/* Ast/unit.scm 508 */
																											obj_t BgL_arg2612z00_2997;

																											{	/* Ast/unit.scm 508 */
																												obj_t
																													BgL_arg2613z00_2998;
																												{	/* Ast/unit.scm 508 */
																													obj_t
																														BgL_arg2615z00_2999;
																													BgL_arg2615z00_2999 =
																														MAKE_YOUNG_PAIR
																														(BgL_iz00_2995,
																														BNIL);
																													BgL_arg2613z00_2998 =
																														MAKE_YOUNG_PAIR
																														(BgL_optz00_2971,
																														BgL_arg2615z00_2999);
																												}
																												BgL_arg2612z00_2997 =
																													MAKE_YOUNG_PAIR(
																													((obj_t)
																														CNST_TABLE_REF(24)),
																													BgL_arg2613z00_2998);
																											}
																											BgL_arg2611z00_2996 =
																												MAKE_YOUNG_PAIR
																												(BgL_arg2612z00_2997,
																												BNIL);
																										}
																										BgL_arg2610z00_2993 =
																											MAKE_YOUNG_PAIR
																											(BgL_vz00_2994,
																											BgL_arg2611z00_2996);
																									}
																								}
																								BgL_newtail1287z00_2990 =
																									MAKE_YOUNG_PAIR
																									(BgL_arg2610z00_2993, BNIL);
																							}
																							SET_CDR(BgL_tail1286z00_2987,
																								BgL_newtail1287z00_2990);
																							{	/* Ast/unit.scm 507 */
																								obj_t BgL_arg2608z00_2991;
																								obj_t BgL_arg2609z00_2992;

																								BgL_arg2608z00_2991 =
																									CDR(
																									((obj_t) BgL_ll1283z00_2985));
																								BgL_arg2609z00_2992 =
																									CDR(
																									((obj_t) BgL_ll1284z00_2986));
																								{
																									obj_t BgL_tail1286z00_8395;
																									obj_t BgL_ll1284z00_8394;
																									obj_t BgL_ll1283z00_8393;

																									BgL_ll1283z00_8393 =
																										BgL_arg2608z00_2991;
																									BgL_ll1284z00_8394 =
																										BgL_arg2609z00_2992;
																									BgL_tail1286z00_8395 =
																										BgL_newtail1287z00_2990;
																									BgL_tail1286z00_2987 =
																										BgL_tail1286z00_8395;
																									BgL_ll1284z00_2986 =
																										BgL_ll1284z00_8394;
																									BgL_ll1283z00_2985 =
																										BgL_ll1283z00_8393;
																									goto
																										BgL_zc3z04anonymousza32606ze3z87_2988;
																								}
																							}
																						}
																				}
																			}
																	}
																	{	/* Ast/unit.scm 511 */
																		obj_t BgL_arg2624z00_3004;

																		{	/* Ast/unit.scm 511 */
																			obj_t BgL_arg2625z00_3005;

																			{	/* Ast/unit.scm 511 */
																				obj_t BgL_arg2626z00_3006;
																				obj_t BgL_arg2628z00_3007;

																				{	/* Ast/unit.scm 511 */
																					obj_t BgL_arg2629z00_3008;

																					BgL_arg2629z00_3008 =
																						MAKE_YOUNG_PAIR(BgL_optz00_2971,
																						BNIL);
																					BgL_arg2626z00_3006 =
																						MAKE_YOUNG_PAIR(((obj_t)
																							CNST_TABLE_REF(25)),
																						BgL_arg2629z00_3008);
																				}
																				{	/* Ast/unit.scm 512 */
																					obj_t BgL_arg2630z00_3009;
																					obj_t BgL_arg2631z00_3010;

																					{	/* Ast/unit.scm 512 */
																						obj_t BgL_l1295z00_3011;

																						{	/* Ast/unit.scm 526 */
																							long BgL_arg2689z00_3062;

																							BgL_arg2689z00_3062 =
																								(BgL_loptz00_2973 + 1L);
																							BgL_l1295z00_3011 =
																								BGl_iotaz00zz__r4_pairs_and_lists_6_3z00
																								((int) (BgL_arg2689z00_3062),
																								BNIL);
																						}
																						if (NULLP(BgL_l1295z00_3011))
																							{	/* Ast/unit.scm 512 */
																								BgL_arg2630z00_3009 = BNIL;
																							}
																						else
																							{	/* Ast/unit.scm 512 */
																								obj_t BgL_head1297z00_3013;

																								BgL_head1297z00_3013 =
																									MAKE_YOUNG_PAIR(BNIL, BNIL);
																								{
																									obj_t BgL_l1295z00_3015;
																									obj_t BgL_tail1298z00_3016;

																									BgL_l1295z00_3015 =
																										BgL_l1295z00_3011;
																									BgL_tail1298z00_3016 =
																										BgL_head1297z00_3013;
																								BgL_zc3z04anonymousza32633ze3z87_3017:
																									if (NULLP
																										(BgL_l1295z00_3015))
																										{	/* Ast/unit.scm 512 */
																											BgL_arg2630z00_3009 =
																												CDR
																												(BgL_head1297z00_3013);
																										}
																									else
																										{	/* Ast/unit.scm 512 */
																											obj_t
																												BgL_newtail1299z00_3019;
																											{	/* Ast/unit.scm 512 */
																												obj_t
																													BgL_arg2636z00_3021;
																												{	/* Ast/unit.scm 512 */
																													obj_t BgL_iz00_3022;

																													BgL_iz00_3022 =
																														CAR(
																														((obj_t)
																															BgL_l1295z00_3015));
																													{	/* Ast/unit.scm 513 */
																														obj_t
																															BgL_arg2640z00_3023;
																														obj_t
																															BgL_arg2643z00_3024;
																														{	/* Ast/unit.scm 513 */
																															long
																																BgL_arg2645z00_3025;
																															BgL_arg2645z00_3025
																																=
																																(BgL_arityz00_2951
																																+
																																(long)
																																CINT
																																(BgL_iz00_3022));
																															BgL_arg2640z00_3023
																																=
																																MAKE_YOUNG_PAIR
																																(BINT
																																(BgL_arg2645z00_3025),
																																BNIL);
																														}
																														{	/* Ast/unit.scm 514 */
																															obj_t
																																BgL_arg2649z00_3026;
																															{	/* Ast/unit.scm 514 */
																																obj_t
																																	BgL_arg2652z00_3027;
																																{	/* Ast/unit.scm 514 */
																																	obj_t
																																		BgL_arg2655z00_3028;
																																	obj_t
																																		BgL_arg2656z00_3029;
																																	{	/* Ast/unit.scm 514 */
																																		obj_t
																																			BgL_arg2658z00_3030;
																																		obj_t
																																			BgL_arg2659z00_3031;
																																		{	/* Ast/unit.scm 514 */
																																			obj_t
																																				BgL_ll1289z00_3032;
																																			obj_t
																																				BgL_ll1290z00_3033;
																																			BgL_ll1289z00_3032
																																				=
																																				BGl_takez00zz__r4_pairs_and_lists_6_3z00
																																				(BGl_dropz00zz__r4_pairs_and_lists_6_3z00
																																				(BgL_formsz00_2974,
																																					BgL_arityz00_2951),
																																				(long)
																																				CINT
																																				(BgL_iz00_3022));
																																			{	/* Ast/unit.scm 517 */
																																				obj_t
																																					BgL_list2674z00_3054;
																																				BgL_list2674z00_3054
																																					=
																																					MAKE_YOUNG_PAIR
																																					(BINT
																																					(BgL_arityz00_2951),
																																					BNIL);
																																				BgL_ll1290z00_3033
																																					=
																																					BGl_iotaz00zz__r4_pairs_and_lists_6_3z00
																																					(CINT
																																					(BgL_iz00_3022),
																																					BgL_list2674z00_3054);
																																			}
																																			if (NULLP
																																				(BgL_ll1289z00_3032))
																																				{	/* Ast/unit.scm 514 */
																																					BgL_arg2658z00_3030
																																						=
																																						BNIL;
																																				}
																																			else
																																				{	/* Ast/unit.scm 514 */
																																					obj_t
																																						BgL_head1291z00_3035;
																																					BgL_head1291z00_3035
																																						=
																																						MAKE_YOUNG_PAIR
																																						(BNIL,
																																						BNIL);
																																					{
																																						obj_t
																																							BgL_ll1289z00_3037;
																																						obj_t
																																							BgL_ll1290z00_3038;
																																						obj_t
																																							BgL_tail1292z00_3039;
																																						BgL_ll1289z00_3037
																																							=
																																							BgL_ll1289z00_3032;
																																						BgL_ll1290z00_3038
																																							=
																																							BgL_ll1290z00_3033;
																																						BgL_tail1292z00_3039
																																							=
																																							BgL_head1291z00_3035;
																																					BgL_zc3z04anonymousza32661ze3z87_3040:
																																						if (NULLP(BgL_ll1289z00_3037))
																																							{	/* Ast/unit.scm 514 */
																																								BgL_arg2658z00_3030
																																									=
																																									CDR
																																									(BgL_head1291z00_3035);
																																							}
																																						else
																																							{	/* Ast/unit.scm 514 */
																																								obj_t
																																									BgL_newtail1293z00_3042;
																																								{	/* Ast/unit.scm 514 */
																																									obj_t
																																										BgL_arg2666z00_3045;
																																									{	/* Ast/unit.scm 514 */
																																										obj_t
																																											BgL_vz00_3046;
																																										obj_t
																																											BgL_jz00_3047;
																																										BgL_vz00_3046
																																											=
																																											CAR
																																											(
																																											((obj_t) BgL_ll1289z00_3037));
																																										BgL_jz00_3047
																																											=
																																											CAR
																																											(
																																											((obj_t) BgL_ll1290z00_3038));
																																										{	/* Ast/unit.scm 515 */
																																											obj_t
																																												BgL_arg2667z00_3048;
																																											{	/* Ast/unit.scm 515 */
																																												obj_t
																																													BgL_arg2668z00_3049;
																																												{	/* Ast/unit.scm 515 */
																																													obj_t
																																														BgL_arg2670z00_3050;
																																													{	/* Ast/unit.scm 515 */
																																														obj_t
																																															BgL_arg2671z00_3051;
																																														BgL_arg2671z00_3051
																																															=
																																															MAKE_YOUNG_PAIR
																																															(BgL_jz00_3047,
																																															BNIL);
																																														BgL_arg2670z00_3050
																																															=
																																															MAKE_YOUNG_PAIR
																																															(BgL_optz00_2971,
																																															BgL_arg2671z00_3051);
																																													}
																																													BgL_arg2668z00_3049
																																														=
																																														MAKE_YOUNG_PAIR
																																														(
																																														((obj_t) CNST_TABLE_REF(24)), BgL_arg2670z00_3050);
																																												}
																																												BgL_arg2667z00_3048
																																													=
																																													MAKE_YOUNG_PAIR
																																													(BgL_arg2668z00_3049,
																																													BNIL);
																																											}
																																											BgL_arg2666z00_3045
																																												=
																																												MAKE_YOUNG_PAIR
																																												(BgL_vz00_3046,
																																												BgL_arg2667z00_3048);
																																										}
																																									}
																																									BgL_newtail1293z00_3042
																																										=
																																										MAKE_YOUNG_PAIR
																																										(BgL_arg2666z00_3045,
																																										BNIL);
																																								}
																																								SET_CDR
																																									(BgL_tail1292z00_3039,
																																									BgL_newtail1293z00_3042);
																																								{	/* Ast/unit.scm 514 */
																																									obj_t
																																										BgL_arg2663z00_3043;
																																									obj_t
																																										BgL_arg2665z00_3044;
																																									BgL_arg2663z00_3043
																																										=
																																										CDR
																																										(
																																										((obj_t) BgL_ll1289z00_3037));
																																									BgL_arg2665z00_3044
																																										=
																																										CDR
																																										(
																																										((obj_t) BgL_ll1290z00_3038));
																																									{
																																										obj_t
																																											BgL_tail1292z00_8447;
																																										obj_t
																																											BgL_ll1290z00_8446;
																																										obj_t
																																											BgL_ll1289z00_8445;
																																										BgL_ll1289z00_8445
																																											=
																																											BgL_arg2663z00_3043;
																																										BgL_ll1290z00_8446
																																											=
																																											BgL_arg2665z00_3044;
																																										BgL_tail1292z00_8447
																																											=
																																											BgL_newtail1293z00_3042;
																																										BgL_tail1292z00_3039
																																											=
																																											BgL_tail1292z00_8447;
																																										BgL_ll1290z00_3038
																																											=
																																											BgL_ll1290z00_8446;
																																										BgL_ll1289z00_3037
																																											=
																																											BgL_ll1289z00_8445;
																																										goto
																																											BgL_zc3z04anonymousza32661ze3z87_3040;
																																									}
																																								}
																																							}
																																					}
																																				}
																																		}
																																		if (
																																			((long)
																																				CINT
																																				(BgL_iz00_3022)
																																				<=
																																				BgL_loptz00_2973))
																																			{	/* Ast/unit.scm 518 */
																																				BgL_arg2659z00_3031
																																					=
																																					BGl_dropz00zz__r4_pairs_and_lists_6_3z00
																																					(BgL_optionalsz00_64,
																																					(long)
																																					CINT
																																					(BgL_iz00_3022));
																																			}
																																		else
																																			{	/* Ast/unit.scm 518 */
																																				BgL_arg2659z00_3031
																																					=
																																					BNIL;
																																			}
																																		BgL_arg2655z00_3028
																																			=
																																			BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																																			(BgL_arg2658z00_3030,
																																			BgL_arg2659z00_3031);
																																	}
																																	{	/* Ast/unit.scm 523 */
																																		obj_t
																																			BgL_arg2676z00_3056;
																																		{	/* Ast/unit.scm 523 */
																																			obj_t
																																				BgL_arg2679z00_3057;
																																			BgL_arg2679z00_3057
																																				=
																																				BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																																				(BGl_takez00zz__r4_pairs_and_lists_6_3z00
																																				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt) (((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt) ((BgL_globalz00_bglt) BgL_gloz00_63))))->BgL_valuez00))))->BgL_argszd2namezd2), BgL_arityz00_2951), BgL_optsz00_2975);
																																			BgL_arg2676z00_3056
																																				=
																																				MAKE_YOUNG_PAIR
																																				(BgL_gloz00_63,
																																				BgL_arg2679z00_3057);
																																		}
																																		BgL_arg2656z00_3029
																																			=
																																			MAKE_YOUNG_PAIR
																																			(BgL_arg2676z00_3056,
																																			BNIL);
																																	}
																																	BgL_arg2652z00_3027
																																		=
																																		MAKE_YOUNG_PAIR
																																		(BgL_arg2655z00_3028,
																																		BgL_arg2656z00_3029);
																																}
																																BgL_arg2649z00_3026
																																	=
																																	MAKE_YOUNG_PAIR
																																	(((obj_t)
																																		CNST_TABLE_REF
																																		(26)),
																																	BgL_arg2652z00_3027);
																															}
																															BgL_arg2643z00_3024
																																=
																																MAKE_YOUNG_PAIR
																																(BgL_arg2649z00_3026,
																																BNIL);
																														}
																														BgL_arg2636z00_3021
																															=
																															MAKE_YOUNG_PAIR
																															(BgL_arg2640z00_3023,
																															BgL_arg2643z00_3024);
																													}
																												}
																												BgL_newtail1299z00_3019
																													=
																													MAKE_YOUNG_PAIR
																													(BgL_arg2636z00_3021,
																													BNIL);
																											}
																											SET_CDR
																												(BgL_tail1298z00_3016,
																												BgL_newtail1299z00_3019);
																											{	/* Ast/unit.scm 512 */
																												obj_t
																													BgL_arg2635z00_3020;
																												BgL_arg2635z00_3020 =
																													CDR(((obj_t)
																														BgL_l1295z00_3015));
																												{
																													obj_t
																														BgL_tail1298z00_8474;
																													obj_t
																														BgL_l1295z00_8473;
																													BgL_l1295z00_8473 =
																														BgL_arg2635z00_3020;
																													BgL_tail1298z00_8474 =
																														BgL_newtail1299z00_3019;
																													BgL_tail1298z00_3016 =
																														BgL_tail1298z00_8474;
																													BgL_l1295z00_3015 =
																														BgL_l1295z00_8473;
																													goto
																														BgL_zc3z04anonymousza32633ze3z87_3017;
																												}
																											}
																										}
																								}
																							}
																					}
																					{	/* Ast/unit.scm 528 */
																						obj_t BgL_arg2697z00_3064;

																						{	/* Ast/unit.scm 528 */
																							obj_t BgL_arg2705z00_3065;

																							{	/* Ast/unit.scm 528 */
																								obj_t BgL_arg2708z00_3066;

																								if (CBOOL
																									(BGl_za2unsafezd2arityza2zd2zzengine_paramz00))
																									{	/* Ast/unit.scm 528 */
																										BgL_arg2708z00_3066 =
																											BUNSPEC;
																									}
																								else
																									{	/* Ast/unit.scm 530 */
																										obj_t BgL_arg2711z00_3067;
																										obj_t BgL_arg2712z00_3068;

																										{	/* Ast/unit.scm 530 */
																											obj_t BgL_arg2713z00_3069;

																											{	/* Ast/unit.scm 530 */
																												obj_t
																													BgL_arg2715z00_3070;
																												BgL_arg2715z00_3070 =
																													MAKE_YOUNG_PAIR((
																														(obj_t)
																														CNST_TABLE_REF(27)),
																													BNIL);
																												BgL_arg2713z00_3069 =
																													MAKE_YOUNG_PAIR((
																														(obj_t)
																														CNST_TABLE_REF(28)),
																													BgL_arg2715z00_3070);
																											}
																											BgL_arg2711z00_3067 =
																												MAKE_YOUNG_PAIR(
																												((obj_t)
																													CNST_TABLE_REF(0)),
																												BgL_arg2713z00_3069);
																										}
																										{	/* Ast/unit.scm 531 */
																											obj_t BgL_arg2719z00_3071;
																											obj_t BgL_arg2720z00_3072;

																											{	/* Ast/unit.scm 531 */
																												obj_t
																													BgL_arg2721z00_3073;
																												BgL_arg2721z00_3073 =
																													MAKE_YOUNG_PAIR
																													(BgL_idz00_65, BNIL);
																												BgL_arg2719z00_3071 =
																													MAKE_YOUNG_PAIR((
																														(obj_t)
																														CNST_TABLE_REF(29)),
																													BgL_arg2721z00_3073);
																											}
																											{	/* Ast/unit.scm 534 */
																												obj_t
																													BgL_arg2722z00_3074;
																												obj_t
																													BgL_arg2723z00_3075;
																												{	/* Ast/unit.scm 534 */
																													obj_t
																														BgL_arg2724z00_3076;
																													obj_t
																														BgL_arg2725z00_3077;
																													{	/* Ast/unit.scm 534 */

																														BgL_arg2724z00_3076
																															=
																															BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00
																															(BgL_arityz00_2951,
																															10L);
																													}
																													{	/* Ast/unit.scm 535 */
																														obj_t
																															BgL_arg2731z00_3085;
																														{	/* Ast/unit.scm 535 */
																															obj_t
																																BgL_za71za7_5453;
																															obj_t
																																BgL_za72za7_5454;
																															BgL_za71za7_5453 =
																																BINT
																																(BgL_arityz00_2951);
																															BgL_za72za7_5454 =
																																BINT
																																(BgL_loptz00_2973);
																															{	/* Ast/unit.scm 535 */
																																obj_t
																																	BgL_tmpz00_5455;
																																BgL_tmpz00_5455
																																	= BINT(0L);
																																if (BGL_ADDFX_OV
																																	(BgL_za71za7_5453,
																																		BgL_za72za7_5454,
																																		BgL_tmpz00_5455))
																																	{	/* Ast/unit.scm 535 */
																																		BgL_arg2731z00_3085
																																			=
																																			bgl_bignum_add
																																			(bgl_long_to_bignum
																																			((long)
																																				CINT
																																				(BgL_za71za7_5453)),
																																			bgl_long_to_bignum
																																			((long)
																																				CINT
																																				(BgL_za72za7_5454)));
																																	}
																																else
																																	{	/* Ast/unit.scm 535 */
																																		BgL_arg2731z00_3085
																																			=
																																			BgL_tmpz00_5455;
																																	}
																															}
																														}
																														{	/* Ast/unit.scm 535 */

																															BgL_arg2725z00_3077
																																=
																																BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00
																																((long)
																																CINT
																																(BgL_arg2731z00_3085),
																																10L);
																													}}
																													{	/* Ast/unit.scm 532 */
																														obj_t
																															BgL_list2726z00_3078;
																														{	/* Ast/unit.scm 532 */
																															obj_t
																																BgL_arg2727z00_3079;
																															{	/* Ast/unit.scm 532 */
																																obj_t
																																	BgL_arg2728z00_3080;
																																{	/* Ast/unit.scm 532 */
																																	obj_t
																																		BgL_arg2729z00_3081;
																																	{	/* Ast/unit.scm 532 */
																																		obj_t
																																			BgL_arg2730z00_3082;
																																		BgL_arg2730z00_3082
																																			=
																																			MAKE_YOUNG_PAIR
																																			(BGl_string3597z00zzast_unitz00,
																																			BNIL);
																																		BgL_arg2729z00_3081
																																			=
																																			MAKE_YOUNG_PAIR
																																			(BgL_arg2725z00_3077,
																																			BgL_arg2730z00_3082);
																																	}
																																	BgL_arg2728z00_3080
																																		=
																																		MAKE_YOUNG_PAIR
																																		(BGl_string3598z00zzast_unitz00,
																																		BgL_arg2729z00_3081);
																																}
																																BgL_arg2727z00_3079
																																	=
																																	MAKE_YOUNG_PAIR
																																	(BgL_arg2724z00_3076,
																																	BgL_arg2728z00_3080);
																															}
																															BgL_list2726z00_3078
																																=
																																MAKE_YOUNG_PAIR
																																(BGl_string3599z00zzast_unitz00,
																																BgL_arg2727z00_3079);
																														}
																														BgL_arg2722z00_3074
																															=
																															BGl_stringzd2appendzd2zz__r4_strings_6_7z00
																															(BgL_list2726z00_3078);
																												}}
																												{	/* Ast/unit.scm 537 */
																													obj_t
																														BgL_arg2733z00_3089;
																													{	/* Ast/unit.scm 537 */
																														obj_t
																															BgL_arg2734z00_3090;
																														BgL_arg2734z00_3090
																															=
																															MAKE_YOUNG_PAIR
																															(BgL_optz00_2971,
																															BNIL);
																														BgL_arg2733z00_3089
																															=
																															MAKE_YOUNG_PAIR((
																																(obj_t)
																																CNST_TABLE_REF
																																(25)),
																															BgL_arg2734z00_3090);
																													}
																													BgL_arg2723z00_3075 =
																														MAKE_YOUNG_PAIR
																														(BgL_arg2733z00_3089,
																														BNIL);
																												}
																												BgL_arg2720z00_3072 =
																													MAKE_YOUNG_PAIR
																													(BgL_arg2722z00_3074,
																													BgL_arg2723z00_3075);
																											}
																											BgL_arg2712z00_3068 =
																												MAKE_YOUNG_PAIR
																												(BgL_arg2719z00_3071,
																												BgL_arg2720z00_3072);
																										}
																										BgL_arg2708z00_3066 =
																											MAKE_YOUNG_PAIR
																											(BgL_arg2711z00_3067,
																											BgL_arg2712z00_3068);
																									}
																								BgL_arg2705z00_3065 =
																									MAKE_YOUNG_PAIR
																									(BgL_arg2708z00_3066, BNIL);
																							}
																							BgL_arg2697z00_3064 =
																								MAKE_YOUNG_PAIR(
																								((obj_t)
																									CNST_TABLE_REF(30)),
																								BgL_arg2705z00_3065);
																						}
																						BgL_arg2631z00_3010 =
																							MAKE_YOUNG_PAIR
																							(BgL_arg2697z00_3064, BNIL);
																					}
																					BgL_arg2628z00_3007 =
																						BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																						(BgL_arg2630z00_3009,
																						BgL_arg2631z00_3010);
																				}
																				BgL_arg2625z00_3005 =
																					MAKE_YOUNG_PAIR(BgL_arg2626z00_3006,
																					BgL_arg2628z00_3007);
																			}
																			BgL_arg2624z00_3004 =
																				MAKE_YOUNG_PAIR(
																				((obj_t)
																					CNST_TABLE_REF(31)),
																				BgL_arg2625z00_3005);
																		}
																		BgL_arg2604z00_2979 =
																			MAKE_YOUNG_PAIR(BgL_arg2624z00_3004,
																			BNIL);
																	}
																	BgL_arg2602z00_2977 =
																		MAKE_YOUNG_PAIR(BgL_arg2603z00_2978,
																		BgL_arg2604z00_2979);
																}
																BgL_auxz00_8309 =
																	MAKE_YOUNG_PAIR(BgL_arg2601z00_2976,
																	BgL_arg2602z00_2977);
														}}
														BgL_auxz00_8308 =
															BGl_comptimezd2expandzd2zzexpand_epsz00
															(BgL_auxz00_8309);
													}
													BgL_arg2588z00_2961 =
														BGl_compilezd2expandzd2zzexpand_epsz00
														(BgL_auxz00_8308);
												}
												BgL_gz00_2958 =
													BGl_defzd2globalzd2sfunz12z12zzast_glozd2defzd2
													(BgL_idz00_2953, BgL_arg2586z00_2959,
													BgL_arg2587z00_2960, BgL_modulez00_66,
													BgL_classz00_70, BgL_srcz00_69,
													((obj_t) CNST_TABLE_REF(35)), BgL_arg2588z00_2961);
											}
											{	/* Ast/unit.scm 543 */

												((((BgL_globalz00_bglt) COBJECT(BgL_gz00_2958))->
														BgL_evaluablezf3zf3) =
													((bool_t) ((bool_t) 0)), BUNSPEC);
												{	/* Ast/unit.scm 548 */
													BgL_typez00_bglt BgL_vz00_5473;

													BgL_vz00_5473 =
														((BgL_typez00_bglt)
														BGl_za2objza2z00zztype_cachez00);
													((((BgL_variablez00_bglt)
																COBJECT(((BgL_variablez00_bglt)
																		BgL_gz00_2958)))->BgL_typez00) =
														((BgL_typez00_bglt) BgL_vz00_5473), BUNSPEC);
												}
												return BgL_gz00_2958;
											}
										}
									}
								}
							}
						}
					}
				}
			}
		}

	}



/* make-sfun-key-definition */
	obj_t BGl_makezd2sfunzd2keyzd2definitionzd2zzast_unitz00(obj_t BgL_keysz00_72,
		obj_t BgL_idz00_73, obj_t BgL_modulez00_74, obj_t BgL_argsz00_75,
		obj_t BgL_bodyz00_76, obj_t BgL_srcz00_77, obj_t BgL_classz00_78,
		obj_t BgL_locz00_79)
	{
		{	/* Ast/unit.scm 554 */
			{	/* Ast/unit.scm 555 */
				obj_t BgL_localsz00_3125;

				{	/* Ast/unit.scm 555 */
					obj_t BgL_arg2756z00_3130;
					obj_t BgL_arg2757z00_3131;

					{	/* Ast/unit.scm 555 */
						obj_t BgL_l1300z00_3132;

						BgL_l1300z00_3132 =
							BGl_dssslzd2beforezd2dssslz00zztools_dssslz00(BgL_argsz00_75);
						if (NULLP(BgL_l1300z00_3132))
							{	/* Ast/unit.scm 555 */
								BgL_arg2756z00_3130 = BNIL;
							}
						else
							{	/* Ast/unit.scm 555 */
								obj_t BgL_head1302z00_3134;

								BgL_head1302z00_3134 = MAKE_YOUNG_PAIR(BNIL, BNIL);
								{
									obj_t BgL_l1300z00_3136;
									obj_t BgL_tail1303z00_3137;

									BgL_l1300z00_3136 = BgL_l1300z00_3132;
									BgL_tail1303z00_3137 = BgL_head1302z00_3134;
								BgL_zc3z04anonymousza32759ze3z87_3138:
									if (NULLP(BgL_l1300z00_3136))
										{	/* Ast/unit.scm 555 */
											BgL_arg2756z00_3130 = CDR(BgL_head1302z00_3134);
										}
									else
										{	/* Ast/unit.scm 555 */
											obj_t BgL_newtail1304z00_3140;

											{	/* Ast/unit.scm 555 */
												BgL_localz00_bglt BgL_arg2762z00_3142;

												{	/* Ast/unit.scm 555 */
													obj_t BgL_az00_3143;

													BgL_az00_3143 = CAR(((obj_t) BgL_l1300z00_3136));
													{	/* Ast/unit.scm 556 */
														obj_t BgL_pidz00_3144;

														BgL_pidz00_3144 =
															BGl_checkzd2idzd2zzast_identz00
															(BGl_parsezd2idzd2zzast_identz00(BgL_az00_3143,
																BgL_locz00_79), BgL_srcz00_77);
														{	/* Ast/unit.scm 556 */
															obj_t BgL_idz00_3145;

															BgL_idz00_3145 = CAR(BgL_pidz00_3144);
															{	/* Ast/unit.scm 557 */
																obj_t BgL_typez00_3146;

																BgL_typez00_3146 = CDR(BgL_pidz00_3144);
																{	/* Ast/unit.scm 558 */

																	if (BGl_userzd2symbolzf3z21zzast_identz00
																		(BgL_idz00_3145))
																		{	/* Ast/unit.scm 559 */
																			BgL_arg2762z00_3142 =
																				BGl_makezd2userzd2localzd2svarzd2zzast_localz00
																				(BgL_idz00_3145,
																				((BgL_typez00_bglt) BgL_typez00_3146));
																		}
																	else
																		{	/* Ast/unit.scm 559 */
																			BgL_arg2762z00_3142 =
																				BGl_makezd2localzd2svarz00zzast_localz00
																				(BgL_idz00_3145,
																				((BgL_typez00_bglt) BgL_typez00_3146));
																		}
																}
															}
														}
													}
												}
												BgL_newtail1304z00_3140 =
													MAKE_YOUNG_PAIR(((obj_t) BgL_arg2762z00_3142), BNIL);
											}
											SET_CDR(BgL_tail1303z00_3137, BgL_newtail1304z00_3140);
											{	/* Ast/unit.scm 555 */
												obj_t BgL_arg2761z00_3141;

												BgL_arg2761z00_3141 = CDR(((obj_t) BgL_l1300z00_3136));
												{
													obj_t BgL_tail1303z00_8564;
													obj_t BgL_l1300z00_8563;

													BgL_l1300z00_8563 = BgL_arg2761z00_3141;
													BgL_tail1303z00_8564 = BgL_newtail1304z00_3140;
													BgL_tail1303z00_3137 = BgL_tail1303z00_8564;
													BgL_l1300z00_3136 = BgL_l1300z00_8563;
													goto BgL_zc3z04anonymousza32759ze3z87_3138;
												}
											}
										}
								}
							}
					}
					{	/* Ast/unit.scm 563 */
						obj_t BgL_head1307z00_3152;

						BgL_head1307z00_3152 = MAKE_YOUNG_PAIR(BNIL, BNIL);
						{
							obj_t BgL_l1305z00_3154;
							obj_t BgL_tail1308z00_3155;

							BgL_l1305z00_3154 = BgL_keysz00_72;
							BgL_tail1308z00_3155 = BgL_head1307z00_3152;
						BgL_zc3z04anonymousza32766ze3z87_3156:
							if (NULLP(BgL_l1305z00_3154))
								{	/* Ast/unit.scm 563 */
									BgL_arg2757z00_3131 = CDR(BgL_head1307z00_3152);
								}
							else
								{	/* Ast/unit.scm 563 */
									obj_t BgL_newtail1309z00_3158;

									{	/* Ast/unit.scm 563 */
										BgL_localz00_bglt BgL_arg2769z00_3160;

										{	/* Ast/unit.scm 563 */
											obj_t BgL_oz00_3161;

											BgL_oz00_3161 = CAR(((obj_t) BgL_l1305z00_3154));
											{	/* Ast/unit.scm 564 */
												obj_t BgL_az00_3162;

												BgL_az00_3162 = CAR(((obj_t) BgL_oz00_3161));
												{	/* Ast/unit.scm 564 */
													obj_t BgL_pidz00_3163;

													BgL_pidz00_3163 =
														BGl_checkzd2idzd2zzast_identz00
														(BGl_parsezd2idzd2zzast_identz00(BgL_az00_3162,
															BgL_locz00_79), BgL_srcz00_77);
													{	/* Ast/unit.scm 565 */
														obj_t BgL_idz00_3164;

														BgL_idz00_3164 = CAR(BgL_pidz00_3163);
														{	/* Ast/unit.scm 566 */
															obj_t BgL_typez00_3165;

															BgL_typez00_3165 = CDR(BgL_pidz00_3163);
															{	/* Ast/unit.scm 567 */

																BgL_arg2769z00_3160 =
																	BGl_makezd2userzd2localzd2svarzd2zzast_localz00
																	(BgL_idz00_3164,
																	((BgL_typez00_bglt) BgL_typez00_3165));
															}
														}
													}
												}
											}
										}
										BgL_newtail1309z00_3158 =
											MAKE_YOUNG_PAIR(((obj_t) BgL_arg2769z00_3160), BNIL);
									}
									SET_CDR(BgL_tail1308z00_3155, BgL_newtail1309z00_3158);
									{	/* Ast/unit.scm 563 */
										obj_t BgL_arg2768z00_3159;

										BgL_arg2768z00_3159 = CDR(((obj_t) BgL_l1305z00_3154));
										{
											obj_t BgL_tail1308z00_8585;
											obj_t BgL_l1305z00_8584;

											BgL_l1305z00_8584 = BgL_arg2768z00_3159;
											BgL_tail1308z00_8585 = BgL_newtail1309z00_3158;
											BgL_tail1308z00_3155 = BgL_tail1308z00_8585;
											BgL_l1305z00_3154 = BgL_l1305z00_8584;
											goto BgL_zc3z04anonymousza32766ze3z87_3156;
										}
									}
								}
						}
					}
					BgL_localsz00_3125 =
						BGl_appendzd221011zd2zzast_unitz00(BgL_arg2756z00_3130,
						BgL_arg2757z00_3131);
				}
				{	/* Ast/unit.scm 555 */
					BgL_globalz00_bglt BgL_gloz00_3126;

					BgL_gloz00_3126 =
						BGl_defzd2globalzd2sfunz12z12zzast_glozd2defzd2(BgL_idz00_73,
						BgL_argsz00_75, BgL_localsz00_3125, BgL_modulez00_74,
						BgL_classz00_78, BgL_srcz00_77, ((obj_t) CNST_TABLE_REF(8)),
						BgL_bodyz00_76);
					{	/* Ast/unit.scm 570 */
						BgL_globalz00_bglt BgL_cloz00_3127;

						BgL_cloz00_3127 =
							BGl_makezd2sfunzd2keyzd2closurezd2zzast_unitz00(
							((obj_t) BgL_gloz00_3126), BgL_keysz00_72, BgL_idz00_73,
							BgL_modulez00_74, BgL_argsz00_75, BgL_bodyz00_76, BgL_srcz00_77,
							BgL_classz00_78, BgL_locz00_79);
						{	/* Ast/unit.scm 571 */

							{	/* Ast/unit.scm 572 */
								obj_t BgL_list2754z00_3128;

								{	/* Ast/unit.scm 572 */
									obj_t BgL_arg2755z00_3129;

									BgL_arg2755z00_3129 =
										MAKE_YOUNG_PAIR(((obj_t) BgL_cloz00_3127), BNIL);
									BgL_list2754z00_3128 =
										MAKE_YOUNG_PAIR(
										((obj_t) BgL_gloz00_3126), BgL_arg2755z00_3129);
								}
								return BgL_list2754z00_3128;
							}
						}
					}
				}
			}
		}

	}



/* make-sfun-key-closure */
	BgL_globalz00_bglt BGl_makezd2sfunzd2keyzd2closurezd2zzast_unitz00(obj_t
		BgL_gloz00_80, obj_t BgL_keysz00_81, obj_t BgL_idz00_82,
		obj_t BgL_modulez00_83, obj_t BgL_argsz00_84, obj_t BgL_bodyz00_85,
		obj_t BgL_srcz00_86, obj_t BgL_classz00_87, obj_t BgL_locz00_88)
	{
		{	/* Ast/unit.scm 579 */
			{	/* Ast/unit.scm 580 */
				long BgL_arityz00_3168;
				obj_t BgL_ioptz00_3169;
				obj_t BgL_ienvz00_3170;
				long BgL_loptz00_3171;
				obj_t BgL_lz00_3172;
				obj_t BgL_searchz00_3173;
				obj_t BgL_checkz00_3174;
				obj_t BgL_varz00_3175;

				BgL_arityz00_3168 =
					(((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt)
								((BgL_sfunz00_bglt)
									(((BgL_variablez00_bglt) COBJECT(
												((BgL_variablez00_bglt)
													((BgL_globalz00_bglt) BgL_gloz00_80))))->
										BgL_valuez00)))))->BgL_arityz00);
				BgL_ioptz00_3169 =
					BGl_gensymz00zz__r4_symbols_6_4z00(((obj_t) CNST_TABLE_REF(33)));
				BgL_ienvz00_3170 =
					BGl_gensymz00zz__r4_symbols_6_4z00(((obj_t) CNST_TABLE_REF(34)));
				BgL_loptz00_3171 = bgl_list_length(BgL_keysz00_81);
				BgL_lz00_3172 =
					BGl_gensymz00zz__r4_symbols_6_4z00(((obj_t) CNST_TABLE_REF(36)));
				BgL_searchz00_3173 =
					BGl_gensymz00zz__r4_symbols_6_4z00(((obj_t) CNST_TABLE_REF(37)));
				BgL_checkz00_3174 =
					BGl_gensymz00zz__r4_symbols_6_4z00(((obj_t) CNST_TABLE_REF(38)));
				BgL_varz00_3175 =
					BGl_gensymz00zz__r4_symbols_6_4z00(((obj_t) CNST_TABLE_REF(39)));
				{
					obj_t BgL_keysz00_3194;

					{	/* Ast/unit.scm 657 */
						obj_t BgL_idz00_3178;

						{	/* Ast/unit.scm 657 */
							obj_t BgL_arg2805z00_3191;

							{	/* Ast/unit.scm 657 */
								obj_t BgL_arg2806z00_3192;
								obj_t BgL_arg2810z00_3193;

								{	/* Ast/unit.scm 657 */
									obj_t BgL_symbolz00_5538;

									BgL_symbolz00_5538 = ((obj_t) CNST_TABLE_REF(32));
									{	/* Ast/unit.scm 657 */
										obj_t BgL_arg1486z00_5539;

										BgL_arg1486z00_5539 = SYMBOL_TO_STRING(BgL_symbolz00_5538);
										BgL_arg2806z00_3192 =
											BGl_stringzd2copyzd2zz__r4_strings_6_7z00
											(BgL_arg1486z00_5539);
								}}
								{	/* Ast/unit.scm 657 */
									obj_t BgL_arg1486z00_5541;

									BgL_arg1486z00_5541 =
										SYMBOL_TO_STRING(((obj_t) BgL_idz00_82));
									BgL_arg2810z00_3193 =
										BGl_stringzd2copyzd2zz__r4_strings_6_7z00
										(BgL_arg1486z00_5541);
								}
								BgL_arg2805z00_3191 =
									string_append(BgL_arg2806z00_3192, BgL_arg2810z00_3193);
							}
							BgL_idz00_3178 = bstring_to_symbol(BgL_arg2805z00_3191);
						}
						{	/* Ast/unit.scm 657 */
							BgL_localz00_bglt BgL_optz00_3179;

							BgL_optz00_3179 =
								BGl_makezd2localzd2svarz00zzast_localz00(BgL_ioptz00_3169,
								((BgL_typez00_bglt) BGl_za2vectorza2z00zztype_cachez00));
							{	/* Ast/unit.scm 658 */
								BgL_localz00_bglt BgL_envz00_3180;

								BgL_envz00_3180 =
									BGl_makezd2localzd2svarz00zzast_localz00(BgL_ienvz00_3170,
									((BgL_typez00_bglt) BGl_za2procedureza2z00zztype_cachez00));
								{	/* Ast/unit.scm 659 */
									BgL_globalz00_bglt BgL_gz00_3181;

									{	/* Ast/unit.scm 660 */
										obj_t BgL_arg2774z00_3182;
										obj_t BgL_arg2775z00_3183;
										obj_t BgL_arg2780z00_3184;

										{	/* Ast/unit.scm 660 */
											obj_t BgL_list2781z00_3185;

											{	/* Ast/unit.scm 660 */
												obj_t BgL_arg2800z00_3186;

												BgL_arg2800z00_3186 =
													MAKE_YOUNG_PAIR(BgL_ioptz00_3169, BNIL);
												BgL_list2781z00_3185 =
													MAKE_YOUNG_PAIR(BgL_ienvz00_3170,
													BgL_arg2800z00_3186);
											}
											BgL_arg2774z00_3182 = BgL_list2781z00_3185;
										}
										{	/* Ast/unit.scm 660 */
											obj_t BgL_list2801z00_3187;

											{	/* Ast/unit.scm 660 */
												obj_t BgL_arg2802z00_3188;

												BgL_arg2802z00_3188 =
													MAKE_YOUNG_PAIR(((obj_t) BgL_optz00_3179), BNIL);
												BgL_list2801z00_3187 =
													MAKE_YOUNG_PAIR(
													((obj_t) BgL_envz00_3180), BgL_arg2802z00_3188);
											}
											BgL_arg2775z00_3183 = BgL_list2801z00_3187;
										}
										{	/* Ast/unit.scm 662 */
											obj_t BgL_auxz00_8640;

											{	/* Ast/unit.scm 663 */
												obj_t BgL_auxz00_8641;

												{	/* Ast/unit.scm 594 */
													obj_t BgL_arg2820z00_3212;
													obj_t BgL_arg2821z00_3213;

													BgL_arg2820z00_3212 = BGl_letzd2symzd2zzast_letz00();
													{	/* Ast/unit.scm 594 */
														obj_t BgL_arg2822z00_3214;
														obj_t BgL_arg2823z00_3215;

														{	/* Ast/unit.scm 594 */
															obj_t BgL_arg2824z00_3216;

															{	/* Ast/unit.scm 594 */
																obj_t BgL_arg2825z00_3217;

																{	/* Ast/unit.scm 594 */
																	obj_t BgL_arg2826z00_3218;

																	{	/* Ast/unit.scm 594 */
																		obj_t BgL_arg2827z00_3219;

																		BgL_arg2827z00_3219 =
																			MAKE_YOUNG_PAIR(BgL_ioptz00_3169, BNIL);
																		BgL_arg2826z00_3218 =
																			MAKE_YOUNG_PAIR(
																			((obj_t)
																				CNST_TABLE_REF(40)),
																			BgL_arg2827z00_3219);
																	}
																	BgL_arg2825z00_3217 =
																		MAKE_YOUNG_PAIR(BgL_arg2826z00_3218, BNIL);
																}
																BgL_arg2824z00_3216 =
																	MAKE_YOUNG_PAIR(BgL_lz00_3172,
																	BgL_arg2825z00_3217);
															}
															BgL_arg2822z00_3214 =
																MAKE_YOUNG_PAIR(BgL_arg2824z00_3216, BNIL);
														}
														{	/* Ast/unit.scm 595 */
															obj_t BgL_arg2828z00_3220;

															{	/* Ast/unit.scm 595 */
																obj_t BgL_arg2829z00_3221;

																{	/* Ast/unit.scm 595 */
																	obj_t BgL_arg2830z00_3222;
																	obj_t BgL_arg2831z00_3223;

																	{	/* Ast/unit.scm 595 */
																		obj_t BgL_arg2832z00_3224;

																		{	/* Ast/unit.scm 595 */
																			obj_t BgL_arg2833z00_3225;

																			{	/* Ast/unit.scm 595 */
																				obj_t BgL_arg2834z00_3226;
																				obj_t BgL_arg2835z00_3227;

																				{	/* Ast/unit.scm 595 */
																					obj_t BgL_arg2836z00_3228;

																					BgL_arg2836z00_3228 =
																						MAKE_YOUNG_PAIR(
																						((obj_t) CNST_TABLE_REF(41)), BNIL);
																					BgL_arg2834z00_3226 =
																						MAKE_YOUNG_PAIR(
																						((obj_t)
																							CNST_TABLE_REF(42)),
																						BgL_arg2836z00_3228);
																				}
																				{	/* Ast/unit.scm 596 */
																					obj_t BgL_arg2838z00_3229;

																					{	/* Ast/unit.scm 596 */
																						obj_t BgL_arg2839z00_3230;

																						{	/* Ast/unit.scm 596 */
																							obj_t BgL_arg2840z00_3231;
																							obj_t BgL_arg2841z00_3232;

																							{	/* Ast/unit.scm 596 */
																								obj_t BgL_arg2842z00_3233;

																								{	/* Ast/unit.scm 596 */
																									obj_t BgL_arg2846z00_3234;

																									BgL_arg2846z00_3234 =
																										MAKE_YOUNG_PAIR
																										(BgL_lz00_3172, BNIL);
																									BgL_arg2842z00_3233 =
																										MAKE_YOUNG_PAIR(((obj_t)
																											CNST_TABLE_REF(41)),
																										BgL_arg2846z00_3234);
																								}
																								BgL_arg2840z00_3231 =
																									MAKE_YOUNG_PAIR(
																									((obj_t)
																										CNST_TABLE_REF(43)),
																									BgL_arg2842z00_3233);
																							}
																							{	/* Ast/unit.scm 598 */
																								obj_t BgL_arg2847z00_3235;

																								{	/* Ast/unit.scm 598 */
																									obj_t BgL_arg2848z00_3236;

																									{	/* Ast/unit.scm 598 */
																										bool_t BgL_test3935z00_8663;

																										if (CBOOL
																											(BGl_za2unsafezd2arityza2zd2zzengine_paramz00))
																											{	/* Ast/unit.scm 599 */
																												bool_t
																													BgL__ortest_1124z00_3324;
																												if ((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt) BgL_gloz00_80)))->BgL_evaluablezf3zf3))
																													{	/* Ast/unit.scm 599 */
																														BgL__ortest_1124z00_3324
																															= ((bool_t) 0);
																													}
																												else
																													{	/* Ast/unit.scm 599 */
																														BgL__ortest_1124z00_3324
																															= ((bool_t) 1);
																													}
																												if (BgL__ortest_1124z00_3324)
																													{	/* Ast/unit.scm 599 */
																														BgL_test3935z00_8663
																															=
																															BgL__ortest_1124z00_3324;
																													}
																												else
																													{	/* Ast/unit.scm 599 */
																														BgL_test3935z00_8663
																															=
																															CBOOL
																															(BGl_za2unsafezd2evalza2zd2zzengine_paramz00);
																													}
																											}
																										else
																											{	/* Ast/unit.scm 598 */
																												BgL_test3935z00_8663 =
																													((bool_t) 0);
																											}
																										if (BgL_test3935z00_8663)
																											{	/* Ast/unit.scm 601 */
																												obj_t
																													BgL_arg2851z00_3240;
																												obj_t
																													BgL_arg2852z00_3241;
																												BgL_arg2851z00_3240 =
																													BGl_letzd2symzd2zzast_letz00
																													();
																												{	/* Ast/unit.scm 601 */
																													obj_t
																														BgL_arg2853z00_3242;
																													obj_t
																														BgL_arg2857z00_3243;
																													{	/* Ast/unit.scm 601 */
																														obj_t
																															BgL_arg2858z00_3244;
																														{	/* Ast/unit.scm 601 */
																															obj_t
																																BgL_arg2859z00_3245;
																															{	/* Ast/unit.scm 601 */
																																obj_t
																																	BgL_arg2860z00_3246;
																																{	/* Ast/unit.scm 601 */
																																	obj_t
																																		BgL_arg2861z00_3247;
																																	{	/* Ast/unit.scm 601 */
																																		obj_t
																																			BgL_arg2862z00_3248;
																																		BgL_arg2862z00_3248
																																			=
																																			MAKE_YOUNG_PAIR
																																			(((obj_t)
																																				CNST_TABLE_REF
																																				(41)),
																																			BNIL);
																																		BgL_arg2861z00_3247
																																			=
																																			MAKE_YOUNG_PAIR
																																			(BgL_ioptz00_3169,
																																			BgL_arg2862z00_3248);
																																	}
																																	BgL_arg2860z00_3246
																																		=
																																		MAKE_YOUNG_PAIR
																																		(((obj_t)
																																			CNST_TABLE_REF
																																			(24)),
																																		BgL_arg2861z00_3247);
																																}
																																BgL_arg2859z00_3245
																																	=
																																	MAKE_YOUNG_PAIR
																																	(BgL_arg2860z00_3246,
																																	BNIL);
																															}
																															BgL_arg2858z00_3244
																																=
																																MAKE_YOUNG_PAIR(
																																((obj_t)
																																	CNST_TABLE_REF
																																	(44)),
																																BgL_arg2859z00_3245);
																														}
																														BgL_arg2853z00_3242
																															=
																															MAKE_YOUNG_PAIR
																															(BgL_arg2858z00_3244,
																															BNIL);
																													}
																													{	/* Ast/unit.scm 602 */
																														obj_t
																															BgL_arg2863z00_3249;
																														{	/* Ast/unit.scm 602 */
																															obj_t
																																BgL_arg2864z00_3250;
																															{	/* Ast/unit.scm 602 */
																																obj_t
																																	BgL_arg2865z00_3251;
																																obj_t
																																	BgL_arg2866z00_3252;
																																{	/* Ast/unit.scm 602 */
																																	obj_t
																																		BgL_arg2871z00_3253;
																																	{	/* Ast/unit.scm 602 */
																																		obj_t
																																			BgL_arg2873z00_3254;
																																		BgL_arg2873z00_3254
																																			=
																																			MAKE_YOUNG_PAIR
																																			(((obj_t)
																																				CNST_TABLE_REF
																																				(42)),
																																			BNIL);
																																		BgL_arg2871z00_3253
																																			=
																																			MAKE_YOUNG_PAIR
																																			(((obj_t)
																																				CNST_TABLE_REF
																																				(44)),
																																			BgL_arg2873z00_3254);
																																	}
																																	BgL_arg2865z00_3251
																																		=
																																		MAKE_YOUNG_PAIR
																																		(((obj_t)
																																			CNST_TABLE_REF
																																			(45)),
																																		BgL_arg2871z00_3253);
																																}
																																{	/* Ast/unit.scm 603 */
																																	obj_t
																																		BgL_arg2879z00_3255;
																																	obj_t
																																		BgL_arg2887z00_3256;
																																	{	/* Ast/unit.scm 603 */
																																		obj_t
																																			BgL_arg2894z00_3257;
																																		{	/* Ast/unit.scm 603 */
																																			obj_t
																																				BgL_arg2895z00_3258;
																																			BgL_arg2895z00_3258
																																				=
																																				MAKE_YOUNG_PAIR
																																				(BINT
																																				(1L),
																																				BNIL);
																																			BgL_arg2894z00_3257
																																				=
																																				MAKE_YOUNG_PAIR
																																				(((obj_t) CNST_TABLE_REF(41)), BgL_arg2895z00_3258);
																																		}
																																		BgL_arg2879z00_3255
																																			=
																																			MAKE_YOUNG_PAIR
																																			(((obj_t)
																																				CNST_TABLE_REF
																																				(46)),
																																			BgL_arg2894z00_3257);
																																	}
																																	{	/* Ast/unit.scm 604 */
																																		obj_t
																																			BgL_arg2898z00_3259;
																																		{	/* Ast/unit.scm 604 */
																																			obj_t
																																				BgL_arg2899z00_3260;
																																			{	/* Ast/unit.scm 604 */
																																				obj_t
																																					BgL_arg2900z00_3261;
																																				{	/* Ast/unit.scm 604 */
																																					obj_t
																																						BgL_arg2902z00_3262;
																																					{	/* Ast/unit.scm 604 */
																																						obj_t
																																							BgL_arg2903z00_3263;
																																						{	/* Ast/unit.scm 604 */
																																							obj_t
																																								BgL_arg2904z00_3264;
																																							BgL_arg2904z00_3264
																																								=
																																								MAKE_YOUNG_PAIR
																																								(BINT
																																								(2L),
																																								BNIL);
																																							BgL_arg2903z00_3263
																																								=
																																								MAKE_YOUNG_PAIR
																																								(
																																								((obj_t) CNST_TABLE_REF(41)), BgL_arg2904z00_3264);
																																						}
																																						BgL_arg2902z00_3262
																																							=
																																							MAKE_YOUNG_PAIR
																																							(((obj_t) CNST_TABLE_REF(46)), BgL_arg2903z00_3263);
																																					}
																																					BgL_arg2900z00_3261
																																						=
																																						MAKE_YOUNG_PAIR
																																						(BgL_arg2902z00_3262,
																																						BNIL);
																																				}
																																				BgL_arg2899z00_3260
																																					=
																																					MAKE_YOUNG_PAIR
																																					(((obj_t) CNST_TABLE_REF(42)), BgL_arg2900z00_3261);
																																			}
																																			BgL_arg2898z00_3259
																																				=
																																				MAKE_YOUNG_PAIR
																																				(BgL_searchz00_3173,
																																				BgL_arg2899z00_3260);
																																		}
																																		BgL_arg2887z00_3256
																																			=
																																			MAKE_YOUNG_PAIR
																																			(BgL_arg2898z00_3259,
																																			BNIL);
																																	}
																																	BgL_arg2866z00_3252
																																		=
																																		MAKE_YOUNG_PAIR
																																		(BgL_arg2879z00_3255,
																																		BgL_arg2887z00_3256);
																																}
																																BgL_arg2864z00_3250
																																	=
																																	MAKE_YOUNG_PAIR
																																	(BgL_arg2865z00_3251,
																																	BgL_arg2866z00_3252);
																															}
																															BgL_arg2863z00_3249
																																=
																																MAKE_YOUNG_PAIR(
																																((obj_t)
																																	CNST_TABLE_REF
																																	(3)),
																																BgL_arg2864z00_3250);
																														}
																														BgL_arg2857z00_3243
																															=
																															MAKE_YOUNG_PAIR
																															(BgL_arg2863z00_3249,
																															BNIL);
																													}
																													BgL_arg2852z00_3241 =
																														MAKE_YOUNG_PAIR
																														(BgL_arg2853z00_3242,
																														BgL_arg2857z00_3243);
																												}
																												BgL_arg2848z00_3236 =
																													MAKE_YOUNG_PAIR
																													(BgL_arg2851z00_3240,
																													BgL_arg2852z00_3241);
																											}
																										else
																											{	/* Ast/unit.scm 605 */
																												obj_t
																													BgL_arg2906z00_3265;
																												{	/* Ast/unit.scm 605 */
																													obj_t
																														BgL_arg2908z00_3266;
																													obj_t
																														BgL_arg2909z00_3267;
																													{	/* Ast/unit.scm 605 */
																														obj_t
																															BgL_arg2910z00_3268;
																														{	/* Ast/unit.scm 605 */
																															obj_t
																																BgL_arg2912z00_3269;
																															{	/* Ast/unit.scm 605 */
																																obj_t
																																	BgL_arg2913z00_3270;
																																{	/* Ast/unit.scm 605 */
																																	obj_t
																																		BgL_arg2914z00_3271;
																																	{	/* Ast/unit.scm 605 */
																																		obj_t
																																			BgL_arg2915z00_3272;
																																		BgL_arg2915z00_3272
																																			=
																																			MAKE_YOUNG_PAIR
																																			(BINT(1L),
																																			BNIL);
																																		BgL_arg2914z00_3271
																																			=
																																			MAKE_YOUNG_PAIR
																																			(BgL_lz00_3172,
																																			BgL_arg2915z00_3272);
																																	}
																																	BgL_arg2913z00_3270
																																		=
																																		MAKE_YOUNG_PAIR
																																		(((obj_t)
																																			CNST_TABLE_REF
																																			(47)),
																																		BgL_arg2914z00_3271);
																																}
																																BgL_arg2912z00_3269
																																	=
																																	MAKE_YOUNG_PAIR
																																	(BgL_arg2913z00_3270,
																																	BNIL);
																															}
																															BgL_arg2910z00_3268
																																=
																																MAKE_YOUNG_PAIR(
																																((obj_t)
																																	CNST_TABLE_REF
																																	(41)),
																																BgL_arg2912z00_3269);
																														}
																														BgL_arg2908z00_3266
																															=
																															MAKE_YOUNG_PAIR((
																																(obj_t)
																																CNST_TABLE_REF
																																(43)),
																															BgL_arg2910z00_3268);
																													}
																													{	/* Ast/unit.scm 606 */
																														obj_t
																															BgL_arg2916z00_3273;
																														obj_t
																															BgL_arg2917z00_3274;
																														{	/* Ast/unit.scm 606 */
																															obj_t
																																BgL_arg2919z00_3275;
																															obj_t
																																BgL_arg2920z00_3276;
																															{	/* Ast/unit.scm 606 */
																																obj_t
																																	BgL_arg2921z00_3277;
																																{	/* Ast/unit.scm 606 */
																																	obj_t
																																		BgL_arg2922z00_3278;
																																	BgL_arg2922z00_3278
																																		=
																																		MAKE_YOUNG_PAIR
																																		(((obj_t)
																																			CNST_TABLE_REF
																																			(27)),
																																		BNIL);
																																	BgL_arg2921z00_3277
																																		=
																																		MAKE_YOUNG_PAIR
																																		(((obj_t)
																																			CNST_TABLE_REF
																																			(28)),
																																		BgL_arg2922z00_3278);
																																}
																																BgL_arg2919z00_3275
																																	=
																																	MAKE_YOUNG_PAIR
																																	(((obj_t)
																																		CNST_TABLE_REF
																																		(0)),
																																	BgL_arg2921z00_3277);
																															}
																															{	/* Ast/unit.scm 607 */
																																obj_t
																																	BgL_arg2923z00_3279;
																																obj_t
																																	BgL_arg2924z00_3280;
																																{	/* Ast/unit.scm 607 */
																																	obj_t
																																		BgL_arg2925z00_3281;
																																	BgL_arg2925z00_3281
																																		=
																																		MAKE_YOUNG_PAIR
																																		(BgL_idz00_82,
																																		BNIL);
																																	BgL_arg2923z00_3279
																																		=
																																		MAKE_YOUNG_PAIR
																																		(((obj_t)
																																			CNST_TABLE_REF
																																			(29)),
																																		BgL_arg2925z00_3281);
																																}
																																{	/* Ast/unit.scm 610 */
																																	obj_t
																																		BgL_arg2926z00_3282;
																																	obj_t
																																		BgL_arg2927z00_3283;
																																	{	/* Ast/unit.scm 610 */
																																		obj_t
																																			BgL_arg2928z00_3284;
																																		obj_t
																																			BgL_arg2929z00_3285;
																																		{	/* Ast/unit.scm 610 */

																																			BgL_arg2928z00_3284
																																				=
																																				BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00
																																				(BgL_arityz00_3168,
																																				10L);
																																		}
																																		{	/* Ast/unit.scm 611 */
																																			obj_t
																																				BgL_arg2953z00_3293;
																																			{	/* Ast/unit.scm 611 */
																																				obj_t
																																					BgL_za71za7_5496;
																																				obj_t
																																					BgL_za72za7_5497;
																																				BgL_za71za7_5496
																																					=
																																					BINT
																																					(BgL_arityz00_3168);
																																				BgL_za72za7_5497
																																					=
																																					BINT
																																					(BgL_loptz00_3171);
																																				{	/* Ast/unit.scm 611 */
																																					obj_t
																																						BgL_tmpz00_5498;
																																					BgL_tmpz00_5498
																																						=
																																						BINT
																																						(0L);
																																					if (BGL_ADDFX_OV(BgL_za71za7_5496, BgL_za72za7_5497, BgL_tmpz00_5498))
																																						{	/* Ast/unit.scm 611 */
																																							BgL_arg2953z00_3293
																																								=
																																								bgl_bignum_add
																																								(bgl_long_to_bignum
																																								((long) CINT(BgL_za71za7_5496)), bgl_long_to_bignum((long) CINT(BgL_za72za7_5497)));
																																						}
																																					else
																																						{	/* Ast/unit.scm 611 */
																																							BgL_arg2953z00_3293
																																								=
																																								BgL_tmpz00_5498;
																																						}
																																				}
																																			}
																																			{	/* Ast/unit.scm 611 */

																																				BgL_arg2929z00_3285
																																					=
																																					BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00
																																					(
																																					(long)
																																					CINT
																																					(BgL_arg2953z00_3293),
																																					10L);
																																		}}
																																		{	/* Ast/unit.scm 608 */
																																			obj_t
																																				BgL_list2930z00_3286;
																																			{	/* Ast/unit.scm 608 */
																																				obj_t
																																					BgL_arg2937z00_3287;
																																				{	/* Ast/unit.scm 608 */
																																					obj_t
																																						BgL_arg2941z00_3288;
																																					{	/* Ast/unit.scm 608 */
																																						obj_t
																																							BgL_arg2943z00_3289;
																																						{	/* Ast/unit.scm 608 */
																																							obj_t
																																								BgL_arg2952z00_3290;
																																							BgL_arg2952z00_3290
																																								=
																																								MAKE_YOUNG_PAIR
																																								(BGl_string3597z00zzast_unitz00,
																																								BNIL);
																																							BgL_arg2943z00_3289
																																								=
																																								MAKE_YOUNG_PAIR
																																								(BgL_arg2929z00_3285,
																																								BgL_arg2952z00_3290);
																																						}
																																						BgL_arg2941z00_3288
																																							=
																																							MAKE_YOUNG_PAIR
																																							(BGl_string3598z00zzast_unitz00,
																																							BgL_arg2943z00_3289);
																																					}
																																					BgL_arg2937z00_3287
																																						=
																																						MAKE_YOUNG_PAIR
																																						(BgL_arg2928z00_3284,
																																						BgL_arg2941z00_3288);
																																				}
																																				BgL_list2930z00_3286
																																					=
																																					MAKE_YOUNG_PAIR
																																					(BGl_string3599z00zzast_unitz00,
																																					BgL_arg2937z00_3287);
																																			}
																																			BgL_arg2926z00_3282
																																				=
																																				BGl_stringzd2appendzd2zz__r4_strings_6_7z00
																																				(BgL_list2930z00_3286);
																																	}}
																																	{	/* Ast/unit.scm 613 */
																																		obj_t
																																			BgL_arg2957z00_3297;
																																		{	/* Ast/unit.scm 613 */
																																			obj_t
																																				BgL_arg2958z00_3298;
																																			BgL_arg2958z00_3298
																																				=
																																				MAKE_YOUNG_PAIR
																																				(BgL_ioptz00_3169,
																																				BNIL);
																																			BgL_arg2957z00_3297
																																				=
																																				MAKE_YOUNG_PAIR
																																				(((obj_t) CNST_TABLE_REF(25)), BgL_arg2958z00_3298);
																																		}
																																		BgL_arg2927z00_3283
																																			=
																																			MAKE_YOUNG_PAIR
																																			(BgL_arg2957z00_3297,
																																			BNIL);
																																	}
																																	BgL_arg2924z00_3280
																																		=
																																		MAKE_YOUNG_PAIR
																																		(BgL_arg2926z00_3282,
																																		BgL_arg2927z00_3283);
																																}
																																BgL_arg2920z00_3276
																																	=
																																	MAKE_YOUNG_PAIR
																																	(BgL_arg2923z00_3279,
																																	BgL_arg2924z00_3280);
																															}
																															BgL_arg2916z00_3273
																																=
																																MAKE_YOUNG_PAIR
																																(BgL_arg2919z00_3275,
																																BgL_arg2920z00_3276);
																														}
																														{	/* Ast/unit.scm 614 */
																															obj_t
																																BgL_arg2959z00_3299;
																															{	/* Ast/unit.scm 614 */
																																obj_t
																																	BgL_arg2960z00_3300;
																																{	/* Ast/unit.scm 614 */
																																	obj_t
																																		BgL_arg2962z00_3301;
																																	obj_t
																																		BgL_arg2965z00_3302;
																																	{	/* Ast/unit.scm 614 */
																																		obj_t
																																			BgL_arg2966z00_3303;
																																		{	/* Ast/unit.scm 614 */
																																			obj_t
																																				BgL_arg2967z00_3304;
																																			{	/* Ast/unit.scm 614 */
																																				obj_t
																																					BgL_arg2968z00_3305;
																																				{	/* Ast/unit.scm 614 */
																																					obj_t
																																						BgL_arg2970z00_3306;
																																					{	/* Ast/unit.scm 614 */
																																						obj_t
																																							BgL_arg2971z00_3307;
																																						BgL_arg2971z00_3307
																																							=
																																							MAKE_YOUNG_PAIR
																																							(((obj_t) CNST_TABLE_REF(41)), BNIL);
																																						BgL_arg2970z00_3306
																																							=
																																							MAKE_YOUNG_PAIR
																																							(BgL_ioptz00_3169,
																																							BgL_arg2971z00_3307);
																																					}
																																					BgL_arg2968z00_3305
																																						=
																																						MAKE_YOUNG_PAIR
																																						(((obj_t) CNST_TABLE_REF(24)), BgL_arg2970z00_3306);
																																				}
																																				BgL_arg2967z00_3304
																																					=
																																					MAKE_YOUNG_PAIR
																																					(BgL_arg2968z00_3305,
																																					BNIL);
																																			}
																																			BgL_arg2966z00_3303
																																				=
																																				MAKE_YOUNG_PAIR
																																				(((obj_t) CNST_TABLE_REF(44)), BgL_arg2967z00_3304);
																																		}
																																		BgL_arg2962z00_3301
																																			=
																																			MAKE_YOUNG_PAIR
																																			(BgL_arg2966z00_3303,
																																			BNIL);
																																	}
																																	{	/* Ast/unit.scm 615 */
																																		obj_t
																																			BgL_arg2973z00_3308;
																																		{	/* Ast/unit.scm 615 */
																																			obj_t
																																				BgL_arg2974z00_3309;
																																			{	/* Ast/unit.scm 615 */
																																				obj_t
																																					BgL_arg2975z00_3310;
																																				obj_t
																																					BgL_arg2976z00_3311;
																																				{	/* Ast/unit.scm 615 */
																																					obj_t
																																						BgL_arg2977z00_3312;
																																					{	/* Ast/unit.scm 615 */
																																						obj_t
																																							BgL_arg2978z00_3313;
																																						BgL_arg2978z00_3313
																																							=
																																							MAKE_YOUNG_PAIR
																																							(((obj_t) CNST_TABLE_REF(42)), BNIL);
																																						BgL_arg2977z00_3312
																																							=
																																							MAKE_YOUNG_PAIR
																																							(((obj_t) CNST_TABLE_REF(44)), BgL_arg2978z00_3313);
																																					}
																																					BgL_arg2975z00_3310
																																						=
																																						MAKE_YOUNG_PAIR
																																						(((obj_t) CNST_TABLE_REF(45)), BgL_arg2977z00_3312);
																																				}
																																				{	/* Ast/unit.scm 616 */
																																					obj_t
																																						BgL_arg2979z00_3314;
																																					obj_t
																																						BgL_arg2980z00_3315;
																																					{	/* Ast/unit.scm 616 */
																																						obj_t
																																							BgL_arg2981z00_3316;
																																						{	/* Ast/unit.scm 616 */
																																							obj_t
																																								BgL_arg2982z00_3317;
																																							BgL_arg2982z00_3317
																																								=
																																								MAKE_YOUNG_PAIR
																																								(BINT
																																								(1L),
																																								BNIL);
																																							BgL_arg2981z00_3316
																																								=
																																								MAKE_YOUNG_PAIR
																																								(
																																								((obj_t) CNST_TABLE_REF(41)), BgL_arg2982z00_3317);
																																						}
																																						BgL_arg2979z00_3314
																																							=
																																							MAKE_YOUNG_PAIR
																																							(((obj_t) CNST_TABLE_REF(46)), BgL_arg2981z00_3316);
																																					}
																																					{	/* Ast/unit.scm 617 */
																																						obj_t
																																							BgL_arg2983z00_3318;
																																						{	/* Ast/unit.scm 617 */
																																							obj_t
																																								BgL_arg2984z00_3319;
																																							{	/* Ast/unit.scm 617 */
																																								obj_t
																																									BgL_arg2985z00_3320;
																																								{	/* Ast/unit.scm 617 */
																																									obj_t
																																										BgL_arg2986z00_3321;
																																									{	/* Ast/unit.scm 617 */
																																										obj_t
																																											BgL_arg2987z00_3322;
																																										{	/* Ast/unit.scm 617 */
																																											obj_t
																																												BgL_arg2991z00_3323;
																																											BgL_arg2991z00_3323
																																												=
																																												MAKE_YOUNG_PAIR
																																												(BINT
																																												(2L),
																																												BNIL);
																																											BgL_arg2987z00_3322
																																												=
																																												MAKE_YOUNG_PAIR
																																												(
																																												((obj_t) CNST_TABLE_REF(41)), BgL_arg2991z00_3323);
																																										}
																																										BgL_arg2986z00_3321
																																											=
																																											MAKE_YOUNG_PAIR
																																											(
																																											((obj_t) CNST_TABLE_REF(46)), BgL_arg2987z00_3322);
																																									}
																																									BgL_arg2985z00_3320
																																										=
																																										MAKE_YOUNG_PAIR
																																										(BgL_arg2986z00_3321,
																																										BNIL);
																																								}
																																								BgL_arg2984z00_3319
																																									=
																																									MAKE_YOUNG_PAIR
																																									(
																																									((obj_t) CNST_TABLE_REF(42)), BgL_arg2985z00_3320);
																																							}
																																							BgL_arg2983z00_3318
																																								=
																																								MAKE_YOUNG_PAIR
																																								(BgL_searchz00_3173,
																																								BgL_arg2984z00_3319);
																																						}
																																						BgL_arg2980z00_3315
																																							=
																																							MAKE_YOUNG_PAIR
																																							(BgL_arg2983z00_3318,
																																							BNIL);
																																					}
																																					BgL_arg2976z00_3311
																																						=
																																						MAKE_YOUNG_PAIR
																																						(BgL_arg2979z00_3314,
																																						BgL_arg2980z00_3315);
																																				}
																																				BgL_arg2974z00_3309
																																					=
																																					MAKE_YOUNG_PAIR
																																					(BgL_arg2975z00_3310,
																																					BgL_arg2976z00_3311);
																																			}
																																			BgL_arg2973z00_3308
																																				=
																																				MAKE_YOUNG_PAIR
																																				(((obj_t) CNST_TABLE_REF(3)), BgL_arg2974z00_3309);
																																		}
																																		BgL_arg2965z00_3302
																																			=
																																			MAKE_YOUNG_PAIR
																																			(BgL_arg2973z00_3308,
																																			BNIL);
																																	}
																																	BgL_arg2960z00_3300
																																		=
																																		MAKE_YOUNG_PAIR
																																		(BgL_arg2962z00_3301,
																																		BgL_arg2965z00_3302);
																																}
																																BgL_arg2959z00_3299
																																	=
																																	MAKE_YOUNG_PAIR
																																	(((obj_t)
																																		CNST_TABLE_REF
																																		(48)),
																																	BgL_arg2960z00_3300);
																															}
																															BgL_arg2917z00_3274
																																=
																																MAKE_YOUNG_PAIR
																																(BgL_arg2959z00_3299,
																																BNIL);
																														}
																														BgL_arg2909z00_3267
																															=
																															MAKE_YOUNG_PAIR
																															(BgL_arg2916z00_3273,
																															BgL_arg2917z00_3274);
																													}
																													BgL_arg2906z00_3265 =
																														MAKE_YOUNG_PAIR
																														(BgL_arg2908z00_3266,
																														BgL_arg2909z00_3267);
																												}
																												BgL_arg2848z00_3236 =
																													MAKE_YOUNG_PAIR(
																													((obj_t)
																														CNST_TABLE_REF(3)),
																													BgL_arg2906z00_3265);
																									}}
																									BgL_arg2847z00_3235 =
																										MAKE_YOUNG_PAIR
																										(BgL_arg2848z00_3236, BNIL);
																								}
																								BgL_arg2841z00_3232 =
																									MAKE_YOUNG_PAIR(BINT((-1L)),
																									BgL_arg2847z00_3235);
																							}
																							BgL_arg2839z00_3230 =
																								MAKE_YOUNG_PAIR
																								(BgL_arg2840z00_3231,
																								BgL_arg2841z00_3232);
																						}
																						BgL_arg2838z00_3229 =
																							MAKE_YOUNG_PAIR(
																							((obj_t)
																								CNST_TABLE_REF(3)),
																							BgL_arg2839z00_3230);
																					}
																					BgL_arg2835z00_3227 =
																						MAKE_YOUNG_PAIR(BgL_arg2838z00_3229,
																						BNIL);
																				}
																				BgL_arg2833z00_3225 =
																					MAKE_YOUNG_PAIR(BgL_arg2834z00_3226,
																					BgL_arg2835z00_3227);
																			}
																			BgL_arg2832z00_3224 =
																				MAKE_YOUNG_PAIR(BgL_searchz00_3173,
																				BgL_arg2833z00_3225);
																		}
																		BgL_arg2830z00_3222 =
																			MAKE_YOUNG_PAIR(BgL_arg2832z00_3224,
																			BNIL);
																	}
																	{	/* Ast/unit.scm 618 */
																		obj_t BgL_arg2993z00_3326;

																		{	/* Ast/unit.scm 618 */
																			obj_t BgL_arg2994z00_3327;

																			{	/* Ast/unit.scm 618 */
																				obj_t BgL_arg2999z00_3328;
																				obj_t BgL_arg3003z00_3329;

																				{	/* Ast/unit.scm 618 */
																					obj_t BgL_ll1315z00_3330;
																					obj_t BgL_ll1316z00_3331;

																					BgL_ll1315z00_3330 =
																						BGl_takez00zz__r4_pairs_and_lists_6_3z00
																						((((BgL_sfunz00_bglt)
																								COBJECT(((BgL_sfunz00_bglt) ((
																												(BgL_variablez00_bglt)
																												COBJECT((
																														(BgL_variablez00_bglt)
																														((BgL_globalz00_bglt) BgL_gloz00_80))))->BgL_valuez00))))->BgL_argszd2namezd2), BgL_arityz00_3168);
																					BgL_ll1316z00_3331 =
																						BGl_iotaz00zz__r4_pairs_and_lists_6_3z00
																						((int) (BgL_arityz00_3168), BNIL);
																					if (NULLP(BgL_ll1315z00_3330))
																						{	/* Ast/unit.scm 618 */
																							BgL_arg2999z00_3328 = BNIL;
																						}
																					else
																						{	/* Ast/unit.scm 618 */
																							obj_t BgL_head1317z00_3333;

																							BgL_head1317z00_3333 =
																								MAKE_YOUNG_PAIR(BNIL, BNIL);
																							{
																								obj_t BgL_ll1315z00_3335;
																								obj_t BgL_ll1316z00_3336;
																								obj_t BgL_tail1318z00_3337;

																								BgL_ll1315z00_3335 =
																									BgL_ll1315z00_3330;
																								BgL_ll1316z00_3336 =
																									BgL_ll1316z00_3331;
																								BgL_tail1318z00_3337 =
																									BgL_head1317z00_3333;
																							BgL_zc3z04anonymousza33005ze3z87_3338:
																								if (NULLP
																									(BgL_ll1315z00_3335))
																									{	/* Ast/unit.scm 618 */
																										BgL_arg2999z00_3328 =
																											CDR(BgL_head1317z00_3333);
																									}
																								else
																									{	/* Ast/unit.scm 618 */
																										obj_t
																											BgL_newtail1319z00_3340;
																										{	/* Ast/unit.scm 618 */
																											obj_t BgL_arg3011z00_3343;

																											{	/* Ast/unit.scm 618 */
																												obj_t BgL_vz00_3344;
																												obj_t BgL_iz00_3345;

																												BgL_vz00_3344 =
																													CAR(
																													((obj_t)
																														BgL_ll1315z00_3335));
																												BgL_iz00_3345 =
																													CAR(((obj_t)
																														BgL_ll1316z00_3336));
																												{	/* Ast/unit.scm 619 */
																													obj_t
																														BgL_arg3012z00_3346;
																													{	/* Ast/unit.scm 619 */
																														obj_t
																															BgL_arg3013z00_3347;
																														{	/* Ast/unit.scm 619 */
																															obj_t
																																BgL_arg3015z00_3348;
																															{	/* Ast/unit.scm 619 */
																																obj_t
																																	BgL_arg3016z00_3349;
																																BgL_arg3016z00_3349
																																	=
																																	MAKE_YOUNG_PAIR
																																	(BgL_iz00_3345,
																																	BNIL);
																																BgL_arg3015z00_3348
																																	=
																																	MAKE_YOUNG_PAIR
																																	(BgL_ioptz00_3169,
																																	BgL_arg3016z00_3349);
																															}
																															BgL_arg3013z00_3347
																																=
																																MAKE_YOUNG_PAIR(
																																((obj_t)
																																	CNST_TABLE_REF
																																	(24)),
																																BgL_arg3015z00_3348);
																														}
																														BgL_arg3012z00_3346
																															=
																															MAKE_YOUNG_PAIR
																															(BgL_arg3013z00_3347,
																															BNIL);
																													}
																													BgL_arg3011z00_3343 =
																														MAKE_YOUNG_PAIR
																														(BgL_vz00_3344,
																														BgL_arg3012z00_3346);
																												}
																											}
																											BgL_newtail1319z00_3340 =
																												MAKE_YOUNG_PAIR
																												(BgL_arg3011z00_3343,
																												BNIL);
																										}
																										SET_CDR
																											(BgL_tail1318z00_3337,
																											BgL_newtail1319z00_3340);
																										{	/* Ast/unit.scm 618 */
																											obj_t BgL_arg3008z00_3341;
																											obj_t BgL_arg3009z00_3342;

																											BgL_arg3008z00_3341 =
																												CDR(
																												((obj_t)
																													BgL_ll1315z00_3335));
																											BgL_arg3009z00_3342 =
																												CDR(((obj_t)
																													BgL_ll1316z00_3336));
																											{
																												obj_t
																													BgL_tail1318z00_8879;
																												obj_t
																													BgL_ll1316z00_8878;
																												obj_t
																													BgL_ll1315z00_8877;
																												BgL_ll1315z00_8877 =
																													BgL_arg3008z00_3341;
																												BgL_ll1316z00_8878 =
																													BgL_arg3009z00_3342;
																												BgL_tail1318z00_8879 =
																													BgL_newtail1319z00_3340;
																												BgL_tail1318z00_3337 =
																													BgL_tail1318z00_8879;
																												BgL_ll1316z00_3336 =
																													BgL_ll1316z00_8878;
																												BgL_ll1315z00_3335 =
																													BgL_ll1315z00_8877;
																												goto
																													BgL_zc3z04anonymousza33005ze3z87_3338;
																											}
																										}
																									}
																							}
																						}
																				}
																				{	/* Ast/unit.scm 622 */
																					obj_t BgL_arg3020z00_3354;

																					{	/* Ast/unit.scm 622 */
																						obj_t BgL_arg3022z00_3355;

																						{	/* Ast/unit.scm 622 */
																							obj_t BgL_arg3023z00_3356;
																							obj_t BgL_arg3024z00_3357;

																							{	/* Ast/unit.scm 622 */
																								obj_t BgL_head1323z00_3360;

																								BgL_head1323z00_3360 =
																									MAKE_YOUNG_PAIR(BNIL, BNIL);
																								{
																									obj_t BgL_l1321z00_3362;
																									obj_t BgL_tail1324z00_3363;

																									BgL_l1321z00_3362 =
																										BgL_keysz00_81;
																									BgL_tail1324z00_3363 =
																										BgL_head1323z00_3360;
																								BgL_zc3z04anonymousza33026ze3z87_3364:
																									if (NULLP
																										(BgL_l1321z00_3362))
																										{	/* Ast/unit.scm 622 */
																											BgL_arg3023z00_3356 =
																												CDR
																												(BgL_head1323z00_3360);
																										}
																									else
																										{	/* Ast/unit.scm 622 */
																											obj_t
																												BgL_newtail1325z00_3366;
																											{	/* Ast/unit.scm 622 */
																												obj_t
																													BgL_arg3029z00_3368;
																												{	/* Ast/unit.scm 622 */
																													obj_t BgL_pz00_3369;

																													BgL_pz00_3369 =
																														CAR(
																														((obj_t)
																															BgL_l1321z00_3362));
																													{	/* Ast/unit.scm 622 */
																														obj_t
																															BgL_arg3030z00_3370;
																														obj_t
																															BgL_arg3031z00_3371;
																														BgL_arg3030z00_3370
																															=
																															CAR(((obj_t)
																																BgL_pz00_3369));
																														{	/* Ast/unit.scm 622 */
																															obj_t
																																BgL_pairz00_5520;
																															BgL_pairz00_5520 =
																																CDR(((obj_t)
																																	BgL_pz00_3369));
																															BgL_arg3031z00_3371
																																=
																																CAR
																																(BgL_pairz00_5520);
																														}
																														{	/* Ast/unit.scm 622 */
																															obj_t
																																BgL_list3032z00_3372;
																															{	/* Ast/unit.scm 622 */
																																obj_t
																																	BgL_arg3034z00_3373;
																																BgL_arg3034z00_3373
																																	=
																																	MAKE_YOUNG_PAIR
																																	(BgL_arg3031z00_3371,
																																	BNIL);
																																BgL_list3032z00_3372
																																	=
																																	MAKE_YOUNG_PAIR
																																	(BgL_arg3030z00_3370,
																																	BgL_arg3034z00_3373);
																															}
																															BgL_arg3029z00_3368
																																=
																																BgL_list3032z00_3372;
																														}
																													}
																												}
																												BgL_newtail1325z00_3366
																													=
																													MAKE_YOUNG_PAIR
																													(BgL_arg3029z00_3368,
																													BNIL);
																											}
																											SET_CDR
																												(BgL_tail1324z00_3363,
																												BgL_newtail1325z00_3366);
																											{	/* Ast/unit.scm 622 */
																												obj_t
																													BgL_arg3028z00_3367;
																												BgL_arg3028z00_3367 =
																													CDR(((obj_t)
																														BgL_l1321z00_3362));
																												{
																													obj_t
																														BgL_tail1324z00_8898;
																													obj_t
																														BgL_l1321z00_8897;
																													BgL_l1321z00_8897 =
																														BgL_arg3028z00_3367;
																													BgL_tail1324z00_8898 =
																														BgL_newtail1325z00_3366;
																													BgL_tail1324z00_3363 =
																														BgL_tail1324z00_8898;
																													BgL_l1321z00_3362 =
																														BgL_l1321z00_8897;
																													goto
																														BgL_zc3z04anonymousza33026ze3z87_3364;
																												}
																											}
																										}
																								}
																							}
																							{	/* Ast/unit.scm 624 */
																								obj_t BgL_arg3042z00_3375;
																								obj_t BgL_arg3043z00_3376;

																								{	/* Ast/unit.scm 624 */
																									bool_t BgL_test3943z00_8899;

																									if (CBOOL
																										(BGl_za2unsafezd2arityza2zd2zzengine_paramz00))
																										{	/* Ast/unit.scm 625 */
																											bool_t
																												BgL__ortest_1125z00_3428;
																											if ((((BgL_globalz00_bglt)
																														COBJECT((
																																(BgL_globalz00_bglt)
																																BgL_gloz00_80)))->
																													BgL_evaluablezf3zf3))
																												{	/* Ast/unit.scm 625 */
																													BgL__ortest_1125z00_3428
																														= ((bool_t) 0);
																												}
																											else
																												{	/* Ast/unit.scm 625 */
																													BgL__ortest_1125z00_3428
																														= ((bool_t) 1);
																												}
																											if (BgL__ortest_1125z00_3428)
																												{	/* Ast/unit.scm 625 */
																													BgL_test3943z00_8899 =
																														BgL__ortest_1125z00_3428;
																												}
																											else
																												{	/* Ast/unit.scm 625 */
																													BgL_test3943z00_8899 =
																														CBOOL
																														(BGl_za2unsafezd2evalza2zd2zzengine_paramz00);
																												}
																										}
																									else
																										{	/* Ast/unit.scm 624 */
																											BgL_test3943z00_8899 =
																												((bool_t) 0);
																										}
																									if (BgL_test3943z00_8899)
																										{	/* Ast/unit.scm 624 */
																											BgL_arg3042z00_3375 =
																												BUNSPEC;
																										}
																									else
																										{	/* Ast/unit.scm 628 */
																											obj_t BgL_arg3046z00_3380;

																											{	/* Ast/unit.scm 628 */
																												obj_t
																													BgL_arg3048z00_3381;
																												obj_t
																													BgL_arg3049z00_3382;
																												{	/* Ast/unit.scm 628 */
																													obj_t
																														BgL_arg3050z00_3383;
																													{	/* Ast/unit.scm 628 */
																														obj_t
																															BgL_arg3052z00_3384;
																														{	/* Ast/unit.scm 628 */
																															obj_t
																																BgL_arg3053z00_3385;
																															obj_t
																																BgL_arg3054z00_3386;
																															BgL_arg3053z00_3385
																																=
																																MAKE_YOUNG_PAIR(
																																((obj_t)
																																	CNST_TABLE_REF
																																	(41)), BNIL);
																															{	/* Ast/unit.scm 629 */
																																obj_t
																																	BgL_arg3055z00_3387;
																																{	/* Ast/unit.scm 629 */
																																	obj_t
																																		BgL_arg3057z00_3388;
																																	{	/* Ast/unit.scm 629 */
																																		obj_t
																																			BgL_arg3058z00_3389;
																																		obj_t
																																			BgL_arg3059z00_3390;
																																		{	/* Ast/unit.scm 629 */
																																			obj_t
																																				BgL_arg3061z00_3391;
																																			{	/* Ast/unit.scm 629 */
																																				obj_t
																																					BgL_arg3062z00_3392;
																																				BgL_arg3062z00_3392
																																					=
																																					MAKE_YOUNG_PAIR
																																					(BgL_lz00_3172,
																																					BNIL);
																																				BgL_arg3061z00_3391
																																					=
																																					MAKE_YOUNG_PAIR
																																					(((obj_t) CNST_TABLE_REF(41)), BgL_arg3062z00_3392);
																																			}
																																			BgL_arg3058z00_3389
																																				=
																																				MAKE_YOUNG_PAIR
																																				(((obj_t) CNST_TABLE_REF(43)), BgL_arg3061z00_3391);
																																		}
																																		{	/* Ast/unit.scm 630 */
																																			obj_t
																																				BgL_arg3065z00_3393;
																																			obj_t
																																				BgL_arg3071z00_3394;
																																			{	/* Ast/unit.scm 630 */
																																				obj_t
																																					BgL_arg3072z00_3395;
																																				BgL_arg3072z00_3395
																																					=
																																					MAKE_YOUNG_PAIR
																																					(BNIL,
																																					BNIL);
																																				BgL_arg3065z00_3393
																																					=
																																					MAKE_YOUNG_PAIR
																																					(((obj_t) CNST_TABLE_REF(29)), BgL_arg3072z00_3395);
																																			}
																																			{	/* Ast/unit.scm 631 */
																																				obj_t
																																					BgL_arg3074z00_3396;
																																				{	/* Ast/unit.scm 631 */
																																					obj_t
																																						BgL_arg3075z00_3397;
																																					{	/* Ast/unit.scm 631 */
																																						obj_t
																																							BgL_arg3077z00_3398;
																																						obj_t
																																							BgL_arg3078z00_3399;
																																						{	/* Ast/unit.scm 631 */
																																							obj_t
																																								BgL_arg3080z00_3400;
																																							{	/* Ast/unit.scm 631 */
																																								obj_t
																																									BgL_arg3081z00_3401;
																																								obj_t
																																									BgL_arg3082z00_3402;
																																								{	/* Ast/unit.scm 631 */
																																									obj_t
																																										BgL_arg3083z00_3403;
																																									{	/* Ast/unit.scm 631 */
																																										obj_t
																																											BgL_arg3084z00_3404;
																																										BgL_arg3084z00_3404
																																											=
																																											MAKE_YOUNG_PAIR
																																											(
																																											((obj_t) CNST_TABLE_REF(41)), BNIL);
																																										BgL_arg3083z00_3403
																																											=
																																											MAKE_YOUNG_PAIR
																																											(BgL_ioptz00_3169,
																																											BgL_arg3084z00_3404);
																																									}
																																									BgL_arg3081z00_3401
																																										=
																																										MAKE_YOUNG_PAIR
																																										(
																																										((obj_t) CNST_TABLE_REF(49)), BgL_arg3083z00_3403);
																																								}
																																								{	/* Ast/unit.scm 632 */
																																									obj_t
																																										BgL_arg3086z00_3405;
																																									{	/* Ast/unit.scm 632 */
																																										obj_t
																																											BgL_arg3087z00_3406;
																																										{	/* Ast/unit.scm 632 */
																																											obj_t
																																												BgL_tmpz00_8928;
																																											BgL_keysz00_3194
																																												=
																																												BgL_keysz00_81;
																																											{	/* Ast/unit.scm 590 */
																																												obj_t
																																													BgL_head1312z00_3198;
																																												BgL_head1312z00_3198
																																													=
																																													MAKE_YOUNG_PAIR
																																													(BNIL,
																																													BNIL);
																																												{
																																													obj_t
																																														BgL_l1310z00_3200;
																																													obj_t
																																														BgL_tail1313z00_3201;
																																													BgL_l1310z00_3200
																																														=
																																														BgL_keysz00_3194;
																																													BgL_tail1313z00_3201
																																														=
																																														BgL_head1312z00_3198;
																																												BgL_zc3z04anonymousza32813ze3z87_3202:
																																													if (NULLP(BgL_l1310z00_3200))
																																														{	/* Ast/unit.scm 590 */
																																															BgL_tmpz00_8928
																																																=
																																																CDR
																																																(BgL_head1312z00_3198);
																																														}
																																													else
																																														{	/* Ast/unit.scm 590 */
																																															obj_t
																																																BgL_newtail1314z00_3204;
																																															{	/* Ast/unit.scm 590 */
																																																obj_t
																																																	BgL_arg2816z00_3206;
																																																{	/* Ast/unit.scm 590 */
																																																	obj_t
																																																		BgL_kz00_3207;
																																																	BgL_kz00_3207
																																																		=
																																																		CAR
																																																		(
																																																		((obj_t) BgL_l1310z00_3200));
																																																	{	/* Ast/unit.scm 591 */
																																																		obj_t
																																																			BgL_arg2817z00_3208;
																																																		{	/* Ast/unit.scm 591 */
																																																			obj_t
																																																				BgL_arg2818z00_3209;
																																																			BgL_arg2818z00_3209
																																																				=
																																																				CAR
																																																				(
																																																				((obj_t) BgL_kz00_3207));
																																																			BgL_arg2817z00_3208
																																																				=
																																																				BGl_fastzd2idzd2ofzd2idzd2zzast_identz00
																																																				(BgL_arg2818z00_3209,
																																																				BgL_locz00_88);
																																																		}
																																																		BgL_arg2816z00_3206
																																																			=
																																																			BGl_symbolzd2ze3keywordz31zz__r4_symbols_6_4z00
																																																			(BgL_arg2817z00_3208);
																																																	}
																																																}
																																																BgL_newtail1314z00_3204
																																																	=
																																																	MAKE_YOUNG_PAIR
																																																	(BgL_arg2816z00_3206,
																																																	BNIL);
																																															}
																																															SET_CDR
																																																(BgL_tail1313z00_3201,
																																																BgL_newtail1314z00_3204);
																																															{	/* Ast/unit.scm 590 */
																																																obj_t
																																																	BgL_arg2815z00_3205;
																																																BgL_arg2815z00_3205
																																																	=
																																																	CDR
																																																	(
																																																	((obj_t) BgL_l1310z00_3200));
																																																{
																																																	obj_t
																																																		BgL_tail1313z00_8944;
																																																	obj_t
																																																		BgL_l1310z00_8943;
																																																	BgL_l1310z00_8943
																																																		=
																																																		BgL_arg2815z00_3205;
																																																	BgL_tail1313z00_8944
																																																		=
																																																		BgL_newtail1314z00_3204;
																																																	BgL_tail1313z00_3201
																																																		=
																																																		BgL_tail1313z00_8944;
																																																	BgL_l1310z00_3200
																																																		=
																																																		BgL_l1310z00_8943;
																																																	goto
																																																		BgL_zc3z04anonymousza32813ze3z87_3202;
																																																}
																																															}
																																														}
																																												}
																																											}
																																											BgL_arg3087z00_3406
																																												=
																																												MAKE_YOUNG_PAIR
																																												(BgL_tmpz00_8928,
																																												BNIL);
																																										}
																																										BgL_arg3086z00_3405
																																											=
																																											MAKE_YOUNG_PAIR
																																											(
																																											((obj_t) CNST_TABLE_REF(29)), BgL_arg3087z00_3406);
																																									}
																																									BgL_arg3082z00_3402
																																										=
																																										MAKE_YOUNG_PAIR
																																										(BgL_arg3086z00_3405,
																																										BNIL);
																																								}
																																								BgL_arg3080z00_3400
																																									=
																																									MAKE_YOUNG_PAIR
																																									(BgL_arg3081z00_3401,
																																									BgL_arg3082z00_3402);
																																							}
																																							BgL_arg3077z00_3398
																																								=
																																								MAKE_YOUNG_PAIR
																																								(
																																								((obj_t) CNST_TABLE_REF(50)), BgL_arg3080z00_3400);
																																						}
																																						{	/* Ast/unit.scm 633 */
																																							obj_t
																																								BgL_arg3089z00_3408;
																																							obj_t
																																								BgL_arg3090z00_3409;
																																							{	/* Ast/unit.scm 633 */
																																								obj_t
																																									BgL_arg3091z00_3410;
																																								{	/* Ast/unit.scm 633 */
																																									obj_t
																																										BgL_arg3093z00_3411;
																																									{	/* Ast/unit.scm 633 */
																																										obj_t
																																											BgL_arg3094z00_3412;
																																										{	/* Ast/unit.scm 633 */
																																											obj_t
																																												BgL_arg3098z00_3413;
																																											BgL_arg3098z00_3413
																																												=
																																												MAKE_YOUNG_PAIR
																																												(BINT
																																												(2L),
																																												BNIL);
																																											BgL_arg3094z00_3412
																																												=
																																												MAKE_YOUNG_PAIR
																																												(
																																												((obj_t) CNST_TABLE_REF(41)), BgL_arg3098z00_3413);
																																										}
																																										BgL_arg3093z00_3411
																																											=
																																											MAKE_YOUNG_PAIR
																																											(
																																											((obj_t) CNST_TABLE_REF(46)), BgL_arg3094z00_3412);
																																									}
																																									BgL_arg3091z00_3410
																																										=
																																										MAKE_YOUNG_PAIR
																																										(BgL_arg3093z00_3411,
																																										BNIL);
																																								}
																																								BgL_arg3089z00_3408
																																									=
																																									MAKE_YOUNG_PAIR
																																									(BgL_checkz00_3174,
																																									BgL_arg3091z00_3410);
																																							}
																																							{	/* Ast/unit.scm 634 */
																																								obj_t
																																									BgL_arg3103z00_3414;
																																								{	/* Ast/unit.scm 634 */
																																									obj_t
																																										BgL_arg3104z00_3415;
																																									obj_t
																																										BgL_arg3106z00_3416;
																																									{	/* Ast/unit.scm 634 */
																																										obj_t
																																											BgL_arg3107z00_3417;
																																										{	/* Ast/unit.scm 634 */
																																											obj_t
																																												BgL_arg3108z00_3418;
																																											BgL_arg3108z00_3418
																																												=
																																												MAKE_YOUNG_PAIR
																																												(
																																												((obj_t) CNST_TABLE_REF(27)), BNIL);
																																											BgL_arg3107z00_3417
																																												=
																																												MAKE_YOUNG_PAIR
																																												(
																																												((obj_t) CNST_TABLE_REF(28)), BgL_arg3108z00_3418);
																																										}
																																										BgL_arg3104z00_3415
																																											=
																																											MAKE_YOUNG_PAIR
																																											(
																																											((obj_t) CNST_TABLE_REF(0)), BgL_arg3107z00_3417);
																																									}
																																									{	/* Ast/unit.scm 635 */
																																										obj_t
																																											BgL_arg3110z00_3419;
																																										obj_t
																																											BgL_arg3111z00_3420;
																																										{	/* Ast/unit.scm 635 */
																																											obj_t
																																												BgL_arg3112z00_3421;
																																											BgL_arg3112z00_3421
																																												=
																																												MAKE_YOUNG_PAIR
																																												(BgL_idz00_82,
																																												BNIL);
																																											BgL_arg3110z00_3419
																																												=
																																												MAKE_YOUNG_PAIR
																																												(
																																												((obj_t) CNST_TABLE_REF(29)), BgL_arg3112z00_3421);
																																										}
																																										{	/* Ast/unit.scm 637 */
																																											obj_t
																																												BgL_arg3114z00_3422;
																																											{	/* Ast/unit.scm 637 */
																																												obj_t
																																													BgL_arg3115z00_3423;
																																												{	/* Ast/unit.scm 637 */
																																													obj_t
																																														BgL_arg3116z00_3424;
																																													{	/* Ast/unit.scm 637 */
																																														obj_t
																																															BgL_arg3117z00_3425;
																																														BgL_arg3117z00_3425
																																															=
																																															MAKE_YOUNG_PAIR
																																															(
																																															((obj_t) CNST_TABLE_REF(41)), BNIL);
																																														BgL_arg3116z00_3424
																																															=
																																															MAKE_YOUNG_PAIR
																																															(BgL_ioptz00_3169,
																																															BgL_arg3117z00_3425);
																																													}
																																													BgL_arg3115z00_3423
																																														=
																																														MAKE_YOUNG_PAIR
																																														(
																																														((obj_t) CNST_TABLE_REF(49)), BgL_arg3116z00_3424);
																																												}
																																												BgL_arg3114z00_3422
																																													=
																																													MAKE_YOUNG_PAIR
																																													(BgL_arg3115z00_3423,
																																													BNIL);
																																											}
																																											BgL_arg3111z00_3420
																																												=
																																												MAKE_YOUNG_PAIR
																																												(BGl_string3600z00zzast_unitz00,
																																												BgL_arg3114z00_3422);
																																										}
																																										BgL_arg3106z00_3416
																																											=
																																											MAKE_YOUNG_PAIR
																																											(BgL_arg3110z00_3419,
																																											BgL_arg3111z00_3420);
																																									}
																																									BgL_arg3103z00_3414
																																										=
																																										MAKE_YOUNG_PAIR
																																										(BgL_arg3104z00_3415,
																																										BgL_arg3106z00_3416);
																																								}
																																								BgL_arg3090z00_3409
																																									=
																																									MAKE_YOUNG_PAIR
																																									(BgL_arg3103z00_3414,
																																									BNIL);
																																							}
																																							BgL_arg3078z00_3399
																																								=
																																								MAKE_YOUNG_PAIR
																																								(BgL_arg3089z00_3408,
																																								BgL_arg3090z00_3409);
																																						}
																																						BgL_arg3075z00_3397
																																							=
																																							MAKE_YOUNG_PAIR
																																							(BgL_arg3077z00_3398,
																																							BgL_arg3078z00_3399);
																																					}
																																					BgL_arg3074z00_3396
																																						=
																																						MAKE_YOUNG_PAIR
																																						(((obj_t) CNST_TABLE_REF(3)), BgL_arg3075z00_3397);
																																				}
																																				BgL_arg3071z00_3394
																																					=
																																					MAKE_YOUNG_PAIR
																																					(BgL_arg3074z00_3396,
																																					BNIL);
																																			}
																																			BgL_arg3059z00_3390
																																				=
																																				MAKE_YOUNG_PAIR
																																				(BgL_arg3065z00_3393,
																																				BgL_arg3071z00_3394);
																																		}
																																		BgL_arg3057z00_3388
																																			=
																																			MAKE_YOUNG_PAIR
																																			(BgL_arg3058z00_3389,
																																			BgL_arg3059z00_3390);
																																	}
																																	BgL_arg3055z00_3387
																																		=
																																		MAKE_YOUNG_PAIR
																																		(((obj_t)
																																			CNST_TABLE_REF
																																			(3)),
																																		BgL_arg3057z00_3388);
																																}
																																BgL_arg3054z00_3386
																																	=
																																	MAKE_YOUNG_PAIR
																																	(BgL_arg3055z00_3387,
																																	BNIL);
																															}
																															BgL_arg3052z00_3384
																																=
																																MAKE_YOUNG_PAIR
																																(BgL_arg3053z00_3385,
																																BgL_arg3054z00_3386);
																														}
																														BgL_arg3050z00_3383
																															=
																															MAKE_YOUNG_PAIR
																															(BgL_checkz00_3174,
																															BgL_arg3052z00_3384);
																													}
																													BgL_arg3048z00_3381 =
																														MAKE_YOUNG_PAIR
																														(BgL_arg3050z00_3383,
																														BNIL);
																												}
																												{	/* Ast/unit.scm 638 */
																													obj_t
																														BgL_arg3118z00_3426;
																													{	/* Ast/unit.scm 638 */
																														obj_t
																															BgL_arg3119z00_3427;
																														BgL_arg3119z00_3427
																															=
																															MAKE_YOUNG_PAIR
																															(BINT
																															(BgL_arityz00_3168),
																															BNIL);
																														BgL_arg3118z00_3426
																															=
																															MAKE_YOUNG_PAIR
																															(BgL_checkz00_3174,
																															BgL_arg3119z00_3427);
																													}
																													BgL_arg3049z00_3382 =
																														MAKE_YOUNG_PAIR
																														(BgL_arg3118z00_3426,
																														BNIL);
																												}
																												BgL_arg3046z00_3380 =
																													MAKE_YOUNG_PAIR
																													(BgL_arg3048z00_3381,
																													BgL_arg3049z00_3382);
																											}
																											BgL_arg3042z00_3375 =
																												MAKE_YOUNG_PAIR(
																												((obj_t)
																													CNST_TABLE_REF(18)),
																												BgL_arg3046z00_3380);
																										}
																								}
																								{	/* Ast/unit.scm 639 */
																									obj_t BgL_arg3120z00_3430;
																									obj_t BgL_arg3121z00_3431;

																									{	/* Ast/unit.scm 639 */
																										obj_t BgL_head1328z00_3434;

																										BgL_head1328z00_3434 =
																											MAKE_YOUNG_PAIR(BNIL,
																											BNIL);
																										{
																											obj_t BgL_l1326z00_3436;
																											obj_t
																												BgL_tail1329z00_3437;
																											BgL_l1326z00_3436 =
																												BgL_keysz00_81;
																											BgL_tail1329z00_3437 =
																												BgL_head1328z00_3434;
																										BgL_zc3z04anonymousza33123ze3z87_3438:
																											if (NULLP
																												(BgL_l1326z00_3436))
																												{	/* Ast/unit.scm 639 */
																													BgL_arg3120z00_3430 =
																														CDR
																														(BgL_head1328z00_3434);
																												}
																											else
																												{	/* Ast/unit.scm 639 */
																													obj_t
																														BgL_newtail1330z00_3440;
																													{	/* Ast/unit.scm 639 */
																														obj_t
																															BgL_arg3129z00_3442;
																														{	/* Ast/unit.scm 639 */
																															obj_t
																																BgL_pz00_3443;
																															BgL_pz00_3443 =
																																CAR(((obj_t)
																																	BgL_l1326z00_3436));
																															{	/* Ast/unit.scm 640 */
																																obj_t
																																	BgL_iz00_3444;
																																{	/* Ast/unit.scm 640 */
																																	obj_t
																																		BgL_arg3164z00_3468;
																																	BgL_arg3164z00_3468
																																		=
																																		CAR(((obj_t)
																																			BgL_pz00_3443));
																																	BgL_iz00_3444
																																		=
																																		BGl_fastzd2idzd2ofzd2idzd2zzast_identz00
																																		(BgL_arg3164z00_3468,
																																		BgL_locz00_88);
																																}
																																{	/* Ast/unit.scm 640 */
																																	obj_t
																																		BgL_k1z00_3445;
																																	BgL_k1z00_3445
																																		=
																																		BGl_symbolzd2ze3keywordz31zz__r4_symbols_6_4z00
																																		(BgL_iz00_3444);
																																	{	/* Ast/unit.scm 641 */
																																		obj_t
																																			BgL_indz00_3446;
																																		BgL_indz00_3446
																																			=
																																			BGl_gensymz00zz__r4_symbols_6_4z00
																																			(((obj_t)
																																				CNST_TABLE_REF
																																				(51)));
																																		{	/* Ast/unit.scm 642 */

																																			{	/* Ast/unit.scm 643 */
																																				obj_t
																																					BgL_arg3136z00_3447;
																																				obj_t
																																					BgL_arg3137z00_3448;
																																				BgL_arg3136z00_3447
																																					=
																																					BGl_letzd2symzd2zzast_letz00
																																					();
																																				{	/* Ast/unit.scm 643 */
																																					obj_t
																																						BgL_arg3139z00_3449;
																																					obj_t
																																						BgL_arg3140z00_3450;
																																					{	/* Ast/unit.scm 643 */
																																						obj_t
																																							BgL_arg3141z00_3451;
																																						{	/* Ast/unit.scm 643 */
																																							obj_t
																																								BgL_arg3142z00_3452;
																																							{	/* Ast/unit.scm 643 */
																																								obj_t
																																									BgL_arg3143z00_3453;
																																								{	/* Ast/unit.scm 643 */
																																									obj_t
																																										BgL_arg3146z00_3454;
																																									{	/* Ast/unit.scm 643 */
																																										obj_t
																																											BgL_arg3147z00_3455;
																																										BgL_arg3147z00_3455
																																											=
																																											MAKE_YOUNG_PAIR
																																											(BINT
																																											(BgL_arityz00_3168),
																																											BNIL);
																																										BgL_arg3146z00_3454
																																											=
																																											MAKE_YOUNG_PAIR
																																											(BgL_k1z00_3445,
																																											BgL_arg3147z00_3455);
																																									}
																																									BgL_arg3143z00_3453
																																										=
																																										MAKE_YOUNG_PAIR
																																										(BgL_searchz00_3173,
																																										BgL_arg3146z00_3454);
																																								}
																																								BgL_arg3142z00_3452
																																									=
																																									MAKE_YOUNG_PAIR
																																									(BgL_arg3143z00_3453,
																																									BNIL);
																																							}
																																							BgL_arg3141z00_3451
																																								=
																																								MAKE_YOUNG_PAIR
																																								(BgL_indz00_3446,
																																								BgL_arg3142z00_3452);
																																						}
																																						BgL_arg3139z00_3449
																																							=
																																							MAKE_YOUNG_PAIR
																																							(BgL_arg3141z00_3451,
																																							BNIL);
																																					}
																																					{	/* Ast/unit.scm 644 */
																																						obj_t
																																							BgL_arg3148z00_3456;
																																						{	/* Ast/unit.scm 644 */
																																							obj_t
																																								BgL_arg3151z00_3457;
																																							{	/* Ast/unit.scm 644 */
																																								obj_t
																																									BgL_arg3152z00_3458;
																																								obj_t
																																									BgL_arg3153z00_3459;
																																								{	/* Ast/unit.scm 644 */
																																									obj_t
																																										BgL_arg3154z00_3460;
																																									{	/* Ast/unit.scm 644 */
																																										obj_t
																																											BgL_arg3155z00_3461;
																																										BgL_arg3155z00_3461
																																											=
																																											MAKE_YOUNG_PAIR
																																											(BINT
																																											(0L),
																																											BNIL);
																																										BgL_arg3154z00_3460
																																											=
																																											MAKE_YOUNG_PAIR
																																											(BgL_indz00_3446,
																																											BgL_arg3155z00_3461);
																																									}
																																									BgL_arg3152z00_3458
																																										=
																																										MAKE_YOUNG_PAIR
																																										(
																																										((obj_t) CNST_TABLE_REF(52)), BgL_arg3154z00_3460);
																																								}
																																								{	/* Ast/unit.scm 645 */
																																									obj_t
																																										BgL_arg3156z00_3462;
																																									{	/* Ast/unit.scm 645 */
																																										obj_t
																																											BgL_arg3157z00_3463;
																																										{	/* Ast/unit.scm 645 */
																																											obj_t
																																												BgL_arg3159z00_3464;
																																											{	/* Ast/unit.scm 645 */
																																												obj_t
																																													BgL_arg3160z00_3465;
																																												{	/* Ast/unit.scm 645 */
																																													obj_t
																																														BgL_arg3162z00_3466;
																																													{	/* Ast/unit.scm 645 */
																																														obj_t
																																															BgL_arg3163z00_3467;
																																														BgL_arg3163z00_3467
																																															=
																																															MAKE_YOUNG_PAIR
																																															(BgL_indz00_3446,
																																															BNIL);
																																														BgL_arg3162z00_3466
																																															=
																																															MAKE_YOUNG_PAIR
																																															(BgL_ioptz00_3169,
																																															BgL_arg3163z00_3467);
																																													}
																																													BgL_arg3160z00_3465
																																														=
																																														MAKE_YOUNG_PAIR
																																														(
																																														((obj_t) CNST_TABLE_REF(24)), BgL_arg3162z00_3466);
																																												}
																																												BgL_arg3159z00_3464
																																													=
																																													MAKE_YOUNG_PAIR
																																													(BgL_arg3160z00_3465,
																																													BNIL);
																																											}
																																											BgL_arg3157z00_3463
																																												=
																																												MAKE_YOUNG_PAIR
																																												(BgL_iz00_3444,
																																												BgL_arg3159z00_3464);
																																										}
																																										BgL_arg3156z00_3462
																																											=
																																											MAKE_YOUNG_PAIR
																																											(
																																											((obj_t) CNST_TABLE_REF(1)), BgL_arg3157z00_3463);
																																									}
																																									BgL_arg3153z00_3459
																																										=
																																										MAKE_YOUNG_PAIR
																																										(BgL_arg3156z00_3462,
																																										BNIL);
																																								}
																																								BgL_arg3151z00_3457
																																									=
																																									MAKE_YOUNG_PAIR
																																									(BgL_arg3152z00_3458,
																																									BgL_arg3153z00_3459);
																																							}
																																							BgL_arg3148z00_3456
																																								=
																																								MAKE_YOUNG_PAIR
																																								(
																																								((obj_t) CNST_TABLE_REF(53)), BgL_arg3151z00_3457);
																																						}
																																						BgL_arg3140z00_3450
																																							=
																																							MAKE_YOUNG_PAIR
																																							(BgL_arg3148z00_3456,
																																							BNIL);
																																					}
																																					BgL_arg3137z00_3448
																																						=
																																						MAKE_YOUNG_PAIR
																																						(BgL_arg3139z00_3449,
																																						BgL_arg3140z00_3450);
																																				}
																																				BgL_arg3129z00_3442
																																					=
																																					MAKE_YOUNG_PAIR
																																					(BgL_arg3136z00_3447,
																																					BgL_arg3137z00_3448);
																																			}
																																		}
																																	}
																																}
																															}
																														}
																														BgL_newtail1330z00_3440
																															=
																															MAKE_YOUNG_PAIR
																															(BgL_arg3129z00_3442,
																															BNIL);
																													}
																													SET_CDR
																														(BgL_tail1329z00_3437,
																														BgL_newtail1330z00_3440);
																													{	/* Ast/unit.scm 639 */
																														obj_t
																															BgL_arg3125z00_3441;
																														BgL_arg3125z00_3441
																															=
																															CDR(((obj_t)
																																BgL_l1326z00_3436));
																														{
																															obj_t
																																BgL_tail1329z00_9062;
																															obj_t
																																BgL_l1326z00_9061;
																															BgL_l1326z00_9061
																																=
																																BgL_arg3125z00_3441;
																															BgL_tail1329z00_9062
																																=
																																BgL_newtail1330z00_3440;
																															BgL_tail1329z00_3437
																																=
																																BgL_tail1329z00_9062;
																															BgL_l1326z00_3436
																																=
																																BgL_l1326z00_9061;
																															goto
																																BgL_zc3z04anonymousza33123ze3z87_3438;
																														}
																													}
																												}
																										}
																									}
																									{	/* Ast/unit.scm 647 */
																										obj_t BgL_arg3166z00_3470;

																										{	/* Ast/unit.scm 647 */
																											obj_t BgL_arg3168z00_3471;

																											{	/* Ast/unit.scm 647 */
																												obj_t
																													BgL_arg3169z00_3472;
																												obj_t
																													BgL_arg3170z00_3473;
																												{	/* Ast/unit.scm 647 */
																													obj_t
																														BgL_l1331z00_3474;
																													BgL_l1331z00_3474 =
																														BGl_iotaz00zz__r4_pairs_and_lists_6_3z00
																														((int)
																														(BgL_arityz00_3168),
																														BNIL);
																													if (NULLP
																														(BgL_l1331z00_3474))
																														{	/* Ast/unit.scm 647 */
																															BgL_arg3169z00_3472
																																= BNIL;
																														}
																													else
																														{	/* Ast/unit.scm 647 */
																															obj_t
																																BgL_head1333z00_3476;
																															BgL_head1333z00_3476
																																=
																																MAKE_YOUNG_PAIR
																																(BNIL, BNIL);
																															{
																																obj_t
																																	BgL_l1331z00_3478;
																																obj_t
																																	BgL_tail1334z00_3479;
																																BgL_l1331z00_3478
																																	=
																																	BgL_l1331z00_3474;
																																BgL_tail1334z00_3479
																																	=
																																	BgL_head1333z00_3476;
																															BgL_zc3z04anonymousza33172ze3z87_3480:
																																if (NULLP
																																	(BgL_l1331z00_3478))
																																	{	/* Ast/unit.scm 647 */
																																		BgL_arg3169z00_3472
																																			=
																																			CDR
																																			(BgL_head1333z00_3476);
																																	}
																																else
																																	{	/* Ast/unit.scm 647 */
																																		obj_t
																																			BgL_newtail1335z00_3482;
																																		{	/* Ast/unit.scm 647 */
																																			obj_t
																																				BgL_arg3183z00_3484;
																																			{	/* Ast/unit.scm 647 */
																																				obj_t
																																					BgL_jz00_3485;
																																				BgL_jz00_3485
																																					=
																																					CAR((
																																						(obj_t)
																																						BgL_l1331z00_3478));
																																				{	/* Ast/unit.scm 648 */
																																					obj_t
																																						BgL_arg3186z00_3486;
																																					{	/* Ast/unit.scm 648 */
																																						obj_t
																																							BgL_arg3187z00_3487;
																																						BgL_arg3187z00_3487
																																							=
																																							MAKE_YOUNG_PAIR
																																							(BgL_jz00_3485,
																																							BNIL);
																																						BgL_arg3186z00_3486
																																							=
																																							MAKE_YOUNG_PAIR
																																							(BgL_ioptz00_3169,
																																							BgL_arg3187z00_3487);
																																					}
																																					BgL_arg3183z00_3484
																																						=
																																						MAKE_YOUNG_PAIR
																																						(((obj_t) CNST_TABLE_REF(24)), BgL_arg3186z00_3486);
																																				}
																																			}
																																			BgL_newtail1335z00_3482
																																				=
																																				MAKE_YOUNG_PAIR
																																				(BgL_arg3183z00_3484,
																																				BNIL);
																																		}
																																		SET_CDR
																																			(BgL_tail1334z00_3479,
																																			BgL_newtail1335z00_3482);
																																		{	/* Ast/unit.scm 647 */
																																			obj_t
																																				BgL_arg3179z00_3483;
																																			BgL_arg3179z00_3483
																																				=
																																				CDR((
																																					(obj_t)
																																					BgL_l1331z00_3478));
																																			{
																																				obj_t
																																					BgL_tail1334z00_9083;
																																				obj_t
																																					BgL_l1331z00_9082;
																																				BgL_l1331z00_9082
																																					=
																																					BgL_arg3179z00_3483;
																																				BgL_tail1334z00_9083
																																					=
																																					BgL_newtail1335z00_3482;
																																				BgL_tail1334z00_3479
																																					=
																																					BgL_tail1334z00_9083;
																																				BgL_l1331z00_3478
																																					=
																																					BgL_l1331z00_9082;
																																				goto
																																					BgL_zc3z04anonymousza33172ze3z87_3480;
																																			}
																																		}
																																	}
																															}
																														}
																												}
																												BgL_arg3170z00_3473 =
																													BGl_zc3z04anonymousza33189ze3ze70z60zzast_unitz00
																													(BgL_locz00_88,
																													BgL_keysz00_81);
																												BgL_arg3168z00_3471 =
																													BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																													(BgL_arg3169z00_3472,
																													BgL_arg3170z00_3473);
																											}
																											BgL_arg3166z00_3470 =
																												MAKE_YOUNG_PAIR
																												(BgL_gloz00_80,
																												BgL_arg3168z00_3471);
																										}
																										BgL_arg3121z00_3431 =
																											MAKE_YOUNG_PAIR
																											(BgL_arg3166z00_3470,
																											BNIL);
																									}
																									BgL_arg3043z00_3376 =
																										BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																										(BgL_arg3120z00_3430,
																										BgL_arg3121z00_3431);
																								}
																								BgL_arg3024z00_3357 =
																									MAKE_YOUNG_PAIR
																									(BgL_arg3042z00_3375,
																									BgL_arg3043z00_3376);
																							}
																							BgL_arg3022z00_3355 =
																								MAKE_YOUNG_PAIR
																								(BgL_arg3023z00_3356,
																								BgL_arg3024z00_3357);
																						}
																						BgL_arg3020z00_3354 =
																							MAKE_YOUNG_PAIR(
																							((obj_t)
																								CNST_TABLE_REF(26)),
																							BgL_arg3022z00_3355);
																					}
																					BgL_arg3003z00_3329 =
																						MAKE_YOUNG_PAIR(BgL_arg3020z00_3354,
																						BNIL);
																				}
																				BgL_arg2994z00_3327 =
																					MAKE_YOUNG_PAIR(BgL_arg2999z00_3328,
																					BgL_arg3003z00_3329);
																			}
																			BgL_arg2993z00_3326 =
																				MAKE_YOUNG_PAIR(
																				((obj_t)
																					CNST_TABLE_REF(48)),
																				BgL_arg2994z00_3327);
																		}
																		BgL_arg2831z00_3223 =
																			MAKE_YOUNG_PAIR(BgL_arg2993z00_3326,
																			BNIL);
																	}
																	BgL_arg2829z00_3221 =
																		MAKE_YOUNG_PAIR(BgL_arg2830z00_3222,
																		BgL_arg2831z00_3223);
																}
																BgL_arg2828z00_3220 =
																	MAKE_YOUNG_PAIR(
																	((obj_t)
																		CNST_TABLE_REF(18)), BgL_arg2829z00_3221);
															}
															BgL_arg2823z00_3215 =
																MAKE_YOUNG_PAIR(BgL_arg2828z00_3220, BNIL);
														}
														BgL_arg2821z00_3213 =
															MAKE_YOUNG_PAIR(BgL_arg2822z00_3214,
															BgL_arg2823z00_3215);
													}
													BgL_auxz00_8641 =
														MAKE_YOUNG_PAIR(BgL_arg2820z00_3212,
														BgL_arg2821z00_3213);
												}
												BgL_auxz00_8640 =
													BGl_comptimezd2expandzd2zzexpand_epsz00
													(BgL_auxz00_8641);
											}
											BgL_arg2780z00_3184 =
												BGl_compilezd2expandzd2zzexpand_epsz00(BgL_auxz00_8640);
										}
										BgL_gz00_3181 =
											BGl_defzd2globalzd2sfunz12z12zzast_glozd2defzd2
											(BgL_idz00_3178, BgL_arg2774z00_3182, BgL_arg2775z00_3183,
											BgL_modulez00_83, BgL_classz00_87, BgL_srcz00_86,
											((obj_t) CNST_TABLE_REF(35)), BgL_arg2780z00_3184);
									}
									{	/* Ast/unit.scm 660 */

										{	/* Ast/unit.scm 664 */
											BgL_typez00_bglt BgL_vz00_5546;

											BgL_vz00_5546 =
												((BgL_typez00_bglt) BGl_za2objza2z00zztype_cachez00);
											((((BgL_variablez00_bglt) COBJECT(
															((BgL_variablez00_bglt) BgL_gz00_3181)))->
													BgL_typez00) =
												((BgL_typez00_bglt) BgL_vz00_5546), BUNSPEC);
										}
										((((BgL_globalz00_bglt) COBJECT(BgL_gz00_3181))->
												BgL_evaluablezf3zf3) =
											((bool_t) ((bool_t) 0)), BUNSPEC);
										return BgL_gz00_3181;
									}
								}
							}
						}
					}
				}
			}
		}

	}



/* <@anonymous:3189>~0 */
	obj_t BGl_zc3z04anonymousza33189ze3ze70z60zzast_unitz00(obj_t BgL_locz00_5794,
		obj_t BgL_l1337z00_3491)
	{
		{	/* Ast/unit.scm 650 */
			if (NULLP(BgL_l1337z00_3491))
				{	/* Ast/unit.scm 650 */
					return BNIL;
				}
			else
				{	/* Ast/unit.scm 651 */
					obj_t BgL_arg3193z00_3494;
					obj_t BgL_arg3194z00_3495;

					{	/* Ast/unit.scm 651 */
						obj_t BgL_pz00_3496;

						BgL_pz00_3496 = CAR(((obj_t) BgL_l1337z00_3491));
						{	/* Ast/unit.scm 651 */
							obj_t BgL_idz00_3497;

							{	/* Ast/unit.scm 652 */
								obj_t BgL_arg3202z00_3501;

								BgL_arg3202z00_3501 = CAR(((obj_t) BgL_pz00_3496));
								BgL_idz00_3497 =
									BGl_fastzd2idzd2ofzd2idzd2zzast_identz00(BgL_arg3202z00_3501,
									BgL_locz00_5794);
							}
							{	/* Ast/unit.scm 654 */
								obj_t BgL_arg3197z00_3498;

								BgL_arg3197z00_3498 =
									BGl_symbolzd2ze3keywordz31zz__r4_symbols_6_4z00
									(BgL_idz00_3497);
								{	/* Ast/unit.scm 653 */
									obj_t BgL_list3198z00_3499;

									{	/* Ast/unit.scm 653 */
										obj_t BgL_arg3201z00_3500;

										BgL_arg3201z00_3500 = MAKE_YOUNG_PAIR(BgL_idz00_3497, BNIL);
										BgL_list3198z00_3499 =
											MAKE_YOUNG_PAIR(BgL_arg3197z00_3498, BgL_arg3201z00_3500);
									}
									BgL_arg3193z00_3494 = BgL_list3198z00_3499;
								}
							}
						}
					}
					{	/* Ast/unit.scm 650 */
						obj_t BgL_arg3204z00_3502;

						BgL_arg3204z00_3502 = CDR(((obj_t) BgL_l1337z00_3491));
						BgL_arg3194z00_3495 =
							BGl_zc3z04anonymousza33189ze3ze70z60zzast_unitz00(BgL_locz00_5794,
							BgL_arg3204z00_3502);
					}
					return bgl_append2(BgL_arg3193z00_3494, BgL_arg3194z00_3495);
				}
		}

	}



/* parse-fun-args */
	obj_t BGl_parsezd2funzd2argsz00zzast_unitz00(obj_t BgL_argsz00_89,
		obj_t BgL_srcz00_90, obj_t BgL_locz00_91)
	{
		{	/* Ast/unit.scm 671 */
			{
				obj_t BgL_argsz00_3509;
				obj_t BgL_resz00_3510;

				BgL_argsz00_3509 = BgL_argsz00_89;
				BgL_resz00_3510 = BNIL;
			BgL_zc3z04anonymousza33206ze3z87_3511:
				if (NULLP(BgL_argsz00_3509))
					{	/* Ast/unit.scm 675 */
						return bgl_reverse_bang(BgL_resz00_3510);
					}
				else
					{	/* Ast/unit.scm 675 */
						if (PAIRP(BgL_argsz00_3509))
							{	/* Ast/unit.scm 677 */
								if (BGl_dssslzd2namedzd2constantzf3zf3zz__dssslz00(CAR
										(BgL_argsz00_3509)))
									{	/* Ast/unit.scm 686 */
										obj_t BgL_argz00_3516;

										BgL_argz00_3516 =
											BGl_dssslzd2findzd2firstzd2formalzd2zztools_dssslz00
											(BgL_argsz00_3509);
										if (CBOOL(BgL_argz00_3516))
											{	/* Ast/unit.scm 688 */
												obj_t BgL_arg3211z00_3517;

												{	/* Ast/unit.scm 688 */
													BgL_localz00_bglt BgL_arg3212z00_3518;

													BgL_arg3212z00_3518 =
														BGl_makezd2userzd2localzd2svarzd2zzast_localz00
														(BgL_argz00_3516,
														((BgL_typez00_bglt)
															BGl_za2objza2z00zztype_cachez00));
													BgL_arg3211z00_3517 =
														MAKE_YOUNG_PAIR(((obj_t) BgL_arg3212z00_3518),
														BgL_resz00_3510);
												}
												return bgl_reverse_bang(BgL_arg3211z00_3517);
											}
										else
											{	/* Ast/unit.scm 687 */
												return bgl_reverse_bang(BgL_resz00_3510);
											}
									}
								else
									{	/* Ast/unit.scm 691 */
										obj_t BgL_pidz00_3519;

										BgL_pidz00_3519 =
											BGl_checkzd2idzd2zzast_identz00
											(BGl_parsezd2idzd2zzast_identz00(CAR(BgL_argsz00_3509),
												BgL_locz00_91), BgL_srcz00_90);
										{	/* Ast/unit.scm 691 */
											obj_t BgL_idz00_3520;

											BgL_idz00_3520 = CAR(BgL_pidz00_3519);
											{	/* Ast/unit.scm 692 */
												obj_t BgL_typez00_3521;

												BgL_typez00_3521 = CDR(BgL_pidz00_3519);
												{	/* Ast/unit.scm 693 */

													{	/* Ast/unit.scm 694 */
														obj_t BgL_arg3213z00_3522;
														obj_t BgL_arg3214z00_3523;

														BgL_arg3213z00_3522 = CDR(BgL_argsz00_3509);
														{	/* Ast/unit.scm 695 */
															BgL_localz00_bglt BgL_arg3215z00_3524;

															if (BGl_userzd2symbolzf3z21zzast_identz00
																(BgL_idz00_3520))
																{	/* Ast/unit.scm 695 */
																	BgL_arg3215z00_3524 =
																		BGl_makezd2userzd2localzd2svarzd2zzast_localz00
																		(BgL_idz00_3520,
																		((BgL_typez00_bglt) BgL_typez00_3521));
																}
															else
																{	/* Ast/unit.scm 695 */
																	BgL_arg3215z00_3524 =
																		BGl_makezd2localzd2svarz00zzast_localz00
																		(BgL_idz00_3520,
																		((BgL_typez00_bglt) BgL_typez00_3521));
																}
															BgL_arg3214z00_3523 =
																MAKE_YOUNG_PAIR(
																((obj_t) BgL_arg3215z00_3524), BgL_resz00_3510);
														}
														{
															obj_t BgL_resz00_9162;
															obj_t BgL_argsz00_9161;

															BgL_argsz00_9161 = BgL_arg3213z00_3522;
															BgL_resz00_9162 = BgL_arg3214z00_3523;
															BgL_resz00_3510 = BgL_resz00_9162;
															BgL_argsz00_3509 = BgL_argsz00_9161;
															goto BgL_zc3z04anonymousza33206ze3z87_3511;
														}
													}
												}
											}
										}
									}
							}
						else
							{	/* Ast/unit.scm 678 */
								obj_t BgL_pidz00_3529;

								BgL_pidz00_3529 =
									BGl_checkzd2idzd2zzast_identz00
									(BGl_parsezd2idzd2zzast_identz00(BgL_argsz00_3509,
										BgL_locz00_91), BgL_srcz00_90);
								{	/* Ast/unit.scm 678 */
									obj_t BgL_idz00_3530;

									BgL_idz00_3530 = CAR(BgL_pidz00_3529);
									{	/* Ast/unit.scm 679 */
										obj_t BgL_typez00_3531;

										BgL_typez00_3531 = CDR(BgL_pidz00_3529);
										{	/* Ast/unit.scm 680 */

											{	/* Ast/unit.scm 684 */
												obj_t BgL_arg3220z00_3532;

												{	/* Ast/unit.scm 684 */
													BgL_localz00_bglt BgL_arg3221z00_3533;

													BgL_arg3221z00_3533 =
														BGl_makezd2userzd2localzd2svarzd2zzast_localz00
														(BgL_idz00_3530,
														((BgL_typez00_bglt) BgL_typez00_3531));
													BgL_arg3220z00_3532 =
														MAKE_YOUNG_PAIR(((obj_t) BgL_arg3221z00_3533),
														BgL_resz00_3510);
												}
												return bgl_reverse_bang(BgL_arg3220z00_3532);
											}
										}
									}
								}
							}
					}
			}
		}

	}



/* parse-fun-opt-args */
	obj_t BGl_parsezd2funzd2optzd2argszd2zzast_unitz00(obj_t BgL_argsz00_92,
		obj_t BgL_srcz00_93, obj_t BgL_locz00_94)
	{
		{	/* Ast/unit.scm 703 */
			{	/* Ast/unit.scm 704 */
				obj_t BgL_arg3226z00_3536;
				obj_t BgL_arg3227z00_3537;

				{	/* Ast/unit.scm 704 */
					obj_t BgL_l1338z00_3538;

					BgL_l1338z00_3538 =
						BGl_dssslzd2beforezd2dssslz00zztools_dssslz00(BgL_argsz00_92);
					if (NULLP(BgL_l1338z00_3538))
						{	/* Ast/unit.scm 704 */
							BgL_arg3226z00_3536 = BNIL;
						}
					else
						{	/* Ast/unit.scm 704 */
							obj_t BgL_head1340z00_3540;

							BgL_head1340z00_3540 = MAKE_YOUNG_PAIR(BNIL, BNIL);
							{
								obj_t BgL_l1338z00_3542;
								obj_t BgL_tail1341z00_3543;

								BgL_l1338z00_3542 = BgL_l1338z00_3538;
								BgL_tail1341z00_3543 = BgL_head1340z00_3540;
							BgL_zc3z04anonymousza33229ze3z87_3544:
								if (NULLP(BgL_l1338z00_3542))
									{	/* Ast/unit.scm 704 */
										BgL_arg3226z00_3536 = CDR(BgL_head1340z00_3540);
									}
								else
									{	/* Ast/unit.scm 704 */
										obj_t BgL_newtail1342z00_3546;

										{	/* Ast/unit.scm 704 */
											BgL_localz00_bglt BgL_arg3232z00_3548;

											{	/* Ast/unit.scm 704 */
												obj_t BgL_az00_3549;

												BgL_az00_3549 = CAR(((obj_t) BgL_l1338z00_3542));
												{	/* Ast/unit.scm 705 */
													obj_t BgL_pidz00_3550;

													BgL_pidz00_3550 =
														BGl_checkzd2idzd2zzast_identz00
														(BGl_parsezd2idzd2zzast_identz00(BgL_az00_3549,
															BgL_locz00_94), BgL_srcz00_93);
													{	/* Ast/unit.scm 705 */
														obj_t BgL_idz00_3551;

														BgL_idz00_3551 = CAR(BgL_pidz00_3550);
														{	/* Ast/unit.scm 706 */
															obj_t BgL_typez00_3552;

															BgL_typez00_3552 = CDR(BgL_pidz00_3550);
															{	/* Ast/unit.scm 707 */

																if (BGl_userzd2symbolzf3z21zzast_identz00
																	(BgL_idz00_3551))
																	{	/* Ast/unit.scm 708 */
																		BgL_arg3232z00_3548 =
																			BGl_makezd2userzd2localzd2svarzd2zzast_localz00
																			(BgL_idz00_3551,
																			((BgL_typez00_bglt) BgL_typez00_3552));
																	}
																else
																	{	/* Ast/unit.scm 708 */
																		BgL_arg3232z00_3548 =
																			BGl_makezd2localzd2svarz00zzast_localz00
																			(BgL_idz00_3551,
																			((BgL_typez00_bglt) BgL_typez00_3552));
																	}
															}
														}
													}
												}
											}
											BgL_newtail1342z00_3546 =
												MAKE_YOUNG_PAIR(((obj_t) BgL_arg3232z00_3548), BNIL);
										}
										SET_CDR(BgL_tail1341z00_3543, BgL_newtail1342z00_3546);
										{	/* Ast/unit.scm 704 */
											obj_t BgL_arg3231z00_3547;

											BgL_arg3231z00_3547 = CDR(((obj_t) BgL_l1338z00_3542));
											{
												obj_t BgL_tail1341z00_9197;
												obj_t BgL_l1338z00_9196;

												BgL_l1338z00_9196 = BgL_arg3231z00_3547;
												BgL_tail1341z00_9197 = BgL_newtail1342z00_3546;
												BgL_tail1341z00_3543 = BgL_tail1341z00_9197;
												BgL_l1338z00_3542 = BgL_l1338z00_9196;
												goto BgL_zc3z04anonymousza33229ze3z87_3544;
											}
										}
									}
							}
						}
				}
				{	/* Ast/unit.scm 712 */
					obj_t BgL_l1343z00_3556;

					BgL_l1343z00_3556 =
						BGl_dssslzd2optionalszd2zztools_dssslz00(BgL_argsz00_92);
					if (NULLP(BgL_l1343z00_3556))
						{	/* Ast/unit.scm 712 */
							BgL_arg3227z00_3537 = BNIL;
						}
					else
						{	/* Ast/unit.scm 712 */
							obj_t BgL_head1345z00_3558;

							BgL_head1345z00_3558 = MAKE_YOUNG_PAIR(BNIL, BNIL);
							{
								obj_t BgL_l1343z00_3560;
								obj_t BgL_tail1346z00_3561;

								BgL_l1343z00_3560 = BgL_l1343z00_3556;
								BgL_tail1346z00_3561 = BgL_head1345z00_3558;
							BgL_zc3z04anonymousza33236ze3z87_3562:
								if (NULLP(BgL_l1343z00_3560))
									{	/* Ast/unit.scm 712 */
										BgL_arg3227z00_3537 = CDR(BgL_head1345z00_3558);
									}
								else
									{	/* Ast/unit.scm 712 */
										obj_t BgL_newtail1347z00_3564;

										{	/* Ast/unit.scm 712 */
											BgL_localz00_bglt BgL_arg3239z00_3566;

											{	/* Ast/unit.scm 712 */
												obj_t BgL_oz00_3567;

												BgL_oz00_3567 = CAR(((obj_t) BgL_l1343z00_3560));
												{	/* Ast/unit.scm 713 */
													obj_t BgL_az00_3568;

													BgL_az00_3568 = CAR(((obj_t) BgL_oz00_3567));
													{	/* Ast/unit.scm 713 */
														obj_t BgL_pidz00_3569;

														BgL_pidz00_3569 =
															BGl_checkzd2idzd2zzast_identz00
															(BGl_parsezd2idzd2zzast_identz00(BgL_az00_3568,
																BgL_locz00_94), BgL_srcz00_93);
														{	/* Ast/unit.scm 714 */
															obj_t BgL_idz00_3570;

															BgL_idz00_3570 = CAR(BgL_pidz00_3569);
															{	/* Ast/unit.scm 715 */
																obj_t BgL_typez00_3571;

																BgL_typez00_3571 = CDR(BgL_pidz00_3569);
																{	/* Ast/unit.scm 716 */

																	BgL_arg3239z00_3566 =
																		BGl_makezd2userzd2localzd2svarzd2zzast_localz00
																		(BgL_idz00_3570,
																		((BgL_typez00_bglt) BgL_typez00_3571));
																}
															}
														}
													}
												}
											}
											BgL_newtail1347z00_3564 =
												MAKE_YOUNG_PAIR(((obj_t) BgL_arg3239z00_3566), BNIL);
										}
										SET_CDR(BgL_tail1346z00_3561, BgL_newtail1347z00_3564);
										{	/* Ast/unit.scm 712 */
											obj_t BgL_arg3238z00_3565;

											BgL_arg3238z00_3565 = CDR(((obj_t) BgL_l1343z00_3560));
											{
												obj_t BgL_tail1346z00_9221;
												obj_t BgL_l1343z00_9220;

												BgL_l1343z00_9220 = BgL_arg3238z00_3565;
												BgL_tail1346z00_9221 = BgL_newtail1347z00_3564;
												BgL_tail1346z00_3561 = BgL_tail1346z00_9221;
												BgL_l1343z00_3560 = BgL_l1343z00_9220;
												goto BgL_zc3z04anonymousza33236ze3z87_3562;
											}
										}
									}
							}
						}
				}
				return
					BGl_appendzd221011zd2zzast_unitz00(BgL_arg3226z00_3536,
					BgL_arg3227z00_3537);
			}
		}

	}



/* make-svar-definition */
	obj_t BGl_makezd2svarzd2definitionz00zzast_unitz00(obj_t BgL_idz00_102,
		obj_t BgL_srcz00_103)
	{
		{	/* Ast/unit.scm 731 */
			BGl_defzd2globalzd2svarz12z12zzast_glozd2defzd2(BgL_idz00_102,
				BGl_za2moduleza2z00zzmodule_modulez00, BgL_srcz00_103,
				((obj_t) CNST_TABLE_REF(8)));
			{	/* Ast/unit.scm 735 */
				obj_t BgL_arg3243z00_3578;
				obj_t BgL_arg3244z00_3579;

				BgL_arg3243z00_3578 = CDR(((obj_t) BgL_srcz00_103));
				BgL_arg3244z00_3579 =
					CAR(BGl_checkzd2idzd2zzast_identz00(BGl_parsezd2idzd2zzast_identz00
						(BgL_idz00_102,
							BGl_findzd2locationzd2zztools_locationz00(BgL_srcz00_103)),
						BgL_srcz00_103));
				{	/* Ast/unit.scm 735 */
					obj_t BgL_tmpz00_9232;

					BgL_tmpz00_9232 = ((obj_t) BgL_arg3243z00_3578);
					SET_CAR(BgL_tmpz00_9232, BgL_arg3244z00_3579);
				}
			}
			{	/* Ast/unit.scm 736 */
				obj_t BgL_list3251z00_3583;

				BgL_list3251z00_3583 = MAKE_YOUNG_PAIR(BgL_srcz00_103, BNIL);
				return BgL_list3251z00_3583;
			}
		}

	}



/* make-generic-definition */
	obj_t BGl_makezd2genericzd2definitionz00zzast_unitz00(obj_t BgL_idz00_110,
		obj_t BgL_modulez00_111, obj_t BgL_argsz00_112, obj_t BgL_bodyz00_113,
		obj_t BgL_srcz00_114)
	{
		{	/* Ast/unit.scm 771 */
			{	/* Ast/unit.scm 774 */
				obj_t BgL_optsz00_3616;
				obj_t BgL_keysz00_3617;

				BgL_optsz00_3616 =
					BGl_dssslzd2optionalszd2zztools_dssslz00(BgL_argsz00_112);
				BgL_keysz00_3617 = BGl_dssslzd2keyszd2zztools_dssslz00(BgL_argsz00_112);
				if (NULLP(BgL_optsz00_3616))
					{	/* Ast/unit.scm 777 */
						if (NULLP(BgL_keysz00_3617))
							{	/* Ast/unit.scm 782 */
								BGL_TAIL return
									BGl_makezd2genericzd2nooptzd2definitionzd2zzast_unitz00
									(BgL_idz00_110, BgL_modulez00_111, BgL_argsz00_112,
									BgL_bodyz00_113, BgL_srcz00_114);
							}
						else
							{	/* Ast/unit.scm 782 */
								return
									BGl_makezd2genericzd2keyzd2definitionzd2zzast_unitz00
									(BgL_keysz00_3617, BgL_idz00_110, BgL_modulez00_111,
									BgL_argsz00_112, BgL_bodyz00_113, BgL_srcz00_114);
							}
					}
				else
					{	/* Ast/unit.scm 778 */
						bool_t BgL_test3964z00_9244;

						{	/* Ast/unit.scm 778 */
							obj_t BgL_arg3310z00_3637;

							{	/* Ast/unit.scm 778 */
								obj_t BgL_arg3312z00_3638;

								{	/* Ast/unit.scm 778 */
									obj_t BgL_hook1352z00_3639;

									BgL_hook1352z00_3639 = MAKE_YOUNG_PAIR(BFALSE, BNIL);
									{
										obj_t BgL_l1349z00_3641;
										obj_t BgL_h1350z00_3642;

										BgL_l1349z00_3641 = BgL_argsz00_112;
										BgL_h1350z00_3642 = BgL_hook1352z00_3639;
									BgL_zc3z04anonymousza33313ze3z87_3643:
										if (NULLP(BgL_l1349z00_3641))
											{	/* Ast/unit.scm 778 */
												BgL_arg3312z00_3638 = CDR(BgL_hook1352z00_3639);
											}
										else
											{	/* Ast/unit.scm 778 */
												bool_t BgL_test3966z00_9249;

												{	/* Ast/unit.scm 778 */
													obj_t BgL_arg3318z00_3650;

													BgL_arg3318z00_3650 =
														CAR(((obj_t) BgL_l1349z00_3641));
													BgL_test3966z00_9249 =
														BGl_dssslzd2namedzd2constantzf3zf3zz__dssslz00
														(BgL_arg3318z00_3650);
												}
												if (BgL_test3966z00_9249)
													{	/* Ast/unit.scm 778 */
														obj_t BgL_nh1351z00_3646;

														{	/* Ast/unit.scm 778 */
															obj_t BgL_arg3315z00_3648;

															BgL_arg3315z00_3648 =
																CAR(((obj_t) BgL_l1349z00_3641));
															BgL_nh1351z00_3646 =
																MAKE_YOUNG_PAIR(BgL_arg3315z00_3648, BNIL);
														}
														SET_CDR(BgL_h1350z00_3642, BgL_nh1351z00_3646);
														{	/* Ast/unit.scm 778 */
															obj_t BgL_arg3314z00_3647;

															BgL_arg3314z00_3647 =
																CDR(((obj_t) BgL_l1349z00_3641));
															{
																obj_t BgL_h1350z00_9260;
																obj_t BgL_l1349z00_9259;

																BgL_l1349z00_9259 = BgL_arg3314z00_3647;
																BgL_h1350z00_9260 = BgL_nh1351z00_3646;
																BgL_h1350z00_3642 = BgL_h1350z00_9260;
																BgL_l1349z00_3641 = BgL_l1349z00_9259;
																goto BgL_zc3z04anonymousza33313ze3z87_3643;
															}
														}
													}
												else
													{	/* Ast/unit.scm 778 */
														obj_t BgL_arg3317z00_3649;

														BgL_arg3317z00_3649 =
															CDR(((obj_t) BgL_l1349z00_3641));
														{
															obj_t BgL_l1349z00_9263;

															BgL_l1349z00_9263 = BgL_arg3317z00_3649;
															BgL_l1349z00_3641 = BgL_l1349z00_9263;
															goto BgL_zc3z04anonymousza33313ze3z87_3643;
														}
													}
											}
									}
								}
								BgL_arg3310z00_3637 = CDR(((obj_t) BgL_arg3312z00_3638));
							}
							BgL_test3964z00_9244 = PAIRP(BgL_arg3310z00_3637);
						}
						if (BgL_test3964z00_9244)
							{	/* Ast/unit.scm 780 */
								obj_t BgL_arg3309z00_3636;

								BgL_arg3309z00_3636 =
									BGl_findzd2locationzd2zztools_locationz00(BgL_srcz00_114);
								return
									((obj_t)
									BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00
									(BGl_string3601z00zzast_unitz00, BgL_srcz00_114,
										BgL_arg3309z00_3636));
							}
						else
							{	/* Ast/unit.scm 778 */
								return
									BGl_makezd2genericzd2optzd2definitionzd2zzast_unitz00
									(BgL_optsz00_3616, BgL_idz00_110, BgL_modulez00_111,
									BgL_argsz00_112, BgL_bodyz00_113, BgL_srcz00_114);
							}
					}
			}
		}

	}



/* make-generic-opt-definition */
	obj_t BGl_makezd2genericzd2optzd2definitionzd2zzast_unitz00(obj_t
		BgL_optionalsz00_115, obj_t BgL_idz00_116, obj_t BgL_modulez00_117,
		obj_t BgL_argsz00_118, obj_t BgL_bodyz00_119, obj_t BgL_srcz00_120)
	{
		{	/* Ast/unit.scm 790 */
			{	/* Ast/unit.scm 791 */
				obj_t BgL_locz00_3653;

				BgL_locz00_3653 =
					BGl_findzd2locationzd2zztools_locationz00(BgL_srcz00_120);
				{	/* Ast/unit.scm 791 */
					obj_t BgL_genz00_3654;

					BgL_genz00_3654 =
						BGl_makezd2genericzd2nooptzd2definitionzd2zzast_unitz00
						(BgL_idz00_116, BgL_modulez00_117, BgL_argsz00_118, BgL_bodyz00_119,
						BgL_srcz00_120);
					{	/* Ast/unit.scm 792 */
						obj_t BgL_gloz00_3655;

						{	/* Ast/unit.scm 793 */
							obj_t BgL_arg3320z00_3657;

							BgL_arg3320z00_3657 =
								BGl_fastzd2idzd2ofzd2idzd2zzast_identz00(BgL_idz00_116, BFALSE);
							{	/* Ast/unit.scm 793 */
								obj_t BgL_list3321z00_3658;

								BgL_list3321z00_3658 = MAKE_YOUNG_PAIR(BgL_modulez00_117, BNIL);
								BgL_gloz00_3655 =
									BGl_findzd2globalzd2zzast_envz00(BgL_arg3320z00_3657,
									BgL_list3321z00_3658);
							}
						}
						{	/* Ast/unit.scm 793 */
							BgL_globalz00_bglt BgL_cloz00_3656;

							BgL_cloz00_3656 =
								BGl_makezd2sfunzd2optzd2closurezd2zzast_unitz00(BgL_gloz00_3655,
								BgL_optionalsz00_115, BgL_idz00_116, BgL_modulez00_117,
								BgL_argsz00_118, BgL_bodyz00_119, BgL_srcz00_120,
								((obj_t) CNST_TABLE_REF(13)), BgL_locz00_3653);
							{	/* Ast/unit.scm 794 */

								return
									MAKE_YOUNG_PAIR(((obj_t) BgL_cloz00_3656), BgL_genz00_3654);
							}
						}
					}
				}
			}
		}

	}



/* make-generic-key-definition */
	obj_t BGl_makezd2genericzd2keyzd2definitionzd2zzast_unitz00(obj_t
		BgL_keysz00_121, obj_t BgL_idz00_122, obj_t BgL_modulez00_123,
		obj_t BgL_argsz00_124, obj_t BgL_bodyz00_125, obj_t BgL_srcz00_126)
	{
		{	/* Ast/unit.scm 800 */
			{	/* Ast/unit.scm 801 */
				obj_t BgL_locz00_3659;

				BgL_locz00_3659 =
					BGl_findzd2locationzd2zztools_locationz00(BgL_srcz00_126);
				{	/* Ast/unit.scm 801 */
					obj_t BgL_genz00_3660;

					BgL_genz00_3660 =
						BGl_makezd2genericzd2nooptzd2definitionzd2zzast_unitz00
						(BgL_idz00_122, BgL_modulez00_123, BgL_argsz00_124, BgL_bodyz00_125,
						BgL_srcz00_126);
					{	/* Ast/unit.scm 802 */
						obj_t BgL_gloz00_3661;

						{	/* Ast/unit.scm 803 */
							obj_t BgL_arg3323z00_3663;

							BgL_arg3323z00_3663 =
								BGl_fastzd2idzd2ofzd2idzd2zzast_identz00(BgL_idz00_122, BFALSE);
							{	/* Ast/unit.scm 803 */
								obj_t BgL_list3324z00_3664;

								BgL_list3324z00_3664 = MAKE_YOUNG_PAIR(BgL_modulez00_123, BNIL);
								BgL_gloz00_3661 =
									BGl_findzd2globalzd2zzast_envz00(BgL_arg3323z00_3663,
									BgL_list3324z00_3664);
							}
						}
						{	/* Ast/unit.scm 803 */
							BgL_globalz00_bglt BgL_cloz00_3662;

							BgL_cloz00_3662 =
								BGl_makezd2sfunzd2keyzd2closurezd2zzast_unitz00(BgL_gloz00_3661,
								BgL_keysz00_121, BgL_idz00_122, BgL_modulez00_123,
								BgL_argsz00_124, BgL_bodyz00_125, BgL_srcz00_126,
								((obj_t) CNST_TABLE_REF(13)), BgL_locz00_3659);
							{	/* Ast/unit.scm 804 */

								return
									MAKE_YOUNG_PAIR(((obj_t) BgL_cloz00_3662), BgL_genz00_3660);
							}
						}
					}
				}
			}
		}

	}



/* make-generic-noopt-definition */
	obj_t BGl_makezd2genericzd2nooptzd2definitionzd2zzast_unitz00(obj_t
		BgL_idz00_127, obj_t BgL_modulez00_128, obj_t BgL_argsz00_129,
		obj_t BgL_bodyz00_130, obj_t BgL_srcz00_131)
	{
		{	/* Ast/unit.scm 810 */
			{	/* Ast/unit.scm 833 */
				bool_t BgL_test3967z00_9291;

				if (PAIRP(BgL_argsz00_129))
					{	/* Ast/unit.scm 833 */
						obj_t BgL_tmpz00_9294;

						BgL_tmpz00_9294 = CAR(BgL_argsz00_129);
						BgL_test3967z00_9291 = SYMBOLP(BgL_tmpz00_9294);
					}
				else
					{	/* Ast/unit.scm 833 */
						BgL_test3967z00_9291 = ((bool_t) 0);
					}
				if (BgL_test3967z00_9291)
					{	/* Ast/unit.scm 838 */
						obj_t BgL_locz00_3670;

						BgL_locz00_3670 =
							BGl_findzd2locationzd2zztools_locationz00(BgL_srcz00_131);
						{	/* Ast/unit.scm 838 */
							obj_t BgL_localsz00_3671;

							{	/* Ast/unit.scm 839 */
								bool_t BgL_test3969z00_9298;

								if (BGl_dssslzd2prototypezf3z21zztools_dssslz00
									(BgL_argsz00_129))
									{	/* Ast/unit.scm 840 */
										obj_t BgL_tmpz00_9301;

										BgL_tmpz00_9301 =
											BGl_dssslzd2optionalszd2zztools_dssslz00(BgL_argsz00_129);
										BgL_test3969z00_9298 = PAIRP(BgL_tmpz00_9301);
									}
								else
									{	/* Ast/unit.scm 839 */
										BgL_test3969z00_9298 = ((bool_t) 0);
									}
								if (BgL_test3969z00_9298)
									{	/* Ast/unit.scm 839 */
										BgL_localsz00_3671 =
											BGl_parsezd2funzd2optzd2argszd2zzast_unitz00
											(BgL_argsz00_129, BgL_srcz00_131, BgL_locz00_3670);
									}
								else
									{	/* Ast/unit.scm 839 */
										BgL_localsz00_3671 =
											BGl_parsezd2funzd2argsz00zzast_unitz00(BgL_argsz00_129,
											BgL_srcz00_131, BgL_locz00_3670);
									}
							}
							{	/* Ast/unit.scm 839 */
								obj_t BgL_pidz00_3672;

								BgL_pidz00_3672 =
									BGl_checkzd2idzd2zzast_identz00
									(BGl_parsezd2idzd2zzast_identz00(BgL_idz00_127,
										BgL_locz00_3670), BgL_srcz00_131);
								{	/* Ast/unit.scm 843 */
									obj_t BgL_namez00_3673;

									BgL_namez00_3673 =
										BGl_gensymz00zz__r4_symbols_6_4z00(CAR(BgL_pidz00_3672));
									{	/* Ast/unit.scm 845 */
										obj_t BgL_gbodyz00_3675;

										BgL_gbodyz00_3675 =
											BGl_makezd2genericzd2bodyz00zzobject_genericz00
											(BgL_idz00_127, BgL_localsz00_3671, BgL_argsz00_129,
											BgL_srcz00_131);
										{	/* Ast/unit.scm 846 */
											BgL_globalz00_bglt BgL_genericz00_3676;

											BgL_genericz00_3676 =
												BGl_defzd2globalzd2sfunz12z12zzast_glozd2defzd2
												(BgL_idz00_127, BgL_argsz00_129, BgL_localsz00_3671,
												BgL_modulez00_128, ((obj_t) CNST_TABLE_REF(54)),
												BgL_srcz00_131, ((obj_t) CNST_TABLE_REF(8)),
												BgL_gbodyz00_3675);
											{	/* Ast/unit.scm 847 */
												obj_t BgL_defz00_3677;

												{	/* Ast/unit.scm 849 */
													obj_t BgL_arg3349z00_3699;

													{	/* Ast/unit.scm 849 */
														obj_t BgL_arg3350z00_3700;
														obj_t BgL_arg3351z00_3701;

														{	/* Ast/unit.scm 849 */
															obj_t BgL_arg3352z00_3702;

															{	/* Ast/unit.scm 849 */
																obj_t BgL_arg3353z00_3703;

																{	/* Ast/unit.scm 849 */
																	obj_t BgL_arg3355z00_3704;
																	obj_t BgL_arg3357z00_3705;

																	{	/* Ast/unit.scm 849 */
																		bool_t BgL_test3971z00_9316;

																		if (BGl_dssslzd2prototypezf3z21zztools_dssslz00(BgL_argsz00_129))
																			{	/* Ast/unit.scm 850 */
																				obj_t BgL_tmpz00_9319;

																				BgL_tmpz00_9319 =
																					BGl_dssslzd2optionalszd2zztools_dssslz00
																					(BgL_argsz00_129);
																				BgL_test3971z00_9316 =
																					PAIRP(BgL_tmpz00_9319);
																			}
																		else
																			{	/* Ast/unit.scm 849 */
																				BgL_test3971z00_9316 = ((bool_t) 0);
																			}
																		if (BgL_test3971z00_9316)
																			{	/* Ast/unit.scm 849 */
																				if (NULLP(BgL_localsz00_3671))
																					{	/* Ast/unit.scm 851 */
																						BgL_arg3355z00_3704 = BNIL;
																					}
																				else
																					{	/* Ast/unit.scm 851 */
																						obj_t BgL_head1355z00_3711;

																						{	/* Ast/unit.scm 851 */
																							obj_t BgL_arg3368z00_3723;

																							BgL_arg3368z00_3723 =
																								(((BgL_variablez00_bglt)
																									COBJECT((
																											(BgL_variablez00_bglt) (
																												(BgL_localz00_bglt)
																												CAR(((obj_t)
																														BgL_localsz00_3671))))))->
																								BgL_idz00);
																							BgL_head1355z00_3711 =
																								MAKE_YOUNG_PAIR
																								(BgL_arg3368z00_3723, BNIL);
																						}
																						{	/* Ast/unit.scm 851 */
																							obj_t BgL_g1358z00_3712;

																							BgL_g1358z00_3712 =
																								CDR(
																								((obj_t) BgL_localsz00_3671));
																							{
																								obj_t BgL_l1353z00_3714;
																								obj_t BgL_tail1356z00_3715;

																								BgL_l1353z00_3714 =
																									BgL_g1358z00_3712;
																								BgL_tail1356z00_3715 =
																									BgL_head1355z00_3711;
																							BgL_zc3z04anonymousza33362ze3z87_3716:
																								if (NULLP
																									(BgL_l1353z00_3714))
																									{	/* Ast/unit.scm 851 */
																										BgL_arg3355z00_3704 =
																											BgL_head1355z00_3711;
																									}
																								else
																									{	/* Ast/unit.scm 851 */
																										obj_t
																											BgL_newtail1357z00_3718;
																										{	/* Ast/unit.scm 851 */
																											obj_t BgL_arg3365z00_3720;

																											BgL_arg3365z00_3720 =
																												(((BgL_variablez00_bglt)
																													COBJECT((
																															(BgL_variablez00_bglt)
																															((BgL_localz00_bglt) CAR(((obj_t) BgL_l1353z00_3714))))))->BgL_idz00);
																											BgL_newtail1357z00_3718 =
																												MAKE_YOUNG_PAIR
																												(BgL_arg3365z00_3720,
																												BNIL);
																										}
																										SET_CDR
																											(BgL_tail1356z00_3715,
																											BgL_newtail1357z00_3718);
																										{	/* Ast/unit.scm 851 */
																											obj_t BgL_arg3364z00_3719;

																											BgL_arg3364z00_3719 =
																												CDR(
																												((obj_t)
																													BgL_l1353z00_3714));
																											{
																												obj_t
																													BgL_tail1356z00_9344;
																												obj_t BgL_l1353z00_9343;

																												BgL_l1353z00_9343 =
																													BgL_arg3364z00_3719;
																												BgL_tail1356z00_9344 =
																													BgL_newtail1357z00_3718;
																												BgL_tail1356z00_3715 =
																													BgL_tail1356z00_9344;
																												BgL_l1353z00_3714 =
																													BgL_l1353z00_9343;
																												goto
																													BgL_zc3z04anonymousza33362ze3z87_3716;
																											}
																										}
																									}
																							}
																						}
																					}
																			}
																		else
																			{	/* Ast/unit.scm 849 */
																				BgL_arg3355z00_3704 =
																					BGl_typedzd2argsze70z35zzast_unitz00
																					(BgL_argsz00_129,
																					BgL_genericz00_3676);
																			}
																	}
																	if (PAIRP(BgL_bodyz00_130))
																		{	/* Ast/unit.scm 856 */
																			BgL_arg3357z00_3705 = BgL_bodyz00_130;
																		}
																	else
																		{	/* Ast/unit.scm 858 */
																			obj_t BgL_arg3372z00_3728;

																			{	/* Ast/unit.scm 858 */
																				obj_t BgL_arg3374z00_3729;
																				obj_t BgL_arg3375z00_3730;

																				{	/* Ast/unit.scm 858 */
																					obj_t BgL_arg3377z00_3731;

																					{	/* Ast/unit.scm 858 */
																						obj_t BgL_arg3378z00_3732;

																						BgL_arg3378z00_3732 =
																							MAKE_YOUNG_PAIR(
																							((obj_t)
																								CNST_TABLE_REF(27)), BNIL);
																						BgL_arg3377z00_3731 =
																							MAKE_YOUNG_PAIR(
																							((obj_t)
																								CNST_TABLE_REF(28)),
																							BgL_arg3378z00_3732);
																					}
																					BgL_arg3374z00_3729 =
																						MAKE_YOUNG_PAIR(
																						((obj_t)
																							CNST_TABLE_REF(0)),
																						BgL_arg3377z00_3731);
																				}
																				{	/* Ast/unit.scm 859 */
																					obj_t BgL_arg3379z00_3733;
																					obj_t BgL_arg3380z00_3734;

																					{	/* Ast/unit.scm 859 */
																						obj_t BgL_arg3382z00_3735;

																						BgL_arg3382z00_3735 =
																							MAKE_YOUNG_PAIR(BgL_namez00_3673,
																							BNIL);
																						BgL_arg3379z00_3733 =
																							MAKE_YOUNG_PAIR(((obj_t)
																								CNST_TABLE_REF(29)),
																							BgL_arg3382z00_3735);
																					}
																					{	/* Ast/unit.scm 860 */
																						obj_t BgL_arg3384z00_3736;

																						BgL_arg3384z00_3736 =
																							MAKE_YOUNG_PAIR
																							(BGl_idzd2ofzd2idz00zzast_identz00
																							(CAR(BgL_argsz00_129),
																								BGl_findzd2locationzd2zztools_locationz00
																								(BgL_srcz00_131)), BNIL);
																						BgL_arg3380z00_3734 =
																							MAKE_YOUNG_PAIR
																							(BGl_string3602z00zzast_unitz00,
																							BgL_arg3384z00_3736);
																					}
																					BgL_arg3375z00_3730 =
																						MAKE_YOUNG_PAIR(BgL_arg3379z00_3733,
																						BgL_arg3380z00_3734);
																				}
																				BgL_arg3372z00_3728 =
																					MAKE_YOUNG_PAIR(BgL_arg3374z00_3729,
																					BgL_arg3375z00_3730);
																			}
																			BgL_arg3357z00_3705 =
																				MAKE_YOUNG_PAIR(BgL_arg3372z00_3728,
																				BNIL);
																		}
																	BgL_arg3353z00_3703 =
																		MAKE_YOUNG_PAIR(BgL_arg3355z00_3704,
																		BgL_arg3357z00_3705);
																}
																BgL_arg3352z00_3702 =
																	MAKE_YOUNG_PAIR(BgL_namez00_3673,
																	BgL_arg3353z00_3703);
															}
															BgL_arg3350z00_3700 =
																MAKE_YOUNG_PAIR(BgL_arg3352z00_3702, BNIL);
														}
														BgL_arg3351z00_3701 =
															MAKE_YOUNG_PAIR(BgL_namez00_3673, BNIL);
														BgL_arg3349z00_3699 =
															MAKE_YOUNG_PAIR(BgL_arg3350z00_3700,
															BgL_arg3351z00_3701);
													}
													BgL_defz00_3677 =
														MAKE_YOUNG_PAIR(
														((obj_t) CNST_TABLE_REF(18)), BgL_arg3349z00_3699);
												}
												{	/* Ast/unit.scm 849 */

													BGl_markzd2methodz12zc0zzobject_methodz00
														(BgL_namez00_3673);
													{	/* Ast/unit.scm 869 */
														obj_t BgL_ozd2unitzd2_3678;

														BgL_ozd2unitzd2_3678 =
															BGl_getzd2genericzd2unitz00zzmodule_classz00();
														{	/* Ast/unit.scm 869 */
															BgL_typez00_bglt BgL_typez00_3679;

															BgL_typez00_3679 =
																(((BgL_variablez00_bglt) COBJECT(
																		((BgL_variablez00_bglt)
																			((BgL_localz00_bglt)
																				CAR(
																					((obj_t) BgL_localsz00_3671))))))->
																BgL_typez00);
															{	/* Ast/unit.scm 870 */
																obj_t BgL_genz00_3680;

																{	/* Ast/unit.scm 872 */
																	obj_t BgL_arg3333z00_3686;

																	{	/* Ast/unit.scm 872 */
																		obj_t BgL_arg3334z00_3687;
																		obj_t BgL_arg3335z00_3688;

																		{	/* Ast/unit.scm 872 */
																			obj_t BgL_arg3336z00_3689;

																			{	/* Ast/unit.scm 872 */
																				obj_t BgL_arg3338z00_3690;
																				obj_t BgL_arg3339z00_3691;

																				BgL_arg3338z00_3690 =
																					(((BgL_variablez00_bglt) COBJECT(
																							((BgL_variablez00_bglt)
																								BgL_genericz00_3676)))->
																					BgL_idz00);
																				BgL_arg3339z00_3691 =
																					MAKE_YOUNG_PAIR(BgL_modulez00_128,
																					BNIL);
																				BgL_arg3336z00_3689 =
																					MAKE_YOUNG_PAIR(BgL_arg3338z00_3690,
																					BgL_arg3339z00_3691);
																			}
																			BgL_arg3334z00_3687 =
																				MAKE_YOUNG_PAIR(
																				((obj_t)
																					CNST_TABLE_REF(0)),
																				BgL_arg3336z00_3689);
																		}
																		{	/* Ast/unit.scm 873 */
																			obj_t BgL_arg3340z00_3692;
																			obj_t BgL_arg3341z00_3693;

																			BgL_arg3340z00_3692 =
																				BGl_epairifyzd2propagatezd2locz00zztools_miscz00
																				(BgL_defz00_3677, BgL_locz00_3670);
																			{	/* Ast/unit.scm 874 */
																				obj_t BgL_arg3342z00_3694;
																				obj_t BgL_arg3344z00_3695;

																				{	/* Ast/unit.scm 874 */
																					bool_t BgL_test3976z00_9392;

																					{	/* Ast/unit.scm 874 */
																						obj_t BgL_classz00_5610;

																						BgL_classz00_5610 =
																							BGl_tclassz00zzobject_classz00;
																						{	/* Ast/unit.scm 874 */
																							BgL_objectz00_bglt
																								BgL_arg1858z00_5612;
																							{	/* Ast/unit.scm 874 */
																								obj_t BgL_tmpz00_9393;

																								BgL_tmpz00_9393 =
																									((obj_t)
																									((BgL_objectz00_bglt)
																										BgL_typez00_3679));
																								BgL_arg1858z00_5612 =
																									(BgL_objectz00_bglt)
																									(BgL_tmpz00_9393);
																							}
																							if (BGL_CONDEXPAND_ISA_ARCH64())
																								{	/* Ast/unit.scm 874 */
																									long BgL_idxz00_5618;

																									BgL_idxz00_5618 =
																										BGL_OBJECT_INHERITANCE_NUM
																										(BgL_arg1858z00_5612);
																									BgL_test3976z00_9392 =
																										(VECTOR_REF
																										(BGl_za2inheritancesza2z00zz__objectz00,
																											(BgL_idxz00_5618 + 2L)) ==
																										BgL_classz00_5610);
																								}
																							else
																								{	/* Ast/unit.scm 874 */
																									bool_t BgL_res3573z00_5643;

																									{	/* Ast/unit.scm 874 */
																										obj_t BgL_oclassz00_5626;

																										{	/* Ast/unit.scm 874 */
																											obj_t BgL_arg1866z00_5634;
																											long BgL_arg1867z00_5635;

																											BgL_arg1866z00_5634 =
																												(BGl_za2classesza2z00zz__objectz00);
																											{	/* Ast/unit.scm 874 */
																												long
																													BgL_arg1869z00_5636;
																												BgL_arg1869z00_5636 =
																													BGL_OBJECT_CLASS_NUM
																													(BgL_arg1858z00_5612);
																												BgL_arg1867z00_5635 =
																													(BgL_arg1869z00_5636 -
																													OBJECT_TYPE);
																											}
																											BgL_oclassz00_5626 =
																												VECTOR_REF
																												(BgL_arg1866z00_5634,
																												BgL_arg1867z00_5635);
																										}
																										{	/* Ast/unit.scm 874 */
																											bool_t
																												BgL__ortest_1115z00_5627;
																											BgL__ortest_1115z00_5627 =
																												(BgL_classz00_5610 ==
																												BgL_oclassz00_5626);
																											if (BgL__ortest_1115z00_5627)
																												{	/* Ast/unit.scm 874 */
																													BgL_res3573z00_5643 =
																														BgL__ortest_1115z00_5627;
																												}
																											else
																												{	/* Ast/unit.scm 874 */
																													long
																														BgL_odepthz00_5628;
																													{	/* Ast/unit.scm 874 */
																														obj_t
																															BgL_arg1855z00_5629;
																														BgL_arg1855z00_5629
																															=
																															(BgL_oclassz00_5626);
																														BgL_odepthz00_5628 =
																															BGL_CLASS_DEPTH
																															(BgL_arg1855z00_5629);
																													}
																													if (
																														(2L <
																															BgL_odepthz00_5628))
																														{	/* Ast/unit.scm 874 */
																															obj_t
																																BgL_arg1853z00_5631;
																															{	/* Ast/unit.scm 874 */
																																obj_t
																																	BgL_arg1854z00_5632;
																																BgL_arg1854z00_5632
																																	=
																																	(BgL_oclassz00_5626);
																																BgL_arg1853z00_5631
																																	=
																																	BGL_CLASS_ANCESTORS_REF
																																	(BgL_arg1854z00_5632,
																																	2L);
																															}
																															BgL_res3573z00_5643
																																=
																																(BgL_arg1853z00_5631
																																==
																																BgL_classz00_5610);
																														}
																													else
																														{	/* Ast/unit.scm 874 */
																															BgL_res3573z00_5643
																																= ((bool_t) 0);
																														}
																												}
																										}
																									}
																									BgL_test3976z00_9392 =
																										BgL_res3573z00_5643;
																								}
																						}
																					}
																					if (BgL_test3976z00_9392)
																						{
																							BgL_globalz00_bglt
																								BgL_auxz00_9416;
																							{
																								BgL_tclassz00_bglt
																									BgL_auxz00_9417;
																								{
																									obj_t BgL_auxz00_9418;

																									{	/* Ast/unit.scm 874 */
																										BgL_objectz00_bglt
																											BgL_tmpz00_9419;
																										BgL_tmpz00_9419 =
																											((BgL_objectz00_bglt) (
																												(BgL_typez00_bglt)
																												BgL_typez00_3679));
																										BgL_auxz00_9418 =
																											BGL_OBJECT_WIDENING
																											(BgL_tmpz00_9419);
																									}
																									BgL_auxz00_9417 =
																										((BgL_tclassz00_bglt)
																										BgL_auxz00_9418);
																								}
																								BgL_auxz00_9416 =
																									(((BgL_tclassz00_bglt)
																										COBJECT(BgL_auxz00_9417))->
																									BgL_holderz00);
																							}
																							BgL_arg3342z00_3694 =
																								((obj_t) BgL_auxz00_9416);
																						}
																					else
																						{	/* Ast/unit.scm 874 */
																							BgL_arg3342z00_3694 = BFALSE;
																						}
																				}
																				{	/* Ast/unit.scm 875 */
																					obj_t BgL_arg3346z00_3697;

																					{	/* Ast/unit.scm 875 */
																						obj_t BgL_arg1486z00_5647;

																						BgL_arg1486z00_5647 =
																							SYMBOL_TO_STRING
																							(BgL_namez00_3673);
																						BgL_arg3346z00_3697 =
																							BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																							(BgL_arg1486z00_5647);
																					}
																					BgL_arg3344z00_3695 =
																						MAKE_YOUNG_PAIR(BgL_arg3346z00_3697,
																						BNIL);
																				}
																				BgL_arg3341z00_3693 =
																					MAKE_YOUNG_PAIR(BgL_arg3342z00_3694,
																					BgL_arg3344z00_3695);
																			}
																			BgL_arg3335z00_3688 =
																				MAKE_YOUNG_PAIR(BgL_arg3340z00_3692,
																				BgL_arg3341z00_3693);
																		}
																		BgL_arg3333z00_3686 =
																			MAKE_YOUNG_PAIR(BgL_arg3334z00_3687,
																			BgL_arg3335z00_3688);
																	}
																	BgL_genz00_3680 =
																		MAKE_YOUNG_PAIR(
																		((obj_t)
																			CNST_TABLE_REF(55)), BgL_arg3333z00_3686);
																}
																{	/* Ast/unit.scm 871 */
																	obj_t BgL_sexpza2za2_3681;

																	{	/* Ast/unit.scm 876 */
																		obj_t BgL_list3330z00_3684;

																		{	/* Ast/unit.scm 876 */
																			obj_t BgL_arg3331z00_3685;

																			BgL_arg3331z00_3685 =
																				MAKE_YOUNG_PAIR(BgL_genz00_3680, BNIL);
																			BgL_list3330z00_3684 =
																				MAKE_YOUNG_PAIR(
																				((obj_t) BgL_genericz00_3676),
																				BgL_arg3331z00_3685);
																		}
																		BgL_sexpza2za2_3681 = BgL_list3330z00_3684;
																	}
																	{	/* Ast/unit.scm 876 */

																		{	/* Ast/unit.scm 877 */
																			bool_t BgL_test3980z00_9438;

																			if (STRUCTP(BgL_ozd2unitzd2_3678))
																				{	/* Ast/unit.scm 877 */
																					BgL_test3980z00_9438 =
																						(STRUCT_KEY(BgL_ozd2unitzd2_3678) ==
																						((obj_t) CNST_TABLE_REF(56)));
																				}
																			else
																				{	/* Ast/unit.scm 877 */
																					BgL_test3980z00_9438 = ((bool_t) 0);
																				}
																			if (BgL_test3980z00_9438)
																				{	/* Ast/unit.scm 877 */
																					BGl_unitzd2sexpza2zd2addz12zb0zzast_unitz00
																						(BgL_ozd2unitzd2_3678,
																						BgL_sexpza2za2_3681);
																					{	/* Ast/unit.scm 881 */
																						obj_t BgL_list3329z00_3683;

																						BgL_list3329z00_3683 =
																							MAKE_YOUNG_PAIR(BUNSPEC, BNIL);
																						return BgL_list3329z00_3683;
																					}
																				}
																			else
																				{	/* Ast/unit.scm 877 */
																					return BgL_sexpza2za2_3681;
																				}
																		}
																	}
																}
															}
														}
													}
												}
											}
										}
									}
								}
							}
						}
					}
				else
					{	/* Ast/unit.scm 833 */
						BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00
							(BGl_string3603z00zzast_unitz00, BgL_srcz00_131,
							BGl_findzd2locationzd2zztools_locationz00(BgL_srcz00_131));
						{	/* Ast/unit.scm 837 */
							obj_t BgL_list3398z00_3748;

							BgL_list3398z00_3748 = MAKE_YOUNG_PAIR(BUNSPEC, BNIL);
							return BgL_list3398z00_3748;
						}
					}
			}
		}

	}



/* loop~0 */
	obj_t BGl_loopze70ze7zzast_unitz00(obj_t BgL_argsz00_3764,
		obj_t BgL_formalsz00_3765)
	{
		{	/* Ast/unit.scm 818 */
			{
				obj_t BgL_idz00_3751;

				if (PAIRP(BgL_argsz00_3764))
					{	/* Ast/unit.scm 822 */
						BgL_localz00_bglt BgL_i1132z00_3768;

						BgL_i1132z00_3768 =
							((BgL_localz00_bglt) CAR(((obj_t) BgL_formalsz00_3765)));
						if (BGl_dssslzd2namedzd2constantzf3zf3zz__dssslz00(CAR
								(BgL_argsz00_3764)))
							{	/* Ast/unit.scm 824 */
								return BgL_argsz00_3764;
							}
						else
							{	/* Ast/unit.scm 826 */
								bool_t BgL_test3984z00_9458;

								{	/* Ast/unit.scm 826 */
									obj_t BgL_arg3427z00_3784;

									BgL_arg3427z00_3784 = CAR(BgL_argsz00_3764);
									{	/* Ast/unit.scm 826 */
										obj_t BgL_tmpz00_9460;

										BgL_idz00_3751 = BgL_arg3427z00_3784;
										{	/* Ast/unit.scm 813 */
											obj_t BgL_arg3402z00_3753;

											BgL_arg3402z00_3753 =
												SYMBOL_TO_STRING(((obj_t) BgL_idz00_3751));
											{	/* Ast/unit.scm 813 */

												BgL_tmpz00_9460 =
													BGl_stringzd2containszd2zz__r4_strings_6_7z00
													(BgL_arg3402z00_3753, BGl_string3604z00zzast_unitz00,
													(int) (0L));
										}}
										BgL_test3984z00_9458 = CBOOL(BgL_tmpz00_9460);
								}}
								if (BgL_test3984z00_9458)
									{	/* Ast/unit.scm 827 */
										obj_t BgL_arg3412z00_3773;
										obj_t BgL_arg3413z00_3774;

										BgL_arg3412z00_3773 = CAR(BgL_argsz00_3764);
										{	/* Ast/unit.scm 828 */
											obj_t BgL_arg3415z00_3775;
											obj_t BgL_arg3416z00_3776;

											BgL_arg3415z00_3775 = CDR(BgL_argsz00_3764);
											BgL_arg3416z00_3776 = CDR(((obj_t) BgL_formalsz00_3765));
											BgL_arg3413z00_3774 =
												BGl_loopze70ze7zzast_unitz00(BgL_arg3415z00_3775,
												BgL_arg3416z00_3776);
										}
										return
											MAKE_YOUNG_PAIR(BgL_arg3412z00_3773, BgL_arg3413z00_3774);
									}
								else
									{	/* Ast/unit.scm 830 */
										obj_t BgL_arg3417z00_3777;
										obj_t BgL_arg3419z00_3778;

										{	/* Ast/unit.scm 830 */
											obj_t BgL_arg3420z00_3779;
											obj_t BgL_arg3422z00_3780;

											BgL_arg3420z00_3779 = CAR(BgL_argsz00_3764);
											BgL_arg3422z00_3780 =
												(((BgL_typez00_bglt) COBJECT(
														(((BgL_variablez00_bglt) COBJECT(
																	((BgL_variablez00_bglt) BgL_i1132z00_3768)))->
															BgL_typez00)))->BgL_idz00);
											BgL_arg3417z00_3777 =
												BGl_makezd2typedzd2identz00zzast_identz00
												(BgL_arg3420z00_3779, BgL_arg3422z00_3780);
										}
										{	/* Ast/unit.scm 831 */
											obj_t BgL_arg3424z00_3782;
											obj_t BgL_arg3426z00_3783;

											BgL_arg3424z00_3782 = CDR(BgL_argsz00_3764);
											BgL_arg3426z00_3783 = CDR(((obj_t) BgL_formalsz00_3765));
											BgL_arg3419z00_3778 =
												BGl_loopze70ze7zzast_unitz00(BgL_arg3424z00_3782,
												BgL_arg3426z00_3783);
										}
										return
											MAKE_YOUNG_PAIR(BgL_arg3417z00_3777, BgL_arg3419z00_3778);
									}
							}
					}
				else
					{	/* Ast/unit.scm 820 */
						return BgL_argsz00_3764;
					}
			}
		}

	}



/* typed-args~0 */
	obj_t BGl_typedzd2argsze70z35zzast_unitz00(obj_t BgL_argsz00_3757,
		BgL_globalz00_bglt BgL_genericz00_3758)
	{
		{	/* Ast/unit.scm 831 */
			{	/* Ast/unit.scm 817 */
				BgL_sfunz00_bglt BgL_i1131z00_3761;

				BgL_i1131z00_3761 =
					((BgL_sfunz00_bglt)
					(((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt) BgL_genericz00_3758)))->BgL_valuez00));
				return
					BGl_loopze70ze7zzast_unitz00(BgL_argsz00_3757,
					(((BgL_sfunz00_bglt) COBJECT(BgL_i1131z00_3761))->BgL_argsz00));
			}
		}

	}



/* make-method-definition */
	obj_t BGl_makezd2methodzd2definitionz00zzast_unitz00(obj_t BgL_idz00_132,
		obj_t BgL_argsz00_133, obj_t BgL_bodyz00_134, obj_t BgL_srcz00_135)
	{
		{	/* Ast/unit.scm 886 */
			{	/* Ast/unit.scm 887 */
				bool_t BgL_test3985z00_9487;

				if (PAIRP(BgL_argsz00_133))
					{	/* Ast/unit.scm 887 */
						obj_t BgL_tmpz00_9490;

						BgL_tmpz00_9490 = CAR(BgL_argsz00_133);
						BgL_test3985z00_9487 = SYMBOLP(BgL_tmpz00_9490);
					}
				else
					{	/* Ast/unit.scm 887 */
						BgL_test3985z00_9487 = ((bool_t) 0);
					}
				if (BgL_test3985z00_9487)
					{	/* Ast/unit.scm 892 */
						obj_t BgL_locz00_3792;

						BgL_locz00_3792 =
							BGl_findzd2locationzd2zztools_locationz00(BgL_srcz00_135);
						{	/* Ast/unit.scm 892 */
							obj_t BgL_localsz00_3793;

							BgL_localsz00_3793 =
								BGl_parsezd2funzd2argsz00zzast_unitz00(BgL_argsz00_133,
								BgL_srcz00_135, BgL_locz00_3792);
							{	/* Ast/unit.scm 893 */

								if (BGl_checkzd2methodzd2definitionz00zzast_glozd2defzd2
									(BgL_idz00_132, BgL_argsz00_133, BgL_localsz00_3793,
										BgL_srcz00_135))
									{	/* Ast/unit.scm 896 */
										obj_t BgL_ozd2unitzd2_3795;

										BgL_ozd2unitzd2_3795 =
											BGl_getzd2methodzd2unitz00zzmodule_classz00();
										{	/* Ast/unit.scm 896 */
											obj_t BgL_sexpza2za2_3796;

											BgL_sexpza2za2_3796 =
												BGl_makezd2methodzd2bodyz00zzast_unitz00(BgL_idz00_132,
												BgL_argsz00_133, BgL_localsz00_3793, BgL_bodyz00_134,
												BgL_srcz00_135, BgL_locz00_3792);
											{	/* Ast/unit.scm 897 */

												{	/* Ast/unit.scm 898 */
													bool_t BgL_test3988z00_9499;

													if (STRUCTP(BgL_ozd2unitzd2_3795))
														{	/* Ast/unit.scm 898 */
															BgL_test3988z00_9499 =
																(STRUCT_KEY(BgL_ozd2unitzd2_3795) ==
																((obj_t) CNST_TABLE_REF(56)));
														}
													else
														{	/* Ast/unit.scm 898 */
															BgL_test3988z00_9499 = ((bool_t) 0);
														}
													if (BgL_test3988z00_9499)
														{	/* Ast/unit.scm 898 */
															BGl_unitzd2sexpza2zd2addz12zb0zzast_unitz00
																(BgL_ozd2unitzd2_3795, BgL_sexpza2za2_3796);
															{	/* Ast/unit.scm 902 */
																obj_t BgL_list3434z00_3798;

																BgL_list3434z00_3798 =
																	MAKE_YOUNG_PAIR(BUNSPEC, BNIL);
																return BgL_list3434z00_3798;
															}
														}
													else
														{	/* Ast/unit.scm 898 */
															return BgL_sexpza2za2_3796;
														}
												}
											}
										}
									}
								else
									{	/* Ast/unit.scm 895 */
										obj_t BgL_list3435z00_3799;

										BgL_list3435z00_3799 = MAKE_YOUNG_PAIR(BUNSPEC, BNIL);
										return BgL_list3435z00_3799;
									}
							}
						}
					}
				else
					{	/* Ast/unit.scm 887 */
						BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00
							(BGl_string3605z00zzast_unitz00, BgL_srcz00_135,
							BGl_findzd2locationzd2zztools_locationz00(BgL_srcz00_135));
						{	/* Ast/unit.scm 891 */
							obj_t BgL_list3437z00_3801;

							BgL_list3437z00_3801 = MAKE_YOUNG_PAIR(BUNSPEC, BNIL);
							return BgL_list3437z00_3801;
						}
					}
			}
		}

	}



/* make-method-body */
	obj_t BGl_makezd2methodzd2bodyz00zzast_unitz00(obj_t BgL_identz00_136,
		obj_t BgL_argsz00_137, obj_t BgL_localsz00_138, obj_t BgL_bodyz00_139,
		obj_t BgL_srcz00_140, obj_t BgL_locz00_141)
	{
		{	/* Ast/unit.scm 908 */
			if (BGl_dssslzd2prototypezf3z21zztools_dssslz00(BgL_argsz00_137))
				{	/* Ast/unit.scm 910 */
					if (BGl_dssslzd2optionalzd2onlyzd2prototypezf3z21zztools_dssslz00
						(BgL_argsz00_137))
						{	/* Ast/unit.scm 913 */
							obj_t BgL_localsz00_3806;

							BgL_localsz00_3806 =
								BGl_parsezd2funzd2optzd2argszd2zzast_unitz00(BgL_argsz00_137,
								BgL_srcz00_140, BgL_locz00_141);
							{	/* Ast/unit.scm 914 */
								obj_t BgL_arg3442z00_3807;

								if (NULLP(BgL_localsz00_3806))
									{	/* Ast/unit.scm 914 */
										BgL_arg3442z00_3807 = BNIL;
									}
								else
									{	/* Ast/unit.scm 914 */
										obj_t BgL_head1361z00_3810;

										{	/* Ast/unit.scm 914 */
											obj_t BgL_arg3451z00_3822;

											BgL_arg3451z00_3822 =
												(((BgL_variablez00_bglt) COBJECT(
														((BgL_variablez00_bglt)
															((BgL_localz00_bglt)
																CAR(
																	((obj_t) BgL_localsz00_3806))))))->BgL_idz00);
											BgL_head1361z00_3810 =
												MAKE_YOUNG_PAIR(BgL_arg3451z00_3822, BNIL);
										}
										{	/* Ast/unit.scm 914 */
											obj_t BgL_g1364z00_3811;

											BgL_g1364z00_3811 = CDR(((obj_t) BgL_localsz00_3806));
											{
												obj_t BgL_l1359z00_3813;
												obj_t BgL_tail1362z00_3814;

												BgL_l1359z00_3813 = BgL_g1364z00_3811;
												BgL_tail1362z00_3814 = BgL_head1361z00_3810;
											BgL_zc3z04anonymousza33444ze3z87_3815:
												if (NULLP(BgL_l1359z00_3813))
													{	/* Ast/unit.scm 914 */
														BgL_arg3442z00_3807 = BgL_head1361z00_3810;
													}
												else
													{	/* Ast/unit.scm 914 */
														obj_t BgL_newtail1363z00_3817;

														{	/* Ast/unit.scm 914 */
															obj_t BgL_arg3448z00_3819;

															BgL_arg3448z00_3819 =
																(((BgL_variablez00_bglt) COBJECT(
																		((BgL_variablez00_bglt)
																			((BgL_localz00_bglt)
																				CAR(
																					((obj_t) BgL_l1359z00_3813))))))->
																BgL_idz00);
															BgL_newtail1363z00_3817 =
																MAKE_YOUNG_PAIR(BgL_arg3448z00_3819, BNIL);
														}
														SET_CDR(BgL_tail1362z00_3814,
															BgL_newtail1363z00_3817);
														{	/* Ast/unit.scm 914 */
															obj_t BgL_arg3446z00_3818;

															BgL_arg3446z00_3818 =
																CDR(((obj_t) BgL_l1359z00_3813));
															{
																obj_t BgL_tail1362z00_9539;
																obj_t BgL_l1359z00_9538;

																BgL_l1359z00_9538 = BgL_arg3446z00_3818;
																BgL_tail1362z00_9539 = BgL_newtail1363z00_3817;
																BgL_tail1362z00_3814 = BgL_tail1362z00_9539;
																BgL_l1359z00_3813 = BgL_l1359z00_9538;
																goto BgL_zc3z04anonymousza33444ze3z87_3815;
															}
														}
													}
											}
										}
									}
								return
									BGl_makezd2methodzd2nozd2dssslzd2bodyz00zzobject_methodz00
									(BgL_identz00_136, BgL_arg3442z00_3807, BgL_localsz00_3806,
									BgL_bodyz00_139, BgL_srcz00_140);
							}
						}
					else
						{	/* Ast/unit.scm 912 */
							return
								BGl_makezd2methodzd2dssslzd2bodyzd2zzobject_methodz00
								(BgL_identz00_136, BgL_argsz00_137, BgL_localsz00_138,
								BgL_bodyz00_139, BgL_srcz00_140);
						}
				}
			else
				{	/* Ast/unit.scm 910 */
					return
						BGl_makezd2methodzd2nozd2dssslzd2bodyz00zzobject_methodz00
						(BgL_identz00_136, BgL_argsz00_137, BgL_localsz00_138,
						BgL_bodyz00_139, BgL_srcz00_140);
				}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzast_unitz00(void)
	{
		{	/* Ast/unit.scm 21 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzast_unitz00(void)
	{
		{	/* Ast/unit.scm 21 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzast_unitz00(void)
	{
		{	/* Ast/unit.scm 21 */
			return BUNSPEC;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzast_unitz00(void)
	{
		{	/* Ast/unit.scm 21 */
			BGl_modulezd2initializa7ationz75zztype_typez00(515343395L,
				BSTRING_TO_STRING(BGl_string3606z00zzast_unitz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(90839984L,
				BSTRING_TO_STRING(BGl_string3606z00zzast_unitz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(469732712L,
				BSTRING_TO_STRING(BGl_string3606z00zzast_unitz00));
			BGl_modulezd2initializa7ationz75zztools_tracez00(54713316L,
				BSTRING_TO_STRING(BGl_string3606z00zzast_unitz00));
			BGl_modulezd2initializa7ationz75zzast_findzd2gdefszd2(502577483L,
				BSTRING_TO_STRING(BGl_string3606z00zzast_unitz00));
			BGl_modulezd2initializa7ationz75zzast_glozd2defzd2(44601789L,
				BSTRING_TO_STRING(BGl_string3606z00zzast_unitz00));
			BGl_modulezd2initializa7ationz75zzast_identz00(174885617L,
				BSTRING_TO_STRING(BGl_string3606z00zzast_unitz00));
			BGl_modulezd2initializa7ationz75zzast_envz00(146730773L,
				BSTRING_TO_STRING(BGl_string3606z00zzast_unitz00));
			BGl_modulezd2initializa7ationz75zzast_localz00(315247917L,
				BSTRING_TO_STRING(BGl_string3606z00zzast_unitz00));
			BGl_modulezd2initializa7ationz75zzast_sexpz00(163122759L,
				BSTRING_TO_STRING(BGl_string3606z00zzast_unitz00));
			BGl_modulezd2initializa7ationz75zzast_letz00(469204197L,
				BSTRING_TO_STRING(BGl_string3606z00zzast_unitz00));
			BGl_modulezd2initializa7ationz75zzobject_classz00(502007119L,
				BSTRING_TO_STRING(BGl_string3606z00zzast_unitz00));
			BGl_modulezd2initializa7ationz75zzobject_genericz00(3606241L,
				BSTRING_TO_STRING(BGl_string3606z00zzast_unitz00));
			BGl_modulezd2initializa7ationz75zzobject_methodz00(493120707L,
				BSTRING_TO_STRING(BGl_string3606z00zzast_unitz00));
			BGl_modulezd2initializa7ationz75zztools_prognz00(301998274L,
				BSTRING_TO_STRING(BGl_string3606z00zzast_unitz00));
			BGl_modulezd2initializa7ationz75zztools_argsz00(47102372L,
				BSTRING_TO_STRING(BGl_string3606z00zzast_unitz00));
			BGl_modulezd2initializa7ationz75zztools_miscz00(9470071L,
				BSTRING_TO_STRING(BGl_string3606z00zzast_unitz00));
			BGl_modulezd2initializa7ationz75zztools_speekz00(61247943L,
				BSTRING_TO_STRING(BGl_string3606z00zzast_unitz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(365925558L,
				BSTRING_TO_STRING(BGl_string3606z00zzast_unitz00));
			BGl_modulezd2initializa7ationz75zztools_locationz00(462333240L,
				BSTRING_TO_STRING(BGl_string3606z00zzast_unitz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(300504031L,
				BSTRING_TO_STRING(BGl_string3606z00zzast_unitz00));
			BGl_modulezd2initializa7ationz75zztools_dssslz00(275867955L,
				BSTRING_TO_STRING(BGl_string3606z00zzast_unitz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(161876678L,
				BSTRING_TO_STRING(BGl_string3606z00zzast_unitz00));
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(158397907L,
				BSTRING_TO_STRING(BGl_string3606z00zzast_unitz00));
			BGl_modulezd2initializa7ationz75zzmodule_classz00(153808441L,
				BSTRING_TO_STRING(BGl_string3606z00zzast_unitz00));
			BGl_modulezd2initializa7ationz75zzmodule_includez00(184800657L,
				BSTRING_TO_STRING(BGl_string3606z00zzast_unitz00));
			BGl_modulezd2initializa7ationz75zzmodule_impusez00(478324304L,
				BSTRING_TO_STRING(BGl_string3606z00zzast_unitz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(489890788L,
				BSTRING_TO_STRING(BGl_string3606z00zzast_unitz00));
			BGl_modulezd2initializa7ationz75zztype_envz00(296457443L,
				BSTRING_TO_STRING(BGl_string3606z00zzast_unitz00));
			return
				BGl_modulezd2initializa7ationz75zzexpand_epsz00(359337187L,
				BSTRING_TO_STRING(BGl_string3606z00zzast_unitz00));
		}

	}

#ifdef __cplusplus
}
#endif
