/*===========================================================================*/
/*   (BackEnd/c.scm)                                                         */
/*   Bigloo (4.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Jan 27 07:45:49 AM CET 2025     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.6a/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.6a/lib/bigloo/4.6a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -stdc -indent BackEnd/c.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL_BACKEND_C_TYPE_DEFINITIONS
#define BGL_BACKEND_C_TYPE_DEFINITIONS

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_nullz00;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_qualifiedzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_tclassz00_bgl
	{
		obj_t BgL_itszd2superzd2;
		obj_t BgL_slotsz00;
		struct BgL_globalz00_bgl *BgL_holderz00;
		obj_t BgL_wideningz00;
		long BgL_depthz00;
		bool_t BgL_finalzf3zf3;
		obj_t BgL_constructorz00;
		obj_t BgL_virtualzd2slotszd2numberz00;
		bool_t BgL_abstractzf3zf3;
		obj_t BgL_widezd2typezd2;
		obj_t BgL_subclassesz00;
	}                *BgL_tclassz00_bglt;

	typedef struct BgL_slotz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_srcz00;
		obj_t BgL_classzd2ownerzd2;
		long BgL_indexz00;
		obj_t BgL_typez00;
		bool_t BgL_readzd2onlyzf3z21;
		obj_t BgL_defaultzd2valuezd2;
		obj_t BgL_virtualzd2numzd2;
		bool_t BgL_virtualzd2overridezd2;
		obj_t BgL_getterz00;
		obj_t BgL_setterz00;
		obj_t BgL_userzd2infozd2;
	}              *BgL_slotz00_bglt;

	typedef struct BgL_backendz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
		bool_t BgL_boundzd2checkzd2;
		bool_t BgL_typezd2checkzd2;
		bool_t BgL_typedzd2funcallzd2;
		bool_t BgL_strictzd2typezd2castz00;
		bool_t BgL_forcezd2registerzd2gczd2rootszd2;
		bool_t BgL_stringzd2literalzd2supportz00;
		bool_t BgL_boxedzd2fixnumszd2;
		bool_t BgL_typedzd2closureszd2;
	}                 *BgL_backendz00_bglt;

	typedef struct BgL_cvmz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
		bool_t BgL_boundzd2checkzd2;
		bool_t BgL_typezd2checkzd2;
		bool_t BgL_typedzd2funcallzd2;
		bool_t BgL_strictzd2typezd2castz00;
		bool_t BgL_forcezd2registerzd2gczd2rootszd2;
		bool_t BgL_stringzd2literalzd2supportz00;
		bool_t BgL_boxedzd2fixnumszd2;
		bool_t BgL_typedzd2closureszd2;
	}             *BgL_cvmz00_bglt;

	typedef struct BgL_sawcz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
		bool_t BgL_boundzd2checkzd2;
		bool_t BgL_typezd2checkzd2;
		bool_t BgL_typedzd2funcallzd2;
		bool_t BgL_strictzd2typezd2castz00;
		bool_t BgL_forcezd2registerzd2gczd2rootszd2;
		bool_t BgL_stringzd2literalzd2supportz00;
		bool_t BgL_boxedzd2fixnumszd2;
		bool_t BgL_typedzd2closureszd2;
	}              *BgL_sawcz00_bglt;

	typedef struct BgL_cgenz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
		bool_t BgL_boundzd2checkzd2;
		bool_t BgL_typezd2checkzd2;
		bool_t BgL_typedzd2funcallzd2;
		bool_t BgL_strictzd2typezd2castz00;
		bool_t BgL_forcezd2registerzd2gczd2rootszd2;
		bool_t BgL_stringzd2literalzd2supportz00;
		bool_t BgL_boxedzd2fixnumszd2;
		bool_t BgL_typedzd2closureszd2;
	}              *BgL_cgenz00_bglt;


#endif													// BGL_BACKEND_C_TYPE_DEFINITIONS
#endif													// BGL_MODULE_TYPE_DEFINITIONS

	BGL_IMPORT obj_t BGl_numberzd2ze3stringz31zz__r4_numbers_6_5z00(obj_t, obj_t);
	static bool_t BGl_z62zc3z04anonymousza31846ze3ze5zzbackend_cz00(obj_t, obj_t);
	extern obj_t BGl_findzd2librarieszd2zzengine_linkz00(obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzbackend_cz00 = BUNSPEC;
	extern obj_t BGl_za2autozd2linkzd2mainza2z00zzengine_paramz00;
	extern obj_t
		BGl_backendzd2compilezd2functionsz00zzbackend_backendz00
		(BgL_backendz00_bglt);
	static obj_t BGl_z62zc3z04anonymousza31791ze3ze5zzbackend_cz00(obj_t);
	BGL_IMPORT obj_t bgl_display_obj(obj_t, obj_t);
	extern obj_t BGl_za2srczd2filesza2zd2zzengine_paramz00;
	extern obj_t BGl_indentz00zzcc_indentz00(obj_t);
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	extern obj_t BGl_za2czd2portza2zd2zzbackend_c_emitz00;
	BGL_IMPORT obj_t BGl_warningz00zz__errorz00(obj_t);
	extern obj_t BGl_sfunz00zzast_varz00;
	static obj_t BGl_z62backendzd2gczd2initzd2cvm1500zb0zzbackend_cz00(obj_t,
		obj_t);
	extern obj_t BGl_addzd2evalzd2libraryz12z12zzmodule_evalz00(obj_t);
	extern obj_t BGl_setzd2backendz12zc0zzbackend_backendz00(obj_t);
	extern obj_t BGl_za2czd2userzd2footza2z00zzengine_paramz00;
	extern obj_t BGl_za2passza2z00zzengine_paramz00;
	static obj_t BGl_toplevelzd2initzd2zzbackend_cz00(void);
	extern obj_t BGl_za2bigloozd2tmpza2zd2zzengine_paramz00;
	extern obj_t BGl_ldz00zzcc_ldz00(obj_t, bool_t);
	static obj_t BGl_z62zc3z04anonymousza31785ze3ze5zzbackend_cz00(obj_t);
	extern obj_t BGl_emitzd2unsafezd2activationz00zzbackend_c_emitz00(void);
	extern obj_t BGl_cgenz00zzbackend_cvmz00;
	extern obj_t BGl_forzd2eachzd2globalz12z12zzast_envz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_getenvz00zz__osz00(obj_t);
	extern obj_t BGl_za2restzd2argsza2zd2zzengine_paramz00;
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_stopzd2emissionz12zc0zzbackend_c_emitz00(void);
	static obj_t BGl_genericzd2initzd2zzbackend_cz00(void);
	BGL_IMPORT obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
	static obj_t BGl_objectzd2initzd2zzbackend_cz00(void);
	static obj_t BGl_z62zc3z04anonymousza31787ze3ze5zzbackend_cz00(obj_t);
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	BGL_IMPORT obj_t bgl_reverse_bang(obj_t);
	BGL_IMPORT obj_t string_append_3(obj_t, obj_t, obj_t);
	extern obj_t BGl_typez00zztype_typez00;
	extern obj_t BGl_gczd2rootszd2emitz00zzcc_rootsz00(obj_t);
	extern obj_t BGl_emitzd2includezd2zzbackend_c_emitz00(void);
	extern obj_t BGl_emitzd2classzd2typesz00zzbackend_c_prototypez00(obj_t,
		obj_t);
	static obj_t BGl_makezd2tmpzd2filezd2namezd2zzbackend_cz00(void);
	BGL_IMPORT obj_t BGl_fprintfz00zz__r4_output_6_10_3z00(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_makezd2filezd2namez00zz__osz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	extern obj_t BGl_startzd2emissionz12zc0zzbackend_c_emitz00(obj_t);
	extern obj_t BGl_emitzd2prototypeszd2zzbackend_c_prototypez00(void);
	extern obj_t BGl_makezd2tmpzd2mainz00zzengine_linkz00(obj_t, bool_t, obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_cczd2compilerzd2zzbackend_cz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_appendzd221011zd2zzbackend_cz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzbackend_cz00(void);
	extern obj_t
		BGl_typezd2occurrencezd2incrementz12z12zztype_typez00(BgL_typez00_bglt);
	extern obj_t
		BGl_emitzd2garbagezd2collectorzd2selectionzd2zzbackend_c_emitz00(void);
	extern obj_t BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00;
	extern obj_t BGl_registerzd2backendz12zc0zzbackend_backendz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31898ze3ze5zzbackend_cz00(obj_t);
	extern obj_t BGl_emitzd2debugzd2activationz00zzbackend_c_emitz00(void);
	BGL_IMPORT obj_t bgl_close_input_port(obj_t);
	extern obj_t BGl_za2bdbzd2debugza2zd2zzengine_paramz00;
	extern obj_t BGl_findzd2mainzd2zzengine_linkz00(obj_t);
	static obj_t BGl_z62backendzd2cnstzd2tablezd2n1493zb0zzbackend_cz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_czd2walkzd2zzbackend_cz00(BgL_cvmz00_bglt);
	BGL_IMPORT obj_t string_append(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_stringzd2upcasezd2zz__r4_strings_6_7z00(obj_t);
	static obj_t BGl_z62backendzd2compilezd2cvm1489z62zzbackend_cz00(obj_t,
		obj_t);
	BGL_IMPORT bool_t BGl_bigloozd2needzd2manglingzf3zf3zz__biglooz00(obj_t);
	extern obj_t BGl_za2compilerzd2debugza2zd2zzengine_paramz00;
	static obj_t BGl_z62buildzd2sawczd2backendz62zzbackend_cz00(obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_za2_za2z00zztype_cachez00;
	static obj_t BGl_z62backendzd2subtypezf3zd2cvm1498z91zzbackend_cz00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62buildzd2cgenzd2backendz62zzbackend_cz00(obj_t);
	BGL_IMPORT obj_t BGl_classzd2constructorzd2zz__objectz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza31613ze3ze5zzbackend_cz00(obj_t, obj_t);
	extern obj_t BGl_za2moduleza2z00zzmodule_modulez00;
	extern obj_t BGl_emitzd2bdbzd2infoz00zzbdb_emitz00(obj_t, obj_t);
	static obj_t BGl_z62backendzd2linkzd2cvm1491z62zzbackend_cz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31606ze3ze5zzbackend_cz00(obj_t, obj_t);
	static obj_t BGl_z62cczd2compilerzb0zzbackend_cz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_compilerz00zzengine_compilerz00(void);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzbackend_cz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_c_compilez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcgen_compilez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_typezd2occurzd2(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzread_readerz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzinit_setrcz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcc_rootsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcc_ldz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcc_ccz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcc_indentz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_c_mainz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_c_prototypez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_c_emitz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_cvmz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_initz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzprof_emitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbdb_settingz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbdb_emitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_slotsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_buildz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_occurz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typeofz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_evalz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_alibraryz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_libraryz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_linkz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_compilerz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_configurez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_passz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__expandz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__configurez00(long,
		char *);
	BGL_IMPORT obj_t BGl_openzd2inputzd2filez00zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	extern obj_t
		BGl_emitzd2dlopenzd2initz00zzbackend_c_emitz00(BgL_globalz00_bglt, obj_t);
	BGL_IMPORT obj_t BGl_expandz00zz__expandz00(obj_t);
	extern obj_t BGl_za2mcozd2suffixza2zd2zzengine_paramz00;
	BGL_IMPORT bool_t fexists(char *);
	extern obj_t BGl_za2profilezd2modeza2zd2zzengine_paramz00;
	BGL_IMPORT obj_t BGl_stringzd2appendzd2zz__r4_strings_6_7z00(obj_t);
	extern obj_t BGl_emitzd2mainzd2zzbackend_c_emitz00(void);
	extern obj_t BGl_za2czd2objectzd2filezd2extensionza2zd2zzengine_paramz00;
	static obj_t BGl_z62backendzd2linkzd2objects1495z62zzbackend_cz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_getzd2modulezd2initz00zzbackend_initz00(void);
	extern obj_t BGl_bdbzd2settingz12zc0zzbdb_settingz00(void);
	BGL_IMPORT obj_t BGl_suffixz00zz__osz00(obj_t);
	extern obj_t BGl_loadzd2libraryzd2initz00zzmodule_alibraryz00(void);
	extern obj_t BGl_localz00zzast_varz00;
	extern obj_t BGl_za2unsafezd2libraryza2zd2zzengine_paramz00;
	static obj_t BGl_cnstzd2initzd2zzbackend_cz00(void);
	static obj_t BGl_libraryzd2moduleszd2initz00zzbackend_cz00(void);
	extern bool_t
		BGl_requirezd2prototypezf3z21zzbackend_c_prototypez00(BgL_globalz00_bglt);
	extern obj_t BGl_compilerzd2readzd2zzread_readerz00(obj_t);
	extern obj_t BGl_emitzd2headerzd2zzbackend_c_emitz00(void);
	static obj_t BGl_importedzd2moduleszd2initz00zzbackend_cz00(void);
	BGL_IMPORT obj_t BGl_prefixz00zz__osz00(obj_t);
	extern obj_t BGl_za2gczd2forcezd2registerzd2rootszf3za2z21zzengine_paramz00;
	static obj_t BGl_gczd2rootszd2initz00zzbackend_cz00(void);
	BGL_IMPORT obj_t bigloo_mangle(obj_t);
	extern obj_t BGl_za2srczd2suffixza2zd2zzengine_paramz00;
	extern obj_t BGl_za2ozd2filesza2zd2zzengine_paramz00;
	extern obj_t BGl_emitzd2cnstszd2zzbackend_c_prototypez00(void);
	BGL_IMPORT obj_t BGl_bigloozd2configzd2zz__configurez00(obj_t);
	extern obj_t BGl_emitzd2tracezd2activationz00zzbackend_c_emitz00(void);
	extern obj_t BGl_za2currentzd2passza2zd2zzengine_passz00;
	extern obj_t
		BGl_typezd2incrementzd2globalz12z12zzast_typezd2occurzd2
		(BgL_globalz00_bglt);
	BGL_IMPORT obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
	static obj_t BGl_modulezd2ze3idz31zzbackend_cz00(obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_ccz00zzcc_ccz00(obj_t, obj_t, bool_t);
	extern obj_t BGl_sawcz00zzbackend_cvmz00;
	static obj_t BGl_z62zc3z04anonymousza31590ze3ze5zzbackend_cz00(obj_t);
	extern obj_t BGl_forzd2eachzd2typez12z12zztype_envz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_buildzd2sawczd2backendz00zzbackend_cz00(void);
	extern obj_t BGl_cvmz00zzbackend_cvmz00;
	extern obj_t BGl_emitzd2profzd2infoz00zzprof_emitz00(obj_t, obj_t);
	extern obj_t BGl_stopzd2onzd2passz00zzengine_passz00(obj_t, obj_t);
	extern obj_t BGl_za2dlopenzd2initza2zd2zzengine_paramz00;
	extern obj_t BGl_za2czd2userzd2headerza2z00zzengine_paramz00;
	extern obj_t BGl_za2czd2debugza2zd2zzengine_paramz00;
	extern obj_t BGl_getzd2classzd2listz00zzobject_classz00(void);
	BGL_EXPORTED_DECL obj_t BGl_buildzd2cgenzd2backendz00zzbackend_cz00(void);
	extern obj_t BGl_usezd2libraryz12zc0zzmodule_alibraryz00(obj_t);
	extern obj_t BGl_globalz00zzast_varz00;
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_memberz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	extern obj_t BGl_za2mainza2z00zzmodule_modulez00;
	static obj_t BGl_z62zc3z04anonymousza31756ze3ze5zzbackend_cz00(obj_t);
	static obj_t __cnst[21];


	   
		 
		DEFINE_STRING(BGl_string2044z00zzbackend_cz00,
		BgL_bgl_string2044za700za7za7b2097za7, "dummy", 5);
	      DEFINE_STRING(BGl_string2045z00zzbackend_cz00,
		BgL_bgl_string2045za700za7za7b2098za7, "heap", 4);
	      DEFINE_STRING(BGl_string2046z00zzbackend_cz00,
		BgL_bgl_string2046za700za7za7b2099za7, "C generation (saw)", 18);
	      DEFINE_STRING(BGl_string2047z00zzbackend_cz00,
		BgL_bgl_string2047za700za7za7b2100za7, "C generation (cgen)", 19);
	      DEFINE_STRING(BGl_string2048z00zzbackend_cz00,
		BgL_bgl_string2048za700za7za7b2101za7, "   . ", 5);
	      DEFINE_STRING(BGl_string2050z00zzbackend_cz00,
		BgL_bgl_string2050za700za7za7b2102za7, "failure during prelude hook", 27);
	      DEFINE_STRING(BGl_string2051z00zzbackend_cz00,
		BgL_bgl_string2051za700za7za7b2103za7, "/* User header */", 17);
	      DEFINE_STRING(BGl_string2052z00zzbackend_cz00,
		BgL_bgl_string2052za700za7za7b2104za7, "#ifdef __cplusplus", 18);
	      DEFINE_STRING(BGl_string2053z00zzbackend_cz00,
		BgL_bgl_string2053za700za7za7b2105za7, "extern \"C\" {", 12);
	      DEFINE_STRING(BGl_string2054z00zzbackend_cz00,
		BgL_bgl_string2054za700za7za7b2106za7, "#endif", 6);
	      DEFINE_STRING(BGl_string2055z00zzbackend_cz00,
		BgL_bgl_string2055za700za7za7b2107za7,
		"#ifndef BGL_MODULE_TYPE_DEFINITIONS\n", 36);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2049z00zzbackend_cz00,
		BgL_bgl_za762za7c3za704anonymo2108za7,
		BGl_z62zc3z04anonymousza31590ze3ze5zzbackend_cz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string2056z00zzbackend_cz00,
		BgL_bgl_string2056za700za7za7b2109za7,
		"#define BGL_MODULE_TYPE_DEFINITIONS\n", 36);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_cczd2compilerzd2envz00zzbackend_cz00,
		BgL_bgl_za762ccza7d2compiler2110z00, BGl_z62cczd2compilerzb0zzbackend_cz00,
		0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2057z00zzbackend_cz00,
		BgL_bgl_string2057za700za7za7b2111za7, "#ifndef BGL_~a_TYPE_DEFINITIONS\n",
		32);
	      DEFINE_STRING(BGl_string2058z00zzbackend_cz00,
		BgL_bgl_string2058za700za7za7b2112za7, "#define BGL_~a_TYPE_DEFINITIONS\n",
		32);
	      DEFINE_STRING(BGl_string2061z00zzbackend_cz00,
		BgL_bgl_string2061za700za7za7b2113za7,
		"#endif // BGL_~a_TYPE_DEFINITIONS\n", 34);
	      DEFINE_STRING(BGl_string2062z00zzbackend_cz00,
		BgL_bgl_string2062za700za7za7b2114za7,
		"#endif // BGL_MODULE_TYPE_DEFINITIONS\n", 38);
	      DEFINE_STRING(BGl_string2063z00zzbackend_cz00,
		BgL_bgl_string2063za700za7za7b2115za7, "}", 1);
	      DEFINE_STRING(BGl_string2064z00zzbackend_cz00,
		BgL_bgl_string2064za700za7za7b2116za7, ".c", 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2059z00zzbackend_cz00,
		BgL_bgl_za762za7c3za704anonymo2117za7,
		BGl_z62zc3z04anonymousza31606ze3ze5zzbackend_cz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2066z00zzbackend_cz00,
		BgL_bgl_string2066za700za7za7b2118za7, "USER", 4);
	      DEFINE_STRING(BGl_string2067z00zzbackend_cz00,
		BgL_bgl_string2067za700za7za7b2119za7, "", 0);
	      DEFINE_STRING(BGl_string2068z00zzbackend_cz00,
		BgL_bgl_string2068za700za7za7b2120za7, ".", 1);
	      DEFINE_STRING(BGl_string2069z00zzbackend_cz00,
		BgL_bgl_string2069za700za7za7b2121za7, "@", 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2060z00zzbackend_cz00,
		BgL_bgl_za762za7c3za704anonymo2122za7,
		BGl_z62zc3z04anonymousza31613ze3ze5zzbackend_cz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2070z00zzbackend_cz00,
		BgL_bgl_string2070za700za7za7b2123za7, "main-tmp", 8);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2065z00zzbackend_cz00,
		BgL_bgl_za762za7c3za704anonymo2124za7,
		BGl_z62zc3z04anonymousza31756ze3ze5zzbackend_cz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string2072z00zzbackend_cz00,
		BgL_bgl_string2072za700za7za7b2125za7, "backend-compile", 15);
	      DEFINE_STRING(BGl_string2074z00zzbackend_cz00,
		BgL_bgl_string2074za700za7za7b2126za7, "backend-link", 12);
	      DEFINE_STRING(BGl_string2076z00zzbackend_cz00,
		BgL_bgl_string2076za700za7za7b2127za7, "backend-cnst-table-name", 23);
	      DEFINE_STRING(BGl_string2078z00zzbackend_cz00,
		BgL_bgl_string2078za700za7za7b2128za7, "backend-link-objects", 20);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2071z00zzbackend_cz00,
		BgL_bgl_za762backendza7d2com2129z00,
		BGl_z62backendzd2compilezd2cvm1489z62zzbackend_cz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2073z00zzbackend_cz00,
		BgL_bgl_za762backendza7d2lin2130z00,
		BGl_z62backendzd2linkzd2cvm1491z62zzbackend_cz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2080z00zzbackend_cz00,
		BgL_bgl_string2080za700za7za7b2131za7, "backend-subtype?", 16);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2075z00zzbackend_cz00,
		BgL_bgl_za762backendza7d2cns2132z00,
		BGl_z62backendzd2cnstzd2tablezd2n1493zb0zzbackend_cz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2082z00zzbackend_cz00,
		BgL_bgl_string2082za700za7za7b2133za7, "backend-gc-init", 15);
	      DEFINE_STRING(BGl_string2083z00zzbackend_cz00,
		BgL_bgl_string2083za700za7za7b2134za7, " -- ", 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2077z00zzbackend_cz00,
		BgL_bgl_za762backendza7d2lin2135z00,
		BGl_z62backendzd2linkzd2objects1495z62zzbackend_cz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2084z00zzbackend_cz00,
		BgL_bgl_string2084za700za7za7b2136za7, "No source file found", 20);
	      DEFINE_STRING(BGl_string2085z00zzbackend_cz00,
		BgL_bgl_string2085za700za7za7b2137za7, "link", 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2079z00zzbackend_cz00,
		BgL_bgl_za762backendza7d2sub2138z00,
		BGl_z62backendzd2subtypezf3zd2cvm1498z91zzbackend_cz00, 0L, BUNSPEC, 3);
	      DEFINE_STRING(BGl_string2086z00zzbackend_cz00,
		BgL_bgl_string2086za700za7za7b2139za7, "\"", 1);
	      DEFINE_STRING(BGl_string2087z00zzbackend_cz00,
		BgL_bgl_string2087za700za7za7b2140za7, "Illegal file", 12);
	      DEFINE_STRING(BGl_string2088z00zzbackend_cz00,
		BgL_bgl_string2088za700za7za7b2141za7, "*__cnst", 7);
	      DEFINE_STRING(BGl_string2089z00zzbackend_cz00,
		BgL_bgl_string2089za700za7za7b2142za7, "__cnst[ ", 8);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2081z00zzbackend_cz00,
		BgL_bgl_za762backendza7d2gcza72143za7,
		BGl_z62backendzd2gczd2initzd2cvm1500zb0zzbackend_cz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2090z00zzbackend_cz00,
		BgL_bgl_string2090za700za7za7b2144za7, " ] ", 3);
	      DEFINE_STRING(BGl_string2094z00zzbackend_cz00,
		BgL_bgl_string2094za700za7za7b2145za7, "backend_c", 9);
	      DEFINE_STRING(BGl_string2095z00zzbackend_cz00,
		BgL_bgl_string2095za700za7za7b2146za7,
		"cindent distrib cgen module eval library so (pragma \"BGL_GC_INIT()\") done cc have-dlopen imported (ld distrib) pass-started ((lambda () (start-emission! \".c\"))) native (c bdb module) (foreign extern) bigloo-c c-saw c ",
		217);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2091z00zzbackend_cz00,
		BgL_bgl_za762za7c3za704anonymo2147za7,
		BGl_z62zc3z04anonymousza31785ze3ze5zzbackend_cz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2092z00zzbackend_cz00,
		BgL_bgl_za762za7c3za704anonymo2148za7,
		BGl_z62zc3z04anonymousza31787ze3ze5zzbackend_cz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2093z00zzbackend_cz00,
		BgL_bgl_za762za7c3za704anonymo2149za7,
		BGl_z62zc3z04anonymousza31791ze3ze5zzbackend_cz00, 0L, BUNSPEC, 0);
	extern obj_t BGl_backendzd2compilezd2envz00zzbackend_backendz00;
	extern obj_t BGl_backendzd2linkzd2envz00zzbackend_backendz00;
	extern obj_t BGl_backendzd2linkzd2objectszd2envzd2zzbackend_backendz00;
	extern obj_t BGl_backendzd2cnstzd2tablezd2namezd2envz00zzbackend_backendz00;
	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_buildzd2cgenzd2backendzd2envzd2zzbackend_cz00,
		BgL_bgl_za762buildza7d2cgenza72150za7,
		BGl_z62buildzd2cgenzd2backendz62zzbackend_cz00, 0L, BUNSPEC, 0);
	extern obj_t BGl_backendzd2subtypezf3zd2envzf3zzbackend_backendz00;
	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_buildzd2sawczd2backendzd2envzd2zzbackend_cz00,
		BgL_bgl_za762buildza7d2sawcza72151za7,
		BGl_z62buildzd2sawczd2backendz62zzbackend_cz00, 0L, BUNSPEC, 0);
	extern obj_t BGl_backendzd2gczd2initzd2envzd2zzbackend_backendz00;

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		     ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zzbackend_cz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzbackend_cz00(long
		BgL_checksumz00_3683, char *BgL_fromz00_3684)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzbackend_cz00))
				{
					BGl_requirezd2initializa7ationz75zzbackend_cz00 = BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzbackend_cz00();
					BGl_libraryzd2moduleszd2initz00zzbackend_cz00();
					BGl_cnstzd2initzd2zzbackend_cz00();
					BGl_importedzd2moduleszd2initz00zzbackend_cz00();
					BGl_methodzd2initzd2zzbackend_cz00();
					return BGl_toplevelzd2initzd2zzbackend_cz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzbackend_cz00(void)
	{
		{	/* BackEnd/c.scm 15 */
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(0L, "backend_c");
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(0L, "backend_c");
			BGl_modulezd2initializa7ationz75zz__objectz00(0L, "backend_c");
			BGl_modulezd2initializa7ationz75zz__errorz00(0L, "backend_c");
			BGl_modulezd2initializa7ationz75zz__osz00(0L, "backend_c");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(0L, "backend_c");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(0L,
				"backend_c");
			BGl_modulezd2initializa7ationz75zz__readerz00(0L, "backend_c");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(0L, "backend_c");
			BGl_modulezd2initializa7ationz75zz__biglooz00(0L, "backend_c");
			BGl_modulezd2initializa7ationz75zz__expandz00(0L, "backend_c");
			BGl_modulezd2initializa7ationz75zz__configurez00(0L, "backend_c");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(0L, "backend_c");
			BGl_modulezd2initializa7ationz75zz__bexitz00(0L, "backend_c");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(0L,
				"backend_c");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(0L, "backend_c");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(0L,
				"backend_c");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzbackend_cz00(void)
	{
		{	/* BackEnd/c.scm 15 */
			{	/* BackEnd/c.scm 15 */
				obj_t BgL_cportz00_3505;

				{	/* BackEnd/c.scm 15 */
					obj_t BgL_stringz00_3512;

					BgL_stringz00_3512 = BGl_string2095z00zzbackend_cz00;
					{	/* BackEnd/c.scm 15 */
						obj_t BgL_startz00_3513;

						BgL_startz00_3513 = BINT(0L);
						{	/* BackEnd/c.scm 15 */
							obj_t BgL_endz00_3514;

							BgL_endz00_3514 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_3512)));
							{	/* BackEnd/c.scm 15 */

								BgL_cportz00_3505 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_3512, BgL_startz00_3513, BgL_endz00_3514);
				}}}}
				{
					long BgL_iz00_3506;

					BgL_iz00_3506 = 20L;
				BgL_loopz00_3507:
					if ((BgL_iz00_3506 == (-1L)))
						{	/* BackEnd/c.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* BackEnd/c.scm 15 */
							{	/* BackEnd/c.scm 15 */
								obj_t BgL_arg2096z00_3508;

								{	/* BackEnd/c.scm 15 */

									{	/* BackEnd/c.scm 15 */
										obj_t BgL_locationz00_3510;

										BgL_locationz00_3510 = BBOOL(((bool_t) 0));
										{	/* BackEnd/c.scm 15 */

											BgL_arg2096z00_3508 =
												BGl_readz00zz__readerz00(BgL_cportz00_3505,
												BgL_locationz00_3510);
										}
									}
								}
								{	/* BackEnd/c.scm 15 */
									int BgL_tmpz00_3720;

									BgL_tmpz00_3720 = (int) (BgL_iz00_3506);
									CNST_TABLE_SET(BgL_tmpz00_3720, BgL_arg2096z00_3508);
							}}
							{	/* BackEnd/c.scm 15 */
								int BgL_auxz00_3511;

								BgL_auxz00_3511 = (int) ((BgL_iz00_3506 - 1L));
								{
									long BgL_iz00_3725;

									BgL_iz00_3725 = (long) (BgL_auxz00_3511);
									BgL_iz00_3506 = BgL_iz00_3725;
									goto BgL_loopz00_3507;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzbackend_cz00(void)
	{
		{	/* BackEnd/c.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzbackend_cz00(void)
	{
		{	/* BackEnd/c.scm 15 */
			BGl_registerzd2backendz12zc0zzbackend_backendz00(
				((obj_t)
					CNST_TABLE_REF(0)),
				BGl_buildzd2cgenzd2backendzd2envzd2zzbackend_cz00);
			BGl_registerzd2backendz12zc0zzbackend_backendz00(((obj_t)
					CNST_TABLE_REF(1)),
				BGl_buildzd2sawczd2backendzd2envzd2zzbackend_cz00);
			return BUNSPEC;
		}

	}



/* append-21011 */
	obj_t BGl_appendzd221011zd2zzbackend_cz00(obj_t BgL_l1z00_1,
		obj_t BgL_l2z00_2)
	{
		{
			if (NULLP(BgL_l1z00_1))
				{
					return BgL_l2z00_2;
				}
			else
				{
					obj_t BgL_headz00_2075;

					BgL_headz00_2075 = MAKE_YOUNG_PAIR(BNIL, BgL_l2z00_2);
					{
						obj_t BgL_prevz00_2076;
						obj_t BgL_tailz00_2077;

						BgL_prevz00_2076 = BgL_headz00_2075;
						BgL_tailz00_2077 = BgL_l1z00_1;
					BgL_loopz00_2078:
						if (PAIRP(BgL_tailz00_2077))
							{
								obj_t BgL_newzd2prevzd2_2080;

								BgL_newzd2prevzd2_2080 =
									MAKE_YOUNG_PAIR(CAR(BgL_tailz00_2077), BgL_l2z00_2);
								SET_CDR(BgL_prevz00_2076, BgL_newzd2prevzd2_2080);
								{
									obj_t BgL_tailz00_3743;
									obj_t BgL_prevz00_3742;

									BgL_prevz00_3742 = BgL_newzd2prevzd2_2080;
									BgL_tailz00_3743 = CDR(BgL_tailz00_2077);
									BgL_tailz00_2077 = BgL_tailz00_3743;
									BgL_prevz00_2076 = BgL_prevz00_3742;
									goto BgL_loopz00_2078;
								}
							}
						else
							{
								BNIL;
							}
						return CDR(BgL_headz00_2075);
					}
				}
		}

	}



/* build-sawc-backend */
	BGL_EXPORTED_DEF obj_t BGl_buildzd2sawczd2backendz00zzbackend_cz00(void)
	{
		{	/* BackEnd/c.scm 75 */
			{	/* BackEnd/c.scm 76 */
				BgL_sawcz00_bglt BgL_new1121z00_2097;

				{	/* BackEnd/c.scm 77 */
					BgL_sawcz00_bglt BgL_new1120z00_2099;

					BgL_new1120z00_2099 =
						((BgL_sawcz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_sawcz00_bgl))));
					{	/* BackEnd/c.scm 77 */
						long BgL_arg1535z00_2100;

						BgL_arg1535z00_2100 = BGL_CLASS_NUM(BGl_sawcz00zzbackend_cvmz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1120z00_2099), BgL_arg1535z00_2100);
					}
					BgL_new1121z00_2097 = BgL_new1120z00_2099;
				}
				((((BgL_backendz00_bglt) COBJECT(
								((BgL_backendz00_bglt) BgL_new1121z00_2097)))->
						BgL_languagez00) = ((obj_t) ((obj_t) CNST_TABLE_REF(1))), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1121z00_2097)))->BgL_srfi0z00) =
					((obj_t) ((obj_t) CNST_TABLE_REF(2))), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1121z00_2097)))->BgL_namez00) =
					((obj_t) BGl_string2044z00zzbackend_cz00), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1121z00_2097)))->BgL_externzd2variableszd2) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1121z00_2097)))->BgL_externzd2functionszd2) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1121z00_2097)))->BgL_externzd2typeszd2) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1121z00_2097)))->BgL_variablesz00) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1121z00_2097)))->BgL_functionsz00) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1121z00_2097)))->BgL_typesz00) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1121z00_2097)))->BgL_typedz00) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1121z00_2097)))->BgL_heapzd2suffixzd2) =
					((obj_t) BGl_string2045z00zzbackend_cz00), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1121z00_2097)))->BgL_heapzd2compatiblezd2) =
					((obj_t) ((obj_t) CNST_TABLE_REF(0))), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1121z00_2097)))->BgL_callccz00) =
					((bool_t) ((bool_t) 1)), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1121z00_2097)))->BgL_qualifiedzd2typeszd2) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1121z00_2097)))->BgL_effectzb2zb2) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1121z00_2097)))->BgL_removezd2emptyzd2letz00) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1121z00_2097)))->BgL_foreignzd2closurezd2) =
					((bool_t) ((bool_t) 1)), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1121z00_2097)))->BgL_typedzd2eqzd2) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1121z00_2097)))->BgL_tracezd2supportzd2) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1121z00_2097)))->BgL_foreignzd2clausezd2supportz00) =
					((obj_t) ((obj_t) CNST_TABLE_REF(3))), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1121z00_2097)))->BgL_debugzd2supportzd2) =
					((obj_t) ((obj_t) CNST_TABLE_REF(4))), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1121z00_2097)))->BgL_pragmazd2supportzd2) =
					((bool_t) ((bool_t) 1)), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1121z00_2097)))->BgL_tvectorzd2descrzd2supportz00) =
					((bool_t) ((bool_t) 1)), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1121z00_2097)))->BgL_requirezd2tailczd2) =
					((bool_t) ((bool_t) 1)), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1121z00_2097)))->BgL_registersz00) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1121z00_2097)))->BgL_pregistersz00) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1121z00_2097)))->BgL_boundzd2checkzd2) =
					((bool_t) ((bool_t) 1)), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1121z00_2097)))->BgL_typezd2checkzd2) =
					((bool_t) ((bool_t) 1)), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1121z00_2097)))->BgL_typedzd2funcallzd2) =
					((bool_t) ((bool_t) 1)), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1121z00_2097)))->BgL_strictzd2typezd2castz00) =
					((bool_t) ((bool_t) 1)), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1121z00_2097)))->
						BgL_forcezd2registerzd2gczd2rootszd2) =
					((bool_t) ((bool_t) 1)), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1121z00_2097)))->BgL_stringzd2literalzd2supportz00) =
					((bool_t) ((bool_t) 1)), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1121z00_2097)))->BgL_boxedzd2fixnumszd2) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1121z00_2097)))->BgL_typedzd2closureszd2) =
					((bool_t) ((bool_t) 1)), BUNSPEC);
				{	/* BackEnd/c.scm 76 */
					obj_t BgL_fun1534z00_2098;

					BgL_fun1534z00_2098 =
						BGl_classzd2constructorzd2zz__objectz00
						(BGl_sawcz00zzbackend_cvmz00);
					BGL_PROCEDURE_CALL1(BgL_fun1534z00_2098,
						((obj_t) BgL_new1121z00_2097));
				}
				return ((obj_t) BgL_new1121z00_2097);
			}
		}

	}



/* &build-sawc-backend */
	obj_t BGl_z62buildzd2sawczd2backendz62zzbackend_cz00(obj_t BgL_envz00_3438)
	{
		{	/* BackEnd/c.scm 75 */
			return BGl_buildzd2sawczd2backendz00zzbackend_cz00();
		}

	}



/* build-cgen-backend */
	BGL_EXPORTED_DEF obj_t BGl_buildzd2cgenzd2backendz00zzbackend_cz00(void)
	{
		{	/* BackEnd/c.scm 87 */
			{	/* BackEnd/c.scm 88 */
				BgL_cgenz00_bglt BgL_new1124z00_2101;

				{	/* BackEnd/c.scm 89 */
					BgL_cgenz00_bglt BgL_new1123z00_2103;

					BgL_new1123z00_2103 =
						((BgL_cgenz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_cgenz00_bgl))));
					{	/* BackEnd/c.scm 89 */
						long BgL_arg1543z00_2104;

						BgL_arg1543z00_2104 = BGL_CLASS_NUM(BGl_cgenz00zzbackend_cvmz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1123z00_2103), BgL_arg1543z00_2104);
					}
					BgL_new1124z00_2101 = BgL_new1123z00_2103;
				}
				((((BgL_backendz00_bglt) COBJECT(
								((BgL_backendz00_bglt) BgL_new1124z00_2101)))->
						BgL_languagez00) = ((obj_t) ((obj_t) CNST_TABLE_REF(0))), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1124z00_2101)))->BgL_srfi0z00) =
					((obj_t) ((obj_t) CNST_TABLE_REF(2))), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1124z00_2101)))->BgL_namez00) =
					((obj_t) BGl_string2044z00zzbackend_cz00), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1124z00_2101)))->BgL_externzd2variableszd2) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1124z00_2101)))->BgL_externzd2functionszd2) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1124z00_2101)))->BgL_externzd2typeszd2) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1124z00_2101)))->BgL_variablesz00) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1124z00_2101)))->BgL_functionsz00) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1124z00_2101)))->BgL_typesz00) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1124z00_2101)))->BgL_typedz00) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1124z00_2101)))->BgL_heapzd2suffixzd2) =
					((obj_t) BGl_string2045z00zzbackend_cz00), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1124z00_2101)))->BgL_heapzd2compatiblezd2) =
					((obj_t) ((obj_t) CNST_TABLE_REF(5))), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1124z00_2101)))->BgL_callccz00) =
					((bool_t) ((bool_t) 1)), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1124z00_2101)))->BgL_qualifiedzd2typeszd2) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1124z00_2101)))->BgL_effectzb2zb2) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1124z00_2101)))->BgL_removezd2emptyzd2letz00) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1124z00_2101)))->BgL_foreignzd2closurezd2) =
					((bool_t) ((bool_t) 1)), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1124z00_2101)))->BgL_typedzd2eqzd2) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1124z00_2101)))->BgL_tracezd2supportzd2) =
					((bool_t) ((bool_t) 1)), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1124z00_2101)))->BgL_foreignzd2clausezd2supportz00) =
					((obj_t) ((obj_t) CNST_TABLE_REF(3))), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1124z00_2101)))->BgL_debugzd2supportzd2) =
					((obj_t) ((obj_t) CNST_TABLE_REF(4))), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1124z00_2101)))->BgL_pragmazd2supportzd2) =
					((bool_t) ((bool_t) 1)), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1124z00_2101)))->BgL_tvectorzd2descrzd2supportz00) =
					((bool_t) ((bool_t) 1)), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1124z00_2101)))->BgL_requirezd2tailczd2) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1124z00_2101)))->BgL_registersz00) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1124z00_2101)))->BgL_pregistersz00) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1124z00_2101)))->BgL_boundzd2checkzd2) =
					((bool_t) ((bool_t) 1)), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1124z00_2101)))->BgL_typezd2checkzd2) =
					((bool_t) ((bool_t) 1)), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1124z00_2101)))->BgL_typedzd2funcallzd2) =
					((bool_t) ((bool_t) 1)), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1124z00_2101)))->BgL_strictzd2typezd2castz00) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1124z00_2101)))->
						BgL_forcezd2registerzd2gczd2rootszd2) =
					((bool_t) ((bool_t) 1)), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1124z00_2101)))->BgL_stringzd2literalzd2supportz00) =
					((bool_t) ((bool_t) 1)), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1124z00_2101)))->BgL_boxedzd2fixnumszd2) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1124z00_2101)))->BgL_typedzd2closureszd2) =
					((bool_t) ((bool_t) 1)), BUNSPEC);
				{	/* BackEnd/c.scm 88 */
					obj_t BgL_fun1536z00_2102;

					BgL_fun1536z00_2102 =
						BGl_classzd2constructorzd2zz__objectz00
						(BGl_cgenz00zzbackend_cvmz00);
					BGL_PROCEDURE_CALL1(BgL_fun1536z00_2102,
						((obj_t) BgL_new1124z00_2101));
				}
				return ((obj_t) BgL_new1124z00_2101);
			}
		}

	}



/* &build-cgen-backend */
	obj_t BGl_z62buildzd2cgenzd2backendz62zzbackend_cz00(obj_t BgL_envz00_3437)
	{
		{	/* BackEnd/c.scm 87 */
			return BGl_buildzd2cgenzd2backendz00zzbackend_cz00();
		}

	}



/* module->id */
	obj_t BGl_modulezd2ze3idz31zzbackend_cz00(obj_t BgL_modz00_28)
	{
		{	/* BackEnd/c.scm 114 */
			{	/* BackEnd/c.scm 115 */
				obj_t BgL_namez00_2105;

				{	/* BackEnd/c.scm 115 */
					obj_t BgL_arg1545z00_2107;

					BgL_arg1545z00_2107 = SYMBOL_TO_STRING(((obj_t) BgL_modz00_28));
					BgL_namez00_2105 =
						BGl_stringzd2upcasezd2zz__r4_strings_6_7z00(BgL_arg1545z00_2107);
				}
				if (BGl_bigloozd2needzd2manglingzf3zf3zz__biglooz00(BgL_namez00_2105))
					{	/* BackEnd/c.scm 116 */
						return bigloo_mangle(BgL_namez00_2105);
					}
				else
					{	/* BackEnd/c.scm 116 */
						return BgL_namez00_2105;
					}
			}
		}

	}



/* c-walk */
	obj_t BGl_czd2walkzd2zzbackend_cz00(BgL_cvmz00_bglt BgL_mez00_29)
	{
		{	/* BackEnd/c.scm 123 */
			{	/* BackEnd/c.scm 124 */
				obj_t BgL_arg1553z00_2108;

				{	/* BackEnd/c.scm 124 */
					bool_t BgL_test2157z00_3932;

					{	/* BackEnd/c.scm 124 */
						obj_t BgL_classz00_2868;

						BgL_classz00_2868 = BGl_sawcz00zzbackend_cvmz00;
						{	/* BackEnd/c.scm 124 */
							BgL_objectz00_bglt BgL_arg1858z00_2870;

							{	/* BackEnd/c.scm 124 */
								obj_t BgL_tmpz00_3933;

								BgL_tmpz00_3933 = ((obj_t) BgL_mez00_29);
								BgL_arg1858z00_2870 = (BgL_objectz00_bglt) (BgL_tmpz00_3933);
							}
							if (BGL_CONDEXPAND_ISA_ARCH64())
								{	/* BackEnd/c.scm 124 */
									long BgL_idxz00_2876;

									BgL_idxz00_2876 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_2870);
									BgL_test2157z00_3932 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_2876 + 3L)) == BgL_classz00_2868);
								}
							else
								{	/* BackEnd/c.scm 124 */
									bool_t BgL_res2016z00_2901;

									{	/* BackEnd/c.scm 124 */
										obj_t BgL_oclassz00_2884;

										{	/* BackEnd/c.scm 124 */
											obj_t BgL_arg1866z00_2892;
											long BgL_arg1867z00_2893;

											BgL_arg1866z00_2892 = (BGl_za2classesza2z00zz__objectz00);
											{	/* BackEnd/c.scm 124 */
												long BgL_arg1869z00_2894;

												BgL_arg1869z00_2894 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_2870);
												BgL_arg1867z00_2893 =
													(BgL_arg1869z00_2894 - OBJECT_TYPE);
											}
											BgL_oclassz00_2884 =
												VECTOR_REF(BgL_arg1866z00_2892, BgL_arg1867z00_2893);
										}
										{	/* BackEnd/c.scm 124 */
											bool_t BgL__ortest_1115z00_2885;

											BgL__ortest_1115z00_2885 =
												(BgL_classz00_2868 == BgL_oclassz00_2884);
											if (BgL__ortest_1115z00_2885)
												{	/* BackEnd/c.scm 124 */
													BgL_res2016z00_2901 = BgL__ortest_1115z00_2885;
												}
											else
												{	/* BackEnd/c.scm 124 */
													long BgL_odepthz00_2886;

													{	/* BackEnd/c.scm 124 */
														obj_t BgL_arg1855z00_2887;

														BgL_arg1855z00_2887 = (BgL_oclassz00_2884);
														BgL_odepthz00_2886 =
															BGL_CLASS_DEPTH(BgL_arg1855z00_2887);
													}
													if ((3L < BgL_odepthz00_2886))
														{	/* BackEnd/c.scm 124 */
															obj_t BgL_arg1853z00_2889;

															{	/* BackEnd/c.scm 124 */
																obj_t BgL_arg1854z00_2890;

																BgL_arg1854z00_2890 = (BgL_oclassz00_2884);
																BgL_arg1853z00_2889 =
																	BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_2890,
																	3L);
															}
															BgL_res2016z00_2901 =
																(BgL_arg1853z00_2889 == BgL_classz00_2868);
														}
													else
														{	/* BackEnd/c.scm 124 */
															BgL_res2016z00_2901 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_test2157z00_3932 = BgL_res2016z00_2901;
								}
						}
					}
					if (BgL_test2157z00_3932)
						{	/* BackEnd/c.scm 124 */
							BgL_arg1553z00_2108 = BGl_string2046z00zzbackend_cz00;
						}
					else
						{	/* BackEnd/c.scm 124 */
							BgL_arg1553z00_2108 = BGl_string2047z00zzbackend_cz00;
						}
				}
				{	/* BackEnd/c.scm 124 */
					obj_t BgL_list1554z00_2109;

					{	/* BackEnd/c.scm 124 */
						obj_t BgL_arg1558z00_2110;

						{	/* BackEnd/c.scm 124 */
							obj_t BgL_arg1560z00_2111;

							BgL_arg1560z00_2111 =
								MAKE_YOUNG_PAIR(BCHAR(((unsigned char) 10)), BNIL);
							BgL_arg1558z00_2110 =
								MAKE_YOUNG_PAIR(BgL_arg1553z00_2108, BgL_arg1560z00_2111);
						}
						BgL_list1554z00_2109 =
							MAKE_YOUNG_PAIR(BGl_string2048z00zzbackend_cz00,
							BgL_arg1558z00_2110);
					}
					BGl_verbosez00zztools_speekz00(BINT(1L), BgL_list1554z00_2109);
			}}
			BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00 = BINT(0L);
			{	/* BackEnd/c.scm 124 */
				bool_t BgL_test2161z00_3962;

				{	/* BackEnd/c.scm 124 */
					obj_t BgL_classz00_2902;

					BgL_classz00_2902 = BGl_sawcz00zzbackend_cvmz00;
					{	/* BackEnd/c.scm 124 */
						BgL_objectz00_bglt BgL_arg1858z00_2904;

						{	/* BackEnd/c.scm 124 */
							obj_t BgL_tmpz00_3963;

							BgL_tmpz00_3963 = ((obj_t) BgL_mez00_29);
							BgL_arg1858z00_2904 = (BgL_objectz00_bglt) (BgL_tmpz00_3963);
						}
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* BackEnd/c.scm 124 */
								long BgL_idxz00_2910;

								BgL_idxz00_2910 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_2904);
								BgL_test2161z00_3962 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_2910 + 3L)) == BgL_classz00_2902);
							}
						else
							{	/* BackEnd/c.scm 124 */
								bool_t BgL_res2017z00_2935;

								{	/* BackEnd/c.scm 124 */
									obj_t BgL_oclassz00_2918;

									{	/* BackEnd/c.scm 124 */
										obj_t BgL_arg1866z00_2926;
										long BgL_arg1867z00_2927;

										BgL_arg1866z00_2926 = (BGl_za2classesza2z00zz__objectz00);
										{	/* BackEnd/c.scm 124 */
											long BgL_arg1869z00_2928;

											BgL_arg1869z00_2928 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_2904);
											BgL_arg1867z00_2927 = (BgL_arg1869z00_2928 - OBJECT_TYPE);
										}
										BgL_oclassz00_2918 =
											VECTOR_REF(BgL_arg1866z00_2926, BgL_arg1867z00_2927);
									}
									{	/* BackEnd/c.scm 124 */
										bool_t BgL__ortest_1115z00_2919;

										BgL__ortest_1115z00_2919 =
											(BgL_classz00_2902 == BgL_oclassz00_2918);
										if (BgL__ortest_1115z00_2919)
											{	/* BackEnd/c.scm 124 */
												BgL_res2017z00_2935 = BgL__ortest_1115z00_2919;
											}
										else
											{	/* BackEnd/c.scm 124 */
												long BgL_odepthz00_2920;

												{	/* BackEnd/c.scm 124 */
													obj_t BgL_arg1855z00_2921;

													BgL_arg1855z00_2921 = (BgL_oclassz00_2918);
													BgL_odepthz00_2920 =
														BGL_CLASS_DEPTH(BgL_arg1855z00_2921);
												}
												if ((3L < BgL_odepthz00_2920))
													{	/* BackEnd/c.scm 124 */
														obj_t BgL_arg1853z00_2923;

														{	/* BackEnd/c.scm 124 */
															obj_t BgL_arg1854z00_2924;

															BgL_arg1854z00_2924 = (BgL_oclassz00_2918);
															BgL_arg1853z00_2923 =
																BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_2924,
																3L);
														}
														BgL_res2017z00_2935 =
															(BgL_arg1853z00_2923 == BgL_classz00_2902);
													}
												else
													{	/* BackEnd/c.scm 124 */
														BgL_res2017z00_2935 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_test2161z00_3962 = BgL_res2017z00_2935;
							}
					}
				}
				if (BgL_test2161z00_3962)
					{	/* BackEnd/c.scm 124 */
						BGl_za2currentzd2passza2zd2zzengine_passz00 =
							BGl_string2046z00zzbackend_cz00;
					}
				else
					{	/* BackEnd/c.scm 124 */
						BGl_za2currentzd2passza2zd2zzengine_passz00 =
							BGl_string2047z00zzbackend_cz00;
					}
			}
			{	/* BackEnd/c.scm 124 */
				obj_t BgL_g1125z00_2114;
				obj_t BgL_g1129z00_2115;

				{	/* BackEnd/c.scm 124 */
					obj_t BgL_list1589z00_2131;

					BgL_list1589z00_2131 =
						MAKE_YOUNG_PAIR(BGl_proc2049z00zzbackend_cz00, BNIL);
					BgL_g1125z00_2114 = BgL_list1589z00_2131;
				}
				BgL_g1129z00_2115 = ((obj_t) CNST_TABLE_REF(6));
				{
					obj_t BgL_hooksz00_2117;
					obj_t BgL_hnamesz00_2118;

					BgL_hooksz00_2117 = BgL_g1125z00_2114;
					BgL_hnamesz00_2118 = BgL_g1129z00_2115;
				BgL_zc3z04anonymousza31562ze3z87_2119:
					if (NULLP(BgL_hooksz00_2117))
						{	/* BackEnd/c.scm 124 */
							((obj_t) CNST_TABLE_REF(7));
						}
					else
						{	/* BackEnd/c.scm 124 */
							bool_t BgL_test2166z00_3992;

							{	/* BackEnd/c.scm 124 */
								obj_t BgL_fun1582z00_2128;

								BgL_fun1582z00_2128 = CAR(((obj_t) BgL_hooksz00_2117));
								BgL_test2166z00_3992 =
									CBOOL(BGL_PROCEDURE_CALL0(BgL_fun1582z00_2128));
							}
							if (BgL_test2166z00_3992)
								{	/* BackEnd/c.scm 124 */
									obj_t BgL_arg1574z00_2123;
									obj_t BgL_arg1577z00_2124;

									BgL_arg1574z00_2123 = CDR(((obj_t) BgL_hooksz00_2117));
									BgL_arg1577z00_2124 = CDR(((obj_t) BgL_hnamesz00_2118));
									{
										obj_t BgL_hnamesz00_4004;
										obj_t BgL_hooksz00_4003;

										BgL_hooksz00_4003 = BgL_arg1574z00_2123;
										BgL_hnamesz00_4004 = BgL_arg1577z00_2124;
										BgL_hnamesz00_2118 = BgL_hnamesz00_4004;
										BgL_hooksz00_2117 = BgL_hooksz00_4003;
										goto BgL_zc3z04anonymousza31562ze3z87_2119;
									}
								}
							else
								{	/* BackEnd/c.scm 124 */
									obj_t BgL_arg1578z00_2125;
									obj_t BgL_arg1581z00_2126;

									{	/* BackEnd/c.scm 124 */
										bool_t BgL_test2167z00_4005;

										{	/* BackEnd/c.scm 124 */
											obj_t BgL_classz00_2940;

											BgL_classz00_2940 = BGl_sawcz00zzbackend_cvmz00;
											{	/* BackEnd/c.scm 124 */
												BgL_objectz00_bglt BgL_arg1858z00_2942;

												{	/* BackEnd/c.scm 124 */
													obj_t BgL_tmpz00_4006;

													BgL_tmpz00_4006 = ((obj_t) BgL_mez00_29);
													BgL_arg1858z00_2942 =
														(BgL_objectz00_bglt) (BgL_tmpz00_4006);
												}
												if (BGL_CONDEXPAND_ISA_ARCH64())
													{	/* BackEnd/c.scm 124 */
														long BgL_idxz00_2948;

														BgL_idxz00_2948 =
															BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_2942);
														BgL_test2167z00_4005 =
															(VECTOR_REF
															(BGl_za2inheritancesza2z00zz__objectz00,
																(BgL_idxz00_2948 + 3L)) == BgL_classz00_2940);
													}
												else
													{	/* BackEnd/c.scm 124 */
														bool_t BgL_res2019z00_2973;

														{	/* BackEnd/c.scm 124 */
															obj_t BgL_oclassz00_2956;

															{	/* BackEnd/c.scm 124 */
																obj_t BgL_arg1866z00_2964;
																long BgL_arg1867z00_2965;

																BgL_arg1866z00_2964 =
																	(BGl_za2classesza2z00zz__objectz00);
																{	/* BackEnd/c.scm 124 */
																	long BgL_arg1869z00_2966;

																	BgL_arg1869z00_2966 =
																		BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_2942);
																	BgL_arg1867z00_2965 =
																		(BgL_arg1869z00_2966 - OBJECT_TYPE);
																}
																BgL_oclassz00_2956 =
																	VECTOR_REF(BgL_arg1866z00_2964,
																	BgL_arg1867z00_2965);
															}
															{	/* BackEnd/c.scm 124 */
																bool_t BgL__ortest_1115z00_2957;

																BgL__ortest_1115z00_2957 =
																	(BgL_classz00_2940 == BgL_oclassz00_2956);
																if (BgL__ortest_1115z00_2957)
																	{	/* BackEnd/c.scm 124 */
																		BgL_res2019z00_2973 =
																			BgL__ortest_1115z00_2957;
																	}
																else
																	{	/* BackEnd/c.scm 124 */
																		long BgL_odepthz00_2958;

																		{	/* BackEnd/c.scm 124 */
																			obj_t BgL_arg1855z00_2959;

																			BgL_arg1855z00_2959 =
																				(BgL_oclassz00_2956);
																			BgL_odepthz00_2958 =
																				BGL_CLASS_DEPTH(BgL_arg1855z00_2959);
																		}
																		if ((3L < BgL_odepthz00_2958))
																			{	/* BackEnd/c.scm 124 */
																				obj_t BgL_arg1853z00_2961;

																				{	/* BackEnd/c.scm 124 */
																					obj_t BgL_arg1854z00_2962;

																					BgL_arg1854z00_2962 =
																						(BgL_oclassz00_2956);
																					BgL_arg1853z00_2961 =
																						BGL_CLASS_ANCESTORS_REF
																						(BgL_arg1854z00_2962, 3L);
																				}
																				BgL_res2019z00_2973 =
																					(BgL_arg1853z00_2961 ==
																					BgL_classz00_2940);
																			}
																		else
																			{	/* BackEnd/c.scm 124 */
																				BgL_res2019z00_2973 = ((bool_t) 0);
																			}
																	}
															}
														}
														BgL_test2167z00_4005 = BgL_res2019z00_2973;
													}
											}
										}
										if (BgL_test2167z00_4005)
											{	/* BackEnd/c.scm 124 */
												BgL_arg1578z00_2125 = BGl_string2046z00zzbackend_cz00;
											}
										else
											{	/* BackEnd/c.scm 124 */
												BgL_arg1578z00_2125 = BGl_string2047z00zzbackend_cz00;
											}
									}
									BgL_arg1581z00_2126 = CAR(((obj_t) BgL_hnamesz00_2118));
									BGl_internalzd2errorzd2zztools_errorz00(BgL_arg1578z00_2125,
										BGl_string2050z00zzbackend_cz00, BgL_arg1581z00_2126);
								}
						}
				}
			}
			BGl_emitzd2headerzd2zzbackend_c_emitz00();
			BGl_emitzd2garbagezd2collectorzd2selectionzd2zzbackend_c_emitz00();
			{	/* BackEnd/c.scm 134 */
				bool_t BgL_test2171z00_4033;

				if (((long) CINT(BGl_za2compilerzd2debugza2zd2zzengine_paramz00) > 0L))
					{	/* BackEnd/c.scm 134 */
						BgL_test2171z00_4033 = ((bool_t) 1);
					}
				else
					{	/* BackEnd/c.scm 134 */
						BgL_test2171z00_4033 =
							CBOOL(BGl_za2czd2debugza2zd2zzengine_paramz00);
					}
				if (BgL_test2171z00_4033)
					{	/* BackEnd/c.scm 134 */
						BGl_emitzd2debugzd2activationz00zzbackend_c_emitz00();
					}
				else
					{	/* BackEnd/c.scm 134 */
						BFALSE;
					}
			}
			if (CBOOL(BGl_za2unsafezd2libraryza2zd2zzengine_paramz00))
				{	/* BackEnd/c.scm 138 */
					BGl_emitzd2unsafezd2activationz00zzbackend_c_emitz00();
				}
			else
				{	/* BackEnd/c.scm 138 */
					BFALSE;
				}
			BGl_emitzd2tracezd2activationz00zzbackend_c_emitz00();
			BGl_emitzd2includezd2zzbackend_c_emitz00();
			if (PAIRP(BGl_za2czd2userzd2headerza2z00zzengine_paramz00))
				{	/* BackEnd/c.scm 148 */
					{	/* BackEnd/c.scm 149 */
						obj_t BgL_port1446z00_2138;

						BgL_port1446z00_2138 = BGl_za2czd2portza2zd2zzbackend_c_emitz00;
						{	/* BackEnd/c.scm 149 */
							obj_t BgL_tmpz00_4046;

							BgL_tmpz00_4046 = ((obj_t) BgL_port1446z00_2138);
							bgl_display_string(BGl_string2051z00zzbackend_cz00,
								BgL_tmpz00_4046);
						}
						{	/* BackEnd/c.scm 149 */
							obj_t BgL_tmpz00_4049;

							BgL_tmpz00_4049 = ((obj_t) BgL_port1446z00_2138);
							bgl_display_char(((unsigned char) 10), BgL_tmpz00_4049);
					}}
					{
						obj_t BgL_l1448z00_2140;

						BgL_l1448z00_2140 = BGl_za2czd2userzd2headerza2z00zzengine_paramz00;
					BgL_zc3z04anonymousza31594ze3z87_2141:
						if (PAIRP(BgL_l1448z00_2140))
							{	/* BackEnd/c.scm 150 */
								{	/* BackEnd/c.scm 150 */
									obj_t BgL_hz00_2143;

									BgL_hz00_2143 = CAR(BgL_l1448z00_2140);
									{	/* BackEnd/c.scm 150 */
										obj_t BgL_port1447z00_2144;

										BgL_port1447z00_2144 =
											BGl_za2czd2portza2zd2zzbackend_c_emitz00;
										bgl_display_obj(BgL_hz00_2143, BgL_port1447z00_2144);
										{	/* BackEnd/c.scm 150 */
											obj_t BgL_tmpz00_4056;

											BgL_tmpz00_4056 = ((obj_t) BgL_port1447z00_2144);
											bgl_display_char(((unsigned char) 10), BgL_tmpz00_4056);
								}}}
								{
									obj_t BgL_l1448z00_4059;

									BgL_l1448z00_4059 = CDR(BgL_l1448z00_2140);
									BgL_l1448z00_2140 = BgL_l1448z00_4059;
									goto BgL_zc3z04anonymousza31594ze3z87_2141;
								}
							}
						else
							{	/* BackEnd/c.scm 150 */
								((bool_t) 1);
							}
					}
				}
			else
				{	/* BackEnd/c.scm 148 */
					((bool_t) 0);
				}
			{	/* BackEnd/c.scm 153 */
				obj_t BgL_port1450z00_2147;

				BgL_port1450z00_2147 = BGl_za2czd2portza2zd2zzbackend_c_emitz00;
				{	/* BackEnd/c.scm 153 */
					obj_t BgL_tmpz00_4061;

					BgL_tmpz00_4061 = ((obj_t) BgL_port1450z00_2147);
					bgl_display_string(BGl_string2052z00zzbackend_cz00, BgL_tmpz00_4061);
				}
				{	/* BackEnd/c.scm 153 */
					obj_t BgL_tmpz00_4064;

					BgL_tmpz00_4064 = ((obj_t) BgL_port1450z00_2147);
					bgl_display_char(((unsigned char) 10), BgL_tmpz00_4064);
			}}
			{	/* BackEnd/c.scm 154 */
				obj_t BgL_port1451z00_2148;

				BgL_port1451z00_2148 = BGl_za2czd2portza2zd2zzbackend_c_emitz00;
				{	/* BackEnd/c.scm 154 */
					obj_t BgL_tmpz00_4067;

					BgL_tmpz00_4067 = ((obj_t) BgL_port1451z00_2148);
					bgl_display_string(BGl_string2053z00zzbackend_cz00, BgL_tmpz00_4067);
				}
				{	/* BackEnd/c.scm 154 */
					obj_t BgL_tmpz00_4070;

					BgL_tmpz00_4070 = ((obj_t) BgL_port1451z00_2148);
					bgl_display_char(((unsigned char) 10), BgL_tmpz00_4070);
			}}
			{	/* BackEnd/c.scm 155 */
				obj_t BgL_port1452z00_2149;

				BgL_port1452z00_2149 = BGl_za2czd2portza2zd2zzbackend_c_emitz00;
				{	/* BackEnd/c.scm 155 */
					obj_t BgL_tmpz00_4073;

					BgL_tmpz00_4073 = ((obj_t) BgL_port1452z00_2149);
					bgl_display_string(BGl_string2054z00zzbackend_cz00, BgL_tmpz00_4073);
				}
				{	/* BackEnd/c.scm 155 */
					obj_t BgL_tmpz00_4076;

					BgL_tmpz00_4076 = ((obj_t) BgL_port1452z00_2149);
					bgl_display_char(((unsigned char) 10), BgL_tmpz00_4076);
			}}
			{	/* BackEnd/c.scm 158 */
				obj_t BgL_namez00_2150;

				BgL_namez00_2150 =
					BGl_modulezd2ze3idz31zzbackend_cz00
					(BGl_za2moduleza2z00zzmodule_modulez00);
				{	/* BackEnd/c.scm 159 */
					obj_t BgL_list1598z00_2151;

					BgL_list1598z00_2151 = MAKE_YOUNG_PAIR(BgL_namez00_2150, BNIL);
					BGl_fprintfz00zz__r4_output_6_10_3z00
						(BGl_za2czd2portza2zd2zzbackend_c_emitz00,
						BGl_string2055z00zzbackend_cz00, BgL_list1598z00_2151);
				}
				{	/* BackEnd/c.scm 160 */
					obj_t BgL_list1599z00_2152;

					BgL_list1599z00_2152 = MAKE_YOUNG_PAIR(BgL_namez00_2150, BNIL);
					BGl_fprintfz00zz__r4_output_6_10_3z00
						(BGl_za2czd2portza2zd2zzbackend_c_emitz00,
						BGl_string2056z00zzbackend_cz00, BgL_list1599z00_2152);
				}
				{	/* BackEnd/c.scm 161 */
					obj_t BgL_list1600z00_2153;

					BgL_list1600z00_2153 = MAKE_YOUNG_PAIR(BgL_namez00_2150, BNIL);
					BGl_fprintfz00zz__r4_output_6_10_3z00
						(BGl_za2czd2portza2zd2zzbackend_c_emitz00,
						BGl_string2057z00zzbackend_cz00, BgL_list1600z00_2153);
				}
				{	/* BackEnd/c.scm 162 */
					obj_t BgL_list1601z00_2154;

					BgL_list1601z00_2154 = MAKE_YOUNG_PAIR(BgL_namez00_2150, BNIL);
					BGl_fprintfz00zz__r4_output_6_10_3z00
						(BGl_za2czd2portza2zd2zzbackend_c_emitz00,
						BGl_string2058z00zzbackend_cz00, BgL_list1601z00_2154);
				}
				BGl_forzd2eachzd2typez12z12zztype_envz00(BGl_proc2059z00zzbackend_cz00);
				BGl_forzd2eachzd2globalz12z12zzast_envz00(BGl_proc2060z00zzbackend_cz00,
					BNIL);
				{	/* BackEnd/c.scm 182 */
					bool_t BgL_fixpointz00_2189;

					BgL_fixpointz00_2189 = ((bool_t) 0);
					{

						if (BgL_fixpointz00_2189)
							{	/* BackEnd/c.scm 184 */
								((bool_t) 0);
							}
						else
							{	/* BackEnd/c.scm 184 */
								BgL_fixpointz00_2189 = ((bool_t) 1);
								{	/* BackEnd/c.scm 186 */
									obj_t BgL_g1461z00_2192;

									BgL_g1461z00_2192 =
										BGl_getzd2classzd2listz00zzobject_classz00();
									{
										obj_t BgL_l1459z00_2194;

										BgL_l1459z00_2194 = BgL_g1461z00_2192;
									BgL_zc3z04anonymousza31658ze3z87_2195:
										if (PAIRP(BgL_l1459z00_2194))
											{	/* BackEnd/c.scm 195 */
												{	/* BackEnd/c.scm 187 */
													BgL_typez00_bglt BgL_tz00_2197;

													BgL_tz00_2197 =
														((BgL_typez00_bglt) CAR(BgL_l1459z00_2194));
													if (
														((long) (
																(((BgL_typez00_bglt) COBJECT(
																			((BgL_typez00_bglt) BgL_tz00_2197)))->
																	BgL_occurrencez00)) > 0L))
														{	/* BackEnd/c.scm 189 */
															obj_t BgL_g1458z00_2201;

															{
																BgL_tclassz00_bglt BgL_auxz00_4101;

																{
																	obj_t BgL_auxz00_4102;

																	{	/* BackEnd/c.scm 189 */
																		BgL_objectz00_bglt BgL_tmpz00_4103;

																		BgL_tmpz00_4103 =
																			((BgL_objectz00_bglt) BgL_tz00_2197);
																		BgL_auxz00_4102 =
																			BGL_OBJECT_WIDENING(BgL_tmpz00_4103);
																	}
																	BgL_auxz00_4101 =
																		((BgL_tclassz00_bglt) BgL_auxz00_4102);
																}
																BgL_g1458z00_2201 =
																	(((BgL_tclassz00_bglt)
																		COBJECT(BgL_auxz00_4101))->BgL_slotsz00);
															}
															{
																obj_t BgL_l1456z00_2203;

																BgL_l1456z00_2203 = BgL_g1458z00_2201;
															BgL_zc3z04anonymousza31662ze3z87_2204:
																if (PAIRP(BgL_l1456z00_2203))
																	{	/* BackEnd/c.scm 189 */
																		{	/* BackEnd/c.scm 190 */
																			BgL_slotz00_bglt BgL_tz00_2206;

																			BgL_tz00_2206 =
																				((BgL_slotz00_bglt)
																				CAR(BgL_l1456z00_2203));
																			if (
																				((long) (
																						(((BgL_typez00_bglt) COBJECT(
																									((BgL_typez00_bglt)
																										(((BgL_slotz00_bglt)
																												COBJECT
																												(BgL_tz00_2206))->
																											BgL_typez00))))->
																							BgL_occurrencez00)) == 0L))
																				{	/* BackEnd/c.scm 191 */
																					{	/* BackEnd/c.scm 192 */
																						obj_t BgL_arg1675z00_2211;

																						BgL_arg1675z00_2211 =
																							(((BgL_slotz00_bglt)
																								COBJECT(BgL_tz00_2206))->
																							BgL_typez00);
																						BGl_typezd2occurrencezd2incrementz12z12zztype_typez00
																							(((BgL_typez00_bglt)
																								BgL_arg1675z00_2211));
																					}
																					BgL_fixpointz00_2189 = ((bool_t) 0);
																				}
																			else
																				{	/* BackEnd/c.scm 191 */
																					BFALSE;
																				}
																		}
																		{
																			obj_t BgL_l1456z00_4121;

																			BgL_l1456z00_4121 =
																				CDR(BgL_l1456z00_2203);
																			BgL_l1456z00_2203 = BgL_l1456z00_4121;
																			goto
																				BgL_zc3z04anonymousza31662ze3z87_2204;
																		}
																	}
																else
																	{	/* BackEnd/c.scm 189 */
																		((bool_t) 1);
																	}
															}
														}
													else
														{	/* BackEnd/c.scm 187 */
															((bool_t) 0);
														}
												}
												{
													obj_t BgL_l1459z00_4123;

													BgL_l1459z00_4123 = CDR(BgL_l1459z00_2194);
													BgL_l1459z00_2194 = BgL_l1459z00_4123;
													goto BgL_zc3z04anonymousza31658ze3z87_2195;
												}
											}
										else
											{	/* BackEnd/c.scm 195 */
												((bool_t) 1);
											}
									}
								}
							}
					}
				}
				{	/* BackEnd/c.scm 196 */
					obj_t BgL_classesz00_2220;

					{	/* BackEnd/c.scm 196 */
						obj_t BgL_hook1466z00_2221;

						BgL_hook1466z00_2221 = MAKE_YOUNG_PAIR(BFALSE, BNIL);
						{	/* BackEnd/c.scm 198 */
							obj_t BgL_g1467z00_2222;

							BgL_g1467z00_2222 = BGl_getzd2classzd2listz00zzobject_classz00();
							{
								obj_t BgL_l1463z00_2224;
								obj_t BgL_h1464z00_2225;

								BgL_l1463z00_2224 = BgL_g1467z00_2222;
								BgL_h1464z00_2225 = BgL_hook1466z00_2221;
							BgL_zc3z04anonymousza31692ze3z87_2226:
								if (NULLP(BgL_l1463z00_2224))
									{	/* BackEnd/c.scm 198 */
										BgL_classesz00_2220 = CDR(BgL_hook1466z00_2221);
									}
								else
									{	/* BackEnd/c.scm 198 */
										if (
											((long) (
													(((BgL_typez00_bglt) COBJECT(
																((BgL_typez00_bglt)
																	CAR(
																		((obj_t) BgL_l1463z00_2224)))))->
														BgL_occurrencez00)) > 0L))
											{	/* BackEnd/c.scm 198 */
												obj_t BgL_nh1465z00_2231;

												{	/* BackEnd/c.scm 198 */
													obj_t BgL_arg1703z00_2233;

													BgL_arg1703z00_2233 =
														CAR(((obj_t) BgL_l1463z00_2224));
													BgL_nh1465z00_2231 =
														MAKE_YOUNG_PAIR(BgL_arg1703z00_2233, BNIL);
												}
												SET_CDR(BgL_h1464z00_2225, BgL_nh1465z00_2231);
												{	/* BackEnd/c.scm 198 */
													obj_t BgL_arg1699z00_2232;

													BgL_arg1699z00_2232 =
														CDR(((obj_t) BgL_l1463z00_2224));
													{
														obj_t BgL_h1464z00_4144;
														obj_t BgL_l1463z00_4143;

														BgL_l1463z00_4143 = BgL_arg1699z00_2232;
														BgL_h1464z00_4144 = BgL_nh1465z00_2231;
														BgL_h1464z00_2225 = BgL_h1464z00_4144;
														BgL_l1463z00_2224 = BgL_l1463z00_4143;
														goto BgL_zc3z04anonymousza31692ze3z87_2226;
													}
												}
											}
										else
											{	/* BackEnd/c.scm 198 */
												obj_t BgL_arg1715z00_2234;

												BgL_arg1715z00_2234 = CDR(((obj_t) BgL_l1463z00_2224));
												{
													obj_t BgL_l1463z00_4147;

													BgL_l1463z00_4147 = BgL_arg1715z00_2234;
													BgL_l1463z00_2224 = BgL_l1463z00_4147;
													goto BgL_zc3z04anonymousza31692ze3z87_2226;
												}
											}
									}
							}
						}
					}
					BGl_emitzd2classzd2typesz00zzbackend_c_prototypez00
						(BgL_classesz00_2220, BGl_za2czd2portza2zd2zzbackend_c_emitz00);
				}
				{	/* BackEnd/c.scm 201 */
					obj_t BgL_list1717z00_2238;

					BgL_list1717z00_2238 = MAKE_YOUNG_PAIR(BgL_namez00_2150, BNIL);
					BGl_fprintfz00zz__r4_output_6_10_3z00
						(BGl_za2czd2portza2zd2zzbackend_c_emitz00,
						BGl_string2061z00zzbackend_cz00, BgL_list1717z00_2238);
				}
				{	/* BackEnd/c.scm 202 */
					obj_t BgL_list1718z00_2239;

					BgL_list1718z00_2239 = MAKE_YOUNG_PAIR(BgL_namez00_2150, BNIL);
					BGl_fprintfz00zz__r4_output_6_10_3z00
						(BGl_za2czd2portza2zd2zzbackend_c_emitz00,
						BGl_string2062z00zzbackend_cz00, BgL_list1718z00_2239);
				}
				bgl_display_char(((unsigned char) 10),
					BGl_za2czd2portza2zd2zzbackend_c_emitz00);
			}
			BGl_emitzd2prototypeszd2zzbackend_c_prototypez00();
			BGl_emitzd2cnstszd2zzbackend_c_prototypez00();
			if (CBOOL(BGl_za2gczd2forcezd2registerzd2rootszf3za2z21zzengine_paramz00))
				{	/* BackEnd/c.scm 212 */
					BGl_gczd2rootszd2emitz00zzcc_rootsz00
						(BGl_za2czd2portza2zd2zzbackend_c_emitz00);
				}
			else
				{	/* BackEnd/c.scm 212 */
					BFALSE;
				}
			{	/* BackEnd/c.scm 215 */
				obj_t BgL_globalsz00_2240;

				BgL_globalsz00_2240 =
					(((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_mez00_29)))->BgL_functionsz00);
				if (((long) CINT(BGl_za2bdbzd2debugza2zd2zzengine_paramz00) > 0L))
					{	/* BackEnd/c.scm 219 */
						BGl_emitzd2bdbzd2infoz00zzbdb_emitz00(BgL_globalsz00_2240,
							BGl_za2czd2portza2zd2zzbackend_c_emitz00);
					}
				else
					{	/* BackEnd/c.scm 219 */
						BFALSE;
					}
				if (((long) CINT(BGl_za2profilezd2modeza2zd2zzengine_paramz00) > 0L))
					{	/* BackEnd/c.scm 223 */
						BGl_emitzd2profzd2infoz00zzprof_emitz00(BgL_globalsz00_2240,
							BGl_za2czd2portza2zd2zzbackend_c_emitz00);
					}
				else
					{	/* BackEnd/c.scm 223 */
						BFALSE;
					}
				{	/* BackEnd/c.scm 227 */
					bool_t BgL_test2186z00_4169;

					{	/* BackEnd/c.scm 227 */
						bool_t BgL_test2187z00_4170;

						if (CBOOL(BGl_za2mainza2z00zzmodule_modulez00))
							{	/* BackEnd/c.scm 227 */
								BgL_test2187z00_4170 = ((bool_t) 1);
							}
						else
							{	/* BackEnd/c.scm 227 */
								BgL_test2187z00_4170 =
									CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
									(BGl_za2passza2z00zzengine_paramz00,
										((obj_t) CNST_TABLE_REF(8))));
							}
						if (BgL_test2187z00_4170)
							{	/* BackEnd/c.scm 227 */
								if (
									(BGl_za2mainza2z00zzmodule_modulez00 ==
										((obj_t) CNST_TABLE_REF(9))))
									{	/* BackEnd/c.scm 228 */
										BgL_test2186z00_4169 = ((bool_t) 0);
									}
								else
									{	/* BackEnd/c.scm 228 */
										BgL_test2186z00_4169 = ((bool_t) 1);
									}
							}
						else
							{	/* BackEnd/c.scm 227 */
								BgL_test2186z00_4169 = ((bool_t) 0);
							}
					}
					if (BgL_test2186z00_4169)
						{	/* BackEnd/c.scm 227 */
							BGl_emitzd2mainzd2zzbackend_c_emitz00();
						}
					else
						{	/* BackEnd/c.scm 227 */
							BFALSE;
						}
				}
				{	/* BackEnd/c.scm 232 */
					obj_t BgL_modzd2initzd2_2246;

					BgL_modzd2initzd2_2246 =
						BGl_getzd2modulezd2initz00zzbackend_initz00();
					{	/* BackEnd/c.scm 233 */
						bool_t BgL_test2190z00_4183;

						if (CBOOL(BGl_bigloozd2configzd2zz__configurez00(
									((obj_t) CNST_TABLE_REF(10)))))
							{	/* BackEnd/c.scm 234 */
								obj_t BgL_classz00_3127;

								BgL_classz00_3127 = BGl_globalz00zzast_varz00;
								if (BGL_OBJECTP(BgL_modzd2initzd2_2246))
									{	/* BackEnd/c.scm 234 */
										BgL_objectz00_bglt BgL_arg1858z00_3129;

										BgL_arg1858z00_3129 =
											(BgL_objectz00_bglt) (BgL_modzd2initzd2_2246);
										if (BGL_CONDEXPAND_ISA_ARCH64())
											{	/* BackEnd/c.scm 234 */
												long BgL_idxz00_3135;

												BgL_idxz00_3135 =
													BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_3129);
												BgL_test2190z00_4183 =
													(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
														(BgL_idxz00_3135 + 2L)) == BgL_classz00_3127);
											}
										else
											{	/* BackEnd/c.scm 234 */
												bool_t BgL_res2023z00_3160;

												{	/* BackEnd/c.scm 234 */
													obj_t BgL_oclassz00_3143;

													{	/* BackEnd/c.scm 234 */
														obj_t BgL_arg1866z00_3151;
														long BgL_arg1867z00_3152;

														BgL_arg1866z00_3151 =
															(BGl_za2classesza2z00zz__objectz00);
														{	/* BackEnd/c.scm 234 */
															long BgL_arg1869z00_3153;

															BgL_arg1869z00_3153 =
																BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_3129);
															BgL_arg1867z00_3152 =
																(BgL_arg1869z00_3153 - OBJECT_TYPE);
														}
														BgL_oclassz00_3143 =
															VECTOR_REF(BgL_arg1866z00_3151,
															BgL_arg1867z00_3152);
													}
													{	/* BackEnd/c.scm 234 */
														bool_t BgL__ortest_1115z00_3144;

														BgL__ortest_1115z00_3144 =
															(BgL_classz00_3127 == BgL_oclassz00_3143);
														if (BgL__ortest_1115z00_3144)
															{	/* BackEnd/c.scm 234 */
																BgL_res2023z00_3160 = BgL__ortest_1115z00_3144;
															}
														else
															{	/* BackEnd/c.scm 234 */
																long BgL_odepthz00_3145;

																{	/* BackEnd/c.scm 234 */
																	obj_t BgL_arg1855z00_3146;

																	BgL_arg1855z00_3146 = (BgL_oclassz00_3143);
																	BgL_odepthz00_3145 =
																		BGL_CLASS_DEPTH(BgL_arg1855z00_3146);
																}
																if ((2L < BgL_odepthz00_3145))
																	{	/* BackEnd/c.scm 234 */
																		obj_t BgL_arg1853z00_3148;

																		{	/* BackEnd/c.scm 234 */
																			obj_t BgL_arg1854z00_3149;

																			BgL_arg1854z00_3149 =
																				(BgL_oclassz00_3143);
																			BgL_arg1853z00_3148 =
																				BGL_CLASS_ANCESTORS_REF
																				(BgL_arg1854z00_3149, 2L);
																		}
																		BgL_res2023z00_3160 =
																			(BgL_arg1853z00_3148 ==
																			BgL_classz00_3127);
																	}
																else
																	{	/* BackEnd/c.scm 234 */
																		BgL_res2023z00_3160 = ((bool_t) 0);
																	}
															}
													}
												}
												BgL_test2190z00_4183 = BgL_res2023z00_3160;
											}
									}
								else
									{	/* BackEnd/c.scm 234 */
										BgL_test2190z00_4183 = ((bool_t) 0);
									}
							}
						else
							{	/* BackEnd/c.scm 233 */
								BgL_test2190z00_4183 = ((bool_t) 0);
							}
						if (BgL_test2190z00_4183)
							{	/* BackEnd/c.scm 233 */
								if (SYMBOLP(BGl_za2dlopenzd2initza2zd2zzengine_paramz00))
									{	/* BackEnd/c.scm 237 */
										obj_t BgL_arg1729z00_2250;

										{	/* BackEnd/c.scm 237 */
											obj_t BgL_symbolz00_3162;

											BgL_symbolz00_3162 =
												BGl_za2dlopenzd2initza2zd2zzengine_paramz00;
											{	/* BackEnd/c.scm 237 */
												obj_t BgL_arg1486z00_3163;

												BgL_arg1486z00_3163 =
													SYMBOL_TO_STRING(BgL_symbolz00_3162);
												BgL_arg1729z00_2250 =
													BGl_stringzd2copyzd2zz__r4_strings_6_7z00
													(BgL_arg1486z00_3163);
											}
										}
										BGl_emitzd2dlopenzd2initz00zzbackend_c_emitz00(
											((BgL_globalz00_bglt) BgL_modzd2initzd2_2246),
											BgL_arg1729z00_2250);
									}
								else
									{	/* BackEnd/c.scm 236 */
										if (STRINGP(BGl_za2dlopenzd2initza2zd2zzengine_paramz00))
											{	/* BackEnd/c.scm 238 */
												BGl_emitzd2dlopenzd2initz00zzbackend_c_emitz00(
													((BgL_globalz00_bglt) BgL_modzd2initzd2_2246),
													BGl_za2dlopenzd2initza2zd2zzengine_paramz00);
											}
										else
											{	/* BackEnd/c.scm 238 */
												if (CBOOL(BGl_za2dlopenzd2initza2zd2zzengine_paramz00))
													{	/* BackEnd/c.scm 240 */
														BGl_emitzd2dlopenzd2initz00zzbackend_c_emitz00(
															((BgL_globalz00_bglt) BgL_modzd2initzd2_2246),
															string_to_bstring(BGL_DYNAMIC_LOAD_INIT));
													}
												else
													{	/* BackEnd/c.scm 240 */
														BUNSPEC;
													}
											}
									}
							}
						else
							{	/* BackEnd/c.scm 233 */
								BFALSE;
							}
					}
				}
				BGl_backendzd2compilezd2functionsz00zzbackend_backendz00(
					((BgL_backendz00_bglt) BgL_mez00_29));
				{	/* BackEnd/c.scm 248 */
					obj_t BgL_port1468z00_2253;

					BgL_port1468z00_2253 = BGl_za2czd2portza2zd2zzbackend_c_emitz00;
					{	/* BackEnd/c.scm 248 */
						obj_t BgL_tmpz00_4228;

						BgL_tmpz00_4228 = ((obj_t) BgL_port1468z00_2253);
						bgl_display_string(BGl_string2052z00zzbackend_cz00,
							BgL_tmpz00_4228);
					}
					{	/* BackEnd/c.scm 248 */
						obj_t BgL_tmpz00_4231;

						BgL_tmpz00_4231 = ((obj_t) BgL_port1468z00_2253);
						bgl_display_char(((unsigned char) 10), BgL_tmpz00_4231);
				}}
				{	/* BackEnd/c.scm 249 */
					obj_t BgL_port1469z00_2254;

					BgL_port1469z00_2254 = BGl_za2czd2portza2zd2zzbackend_c_emitz00;
					{	/* BackEnd/c.scm 249 */
						obj_t BgL_tmpz00_4234;

						BgL_tmpz00_4234 = ((obj_t) BgL_port1469z00_2254);
						bgl_display_string(BGl_string2063z00zzbackend_cz00,
							BgL_tmpz00_4234);
					}
					{	/* BackEnd/c.scm 249 */
						obj_t BgL_tmpz00_4237;

						BgL_tmpz00_4237 = ((obj_t) BgL_port1469z00_2254);
						bgl_display_char(((unsigned char) 10), BgL_tmpz00_4237);
				}}
				{	/* BackEnd/c.scm 250 */
					obj_t BgL_port1470z00_2255;

					BgL_port1470z00_2255 = BGl_za2czd2portza2zd2zzbackend_c_emitz00;
					{	/* BackEnd/c.scm 250 */
						obj_t BgL_tmpz00_4240;

						BgL_tmpz00_4240 = ((obj_t) BgL_port1470z00_2255);
						bgl_display_string(BGl_string2054z00zzbackend_cz00,
							BgL_tmpz00_4240);
					}
					{	/* BackEnd/c.scm 250 */
						obj_t BgL_tmpz00_4243;

						BgL_tmpz00_4243 = ((obj_t) BgL_port1470z00_2255);
						bgl_display_char(((unsigned char) 10), BgL_tmpz00_4243);
				}}
				{
					obj_t BgL_l1472z00_2257;

					BgL_l1472z00_2257 = BGl_za2czd2userzd2footza2z00zzengine_paramz00;
				BgL_zc3z04anonymousza31732ze3z87_2258:
					if (PAIRP(BgL_l1472z00_2257))
						{	/* BackEnd/c.scm 253 */
							{	/* BackEnd/c.scm 253 */
								obj_t BgL_hz00_2260;

								BgL_hz00_2260 = CAR(BgL_l1472z00_2257);
								{	/* BackEnd/c.scm 253 */
									obj_t BgL_port1471z00_2261;

									BgL_port1471z00_2261 =
										BGl_za2czd2portza2zd2zzbackend_c_emitz00;
									bgl_display_obj(BgL_hz00_2260, BgL_port1471z00_2261);
									{	/* BackEnd/c.scm 253 */
										obj_t BgL_tmpz00_4250;

										BgL_tmpz00_4250 = ((obj_t) BgL_port1471z00_2261);
										bgl_display_char(((unsigned char) 10), BgL_tmpz00_4250);
							}}}
							{
								obj_t BgL_l1472z00_4253;

								BgL_l1472z00_4253 = CDR(BgL_l1472z00_2257);
								BgL_l1472z00_2257 = BgL_l1472z00_4253;
								goto BgL_zc3z04anonymousza31732ze3z87_2258;
							}
						}
					else
						{	/* BackEnd/c.scm 253 */
							((bool_t) 1);
						}
				}
				return BGl_stopzd2emissionz12zc0zzbackend_c_emitz00();
			}
		}

	}



/* &<@anonymous:1613> */
	obj_t BGl_z62zc3z04anonymousza31613ze3ze5zzbackend_cz00(obj_t BgL_envz00_3442,
		obj_t BgL_globalz00_3443)
	{
		{	/* BackEnd/c.scm 166 */
			{	/* BackEnd/c.scm 168 */
				bool_t BgL_test2200z00_4256;

				{	/* BackEnd/c.scm 168 */
					bool_t BgL_test2201z00_4257;

					{	/* BackEnd/c.scm 168 */
						obj_t BgL_arg1656z00_3516;

						BgL_arg1656z00_3516 =
							(((BgL_globalz00_bglt) COBJECT(
									((BgL_globalz00_bglt) BgL_globalz00_3443)))->BgL_modulez00);
						BgL_test2201z00_4257 =
							(BgL_arg1656z00_3516 == BGl_za2moduleza2z00zzmodule_modulez00);
					}
					if (BgL_test2201z00_4257)
						{	/* BackEnd/c.scm 168 */
							BgL_test2200z00_4256 =
								(
								(((BgL_variablez00_bglt) COBJECT(
											((BgL_variablez00_bglt)
												((BgL_globalz00_bglt) BgL_globalz00_3443))))->
									BgL_occurrencez00) > 0L);
						}
					else
						{	/* BackEnd/c.scm 168 */
							BgL_test2200z00_4256 = ((bool_t) 0);
						}
				}
				if (BgL_test2200z00_4256)
					{	/* BackEnd/c.scm 168 */
						return
							BGl_typezd2incrementzd2globalz12z12zzast_typezd2occurzd2(
							((BgL_globalz00_bglt) BgL_globalz00_3443));
					}
				else
					{	/* BackEnd/c.scm 168 */
						if (BGl_requirezd2prototypezf3z21zzbackend_c_prototypez00(
								((BgL_globalz00_bglt) BgL_globalz00_3443)))
							{	/* BackEnd/c.scm 171 */
								BGl_typezd2incrementzd2globalz12z12zzast_typezd2occurzd2(
									((BgL_globalz00_bglt) BgL_globalz00_3443));
								{	/* BackEnd/c.scm 173 */
									BgL_typez00_bglt BgL_arg1638z00_3517;

									BgL_arg1638z00_3517 =
										(((BgL_variablez00_bglt) COBJECT(
												((BgL_variablez00_bglt)
													((BgL_globalz00_bglt) BgL_globalz00_3443))))->
										BgL_typez00);
									BGl_typezd2occurrencezd2incrementz12z12zztype_typez00
										(BgL_arg1638z00_3517);
								}
								{	/* BackEnd/c.scm 174 */
									bool_t BgL_test2203z00_4276;

									{	/* BackEnd/c.scm 174 */
										BgL_valuez00_bglt BgL_arg1653z00_3518;

										BgL_arg1653z00_3518 =
											(((BgL_variablez00_bglt) COBJECT(
													((BgL_variablez00_bglt)
														((BgL_globalz00_bglt) BgL_globalz00_3443))))->
											BgL_valuez00);
										{	/* BackEnd/c.scm 174 */
											obj_t BgL_classz00_3519;

											BgL_classz00_3519 = BGl_sfunz00zzast_varz00;
											{	/* BackEnd/c.scm 174 */
												BgL_objectz00_bglt BgL_arg1858z00_3520;

												{	/* BackEnd/c.scm 174 */
													obj_t BgL_tmpz00_4280;

													BgL_tmpz00_4280 =
														((obj_t)
														((BgL_objectz00_bglt) BgL_arg1653z00_3518));
													BgL_arg1858z00_3520 =
														(BgL_objectz00_bglt) (BgL_tmpz00_4280);
												}
												if (BGL_CONDEXPAND_ISA_ARCH64())
													{	/* BackEnd/c.scm 174 */
														long BgL_idxz00_3521;

														BgL_idxz00_3521 =
															BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_3520);
														BgL_test2203z00_4276 =
															(VECTOR_REF
															(BGl_za2inheritancesza2z00zz__objectz00,
																(BgL_idxz00_3521 + 3L)) == BgL_classz00_3519);
													}
												else
													{	/* BackEnd/c.scm 174 */
														bool_t BgL_res2020z00_3524;

														{	/* BackEnd/c.scm 174 */
															obj_t BgL_oclassz00_3525;

															{	/* BackEnd/c.scm 174 */
																obj_t BgL_arg1866z00_3526;
																long BgL_arg1867z00_3527;

																BgL_arg1866z00_3526 =
																	(BGl_za2classesza2z00zz__objectz00);
																{	/* BackEnd/c.scm 174 */
																	long BgL_arg1869z00_3528;

																	BgL_arg1869z00_3528 =
																		BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_3520);
																	BgL_arg1867z00_3527 =
																		(BgL_arg1869z00_3528 - OBJECT_TYPE);
																}
																BgL_oclassz00_3525 =
																	VECTOR_REF(BgL_arg1866z00_3526,
																	BgL_arg1867z00_3527);
															}
															{	/* BackEnd/c.scm 174 */
																bool_t BgL__ortest_1115z00_3529;

																BgL__ortest_1115z00_3529 =
																	(BgL_classz00_3519 == BgL_oclassz00_3525);
																if (BgL__ortest_1115z00_3529)
																	{	/* BackEnd/c.scm 174 */
																		BgL_res2020z00_3524 =
																			BgL__ortest_1115z00_3529;
																	}
																else
																	{	/* BackEnd/c.scm 174 */
																		long BgL_odepthz00_3530;

																		{	/* BackEnd/c.scm 174 */
																			obj_t BgL_arg1855z00_3531;

																			BgL_arg1855z00_3531 =
																				(BgL_oclassz00_3525);
																			BgL_odepthz00_3530 =
																				BGL_CLASS_DEPTH(BgL_arg1855z00_3531);
																		}
																		if ((3L < BgL_odepthz00_3530))
																			{	/* BackEnd/c.scm 174 */
																				obj_t BgL_arg1853z00_3532;

																				{	/* BackEnd/c.scm 174 */
																					obj_t BgL_arg1854z00_3533;

																					BgL_arg1854z00_3533 =
																						(BgL_oclassz00_3525);
																					BgL_arg1853z00_3532 =
																						BGL_CLASS_ANCESTORS_REF
																						(BgL_arg1854z00_3533, 3L);
																				}
																				BgL_res2020z00_3524 =
																					(BgL_arg1853z00_3532 ==
																					BgL_classz00_3519);
																			}
																		else
																			{	/* BackEnd/c.scm 174 */
																				BgL_res2020z00_3524 = ((bool_t) 0);
																			}
																	}
															}
														}
														BgL_test2203z00_4276 = BgL_res2020z00_3524;
													}
											}
										}
									}
									if (BgL_test2203z00_4276)
										{	/* BackEnd/c.scm 175 */
											obj_t BgL_g1455z00_3534;

											BgL_g1455z00_3534 =
												(((BgL_sfunz00_bglt) COBJECT(
														((BgL_sfunz00_bglt)
															(((BgL_variablez00_bglt) COBJECT(
																		((BgL_variablez00_bglt)
																			((BgL_globalz00_bglt)
																				BgL_globalz00_3443))))->
																BgL_valuez00))))->BgL_argsz00);
											{
												obj_t BgL_l1453z00_3536;

												{	/* BackEnd/c.scm 181 */
													bool_t BgL_tmpz00_4308;

													BgL_l1453z00_3536 = BgL_g1455z00_3534;
												BgL_zc3z04anonymousza31644ze3z87_3535:
													if (PAIRP(BgL_l1453z00_3536))
														{	/* BackEnd/c.scm 181 */
															{	/* BackEnd/c.scm 177 */
																obj_t BgL_az00_3537;

																BgL_az00_3537 = CAR(BgL_l1453z00_3536);
																{	/* BackEnd/c.scm 177 */
																	bool_t BgL_test2208z00_4312;

																	{	/* BackEnd/c.scm 177 */
																		obj_t BgL_classz00_3538;

																		BgL_classz00_3538 =
																			BGl_typez00zztype_typez00;
																		if (BGL_OBJECTP(BgL_az00_3537))
																			{	/* BackEnd/c.scm 177 */
																				BgL_objectz00_bglt BgL_arg1858z00_3539;

																				BgL_arg1858z00_3539 =
																					(BgL_objectz00_bglt) (BgL_az00_3537);
																				if (BGL_CONDEXPAND_ISA_ARCH64())
																					{	/* BackEnd/c.scm 177 */
																						long BgL_idxz00_3540;

																						BgL_idxz00_3540 =
																							BGL_OBJECT_INHERITANCE_NUM
																							(BgL_arg1858z00_3539);
																						BgL_test2208z00_4312 =
																							(VECTOR_REF
																							(BGl_za2inheritancesza2z00zz__objectz00,
																								(BgL_idxz00_3540 + 1L)) ==
																							BgL_classz00_3538);
																					}
																				else
																					{	/* BackEnd/c.scm 177 */
																						bool_t BgL_res2021z00_3543;

																						{	/* BackEnd/c.scm 177 */
																							obj_t BgL_oclassz00_3544;

																							{	/* BackEnd/c.scm 177 */
																								obj_t BgL_arg1866z00_3545;
																								long BgL_arg1867z00_3546;

																								BgL_arg1866z00_3545 =
																									(BGl_za2classesza2z00zz__objectz00);
																								{	/* BackEnd/c.scm 177 */
																									long BgL_arg1869z00_3547;

																									BgL_arg1869z00_3547 =
																										BGL_OBJECT_CLASS_NUM
																										(BgL_arg1858z00_3539);
																									BgL_arg1867z00_3546 =
																										(BgL_arg1869z00_3547 -
																										OBJECT_TYPE);
																								}
																								BgL_oclassz00_3544 =
																									VECTOR_REF
																									(BgL_arg1866z00_3545,
																									BgL_arg1867z00_3546);
																							}
																							{	/* BackEnd/c.scm 177 */
																								bool_t BgL__ortest_1115z00_3548;

																								BgL__ortest_1115z00_3548 =
																									(BgL_classz00_3538 ==
																									BgL_oclassz00_3544);
																								if (BgL__ortest_1115z00_3548)
																									{	/* BackEnd/c.scm 177 */
																										BgL_res2021z00_3543 =
																											BgL__ortest_1115z00_3548;
																									}
																								else
																									{	/* BackEnd/c.scm 177 */
																										long BgL_odepthz00_3549;

																										{	/* BackEnd/c.scm 177 */
																											obj_t BgL_arg1855z00_3550;

																											BgL_arg1855z00_3550 =
																												(BgL_oclassz00_3544);
																											BgL_odepthz00_3549 =
																												BGL_CLASS_DEPTH
																												(BgL_arg1855z00_3550);
																										}
																										if (
																											(1L < BgL_odepthz00_3549))
																											{	/* BackEnd/c.scm 177 */
																												obj_t
																													BgL_arg1853z00_3551;
																												{	/* BackEnd/c.scm 177 */
																													obj_t
																														BgL_arg1854z00_3552;
																													BgL_arg1854z00_3552 =
																														(BgL_oclassz00_3544);
																													BgL_arg1853z00_3551 =
																														BGL_CLASS_ANCESTORS_REF
																														(BgL_arg1854z00_3552,
																														1L);
																												}
																												BgL_res2021z00_3543 =
																													(BgL_arg1853z00_3551
																													== BgL_classz00_3538);
																											}
																										else
																											{	/* BackEnd/c.scm 177 */
																												BgL_res2021z00_3543 =
																													((bool_t) 0);
																											}
																									}
																							}
																						}
																						BgL_test2208z00_4312 =
																							BgL_res2021z00_3543;
																					}
																			}
																		else
																			{	/* BackEnd/c.scm 177 */
																				BgL_test2208z00_4312 = ((bool_t) 0);
																			}
																	}
																	if (BgL_test2208z00_4312)
																		{	/* BackEnd/c.scm 177 */
																			BGl_typezd2occurrencezd2incrementz12z12zztype_typez00
																				(((BgL_typez00_bglt) BgL_az00_3537));
																		}
																	else
																		{	/* BackEnd/c.scm 179 */
																			bool_t BgL_test2213z00_4337;

																			{	/* BackEnd/c.scm 179 */
																				obj_t BgL_classz00_3553;

																				BgL_classz00_3553 =
																					BGl_localz00zzast_varz00;
																				if (BGL_OBJECTP(BgL_az00_3537))
																					{	/* BackEnd/c.scm 179 */
																						BgL_objectz00_bglt
																							BgL_arg1858z00_3554;
																						BgL_arg1858z00_3554 =
																							(BgL_objectz00_bglt)
																							(BgL_az00_3537);
																						if (BGL_CONDEXPAND_ISA_ARCH64())
																							{	/* BackEnd/c.scm 179 */
																								long BgL_idxz00_3555;

																								BgL_idxz00_3555 =
																									BGL_OBJECT_INHERITANCE_NUM
																									(BgL_arg1858z00_3554);
																								BgL_test2213z00_4337 =
																									(VECTOR_REF
																									(BGl_za2inheritancesza2z00zz__objectz00,
																										(BgL_idxz00_3555 + 2L)) ==
																									BgL_classz00_3553);
																							}
																						else
																							{	/* BackEnd/c.scm 179 */
																								bool_t BgL_res2022z00_3558;

																								{	/* BackEnd/c.scm 179 */
																									obj_t BgL_oclassz00_3559;

																									{	/* BackEnd/c.scm 179 */
																										obj_t BgL_arg1866z00_3560;
																										long BgL_arg1867z00_3561;

																										BgL_arg1866z00_3560 =
																											(BGl_za2classesza2z00zz__objectz00);
																										{	/* BackEnd/c.scm 179 */
																											long BgL_arg1869z00_3562;

																											BgL_arg1869z00_3562 =
																												BGL_OBJECT_CLASS_NUM
																												(BgL_arg1858z00_3554);
																											BgL_arg1867z00_3561 =
																												(BgL_arg1869z00_3562 -
																												OBJECT_TYPE);
																										}
																										BgL_oclassz00_3559 =
																											VECTOR_REF
																											(BgL_arg1866z00_3560,
																											BgL_arg1867z00_3561);
																									}
																									{	/* BackEnd/c.scm 179 */
																										bool_t
																											BgL__ortest_1115z00_3563;
																										BgL__ortest_1115z00_3563 =
																											(BgL_classz00_3553 ==
																											BgL_oclassz00_3559);
																										if (BgL__ortest_1115z00_3563)
																											{	/* BackEnd/c.scm 179 */
																												BgL_res2022z00_3558 =
																													BgL__ortest_1115z00_3563;
																											}
																										else
																											{	/* BackEnd/c.scm 179 */
																												long BgL_odepthz00_3564;

																												{	/* BackEnd/c.scm 179 */
																													obj_t
																														BgL_arg1855z00_3565;
																													BgL_arg1855z00_3565 =
																														(BgL_oclassz00_3559);
																													BgL_odepthz00_3564 =
																														BGL_CLASS_DEPTH
																														(BgL_arg1855z00_3565);
																												}
																												if (
																													(2L <
																														BgL_odepthz00_3564))
																													{	/* BackEnd/c.scm 179 */
																														obj_t
																															BgL_arg1853z00_3566;
																														{	/* BackEnd/c.scm 179 */
																															obj_t
																																BgL_arg1854z00_3567;
																															BgL_arg1854z00_3567
																																=
																																(BgL_oclassz00_3559);
																															BgL_arg1853z00_3566
																																=
																																BGL_CLASS_ANCESTORS_REF
																																(BgL_arg1854z00_3567,
																																2L);
																														}
																														BgL_res2022z00_3558
																															=
																															(BgL_arg1853z00_3566
																															==
																															BgL_classz00_3553);
																													}
																												else
																													{	/* BackEnd/c.scm 179 */
																														BgL_res2022z00_3558
																															= ((bool_t) 0);
																													}
																											}
																									}
																								}
																								BgL_test2213z00_4337 =
																									BgL_res2022z00_3558;
																							}
																					}
																				else
																					{	/* BackEnd/c.scm 179 */
																						BgL_test2213z00_4337 = ((bool_t) 0);
																					}
																			}
																			if (BgL_test2213z00_4337)
																				{	/* BackEnd/c.scm 180 */
																					BgL_typez00_bglt BgL_arg1648z00_3568;

																					BgL_arg1648z00_3568 =
																						(((BgL_variablez00_bglt) COBJECT(
																								((BgL_variablez00_bglt)
																									((BgL_localz00_bglt)
																										BgL_az00_3537))))->
																						BgL_typez00);
																					BGl_typezd2occurrencezd2incrementz12z12zztype_typez00
																						(BgL_arg1648z00_3568);
																				}
																			else
																				{	/* BackEnd/c.scm 179 */
																					BFALSE;
																				}
																		}
																}
															}
															{
																obj_t BgL_l1453z00_4364;

																BgL_l1453z00_4364 = CDR(BgL_l1453z00_3536);
																BgL_l1453z00_3536 = BgL_l1453z00_4364;
																goto BgL_zc3z04anonymousza31644ze3z87_3535;
															}
														}
													else
														{	/* BackEnd/c.scm 181 */
															BgL_tmpz00_4308 = ((bool_t) 1);
														}
													return BBOOL(BgL_tmpz00_4308);
												}
											}
										}
									else
										{	/* BackEnd/c.scm 174 */
											return BFALSE;
										}
								}
							}
						else
							{	/* BackEnd/c.scm 171 */
								return BFALSE;
							}
					}
			}
		}

	}



/* &<@anonymous:1606> */
	obj_t BGl_z62zc3z04anonymousza31606ze3ze5zzbackend_cz00(obj_t BgL_envz00_3444,
		obj_t BgL_tz00_3445)
	{
		{	/* BackEnd/c.scm 164 */
			return
				((((BgL_typez00_bglt) COBJECT(
							((BgL_typez00_bglt) BgL_tz00_3445)))->BgL_occurrencez00) = ((int)
					(int) (0L)), BUNSPEC);
		}

	}



/* &<@anonymous:1590> */
	obj_t BGl_z62zc3z04anonymousza31590ze3ze5zzbackend_cz00(obj_t BgL_envz00_3446)
	{
		{	/* BackEnd/c.scm 125 */
			return
				BGl_startzd2emissionz12zc0zzbackend_c_emitz00
				(BGl_string2064z00zzbackend_cz00);
		}

	}



/* cc-compiler */
	BGL_EXPORTED_DEF obj_t BGl_cczd2compilerzd2zzbackend_cz00(obj_t
		BgL_czd2prefixzd2_30, obj_t BgL_ozd2prefixzd2_31)
	{
		{	/* BackEnd/c.scm 260 */
			BGl_setzd2backendz12zc0zzbackend_backendz00(((obj_t) CNST_TABLE_REF(0)));
			{	/* BackEnd/c.scm 264 */
				bool_t BgL_arg1748z00_2264;

				if (
					(BGl_za2passza2z00zzengine_paramz00 == ((obj_t) CNST_TABLE_REF(11))))
					{	/* BackEnd/c.scm 264 */
						BgL_arg1748z00_2264 = ((bool_t) 0);
					}
				else
					{	/* BackEnd/c.scm 264 */
						BgL_arg1748z00_2264 = ((bool_t) 1);
					}
				BGl_ccz00zzcc_ccz00(BgL_czd2prefixzd2_30, BgL_ozd2prefixzd2_31,
					BgL_arg1748z00_2264);
			}
			BGl_stopzd2onzd2passz00zzengine_passz00(
				((obj_t) CNST_TABLE_REF(11)), BGl_proc2065z00zzbackend_cz00);
			{	/* BackEnd/c.scm 267 */
				obj_t BgL_arg1757z00_2268;

				if (STRINGP(BgL_ozd2prefixzd2_31))
					{	/* BackEnd/c.scm 267 */
						BgL_arg1757z00_2268 = BgL_ozd2prefixzd2_31;
					}
				else
					{	/* BackEnd/c.scm 267 */
						BgL_arg1757z00_2268 = BgL_czd2prefixzd2_30;
					}
				return BGl_ldz00zzcc_ldz00(BgL_arg1757z00_2268, ((bool_t) 0));
			}
		}

	}



/* &cc-compiler */
	obj_t BGl_z62cczd2compilerzb0zzbackend_cz00(obj_t BgL_envz00_3448,
		obj_t BgL_czd2prefixzd2_3449, obj_t BgL_ozd2prefixzd2_3450)
	{
		{	/* BackEnd/c.scm 260 */
			return
				BGl_cczd2compilerzd2zzbackend_cz00(BgL_czd2prefixzd2_3449,
				BgL_ozd2prefixzd2_3450);
		}

	}



/* &<@anonymous:1756> */
	obj_t BGl_z62zc3z04anonymousza31756ze3ze5zzbackend_cz00(obj_t BgL_envz00_3451)
	{
		{	/* BackEnd/c.scm 265 */
			return ((obj_t) CNST_TABLE_REF(12));
		}

	}



/* make-tmp-file-name */
	obj_t BGl_makezd2tmpzd2filezd2namezd2zzbackend_cz00(void)
	{
		{	/* BackEnd/c.scm 280 */
			{	/* BackEnd/c.scm 284 */
				obj_t BgL_arg1763z00_2270;

				{	/* BackEnd/c.scm 284 */
					obj_t BgL_arg1765z00_2271;
					obj_t BgL_arg1768z00_2272;

					{	/* BackEnd/c.scm 284 */
						obj_t BgL_userz00_2278;

						BgL_userz00_2278 =
							BGl_getenvz00zz__osz00(BGl_string2066z00zzbackend_cz00);
						if (STRINGP(BgL_userz00_2278))
							{	/* BackEnd/c.scm 285 */
								BgL_arg1765z00_2271 = BgL_userz00_2278;
							}
						else
							{	/* BackEnd/c.scm 285 */
								BgL_arg1765z00_2271 = BGl_string2067z00zzbackend_cz00;
							}
					}
					BgL_arg1768z00_2272 = CAR(BGl_za2srczd2suffixza2zd2zzengine_paramz00);
					{	/* BackEnd/c.scm 282 */
						obj_t BgL_list1769z00_2273;

						{	/* BackEnd/c.scm 282 */
							obj_t BgL_arg1770z00_2274;

							{	/* BackEnd/c.scm 282 */
								obj_t BgL_arg1772z00_2275;

								{	/* BackEnd/c.scm 282 */
									obj_t BgL_arg1776z00_2276;

									{	/* BackEnd/c.scm 282 */
										obj_t BgL_arg1782z00_2277;

										BgL_arg1782z00_2277 =
											MAKE_YOUNG_PAIR(BgL_arg1768z00_2272, BNIL);
										BgL_arg1776z00_2276 =
											MAKE_YOUNG_PAIR(BGl_string2068z00zzbackend_cz00,
											BgL_arg1782z00_2277);
									}
									BgL_arg1772z00_2275 =
										MAKE_YOUNG_PAIR(BgL_arg1765z00_2271, BgL_arg1776z00_2276);
								}
								BgL_arg1770z00_2274 =
									MAKE_YOUNG_PAIR(BGl_string2069z00zzbackend_cz00,
									BgL_arg1772z00_2275);
							}
							BgL_list1769z00_2273 =
								MAKE_YOUNG_PAIR(BGl_string2070z00zzbackend_cz00,
								BgL_arg1770z00_2274);
						}
						BgL_arg1763z00_2270 =
							BGl_stringzd2appendzd2zz__r4_strings_6_7z00(BgL_list1769z00_2273);
					}
				}
				return
					BGl_makezd2filezd2namez00zz__osz00
					(BGl_za2bigloozd2tmpza2zd2zzengine_paramz00, BgL_arg1763z00_2270);
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzbackend_cz00(void)
	{
		{	/* BackEnd/c.scm 15 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzbackend_cz00(void)
	{
		{	/* BackEnd/c.scm 15 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzbackend_cz00(void)
	{
		{	/* BackEnd/c.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_backendzd2compilezd2envz00zzbackend_backendz00,
				BGl_cvmz00zzbackend_cvmz00, BGl_proc2071z00zzbackend_cz00,
				BGl_string2072z00zzbackend_cz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_backendzd2linkzd2envz00zzbackend_backendz00,
				BGl_cvmz00zzbackend_cvmz00, BGl_proc2073z00zzbackend_cz00,
				BGl_string2074z00zzbackend_cz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_backendzd2cnstzd2tablezd2namezd2envz00zzbackend_backendz00,
				BGl_cvmz00zzbackend_cvmz00, BGl_proc2075z00zzbackend_cz00,
				BGl_string2076z00zzbackend_cz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_backendzd2linkzd2objectszd2envzd2zzbackend_backendz00,
				BGl_cvmz00zzbackend_cvmz00, BGl_proc2077z00zzbackend_cz00,
				BGl_string2078z00zzbackend_cz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_backendzd2subtypezf3zd2envzf3zzbackend_backendz00,
				BGl_cvmz00zzbackend_cvmz00, BGl_proc2079z00zzbackend_cz00,
				BGl_string2080z00zzbackend_cz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_backendzd2gczd2initzd2envzd2zzbackend_backendz00,
				BGl_cvmz00zzbackend_cvmz00, BGl_proc2081z00zzbackend_cz00,
				BGl_string2082z00zzbackend_cz00);
		}

	}



/* &backend-gc-init-cvm1500 */
	obj_t BGl_z62backendzd2gczd2initzd2cvm1500zb0zzbackend_cz00(obj_t
		BgL_envz00_3463, obj_t BgL_bz00_3464)
	{
		{	/* BackEnd/c.scm 398 */
			return ((obj_t) CNST_TABLE_REF(13));
		}

	}



/* &backend-subtype?-cvm1498 */
	obj_t BGl_z62backendzd2subtypezf3zd2cvm1498z91zzbackend_cz00(obj_t
		BgL_envz00_3465, obj_t BgL_bz00_3466, obj_t BgL_t1z00_3467,
		obj_t BgL_t2z00_3468)
	{
		{	/* BackEnd/c.scm 388 */
			{	/* BackEnd/c.scm 390 */
				bool_t BgL__ortest_1140z00_3571;

				BgL__ortest_1140z00_3571 = (BgL_t1z00_3467 == BgL_t2z00_3468);
				if (BgL__ortest_1140z00_3571)
					{	/* BackEnd/c.scm 390 */
						return BBOOL(BgL__ortest_1140z00_3571);
					}
				else
					{	/* BackEnd/c.scm 391 */
						bool_t BgL__ortest_1141z00_3572;

						BgL__ortest_1141z00_3572 =
							(
							(((BgL_typez00_bglt) COBJECT(
										((BgL_typez00_bglt) BgL_t1z00_3467)))->BgL_idz00) ==
							(((BgL_typez00_bglt) COBJECT(
										((BgL_typez00_bglt) BgL_t2z00_3468)))->BgL_idz00));
						if (BgL__ortest_1141z00_3572)
							{	/* BackEnd/c.scm 391 */
								return BBOOL(BgL__ortest_1141z00_3572);
							}
						else
							{	/* BackEnd/c.scm 392 */
								bool_t BgL__ortest_1142z00_3573;

								BgL__ortest_1142z00_3573 =
									(BgL_t2z00_3468 == BGl_za2_za2z00zztype_cachez00);
								if (BgL__ortest_1142z00_3573)
									{	/* BackEnd/c.scm 392 */
										return BBOOL(BgL__ortest_1142z00_3573);
									}
								else
									{	/* BackEnd/c.scm 393 */
										obj_t BgL_arg1934z00_3574;
										obj_t BgL_arg1935z00_3575;

										BgL_arg1934z00_3574 =
											(((BgL_typez00_bglt) COBJECT(
													((BgL_typez00_bglt) BgL_t1z00_3467)))->BgL_namez00);
										BgL_arg1935z00_3575 =
											(((BgL_typez00_bglt) COBJECT(
													((BgL_typez00_bglt) BgL_t2z00_3468)))->BgL_namez00);
										{	/* BackEnd/c.scm 393 */
											long BgL_l1z00_3576;

											BgL_l1z00_3576 =
												STRING_LENGTH(((obj_t) BgL_arg1934z00_3574));
											if (
												(BgL_l1z00_3576 ==
													STRING_LENGTH(((obj_t) BgL_arg1935z00_3575))))
												{	/* BackEnd/c.scm 393 */
													int BgL_arg1343z00_3577;

													{	/* BackEnd/c.scm 393 */
														char *BgL_auxz00_4433;
														char *BgL_tmpz00_4430;

														BgL_auxz00_4433 =
															BSTRING_TO_STRING(((obj_t) BgL_arg1935z00_3575));
														BgL_tmpz00_4430 =
															BSTRING_TO_STRING(((obj_t) BgL_arg1934z00_3574));
														BgL_arg1343z00_3577 =
															memcmp(BgL_tmpz00_4430, BgL_auxz00_4433,
															BgL_l1z00_3576);
													}
													return BBOOL(((long) (BgL_arg1343z00_3577) == 0L));
												}
											else
												{	/* BackEnd/c.scm 393 */
													return BFALSE;
												}
										}
									}
							}
					}
			}
		}

	}



/* &backend-link-objects1495 */
	obj_t BGl_z62backendzd2linkzd2objects1495z62zzbackend_cz00(obj_t
		BgL_envz00_3469, obj_t BgL_mez00_3470, obj_t BgL_sourcesz00_3471)
	{
		{	/* BackEnd/c.scm 294 */
			if (((long) CINT(BGl_za2bdbzd2debugza2zd2zzengine_paramz00) > 0L))
				{	/* BackEnd/c.scm 295 */
					BGl_bdbzd2settingz12zc0zzbdb_settingz00();
				}
			else
				{	/* BackEnd/c.scm 295 */
					BFALSE;
				}
			if (NULLP(BgL_sourcesz00_3471))
				{	/* BackEnd/c.scm 298 */
					obj_t BgL_firstz00_3579;

					BgL_firstz00_3579 =
						BGl_prefixz00zz__osz00(CAR
						(BGl_za2ozd2filesza2zd2zzengine_paramz00));
					{	/* BackEnd/c.scm 299 */
						obj_t BgL_list1799z00_3580;

						{	/* BackEnd/c.scm 299 */
							obj_t BgL_arg1800z00_3581;

							{	/* BackEnd/c.scm 299 */
								obj_t BgL_arg1801z00_3582;

								{	/* BackEnd/c.scm 299 */
									obj_t BgL_arg1802z00_3583;

									BgL_arg1802z00_3583 =
										MAKE_YOUNG_PAIR(BGl_za2ozd2filesza2zd2zzengine_paramz00,
										BNIL);
									BgL_arg1801z00_3582 =
										MAKE_YOUNG_PAIR(BGl_string2083z00zzbackend_cz00,
										BgL_arg1802z00_3583);
								}
								BgL_arg1800z00_3581 =
									MAKE_YOUNG_PAIR(BGl_string2084z00zzbackend_cz00,
									BgL_arg1801z00_3582);
							}
							BgL_list1799z00_3580 =
								MAKE_YOUNG_PAIR(BGl_string2085z00zzbackend_cz00,
								BgL_arg1800z00_3581);
						}
						BGl_warningz00zz__errorz00(BgL_list1799z00_3580);
					}
					BGl_loadzd2libraryzd2initz00zzmodule_alibraryz00();
					BGl_za2ozd2filesza2zd2zzengine_paramz00 =
						CDR(BGl_za2ozd2filesza2zd2zzengine_paramz00);
					return BGl_ldz00zzcc_ldz00(BgL_firstz00_3579, ((bool_t) 0));
				}
			else
				{
					obj_t BgL_sourcesz00_3585;
					obj_t BgL_clausesz00_3586;
					obj_t BgL_mainz00_3587;
					obj_t BgL_fmainz00_3588;
					obj_t BgL_librariesz00_3589;

					BgL_sourcesz00_3585 = BgL_sourcesz00_3471;
					BgL_clausesz00_3586 = BNIL;
					BgL_mainz00_3587 = BFALSE;
					BgL_fmainz00_3588 = BGl_string2067z00zzbackend_cz00;
					BgL_librariesz00_3589 = BNIL;
				BgL_loopz00_3584:
					if (NULLP(BgL_sourcesz00_3585))
						{	/* BackEnd/c.scm 310 */
							bool_t BgL_test2228z00_4458;

							if (CBOOL(BgL_mainz00_3587))
								{	/* BackEnd/c.scm 310 */
									BgL_test2228z00_4458 = ((bool_t) 1);
								}
							else
								{	/* BackEnd/c.scm 310 */
									if (CBOOL(BGl_za2autozd2linkzd2mainza2z00zzengine_paramz00))
										{	/* BackEnd/c.scm 310 */
											BgL_test2228z00_4458 =
												(BGl_za2passza2z00zzengine_paramz00 ==
												((obj_t) CNST_TABLE_REF(14)));
										}
									else
										{	/* BackEnd/c.scm 310 */
											BgL_test2228z00_4458 = ((bool_t) 1);
										}
								}
							if (BgL_test2228z00_4458)
								{	/* BackEnd/c.scm 311 */
									obj_t BgL_firstz00_3590;

									BgL_firstz00_3590 =
										BGl_prefixz00zz__osz00(CAR
										(BGl_za2ozd2filesza2zd2zzengine_paramz00));
									{
										obj_t BgL_l1483z00_3592;

										BgL_l1483z00_3592 = BgL_librariesz00_3589;
									BgL_zc3z04anonymousza31807ze3z87_3591:
										if (PAIRP(BgL_l1483z00_3592))
											{	/* BackEnd/c.scm 314 */
												{	/* BackEnd/c.scm 315 */
													obj_t BgL_libz00_3593;

													BgL_libz00_3593 = CAR(BgL_l1483z00_3592);
													{
														obj_t BgL_clausesz00_3599;
														obj_t BgL_libsz00_3596;

														if (PAIRP(BgL_libz00_3593))
															{	/* BackEnd/c.scm 315 */
																if (
																	(CAR(
																			((obj_t) BgL_libz00_3593)) ==
																		((obj_t) CNST_TABLE_REF(15))))
																	{	/* BackEnd/c.scm 315 */
																		obj_t BgL_arg1814z00_3605;

																		BgL_arg1814z00_3605 =
																			CDR(((obj_t) BgL_libz00_3593));
																		BgL_libsz00_3596 = BgL_arg1814z00_3605;
																		{
																			obj_t BgL_l1474z00_3598;

																			BgL_l1474z00_3598 = BgL_libsz00_3596;
																		BgL_zc3z04anonymousza31826ze3z87_3597:
																			if (PAIRP(BgL_l1474z00_3598))
																				{	/* BackEnd/c.scm 317 */
																					BGl_usezd2libraryz12zc0zzmodule_alibraryz00
																						(CAR(BgL_l1474z00_3598));
																					{
																						obj_t BgL_l1474z00_4485;

																						BgL_l1474z00_4485 =
																							CDR(BgL_l1474z00_3598);
																						BgL_l1474z00_3598 =
																							BgL_l1474z00_4485;
																						goto
																							BgL_zc3z04anonymousza31826ze3z87_3597;
																					}
																				}
																			else
																				{	/* BackEnd/c.scm 317 */
																					((bool_t) 1);
																				}
																		}
																	}
																else
																	{	/* BackEnd/c.scm 315 */
																		if (
																			(CAR(
																					((obj_t) BgL_libz00_3593)) ==
																				((obj_t) CNST_TABLE_REF(16))))
																			{	/* BackEnd/c.scm 315 */
																				obj_t BgL_arg1821z00_3606;

																				BgL_arg1821z00_3606 =
																					CDR(((obj_t) BgL_libz00_3593));
																				BgL_clausesz00_3599 =
																					BgL_arg1821z00_3606;
																				{	/* BackEnd/c.scm 319 */
																					obj_t BgL_fun1482z00_3600;

																					{	/* BackEnd/c.scm 319 */
																						obj_t
																							BgL_zc3z04anonymousza31846ze3z87_3601;
																						{	/* BackEnd/c.scm 315 */
																							int BgL_tmpz00_4495;

																							BgL_tmpz00_4495 = (int) (0L);
																							BgL_zc3z04anonymousza31846ze3z87_3601
																								=
																								MAKE_EL_PROCEDURE
																								(BgL_tmpz00_4495);
																						}
																						BgL_fun1482z00_3600 =
																							BgL_zc3z04anonymousza31846ze3z87_3601;
																					}
																					{
																						obj_t BgL_l1480z00_3603;

																						BgL_l1480z00_3603 =
																							BgL_clausesz00_3599;
																					BgL_zc3z04anonymousza31835ze3z87_3602:
																						if (PAIRP
																							(BgL_l1480z00_3603))
																							{	/* BackEnd/c.scm 319 */
																								{	/* BackEnd/c.scm 319 */
																									obj_t BgL_arg1842z00_3604;

																									BgL_arg1842z00_3604 =
																										CAR(BgL_l1480z00_3603);
																									BGl_z62zc3z04anonymousza31846ze3ze5zzbackend_cz00
																										(BgL_fun1482z00_3600,
																										BgL_arg1842z00_3604);
																								}
																								{
																									obj_t BgL_l1480z00_4505;

																									BgL_l1480z00_4505 =
																										CDR(BgL_l1480z00_3603);
																									BgL_l1480z00_3603 =
																										BgL_l1480z00_4505;
																									goto
																										BgL_zc3z04anonymousza31835ze3z87_3602;
																								}
																							}
																						else
																							{	/* BackEnd/c.scm 319 */
																								((bool_t) 1);
																							}
																					}
																				}
																			}
																		else
																			{	/* BackEnd/c.scm 315 */
																				((bool_t) 0);
																			}
																	}
															}
														else
															{	/* BackEnd/c.scm 315 */
																((bool_t) 0);
															}
													}
												}
												{
													obj_t BgL_l1483z00_4507;

													BgL_l1483z00_4507 = CDR(BgL_l1483z00_3592);
													BgL_l1483z00_3592 = BgL_l1483z00_4507;
													goto BgL_zc3z04anonymousza31807ze3z87_3591;
												}
											}
										else
											{	/* BackEnd/c.scm 314 */
												((bool_t) 1);
											}
									}
									BGl_loadzd2libraryzd2initz00zzmodule_alibraryz00();
									{	/* BackEnd/c.scm 327 */
										obj_t BgL_list1883z00_3607;

										BgL_list1883z00_3607 =
											MAKE_YOUNG_PAIR(BgL_fmainz00_3588, BNIL);
										BGl_za2srczd2filesza2zd2zzengine_paramz00 =
											BgL_list1883z00_3607;
									}
									BGl_za2ozd2filesza2zd2zzengine_paramz00 =
										CDR(BGl_za2ozd2filesza2zd2zzengine_paramz00);
									return BGl_ldz00zzcc_ldz00(BgL_firstz00_3590, ((bool_t) 0));
								}
							else
								{	/* BackEnd/c.scm 331 */
									obj_t BgL_tmpz00_3608;

									BgL_tmpz00_3608 =
										BGl_makezd2tmpzd2filezd2namezd2zzbackend_cz00();
									BGl_makezd2tmpzd2mainz00zzengine_linkz00(BgL_tmpz00_3608,
										CBOOL(BgL_mainz00_3587),
										BGl_gensymz00zz__r4_symbols_6_4z00(
											((obj_t)
												CNST_TABLE_REF(17))), BgL_clausesz00_3586,
										BgL_librariesz00_3589);
									{	/* BackEnd/c.scm 333 */
										obj_t BgL_list1886z00_3609;

										BgL_list1886z00_3609 =
											MAKE_YOUNG_PAIR(BgL_tmpz00_3608, BNIL);
										BGl_za2srczd2filesza2zd2zzengine_paramz00 =
											BgL_list1886z00_3609;
									}
									{
										obj_t BgL_raz00_3611;
										obj_t BgL_resz00_3612;

										BgL_raz00_3611 = BGl_za2restzd2argsza2zd2zzengine_paramz00;
										BgL_resz00_3612 = BNIL;
									BgL_loopz00_3610:
										if (NULLP(BgL_raz00_3611))
											{	/* BackEnd/c.scm 339 */
												BGl_za2restzd2argsza2zd2zzengine_paramz00 =
													bgl_reverse_bang(BgL_resz00_3612);
											}
										else
											{	/* BackEnd/c.scm 341 */
												bool_t BgL_test2238z00_4523;

												{	/* BackEnd/c.scm 341 */
													obj_t BgL_arg1896z00_3613;

													{	/* BackEnd/c.scm 341 */
														obj_t BgL_arg1897z00_3614;

														BgL_arg1897z00_3614 = CAR(((obj_t) BgL_raz00_3611));
														BgL_arg1896z00_3613 =
															BGl_suffixz00zz__osz00(BgL_arg1897z00_3614);
													}
													BgL_test2238z00_4523 =
														CBOOL(BGl_memberz00zz__r4_pairs_and_lists_6_3z00
														(BgL_arg1896z00_3613,
															BGl_za2mcozd2suffixza2zd2zzengine_paramz00));
												}
												if (BgL_test2238z00_4523)
													{	/* BackEnd/c.scm 342 */
														obj_t BgL_arg1892z00_3615;

														BgL_arg1892z00_3615 = CDR(((obj_t) BgL_raz00_3611));
														{
															obj_t BgL_raz00_4531;

															BgL_raz00_4531 = BgL_arg1892z00_3615;
															BgL_raz00_3611 = BgL_raz00_4531;
															goto BgL_loopz00_3610;
														}
													}
												else
													{	/* BackEnd/c.scm 344 */
														obj_t BgL_arg1893z00_3616;
														obj_t BgL_arg1894z00_3617;

														BgL_arg1893z00_3616 = CDR(((obj_t) BgL_raz00_3611));
														{	/* BackEnd/c.scm 344 */
															obj_t BgL_arg1895z00_3618;

															BgL_arg1895z00_3618 =
																CAR(((obj_t) BgL_raz00_3611));
															BgL_arg1894z00_3617 =
																MAKE_YOUNG_PAIR(BgL_arg1895z00_3618,
																BgL_resz00_3612);
														}
														{
															obj_t BgL_resz00_4538;
															obj_t BgL_raz00_4537;

															BgL_raz00_4537 = BgL_arg1893z00_3616;
															BgL_resz00_4538 = BgL_arg1894z00_3617;
															BgL_resz00_3612 = BgL_resz00_4538;
															BgL_raz00_3611 = BgL_raz00_4537;
															goto BgL_loopz00_3610;
														}
													}
											}
									}
									{	/* BackEnd/c.scm 345 */
										obj_t BgL_exitd1135z00_3619;

										BgL_exitd1135z00_3619 = BGL_EXITD_TOP_AS_OBJ();
										{	/* BackEnd/c.scm 349 */
											obj_t BgL_zc3z04anonymousza31898ze3z87_3620;

											BgL_zc3z04anonymousza31898ze3z87_3620 =
												MAKE_FX_PROCEDURE
												(BGl_z62zc3z04anonymousza31898ze3ze5zzbackend_cz00,
												(int) (0L), (int) (1L));
											PROCEDURE_SET(BgL_zc3z04anonymousza31898ze3z87_3620,
												(int) (0L), BgL_tmpz00_3608);
											{	/* BackEnd/c.scm 345 */
												obj_t BgL_arg1881z00_3621;

												{	/* BackEnd/c.scm 345 */
													obj_t BgL_arg1883z00_3622;

													BgL_arg1883z00_3622 =
														BGL_EXITD_PROTECT(BgL_exitd1135z00_3619);
													BgL_arg1881z00_3621 =
														MAKE_YOUNG_PAIR
														(BgL_zc3z04anonymousza31898ze3z87_3620,
														BgL_arg1883z00_3622);
												}
												BGL_EXITD_PROTECT_SET(BgL_exitd1135z00_3619,
													BgL_arg1881z00_3621);
												BUNSPEC;
											}
											{	/* BackEnd/c.scm 346 */
												obj_t BgL_tmp1137z00_3623;

												BgL_tmp1137z00_3623 =
													BGl_compilerz00zzengine_compilerz00();
												{	/* BackEnd/c.scm 345 */
													bool_t BgL_test2239z00_4549;

													{	/* BackEnd/c.scm 345 */
														obj_t BgL_arg1880z00_3624;

														BgL_arg1880z00_3624 =
															BGL_EXITD_PROTECT(BgL_exitd1135z00_3619);
														BgL_test2239z00_4549 = PAIRP(BgL_arg1880z00_3624);
													}
													if (BgL_test2239z00_4549)
														{	/* BackEnd/c.scm 345 */
															obj_t BgL_arg1877z00_3625;

															{	/* BackEnd/c.scm 345 */
																obj_t BgL_arg1879z00_3626;

																BgL_arg1879z00_3626 =
																	BGL_EXITD_PROTECT(BgL_exitd1135z00_3619);
																BgL_arg1877z00_3625 =
																	CDR(((obj_t) BgL_arg1879z00_3626));
															}
															BGL_EXITD_PROTECT_SET(BgL_exitd1135z00_3619,
																BgL_arg1877z00_3625);
															BUNSPEC;
														}
													else
														{	/* BackEnd/c.scm 345 */
															BFALSE;
														}
												}
												BGl_z62zc3z04anonymousza31898ze3ze5zzbackend_cz00
													(BgL_zc3z04anonymousza31898ze3z87_3620);
												BgL_tmp1137z00_3623;
											}
										}
									}
									return BINT(0L);
								}
						}
					else
						{	/* BackEnd/c.scm 361 */
							obj_t BgL_portz00_3627;

							{	/* BackEnd/c.scm 361 */
								obj_t BgL_arg1933z00_3628;

								{	/* BackEnd/c.scm 361 */
									obj_t BgL_pairz00_3629;

									BgL_pairz00_3629 = CAR(((obj_t) BgL_sourcesz00_3585));
									BgL_arg1933z00_3628 = CAR(BgL_pairz00_3629);
								}
								{	/* BackEnd/c.scm 361 */

									BgL_portz00_3627 =
										BGl_openzd2inputzd2filez00zz__r4_ports_6_10_1z00
										(BgL_arg1933z00_3628, BTRUE, BINT(5000000L));
								}
							}
							if (INPUT_PORTP(BgL_portz00_3627))
								{	/* BackEnd/c.scm 364 */
									obj_t BgL_expz00_3630;

									{	/* BackEnd/c.scm 364 */
										obj_t BgL_arg1929z00_3631;

										{	/* BackEnd/c.scm 364 */
											obj_t BgL_list1930z00_3632;

											BgL_list1930z00_3632 =
												MAKE_YOUNG_PAIR(BgL_portz00_3627, BNIL);
											BgL_arg1929z00_3631 =
												BGl_compilerzd2readzd2zzread_readerz00
												(BgL_list1930z00_3632);
										}
										BgL_expz00_3630 =
											BGl_expandz00zz__expandz00(BgL_arg1929z00_3631);
									}
									bgl_close_input_port(BgL_portz00_3627);
									{
										obj_t BgL_namez00_3635;

										if (PAIRP(BgL_expz00_3630))
											{	/* BackEnd/c.scm 366 */
												obj_t BgL_cdrzd2422zd2_3655;

												BgL_cdrzd2422zd2_3655 = CDR(((obj_t) BgL_expz00_3630));
												if (
													(CAR(
															((obj_t) BgL_expz00_3630)) ==
														((obj_t) CNST_TABLE_REF(17))))
													{	/* BackEnd/c.scm 366 */
														if (PAIRP(BgL_cdrzd2422zd2_3655))
															{	/* BackEnd/c.scm 366 */
																BgL_namez00_3635 = CAR(BgL_cdrzd2422zd2_3655);
																{	/* BackEnd/c.scm 368 */
																	obj_t BgL_libsz00_3636;
																	obj_t BgL_nmainz00_3637;

																	{	/* BackEnd/c.scm 368 */
																		obj_t BgL_arg1926z00_3638;

																		{	/* BackEnd/c.scm 368 */
																			obj_t BgL_pairz00_3639;

																			BgL_pairz00_3639 =
																				CDR(((obj_t) BgL_expz00_3630));
																			BgL_arg1926z00_3638 =
																				CDR(BgL_pairz00_3639);
																		}
																		BgL_libsz00_3636 =
																			BGl_findzd2librarieszd2zzengine_linkz00
																			(BgL_arg1926z00_3638);
																	}
																	{	/* BackEnd/c.scm 369 */
																		obj_t BgL_arg1927z00_3640;

																		{	/* BackEnd/c.scm 369 */
																			obj_t BgL_pairz00_3641;

																			BgL_pairz00_3641 =
																				CDR(((obj_t) BgL_expz00_3630));
																			BgL_arg1927z00_3640 =
																				CDR(BgL_pairz00_3641);
																		}
																		BgL_nmainz00_3637 =
																			BGl_findzd2mainzd2zzengine_linkz00
																			(BgL_arg1927z00_3640);
																	}
																	{	/* BackEnd/c.scm 370 */
																		obj_t BgL_arg1913z00_3642;
																		obj_t BgL_arg1915z00_3643;
																		obj_t BgL_arg1916z00_3644;
																		obj_t BgL_arg1917z00_3645;
																		obj_t BgL_arg1918z00_3646;

																		BgL_arg1913z00_3642 =
																			CDR(((obj_t) BgL_sourcesz00_3585));
																		{	/* BackEnd/c.scm 373 */
																			obj_t BgL_arg1919z00_3647;

																			{	/* BackEnd/c.scm 373 */
																				obj_t BgL_arg1921z00_3648;

																				{	/* BackEnd/c.scm 373 */
																					obj_t BgL_arg1924z00_3649;

																					{	/* BackEnd/c.scm 373 */
																						obj_t BgL_pairz00_3650;

																						BgL_pairz00_3650 =
																							CAR(
																							((obj_t) BgL_sourcesz00_3585));
																						BgL_arg1924z00_3649 =
																							CAR(BgL_pairz00_3650);
																					}
																					BgL_arg1921z00_3648 =
																						string_append_3
																						(BGl_string2086z00zzbackend_cz00,
																						BgL_arg1924z00_3649,
																						BGl_string2086z00zzbackend_cz00);
																				}
																				{	/* BackEnd/c.scm 371 */
																					obj_t BgL_list1922z00_3651;

																					{	/* BackEnd/c.scm 371 */
																						obj_t BgL_arg1923z00_3652;

																						BgL_arg1923z00_3652 =
																							MAKE_YOUNG_PAIR
																							(BgL_arg1921z00_3648, BNIL);
																						BgL_list1922z00_3651 =
																							MAKE_YOUNG_PAIR(BgL_namez00_3635,
																							BgL_arg1923z00_3652);
																					}
																					BgL_arg1919z00_3647 =
																						BgL_list1922z00_3651;
																				}
																			}
																			BgL_arg1915z00_3643 =
																				MAKE_YOUNG_PAIR(BgL_arg1919z00_3647,
																				BgL_clausesz00_3586);
																		}
																		if (CBOOL(BgL_nmainz00_3637))
																			{	/* BackEnd/c.scm 375 */
																				BgL_arg1916z00_3644 = BgL_nmainz00_3637;
																			}
																		else
																			{	/* BackEnd/c.scm 375 */
																				BgL_arg1916z00_3644 = BgL_mainz00_3587;
																			}
																		if (CBOOL(BgL_nmainz00_3637))
																			{	/* BackEnd/c.scm 376 */
																				obj_t BgL_pairz00_3653;

																				BgL_pairz00_3653 =
																					CAR(((obj_t) BgL_sourcesz00_3585));
																				BgL_arg1917z00_3645 =
																					CAR(BgL_pairz00_3653);
																			}
																		else
																			{	/* BackEnd/c.scm 376 */
																				BgL_arg1917z00_3645 = BgL_fmainz00_3588;
																			}
																		BgL_arg1918z00_3646 =
																			BGl_appendzd221011zd2zzbackend_cz00
																			(BgL_libsz00_3636, BgL_librariesz00_3589);
																		{
																			obj_t BgL_librariesz00_4610;
																			obj_t BgL_fmainz00_4609;
																			obj_t BgL_mainz00_4608;
																			obj_t BgL_clausesz00_4607;
																			obj_t BgL_sourcesz00_4606;

																			BgL_sourcesz00_4606 = BgL_arg1913z00_3642;
																			BgL_clausesz00_4607 = BgL_arg1915z00_3643;
																			BgL_mainz00_4608 = BgL_arg1916z00_3644;
																			BgL_fmainz00_4609 = BgL_arg1917z00_3645;
																			BgL_librariesz00_4610 =
																				BgL_arg1918z00_3646;
																			BgL_librariesz00_3589 =
																				BgL_librariesz00_4610;
																			BgL_fmainz00_3588 = BgL_fmainz00_4609;
																			BgL_mainz00_3587 = BgL_mainz00_4608;
																			BgL_clausesz00_3586 = BgL_clausesz00_4607;
																			BgL_sourcesz00_3585 = BgL_sourcesz00_4606;
																			goto BgL_loopz00_3584;
																		}
																	}
																}
															}
														else
															{	/* BackEnd/c.scm 366 */
															BgL_tagzd2417zd2_3634:
																{	/* BackEnd/c.scm 379 */
																	obj_t BgL_arg1928z00_3654;

																	BgL_arg1928z00_3654 =
																		CDR(((obj_t) BgL_sourcesz00_3585));
																	{
																		obj_t BgL_sourcesz00_4614;

																		BgL_sourcesz00_4614 = BgL_arg1928z00_3654;
																		BgL_sourcesz00_3585 = BgL_sourcesz00_4614;
																		goto BgL_loopz00_3584;
																	}
																}
															}
													}
												else
													{	/* BackEnd/c.scm 366 */
														goto BgL_tagzd2417zd2_3634;
													}
											}
										else
											{	/* BackEnd/c.scm 366 */
												goto BgL_tagzd2417zd2_3634;
											}
									}
								}
							else
								{	/* BackEnd/c.scm 363 */
									obj_t BgL_arg1932z00_3656;

									{	/* BackEnd/c.scm 363 */
										obj_t BgL_pairz00_3657;

										BgL_pairz00_3657 = CAR(((obj_t) BgL_sourcesz00_3585));
										BgL_arg1932z00_3656 = CAR(BgL_pairz00_3657);
									}
									return
										BGl_errorz00zz__errorz00(BGl_string2067z00zzbackend_cz00,
										BGl_string2087z00zzbackend_cz00, BgL_arg1932z00_3656);
								}
						}
				}
		}

	}



/* &<@anonymous:1846> */
	bool_t BGl_z62zc3z04anonymousza31846ze3ze5zzbackend_cz00(obj_t
		BgL_envz00_3472, obj_t BgL_ezd2410zd2_3473)
	{
		{	/* BackEnd/c.scm 319 */
			{
				obj_t BgL_libsz00_3659;

				if (PAIRP(BgL_ezd2410zd2_3473))
					{	/* BackEnd/c.scm 319 */
						if ((CAR(BgL_ezd2410zd2_3473) == ((obj_t) CNST_TABLE_REF(15))))
							{	/* BackEnd/c.scm 319 */
								BgL_libsz00_3659 = CDR(BgL_ezd2410zd2_3473);
								{
									obj_t BgL_l1476z00_3661;

									BgL_l1476z00_3661 = BgL_libsz00_3659;
								BgL_zc3z04anonymousza31858ze3z87_3660:
									if (PAIRP(BgL_l1476z00_3661))
										{	/* BackEnd/c.scm 321 */
											BGl_usezd2libraryz12zc0zzmodule_alibraryz00(CAR
												(BgL_l1476z00_3661));
											{
												obj_t BgL_l1476z00_4630;

												BgL_l1476z00_4630 = CDR(BgL_l1476z00_3661);
												BgL_l1476z00_3661 = BgL_l1476z00_4630;
												goto BgL_zc3z04anonymousza31858ze3z87_3660;
											}
										}
									else
										{	/* BackEnd/c.scm 321 */
											((bool_t) 1);
										}
								}
								{
									obj_t BgL_l1478z00_3663;

									BgL_l1478z00_3663 = BgL_libsz00_3659;
								BgL_zc3z04anonymousza31873ze3z87_3662:
									if (PAIRP(BgL_l1478z00_3663))
										{	/* BackEnd/c.scm 322 */
											BGl_addzd2evalzd2libraryz12z12zzmodule_evalz00(CAR
												(BgL_l1478z00_3663));
											{
												obj_t BgL_l1478z00_4636;

												BgL_l1478z00_4636 = CDR(BgL_l1478z00_3663);
												BgL_l1478z00_3663 = BgL_l1478z00_4636;
												goto BgL_zc3z04anonymousza31873ze3z87_3662;
											}
										}
									else
										{	/* BackEnd/c.scm 322 */
											return ((bool_t) 1);
										}
								}
							}
						else
							{	/* BackEnd/c.scm 319 */
								return ((bool_t) 0);
							}
					}
				else
					{	/* BackEnd/c.scm 319 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &<@anonymous:1898> */
	obj_t BGl_z62zc3z04anonymousza31898ze3ze5zzbackend_cz00(obj_t BgL_envz00_3474)
	{
		{	/* BackEnd/c.scm 345 */
			{	/* BackEnd/c.scm 349 */
				obj_t BgL_tmpz00_3475;

				BgL_tmpz00_3475 = ((obj_t) PROCEDURE_REF(BgL_envz00_3474, (int) (0L)));
				{	/* BackEnd/c.scm 349 */
					bool_t BgL_tmpz00_4642;

					BGl_loadzd2libraryzd2initz00zzmodule_alibraryz00();
					{	/* BackEnd/c.scm 350 */
						obj_t BgL_prez00_3664;

						BgL_prez00_3664 = BGl_prefixz00zz__osz00(BgL_tmpz00_3475);
						{	/* BackEnd/c.scm 350 */
							obj_t BgL_czd2filezd2_3665;

							BgL_czd2filezd2_3665 =
								string_append(BgL_prez00_3664, BGl_string2064z00zzbackend_cz00);
							{	/* BackEnd/c.scm 351 */
								obj_t BgL_ozd2filezd2_3666;

								BgL_ozd2filezd2_3666 =
									string_append_3(BgL_prez00_3664,
									BGl_string2068z00zzbackend_cz00,
									BGl_za2czd2objectzd2filezd2extensionza2zd2zzengine_paramz00);
								{	/* BackEnd/c.scm 352 */

									{	/* BackEnd/c.scm 356 */
										obj_t BgL_g1487z00_3667;

										{	/* BackEnd/c.scm 359 */
											obj_t BgL_list1903z00_3668;

											{	/* BackEnd/c.scm 359 */
												obj_t BgL_arg1904z00_3669;

												{	/* BackEnd/c.scm 359 */
													obj_t BgL_arg1905z00_3670;

													BgL_arg1905z00_3670 =
														MAKE_YOUNG_PAIR(BgL_ozd2filezd2_3666, BNIL);
													BgL_arg1904z00_3669 =
														MAKE_YOUNG_PAIR(BgL_czd2filezd2_3665,
														BgL_arg1905z00_3670);
												}
												BgL_list1903z00_3668 =
													MAKE_YOUNG_PAIR(BgL_tmpz00_3475, BgL_arg1904z00_3669);
											}
											BgL_g1487z00_3667 = BgL_list1903z00_3668;
										}
										{
											obj_t BgL_l1485z00_3672;

											BgL_l1485z00_3672 = BgL_g1487z00_3667;
										BgL_zc3z04anonymousza31899ze3z87_3671:
											if (PAIRP(BgL_l1485z00_3672))
												{	/* BackEnd/c.scm 359 */
													{	/* BackEnd/c.scm 357 */
														obj_t BgL_fz00_3673;

														BgL_fz00_3673 = CAR(BgL_l1485z00_3672);
														if (fexists(BSTRING_TO_STRING(BgL_fz00_3673)))
															{	/* BackEnd/c.scm 358 */
																char *BgL_stringz00_3674;

																BgL_stringz00_3674 =
																	BSTRING_TO_STRING(BgL_fz00_3673);
																if (unlink(BgL_stringz00_3674))
																	{	/* BackEnd/c.scm 358 */
																		((bool_t) 0);
																	}
																else
																	{	/* BackEnd/c.scm 358 */
																		((bool_t) 1);
																	}
															}
														else
															{	/* BackEnd/c.scm 357 */
																((bool_t) 0);
															}
													}
													{
														obj_t BgL_l1485z00_4659;

														BgL_l1485z00_4659 = CDR(BgL_l1485z00_3672);
														BgL_l1485z00_3672 = BgL_l1485z00_4659;
														goto BgL_zc3z04anonymousza31899ze3z87_3671;
													}
												}
											else
												{	/* BackEnd/c.scm 359 */
													BgL_tmpz00_4642 = ((bool_t) 1);
												}
										}
									}
								}
							}
						}
					}
					return BBOOL(BgL_tmpz00_4642);
				}
			}
		}

	}



/* &backend-cnst-table-n1493 */
	obj_t BGl_z62backendzd2cnstzd2tablezd2n1493zb0zzbackend_cz00(obj_t
		BgL_envz00_3476, obj_t BgL_mez00_3477, obj_t BgL_offsetz00_3478)
	{
		{	/* BackEnd/c.scm 272 */
			if (((long) CINT(BgL_offsetz00_3478) == 0L))
				{	/* BackEnd/c.scm 273 */
					return BGl_string2088z00zzbackend_cz00;
				}
			else
				{	/* BackEnd/c.scm 275 */
					obj_t BgL_arg1796z00_3676;

					{	/* BackEnd/c.scm 275 */

						BgL_arg1796z00_3676 =
							BGl_numberzd2ze3stringz31zz__r4_numbers_6_5z00(BgL_offsetz00_3478,
							BINT(10L));
					}
					return
						string_append_3(BGl_string2089z00zzbackend_cz00,
						BgL_arg1796z00_3676, BGl_string2090z00zzbackend_cz00);
				}
		}

	}



/* &backend-link-cvm1491 */
	obj_t BGl_z62backendzd2linkzd2cvm1491z62zzbackend_cz00(obj_t BgL_envz00_3479,
		obj_t BgL_mez00_3480, obj_t BgL_resultz00_3481)
	{
		{	/* BackEnd/c.scm 107 */
			if (STRINGP(BgL_resultz00_3481))
				{	/* BackEnd/c.scm 108 */
					return BGl_cczd2compilerzd2zzbackend_cz00(BgL_resultz00_3481, BFALSE);
				}
			else
				{	/* BackEnd/c.scm 108 */
					return BFALSE;
				}
		}

	}



/* &backend-compile-cvm1489 */
	obj_t BGl_z62backendzd2compilezd2cvm1489z62zzbackend_cz00(obj_t
		BgL_envz00_3482, obj_t BgL_mez00_3483)
	{
		{	/* BackEnd/c.scm 95 */
			{	/* BackEnd/c.scm 96 */
				obj_t BgL_czd2prefixzd2_3679;

				BgL_czd2prefixzd2_3679 =
					BGl_czd2walkzd2zzbackend_cz00(((BgL_cvmz00_bglt) BgL_mez00_3483));
				BGl_stopzd2onzd2passz00zzengine_passz00(
					((obj_t) CNST_TABLE_REF(18)), BGl_proc2091z00zzbackend_cz00);
				BGl_stopzd2onzd2passz00zzengine_passz00(
					((obj_t) CNST_TABLE_REF(19)), BGl_proc2092z00zzbackend_cz00);
				if (STRINGP(BgL_czd2prefixzd2_3679))
					{	/* BackEnd/c.scm 99 */
						{	/* BackEnd/c.scm 100 */
							bool_t BgL_test2256z00_4681;

							if (
								(BGl_za2passza2z00zzengine_paramz00 ==
									((obj_t) CNST_TABLE_REF(20))))
								{	/* BackEnd/c.scm 100 */
									BgL_test2256z00_4681 = ((bool_t) 1);
								}
							else
								{	/* BackEnd/c.scm 100 */
									BgL_test2256z00_4681 =
										CBOOL(BGl_za2czd2debugza2zd2zzengine_paramz00);
								}
							if (BgL_test2256z00_4681)
								{	/* BackEnd/c.scm 100 */
									BGl_indentz00zzcc_indentz00(BgL_czd2prefixzd2_3679);
								}
							else
								{	/* BackEnd/c.scm 100 */
									BFALSE;
								}
						}
						BGl_stopzd2onzd2passz00zzengine_passz00(
							((obj_t) CNST_TABLE_REF(20)), BGl_proc2093z00zzbackend_cz00);
					}
				else
					{	/* BackEnd/c.scm 99 */
						BFALSE;
					}
				return BgL_czd2prefixzd2_3679;
			}
		}

	}



/* &<@anonymous:1791> */
	obj_t BGl_z62zc3z04anonymousza31791ze3ze5zzbackend_cz00(obj_t BgL_envz00_3484)
	{
		{	/* BackEnd/c.scm 101 */
			return ((obj_t) CNST_TABLE_REF(12));
		}

	}



/* &<@anonymous:1787> */
	obj_t BGl_z62zc3z04anonymousza31787ze3ze5zzbackend_cz00(obj_t BgL_envz00_3485)
	{
		{	/* BackEnd/c.scm 98 */
			return ((obj_t) CNST_TABLE_REF(12));
		}

	}



/* &<@anonymous:1785> */
	obj_t BGl_z62zc3z04anonymousza31785ze3ze5zzbackend_cz00(obj_t BgL_envz00_3486)
	{
		{	/* BackEnd/c.scm 97 */
			return ((obj_t) CNST_TABLE_REF(12));
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzbackend_cz00(void)
	{
		{	/* BackEnd/c.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_speekz00(61247943L,
				BSTRING_TO_STRING(BGl_string2094z00zzbackend_cz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(300504031L,
				BSTRING_TO_STRING(BGl_string2094z00zzbackend_cz00));
			BGl_modulezd2initializa7ationz75zzengine_passz00(373082237L,
				BSTRING_TO_STRING(BGl_string2094z00zzbackend_cz00));
			BGl_modulezd2initializa7ationz75zztools_tracez00(54713316L,
				BSTRING_TO_STRING(BGl_string2094z00zzbackend_cz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(365925558L,
				BSTRING_TO_STRING(BGl_string2094z00zzbackend_cz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(161876678L,
				BSTRING_TO_STRING(BGl_string2094z00zzbackend_cz00));
			BGl_modulezd2initializa7ationz75zzengine_configurez00(272817175L,
				BSTRING_TO_STRING(BGl_string2094z00zzbackend_cz00));
			BGl_modulezd2initializa7ationz75zzengine_compilerz00(412406770L,
				BSTRING_TO_STRING(BGl_string2094z00zzbackend_cz00));
			BGl_modulezd2initializa7ationz75zzengine_linkz00(117219619L,
				BSTRING_TO_STRING(BGl_string2094z00zzbackend_cz00));
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(158397907L,
				BSTRING_TO_STRING(BGl_string2094z00zzbackend_cz00));
			BGl_modulezd2initializa7ationz75zzmodule_libraryz00(292140514L,
				BSTRING_TO_STRING(BGl_string2094z00zzbackend_cz00));
			BGl_modulezd2initializa7ationz75zzmodule_alibraryz00(316727058L,
				BSTRING_TO_STRING(BGl_string2094z00zzbackend_cz00));
			BGl_modulezd2initializa7ationz75zzmodule_evalz00(428236825L,
				BSTRING_TO_STRING(BGl_string2094z00zzbackend_cz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(515343395L,
				BSTRING_TO_STRING(BGl_string2094z00zzbackend_cz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(489890788L,
				BSTRING_TO_STRING(BGl_string2094z00zzbackend_cz00));
			BGl_modulezd2initializa7ationz75zztype_envz00(296457443L,
				BSTRING_TO_STRING(BGl_string2094z00zzbackend_cz00));
			BGl_modulezd2initializa7ationz75zztype_typeofz00(398780265L,
				BSTRING_TO_STRING(BGl_string2094z00zzbackend_cz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(90839984L,
				BSTRING_TO_STRING(BGl_string2094z00zzbackend_cz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(469732712L,
				BSTRING_TO_STRING(BGl_string2094z00zzbackend_cz00));
			BGl_modulezd2initializa7ationz75zzast_occurz00(282085879L,
				BSTRING_TO_STRING(BGl_string2094z00zzbackend_cz00));
			BGl_modulezd2initializa7ationz75zzast_buildz00(428035925L,
				BSTRING_TO_STRING(BGl_string2094z00zzbackend_cz00));
			BGl_modulezd2initializa7ationz75zzobject_classz00(502007119L,
				BSTRING_TO_STRING(BGl_string2094z00zzbackend_cz00));
			BGl_modulezd2initializa7ationz75zzobject_slotsz00(151271251L,
				BSTRING_TO_STRING(BGl_string2094z00zzbackend_cz00));
			BGl_modulezd2initializa7ationz75zzbdb_emitz00(182920176L,
				BSTRING_TO_STRING(BGl_string2094z00zzbackend_cz00));
			BGl_modulezd2initializa7ationz75zzbdb_settingz00(444161932L,
				BSTRING_TO_STRING(BGl_string2094z00zzbackend_cz00));
			BGl_modulezd2initializa7ationz75zzprof_emitz00(522750846L,
				BSTRING_TO_STRING(BGl_string2094z00zzbackend_cz00));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(216206620L,
				BSTRING_TO_STRING(BGl_string2094z00zzbackend_cz00));
			BGl_modulezd2initializa7ationz75zzbackend_initz00(517592975L,
				BSTRING_TO_STRING(BGl_string2094z00zzbackend_cz00));
			BGl_modulezd2initializa7ationz75zzbackend_cvmz00(18449009L,
				BSTRING_TO_STRING(BGl_string2094z00zzbackend_cz00));
			BGl_modulezd2initializa7ationz75zzbackend_c_emitz00(474089076L,
				BSTRING_TO_STRING(BGl_string2094z00zzbackend_cz00));
			BGl_modulezd2initializa7ationz75zzbackend_c_prototypez00(364917963L,
				BSTRING_TO_STRING(BGl_string2094z00zzbackend_cz00));
			BGl_modulezd2initializa7ationz75zzbackend_c_mainz00(65542503L,
				BSTRING_TO_STRING(BGl_string2094z00zzbackend_cz00));
			BGl_modulezd2initializa7ationz75zzcc_indentz00(287974509L,
				BSTRING_TO_STRING(BGl_string2094z00zzbackend_cz00));
			BGl_modulezd2initializa7ationz75zzcc_ccz00(527776065L,
				BSTRING_TO_STRING(BGl_string2094z00zzbackend_cz00));
			BGl_modulezd2initializa7ationz75zzcc_ldz00(335315213L,
				BSTRING_TO_STRING(BGl_string2094z00zzbackend_cz00));
			BGl_modulezd2initializa7ationz75zzcc_rootsz00(74776091L,
				BSTRING_TO_STRING(BGl_string2094z00zzbackend_cz00));
			BGl_modulezd2initializa7ationz75zzinit_setrcz00(32737986L,
				BSTRING_TO_STRING(BGl_string2094z00zzbackend_cz00));
			BGl_modulezd2initializa7ationz75zzread_readerz00(95801752L,
				BSTRING_TO_STRING(BGl_string2094z00zzbackend_cz00));
			BGl_modulezd2initializa7ationz75zzast_envz00(146730773L,
				BSTRING_TO_STRING(BGl_string2094z00zzbackend_cz00));
			BGl_modulezd2initializa7ationz75zzast_typezd2occurzd2(176519367L,
				BSTRING_TO_STRING(BGl_string2094z00zzbackend_cz00));
			BGl_modulezd2initializa7ationz75zzcgen_compilez00(281305322L,
				BSTRING_TO_STRING(BGl_string2094z00zzbackend_cz00));
			return
				BGl_modulezd2initializa7ationz75zzsaw_c_compilez00(361755791L,
				BSTRING_TO_STRING(BGl_string2094z00zzbackend_cz00));
		}

	}

#ifdef __cplusplus
}
#endif
