/*===========================================================================*/
/*   (Beta/walk.scm)                                                         */
/*   Bigloo (4.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Jan 27 07:45:49 AM CET 2025     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.6a/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.6a/lib/bigloo/4.6a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -stdc -indent Beta/walk.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL_BETA_WALK_TYPE_DEFINITIONS
#define BGL_BETA_WALK_TYPE_DEFINITIONS

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_nullz00;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_qualifiedzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_literalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}                 *BgL_literalz00_bglt;

	typedef struct BgL_patchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
		struct BgL_varz00_bgl *BgL_refz00;
		long BgL_indexz00;
		obj_t BgL_patchidz00;
	}               *BgL_patchz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_refz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_refz00_bglt;

	typedef struct BgL_closurez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}                 *BgL_closurez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
		obj_t BgL_metaz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_stackablez00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_switchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_switchz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		struct BgL_nodez00_bgl *BgL_onexitz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		obj_t BgL_stackablez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}              *BgL_syncz00_bglt;


#endif													// BGL_BETA_WALK_TYPE_DEFINITIONS
#endif													// BGL_MODULE_TYPE_DEFINITIONS

	extern obj_t BGl_setqz00zzast_nodez00;
	static obj_t BGl_requirezd2initializa7ationz75zzbeta_walkz00 = BUNSPEC;
	extern obj_t BGl_closurez00zzast_nodez00;
	BGL_IMPORT obj_t bgl_display_obj(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2betaz12zd2condition1317z70zzbeta_walkz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_syncz00zzast_nodez00;
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_atomz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62nodezd2betaz12zd2extern1311z70zzbeta_walkz00(obj_t, obj_t, obj_t);
	static obj_t BGl_toplevelzd2initzd2zzbeta_walkz00(void);
	extern obj_t BGl_sequencez00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62nodezd2betaz12zd2switch1321z70zzbeta_walkz00(obj_t, obj_t, obj_t);
	BGL_IMPORT bool_t BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2betaz12zd2boxzd2setz121327zb0zzbeta_walkz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_assqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_betazd2walkz12zc0zzbeta_walkz00(obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	static obj_t BGl_genericzd2initzd2zzbeta_walkz00(void);
	static BgL_nodez00_bglt
		BGl_z62nodezd2betaz12zd2makezd2box1323za2zzbeta_walkz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_objectzd2initzd2zzbeta_walkz00(void);
	static obj_t BGl_nodezd2betaza2z12z62zzbeta_walkz00(obj_t, obj_t);
	extern obj_t BGl_castz00zzast_nodez00;
	static BgL_nodez00_bglt BGl_nodezd2betaz12zc0zzbeta_walkz00(BgL_nodez00_bglt,
		obj_t);
	BGL_IMPORT bool_t BGl_2ze3ze3zz__r4_numbers_6_5z00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	static obj_t BGl_z62betazd2walkz12za2zzbeta_walkz00(obj_t, obj_t);
	extern obj_t BGl_za2longza2z00zztype_cachez00;
	static BgL_nodez00_bglt BGl_z62nodezd2betaz12za2zzbeta_walkz00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	extern obj_t BGl_refz00zzast_nodez00;
	static bool_t BGl_za2closurezd2optimza2zd2zzbeta_walkz00;
	static BgL_nodez00_bglt
		BGl_z62nodezd2betaz12zd2letzd2fun1329za2zzbeta_walkz00(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzbeta_walkz00(void);
	extern obj_t BGl_externz00zzast_nodez00;
	BGL_IMPORT obj_t bgl_typeof(obj_t);
	static obj_t BGl_z62nodezd2betaz121297za2zzbeta_walkz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00;
	static BgL_nodez00_bglt
		BGl_z62nodezd2betaz12zd2jumpzd2exzd2i1335z70zzbeta_walkz00(obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2betaz12zd2app1305z70zzbeta_walkz00(obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2betaz12zd2cast1313z70zzbeta_walkz00(obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2betaz12zd2sequence1301z70zzbeta_walkz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62nodezd2betaz12zd2setzd2exzd2it1333z70zzbeta_walkz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	extern obj_t BGl_removezd2varzd2zzast_removez00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2betaz12zd2setq1315z70zzbeta_walkz00(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_za2_za2z00zztype_cachez00;
	static BgL_nodez00_bglt
		BGl_z62nodezd2betaz12zd2sync1303z70zzbeta_walkz00(obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2betaz12zd2fail1319z70zzbeta_walkz00(obj_t, obj_t, obj_t);
	extern BgL_nodez00_bglt BGl_makezd2appzd2nodez00zzast_appz00(obj_t, obj_t,
		obj_t, BgL_varz00_bglt, obj_t);
	static bool_t BGl_betazd2globalsz12zc0zzbeta_walkz00(obj_t);
	BGL_IMPORT obj_t BGl_exitz00zz__errorz00(obj_t);
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzbeta_walkz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_appz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_removez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_occurz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzeffect_effectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_passz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bignumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	BGL_IMPORT bool_t BGl_numberzf3zf3zz__r4_numbers_6_5z00(obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2betaz12zd2funcall1309z70zzbeta_walkz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_localz00zzast_varz00;
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzbeta_walkz00(void);
	static obj_t BGl_libraryzd2moduleszd2initz00zzbeta_walkz00(void);
	static obj_t BGl_importedzd2moduleszd2initz00zzbeta_walkz00(void);
	static obj_t BGl_gczd2rootszd2initz00zzbeta_walkz00(void);
	static BgL_nodez00_bglt
		BGl_z62nodezd2betaz12zd2letzd2var1331za2zzbeta_walkz00(obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2betaz12zd2boxzd2ref1325za2zzbeta_walkz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	extern obj_t BGl_za2currentzd2passza2zd2zzengine_passz00;
	extern obj_t BGl_za2bintza2z00zztype_cachez00;
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_literalz00zzast_nodez00;
	extern obj_t BGl_switchz00zzast_nodez00;
	extern obj_t BGl_conditionalz00zzast_nodez00;
	extern obj_t BGl_funcallz00zzast_nodez00;
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2betaz12zd2appzd2ly1307za2zzbeta_walkz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_patchz00zzast_nodez00;
	static obj_t __cnst[4];


	   
		 
		DEFINE_STATIC_BGL_GENERIC(BGl_nodezd2betaz12zd2envz12zzbeta_walkz00,
		BgL_bgl_za762nodeza7d2betaza712024za7,
		BGl_z62nodezd2betaz12za2zzbeta_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_betazd2walkz12zd2envz12zzbeta_walkz00,
		BgL_bgl_za762betaza7d2walkza712025za7,
		BGl_z62betazd2walkz12za2zzbeta_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1991z00zzbeta_walkz00,
		BgL_bgl_string1991za700za7za7b2026za7, "Constant Beta", 13);
	      DEFINE_STRING(BGl_string1992z00zzbeta_walkz00,
		BgL_bgl_string1992za700za7za7b2027za7, "   . ", 5);
	      DEFINE_STRING(BGl_string1993z00zzbeta_walkz00,
		BgL_bgl_string1993za700za7za7b2028za7, "failure during prelude hook", 27);
	      DEFINE_STRING(BGl_string1994z00zzbeta_walkz00,
		BgL_bgl_string1994za700za7za7b2029za7, " error", 6);
	      DEFINE_STRING(BGl_string1995z00zzbeta_walkz00,
		BgL_bgl_string1995za700za7za7b2030za7, "s", 1);
	      DEFINE_STRING(BGl_string1996z00zzbeta_walkz00,
		BgL_bgl_string1996za700za7za7b2031za7, "", 0);
	      DEFINE_STRING(BGl_string1997z00zzbeta_walkz00,
		BgL_bgl_string1997za700za7za7b2032za7, " occured, ending ...", 20);
	      DEFINE_STRING(BGl_string1998z00zzbeta_walkz00,
		BgL_bgl_string1998za700za7za7b2033za7, "failure during postlude hook", 28);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1999z00zzbeta_walkz00,
		BgL_bgl_za762nodeza7d2betaza712034za7,
		BGl_z62nodezd2betaz121297za2zzbeta_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2000z00zzbeta_walkz00,
		BgL_bgl_string2000za700za7za7b2035za7, "node-beta!1297", 14);
	      DEFINE_STRING(BGl_string2002z00zzbeta_walkz00,
		BgL_bgl_string2002za700za7za7b2036za7, "node-beta!", 10);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2001z00zzbeta_walkz00,
		BgL_bgl_za762nodeza7d2betaza712037za7,
		BGl_z62nodezd2betaz12zd2sequence1301z70zzbeta_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2003z00zzbeta_walkz00,
		BgL_bgl_za762nodeza7d2betaza712038za7,
		BGl_z62nodezd2betaz12zd2sync1303z70zzbeta_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2004z00zzbeta_walkz00,
		BgL_bgl_za762nodeza7d2betaza712039za7,
		BGl_z62nodezd2betaz12zd2app1305z70zzbeta_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2005z00zzbeta_walkz00,
		BgL_bgl_za762nodeza7d2betaza712040za7,
		BGl_z62nodezd2betaz12zd2appzd2ly1307za2zzbeta_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2006z00zzbeta_walkz00,
		BgL_bgl_za762nodeza7d2betaza712041za7,
		BGl_z62nodezd2betaz12zd2funcall1309z70zzbeta_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2007z00zzbeta_walkz00,
		BgL_bgl_za762nodeza7d2betaza712042za7,
		BGl_z62nodezd2betaz12zd2extern1311z70zzbeta_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2008z00zzbeta_walkz00,
		BgL_bgl_za762nodeza7d2betaza712043za7,
		BGl_z62nodezd2betaz12zd2cast1313z70zzbeta_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2009z00zzbeta_walkz00,
		BgL_bgl_za762nodeza7d2betaza712044za7,
		BGl_z62nodezd2betaz12zd2setq1315z70zzbeta_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2010z00zzbeta_walkz00,
		BgL_bgl_za762nodeza7d2betaza712045za7,
		BGl_z62nodezd2betaz12zd2condition1317z70zzbeta_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2011z00zzbeta_walkz00,
		BgL_bgl_za762nodeza7d2betaza712046za7,
		BGl_z62nodezd2betaz12zd2fail1319z70zzbeta_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2012z00zzbeta_walkz00,
		BgL_bgl_za762nodeza7d2betaza712047za7,
		BGl_z62nodezd2betaz12zd2switch1321z70zzbeta_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2013z00zzbeta_walkz00,
		BgL_bgl_za762nodeza7d2betaza712048za7,
		BGl_z62nodezd2betaz12zd2makezd2box1323za2zzbeta_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2020z00zzbeta_walkz00,
		BgL_bgl_string2020za700za7za7b2049za7, "wrong node", 10);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2014z00zzbeta_walkz00,
		BgL_bgl_za762nodeza7d2betaza712050za7,
		BGl_z62nodezd2betaz12zd2boxzd2ref1325za2zzbeta_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2021z00zzbeta_walkz00,
		BgL_bgl_string2021za700za7za7b2051za7, "beta_walk", 9);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2015z00zzbeta_walkz00,
		BgL_bgl_za762nodeza7d2betaza712052za7,
		BGl_z62nodezd2betaz12zd2boxzd2setz121327zb0zzbeta_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2022z00zzbeta_walkz00,
		BgL_bgl_string2022za700za7za7b2053za7, "value read beta pass-started ", 29);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2016z00zzbeta_walkz00,
		BgL_bgl_za762nodeza7d2betaza712054za7,
		BGl_z62nodezd2betaz12zd2letzd2fun1329za2zzbeta_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2017z00zzbeta_walkz00,
		BgL_bgl_za762nodeza7d2betaza712055za7,
		BGl_z62nodezd2betaz12zd2letzd2var1331za2zzbeta_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2018z00zzbeta_walkz00,
		BgL_bgl_za762nodeza7d2betaza712056za7,
		BGl_z62nodezd2betaz12zd2setzd2exzd2it1333z70zzbeta_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2019z00zzbeta_walkz00,
		BgL_bgl_za762nodeza7d2betaza712057za7,
		BGl_z62nodezd2betaz12zd2jumpzd2exzd2i1335z70zzbeta_walkz00, 0L, BUNSPEC, 2);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		     ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zzbeta_walkz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzbeta_walkz00(long
		BgL_checksumz00_3423, char *BgL_fromz00_3424)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzbeta_walkz00))
				{
					BGl_requirezd2initializa7ationz75zzbeta_walkz00 = BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzbeta_walkz00();
					BGl_libraryzd2moduleszd2initz00zzbeta_walkz00();
					BGl_cnstzd2initzd2zzbeta_walkz00();
					BGl_importedzd2moduleszd2initz00zzbeta_walkz00();
					BGl_genericzd2initzd2zzbeta_walkz00();
					BGl_methodzd2initzd2zzbeta_walkz00();
					return BGl_toplevelzd2initzd2zzbeta_walkz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzbeta_walkz00(void)
	{
		{	/* Beta/walk.scm 18 */
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(0L, "beta_walk");
			BGl_modulezd2initializa7ationz75zz__objectz00(0L, "beta_walk");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(0L,
				"beta_walk");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(0L,
				"beta_walk");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(0L, "beta_walk");
			BGl_modulezd2initializa7ationz75zz__readerz00(0L, "beta_walk");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(0L, "beta_walk");
			BGl_modulezd2initializa7ationz75zz__errorz00(0L, "beta_walk");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(0L, "beta_walk");
			BGl_modulezd2initializa7ationz75zz__biglooz00(0L, "beta_walk");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(0L, "beta_walk");
			BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(0L, "beta_walk");
			BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(0L, "beta_walk");
			BGl_modulezd2initializa7ationz75zz__bignumz00(0L, "beta_walk");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(0L,
				"beta_walk");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(0L, "beta_walk");
			BGl_modulezd2initializa7ationz75zz__bitz00(0L, "beta_walk");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzbeta_walkz00(void)
	{
		{	/* Beta/walk.scm 18 */
			{	/* Beta/walk.scm 18 */
				obj_t BgL_cportz00_3069;

				{	/* Beta/walk.scm 18 */
					obj_t BgL_stringz00_3076;

					BgL_stringz00_3076 = BGl_string2022z00zzbeta_walkz00;
					{	/* Beta/walk.scm 18 */
						obj_t BgL_startz00_3077;

						BgL_startz00_3077 = BINT(0L);
						{	/* Beta/walk.scm 18 */
							obj_t BgL_endz00_3078;

							BgL_endz00_3078 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_3076)));
							{	/* Beta/walk.scm 18 */

								BgL_cportz00_3069 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_3076, BgL_startz00_3077, BgL_endz00_3078);
				}}}}
				{
					long BgL_iz00_3070;

					BgL_iz00_3070 = 3L;
				BgL_loopz00_3071:
					if ((BgL_iz00_3070 == (-1L)))
						{	/* Beta/walk.scm 18 */
							return BUNSPEC;
						}
					else
						{	/* Beta/walk.scm 18 */
							{	/* Beta/walk.scm 18 */
								obj_t BgL_arg2023z00_3072;

								{	/* Beta/walk.scm 18 */

									{	/* Beta/walk.scm 18 */
										obj_t BgL_locationz00_3074;

										BgL_locationz00_3074 = BBOOL(((bool_t) 0));
										{	/* Beta/walk.scm 18 */

											BgL_arg2023z00_3072 =
												BGl_readz00zz__readerz00(BgL_cportz00_3069,
												BgL_locationz00_3074);
										}
									}
								}
								{	/* Beta/walk.scm 18 */
									int BgL_tmpz00_3461;

									BgL_tmpz00_3461 = (int) (BgL_iz00_3070);
									CNST_TABLE_SET(BgL_tmpz00_3461, BgL_arg2023z00_3072);
							}}
							{	/* Beta/walk.scm 18 */
								int BgL_auxz00_3075;

								BgL_auxz00_3075 = (int) ((BgL_iz00_3070 - 1L));
								{
									long BgL_iz00_3466;

									BgL_iz00_3466 = (long) (BgL_auxz00_3075);
									BgL_iz00_3070 = BgL_iz00_3466;
									goto BgL_loopz00_3071;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzbeta_walkz00(void)
	{
		{	/* Beta/walk.scm 18 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzbeta_walkz00(void)
	{
		{	/* Beta/walk.scm 18 */
			BGl_za2closurezd2optimza2zd2zzbeta_walkz00 = ((bool_t) 1);
			return BUNSPEC;
		}

	}



/* beta-walk! */
	BGL_EXPORTED_DEF obj_t BGl_betazd2walkz12zc0zzbeta_walkz00(obj_t
		BgL_globalsz00_3)
	{
		{	/* Beta/walk.scm 36 */
			{	/* Beta/walk.scm 37 */
				obj_t BgL_list1340z00_1399;

				{	/* Beta/walk.scm 37 */
					obj_t BgL_arg1341z00_1400;

					{	/* Beta/walk.scm 37 */
						obj_t BgL_arg1342z00_1401;

						BgL_arg1342z00_1401 =
							MAKE_YOUNG_PAIR(BCHAR(((unsigned char) 10)), BNIL);
						BgL_arg1341z00_1400 =
							MAKE_YOUNG_PAIR(BGl_string1991z00zzbeta_walkz00,
							BgL_arg1342z00_1401);
					}
					BgL_list1340z00_1399 =
						MAKE_YOUNG_PAIR(BGl_string1992z00zzbeta_walkz00,
						BgL_arg1341z00_1400);
				}
				BGl_verbosez00zztools_speekz00(BINT(1L), BgL_list1340z00_1399);
			}
			BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00 = BINT(0L);
			BGl_za2currentzd2passza2zd2zzengine_passz00 =
				BGl_string1991z00zzbeta_walkz00;
			{	/* Beta/walk.scm 37 */
				obj_t BgL_g1110z00_1402;

				BgL_g1110z00_1402 = BNIL;
				{
					obj_t BgL_hooksz00_1405;
					obj_t BgL_hnamesz00_1406;

					BgL_hooksz00_1405 = BgL_g1110z00_1402;
					BgL_hnamesz00_1406 = BNIL;
				BgL_zc3z04anonymousza31343ze3z87_1407:
					if (NULLP(BgL_hooksz00_1405))
						{	/* Beta/walk.scm 37 */
							((obj_t) CNST_TABLE_REF(0));
						}
					else
						{	/* Beta/walk.scm 37 */
							bool_t BgL_test2061z00_3480;

							{	/* Beta/walk.scm 37 */
								obj_t BgL_fun1360z00_1414;

								BgL_fun1360z00_1414 = CAR(((obj_t) BgL_hooksz00_1405));
								BgL_test2061z00_3480 =
									CBOOL(BGL_PROCEDURE_CALL0(BgL_fun1360z00_1414));
							}
							if (BgL_test2061z00_3480)
								{	/* Beta/walk.scm 37 */
									obj_t BgL_arg1355z00_1411;
									obj_t BgL_arg1358z00_1412;

									BgL_arg1355z00_1411 = CDR(((obj_t) BgL_hooksz00_1405));
									BgL_arg1358z00_1412 = CDR(((obj_t) BgL_hnamesz00_1406));
									{
										obj_t BgL_hnamesz00_3492;
										obj_t BgL_hooksz00_3491;

										BgL_hooksz00_3491 = BgL_arg1355z00_1411;
										BgL_hnamesz00_3492 = BgL_arg1358z00_1412;
										BgL_hnamesz00_1406 = BgL_hnamesz00_3492;
										BgL_hooksz00_1405 = BgL_hooksz00_3491;
										goto BgL_zc3z04anonymousza31343ze3z87_1407;
									}
								}
							else
								{	/* Beta/walk.scm 37 */
									obj_t BgL_arg1359z00_1413;

									BgL_arg1359z00_1413 = CAR(((obj_t) BgL_hnamesz00_1406));
									BGl_internalzd2errorzd2zztools_errorz00
										(BGl_string1991z00zzbeta_walkz00,
										BGl_string1993z00zzbeta_walkz00, BgL_arg1359z00_1413);
								}
						}
				}
			}
			BGl_betazd2globalsz12zc0zzbeta_walkz00(BgL_globalsz00_3);
			{	/* Beta/walk.scm 39 */
				obj_t BgL_valuez00_1417;

				BgL_valuez00_1417 =
					BGl_removezd2varzd2zzast_removez00(
					((obj_t) CNST_TABLE_REF(1)), BgL_globalsz00_3);
				if (
					((long) CINT(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00) >
						0L))
					{	/* Beta/walk.scm 39 */
						{	/* Beta/walk.scm 39 */
							obj_t BgL_port1282z00_1419;

							{	/* Beta/walk.scm 39 */
								obj_t BgL_tmpz00_3503;

								BgL_tmpz00_3503 = BGL_CURRENT_DYNAMIC_ENV();
								BgL_port1282z00_1419 =
									BGL_ENV_CURRENT_ERROR_PORT(BgL_tmpz00_3503);
							}
							bgl_display_obj
								(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00,
								BgL_port1282z00_1419);
							bgl_display_string(BGl_string1994z00zzbeta_walkz00,
								BgL_port1282z00_1419);
							{	/* Beta/walk.scm 39 */
								obj_t BgL_arg1364z00_1420;

								{	/* Beta/walk.scm 39 */
									bool_t BgL_test2063z00_3508;

									if (BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00
										(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00))
										{	/* Beta/walk.scm 39 */
											if (INTEGERP
												(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00))
												{	/* Beta/walk.scm 39 */
													BgL_test2063z00_3508 =
														(
														(long)
														CINT
														(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00)
														> 1L);
												}
											else
												{	/* Beta/walk.scm 39 */
													BgL_test2063z00_3508 =
														BGl_2ze3ze3zz__r4_numbers_6_5z00
														(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00,
														BINT(1L));
												}
										}
									else
										{	/* Beta/walk.scm 39 */
											BgL_test2063z00_3508 = ((bool_t) 0);
										}
									if (BgL_test2063z00_3508)
										{	/* Beta/walk.scm 39 */
											BgL_arg1364z00_1420 = BGl_string1995z00zzbeta_walkz00;
										}
									else
										{	/* Beta/walk.scm 39 */
											BgL_arg1364z00_1420 = BGl_string1996z00zzbeta_walkz00;
										}
								}
								bgl_display_obj(BgL_arg1364z00_1420, BgL_port1282z00_1419);
							}
							bgl_display_string(BGl_string1997z00zzbeta_walkz00,
								BgL_port1282z00_1419);
							bgl_display_char(((unsigned char) 10), BgL_port1282z00_1419);
						}
						{	/* Beta/walk.scm 39 */
							obj_t BgL_list1370z00_1424;

							BgL_list1370z00_1424 = MAKE_YOUNG_PAIR(BINT((-1L)), BNIL);
							return BGl_exitz00zz__errorz00(BgL_list1370z00_1424);
						}
					}
				else
					{	/* Beta/walk.scm 39 */
						obj_t BgL_g1112z00_1425;

						BgL_g1112z00_1425 = BNIL;
						{
							obj_t BgL_hooksz00_1428;
							obj_t BgL_hnamesz00_1429;

							BgL_hooksz00_1428 = BgL_g1112z00_1425;
							BgL_hnamesz00_1429 = BNIL;
						BgL_zc3z04anonymousza31371ze3z87_1430:
							if (NULLP(BgL_hooksz00_1428))
								{	/* Beta/walk.scm 39 */
									return BgL_valuez00_1417;
								}
							else
								{	/* Beta/walk.scm 39 */
									bool_t BgL_test2067z00_3525;

									{	/* Beta/walk.scm 39 */
										obj_t BgL_fun1382z00_1437;

										BgL_fun1382z00_1437 = CAR(((obj_t) BgL_hooksz00_1428));
										BgL_test2067z00_3525 =
											CBOOL(BGL_PROCEDURE_CALL0(BgL_fun1382z00_1437));
									}
									if (BgL_test2067z00_3525)
										{	/* Beta/walk.scm 39 */
											obj_t BgL_arg1376z00_1434;
											obj_t BgL_arg1379z00_1435;

											BgL_arg1376z00_1434 = CDR(((obj_t) BgL_hooksz00_1428));
											BgL_arg1379z00_1435 = CDR(((obj_t) BgL_hnamesz00_1429));
											{
												obj_t BgL_hnamesz00_3537;
												obj_t BgL_hooksz00_3536;

												BgL_hooksz00_3536 = BgL_arg1376z00_1434;
												BgL_hnamesz00_3537 = BgL_arg1379z00_1435;
												BgL_hnamesz00_1429 = BgL_hnamesz00_3537;
												BgL_hooksz00_1428 = BgL_hooksz00_3536;
												goto BgL_zc3z04anonymousza31371ze3z87_1430;
											}
										}
									else
										{	/* Beta/walk.scm 39 */
											obj_t BgL_arg1380z00_1436;

											BgL_arg1380z00_1436 = CAR(((obj_t) BgL_hnamesz00_1429));
											return
												BGl_internalzd2errorzd2zztools_errorz00
												(BGl_za2currentzd2passza2zd2zzengine_passz00,
												BGl_string1998z00zzbeta_walkz00, BgL_arg1380z00_1436);
										}
								}
						}
					}
			}
		}

	}



/* &beta-walk! */
	obj_t BGl_z62betazd2walkz12za2zzbeta_walkz00(obj_t BgL_envz00_2988,
		obj_t BgL_globalsz00_2989)
	{
		{	/* Beta/walk.scm 36 */
			return BGl_betazd2walkz12zc0zzbeta_walkz00(BgL_globalsz00_2989);
		}

	}



/* beta-globals! */
	bool_t BGl_betazd2globalsz12zc0zzbeta_walkz00(obj_t BgL_globalsz00_4)
	{
		{	/* Beta/walk.scm 49 */
			{
				obj_t BgL_l1283z00_1441;

				BgL_l1283z00_1441 = BgL_globalsz00_4;
			BgL_zc3z04anonymousza31384ze3z87_1442:
				if (PAIRP(BgL_l1283z00_1441))
					{	/* Beta/walk.scm 50 */
						{	/* Beta/walk.scm 51 */
							obj_t BgL_globalz00_1444;

							BgL_globalz00_1444 = CAR(BgL_l1283z00_1441);
							{	/* Beta/walk.scm 51 */
								BgL_valuez00_bglt BgL_sfunz00_1445;

								BgL_sfunz00_1445 =
									(((BgL_variablez00_bglt) COBJECT(
											((BgL_variablez00_bglt)
												((BgL_globalz00_bglt) BgL_globalz00_1444))))->
									BgL_valuez00);
								{	/* Beta/walk.scm 52 */
									BgL_nodez00_bglt BgL_arg1386z00_1446;

									{	/* Beta/walk.scm 52 */
										obj_t BgL_arg1388z00_1447;

										BgL_arg1388z00_1447 =
											(((BgL_sfunz00_bglt) COBJECT(
													((BgL_sfunz00_bglt) BgL_sfunz00_1445)))->BgL_bodyz00);
										BgL_arg1386z00_1446 =
											BGl_nodezd2betaz12zc0zzbeta_walkz00(
											((BgL_nodez00_bglt) BgL_arg1388z00_1447), BNIL);
									}
									((((BgL_sfunz00_bglt) COBJECT(
													((BgL_sfunz00_bglt) BgL_sfunz00_1445)))->
											BgL_bodyz00) =
										((obj_t) ((obj_t) BgL_arg1386z00_1446)), BUNSPEC);
								}
							}
						}
						{
							obj_t BgL_l1283z00_3555;

							BgL_l1283z00_3555 = CDR(BgL_l1283z00_1441);
							BgL_l1283z00_1441 = BgL_l1283z00_3555;
							goto BgL_zc3z04anonymousza31384ze3z87_1442;
						}
					}
				else
					{	/* Beta/walk.scm 50 */
						return ((bool_t) 1);
					}
			}
		}

	}



/* node-beta*! */
	obj_t BGl_nodezd2betaza2z12z62zzbeta_walkz00(obj_t BgL_nodeza2za2_43,
		obj_t BgL_stackz00_44)
	{
		{	/* Beta/walk.scm 275 */
			{
				obj_t BgL_l1295z00_1452;

				BgL_l1295z00_1452 = BgL_nodeza2za2_43;
			BgL_zc3z04anonymousza31391ze3z87_1453:
				if (NULLP(BgL_l1295z00_1452))
					{	/* Beta/walk.scm 276 */
						BgL_nodeza2za2_43;
					}
				else
					{	/* Beta/walk.scm 276 */
						{	/* Beta/walk.scm 276 */
							BgL_nodez00_bglt BgL_arg1400z00_1455;

							{	/* Beta/walk.scm 276 */
								obj_t BgL_nodez00_1456;

								BgL_nodez00_1456 = CAR(((obj_t) BgL_l1295z00_1452));
								BgL_arg1400z00_1455 =
									BGl_nodezd2betaz12zc0zzbeta_walkz00(
									((BgL_nodez00_bglt) BgL_nodez00_1456), BgL_stackz00_44);
							}
							{	/* Beta/walk.scm 276 */
								obj_t BgL_auxz00_3565;
								obj_t BgL_tmpz00_3563;

								BgL_auxz00_3565 = ((obj_t) BgL_arg1400z00_1455);
								BgL_tmpz00_3563 = ((obj_t) BgL_l1295z00_1452);
								SET_CAR(BgL_tmpz00_3563, BgL_auxz00_3565);
							}
						}
						{	/* Beta/walk.scm 276 */
							obj_t BgL_arg1401z00_1457;

							BgL_arg1401z00_1457 = CDR(((obj_t) BgL_l1295z00_1452));
							{
								obj_t BgL_l1295z00_3570;

								BgL_l1295z00_3570 = BgL_arg1401z00_1457;
								BgL_l1295z00_1452 = BgL_l1295z00_3570;
								goto BgL_zc3z04anonymousza31391ze3z87_1453;
							}
						}
					}
			}
			return BgL_nodeza2za2_43;
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzbeta_walkz00(void)
	{
		{	/* Beta/walk.scm 18 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzbeta_walkz00(void)
	{
		{	/* Beta/walk.scm 18 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_nodezd2betaz12zd2envz12zzbeta_walkz00,
				BGl_proc1999z00zzbeta_walkz00, BGl_nodez00zzast_nodez00,
				BGl_string2000z00zzbeta_walkz00);
		}

	}



/* &node-beta!1297 */
	obj_t BGl_z62nodezd2betaz121297za2zzbeta_walkz00(obj_t BgL_envz00_2991,
		obj_t BgL_nodez00_2992, obj_t BgL_stackz00_2993)
	{
		{	/* Beta/walk.scm 58 */
			return ((obj_t) ((BgL_nodez00_bglt) BgL_nodez00_2992));
		}

	}



/* node-beta! */
	BgL_nodez00_bglt BGl_nodezd2betaz12zc0zzbeta_walkz00(BgL_nodez00_bglt
		BgL_nodez00_5, obj_t BgL_stackz00_6)
	{
		{	/* Beta/walk.scm 58 */
			{	/* Beta/walk.scm 58 */
				obj_t BgL_method1298z00_1464;

				{	/* Beta/walk.scm 58 */
					obj_t BgL_res1968z00_2073;

					{	/* Beta/walk.scm 58 */
						long BgL_objzd2classzd2numz00_2044;

						BgL_objzd2classzd2numz00_2044 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_5));
						{	/* Beta/walk.scm 58 */
							obj_t BgL_arg1862z00_2045;

							BgL_arg1862z00_2045 =
								PROCEDURE_REF(BGl_nodezd2betaz12zd2envz12zzbeta_walkz00,
								(int) (1L));
							{	/* Beta/walk.scm 58 */
								int BgL_offsetz00_2048;

								BgL_offsetz00_2048 = (int) (BgL_objzd2classzd2numz00_2044);
								{	/* Beta/walk.scm 58 */
									long BgL_offsetz00_2049;

									BgL_offsetz00_2049 =
										((long) (BgL_offsetz00_2048) - OBJECT_TYPE);
									{	/* Beta/walk.scm 58 */
										long BgL_modz00_2050;

										BgL_modz00_2050 =
											(BgL_offsetz00_2049 >> (int) ((long) ((int) (4L))));
										{	/* Beta/walk.scm 58 */
											long BgL_restz00_2052;

											BgL_restz00_2052 =
												(BgL_offsetz00_2049 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(1L <<
																		(int) ((long) ((int) (4L)))))) - 1L))));
											{	/* Beta/walk.scm 58 */

												{	/* Beta/walk.scm 58 */
													obj_t BgL_bucketz00_2054;

													BgL_bucketz00_2054 =
														VECTOR_REF(
														((obj_t) BgL_arg1862z00_2045), BgL_modz00_2050);
													BgL_res1968z00_2073 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_2054), BgL_restz00_2052);
					}}}}}}}}
					BgL_method1298z00_1464 = BgL_res1968z00_2073;
				}
				return
					((BgL_nodez00_bglt)
					BGL_PROCEDURE_CALL2(BgL_method1298z00_1464,
						((obj_t) BgL_nodez00_5), BgL_stackz00_6));
			}
		}

	}



/* &node-beta! */
	BgL_nodez00_bglt BGl_z62nodezd2betaz12za2zzbeta_walkz00(obj_t BgL_envz00_2994,
		obj_t BgL_nodez00_2995, obj_t BgL_stackz00_2996)
	{
		{	/* Beta/walk.scm 58 */
			return
				BGl_nodezd2betaz12zc0zzbeta_walkz00(
				((BgL_nodez00_bglt) BgL_nodez00_2995), BgL_stackz00_2996);
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzbeta_walkz00(void)
	{
		{	/* Beta/walk.scm 18 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2betaz12zd2envz12zzbeta_walkz00,
				BGl_sequencez00zzast_nodez00, BGl_proc2001z00zzbeta_walkz00,
				BGl_string2002z00zzbeta_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2betaz12zd2envz12zzbeta_walkz00, BGl_syncz00zzast_nodez00,
				BGl_proc2003z00zzbeta_walkz00, BGl_string2002z00zzbeta_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2betaz12zd2envz12zzbeta_walkz00, BGl_appz00zzast_nodez00,
				BGl_proc2004z00zzbeta_walkz00, BGl_string2002z00zzbeta_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2betaz12zd2envz12zzbeta_walkz00,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc2005z00zzbeta_walkz00,
				BGl_string2002z00zzbeta_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2betaz12zd2envz12zzbeta_walkz00, BGl_funcallz00zzast_nodez00,
				BGl_proc2006z00zzbeta_walkz00, BGl_string2002z00zzbeta_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2betaz12zd2envz12zzbeta_walkz00, BGl_externz00zzast_nodez00,
				BGl_proc2007z00zzbeta_walkz00, BGl_string2002z00zzbeta_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2betaz12zd2envz12zzbeta_walkz00, BGl_castz00zzast_nodez00,
				BGl_proc2008z00zzbeta_walkz00, BGl_string2002z00zzbeta_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2betaz12zd2envz12zzbeta_walkz00, BGl_setqz00zzast_nodez00,
				BGl_proc2009z00zzbeta_walkz00, BGl_string2002z00zzbeta_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2betaz12zd2envz12zzbeta_walkz00,
				BGl_conditionalz00zzast_nodez00, BGl_proc2010z00zzbeta_walkz00,
				BGl_string2002z00zzbeta_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2betaz12zd2envz12zzbeta_walkz00, BGl_failz00zzast_nodez00,
				BGl_proc2011z00zzbeta_walkz00, BGl_string2002z00zzbeta_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2betaz12zd2envz12zzbeta_walkz00, BGl_switchz00zzast_nodez00,
				BGl_proc2012z00zzbeta_walkz00, BGl_string2002z00zzbeta_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2betaz12zd2envz12zzbeta_walkz00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc2013z00zzbeta_walkz00,
				BGl_string2002z00zzbeta_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2betaz12zd2envz12zzbeta_walkz00,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc2014z00zzbeta_walkz00,
				BGl_string2002z00zzbeta_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2betaz12zd2envz12zzbeta_walkz00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc2015z00zzbeta_walkz00,
				BGl_string2002z00zzbeta_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2betaz12zd2envz12zzbeta_walkz00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc2016z00zzbeta_walkz00,
				BGl_string2002z00zzbeta_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2betaz12zd2envz12zzbeta_walkz00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc2017z00zzbeta_walkz00,
				BGl_string2002z00zzbeta_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2betaz12zd2envz12zzbeta_walkz00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc2018z00zzbeta_walkz00,
				BGl_string2002z00zzbeta_walkz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2betaz12zd2envz12zzbeta_walkz00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc2019z00zzbeta_walkz00,
				BGl_string2002z00zzbeta_walkz00);
		}

	}



/* &node-beta!-jump-ex-i1335 */
	BgL_nodez00_bglt
		BGl_z62nodezd2betaz12zd2jumpzd2exzd2i1335z70zzbeta_walkz00(obj_t
		BgL_envz00_3015, obj_t BgL_nodez00_3016, obj_t BgL_stackz00_3017)
	{
		{	/* Beta/walk.scm 267 */
			((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
							((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_3016)))->BgL_exitz00) =
				((BgL_nodez00_bglt)
					BGl_nodezd2betaz12zc0zzbeta_walkz00((((BgL_jumpzd2exzd2itz00_bglt)
								COBJECT(((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_3016)))->
							BgL_exitz00), BgL_stackz00_3017)), BUNSPEC);
			((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(((BgL_jumpzd2exzd2itz00_bglt)
								BgL_nodez00_3016)))->BgL_valuez00) =
				((BgL_nodez00_bglt)
					BGl_nodezd2betaz12zc0zzbeta_walkz00((((BgL_jumpzd2exzd2itz00_bglt)
								COBJECT(((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_3016)))->
							BgL_valuez00), BgL_stackz00_3017)), BUNSPEC);
			return ((BgL_nodez00_bglt) ((BgL_jumpzd2exzd2itz00_bglt)
					BgL_nodez00_3016));
		}

	}



/* &node-beta!-set-ex-it1333 */
	BgL_nodez00_bglt
		BGl_z62nodezd2betaz12zd2setzd2exzd2it1333z70zzbeta_walkz00(obj_t
		BgL_envz00_3018, obj_t BgL_nodez00_3019, obj_t BgL_stackz00_3020)
	{
		{	/* Beta/walk.scm 259 */
			((((BgL_setzd2exzd2itz00_bglt) COBJECT(
							((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_3019)))->BgL_onexitz00) =
				((BgL_nodez00_bglt)
					BGl_nodezd2betaz12zc0zzbeta_walkz00((((BgL_setzd2exzd2itz00_bglt)
								COBJECT(((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_3019)))->
							BgL_onexitz00), BgL_stackz00_3020)), BUNSPEC);
			((((BgL_setzd2exzd2itz00_bglt) COBJECT(((BgL_setzd2exzd2itz00_bglt)
								BgL_nodez00_3019)))->BgL_bodyz00) =
				((BgL_nodez00_bglt)
					BGl_nodezd2betaz12zc0zzbeta_walkz00((((BgL_setzd2exzd2itz00_bglt)
								COBJECT(((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_3019)))->
							BgL_bodyz00), BgL_stackz00_3020)), BUNSPEC);
			return ((BgL_nodez00_bglt) ((BgL_setzd2exzd2itz00_bglt)
					BgL_nodez00_3019));
		}

	}



/* &node-beta!-let-var1331 */
	BgL_nodez00_bglt BGl_z62nodezd2betaz12zd2letzd2var1331za2zzbeta_walkz00(obj_t
		BgL_envz00_3021, obj_t BgL_nodez00_3022, obj_t BgL_stackz00_3023)
	{
		{	/* Beta/walk.scm 218 */
			{
				BgL_variablez00_bglt BgL_xz00_3085;
				BgL_variablez00_bglt BgL_yz00_3086;

				{
					obj_t BgL_bindingsz00_3093;
					obj_t BgL_newzd2stackzd2_3094;

					{	/* Beta/walk.scm 228 */
						obj_t BgL_arg1748z00_3173;

						BgL_arg1748z00_3173 =
							(((BgL_letzd2varzd2_bglt) COBJECT(
									((BgL_letzd2varzd2_bglt) BgL_nodez00_3022)))->
							BgL_bindingsz00);
						{
							BgL_letzd2varzd2_bglt BgL_auxz00_3652;

							BgL_bindingsz00_3093 = BgL_arg1748z00_3173;
							BgL_newzd2stackzd2_3094 = BgL_stackz00_3023;
						BgL_loopz00_3092:
							if (NULLP(BgL_bindingsz00_3093))
								{	/* Beta/walk.scm 230 */
									{
										BgL_nodez00_bglt BgL_auxz00_3655;

										{	/* Beta/walk.scm 232 */
											BgL_nodez00_bglt BgL_arg1755z00_3095;

											BgL_arg1755z00_3095 =
												(((BgL_letzd2varzd2_bglt) COBJECT(
														((BgL_letzd2varzd2_bglt) BgL_nodez00_3022)))->
												BgL_bodyz00);
											BgL_auxz00_3655 =
												BGl_nodezd2betaz12zc0zzbeta_walkz00(BgL_arg1755z00_3095,
												BgL_newzd2stackzd2_3094);
										}
										((((BgL_letzd2varzd2_bglt) COBJECT(
														((BgL_letzd2varzd2_bglt) BgL_nodez00_3022)))->
												BgL_bodyz00) =
											((BgL_nodez00_bglt) BgL_auxz00_3655), BUNSPEC);
									}
									BgL_auxz00_3652 = ((BgL_letzd2varzd2_bglt) BgL_nodez00_3022);
								}
							else
								{	/* Beta/walk.scm 234 */
									obj_t BgL_bindingz00_3096;

									BgL_bindingz00_3096 = CAR(((obj_t) BgL_bindingsz00_3093));
									{	/* Beta/walk.scm 234 */
										obj_t BgL_varz00_3097;

										BgL_varz00_3097 = CAR(((obj_t) BgL_bindingz00_3096));
										{	/* Beta/walk.scm 235 */
											BgL_nodez00_bglt BgL_valz00_3098;

											{	/* Beta/walk.scm 236 */
												obj_t BgL_arg1882z00_3099;

												BgL_arg1882z00_3099 =
													CDR(((obj_t) BgL_bindingz00_3096));
												BgL_valz00_3098 =
													BGl_nodezd2betaz12zc0zzbeta_walkz00(
													((BgL_nodez00_bglt) BgL_arg1882z00_3099),
													BgL_stackz00_3023);
											}
											{	/* Beta/walk.scm 236 */

												{	/* Beta/walk.scm 237 */
													obj_t BgL_auxz00_3672;
													obj_t BgL_tmpz00_3670;

													BgL_auxz00_3672 = ((obj_t) BgL_valz00_3098);
													BgL_tmpz00_3670 = ((obj_t) BgL_bindingz00_3096);
													SET_CDR(BgL_tmpz00_3670, BgL_auxz00_3672);
												}
												{	/* Beta/walk.scm 238 */
													bool_t BgL_test2071z00_3675;

													if (
														(((BgL_letzd2varzd2_bglt) COBJECT(
																	((BgL_letzd2varzd2_bglt) BgL_nodez00_3022)))->
															BgL_removablezf3zf3))
														{	/* Beta/walk.scm 239 */
															bool_t BgL_test2073z00_3679;

															{	/* Beta/walk.scm 239 */
																bool_t BgL_test2074z00_3680;

																{	/* Beta/walk.scm 239 */
																	bool_t BgL_test2075z00_3681;

																	{	/* Beta/walk.scm 239 */
																		obj_t BgL_arg1878z00_3100;

																		BgL_arg1878z00_3100 =
																			CDR(((obj_t) BgL_bindingz00_3096));
																		{	/* Beta/walk.scm 239 */
																			obj_t BgL_classz00_3101;

																			BgL_classz00_3101 =
																				BGl_atomz00zzast_nodez00;
																			if (BGL_OBJECTP(BgL_arg1878z00_3100))
																				{	/* Beta/walk.scm 239 */
																					BgL_objectz00_bglt
																						BgL_arg1858z00_3102;
																					BgL_arg1858z00_3102 =
																						(BgL_objectz00_bglt)
																						(BgL_arg1878z00_3100);
																					if (BGL_CONDEXPAND_ISA_ARCH64())
																						{	/* Beta/walk.scm 239 */
																							long BgL_idxz00_3103;

																							BgL_idxz00_3103 =
																								BGL_OBJECT_INHERITANCE_NUM
																								(BgL_arg1858z00_3102);
																							BgL_test2075z00_3681 =
																								(VECTOR_REF
																								(BGl_za2inheritancesza2z00zz__objectz00,
																									(BgL_idxz00_3103 + 2L)) ==
																								BgL_classz00_3101);
																						}
																					else
																						{	/* Beta/walk.scm 239 */
																							bool_t BgL_res1980z00_3106;

																							{	/* Beta/walk.scm 239 */
																								obj_t BgL_oclassz00_3107;

																								{	/* Beta/walk.scm 239 */
																									obj_t BgL_arg1866z00_3108;
																									long BgL_arg1867z00_3109;

																									BgL_arg1866z00_3108 =
																										(BGl_za2classesza2z00zz__objectz00);
																									{	/* Beta/walk.scm 239 */
																										long BgL_arg1869z00_3110;

																										BgL_arg1869z00_3110 =
																											BGL_OBJECT_CLASS_NUM
																											(BgL_arg1858z00_3102);
																										BgL_arg1867z00_3109 =
																											(BgL_arg1869z00_3110 -
																											OBJECT_TYPE);
																									}
																									BgL_oclassz00_3107 =
																										VECTOR_REF
																										(BgL_arg1866z00_3108,
																										BgL_arg1867z00_3109);
																								}
																								{	/* Beta/walk.scm 239 */
																									bool_t
																										BgL__ortest_1115z00_3111;
																									BgL__ortest_1115z00_3111 =
																										(BgL_classz00_3101 ==
																										BgL_oclassz00_3107);
																									if (BgL__ortest_1115z00_3111)
																										{	/* Beta/walk.scm 239 */
																											BgL_res1980z00_3106 =
																												BgL__ortest_1115z00_3111;
																										}
																									else
																										{	/* Beta/walk.scm 239 */
																											long BgL_odepthz00_3112;

																											{	/* Beta/walk.scm 239 */
																												obj_t
																													BgL_arg1855z00_3113;
																												BgL_arg1855z00_3113 =
																													(BgL_oclassz00_3107);
																												BgL_odepthz00_3112 =
																													BGL_CLASS_DEPTH
																													(BgL_arg1855z00_3113);
																											}
																											if (
																												(2L <
																													BgL_odepthz00_3112))
																												{	/* Beta/walk.scm 239 */
																													obj_t
																														BgL_arg1853z00_3114;
																													{	/* Beta/walk.scm 239 */
																														obj_t
																															BgL_arg1854z00_3115;
																														BgL_arg1854z00_3115
																															=
																															(BgL_oclassz00_3107);
																														BgL_arg1853z00_3114
																															=
																															BGL_CLASS_ANCESTORS_REF
																															(BgL_arg1854z00_3115,
																															2L);
																													}
																													BgL_res1980z00_3106 =
																														(BgL_arg1853z00_3114
																														==
																														BgL_classz00_3101);
																												}
																											else
																												{	/* Beta/walk.scm 239 */
																													BgL_res1980z00_3106 =
																														((bool_t) 0);
																												}
																										}
																								}
																							}
																							BgL_test2075z00_3681 =
																								BgL_res1980z00_3106;
																						}
																				}
																			else
																				{	/* Beta/walk.scm 239 */
																					BgL_test2075z00_3681 = ((bool_t) 0);
																				}
																		}
																	}
																	if (BgL_test2075z00_3681)
																		{	/* Beta/walk.scm 240 */
																			obj_t BgL_valz00_3116;

																			BgL_valz00_3116 =
																				(((BgL_atomz00_bglt) COBJECT(
																						((BgL_atomz00_bglt)
																							CDR(
																								((obj_t)
																									BgL_bindingz00_3096)))))->
																				BgL_valuez00);
																			{	/* Beta/walk.scm 241 */
																				bool_t BgL__ortest_1157z00_3117;

																				if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_valz00_3116))
																					{	/* Beta/walk.scm 241 */
																						if (BIGNUMP(BgL_valz00_3116))
																							{	/* Beta/walk.scm 241 */
																								BgL__ortest_1157z00_3117 =
																									((bool_t) 0);
																							}
																						else
																							{	/* Beta/walk.scm 241 */
																								BgL__ortest_1157z00_3117 =
																									((bool_t) 1);
																							}
																					}
																				else
																					{	/* Beta/walk.scm 241 */
																						BgL__ortest_1157z00_3117 =
																							((bool_t) 0);
																					}
																				if (BgL__ortest_1157z00_3117)
																					{	/* Beta/walk.scm 241 */
																						BgL_test2074z00_3680 =
																							BgL__ortest_1157z00_3117;
																					}
																				else
																					{	/* Beta/walk.scm 242 */
																						bool_t BgL__ortest_1158z00_3118;

																						BgL__ortest_1158z00_3118 =
																							BOOLEANP(BgL_valz00_3116);
																						if (BgL__ortest_1158z00_3118)
																							{	/* Beta/walk.scm 242 */
																								BgL_test2074z00_3680 =
																									BgL__ortest_1158z00_3118;
																							}
																						else
																							{	/* Beta/walk.scm 243 */
																								bool_t BgL__ortest_1159z00_3119;

																								BgL__ortest_1159z00_3119 =
																									CHARP(BgL_valz00_3116);
																								if (BgL__ortest_1159z00_3119)
																									{	/* Beta/walk.scm 243 */
																										BgL_test2074z00_3680 =
																											BgL__ortest_1159z00_3119;
																									}
																								else
																									{	/* Beta/walk.scm 244 */
																										bool_t
																											BgL__ortest_1160z00_3120;
																										BgL__ortest_1160z00_3120 =
																											SYMBOLP(BgL_valz00_3116);
																										if (BgL__ortest_1160z00_3120)
																											{	/* Beta/walk.scm 244 */
																												BgL_test2074z00_3680 =
																													BgL__ortest_1160z00_3120;
																											}
																										else
																											{	/* Beta/walk.scm 245 */
																												bool_t
																													BgL__ortest_1161z00_3121;
																												BgL__ortest_1161z00_3121
																													=
																													KEYWORDP
																													(BgL_valz00_3116);
																												if (BgL__ortest_1161z00_3121)
																													{	/* Beta/walk.scm 245 */
																														BgL_test2074z00_3680
																															=
																															BgL__ortest_1161z00_3121;
																													}
																												else
																													{	/* Beta/walk.scm 245 */
																														BgL_test2074z00_3680
																															=
																															CNSTP
																															(BgL_valz00_3116);
																													}
																											}
																									}
																							}
																					}
																			}
																		}
																	else
																		{	/* Beta/walk.scm 239 */
																			BgL_test2074z00_3680 = ((bool_t) 0);
																		}
																}
																if (BgL_test2074z00_3680)
																	{	/* Beta/walk.scm 239 */
																		BgL_test2073z00_3679 = ((bool_t) 1);
																	}
																else
																	{	/* Beta/walk.scm 247 */
																		bool_t BgL_test2087z00_3724;

																		{	/* Beta/walk.scm 247 */
																			obj_t BgL_arg1873z00_3122;

																			BgL_arg1873z00_3122 =
																				CDR(((obj_t) BgL_bindingz00_3096));
																			{	/* Beta/walk.scm 247 */
																				obj_t BgL_classz00_3123;

																				BgL_classz00_3123 =
																					BGl_closurez00zzast_nodez00;
																				if (BGL_OBJECTP(BgL_arg1873z00_3122))
																					{	/* Beta/walk.scm 247 */
																						BgL_objectz00_bglt
																							BgL_arg1858z00_3124;
																						BgL_arg1858z00_3124 =
																							(BgL_objectz00_bglt)
																							(BgL_arg1873z00_3122);
																						if (BGL_CONDEXPAND_ISA_ARCH64())
																							{	/* Beta/walk.scm 247 */
																								long BgL_idxz00_3125;

																								BgL_idxz00_3125 =
																									BGL_OBJECT_INHERITANCE_NUM
																									(BgL_arg1858z00_3124);
																								BgL_test2087z00_3724 =
																									(VECTOR_REF
																									(BGl_za2inheritancesza2z00zz__objectz00,
																										(BgL_idxz00_3125 + 3L)) ==
																									BgL_classz00_3123);
																							}
																						else
																							{	/* Beta/walk.scm 247 */
																								bool_t BgL_res1981z00_3128;

																								{	/* Beta/walk.scm 247 */
																									obj_t BgL_oclassz00_3129;

																									{	/* Beta/walk.scm 247 */
																										obj_t BgL_arg1866z00_3130;
																										long BgL_arg1867z00_3131;

																										BgL_arg1866z00_3130 =
																											(BGl_za2classesza2z00zz__objectz00);
																										{	/* Beta/walk.scm 247 */
																											long BgL_arg1869z00_3132;

																											BgL_arg1869z00_3132 =
																												BGL_OBJECT_CLASS_NUM
																												(BgL_arg1858z00_3124);
																											BgL_arg1867z00_3131 =
																												(BgL_arg1869z00_3132 -
																												OBJECT_TYPE);
																										}
																										BgL_oclassz00_3129 =
																											VECTOR_REF
																											(BgL_arg1866z00_3130,
																											BgL_arg1867z00_3131);
																									}
																									{	/* Beta/walk.scm 247 */
																										bool_t
																											BgL__ortest_1115z00_3133;
																										BgL__ortest_1115z00_3133 =
																											(BgL_classz00_3123 ==
																											BgL_oclassz00_3129);
																										if (BgL__ortest_1115z00_3133)
																											{	/* Beta/walk.scm 247 */
																												BgL_res1981z00_3128 =
																													BgL__ortest_1115z00_3133;
																											}
																										else
																											{	/* Beta/walk.scm 247 */
																												long BgL_odepthz00_3134;

																												{	/* Beta/walk.scm 247 */
																													obj_t
																														BgL_arg1855z00_3135;
																													BgL_arg1855z00_3135 =
																														(BgL_oclassz00_3129);
																													BgL_odepthz00_3134 =
																														BGL_CLASS_DEPTH
																														(BgL_arg1855z00_3135);
																												}
																												if (
																													(3L <
																														BgL_odepthz00_3134))
																													{	/* Beta/walk.scm 247 */
																														obj_t
																															BgL_arg1853z00_3136;
																														{	/* Beta/walk.scm 247 */
																															obj_t
																																BgL_arg1854z00_3137;
																															BgL_arg1854z00_3137
																																=
																																(BgL_oclassz00_3129);
																															BgL_arg1853z00_3136
																																=
																																BGL_CLASS_ANCESTORS_REF
																																(BgL_arg1854z00_3137,
																																3L);
																														}
																														BgL_res1981z00_3128
																															=
																															(BgL_arg1853z00_3136
																															==
																															BgL_classz00_3123);
																													}
																												else
																													{	/* Beta/walk.scm 247 */
																														BgL_res1981z00_3128
																															= ((bool_t) 0);
																													}
																											}
																									}
																								}
																								BgL_test2087z00_3724 =
																									BgL_res1981z00_3128;
																							}
																					}
																				else
																					{	/* Beta/walk.scm 247 */
																						BgL_test2087z00_3724 = ((bool_t) 0);
																					}
																			}
																		}
																		if (BgL_test2087z00_3724)
																			{	/* Beta/walk.scm 247 */
																				BgL_test2073z00_3679 = ((bool_t) 1);
																			}
																		else
																			{	/* Beta/walk.scm 248 */
																				bool_t BgL_test2092z00_3749;

																				{	/* Beta/walk.scm 248 */
																					obj_t BgL_arg1872z00_3138;

																					BgL_arg1872z00_3138 =
																						CDR(((obj_t) BgL_bindingz00_3096));
																					{	/* Beta/walk.scm 248 */
																						obj_t BgL_classz00_3139;

																						BgL_classz00_3139 =
																							BGl_varz00zzast_nodez00;
																						if (BGL_OBJECTP
																							(BgL_arg1872z00_3138))
																							{	/* Beta/walk.scm 248 */
																								BgL_objectz00_bglt
																									BgL_arg1858z00_3140;
																								BgL_arg1858z00_3140 =
																									(BgL_objectz00_bglt)
																									(BgL_arg1872z00_3138);
																								if (BGL_CONDEXPAND_ISA_ARCH64())
																									{	/* Beta/walk.scm 248 */
																										long BgL_idxz00_3141;

																										BgL_idxz00_3141 =
																											BGL_OBJECT_INHERITANCE_NUM
																											(BgL_arg1858z00_3140);
																										BgL_test2092z00_3749 =
																											(VECTOR_REF
																											(BGl_za2inheritancesza2z00zz__objectz00,
																												(BgL_idxz00_3141 +
																													2L)) ==
																											BgL_classz00_3139);
																									}
																								else
																									{	/* Beta/walk.scm 248 */
																										bool_t BgL_res1982z00_3144;

																										{	/* Beta/walk.scm 248 */
																											obj_t BgL_oclassz00_3145;

																											{	/* Beta/walk.scm 248 */
																												obj_t
																													BgL_arg1866z00_3146;
																												long
																													BgL_arg1867z00_3147;
																												BgL_arg1866z00_3146 =
																													(BGl_za2classesza2z00zz__objectz00);
																												{	/* Beta/walk.scm 248 */
																													long
																														BgL_arg1869z00_3148;
																													BgL_arg1869z00_3148 =
																														BGL_OBJECT_CLASS_NUM
																														(BgL_arg1858z00_3140);
																													BgL_arg1867z00_3147 =
																														(BgL_arg1869z00_3148
																														- OBJECT_TYPE);
																												}
																												BgL_oclassz00_3145 =
																													VECTOR_REF
																													(BgL_arg1866z00_3146,
																													BgL_arg1867z00_3147);
																											}
																											{	/* Beta/walk.scm 248 */
																												bool_t
																													BgL__ortest_1115z00_3149;
																												BgL__ortest_1115z00_3149
																													=
																													(BgL_classz00_3139 ==
																													BgL_oclassz00_3145);
																												if (BgL__ortest_1115z00_3149)
																													{	/* Beta/walk.scm 248 */
																														BgL_res1982z00_3144
																															=
																															BgL__ortest_1115z00_3149;
																													}
																												else
																													{	/* Beta/walk.scm 248 */
																														long
																															BgL_odepthz00_3150;
																														{	/* Beta/walk.scm 248 */
																															obj_t
																																BgL_arg1855z00_3151;
																															BgL_arg1855z00_3151
																																=
																																(BgL_oclassz00_3145);
																															BgL_odepthz00_3150
																																=
																																BGL_CLASS_DEPTH
																																(BgL_arg1855z00_3151);
																														}
																														if (
																															(2L <
																																BgL_odepthz00_3150))
																															{	/* Beta/walk.scm 248 */
																																obj_t
																																	BgL_arg1853z00_3152;
																																{	/* Beta/walk.scm 248 */
																																	obj_t
																																		BgL_arg1854z00_3153;
																																	BgL_arg1854z00_3153
																																		=
																																		(BgL_oclassz00_3145);
																																	BgL_arg1853z00_3152
																																		=
																																		BGL_CLASS_ANCESTORS_REF
																																		(BgL_arg1854z00_3153,
																																		2L);
																																}
																																BgL_res1982z00_3144
																																	=
																																	(BgL_arg1853z00_3152
																																	==
																																	BgL_classz00_3139);
																															}
																														else
																															{	/* Beta/walk.scm 248 */
																																BgL_res1982z00_3144
																																	=
																																	((bool_t) 0);
																															}
																													}
																											}
																										}
																										BgL_test2092z00_3749 =
																											BgL_res1982z00_3144;
																									}
																							}
																						else
																							{	/* Beta/walk.scm 248 */
																								BgL_test2092z00_3749 =
																									((bool_t) 0);
																							}
																					}
																				}
																				if (BgL_test2092z00_3749)
																					{	/* Beta/walk.scm 249 */
																						bool_t BgL_test2097z00_3774;

																						{	/* Beta/walk.scm 249 */
																							BgL_variablez00_bglt
																								BgL_arg1859z00_3154;
																							BgL_arg1859z00_3154 =
																								(((BgL_varz00_bglt)
																									COBJECT(((BgL_varz00_bglt)
																											CDR(((obj_t)
																													BgL_bindingz00_3096)))))->
																								BgL_variablez00);
																							{	/* Beta/walk.scm 249 */
																								obj_t BgL_classz00_3155;

																								BgL_classz00_3155 =
																									BGl_localz00zzast_varz00;
																								{	/* Beta/walk.scm 249 */
																									BgL_objectz00_bglt
																										BgL_arg1858z00_3156;
																									{	/* Beta/walk.scm 249 */
																										obj_t BgL_tmpz00_3779;

																										BgL_tmpz00_3779 =
																											((obj_t)
																											((BgL_objectz00_bglt)
																												BgL_arg1859z00_3154));
																										BgL_arg1858z00_3156 =
																											(BgL_objectz00_bglt)
																											(BgL_tmpz00_3779);
																									}
																									if (BGL_CONDEXPAND_ISA_ARCH64
																										())
																										{	/* Beta/walk.scm 249 */
																											long BgL_idxz00_3157;

																											BgL_idxz00_3157 =
																												BGL_OBJECT_INHERITANCE_NUM
																												(BgL_arg1858z00_3156);
																											BgL_test2097z00_3774 =
																												(VECTOR_REF
																												(BGl_za2inheritancesza2z00zz__objectz00,
																													(BgL_idxz00_3157 +
																														2L)) ==
																												BgL_classz00_3155);
																										}
																									else
																										{	/* Beta/walk.scm 249 */
																											bool_t
																												BgL_res1983z00_3160;
																											{	/* Beta/walk.scm 249 */
																												obj_t
																													BgL_oclassz00_3161;
																												{	/* Beta/walk.scm 249 */
																													obj_t
																														BgL_arg1866z00_3162;
																													long
																														BgL_arg1867z00_3163;
																													BgL_arg1866z00_3162 =
																														(BGl_za2classesza2z00zz__objectz00);
																													{	/* Beta/walk.scm 249 */
																														long
																															BgL_arg1869z00_3164;
																														BgL_arg1869z00_3164
																															=
																															BGL_OBJECT_CLASS_NUM
																															(BgL_arg1858z00_3156);
																														BgL_arg1867z00_3163
																															=
																															(BgL_arg1869z00_3164
																															- OBJECT_TYPE);
																													}
																													BgL_oclassz00_3161 =
																														VECTOR_REF
																														(BgL_arg1866z00_3162,
																														BgL_arg1867z00_3163);
																												}
																												{	/* Beta/walk.scm 249 */
																													bool_t
																														BgL__ortest_1115z00_3165;
																													BgL__ortest_1115z00_3165
																														=
																														(BgL_classz00_3155
																														==
																														BgL_oclassz00_3161);
																													if (BgL__ortest_1115z00_3165)
																														{	/* Beta/walk.scm 249 */
																															BgL_res1983z00_3160
																																=
																																BgL__ortest_1115z00_3165;
																														}
																													else
																														{	/* Beta/walk.scm 249 */
																															long
																																BgL_odepthz00_3166;
																															{	/* Beta/walk.scm 249 */
																																obj_t
																																	BgL_arg1855z00_3167;
																																BgL_arg1855z00_3167
																																	=
																																	(BgL_oclassz00_3161);
																																BgL_odepthz00_3166
																																	=
																																	BGL_CLASS_DEPTH
																																	(BgL_arg1855z00_3167);
																															}
																															if (
																																(2L <
																																	BgL_odepthz00_3166))
																																{	/* Beta/walk.scm 249 */
																																	obj_t
																																		BgL_arg1853z00_3168;
																																	{	/* Beta/walk.scm 249 */
																																		obj_t
																																			BgL_arg1854z00_3169;
																																		BgL_arg1854z00_3169
																																			=
																																			(BgL_oclassz00_3161);
																																		BgL_arg1853z00_3168
																																			=
																																			BGL_CLASS_ANCESTORS_REF
																																			(BgL_arg1854z00_3169,
																																			2L);
																																	}
																																	BgL_res1983z00_3160
																																		=
																																		(BgL_arg1853z00_3168
																																		==
																																		BgL_classz00_3155);
																																}
																															else
																																{	/* Beta/walk.scm 249 */
																																	BgL_res1983z00_3160
																																		=
																																		((bool_t)
																																		0);
																																}
																														}
																												}
																											}
																											BgL_test2097z00_3774 =
																												BgL_res1983z00_3160;
																										}
																								}
																							}
																						}
																						if (BgL_test2097z00_3774)
																							{	/* Beta/walk.scm 249 */
																								if (
																									((((BgL_variablez00_bglt)
																												COBJECT((
																														(BgL_variablez00_bglt)
																														((BgL_localz00_bglt)
																															(((BgL_varz00_bglt) COBJECT(((BgL_varz00_bglt) CDR(((obj_t) BgL_bindingz00_3096)))))->BgL_variablez00)))))->BgL_accessz00) == ((obj_t) CNST_TABLE_REF(2))))
																									{	/* Beta/walk.scm 250 */
																										BgL_xz00_3085 =
																											((BgL_variablez00_bglt)
																											BgL_varz00_3097);
																										BgL_yz00_3086 =
																											(((BgL_varz00_bglt)
																												COBJECT((
																														(BgL_varz00_bglt)
																														CDR(((obj_t)
																																BgL_bindingz00_3096)))))->
																											BgL_variablez00);
																										{	/* Beta/walk.scm 223 */
																											bool_t
																												BgL__ortest_1153z00_3087;
																											BgL__ortest_1153z00_3087 =
																												(((obj_t) ((
																															(BgL_variablez00_bglt)
																															COBJECT
																															(BgL_xz00_3085))->
																														BgL_typez00)) ==
																												((obj_t) ((
																															(BgL_variablez00_bglt)
																															COBJECT
																															(BgL_yz00_3086))->
																														BgL_typez00)));
																											if (BgL__ortest_1153z00_3087)
																												{	/* Beta/walk.scm 223 */
																													BgL_test2073z00_3679 =
																														BgL__ortest_1153z00_3087;
																												}
																											else
																												{	/* Beta/walk.scm 224 */
																													bool_t
																														BgL__ortest_1154z00_3088;
																													{	/* Beta/walk.scm 224 */
																														obj_t
																															BgL_arg1886z00_3089;
																														BgL_arg1886z00_3089
																															=
																															((obj_t) ((
																																	(BgL_variablez00_bglt)
																																	COBJECT
																																	(BgL_xz00_3085))->
																																BgL_typez00));
																														BgL__ortest_1154z00_3088
																															=
																															(BgL_arg1886z00_3089
																															==
																															BGl_za2_za2z00zztype_cachez00);
																													}
																													if (BgL__ortest_1154z00_3088)
																														{	/* Beta/walk.scm 224 */
																															BgL_test2073z00_3679
																																=
																																BgL__ortest_1154z00_3088;
																														}
																													else
																														{	/* Beta/walk.scm 225 */
																															bool_t
																																BgL_test2104z00_3823;
																															{	/* Beta/walk.scm 225 */
																																obj_t
																																	BgL_arg1885z00_3090;
																																BgL_arg1885z00_3090
																																	=
																																	((obj_t) ((
																																			(BgL_variablez00_bglt)
																																			COBJECT
																																			(BgL_xz00_3085))->
																																		BgL_typez00));
																																BgL_test2104z00_3823
																																	=
																																	(BgL_arg1885z00_3090
																																	==
																																	BGl_za2longza2z00zztype_cachez00);
																															}
																															if (BgL_test2104z00_3823)
																																{	/* Beta/walk.scm 225 */
																																	obj_t
																																		BgL_arg1884z00_3091;
																																	BgL_arg1884z00_3091
																																		=
																																		((obj_t) ((
																																				(BgL_variablez00_bglt)
																																				COBJECT
																																				(BgL_yz00_3086))->
																																			BgL_typez00));
																																	BgL_test2073z00_3679
																																		=
																																		(BgL_arg1884z00_3091
																																		==
																																		BGl_za2bintza2z00zztype_cachez00);
																																}
																															else
																																{	/* Beta/walk.scm 225 */
																																	BgL_test2073z00_3679
																																		=
																																		((bool_t)
																																		0);
																																}
																														}
																												}
																										}
																									}
																								else
																									{	/* Beta/walk.scm 250 */
																										BgL_test2073z00_3679 =
																											((bool_t) 0);
																									}
																							}
																						else
																							{	/* Beta/walk.scm 249 */
																								BgL_test2073z00_3679 =
																									((bool_t) 0);
																							}
																					}
																				else
																					{	/* Beta/walk.scm 248 */
																						BgL_test2073z00_3679 = ((bool_t) 0);
																					}
																			}
																	}
															}
															if (BgL_test2073z00_3679)
																{	/* Beta/walk.scm 239 */
																	BgL_test2071z00_3675 =
																		(
																		(((BgL_variablez00_bglt) COBJECT(
																					((BgL_variablez00_bglt)
																						((BgL_localz00_bglt)
																							CAR(
																								((obj_t)
																									BgL_bindingz00_3096))))))->
																			BgL_accessz00) ==
																		((obj_t) CNST_TABLE_REF(2)));
																}
															else
																{	/* Beta/walk.scm 239 */
																	BgL_test2071z00_3675 = ((bool_t) 0);
																}
														}
													else
														{	/* Beta/walk.scm 238 */
															BgL_test2071z00_3675 = ((bool_t) 0);
														}
													if (BgL_test2071z00_3675)
														{	/* Beta/walk.scm 253 */
															obj_t BgL_arg1829z00_3170;
															obj_t BgL_arg1834z00_3171;

															BgL_arg1829z00_3170 =
																CDR(((obj_t) BgL_bindingsz00_3093));
															BgL_arg1834z00_3171 =
																MAKE_YOUNG_PAIR(BgL_bindingz00_3096,
																BgL_newzd2stackzd2_3094);
															{
																obj_t BgL_newzd2stackzd2_3847;
																obj_t BgL_bindingsz00_3846;

																BgL_bindingsz00_3846 = BgL_arg1829z00_3170;
																BgL_newzd2stackzd2_3847 = BgL_arg1834z00_3171;
																BgL_newzd2stackzd2_3094 =
																	BgL_newzd2stackzd2_3847;
																BgL_bindingsz00_3093 = BgL_bindingsz00_3846;
																goto BgL_loopz00_3092;
															}
														}
													else
														{	/* Beta/walk.scm 254 */
															obj_t BgL_arg1842z00_3172;

															BgL_arg1842z00_3172 =
																CDR(((obj_t) BgL_bindingsz00_3093));
															{
																obj_t BgL_bindingsz00_3850;

																BgL_bindingsz00_3850 = BgL_arg1842z00_3172;
																BgL_bindingsz00_3093 = BgL_bindingsz00_3850;
																goto BgL_loopz00_3092;
															}
														}
												}
											}
										}
									}
								}
							return ((BgL_nodez00_bglt) BgL_auxz00_3652);
						}
					}
				}
			}
		}

	}



/* &node-beta!-let-fun1329 */
	BgL_nodez00_bglt BGl_z62nodezd2betaz12zd2letzd2fun1329za2zzbeta_walkz00(obj_t
		BgL_envz00_3024, obj_t BgL_nodez00_3025, obj_t BgL_stackz00_3026)
	{
		{	/* Beta/walk.scm 206 */
			{
				BgL_nodez00_bglt BgL_auxz00_3852;

				{	/* Beta/walk.scm 208 */
					BgL_nodez00_bglt BgL_arg1724z00_3175;

					BgL_arg1724z00_3175 =
						(((BgL_letzd2funzd2_bglt) COBJECT(
								((BgL_letzd2funzd2_bglt) BgL_nodez00_3025)))->BgL_bodyz00);
					BgL_auxz00_3852 =
						BGl_nodezd2betaz12zc0zzbeta_walkz00(BgL_arg1724z00_3175,
						BgL_stackz00_3026);
				}
				((((BgL_letzd2funzd2_bglt) COBJECT(
								((BgL_letzd2funzd2_bglt) BgL_nodez00_3025)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3852), BUNSPEC);
			}
			{	/* Beta/walk.scm 209 */
				obj_t BgL_g1293z00_3176;

				BgL_g1293z00_3176 =
					(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nodez00_3025)))->BgL_localsz00);
				{
					obj_t BgL_l1291z00_3178;

					BgL_l1291z00_3178 = BgL_g1293z00_3176;
				BgL_zc3z04anonymousza31725ze3z87_3177:
					if (PAIRP(BgL_l1291z00_3178))
						{	/* Beta/walk.scm 209 */
							{	/* Beta/walk.scm 210 */
								obj_t BgL_localz00_3179;

								BgL_localz00_3179 = CAR(BgL_l1291z00_3178);
								{	/* Beta/walk.scm 210 */
									BgL_valuez00_bglt BgL_funz00_3180;

									BgL_funz00_3180 =
										(((BgL_variablez00_bglt) COBJECT(
												((BgL_variablez00_bglt)
													((BgL_localz00_bglt) BgL_localz00_3179))))->
										BgL_valuez00);
									{	/* Beta/walk.scm 211 */
										BgL_nodez00_bglt BgL_arg1729z00_3181;

										{	/* Beta/walk.scm 211 */
											obj_t BgL_arg1730z00_3182;

											BgL_arg1730z00_3182 =
												(((BgL_sfunz00_bglt) COBJECT(
														((BgL_sfunz00_bglt) BgL_funz00_3180)))->
												BgL_bodyz00);
											BgL_arg1729z00_3181 =
												BGl_nodezd2betaz12zc0zzbeta_walkz00(((BgL_nodez00_bglt)
													BgL_arg1730z00_3182), BgL_stackz00_3026);
										}
										((((BgL_sfunz00_bglt) COBJECT(
														((BgL_sfunz00_bglt) BgL_funz00_3180)))->
												BgL_bodyz00) =
											((obj_t) ((obj_t) BgL_arg1729z00_3181)), BUNSPEC);
									}
								}
							}
							{
								obj_t BgL_l1291z00_3873;

								BgL_l1291z00_3873 = CDR(BgL_l1291z00_3178);
								BgL_l1291z00_3178 = BgL_l1291z00_3873;
								goto BgL_zc3z04anonymousza31725ze3z87_3177;
							}
						}
					else
						{	/* Beta/walk.scm 209 */
							((bool_t) 1);
						}
				}
			}
			return ((BgL_nodez00_bglt) ((BgL_letzd2funzd2_bglt) BgL_nodez00_3025));
		}

	}



/* &node-beta!-box-set!1327 */
	BgL_nodez00_bglt
		BGl_z62nodezd2betaz12zd2boxzd2setz121327zb0zzbeta_walkz00(obj_t
		BgL_envz00_3027, obj_t BgL_nodez00_3028, obj_t BgL_stackz00_3029)
	{
		{	/* Beta/walk.scm 198 */
			{	/* Beta/walk.scm 199 */
				BgL_nodez00_bglt BgL_arg1715z00_3184;

				{	/* Beta/walk.scm 199 */
					BgL_varz00_bglt BgL_arg1716z00_3185;

					BgL_arg1716z00_3185 =
						(((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_3028)))->BgL_varz00);
					BgL_arg1715z00_3184 =
						BGl_nodezd2betaz12zc0zzbeta_walkz00(
						((BgL_nodez00_bglt) BgL_arg1716z00_3185), BgL_stackz00_3029);
				}
				((((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_3028)))->BgL_varz00) =
					((BgL_varz00_bglt) ((BgL_varz00_bglt) BgL_arg1715z00_3184)), BUNSPEC);
			}
			((((BgL_boxzd2setz12zc0_bglt) COBJECT(
							((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_3028)))->BgL_valuez00) =
				((BgL_nodez00_bglt)
					BGl_nodezd2betaz12zc0zzbeta_walkz00((((BgL_boxzd2setz12zc0_bglt)
								COBJECT(((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_3028)))->
							BgL_valuez00), BgL_stackz00_3029)), BUNSPEC);
			return ((BgL_nodez00_bglt) ((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_3028));
		}

	}



/* &node-beta!-box-ref1325 */
	BgL_nodez00_bglt BGl_z62nodezd2betaz12zd2boxzd2ref1325za2zzbeta_walkz00(obj_t
		BgL_envz00_3030, obj_t BgL_nodez00_3031, obj_t BgL_stackz00_3032)
	{
		{	/* Beta/walk.scm 191 */
			{	/* Beta/walk.scm 192 */
				BgL_nodez00_bglt BgL_arg1699z00_3187;

				{	/* Beta/walk.scm 192 */
					BgL_varz00_bglt BgL_arg1703z00_3188;

					BgL_arg1703z00_3188 =
						(((BgL_boxzd2refzd2_bglt) COBJECT(
								((BgL_boxzd2refzd2_bglt) BgL_nodez00_3031)))->BgL_varz00);
					BgL_arg1699z00_3187 =
						BGl_nodezd2betaz12zc0zzbeta_walkz00(
						((BgL_nodez00_bglt) BgL_arg1703z00_3188), BgL_stackz00_3032);
				}
				((((BgL_boxzd2refzd2_bglt) COBJECT(
								((BgL_boxzd2refzd2_bglt) BgL_nodez00_3031)))->BgL_varz00) =
					((BgL_varz00_bglt) ((BgL_varz00_bglt) BgL_arg1699z00_3187)), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_boxzd2refzd2_bglt) BgL_nodez00_3031));
		}

	}



/* &node-beta!-make-box1323 */
	BgL_nodez00_bglt BGl_z62nodezd2betaz12zd2makezd2box1323za2zzbeta_walkz00(obj_t
		BgL_envz00_3033, obj_t BgL_nodez00_3034, obj_t BgL_stackz00_3035)
	{
		{	/* Beta/walk.scm 184 */
			((((BgL_makezd2boxzd2_bglt) COBJECT(
							((BgL_makezd2boxzd2_bglt) BgL_nodez00_3034)))->BgL_valuez00) =
				((BgL_nodez00_bglt)
					BGl_nodezd2betaz12zc0zzbeta_walkz00((((BgL_makezd2boxzd2_bglt)
								COBJECT(((BgL_makezd2boxzd2_bglt) BgL_nodez00_3034)))->
							BgL_valuez00), BgL_stackz00_3035)), BUNSPEC);
			return ((BgL_nodez00_bglt) ((BgL_makezd2boxzd2_bglt) BgL_nodez00_3034));
		}

	}



/* &node-beta!-switch1321 */
	BgL_nodez00_bglt BGl_z62nodezd2betaz12zd2switch1321z70zzbeta_walkz00(obj_t
		BgL_envz00_3036, obj_t BgL_nodez00_3037, obj_t BgL_stackz00_3038)
	{
		{	/* Beta/walk.scm 174 */
			((((BgL_switchz00_bglt) COBJECT(
							((BgL_switchz00_bglt) BgL_nodez00_3037)))->BgL_testz00) =
				((BgL_nodez00_bglt)
					BGl_nodezd2betaz12zc0zzbeta_walkz00((((BgL_switchz00_bglt)
								COBJECT(((BgL_switchz00_bglt) BgL_nodez00_3037)))->BgL_testz00),
						BgL_stackz00_3038)), BUNSPEC);
			{	/* Beta/walk.scm 176 */
				obj_t BgL_g1290z00_3191;

				BgL_g1290z00_3191 =
					(((BgL_switchz00_bglt) COBJECT(
							((BgL_switchz00_bglt) BgL_nodez00_3037)))->BgL_clausesz00);
				{
					obj_t BgL_l1288z00_3193;

					BgL_l1288z00_3193 = BgL_g1290z00_3191;
				BgL_zc3z04anonymousza31687ze3z87_3192:
					if (PAIRP(BgL_l1288z00_3193))
						{	/* Beta/walk.scm 178 */
							{	/* Beta/walk.scm 177 */
								obj_t BgL_clausez00_3194;

								BgL_clausez00_3194 = CAR(BgL_l1288z00_3193);
								{	/* Beta/walk.scm 177 */
									BgL_nodez00_bglt BgL_arg1691z00_3195;

									{	/* Beta/walk.scm 177 */
										obj_t BgL_arg1692z00_3196;

										BgL_arg1692z00_3196 = CDR(((obj_t) BgL_clausez00_3194));
										BgL_arg1691z00_3195 =
											BGl_nodezd2betaz12zc0zzbeta_walkz00(
											((BgL_nodez00_bglt) BgL_arg1692z00_3196),
											BgL_stackz00_3038);
									}
									{	/* Beta/walk.scm 177 */
										obj_t BgL_auxz00_3923;
										obj_t BgL_tmpz00_3921;

										BgL_auxz00_3923 = ((obj_t) BgL_arg1691z00_3195);
										BgL_tmpz00_3921 = ((obj_t) BgL_clausez00_3194);
										SET_CDR(BgL_tmpz00_3921, BgL_auxz00_3923);
									}
								}
							}
							{
								obj_t BgL_l1288z00_3926;

								BgL_l1288z00_3926 = CDR(BgL_l1288z00_3193);
								BgL_l1288z00_3193 = BgL_l1288z00_3926;
								goto BgL_zc3z04anonymousza31687ze3z87_3192;
							}
						}
					else
						{	/* Beta/walk.scm 178 */
							((bool_t) 1);
						}
				}
			}
			return ((BgL_nodez00_bglt) ((BgL_switchz00_bglt) BgL_nodez00_3037));
		}

	}



/* &node-beta!-fail1319 */
	BgL_nodez00_bglt BGl_z62nodezd2betaz12zd2fail1319z70zzbeta_walkz00(obj_t
		BgL_envz00_3039, obj_t BgL_nodez00_3040, obj_t BgL_stackz00_3041)
	{
		{	/* Beta/walk.scm 165 */
			((((BgL_failz00_bglt) COBJECT(
							((BgL_failz00_bglt) BgL_nodez00_3040)))->BgL_procz00) =
				((BgL_nodez00_bglt)
					BGl_nodezd2betaz12zc0zzbeta_walkz00((((BgL_failz00_bglt)
								COBJECT(((BgL_failz00_bglt) BgL_nodez00_3040)))->BgL_procz00),
						BgL_stackz00_3041)), BUNSPEC);
			((((BgL_failz00_bglt) COBJECT(((BgL_failz00_bglt) BgL_nodez00_3040)))->
					BgL_msgz00) =
				((BgL_nodez00_bglt)
					BGl_nodezd2betaz12zc0zzbeta_walkz00((((BgL_failz00_bglt)
								COBJECT(((BgL_failz00_bglt) BgL_nodez00_3040)))->BgL_msgz00),
						BgL_stackz00_3041)), BUNSPEC);
			((((BgL_failz00_bglt) COBJECT(((BgL_failz00_bglt) BgL_nodez00_3040)))->
					BgL_objz00) =
				((BgL_nodez00_bglt)
					BGl_nodezd2betaz12zc0zzbeta_walkz00((((BgL_failz00_bglt)
								COBJECT(((BgL_failz00_bglt) BgL_nodez00_3040)))->BgL_objz00),
						BgL_stackz00_3041)), BUNSPEC);
			return ((BgL_nodez00_bglt) ((BgL_failz00_bglt) BgL_nodez00_3040));
		}

	}



/* &node-beta!-condition1317 */
	BgL_nodez00_bglt BGl_z62nodezd2betaz12zd2condition1317z70zzbeta_walkz00(obj_t
		BgL_envz00_3042, obj_t BgL_nodez00_3043, obj_t BgL_stackz00_3044)
	{
		{	/* Beta/walk.scm 156 */
			((((BgL_conditionalz00_bglt) COBJECT(
							((BgL_conditionalz00_bglt) BgL_nodez00_3043)))->BgL_testz00) =
				((BgL_nodez00_bglt)
					BGl_nodezd2betaz12zc0zzbeta_walkz00((((BgL_conditionalz00_bglt)
								COBJECT(((BgL_conditionalz00_bglt) BgL_nodez00_3043)))->
							BgL_testz00), BgL_stackz00_3044)), BUNSPEC);
			((((BgL_conditionalz00_bglt) COBJECT(((BgL_conditionalz00_bglt)
								BgL_nodez00_3043)))->BgL_truez00) =
				((BgL_nodez00_bglt)
					BGl_nodezd2betaz12zc0zzbeta_walkz00((((BgL_conditionalz00_bglt)
								COBJECT(((BgL_conditionalz00_bglt) BgL_nodez00_3043)))->
							BgL_truez00), BgL_stackz00_3044)), BUNSPEC);
			((((BgL_conditionalz00_bglt) COBJECT(((BgL_conditionalz00_bglt)
								BgL_nodez00_3043)))->BgL_falsez00) =
				((BgL_nodez00_bglt)
					BGl_nodezd2betaz12zc0zzbeta_walkz00((((BgL_conditionalz00_bglt)
								COBJECT(((BgL_conditionalz00_bglt) BgL_nodez00_3043)))->
							BgL_falsez00), BgL_stackz00_3044)), BUNSPEC);
			return ((BgL_nodez00_bglt) ((BgL_conditionalz00_bglt) BgL_nodez00_3043));
		}

	}



/* &node-beta!-setq1315 */
	BgL_nodez00_bglt BGl_z62nodezd2betaz12zd2setq1315z70zzbeta_walkz00(obj_t
		BgL_envz00_3045, obj_t BgL_nodez00_3046, obj_t BgL_stackz00_3047)
	{
		{	/* Beta/walk.scm 149 */
			((((BgL_setqz00_bglt) COBJECT(
							((BgL_setqz00_bglt) BgL_nodez00_3046)))->BgL_valuez00) =
				((BgL_nodez00_bglt)
					BGl_nodezd2betaz12zc0zzbeta_walkz00((((BgL_setqz00_bglt)
								COBJECT(((BgL_setqz00_bglt) BgL_nodez00_3046)))->BgL_valuez00),
						BgL_stackz00_3047)), BUNSPEC);
			return ((BgL_nodez00_bglt) ((BgL_setqz00_bglt) BgL_nodez00_3046));
		}

	}



/* &node-beta!-cast1313 */
	BgL_nodez00_bglt BGl_z62nodezd2betaz12zd2cast1313z70zzbeta_walkz00(obj_t
		BgL_envz00_3048, obj_t BgL_nodez00_3049, obj_t BgL_stackz00_3050)
	{
		{	/* Beta/walk.scm 142 */
			((((BgL_castz00_bglt) COBJECT(
							((BgL_castz00_bglt) BgL_nodez00_3049)))->BgL_argz00) =
				((BgL_nodez00_bglt)
					BGl_nodezd2betaz12zc0zzbeta_walkz00((((BgL_castz00_bglt)
								COBJECT(((BgL_castz00_bglt) BgL_nodez00_3049)))->BgL_argz00),
						BgL_stackz00_3050)), BUNSPEC);
			return ((BgL_nodez00_bglt) ((BgL_castz00_bglt) BgL_nodez00_3049));
		}

	}



/* &node-beta!-extern1311 */
	BgL_nodez00_bglt BGl_z62nodezd2betaz12zd2extern1311z70zzbeta_walkz00(obj_t
		BgL_envz00_3051, obj_t BgL_nodez00_3052, obj_t BgL_stackz00_3053)
	{
		{	/* Beta/walk.scm 135 */
			BGl_nodezd2betaza2z12z62zzbeta_walkz00(
				(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt) BgL_nodez00_3052)))->BgL_exprza2za2),
				BgL_stackz00_3053);
			return ((BgL_nodez00_bglt) ((BgL_externz00_bglt) BgL_nodez00_3052));
		}

	}



/* &node-beta!-funcall1309 */
	BgL_nodez00_bglt BGl_z62nodezd2betaz12zd2funcall1309z70zzbeta_walkz00(obj_t
		BgL_envz00_3054, obj_t BgL_nodez00_3055, obj_t BgL_stackz00_3056)
	{
		{	/* Beta/walk.scm 117 */
			{	/* Beta/walk.scm 118 */
				BgL_nodez00_bglt BgL_nfunz00_3203;

				BgL_nfunz00_3203 =
					BGl_nodezd2betaz12zc0zzbeta_walkz00(
					(((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_nodez00_3055)))->BgL_funz00),
					BgL_stackz00_3056);
				((((BgL_funcallz00_bglt) COBJECT(((BgL_funcallz00_bglt)
									BgL_nodez00_3055)))->BgL_funz00) =
					((BgL_nodez00_bglt) BgL_nfunz00_3203), BUNSPEC);
				BGl_nodezd2betaza2z12z62zzbeta_walkz00((((BgL_funcallz00_bglt)
							COBJECT(((BgL_funcallz00_bglt) BgL_nodez00_3055)))->BgL_argsz00),
					BgL_stackz00_3056);
				{	/* Beta/walk.scm 121 */
					bool_t BgL_test2107z00_3991;

					{	/* Beta/walk.scm 121 */
						bool_t BgL_test2108z00_3992;

						{	/* Beta/walk.scm 121 */
							obj_t BgL_classz00_3204;

							BgL_classz00_3204 = BGl_varz00zzast_nodez00;
							{	/* Beta/walk.scm 121 */
								BgL_objectz00_bglt BgL_arg1858z00_3205;

								{	/* Beta/walk.scm 121 */
									obj_t BgL_tmpz00_3993;

									BgL_tmpz00_3993 =
										((obj_t) ((BgL_objectz00_bglt) BgL_nfunz00_3203));
									BgL_arg1858z00_3205 = (BgL_objectz00_bglt) (BgL_tmpz00_3993);
								}
								if (BGL_CONDEXPAND_ISA_ARCH64())
									{	/* Beta/walk.scm 121 */
										long BgL_idxz00_3206;

										BgL_idxz00_3206 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_3205);
										BgL_test2108z00_3992 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_3206 + 2L)) == BgL_classz00_3204);
									}
								else
									{	/* Beta/walk.scm 121 */
										bool_t BgL_res1977z00_3209;

										{	/* Beta/walk.scm 121 */
											obj_t BgL_oclassz00_3210;

											{	/* Beta/walk.scm 121 */
												obj_t BgL_arg1866z00_3211;
												long BgL_arg1867z00_3212;

												BgL_arg1866z00_3211 =
													(BGl_za2classesza2z00zz__objectz00);
												{	/* Beta/walk.scm 121 */
													long BgL_arg1869z00_3213;

													BgL_arg1869z00_3213 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_3205);
													BgL_arg1867z00_3212 =
														(BgL_arg1869z00_3213 - OBJECT_TYPE);
												}
												BgL_oclassz00_3210 =
													VECTOR_REF(BgL_arg1866z00_3211, BgL_arg1867z00_3212);
											}
											{	/* Beta/walk.scm 121 */
												bool_t BgL__ortest_1115z00_3214;

												BgL__ortest_1115z00_3214 =
													(BgL_classz00_3204 == BgL_oclassz00_3210);
												if (BgL__ortest_1115z00_3214)
													{	/* Beta/walk.scm 121 */
														BgL_res1977z00_3209 = BgL__ortest_1115z00_3214;
													}
												else
													{	/* Beta/walk.scm 121 */
														long BgL_odepthz00_3215;

														{	/* Beta/walk.scm 121 */
															obj_t BgL_arg1855z00_3216;

															BgL_arg1855z00_3216 = (BgL_oclassz00_3210);
															BgL_odepthz00_3215 =
																BGL_CLASS_DEPTH(BgL_arg1855z00_3216);
														}
														if ((2L < BgL_odepthz00_3215))
															{	/* Beta/walk.scm 121 */
																obj_t BgL_arg1853z00_3217;

																{	/* Beta/walk.scm 121 */
																	obj_t BgL_arg1854z00_3218;

																	BgL_arg1854z00_3218 = (BgL_oclassz00_3210);
																	BgL_arg1853z00_3217 =
																		BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_3218,
																		2L);
																}
																BgL_res1977z00_3209 =
																	(BgL_arg1853z00_3217 == BgL_classz00_3204);
															}
														else
															{	/* Beta/walk.scm 121 */
																BgL_res1977z00_3209 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_test2108z00_3992 = BgL_res1977z00_3209;
									}
							}
						}
						if (BgL_test2108z00_3992)
							{	/* Beta/walk.scm 121 */
								BgL_variablez00_bglt BgL_arg1635z00_3219;

								BgL_arg1635z00_3219 =
									(((BgL_varz00_bglt) COBJECT(
											((BgL_varz00_bglt) BgL_nfunz00_3203)))->BgL_variablez00);
								{	/* Beta/walk.scm 121 */
									obj_t BgL_classz00_3220;

									BgL_classz00_3220 = BGl_localz00zzast_varz00;
									{	/* Beta/walk.scm 121 */
										BgL_objectz00_bglt BgL_arg1858z00_3221;

										{	/* Beta/walk.scm 121 */
											obj_t BgL_tmpz00_4018;

											BgL_tmpz00_4018 =
												((obj_t) ((BgL_objectz00_bglt) BgL_arg1635z00_3219));
											BgL_arg1858z00_3221 =
												(BgL_objectz00_bglt) (BgL_tmpz00_4018);
										}
										if (BGL_CONDEXPAND_ISA_ARCH64())
											{	/* Beta/walk.scm 121 */
												long BgL_idxz00_3222;

												BgL_idxz00_3222 =
													BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_3221);
												BgL_test2107z00_3991 =
													(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
														(BgL_idxz00_3222 + 2L)) == BgL_classz00_3220);
											}
										else
											{	/* Beta/walk.scm 121 */
												bool_t BgL_res1978z00_3225;

												{	/* Beta/walk.scm 121 */
													obj_t BgL_oclassz00_3226;

													{	/* Beta/walk.scm 121 */
														obj_t BgL_arg1866z00_3227;
														long BgL_arg1867z00_3228;

														BgL_arg1866z00_3227 =
															(BGl_za2classesza2z00zz__objectz00);
														{	/* Beta/walk.scm 121 */
															long BgL_arg1869z00_3229;

															BgL_arg1869z00_3229 =
																BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_3221);
															BgL_arg1867z00_3228 =
																(BgL_arg1869z00_3229 - OBJECT_TYPE);
														}
														BgL_oclassz00_3226 =
															VECTOR_REF(BgL_arg1866z00_3227,
															BgL_arg1867z00_3228);
													}
													{	/* Beta/walk.scm 121 */
														bool_t BgL__ortest_1115z00_3230;

														BgL__ortest_1115z00_3230 =
															(BgL_classz00_3220 == BgL_oclassz00_3226);
														if (BgL__ortest_1115z00_3230)
															{	/* Beta/walk.scm 121 */
																BgL_res1978z00_3225 = BgL__ortest_1115z00_3230;
															}
														else
															{	/* Beta/walk.scm 121 */
																long BgL_odepthz00_3231;

																{	/* Beta/walk.scm 121 */
																	obj_t BgL_arg1855z00_3232;

																	BgL_arg1855z00_3232 = (BgL_oclassz00_3226);
																	BgL_odepthz00_3231 =
																		BGL_CLASS_DEPTH(BgL_arg1855z00_3232);
																}
																if ((2L < BgL_odepthz00_3231))
																	{	/* Beta/walk.scm 121 */
																		obj_t BgL_arg1853z00_3233;

																		{	/* Beta/walk.scm 121 */
																			obj_t BgL_arg1854z00_3234;

																			BgL_arg1854z00_3234 =
																				(BgL_oclassz00_3226);
																			BgL_arg1853z00_3233 =
																				BGL_CLASS_ANCESTORS_REF
																				(BgL_arg1854z00_3234, 2L);
																		}
																		BgL_res1978z00_3225 =
																			(BgL_arg1853z00_3233 ==
																			BgL_classz00_3220);
																	}
																else
																	{	/* Beta/walk.scm 121 */
																		BgL_res1978z00_3225 = ((bool_t) 0);
																	}
															}
													}
												}
												BgL_test2107z00_3991 = BgL_res1978z00_3225;
											}
									}
								}
							}
						else
							{	/* Beta/walk.scm 121 */
								BgL_test2107z00_3991 = ((bool_t) 0);
							}
					}
					if (BgL_test2107z00_3991)
						{	/* Beta/walk.scm 122 */
							obj_t BgL_redz00_3235;

							BgL_redz00_3235 =
								BGl_assqz00zz__r4_pairs_and_lists_6_3z00(
								((obj_t)
									(((BgL_varz00_bglt) COBJECT(
												((BgL_varz00_bglt) BgL_nfunz00_3203)))->
										BgL_variablez00)), BgL_stackz00_3056);
							{	/* Beta/walk.scm 123 */
								bool_t BgL_test2115z00_4045;

								if (PAIRP(BgL_redz00_3235))
									{	/* Beta/walk.scm 123 */
										obj_t BgL_arg1632z00_3236;

										BgL_arg1632z00_3236 = CDR(BgL_redz00_3235);
										{	/* Beta/walk.scm 123 */
											obj_t BgL_classz00_3237;

											BgL_classz00_3237 = BGl_closurez00zzast_nodez00;
											if (BGL_OBJECTP(BgL_arg1632z00_3236))
												{	/* Beta/walk.scm 123 */
													BgL_objectz00_bglt BgL_arg1858z00_3238;

													BgL_arg1858z00_3238 =
														(BgL_objectz00_bglt) (BgL_arg1632z00_3236);
													if (BGL_CONDEXPAND_ISA_ARCH64())
														{	/* Beta/walk.scm 123 */
															long BgL_idxz00_3239;

															BgL_idxz00_3239 =
																BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_3238);
															BgL_test2115z00_4045 =
																(VECTOR_REF
																(BGl_za2inheritancesza2z00zz__objectz00,
																	(BgL_idxz00_3239 + 3L)) == BgL_classz00_3237);
														}
													else
														{	/* Beta/walk.scm 123 */
															bool_t BgL_res1979z00_3242;

															{	/* Beta/walk.scm 123 */
																obj_t BgL_oclassz00_3243;

																{	/* Beta/walk.scm 123 */
																	obj_t BgL_arg1866z00_3244;
																	long BgL_arg1867z00_3245;

																	BgL_arg1866z00_3244 =
																		(BGl_za2classesza2z00zz__objectz00);
																	{	/* Beta/walk.scm 123 */
																		long BgL_arg1869z00_3246;

																		BgL_arg1869z00_3246 =
																			BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_3238);
																		BgL_arg1867z00_3245 =
																			(BgL_arg1869z00_3246 - OBJECT_TYPE);
																	}
																	BgL_oclassz00_3243 =
																		VECTOR_REF(BgL_arg1866z00_3244,
																		BgL_arg1867z00_3245);
																}
																{	/* Beta/walk.scm 123 */
																	bool_t BgL__ortest_1115z00_3247;

																	BgL__ortest_1115z00_3247 =
																		(BgL_classz00_3237 == BgL_oclassz00_3243);
																	if (BgL__ortest_1115z00_3247)
																		{	/* Beta/walk.scm 123 */
																			BgL_res1979z00_3242 =
																				BgL__ortest_1115z00_3247;
																		}
																	else
																		{	/* Beta/walk.scm 123 */
																			long BgL_odepthz00_3248;

																			{	/* Beta/walk.scm 123 */
																				obj_t BgL_arg1855z00_3249;

																				BgL_arg1855z00_3249 =
																					(BgL_oclassz00_3243);
																				BgL_odepthz00_3248 =
																					BGL_CLASS_DEPTH(BgL_arg1855z00_3249);
																			}
																			if ((3L < BgL_odepthz00_3248))
																				{	/* Beta/walk.scm 123 */
																					obj_t BgL_arg1853z00_3250;

																					{	/* Beta/walk.scm 123 */
																						obj_t BgL_arg1854z00_3251;

																						BgL_arg1854z00_3251 =
																							(BgL_oclassz00_3243);
																						BgL_arg1853z00_3250 =
																							BGL_CLASS_ANCESTORS_REF
																							(BgL_arg1854z00_3251, 3L);
																					}
																					BgL_res1979z00_3242 =
																						(BgL_arg1853z00_3250 ==
																						BgL_classz00_3237);
																				}
																			else
																				{	/* Beta/walk.scm 123 */
																					BgL_res1979z00_3242 = ((bool_t) 0);
																				}
																		}
																}
															}
															BgL_test2115z00_4045 = BgL_res1979z00_3242;
														}
												}
											else
												{	/* Beta/walk.scm 123 */
													BgL_test2115z00_4045 = ((bool_t) 0);
												}
										}
									}
								else
									{	/* Beta/walk.scm 123 */
										BgL_test2115z00_4045 = ((bool_t) 0);
									}
								if (BgL_test2115z00_4045)
									{	/* Beta/walk.scm 124 */
										BgL_localz00_bglt BgL_i1144z00_3252;

										BgL_i1144z00_3252 =
											((BgL_localz00_bglt)
											(((BgL_varz00_bglt) COBJECT(
														((BgL_varz00_bglt) BgL_nfunz00_3203)))->
												BgL_variablez00));
										((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
															BgL_i1144z00_3252)))->BgL_occurrencez00) =
											((long) ((((BgL_variablez00_bglt)
															COBJECT(((BgL_variablez00_bglt)
																	BgL_i1144z00_3252)))->BgL_occurrencez00) -
													2L)), BUNSPEC);
										{	/* Beta/walk.scm 126 */
											obj_t BgL_arg1611z00_3253;
											BgL_refz00_bglt BgL_arg1612z00_3254;
											obj_t BgL_arg1625z00_3255;

											BgL_arg1611z00_3253 =
												(((BgL_nodez00_bglt) COBJECT(
														((BgL_nodez00_bglt)
															((BgL_funcallz00_bglt) BgL_nodez00_3055))))->
												BgL_locz00);
											{	/* Beta/walk.scm 127 */
												BgL_nodez00_bglt BgL_duplicated1147z00_3256;
												BgL_refz00_bglt BgL_new1145z00_3257;

												BgL_duplicated1147z00_3256 =
													((BgL_nodez00_bglt) CDR(BgL_redz00_3235));
												{	/* Beta/walk.scm 127 */
													BgL_refz00_bglt BgL_new1149z00_3258;

													BgL_new1149z00_3258 =
														((BgL_refz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
																	BgL_refz00_bgl))));
													{	/* Beta/walk.scm 127 */
														long BgL_arg1626z00_3259;

														BgL_arg1626z00_3259 =
															BGL_CLASS_NUM(BGl_refz00zzast_nodez00);
														BGL_OBJECT_CLASS_NUM_SET(
															((BgL_objectz00_bglt) BgL_new1149z00_3258),
															BgL_arg1626z00_3259);
													}
													{	/* Beta/walk.scm 127 */
														BgL_objectz00_bglt BgL_tmpz00_4088;

														BgL_tmpz00_4088 =
															((BgL_objectz00_bglt) BgL_new1149z00_3258);
														BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4088, BFALSE);
													}
													((BgL_objectz00_bglt) BgL_new1149z00_3258);
													BgL_new1145z00_3257 = BgL_new1149z00_3258;
												}
												((((BgL_nodez00_bglt) COBJECT(
																((BgL_nodez00_bglt) BgL_new1145z00_3257)))->
														BgL_locz00) =
													((obj_t) (((BgL_nodez00_bglt)
																COBJECT(BgL_duplicated1147z00_3256))->
															BgL_locz00)), BUNSPEC);
												((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
																	BgL_new1145z00_3257)))->BgL_typez00) =
													((BgL_typez00_bglt) (((BgL_nodez00_bglt)
																COBJECT(BgL_duplicated1147z00_3256))->
															BgL_typez00)), BUNSPEC);
												((((BgL_varz00_bglt) COBJECT(((BgL_varz00_bglt)
																	BgL_new1145z00_3257)))->BgL_variablez00) =
													((BgL_variablez00_bglt) (((BgL_varz00_bglt)
																COBJECT(((BgL_varz00_bglt)
																		BgL_duplicated1147z00_3256)))->
															BgL_variablez00)), BUNSPEC);
												BgL_arg1612z00_3254 = BgL_new1145z00_3257;
											}
											BgL_arg1625z00_3255 =
												CDR(
												(((BgL_funcallz00_bglt) COBJECT(
															((BgL_funcallz00_bglt) BgL_nodez00_3055)))->
													BgL_argsz00));
											return BGl_makezd2appzd2nodez00zzast_appz00(BNIL,
												BgL_arg1611z00_3253, ((obj_t) CNST_TABLE_REF(3)),
												((BgL_varz00_bglt) BgL_arg1612z00_3254),
												BgL_arg1625z00_3255);
										}
									}
								else
									{	/* Beta/walk.scm 123 */
										return
											((BgL_nodez00_bglt)
											((BgL_funcallz00_bglt) BgL_nodez00_3055));
									}
							}
						}
					else
						{	/* Beta/walk.scm 121 */
							return
								((BgL_nodez00_bglt) ((BgL_funcallz00_bglt) BgL_nodez00_3055));
						}
				}
			}
		}

	}



/* &node-beta!-app-ly1307 */
	BgL_nodez00_bglt BGl_z62nodezd2betaz12zd2appzd2ly1307za2zzbeta_walkz00(obj_t
		BgL_envz00_3057, obj_t BgL_nodez00_3058, obj_t BgL_stackz00_3059)
	{
		{	/* Beta/walk.scm 109 */
			((((BgL_appzd2lyzd2_bglt) COBJECT(
							((BgL_appzd2lyzd2_bglt) BgL_nodez00_3058)))->BgL_funz00) =
				((BgL_nodez00_bglt)
					BGl_nodezd2betaz12zc0zzbeta_walkz00((((BgL_appzd2lyzd2_bglt)
								COBJECT(((BgL_appzd2lyzd2_bglt) BgL_nodez00_3058)))->
							BgL_funz00), BgL_stackz00_3059)), BUNSPEC);
			((((BgL_appzd2lyzd2_bglt) COBJECT(((BgL_appzd2lyzd2_bglt)
								BgL_nodez00_3058)))->BgL_argz00) =
				((BgL_nodez00_bglt)
					BGl_nodezd2betaz12zc0zzbeta_walkz00((((BgL_appzd2lyzd2_bglt)
								COBJECT(((BgL_appzd2lyzd2_bglt) BgL_nodez00_3058)))->
							BgL_argz00), BgL_stackz00_3059)), BUNSPEC);
			return ((BgL_nodez00_bglt) ((BgL_appzd2lyzd2_bglt) BgL_nodez00_3058));
		}

	}



/* &node-beta!-app1305 */
	BgL_nodez00_bglt BGl_z62nodezd2betaz12zd2app1305z70zzbeta_walkz00(obj_t
		BgL_envz00_3060, obj_t BgL_nodez00_3061, obj_t BgL_stackz00_3062)
	{
		{	/* Beta/walk.scm 80 */
			{	/* Beta/walk.scm 81 */
				BgL_nodez00_bglt BgL_arg1419z00_3262;

				{	/* Beta/walk.scm 81 */
					BgL_varz00_bglt BgL_arg1446z00_3263;

					BgL_arg1446z00_3263 =
						(((BgL_appz00_bglt) COBJECT(
								((BgL_appz00_bglt) BgL_nodez00_3061)))->BgL_funz00);
					BgL_arg1419z00_3262 =
						BGl_nodezd2betaz12zc0zzbeta_walkz00(
						((BgL_nodez00_bglt) BgL_arg1446z00_3263), BgL_stackz00_3062);
				}
				((((BgL_appz00_bglt) COBJECT(
								((BgL_appz00_bglt) BgL_nodez00_3061)))->BgL_funz00) =
					((BgL_varz00_bglt) ((BgL_varz00_bglt) BgL_arg1419z00_3262)), BUNSPEC);
			}
			{	/* Beta/walk.scm 82 */
				obj_t BgL_l01287z00_3264;

				BgL_l01287z00_3264 =
					(((BgL_appz00_bglt) COBJECT(
							((BgL_appz00_bglt) BgL_nodez00_3061)))->BgL_argsz00);
				{
					obj_t BgL_l1286z00_3266;

					BgL_l1286z00_3266 = BgL_l01287z00_3264;
				BgL_zc3z04anonymousza31447ze3z87_3265:
					if (NULLP(BgL_l1286z00_3266))
						{	/* Beta/walk.scm 103 */
							BgL_l01287z00_3264;
						}
					else
						{	/* Beta/walk.scm 103 */
							{	/* Beta/walk.scm 83 */
								obj_t BgL_arg1457z00_3267;

								{	/* Beta/walk.scm 83 */
									obj_t BgL_nz00_3268;

									BgL_nz00_3268 = CAR(((obj_t) BgL_l1286z00_3266));
									{	/* Beta/walk.scm 83 */
										bool_t BgL_test2122z00_4138;

										{	/* Beta/walk.scm 83 */
											bool_t BgL_test2123z00_4139;

											{	/* Beta/walk.scm 83 */
												obj_t BgL_classz00_3269;

												BgL_classz00_3269 = BGl_varz00zzast_nodez00;
												if (BGL_OBJECTP(BgL_nz00_3268))
													{	/* Beta/walk.scm 83 */
														BgL_objectz00_bglt BgL_arg1858z00_3270;

														BgL_arg1858z00_3270 =
															(BgL_objectz00_bglt) (BgL_nz00_3268);
														if (BGL_CONDEXPAND_ISA_ARCH64())
															{	/* Beta/walk.scm 83 */
																long BgL_idxz00_3271;

																BgL_idxz00_3271 =
																	BGL_OBJECT_INHERITANCE_NUM
																	(BgL_arg1858z00_3270);
																BgL_test2123z00_4139 =
																	(VECTOR_REF
																	(BGl_za2inheritancesza2z00zz__objectz00,
																		(BgL_idxz00_3271 + 2L)) ==
																	BgL_classz00_3269);
															}
														else
															{	/* Beta/walk.scm 83 */
																bool_t BgL_res1969z00_3274;

																{	/* Beta/walk.scm 83 */
																	obj_t BgL_oclassz00_3275;

																	{	/* Beta/walk.scm 83 */
																		obj_t BgL_arg1866z00_3276;
																		long BgL_arg1867z00_3277;

																		BgL_arg1866z00_3276 =
																			(BGl_za2classesza2z00zz__objectz00);
																		{	/* Beta/walk.scm 83 */
																			long BgL_arg1869z00_3278;

																			BgL_arg1869z00_3278 =
																				BGL_OBJECT_CLASS_NUM
																				(BgL_arg1858z00_3270);
																			BgL_arg1867z00_3277 =
																				(BgL_arg1869z00_3278 - OBJECT_TYPE);
																		}
																		BgL_oclassz00_3275 =
																			VECTOR_REF(BgL_arg1866z00_3276,
																			BgL_arg1867z00_3277);
																	}
																	{	/* Beta/walk.scm 83 */
																		bool_t BgL__ortest_1115z00_3279;

																		BgL__ortest_1115z00_3279 =
																			(BgL_classz00_3269 == BgL_oclassz00_3275);
																		if (BgL__ortest_1115z00_3279)
																			{	/* Beta/walk.scm 83 */
																				BgL_res1969z00_3274 =
																					BgL__ortest_1115z00_3279;
																			}
																		else
																			{	/* Beta/walk.scm 83 */
																				long BgL_odepthz00_3280;

																				{	/* Beta/walk.scm 83 */
																					obj_t BgL_arg1855z00_3281;

																					BgL_arg1855z00_3281 =
																						(BgL_oclassz00_3275);
																					BgL_odepthz00_3280 =
																						BGL_CLASS_DEPTH
																						(BgL_arg1855z00_3281);
																				}
																				if ((2L < BgL_odepthz00_3280))
																					{	/* Beta/walk.scm 83 */
																						obj_t BgL_arg1853z00_3282;

																						{	/* Beta/walk.scm 83 */
																							obj_t BgL_arg1854z00_3283;

																							BgL_arg1854z00_3283 =
																								(BgL_oclassz00_3275);
																							BgL_arg1853z00_3282 =
																								BGL_CLASS_ANCESTORS_REF
																								(BgL_arg1854z00_3283, 2L);
																						}
																						BgL_res1969z00_3274 =
																							(BgL_arg1853z00_3282 ==
																							BgL_classz00_3269);
																					}
																				else
																					{	/* Beta/walk.scm 83 */
																						BgL_res1969z00_3274 = ((bool_t) 0);
																					}
																			}
																	}
																}
																BgL_test2123z00_4139 = BgL_res1969z00_3274;
															}
													}
												else
													{	/* Beta/walk.scm 83 */
														BgL_test2123z00_4139 = ((bool_t) 0);
													}
											}
											if (BgL_test2123z00_4139)
												{	/* Beta/walk.scm 83 */
													BgL_variablez00_bglt BgL_arg1560z00_3284;

													BgL_arg1560z00_3284 =
														(((BgL_varz00_bglt) COBJECT(
																((BgL_varz00_bglt) BgL_nz00_3268)))->
														BgL_variablez00);
													{	/* Beta/walk.scm 83 */
														obj_t BgL_classz00_3285;

														BgL_classz00_3285 = BGl_localz00zzast_varz00;
														{	/* Beta/walk.scm 83 */
															BgL_objectz00_bglt BgL_arg1858z00_3286;

															{	/* Beta/walk.scm 83 */
																obj_t BgL_tmpz00_4164;

																BgL_tmpz00_4164 =
																	((obj_t)
																	((BgL_objectz00_bglt) BgL_arg1560z00_3284));
																BgL_arg1858z00_3286 =
																	(BgL_objectz00_bglt) (BgL_tmpz00_4164);
															}
															if (BGL_CONDEXPAND_ISA_ARCH64())
																{	/* Beta/walk.scm 83 */
																	long BgL_idxz00_3287;

																	BgL_idxz00_3287 =
																		BGL_OBJECT_INHERITANCE_NUM
																		(BgL_arg1858z00_3286);
																	BgL_test2122z00_4138 =
																		(VECTOR_REF
																		(BGl_za2inheritancesza2z00zz__objectz00,
																			(BgL_idxz00_3287 + 2L)) ==
																		BgL_classz00_3285);
																}
															else
																{	/* Beta/walk.scm 83 */
																	bool_t BgL_res1970z00_3290;

																	{	/* Beta/walk.scm 83 */
																		obj_t BgL_oclassz00_3291;

																		{	/* Beta/walk.scm 83 */
																			obj_t BgL_arg1866z00_3292;
																			long BgL_arg1867z00_3293;

																			BgL_arg1866z00_3292 =
																				(BGl_za2classesza2z00zz__objectz00);
																			{	/* Beta/walk.scm 83 */
																				long BgL_arg1869z00_3294;

																				BgL_arg1869z00_3294 =
																					BGL_OBJECT_CLASS_NUM
																					(BgL_arg1858z00_3286);
																				BgL_arg1867z00_3293 =
																					(BgL_arg1869z00_3294 - OBJECT_TYPE);
																			}
																			BgL_oclassz00_3291 =
																				VECTOR_REF(BgL_arg1866z00_3292,
																				BgL_arg1867z00_3293);
																		}
																		{	/* Beta/walk.scm 83 */
																			bool_t BgL__ortest_1115z00_3295;

																			BgL__ortest_1115z00_3295 =
																				(BgL_classz00_3285 ==
																				BgL_oclassz00_3291);
																			if (BgL__ortest_1115z00_3295)
																				{	/* Beta/walk.scm 83 */
																					BgL_res1970z00_3290 =
																						BgL__ortest_1115z00_3295;
																				}
																			else
																				{	/* Beta/walk.scm 83 */
																					long BgL_odepthz00_3296;

																					{	/* Beta/walk.scm 83 */
																						obj_t BgL_arg1855z00_3297;

																						BgL_arg1855z00_3297 =
																							(BgL_oclassz00_3291);
																						BgL_odepthz00_3296 =
																							BGL_CLASS_DEPTH
																							(BgL_arg1855z00_3297);
																					}
																					if ((2L < BgL_odepthz00_3296))
																						{	/* Beta/walk.scm 83 */
																							obj_t BgL_arg1853z00_3298;

																							{	/* Beta/walk.scm 83 */
																								obj_t BgL_arg1854z00_3299;

																								BgL_arg1854z00_3299 =
																									(BgL_oclassz00_3291);
																								BgL_arg1853z00_3298 =
																									BGL_CLASS_ANCESTORS_REF
																									(BgL_arg1854z00_3299, 2L);
																							}
																							BgL_res1970z00_3290 =
																								(BgL_arg1853z00_3298 ==
																								BgL_classz00_3285);
																						}
																					else
																						{	/* Beta/walk.scm 83 */
																							BgL_res1970z00_3290 =
																								((bool_t) 0);
																						}
																				}
																		}
																	}
																	BgL_test2122z00_4138 = BgL_res1970z00_3290;
																}
														}
													}
												}
											else
												{	/* Beta/walk.scm 83 */
													BgL_test2122z00_4138 = ((bool_t) 0);
												}
										}
										if (BgL_test2122z00_4138)
											{
												obj_t BgL_nz00_3301;

												BgL_nz00_3301 = BgL_nz00_3268;
											BgL_loopz00_3300:
												{	/* Beta/walk.scm 85 */
													obj_t BgL_redz00_3302;

													BgL_redz00_3302 =
														BGl_assqz00zz__r4_pairs_and_lists_6_3z00(
														((obj_t)
															(((BgL_varz00_bglt) COBJECT(
																		((BgL_varz00_bglt) BgL_nz00_3301)))->
																BgL_variablez00)), BgL_stackz00_3062);
													if (PAIRP(BgL_redz00_3302))
														{	/* Beta/walk.scm 89 */
															bool_t BgL_test2132z00_4193;

															{	/* Beta/walk.scm 89 */
																obj_t BgL_arg1554z00_3303;

																BgL_arg1554z00_3303 = CDR(BgL_redz00_3302);
																{	/* Beta/walk.scm 89 */
																	obj_t BgL_classz00_3304;

																	BgL_classz00_3304 =
																		BGl_literalz00zzast_nodez00;
																	if (BGL_OBJECTP(BgL_arg1554z00_3303))
																		{	/* Beta/walk.scm 89 */
																			BgL_objectz00_bglt BgL_arg1858z00_3305;

																			BgL_arg1858z00_3305 =
																				(BgL_objectz00_bglt)
																				(BgL_arg1554z00_3303);
																			if (BGL_CONDEXPAND_ISA_ARCH64())
																				{	/* Beta/walk.scm 89 */
																					long BgL_idxz00_3306;

																					BgL_idxz00_3306 =
																						BGL_OBJECT_INHERITANCE_NUM
																						(BgL_arg1858z00_3305);
																					BgL_test2132z00_4193 =
																						(VECTOR_REF
																						(BGl_za2inheritancesza2z00zz__objectz00,
																							(BgL_idxz00_3306 + 3L)) ==
																						BgL_classz00_3304);
																				}
																			else
																				{	/* Beta/walk.scm 89 */
																					bool_t BgL_res1971z00_3309;

																					{	/* Beta/walk.scm 89 */
																						obj_t BgL_oclassz00_3310;

																						{	/* Beta/walk.scm 89 */
																							obj_t BgL_arg1866z00_3311;
																							long BgL_arg1867z00_3312;

																							BgL_arg1866z00_3311 =
																								(BGl_za2classesza2z00zz__objectz00);
																							{	/* Beta/walk.scm 89 */
																								long BgL_arg1869z00_3313;

																								BgL_arg1869z00_3313 =
																									BGL_OBJECT_CLASS_NUM
																									(BgL_arg1858z00_3305);
																								BgL_arg1867z00_3312 =
																									(BgL_arg1869z00_3313 -
																									OBJECT_TYPE);
																							}
																							BgL_oclassz00_3310 =
																								VECTOR_REF(BgL_arg1866z00_3311,
																								BgL_arg1867z00_3312);
																						}
																						{	/* Beta/walk.scm 89 */
																							bool_t BgL__ortest_1115z00_3314;

																							BgL__ortest_1115z00_3314 =
																								(BgL_classz00_3304 ==
																								BgL_oclassz00_3310);
																							if (BgL__ortest_1115z00_3314)
																								{	/* Beta/walk.scm 89 */
																									BgL_res1971z00_3309 =
																										BgL__ortest_1115z00_3314;
																								}
																							else
																								{	/* Beta/walk.scm 89 */
																									long BgL_odepthz00_3315;

																									{	/* Beta/walk.scm 89 */
																										obj_t BgL_arg1855z00_3316;

																										BgL_arg1855z00_3316 =
																											(BgL_oclassz00_3310);
																										BgL_odepthz00_3315 =
																											BGL_CLASS_DEPTH
																											(BgL_arg1855z00_3316);
																									}
																									if ((3L < BgL_odepthz00_3315))
																										{	/* Beta/walk.scm 89 */
																											obj_t BgL_arg1853z00_3317;

																											{	/* Beta/walk.scm 89 */
																												obj_t
																													BgL_arg1854z00_3318;
																												BgL_arg1854z00_3318 =
																													(BgL_oclassz00_3310);
																												BgL_arg1853z00_3317 =
																													BGL_CLASS_ANCESTORS_REF
																													(BgL_arg1854z00_3318,
																													3L);
																											}
																											BgL_res1971z00_3309 =
																												(BgL_arg1853z00_3317 ==
																												BgL_classz00_3304);
																										}
																									else
																										{	/* Beta/walk.scm 89 */
																											BgL_res1971z00_3309 =
																												((bool_t) 0);
																										}
																								}
																						}
																					}
																					BgL_test2132z00_4193 =
																						BgL_res1971z00_3309;
																				}
																		}
																	else
																		{	/* Beta/walk.scm 89 */
																			BgL_test2132z00_4193 = ((bool_t) 0);
																		}
																}
															}
															if (BgL_test2132z00_4193)
																{	/* Beta/walk.scm 90 */
																	BgL_nodez00_bglt BgL_duplicated1117z00_3319;
																	BgL_literalz00_bglt BgL_new1115z00_3320;

																	BgL_duplicated1117z00_3319 =
																		((BgL_nodez00_bglt) CDR(BgL_redz00_3302));
																	{	/* Beta/walk.scm 90 */
																		BgL_literalz00_bglt BgL_new1120z00_3321;

																		BgL_new1120z00_3321 =
																			((BgL_literalz00_bglt)
																			BOBJECT(GC_MALLOC(sizeof(struct
																						BgL_literalz00_bgl))));
																		{	/* Beta/walk.scm 90 */
																			long BgL_arg1484z00_3322;

																			BgL_arg1484z00_3322 =
																				BGL_CLASS_NUM
																				(BGl_literalz00zzast_nodez00);
																			BGL_OBJECT_CLASS_NUM_SET((
																					(BgL_objectz00_bglt)
																					BgL_new1120z00_3321),
																				BgL_arg1484z00_3322);
																		}
																		{	/* Beta/walk.scm 90 */
																			BgL_objectz00_bglt BgL_tmpz00_4223;

																			BgL_tmpz00_4223 =
																				((BgL_objectz00_bglt)
																				BgL_new1120z00_3321);
																			BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4223,
																				BFALSE);
																		}
																		((BgL_objectz00_bglt) BgL_new1120z00_3321);
																		BgL_new1115z00_3320 = BgL_new1120z00_3321;
																	}
																	((((BgL_nodez00_bglt) COBJECT(
																					((BgL_nodez00_bglt)
																						BgL_new1115z00_3320)))->
																			BgL_locz00) =
																		((obj_t) (((BgL_nodez00_bglt)
																					COBJECT(BgL_duplicated1117z00_3319))->
																				BgL_locz00)), BUNSPEC);
																	((((BgL_nodez00_bglt)
																				COBJECT(((BgL_nodez00_bglt)
																						BgL_new1115z00_3320)))->
																			BgL_typez00) =
																		((BgL_typez00_bglt) (((BgL_nodez00_bglt)
																					COBJECT(BgL_duplicated1117z00_3319))->
																				BgL_typez00)), BUNSPEC);
																	((((BgL_atomz00_bglt)
																				COBJECT(((BgL_atomz00_bglt)
																						BgL_new1115z00_3320)))->
																			BgL_valuez00) =
																		((obj_t) (((BgL_atomz00_bglt)
																					COBJECT(((BgL_atomz00_bglt)
																							BgL_duplicated1117z00_3319)))->
																				BgL_valuez00)), BUNSPEC);
																	BgL_arg1457z00_3267 =
																		((obj_t) BgL_new1115z00_3320);
																}
															else
																{	/* Beta/walk.scm 91 */
																	bool_t BgL_test2137z00_4238;

																	{	/* Beta/walk.scm 91 */
																		obj_t BgL_arg1553z00_3323;

																		BgL_arg1553z00_3323 = CDR(BgL_redz00_3302);
																		{	/* Beta/walk.scm 91 */
																			obj_t BgL_classz00_3324;

																			BgL_classz00_3324 =
																				BGl_closurez00zzast_nodez00;
																			if (BGL_OBJECTP(BgL_arg1553z00_3323))
																				{	/* Beta/walk.scm 91 */
																					BgL_objectz00_bglt
																						BgL_arg1858z00_3325;
																					BgL_arg1858z00_3325 =
																						(BgL_objectz00_bglt)
																						(BgL_arg1553z00_3323);
																					if (BGL_CONDEXPAND_ISA_ARCH64())
																						{	/* Beta/walk.scm 91 */
																							long BgL_idxz00_3326;

																							BgL_idxz00_3326 =
																								BGL_OBJECT_INHERITANCE_NUM
																								(BgL_arg1858z00_3325);
																							BgL_test2137z00_4238 =
																								(VECTOR_REF
																								(BGl_za2inheritancesza2z00zz__objectz00,
																									(BgL_idxz00_3326 + 3L)) ==
																								BgL_classz00_3324);
																						}
																					else
																						{	/* Beta/walk.scm 91 */
																							bool_t BgL_res1972z00_3329;

																							{	/* Beta/walk.scm 91 */
																								obj_t BgL_oclassz00_3330;

																								{	/* Beta/walk.scm 91 */
																									obj_t BgL_arg1866z00_3331;
																									long BgL_arg1867z00_3332;

																									BgL_arg1866z00_3331 =
																										(BGl_za2classesza2z00zz__objectz00);
																									{	/* Beta/walk.scm 91 */
																										long BgL_arg1869z00_3333;

																										BgL_arg1869z00_3333 =
																											BGL_OBJECT_CLASS_NUM
																											(BgL_arg1858z00_3325);
																										BgL_arg1867z00_3332 =
																											(BgL_arg1869z00_3333 -
																											OBJECT_TYPE);
																									}
																									BgL_oclassz00_3330 =
																										VECTOR_REF
																										(BgL_arg1866z00_3331,
																										BgL_arg1867z00_3332);
																								}
																								{	/* Beta/walk.scm 91 */
																									bool_t
																										BgL__ortest_1115z00_3334;
																									BgL__ortest_1115z00_3334 =
																										(BgL_classz00_3324 ==
																										BgL_oclassz00_3330);
																									if (BgL__ortest_1115z00_3334)
																										{	/* Beta/walk.scm 91 */
																											BgL_res1972z00_3329 =
																												BgL__ortest_1115z00_3334;
																										}
																									else
																										{	/* Beta/walk.scm 91 */
																											long BgL_odepthz00_3335;

																											{	/* Beta/walk.scm 91 */
																												obj_t
																													BgL_arg1855z00_3336;
																												BgL_arg1855z00_3336 =
																													(BgL_oclassz00_3330);
																												BgL_odepthz00_3335 =
																													BGL_CLASS_DEPTH
																													(BgL_arg1855z00_3336);
																											}
																											if (
																												(3L <
																													BgL_odepthz00_3335))
																												{	/* Beta/walk.scm 91 */
																													obj_t
																														BgL_arg1853z00_3337;
																													{	/* Beta/walk.scm 91 */
																														obj_t
																															BgL_arg1854z00_3338;
																														BgL_arg1854z00_3338
																															=
																															(BgL_oclassz00_3330);
																														BgL_arg1853z00_3337
																															=
																															BGL_CLASS_ANCESTORS_REF
																															(BgL_arg1854z00_3338,
																															3L);
																													}
																													BgL_res1972z00_3329 =
																														(BgL_arg1853z00_3337
																														==
																														BgL_classz00_3324);
																												}
																											else
																												{	/* Beta/walk.scm 91 */
																													BgL_res1972z00_3329 =
																														((bool_t) 0);
																												}
																										}
																								}
																							}
																							BgL_test2137z00_4238 =
																								BgL_res1972z00_3329;
																						}
																				}
																			else
																				{	/* Beta/walk.scm 91 */
																					BgL_test2137z00_4238 = ((bool_t) 0);
																				}
																		}
																	}
																	if (BgL_test2137z00_4238)
																		{	/* Beta/walk.scm 92 */
																			BgL_nodez00_bglt
																				BgL_duplicated1123z00_3339;
																			BgL_closurez00_bglt BgL_new1121z00_3340;

																			BgL_duplicated1123z00_3339 =
																				((BgL_nodez00_bglt)
																				CDR(BgL_redz00_3302));
																			{	/* Beta/walk.scm 92 */
																				BgL_closurez00_bglt BgL_new1125z00_3341;

																				BgL_new1125z00_3341 =
																					((BgL_closurez00_bglt)
																					BOBJECT(GC_MALLOC(sizeof(struct
																								BgL_closurez00_bgl))));
																				{	/* Beta/walk.scm 92 */
																					long BgL_arg1489z00_3342;

																					BgL_arg1489z00_3342 =
																						BGL_CLASS_NUM
																						(BGl_closurez00zzast_nodez00);
																					BGL_OBJECT_CLASS_NUM_SET((
																							(BgL_objectz00_bglt)
																							BgL_new1125z00_3341),
																						BgL_arg1489z00_3342);
																				}
																				{	/* Beta/walk.scm 92 */
																					BgL_objectz00_bglt BgL_tmpz00_4268;

																					BgL_tmpz00_4268 =
																						((BgL_objectz00_bglt)
																						BgL_new1125z00_3341);
																					BGL_OBJECT_WIDENING_SET
																						(BgL_tmpz00_4268, BFALSE);
																				}
																				((BgL_objectz00_bglt)
																					BgL_new1125z00_3341);
																				BgL_new1121z00_3340 =
																					BgL_new1125z00_3341;
																			}
																			((((BgL_nodez00_bglt) COBJECT(
																							((BgL_nodez00_bglt)
																								BgL_new1121z00_3340)))->
																					BgL_locz00) =
																				((obj_t) (((BgL_nodez00_bglt)
																							COBJECT
																							(BgL_duplicated1123z00_3339))->
																						BgL_locz00)), BUNSPEC);
																			((((BgL_nodez00_bglt)
																						COBJECT(((BgL_nodez00_bglt)
																								BgL_new1121z00_3340)))->
																					BgL_typez00) =
																				((BgL_typez00_bglt) (((BgL_nodez00_bglt)
																							COBJECT
																							(BgL_duplicated1123z00_3339))->
																						BgL_typez00)), BUNSPEC);
																			((((BgL_varz00_bglt)
																						COBJECT(((BgL_varz00_bglt)
																								BgL_new1121z00_3340)))->
																					BgL_variablez00) =
																				((BgL_variablez00_bglt) ((
																							(BgL_varz00_bglt)
																							COBJECT(((BgL_varz00_bglt)
																									BgL_duplicated1123z00_3339)))->
																						BgL_variablez00)), BUNSPEC);
																			BgL_arg1457z00_3267 =
																				((obj_t) BgL_new1121z00_3340);
																		}
																	else
																		{	/* Beta/walk.scm 93 */
																			bool_t BgL_test2142z00_4283;

																			{	/* Beta/walk.scm 93 */
																				obj_t BgL_arg1545z00_3343;

																				BgL_arg1545z00_3343 =
																					CDR(BgL_redz00_3302);
																				{	/* Beta/walk.scm 93 */
																					obj_t BgL_classz00_3344;

																					BgL_classz00_3344 =
																						BGl_refz00zzast_nodez00;
																					if (BGL_OBJECTP(BgL_arg1545z00_3343))
																						{	/* Beta/walk.scm 93 */
																							BgL_objectz00_bglt
																								BgL_arg1858z00_3345;
																							BgL_arg1858z00_3345 =
																								(BgL_objectz00_bglt)
																								(BgL_arg1545z00_3343);
																							if (BGL_CONDEXPAND_ISA_ARCH64())
																								{	/* Beta/walk.scm 93 */
																									long BgL_idxz00_3346;

																									BgL_idxz00_3346 =
																										BGL_OBJECT_INHERITANCE_NUM
																										(BgL_arg1858z00_3345);
																									BgL_test2142z00_4283 =
																										(VECTOR_REF
																										(BGl_za2inheritancesza2z00zz__objectz00,
																											(BgL_idxz00_3346 + 3L)) ==
																										BgL_classz00_3344);
																								}
																							else
																								{	/* Beta/walk.scm 93 */
																									bool_t BgL_res1973z00_3349;

																									{	/* Beta/walk.scm 93 */
																										obj_t BgL_oclassz00_3350;

																										{	/* Beta/walk.scm 93 */
																											obj_t BgL_arg1866z00_3351;
																											long BgL_arg1867z00_3352;

																											BgL_arg1866z00_3351 =
																												(BGl_za2classesza2z00zz__objectz00);
																											{	/* Beta/walk.scm 93 */
																												long
																													BgL_arg1869z00_3353;
																												BgL_arg1869z00_3353 =
																													BGL_OBJECT_CLASS_NUM
																													(BgL_arg1858z00_3345);
																												BgL_arg1867z00_3352 =
																													(BgL_arg1869z00_3353 -
																													OBJECT_TYPE);
																											}
																											BgL_oclassz00_3350 =
																												VECTOR_REF
																												(BgL_arg1866z00_3351,
																												BgL_arg1867z00_3352);
																										}
																										{	/* Beta/walk.scm 93 */
																											bool_t
																												BgL__ortest_1115z00_3354;
																											BgL__ortest_1115z00_3354 =
																												(BgL_classz00_3344 ==
																												BgL_oclassz00_3350);
																											if (BgL__ortest_1115z00_3354)
																												{	/* Beta/walk.scm 93 */
																													BgL_res1973z00_3349 =
																														BgL__ortest_1115z00_3354;
																												}
																											else
																												{	/* Beta/walk.scm 93 */
																													long
																														BgL_odepthz00_3355;
																													{	/* Beta/walk.scm 93 */
																														obj_t
																															BgL_arg1855z00_3356;
																														BgL_arg1855z00_3356
																															=
																															(BgL_oclassz00_3350);
																														BgL_odepthz00_3355 =
																															BGL_CLASS_DEPTH
																															(BgL_arg1855z00_3356);
																													}
																													if (
																														(3L <
																															BgL_odepthz00_3355))
																														{	/* Beta/walk.scm 93 */
																															obj_t
																																BgL_arg1853z00_3357;
																															{	/* Beta/walk.scm 93 */
																																obj_t
																																	BgL_arg1854z00_3358;
																																BgL_arg1854z00_3358
																																	=
																																	(BgL_oclassz00_3350);
																																BgL_arg1853z00_3357
																																	=
																																	BGL_CLASS_ANCESTORS_REF
																																	(BgL_arg1854z00_3358,
																																	3L);
																															}
																															BgL_res1973z00_3349
																																=
																																(BgL_arg1853z00_3357
																																==
																																BgL_classz00_3344);
																														}
																													else
																														{	/* Beta/walk.scm 93 */
																															BgL_res1973z00_3349
																																= ((bool_t) 0);
																														}
																												}
																										}
																									}
																									BgL_test2142z00_4283 =
																										BgL_res1973z00_3349;
																								}
																						}
																					else
																						{	/* Beta/walk.scm 93 */
																							BgL_test2142z00_4283 =
																								((bool_t) 0);
																						}
																				}
																			}
																			if (BgL_test2142z00_4283)
																				{	/* Beta/walk.scm 94 */
																					obj_t BgL_mz00_3359;

																					BgL_mz00_3359 = CDR(BgL_redz00_3302);
																					{	/* Beta/walk.scm 95 */
																						bool_t BgL_test2147z00_4308;

																						{	/* Beta/walk.scm 95 */
																							bool_t BgL_test2148z00_4309;

																							{	/* Beta/walk.scm 95 */
																								obj_t BgL_classz00_3360;

																								BgL_classz00_3360 =
																									BGl_varz00zzast_nodez00;
																								if (BGL_OBJECTP(BgL_mz00_3359))
																									{	/* Beta/walk.scm 95 */
																										BgL_objectz00_bglt
																											BgL_arg1858z00_3361;
																										BgL_arg1858z00_3361 =
																											(BgL_objectz00_bglt)
																											(BgL_mz00_3359);
																										if (BGL_CONDEXPAND_ISA_ARCH64())
																											{	/* Beta/walk.scm 95 */
																												long BgL_idxz00_3362;

																												BgL_idxz00_3362 =
																													BGL_OBJECT_INHERITANCE_NUM
																													(BgL_arg1858z00_3361);
																												BgL_test2148z00_4309 =
																													(VECTOR_REF
																													(BGl_za2inheritancesza2z00zz__objectz00,
																														(BgL_idxz00_3362 +
																															2L)) ==
																													BgL_classz00_3360);
																											}
																										else
																											{	/* Beta/walk.scm 95 */
																												bool_t
																													BgL_res1974z00_3365;
																												{	/* Beta/walk.scm 95 */
																													obj_t
																														BgL_oclassz00_3366;
																													{	/* Beta/walk.scm 95 */
																														obj_t
																															BgL_arg1866z00_3367;
																														long
																															BgL_arg1867z00_3368;
																														BgL_arg1866z00_3367
																															=
																															(BGl_za2classesza2z00zz__objectz00);
																														{	/* Beta/walk.scm 95 */
																															long
																																BgL_arg1869z00_3369;
																															BgL_arg1869z00_3369
																																=
																																BGL_OBJECT_CLASS_NUM
																																(BgL_arg1858z00_3361);
																															BgL_arg1867z00_3368
																																=
																																(BgL_arg1869z00_3369
																																- OBJECT_TYPE);
																														}
																														BgL_oclassz00_3366 =
																															VECTOR_REF
																															(BgL_arg1866z00_3367,
																															BgL_arg1867z00_3368);
																													}
																													{	/* Beta/walk.scm 95 */
																														bool_t
																															BgL__ortest_1115z00_3370;
																														BgL__ortest_1115z00_3370
																															=
																															(BgL_classz00_3360
																															==
																															BgL_oclassz00_3366);
																														if (BgL__ortest_1115z00_3370)
																															{	/* Beta/walk.scm 95 */
																																BgL_res1974z00_3365
																																	=
																																	BgL__ortest_1115z00_3370;
																															}
																														else
																															{	/* Beta/walk.scm 95 */
																																long
																																	BgL_odepthz00_3371;
																																{	/* Beta/walk.scm 95 */
																																	obj_t
																																		BgL_arg1855z00_3372;
																																	BgL_arg1855z00_3372
																																		=
																																		(BgL_oclassz00_3366);
																																	BgL_odepthz00_3371
																																		=
																																		BGL_CLASS_DEPTH
																																		(BgL_arg1855z00_3372);
																																}
																																if (
																																	(2L <
																																		BgL_odepthz00_3371))
																																	{	/* Beta/walk.scm 95 */
																																		obj_t
																																			BgL_arg1853z00_3373;
																																		{	/* Beta/walk.scm 95 */
																																			obj_t
																																				BgL_arg1854z00_3374;
																																			BgL_arg1854z00_3374
																																				=
																																				(BgL_oclassz00_3366);
																																			BgL_arg1853z00_3373
																																				=
																																				BGL_CLASS_ANCESTORS_REF
																																				(BgL_arg1854z00_3374,
																																				2L);
																																		}
																																		BgL_res1974z00_3365
																																			=
																																			(BgL_arg1853z00_3373
																																			==
																																			BgL_classz00_3360);
																																	}
																																else
																																	{	/* Beta/walk.scm 95 */
																																		BgL_res1974z00_3365
																																			=
																																			((bool_t)
																																			0);
																																	}
																															}
																													}
																												}
																												BgL_test2148z00_4309 =
																													BgL_res1974z00_3365;
																											}
																									}
																								else
																									{	/* Beta/walk.scm 95 */
																										BgL_test2148z00_4309 =
																											((bool_t) 0);
																									}
																							}
																							if (BgL_test2148z00_4309)
																								{	/* Beta/walk.scm 95 */
																									BgL_variablez00_bglt
																										BgL_arg1515z00_3375;
																									BgL_arg1515z00_3375 =
																										(((BgL_varz00_bglt)
																											COBJECT(((BgL_varz00_bglt)
																													BgL_mz00_3359)))->
																										BgL_variablez00);
																									{	/* Beta/walk.scm 95 */
																										obj_t BgL_classz00_3376;

																										BgL_classz00_3376 =
																											BGl_localz00zzast_varz00;
																										{	/* Beta/walk.scm 95 */
																											BgL_objectz00_bglt
																												BgL_arg1858z00_3377;
																											{	/* Beta/walk.scm 95 */
																												obj_t BgL_tmpz00_4334;

																												BgL_tmpz00_4334 =
																													((obj_t)
																													((BgL_objectz00_bglt)
																														BgL_arg1515z00_3375));
																												BgL_arg1858z00_3377 =
																													(BgL_objectz00_bglt)
																													(BgL_tmpz00_4334);
																											}
																											if (BGL_CONDEXPAND_ISA_ARCH64())
																												{	/* Beta/walk.scm 95 */
																													long BgL_idxz00_3378;

																													BgL_idxz00_3378 =
																														BGL_OBJECT_INHERITANCE_NUM
																														(BgL_arg1858z00_3377);
																													BgL_test2147z00_4308 =
																														(VECTOR_REF
																														(BGl_za2inheritancesza2z00zz__objectz00,
																															(BgL_idxz00_3378 +
																																2L)) ==
																														BgL_classz00_3376);
																												}
																											else
																												{	/* Beta/walk.scm 95 */
																													bool_t
																														BgL_res1975z00_3381;
																													{	/* Beta/walk.scm 95 */
																														obj_t
																															BgL_oclassz00_3382;
																														{	/* Beta/walk.scm 95 */
																															obj_t
																																BgL_arg1866z00_3383;
																															long
																																BgL_arg1867z00_3384;
																															BgL_arg1866z00_3383
																																=
																																(BGl_za2classesza2z00zz__objectz00);
																															{	/* Beta/walk.scm 95 */
																																long
																																	BgL_arg1869z00_3385;
																																BgL_arg1869z00_3385
																																	=
																																	BGL_OBJECT_CLASS_NUM
																																	(BgL_arg1858z00_3377);
																																BgL_arg1867z00_3384
																																	=
																																	(BgL_arg1869z00_3385
																																	-
																																	OBJECT_TYPE);
																															}
																															BgL_oclassz00_3382
																																=
																																VECTOR_REF
																																(BgL_arg1866z00_3383,
																																BgL_arg1867z00_3384);
																														}
																														{	/* Beta/walk.scm 95 */
																															bool_t
																																BgL__ortest_1115z00_3386;
																															BgL__ortest_1115z00_3386
																																=
																																(BgL_classz00_3376
																																==
																																BgL_oclassz00_3382);
																															if (BgL__ortest_1115z00_3386)
																																{	/* Beta/walk.scm 95 */
																																	BgL_res1975z00_3381
																																		=
																																		BgL__ortest_1115z00_3386;
																																}
																															else
																																{	/* Beta/walk.scm 95 */
																																	long
																																		BgL_odepthz00_3387;
																																	{	/* Beta/walk.scm 95 */
																																		obj_t
																																			BgL_arg1855z00_3388;
																																		BgL_arg1855z00_3388
																																			=
																																			(BgL_oclassz00_3382);
																																		BgL_odepthz00_3387
																																			=
																																			BGL_CLASS_DEPTH
																																			(BgL_arg1855z00_3388);
																																	}
																																	if (
																																		(2L <
																																			BgL_odepthz00_3387))
																																		{	/* Beta/walk.scm 95 */
																																			obj_t
																																				BgL_arg1853z00_3389;
																																			{	/* Beta/walk.scm 95 */
																																				obj_t
																																					BgL_arg1854z00_3390;
																																				BgL_arg1854z00_3390
																																					=
																																					(BgL_oclassz00_3382);
																																				BgL_arg1853z00_3389
																																					=
																																					BGL_CLASS_ANCESTORS_REF
																																					(BgL_arg1854z00_3390,
																																					2L);
																																			}
																																			BgL_res1975z00_3381
																																				=
																																				(BgL_arg1853z00_3389
																																				==
																																				BgL_classz00_3376);
																																		}
																																	else
																																		{	/* Beta/walk.scm 95 */
																																			BgL_res1975z00_3381
																																				=
																																				(
																																				(bool_t)
																																				0);
																																		}
																																}
																														}
																													}
																													BgL_test2147z00_4308 =
																														BgL_res1975z00_3381;
																												}
																										}
																									}
																								}
																							else
																								{	/* Beta/walk.scm 95 */
																									BgL_test2147z00_4308 =
																										((bool_t) 0);
																								}
																						}
																						if (BgL_test2147z00_4308)
																							{	/* Beta/walk.scm 96 */
																								BgL_refz00_bglt
																									BgL_arg1511z00_3391;
																								{	/* Beta/walk.scm 96 */
																									BgL_nodez00_bglt
																										BgL_duplicated1128z00_3392;
																									BgL_refz00_bglt
																										BgL_new1126z00_3393;
																									BgL_duplicated1128z00_3392 =
																										((BgL_nodez00_bglt)
																										CDR(BgL_redz00_3302));
																									{	/* Beta/walk.scm 96 */
																										BgL_refz00_bglt
																											BgL_new1130z00_3394;
																										BgL_new1130z00_3394 =
																											((BgL_refz00_bglt)
																											BOBJECT(GC_MALLOC(sizeof
																													(struct
																														BgL_refz00_bgl))));
																										{	/* Beta/walk.scm 96 */
																											long BgL_arg1512z00_3395;

																											BgL_arg1512z00_3395 =
																												BGL_CLASS_NUM
																												(BGl_refz00zzast_nodez00);
																											BGL_OBJECT_CLASS_NUM_SET((
																													(BgL_objectz00_bglt)
																													BgL_new1130z00_3394),
																												BgL_arg1512z00_3395);
																										}
																										{	/* Beta/walk.scm 96 */
																											BgL_objectz00_bglt
																												BgL_tmpz00_4363;
																											BgL_tmpz00_4363 =
																												((BgL_objectz00_bglt)
																												BgL_new1130z00_3394);
																											BGL_OBJECT_WIDENING_SET
																												(BgL_tmpz00_4363,
																												BFALSE);
																										}
																										((BgL_objectz00_bglt)
																											BgL_new1130z00_3394);
																										BgL_new1126z00_3393 =
																											BgL_new1130z00_3394;
																									}
																									((((BgL_nodez00_bglt) COBJECT(
																													((BgL_nodez00_bglt)
																														BgL_new1126z00_3393)))->
																											BgL_locz00) =
																										((obj_t) ((
																													(BgL_nodez00_bglt)
																													COBJECT
																													(BgL_duplicated1128z00_3392))->
																												BgL_locz00)), BUNSPEC);
																									((((BgL_nodez00_bglt)
																												COBJECT((
																														(BgL_nodez00_bglt)
																														BgL_new1126z00_3393)))->
																											BgL_typez00) =
																										((BgL_typez00_bglt) ((
																													(BgL_nodez00_bglt)
																													COBJECT
																													(BgL_duplicated1128z00_3392))->
																												BgL_typez00)), BUNSPEC);
																									((((BgL_varz00_bglt)
																												COBJECT((
																														(BgL_varz00_bglt)
																														BgL_new1126z00_3393)))->
																											BgL_variablez00) =
																										((BgL_variablez00_bglt) ((
																													(BgL_varz00_bglt)
																													COBJECT((
																															(BgL_varz00_bglt)
																															BgL_duplicated1128z00_3392)))->
																												BgL_variablez00)),
																										BUNSPEC);
																									BgL_arg1511z00_3391 =
																										BgL_new1126z00_3393;
																								}
																								{
																									obj_t BgL_nz00_4377;

																									BgL_nz00_4377 =
																										((obj_t)
																										BgL_arg1511z00_3391);
																									BgL_nz00_3301 = BgL_nz00_4377;
																									goto BgL_loopz00_3300;
																								}
																							}
																						else
																							{	/* Beta/walk.scm 97 */
																								BgL_nodez00_bglt
																									BgL_duplicated1133z00_3396;
																								BgL_refz00_bglt
																									BgL_new1131z00_3397;
																								BgL_duplicated1133z00_3396 =
																									((BgL_nodez00_bglt)
																									CDR(BgL_redz00_3302));
																								{	/* Beta/walk.scm 97 */
																									BgL_refz00_bglt
																										BgL_new1135z00_3398;
																									BgL_new1135z00_3398 =
																										((BgL_refz00_bglt)
																										BOBJECT(GC_MALLOC(sizeof
																												(struct
																													BgL_refz00_bgl))));
																									{	/* Beta/walk.scm 97 */
																										long BgL_arg1513z00_3399;

																										BgL_arg1513z00_3399 =
																											BGL_CLASS_NUM
																											(BGl_refz00zzast_nodez00);
																										BGL_OBJECT_CLASS_NUM_SET((
																												(BgL_objectz00_bglt)
																												BgL_new1135z00_3398),
																											BgL_arg1513z00_3399);
																									}
																									{	/* Beta/walk.scm 97 */
																										BgL_objectz00_bglt
																											BgL_tmpz00_4385;
																										BgL_tmpz00_4385 =
																											((BgL_objectz00_bglt)
																											BgL_new1135z00_3398);
																										BGL_OBJECT_WIDENING_SET
																											(BgL_tmpz00_4385, BFALSE);
																									}
																									((BgL_objectz00_bglt)
																										BgL_new1135z00_3398);
																									BgL_new1131z00_3397 =
																										BgL_new1135z00_3398;
																								}
																								((((BgL_nodez00_bglt) COBJECT(
																												((BgL_nodez00_bglt)
																													BgL_new1131z00_3397)))->
																										BgL_locz00) =
																									((obj_t) (((BgL_nodez00_bglt)
																												COBJECT
																												(BgL_duplicated1133z00_3396))->
																											BgL_locz00)), BUNSPEC);
																								((((BgL_nodez00_bglt)
																											COBJECT((
																													(BgL_nodez00_bglt)
																													BgL_new1131z00_3397)))->
																										BgL_typez00) =
																									((BgL_typez00_bglt) ((
																												(BgL_nodez00_bglt)
																												COBJECT
																												(BgL_duplicated1133z00_3396))->
																											BgL_typez00)), BUNSPEC);
																								((((BgL_varz00_bglt)
																											COBJECT(((BgL_varz00_bglt)
																													BgL_new1131z00_3397)))->
																										BgL_variablez00) =
																									((BgL_variablez00_bglt) ((
																												(BgL_varz00_bglt)
																												COBJECT((
																														(BgL_varz00_bglt)
																														BgL_duplicated1133z00_3396)))->
																											BgL_variablez00)),
																									BUNSPEC);
																								BgL_arg1457z00_3267 =
																									((obj_t) BgL_new1131z00_3397);
																				}}}
																			else
																				{	/* Beta/walk.scm 98 */
																					bool_t BgL_test2156z00_4400;

																					{	/* Beta/walk.scm 98 */
																						obj_t BgL_arg1543z00_3400;

																						BgL_arg1543z00_3400 =
																							CDR(BgL_redz00_3302);
																						{	/* Beta/walk.scm 98 */
																							obj_t BgL_classz00_3401;

																							BgL_classz00_3401 =
																								BGl_patchz00zzast_nodez00;
																							if (BGL_OBJECTP
																								(BgL_arg1543z00_3400))
																								{	/* Beta/walk.scm 98 */
																									BgL_objectz00_bglt
																										BgL_arg1858z00_3402;
																									BgL_arg1858z00_3402 =
																										(BgL_objectz00_bglt)
																										(BgL_arg1543z00_3400);
																									if (BGL_CONDEXPAND_ISA_ARCH64
																										())
																										{	/* Beta/walk.scm 98 */
																											long BgL_idxz00_3403;

																											BgL_idxz00_3403 =
																												BGL_OBJECT_INHERITANCE_NUM
																												(BgL_arg1858z00_3402);
																											BgL_test2156z00_4400 =
																												(VECTOR_REF
																												(BGl_za2inheritancesza2z00zz__objectz00,
																													(BgL_idxz00_3403 +
																														3L)) ==
																												BgL_classz00_3401);
																										}
																									else
																										{	/* Beta/walk.scm 98 */
																											bool_t
																												BgL_res1976z00_3406;
																											{	/* Beta/walk.scm 98 */
																												obj_t
																													BgL_oclassz00_3407;
																												{	/* Beta/walk.scm 98 */
																													obj_t
																														BgL_arg1866z00_3408;
																													long
																														BgL_arg1867z00_3409;
																													BgL_arg1866z00_3408 =
																														(BGl_za2classesza2z00zz__objectz00);
																													{	/* Beta/walk.scm 98 */
																														long
																															BgL_arg1869z00_3410;
																														BgL_arg1869z00_3410
																															=
																															BGL_OBJECT_CLASS_NUM
																															(BgL_arg1858z00_3402);
																														BgL_arg1867z00_3409
																															=
																															(BgL_arg1869z00_3410
																															- OBJECT_TYPE);
																													}
																													BgL_oclassz00_3407 =
																														VECTOR_REF
																														(BgL_arg1866z00_3408,
																														BgL_arg1867z00_3409);
																												}
																												{	/* Beta/walk.scm 98 */
																													bool_t
																														BgL__ortest_1115z00_3411;
																													BgL__ortest_1115z00_3411
																														=
																														(BgL_classz00_3401
																														==
																														BgL_oclassz00_3407);
																													if (BgL__ortest_1115z00_3411)
																														{	/* Beta/walk.scm 98 */
																															BgL_res1976z00_3406
																																=
																																BgL__ortest_1115z00_3411;
																														}
																													else
																														{	/* Beta/walk.scm 98 */
																															long
																																BgL_odepthz00_3412;
																															{	/* Beta/walk.scm 98 */
																																obj_t
																																	BgL_arg1855z00_3413;
																																BgL_arg1855z00_3413
																																	=
																																	(BgL_oclassz00_3407);
																																BgL_odepthz00_3412
																																	=
																																	BGL_CLASS_DEPTH
																																	(BgL_arg1855z00_3413);
																															}
																															if (
																																(3L <
																																	BgL_odepthz00_3412))
																																{	/* Beta/walk.scm 98 */
																																	obj_t
																																		BgL_arg1853z00_3414;
																																	{	/* Beta/walk.scm 98 */
																																		obj_t
																																			BgL_arg1854z00_3415;
																																		BgL_arg1854z00_3415
																																			=
																																			(BgL_oclassz00_3407);
																																		BgL_arg1853z00_3414
																																			=
																																			BGL_CLASS_ANCESTORS_REF
																																			(BgL_arg1854z00_3415,
																																			3L);
																																	}
																																	BgL_res1976z00_3406
																																		=
																																		(BgL_arg1853z00_3414
																																		==
																																		BgL_classz00_3401);
																																}
																															else
																																{	/* Beta/walk.scm 98 */
																																	BgL_res1976z00_3406
																																		=
																																		((bool_t)
																																		0);
																																}
																														}
																												}
																											}
																											BgL_test2156z00_4400 =
																												BgL_res1976z00_3406;
																										}
																								}
																							else
																								{	/* Beta/walk.scm 98 */
																									BgL_test2156z00_4400 =
																										((bool_t) 0);
																								}
																						}
																					}
																					if (BgL_test2156z00_4400)
																						{	/* Beta/walk.scm 99 */
																							BgL_nodez00_bglt
																								BgL_duplicated1138z00_3416;
																							BgL_patchz00_bglt
																								BgL_new1136z00_3417;
																							BgL_duplicated1138z00_3416 =
																								((BgL_nodez00_bglt)
																								CDR(BgL_redz00_3302));
																							{	/* Beta/walk.scm 99 */
																								BgL_patchz00_bglt
																									BgL_new1143z00_3418;
																								BgL_new1143z00_3418 =
																									((BgL_patchz00_bglt)
																									BOBJECT(GC_MALLOC(sizeof
																											(struct
																												BgL_patchz00_bgl))));
																								{	/* Beta/walk.scm 99 */
																									long BgL_arg1530z00_3419;

																									BgL_arg1530z00_3419 =
																										BGL_CLASS_NUM
																										(BGl_patchz00zzast_nodez00);
																									BGL_OBJECT_CLASS_NUM_SET((
																											(BgL_objectz00_bglt)
																											BgL_new1143z00_3418),
																										BgL_arg1530z00_3419);
																								}
																								{	/* Beta/walk.scm 99 */
																									BgL_objectz00_bglt
																										BgL_tmpz00_4430;
																									BgL_tmpz00_4430 =
																										((BgL_objectz00_bglt)
																										BgL_new1143z00_3418);
																									BGL_OBJECT_WIDENING_SET
																										(BgL_tmpz00_4430, BFALSE);
																								}
																								((BgL_objectz00_bglt)
																									BgL_new1143z00_3418);
																								BgL_new1136z00_3417 =
																									BgL_new1143z00_3418;
																							}
																							((((BgL_nodez00_bglt) COBJECT(
																											((BgL_nodez00_bglt)
																												BgL_new1136z00_3417)))->
																									BgL_locz00) =
																								((obj_t) (((BgL_nodez00_bglt)
																											COBJECT
																											(BgL_duplicated1138z00_3416))->
																										BgL_locz00)), BUNSPEC);
																							((((BgL_nodez00_bglt)
																										COBJECT(((BgL_nodez00_bglt)
																												BgL_new1136z00_3417)))->
																									BgL_typez00) =
																								((BgL_typez00_bglt) ((
																											(BgL_nodez00_bglt)
																											COBJECT
																											(BgL_duplicated1138z00_3416))->
																										BgL_typez00)), BUNSPEC);
																							((((BgL_atomz00_bglt)
																										COBJECT(((BgL_atomz00_bglt)
																												BgL_new1136z00_3417)))->
																									BgL_valuez00) =
																								((obj_t) (((BgL_atomz00_bglt)
																											COBJECT((
																													(BgL_atomz00_bglt)
																													BgL_duplicated1138z00_3416)))->
																										BgL_valuez00)), BUNSPEC);
																							((((BgL_patchz00_bglt)
																										COBJECT
																										(BgL_new1136z00_3417))->
																									BgL_refz00) =
																								((BgL_varz00_bglt) ((
																											(BgL_patchz00_bglt)
																											COBJECT((
																													(BgL_patchz00_bglt)
																													BgL_duplicated1138z00_3416)))->
																										BgL_refz00)), BUNSPEC);
																							((((BgL_patchz00_bglt)
																										COBJECT
																										(BgL_new1136z00_3417))->
																									BgL_indexz00) =
																								((long) (((BgL_patchz00_bglt)
																											COBJECT((
																													(BgL_patchz00_bglt)
																													BgL_duplicated1138z00_3416)))->
																										BgL_indexz00)), BUNSPEC);
																							((((BgL_patchz00_bglt)
																										COBJECT
																										(BgL_new1136z00_3417))->
																									BgL_patchidz00) =
																								((obj_t) (((BgL_patchz00_bglt)
																											COBJECT((
																													(BgL_patchz00_bglt)
																													BgL_duplicated1138z00_3416)))->
																										BgL_patchidz00)), BUNSPEC);
																							BgL_arg1457z00_3267 =
																								((obj_t) BgL_new1136z00_3417);
																						}
																					else
																						{	/* Beta/walk.scm 98 */
																							BgL_arg1457z00_3267 =
																								BGl_errorz00zz__errorz00
																								(BGl_string2002z00zzbeta_walkz00,
																								BGl_string2020z00zzbeta_walkz00,
																								bgl_typeof(CDR
																									(BgL_redz00_3302)));
																						}
																				}
																		}
																}
														}
													else
														{	/* Beta/walk.scm 87 */
															BgL_arg1457z00_3267 = BgL_nz00_3301;
														}
												}
											}
										else
											{	/* Beta/walk.scm 83 */
												BgL_arg1457z00_3267 =
													((obj_t)
													BGl_nodezd2betaz12zc0zzbeta_walkz00(
														((BgL_nodez00_bglt) BgL_nz00_3268),
														BgL_stackz00_3062));
											}
									}
								}
								{	/* Beta/walk.scm 103 */
									obj_t BgL_tmpz00_4460;

									BgL_tmpz00_4460 = ((obj_t) BgL_l1286z00_3266);
									SET_CAR(BgL_tmpz00_4460, BgL_arg1457z00_3267);
								}
							}
							{	/* Beta/walk.scm 103 */
								obj_t BgL_arg1574z00_3420;

								BgL_arg1574z00_3420 = CDR(((obj_t) BgL_l1286z00_3266));
								{
									obj_t BgL_l1286z00_4465;

									BgL_l1286z00_4465 = BgL_arg1574z00_3420;
									BgL_l1286z00_3266 = BgL_l1286z00_4465;
									goto BgL_zc3z04anonymousza31447ze3z87_3265;
								}
							}
						}
				}
			}
			return ((BgL_nodez00_bglt) ((BgL_appz00_bglt) BgL_nodez00_3061));
		}

	}



/* &node-beta!-sync1303 */
	BgL_nodez00_bglt BGl_z62nodezd2betaz12zd2sync1303z70zzbeta_walkz00(obj_t
		BgL_envz00_3063, obj_t BgL_nodez00_3064, obj_t BgL_stackz00_3065)
	{
		{	/* Beta/walk.scm 71 */
			((((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_nodez00_3064)))->BgL_mutexz00) =
				((BgL_nodez00_bglt)
					BGl_nodezd2betaz12zc0zzbeta_walkz00((((BgL_syncz00_bglt)
								COBJECT(((BgL_syncz00_bglt) BgL_nodez00_3064)))->BgL_mutexz00),
						BgL_stackz00_3065)), BUNSPEC);
			((((BgL_syncz00_bglt) COBJECT(((BgL_syncz00_bglt) BgL_nodez00_3064)))->
					BgL_prelockz00) =
				((BgL_nodez00_bglt)
					BGl_nodezd2betaz12zc0zzbeta_walkz00((((BgL_syncz00_bglt)
								COBJECT(((BgL_syncz00_bglt) BgL_nodez00_3064)))->
							BgL_prelockz00), BgL_stackz00_3065)), BUNSPEC);
			((((BgL_syncz00_bglt) COBJECT(((BgL_syncz00_bglt) BgL_nodez00_3064)))->
					BgL_bodyz00) =
				((BgL_nodez00_bglt)
					BGl_nodezd2betaz12zc0zzbeta_walkz00((((BgL_syncz00_bglt)
								COBJECT(((BgL_syncz00_bglt) BgL_nodez00_3064)))->BgL_bodyz00),
						BgL_stackz00_3065)), BUNSPEC);
			return ((BgL_nodez00_bglt) ((BgL_syncz00_bglt) BgL_nodez00_3064));
		}

	}



/* &node-beta!-sequence1301 */
	BgL_nodez00_bglt BGl_z62nodezd2betaz12zd2sequence1301z70zzbeta_walkz00(obj_t
		BgL_envz00_3066, obj_t BgL_nodez00_3067, obj_t BgL_stackz00_3068)
	{
		{	/* Beta/walk.scm 64 */
			BGl_nodezd2betaza2z12z62zzbeta_walkz00(
				(((BgL_sequencez00_bglt) COBJECT(
							((BgL_sequencez00_bglt) BgL_nodez00_3067)))->BgL_nodesz00),
				BgL_stackz00_3068);
			return ((BgL_nodez00_bglt) ((BgL_sequencez00_bglt) BgL_nodez00_3067));
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzbeta_walkz00(void)
	{
		{	/* Beta/walk.scm 18 */
			BGl_modulezd2initializa7ationz75zztools_speekz00(61247943L,
				BSTRING_TO_STRING(BGl_string2021z00zzbeta_walkz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(300504031L,
				BSTRING_TO_STRING(BGl_string2021z00zzbeta_walkz00));
			BGl_modulezd2initializa7ationz75zzengine_passz00(373082237L,
				BSTRING_TO_STRING(BGl_string2021z00zzbeta_walkz00));
			BGl_modulezd2initializa7ationz75zztools_tracez00(54713316L,
				BSTRING_TO_STRING(BGl_string2021z00zzbeta_walkz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(515343395L,
				BSTRING_TO_STRING(BGl_string2021z00zzbeta_walkz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(90839984L,
				BSTRING_TO_STRING(BGl_string2021z00zzbeta_walkz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(469732712L,
				BSTRING_TO_STRING(BGl_string2021z00zzbeta_walkz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(365925558L,
				BSTRING_TO_STRING(BGl_string2021z00zzbeta_walkz00));
			BGl_modulezd2initializa7ationz75zzeffect_effectz00(460136018L,
				BSTRING_TO_STRING(BGl_string2021z00zzbeta_walkz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(161876678L,
				BSTRING_TO_STRING(BGl_string2021z00zzbeta_walkz00));
			BGl_modulezd2initializa7ationz75zzast_occurz00(282085879L,
				BSTRING_TO_STRING(BGl_string2021z00zzbeta_walkz00));
			BGl_modulezd2initializa7ationz75zzast_removez00(383247627L,
				BSTRING_TO_STRING(BGl_string2021z00zzbeta_walkz00));
			BGl_modulezd2initializa7ationz75zzast_appz00(449859288L,
				BSTRING_TO_STRING(BGl_string2021z00zzbeta_walkz00));
			return
				BGl_modulezd2initializa7ationz75zztype_cachez00(489890788L,
				BSTRING_TO_STRING(BGl_string2021z00zzbeta_walkz00));
		}

	}

#ifdef __cplusplus
}
#endif
