/*===========================================================================*/
/*   (Cfa/closure.scm)                                                       */
/*   Bigloo (4.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Jan 27 07:45:49 AM CET 2025     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.6a/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.6a/lib/bigloo/4.6a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -stdc -indent Cfa/closure.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL_CFA_CLOSURE_TYPE_DEFINITIONS
#define BGL_CFA_CLOSURE_TYPE_DEFINITIONS

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_nullz00;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_backendz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
		bool_t BgL_boundzd2checkzd2;
		bool_t BgL_typezd2checkzd2;
		bool_t BgL_typedzd2funcallzd2;
		bool_t BgL_strictzd2typezd2castz00;
		bool_t BgL_forcezd2registerzd2gczd2rootszd2;
		bool_t BgL_stringzd2literalzd2supportz00;
		bool_t BgL_boxedzd2fixnumszd2;
		bool_t BgL_typedzd2closureszd2;
	}                 *BgL_backendz00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_qualifiedzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_svarz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}              *BgL_svarz00_bglt;

	typedef struct BgL_scnstz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_nodez00;
		obj_t BgL_classz00;
		obj_t BgL_locz00;
	}               *BgL_scnstz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_refz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_refz00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_stackablez00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_approxz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_typez00_bgl *BgL_typez00;
		bool_t BgL_typezd2lockedzf3z21;
		obj_t BgL_allocsz00;
		bool_t BgL_topzf3zf3;
		long BgL_lostzd2stampzd2;
		obj_t BgL_dupz00;
		bool_t BgL_haszd2procedurezf3z21;
	}                *BgL_approxz00_bglt;

	typedef struct BgL_internzd2sfunzf2cinfoz20_bgl
	{
		bool_t BgL_polymorphiczf3zf3;
		struct BgL_approxz00_bgl *BgL_approxz00;
		long BgL_stampz00;
	}                               *BgL_internzd2sfunzf2cinfoz20_bglt;

	typedef struct BgL_svarzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		bool_t BgL_clozd2envzf3z21;
		long BgL_stampz00;
	}                      *BgL_svarzf2cinfozf2_bglt;

	typedef struct BgL_makezd2procedurezd2appz00_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		obj_t BgL_valueszd2approxzd2;
		long BgL_lostzd2stampzd2;
		bool_t BgL_xzd2tzf3z21;
		bool_t BgL_xz00;
		bool_t BgL_tz00;
		struct BgL_variablez00_bgl *BgL_ownerz00;
		obj_t BgL_stackzd2stampzd2;
	}                                *BgL_makezd2procedurezd2appz00_bglt;


#endif													// BGL_CFA_CLOSURE_TYPE_DEFINITIONS
#endif													// BGL_MODULE_TYPE_DEFINITIONS

	extern obj_t BGl_getzd2approxzd2typez00zzcfa_typez00(BgL_approxz00_bglt,
		obj_t);
	static bool_t BGl_lightzd2makezd2procedurez12z12zzcfa_closurez00(void);
	extern obj_t BGl_setzd2lengthzd2zzcfa_setz00(obj_t);
	static obj_t BGl_z62getzd2procedurezd2listz62zzcfa_closurez00(obj_t);
	static bool_t BGl_mergezd2appzd2typesz12z12zzcfa_closurez00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_addzd2makezd2procedurez12z12zzcfa_closurez00(BgL_nodez00_bglt);
	static obj_t BGl_z62stopzd2closurezd2cachez62zzcfa_closurez00(obj_t);
	static obj_t BGl_objectzd2initzd2zzcfa_closurez00(void);
	BGL_EXPORTED_DECL obj_t
		BGl_addzd2funcallz12zc0zzcfa_closurez00(BgL_nodez00_bglt);
	extern obj_t BGl_forzd2eachzd2approxzd2alloczd2zzcfa_approxz00(obj_t,
		BgL_approxz00_bglt);
	extern obj_t BGl_thezd2backendzd2zzbackend_backendz00(void);
	static obj_t BGl_methodzd2initzd2zzcfa_closurez00(void);
	extern BgL_typez00_bglt
		BGl_getzd2bigloozd2typez00zztype_cachez00(BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t BGl_typezd2closuresz12zc0zzcfa_closurez00(void);
	BGL_EXPORTED_DECL obj_t
		BGl_closurezd2optimiza7ationz12z67zzcfa_closurez00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_closurezd2optimiza7ationzf3z86zzcfa_closurez00(void);
	extern obj_t
		BGl_za2optimzd2cfazd2unboxzd2closurezd2argsza2z00zzengine_paramz00;
	extern BgL_typez00_bglt
		BGl_strictzd2nodezd2typez00zzast_nodez00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	extern obj_t
		BGl_getzd2nodezd2atomzd2valuezd2zzcfa_approxz00(BgL_nodez00_bglt);
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	BGL_EXPORTED_DECL obj_t BGl_getzd2procedurezd2listz00zzcfa_closurez00(void);
	static bool_t BGl_showze70ze7zzcfa_closurez00(obj_t, obj_t);
	static obj_t BGl_za2procedurezd2lzd2setz12za2z12zzcfa_closurez00 = BUNSPEC;
	extern obj_t BGl_lightzd2typez12zc0zzcfa_ltypez00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_stopzd2closurezd2cachez00zzcfa_closurez00(void);
	static obj_t BGl_z62closurezd2optimiza7ationz12z05zzcfa_closurez00(obj_t,
		obj_t);
	static obj_t BGl_z62closurezd2optimiza7ationzf3ze4zzcfa_closurez00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza31721ze3ze5zzcfa_closurez00(obj_t,
		obj_t);
	static obj_t BGl_z62addzd2funcallz12za2zzcfa_closurez00(obj_t, obj_t);
	extern obj_t BGl_za2unsafezd2typeza2zd2zzengine_paramz00;
	static obj_t BGl_gczd2rootszd2initz00zzcfa_closurez00(void);
	static obj_t BGl_z62addzd2procedurezd2refz12z70zzcfa_closurez00(obj_t, obj_t);
	extern obj_t BGl_internzd2sfunzf2Cinfoz20zzcfa_infoz00;
	static bool_t BGl_lightzd2funcallz12zc0zzcfa_closurez00(void);
	extern obj_t BGl_makezd2procedurezd2appz00zzcfa_info2z00;
	extern bool_t BGl_bigloozd2typezf3z21zztype_typez00(BgL_typez00_bglt);
	static obj_t BGl_za2procedurezd2elzd2setz12za2z12zzcfa_closurez00 = BUNSPEC;
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	extern BgL_typez00_bglt
		BGl_getzd2bigloozd2definedzd2typezd2zztype_cachez00(BgL_typez00_bglt);
	extern obj_t BGl_za2optimza2z00zzengine_paramz00;
	static obj_t BGl_za2makezd2elzd2procedureza2z00zzcfa_closurez00 = BUNSPEC;
	static obj_t BGl_requirezd2initializa7ationz75zzcfa_closurez00 = BUNSPEC;
	extern obj_t BGl_getzd2globalzf2modulez20zzast_envz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	BGL_EXPORTED_DECL obj_t
		BGl_addzd2procedurezd2refz12z12zzcfa_closurez00(BgL_nodez00_bglt);
	static obj_t BGl_toplevelzd2initzd2zzcfa_closurez00(void);
	extern obj_t BGl_setzd2ze3listz31zzcfa_setz00(obj_t);
	static obj_t BGl_genericzd2initzd2zzcfa_closurez00(void);
	static obj_t BGl_showzd2Xzd2Tz00zzcfa_closurez00(obj_t);
	extern obj_t BGl_setzd2headzd2zzcfa_setz00(obj_t, obj_t);
	static obj_t BGl_z62typezd2closuresz12za2zzcfa_closurez00(obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	static obj_t BGl_za2makezd2lzd2procedureza2z00zzcfa_closurez00 = BUNSPEC;
	static obj_t BGl_z62approxzd2procedurezd2elzf3z91zzcfa_closurez00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	extern obj_t BGl_refz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_approxzd2procedurezd2elzf3zf3zzcfa_closurez00(BgL_approxz00_bglt);
	static obj_t BGl_z62unoptimiza7edzd2closurezf3ze4zzcfa_closurez00(obj_t,
		obj_t);
	static obj_t BGl_za2makezd2procedurezd2listza2z00zzcfa_closurez00 = BUNSPEC;
	static bool_t BGl_Xz12z12zzcfa_closurez00(obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_unoptimiza7edzd2closurezf3z86zzcfa_closurez00(BgL_sfunz00_bglt);
	static obj_t BGl_Tzd2fixzd2pointz12z12zzcfa_closurez00(obj_t);
	extern obj_t BGl_za2procedureza2z00zztype_cachez00;
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzcfa_closurez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_ltypez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_setz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_approxz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_cfaz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_info2z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_infoz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	static obj_t BGl_za2procedurezd2lzd2refza2z00zzcfa_closurez00 = BUNSPEC;
	static obj_t BGl_za2procedurezd2refzd2listza2z00zzcfa_closurez00 = BUNSPEC;
	static bool_t BGl_lightzd2accessz12zc0zzcfa_closurez00(void);
	static obj_t BGl_za2procedurezd2refza2zd2zzcfa_closurez00 = BUNSPEC;
	static obj_t BGl_cnstzd2initzd2zzcfa_closurez00(void);
	static obj_t BGl_libraryzd2moduleszd2initz00zzcfa_closurez00(void);
	static obj_t BGl_importedzd2moduleszd2initz00zzcfa_closurez00(void);
	extern obj_t BGl_scnstz00zzast_varz00;
	static obj_t BGl_startzd2closurezd2cachez00zzcfa_closurez00(void);
	static obj_t BGl_za2funcallzd2listza2zd2zzcfa_closurez00 = BUNSPEC;
	static obj_t BGl_za2procedurezd2setz12za2zc0zzcfa_closurez00 = BUNSPEC;
	static obj_t BGl_za2procedurezd2elzd2refza2z00zzcfa_closurez00 = BUNSPEC;
	extern BgL_approxz00_bglt BGl_cfaz12z12zzcfa_cfaz00(BgL_nodez00_bglt);
	static obj_t BGl_z62addzd2makezd2procedurez12z70zzcfa_closurez00(obj_t,
		obj_t);
	extern obj_t BGl_za2procedurezd2elza2zd2zztype_cachez00;
	static bool_t BGl_mergezd2appzd2returnzd2typesz12zc0zzcfa_closurez00(obj_t,
		BgL_approxz00_bglt);
	extern obj_t BGl_globalz00zzast_varz00;
	static obj_t BGl_z62zc3z04anonymousza31756ze3ze5zzcfa_closurez00(obj_t,
		obj_t);
	static obj_t __cnst[20];


	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2273z00zzcfa_closurez00,
		BgL_bgl_za762za7c3za704anonymo2281za7,
		BGl_z62zc3z04anonymousza31721ze3ze5zzcfa_closurez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2274z00zzcfa_closurez00,
		BgL_bgl_za762za7c3za704anonymo2282za7,
		BGl_z62zc3z04anonymousza31756ze3ze5zzcfa_closurez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_addzd2makezd2procedurez12zd2envzc0zzcfa_closurez00,
		BgL_bgl_za762addza7d2makeza7d22283za7,
		BGl_z62addzd2makezd2procedurez12z70zzcfa_closurez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_unoptimiza7edzd2closurezf3zd2envz54zzcfa_closurez00,
		BgL_bgl_za762unoptimiza7a7ed2284z00,
		BGl_z62unoptimiza7edzd2closurezf3ze4zzcfa_closurez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_addzd2funcallz12zd2envz12zzcfa_closurez00,
		BgL_bgl_za762addza7d2funcall2285z00,
		BGl_z62addzd2funcallz12za2zzcfa_closurez00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2272z00zzcfa_closurez00,
		BgL_bgl_string2272za700za7za7c2286za7, "   . Light closures", 19);
	      DEFINE_STRING(BGl_string2275z00zzcfa_closurez00,
		BgL_bgl_string2275za700za7za7c2287za7, ": ", 2);
	      DEFINE_STRING(BGl_string2276z00zzcfa_closurez00,
		BgL_bgl_string2276za700za7za7c2288za7, "      ", 6);
	      DEFINE_STRING(BGl_string2277z00zzcfa_closurez00,
		BgL_bgl_string2277za700za7za7c2289za7, "        ", 8);
	      DEFINE_STRING(BGl_string2278z00zzcfa_closurez00,
		BgL_bgl_string2278za700za7za7c2290za7, "cfa_closure", 11);
	      DEFINE_STRING(BGl_string2279z00zzcfa_closurez00,
		BgL_bgl_string2279za700za7za7c2291za7,
		"make-l-procedure make-el-procedure procedure-el-set! procedure-el-ref procedure-l-set! procedure-l-ref procedure-set! foreign procedure-ref T X nothing-to-do slfun selfun done ok light elight static \077\077? ",
		203);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_addzd2procedurezd2refz12zd2envzc0zzcfa_closurez00,
		BgL_bgl_za762addza7d2procedu2292z00,
		BGl_z62addzd2procedurezd2refz12z70zzcfa_closurez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_getzd2procedurezd2listzd2envzd2zzcfa_closurez00,
		BgL_bgl_za762getza7d2procedu2293z00,
		BGl_z62getzd2procedurezd2listz62zzcfa_closurez00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_typezd2closuresz12zd2envz12zzcfa_closurez00,
		BgL_bgl_za762typeza7d2closur2294z00,
		BGl_z62typezd2closuresz12za2zzcfa_closurez00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_closurezd2optimiza7ationzf3zd2envz54zzcfa_closurez00,
		BgL_bgl_za762closureza7d2opt2295z00,
		BGl_z62closurezd2optimiza7ationzf3ze4zzcfa_closurez00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_stopzd2closurezd2cachezd2envzd2zzcfa_closurez00,
		BgL_bgl_za762stopza7d2closur2296z00,
		BGl_z62stopzd2closurezd2cachez62zzcfa_closurez00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_closurezd2optimiza7ationz12zd2envzb5zzcfa_closurez00,
		BgL_bgl_za762closureza7d2opt2297z00,
		BGl_z62closurezd2optimiza7ationz12z05zzcfa_closurez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_approxzd2procedurezd2elzf3zd2envz21zzcfa_closurez00,
		BgL_bgl_za762approxza7d2proc2298z00,
		BGl_z62approxzd2procedurezd2elzf3z91zzcfa_closurez00, 0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void
				*) (&BGl_za2procedurezd2lzd2setz12za2z12zzcfa_closurez00));
		     ADD_ROOT((void
				*) (&BGl_za2procedurezd2elzd2setz12za2z12zzcfa_closurez00));
		     ADD_ROOT((void
				*) (&BGl_za2makezd2elzd2procedureza2z00zzcfa_closurez00));
		     ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zzcfa_closurez00));
		     ADD_ROOT((void
				*) (&BGl_za2makezd2lzd2procedureza2z00zzcfa_closurez00));
		     ADD_ROOT((void
				*) (&BGl_za2makezd2procedurezd2listza2z00zzcfa_closurez00));
		     ADD_ROOT((void *) (&BGl_za2procedurezd2lzd2refza2z00zzcfa_closurez00));
		   
			 ADD_ROOT((void
				*) (&BGl_za2procedurezd2refzd2listza2z00zzcfa_closurez00));
		     ADD_ROOT((void *) (&BGl_za2procedurezd2refza2zd2zzcfa_closurez00));
		     ADD_ROOT((void *) (&BGl_za2funcallzd2listza2zd2zzcfa_closurez00));
		     ADD_ROOT((void *) (&BGl_za2procedurezd2setz12za2zc0zzcfa_closurez00));
		   
			 ADD_ROOT((void *) (&BGl_za2procedurezd2elzd2refza2z00zzcfa_closurez00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzcfa_closurez00(long
		BgL_checksumz00_5170, char *BgL_fromz00_5171)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzcfa_closurez00))
				{
					BGl_requirezd2initializa7ationz75zzcfa_closurez00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzcfa_closurez00();
					BGl_libraryzd2moduleszd2initz00zzcfa_closurez00();
					BGl_cnstzd2initzd2zzcfa_closurez00();
					BGl_importedzd2moduleszd2initz00zzcfa_closurez00();
					return BGl_toplevelzd2initzd2zzcfa_closurez00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzcfa_closurez00(void)
	{
		{	/* Cfa/closure.scm 25 */
			BGl_modulezd2initializa7ationz75zz__objectz00(0L, "cfa_closure");
			BGl_modulezd2initializa7ationz75zz__readerz00(0L, "cfa_closure");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(0L, "cfa_closure");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(0L, "cfa_closure");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(0L,
				"cfa_closure");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(0L,
				"cfa_closure");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(0L, "cfa_closure");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(0L,
				"cfa_closure");
			BGl_modulezd2initializa7ationz75zz__biglooz00(0L, "cfa_closure");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzcfa_closurez00(void)
	{
		{	/* Cfa/closure.scm 25 */
			{	/* Cfa/closure.scm 25 */
				obj_t BgL_cportz00_5129;

				{	/* Cfa/closure.scm 25 */
					obj_t BgL_stringz00_5136;

					BgL_stringz00_5136 = BGl_string2279z00zzcfa_closurez00;
					{	/* Cfa/closure.scm 25 */
						obj_t BgL_startz00_5137;

						BgL_startz00_5137 = BINT(0L);
						{	/* Cfa/closure.scm 25 */
							obj_t BgL_endz00_5138;

							BgL_endz00_5138 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_5136)));
							{	/* Cfa/closure.scm 25 */

								BgL_cportz00_5129 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_5136, BgL_startz00_5137, BgL_endz00_5138);
				}}}}
				{
					long BgL_iz00_5130;

					BgL_iz00_5130 = 19L;
				BgL_loopz00_5131:
					if ((BgL_iz00_5130 == (-1L)))
						{	/* Cfa/closure.scm 25 */
							return BUNSPEC;
						}
					else
						{	/* Cfa/closure.scm 25 */
							{	/* Cfa/closure.scm 25 */
								obj_t BgL_arg2280z00_5132;

								{	/* Cfa/closure.scm 25 */

									{	/* Cfa/closure.scm 25 */
										obj_t BgL_locationz00_5134;

										BgL_locationz00_5134 = BBOOL(((bool_t) 0));
										{	/* Cfa/closure.scm 25 */

											BgL_arg2280z00_5132 =
												BGl_readz00zz__readerz00(BgL_cportz00_5129,
												BgL_locationz00_5134);
										}
									}
								}
								{	/* Cfa/closure.scm 25 */
									int BgL_tmpz00_5198;

									BgL_tmpz00_5198 = (int) (BgL_iz00_5130);
									CNST_TABLE_SET(BgL_tmpz00_5198, BgL_arg2280z00_5132);
							}}
							{	/* Cfa/closure.scm 25 */
								int BgL_auxz00_5135;

								BgL_auxz00_5135 = (int) ((BgL_iz00_5130 - 1L));
								{
									long BgL_iz00_5203;

									BgL_iz00_5203 = (long) (BgL_auxz00_5135);
									BgL_iz00_5130 = BgL_iz00_5203;
									goto BgL_loopz00_5131;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzcfa_closurez00(void)
	{
		{	/* Cfa/closure.scm 25 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzcfa_closurez00(void)
	{
		{	/* Cfa/closure.scm 25 */
			BGl_za2funcallzd2listza2zd2zzcfa_closurez00 = BNIL;
			BGl_za2makezd2procedurezd2listza2z00zzcfa_closurez00 = BNIL;
			BGl_za2procedurezd2refzd2listza2z00zzcfa_closurez00 = BNIL;
			BGl_za2procedurezd2refza2zd2zzcfa_closurez00 = BFALSE;
			BGl_za2procedurezd2setz12za2zc0zzcfa_closurez00 = BFALSE;
			BGl_za2procedurezd2lzd2refza2z00zzcfa_closurez00 = BFALSE;
			BGl_za2procedurezd2lzd2setz12za2z12zzcfa_closurez00 = BFALSE;
			BGl_za2procedurezd2elzd2refza2z00zzcfa_closurez00 = BFALSE;
			BGl_za2procedurezd2elzd2setz12za2z12zzcfa_closurez00 = BFALSE;
			BGl_za2makezd2elzd2procedureza2z00zzcfa_closurez00 = BFALSE;
			return (BGl_za2makezd2lzd2procedureza2z00zzcfa_closurez00 =
				BFALSE, BUNSPEC);
		}

	}



/* closure-optimization? */
	BGL_EXPORTED_DEF obj_t
		BGl_closurezd2optimiza7ationzf3z86zzcfa_closurez00(void)
	{
		{	/* Cfa/closure.scm 58 */
			{	/* Cfa/closure.scm 59 */
				long BgL_n1z00_4145;

				BgL_n1z00_4145 = (long) CINT(BGl_za2optimza2z00zzengine_paramz00);
				return BBOOL((BgL_n1z00_4145 >= 2L));
			}
		}

	}



/* &closure-optimization? */
	obj_t BGl_z62closurezd2optimiza7ationzf3ze4zzcfa_closurez00(obj_t
		BgL_envz00_5105)
	{
		{	/* Cfa/closure.scm 58 */
			return BGl_closurezd2optimiza7ationzf3z86zzcfa_closurez00();
		}

	}



/* unoptimized-closure? */
	BGL_EXPORTED_DEF bool_t
		BGl_unoptimiza7edzd2closurezf3z86zzcfa_closurez00(BgL_sfunz00_bglt
		BgL_funz00_23)
	{
		{	/* Cfa/closure.scm 64 */
			{	/* Cfa/closure.scm 65 */
				bool_t BgL_test2301z00_5210;

				{	/* Cfa/closure.scm 65 */
					obj_t BgL_classz00_4146;

					BgL_classz00_4146 = BGl_internzd2sfunzf2Cinfoz20zzcfa_infoz00;
					{	/* Cfa/closure.scm 65 */
						BgL_objectz00_bglt BgL_arg1858z00_4148;

						{	/* Cfa/closure.scm 65 */
							obj_t BgL_tmpz00_5211;

							BgL_tmpz00_5211 = ((obj_t) BgL_funz00_23);
							BgL_arg1858z00_4148 = (BgL_objectz00_bglt) (BgL_tmpz00_5211);
						}
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Cfa/closure.scm 65 */
								long BgL_idxz00_4154;

								BgL_idxz00_4154 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_4148);
								BgL_test2301z00_5210 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_4154 + 4L)) == BgL_classz00_4146);
							}
						else
							{	/* Cfa/closure.scm 65 */
								bool_t BgL_res2249z00_4179;

								{	/* Cfa/closure.scm 65 */
									obj_t BgL_oclassz00_4162;

									{	/* Cfa/closure.scm 65 */
										obj_t BgL_arg1866z00_4170;
										long BgL_arg1867z00_4171;

										BgL_arg1866z00_4170 = (BGl_za2classesza2z00zz__objectz00);
										{	/* Cfa/closure.scm 65 */
											long BgL_arg1869z00_4172;

											BgL_arg1869z00_4172 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_4148);
											BgL_arg1867z00_4171 = (BgL_arg1869z00_4172 - OBJECT_TYPE);
										}
										BgL_oclassz00_4162 =
											VECTOR_REF(BgL_arg1866z00_4170, BgL_arg1867z00_4171);
									}
									{	/* Cfa/closure.scm 65 */
										bool_t BgL__ortest_1115z00_4163;

										BgL__ortest_1115z00_4163 =
											(BgL_classz00_4146 == BgL_oclassz00_4162);
										if (BgL__ortest_1115z00_4163)
											{	/* Cfa/closure.scm 65 */
												BgL_res2249z00_4179 = BgL__ortest_1115z00_4163;
											}
										else
											{	/* Cfa/closure.scm 65 */
												long BgL_odepthz00_4164;

												{	/* Cfa/closure.scm 65 */
													obj_t BgL_arg1855z00_4165;

													BgL_arg1855z00_4165 = (BgL_oclassz00_4162);
													BgL_odepthz00_4164 =
														BGL_CLASS_DEPTH(BgL_arg1855z00_4165);
												}
												if ((4L < BgL_odepthz00_4164))
													{	/* Cfa/closure.scm 65 */
														obj_t BgL_arg1853z00_4167;

														{	/* Cfa/closure.scm 65 */
															obj_t BgL_arg1854z00_4168;

															BgL_arg1854z00_4168 = (BgL_oclassz00_4162);
															BgL_arg1853z00_4167 =
																BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_4168,
																4L);
														}
														BgL_res2249z00_4179 =
															(BgL_arg1853z00_4167 == BgL_classz00_4146);
													}
												else
													{	/* Cfa/closure.scm 65 */
														BgL_res2249z00_4179 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_test2301z00_5210 = BgL_res2249z00_4179;
							}
					}
				}
				if (BgL_test2301z00_5210)
					{	/* Cfa/closure.scm 67 */
						bool_t BgL_test2305z00_5233;

						{	/* Cfa/closure.scm 67 */
							obj_t BgL_arg1635z00_3135;

							BgL_arg1635z00_3135 =
								(((BgL_sfunz00_bglt) COBJECT(
										((BgL_sfunz00_bglt)
											((BgL_sfunz00_bglt) BgL_funz00_23))))->
								BgL_thezd2closurezd2globalz00);
							{	/* Cfa/closure.scm 67 */
								obj_t BgL_classz00_4180;

								BgL_classz00_4180 = BGl_globalz00zzast_varz00;
								if (BGL_OBJECTP(BgL_arg1635z00_3135))
									{	/* Cfa/closure.scm 67 */
										BgL_objectz00_bglt BgL_arg1858z00_4182;

										BgL_arg1858z00_4182 =
											(BgL_objectz00_bglt) (BgL_arg1635z00_3135);
										if (BGL_CONDEXPAND_ISA_ARCH64())
											{	/* Cfa/closure.scm 67 */
												long BgL_idxz00_4188;

												BgL_idxz00_4188 =
													BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_4182);
												BgL_test2305z00_5233 =
													(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
														(BgL_idxz00_4188 + 2L)) == BgL_classz00_4180);
											}
										else
											{	/* Cfa/closure.scm 67 */
												bool_t BgL_res2250z00_4213;

												{	/* Cfa/closure.scm 67 */
													obj_t BgL_oclassz00_4196;

													{	/* Cfa/closure.scm 67 */
														obj_t BgL_arg1866z00_4204;
														long BgL_arg1867z00_4205;

														BgL_arg1866z00_4204 =
															(BGl_za2classesza2z00zz__objectz00);
														{	/* Cfa/closure.scm 67 */
															long BgL_arg1869z00_4206;

															BgL_arg1869z00_4206 =
																BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_4182);
															BgL_arg1867z00_4205 =
																(BgL_arg1869z00_4206 - OBJECT_TYPE);
														}
														BgL_oclassz00_4196 =
															VECTOR_REF(BgL_arg1866z00_4204,
															BgL_arg1867z00_4205);
													}
													{	/* Cfa/closure.scm 67 */
														bool_t BgL__ortest_1115z00_4197;

														BgL__ortest_1115z00_4197 =
															(BgL_classz00_4180 == BgL_oclassz00_4196);
														if (BgL__ortest_1115z00_4197)
															{	/* Cfa/closure.scm 67 */
																BgL_res2250z00_4213 = BgL__ortest_1115z00_4197;
															}
														else
															{	/* Cfa/closure.scm 67 */
																long BgL_odepthz00_4198;

																{	/* Cfa/closure.scm 67 */
																	obj_t BgL_arg1855z00_4199;

																	BgL_arg1855z00_4199 = (BgL_oclassz00_4196);
																	BgL_odepthz00_4198 =
																		BGL_CLASS_DEPTH(BgL_arg1855z00_4199);
																}
																if ((2L < BgL_odepthz00_4198))
																	{	/* Cfa/closure.scm 67 */
																		obj_t BgL_arg1853z00_4201;

																		{	/* Cfa/closure.scm 67 */
																			obj_t BgL_arg1854z00_4202;

																			BgL_arg1854z00_4202 =
																				(BgL_oclassz00_4196);
																			BgL_arg1853z00_4201 =
																				BGL_CLASS_ANCESTORS_REF
																				(BgL_arg1854z00_4202, 2L);
																		}
																		BgL_res2250z00_4213 =
																			(BgL_arg1853z00_4201 ==
																			BgL_classz00_4180);
																	}
																else
																	{	/* Cfa/closure.scm 67 */
																		BgL_res2250z00_4213 = ((bool_t) 0);
																	}
															}
													}
												}
												BgL_test2305z00_5233 = BgL_res2250z00_4213;
											}
									}
								else
									{	/* Cfa/closure.scm 67 */
										BgL_test2305z00_5233 = ((bool_t) 0);
									}
							}
						}
						if (BgL_test2305z00_5233)
							{	/* Cfa/closure.scm 67 */
								return
									(
									(((BgL_sfunz00_bglt) COBJECT(
												((BgL_sfunz00_bglt)
													((BgL_sfunz00_bglt) BgL_funz00_23))))->
										BgL_strengthz00) == ((obj_t) CNST_TABLE_REF(0)));
							}
						else
							{	/* Cfa/closure.scm 67 */
								return ((bool_t) 0);
							}
					}
				else
					{	/* Cfa/closure.scm 65 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &unoptimized-closure? */
	obj_t BGl_z62unoptimiza7edzd2closurezf3ze4zzcfa_closurez00(obj_t
		BgL_envz00_5106, obj_t BgL_funz00_5107)
	{
		{	/* Cfa/closure.scm 64 */
			return
				BBOOL(BGl_unoptimiza7edzd2closurezf3z86zzcfa_closurez00(
					((BgL_sfunz00_bglt) BgL_funz00_5107)));
		}

	}



/* closure-optimization! */
	BGL_EXPORTED_DEF obj_t
		BGl_closurezd2optimiza7ationz12z67zzcfa_closurez00(obj_t BgL_globalsz00_24)
	{
		{	/* Cfa/closure.scm 72 */
			if (((long) CINT(BGl_za2optimza2z00zzengine_paramz00) >= 2L))
				{	/* Cfa/closure.scm 73 */
					{	/* Cfa/closure.scm 74 */
						obj_t BgL_list1637z00_3137;

						{	/* Cfa/closure.scm 74 */
							obj_t BgL_arg1638z00_3138;

							BgL_arg1638z00_3138 =
								MAKE_YOUNG_PAIR(BCHAR(((unsigned char) 10)), BNIL);
							BgL_list1637z00_3137 =
								MAKE_YOUNG_PAIR(BGl_string2272z00zzcfa_closurez00,
								BgL_arg1638z00_3138);
						}
						BGl_verbosez00zztools_speekz00(BINT(1L), BgL_list1637z00_3137);
					}
					BGl_startzd2closurezd2cachez00zzcfa_closurez00();
					{
						obj_t BgL_l1528z00_3140;

						BgL_l1528z00_3140 =
							BGl_za2makezd2procedurezd2listza2z00zzcfa_closurez00;
					BgL_zc3z04anonymousza31639ze3z87_3141:
						if (PAIRP(BgL_l1528z00_3140))
							{	/* Cfa/closure.scm 83 */
								{	/* Cfa/closure.scm 85 */
									obj_t BgL_appz00_3143;

									BgL_appz00_3143 = CAR(BgL_l1528z00_3140);
									{	/* Cfa/closure.scm 86 */
										BgL_variablez00_bglt BgL_funz00_3145;

										{
											BgL_varz00_bglt BgL_auxz00_5280;

											{	/* Cfa/closure.scm 86 */
												obj_t BgL_pairz00_4216;

												BgL_pairz00_4216 =
													(((BgL_appz00_bglt) COBJECT(
															((BgL_appz00_bglt)
																((BgL_appz00_bglt) BgL_appz00_3143))))->
													BgL_argsz00);
												BgL_auxz00_5280 =
													((BgL_varz00_bglt) CAR(BgL_pairz00_4216));
											}
											BgL_funz00_3145 =
												(((BgL_varz00_bglt) COBJECT(BgL_auxz00_5280))->
												BgL_variablez00);
										}
										{	/* Cfa/closure.scm 86 */
											obj_t BgL_cloz00_3146;

											BgL_cloz00_3146 =
												(((BgL_funz00_bglt) COBJECT(
														((BgL_funz00_bglt)
															((BgL_sfunz00_bglt)
																(((BgL_variablez00_bglt) COBJECT(
																			((BgL_variablez00_bglt)
																				((BgL_globalz00_bglt)
																					BgL_funz00_3145))))->
																	BgL_valuez00)))))->BgL_thezd2closurezd2);
											{	/* Cfa/closure.scm 87 */
												bool_t BgL_lostzf3zf3_3147;

												{	/* Cfa/closure.scm 88 */
													long BgL_arg1677z00_3171;

													{
														BgL_makezd2procedurezd2appz00_bglt BgL_auxz00_5293;

														{
															obj_t BgL_auxz00_5294;

															{	/* Cfa/closure.scm 88 */
																BgL_objectz00_bglt BgL_tmpz00_5295;

																BgL_tmpz00_5295 =
																	((BgL_objectz00_bglt)
																	((BgL_appz00_bglt) BgL_appz00_3143));
																BgL_auxz00_5294 =
																	BGL_OBJECT_WIDENING(BgL_tmpz00_5295);
															}
															BgL_auxz00_5293 =
																((BgL_makezd2procedurezd2appz00_bglt)
																BgL_auxz00_5294);
														}
														BgL_arg1677z00_3171 =
															(((BgL_makezd2procedurezd2appz00_bglt)
																COBJECT(BgL_auxz00_5293))->BgL_lostzd2stampzd2);
													}
													BgL_lostzf3zf3_3147 = (BgL_arg1677z00_3171 > (-1L));
												}
												{	/* Cfa/closure.scm 88 */
													obj_t BgL_siza7eza7_3148;

													{	/* Cfa/closure.scm 89 */
														obj_t BgL_arg1673z00_3169;

														{	/* Cfa/closure.scm 89 */
															obj_t BgL_pairz00_4222;

															BgL_pairz00_4222 =
																(((BgL_appz00_bglt) COBJECT(
																		((BgL_appz00_bglt)
																			((BgL_appz00_bglt) BgL_appz00_3143))))->
																BgL_argsz00);
															BgL_arg1673z00_3169 =
																CAR(CDR(CDR(BgL_pairz00_4222)));
														}
														BgL_siza7eza7_3148 =
															BGl_getzd2nodezd2atomzd2valuezd2zzcfa_approxz00(
															((BgL_nodez00_bglt) BgL_arg1673z00_3169));
													}
													{	/* Cfa/closure.scm 89 */

														{	/* Cfa/closure.scm 91 */
															bool_t BgL_test2312z00_5310;

															if (BgL_lostzf3zf3_3147)
																{	/* Cfa/closure.scm 91 */
																	BgL_test2312z00_5310 = ((bool_t) 1);
																}
															else
																{	/* Cfa/closure.scm 92 */
																	bool_t BgL_test2314z00_5312;

																	{
																		BgL_makezd2procedurezd2appz00_bglt
																			BgL_auxz00_5313;
																		{
																			obj_t BgL_auxz00_5314;

																			{	/* Cfa/closure.scm 92 */
																				BgL_objectz00_bglt BgL_tmpz00_5315;

																				BgL_tmpz00_5315 =
																					((BgL_objectz00_bglt)
																					((BgL_appz00_bglt) BgL_appz00_3143));
																				BgL_auxz00_5314 =
																					BGL_OBJECT_WIDENING(BgL_tmpz00_5315);
																			}
																			BgL_auxz00_5313 =
																				((BgL_makezd2procedurezd2appz00_bglt)
																				BgL_auxz00_5314);
																		}
																		BgL_test2314z00_5312 =
																			(((BgL_makezd2procedurezd2appz00_bglt)
																				COBJECT(BgL_auxz00_5313))->
																			BgL_xzd2tzf3z21);
																	}
																	if (BgL_test2314z00_5312)
																		{	/* Cfa/closure.scm 92 */
																			if (
																				((((BgL_funz00_bglt) COBJECT(
																								((BgL_funz00_bglt)
																									((BgL_sfunz00_bglt)
																										(((BgL_variablez00_bglt)
																												COBJECT((
																														(BgL_variablez00_bglt)
																														((BgL_globalz00_bglt) BgL_funz00_3145))))->BgL_valuez00)))))->BgL_arityz00) < 0L))
																				{	/* Cfa/closure.scm 93 */
																					BgL_test2312z00_5310 = ((bool_t) 1);
																				}
																			else
																				{	/* Cfa/closure.scm 93 */
																					if (INTEGERP(BgL_siza7eza7_3148))
																						{	/* Cfa/closure.scm 95 */
																							bool_t BgL_test2317z00_5331;

																							{	/* Cfa/closure.scm 95 */
																								obj_t BgL_classz00_4232;

																								BgL_classz00_4232 =
																									BGl_globalz00zzast_varz00;
																								if (BGL_OBJECTP
																									(BgL_cloz00_3146))
																									{	/* Cfa/closure.scm 95 */
																										BgL_objectz00_bglt
																											BgL_arg1858z00_4234;
																										BgL_arg1858z00_4234 =
																											(BgL_objectz00_bglt)
																											(BgL_cloz00_3146);
																										if (BGL_CONDEXPAND_ISA_ARCH64())
																											{	/* Cfa/closure.scm 95 */
																												long BgL_idxz00_4240;

																												BgL_idxz00_4240 =
																													BGL_OBJECT_INHERITANCE_NUM
																													(BgL_arg1858z00_4234);
																												BgL_test2317z00_5331 =
																													(VECTOR_REF
																													(BGl_za2inheritancesza2z00zz__objectz00,
																														(BgL_idxz00_4240 +
																															2L)) ==
																													BgL_classz00_4232);
																											}
																										else
																											{	/* Cfa/closure.scm 95 */
																												bool_t
																													BgL_res2251z00_4265;
																												{	/* Cfa/closure.scm 95 */
																													obj_t
																														BgL_oclassz00_4248;
																													{	/* Cfa/closure.scm 95 */
																														obj_t
																															BgL_arg1866z00_4256;
																														long
																															BgL_arg1867z00_4257;
																														BgL_arg1866z00_4256
																															=
																															(BGl_za2classesza2z00zz__objectz00);
																														{	/* Cfa/closure.scm 95 */
																															long
																																BgL_arg1869z00_4258;
																															BgL_arg1869z00_4258
																																=
																																BGL_OBJECT_CLASS_NUM
																																(BgL_arg1858z00_4234);
																															BgL_arg1867z00_4257
																																=
																																(BgL_arg1869z00_4258
																																- OBJECT_TYPE);
																														}
																														BgL_oclassz00_4248 =
																															VECTOR_REF
																															(BgL_arg1866z00_4256,
																															BgL_arg1867z00_4257);
																													}
																													{	/* Cfa/closure.scm 95 */
																														bool_t
																															BgL__ortest_1115z00_4249;
																														BgL__ortest_1115z00_4249
																															=
																															(BgL_classz00_4232
																															==
																															BgL_oclassz00_4248);
																														if (BgL__ortest_1115z00_4249)
																															{	/* Cfa/closure.scm 95 */
																																BgL_res2251z00_4265
																																	=
																																	BgL__ortest_1115z00_4249;
																															}
																														else
																															{	/* Cfa/closure.scm 95 */
																																long
																																	BgL_odepthz00_4250;
																																{	/* Cfa/closure.scm 95 */
																																	obj_t
																																		BgL_arg1855z00_4251;
																																	BgL_arg1855z00_4251
																																		=
																																		(BgL_oclassz00_4248);
																																	BgL_odepthz00_4250
																																		=
																																		BGL_CLASS_DEPTH
																																		(BgL_arg1855z00_4251);
																																}
																																if (
																																	(2L <
																																		BgL_odepthz00_4250))
																																	{	/* Cfa/closure.scm 95 */
																																		obj_t
																																			BgL_arg1853z00_4253;
																																		{	/* Cfa/closure.scm 95 */
																																			obj_t
																																				BgL_arg1854z00_4254;
																																			BgL_arg1854z00_4254
																																				=
																																				(BgL_oclassz00_4248);
																																			BgL_arg1853z00_4253
																																				=
																																				BGL_CLASS_ANCESTORS_REF
																																				(BgL_arg1854z00_4254,
																																				2L);
																																		}
																																		BgL_res2251z00_4265
																																			=
																																			(BgL_arg1853z00_4253
																																			==
																																			BgL_classz00_4232);
																																	}
																																else
																																	{	/* Cfa/closure.scm 95 */
																																		BgL_res2251z00_4265
																																			=
																																			((bool_t)
																																			0);
																																	}
																															}
																													}
																												}
																												BgL_test2317z00_5331 =
																													BgL_res2251z00_4265;
																											}
																									}
																								else
																									{	/* Cfa/closure.scm 95 */
																										BgL_test2317z00_5331 =
																											((bool_t) 0);
																									}
																							}
																							if (BgL_test2317z00_5331)
																								{	/* Cfa/closure.scm 95 */
																									if (
																										((((BgL_globalz00_bglt)
																													COBJECT((
																															(BgL_globalz00_bglt)
																															BgL_cloz00_3146)))->
																												BgL_importz00) ==
																											((obj_t)
																												CNST_TABLE_REF(1))))
																										{	/* Cfa/closure.scm 96 */
																											BgL_test2312z00_5310 =
																												((bool_t) 0);
																										}
																									else
																										{	/* Cfa/closure.scm 96 */
																											BgL_test2312z00_5310 =
																												((bool_t) 1);
																										}
																								}
																							else
																								{	/* Cfa/closure.scm 95 */
																									BgL_test2312z00_5310 =
																										((bool_t) 0);
																								}
																						}
																					else
																						{	/* Cfa/closure.scm 94 */
																							BgL_test2312z00_5310 =
																								((bool_t) 1);
																						}
																				}
																		}
																	else
																		{	/* Cfa/closure.scm 92 */
																			BgL_test2312z00_5310 = ((bool_t) 1);
																		}
																}
															if (BgL_test2312z00_5310)
																{	/* Cfa/closure.scm 91 */
																	BNIL;
																}
															else
																{	/* Cfa/closure.scm 91 */
																	{
																		BgL_makezd2procedurezd2appz00_bglt
																			BgL_auxz00_5360;
																		{
																			obj_t BgL_auxz00_5361;

																			{	/* Cfa/closure.scm 113 */
																				BgL_objectz00_bglt BgL_tmpz00_5362;

																				BgL_tmpz00_5362 =
																					((BgL_objectz00_bglt)
																					((BgL_appz00_bglt) BgL_appz00_3143));
																				BgL_auxz00_5361 =
																					BGL_OBJECT_WIDENING(BgL_tmpz00_5362);
																			}
																			BgL_auxz00_5360 =
																				((BgL_makezd2procedurezd2appz00_bglt)
																				BgL_auxz00_5361);
																		}
																		((((BgL_makezd2procedurezd2appz00_bglt)
																					COBJECT(BgL_auxz00_5360))->BgL_xz00) =
																			((bool_t) ((bool_t) 1)), BUNSPEC);
																	}
																	{
																		BgL_makezd2procedurezd2appz00_bglt
																			BgL_auxz00_5368;
																		{
																			obj_t BgL_auxz00_5369;

																			{	/* Cfa/closure.scm 114 */
																				BgL_objectz00_bglt BgL_tmpz00_5370;

																				BgL_tmpz00_5370 =
																					((BgL_objectz00_bglt)
																					((BgL_appz00_bglt) BgL_appz00_3143));
																				BgL_auxz00_5369 =
																					BGL_OBJECT_WIDENING(BgL_tmpz00_5370);
																			}
																			BgL_auxz00_5368 =
																				((BgL_makezd2procedurezd2appz00_bglt)
																				BgL_auxz00_5369);
																		}
																		((((BgL_makezd2procedurezd2appz00_bglt)
																					COBJECT(BgL_auxz00_5368))->BgL_tz00) =
																			((bool_t) ((bool_t) 1)), BUNSPEC);
																	}
																}
														}
													}
												}
											}
										}
									}
								}
								{
									obj_t BgL_l1528z00_5376;

									BgL_l1528z00_5376 = CDR(BgL_l1528z00_3140);
									BgL_l1528z00_3140 = BgL_l1528z00_5376;
									goto BgL_zc3z04anonymousza31639ze3z87_3141;
								}
							}
						else
							{	/* Cfa/closure.scm 83 */
								((bool_t) 1);
							}
					}
					BGl_Xz12z12zzcfa_closurez00
						(BGl_za2funcallzd2listza2zd2zzcfa_closurez00);
					BGl_Tzd2fixzd2pointz12z12zzcfa_closurez00
						(BGl_za2funcallzd2listza2zd2zzcfa_closurez00);
					{
						obj_t BgL_l1530z00_3178;

						BgL_l1530z00_3178 =
							BGl_za2makezd2procedurezd2listza2z00zzcfa_closurez00;
					BgL_zc3z04anonymousza31692ze3z87_3179:
						if (PAIRP(BgL_l1530z00_3178))
							{	/* Cfa/closure.scm 121 */
								{	/* Cfa/closure.scm 122 */
									obj_t BgL_allocz00_3181;

									BgL_allocz00_3181 = CAR(BgL_l1530z00_3178);
									{	/* Cfa/closure.scm 123 */
										BgL_valuez00_bglt BgL_fz00_3183;

										{
											BgL_variablez00_bglt BgL_auxz00_5383;

											{
												BgL_varz00_bglt BgL_auxz00_5384;

												{	/* Cfa/closure.scm 123 */
													obj_t BgL_pairz00_4271;

													BgL_pairz00_4271 =
														(((BgL_appz00_bglt) COBJECT(
																((BgL_appz00_bglt)
																	((BgL_appz00_bglt) BgL_allocz00_3181))))->
														BgL_argsz00);
													BgL_auxz00_5384 =
														((BgL_varz00_bglt) CAR(BgL_pairz00_4271));
												}
												BgL_auxz00_5383 =
													(((BgL_varz00_bglt) COBJECT(BgL_auxz00_5384))->
													BgL_variablez00);
											}
											BgL_fz00_3183 =
												(((BgL_variablez00_bglt) COBJECT(BgL_auxz00_5383))->
												BgL_valuez00);
										}
										{	/* Cfa/closure.scm 125 */
											bool_t BgL_test2324z00_5392;

											{
												BgL_makezd2procedurezd2appz00_bglt BgL_auxz00_5393;

												{
													obj_t BgL_auxz00_5394;

													{	/* Cfa/closure.scm 125 */
														BgL_objectz00_bglt BgL_tmpz00_5395;

														BgL_tmpz00_5395 =
															((BgL_objectz00_bglt)
															((BgL_appz00_bglt) BgL_allocz00_3181));
														BgL_auxz00_5394 =
															BGL_OBJECT_WIDENING(BgL_tmpz00_5395);
													}
													BgL_auxz00_5393 =
														((BgL_makezd2procedurezd2appz00_bglt)
														BgL_auxz00_5394);
												}
												BgL_test2324z00_5392 =
													(((BgL_makezd2procedurezd2appz00_bglt)
														COBJECT(BgL_auxz00_5393))->BgL_xz00);
											}
											if (BgL_test2324z00_5392)
												{	/* Cfa/closure.scm 125 */
													obj_t BgL_vz00_4276;

													BgL_vz00_4276 = ((obj_t) CNST_TABLE_REF(2));
													((((BgL_sfunz00_bglt) COBJECT(
																	((BgL_sfunz00_bglt) BgL_fz00_3183)))->
															BgL_strengthz00) =
														((obj_t) BgL_vz00_4276), BUNSPEC);
												}
											else
												{	/* Cfa/closure.scm 126 */
													bool_t BgL_test2325z00_5405;

													{
														BgL_makezd2procedurezd2appz00_bglt BgL_auxz00_5406;

														{
															obj_t BgL_auxz00_5407;

															{	/* Cfa/closure.scm 126 */
																BgL_objectz00_bglt BgL_tmpz00_5408;

																BgL_tmpz00_5408 =
																	((BgL_objectz00_bglt)
																	((BgL_appz00_bglt) BgL_allocz00_3181));
																BgL_auxz00_5407 =
																	BGL_OBJECT_WIDENING(BgL_tmpz00_5408);
															}
															BgL_auxz00_5406 =
																((BgL_makezd2procedurezd2appz00_bglt)
																BgL_auxz00_5407);
														}
														BgL_test2325z00_5405 =
															(((BgL_makezd2procedurezd2appz00_bglt)
																COBJECT(BgL_auxz00_5406))->BgL_tz00);
													}
													if (BgL_test2325z00_5405)
														{	/* Cfa/closure.scm 126 */
															obj_t BgL_vz00_4279;

															BgL_vz00_4279 = ((obj_t) CNST_TABLE_REF(3));
															((((BgL_sfunz00_bglt) COBJECT(
																			((BgL_sfunz00_bglt) BgL_fz00_3183)))->
																	BgL_strengthz00) =
																((obj_t) BgL_vz00_4279), BUNSPEC);
														}
													else
														{	/* Cfa/closure.scm 127 */
															obj_t BgL_vz00_4281;

															BgL_vz00_4281 = ((obj_t) CNST_TABLE_REF(0));
															((((BgL_sfunz00_bglt) COBJECT(
																			((BgL_sfunz00_bglt) BgL_fz00_3183)))->
																	BgL_strengthz00) =
																((obj_t) BgL_vz00_4281), BUNSPEC);
														}
												}
										}
									}
								}
								{
									obj_t BgL_l1530z00_5422;

									BgL_l1530z00_5422 = CDR(BgL_l1530z00_3178);
									BgL_l1530z00_3178 = BgL_l1530z00_5422;
									goto BgL_zc3z04anonymousza31692ze3z87_3179;
								}
							}
						else
							{	/* Cfa/closure.scm 121 */
								((bool_t) 1);
							}
					}
					BGl_showzd2Xzd2Tz00zzcfa_closurez00
						(BGl_za2makezd2procedurezd2listza2z00zzcfa_closurez00);
					BGl_lightzd2funcallz12zc0zzcfa_closurez00();
					BGl_lightzd2accessz12zc0zzcfa_closurez00();
					BGl_lightzd2makezd2procedurez12z12zzcfa_closurez00();
					return BGl_lightzd2typez12zc0zzcfa_ltypez00(BgL_globalsz00_24);
				}
			else
				{	/* Cfa/closure.scm 73 */
					return BFALSE;
				}
		}

	}



/* &closure-optimization! */
	obj_t BGl_z62closurezd2optimiza7ationz12z05zzcfa_closurez00(obj_t
		BgL_envz00_5108, obj_t BgL_globalsz00_5109)
	{
		{	/* Cfa/closure.scm 72 */
			return
				BGl_closurezd2optimiza7ationz12z67zzcfa_closurez00(BgL_globalsz00_5109);
		}

	}



/* X! */
	bool_t BGl_Xz12z12zzcfa_closurez00(obj_t BgL_funcallzd2listzd2_25)
	{
		{	/* Cfa/closure.scm 143 */
			{
				obj_t BgL_l1532z00_3192;

				BgL_l1532z00_3192 = BgL_funcallzd2listzd2_25;
			BgL_zc3z04anonymousza31716ze3z87_3193:
				if (PAIRP(BgL_l1532z00_3192))
					{	/* Cfa/closure.scm 145 */
						{	/* Cfa/closure.scm 146 */
							BgL_funcallz00_bglt BgL_appz00_3195;

							BgL_appz00_3195 = ((BgL_funcallz00_bglt) CAR(BgL_l1532z00_3192));
							{	/* Cfa/closure.scm 147 */
								BgL_nodez00_bglt BgL_funz00_3196;

								BgL_funz00_3196 =
									(((BgL_funcallz00_bglt) COBJECT(BgL_appz00_3195))->
									BgL_funz00);
								{	/* Cfa/closure.scm 147 */
									BgL_approxz00_bglt BgL_approxz00_3197;

									BgL_approxz00_3197 =
										BGl_cfaz12z12zzcfa_cfaz00(BgL_funz00_3196);
									{	/* Cfa/closure.scm 148 */
										obj_t BgL_allocz00_3198;

										BgL_allocz00_3198 =
											(((BgL_approxz00_bglt) COBJECT(BgL_approxz00_3197))->
											BgL_allocsz00);
										{	/* Cfa/closure.scm 149 */
											obj_t BgL_typez00_3199;

											BgL_typez00_3199 =
												((obj_t)
												(((BgL_approxz00_bglt) COBJECT(BgL_approxz00_3197))->
													BgL_typez00));
											{	/* Cfa/closure.scm 150 */
												bool_t BgL_topzf3zf3_3200;

												BgL_topzf3zf3_3200 =
													(((BgL_approxz00_bglt) COBJECT(BgL_approxz00_3197))->
													BgL_topzf3zf3);
												{	/* Cfa/closure.scm 151 */

													if (BgL_topzf3zf3_3200)
														{	/* Cfa/closure.scm 153 */
															if (
																(((BgL_approxz00_bglt)
																		COBJECT(BgL_approxz00_3197))->
																	BgL_haszd2procedurezf3z21))
																{	/* Cfa/closure.scm 156 */
																	BGl_forzd2eachzd2approxzd2alloczd2zzcfa_approxz00
																		(BGl_proc2273z00zzcfa_closurez00,
																		BgL_approxz00_3197);
																}
															else
																{	/* Cfa/closure.scm 156 */
																	BFALSE;
																}
														}
													else
														{	/* Cfa/closure.scm 166 */
															bool_t BgL_test2329z00_5444;

															{	/* Cfa/closure.scm 166 */
																obj_t BgL_arg1765z00_3223;

																BgL_arg1765z00_3223 =
																	BGl_setzd2lengthzd2zzcfa_setz00
																	(BgL_allocz00_3198);
																BgL_test2329z00_5444 =
																	((long) CINT(BgL_arg1765z00_3223) == 0L);
															}
															if (BgL_test2329z00_5444)
																{	/* Cfa/closure.scm 166 */
																	((obj_t) CNST_TABLE_REF(4));
																}
															else
																{	/* Cfa/closure.scm 169 */
																	bool_t BgL_test2330z00_5450;

																	{	/* Cfa/closure.scm 169 */
																		bool_t BgL_test2331z00_5451;

																		{	/* Cfa/closure.scm 169 */
																			obj_t BgL_arg1763z00_3222;

																			BgL_arg1763z00_3222 =
																				BGl_setzd2lengthzd2zzcfa_setz00
																				(BgL_allocz00_3198);
																			BgL_test2331z00_5451 =
																				((long) CINT(BgL_arg1763z00_3222) ==
																				1L);
																		}
																		if (BgL_test2331z00_5451)
																			{	/* Cfa/closure.scm 170 */
																				obj_t BgL__ortest_1168z00_3221;

																				BgL__ortest_1168z00_3221 =
																					BGl_za2unsafezd2typeza2zd2zzengine_paramz00;
																				if (CBOOL(BgL__ortest_1168z00_3221))
																					{	/* Cfa/closure.scm 170 */
																						BgL_test2330z00_5450 =
																							CBOOL(BgL__ortest_1168z00_3221);
																					}
																				else
																					{	/* Cfa/closure.scm 170 */
																						BgL_test2330z00_5450 =
																							(BgL_typez00_3199 ==
																							BGl_za2procedureza2z00zztype_cachez00);
																					}
																			}
																		else
																			{	/* Cfa/closure.scm 169 */
																				BgL_test2330z00_5450 = ((bool_t) 0);
																			}
																	}
																	if (BgL_test2330z00_5450)
																		{	/* Cfa/closure.scm 169 */
																			((obj_t) CNST_TABLE_REF(4));
																		}
																	else
																		{	/* Cfa/closure.scm 169 */
																			if (
																				(((BgL_approxz00_bglt)
																						COBJECT(BgL_approxz00_3197))->
																					BgL_haszd2procedurezf3z21))
																				{	/* Cfa/closure.scm 177 */
																					BGl_forzd2eachzd2approxzd2alloczd2zzcfa_approxz00
																						(BGl_proc2274z00zzcfa_closurez00,
																						BgL_approxz00_3197);
																				}
																			else
																				{	/* Cfa/closure.scm 177 */
																					BFALSE;
																				}
																		}
																}
														}
												}
											}
										}
									}
								}
							}
						}
						{
							obj_t BgL_l1532z00_5464;

							BgL_l1532z00_5464 = CDR(BgL_l1532z00_3192);
							BgL_l1532z00_3192 = BgL_l1532z00_5464;
							goto BgL_zc3z04anonymousza31716ze3z87_3193;
						}
					}
				else
					{	/* Cfa/closure.scm 145 */
						return ((bool_t) 1);
					}
			}
		}

	}



/* &<@anonymous:1721> */
	obj_t BGl_z62zc3z04anonymousza31721ze3ze5zzcfa_closurez00(obj_t
		BgL_envz00_5112, obj_t BgL_allocz00_5113)
	{
		{	/* Cfa/closure.scm 158 */
			{	/* Cfa/closure.scm 159 */
				bool_t BgL_test2334z00_5466;

				{	/* Cfa/closure.scm 159 */
					obj_t BgL_classz00_5140;

					BgL_classz00_5140 = BGl_makezd2procedurezd2appz00zzcfa_info2z00;
					if (BGL_OBJECTP(BgL_allocz00_5113))
						{	/* Cfa/closure.scm 159 */
							BgL_objectz00_bglt BgL_arg1858z00_5141;

							BgL_arg1858z00_5141 = (BgL_objectz00_bglt) (BgL_allocz00_5113);
							if (BGL_CONDEXPAND_ISA_ARCH64())
								{	/* Cfa/closure.scm 159 */
									long BgL_idxz00_5142;

									BgL_idxz00_5142 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_5141);
									BgL_test2334z00_5466 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_5142 + 4L)) == BgL_classz00_5140);
								}
							else
								{	/* Cfa/closure.scm 159 */
									bool_t BgL_res2252z00_5145;

									{	/* Cfa/closure.scm 159 */
										obj_t BgL_oclassz00_5146;

										{	/* Cfa/closure.scm 159 */
											obj_t BgL_arg1866z00_5147;
											long BgL_arg1867z00_5148;

											BgL_arg1866z00_5147 = (BGl_za2classesza2z00zz__objectz00);
											{	/* Cfa/closure.scm 159 */
												long BgL_arg1869z00_5149;

												BgL_arg1869z00_5149 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_5141);
												BgL_arg1867z00_5148 =
													(BgL_arg1869z00_5149 - OBJECT_TYPE);
											}
											BgL_oclassz00_5146 =
												VECTOR_REF(BgL_arg1866z00_5147, BgL_arg1867z00_5148);
										}
										{	/* Cfa/closure.scm 159 */
											bool_t BgL__ortest_1115z00_5150;

											BgL__ortest_1115z00_5150 =
												(BgL_classz00_5140 == BgL_oclassz00_5146);
											if (BgL__ortest_1115z00_5150)
												{	/* Cfa/closure.scm 159 */
													BgL_res2252z00_5145 = BgL__ortest_1115z00_5150;
												}
											else
												{	/* Cfa/closure.scm 159 */
													long BgL_odepthz00_5151;

													{	/* Cfa/closure.scm 159 */
														obj_t BgL_arg1855z00_5152;

														BgL_arg1855z00_5152 = (BgL_oclassz00_5146);
														BgL_odepthz00_5151 =
															BGL_CLASS_DEPTH(BgL_arg1855z00_5152);
													}
													if ((4L < BgL_odepthz00_5151))
														{	/* Cfa/closure.scm 159 */
															obj_t BgL_arg1853z00_5153;

															{	/* Cfa/closure.scm 159 */
																obj_t BgL_arg1854z00_5154;

																BgL_arg1854z00_5154 = (BgL_oclassz00_5146);
																BgL_arg1853z00_5153 =
																	BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_5154,
																	4L);
															}
															BgL_res2252z00_5145 =
																(BgL_arg1853z00_5153 == BgL_classz00_5140);
														}
													else
														{	/* Cfa/closure.scm 159 */
															BgL_res2252z00_5145 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_test2334z00_5466 = BgL_res2252z00_5145;
								}
						}
					else
						{	/* Cfa/closure.scm 159 */
							BgL_test2334z00_5466 = ((bool_t) 0);
						}
				}
				if (BgL_test2334z00_5466)
					{	/* Cfa/closure.scm 159 */
						{
							BgL_makezd2procedurezd2appz00_bglt BgL_auxz00_5489;

							{
								obj_t BgL_auxz00_5490;

								{	/* Cfa/closure.scm 163 */
									BgL_objectz00_bglt BgL_tmpz00_5491;

									BgL_tmpz00_5491 =
										((BgL_objectz00_bglt)
										((BgL_appz00_bglt) BgL_allocz00_5113));
									BgL_auxz00_5490 = BGL_OBJECT_WIDENING(BgL_tmpz00_5491);
								}
								BgL_auxz00_5489 =
									((BgL_makezd2procedurezd2appz00_bglt) BgL_auxz00_5490);
							}
							((((BgL_makezd2procedurezd2appz00_bglt)
										COBJECT(BgL_auxz00_5489))->BgL_tz00) =
								((bool_t) ((bool_t) 0)), BUNSPEC);
						}
						{
							BgL_makezd2procedurezd2appz00_bglt BgL_auxz00_5497;

							{
								obj_t BgL_auxz00_5498;

								{	/* Cfa/closure.scm 164 */
									BgL_objectz00_bglt BgL_tmpz00_5499;

									BgL_tmpz00_5499 =
										((BgL_objectz00_bglt)
										((BgL_appz00_bglt) BgL_allocz00_5113));
									BgL_auxz00_5498 = BGL_OBJECT_WIDENING(BgL_tmpz00_5499);
								}
								BgL_auxz00_5497 =
									((BgL_makezd2procedurezd2appz00_bglt) BgL_auxz00_5498);
							}
							return
								((((BgL_makezd2procedurezd2appz00_bglt)
										COBJECT(BgL_auxz00_5497))->BgL_xz00) =
								((bool_t) ((bool_t) 0)), BUNSPEC);
						}
					}
				else
					{	/* Cfa/closure.scm 159 */
						return BFALSE;
					}
			}
		}

	}



/* &<@anonymous:1756> */
	obj_t BGl_z62zc3z04anonymousza31756ze3ze5zzcfa_closurez00(obj_t
		BgL_envz00_5114, obj_t BgL_allocz00_5115)
	{
		{	/* Cfa/closure.scm 179 */
			{	/* Cfa/closure.scm 180 */
				bool_t BgL_test2339z00_5505;

				{	/* Cfa/closure.scm 180 */
					obj_t BgL_classz00_5155;

					BgL_classz00_5155 = BGl_makezd2procedurezd2appz00zzcfa_info2z00;
					if (BGL_OBJECTP(BgL_allocz00_5115))
						{	/* Cfa/closure.scm 180 */
							BgL_objectz00_bglt BgL_arg1858z00_5156;

							BgL_arg1858z00_5156 = (BgL_objectz00_bglt) (BgL_allocz00_5115);
							if (BGL_CONDEXPAND_ISA_ARCH64())
								{	/* Cfa/closure.scm 180 */
									long BgL_idxz00_5157;

									BgL_idxz00_5157 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_5156);
									BgL_test2339z00_5505 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_5157 + 4L)) == BgL_classz00_5155);
								}
							else
								{	/* Cfa/closure.scm 180 */
									bool_t BgL_res2253z00_5160;

									{	/* Cfa/closure.scm 180 */
										obj_t BgL_oclassz00_5161;

										{	/* Cfa/closure.scm 180 */
											obj_t BgL_arg1866z00_5162;
											long BgL_arg1867z00_5163;

											BgL_arg1866z00_5162 = (BGl_za2classesza2z00zz__objectz00);
											{	/* Cfa/closure.scm 180 */
												long BgL_arg1869z00_5164;

												BgL_arg1869z00_5164 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_5156);
												BgL_arg1867z00_5163 =
													(BgL_arg1869z00_5164 - OBJECT_TYPE);
											}
											BgL_oclassz00_5161 =
												VECTOR_REF(BgL_arg1866z00_5162, BgL_arg1867z00_5163);
										}
										{	/* Cfa/closure.scm 180 */
											bool_t BgL__ortest_1115z00_5165;

											BgL__ortest_1115z00_5165 =
												(BgL_classz00_5155 == BgL_oclassz00_5161);
											if (BgL__ortest_1115z00_5165)
												{	/* Cfa/closure.scm 180 */
													BgL_res2253z00_5160 = BgL__ortest_1115z00_5165;
												}
											else
												{	/* Cfa/closure.scm 180 */
													long BgL_odepthz00_5166;

													{	/* Cfa/closure.scm 180 */
														obj_t BgL_arg1855z00_5167;

														BgL_arg1855z00_5167 = (BgL_oclassz00_5161);
														BgL_odepthz00_5166 =
															BGL_CLASS_DEPTH(BgL_arg1855z00_5167);
													}
													if ((4L < BgL_odepthz00_5166))
														{	/* Cfa/closure.scm 180 */
															obj_t BgL_arg1853z00_5168;

															{	/* Cfa/closure.scm 180 */
																obj_t BgL_arg1854z00_5169;

																BgL_arg1854z00_5169 = (BgL_oclassz00_5161);
																BgL_arg1853z00_5168 =
																	BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_5169,
																	4L);
															}
															BgL_res2253z00_5160 =
																(BgL_arg1853z00_5168 == BgL_classz00_5155);
														}
													else
														{	/* Cfa/closure.scm 180 */
															BgL_res2253z00_5160 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_test2339z00_5505 = BgL_res2253z00_5160;
								}
						}
					else
						{	/* Cfa/closure.scm 180 */
							BgL_test2339z00_5505 = ((bool_t) 0);
						}
				}
				if (BgL_test2339z00_5505)
					{	/* Cfa/closure.scm 180 */
						{
							BgL_makezd2procedurezd2appz00_bglt BgL_auxz00_5528;

							{
								obj_t BgL_auxz00_5529;

								{	/* Cfa/closure.scm 184 */
									BgL_objectz00_bglt BgL_tmpz00_5530;

									BgL_tmpz00_5530 =
										((BgL_objectz00_bglt)
										((BgL_appz00_bglt) BgL_allocz00_5115));
									BgL_auxz00_5529 = BGL_OBJECT_WIDENING(BgL_tmpz00_5530);
								}
								BgL_auxz00_5528 =
									((BgL_makezd2procedurezd2appz00_bglt) BgL_auxz00_5529);
							}
							return
								((((BgL_makezd2procedurezd2appz00_bglt)
										COBJECT(BgL_auxz00_5528))->BgL_xz00) =
								((bool_t) ((bool_t) 0)), BUNSPEC);
						}
					}
				else
					{	/* Cfa/closure.scm 180 */
						return BFALSE;
					}
			}
		}

	}



/* T-fix-point! */
	obj_t BGl_Tzd2fixzd2pointz12z12zzcfa_closurez00(obj_t
		BgL_funcallzd2listzd2_26)
	{
		{	/* Cfa/closure.scm 197 */
			{
				bool_t BgL_continuezf3zf3_3227;

				BgL_continuezf3zf3_3227 = ((bool_t) 1);
			BgL_zc3z04anonymousza31769ze3z87_3228:
				if (BgL_continuezf3zf3_3227)
					{	/* Cfa/closure.scm 202 */
						bool_t BgL_continuezf3zf3_3229;

						BgL_continuezf3zf3_3229 = ((bool_t) 0);
						{
							obj_t BgL_l1536z00_3231;

							BgL_l1536z00_3231 = BgL_funcallzd2listzd2_26;
						BgL_zc3z04anonymousza31770ze3z87_3232:
							if (PAIRP(BgL_l1536z00_3231))
								{	/* Cfa/closure.scm 203 */
									{	/* Cfa/closure.scm 205 */
										obj_t BgL_appz00_3234;

										BgL_appz00_3234 = CAR(BgL_l1536z00_3231);
										{	/* Cfa/closure.scm 206 */
											BgL_nodez00_bglt BgL_funz00_3235;

											BgL_funz00_3235 =
												(((BgL_funcallz00_bglt) COBJECT(
														((BgL_funcallz00_bglt) BgL_appz00_3234)))->
												BgL_funz00);
											{	/* Cfa/closure.scm 206 */
												BgL_approxz00_bglt BgL_approxz00_3236;

												BgL_approxz00_3236 =
													BGl_cfaz12z12zzcfa_cfaz00(BgL_funz00_3235);
												{	/* Cfa/closure.scm 207 */
													obj_t BgL_allocz00_3237;

													BgL_allocz00_3237 =
														BGl_setzd2ze3listz31zzcfa_setz00(
														(((BgL_approxz00_bglt)
																COBJECT(BgL_approxz00_3236))->BgL_allocsz00));
													{	/* Cfa/closure.scm 208 */
														obj_t BgL_typez00_3238;

														BgL_typez00_3238 =
															((obj_t)
															(((BgL_approxz00_bglt)
																	COBJECT(BgL_approxz00_3236))->BgL_typez00));
														{	/* Cfa/closure.scm 209 */
															bool_t BgL_tzd2initzf3z21_3239;

															{	/* Cfa/closure.scm 210 */
																bool_t BgL__ortest_1169z00_3263;

																BgL__ortest_1169z00_3263 =
																	(((BgL_approxz00_bglt)
																		COBJECT(BgL_approxz00_3236))->
																	BgL_topzf3zf3);
																if (BgL__ortest_1169z00_3263)
																	{	/* Cfa/closure.scm 210 */
																		BgL_tzd2initzf3z21_3239 =
																			BgL__ortest_1169z00_3263;
																	}
																else
																	{	/* Cfa/closure.scm 211 */
																		bool_t BgL_test2347z00_5549;

																		if (
																			(BgL_typez00_3238 ==
																				BGl_za2procedureza2z00zztype_cachez00))
																			{	/* Cfa/closure.scm 211 */
																				BgL_test2347z00_5549 = ((bool_t) 1);
																			}
																		else
																			{	/* Cfa/closure.scm 211 */
																				BgL_test2347z00_5549 =
																					CBOOL
																					(BGl_za2unsafezd2typeza2zd2zzengine_paramz00);
																			}
																		if (BgL_test2347z00_5549)
																			{	/* Cfa/closure.scm 211 */
																				BgL_tzd2initzf3z21_3239 = ((bool_t) 0);
																			}
																		else
																			{	/* Cfa/closure.scm 211 */
																				BgL_tzd2initzf3z21_3239 = ((bool_t) 1);
																			}
																	}
															}
															{	/* Cfa/closure.scm 210 */

																{
																	bool_t BgL_onezd2nonzd2tzf3zf3_3241;
																	obj_t BgL_allocsz00_3242;

																	BgL_onezd2nonzd2tzf3zf3_3241 =
																		BgL_tzd2initzf3z21_3239;
																	BgL_allocsz00_3242 = BgL_allocz00_3237;
																BgL_zc3z04anonymousza31772ze3z87_3243:
																	if (NULLP(BgL_allocsz00_3242))
																		{	/* Cfa/closure.scm 219 */
																			((obj_t) CNST_TABLE_REF(5));
																		}
																	else
																		{	/* Cfa/closure.scm 219 */
																			if (BgL_onezd2nonzd2tzf3zf3_3241)
																				{
																					obj_t BgL_l1534z00_3246;

																					{	/* Cfa/closure.scm 222 */
																						bool_t BgL_tmpz00_5558;

																						BgL_l1534z00_3246 =
																							BgL_allocz00_3237;
																					BgL_zc3z04anonymousza31774ze3z87_3247:
																						if (PAIRP
																							(BgL_l1534z00_3246))
																							{	/* Cfa/closure.scm 222 */
																								{	/* Cfa/closure.scm 224 */
																									obj_t BgL_allocz00_3249;

																									BgL_allocz00_3249 =
																										CAR(BgL_l1534z00_3246);
																									{	/* Cfa/closure.scm 224 */
																										bool_t BgL_test2352z00_5562;

																										{	/* Cfa/closure.scm 224 */
																											obj_t BgL_classz00_4376;

																											BgL_classz00_4376 =
																												BGl_makezd2procedurezd2appz00zzcfa_info2z00;
																											if (BGL_OBJECTP
																												(BgL_allocz00_3249))
																												{	/* Cfa/closure.scm 224 */
																													BgL_objectz00_bglt
																														BgL_arg1858z00_4378;
																													BgL_arg1858z00_4378 =
																														(BgL_objectz00_bglt)
																														(BgL_allocz00_3249);
																													if (BGL_CONDEXPAND_ISA_ARCH64())
																														{	/* Cfa/closure.scm 224 */
																															long
																																BgL_idxz00_4384;
																															BgL_idxz00_4384 =
																																BGL_OBJECT_INHERITANCE_NUM
																																(BgL_arg1858z00_4378);
																															BgL_test2352z00_5562
																																=
																																(VECTOR_REF
																																(BGl_za2inheritancesza2z00zz__objectz00,
																																	(BgL_idxz00_4384
																																		+ 4L)) ==
																																BgL_classz00_4376);
																														}
																													else
																														{	/* Cfa/closure.scm 224 */
																															bool_t
																																BgL_res2254z00_4409;
																															{	/* Cfa/closure.scm 224 */
																																obj_t
																																	BgL_oclassz00_4392;
																																{	/* Cfa/closure.scm 224 */
																																	obj_t
																																		BgL_arg1866z00_4400;
																																	long
																																		BgL_arg1867z00_4401;
																																	BgL_arg1866z00_4400
																																		=
																																		(BGl_za2classesza2z00zz__objectz00);
																																	{	/* Cfa/closure.scm 224 */
																																		long
																																			BgL_arg1869z00_4402;
																																		BgL_arg1869z00_4402
																																			=
																																			BGL_OBJECT_CLASS_NUM
																																			(BgL_arg1858z00_4378);
																																		BgL_arg1867z00_4401
																																			=
																																			(BgL_arg1869z00_4402
																																			-
																																			OBJECT_TYPE);
																																	}
																																	BgL_oclassz00_4392
																																		=
																																		VECTOR_REF
																																		(BgL_arg1866z00_4400,
																																		BgL_arg1867z00_4401);
																																}
																																{	/* Cfa/closure.scm 224 */
																																	bool_t
																																		BgL__ortest_1115z00_4393;
																																	BgL__ortest_1115z00_4393
																																		=
																																		(BgL_classz00_4376
																																		==
																																		BgL_oclassz00_4392);
																																	if (BgL__ortest_1115z00_4393)
																																		{	/* Cfa/closure.scm 224 */
																																			BgL_res2254z00_4409
																																				=
																																				BgL__ortest_1115z00_4393;
																																		}
																																	else
																																		{	/* Cfa/closure.scm 224 */
																																			long
																																				BgL_odepthz00_4394;
																																			{	/* Cfa/closure.scm 224 */
																																				obj_t
																																					BgL_arg1855z00_4395;
																																				BgL_arg1855z00_4395
																																					=
																																					(BgL_oclassz00_4392);
																																				BgL_odepthz00_4394
																																					=
																																					BGL_CLASS_DEPTH
																																					(BgL_arg1855z00_4395);
																																			}
																																			if (
																																				(4L <
																																					BgL_odepthz00_4394))
																																				{	/* Cfa/closure.scm 224 */
																																					obj_t
																																						BgL_arg1853z00_4397;
																																					{	/* Cfa/closure.scm 224 */
																																						obj_t
																																							BgL_arg1854z00_4398;
																																						BgL_arg1854z00_4398
																																							=
																																							(BgL_oclassz00_4392);
																																						BgL_arg1853z00_4397
																																							=
																																							BGL_CLASS_ANCESTORS_REF
																																							(BgL_arg1854z00_4398,
																																							4L);
																																					}
																																					BgL_res2254z00_4409
																																						=
																																						(BgL_arg1853z00_4397
																																						==
																																						BgL_classz00_4376);
																																				}
																																			else
																																				{	/* Cfa/closure.scm 224 */
																																					BgL_res2254z00_4409
																																						=
																																						(
																																						(bool_t)
																																						0);
																																				}
																																		}
																																}
																															}
																															BgL_test2352z00_5562
																																=
																																BgL_res2254z00_4409;
																														}
																												}
																											else
																												{	/* Cfa/closure.scm 224 */
																													BgL_test2352z00_5562 =
																														((bool_t) 0);
																												}
																										}
																										if (BgL_test2352z00_5562)
																											{	/* Cfa/closure.scm 226 */
																												bool_t
																													BgL_test2357z00_5585;
																												{
																													BgL_makezd2procedurezd2appz00_bglt
																														BgL_auxz00_5586;
																													{
																														obj_t
																															BgL_auxz00_5587;
																														{	/* Cfa/closure.scm 226 */
																															BgL_objectz00_bglt
																																BgL_tmpz00_5588;
																															BgL_tmpz00_5588 =
																																(
																																(BgL_objectz00_bglt)
																																((BgL_appz00_bglt) BgL_allocz00_3249));
																															BgL_auxz00_5587 =
																																BGL_OBJECT_WIDENING
																																(BgL_tmpz00_5588);
																														}
																														BgL_auxz00_5586 =
																															(
																															(BgL_makezd2procedurezd2appz00_bglt)
																															BgL_auxz00_5587);
																													}
																													BgL_test2357z00_5585 =
																														(((BgL_makezd2procedurezd2appz00_bglt) COBJECT(BgL_auxz00_5586))->BgL_tz00);
																												}
																												if (BgL_test2357z00_5585)
																													{	/* Cfa/closure.scm 226 */
																														{
																															BgL_makezd2procedurezd2appz00_bglt
																																BgL_auxz00_5594;
																															{
																																obj_t
																																	BgL_auxz00_5595;
																																{	/* Cfa/closure.scm 227 */
																																	BgL_objectz00_bglt
																																		BgL_tmpz00_5596;
																																	BgL_tmpz00_5596
																																		=
																																		(
																																		(BgL_objectz00_bglt)
																																		((BgL_appz00_bglt) BgL_allocz00_3249));
																																	BgL_auxz00_5595
																																		=
																																		BGL_OBJECT_WIDENING
																																		(BgL_tmpz00_5596);
																																}
																																BgL_auxz00_5594
																																	=
																																	(
																																	(BgL_makezd2procedurezd2appz00_bglt)
																																	BgL_auxz00_5595);
																															}
																															((((BgL_makezd2procedurezd2appz00_bglt) COBJECT(BgL_auxz00_5594))->BgL_tz00) = ((bool_t) ((bool_t) 0)), BUNSPEC);
																														}
																														BgL_continuezf3zf3_3229
																															= ((bool_t) 1);
																													}
																												else
																													{	/* Cfa/closure.scm 226 */
																														BFALSE;
																													}
																											}
																										else
																											{	/* Cfa/closure.scm 224 */
																												BFALSE;
																											}
																									}
																								}
																								{
																									obj_t BgL_l1534z00_5602;

																									BgL_l1534z00_5602 =
																										CDR(BgL_l1534z00_3246);
																									BgL_l1534z00_3246 =
																										BgL_l1534z00_5602;
																									goto
																										BgL_zc3z04anonymousza31774ze3z87_3247;
																								}
																							}
																						else
																							{	/* Cfa/closure.scm 222 */
																								BgL_tmpz00_5558 = ((bool_t) 1);
																							}
																						BBOOL(BgL_tmpz00_5558);
																					}
																				}
																			else
																				{	/* Cfa/closure.scm 230 */
																					bool_t BgL_test2358z00_5605;

																					{	/* Cfa/closure.scm 230 */
																						obj_t BgL_arg1796z00_3261;

																						BgL_arg1796z00_3261 =
																							CAR(((obj_t) BgL_allocsz00_3242));
																						{	/* Cfa/closure.scm 230 */
																							obj_t BgL_classz00_4414;

																							BgL_classz00_4414 =
																								BGl_makezd2procedurezd2appz00zzcfa_info2z00;
																							if (BGL_OBJECTP
																								(BgL_arg1796z00_3261))
																								{	/* Cfa/closure.scm 230 */
																									BgL_objectz00_bglt
																										BgL_arg1858z00_4416;
																									BgL_arg1858z00_4416 =
																										(BgL_objectz00_bglt)
																										(BgL_arg1796z00_3261);
																									if (BGL_CONDEXPAND_ISA_ARCH64
																										())
																										{	/* Cfa/closure.scm 230 */
																											long BgL_idxz00_4422;

																											BgL_idxz00_4422 =
																												BGL_OBJECT_INHERITANCE_NUM
																												(BgL_arg1858z00_4416);
																											BgL_test2358z00_5605 =
																												(VECTOR_REF
																												(BGl_za2inheritancesza2z00zz__objectz00,
																													(BgL_idxz00_4422 +
																														4L)) ==
																												BgL_classz00_4414);
																										}
																									else
																										{	/* Cfa/closure.scm 230 */
																											bool_t
																												BgL_res2255z00_4447;
																											{	/* Cfa/closure.scm 230 */
																												obj_t
																													BgL_oclassz00_4430;
																												{	/* Cfa/closure.scm 230 */
																													obj_t
																														BgL_arg1866z00_4438;
																													long
																														BgL_arg1867z00_4439;
																													BgL_arg1866z00_4438 =
																														(BGl_za2classesza2z00zz__objectz00);
																													{	/* Cfa/closure.scm 230 */
																														long
																															BgL_arg1869z00_4440;
																														BgL_arg1869z00_4440
																															=
																															BGL_OBJECT_CLASS_NUM
																															(BgL_arg1858z00_4416);
																														BgL_arg1867z00_4439
																															=
																															(BgL_arg1869z00_4440
																															- OBJECT_TYPE);
																													}
																													BgL_oclassz00_4430 =
																														VECTOR_REF
																														(BgL_arg1866z00_4438,
																														BgL_arg1867z00_4439);
																												}
																												{	/* Cfa/closure.scm 230 */
																													bool_t
																														BgL__ortest_1115z00_4431;
																													BgL__ortest_1115z00_4431
																														=
																														(BgL_classz00_4414
																														==
																														BgL_oclassz00_4430);
																													if (BgL__ortest_1115z00_4431)
																														{	/* Cfa/closure.scm 230 */
																															BgL_res2255z00_4447
																																=
																																BgL__ortest_1115z00_4431;
																														}
																													else
																														{	/* Cfa/closure.scm 230 */
																															long
																																BgL_odepthz00_4432;
																															{	/* Cfa/closure.scm 230 */
																																obj_t
																																	BgL_arg1855z00_4433;
																																BgL_arg1855z00_4433
																																	=
																																	(BgL_oclassz00_4430);
																																BgL_odepthz00_4432
																																	=
																																	BGL_CLASS_DEPTH
																																	(BgL_arg1855z00_4433);
																															}
																															if (
																																(4L <
																																	BgL_odepthz00_4432))
																																{	/* Cfa/closure.scm 230 */
																																	obj_t
																																		BgL_arg1853z00_4435;
																																	{	/* Cfa/closure.scm 230 */
																																		obj_t
																																			BgL_arg1854z00_4436;
																																		BgL_arg1854z00_4436
																																			=
																																			(BgL_oclassz00_4430);
																																		BgL_arg1853z00_4435
																																			=
																																			BGL_CLASS_ANCESTORS_REF
																																			(BgL_arg1854z00_4436,
																																			4L);
																																	}
																																	BgL_res2255z00_4447
																																		=
																																		(BgL_arg1853z00_4435
																																		==
																																		BgL_classz00_4414);
																																}
																															else
																																{	/* Cfa/closure.scm 230 */
																																	BgL_res2255z00_4447
																																		=
																																		((bool_t)
																																		0);
																																}
																														}
																												}
																											}
																											BgL_test2358z00_5605 =
																												BgL_res2255z00_4447;
																										}
																								}
																							else
																								{	/* Cfa/closure.scm 230 */
																									BgL_test2358z00_5605 =
																										((bool_t) 0);
																								}
																						}
																					}
																					if (BgL_test2358z00_5605)
																						{	/* Cfa/closure.scm 231 */
																							BgL_appz00_bglt BgL_i1171z00_3257;

																							BgL_i1171z00_3257 =
																								((BgL_appz00_bglt)
																								CAR(
																									((obj_t)
																										BgL_allocsz00_3242)));
																							{	/* Cfa/closure.scm 232 */
																								bool_t BgL_test2363z00_5633;

																								{
																									BgL_makezd2procedurezd2appz00_bglt
																										BgL_auxz00_5634;
																									{
																										obj_t BgL_auxz00_5635;

																										{	/* Cfa/closure.scm 232 */
																											BgL_objectz00_bglt
																												BgL_tmpz00_5636;
																											BgL_tmpz00_5636 =
																												((BgL_objectz00_bglt)
																												BgL_i1171z00_3257);
																											BgL_auxz00_5635 =
																												BGL_OBJECT_WIDENING
																												(BgL_tmpz00_5636);
																										}
																										BgL_auxz00_5634 =
																											(
																											(BgL_makezd2procedurezd2appz00_bglt)
																											BgL_auxz00_5635);
																									}
																									BgL_test2363z00_5633 =
																										(((BgL_makezd2procedurezd2appz00_bglt) COBJECT(BgL_auxz00_5634))->BgL_tz00);
																								}
																								if (BgL_test2363z00_5633)
																									{	/* Cfa/closure.scm 233 */
																										obj_t BgL_arg1789z00_3259;

																										BgL_arg1789z00_3259 =
																											CDR(
																											((obj_t)
																												BgL_allocsz00_3242));
																										{
																											obj_t BgL_allocsz00_5643;

																											BgL_allocsz00_5643 =
																												BgL_arg1789z00_3259;
																											BgL_allocsz00_3242 =
																												BgL_allocsz00_5643;
																											goto
																												BgL_zc3z04anonymousza31772ze3z87_3243;
																										}
																									}
																								else
																									{
																										bool_t
																											BgL_onezd2nonzd2tzf3zf3_5644;
																										BgL_onezd2nonzd2tzf3zf3_5644
																											= ((bool_t) 1);
																										BgL_onezd2nonzd2tzf3zf3_3241
																											=
																											BgL_onezd2nonzd2tzf3zf3_5644;
																										goto
																											BgL_zc3z04anonymousza31772ze3z87_3243;
																									}
																							}
																						}
																					else
																						{	/* Cfa/closure.scm 230 */
																							if (CBOOL
																								(BGl_za2unsafezd2typeza2zd2zzengine_paramz00))
																								{	/* Cfa/closure.scm 237 */
																									obj_t BgL_arg1790z00_3260;

																									BgL_arg1790z00_3260 =
																										CDR(
																										((obj_t)
																											BgL_allocsz00_3242));
																									{
																										obj_t BgL_allocsz00_5649;

																										BgL_allocsz00_5649 =
																											BgL_arg1790z00_3260;
																										BgL_allocsz00_3242 =
																											BgL_allocsz00_5649;
																										goto
																											BgL_zc3z04anonymousza31772ze3z87_3243;
																									}
																								}
																							else
																								{
																									bool_t
																										BgL_onezd2nonzd2tzf3zf3_5650;
																									BgL_onezd2nonzd2tzf3zf3_5650 =
																										((bool_t) 1);
																									BgL_onezd2nonzd2tzf3zf3_3241 =
																										BgL_onezd2nonzd2tzf3zf3_5650;
																									goto
																										BgL_zc3z04anonymousza31772ze3z87_3243;
																								}
																						}
																				}
																		}
																}
															}
														}
													}
												}
											}
										}
									}
									{
										obj_t BgL_l1536z00_5651;

										BgL_l1536z00_5651 = CDR(BgL_l1536z00_3231);
										BgL_l1536z00_3231 = BgL_l1536z00_5651;
										goto BgL_zc3z04anonymousza31770ze3z87_3232;
									}
								}
							else
								{	/* Cfa/closure.scm 203 */
									((bool_t) 1);
								}
						}
						{
							bool_t BgL_continuezf3zf3_5653;

							BgL_continuezf3zf3_5653 = BgL_continuezf3zf3_3229;
							BgL_continuezf3zf3_3227 = BgL_continuezf3zf3_5653;
							goto BgL_zc3z04anonymousza31769ze3z87_3228;
						}
					}
				else
					{	/* Cfa/closure.scm 200 */
						return BUNSPEC;
					}
			}
		}

	}



/* light-make-procedure! */
	bool_t BGl_lightzd2makezd2procedurez12z12zzcfa_closurez00(void)
	{
		{	/* Cfa/closure.scm 266 */
			{
				obj_t BgL_appz00_3315;
				obj_t BgL_appz00_3284;

				{
					obj_t BgL_l1538z00_3275;

					BgL_l1538z00_3275 =
						BGl_za2makezd2procedurezd2listza2z00zzcfa_closurez00;
				BgL_zc3z04anonymousza31803ze3z87_3276:
					if (PAIRP(BgL_l1538z00_3275))
						{	/* Cfa/closure.scm 309 */
							{	/* Cfa/closure.scm 310 */
								obj_t BgL_appz00_3278;

								BgL_appz00_3278 = CAR(BgL_l1538z00_3275);
								{	/* Cfa/closure.scm 312 */
									bool_t BgL_test2366z00_5657;

									{
										BgL_makezd2procedurezd2appz00_bglt BgL_auxz00_5658;

										{
											obj_t BgL_auxz00_5659;

											{	/* Cfa/closure.scm 312 */
												BgL_objectz00_bglt BgL_tmpz00_5660;

												BgL_tmpz00_5660 =
													((BgL_objectz00_bglt)
													((BgL_appz00_bglt) BgL_appz00_3278));
												BgL_auxz00_5659 = BGL_OBJECT_WIDENING(BgL_tmpz00_5660);
											}
											BgL_auxz00_5658 =
												((BgL_makezd2procedurezd2appz00_bglt) BgL_auxz00_5659);
										}
										BgL_test2366z00_5657 =
											(((BgL_makezd2procedurezd2appz00_bglt)
												COBJECT(BgL_auxz00_5658))->BgL_xz00);
									}
									if (BgL_test2366z00_5657)
										{	/* Cfa/closure.scm 312 */
											BgL_appz00_3284 = BgL_appz00_3278;
											{	/* Cfa/closure.scm 270 */
												obj_t BgL_siza7eza7_3287;

												{	/* Cfa/closure.scm 270 */
													obj_t BgL_arg1865z00_3312;

													{	/* Cfa/closure.scm 270 */
														obj_t BgL_pairz00_4453;

														BgL_pairz00_4453 =
															(((BgL_appz00_bglt) COBJECT(
																	((BgL_appz00_bglt)
																		((BgL_appz00_bglt) BgL_appz00_3284))))->
															BgL_argsz00);
														BgL_arg1865z00_3312 =
															CAR(CDR(CDR(BgL_pairz00_4453)));
													}
													BgL_siza7eza7_3287 =
														BGl_getzd2nodezd2atomzd2valuezd2zzcfa_approxz00(
														((BgL_nodez00_bglt) BgL_arg1865z00_3312));
												}
												{	/* Cfa/closure.scm 270 */
													BgL_variablez00_bglt BgL_ffunz00_3288;

													{
														BgL_varz00_bglt BgL_auxz00_5674;

														{	/* Cfa/closure.scm 271 */
															obj_t BgL_pairz00_4459;

															BgL_pairz00_4459 =
																(((BgL_appz00_bglt) COBJECT(
																		((BgL_appz00_bglt)
																			((BgL_appz00_bglt) BgL_appz00_3284))))->
																BgL_argsz00);
															BgL_auxz00_5674 =
																((BgL_varz00_bglt) CAR(BgL_pairz00_4459));
														}
														BgL_ffunz00_3288 =
															(((BgL_varz00_bglt) COBJECT(BgL_auxz00_5674))->
															BgL_variablez00);
													}
													{	/* Cfa/closure.scm 271 */
														BgL_valuez00_bglt BgL_sfunz00_3289;

														BgL_sfunz00_3289 =
															(((BgL_variablez00_bglt)
																COBJECT(BgL_ffunz00_3288))->BgL_valuez00);
														{	/* Cfa/closure.scm 272 */

															if (((long) CINT(BgL_siza7eza7_3287) < 1L))
																{	/* Cfa/closure.scm 274 */
																	{	/* Cfa/closure.scm 275 */
																		bool_t BgL_test2368z00_5685;

																		{	/* Cfa/closure.scm 275 */
																			bool_t BgL_test2369z00_5686;

																			{	/* Cfa/closure.scm 275 */
																				obj_t BgL_classz00_4463;

																				BgL_classz00_4463 =
																					BGl_globalz00zzast_varz00;
																				{	/* Cfa/closure.scm 275 */
																					BgL_objectz00_bglt
																						BgL_arg1858z00_4465;
																					{	/* Cfa/closure.scm 275 */
																						obj_t BgL_tmpz00_5687;

																						BgL_tmpz00_5687 =
																							((obj_t)
																							((BgL_objectz00_bglt)
																								BgL_ffunz00_3288));
																						BgL_arg1858z00_4465 =
																							(BgL_objectz00_bglt)
																							(BgL_tmpz00_5687);
																					}
																					if (BGL_CONDEXPAND_ISA_ARCH64())
																						{	/* Cfa/closure.scm 275 */
																							long BgL_idxz00_4471;

																							BgL_idxz00_4471 =
																								BGL_OBJECT_INHERITANCE_NUM
																								(BgL_arg1858z00_4465);
																							BgL_test2369z00_5686 =
																								(VECTOR_REF
																								(BGl_za2inheritancesza2z00zz__objectz00,
																									(BgL_idxz00_4471 + 2L)) ==
																								BgL_classz00_4463);
																						}
																					else
																						{	/* Cfa/closure.scm 275 */
																							bool_t BgL_res2256z00_4496;

																							{	/* Cfa/closure.scm 275 */
																								obj_t BgL_oclassz00_4479;

																								{	/* Cfa/closure.scm 275 */
																									obj_t BgL_arg1866z00_4487;
																									long BgL_arg1867z00_4488;

																									BgL_arg1866z00_4487 =
																										(BGl_za2classesza2z00zz__objectz00);
																									{	/* Cfa/closure.scm 275 */
																										long BgL_arg1869z00_4489;

																										BgL_arg1869z00_4489 =
																											BGL_OBJECT_CLASS_NUM
																											(BgL_arg1858z00_4465);
																										BgL_arg1867z00_4488 =
																											(BgL_arg1869z00_4489 -
																											OBJECT_TYPE);
																									}
																									BgL_oclassz00_4479 =
																										VECTOR_REF
																										(BgL_arg1866z00_4487,
																										BgL_arg1867z00_4488);
																								}
																								{	/* Cfa/closure.scm 275 */
																									bool_t
																										BgL__ortest_1115z00_4480;
																									BgL__ortest_1115z00_4480 =
																										(BgL_classz00_4463 ==
																										BgL_oclassz00_4479);
																									if (BgL__ortest_1115z00_4480)
																										{	/* Cfa/closure.scm 275 */
																											BgL_res2256z00_4496 =
																												BgL__ortest_1115z00_4480;
																										}
																									else
																										{	/* Cfa/closure.scm 275 */
																											long BgL_odepthz00_4481;

																											{	/* Cfa/closure.scm 275 */
																												obj_t
																													BgL_arg1855z00_4482;
																												BgL_arg1855z00_4482 =
																													(BgL_oclassz00_4479);
																												BgL_odepthz00_4481 =
																													BGL_CLASS_DEPTH
																													(BgL_arg1855z00_4482);
																											}
																											if (
																												(2L <
																													BgL_odepthz00_4481))
																												{	/* Cfa/closure.scm 275 */
																													obj_t
																														BgL_arg1853z00_4484;
																													{	/* Cfa/closure.scm 275 */
																														obj_t
																															BgL_arg1854z00_4485;
																														BgL_arg1854z00_4485
																															=
																															(BgL_oclassz00_4479);
																														BgL_arg1853z00_4484
																															=
																															BGL_CLASS_ANCESTORS_REF
																															(BgL_arg1854z00_4485,
																															2L);
																													}
																													BgL_res2256z00_4496 =
																														(BgL_arg1853z00_4484
																														==
																														BgL_classz00_4463);
																												}
																											else
																												{	/* Cfa/closure.scm 275 */
																													BgL_res2256z00_4496 =
																														((bool_t) 0);
																												}
																										}
																								}
																							}
																							BgL_test2369z00_5686 =
																								BgL_res2256z00_4496;
																						}
																				}
																			}
																			if (BgL_test2369z00_5686)
																				{	/* Cfa/closure.scm 276 */
																					bool_t BgL_test2373z00_5710;

																					{	/* Cfa/closure.scm 276 */
																						obj_t BgL_arg1845z00_3304;

																						BgL_arg1845z00_3304 =
																							(((BgL_funz00_bglt) COBJECT(
																									((BgL_funz00_bglt)
																										((BgL_sfunz00_bglt)
																											BgL_sfunz00_3289))))->
																							BgL_thezd2closurezd2);
																						{	/* Cfa/closure.scm 276 */
																							obj_t BgL_classz00_4498;

																							BgL_classz00_4498 =
																								BGl_globalz00zzast_varz00;
																							if (BGL_OBJECTP
																								(BgL_arg1845z00_3304))
																								{	/* Cfa/closure.scm 276 */
																									BgL_objectz00_bglt
																										BgL_arg1858z00_4500;
																									BgL_arg1858z00_4500 =
																										(BgL_objectz00_bglt)
																										(BgL_arg1845z00_3304);
																									if (BGL_CONDEXPAND_ISA_ARCH64
																										())
																										{	/* Cfa/closure.scm 276 */
																											long BgL_idxz00_4506;

																											BgL_idxz00_4506 =
																												BGL_OBJECT_INHERITANCE_NUM
																												(BgL_arg1858z00_4500);
																											BgL_test2373z00_5710 =
																												(VECTOR_REF
																												(BGl_za2inheritancesza2z00zz__objectz00,
																													(BgL_idxz00_4506 +
																														2L)) ==
																												BgL_classz00_4498);
																										}
																									else
																										{	/* Cfa/closure.scm 276 */
																											bool_t
																												BgL_res2257z00_4531;
																											{	/* Cfa/closure.scm 276 */
																												obj_t
																													BgL_oclassz00_4514;
																												{	/* Cfa/closure.scm 276 */
																													obj_t
																														BgL_arg1866z00_4522;
																													long
																														BgL_arg1867z00_4523;
																													BgL_arg1866z00_4522 =
																														(BGl_za2classesza2z00zz__objectz00);
																													{	/* Cfa/closure.scm 276 */
																														long
																															BgL_arg1869z00_4524;
																														BgL_arg1869z00_4524
																															=
																															BGL_OBJECT_CLASS_NUM
																															(BgL_arg1858z00_4500);
																														BgL_arg1867z00_4523
																															=
																															(BgL_arg1869z00_4524
																															- OBJECT_TYPE);
																													}
																													BgL_oclassz00_4514 =
																														VECTOR_REF
																														(BgL_arg1866z00_4522,
																														BgL_arg1867z00_4523);
																												}
																												{	/* Cfa/closure.scm 276 */
																													bool_t
																														BgL__ortest_1115z00_4515;
																													BgL__ortest_1115z00_4515
																														=
																														(BgL_classz00_4498
																														==
																														BgL_oclassz00_4514);
																													if (BgL__ortest_1115z00_4515)
																														{	/* Cfa/closure.scm 276 */
																															BgL_res2257z00_4531
																																=
																																BgL__ortest_1115z00_4515;
																														}
																													else
																														{	/* Cfa/closure.scm 276 */
																															long
																																BgL_odepthz00_4516;
																															{	/* Cfa/closure.scm 276 */
																																obj_t
																																	BgL_arg1855z00_4517;
																																BgL_arg1855z00_4517
																																	=
																																	(BgL_oclassz00_4514);
																																BgL_odepthz00_4516
																																	=
																																	BGL_CLASS_DEPTH
																																	(BgL_arg1855z00_4517);
																															}
																															if (
																																(2L <
																																	BgL_odepthz00_4516))
																																{	/* Cfa/closure.scm 276 */
																																	obj_t
																																		BgL_arg1853z00_4519;
																																	{	/* Cfa/closure.scm 276 */
																																		obj_t
																																			BgL_arg1854z00_4520;
																																		BgL_arg1854z00_4520
																																			=
																																			(BgL_oclassz00_4514);
																																		BgL_arg1853z00_4519
																																			=
																																			BGL_CLASS_ANCESTORS_REF
																																			(BgL_arg1854z00_4520,
																																			2L);
																																	}
																																	BgL_res2257z00_4531
																																		=
																																		(BgL_arg1853z00_4519
																																		==
																																		BgL_classz00_4498);
																																}
																															else
																																{	/* Cfa/closure.scm 276 */
																																	BgL_res2257z00_4531
																																		=
																																		((bool_t)
																																		0);
																																}
																														}
																												}
																											}
																											BgL_test2373z00_5710 =
																												BgL_res2257z00_4531;
																										}
																								}
																							else
																								{	/* Cfa/closure.scm 276 */
																									BgL_test2373z00_5710 =
																										((bool_t) 0);
																								}
																						}
																					}
																					if (BgL_test2373z00_5710)
																						{	/* Cfa/closure.scm 277 */
																							BgL_valuez00_bglt
																								BgL_arg1834z00_3302;
																							BgL_arg1834z00_3302 =
																								(((BgL_variablez00_bglt)
																									COBJECT((
																											(BgL_variablez00_bglt) (
																												(BgL_globalz00_bglt) ((
																														(BgL_funz00_bglt)
																														COBJECT((
																																(BgL_funz00_bglt)
																																((BgL_sfunz00_bglt) BgL_sfunz00_3289))))->BgL_thezd2closurezd2)))))->BgL_valuez00);
																							{	/* Cfa/closure.scm 277 */
																								obj_t BgL_classz00_4534;

																								BgL_classz00_4534 =
																									BGl_scnstz00zzast_varz00;
																								{	/* Cfa/closure.scm 277 */
																									BgL_objectz00_bglt
																										BgL_arg1858z00_4536;
																									{	/* Cfa/closure.scm 277 */
																										obj_t BgL_tmpz00_5742;

																										BgL_tmpz00_5742 =
																											((obj_t)
																											((BgL_objectz00_bglt)
																												BgL_arg1834z00_3302));
																										BgL_arg1858z00_4536 =
																											(BgL_objectz00_bglt)
																											(BgL_tmpz00_5742);
																									}
																									if (BGL_CONDEXPAND_ISA_ARCH64
																										())
																										{	/* Cfa/closure.scm 277 */
																											long BgL_idxz00_4542;

																											BgL_idxz00_4542 =
																												BGL_OBJECT_INHERITANCE_NUM
																												(BgL_arg1858z00_4536);
																											BgL_test2368z00_5685 =
																												(VECTOR_REF
																												(BGl_za2inheritancesza2z00zz__objectz00,
																													(BgL_idxz00_4542 +
																														2L)) ==
																												BgL_classz00_4534);
																										}
																									else
																										{	/* Cfa/closure.scm 277 */
																											bool_t
																												BgL_res2258z00_4567;
																											{	/* Cfa/closure.scm 277 */
																												obj_t
																													BgL_oclassz00_4550;
																												{	/* Cfa/closure.scm 277 */
																													obj_t
																														BgL_arg1866z00_4558;
																													long
																														BgL_arg1867z00_4559;
																													BgL_arg1866z00_4558 =
																														(BGl_za2classesza2z00zz__objectz00);
																													{	/* Cfa/closure.scm 277 */
																														long
																															BgL_arg1869z00_4560;
																														BgL_arg1869z00_4560
																															=
																															BGL_OBJECT_CLASS_NUM
																															(BgL_arg1858z00_4536);
																														BgL_arg1867z00_4559
																															=
																															(BgL_arg1869z00_4560
																															- OBJECT_TYPE);
																													}
																													BgL_oclassz00_4550 =
																														VECTOR_REF
																														(BgL_arg1866z00_4558,
																														BgL_arg1867z00_4559);
																												}
																												{	/* Cfa/closure.scm 277 */
																													bool_t
																														BgL__ortest_1115z00_4551;
																													BgL__ortest_1115z00_4551
																														=
																														(BgL_classz00_4534
																														==
																														BgL_oclassz00_4550);
																													if (BgL__ortest_1115z00_4551)
																														{	/* Cfa/closure.scm 277 */
																															BgL_res2258z00_4567
																																=
																																BgL__ortest_1115z00_4551;
																														}
																													else
																														{	/* Cfa/closure.scm 277 */
																															long
																																BgL_odepthz00_4552;
																															{	/* Cfa/closure.scm 277 */
																																obj_t
																																	BgL_arg1855z00_4553;
																																BgL_arg1855z00_4553
																																	=
																																	(BgL_oclassz00_4550);
																																BgL_odepthz00_4552
																																	=
																																	BGL_CLASS_DEPTH
																																	(BgL_arg1855z00_4553);
																															}
																															if (
																																(2L <
																																	BgL_odepthz00_4552))
																																{	/* Cfa/closure.scm 277 */
																																	obj_t
																																		BgL_arg1853z00_4555;
																																	{	/* Cfa/closure.scm 277 */
																																		obj_t
																																			BgL_arg1854z00_4556;
																																		BgL_arg1854z00_4556
																																			=
																																			(BgL_oclassz00_4550);
																																		BgL_arg1853z00_4555
																																			=
																																			BGL_CLASS_ANCESTORS_REF
																																			(BgL_arg1854z00_4556,
																																			2L);
																																	}
																																	BgL_res2258z00_4567
																																		=
																																		(BgL_arg1853z00_4555
																																		==
																																		BgL_classz00_4534);
																																}
																															else
																																{	/* Cfa/closure.scm 277 */
																																	BgL_res2258z00_4567
																																		=
																																		((bool_t)
																																		0);
																																}
																														}
																												}
																											}
																											BgL_test2368z00_5685 =
																												BgL_res2258z00_4567;
																										}
																								}
																							}
																						}
																					else
																						{	/* Cfa/closure.scm 276 */
																							BgL_test2368z00_5685 =
																								((bool_t) 0);
																						}
																				}
																			else
																				{	/* Cfa/closure.scm 275 */
																					BgL_test2368z00_5685 = ((bool_t) 0);
																				}
																		}
																		if (BgL_test2368z00_5685)
																			{	/* Cfa/closure.scm 278 */
																				BgL_valuez00_bglt BgL_arg1825z00_3298;

																				BgL_arg1825z00_3298 =
																					(((BgL_variablez00_bglt) COBJECT(
																							((BgL_variablez00_bglt)
																								((BgL_globalz00_bglt)
																									(((BgL_funz00_bglt) COBJECT(
																												((BgL_funz00_bglt)
																													((BgL_sfunz00_bglt)
																														BgL_sfunz00_3289))))->
																										BgL_thezd2closurezd2)))))->
																					BgL_valuez00);
																				{	/* Cfa/closure.scm 278 */
																					obj_t BgL_vz00_4571;

																					BgL_vz00_4571 =
																						((obj_t) CNST_TABLE_REF(6));
																					((((BgL_scnstz00_bglt) COBJECT(
																									((BgL_scnstz00_bglt)
																										BgL_arg1825z00_3298)))->
																							BgL_classz00) =
																						((obj_t) BgL_vz00_4571), BUNSPEC);
																				}
																			}
																		else
																			{	/* Cfa/closure.scm 275 */
																				BFALSE;
																			}
																	}
																	{	/* Cfa/closure.scm 280 */
																		BgL_varz00_bglt BgL_arg1847z00_3305;

																		BgL_arg1847z00_3305 =
																			(((BgL_appz00_bglt) COBJECT(
																					((BgL_appz00_bglt)
																						((BgL_appz00_bglt)
																							BgL_appz00_3284))))->BgL_funz00);
																		{	/* Cfa/closure.scm 280 */
																			BgL_variablez00_bglt BgL_vz00_4573;

																			BgL_vz00_4573 =
																				((BgL_variablez00_bglt)
																				BGl_za2makezd2elzd2procedureza2z00zzcfa_closurez00);
																			((((BgL_varz00_bglt)
																						COBJECT(BgL_arg1847z00_3305))->
																					BgL_variablez00) =
																				((BgL_variablez00_bglt) BgL_vz00_4573),
																				BUNSPEC);
																		}
																	}
																	{	/* Cfa/closure.scm 281 */
																		BgL_varz00_bglt BgL_arg1848z00_3306;

																		BgL_arg1848z00_3306 =
																			(((BgL_appz00_bglt) COBJECT(
																					((BgL_appz00_bglt)
																						((BgL_appz00_bglt)
																							BgL_appz00_3284))))->BgL_funz00);
																		{	/* Cfa/closure.scm 281 */
																			BgL_typez00_bglt BgL_vz00_4575;

																			BgL_vz00_4575 =
																				((BgL_typez00_bglt)
																				BGl_za2procedurezd2elza2zd2zztype_cachez00);
																			((((BgL_nodez00_bglt)
																						COBJECT(((BgL_nodez00_bglt)
																								BgL_arg1848z00_3306)))->
																					BgL_typez00) =
																				((BgL_typez00_bglt) BgL_vz00_4575),
																				BUNSPEC);
																		}
																	}
																	{	/* Cfa/closure.scm 282 */
																		obj_t BgL_arg1851z00_3307;

																		BgL_arg1851z00_3307 =
																			(((BgL_funz00_bglt) COBJECT(
																					((BgL_funz00_bglt)
																						((BgL_sfunz00_bglt)
																							BgL_sfunz00_3289))))->
																			BgL_thezd2closurezd2);
																		{	/* Cfa/closure.scm 282 */
																			BgL_typez00_bglt BgL_vz00_4578;

																			BgL_vz00_4578 =
																				((BgL_typez00_bglt)
																				BGl_za2procedurezd2elza2zd2zztype_cachez00);
																			((((BgL_variablez00_bglt)
																						COBJECT(((BgL_variablez00_bglt)
																								BgL_arg1851z00_3307)))->
																					BgL_typez00) =
																				((BgL_typez00_bglt) BgL_vz00_4578),
																				BUNSPEC);
																		}
																	}
																	((((BgL_nodez00_bglt) COBJECT(
																					((BgL_nodez00_bglt)
																						((BgL_appz00_bglt)
																							BgL_appz00_3284))))->
																			BgL_typez00) =
																		((BgL_typez00_bglt) ((BgL_typez00_bglt)
																				BGl_za2procedurezd2elza2zd2zztype_cachez00)),
																		BUNSPEC);
																}
															else
																{	/* Cfa/closure.scm 274 */
																	{	/* Cfa/closure.scm 285 */
																		BgL_varz00_bglt BgL_arg1852z00_3308;

																		BgL_arg1852z00_3308 =
																			(((BgL_appz00_bglt) COBJECT(
																					((BgL_appz00_bglt)
																						((BgL_appz00_bglt)
																							BgL_appz00_3284))))->BgL_funz00);
																		{	/* Cfa/closure.scm 285 */
																			BgL_variablez00_bglt BgL_vz00_4580;

																			BgL_vz00_4580 =
																				((BgL_variablez00_bglt)
																				BGl_za2makezd2elzd2procedureza2z00zzcfa_closurez00);
																			((((BgL_varz00_bglt)
																						COBJECT(BgL_arg1852z00_3308))->
																					BgL_variablez00) =
																				((BgL_variablez00_bglt) BgL_vz00_4580),
																				BUNSPEC);
																		}
																	}
																	{	/* Cfa/closure.scm 286 */
																		BgL_varz00_bglt BgL_arg1856z00_3309;

																		BgL_arg1856z00_3309 =
																			(((BgL_appz00_bglt) COBJECT(
																					((BgL_appz00_bglt)
																						((BgL_appz00_bglt)
																							BgL_appz00_3284))))->BgL_funz00);
																		{	/* Cfa/closure.scm 286 */
																			BgL_typez00_bglt BgL_vz00_4582;

																			BgL_vz00_4582 =
																				((BgL_typez00_bglt)
																				BGl_za2procedurezd2elza2zd2zztype_cachez00);
																			((((BgL_nodez00_bglt)
																						COBJECT(((BgL_nodez00_bglt)
																								BgL_arg1856z00_3309)))->
																					BgL_typez00) =
																				((BgL_typez00_bglt) BgL_vz00_4582),
																				BUNSPEC);
																		}
																	}
																	((((BgL_nodez00_bglt) COBJECT(
																					((BgL_nodez00_bglt)
																						((BgL_appz00_bglt)
																							BgL_appz00_3284))))->
																			BgL_typez00) =
																		((BgL_typez00_bglt) ((BgL_typez00_bglt)
																				BGl_za2procedurezd2elza2zd2zztype_cachez00)),
																		BUNSPEC);
																}
														}
													}
												}
											}
											{
												obj_t BgL_auxz00_5811;

												{	/* Cfa/closure.scm 288 */
													obj_t BgL_pairz00_4583;

													BgL_pairz00_4583 =
														(((BgL_appz00_bglt) COBJECT(
																((BgL_appz00_bglt)
																	((BgL_appz00_bglt) BgL_appz00_3284))))->
														BgL_argsz00);
													{	/* Cfa/closure.scm 288 */
														obj_t BgL_pairz00_4586;

														BgL_pairz00_4586 = CDR(BgL_pairz00_4583);
														BgL_auxz00_5811 = CDR(BgL_pairz00_4586);
													}
												}
												((((BgL_appz00_bglt) COBJECT(
																((BgL_appz00_bglt)
																	((BgL_appz00_bglt) BgL_appz00_3284))))->
														BgL_argsz00) = ((obj_t) BgL_auxz00_5811), BUNSPEC);
											}
											BgL_appz00_3284;
										}
									else
										{	/* Cfa/closure.scm 313 */
											bool_t BgL_test2381z00_5820;

											{
												BgL_makezd2procedurezd2appz00_bglt BgL_auxz00_5821;

												{
													obj_t BgL_auxz00_5822;

													{	/* Cfa/closure.scm 313 */
														BgL_objectz00_bglt BgL_tmpz00_5823;

														BgL_tmpz00_5823 =
															((BgL_objectz00_bglt)
															((BgL_appz00_bglt) BgL_appz00_3278));
														BgL_auxz00_5822 =
															BGL_OBJECT_WIDENING(BgL_tmpz00_5823);
													}
													BgL_auxz00_5821 =
														((BgL_makezd2procedurezd2appz00_bglt)
														BgL_auxz00_5822);
												}
												BgL_test2381z00_5820 =
													(((BgL_makezd2procedurezd2appz00_bglt)
														COBJECT(BgL_auxz00_5821))->BgL_tz00);
											}
											if (BgL_test2381z00_5820)
												{	/* Cfa/closure.scm 313 */
													BgL_appz00_3315 = BgL_appz00_3278;
													{	/* Cfa/closure.scm 293 */
														obj_t BgL_siza7eza7_3318;

														{	/* Cfa/closure.scm 293 */
															obj_t BgL_arg1899z00_3342;

															{	/* Cfa/closure.scm 293 */
																obj_t BgL_pairz00_4587;

																BgL_pairz00_4587 =
																	(((BgL_appz00_bglt) COBJECT(
																			((BgL_appz00_bglt)
																				((BgL_appz00_bglt) BgL_appz00_3315))))->
																	BgL_argsz00);
																BgL_arg1899z00_3342 =
																	CAR(CDR(CDR(BgL_pairz00_4587)));
															}
															BgL_siza7eza7_3318 =
																BGl_getzd2nodezd2atomzd2valuezd2zzcfa_approxz00(
																((BgL_nodez00_bglt) BgL_arg1899z00_3342));
														}
														{	/* Cfa/closure.scm 293 */
															BgL_variablez00_bglt BgL_ffunz00_3319;

															{
																BgL_varz00_bglt BgL_auxz00_5837;

																{	/* Cfa/closure.scm 294 */
																	obj_t BgL_pairz00_4593;

																	BgL_pairz00_4593 =
																		(((BgL_appz00_bglt) COBJECT(
																				((BgL_appz00_bglt)
																					((BgL_appz00_bglt)
																						BgL_appz00_3315))))->BgL_argsz00);
																	BgL_auxz00_5837 =
																		((BgL_varz00_bglt) CAR(BgL_pairz00_4593));
																}
																BgL_ffunz00_3319 =
																	(((BgL_varz00_bglt)
																		COBJECT(BgL_auxz00_5837))->BgL_variablez00);
															}
															{	/* Cfa/closure.scm 294 */
																BgL_valuez00_bglt BgL_sfunz00_3320;

																BgL_sfunz00_3320 =
																	(((BgL_variablez00_bglt)
																		COBJECT(BgL_ffunz00_3319))->BgL_valuez00);
																{	/* Cfa/closure.scm 295 */

																	{	/* Cfa/closure.scm 296 */
																		bool_t BgL_test2382z00_5845;

																		{	/* Cfa/closure.scm 296 */
																			bool_t BgL_test2383z00_5846;

																			{	/* Cfa/closure.scm 296 */
																				obj_t BgL_classz00_4596;

																				BgL_classz00_4596 =
																					BGl_globalz00zzast_varz00;
																				{	/* Cfa/closure.scm 296 */
																					BgL_objectz00_bglt
																						BgL_arg1858z00_4598;
																					{	/* Cfa/closure.scm 296 */
																						obj_t BgL_tmpz00_5847;

																						BgL_tmpz00_5847 =
																							((obj_t)
																							((BgL_objectz00_bglt)
																								BgL_ffunz00_3319));
																						BgL_arg1858z00_4598 =
																							(BgL_objectz00_bglt)
																							(BgL_tmpz00_5847);
																					}
																					if (BGL_CONDEXPAND_ISA_ARCH64())
																						{	/* Cfa/closure.scm 296 */
																							long BgL_idxz00_4604;

																							BgL_idxz00_4604 =
																								BGL_OBJECT_INHERITANCE_NUM
																								(BgL_arg1858z00_4598);
																							BgL_test2383z00_5846 =
																								(VECTOR_REF
																								(BGl_za2inheritancesza2z00zz__objectz00,
																									(BgL_idxz00_4604 + 2L)) ==
																								BgL_classz00_4596);
																						}
																					else
																						{	/* Cfa/closure.scm 296 */
																							bool_t BgL_res2259z00_4629;

																							{	/* Cfa/closure.scm 296 */
																								obj_t BgL_oclassz00_4612;

																								{	/* Cfa/closure.scm 296 */
																									obj_t BgL_arg1866z00_4620;
																									long BgL_arg1867z00_4621;

																									BgL_arg1866z00_4620 =
																										(BGl_za2classesza2z00zz__objectz00);
																									{	/* Cfa/closure.scm 296 */
																										long BgL_arg1869z00_4622;

																										BgL_arg1869z00_4622 =
																											BGL_OBJECT_CLASS_NUM
																											(BgL_arg1858z00_4598);
																										BgL_arg1867z00_4621 =
																											(BgL_arg1869z00_4622 -
																											OBJECT_TYPE);
																									}
																									BgL_oclassz00_4612 =
																										VECTOR_REF
																										(BgL_arg1866z00_4620,
																										BgL_arg1867z00_4621);
																								}
																								{	/* Cfa/closure.scm 296 */
																									bool_t
																										BgL__ortest_1115z00_4613;
																									BgL__ortest_1115z00_4613 =
																										(BgL_classz00_4596 ==
																										BgL_oclassz00_4612);
																									if (BgL__ortest_1115z00_4613)
																										{	/* Cfa/closure.scm 296 */
																											BgL_res2259z00_4629 =
																												BgL__ortest_1115z00_4613;
																										}
																									else
																										{	/* Cfa/closure.scm 296 */
																											long BgL_odepthz00_4614;

																											{	/* Cfa/closure.scm 296 */
																												obj_t
																													BgL_arg1855z00_4615;
																												BgL_arg1855z00_4615 =
																													(BgL_oclassz00_4612);
																												BgL_odepthz00_4614 =
																													BGL_CLASS_DEPTH
																													(BgL_arg1855z00_4615);
																											}
																											if (
																												(2L <
																													BgL_odepthz00_4614))
																												{	/* Cfa/closure.scm 296 */
																													obj_t
																														BgL_arg1853z00_4617;
																													{	/* Cfa/closure.scm 296 */
																														obj_t
																															BgL_arg1854z00_4618;
																														BgL_arg1854z00_4618
																															=
																															(BgL_oclassz00_4612);
																														BgL_arg1853z00_4617
																															=
																															BGL_CLASS_ANCESTORS_REF
																															(BgL_arg1854z00_4618,
																															2L);
																													}
																													BgL_res2259z00_4629 =
																														(BgL_arg1853z00_4617
																														==
																														BgL_classz00_4596);
																												}
																											else
																												{	/* Cfa/closure.scm 296 */
																													BgL_res2259z00_4629 =
																														((bool_t) 0);
																												}
																										}
																								}
																							}
																							BgL_test2383z00_5846 =
																								BgL_res2259z00_4629;
																						}
																				}
																			}
																			if (BgL_test2383z00_5846)
																				{	/* Cfa/closure.scm 297 */
																					bool_t BgL_test2387z00_5870;

																					{	/* Cfa/closure.scm 297 */
																						obj_t BgL_arg1891z00_3334;

																						BgL_arg1891z00_3334 =
																							(((BgL_funz00_bglt) COBJECT(
																									((BgL_funz00_bglt)
																										((BgL_sfunz00_bglt)
																											BgL_sfunz00_3320))))->
																							BgL_thezd2closurezd2);
																						{	/* Cfa/closure.scm 297 */
																							obj_t BgL_classz00_4631;

																							BgL_classz00_4631 =
																								BGl_globalz00zzast_varz00;
																							if (BGL_OBJECTP
																								(BgL_arg1891z00_3334))
																								{	/* Cfa/closure.scm 297 */
																									BgL_objectz00_bglt
																										BgL_arg1858z00_4633;
																									BgL_arg1858z00_4633 =
																										(BgL_objectz00_bglt)
																										(BgL_arg1891z00_3334);
																									if (BGL_CONDEXPAND_ISA_ARCH64
																										())
																										{	/* Cfa/closure.scm 297 */
																											long BgL_idxz00_4639;

																											BgL_idxz00_4639 =
																												BGL_OBJECT_INHERITANCE_NUM
																												(BgL_arg1858z00_4633);
																											BgL_test2387z00_5870 =
																												(VECTOR_REF
																												(BGl_za2inheritancesza2z00zz__objectz00,
																													(BgL_idxz00_4639 +
																														2L)) ==
																												BgL_classz00_4631);
																										}
																									else
																										{	/* Cfa/closure.scm 297 */
																											bool_t
																												BgL_res2260z00_4664;
																											{	/* Cfa/closure.scm 297 */
																												obj_t
																													BgL_oclassz00_4647;
																												{	/* Cfa/closure.scm 297 */
																													obj_t
																														BgL_arg1866z00_4655;
																													long
																														BgL_arg1867z00_4656;
																													BgL_arg1866z00_4655 =
																														(BGl_za2classesza2z00zz__objectz00);
																													{	/* Cfa/closure.scm 297 */
																														long
																															BgL_arg1869z00_4657;
																														BgL_arg1869z00_4657
																															=
																															BGL_OBJECT_CLASS_NUM
																															(BgL_arg1858z00_4633);
																														BgL_arg1867z00_4656
																															=
																															(BgL_arg1869z00_4657
																															- OBJECT_TYPE);
																													}
																													BgL_oclassz00_4647 =
																														VECTOR_REF
																														(BgL_arg1866z00_4655,
																														BgL_arg1867z00_4656);
																												}
																												{	/* Cfa/closure.scm 297 */
																													bool_t
																														BgL__ortest_1115z00_4648;
																													BgL__ortest_1115z00_4648
																														=
																														(BgL_classz00_4631
																														==
																														BgL_oclassz00_4647);
																													if (BgL__ortest_1115z00_4648)
																														{	/* Cfa/closure.scm 297 */
																															BgL_res2260z00_4664
																																=
																																BgL__ortest_1115z00_4648;
																														}
																													else
																														{	/* Cfa/closure.scm 297 */
																															long
																																BgL_odepthz00_4649;
																															{	/* Cfa/closure.scm 297 */
																																obj_t
																																	BgL_arg1855z00_4650;
																																BgL_arg1855z00_4650
																																	=
																																	(BgL_oclassz00_4647);
																																BgL_odepthz00_4649
																																	=
																																	BGL_CLASS_DEPTH
																																	(BgL_arg1855z00_4650);
																															}
																															if (
																																(2L <
																																	BgL_odepthz00_4649))
																																{	/* Cfa/closure.scm 297 */
																																	obj_t
																																		BgL_arg1853z00_4652;
																																	{	/* Cfa/closure.scm 297 */
																																		obj_t
																																			BgL_arg1854z00_4653;
																																		BgL_arg1854z00_4653
																																			=
																																			(BgL_oclassz00_4647);
																																		BgL_arg1853z00_4652
																																			=
																																			BGL_CLASS_ANCESTORS_REF
																																			(BgL_arg1854z00_4653,
																																			2L);
																																	}
																																	BgL_res2260z00_4664
																																		=
																																		(BgL_arg1853z00_4652
																																		==
																																		BgL_classz00_4631);
																																}
																															else
																																{	/* Cfa/closure.scm 297 */
																																	BgL_res2260z00_4664
																																		=
																																		((bool_t)
																																		0);
																																}
																														}
																												}
																											}
																											BgL_test2387z00_5870 =
																												BgL_res2260z00_4664;
																										}
																								}
																							else
																								{	/* Cfa/closure.scm 297 */
																									BgL_test2387z00_5870 =
																										((bool_t) 0);
																								}
																						}
																					}
																					if (BgL_test2387z00_5870)
																						{	/* Cfa/closure.scm 298 */
																							BgL_valuez00_bglt
																								BgL_arg1889z00_3332;
																							BgL_arg1889z00_3332 =
																								(((BgL_variablez00_bglt)
																									COBJECT((
																											(BgL_variablez00_bglt) (
																												(BgL_globalz00_bglt) ((
																														(BgL_funz00_bglt)
																														COBJECT((
																																(BgL_funz00_bglt)
																																((BgL_sfunz00_bglt) BgL_sfunz00_3320))))->BgL_thezd2closurezd2)))))->BgL_valuez00);
																							{	/* Cfa/closure.scm 298 */
																								obj_t BgL_classz00_4667;

																								BgL_classz00_4667 =
																									BGl_scnstz00zzast_varz00;
																								{	/* Cfa/closure.scm 298 */
																									BgL_objectz00_bglt
																										BgL_arg1858z00_4669;
																									{	/* Cfa/closure.scm 298 */
																										obj_t BgL_tmpz00_5902;

																										BgL_tmpz00_5902 =
																											((obj_t)
																											((BgL_objectz00_bglt)
																												BgL_arg1889z00_3332));
																										BgL_arg1858z00_4669 =
																											(BgL_objectz00_bglt)
																											(BgL_tmpz00_5902);
																									}
																									if (BGL_CONDEXPAND_ISA_ARCH64
																										())
																										{	/* Cfa/closure.scm 298 */
																											long BgL_idxz00_4675;

																											BgL_idxz00_4675 =
																												BGL_OBJECT_INHERITANCE_NUM
																												(BgL_arg1858z00_4669);
																											BgL_test2382z00_5845 =
																												(VECTOR_REF
																												(BGl_za2inheritancesza2z00zz__objectz00,
																													(BgL_idxz00_4675 +
																														2L)) ==
																												BgL_classz00_4667);
																										}
																									else
																										{	/* Cfa/closure.scm 298 */
																											bool_t
																												BgL_res2261z00_4700;
																											{	/* Cfa/closure.scm 298 */
																												obj_t
																													BgL_oclassz00_4683;
																												{	/* Cfa/closure.scm 298 */
																													obj_t
																														BgL_arg1866z00_4691;
																													long
																														BgL_arg1867z00_4692;
																													BgL_arg1866z00_4691 =
																														(BGl_za2classesza2z00zz__objectz00);
																													{	/* Cfa/closure.scm 298 */
																														long
																															BgL_arg1869z00_4693;
																														BgL_arg1869z00_4693
																															=
																															BGL_OBJECT_CLASS_NUM
																															(BgL_arg1858z00_4669);
																														BgL_arg1867z00_4692
																															=
																															(BgL_arg1869z00_4693
																															- OBJECT_TYPE);
																													}
																													BgL_oclassz00_4683 =
																														VECTOR_REF
																														(BgL_arg1866z00_4691,
																														BgL_arg1867z00_4692);
																												}
																												{	/* Cfa/closure.scm 298 */
																													bool_t
																														BgL__ortest_1115z00_4684;
																													BgL__ortest_1115z00_4684
																														=
																														(BgL_classz00_4667
																														==
																														BgL_oclassz00_4683);
																													if (BgL__ortest_1115z00_4684)
																														{	/* Cfa/closure.scm 298 */
																															BgL_res2261z00_4700
																																=
																																BgL__ortest_1115z00_4684;
																														}
																													else
																														{	/* Cfa/closure.scm 298 */
																															long
																																BgL_odepthz00_4685;
																															{	/* Cfa/closure.scm 298 */
																																obj_t
																																	BgL_arg1855z00_4686;
																																BgL_arg1855z00_4686
																																	=
																																	(BgL_oclassz00_4683);
																																BgL_odepthz00_4685
																																	=
																																	BGL_CLASS_DEPTH
																																	(BgL_arg1855z00_4686);
																															}
																															if (
																																(2L <
																																	BgL_odepthz00_4685))
																																{	/* Cfa/closure.scm 298 */
																																	obj_t
																																		BgL_arg1853z00_4688;
																																	{	/* Cfa/closure.scm 298 */
																																		obj_t
																																			BgL_arg1854z00_4689;
																																		BgL_arg1854z00_4689
																																			=
																																			(BgL_oclassz00_4683);
																																		BgL_arg1853z00_4688
																																			=
																																			BGL_CLASS_ANCESTORS_REF
																																			(BgL_arg1854z00_4689,
																																			2L);
																																	}
																																	BgL_res2261z00_4700
																																		=
																																		(BgL_arg1853z00_4688
																																		==
																																		BgL_classz00_4667);
																																}
																															else
																																{	/* Cfa/closure.scm 298 */
																																	BgL_res2261z00_4700
																																		=
																																		((bool_t)
																																		0);
																																}
																														}
																												}
																											}
																											BgL_test2382z00_5845 =
																												BgL_res2261z00_4700;
																										}
																								}
																							}
																						}
																					else
																						{	/* Cfa/closure.scm 297 */
																							BgL_test2382z00_5845 =
																								((bool_t) 0);
																						}
																				}
																			else
																				{	/* Cfa/closure.scm 296 */
																					BgL_test2382z00_5845 = ((bool_t) 0);
																				}
																		}
																		if (BgL_test2382z00_5845)
																			{	/* Cfa/closure.scm 299 */
																				BgL_valuez00_bglt BgL_arg1886z00_3328;

																				BgL_arg1886z00_3328 =
																					(((BgL_variablez00_bglt) COBJECT(
																							((BgL_variablez00_bglt)
																								((BgL_globalz00_bglt)
																									(((BgL_funz00_bglt) COBJECT(
																												((BgL_funz00_bglt)
																													((BgL_sfunz00_bglt)
																														BgL_sfunz00_3320))))->
																										BgL_thezd2closurezd2)))))->
																					BgL_valuez00);
																				{	/* Cfa/closure.scm 299 */
																					obj_t BgL_vz00_4704;

																					BgL_vz00_4704 =
																						((obj_t) CNST_TABLE_REF(7));
																					((((BgL_scnstz00_bglt) COBJECT(
																									((BgL_scnstz00_bglt)
																										BgL_arg1886z00_3328)))->
																							BgL_classz00) =
																						((obj_t) BgL_vz00_4704), BUNSPEC);
																				}
																			}
																		else
																			{	/* Cfa/closure.scm 296 */
																				BFALSE;
																			}
																	}
																	{	/* Cfa/closure.scm 301 */
																		BgL_varz00_bglt BgL_arg1892z00_3335;

																		BgL_arg1892z00_3335 =
																			(((BgL_appz00_bglt) COBJECT(
																					((BgL_appz00_bglt)
																						((BgL_appz00_bglt)
																							BgL_appz00_3315))))->BgL_funz00);
																		{	/* Cfa/closure.scm 301 */
																			BgL_variablez00_bglt BgL_vz00_4706;

																			BgL_vz00_4706 =
																				((BgL_variablez00_bglt)
																				BGl_za2makezd2lzd2procedureza2z00zzcfa_closurez00);
																			((((BgL_varz00_bglt)
																						COBJECT(BgL_arg1892z00_3335))->
																					BgL_variablez00) =
																				((BgL_variablez00_bglt) BgL_vz00_4706),
																				BUNSPEC);
																		}
																	}
																	{	/* Cfa/closure.scm 303 */
																		BgL_varz00_bglt BgL_arg1893z00_3336;

																		BgL_arg1893z00_3336 =
																			(((BgL_appz00_bglt) COBJECT(
																					((BgL_appz00_bglt)
																						((BgL_appz00_bglt)
																							BgL_appz00_3315))))->BgL_funz00);
																		{	/* Cfa/closure.scm 303 */
																			BgL_typez00_bglt BgL_vz00_4708;

																			BgL_vz00_4708 =
																				((BgL_typez00_bglt)
																				BGl_za2procedureza2z00zztype_cachez00);
																			((((BgL_nodez00_bglt)
																						COBJECT(((BgL_nodez00_bglt)
																								BgL_arg1893z00_3336)))->
																					BgL_typez00) =
																				((BgL_typez00_bglt) BgL_vz00_4708),
																				BUNSPEC);
																		}
																	}
																	((((BgL_nodez00_bglt) COBJECT(
																					((BgL_nodez00_bglt)
																						((BgL_appz00_bglt)
																							BgL_appz00_3315))))->
																			BgL_typez00) =
																		((BgL_typez00_bglt) ((BgL_typez00_bglt)
																				BGl_za2procedureza2z00zztype_cachez00)),
																		BUNSPEC);
																	{	/* Cfa/closure.scm 305 */
																		obj_t BgL_arg1894z00_3337;
																		obj_t BgL_arg1895z00_3338;

																		BgL_arg1894z00_3337 =
																			(((BgL_appz00_bglt) COBJECT(
																					((BgL_appz00_bglt)
																						((BgL_appz00_bglt)
																							BgL_appz00_3315))))->BgL_argsz00);
																		{	/* Cfa/closure.scm 305 */
																			obj_t BgL_pairz00_4709;

																			BgL_pairz00_4709 =
																				(((BgL_appz00_bglt) COBJECT(
																						((BgL_appz00_bglt)
																							((BgL_appz00_bglt)
																								BgL_appz00_3315))))->
																				BgL_argsz00);
																			BgL_arg1895z00_3338 =
																				CDR(CDR(BgL_pairz00_4709));
																		}
																		{	/* Cfa/closure.scm 305 */
																			obj_t BgL_tmpz00_5958;

																			BgL_tmpz00_5958 =
																				((obj_t) BgL_arg1894z00_3337);
																			SET_CDR(BgL_tmpz00_5958,
																				BgL_arg1895z00_3338);
																		}
																	}
																	BgL_appz00_3315;
																}
															}
														}
													}
												}
											else
												{	/* Cfa/closure.scm 313 */
													BFALSE;
												}
										}
								}
							}
							{
								obj_t BgL_l1538z00_5961;

								BgL_l1538z00_5961 = CDR(BgL_l1538z00_3275);
								BgL_l1538z00_3275 = BgL_l1538z00_5961;
								goto BgL_zc3z04anonymousza31803ze3z87_3276;
							}
						}
					else
						{	/* Cfa/closure.scm 309 */
							return ((bool_t) 1);
						}
				}
			}
		}

	}



/* light-funcall! */
	bool_t BGl_lightzd2funcallz12zc0zzcfa_closurez00(void)
	{
		{	/* Cfa/closure.scm 319 */
			{
				obj_t BgL_l1545z00_3347;

				BgL_l1545z00_3347 = BGl_za2funcallzd2listza2zd2zzcfa_closurez00;
			BgL_zc3z04anonymousza31901ze3z87_3348:
				if (PAIRP(BgL_l1545z00_3347))
					{	/* Cfa/closure.scm 323 */
						{	/* Cfa/closure.scm 324 */
							BgL_funcallz00_bglt BgL_appz00_3350;

							BgL_appz00_3350 = ((BgL_funcallz00_bglt) CAR(BgL_l1545z00_3347));
							{	/* Cfa/closure.scm 325 */
								BgL_nodez00_bglt BgL_funz00_3351;

								BgL_funz00_3351 =
									(((BgL_funcallz00_bglt) COBJECT(BgL_appz00_3350))->
									BgL_funz00);
								{	/* Cfa/closure.scm 325 */
									BgL_approxz00_bglt BgL_approxz00_3352;

									BgL_approxz00_3352 =
										BGl_cfaz12z12zzcfa_cfaz00(BgL_funz00_3351);
									{	/* Cfa/closure.scm 326 */
										obj_t BgL_alloczd2listzd2_3353;

										BgL_alloczd2listzd2_3353 =
											BGl_setzd2ze3listz31zzcfa_setz00(
											(((BgL_approxz00_bglt) COBJECT(BgL_approxz00_3352))->
												BgL_allocsz00));
										{	/* Cfa/closure.scm 327 */

											{	/* Cfa/closure.scm 328 */
												bool_t BgL_test2396z00_5971;

												if (PAIRP(BgL_alloczd2listzd2_3353))
													{	/* Cfa/closure.scm 329 */
														bool_t BgL_test2398z00_5974;

														{	/* Cfa/closure.scm 329 */
															obj_t BgL_arg1933z00_3398;

															BgL_arg1933z00_3398 =
																CAR(BgL_alloczd2listzd2_3353);
															{	/* Cfa/closure.scm 329 */
																obj_t BgL_classz00_4722;

																BgL_classz00_4722 =
																	BGl_makezd2procedurezd2appz00zzcfa_info2z00;
																if (BGL_OBJECTP(BgL_arg1933z00_3398))
																	{	/* Cfa/closure.scm 329 */
																		BgL_objectz00_bglt BgL_arg1858z00_4724;

																		BgL_arg1858z00_4724 =
																			(BgL_objectz00_bglt)
																			(BgL_arg1933z00_3398);
																		if (BGL_CONDEXPAND_ISA_ARCH64())
																			{	/* Cfa/closure.scm 329 */
																				long BgL_idxz00_4730;

																				BgL_idxz00_4730 =
																					BGL_OBJECT_INHERITANCE_NUM
																					(BgL_arg1858z00_4724);
																				BgL_test2398z00_5974 =
																					(VECTOR_REF
																					(BGl_za2inheritancesza2z00zz__objectz00,
																						(BgL_idxz00_4730 + 4L)) ==
																					BgL_classz00_4722);
																			}
																		else
																			{	/* Cfa/closure.scm 329 */
																				bool_t BgL_res2262z00_4755;

																				{	/* Cfa/closure.scm 329 */
																					obj_t BgL_oclassz00_4738;

																					{	/* Cfa/closure.scm 329 */
																						obj_t BgL_arg1866z00_4746;
																						long BgL_arg1867z00_4747;

																						BgL_arg1866z00_4746 =
																							(BGl_za2classesza2z00zz__objectz00);
																						{	/* Cfa/closure.scm 329 */
																							long BgL_arg1869z00_4748;

																							BgL_arg1869z00_4748 =
																								BGL_OBJECT_CLASS_NUM
																								(BgL_arg1858z00_4724);
																							BgL_arg1867z00_4747 =
																								(BgL_arg1869z00_4748 -
																								OBJECT_TYPE);
																						}
																						BgL_oclassz00_4738 =
																							VECTOR_REF(BgL_arg1866z00_4746,
																							BgL_arg1867z00_4747);
																					}
																					{	/* Cfa/closure.scm 329 */
																						bool_t BgL__ortest_1115z00_4739;

																						BgL__ortest_1115z00_4739 =
																							(BgL_classz00_4722 ==
																							BgL_oclassz00_4738);
																						if (BgL__ortest_1115z00_4739)
																							{	/* Cfa/closure.scm 329 */
																								BgL_res2262z00_4755 =
																									BgL__ortest_1115z00_4739;
																							}
																						else
																							{	/* Cfa/closure.scm 329 */
																								long BgL_odepthz00_4740;

																								{	/* Cfa/closure.scm 329 */
																									obj_t BgL_arg1855z00_4741;

																									BgL_arg1855z00_4741 =
																										(BgL_oclassz00_4738);
																									BgL_odepthz00_4740 =
																										BGL_CLASS_DEPTH
																										(BgL_arg1855z00_4741);
																								}
																								if ((4L < BgL_odepthz00_4740))
																									{	/* Cfa/closure.scm 329 */
																										obj_t BgL_arg1853z00_4743;

																										{	/* Cfa/closure.scm 329 */
																											obj_t BgL_arg1854z00_4744;

																											BgL_arg1854z00_4744 =
																												(BgL_oclassz00_4738);
																											BgL_arg1853z00_4743 =
																												BGL_CLASS_ANCESTORS_REF
																												(BgL_arg1854z00_4744,
																												4L);
																										}
																										BgL_res2262z00_4755 =
																											(BgL_arg1853z00_4743 ==
																											BgL_classz00_4722);
																									}
																								else
																									{	/* Cfa/closure.scm 329 */
																										BgL_res2262z00_4755 =
																											((bool_t) 0);
																									}
																							}
																					}
																				}
																				BgL_test2398z00_5974 =
																					BgL_res2262z00_4755;
																			}
																	}
																else
																	{	/* Cfa/closure.scm 329 */
																		BgL_test2398z00_5974 = ((bool_t) 0);
																	}
															}
														}
														if (BgL_test2398z00_5974)
															{	/* Cfa/closure.scm 329 */
																BgL_test2396z00_5971 = ((bool_t) 0);
															}
														else
															{	/* Cfa/closure.scm 329 */
																BgL_test2396z00_5971 = ((bool_t) 1);
															}
													}
												else
													{	/* Cfa/closure.scm 328 */
														BgL_test2396z00_5971 = ((bool_t) 1);
													}
												if (BgL_test2396z00_5971)
													{	/* Cfa/closure.scm 328 */
														((obj_t) CNST_TABLE_REF(8));
													}
												else
													{	/* Cfa/closure.scm 333 */
														BgL_appz00_bglt BgL_allocz00_3359;

														BgL_allocz00_3359 =
															((BgL_appz00_bglt)
															CAR(((obj_t) BgL_alloczd2listzd2_3353)));
														{	/* Cfa/closure.scm 336 */
															bool_t BgL_test2403z00_6003;

															{
																BgL_makezd2procedurezd2appz00_bglt
																	BgL_auxz00_6004;
																{
																	obj_t BgL_auxz00_6005;

																	{	/* Cfa/closure.scm 336 */
																		BgL_objectz00_bglt BgL_tmpz00_6006;

																		BgL_tmpz00_6006 =
																			((BgL_objectz00_bglt)
																			((BgL_appz00_bglt) BgL_allocz00_3359));
																		BgL_auxz00_6005 =
																			BGL_OBJECT_WIDENING(BgL_tmpz00_6006);
																	}
																	BgL_auxz00_6004 =
																		((BgL_makezd2procedurezd2appz00_bglt)
																		BgL_auxz00_6005);
																}
																BgL_test2403z00_6003 =
																	(((BgL_makezd2procedurezd2appz00_bglt)
																		COBJECT(BgL_auxz00_6004))->BgL_xz00);
															}
															if (BgL_test2403z00_6003)
																{	/* Cfa/closure.scm 336 */
																	{	/* Cfa/closure.scm 341 */
																		BgL_refz00_bglt BgL_arg1909z00_3362;

																		{	/* Cfa/closure.scm 341 */
																			BgL_nodez00_bglt
																				BgL_duplicated1180z00_3363;
																			BgL_refz00_bglt BgL_new1178z00_3364;

																			{	/* Cfa/closure.scm 341 */
																				obj_t BgL_pairz00_4758;

																				BgL_pairz00_4758 =
																					(((BgL_appz00_bglt) COBJECT(
																							((BgL_appz00_bglt)
																								((BgL_appz00_bglt)
																									BgL_allocz00_3359))))->
																					BgL_argsz00);
																				BgL_duplicated1180z00_3363 =
																					((BgL_nodez00_bglt)
																					CAR(BgL_pairz00_4758));
																			}
																			{	/* Cfa/closure.scm 342 */
																				BgL_refz00_bglt BgL_new1182z00_3374;

																				BgL_new1182z00_3374 =
																					((BgL_refz00_bglt)
																					BOBJECT(GC_MALLOC(sizeof(struct
																								BgL_refz00_bgl))));
																				{	/* Cfa/closure.scm 342 */
																					long BgL_arg1919z00_3375;

																					BgL_arg1919z00_3375 =
																						BGL_CLASS_NUM
																						(BGl_refz00zzast_nodez00);
																					BGL_OBJECT_CLASS_NUM_SET((
																							(BgL_objectz00_bglt)
																							BgL_new1182z00_3374),
																						BgL_arg1919z00_3375);
																				}
																				{	/* Cfa/closure.scm 342 */
																					BgL_objectz00_bglt BgL_tmpz00_6021;

																					BgL_tmpz00_6021 =
																						((BgL_objectz00_bglt)
																						BgL_new1182z00_3374);
																					BGL_OBJECT_WIDENING_SET
																						(BgL_tmpz00_6021, BFALSE);
																				}
																				((BgL_objectz00_bglt)
																					BgL_new1182z00_3374);
																				BgL_new1178z00_3364 =
																					BgL_new1182z00_3374;
																			}
																			((((BgL_nodez00_bglt) COBJECT(
																							((BgL_nodez00_bglt)
																								BgL_new1178z00_3364)))->
																					BgL_locz00) =
																				((obj_t) (((BgL_nodez00_bglt)
																							COBJECT
																							(BgL_duplicated1180z00_3363))->
																						BgL_locz00)), BUNSPEC);
																			{
																				BgL_typez00_bglt BgL_auxz00_6028;

																				{	/* Cfa/closure.scm 343 */
																					obj_t BgL_arg1910z00_3365;
																					BgL_typez00_bglt BgL_arg1911z00_3366;

																					{	/* Cfa/closure.scm 343 */
																						BgL_approxz00_bglt
																							BgL_arg1912z00_3367;
																						obj_t BgL_arg1913z00_3368;

																						{
																							BgL_makezd2procedurezd2appz00_bglt
																								BgL_auxz00_6030;
																							{
																								obj_t BgL_auxz00_6031;

																								{	/* Cfa/closure.scm 343 */
																									BgL_objectz00_bglt
																										BgL_tmpz00_6032;
																									BgL_tmpz00_6032 =
																										((BgL_objectz00_bglt) (
																											(BgL_appz00_bglt)
																											BgL_allocz00_3359));
																									BgL_auxz00_6031 =
																										BGL_OBJECT_WIDENING
																										(BgL_tmpz00_6032);
																								}
																								BgL_auxz00_6030 =
																									(
																									(BgL_makezd2procedurezd2appz00_bglt)
																									BgL_auxz00_6031);
																							}
																							BgL_arg1912z00_3367 =
																								(((BgL_makezd2procedurezd2appz00_bglt) COBJECT(BgL_auxz00_6030))->BgL_approxz00);
																						}
																						{	/* Cfa/closure.scm 343 */
																							obj_t BgL_pairz00_4764;

																							BgL_pairz00_4764 =
																								(((BgL_appz00_bglt) COBJECT(
																										((BgL_appz00_bglt)
																											((BgL_appz00_bglt)
																												BgL_allocz00_3359))))->
																								BgL_argsz00);
																							BgL_arg1913z00_3368 =
																								CAR(BgL_pairz00_4764);
																						}
																						BgL_arg1910z00_3365 =
																							BGl_getzd2approxzd2typez00zzcfa_typez00
																							(BgL_arg1912z00_3367,
																							BgL_arg1913z00_3368);
																					}
																					{
																						BgL_nodez00_bglt BgL_auxz00_6043;

																						{
																							BgL_varz00_bglt BgL_auxz00_6044;

																							{	/* Cfa/closure.scm 344 */
																								obj_t BgL_pairz00_4765;

																								BgL_pairz00_4765 =
																									(((BgL_appz00_bglt) COBJECT(
																											((BgL_appz00_bglt)
																												((BgL_appz00_bglt)
																													BgL_allocz00_3359))))->
																									BgL_argsz00);
																								BgL_auxz00_6044 =
																									((BgL_varz00_bglt)
																									CAR(BgL_pairz00_4765));
																							}
																							BgL_auxz00_6043 =
																								((BgL_nodez00_bglt)
																								BgL_auxz00_6044);
																						}
																						BgL_arg1911z00_3366 =
																							(((BgL_nodez00_bglt)
																								COBJECT(BgL_auxz00_6043))->
																							BgL_typez00);
																					}
																					BgL_auxz00_6028 =
																						BGl_strictzd2nodezd2typez00zzast_nodez00
																						(((BgL_typez00_bglt)
																							BgL_arg1910z00_3365),
																						BgL_arg1911z00_3366);
																				}
																				((((BgL_nodez00_bglt) COBJECT(
																								((BgL_nodez00_bglt)
																									BgL_new1178z00_3364)))->
																						BgL_typez00) =
																					((BgL_typez00_bglt) BgL_auxz00_6028),
																					BUNSPEC);
																			}
																			((((BgL_varz00_bglt) COBJECT(
																							((BgL_varz00_bglt)
																								BgL_new1178z00_3364)))->
																					BgL_variablez00) =
																				((BgL_variablez00_bglt) ((
																							(BgL_varz00_bglt)
																							COBJECT(((BgL_varz00_bglt)
																									BgL_duplicated1180z00_3363)))->
																						BgL_variablez00)), BUNSPEC);
																			BgL_arg1909z00_3362 = BgL_new1178z00_3364;
																		}
																		((((BgL_funcallz00_bglt)
																					COBJECT(BgL_appz00_3350))->
																				BgL_funz00) =
																			((BgL_nodez00_bglt) ((BgL_nodez00_bglt)
																					BgL_arg1909z00_3362)), BUNSPEC);
																	}
																	{	/* Cfa/closure.scm 345 */
																		obj_t BgL_arg1921z00_3376;

																		{	/* Cfa/closure.scm 345 */
																			obj_t BgL_arg1922z00_3377;

																			{	/* Cfa/closure.scm 345 */
																				obj_t BgL_pairz00_4769;

																				BgL_pairz00_4769 =
																					(((BgL_appz00_bglt) COBJECT(
																							((BgL_appz00_bglt)
																								((BgL_appz00_bglt)
																									BgL_allocz00_3359))))->
																					BgL_argsz00);
																				BgL_arg1922z00_3377 =
																					CAR(BgL_pairz00_4769);
																			}
																			{	/* Cfa/closure.scm 345 */
																				obj_t BgL_list1923z00_3378;

																				BgL_list1923z00_3378 =
																					MAKE_YOUNG_PAIR(BgL_arg1922z00_3377,
																					BNIL);
																				BgL_arg1921z00_3376 =
																					BgL_list1923z00_3378;
																		}}
																		((((BgL_funcallz00_bglt)
																					COBJECT(BgL_appz00_3350))->
																				BgL_functionsz00) =
																			((obj_t) BgL_arg1921z00_3376), BUNSPEC);
																	}
																	{	/* Cfa/closure.scm 346 */
																		obj_t BgL_vz00_4773;

																		BgL_vz00_4773 = ((obj_t) CNST_TABLE_REF(2));
																		((((BgL_funcallz00_bglt)
																					COBJECT(BgL_appz00_3350))->
																				BgL_strengthz00) =
																			((obj_t) BgL_vz00_4773), BUNSPEC);
																}}
															else
																{	/* Cfa/closure.scm 347 */
																	bool_t BgL_test2404z00_6070;

																	{
																		BgL_makezd2procedurezd2appz00_bglt
																			BgL_auxz00_6071;
																		{
																			obj_t BgL_auxz00_6072;

																			{	/* Cfa/closure.scm 347 */
																				BgL_objectz00_bglt BgL_tmpz00_6073;

																				BgL_tmpz00_6073 =
																					((BgL_objectz00_bglt)
																					((BgL_appz00_bglt)
																						BgL_allocz00_3359));
																				BgL_auxz00_6072 =
																					BGL_OBJECT_WIDENING(BgL_tmpz00_6073);
																			}
																			BgL_auxz00_6071 =
																				((BgL_makezd2procedurezd2appz00_bglt)
																				BgL_auxz00_6072);
																		}
																		BgL_test2404z00_6070 =
																			(((BgL_makezd2procedurezd2appz00_bglt)
																				COBJECT(BgL_auxz00_6071))->BgL_tz00);
																	}
																	if (BgL_test2404z00_6070)
																		{	/* Cfa/closure.scm 347 */
																			{	/* Cfa/closure.scm 350 */
																				obj_t BgL_fz00_3381;

																				if (NULLP(BgL_alloczd2listzd2_3353))
																					{	/* Cfa/closure.scm 350 */
																						BgL_fz00_3381 = BNIL;
																					}
																				else
																					{	/* Cfa/closure.scm 350 */
																						obj_t BgL_head1542z00_3384;

																						BgL_head1542z00_3384 =
																							MAKE_YOUNG_PAIR(BNIL, BNIL);
																						{
																							obj_t BgL_l1540z00_3386;
																							obj_t BgL_tail1543z00_3387;

																							BgL_l1540z00_3386 =
																								BgL_alloczd2listzd2_3353;
																							BgL_tail1543z00_3387 =
																								BgL_head1542z00_3384;
																						BgL_zc3z04anonymousza31927ze3z87_3388:
																							if (NULLP
																								(BgL_l1540z00_3386))
																								{	/* Cfa/closure.scm 350 */
																									BgL_fz00_3381 =
																										CDR(BgL_head1542z00_3384);
																								}
																							else
																								{	/* Cfa/closure.scm 350 */
																									obj_t BgL_newtail1544z00_3390;

																									{	/* Cfa/closure.scm 350 */
																										obj_t BgL_arg1930z00_3392;

																										{	/* Cfa/closure.scm 351 */
																											obj_t BgL_pairz00_4778;

																											BgL_pairz00_4778 =
																												(((BgL_appz00_bglt)
																													COBJECT((
																															(BgL_appz00_bglt)
																															((BgL_appz00_bglt)
																																CAR(((obj_t)
																																		BgL_l1540z00_3386))))))->
																												BgL_argsz00);
																											BgL_arg1930z00_3392 =
																												CAR(BgL_pairz00_4778);
																										}
																										BgL_newtail1544z00_3390 =
																											MAKE_YOUNG_PAIR
																											(BgL_arg1930z00_3392,
																											BNIL);
																									}
																									SET_CDR(BgL_tail1543z00_3387,
																										BgL_newtail1544z00_3390);
																									{	/* Cfa/closure.scm 350 */
																										obj_t BgL_arg1929z00_3391;

																										BgL_arg1929z00_3391 =
																											CDR(
																											((obj_t)
																												BgL_l1540z00_3386));
																										{
																											obj_t
																												BgL_tail1543z00_6096;
																											obj_t BgL_l1540z00_6095;

																											BgL_l1540z00_6095 =
																												BgL_arg1929z00_3391;
																											BgL_tail1543z00_6096 =
																												BgL_newtail1544z00_3390;
																											BgL_tail1543z00_3387 =
																												BgL_tail1543z00_6096;
																											BgL_l1540z00_3386 =
																												BgL_l1540z00_6095;
																											goto
																												BgL_zc3z04anonymousza31927ze3z87_3388;
																										}
																									}
																								}
																						}
																					}
																				((((BgL_funcallz00_bglt)
																							COBJECT(BgL_appz00_3350))->
																						BgL_functionsz00) =
																					((obj_t) BgL_fz00_3381), BUNSPEC);
																				{	/* Cfa/closure.scm 354 */
																					obj_t BgL_vz00_4783;

																					BgL_vz00_4783 =
																						((obj_t) CNST_TABLE_REF(3));
																					((((BgL_funcallz00_bglt)
																								COBJECT(BgL_appz00_3350))->
																							BgL_strengthz00) =
																						((obj_t) BgL_vz00_4783), BUNSPEC);
																				}
																			}
																		}
																	else
																		{	/* Cfa/closure.scm 347 */
																			((obj_t) CNST_TABLE_REF(8));
																		}
																}
														}
													}
											}
										}
									}
								}
							}
						}
						{
							obj_t BgL_l1545z00_6103;

							BgL_l1545z00_6103 = CDR(BgL_l1545z00_3347);
							BgL_l1545z00_3347 = BgL_l1545z00_6103;
							goto BgL_zc3z04anonymousza31901ze3z87_3348;
						}
					}
				else
					{	/* Cfa/closure.scm 323 */
						((bool_t) 1);
					}
			}
			if (CBOOL
				(BGl_za2optimzd2cfazd2unboxzd2closurezd2argsza2z00zzengine_paramz00))
				{	/* Cfa/closure.scm 359 */
					{	/* Cfa/closure.scm 365 */
						obj_t BgL_funcallzd2lzd2_3402;

						{	/* Cfa/closure.scm 365 */
							obj_t BgL_hook1551z00_3426;

							BgL_hook1551z00_3426 = MAKE_YOUNG_PAIR(BFALSE, BNIL);
							{
								obj_t BgL_l1548z00_3428;
								obj_t BgL_h1549z00_3429;

								BgL_l1548z00_3428 = BGl_za2funcallzd2listza2zd2zzcfa_closurez00;
								BgL_h1549z00_3429 = BgL_hook1551z00_3426;
							BgL_zc3z04anonymousza31946ze3z87_3430:
								if (NULLP(BgL_l1548z00_3428))
									{	/* Cfa/closure.scm 365 */
										BgL_funcallzd2lzd2_3402 = CDR(BgL_hook1551z00_3426);
									}
								else
									{	/* Cfa/closure.scm 365 */
										if (
											((((BgL_funcallz00_bglt) COBJECT(
															((BgL_funcallz00_bglt)
																CAR(
																	((obj_t) BgL_l1548z00_3428)))))->
													BgL_strengthz00) == ((obj_t) CNST_TABLE_REF(3))))
											{	/* Cfa/closure.scm 365 */
												obj_t BgL_nh1550z00_3435;

												{	/* Cfa/closure.scm 365 */
													obj_t BgL_arg1953z00_3437;

													BgL_arg1953z00_3437 =
														CAR(((obj_t) BgL_l1548z00_3428));
													BgL_nh1550z00_3435 =
														MAKE_YOUNG_PAIR(BgL_arg1953z00_3437, BNIL);
												}
												SET_CDR(BgL_h1549z00_3429, BgL_nh1550z00_3435);
												{	/* Cfa/closure.scm 365 */
													obj_t BgL_arg1950z00_3436;

													BgL_arg1950z00_3436 =
														CDR(((obj_t) BgL_l1548z00_3428));
													{
														obj_t BgL_h1549z00_6126;
														obj_t BgL_l1548z00_6125;

														BgL_l1548z00_6125 = BgL_arg1950z00_3436;
														BgL_h1549z00_6126 = BgL_nh1550z00_3435;
														BgL_h1549z00_3429 = BgL_h1549z00_6126;
														BgL_l1548z00_3428 = BgL_l1548z00_6125;
														goto BgL_zc3z04anonymousza31946ze3z87_3430;
													}
												}
											}
										else
											{	/* Cfa/closure.scm 365 */
												obj_t BgL_arg1954z00_3438;

												BgL_arg1954z00_3438 = CDR(((obj_t) BgL_l1548z00_3428));
												{
													obj_t BgL_l1548z00_6129;

													BgL_l1548z00_6129 = BgL_arg1954z00_3438;
													BgL_l1548z00_3428 = BgL_l1548z00_6129;
													goto BgL_zc3z04anonymousza31946ze3z87_3430;
												}
											}
									}
							}
						}
						{

						BgL_zc3z04anonymousza31936ze3z87_3404:
							{	/* Cfa/closure.scm 369 */
								bool_t BgL_contz00_3405;

								BgL_contz00_3405 = ((bool_t) 0);
								{
									obj_t BgL_l1552z00_3407;

									BgL_l1552z00_3407 = BgL_funcallzd2lzd2_3402;
								BgL_zc3z04anonymousza31937ze3z87_3408:
									if (PAIRP(BgL_l1552z00_3407))
										{	/* Cfa/closure.scm 370 */
											{	/* Cfa/closure.scm 371 */
												BgL_funcallz00_bglt BgL_appz00_3410;

												BgL_appz00_3410 =
													((BgL_funcallz00_bglt) CAR(BgL_l1552z00_3407));
												{	/* Cfa/closure.scm 371 */
													BgL_nodez00_bglt BgL_funz00_3411;

													BgL_funz00_3411 =
														(((BgL_funcallz00_bglt) COBJECT(BgL_appz00_3410))->
														BgL_funz00);
													{	/* Cfa/closure.scm 371 */
														BgL_approxz00_bglt BgL_approxz00_3412;

														BgL_approxz00_3412 =
															BGl_cfaz12z12zzcfa_cfaz00(BgL_funz00_3411);
														{	/* Cfa/closure.scm 372 */
															obj_t BgL_appsz00_3413;

															BgL_appsz00_3413 =
																BGl_setzd2ze3listz31zzcfa_setz00(
																(((BgL_approxz00_bglt)
																		COBJECT(BgL_approxz00_3412))->
																	BgL_allocsz00));
															{	/* Cfa/closure.scm 373 */

																if (PAIRP(BgL_appsz00_3413))
																	{	/* Cfa/closure.scm 374 */
																		{	/* Cfa/closure.scm 375 */
																			bool_t BgL_test2412z00_6140;

																			{	/* Cfa/closure.scm 375 */
																				obj_t BgL_tmpz00_6141;

																				BgL_tmpz00_6141 = CDR(BgL_appsz00_3413);
																				BgL_test2412z00_6140 =
																					PAIRP(BgL_tmpz00_6141);
																			}
																			if (BgL_test2412z00_6140)
																				{	/* Cfa/closure.scm 377 */
																					bool_t BgL__ortest_1183z00_3417;

																					BgL__ortest_1183z00_3417 =
																						BGl_mergezd2appzd2typesz12z12zzcfa_closurez00
																						(BgL_appsz00_3413);
																					if (BgL__ortest_1183z00_3417)
																						{	/* Cfa/closure.scm 377 */
																							BgL_contz00_3405 =
																								BgL__ortest_1183z00_3417;
																						}
																					else
																						{	/* Cfa/closure.scm 377 */
																							BgL_contz00_3405 =
																								BgL_contz00_3405;
																						}
																				}
																			else
																				{	/* Cfa/closure.scm 375 */
																					BFALSE;
																				}
																		}
																		{	/* Cfa/closure.scm 378 */
																			bool_t BgL_mz00_3419;

																			{	/* Cfa/closure.scm 379 */
																				BgL_approxz00_bglt BgL_arg1943z00_3421;

																				BgL_arg1943z00_3421 =
																					BGl_cfaz12z12zzcfa_cfaz00(
																					((BgL_nodez00_bglt) BgL_appz00_3410));
																				BgL_mz00_3419 =
																					BGl_mergezd2appzd2returnzd2typesz12zc0zzcfa_closurez00
																					(BgL_appsz00_3413,
																					BgL_arg1943z00_3421);
																			}
																			{	/* Cfa/closure.scm 380 */
																				bool_t BgL__ortest_1184z00_3420;

																				BgL__ortest_1184z00_3420 =
																					BgL_contz00_3405;
																				if (BgL__ortest_1184z00_3420)
																					{	/* Cfa/closure.scm 380 */
																						BgL_contz00_3405 =
																							BgL__ortest_1184z00_3420;
																					}
																				else
																					{	/* Cfa/closure.scm 380 */
																						BgL_contz00_3405 = BgL_mz00_3419;
																					}
																			}
																		}
																	}
																else
																	{	/* Cfa/closure.scm 374 */
																		BFALSE;
																	}
															}
														}
													}
												}
											}
											{
												obj_t BgL_l1552z00_6150;

												BgL_l1552z00_6150 = CDR(BgL_l1552z00_3407);
												BgL_l1552z00_3407 = BgL_l1552z00_6150;
												goto BgL_zc3z04anonymousza31937ze3z87_3408;
											}
										}
									else
										{	/* Cfa/closure.scm 370 */
											((bool_t) 1);
										}
								}
								if (BgL_contz00_3405)
									{	/* Cfa/closure.scm 382 */
										goto BgL_zc3z04anonymousza31936ze3z87_3404;
									}
								else
									{	/* Cfa/closure.scm 382 */
										return ((bool_t) 0);
									}
							}
						}
					}
				}
			else
				{	/* Cfa/closure.scm 359 */
					return ((bool_t) 0);
				}
		}

	}



/* merge-app-return-types! */
	bool_t BGl_mergezd2appzd2returnzd2typesz12zc0zzcfa_closurez00(obj_t
		BgL_appsz00_29, BgL_approxz00_bglt BgL_approxz00_30)
	{
		{	/* Cfa/closure.scm 388 */
			{	/* Cfa/closure.scm 389 */
				obj_t BgL_app0z00_3442;

				BgL_app0z00_3442 = CAR(BgL_appsz00_29);
				{	/* Cfa/closure.scm 389 */
					BgL_variablez00_bglt BgL_f0z00_3443;

					{
						BgL_varz00_bglt BgL_auxz00_6154;

						{	/* Cfa/closure.scm 390 */
							obj_t BgL_pairz00_4799;

							BgL_pairz00_4799 =
								(((BgL_appz00_bglt) COBJECT(
										((BgL_appz00_bglt)
											((BgL_appz00_bglt) BgL_app0z00_3442))))->BgL_argsz00);
							BgL_auxz00_6154 = ((BgL_varz00_bglt) CAR(BgL_pairz00_4799));
						}
						BgL_f0z00_3443 =
							(((BgL_varz00_bglt) COBJECT(BgL_auxz00_6154))->BgL_variablez00);
					}
					{	/* Cfa/closure.scm 390 */
						BgL_approxz00_bglt BgL_r0z00_3444;

						{	/* Cfa/closure.scm 391 */
							BgL_sfunz00_bglt BgL_oz00_4802;

							BgL_oz00_4802 =
								((BgL_sfunz00_bglt)
								(((BgL_variablez00_bglt) COBJECT(BgL_f0z00_3443))->
									BgL_valuez00));
							{
								BgL_internzd2sfunzf2cinfoz20_bglt BgL_auxz00_6163;

								{
									obj_t BgL_auxz00_6164;

									{	/* Cfa/closure.scm 391 */
										BgL_objectz00_bglt BgL_tmpz00_6165;

										BgL_tmpz00_6165 = ((BgL_objectz00_bglt) BgL_oz00_4802);
										BgL_auxz00_6164 = BGL_OBJECT_WIDENING(BgL_tmpz00_6165);
									}
									BgL_auxz00_6163 =
										((BgL_internzd2sfunzf2cinfoz20_bglt) BgL_auxz00_6164);
								}
								BgL_r0z00_3444 =
									(((BgL_internzd2sfunzf2cinfoz20_bglt)
										COBJECT(BgL_auxz00_6163))->BgL_approxz00);
							}
						}
						{	/* Cfa/closure.scm 391 */
							obj_t BgL_rt0z00_3445;

							BgL_rt0z00_3445 =
								((obj_t)
								(((BgL_approxz00_bglt) COBJECT(BgL_r0z00_3444))->BgL_typez00));
							{	/* Cfa/closure.scm 392 */
								BgL_typez00_bglt BgL_brt0z00_3446;

								BgL_brt0z00_3446 =
									BGl_getzd2bigloozd2typez00zztype_cachez00(
									((BgL_typez00_bglt) BgL_rt0z00_3445));
								{	/* Cfa/closure.scm 393 */
									obj_t BgL_atz00_3447;

									BgL_atz00_3447 =
										((obj_t)
										(((BgL_approxz00_bglt) COBJECT(BgL_approxz00_30))->
											BgL_typez00));
									{	/* Cfa/closure.scm 394 */

										{	/* Cfa/closure.scm 395 */
											bool_t BgL_test2416z00_6176;

											if ((BgL_rt0z00_3445 == BgL_atz00_3447))
												{	/* Cfa/closure.scm 395 */
													BgL_test2416z00_6176 = ((bool_t) 1);
												}
											else
												{	/* Cfa/closure.scm 395 */
													if (BGl_bigloozd2typezf3z21zztype_typez00(
															((BgL_typez00_bglt) BgL_rt0z00_3445)))
														{	/* Cfa/closure.scm 395 */
															BgL_test2416z00_6176 =
																BGl_bigloozd2typezf3z21zztype_typez00(
																((BgL_typez00_bglt) BgL_atz00_3447));
														}
													else
														{	/* Cfa/closure.scm 395 */
															BgL_test2416z00_6176 = ((bool_t) 0);
														}
												}
											if (BgL_test2416z00_6176)
												{	/* Cfa/closure.scm 395 */
													return ((bool_t) 0);
												}
											else
												{	/* Cfa/closure.scm 395 */
													((((BgL_approxz00_bglt) COBJECT(BgL_approxz00_30))->
															BgL_typez00) =
														((BgL_typez00_bglt) (((BgL_approxz00_bglt)
																	COBJECT(BgL_r0z00_3444))->BgL_typez00)),
														BUNSPEC);
													return ((bool_t) 1);
												}
										}
									}
								}
							}
						}
					}
				}
			}
		}

	}



/* merge-app-types! */
	bool_t BGl_mergezd2appzd2typesz12z12zzcfa_closurez00(obj_t BgL_apps0z00_31)
	{
		{	/* Cfa/closure.scm 402 */
			{
				BgL_appz00_bglt BgL_app0z00_3468;
				BgL_appz00_bglt BgL_app1z00_3469;

				{	/* Cfa/closure.scm 471 */
					obj_t BgL_g1190z00_3456;

					BgL_g1190z00_3456 = CDR(((obj_t) BgL_apps0z00_31));
					{
						obj_t BgL_appsz00_3458;
						bool_t BgL_contz00_3459;

						BgL_appsz00_3458 = BgL_g1190z00_3456;
						BgL_contz00_3459 = ((bool_t) 0);
					BgL_zc3z04anonymousza31963ze3z87_3460:
						if (NULLP(BgL_appsz00_3458))
							{	/* Cfa/closure.scm 473 */
								return BgL_contz00_3459;
							}
						else
							{	/* Cfa/closure.scm 475 */
								obj_t BgL_arg1965z00_3462;
								bool_t BgL_arg1966z00_3463;

								BgL_arg1965z00_3462 = CDR(((obj_t) BgL_appsz00_3458));
								{	/* Cfa/closure.scm 475 */
									bool_t BgL__ortest_1191z00_3464;

									{	/* Cfa/closure.scm 475 */
										obj_t BgL_arg1967z00_3465;
										obj_t BgL_arg1968z00_3466;

										BgL_arg1967z00_3465 = CAR(((obj_t) BgL_apps0z00_31));
										BgL_arg1968z00_3466 = CAR(((obj_t) BgL_appsz00_3458));
										BgL_app0z00_3468 = ((BgL_appz00_bglt) BgL_arg1967z00_3465);
										BgL_app1z00_3469 = ((BgL_appz00_bglt) BgL_arg1968z00_3466);
										{	/* Cfa/closure.scm 405 */
											BgL_variablez00_bglt BgL_f0z00_3471;

											{
												BgL_varz00_bglt BgL_auxz00_6196;

												{	/* Cfa/closure.scm 405 */
													obj_t BgL_pairz00_4810;

													BgL_pairz00_4810 =
														(((BgL_appz00_bglt) COBJECT(
																((BgL_appz00_bglt) BgL_app0z00_3468)))->
														BgL_argsz00);
													BgL_auxz00_6196 =
														((BgL_varz00_bglt) CAR(BgL_pairz00_4810));
												}
												BgL_f0z00_3471 =
													(((BgL_varz00_bglt) COBJECT(BgL_auxz00_6196))->
													BgL_variablez00);
											}
											{	/* Cfa/closure.scm 405 */
												BgL_variablez00_bglt BgL_f1z00_3472;

												{
													BgL_varz00_bglt BgL_auxz00_6202;

													{	/* Cfa/closure.scm 406 */
														obj_t BgL_pairz00_4813;

														BgL_pairz00_4813 =
															(((BgL_appz00_bglt) COBJECT(
																	((BgL_appz00_bglt) BgL_app1z00_3469)))->
															BgL_argsz00);
														BgL_auxz00_6202 =
															((BgL_varz00_bglt) CAR(BgL_pairz00_4813));
													}
													BgL_f1z00_3472 =
														(((BgL_varz00_bglt) COBJECT(BgL_auxz00_6202))->
														BgL_variablez00);
												}
												{	/* Cfa/closure.scm 406 */

													{	/* Cfa/closure.scm 408 */
														BgL_approxz00_bglt BgL_r0z00_3473;

														{	/* Cfa/closure.scm 408 */
															BgL_sfunz00_bglt BgL_oz00_4816;

															BgL_oz00_4816 =
																((BgL_sfunz00_bglt)
																(((BgL_variablez00_bglt)
																		COBJECT(BgL_f0z00_3471))->BgL_valuez00));
															{
																BgL_internzd2sfunzf2cinfoz20_bglt
																	BgL_auxz00_6210;
																{
																	obj_t BgL_auxz00_6211;

																	{	/* Cfa/closure.scm 408 */
																		BgL_objectz00_bglt BgL_tmpz00_6212;

																		BgL_tmpz00_6212 =
																			((BgL_objectz00_bglt) BgL_oz00_4816);
																		BgL_auxz00_6211 =
																			BGL_OBJECT_WIDENING(BgL_tmpz00_6212);
																	}
																	BgL_auxz00_6210 =
																		((BgL_internzd2sfunzf2cinfoz20_bglt)
																		BgL_auxz00_6211);
																}
																BgL_r0z00_3473 =
																	(((BgL_internzd2sfunzf2cinfoz20_bglt)
																		COBJECT(BgL_auxz00_6210))->BgL_approxz00);
															}
														}
														{	/* Cfa/closure.scm 408 */
															BgL_approxz00_bglt BgL_r1z00_3474;

															{	/* Cfa/closure.scm 409 */
																BgL_sfunz00_bglt BgL_oz00_4819;

																BgL_oz00_4819 =
																	((BgL_sfunz00_bglt)
																	(((BgL_variablez00_bglt)
																			COBJECT(BgL_f1z00_3472))->BgL_valuez00));
																{
																	BgL_internzd2sfunzf2cinfoz20_bglt
																		BgL_auxz00_6219;
																	{
																		obj_t BgL_auxz00_6220;

																		{	/* Cfa/closure.scm 409 */
																			BgL_objectz00_bglt BgL_tmpz00_6221;

																			BgL_tmpz00_6221 =
																				((BgL_objectz00_bglt) BgL_oz00_4819);
																			BgL_auxz00_6220 =
																				BGL_OBJECT_WIDENING(BgL_tmpz00_6221);
																		}
																		BgL_auxz00_6219 =
																			((BgL_internzd2sfunzf2cinfoz20_bglt)
																			BgL_auxz00_6220);
																	}
																	BgL_r1z00_3474 =
																		(((BgL_internzd2sfunzf2cinfoz20_bglt)
																			COBJECT(BgL_auxz00_6219))->BgL_approxz00);
																}
															}
															{	/* Cfa/closure.scm 409 */
																obj_t BgL_rt0z00_3475;

																BgL_rt0z00_3475 =
																	((obj_t)
																	(((BgL_approxz00_bglt)
																			COBJECT(BgL_r0z00_3473))->BgL_typez00));
																{	/* Cfa/closure.scm 410 */
																	obj_t BgL_rt1z00_3476;

																	BgL_rt1z00_3476 =
																		((obj_t)
																		(((BgL_approxz00_bglt)
																				COBJECT(BgL_r1z00_3474))->BgL_typez00));
																	{	/* Cfa/closure.scm 411 */
																		obj_t BgL_brt0z00_3477;

																		BgL_brt0z00_3477 =
																			((obj_t)
																			BGl_getzd2bigloozd2typez00zztype_cachez00(
																				((BgL_typez00_bglt) BgL_rt0z00_3475)));
																		{	/* Cfa/closure.scm 412 */
																			obj_t BgL_brt1z00_3478;

																			BgL_brt1z00_3478 =
																				((obj_t)
																				BGl_getzd2bigloozd2typez00zztype_cachez00
																				(((BgL_typez00_bglt) BgL_rt1z00_3476)));
																			{	/* Cfa/closure.scm 413 */

																				{	/* Cfa/closure.scm 414 */
																					bool_t BgL_test2420z00_6236;

																					if (
																						(BgL_rt0z00_3475 ==
																							BgL_rt1z00_3476))
																						{	/* Cfa/closure.scm 414 */
																							BgL_test2420z00_6236 =
																								((bool_t) 1);
																						}
																					else
																						{	/* Cfa/closure.scm 414 */
																							if (BGl_bigloozd2typezf3z21zztype_typez00(((BgL_typez00_bglt) BgL_rt0z00_3475)))
																								{	/* Cfa/closure.scm 415 */
																									BgL_test2420z00_6236 =
																										BGl_bigloozd2typezf3z21zztype_typez00
																										(((BgL_typez00_bglt)
																											BgL_rt1z00_3476));
																								}
																							else
																								{	/* Cfa/closure.scm 415 */
																									BgL_test2420z00_6236 =
																										((bool_t) 0);
																								}
																						}
																					if (BgL_test2420z00_6236)
																						{	/* Cfa/closure.scm 414 */
																							BFALSE;
																						}
																					else
																						{	/* Cfa/closure.scm 414 */
																							if (
																								(BgL_rt0z00_3475 ==
																									BgL_brt0z00_3477))
																								{	/* Cfa/closure.scm 416 */
																									BFALSE;
																								}
																							else
																								{	/* Cfa/closure.scm 416 */
																									((((BgL_approxz00_bglt)
																												COBJECT
																												(BgL_r0z00_3473))->
																											BgL_typez00) =
																										((BgL_typez00_bglt) (
																												(BgL_typez00_bglt)
																												BgL_brt0z00_3477)),
																										BUNSPEC);
																								}
																							if (
																								(BgL_rt1z00_3476 ==
																									BgL_brt1z00_3478))
																								{	/* Cfa/closure.scm 418 */
																									BFALSE;
																								}
																							else
																								{	/* Cfa/closure.scm 418 */
																									((((BgL_approxz00_bglt)
																												COBJECT
																												(BgL_r1z00_3474))->
																											BgL_typez00) =
																										((BgL_typez00_bglt) (
																												(BgL_typez00_bglt)
																												BgL_brt1z00_3478)),
																										BUNSPEC);
																								}
																						}
																				}
																			}
																		}
																	}
																}
															}
														}
													}
													{	/* Cfa/closure.scm 420 */
														obj_t BgL_g1187z00_3484;
														obj_t BgL_g1188z00_3485;

														{	/* Cfa/closure.scm 420 */
															obj_t BgL_pairz00_4829;

															BgL_pairz00_4829 =
																(((BgL_sfunz00_bglt) COBJECT(
																		((BgL_sfunz00_bglt)
																			(((BgL_variablez00_bglt)
																					COBJECT(BgL_f0z00_3471))->
																				BgL_valuez00))))->BgL_argsz00);
															BgL_g1187z00_3484 = CDR(BgL_pairz00_4829);
														}
														{	/* Cfa/closure.scm 421 */
															obj_t BgL_pairz00_4832;

															BgL_pairz00_4832 =
																(((BgL_sfunz00_bglt) COBJECT(
																		((BgL_sfunz00_bglt)
																			(((BgL_variablez00_bglt)
																					COBJECT(BgL_f1z00_3472))->
																				BgL_valuez00))))->BgL_argsz00);
															BgL_g1188z00_3485 = CDR(BgL_pairz00_4832);
														}
														{
															obj_t BgL_a0z00_3487;
															obj_t BgL_a1z00_3488;
															bool_t BgL_contz00_3489;

															BgL_a0z00_3487 = BgL_g1187z00_3484;
															BgL_a1z00_3488 = BgL_g1188z00_3485;
															BgL_contz00_3489 = ((bool_t) 0);
														BgL_zc3z04anonymousza31973ze3z87_3490:
															{	/* Cfa/closure.scm 423 */
																bool_t BgL_test2425z00_6260;

																if (PAIRP(BgL_a0z00_3487))
																	{	/* Cfa/closure.scm 423 */
																		BgL_test2425z00_6260 =
																			PAIRP(BgL_a1z00_3488);
																	}
																else
																	{	/* Cfa/closure.scm 423 */
																		BgL_test2425z00_6260 = ((bool_t) 0);
																	}
																if (BgL_test2425z00_6260)
																	{	/* Cfa/closure.scm 424 */
																		BgL_approxz00_bglt BgL_p0z00_3493;

																		{	/* Cfa/closure.scm 424 */
																			BgL_svarz00_bglt BgL_oz00_4835;

																			BgL_oz00_4835 =
																				((BgL_svarz00_bglt)
																				(((BgL_variablez00_bglt) COBJECT(
																							((BgL_variablez00_bglt)
																								CAR(BgL_a0z00_3487))))->
																					BgL_valuez00));
																			{
																				BgL_svarzf2cinfozf2_bglt
																					BgL_auxz00_6268;
																				{
																					obj_t BgL_auxz00_6269;

																					{	/* Cfa/closure.scm 424 */
																						BgL_objectz00_bglt BgL_tmpz00_6270;

																						BgL_tmpz00_6270 =
																							((BgL_objectz00_bglt)
																							BgL_oz00_4835);
																						BgL_auxz00_6269 =
																							BGL_OBJECT_WIDENING
																							(BgL_tmpz00_6270);
																					}
																					BgL_auxz00_6268 =
																						((BgL_svarzf2cinfozf2_bglt)
																						BgL_auxz00_6269);
																				}
																				BgL_p0z00_3493 =
																					(((BgL_svarzf2cinfozf2_bglt)
																						COBJECT(BgL_auxz00_6268))->
																					BgL_approxz00);
																			}
																		}
																		{	/* Cfa/closure.scm 424 */
																			BgL_approxz00_bglt BgL_p1z00_3494;

																			{	/* Cfa/closure.scm 425 */
																				BgL_svarz00_bglt BgL_oz00_4839;

																				BgL_oz00_4839 =
																					((BgL_svarz00_bglt)
																					(((BgL_variablez00_bglt) COBJECT(
																								((BgL_variablez00_bglt)
																									CAR(BgL_a1z00_3488))))->
																						BgL_valuez00));
																				{
																					BgL_svarzf2cinfozf2_bglt
																						BgL_auxz00_6279;
																					{
																						obj_t BgL_auxz00_6280;

																						{	/* Cfa/closure.scm 425 */
																							BgL_objectz00_bglt
																								BgL_tmpz00_6281;
																							BgL_tmpz00_6281 =
																								((BgL_objectz00_bglt)
																								BgL_oz00_4839);
																							BgL_auxz00_6280 =
																								BGL_OBJECT_WIDENING
																								(BgL_tmpz00_6281);
																						}
																						BgL_auxz00_6279 =
																							((BgL_svarzf2cinfozf2_bglt)
																							BgL_auxz00_6280);
																					}
																					BgL_p1z00_3494 =
																						(((BgL_svarzf2cinfozf2_bglt)
																							COBJECT(BgL_auxz00_6279))->
																						BgL_approxz00);
																				}
																			}
																			{	/* Cfa/closure.scm 425 */
																				obj_t BgL_t0z00_3495;

																				BgL_t0z00_3495 =
																					((obj_t)
																					(((BgL_approxz00_bglt)
																							COBJECT(BgL_p0z00_3493))->
																						BgL_typez00));
																				{	/* Cfa/closure.scm 426 */
																					obj_t BgL_t1z00_3496;

																					BgL_t1z00_3496 =
																						((obj_t)
																						(((BgL_approxz00_bglt)
																								COBJECT(BgL_p1z00_3494))->
																							BgL_typez00));
																					{	/* Cfa/closure.scm 427 */

																						{	/* Cfa/closure.scm 428 */
																							bool_t BgL_test2427z00_6290;

																							if (
																								(BgL_t0z00_3495 ==
																									BgL_t1z00_3496))
																								{	/* Cfa/closure.scm 428 */
																									BgL_test2427z00_6290 =
																										((bool_t) 1);
																								}
																							else
																								{	/* Cfa/closure.scm 428 */
																									if (BGl_bigloozd2typezf3z21zztype_typez00(((BgL_typez00_bglt) BgL_t0z00_3495)))
																										{	/* Cfa/closure.scm 428 */
																											BgL_test2427z00_6290 =
																												BGl_bigloozd2typezf3z21zztype_typez00
																												(((BgL_typez00_bglt)
																													BgL_t1z00_3496));
																										}
																									else
																										{	/* Cfa/closure.scm 428 */
																											BgL_test2427z00_6290 =
																												((bool_t) 0);
																										}
																								}
																							if (BgL_test2427z00_6290)
																								{
																									obj_t BgL_a1z00_6300;
																									obj_t BgL_a0z00_6298;

																									BgL_a0z00_6298 =
																										CDR(BgL_a0z00_3487);
																									BgL_a1z00_6300 =
																										CDR(BgL_a1z00_3488);
																									BgL_a1z00_3488 =
																										BgL_a1z00_6300;
																									BgL_a0z00_3487 =
																										BgL_a0z00_6298;
																									goto
																										BgL_zc3z04anonymousza31973ze3z87_3490;
																								}
																							else
																								{	/* Cfa/closure.scm 451 */
																									obj_t BgL_bt0z00_3501;
																									obj_t BgL_bt1z00_3502;
																									bool_t BgL_contz00_3503;

																									BgL_bt0z00_3501 =
																										((obj_t)
																										BGl_getzd2bigloozd2typez00zztype_cachez00
																										(((BgL_typez00_bglt)
																												BgL_t0z00_3495)));
																									BgL_bt1z00_3502 =
																										((obj_t)
																										BGl_getzd2bigloozd2typez00zztype_cachez00
																										(((BgL_typez00_bglt)
																												BgL_t1z00_3496)));
																									BgL_contz00_3503 =
																										((bool_t) 0);
																									if ((((obj_t) ((
																														(BgL_variablez00_bglt)
																														COBJECT((
																																(BgL_variablez00_bglt)
																																CAR
																																(BgL_a0z00_3487))))->
																													BgL_typez00)) ==
																											BgL_bt0z00_3501))
																										{	/* Cfa/closure.scm 454 */
																											BFALSE;
																										}
																									else
																										{	/* Cfa/closure.scm 454 */
																											{	/* Cfa/closure.scm 456 */
																												obj_t
																													BgL_arg1983z00_3507;
																												BgL_arg1983z00_3507 =
																													CAR(BgL_a0z00_3487);
																												((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt) BgL_arg1983z00_3507)))->BgL_typez00) = ((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_bt0z00_3501)), BUNSPEC);
																											}
																											((((BgL_approxz00_bglt)
																														COBJECT
																														(BgL_p0z00_3493))->
																													BgL_typez00) =
																												((BgL_typez00_bglt) (
																														(BgL_typez00_bglt)
																														BgL_bt0z00_3501)),
																												BUNSPEC);
																											BgL_contz00_3503 =
																												((bool_t) 1);
																										}
																									if (
																										(((obj_t)
																												(((BgL_variablez00_bglt)
																														COBJECT((
																																(BgL_variablez00_bglt)
																																CAR
																																(BgL_a1z00_3488))))->
																													BgL_typez00)) ==
																											BgL_bt1z00_3502))
																										{	/* Cfa/closure.scm 460 */
																											BFALSE;
																										}
																									else
																										{	/* Cfa/closure.scm 460 */
																											{	/* Cfa/closure.scm 462 */
																												obj_t
																													BgL_arg1989z00_3513;
																												BgL_arg1989z00_3513 =
																													CAR(BgL_a1z00_3488);
																												((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt) BgL_arg1989z00_3513)))->BgL_typez00) = ((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_bt1z00_3502)), BUNSPEC);
																											}
																											((((BgL_approxz00_bglt)
																														COBJECT
																														(BgL_p1z00_3494))->
																													BgL_typez00) =
																												((BgL_typez00_bglt) (
																														(BgL_typez00_bglt)
																														BgL_bt1z00_3502)),
																												BUNSPEC);
																											BgL_contz00_3503 =
																												((bool_t) 1);
																										}
																									{	/* Cfa/closure.scm 468 */
																										obj_t BgL_arg1994z00_3516;
																										obj_t BgL_arg1995z00_3517;

																										BgL_arg1994z00_3516 =
																											CDR(BgL_a0z00_3487);
																										BgL_arg1995z00_3517 =
																											CDR(BgL_a1z00_3488);
																										{
																											bool_t BgL_contz00_6336;
																											obj_t BgL_a1z00_6335;
																											obj_t BgL_a0z00_6334;

																											BgL_a0z00_6334 =
																												BgL_arg1994z00_3516;
																											BgL_a1z00_6335 =
																												BgL_arg1995z00_3517;
																											BgL_contz00_6336 =
																												BgL_contz00_3503;
																											BgL_contz00_3489 =
																												BgL_contz00_6336;
																											BgL_a1z00_3488 =
																												BgL_a1z00_6335;
																											BgL_a0z00_3487 =
																												BgL_a0z00_6334;
																											goto
																												BgL_zc3z04anonymousza31973ze3z87_3490;
																										}
																									}
																								}
																						}
																					}
																				}
																			}
																		}
																	}
																else
																	{	/* Cfa/closure.scm 423 */
																		BgL__ortest_1191z00_3464 = BgL_contz00_3489;
																	}
															}
														}
													}
												}
											}
										}
									}
									if (BgL__ortest_1191z00_3464)
										{	/* Cfa/closure.scm 475 */
											BgL_arg1966z00_3463 = BgL__ortest_1191z00_3464;
										}
									else
										{	/* Cfa/closure.scm 475 */
											BgL_arg1966z00_3463 = BgL_contz00_3459;
										}
								}
								{
									bool_t BgL_contz00_6341;
									obj_t BgL_appsz00_6340;

									BgL_appsz00_6340 = BgL_arg1965z00_3462;
									BgL_contz00_6341 = BgL_arg1966z00_3463;
									BgL_contz00_3459 = BgL_contz00_6341;
									BgL_appsz00_3458 = BgL_appsz00_6340;
									goto BgL_zc3z04anonymousza31963ze3z87_3460;
								}
							}
					}
				}
			}
		}

	}



/* type-closures! */
	BGL_EXPORTED_DEF obj_t BGl_typezd2closuresz12zc0zzcfa_closurez00(void)
	{
		{	/* Cfa/closure.scm 480 */
			{	/* Cfa/closure.scm 483 */
				bool_t BgL_backendzd2typedzd2closuresz00_3534;

				{	/* Cfa/closure.scm 483 */
					BgL_backendz00_bglt BgL_i1192z00_3576;

					BgL_i1192z00_3576 =
						((BgL_backendz00_bglt) BGl_thezd2backendzd2zzbackend_backendz00());
					BgL_backendzd2typedzd2closuresz00_3534 =
						(((BgL_backendz00_bglt) COBJECT(BgL_i1192z00_3576))->
						BgL_typedzd2closureszd2);
				}
				{
					BgL_appz00_bglt BgL_appz00_3545;

					if (CBOOL
						(BGl_za2optimzd2cfazd2unboxzd2closurezd2argsza2z00zzengine_paramz00))
						{	/* Cfa/closure.scm 516 */
							obj_t BgL_g1559z00_3537;

							BgL_g1559z00_3537 =
								BGl_za2makezd2procedurezd2listza2z00zzcfa_closurez00;
							{
								obj_t BgL_l1557z00_3539;

								{	/* Cfa/closure.scm 516 */
									bool_t BgL_tmpz00_6347;

									BgL_l1557z00_3539 = BgL_g1559z00_3537;
								BgL_zc3z04anonymousza32010ze3z87_3540:
									if (PAIRP(BgL_l1557z00_3539))
										{	/* Cfa/closure.scm 516 */
											{	/* Cfa/closure.scm 516 */
												obj_t BgL_arg2012z00_3542;

												BgL_arg2012z00_3542 = CAR(BgL_l1557z00_3539);
												BgL_appz00_3545 =
													((BgL_appz00_bglt) BgL_arg2012z00_3542);
												{	/* Cfa/closure.scm 500 */
													bool_t BgL_test2435z00_6351;

													{	/* Cfa/closure.scm 500 */
														bool_t BgL_test2436z00_6352;

														{
															BgL_makezd2procedurezd2appz00_bglt
																BgL_auxz00_6353;
															{
																obj_t BgL_auxz00_6354;

																{	/* Cfa/closure.scm 500 */
																	BgL_objectz00_bglt BgL_tmpz00_6355;

																	BgL_tmpz00_6355 =
																		((BgL_objectz00_bglt) BgL_appz00_3545);
																	BgL_auxz00_6354 =
																		BGL_OBJECT_WIDENING(BgL_tmpz00_6355);
																}
																BgL_auxz00_6353 =
																	((BgL_makezd2procedurezd2appz00_bglt)
																	BgL_auxz00_6354);
															}
															BgL_test2436z00_6352 =
																(((BgL_makezd2procedurezd2appz00_bglt)
																	COBJECT(BgL_auxz00_6353))->BgL_xz00);
														}
														if (BgL_test2436z00_6352)
															{	/* Cfa/closure.scm 500 */
																BgL_test2435z00_6351 = ((bool_t) 1);
															}
														else
															{	/* Cfa/closure.scm 500 */
																if (BgL_backendzd2typedzd2closuresz00_3534)
																	{
																		BgL_makezd2procedurezd2appz00_bglt
																			BgL_auxz00_6361;
																		{
																			obj_t BgL_auxz00_6362;

																			{	/* Cfa/closure.scm 500 */
																				BgL_objectz00_bglt BgL_tmpz00_6363;

																				BgL_tmpz00_6363 =
																					((BgL_objectz00_bglt)
																					BgL_appz00_3545);
																				BgL_auxz00_6362 =
																					BGL_OBJECT_WIDENING(BgL_tmpz00_6363);
																			}
																			BgL_auxz00_6361 =
																				((BgL_makezd2procedurezd2appz00_bglt)
																				BgL_auxz00_6362);
																		}
																		BgL_test2435z00_6351 =
																			(((BgL_makezd2procedurezd2appz00_bglt)
																				COBJECT(BgL_auxz00_6361))->BgL_tz00);
																	}
																else
																	{	/* Cfa/closure.scm 500 */
																		BgL_test2435z00_6351 = ((bool_t) 0);
																	}
															}
													}
													if (BgL_test2435z00_6351)
														{	/* Cfa/closure.scm 500 */
															((bool_t) 0);
														}
													else
														{	/* Cfa/closure.scm 502 */
															BgL_variablez00_bglt BgL_varz00_3551;

															{
																BgL_varz00_bglt BgL_auxz00_6368;

																{	/* Cfa/closure.scm 502 */
																	obj_t BgL_pairz00_4867;

																	BgL_pairz00_4867 =
																		(((BgL_appz00_bglt) COBJECT(
																				((BgL_appz00_bglt) BgL_appz00_3545)))->
																		BgL_argsz00);
																	BgL_auxz00_6368 =
																		((BgL_varz00_bglt) CAR(BgL_pairz00_4867));
																}
																BgL_varz00_3551 =
																	(((BgL_varz00_bglt)
																		COBJECT(BgL_auxz00_6368))->BgL_variablez00);
															}
															{	/* Cfa/closure.scm 502 */
																BgL_valuez00_bglt BgL_sfunz00_3552;

																BgL_sfunz00_3552 =
																	(((BgL_variablez00_bglt)
																		COBJECT(BgL_varz00_3551))->BgL_valuez00);
																{	/* Cfa/closure.scm 503 */

																	{	/* Cfa/closure.scm 505 */
																		BgL_typez00_bglt BgL_arg2017z00_3553;

																		{	/* Cfa/closure.scm 505 */
																			BgL_typez00_bglt BgL_arg2018z00_3554;

																			BgL_arg2018z00_3554 =
																				(((BgL_variablez00_bglt)
																					COBJECT(BgL_varz00_3551))->
																				BgL_typez00);
																			{	/* Cfa/closure.scm 505 */
																				BgL_typez00_bglt BgL_res2264z00_4872;

																				if (BgL_backendzd2typedzd2closuresz00_3534)
																					{	/* Cfa/closure.scm 487 */
																						BgL_res2264z00_4872 =
																							BGl_getzd2bigloozd2definedzd2typezd2zztype_cachez00
																							(BgL_arg2018z00_3554);
																					}
																				else
																					{	/* Cfa/closure.scm 487 */
																						BgL_res2264z00_4872 =
																							((BgL_typez00_bglt)
																							BGl_za2objza2z00zztype_cachez00);
																					}
																				BgL_arg2017z00_3553 =
																					BgL_res2264z00_4872;
																			}
																		}
																		((((BgL_variablez00_bglt)
																					COBJECT(BgL_varz00_3551))->
																				BgL_typez00) =
																			((BgL_typez00_bglt) BgL_arg2017z00_3553),
																			BUNSPEC);
																	}
																	{	/* Cfa/closure.scm 506 */
																		obj_t BgL_g1556z00_3555;

																		{	/* Cfa/closure.scm 513 */
																			obj_t BgL_pairz00_4876;

																			BgL_pairz00_4876 =
																				(((BgL_sfunz00_bglt) COBJECT(
																						((BgL_sfunz00_bglt)
																							BgL_sfunz00_3552)))->BgL_argsz00);
																			BgL_g1556z00_3555 = CDR(BgL_pairz00_4876);
																		}
																		{
																			obj_t BgL_l1554z00_3557;

																			BgL_l1554z00_3557 = BgL_g1556z00_3555;
																		BgL_zc3z04anonymousza32019ze3z87_3558:
																			if (PAIRP(BgL_l1554z00_3557))
																				{	/* Cfa/closure.scm 513 */
																					{	/* Cfa/closure.scm 507 */
																						obj_t BgL_az00_3560;

																						BgL_az00_3560 =
																							CAR(BgL_l1554z00_3557);
																						{	/* Cfa/closure.scm 507 */
																							BgL_approxz00_bglt BgL_pz00_3561;

																							{	/* Cfa/closure.scm 507 */
																								BgL_svarz00_bglt BgL_oz00_4879;

																								BgL_oz00_4879 =
																									((BgL_svarz00_bglt)
																									(((BgL_variablez00_bglt)
																											COBJECT((
																													(BgL_variablez00_bglt)
																													BgL_az00_3560)))->
																										BgL_valuez00));
																								{
																									BgL_svarzf2cinfozf2_bglt
																										BgL_auxz00_6389;
																									{
																										obj_t BgL_auxz00_6390;

																										{	/* Cfa/closure.scm 507 */
																											BgL_objectz00_bglt
																												BgL_tmpz00_6391;
																											BgL_tmpz00_6391 =
																												((BgL_objectz00_bglt)
																												BgL_oz00_4879);
																											BgL_auxz00_6390 =
																												BGL_OBJECT_WIDENING
																												(BgL_tmpz00_6391);
																										}
																										BgL_auxz00_6389 =
																											(
																											(BgL_svarzf2cinfozf2_bglt)
																											BgL_auxz00_6390);
																									}
																									BgL_pz00_3561 =
																										(((BgL_svarzf2cinfozf2_bglt)
																											COBJECT
																											(BgL_auxz00_6389))->
																										BgL_approxz00);
																								}
																							}
																							{	/* Cfa/closure.scm 507 */
																								BgL_typez00_bglt BgL_tz00_3562;

																								BgL_tz00_3562 =
																									(((BgL_approxz00_bglt)
																										COBJECT(BgL_pz00_3561))->
																									BgL_typez00);
																								{	/* Cfa/closure.scm 508 */

																									{	/* Cfa/closure.scm 512 */
																										BgL_typez00_bglt
																											BgL_arg2021z00_3563;
																										{	/* Cfa/closure.scm 512 */
																											BgL_typez00_bglt
																												BgL_res2265z00_4883;
																											if (BgL_backendzd2typedzd2closuresz00_3534)
																												{	/* Cfa/closure.scm 487 */
																													BgL_res2265z00_4883 =
																														BGl_getzd2bigloozd2definedzd2typezd2zztype_cachez00
																														(BgL_tz00_3562);
																												}
																											else
																												{	/* Cfa/closure.scm 487 */
																													BgL_res2265z00_4883 =
																														((BgL_typez00_bglt)
																														BGl_za2objza2z00zztype_cachez00);
																												}
																											BgL_arg2021z00_3563 =
																												BgL_res2265z00_4883;
																										}
																										((((BgL_variablez00_bglt)
																													COBJECT((
																															(BgL_variablez00_bglt)
																															BgL_az00_3560)))->
																												BgL_typez00) =
																											((BgL_typez00_bglt)
																												BgL_arg2021z00_3563),
																											BUNSPEC);
																									}
																								}
																							}
																						}
																					}
																					{
																						obj_t BgL_l1554z00_6402;

																						BgL_l1554z00_6402 =
																							CDR(BgL_l1554z00_3557);
																						BgL_l1554z00_3557 =
																							BgL_l1554z00_6402;
																						goto
																							BgL_zc3z04anonymousza32019ze3z87_3558;
																					}
																				}
																			else
																				{	/* Cfa/closure.scm 513 */
																					((bool_t) 1);
																				}
																		}
																	}
																}
															}
														}
												}
											}
											{
												obj_t BgL_l1557z00_6405;

												BgL_l1557z00_6405 = CDR(BgL_l1557z00_3539);
												BgL_l1557z00_3539 = BgL_l1557z00_6405;
												goto BgL_zc3z04anonymousza32010ze3z87_3540;
											}
										}
									else
										{	/* Cfa/closure.scm 516 */
											BgL_tmpz00_6347 = ((bool_t) 1);
										}
									return BBOOL(BgL_tmpz00_6347);
								}
							}
						}
					else
						{	/* Cfa/closure.scm 515 */
							return BFALSE;
						}
				}
			}
		}

	}



/* &type-closures! */
	obj_t BGl_z62typezd2closuresz12za2zzcfa_closurez00(obj_t BgL_envz00_5116)
	{
		{	/* Cfa/closure.scm 480 */
			return BGl_typezd2closuresz12zc0zzcfa_closurez00();
		}

	}



/* light-access! */
	bool_t BGl_lightzd2accessz12zc0zzcfa_closurez00(void)
	{
		{	/* Cfa/closure.scm 521 */
			{
				obj_t BgL_l1560z00_3578;

				BgL_l1560z00_3578 = BGl_za2procedurezd2refzd2listza2z00zzcfa_closurez00;
			BgL_zc3z04anonymousza32028ze3z87_3579:
				if (PAIRP(BgL_l1560z00_3578))
					{	/* Cfa/closure.scm 522 */
						{	/* Cfa/closure.scm 524 */
							obj_t BgL_appz00_3581;

							BgL_appz00_3581 = CAR(BgL_l1560z00_3578);
							{	/* Cfa/closure.scm 524 */
								BgL_approxz00_bglt BgL_approxz00_3583;

								{	/* Cfa/closure.scm 525 */
									obj_t BgL_arg2034z00_3595;

									{	/* Cfa/closure.scm 525 */
										obj_t BgL_pairz00_4893;

										BgL_pairz00_4893 =
											(((BgL_appz00_bglt) COBJECT(
													((BgL_appz00_bglt) BgL_appz00_3581)))->BgL_argsz00);
										BgL_arg2034z00_3595 = CAR(BgL_pairz00_4893);
									}
									BgL_approxz00_3583 =
										BGl_cfaz12z12zzcfa_cfaz00(
										((BgL_nodez00_bglt) BgL_arg2034z00_3595));
								}
								{	/* Cfa/closure.scm 525 */
									BgL_varz00_bglt BgL_funz00_3584;

									BgL_funz00_3584 =
										(((BgL_appz00_bglt) COBJECT(
												((BgL_appz00_bglt) BgL_appz00_3581)))->BgL_funz00);
									{	/* Cfa/closure.scm 526 */
										obj_t BgL_vfunz00_3585;

										BgL_vfunz00_3585 =
											((obj_t)
											(((BgL_varz00_bglt) COBJECT(BgL_funz00_3584))->
												BgL_variablez00));
										{	/* Cfa/closure.scm 527 */
											obj_t BgL_allocz00_3586;

											{	/* Cfa/closure.scm 528 */
												obj_t BgL_arg2033z00_3592;

												BgL_arg2033z00_3592 =
													(((BgL_approxz00_bglt) COBJECT(BgL_approxz00_3583))->
													BgL_allocsz00);
												{	/* Cfa/closure.scm 528 */

													BgL_allocz00_3586 =
														BGl_setzd2headzd2zzcfa_setz00(BgL_arg2033z00_3592,
														BFALSE);
												}
											}
											{	/* Cfa/closure.scm 528 */

												{	/* Cfa/closure.scm 529 */
													bool_t BgL_test2442z00_6423;

													{	/* Cfa/closure.scm 529 */
														obj_t BgL_classz00_4897;

														BgL_classz00_4897 =
															BGl_makezd2procedurezd2appz00zzcfa_info2z00;
														if (BGL_OBJECTP(BgL_allocz00_3586))
															{	/* Cfa/closure.scm 529 */
																BgL_objectz00_bglt BgL_arg1858z00_4899;

																BgL_arg1858z00_4899 =
																	(BgL_objectz00_bglt) (BgL_allocz00_3586);
																if (BGL_CONDEXPAND_ISA_ARCH64())
																	{	/* Cfa/closure.scm 529 */
																		long BgL_idxz00_4905;

																		BgL_idxz00_4905 =
																			BGL_OBJECT_INHERITANCE_NUM
																			(BgL_arg1858z00_4899);
																		BgL_test2442z00_6423 =
																			(VECTOR_REF
																			(BGl_za2inheritancesza2z00zz__objectz00,
																				(BgL_idxz00_4905 + 4L)) ==
																			BgL_classz00_4897);
																	}
																else
																	{	/* Cfa/closure.scm 529 */
																		bool_t BgL_res2267z00_4930;

																		{	/* Cfa/closure.scm 529 */
																			obj_t BgL_oclassz00_4913;

																			{	/* Cfa/closure.scm 529 */
																				obj_t BgL_arg1866z00_4921;
																				long BgL_arg1867z00_4922;

																				BgL_arg1866z00_4921 =
																					(BGl_za2classesza2z00zz__objectz00);
																				{	/* Cfa/closure.scm 529 */
																					long BgL_arg1869z00_4923;

																					BgL_arg1869z00_4923 =
																						BGL_OBJECT_CLASS_NUM
																						(BgL_arg1858z00_4899);
																					BgL_arg1867z00_4922 =
																						(BgL_arg1869z00_4923 - OBJECT_TYPE);
																				}
																				BgL_oclassz00_4913 =
																					VECTOR_REF(BgL_arg1866z00_4921,
																					BgL_arg1867z00_4922);
																			}
																			{	/* Cfa/closure.scm 529 */
																				bool_t BgL__ortest_1115z00_4914;

																				BgL__ortest_1115z00_4914 =
																					(BgL_classz00_4897 ==
																					BgL_oclassz00_4913);
																				if (BgL__ortest_1115z00_4914)
																					{	/* Cfa/closure.scm 529 */
																						BgL_res2267z00_4930 =
																							BgL__ortest_1115z00_4914;
																					}
																				else
																					{	/* Cfa/closure.scm 529 */
																						long BgL_odepthz00_4915;

																						{	/* Cfa/closure.scm 529 */
																							obj_t BgL_arg1855z00_4916;

																							BgL_arg1855z00_4916 =
																								(BgL_oclassz00_4913);
																							BgL_odepthz00_4915 =
																								BGL_CLASS_DEPTH
																								(BgL_arg1855z00_4916);
																						}
																						if ((4L < BgL_odepthz00_4915))
																							{	/* Cfa/closure.scm 529 */
																								obj_t BgL_arg1853z00_4918;

																								{	/* Cfa/closure.scm 529 */
																									obj_t BgL_arg1854z00_4919;

																									BgL_arg1854z00_4919 =
																										(BgL_oclassz00_4913);
																									BgL_arg1853z00_4918 =
																										BGL_CLASS_ANCESTORS_REF
																										(BgL_arg1854z00_4919, 4L);
																								}
																								BgL_res2267z00_4930 =
																									(BgL_arg1853z00_4918 ==
																									BgL_classz00_4897);
																							}
																						else
																							{	/* Cfa/closure.scm 529 */
																								BgL_res2267z00_4930 =
																									((bool_t) 0);
																							}
																					}
																			}
																		}
																		BgL_test2442z00_6423 = BgL_res2267z00_4930;
																	}
															}
														else
															{	/* Cfa/closure.scm 529 */
																BgL_test2442z00_6423 = ((bool_t) 0);
															}
													}
													if (BgL_test2442z00_6423)
														{	/* Cfa/closure.scm 533 */
															bool_t BgL_test2447z00_6446;

															{
																BgL_makezd2procedurezd2appz00_bglt
																	BgL_auxz00_6447;
																{
																	obj_t BgL_auxz00_6448;

																	{	/* Cfa/closure.scm 533 */
																		BgL_objectz00_bglt BgL_tmpz00_6449;

																		BgL_tmpz00_6449 =
																			((BgL_objectz00_bglt)
																			((BgL_appz00_bglt)
																				((BgL_appz00_bglt) BgL_allocz00_3586)));
																		BgL_auxz00_6448 =
																			BGL_OBJECT_WIDENING(BgL_tmpz00_6449);
																	}
																	BgL_auxz00_6447 =
																		((BgL_makezd2procedurezd2appz00_bglt)
																		BgL_auxz00_6448);
																}
																BgL_test2447z00_6446 =
																	(((BgL_makezd2procedurezd2appz00_bglt)
																		COBJECT(BgL_auxz00_6447))->BgL_xz00);
															}
															if (BgL_test2447z00_6446)
																{	/* Cfa/closure.scm 533 */
																	if (
																		(BgL_vfunz00_3585 ==
																			BGl_za2procedurezd2refza2zd2zzcfa_closurez00))
																		{	/* Cfa/closure.scm 535 */
																			BgL_variablez00_bglt BgL_vz00_4933;

																			BgL_vz00_4933 =
																				((BgL_variablez00_bglt)
																				BGl_za2procedurezd2elzd2refza2z00zzcfa_closurez00);
																			((((BgL_varz00_bglt)
																						COBJECT(BgL_funz00_3584))->
																					BgL_variablez00) =
																				((BgL_variablez00_bglt) BgL_vz00_4933),
																				BUNSPEC);
																		}
																	else
																		{	/* Cfa/closure.scm 536 */
																			BgL_variablez00_bglt BgL_vz00_4935;

																			BgL_vz00_4935 =
																				((BgL_variablez00_bglt)
																				BGl_za2procedurezd2elzd2setz12za2z12zzcfa_closurez00);
																			((((BgL_varz00_bglt)
																						COBJECT(BgL_funz00_3584))->
																					BgL_variablez00) =
																				((BgL_variablez00_bglt) BgL_vz00_4935),
																				BUNSPEC);
																		}
																}
															else
																{	/* Cfa/closure.scm 537 */
																	bool_t BgL_test2449z00_6462;

																	{
																		BgL_makezd2procedurezd2appz00_bglt
																			BgL_auxz00_6463;
																		{
																			obj_t BgL_auxz00_6464;

																			{	/* Cfa/closure.scm 537 */
																				BgL_objectz00_bglt BgL_tmpz00_6465;

																				BgL_tmpz00_6465 =
																					((BgL_objectz00_bglt)
																					((BgL_appz00_bglt)
																						((BgL_appz00_bglt)
																							BgL_allocz00_3586)));
																				BgL_auxz00_6464 =
																					BGL_OBJECT_WIDENING(BgL_tmpz00_6465);
																			}
																			BgL_auxz00_6463 =
																				((BgL_makezd2procedurezd2appz00_bglt)
																				BgL_auxz00_6464);
																		}
																		BgL_test2449z00_6462 =
																			(((BgL_makezd2procedurezd2appz00_bglt)
																				COBJECT(BgL_auxz00_6463))->BgL_tz00);
																	}
																	if (BgL_test2449z00_6462)
																		{	/* Cfa/closure.scm 537 */
																			if (
																				(BgL_vfunz00_3585 ==
																					BGl_za2procedurezd2refza2zd2zzcfa_closurez00))
																				{	/* Cfa/closure.scm 539 */
																					BgL_variablez00_bglt BgL_vz00_4938;

																					BgL_vz00_4938 =
																						((BgL_variablez00_bglt)
																						BGl_za2procedurezd2lzd2refza2z00zzcfa_closurez00);
																					((((BgL_varz00_bglt)
																								COBJECT(BgL_funz00_3584))->
																							BgL_variablez00) =
																						((BgL_variablez00_bglt)
																							BgL_vz00_4938), BUNSPEC);
																				}
																			else
																				{	/* Cfa/closure.scm 540 */
																					BgL_variablez00_bglt BgL_vz00_4940;

																					BgL_vz00_4940 =
																						((BgL_variablez00_bglt)
																						BGl_za2procedurezd2lzd2setz12za2z12zzcfa_closurez00);
																					((((BgL_varz00_bglt)
																								COBJECT(BgL_funz00_3584))->
																							BgL_variablez00) =
																						((BgL_variablez00_bglt)
																							BgL_vz00_4940), BUNSPEC);
																				}
																		}
																	else
																		{	/* Cfa/closure.scm 537 */
																			BFALSE;
																		}
																}
														}
													else
														{	/* Cfa/closure.scm 529 */
															BFALSE;
														}
												}
											}
										}
									}
								}
							}
						}
						{
							obj_t BgL_l1560z00_6478;

							BgL_l1560z00_6478 = CDR(BgL_l1560z00_3578);
							BgL_l1560z00_3578 = BgL_l1560z00_6478;
							goto BgL_zc3z04anonymousza32028ze3z87_3579;
						}
					}
				else
					{	/* Cfa/closure.scm 522 */
						return ((bool_t) 1);
					}
			}
		}

	}



/* show-X-T */
	obj_t BGl_showzd2Xzd2Tz00zzcfa_closurez00(obj_t BgL_allocsz00_32)
	{
		{	/* Cfa/closure.scm 546 */
			{
				obj_t BgL_xpz00_3603;
				obj_t BgL_tpz00_3604;
				obj_t BgL_allocsz00_3605;

				BgL_xpz00_3603 = BNIL;
				BgL_tpz00_3604 = BNIL;
				BgL_allocsz00_3605 = BgL_allocsz00_32;
			BgL_zc3z04anonymousza32037ze3z87_3606:
				if (NULLP(BgL_allocsz00_3605))
					{	/* Cfa/closure.scm 557 */
						BGl_showze70ze7zzcfa_closurez00(
							((obj_t) CNST_TABLE_REF(9)), BgL_xpz00_3603);
						BGl_showze70ze7zzcfa_closurez00(
							((obj_t) CNST_TABLE_REF(10)), BgL_tpz00_3604);
						return BUNSPEC;
					}
				else
					{	/* Cfa/closure.scm 562 */
						BgL_appz00_bglt BgL_i1198z00_3608;

						BgL_i1198z00_3608 =
							((BgL_appz00_bglt) CAR(((obj_t) BgL_allocsz00_3605)));
						{	/* Cfa/closure.scm 564 */
							bool_t BgL_test2452z00_6491;

							{
								BgL_makezd2procedurezd2appz00_bglt BgL_auxz00_6492;

								{
									obj_t BgL_auxz00_6493;

									{	/* Cfa/closure.scm 564 */
										BgL_objectz00_bglt BgL_tmpz00_6494;

										BgL_tmpz00_6494 = ((BgL_objectz00_bglt) BgL_i1198z00_3608);
										BgL_auxz00_6493 = BGL_OBJECT_WIDENING(BgL_tmpz00_6494);
									}
									BgL_auxz00_6492 =
										((BgL_makezd2procedurezd2appz00_bglt) BgL_auxz00_6493);
								}
								BgL_test2452z00_6491 =
									(((BgL_makezd2procedurezd2appz00_bglt)
										COBJECT(BgL_auxz00_6492))->BgL_xz00);
							}
							if (BgL_test2452z00_6491)
								{	/* Cfa/closure.scm 565 */
									obj_t BgL_arg2040z00_3610;
									obj_t BgL_arg2041z00_3611;

									{	/* Cfa/closure.scm 565 */
										BgL_variablez00_bglt BgL_arg2042z00_3612;

										{
											BgL_varz00_bglt BgL_auxz00_6499;

											{	/* Cfa/closure.scm 565 */
												obj_t BgL_pairz00_4948;

												BgL_pairz00_4948 =
													(((BgL_appz00_bglt) COBJECT(
															((BgL_appz00_bglt) BgL_i1198z00_3608)))->
													BgL_argsz00);
												BgL_auxz00_6499 =
													((BgL_varz00_bglt) CAR(BgL_pairz00_4948));
											}
											BgL_arg2042z00_3612 =
												(((BgL_varz00_bglt) COBJECT(BgL_auxz00_6499))->
												BgL_variablez00);
										}
										BgL_arg2040z00_3610 =
											MAKE_YOUNG_PAIR(
											((obj_t) BgL_arg2042z00_3612), BgL_xpz00_3603);
									}
									BgL_arg2041z00_3611 = CDR(((obj_t) BgL_allocsz00_3605));
									{
										obj_t BgL_allocsz00_6510;
										obj_t BgL_xpz00_6509;

										BgL_xpz00_6509 = BgL_arg2040z00_3610;
										BgL_allocsz00_6510 = BgL_arg2041z00_3611;
										BgL_allocsz00_3605 = BgL_allocsz00_6510;
										BgL_xpz00_3603 = BgL_xpz00_6509;
										goto BgL_zc3z04anonymousza32037ze3z87_3606;
									}
								}
							else
								{	/* Cfa/closure.scm 566 */
									bool_t BgL_test2453z00_6511;

									{
										BgL_makezd2procedurezd2appz00_bglt BgL_auxz00_6512;

										{
											obj_t BgL_auxz00_6513;

											{	/* Cfa/closure.scm 566 */
												BgL_objectz00_bglt BgL_tmpz00_6514;

												BgL_tmpz00_6514 =
													((BgL_objectz00_bglt) BgL_i1198z00_3608);
												BgL_auxz00_6513 = BGL_OBJECT_WIDENING(BgL_tmpz00_6514);
											}
											BgL_auxz00_6512 =
												((BgL_makezd2procedurezd2appz00_bglt) BgL_auxz00_6513);
										}
										BgL_test2453z00_6511 =
											(((BgL_makezd2procedurezd2appz00_bglt)
												COBJECT(BgL_auxz00_6512))->BgL_tz00);
									}
									if (BgL_test2453z00_6511)
										{	/* Cfa/closure.scm 567 */
											obj_t BgL_arg2046z00_3616;
											obj_t BgL_arg2047z00_3617;

											{	/* Cfa/closure.scm 567 */
												BgL_variablez00_bglt BgL_arg2049z00_3618;

												{
													BgL_varz00_bglt BgL_auxz00_6519;

													{	/* Cfa/closure.scm 567 */
														obj_t BgL_pairz00_4952;

														BgL_pairz00_4952 =
															(((BgL_appz00_bglt) COBJECT(
																	((BgL_appz00_bglt) BgL_i1198z00_3608)))->
															BgL_argsz00);
														BgL_auxz00_6519 =
															((BgL_varz00_bglt) CAR(BgL_pairz00_4952));
													}
													BgL_arg2049z00_3618 =
														(((BgL_varz00_bglt) COBJECT(BgL_auxz00_6519))->
														BgL_variablez00);
												}
												BgL_arg2046z00_3616 =
													MAKE_YOUNG_PAIR(
													((obj_t) BgL_arg2049z00_3618), BgL_tpz00_3604);
											}
											BgL_arg2047z00_3617 = CDR(((obj_t) BgL_allocsz00_3605));
											{
												obj_t BgL_allocsz00_6530;
												obj_t BgL_tpz00_6529;

												BgL_tpz00_6529 = BgL_arg2046z00_3616;
												BgL_allocsz00_6530 = BgL_arg2047z00_3617;
												BgL_allocsz00_3605 = BgL_allocsz00_6530;
												BgL_tpz00_3604 = BgL_tpz00_6529;
												goto BgL_zc3z04anonymousza32037ze3z87_3606;
											}
										}
									else
										{	/* Cfa/closure.scm 569 */
											obj_t BgL_arg2052z00_3621;

											BgL_arg2052z00_3621 = CDR(((obj_t) BgL_allocsz00_3605));
											{
												obj_t BgL_allocsz00_6533;

												BgL_allocsz00_6533 = BgL_arg2052z00_3621;
												BgL_allocsz00_3605 = BgL_allocsz00_6533;
												goto BgL_zc3z04anonymousza32037ze3z87_3606;
											}
										}
								}
						}
					}
			}
		}

	}



/* show~0 */
	bool_t BGl_showze70ze7zzcfa_closurez00(obj_t BgL_propz00_3623,
		obj_t BgL_lz00_3624)
	{
		{	/* Cfa/closure.scm 553 */
			if (NULLP(BgL_lz00_3624))
				{	/* Cfa/closure.scm 548 */
					return ((bool_t) 0);
				}
			else
				{	/* Cfa/closure.scm 548 */
					{	/* Cfa/closure.scm 550 */
						obj_t BgL_arg2055z00_3627;

						BgL_arg2055z00_3627 =
							BGl_shapez00zztools_shapez00(CAR(BgL_lz00_3624));
						{	/* Cfa/closure.scm 550 */
							obj_t BgL_list2056z00_3628;

							{	/* Cfa/closure.scm 550 */
								obj_t BgL_arg2058z00_3629;

								{	/* Cfa/closure.scm 550 */
									obj_t BgL_arg2059z00_3630;

									{	/* Cfa/closure.scm 550 */
										obj_t BgL_arg2060z00_3631;

										{	/* Cfa/closure.scm 550 */
											obj_t BgL_arg2061z00_3632;

											BgL_arg2061z00_3632 =
												MAKE_YOUNG_PAIR(BCHAR(((unsigned char) 10)), BNIL);
											BgL_arg2060z00_3631 =
												MAKE_YOUNG_PAIR(BgL_arg2055z00_3627,
												BgL_arg2061z00_3632);
										}
										BgL_arg2059z00_3630 =
											MAKE_YOUNG_PAIR(BGl_string2275z00zzcfa_closurez00,
											BgL_arg2060z00_3631);
									}
									BgL_arg2058z00_3629 =
										MAKE_YOUNG_PAIR(BgL_propz00_3623, BgL_arg2059z00_3630);
								}
								BgL_list2056z00_3628 =
									MAKE_YOUNG_PAIR(BGl_string2276z00zzcfa_closurez00,
									BgL_arg2058z00_3629);
							}
							BGl_verbosez00zztools_speekz00(BINT(2L), BgL_list2056z00_3628);
					}}
					{	/* Cfa/closure.scm 551 */
						obj_t BgL_g1564z00_3634;

						BgL_g1564z00_3634 = CDR(BgL_lz00_3624);
						{
							obj_t BgL_l1562z00_3636;

							BgL_l1562z00_3636 = BgL_g1564z00_3634;
						BgL_zc3z04anonymousza32064ze3z87_3637:
							if (PAIRP(BgL_l1562z00_3636))
								{	/* Cfa/closure.scm 553 */
									{	/* Cfa/closure.scm 552 */
										obj_t BgL_xz00_3639;

										BgL_xz00_3639 = CAR(BgL_l1562z00_3636);
										{	/* Cfa/closure.scm 552 */
											obj_t BgL_arg2066z00_3640;

											BgL_arg2066z00_3640 =
												BGl_shapez00zztools_shapez00(BgL_xz00_3639);
											{	/* Cfa/closure.scm 552 */
												obj_t BgL_list2067z00_3641;

												{	/* Cfa/closure.scm 552 */
													obj_t BgL_arg2068z00_3642;

													{	/* Cfa/closure.scm 552 */
														obj_t BgL_arg2069z00_3643;

														BgL_arg2069z00_3643 =
															MAKE_YOUNG_PAIR(BCHAR(((unsigned char) 10)),
															BNIL);
														BgL_arg2068z00_3642 =
															MAKE_YOUNG_PAIR(BgL_arg2066z00_3640,
															BgL_arg2069z00_3643);
													}
													BgL_list2067z00_3641 =
														MAKE_YOUNG_PAIR(BGl_string2277z00zzcfa_closurez00,
														BgL_arg2068z00_3642);
												}
												BGl_verbosez00zztools_speekz00(BINT(2L),
													BgL_list2067z00_3641);
									}}}
									{
										obj_t BgL_l1562z00_6557;

										BgL_l1562z00_6557 = CDR(BgL_l1562z00_3636);
										BgL_l1562z00_3636 = BgL_l1562z00_6557;
										goto BgL_zc3z04anonymousza32064ze3z87_3637;
									}
								}
							else
								{	/* Cfa/closure.scm 553 */
									return ((bool_t) 1);
								}
						}
					}
				}
		}

	}



/* get-procedure-list */
	BGL_EXPORTED_DEF obj_t BGl_getzd2procedurezd2listz00zzcfa_closurez00(void)
	{
		{	/* Cfa/closure.scm 581 */
			return BGl_za2makezd2procedurezd2listza2z00zzcfa_closurez00;
		}

	}



/* &get-procedure-list */
	obj_t BGl_z62getzd2procedurezd2listz62zzcfa_closurez00(obj_t BgL_envz00_5117)
	{
		{	/* Cfa/closure.scm 581 */
			return BGl_getzd2procedurezd2listz00zzcfa_closurez00();
		}

	}



/* add-funcall! */
	BGL_EXPORTED_DEF obj_t
		BGl_addzd2funcallz12zc0zzcfa_closurez00(BgL_nodez00_bglt BgL_astz00_33)
	{
		{	/* Cfa/closure.scm 587 */
			if (((long) CINT(BGl_za2optimza2z00zzengine_paramz00) >= 2L))
				{	/* Cfa/closure.scm 588 */
					return (BGl_za2funcallzd2listza2zd2zzcfa_closurez00 =
						MAKE_YOUNG_PAIR(
							((obj_t) BgL_astz00_33),
							BGl_za2funcallzd2listza2zd2zzcfa_closurez00), BUNSPEC);
				}
			else
				{	/* Cfa/closure.scm 588 */
					return BFALSE;
				}
		}

	}



/* &add-funcall! */
	obj_t BGl_z62addzd2funcallz12za2zzcfa_closurez00(obj_t BgL_envz00_5118,
		obj_t BgL_astz00_5119)
	{
		{	/* Cfa/closure.scm 587 */
			return
				BGl_addzd2funcallz12zc0zzcfa_closurez00(
				((BgL_nodez00_bglt) BgL_astz00_5119));
		}

	}



/* add-make-procedure! */
	BGL_EXPORTED_DEF obj_t
		BGl_addzd2makezd2procedurez12z12zzcfa_closurez00(BgL_nodez00_bglt
		BgL_astz00_34)
	{
		{	/* Cfa/closure.scm 594 */
			return (BGl_za2makezd2procedurezd2listza2z00zzcfa_closurez00 =
				MAKE_YOUNG_PAIR(
					((obj_t) BgL_astz00_34),
					BGl_za2makezd2procedurezd2listza2z00zzcfa_closurez00), BUNSPEC);
		}

	}



/* &add-make-procedure! */
	obj_t BGl_z62addzd2makezd2procedurez12z70zzcfa_closurez00(obj_t
		BgL_envz00_5120, obj_t BgL_astz00_5121)
	{
		{	/* Cfa/closure.scm 594 */
			return
				BGl_addzd2makezd2procedurez12z12zzcfa_closurez00(
				((BgL_nodez00_bglt) BgL_astz00_5121));
		}

	}



/* add-procedure-ref! */
	BGL_EXPORTED_DEF obj_t
		BGl_addzd2procedurezd2refz12z12zzcfa_closurez00(BgL_nodez00_bglt
		BgL_astz00_35)
	{
		{	/* Cfa/closure.scm 600 */
			if (((long) CINT(BGl_za2optimza2z00zzengine_paramz00) >= 2L))
				{	/* Cfa/closure.scm 601 */
					return (BGl_za2procedurezd2refzd2listza2z00zzcfa_closurez00 =
						MAKE_YOUNG_PAIR(
							((obj_t) BgL_astz00_35),
							BGl_za2procedurezd2refzd2listza2z00zzcfa_closurez00), BUNSPEC);
				}
			else
				{	/* Cfa/closure.scm 601 */
					return BFALSE;
				}
		}

	}



/* &add-procedure-ref! */
	obj_t BGl_z62addzd2procedurezd2refz12z70zzcfa_closurez00(obj_t
		BgL_envz00_5122, obj_t BgL_astz00_5123)
	{
		{	/* Cfa/closure.scm 600 */
			return
				BGl_addzd2procedurezd2refz12z12zzcfa_closurez00(
				((BgL_nodez00_bglt) BgL_astz00_5123));
		}

	}



/* approx-procedure-el? */
	BGL_EXPORTED_DEF bool_t
		BGl_approxzd2procedurezd2elzf3zf3zzcfa_closurez00(BgL_approxz00_bglt
		BgL_approxz00_36)
	{
		{	/* Cfa/closure.scm 607 */
			{	/* Cfa/closure.scm 608 */
				bool_t BgL_test2458z00_6578;

				{	/* Cfa/closure.scm 608 */
					obj_t BgL_arg2081z00_3661;

					BgL_arg2081z00_3661 =
						((obj_t)
						(((BgL_approxz00_bglt) COBJECT(BgL_approxz00_36))->BgL_typez00));
					BgL_test2458z00_6578 =
						(BgL_arg2081z00_3661 == BGl_za2procedureza2z00zztype_cachez00);
				}
				if (BgL_test2458z00_6578)
					{	/* Cfa/closure.scm 609 */
						bool_t BgL_test2459z00_6582;

						{	/* Cfa/closure.scm 609 */
							obj_t BgL_arg2079z00_3659;

							BgL_arg2079z00_3659 =
								BGl_setzd2lengthzd2zzcfa_setz00(
								(((BgL_approxz00_bglt) COBJECT(BgL_approxz00_36))->
									BgL_allocsz00));
							BgL_test2459z00_6582 = ((long) CINT(BgL_arg2079z00_3659) == 1L);
						}
						if (BgL_test2459z00_6582)
							{	/* Cfa/closure.scm 610 */
								obj_t BgL_allocz00_3654;

								{	/* Cfa/closure.scm 610 */
									obj_t BgL_arg2078z00_3656;

									BgL_arg2078z00_3656 =
										(((BgL_approxz00_bglt) COBJECT(BgL_approxz00_36))->
										BgL_allocsz00);
									{	/* Cfa/closure.scm 610 */

										BgL_allocz00_3654 =
											BGl_setzd2headzd2zzcfa_setz00(BgL_arg2078z00_3656,
											BFALSE);
									}
								}
								{	/* Cfa/closure.scm 611 */
									bool_t BgL_test2460z00_6589;

									{	/* Cfa/closure.scm 611 */
										obj_t BgL_classz00_4962;

										BgL_classz00_4962 =
											BGl_makezd2procedurezd2appz00zzcfa_info2z00;
										if (BGL_OBJECTP(BgL_allocz00_3654))
											{	/* Cfa/closure.scm 611 */
												BgL_objectz00_bglt BgL_arg1858z00_4964;

												BgL_arg1858z00_4964 =
													(BgL_objectz00_bglt) (BgL_allocz00_3654);
												if (BGL_CONDEXPAND_ISA_ARCH64())
													{	/* Cfa/closure.scm 611 */
														long BgL_idxz00_4970;

														BgL_idxz00_4970 =
															BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_4964);
														BgL_test2460z00_6589 =
															(VECTOR_REF
															(BGl_za2inheritancesza2z00zz__objectz00,
																(BgL_idxz00_4970 + 4L)) == BgL_classz00_4962);
													}
												else
													{	/* Cfa/closure.scm 611 */
														bool_t BgL_res2268z00_4995;

														{	/* Cfa/closure.scm 611 */
															obj_t BgL_oclassz00_4978;

															{	/* Cfa/closure.scm 611 */
																obj_t BgL_arg1866z00_4986;
																long BgL_arg1867z00_4987;

																BgL_arg1866z00_4986 =
																	(BGl_za2classesza2z00zz__objectz00);
																{	/* Cfa/closure.scm 611 */
																	long BgL_arg1869z00_4988;

																	BgL_arg1869z00_4988 =
																		BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_4964);
																	BgL_arg1867z00_4987 =
																		(BgL_arg1869z00_4988 - OBJECT_TYPE);
																}
																BgL_oclassz00_4978 =
																	VECTOR_REF(BgL_arg1866z00_4986,
																	BgL_arg1867z00_4987);
															}
															{	/* Cfa/closure.scm 611 */
																bool_t BgL__ortest_1115z00_4979;

																BgL__ortest_1115z00_4979 =
																	(BgL_classz00_4962 == BgL_oclassz00_4978);
																if (BgL__ortest_1115z00_4979)
																	{	/* Cfa/closure.scm 611 */
																		BgL_res2268z00_4995 =
																			BgL__ortest_1115z00_4979;
																	}
																else
																	{	/* Cfa/closure.scm 611 */
																		long BgL_odepthz00_4980;

																		{	/* Cfa/closure.scm 611 */
																			obj_t BgL_arg1855z00_4981;

																			BgL_arg1855z00_4981 =
																				(BgL_oclassz00_4978);
																			BgL_odepthz00_4980 =
																				BGL_CLASS_DEPTH(BgL_arg1855z00_4981);
																		}
																		if ((4L < BgL_odepthz00_4980))
																			{	/* Cfa/closure.scm 611 */
																				obj_t BgL_arg1853z00_4983;

																				{	/* Cfa/closure.scm 611 */
																					obj_t BgL_arg1854z00_4984;

																					BgL_arg1854z00_4984 =
																						(BgL_oclassz00_4978);
																					BgL_arg1853z00_4983 =
																						BGL_CLASS_ANCESTORS_REF
																						(BgL_arg1854z00_4984, 4L);
																				}
																				BgL_res2268z00_4995 =
																					(BgL_arg1853z00_4983 ==
																					BgL_classz00_4962);
																			}
																		else
																			{	/* Cfa/closure.scm 611 */
																				BgL_res2268z00_4995 = ((bool_t) 0);
																			}
																	}
															}
														}
														BgL_test2460z00_6589 = BgL_res2268z00_4995;
													}
											}
										else
											{	/* Cfa/closure.scm 611 */
												BgL_test2460z00_6589 = ((bool_t) 0);
											}
									}
									if (BgL_test2460z00_6589)
										{
											BgL_makezd2procedurezd2appz00_bglt BgL_auxz00_6612;

											{
												obj_t BgL_auxz00_6613;

												{	/* Cfa/closure.scm 612 */
													BgL_objectz00_bglt BgL_tmpz00_6614;

													BgL_tmpz00_6614 =
														((BgL_objectz00_bglt)
														((BgL_appz00_bglt) BgL_allocz00_3654));
													BgL_auxz00_6613 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_6614);
												}
												BgL_auxz00_6612 =
													((BgL_makezd2procedurezd2appz00_bglt)
													BgL_auxz00_6613);
											}
											return
												(((BgL_makezd2procedurezd2appz00_bglt)
													COBJECT(BgL_auxz00_6612))->BgL_xz00);
										}
									else
										{	/* Cfa/closure.scm 611 */
											return ((bool_t) 0);
										}
								}
							}
						else
							{	/* Cfa/closure.scm 609 */
								return ((bool_t) 0);
							}
					}
				else
					{	/* Cfa/closure.scm 608 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &approx-procedure-el? */
	obj_t BGl_z62approxzd2procedurezd2elzf3z91zzcfa_closurez00(obj_t
		BgL_envz00_5124, obj_t BgL_approxz00_5125)
	{
		{	/* Cfa/closure.scm 607 */
			return
				BBOOL(BGl_approxzd2procedurezd2elzf3zf3zzcfa_closurez00(
					((BgL_approxz00_bglt) BgL_approxz00_5125)));
		}

	}



/* start-closure-cache */
	obj_t BGl_startzd2closurezd2cachez00zzcfa_closurez00(void)
	{
		{	/* Cfa/closure.scm 629 */
			BGl_za2procedurezd2refza2zd2zzcfa_closurez00 =
				BGl_getzd2globalzf2modulez20zzast_envz00(
				((obj_t) CNST_TABLE_REF(11)), ((obj_t) CNST_TABLE_REF(12)));
			BGl_za2procedurezd2setz12za2zc0zzcfa_closurez00 =
				BGl_getzd2globalzf2modulez20zzast_envz00(
				((obj_t) CNST_TABLE_REF(13)), ((obj_t) CNST_TABLE_REF(12)));
			BGl_za2procedurezd2lzd2refza2z00zzcfa_closurez00 =
				BGl_getzd2globalzf2modulez20zzast_envz00(
				((obj_t) CNST_TABLE_REF(14)), ((obj_t) CNST_TABLE_REF(12)));
			BGl_za2procedurezd2lzd2setz12za2z12zzcfa_closurez00 =
				BGl_getzd2globalzf2modulez20zzast_envz00(
				((obj_t) CNST_TABLE_REF(15)), ((obj_t) CNST_TABLE_REF(12)));
			BGl_za2procedurezd2elzd2refza2z00zzcfa_closurez00 =
				BGl_getzd2globalzf2modulez20zzast_envz00(
				((obj_t) CNST_TABLE_REF(16)), ((obj_t) CNST_TABLE_REF(12)));
			BGl_za2procedurezd2elzd2setz12za2z12zzcfa_closurez00 =
				BGl_getzd2globalzf2modulez20zzast_envz00(
				((obj_t) CNST_TABLE_REF(17)), ((obj_t) CNST_TABLE_REF(12)));
			BGl_za2makezd2elzd2procedureza2z00zzcfa_closurez00 =
				BGl_getzd2globalzf2modulez20zzast_envz00(
				((obj_t) CNST_TABLE_REF(18)), ((obj_t) CNST_TABLE_REF(12)));
			return (BGl_za2makezd2lzd2procedureza2z00zzcfa_closurez00 =
				BGl_getzd2globalzf2modulez20zzast_envz00(
					((obj_t) CNST_TABLE_REF(19)), ((obj_t) CNST_TABLE_REF(12))), BUNSPEC);
		}

	}



/* stop-closure-cache */
	BGL_EXPORTED_DEF obj_t BGl_stopzd2closurezd2cachez00zzcfa_closurez00(void)
	{
		{	/* Cfa/closure.scm 642 */
			BGl_za2procedurezd2refza2zd2zzcfa_closurez00 = BFALSE;
			BGl_za2procedurezd2setz12za2zc0zzcfa_closurez00 = BFALSE;
			BGl_za2procedurezd2lzd2refza2z00zzcfa_closurez00 = BFALSE;
			BGl_za2procedurezd2lzd2setz12za2z12zzcfa_closurez00 = BFALSE;
			BGl_za2procedurezd2elzd2refza2z00zzcfa_closurez00 = BFALSE;
			BGl_za2procedurezd2elzd2setz12za2z12zzcfa_closurez00 = BFALSE;
			BGl_za2makezd2elzd2procedureza2z00zzcfa_closurez00 = BFALSE;
			return (BGl_za2makezd2lzd2procedureza2z00zzcfa_closurez00 =
				BFALSE, BUNSPEC);
		}

	}



/* &stop-closure-cache */
	obj_t BGl_z62stopzd2closurezd2cachez62zzcfa_closurez00(obj_t BgL_envz00_5126)
	{
		{	/* Cfa/closure.scm 642 */
			return BGl_stopzd2closurezd2cachez00zzcfa_closurez00();
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzcfa_closurez00(void)
	{
		{	/* Cfa/closure.scm 25 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzcfa_closurez00(void)
	{
		{	/* Cfa/closure.scm 25 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzcfa_closurez00(void)
	{
		{	/* Cfa/closure.scm 25 */
			return BUNSPEC;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzcfa_closurez00(void)
	{
		{	/* Cfa/closure.scm 25 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(54713316L,
				BSTRING_TO_STRING(BGl_string2278z00zzcfa_closurez00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(161876678L,
				BSTRING_TO_STRING(BGl_string2278z00zzcfa_closurez00));
			BGl_modulezd2initializa7ationz75zztype_typez00(515343395L,
				BSTRING_TO_STRING(BGl_string2278z00zzcfa_closurez00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(489890788L,
				BSTRING_TO_STRING(BGl_string2278z00zzcfa_closurez00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(365925558L,
				BSTRING_TO_STRING(BGl_string2278z00zzcfa_closurez00));
			BGl_modulezd2initializa7ationz75zztools_speekz00(61247943L,
				BSTRING_TO_STRING(BGl_string2278z00zzcfa_closurez00));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(216206620L,
				BSTRING_TO_STRING(BGl_string2278z00zzcfa_closurez00));
			BGl_modulezd2initializa7ationz75zzast_varz00(90839984L,
				BSTRING_TO_STRING(BGl_string2278z00zzcfa_closurez00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(469732712L,
				BSTRING_TO_STRING(BGl_string2278z00zzcfa_closurez00));
			BGl_modulezd2initializa7ationz75zzast_envz00(146730773L,
				BSTRING_TO_STRING(BGl_string2278z00zzcfa_closurez00));
			BGl_modulezd2initializa7ationz75zzcfa_infoz00(3788352L,
				BSTRING_TO_STRING(BGl_string2278z00zzcfa_closurez00));
			BGl_modulezd2initializa7ationz75zzcfa_info2z00(0L,
				BSTRING_TO_STRING(BGl_string2278z00zzcfa_closurez00));
			BGl_modulezd2initializa7ationz75zzcfa_cfaz00(400853817L,
				BSTRING_TO_STRING(BGl_string2278z00zzcfa_closurez00));
			BGl_modulezd2initializa7ationz75zzcfa_approxz00(285971837L,
				BSTRING_TO_STRING(BGl_string2278z00zzcfa_closurez00));
			BGl_modulezd2initializa7ationz75zzcfa_setz00(5932721L,
				BSTRING_TO_STRING(BGl_string2278z00zzcfa_closurez00));
			BGl_modulezd2initializa7ationz75zzcfa_ltypez00(315872512L,
				BSTRING_TO_STRING(BGl_string2278z00zzcfa_closurez00));
			return
				BGl_modulezd2initializa7ationz75zzcfa_typez00(93933605L,
				BSTRING_TO_STRING(BGl_string2278z00zzcfa_closurez00));
		}

	}

#ifdef __cplusplus
}
#endif
