/*===========================================================================*/
/*   (Coerce/coerce.scm)                                                     */
/*   Bigloo (4.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Jan 27 07:45:49 AM CET 2025     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.6a/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.6a/lib/bigloo/4.6a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -stdc -indent Coerce/coerce.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL_COERCE_COERCE_TYPE_DEFINITIONS
#define BGL_COERCE_COERCE_TYPE_DEFINITIONS

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_nullz00;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_tclassz00_bgl
	{
		obj_t BgL_itszd2superzd2;
		obj_t BgL_slotsz00;
		struct BgL_globalz00_bgl *BgL_holderz00;
		obj_t BgL_wideningz00;
		long BgL_depthz00;
		bool_t BgL_finalzf3zf3;
		obj_t BgL_constructorz00;
		obj_t BgL_virtualzd2slotszd2numberz00;
		bool_t BgL_abstractzf3zf3;
		obj_t BgL_widezd2typezd2;
		obj_t BgL_subclassesz00;
	}                *BgL_tclassz00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_qualifiedzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_closurez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}                 *BgL_closurez00_bglt;

	typedef struct BgL_kwotez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}               *BgL_kwotez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
		obj_t BgL_metaz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_stackablez00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_getfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		obj_t BgL_fnamez00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_getfieldz00_bglt;

	typedef struct BgL_setfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		obj_t BgL_fnamez00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_setfieldz00_bglt;

	typedef struct BgL_wideningz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_wideningz00_bglt;

	typedef struct BgL_newz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		obj_t BgL_argszd2typezd2;
	}             *BgL_newz00_bglt;

	typedef struct BgL_vallocz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                *BgL_vallocz00_bglt;

	typedef struct BgL_vrefz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		bool_t BgL_unsafez00;
	}              *BgL_vrefz00_bglt;

	typedef struct BgL_vsetz12z12_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		bool_t BgL_unsafez00;
	}                 *BgL_vsetz12z12_bglt;

	typedef struct BgL_vlengthz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_vtypez00;
		obj_t BgL_ftypez00;
	}                 *BgL_vlengthz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_switchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_switchz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		struct BgL_nodez00_bgl *BgL_onexitz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		obj_t BgL_stackablez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}              *BgL_syncz00_bglt;


#endif													// BGL_COERCE_COERCE_TYPE_DEFINITIONS
#endif													// BGL_MODULE_TYPE_DEFINITIONS

	static BgL_nodez00_bglt
		BGl_z62coercez12zd2sequence1303za2zzcoerce_coercez00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_setqz00zzast_nodez00;
	static obj_t BGl_requirezd2initializa7ationz75zzcoerce_coercez00 = BUNSPEC;
	extern obj_t BGl_pvariablezd2protozd2zzcoerce_pprotoz00(long,
		BgL_variablez00_bglt);
	static BgL_nodez00_bglt BGl_z62coercez12z70zzcoerce_coercez00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_closurez00zzast_nodez00;
	extern obj_t BGl_newz00zzast_nodez00;
	extern obj_t BGl_za2pairzd2nilza2zd2zztype_cachez00;
	static BgL_nodez00_bglt
		BGl_z62coercez12zd2setzd2exzd2it1339za2zzcoerce_coercez00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_vlengthz00zzast_nodez00;
	extern obj_t BGl_syncz00zzast_nodez00;
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	extern obj_t BGl_tclassz00zzobject_classz00;
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_atomz00zzast_nodez00;
	static obj_t BGl_toplevelzd2initzd2zzcoerce_coercez00(void);
	extern obj_t BGl_sequencez00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62coercez12zd2vref1319za2zzcoerce_coercez00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	static BgL_castz00_bglt BGl_castzd2nodezd2zzcoerce_coercez00(BgL_nodez00_bglt,
		obj_t);
	static obj_t BGl_genericzd2initzd2zzcoerce_coercez00(void);
	extern obj_t BGl_leavezd2functionzd2zztools_errorz00(void);
	extern obj_t BGl_getfieldz00zzast_nodez00;
	BGL_EXPORTED_DECL obj_t
		BGl_coercezd2functionz12zc0zzcoerce_coercez00(BgL_variablez00_bglt, bool_t);
	extern obj_t BGl_deczd2ppmargez12zc0zzcoerce_pprotoz00(void);
	static obj_t BGl_objectzd2initzd2zzcoerce_coercez00(void);
	extern obj_t BGl_za2boolza2z00zztype_cachez00;
	extern obj_t BGl_castz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62coercez12zd2letzd2var1337z70zzcoerce_coercez00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	extern obj_t BGl_typez00zztype_typez00;
	static BgL_nodez00_bglt
		BGl_z62coercez12zd2closure1301za2zzcoerce_coercez00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_za2magicza2z00zztype_cachez00;
	extern obj_t BGl_pfunctionzd2protozd2zzcoerce_pprotoz00(long,
		BgL_variablez00_bglt);
	static BgL_nodez00_bglt
		BGl_z62coercez12zd2valloc1317za2zzcoerce_coercez00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_thezd2coercedzd2functionz00zzcoerce_coercez00 = BUNSPEC;
	static BgL_nodez00_bglt BGl_z62coercez12zd2new1315za2zzcoerce_coercez00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62coercez12zd2boxzd2ref1345z70zzcoerce_coercez00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_za2exitza2z00zztype_cachez00;
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzcoerce_coercez00(void);
	extern bool_t BGl_typezd2disjointzf3z21zztype_miscz00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	extern obj_t BGl_externz00zzast_nodez00;
	static obj_t BGl_z62coercez121291z70zzcoerce_coercez00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62coercezd2functionz12za2zzcoerce_coercez00(obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62coercez12zd2kwote1296za2zzcoerce_coercez00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_za2mutexza2z00zztype_cachez00;
	extern obj_t BGl_varz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62coercez12zd2getfield1311za2zzcoerce_coercez00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	extern BgL_typez00_bglt BGl_getzd2typezd2zztype_typeofz00(BgL_nodez00_bglt,
		bool_t);
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_za2_za2z00zztype_cachez00;
	extern bool_t BGl_typezd2lesszd2specificzf3zf3zztype_miscz00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	extern BgL_typez00_bglt
		BGl_strictzd2nodezd2typez00zzast_nodez00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	static BgL_nodez00_bglt
		BGl_z62coercez12zd2extern1307za2zzcoerce_coercez00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_za2notifyzd2typezd2testza2z00zzcoerce_convertz00;
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_coercez12z12zzcoerce_coercez00(BgL_nodez00_bglt, obj_t,
		BgL_typez00_bglt, bool_t);
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62coercez12zd2atom1294za2zzcoerce_coercez00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzcoerce_coercez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzeffect_effectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcoerce_funcallz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcoerce_applyz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcoerce_appz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcoerce_convertz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcoerce_pprotoz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_dumpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_miscz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typeofz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_coercionz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	static BgL_nodez00_bglt
		BGl_z62coercez12zd2setfield1313za2zzcoerce_coercez00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_appz00zzast_nodez00;
	extern obj_t BGl_appzd2predicatezd2ofz00zztype_miscz00(BgL_appz00_bglt);
	extern obj_t BGl_enterzd2functionzd2zztools_errorz00(obj_t);
	extern obj_t BGl_wideningz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62coercez12zd2switch1333za2zzcoerce_coercez00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_vrefz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_tprintz00zz__r4_output_6_10_3z00(obj_t, obj_t);
	extern obj_t BGl_nodez00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62coercez12zd2conditional1329za2zzcoerce_coercez00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_kwotez00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62coercez12zd2vsetz121321zb0zzcoerce_coercez00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	extern bool_t BGl_coercerzd2existszf3z21zztype_coercionz00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzcoerce_coercez00(void);
	static obj_t BGl_libraryzd2moduleszd2initz00zzcoerce_coercez00(void);
	extern obj_t BGl_za2unsafezd2typeza2zd2zzengine_paramz00;
	static obj_t BGl_importedzd2moduleszd2initz00zzcoerce_coercez00(void);
	static obj_t BGl_gczd2rootszd2initz00zzcoerce_coercez00(void);
	extern bool_t BGl_sidezd2effectzf3z21zzeffect_effectz00(BgL_nodez00_bglt);
	extern obj_t BGl_vallocz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62coercez12zd2vlength1323za2zzcoerce_coercez00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_inczd2ppmargez12zc0zzcoerce_pprotoz00(void);
	static BgL_nodez00_bglt BGl_z62coercez12zd2var1298za2zzcoerce_coercez00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62coercez12zd2cast1325za2zzcoerce_coercez00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_za2unsafezd2evalza2zd2zzengine_paramz00;
	static BgL_nodez00_bglt
		BGl_z62coercez12zd2boxzd2setz121347z62zzcoerce_coercez00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	extern obj_t BGl_za2unspecza2z00zztype_cachez00;
	static BgL_nodez00_bglt
		BGl_z62coercez12zd2makezd2box1343z70zzcoerce_coercez00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_runtimezd2typezd2errorz00zzcoerce_convertz00(obj_t, obj_t,
		BgL_nodez00_bglt);
	static BgL_nodez00_bglt
		BGl_z62coercez12zd2sync1305za2zzcoerce_coercez00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62coercez12zd2setq1327za2zzcoerce_coercez00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_setfieldz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62coercez12zd2jumpzd2exzd2it1341za2zzcoerce_coercez00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62coercez12zd2letzd2fun1335z70zzcoerce_coercez00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_switchz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62coercez12zd2fail1331za2zzcoerce_coercez00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	extern obj_t BGl_isazd2ofzd2zztype_miscz00(BgL_nodez00_bglt);
	extern BgL_nodez00_bglt BGl_convertz12z12zzcoerce_convertz00(BgL_nodez00_bglt,
		BgL_typez00_bglt, BgL_typez00_bglt, bool_t);
	extern obj_t BGl_globalz00zzast_varz00;
	extern obj_t BGl_vsetz12z12zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62coercez12zd2widening1309za2zzcoerce_coercez00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t __cnst[3];


	   
		 
		DEFINE_STRING(BGl_string2121z00zzcoerce_coercez00,
		BgL_bgl_string2121za700za7za7c2160za7, "coerce!1291", 11);
	      DEFINE_STRING(BGl_string2122z00zzcoerce_coercez00,
		BgL_bgl_string2122za700za7za7c2161za7, "No method for this object", 25);
	      DEFINE_STRING(BGl_string2124z00zzcoerce_coercez00,
		BgL_bgl_string2124za700za7za7c2162za7, "coerce!", 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2120z00zzcoerce_coercez00,
		BgL_bgl_za762coerceza71212912163z00,
		BGl_z62coercez121291z70zzcoerce_coercez00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2123z00zzcoerce_coercez00,
		BgL_bgl_za762coerceza712za7d2a2164za7,
		BGl_z62coercez12zd2atom1294za2zzcoerce_coercez00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2125z00zzcoerce_coercez00,
		BgL_bgl_za762coerceza712za7d2k2165za7,
		BGl_z62coercez12zd2kwote1296za2zzcoerce_coercez00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2126z00zzcoerce_coercez00,
		BgL_bgl_za762coerceza712za7d2v2166za7,
		BGl_z62coercez12zd2var1298za2zzcoerce_coercez00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2127z00zzcoerce_coercez00,
		BgL_bgl_za762coerceza712za7d2c2167za7,
		BGl_z62coercez12zd2closure1301za2zzcoerce_coercez00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2128z00zzcoerce_coercez00,
		BgL_bgl_za762coerceza712za7d2s2168za7,
		BGl_z62coercez12zd2sequence1303za2zzcoerce_coercez00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2129z00zzcoerce_coercez00,
		BgL_bgl_za762coerceza712za7d2s2169za7,
		BGl_z62coercez12zd2sync1305za2zzcoerce_coercez00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2130z00zzcoerce_coercez00,
		BgL_bgl_za762coerceza712za7d2e2170za7,
		BGl_z62coercez12zd2extern1307za2zzcoerce_coercez00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2131z00zzcoerce_coercez00,
		BgL_bgl_za762coerceza712za7d2w2171za7,
		BGl_z62coercez12zd2widening1309za2zzcoerce_coercez00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2132z00zzcoerce_coercez00,
		BgL_bgl_za762coerceza712za7d2g2172za7,
		BGl_z62coercez12zd2getfield1311za2zzcoerce_coercez00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2133z00zzcoerce_coercez00,
		BgL_bgl_za762coerceza712za7d2s2173za7,
		BGl_z62coercez12zd2setfield1313za2zzcoerce_coercez00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2134z00zzcoerce_coercez00,
		BgL_bgl_za762coerceza712za7d2n2174za7,
		BGl_z62coercez12zd2new1315za2zzcoerce_coercez00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2135z00zzcoerce_coercez00,
		BgL_bgl_za762coerceza712za7d2v2175za7,
		BGl_z62coercez12zd2valloc1317za2zzcoerce_coercez00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2136z00zzcoerce_coercez00,
		BgL_bgl_za762coerceza712za7d2v2176za7,
		BGl_z62coercez12zd2vref1319za2zzcoerce_coercez00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2137z00zzcoerce_coercez00,
		BgL_bgl_za762coerceza712za7d2v2177za7,
		BGl_z62coercez12zd2vsetz121321zb0zzcoerce_coercez00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2138z00zzcoerce_coercez00,
		BgL_bgl_za762coerceza712za7d2v2178za7,
		BGl_z62coercez12zd2vlength1323za2zzcoerce_coercez00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2139z00zzcoerce_coercez00,
		BgL_bgl_za762coerceza712za7d2c2179za7,
		BGl_z62coercez12zd2cast1325za2zzcoerce_coercez00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2140z00zzcoerce_coercez00,
		BgL_bgl_za762coerceza712za7d2s2180za7,
		BGl_z62coercez12zd2setq1327za2zzcoerce_coercez00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2141z00zzcoerce_coercez00,
		BgL_bgl_za762coerceza712za7d2c2181za7,
		BGl_z62coercez12zd2conditional1329za2zzcoerce_coercez00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2142z00zzcoerce_coercez00,
		BgL_bgl_za762coerceza712za7d2f2182za7,
		BGl_z62coercez12zd2fail1331za2zzcoerce_coercez00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2143z00zzcoerce_coercez00,
		BgL_bgl_za762coerceza712za7d2s2183za7,
		BGl_z62coercez12zd2switch1333za2zzcoerce_coercez00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2144z00zzcoerce_coercez00,
		BgL_bgl_za762coerceza712za7d2l2184za7,
		BGl_z62coercez12zd2letzd2fun1335z70zzcoerce_coercez00, 0L, BUNSPEC, 4);
	      DEFINE_STRING(BGl_string2151z00zzcoerce_coercez00,
		BgL_bgl_string2151za700za7za7c2185za7, " test-node-type=", 16);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2145z00zzcoerce_coercez00,
		BgL_bgl_za762coerceza712za7d2l2186za7,
		BGl_z62coercez12zd2letzd2var1337z70zzcoerce_coercez00, 0L, BUNSPEC, 4);
	      DEFINE_STRING(BGl_string2152z00zzcoerce_coercez00,
		BgL_bgl_string2152za700za7za7c2187za7, "switch test-type=", 17);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2146z00zzcoerce_coercez00,
		BgL_bgl_za762coerceza712za7d2s2188za7,
		BGl_z62coercez12zd2setzd2exzd2it1339za2zzcoerce_coercez00, 0L, BUNSPEC, 4);
	      DEFINE_STRING(BGl_string2153z00zzcoerce_coercez00,
		BgL_bgl_string2153za700za7za7c2189za7, ":", 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2147z00zzcoerce_coercez00,
		BgL_bgl_za762coerceza712za7d2j2190za7,
		BGl_z62coercez12zd2jumpzd2exzd2it1341za2zzcoerce_coercez00, 0L, BUNSPEC, 4);
	      DEFINE_STRING(BGl_string2154z00zzcoerce_coercez00,
		BgL_bgl_string2154za700za7za7c2191za7, ",", 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2148z00zzcoerce_coercez00,
		BgL_bgl_za762coerceza712za7d2m2192za7,
		BGl_z62coercez12zd2makezd2box1343z70zzcoerce_coercez00, 0L, BUNSPEC, 4);
	      DEFINE_STRING(BGl_string2155z00zzcoerce_coercez00,
		BgL_bgl_string2155za700za7za7c2193za7, "Coerce/coerce.scm", 17);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2149z00zzcoerce_coercez00,
		BgL_bgl_za762coerceza712za7d2b2194za7,
		BGl_z62coercez12zd2boxzd2ref1345z70zzcoerce_coercez00, 0L, BUNSPEC, 4);
	      DEFINE_STRING(BGl_string2156z00zzcoerce_coercez00,
		BgL_bgl_string2156za700za7za7c2195za7, "Unexepected `closure' node", 26);
	      DEFINE_STRING(BGl_string2157z00zzcoerce_coercez00,
		BgL_bgl_string2157za700za7za7c2196za7, "coerce_coerce", 13);
	      DEFINE_STRING(BGl_string2158z00zzcoerce_coercez00,
		BgL_bgl_string2158za700za7za7c2197za7, "false true coerce!1291 ", 23);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2150z00zzcoerce_coercez00,
		BgL_bgl_za762coerceza712za7d2b2198za7,
		BGl_z62coercez12zd2boxzd2setz121347z62zzcoerce_coercez00, 0L, BUNSPEC, 4);
	      DEFINE_EXPORT_BGL_GENERIC(BGl_coercez12zd2envzc0zzcoerce_coercez00,
		BgL_bgl_za762coerceza712za770za72199z00,
		BGl_z62coercez12z70zzcoerce_coercez00, 0L, BUNSPEC, 4);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_coercezd2functionz12zd2envz12zzcoerce_coercez00,
		BgL_bgl_za762coerceza7d2func2200z00,
		BGl_z62coercezd2functionz12za2zzcoerce_coercez00, 0L, BUNSPEC, 2);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zzcoerce_coercez00));
		     ADD_ROOT((void
				*) (&BGl_thezd2coercedzd2functionz00zzcoerce_coercez00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzcoerce_coercez00(long
		BgL_checksumz00_4163, char *BgL_fromz00_4164)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzcoerce_coercez00))
				{
					BGl_requirezd2initializa7ationz75zzcoerce_coercez00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzcoerce_coercez00();
					BGl_libraryzd2moduleszd2initz00zzcoerce_coercez00();
					BGl_cnstzd2initzd2zzcoerce_coercez00();
					BGl_importedzd2moduleszd2initz00zzcoerce_coercez00();
					BGl_genericzd2initzd2zzcoerce_coercez00();
					BGl_methodzd2initzd2zzcoerce_coercez00();
					return BGl_toplevelzd2initzd2zzcoerce_coercez00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzcoerce_coercez00(void)
	{
		{	/* Coerce/coerce.scm 15 */
			BGl_modulezd2initializa7ationz75zz__objectz00(0L, "coerce_coerce");
			BGl_modulezd2initializa7ationz75zz__readerz00(0L, "coerce_coerce");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(0L,
				"coerce_coerce");
			BGl_modulezd2initializa7ationz75zz__errorz00(0L, "coerce_coerce");
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(0L,
				"coerce_coerce");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(0L,
				"coerce_coerce");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(0L,
				"coerce_coerce");
			BGl_modulezd2initializa7ationz75zz__bitz00(0L, "coerce_coerce");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(0L,
				"coerce_coerce");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(0L,
				"coerce_coerce");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(0L,
				"coerce_coerce");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzcoerce_coercez00(void)
	{
		{	/* Coerce/coerce.scm 15 */
			{	/* Coerce/coerce.scm 15 */
				obj_t BgL_cportz00_3685;

				{	/* Coerce/coerce.scm 15 */
					obj_t BgL_stringz00_3692;

					BgL_stringz00_3692 = BGl_string2158z00zzcoerce_coercez00;
					{	/* Coerce/coerce.scm 15 */
						obj_t BgL_startz00_3693;

						BgL_startz00_3693 = BINT(0L);
						{	/* Coerce/coerce.scm 15 */
							obj_t BgL_endz00_3694;

							BgL_endz00_3694 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_3692)));
							{	/* Coerce/coerce.scm 15 */

								BgL_cportz00_3685 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_3692, BgL_startz00_3693, BgL_endz00_3694);
				}}}}
				{
					long BgL_iz00_3686;

					BgL_iz00_3686 = 2L;
				BgL_loopz00_3687:
					if ((BgL_iz00_3686 == (-1L)))
						{	/* Coerce/coerce.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Coerce/coerce.scm 15 */
							{	/* Coerce/coerce.scm 15 */
								obj_t BgL_arg2159z00_3688;

								{	/* Coerce/coerce.scm 15 */

									{	/* Coerce/coerce.scm 15 */
										obj_t BgL_locationz00_3690;

										BgL_locationz00_3690 = BBOOL(((bool_t) 0));
										{	/* Coerce/coerce.scm 15 */

											BgL_arg2159z00_3688 =
												BGl_readz00zz__readerz00(BgL_cportz00_3685,
												BgL_locationz00_3690);
										}
									}
								}
								{	/* Coerce/coerce.scm 15 */
									int BgL_tmpz00_4195;

									BgL_tmpz00_4195 = (int) (BgL_iz00_3686);
									CNST_TABLE_SET(BgL_tmpz00_4195, BgL_arg2159z00_3688);
							}}
							{	/* Coerce/coerce.scm 15 */
								int BgL_auxz00_3691;

								BgL_auxz00_3691 = (int) ((BgL_iz00_3686 - 1L));
								{
									long BgL_iz00_4200;

									BgL_iz00_4200 = (long) (BgL_auxz00_3691);
									BgL_iz00_3686 = BgL_iz00_4200;
									goto BgL_loopz00_3687;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzcoerce_coercez00(void)
	{
		{	/* Coerce/coerce.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzcoerce_coercez00(void)
	{
		{	/* Coerce/coerce.scm 15 */
			BGl_thezd2coercedzd2functionz00zzcoerce_coercez00 = BUNSPEC;
			return BUNSPEC;
		}

	}



/* coerce-function! */
	BGL_EXPORTED_DEF obj_t
		BGl_coercezd2functionz12zc0zzcoerce_coercez00(BgL_variablez00_bglt
		BgL_variablez00_3, bool_t BgL_typezd2safezd2_4)
	{
		{	/* Coerce/coerce.scm 46 */
			BGl_enterzd2functionzd2zztools_errorz00(
				(((BgL_variablez00_bglt) COBJECT(BgL_variablez00_3))->BgL_idz00));
			{	/* Coerce/coerce.scm 49 */
				BgL_valuez00_bglt BgL_funz00_1699;

				BgL_funz00_1699 =
					(((BgL_variablez00_bglt) COBJECT(BgL_variablez00_3))->BgL_valuez00);
				{	/* Coerce/coerce.scm 49 */
					obj_t BgL_bodyz00_1700;

					BgL_bodyz00_1700 =
						(((BgL_sfunz00_bglt) COBJECT(
								((BgL_sfunz00_bglt) BgL_funz00_1699)))->BgL_bodyz00);
					{	/* Coerce/coerce.scm 50 */
						BgL_typez00_bglt BgL_tresz00_1701;

						BgL_tresz00_1701 =
							(((BgL_variablez00_bglt) COBJECT(BgL_variablez00_3))->
							BgL_typez00);
						{	/* Coerce/coerce.scm 51 */
							obj_t BgL_cloz00_1702;

							BgL_cloz00_1702 =
								(((BgL_sfunz00_bglt) COBJECT(
										((BgL_sfunz00_bglt) BgL_funz00_1699)))->
								BgL_thezd2closurezd2globalz00);
							{	/* Coerce/coerce.scm 52 */
								bool_t BgL_typezd2safetyzd2enforcedz00_1703;

								{	/* Coerce/coerce.scm 53 */
									obj_t BgL__andtest_1109z00_1713;

									BgL__andtest_1109z00_1713 =
										BGl_za2unsafezd2evalza2zd2zzengine_paramz00;
									if (CBOOL(BgL__andtest_1109z00_1713))
										{	/* Coerce/coerce.scm 53 */
											BgL_typezd2safetyzd2enforcedz00_1703 = ((bool_t) 0);
										}
									else
										{	/* Coerce/coerce.scm 54 */
											bool_t BgL_test2204z00_4213;

											{	/* Coerce/coerce.scm 54 */
												obj_t BgL_classz00_2494;

												BgL_classz00_2494 = BGl_globalz00zzast_varz00;
												{	/* Coerce/coerce.scm 54 */
													BgL_objectz00_bglt BgL_arg1858z00_2496;

													{	/* Coerce/coerce.scm 54 */
														obj_t BgL_tmpz00_4214;

														BgL_tmpz00_4214 = ((obj_t) BgL_variablez00_3);
														BgL_arg1858z00_2496 =
															(BgL_objectz00_bglt) (BgL_tmpz00_4214);
													}
													if (BGL_CONDEXPAND_ISA_ARCH64())
														{	/* Coerce/coerce.scm 54 */
															long BgL_idxz00_2502;

															BgL_idxz00_2502 =
																BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_2496);
															BgL_test2204z00_4213 =
																(VECTOR_REF
																(BGl_za2inheritancesza2z00zz__objectz00,
																	(BgL_idxz00_2502 + 2L)) == BgL_classz00_2494);
														}
													else
														{	/* Coerce/coerce.scm 54 */
															bool_t BgL_res2090z00_2527;

															{	/* Coerce/coerce.scm 54 */
																obj_t BgL_oclassz00_2510;

																{	/* Coerce/coerce.scm 54 */
																	obj_t BgL_arg1866z00_2518;
																	long BgL_arg1867z00_2519;

																	BgL_arg1866z00_2518 =
																		(BGl_za2classesza2z00zz__objectz00);
																	{	/* Coerce/coerce.scm 54 */
																		long BgL_arg1869z00_2520;

																		BgL_arg1869z00_2520 =
																			BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_2496);
																		BgL_arg1867z00_2519 =
																			(BgL_arg1869z00_2520 - OBJECT_TYPE);
																	}
																	BgL_oclassz00_2510 =
																		VECTOR_REF(BgL_arg1866z00_2518,
																		BgL_arg1867z00_2519);
																}
																{	/* Coerce/coerce.scm 54 */
																	bool_t BgL__ortest_1115z00_2511;

																	BgL__ortest_1115z00_2511 =
																		(BgL_classz00_2494 == BgL_oclassz00_2510);
																	if (BgL__ortest_1115z00_2511)
																		{	/* Coerce/coerce.scm 54 */
																			BgL_res2090z00_2527 =
																				BgL__ortest_1115z00_2511;
																		}
																	else
																		{	/* Coerce/coerce.scm 54 */
																			long BgL_odepthz00_2512;

																			{	/* Coerce/coerce.scm 54 */
																				obj_t BgL_arg1855z00_2513;

																				BgL_arg1855z00_2513 =
																					(BgL_oclassz00_2510);
																				BgL_odepthz00_2512 =
																					BGL_CLASS_DEPTH(BgL_arg1855z00_2513);
																			}
																			if ((2L < BgL_odepthz00_2512))
																				{	/* Coerce/coerce.scm 54 */
																					obj_t BgL_arg1853z00_2515;

																					{	/* Coerce/coerce.scm 54 */
																						obj_t BgL_arg1854z00_2516;

																						BgL_arg1854z00_2516 =
																							(BgL_oclassz00_2510);
																						BgL_arg1853z00_2515 =
																							BGL_CLASS_ANCESTORS_REF
																							(BgL_arg1854z00_2516, 2L);
																					}
																					BgL_res2090z00_2527 =
																						(BgL_arg1853z00_2515 ==
																						BgL_classz00_2494);
																				}
																			else
																				{	/* Coerce/coerce.scm 54 */
																					BgL_res2090z00_2527 = ((bool_t) 0);
																				}
																		}
																}
															}
															BgL_test2204z00_4213 = BgL_res2090z00_2527;
														}
												}
											}
											if (BgL_test2204z00_4213)
												{	/* Coerce/coerce.scm 55 */
													bool_t BgL_test2208z00_4236;

													{	/* Coerce/coerce.scm 55 */
														obj_t BgL_classz00_2528;

														BgL_classz00_2528 = BGl_globalz00zzast_varz00;
														if (BGL_OBJECTP(BgL_cloz00_1702))
															{	/* Coerce/coerce.scm 55 */
																BgL_objectz00_bglt BgL_arg1858z00_2530;

																BgL_arg1858z00_2530 =
																	(BgL_objectz00_bglt) (BgL_cloz00_1702);
																if (BGL_CONDEXPAND_ISA_ARCH64())
																	{	/* Coerce/coerce.scm 55 */
																		long BgL_idxz00_2536;

																		BgL_idxz00_2536 =
																			BGL_OBJECT_INHERITANCE_NUM
																			(BgL_arg1858z00_2530);
																		BgL_test2208z00_4236 =
																			(VECTOR_REF
																			(BGl_za2inheritancesza2z00zz__objectz00,
																				(BgL_idxz00_2536 + 2L)) ==
																			BgL_classz00_2528);
																	}
																else
																	{	/* Coerce/coerce.scm 55 */
																		bool_t BgL_res2091z00_2561;

																		{	/* Coerce/coerce.scm 55 */
																			obj_t BgL_oclassz00_2544;

																			{	/* Coerce/coerce.scm 55 */
																				obj_t BgL_arg1866z00_2552;
																				long BgL_arg1867z00_2553;

																				BgL_arg1866z00_2552 =
																					(BGl_za2classesza2z00zz__objectz00);
																				{	/* Coerce/coerce.scm 55 */
																					long BgL_arg1869z00_2554;

																					BgL_arg1869z00_2554 =
																						BGL_OBJECT_CLASS_NUM
																						(BgL_arg1858z00_2530);
																					BgL_arg1867z00_2553 =
																						(BgL_arg1869z00_2554 - OBJECT_TYPE);
																				}
																				BgL_oclassz00_2544 =
																					VECTOR_REF(BgL_arg1866z00_2552,
																					BgL_arg1867z00_2553);
																			}
																			{	/* Coerce/coerce.scm 55 */
																				bool_t BgL__ortest_1115z00_2545;

																				BgL__ortest_1115z00_2545 =
																					(BgL_classz00_2528 ==
																					BgL_oclassz00_2544);
																				if (BgL__ortest_1115z00_2545)
																					{	/* Coerce/coerce.scm 55 */
																						BgL_res2091z00_2561 =
																							BgL__ortest_1115z00_2545;
																					}
																				else
																					{	/* Coerce/coerce.scm 55 */
																						long BgL_odepthz00_2546;

																						{	/* Coerce/coerce.scm 55 */
																							obj_t BgL_arg1855z00_2547;

																							BgL_arg1855z00_2547 =
																								(BgL_oclassz00_2544);
																							BgL_odepthz00_2546 =
																								BGL_CLASS_DEPTH
																								(BgL_arg1855z00_2547);
																						}
																						if ((2L < BgL_odepthz00_2546))
																							{	/* Coerce/coerce.scm 55 */
																								obj_t BgL_arg1853z00_2549;

																								{	/* Coerce/coerce.scm 55 */
																									obj_t BgL_arg1854z00_2550;

																									BgL_arg1854z00_2550 =
																										(BgL_oclassz00_2544);
																									BgL_arg1853z00_2549 =
																										BGL_CLASS_ANCESTORS_REF
																										(BgL_arg1854z00_2550, 2L);
																								}
																								BgL_res2091z00_2561 =
																									(BgL_arg1853z00_2549 ==
																									BgL_classz00_2528);
																							}
																						else
																							{	/* Coerce/coerce.scm 55 */
																								BgL_res2091z00_2561 =
																									((bool_t) 0);
																							}
																					}
																			}
																		}
																		BgL_test2208z00_4236 = BgL_res2091z00_2561;
																	}
															}
														else
															{	/* Coerce/coerce.scm 55 */
																BgL_test2208z00_4236 = ((bool_t) 0);
															}
													}
													if (BgL_test2208z00_4236)
														{	/* Coerce/coerce.scm 55 */
															if (
																(((BgL_globalz00_bglt) COBJECT(
																			((BgL_globalz00_bglt) BgL_cloz00_1702)))->
																	BgL_evaluablezf3zf3))
																{	/* Coerce/coerce.scm 56 */
																	BgL_typezd2safetyzd2enforcedz00_1703 =
																		(((BgL_variablez00_bglt) COBJECT(
																				((BgL_variablez00_bglt)
																					((BgL_globalz00_bglt)
																						BgL_cloz00_1702))))->
																		BgL_userzf3zf3);
																}
															else
																{	/* Coerce/coerce.scm 56 */
																	BgL_typezd2safetyzd2enforcedz00_1703 =
																		((bool_t) 0);
																}
														}
													else
														{	/* Coerce/coerce.scm 55 */
															BgL_typezd2safetyzd2enforcedz00_1703 =
																((bool_t) 0);
														}
												}
											else
												{	/* Coerce/coerce.scm 54 */
													BgL_typezd2safetyzd2enforcedz00_1703 = ((bool_t) 0);
												}
										}
								}
								{	/* Coerce/coerce.scm 58 */

									{	/* Coerce/coerce.scm 59 */
										obj_t BgL_classz00_2564;

										BgL_classz00_2564 = BGl_globalz00zzast_varz00;
										{	/* Coerce/coerce.scm 59 */
											BgL_objectz00_bglt BgL_arg1858z00_2566;

											{	/* Coerce/coerce.scm 59 */
												obj_t BgL_tmpz00_4265;

												BgL_tmpz00_4265 = ((obj_t) BgL_variablez00_3);
												BgL_arg1858z00_2566 =
													(BgL_objectz00_bglt) (BgL_tmpz00_4265);
											}
											if (BGL_CONDEXPAND_ISA_ARCH64())
												{	/* Coerce/coerce.scm 59 */
													long BgL_idxz00_2572;

													BgL_idxz00_2572 =
														BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_2566);
													(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
															(BgL_idxz00_2572 + 2L)) == BgL_classz00_2564);
												}
											else
												{	/* Coerce/coerce.scm 59 */
													bool_t BgL_res2092z00_2597;

													{	/* Coerce/coerce.scm 59 */
														obj_t BgL_oclassz00_2580;

														{	/* Coerce/coerce.scm 59 */
															obj_t BgL_arg1866z00_2588;
															long BgL_arg1867z00_2589;

															BgL_arg1866z00_2588 =
																(BGl_za2classesza2z00zz__objectz00);
															{	/* Coerce/coerce.scm 59 */
																long BgL_arg1869z00_2590;

																BgL_arg1869z00_2590 =
																	BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_2566);
																BgL_arg1867z00_2589 =
																	(BgL_arg1869z00_2590 - OBJECT_TYPE);
															}
															BgL_oclassz00_2580 =
																VECTOR_REF(BgL_arg1866z00_2588,
																BgL_arg1867z00_2589);
														}
														{	/* Coerce/coerce.scm 59 */
															bool_t BgL__ortest_1115z00_2581;

															BgL__ortest_1115z00_2581 =
																(BgL_classz00_2564 == BgL_oclassz00_2580);
															if (BgL__ortest_1115z00_2581)
																{	/* Coerce/coerce.scm 59 */
																	BgL_res2092z00_2597 =
																		BgL__ortest_1115z00_2581;
																}
															else
																{	/* Coerce/coerce.scm 59 */
																	long BgL_odepthz00_2582;

																	{	/* Coerce/coerce.scm 59 */
																		obj_t BgL_arg1855z00_2583;

																		BgL_arg1855z00_2583 = (BgL_oclassz00_2580);
																		BgL_odepthz00_2582 =
																			BGL_CLASS_DEPTH(BgL_arg1855z00_2583);
																	}
																	if ((2L < BgL_odepthz00_2582))
																		{	/* Coerce/coerce.scm 59 */
																			obj_t BgL_arg1853z00_2585;

																			{	/* Coerce/coerce.scm 59 */
																				obj_t BgL_arg1854z00_2586;

																				BgL_arg1854z00_2586 =
																					(BgL_oclassz00_2580);
																				BgL_arg1853z00_2585 =
																					BGL_CLASS_ANCESTORS_REF
																					(BgL_arg1854z00_2586, 2L);
																			}
																			BgL_res2092z00_2597 =
																				(BgL_arg1853z00_2585 ==
																				BgL_classz00_2564);
																		}
																	else
																		{	/* Coerce/coerce.scm 59 */
																			BgL_res2092z00_2597 = ((bool_t) 0);
																		}
																}
														}
													}
													BgL_res2092z00_2597;
												}
										}
									}
									BNIL;
									{	/* Coerce/coerce.scm 67 */
										obj_t BgL_notifyz00_1706;

										BgL_notifyz00_1706 =
											BGl_za2notifyzd2typezd2testza2z00zzcoerce_convertz00;
										if ((((BgL_variablez00_bglt) COBJECT(BgL_variablez00_3))->
												BgL_userzf3zf3))
											{	/* Coerce/coerce.scm 70 */
												bool_t BgL_test2218z00_4289;

												{	/* Coerce/coerce.scm 70 */
													obj_t BgL_arg1370z00_1710;

													BgL_arg1370z00_1710 =
														(((BgL_sfunz00_bglt) COBJECT(
																((BgL_sfunz00_bglt) BgL_funz00_1699)))->
														BgL_thezd2closurezd2globalz00);
													{	/* Coerce/coerce.scm 70 */
														obj_t BgL_classz00_2600;

														BgL_classz00_2600 = BGl_globalz00zzast_varz00;
														if (BGL_OBJECTP(BgL_arg1370z00_1710))
															{	/* Coerce/coerce.scm 70 */
																BgL_objectz00_bglt BgL_arg1858z00_2602;

																BgL_arg1858z00_2602 =
																	(BgL_objectz00_bglt) (BgL_arg1370z00_1710);
																if (BGL_CONDEXPAND_ISA_ARCH64())
																	{	/* Coerce/coerce.scm 70 */
																		long BgL_idxz00_2608;

																		BgL_idxz00_2608 =
																			BGL_OBJECT_INHERITANCE_NUM
																			(BgL_arg1858z00_2602);
																		BgL_test2218z00_4289 =
																			(VECTOR_REF
																			(BGl_za2inheritancesza2z00zz__objectz00,
																				(BgL_idxz00_2608 + 2L)) ==
																			BgL_classz00_2600);
																	}
																else
																	{	/* Coerce/coerce.scm 70 */
																		bool_t BgL_res2093z00_2633;

																		{	/* Coerce/coerce.scm 70 */
																			obj_t BgL_oclassz00_2616;

																			{	/* Coerce/coerce.scm 70 */
																				obj_t BgL_arg1866z00_2624;
																				long BgL_arg1867z00_2625;

																				BgL_arg1866z00_2624 =
																					(BGl_za2classesza2z00zz__objectz00);
																				{	/* Coerce/coerce.scm 70 */
																					long BgL_arg1869z00_2626;

																					BgL_arg1869z00_2626 =
																						BGL_OBJECT_CLASS_NUM
																						(BgL_arg1858z00_2602);
																					BgL_arg1867z00_2625 =
																						(BgL_arg1869z00_2626 - OBJECT_TYPE);
																				}
																				BgL_oclassz00_2616 =
																					VECTOR_REF(BgL_arg1866z00_2624,
																					BgL_arg1867z00_2625);
																			}
																			{	/* Coerce/coerce.scm 70 */
																				bool_t BgL__ortest_1115z00_2617;

																				BgL__ortest_1115z00_2617 =
																					(BgL_classz00_2600 ==
																					BgL_oclassz00_2616);
																				if (BgL__ortest_1115z00_2617)
																					{	/* Coerce/coerce.scm 70 */
																						BgL_res2093z00_2633 =
																							BgL__ortest_1115z00_2617;
																					}
																				else
																					{	/* Coerce/coerce.scm 70 */
																						long BgL_odepthz00_2618;

																						{	/* Coerce/coerce.scm 70 */
																							obj_t BgL_arg1855z00_2619;

																							BgL_arg1855z00_2619 =
																								(BgL_oclassz00_2616);
																							BgL_odepthz00_2618 =
																								BGL_CLASS_DEPTH
																								(BgL_arg1855z00_2619);
																						}
																						if ((2L < BgL_odepthz00_2618))
																							{	/* Coerce/coerce.scm 70 */
																								obj_t BgL_arg1853z00_2621;

																								{	/* Coerce/coerce.scm 70 */
																									obj_t BgL_arg1854z00_2622;

																									BgL_arg1854z00_2622 =
																										(BgL_oclassz00_2616);
																									BgL_arg1853z00_2621 =
																										BGL_CLASS_ANCESTORS_REF
																										(BgL_arg1854z00_2622, 2L);
																								}
																								BgL_res2093z00_2633 =
																									(BgL_arg1853z00_2621 ==
																									BgL_classz00_2600);
																							}
																						else
																							{	/* Coerce/coerce.scm 70 */
																								BgL_res2093z00_2633 =
																									((bool_t) 0);
																							}
																					}
																			}
																		}
																		BgL_test2218z00_4289 = BgL_res2093z00_2633;
																	}
															}
														else
															{	/* Coerce/coerce.scm 70 */
																BgL_test2218z00_4289 = ((bool_t) 0);
															}
													}
												}
												if (BgL_test2218z00_4289)
													{	/* Coerce/coerce.scm 70 */
														BGl_za2notifyzd2typezd2testza2z00zzcoerce_convertz00
															= BFALSE;
													}
												else
													{	/* Coerce/coerce.scm 70 */
														BGl_za2notifyzd2typezd2testza2z00zzcoerce_convertz00
															= BTRUE;
													}
											}
										else
											{	/* Coerce/coerce.scm 69 */
												BGl_za2notifyzd2typezd2testza2z00zzcoerce_convertz00 =
													BFALSE;
											}
										BGl_pfunctionzd2protozd2zzcoerce_pprotoz00(3L,
											BgL_variablez00_3);
										BGl_thezd2coercedzd2functionz00zzcoerce_coercez00 =
											((obj_t) BgL_variablez00_3);
										{	/* Coerce/coerce.scm 73 */
											BgL_nodez00_bglt BgL_arg1371z00_1711;

											{	/* Coerce/coerce.scm 73 */
												bool_t BgL_auxz00_4316;

												if (BgL_typezd2safezd2_4)
													{	/* Coerce/coerce.scm 58 */
														BgL_auxz00_4316 = BgL_typezd2safezd2_4;
													}
												else
													{	/* Coerce/coerce.scm 58 */
														BgL_auxz00_4316 =
															BgL_typezd2safetyzd2enforcedz00_1703;
													}
												BgL_arg1371z00_1711 =
													BGl_coercez12z12zzcoerce_coercez00(
													((BgL_nodez00_bglt) BgL_bodyz00_1700),
													((obj_t) BgL_variablez00_3), BgL_tresz00_1701,
													BgL_auxz00_4316);
											}
											((((BgL_sfunz00_bglt) COBJECT(
															((BgL_sfunz00_bglt) BgL_funz00_1699)))->
													BgL_bodyz00) =
												((obj_t) ((obj_t) BgL_arg1371z00_1711)), BUNSPEC);
										}
										BGl_za2notifyzd2typezd2testza2z00zzcoerce_convertz00 =
											BgL_notifyz00_1706;
									}
									return BGl_leavezd2functionzd2zztools_errorz00();
								}
							}
						}
					}
				}
			}
		}

	}



/* &coerce-function! */
	obj_t BGl_z62coercezd2functionz12za2zzcoerce_coercez00(obj_t BgL_envz00_3509,
		obj_t BgL_variablez00_3510, obj_t BgL_typezd2safezd2_3511)
	{
		{	/* Coerce/coerce.scm 46 */
			return
				BGl_coercezd2functionz12zc0zzcoerce_coercez00(
				((BgL_variablez00_bglt) BgL_variablez00_3510),
				CBOOL(BgL_typezd2safezd2_3511));
		}

	}



/* cast-node */
	BgL_castz00_bglt BGl_castzd2nodezd2zzcoerce_coercez00(BgL_nodez00_bglt
		BgL_nodez00_105, obj_t BgL_toz00_106)
	{
		{	/* Coerce/coerce.scm 491 */
			{	/* Coerce/coerce.scm 493 */
				BgL_castz00_bglt BgL_new1151z00_1718;

				{	/* Coerce/coerce.scm 494 */
					BgL_castz00_bglt BgL_new1150z00_1719;

					BgL_new1150z00_1719 =
						((BgL_castz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_castz00_bgl))));
					{	/* Coerce/coerce.scm 494 */
						long BgL_arg1376z00_1720;

						BgL_arg1376z00_1720 = BGL_CLASS_NUM(BGl_castz00zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1150z00_1719), BgL_arg1376z00_1720);
					}
					{	/* Coerce/coerce.scm 494 */
						BgL_objectz00_bglt BgL_tmpz00_4332;

						BgL_tmpz00_4332 = ((BgL_objectz00_bglt) BgL_new1150z00_1719);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4332, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1150z00_1719);
					BgL_new1151z00_1718 = BgL_new1150z00_1719;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1151z00_1718)))->BgL_locz00) =
					((obj_t) (((BgL_nodez00_bglt) COBJECT(BgL_nodez00_105))->BgL_locz00)),
					BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1151z00_1718)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_toz00_106)), BUNSPEC);
				((((BgL_castz00_bglt) COBJECT(BgL_new1151z00_1718))->BgL_argz00) =
					((BgL_nodez00_bglt) BgL_nodez00_105), BUNSPEC);
				return BgL_new1151z00_1718;
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzcoerce_coercez00(void)
	{
		{	/* Coerce/coerce.scm 15 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzcoerce_coercez00(void)
	{
		{	/* Coerce/coerce.scm 15 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_coercez12zd2envzc0zzcoerce_coercez00,
				BGl_proc2120z00zzcoerce_coercez00, BGl_nodez00zzast_nodez00,
				BGl_string2121z00zzcoerce_coercez00);
		}

	}



/* &coerce!1291 */
	obj_t BGl_z62coercez121291z70zzcoerce_coercez00(obj_t BgL_envz00_3513,
		obj_t BgL_nodez00_3514, obj_t BgL_callerz00_3515, obj_t BgL_toz00_3516,
		obj_t BgL_safez00_3517)
	{
		{	/* Coerce/coerce.scm 80 */
			return
				BGl_errorz00zz__errorz00(
				((obj_t)
					CNST_TABLE_REF(0)), BGl_string2122z00zzcoerce_coercez00,
				((obj_t) ((BgL_nodez00_bglt) BgL_nodez00_3514)));
		}

	}



/* coerce! */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_coercez12z12zzcoerce_coercez00(BgL_nodez00_bglt BgL_nodez00_5,
		obj_t BgL_callerz00_6, BgL_typez00_bglt BgL_toz00_7, bool_t BgL_safez00_8)
	{
		{	/* Coerce/coerce.scm 80 */
			{	/* Coerce/coerce.scm 80 */
				obj_t BgL_method1292z00_1728;

				{	/* Coerce/coerce.scm 80 */
					obj_t BgL_res2098z00_2669;

					{	/* Coerce/coerce.scm 80 */
						long BgL_objzd2classzd2numz00_2640;

						BgL_objzd2classzd2numz00_2640 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_5));
						{	/* Coerce/coerce.scm 80 */
							obj_t BgL_arg1862z00_2641;

							BgL_arg1862z00_2641 =
								PROCEDURE_REF(BGl_coercez12zd2envzc0zzcoerce_coercez00,
								(int) (1L));
							{	/* Coerce/coerce.scm 80 */
								int BgL_offsetz00_2644;

								BgL_offsetz00_2644 = (int) (BgL_objzd2classzd2numz00_2640);
								{	/* Coerce/coerce.scm 80 */
									long BgL_offsetz00_2645;

									BgL_offsetz00_2645 =
										((long) (BgL_offsetz00_2644) - OBJECT_TYPE);
									{	/* Coerce/coerce.scm 80 */
										long BgL_modz00_2646;

										BgL_modz00_2646 =
											(BgL_offsetz00_2645 >> (int) ((long) ((int) (4L))));
										{	/* Coerce/coerce.scm 80 */
											long BgL_restz00_2648;

											BgL_restz00_2648 =
												(BgL_offsetz00_2645 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(1L <<
																		(int) ((long) ((int) (4L)))))) - 1L))));
											{	/* Coerce/coerce.scm 80 */

												{	/* Coerce/coerce.scm 80 */
													obj_t BgL_bucketz00_2650;

													BgL_bucketz00_2650 =
														VECTOR_REF(
														((obj_t) BgL_arg1862z00_2641), BgL_modz00_2646);
													BgL_res2098z00_2669 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_2650), BgL_restz00_2648);
					}}}}}}}}
					BgL_method1292z00_1728 = BgL_res2098z00_2669;
				}
				return
					((BgL_nodez00_bglt)
					BGL_PROCEDURE_CALL4(BgL_method1292z00_1728,
						((obj_t) BgL_nodez00_5), BgL_callerz00_6,
						((obj_t) BgL_toz00_7), BBOOL(BgL_safez00_8)));
			}
		}

	}



/* &coerce! */
	BgL_nodez00_bglt BGl_z62coercez12z70zzcoerce_coercez00(obj_t BgL_envz00_3518,
		obj_t BgL_nodez00_3519, obj_t BgL_callerz00_3520, obj_t BgL_toz00_3521,
		obj_t BgL_safez00_3522)
	{
		{	/* Coerce/coerce.scm 80 */
			return
				BGl_coercez12z12zzcoerce_coercez00(
				((BgL_nodez00_bglt) BgL_nodez00_3519), BgL_callerz00_3520,
				((BgL_typez00_bglt) BgL_toz00_3521), CBOOL(BgL_safez00_3522));
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzcoerce_coercez00(void)
	{
		{	/* Coerce/coerce.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_coercez12zd2envzc0zzcoerce_coercez00, BGl_atomz00zzast_nodez00,
				BGl_proc2123z00zzcoerce_coercez00, BGl_string2124z00zzcoerce_coercez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_coercez12zd2envzc0zzcoerce_coercez00, BGl_kwotez00zzast_nodez00,
				BGl_proc2125z00zzcoerce_coercez00, BGl_string2124z00zzcoerce_coercez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_coercez12zd2envzc0zzcoerce_coercez00, BGl_varz00zzast_nodez00,
				BGl_proc2126z00zzcoerce_coercez00, BGl_string2124z00zzcoerce_coercez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_coercez12zd2envzc0zzcoerce_coercez00, BGl_closurez00zzast_nodez00,
				BGl_proc2127z00zzcoerce_coercez00, BGl_string2124z00zzcoerce_coercez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_coercez12zd2envzc0zzcoerce_coercez00, BGl_sequencez00zzast_nodez00,
				BGl_proc2128z00zzcoerce_coercez00, BGl_string2124z00zzcoerce_coercez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_coercez12zd2envzc0zzcoerce_coercez00, BGl_syncz00zzast_nodez00,
				BGl_proc2129z00zzcoerce_coercez00, BGl_string2124z00zzcoerce_coercez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_coercez12zd2envzc0zzcoerce_coercez00, BGl_externz00zzast_nodez00,
				BGl_proc2130z00zzcoerce_coercez00, BGl_string2124z00zzcoerce_coercez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_coercez12zd2envzc0zzcoerce_coercez00, BGl_wideningz00zzast_nodez00,
				BGl_proc2131z00zzcoerce_coercez00, BGl_string2124z00zzcoerce_coercez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_coercez12zd2envzc0zzcoerce_coercez00, BGl_getfieldz00zzast_nodez00,
				BGl_proc2132z00zzcoerce_coercez00, BGl_string2124z00zzcoerce_coercez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_coercez12zd2envzc0zzcoerce_coercez00, BGl_setfieldz00zzast_nodez00,
				BGl_proc2133z00zzcoerce_coercez00, BGl_string2124z00zzcoerce_coercez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_coercez12zd2envzc0zzcoerce_coercez00, BGl_newz00zzast_nodez00,
				BGl_proc2134z00zzcoerce_coercez00, BGl_string2124z00zzcoerce_coercez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_coercez12zd2envzc0zzcoerce_coercez00, BGl_vallocz00zzast_nodez00,
				BGl_proc2135z00zzcoerce_coercez00, BGl_string2124z00zzcoerce_coercez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_coercez12zd2envzc0zzcoerce_coercez00, BGl_vrefz00zzast_nodez00,
				BGl_proc2136z00zzcoerce_coercez00, BGl_string2124z00zzcoerce_coercez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_coercez12zd2envzc0zzcoerce_coercez00, BGl_vsetz12z12zzast_nodez00,
				BGl_proc2137z00zzcoerce_coercez00, BGl_string2124z00zzcoerce_coercez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_coercez12zd2envzc0zzcoerce_coercez00, BGl_vlengthz00zzast_nodez00,
				BGl_proc2138z00zzcoerce_coercez00, BGl_string2124z00zzcoerce_coercez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_coercez12zd2envzc0zzcoerce_coercez00, BGl_castz00zzast_nodez00,
				BGl_proc2139z00zzcoerce_coercez00, BGl_string2124z00zzcoerce_coercez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_coercez12zd2envzc0zzcoerce_coercez00, BGl_setqz00zzast_nodez00,
				BGl_proc2140z00zzcoerce_coercez00, BGl_string2124z00zzcoerce_coercez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_coercez12zd2envzc0zzcoerce_coercez00,
				BGl_conditionalz00zzast_nodez00, BGl_proc2141z00zzcoerce_coercez00,
				BGl_string2124z00zzcoerce_coercez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_coercez12zd2envzc0zzcoerce_coercez00, BGl_failz00zzast_nodez00,
				BGl_proc2142z00zzcoerce_coercez00, BGl_string2124z00zzcoerce_coercez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_coercez12zd2envzc0zzcoerce_coercez00, BGl_switchz00zzast_nodez00,
				BGl_proc2143z00zzcoerce_coercez00, BGl_string2124z00zzcoerce_coercez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_coercez12zd2envzc0zzcoerce_coercez00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc2144z00zzcoerce_coercez00,
				BGl_string2124z00zzcoerce_coercez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_coercez12zd2envzc0zzcoerce_coercez00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc2145z00zzcoerce_coercez00,
				BGl_string2124z00zzcoerce_coercez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_coercez12zd2envzc0zzcoerce_coercez00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc2146z00zzcoerce_coercez00,
				BGl_string2124z00zzcoerce_coercez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_coercez12zd2envzc0zzcoerce_coercez00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc2147z00zzcoerce_coercez00,
				BGl_string2124z00zzcoerce_coercez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_coercez12zd2envzc0zzcoerce_coercez00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc2148z00zzcoerce_coercez00,
				BGl_string2124z00zzcoerce_coercez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_coercez12zd2envzc0zzcoerce_coercez00,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc2149z00zzcoerce_coercez00,
				BGl_string2124z00zzcoerce_coercez00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_coercez12zd2envzc0zzcoerce_coercez00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc2150z00zzcoerce_coercez00,
				BGl_string2124z00zzcoerce_coercez00);
		}

	}



/* &coerce!-box-set!1347 */
	BgL_nodez00_bglt
		BGl_z62coercez12zd2boxzd2setz121347z62zzcoerce_coercez00(obj_t
		BgL_envz00_3550, obj_t BgL_nodez00_3551, obj_t BgL_callerz00_3552,
		obj_t BgL_toz00_3553, obj_t BgL_safez00_3554)
	{
		{	/* Coerce/coerce.scm 523 */
			{	/* Coerce/coerce.scm 525 */
				BgL_nodez00_bglt BgL_vtz00_3700;

				BgL_vtz00_3700 =
					BGl_coercez12z12zzcoerce_coercez00(
					(((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_3551)))->BgL_valuez00),
					BgL_callerz00_3552,
					(((BgL_boxzd2setz12zc0_bglt) COBJECT(((BgL_boxzd2setz12zc0_bglt)
									BgL_nodez00_3551)))->BgL_vtypez00), CBOOL(BgL_safez00_3554));
				((((BgL_boxzd2setz12zc0_bglt) COBJECT(((BgL_boxzd2setz12zc0_bglt)
									BgL_nodez00_3551)))->BgL_valuez00) =
					((BgL_nodez00_bglt) BGl_coercez12z12zzcoerce_coercez00(BgL_vtz00_3700,
							BgL_callerz00_3552,
							((BgL_typez00_bglt) BGl_za2objza2z00zztype_cachez00),
							CBOOL(BgL_safez00_3554))), BUNSPEC);
			}
			{	/* Coerce/coerce.scm 527 */
				BgL_typez00_bglt BgL_arg2025z00_3701;

				BgL_arg2025z00_3701 =
					(((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt)
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_3551))))->BgL_typez00);
				return
					BGl_convertz12z12zzcoerce_convertz00(
					((BgL_nodez00_bglt)
						((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_3551)), BgL_arg2025z00_3701,
					((BgL_typez00_bglt) BgL_toz00_3553), CBOOL(BgL_safez00_3554));
			}
		}

	}



/* &coerce!-box-ref1345 */
	BgL_nodez00_bglt BGl_z62coercez12zd2boxzd2ref1345z70zzcoerce_coercez00(obj_t
		BgL_envz00_3555, obj_t BgL_nodez00_3556, obj_t BgL_callerz00_3557,
		obj_t BgL_toz00_3558, obj_t BgL_safez00_3559)
	{
		{	/* Coerce/coerce.scm 512 */
			{	/* Coerce/coerce.scm 514 */
				BgL_nodez00_bglt BgL_tnodez00_3703;

				{	/* Coerce/coerce.scm 514 */
					bool_t BgL_test2224z00_4435;

					{	/* Coerce/coerce.scm 514 */
						obj_t BgL_arg2022z00_3704;

						BgL_arg2022z00_3704 =
							((obj_t)
							(((BgL_nodez00_bglt) COBJECT(
										((BgL_nodez00_bglt)
											((BgL_boxzd2refzd2_bglt) BgL_nodez00_3556))))->
								BgL_typez00));
						BgL_test2224z00_4435 =
							(BgL_arg2022z00_3704 == BGl_za2objza2z00zztype_cachez00);
					}
					if (BgL_test2224z00_4435)
						{	/* Coerce/coerce.scm 514 */
							BgL_tnodez00_3703 =
								((BgL_nodez00_bglt) ((BgL_boxzd2refzd2_bglt) BgL_nodez00_3556));
						}
					else
						{	/* Coerce/coerce.scm 514 */
							BgL_typez00_bglt BgL_arg2021z00_3705;

							BgL_arg2021z00_3705 =
								(((BgL_nodez00_bglt) COBJECT(
										((BgL_nodez00_bglt)
											((BgL_boxzd2refzd2_bglt) BgL_nodez00_3556))))->
								BgL_typez00);
							BgL_tnodez00_3703 =
								((BgL_nodez00_bglt)
								BGl_castzd2nodezd2zzcoerce_coercez00(((BgL_nodez00_bglt) (
											(BgL_boxzd2refzd2_bglt) BgL_nodez00_3556)),
									((obj_t) BgL_arg2021z00_3705)));
						}
				}
				{	/* Coerce/coerce.scm 514 */
					BgL_nodez00_bglt BgL_cnodez00_3706;

					{	/* Coerce/coerce.scm 515 */
						BgL_typez00_bglt BgL_arg2017z00_3707;

						BgL_arg2017z00_3707 =
							(((BgL_boxzd2refzd2_bglt) COBJECT(
									((BgL_boxzd2refzd2_bglt) BgL_nodez00_3556)))->BgL_vtypez00);
						BgL_cnodez00_3706 =
							BGl_convertz12z12zzcoerce_convertz00(BgL_tnodez00_3703,
							BgL_arg2017z00_3707, ((BgL_typez00_bglt) BgL_toz00_3558),
							CBOOL(BgL_safez00_3559));
					}
					{	/* Coerce/coerce.scm 515 */

						{	/* Coerce/coerce.scm 516 */
							bool_t BgL_test2225z00_4456;

							{	/* Coerce/coerce.scm 516 */
								obj_t BgL_classz00_3708;

								BgL_classz00_3708 = BGl_tclassz00zzobject_classz00;
								if (BGL_OBJECTP(BgL_toz00_3558))
									{	/* Coerce/coerce.scm 516 */
										BgL_objectz00_bglt BgL_arg1858z00_3709;

										BgL_arg1858z00_3709 = (BgL_objectz00_bglt) (BgL_toz00_3558);
										if (BGL_CONDEXPAND_ISA_ARCH64())
											{	/* Coerce/coerce.scm 516 */
												long BgL_idxz00_3710;

												BgL_idxz00_3710 =
													BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_3709);
												BgL_test2225z00_4456 =
													(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
														(BgL_idxz00_3710 + 2L)) == BgL_classz00_3708);
											}
										else
											{	/* Coerce/coerce.scm 516 */
												bool_t BgL_res2112z00_3713;

												{	/* Coerce/coerce.scm 516 */
													obj_t BgL_oclassz00_3714;

													{	/* Coerce/coerce.scm 516 */
														obj_t BgL_arg1866z00_3715;
														long BgL_arg1867z00_3716;

														BgL_arg1866z00_3715 =
															(BGl_za2classesza2z00zz__objectz00);
														{	/* Coerce/coerce.scm 516 */
															long BgL_arg1869z00_3717;

															BgL_arg1869z00_3717 =
																BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_3709);
															BgL_arg1867z00_3716 =
																(BgL_arg1869z00_3717 - OBJECT_TYPE);
														}
														BgL_oclassz00_3714 =
															VECTOR_REF(BgL_arg1866z00_3715,
															BgL_arg1867z00_3716);
													}
													{	/* Coerce/coerce.scm 516 */
														bool_t BgL__ortest_1115z00_3718;

														BgL__ortest_1115z00_3718 =
															(BgL_classz00_3708 == BgL_oclassz00_3714);
														if (BgL__ortest_1115z00_3718)
															{	/* Coerce/coerce.scm 516 */
																BgL_res2112z00_3713 = BgL__ortest_1115z00_3718;
															}
														else
															{	/* Coerce/coerce.scm 516 */
																long BgL_odepthz00_3719;

																{	/* Coerce/coerce.scm 516 */
																	obj_t BgL_arg1855z00_3720;

																	BgL_arg1855z00_3720 = (BgL_oclassz00_3714);
																	BgL_odepthz00_3719 =
																		BGL_CLASS_DEPTH(BgL_arg1855z00_3720);
																}
																if ((2L < BgL_odepthz00_3719))
																	{	/* Coerce/coerce.scm 516 */
																		obj_t BgL_arg1853z00_3721;

																		{	/* Coerce/coerce.scm 516 */
																			obj_t BgL_arg1854z00_3722;

																			BgL_arg1854z00_3722 =
																				(BgL_oclassz00_3714);
																			BgL_arg1853z00_3721 =
																				BGL_CLASS_ANCESTORS_REF
																				(BgL_arg1854z00_3722, 2L);
																		}
																		BgL_res2112z00_3713 =
																			(BgL_arg1853z00_3721 ==
																			BgL_classz00_3708);
																	}
																else
																	{	/* Coerce/coerce.scm 516 */
																		BgL_res2112z00_3713 = ((bool_t) 0);
																	}
															}
													}
												}
												BgL_test2225z00_4456 = BgL_res2112z00_3713;
											}
									}
								else
									{	/* Coerce/coerce.scm 516 */
										BgL_test2225z00_4456 = ((bool_t) 0);
									}
							}
							if (BgL_test2225z00_4456)
								{	/* Coerce/coerce.scm 516 */
									return
										((BgL_nodez00_bglt)
										BGl_castzd2nodezd2zzcoerce_coercez00(BgL_cnodez00_3706,
											BgL_toz00_3558));
								}
							else
								{	/* Coerce/coerce.scm 516 */
									return BgL_cnodez00_3706;
								}
						}
					}
				}
			}
		}

	}



/* &coerce!-make-box1343 */
	BgL_nodez00_bglt BGl_z62coercez12zd2makezd2box1343z70zzcoerce_coercez00(obj_t
		BgL_envz00_3560, obj_t BgL_nodez00_3561, obj_t BgL_callerz00_3562,
		obj_t BgL_toz00_3563, obj_t BgL_safez00_3564)
	{
		{	/* Coerce/coerce.scm 501 */
			{	/* Coerce/coerce.scm 503 */
				BgL_nodez00_bglt BgL_nodevz00_3724;

				BgL_nodevz00_3724 =
					BGl_coercez12z12zzcoerce_coercez00(
					(((BgL_makezd2boxzd2_bglt) COBJECT(
								((BgL_makezd2boxzd2_bglt) BgL_nodez00_3561)))->BgL_valuez00),
					BgL_callerz00_3562,
					(((BgL_makezd2boxzd2_bglt) COBJECT(((BgL_makezd2boxzd2_bglt)
									BgL_nodez00_3561)))->BgL_vtypez00), CBOOL(BgL_safez00_3564));
				{	/* Coerce/coerce.scm 504 */
					bool_t BgL_test2230z00_4487;

					{	/* Coerce/coerce.scm 504 */
						BgL_typez00_bglt BgL_arg2013z00_3725;

						BgL_arg2013z00_3725 =
							BGl_getzd2typezd2zztype_typeofz00(BgL_nodevz00_3724,
							((bool_t) 0));
						{	/* Coerce/coerce.scm 504 */
							obj_t BgL_classz00_3726;

							BgL_classz00_3726 = BGl_tclassz00zzobject_classz00;
							{	/* Coerce/coerce.scm 504 */
								BgL_objectz00_bglt BgL_arg1858z00_3727;

								{	/* Coerce/coerce.scm 504 */
									obj_t BgL_tmpz00_4489;

									BgL_tmpz00_4489 =
										((obj_t) ((BgL_objectz00_bglt) BgL_arg2013z00_3725));
									BgL_arg1858z00_3727 = (BgL_objectz00_bglt) (BgL_tmpz00_4489);
								}
								if (BGL_CONDEXPAND_ISA_ARCH64())
									{	/* Coerce/coerce.scm 504 */
										long BgL_idxz00_3728;

										BgL_idxz00_3728 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_3727);
										BgL_test2230z00_4487 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_3728 + 2L)) == BgL_classz00_3726);
									}
								else
									{	/* Coerce/coerce.scm 504 */
										bool_t BgL_res2111z00_3731;

										{	/* Coerce/coerce.scm 504 */
											obj_t BgL_oclassz00_3732;

											{	/* Coerce/coerce.scm 504 */
												obj_t BgL_arg1866z00_3733;
												long BgL_arg1867z00_3734;

												BgL_arg1866z00_3733 =
													(BGl_za2classesza2z00zz__objectz00);
												{	/* Coerce/coerce.scm 504 */
													long BgL_arg1869z00_3735;

													BgL_arg1869z00_3735 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_3727);
													BgL_arg1867z00_3734 =
														(BgL_arg1869z00_3735 - OBJECT_TYPE);
												}
												BgL_oclassz00_3732 =
													VECTOR_REF(BgL_arg1866z00_3733, BgL_arg1867z00_3734);
											}
											{	/* Coerce/coerce.scm 504 */
												bool_t BgL__ortest_1115z00_3736;

												BgL__ortest_1115z00_3736 =
													(BgL_classz00_3726 == BgL_oclassz00_3732);
												if (BgL__ortest_1115z00_3736)
													{	/* Coerce/coerce.scm 504 */
														BgL_res2111z00_3731 = BgL__ortest_1115z00_3736;
													}
												else
													{	/* Coerce/coerce.scm 504 */
														long BgL_odepthz00_3737;

														{	/* Coerce/coerce.scm 504 */
															obj_t BgL_arg1855z00_3738;

															BgL_arg1855z00_3738 = (BgL_oclassz00_3732);
															BgL_odepthz00_3737 =
																BGL_CLASS_DEPTH(BgL_arg1855z00_3738);
														}
														if ((2L < BgL_odepthz00_3737))
															{	/* Coerce/coerce.scm 504 */
																obj_t BgL_arg1853z00_3739;

																{	/* Coerce/coerce.scm 504 */
																	obj_t BgL_arg1854z00_3740;

																	BgL_arg1854z00_3740 = (BgL_oclassz00_3732);
																	BgL_arg1853z00_3739 =
																		BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_3740,
																		2L);
																}
																BgL_res2111z00_3731 =
																	(BgL_arg1853z00_3739 == BgL_classz00_3726);
															}
														else
															{	/* Coerce/coerce.scm 504 */
																BgL_res2111z00_3731 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_test2230z00_4487 = BgL_res2111z00_3731;
									}
							}
						}
					}
					if (BgL_test2230z00_4487)
						{	/* Coerce/coerce.scm 504 */
							((((BgL_makezd2boxzd2_bglt) COBJECT(
											((BgL_makezd2boxzd2_bglt) BgL_nodez00_3561)))->
									BgL_valuez00) =
								((BgL_nodez00_bglt) ((BgL_nodez00_bglt)
										BGl_castzd2nodezd2zzcoerce_coercez00(BgL_nodevz00_3724,
											BGl_za2objza2z00zztype_cachez00))), BUNSPEC);
						}
					else
						{	/* Coerce/coerce.scm 504 */
							((((BgL_makezd2boxzd2_bglt) COBJECT(
											((BgL_makezd2boxzd2_bglt) BgL_nodez00_3561)))->
									BgL_valuez00) =
								((BgL_nodez00_bglt) BgL_nodevz00_3724), BUNSPEC);
						}
				}
			}
			return ((BgL_nodez00_bglt) ((BgL_makezd2boxzd2_bglt) BgL_nodez00_3561));
		}

	}



/* &coerce!-jump-ex-it1341 */
	BgL_nodez00_bglt
		BGl_z62coercez12zd2jumpzd2exzd2it1341za2zzcoerce_coercez00(obj_t
		BgL_envz00_3565, obj_t BgL_nodez00_3566, obj_t BgL_callerz00_3567,
		obj_t BgL_toz00_3568, obj_t BgL_safez00_3569)
	{
		{	/* Coerce/coerce.scm 482 */
			{
				BgL_nodez00_bglt BgL_auxz00_4520;

				{	/* Coerce/coerce.scm 484 */
					BgL_nodez00_bglt BgL_arg2006z00_3742;

					BgL_arg2006z00_3742 =
						(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_3566)))->BgL_exitz00);
					BgL_auxz00_4520 =
						BGl_coercez12z12zzcoerce_coercez00(BgL_arg2006z00_3742,
						BgL_callerz00_3567,
						((BgL_typez00_bglt) BGl_za2exitza2z00zztype_cachez00),
						CBOOL(BgL_safez00_3569));
				}
				((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_3566)))->
						BgL_exitz00) = ((BgL_nodez00_bglt) BgL_auxz00_4520), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_4528;

				{	/* Coerce/coerce.scm 485 */
					BgL_nodez00_bglt BgL_arg2007z00_3743;
					BgL_typez00_bglt BgL_arg2008z00_3744;

					BgL_arg2007z00_3743 =
						(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_3566)))->
						BgL_valuez00);
					{	/* Coerce/coerce.scm 485 */
						BgL_nodez00_bglt BgL_arg2009z00_3745;

						BgL_arg2009z00_3745 =
							(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
									((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_3566)))->
							BgL_valuez00);
						BgL_arg2008z00_3744 =
							BGl_getzd2typezd2zztype_typeofz00(BgL_arg2009z00_3745,
							((bool_t) 0));
					}
					BgL_auxz00_4528 =
						BGl_coercez12z12zzcoerce_coercez00(BgL_arg2007z00_3743,
						BgL_callerz00_3567, BgL_arg2008z00_3744, CBOOL(BgL_safez00_3569));
				}
				((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_3566)))->
						BgL_valuez00) = ((BgL_nodez00_bglt) BgL_auxz00_4528), BUNSPEC);
			}
			{	/* Coerce/coerce.scm 486 */
				BgL_typez00_bglt BgL_arg2010z00_3746;

				BgL_arg2010z00_3746 =
					(((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt)
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_3566))))->
					BgL_typez00);
				return
					BGl_convertz12z12zzcoerce_convertz00(((BgL_nodez00_bglt) (
							(BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_3566)),
					BgL_arg2010z00_3746, ((BgL_typez00_bglt) BgL_toz00_3568),
					CBOOL(BgL_safez00_3569));
			}
		}

	}



/* &coerce!-set-ex-it1339 */
	BgL_nodez00_bglt
		BGl_z62coercez12zd2setzd2exzd2it1339za2zzcoerce_coercez00(obj_t
		BgL_envz00_3570, obj_t BgL_nodez00_3571, obj_t BgL_callerz00_3572,
		obj_t BgL_toz00_3573, obj_t BgL_safez00_3574)
	{
		{	/* Coerce/coerce.scm 471 */
			{
				BgL_varz00_bglt BgL_auxz00_4546;

				{	/* Coerce/coerce.scm 473 */
					BgL_varz00_bglt BgL_arg2001z00_3748;

					BgL_arg2001z00_3748 =
						(((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_3571)))->BgL_varz00);
					BgL_auxz00_4546 =
						((BgL_varz00_bglt)
						BGl_coercez12z12zzcoerce_coercez00(
							((BgL_nodez00_bglt) BgL_arg2001z00_3748), BgL_callerz00_3572,
							((BgL_typez00_bglt) BGl_za2exitza2z00zztype_cachez00),
							CBOOL(BgL_safez00_3574)));
				}
				((((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_3571)))->BgL_varz00) =
					((BgL_varz00_bglt) BgL_auxz00_4546), BUNSPEC);
			}
			BGl_pvariablezd2protozd2zzcoerce_pprotoz00(3L,
				(((BgL_varz00_bglt) COBJECT(
							(((BgL_setzd2exzd2itz00_bglt) COBJECT(
										((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_3571)))->
								BgL_varz00)))->BgL_variablez00));
			{
				BgL_nodez00_bglt BgL_auxz00_4560;

				{	/* Coerce/coerce.scm 475 */
					BgL_nodez00_bglt BgL_arg2004z00_3749;

					BgL_arg2004z00_3749 =
						(((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_3571)))->BgL_bodyz00);
					BgL_auxz00_4560 =
						BGl_coercez12z12zzcoerce_coercez00(BgL_arg2004z00_3749,
						BgL_callerz00_3572, ((BgL_typez00_bglt) BgL_toz00_3573),
						CBOOL(BgL_safez00_3574));
				}
				((((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_3571)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_4560), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_4568;

				{	/* Coerce/coerce.scm 476 */
					BgL_nodez00_bglt BgL_arg2005z00_3750;

					BgL_arg2005z00_3750 =
						(((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_3571)))->
						BgL_onexitz00);
					BgL_auxz00_4568 =
						BGl_coercez12z12zzcoerce_coercez00(BgL_arg2005z00_3750,
						BgL_callerz00_3572, ((BgL_typez00_bglt) BgL_toz00_3573),
						CBOOL(BgL_safez00_3574));
				}
				((((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_3571)))->
						BgL_onexitz00) = ((BgL_nodez00_bglt) BgL_auxz00_4568), BUNSPEC);
			}
			return
				((BgL_nodez00_bglt) ((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_3571));
		}

	}



/* &coerce!-let-var1337 */
	BgL_nodez00_bglt BGl_z62coercez12zd2letzd2var1337z70zzcoerce_coercez00(obj_t
		BgL_envz00_3575, obj_t BgL_nodez00_3576, obj_t BgL_callerz00_3577,
		obj_t BgL_toz00_3578, obj_t BgL_safez00_3579)
	{
		{	/* Coerce/coerce.scm 451 */
			BGl_inczd2ppmargez12zc0zzcoerce_pprotoz00();
			{	/* Tools/trace.sch 53 */
				obj_t BgL_g1290z00_3752;

				BgL_g1290z00_3752 =
					(((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_nodez00_3576)))->BgL_bindingsz00);
				{
					obj_t BgL_l1288z00_3754;

					BgL_l1288z00_3754 = BgL_g1290z00_3752;
				BgL_zc3z04anonymousza31985ze3z87_3753:
					if (PAIRP(BgL_l1288z00_3754))
						{	/* Tools/trace.sch 53 */
							{	/* Tools/trace.sch 53 */
								obj_t BgL_bindingz00_3755;

								BgL_bindingz00_3755 = CAR(BgL_l1288z00_3754);
								{	/* Tools/trace.sch 53 */
									obj_t BgL_arg1987z00_3756;

									BgL_arg1987z00_3756 = CAR(((obj_t) BgL_bindingz00_3755));
									BGl_pvariablezd2protozd2zzcoerce_pprotoz00(3L,
										((BgL_variablez00_bglt) BgL_arg1987z00_3756));
								}
								{	/* Tools/trace.sch 53 */
									BgL_nodez00_bglt BgL_arg1988z00_3757;

									{	/* Tools/trace.sch 53 */
										obj_t BgL_arg1989z00_3758;
										BgL_typez00_bglt BgL_arg1990z00_3759;

										BgL_arg1989z00_3758 = CDR(((obj_t) BgL_bindingz00_3755));
										BgL_arg1990z00_3759 =
											(((BgL_variablez00_bglt) COBJECT(
													((BgL_variablez00_bglt)
														((BgL_localz00_bglt)
															CAR(
																((obj_t) BgL_bindingz00_3755))))))->
											BgL_typez00);
										BgL_arg1988z00_3757 =
											BGl_coercez12z12zzcoerce_coercez00(((BgL_nodez00_bglt)
												BgL_arg1989z00_3758), BgL_callerz00_3577,
											BgL_arg1990z00_3759, CBOOL(BgL_safez00_3579));
									}
									{	/* Tools/trace.sch 53 */
										obj_t BgL_auxz00_4600;
										obj_t BgL_tmpz00_4598;

										BgL_auxz00_4600 = ((obj_t) BgL_arg1988z00_3757);
										BgL_tmpz00_4598 = ((obj_t) BgL_bindingz00_3755);
										SET_CDR(BgL_tmpz00_4598, BgL_auxz00_4600);
									}
								}
							}
							{
								obj_t BgL_l1288z00_4603;

								BgL_l1288z00_4603 = CDR(BgL_l1288z00_3754);
								BgL_l1288z00_3754 = BgL_l1288z00_4603;
								goto BgL_zc3z04anonymousza31985ze3z87_3753;
							}
						}
					else
						{	/* Tools/trace.sch 53 */
							((bool_t) 1);
						}
				}
			}
			{
				BgL_nodez00_bglt BgL_auxz00_4605;

				{	/* Tools/trace.sch 53 */
					BgL_nodez00_bglt BgL_arg1995z00_3760;

					BgL_arg1995z00_3760 =
						(((BgL_letzd2varzd2_bglt) COBJECT(
								((BgL_letzd2varzd2_bglt) BgL_nodez00_3576)))->BgL_bodyz00);
					BgL_auxz00_4605 =
						BGl_coercez12z12zzcoerce_coercez00(BgL_arg1995z00_3760,
						BgL_callerz00_3577, ((BgL_typez00_bglt) BgL_toz00_3578),
						CBOOL(BgL_safez00_3579));
				}
				((((BgL_letzd2varzd2_bglt) COBJECT(
								((BgL_letzd2varzd2_bglt) BgL_nodez00_3576)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_4605), BUNSPEC);
			}
			{
				BgL_typez00_bglt BgL_auxz00_4613;

				{	/* Tools/trace.sch 53 */
					BgL_typez00_bglt BgL_arg1998z00_3761;
					BgL_typez00_bglt BgL_arg1999z00_3762;

					BgL_arg1998z00_3761 =
						(((BgL_nodez00_bglt) COBJECT(
								(((BgL_letzd2varzd2_bglt) COBJECT(
											((BgL_letzd2varzd2_bglt) BgL_nodez00_3576)))->
									BgL_bodyz00)))->BgL_typez00);
					BgL_arg1999z00_3762 =
						(((BgL_nodez00_bglt)
							COBJECT(((BgL_nodez00_bglt) ((BgL_letzd2varzd2_bglt)
										BgL_nodez00_3576))))->BgL_typez00);
					BgL_auxz00_4613 =
						BGl_strictzd2nodezd2typez00zzast_nodez00(BgL_arg1998z00_3761,
						BgL_arg1999z00_3762);
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_letzd2varzd2_bglt) BgL_nodez00_3576))))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_auxz00_4613), BUNSPEC);
			}
			BGl_deczd2ppmargez12zc0zzcoerce_pprotoz00();
			return ((BgL_nodez00_bglt) ((BgL_letzd2varzd2_bglt) BgL_nodez00_3576));
		}

	}



/* &coerce!-let-fun1335 */
	BgL_nodez00_bglt BGl_z62coercez12zd2letzd2fun1335z70zzcoerce_coercez00(obj_t
		BgL_envz00_3580, obj_t BgL_nodez00_3581, obj_t BgL_callerz00_3582,
		obj_t BgL_toz00_3583, obj_t BgL_safez00_3584)
	{
		{	/* Coerce/coerce.scm 439 */
			BGl_inczd2ppmargez12zc0zzcoerce_pprotoz00();
			{	/* Coerce/coerce.scm 442 */
				obj_t BgL_g1287z00_3764;

				BgL_g1287z00_3764 =
					(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nodez00_3581)))->BgL_localsz00);
				{
					obj_t BgL_l1285z00_3766;

					BgL_l1285z00_3766 = BgL_g1287z00_3764;
				BgL_zc3z04anonymousza31977ze3z87_3765:
					if (PAIRP(BgL_l1285z00_3766))
						{	/* Coerce/coerce.scm 442 */
							{	/* Coerce/coerce.scm 442 */
								obj_t BgL_fz00_3767;

								BgL_fz00_3767 = CAR(BgL_l1285z00_3766);
								{	/* Coerce/coerce.scm 442 */
									bool_t BgL_arg1979z00_3768;

									if (CBOOL(BGl_za2unsafezd2typeza2zd2zzengine_paramz00))
										{	/* Coerce/coerce.scm 442 */
											BgL_arg1979z00_3768 = ((bool_t) 0);
										}
									else
										{	/* Coerce/coerce.scm 442 */
											BgL_arg1979z00_3768 = ((bool_t) 1);
										}
									BGl_coercezd2functionz12zc0zzcoerce_coercez00(
										((BgL_variablez00_bglt) BgL_fz00_3767),
										BgL_arg1979z00_3768);
								}
							}
							{
								obj_t BgL_l1285z00_4637;

								BgL_l1285z00_4637 = CDR(BgL_l1285z00_3766);
								BgL_l1285z00_3766 = BgL_l1285z00_4637;
								goto BgL_zc3z04anonymousza31977ze3z87_3765;
							}
						}
					else
						{	/* Coerce/coerce.scm 442 */
							((bool_t) 1);
						}
				}
			}
			{
				BgL_nodez00_bglt BgL_auxz00_4639;

				{	/* Coerce/coerce.scm 443 */
					BgL_nodez00_bglt BgL_arg1981z00_3769;

					BgL_arg1981z00_3769 =
						(((BgL_letzd2funzd2_bglt) COBJECT(
								((BgL_letzd2funzd2_bglt) BgL_nodez00_3581)))->BgL_bodyz00);
					BgL_auxz00_4639 =
						BGl_coercez12z12zzcoerce_coercez00(BgL_arg1981z00_3769,
						BgL_callerz00_3582, ((BgL_typez00_bglt) BgL_toz00_3583),
						CBOOL(BgL_safez00_3584));
				}
				((((BgL_letzd2funzd2_bglt) COBJECT(
								((BgL_letzd2funzd2_bglt) BgL_nodez00_3581)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_4639), BUNSPEC);
			}
			{
				BgL_typez00_bglt BgL_auxz00_4647;

				{	/* Coerce/coerce.scm 444 */
					BgL_typez00_bglt BgL_arg1982z00_3770;
					BgL_typez00_bglt BgL_arg1983z00_3771;

					BgL_arg1982z00_3770 =
						(((BgL_nodez00_bglt) COBJECT(
								(((BgL_letzd2funzd2_bglt) COBJECT(
											((BgL_letzd2funzd2_bglt) BgL_nodez00_3581)))->
									BgL_bodyz00)))->BgL_typez00);
					BgL_arg1983z00_3771 =
						(((BgL_nodez00_bglt)
							COBJECT(((BgL_nodez00_bglt) ((BgL_letzd2funzd2_bglt)
										BgL_nodez00_3581))))->BgL_typez00);
					BgL_auxz00_4647 =
						BGl_strictzd2nodezd2typez00zzast_nodez00(BgL_arg1982z00_3770,
						BgL_arg1983z00_3771);
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_letzd2funzd2_bglt) BgL_nodez00_3581))))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_auxz00_4647), BUNSPEC);
			}
			BGl_deczd2ppmargez12zc0zzcoerce_pprotoz00();
			return ((BgL_nodez00_bglt) ((BgL_letzd2funzd2_bglt) BgL_nodez00_3581));
		}

	}



/* &coerce!-switch1333 */
	BgL_nodez00_bglt BGl_z62coercez12zd2switch1333za2zzcoerce_coercez00(obj_t
		BgL_envz00_3585, obj_t BgL_nodez00_3586, obj_t BgL_callerz00_3587,
		obj_t BgL_toz00_3588, obj_t BgL_safez00_3589)
	{
		{	/* Coerce/coerce.scm 409 */
			((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt)
								((BgL_switchz00_bglt) BgL_nodez00_3586))))->BgL_typez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_toz00_3588)), BUNSPEC);
			{	/* Coerce/coerce.scm 412 */
				obj_t BgL_clausesz00_3773;
				BgL_typez00_bglt BgL_testzd2typezd2_3774;
				BgL_typez00_bglt BgL_testzd2nodezd2typez00_3775;

				BgL_clausesz00_3773 =
					(((BgL_switchz00_bglt) COBJECT(
							((BgL_switchz00_bglt) BgL_nodez00_3586)))->BgL_clausesz00);
				BgL_testzd2typezd2_3774 =
					(((BgL_switchz00_bglt) COBJECT(
							((BgL_switchz00_bglt) BgL_nodez00_3586)))->BgL_itemzd2typezd2);
				BgL_testzd2nodezd2typez00_3775 =
					BGl_getzd2typezd2zztype_typeofz00(
					(((BgL_switchz00_bglt) COBJECT(
								((BgL_switchz00_bglt) BgL_nodez00_3586)))->BgL_testz00),
					((bool_t) 0));
				if (BGl_coercerzd2existszf3z21zztype_coercionz00
					(BgL_testzd2nodezd2typez00_3775, BgL_testzd2typezd2_3774))
					{	/* Coerce/coerce.scm 415 */
						BFALSE;
					}
				else
					{	/* Coerce/coerce.scm 416 */
						obj_t BgL_arg1948z00_3776;
						obj_t BgL_arg1950z00_3777;
						obj_t BgL_arg1953z00_3778;

						{	/* Coerce/coerce.scm 416 */
							obj_t BgL_tmpz00_4674;

							BgL_tmpz00_4674 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_arg1948z00_3776 = BGL_ENV_CURRENT_ERROR_PORT(BgL_tmpz00_4674);
						}
						BgL_arg1950z00_3777 =
							BGl_shapez00zztools_shapez00(((obj_t) BgL_testzd2typezd2_3774));
						BgL_arg1953z00_3778 =
							BGl_shapez00zztools_shapez00(
							((obj_t) BgL_testzd2nodezd2typez00_3775));
						{	/* Coerce/coerce.scm 416 */
							obj_t BgL_list1954z00_3779;

							{	/* Coerce/coerce.scm 416 */
								obj_t BgL_arg1955z00_3780;

								{	/* Coerce/coerce.scm 416 */
									obj_t BgL_arg1956z00_3781;

									{	/* Coerce/coerce.scm 416 */
										obj_t BgL_arg1957z00_3782;

										{	/* Coerce/coerce.scm 416 */
											obj_t BgL_arg1960z00_3783;

											{	/* Coerce/coerce.scm 416 */
												obj_t BgL_arg1961z00_3784;

												{	/* Coerce/coerce.scm 416 */
													obj_t BgL_arg1962z00_3785;

													{	/* Coerce/coerce.scm 416 */
														obj_t BgL_arg1963z00_3786;

														BgL_arg1963z00_3786 =
															MAKE_YOUNG_PAIR(BgL_arg1953z00_3778, BNIL);
														BgL_arg1962z00_3785 =
															MAKE_YOUNG_PAIR
															(BGl_string2151z00zzcoerce_coercez00,
															BgL_arg1963z00_3786);
													}
													BgL_arg1961z00_3784 =
														MAKE_YOUNG_PAIR(BgL_arg1950z00_3777,
														BgL_arg1962z00_3785);
												}
												BgL_arg1960z00_3783 =
													MAKE_YOUNG_PAIR(BGl_string2152z00zzcoerce_coercez00,
													BgL_arg1961z00_3784);
											}
											BgL_arg1957z00_3782 =
												MAKE_YOUNG_PAIR(BGl_string2153z00zzcoerce_coercez00,
												BgL_arg1960z00_3783);
										}
										BgL_arg1956z00_3781 =
											MAKE_YOUNG_PAIR(BINT(416L), BgL_arg1957z00_3782);
									}
									BgL_arg1955z00_3780 =
										MAKE_YOUNG_PAIR(BGl_string2154z00zzcoerce_coercez00,
										BgL_arg1956z00_3781);
								}
								BgL_list1954z00_3779 =
									MAKE_YOUNG_PAIR(BGl_string2155z00zzcoerce_coercez00,
									BgL_arg1955z00_3780);
							}
							BGl_tprintz00zz__r4_output_6_10_3z00(BgL_arg1948z00_3776,
								BgL_list1954z00_3779);
						}
					}
				if (BGl_coercerzd2existszf3z21zztype_coercionz00
					(BgL_testzd2nodezd2typez00_3775, BgL_testzd2typezd2_3774))
					{	/* Coerce/coerce.scm 425 */
						((((BgL_switchz00_bglt) COBJECT(
										((BgL_switchz00_bglt) BgL_nodez00_3586)))->BgL_testz00) =
							((BgL_nodez00_bglt)
								BGl_coercez12z12zzcoerce_coercez00((((BgL_switchz00_bglt)
											COBJECT(((BgL_switchz00_bglt) BgL_nodez00_3586)))->
										BgL_testz00), BgL_callerz00_3587, BgL_testzd2typezd2_3774,
									CBOOL(BgL_safez00_3589))), BUNSPEC);
						{
							obj_t BgL_l1283z00_3788;

							BgL_l1283z00_3788 = BgL_clausesz00_3773;
						BgL_zc3z04anonymousza31967ze3z87_3787:
							if (PAIRP(BgL_l1283z00_3788))
								{	/* Coerce/coerce.scm 428 */
									{	/* Coerce/coerce.scm 429 */
										obj_t BgL_clausez00_3789;

										BgL_clausez00_3789 = CAR(BgL_l1283z00_3788);
										{	/* Coerce/coerce.scm 430 */
											BgL_nodez00_bglt BgL_arg1969z00_3790;

											{	/* Coerce/coerce.scm 430 */
												obj_t BgL_arg1970z00_3791;

												BgL_arg1970z00_3791 = CDR(((obj_t) BgL_clausez00_3789));
												BgL_arg1969z00_3790 =
													BGl_coercez12z12zzcoerce_coercez00(
													((BgL_nodez00_bglt) BgL_arg1970z00_3791),
													BgL_callerz00_3587,
													((BgL_typez00_bglt) BgL_toz00_3588),
													CBOOL(BgL_safez00_3589));
											}
											{	/* Coerce/coerce.scm 429 */
												obj_t BgL_auxz00_4710;
												obj_t BgL_tmpz00_4708;

												BgL_auxz00_4710 = ((obj_t) BgL_arg1969z00_3790);
												BgL_tmpz00_4708 = ((obj_t) BgL_clausez00_3789);
												SET_CDR(BgL_tmpz00_4708, BgL_auxz00_4710);
											}
										}
									}
									{
										obj_t BgL_l1283z00_4713;

										BgL_l1283z00_4713 = CDR(BgL_l1283z00_3788);
										BgL_l1283z00_3788 = BgL_l1283z00_4713;
										goto BgL_zc3z04anonymousza31967ze3z87_3787;
									}
								}
							else
								{	/* Coerce/coerce.scm 428 */
									((bool_t) 1);
								}
						}
						return ((BgL_nodez00_bglt) ((BgL_switchz00_bglt) BgL_nodez00_3586));
					}
				else
					{	/* Coerce/coerce.scm 433 */
						obj_t BgL_arg1972z00_3792;

						{	/* Coerce/coerce.scm 433 */
							obj_t BgL_arg1973z00_3793;
							obj_t BgL_arg1974z00_3794;
							BgL_nodez00_bglt BgL_arg1975z00_3795;

							BgL_arg1973z00_3793 =
								(((BgL_nodez00_bglt) COBJECT(
										((BgL_nodez00_bglt)
											((BgL_switchz00_bglt) BgL_nodez00_3586))))->BgL_locz00);
							BgL_arg1974z00_3794 =
								(((BgL_typez00_bglt) COBJECT(BgL_testzd2typezd2_3774))->
								BgL_idz00);
							BgL_arg1975z00_3795 =
								(((BgL_switchz00_bglt) COBJECT(((BgL_switchz00_bglt)
											BgL_nodez00_3586)))->BgL_testz00);
							BgL_arg1972z00_3792 =
								BGl_runtimezd2typezd2errorz00zzcoerce_convertz00
								(BgL_arg1973z00_3793, BgL_arg1974z00_3794, BgL_arg1975z00_3795);
						}
						return
							BGl_coercez12z12zzcoerce_coercez00(
							((BgL_nodez00_bglt) BgL_arg1972z00_3792), BgL_callerz00_3587,
							((BgL_typez00_bglt) BgL_toz00_3588), CBOOL(BgL_safez00_3589));
					}
			}
		}

	}



/* &coerce!-fail1331 */
	BgL_nodez00_bglt BGl_z62coercez12zd2fail1331za2zzcoerce_coercez00(obj_t
		BgL_envz00_3590, obj_t BgL_nodez00_3591, obj_t BgL_callerz00_3592,
		obj_t BgL_toz00_3593, obj_t BgL_safez00_3594)
	{
		{	/* Coerce/coerce.scm 399 */
			{
				BgL_nodez00_bglt BgL_auxz00_4728;

				{	/* Coerce/coerce.scm 401 */
					BgL_nodez00_bglt BgL_arg1944z00_3797;

					BgL_arg1944z00_3797 =
						(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_3591)))->BgL_procz00);
					BgL_auxz00_4728 =
						BGl_coercez12z12zzcoerce_coercez00(BgL_arg1944z00_3797,
						BgL_callerz00_3592,
						((BgL_typez00_bglt) BGl_za2objza2z00zztype_cachez00),
						CBOOL(BgL_safez00_3594));
				}
				((((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_3591)))->BgL_procz00) =
					((BgL_nodez00_bglt) BgL_auxz00_4728), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_4736;

				{	/* Coerce/coerce.scm 402 */
					BgL_nodez00_bglt BgL_arg1945z00_3798;

					BgL_arg1945z00_3798 =
						(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_3591)))->BgL_msgz00);
					BgL_auxz00_4736 =
						BGl_coercez12z12zzcoerce_coercez00(BgL_arg1945z00_3798,
						BgL_callerz00_3592,
						((BgL_typez00_bglt) BGl_za2objza2z00zztype_cachez00),
						CBOOL(BgL_safez00_3594));
				}
				((((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_3591)))->BgL_msgz00) =
					((BgL_nodez00_bglt) BgL_auxz00_4736), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_4744;

				{	/* Coerce/coerce.scm 403 */
					BgL_nodez00_bglt BgL_arg1946z00_3799;

					BgL_arg1946z00_3799 =
						(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_3591)))->BgL_objz00);
					BgL_auxz00_4744 =
						BGl_coercez12z12zzcoerce_coercez00(BgL_arg1946z00_3799,
						BgL_callerz00_3592,
						((BgL_typez00_bglt) BGl_za2objza2z00zztype_cachez00),
						CBOOL(BgL_safez00_3594));
				}
				((((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_3591)))->BgL_objz00) =
					((BgL_nodez00_bglt) BgL_auxz00_4744), BUNSPEC);
			}
			return
				BGl_convertz12z12zzcoerce_convertz00(
				((BgL_nodez00_bglt)
					((BgL_failz00_bglt) BgL_nodez00_3591)),
				((BgL_typez00_bglt) BGl_za2magicza2z00zztype_cachez00),
				((BgL_typez00_bglt) BgL_toz00_3593), CBOOL(BgL_safez00_3594));
		}

	}



/* &coerce!-conditional1329 */
	BgL_nodez00_bglt BGl_z62coercez12zd2conditional1329za2zzcoerce_coercez00(obj_t
		BgL_envz00_3595, obj_t BgL_nodez00_3596, obj_t BgL_callerz00_3597,
		obj_t BgL_toz00_3598, obj_t BgL_safez00_3599)
	{
		{	/* Coerce/coerce.scm 288 */
			{
				obj_t BgL_nodez00_4007;
				obj_t BgL_nodez00_3911;
				obj_t BgL_nodez00_3837;
				obj_t BgL_typecz00_3838;
				obj_t BgL_nodez00_3805;

				{
					BgL_nodez00_bglt BgL_auxz00_4758;

					{	/* Coerce/coerce.scm 384 */
						BgL_nodez00_bglt BgL_arg1765z00_4030;

						BgL_arg1765z00_4030 =
							(((BgL_conditionalz00_bglt) COBJECT(
									((BgL_conditionalz00_bglt) BgL_nodez00_3596)))->BgL_testz00);
						BgL_auxz00_4758 =
							BGl_coercez12z12zzcoerce_coercez00(BgL_arg1765z00_4030,
							BgL_callerz00_3597,
							((BgL_typez00_bglt) BGl_za2boolza2z00zztype_cachez00),
							CBOOL(BgL_safez00_3599));
					}
					((((BgL_conditionalz00_bglt) COBJECT(
									((BgL_conditionalz00_bglt) BgL_nodez00_3596)))->BgL_testz00) =
						((BgL_nodez00_bglt) BgL_auxz00_4758), BUNSPEC);
				}
				{	/* Coerce/coerce.scm 385 */
					obj_t BgL_casezd2valuezd2_4031;

					{	/* Coerce/coerce.scm 385 */
						BgL_nodez00_bglt BgL_arg1782z00_4032;

						BgL_arg1782z00_4032 =
							(((BgL_conditionalz00_bglt) COBJECT(
									((BgL_conditionalz00_bglt) BgL_nodez00_3596)))->BgL_testz00);
						BgL_nodez00_3805 = ((obj_t) BgL_arg1782z00_4032);
					BgL_testzd2staticzd2valuez00_3801:
						{	/* Coerce/coerce.scm 373 */
							obj_t BgL_g1140z00_3806;

							BgL_g1140z00_3806 =
								BGl_isazd2ofzd2zztype_miscz00(
								((BgL_nodez00_bglt) BgL_nodez00_3805));
							if (CBOOL(BgL_g1140z00_3806))
								{	/* Coerce/coerce.scm 373 */
									BgL_nodez00_3837 = BgL_nodez00_3805;
									BgL_typecz00_3838 = BgL_g1140z00_3806;
									{	/* Coerce/coerce.scm 355 */
										obj_t BgL_typevz00_3839;

										{	/* Coerce/coerce.scm 356 */
											bool_t BgL_test2241z00_4772;

											{	/* Coerce/coerce.scm 356 */
												obj_t BgL_arg1939z00_3840;

												{	/* Coerce/coerce.scm 356 */
													obj_t BgL_pairz00_3841;

													BgL_pairz00_3841 =
														(((BgL_appz00_bglt) COBJECT(
																((BgL_appz00_bglt) BgL_nodez00_3837)))->
														BgL_argsz00);
													BgL_arg1939z00_3840 = CAR(BgL_pairz00_3841);
												}
												{	/* Coerce/coerce.scm 356 */
													obj_t BgL_classz00_3842;

													BgL_classz00_3842 = BGl_varz00zzast_nodez00;
													if (BGL_OBJECTP(BgL_arg1939z00_3840))
														{	/* Coerce/coerce.scm 356 */
															BgL_objectz00_bglt BgL_arg1858z00_3843;

															BgL_arg1858z00_3843 =
																(BgL_objectz00_bglt) (BgL_arg1939z00_3840);
															if (BGL_CONDEXPAND_ISA_ARCH64())
																{	/* Coerce/coerce.scm 356 */
																	long BgL_idxz00_3844;

																	BgL_idxz00_3844 =
																		BGL_OBJECT_INHERITANCE_NUM
																		(BgL_arg1858z00_3843);
																	BgL_test2241z00_4772 =
																		(VECTOR_REF
																		(BGl_za2inheritancesza2z00zz__objectz00,
																			(BgL_idxz00_3844 + 2L)) ==
																		BgL_classz00_3842);
																}
															else
																{	/* Coerce/coerce.scm 356 */
																	bool_t BgL_res2105z00_3847;

																	{	/* Coerce/coerce.scm 356 */
																		obj_t BgL_oclassz00_3848;

																		{	/* Coerce/coerce.scm 356 */
																			obj_t BgL_arg1866z00_3849;
																			long BgL_arg1867z00_3850;

																			BgL_arg1866z00_3849 =
																				(BGl_za2classesza2z00zz__objectz00);
																			{	/* Coerce/coerce.scm 356 */
																				long BgL_arg1869z00_3851;

																				BgL_arg1869z00_3851 =
																					BGL_OBJECT_CLASS_NUM
																					(BgL_arg1858z00_3843);
																				BgL_arg1867z00_3850 =
																					(BgL_arg1869z00_3851 - OBJECT_TYPE);
																			}
																			BgL_oclassz00_3848 =
																				VECTOR_REF(BgL_arg1866z00_3849,
																				BgL_arg1867z00_3850);
																		}
																		{	/* Coerce/coerce.scm 356 */
																			bool_t BgL__ortest_1115z00_3852;

																			BgL__ortest_1115z00_3852 =
																				(BgL_classz00_3842 ==
																				BgL_oclassz00_3848);
																			if (BgL__ortest_1115z00_3852)
																				{	/* Coerce/coerce.scm 356 */
																					BgL_res2105z00_3847 =
																						BgL__ortest_1115z00_3852;
																				}
																			else
																				{	/* Coerce/coerce.scm 356 */
																					long BgL_odepthz00_3853;

																					{	/* Coerce/coerce.scm 356 */
																						obj_t BgL_arg1855z00_3854;

																						BgL_arg1855z00_3854 =
																							(BgL_oclassz00_3848);
																						BgL_odepthz00_3853 =
																							BGL_CLASS_DEPTH
																							(BgL_arg1855z00_3854);
																					}
																					if ((2L < BgL_odepthz00_3853))
																						{	/* Coerce/coerce.scm 356 */
																							obj_t BgL_arg1853z00_3855;

																							{	/* Coerce/coerce.scm 356 */
																								obj_t BgL_arg1854z00_3856;

																								BgL_arg1854z00_3856 =
																									(BgL_oclassz00_3848);
																								BgL_arg1853z00_3855 =
																									BGL_CLASS_ANCESTORS_REF
																									(BgL_arg1854z00_3856, 2L);
																							}
																							BgL_res2105z00_3847 =
																								(BgL_arg1853z00_3855 ==
																								BgL_classz00_3842);
																						}
																					else
																						{	/* Coerce/coerce.scm 356 */
																							BgL_res2105z00_3847 =
																								((bool_t) 0);
																						}
																				}
																		}
																	}
																	BgL_test2241z00_4772 = BgL_res2105z00_3847;
																}
														}
													else
														{	/* Coerce/coerce.scm 356 */
															BgL_test2241z00_4772 = ((bool_t) 0);
														}
												}
											}
											if (BgL_test2241z00_4772)
												{	/* Coerce/coerce.scm 357 */
													obj_t BgL_arg1921z00_3857;

													{	/* Coerce/coerce.scm 357 */
														obj_t BgL_pairz00_3858;

														BgL_pairz00_3858 =
															(((BgL_appz00_bglt) COBJECT(
																	((BgL_appz00_bglt) BgL_nodez00_3837)))->
															BgL_argsz00);
														BgL_arg1921z00_3857 = CAR(BgL_pairz00_3858);
													}
													BgL_typevz00_3839 =
														((obj_t)
														BGl_getzd2typezd2zztype_typeofz00(
															((BgL_nodez00_bglt) BgL_arg1921z00_3857),
															((bool_t) 0)));
												}
											else
												{	/* Coerce/coerce.scm 358 */
													bool_t BgL_test2246z00_4804;

													{	/* Coerce/coerce.scm 358 */
														obj_t BgL_arg1936z00_3859;

														{	/* Coerce/coerce.scm 358 */
															obj_t BgL_pairz00_3860;

															BgL_pairz00_3860 =
																(((BgL_appz00_bglt) COBJECT(
																		((BgL_appz00_bglt) BgL_nodez00_3837)))->
																BgL_argsz00);
															BgL_arg1936z00_3859 = CAR(BgL_pairz00_3860);
														}
														{	/* Coerce/coerce.scm 358 */
															obj_t BgL_classz00_3861;

															BgL_classz00_3861 = BGl_castz00zzast_nodez00;
															if (BGL_OBJECTP(BgL_arg1936z00_3859))
																{	/* Coerce/coerce.scm 358 */
																	BgL_objectz00_bglt BgL_arg1858z00_3862;

																	BgL_arg1858z00_3862 =
																		(BgL_objectz00_bglt) (BgL_arg1936z00_3859);
																	if (BGL_CONDEXPAND_ISA_ARCH64())
																		{	/* Coerce/coerce.scm 358 */
																			long BgL_idxz00_3863;

																			BgL_idxz00_3863 =
																				BGL_OBJECT_INHERITANCE_NUM
																				(BgL_arg1858z00_3862);
																			BgL_test2246z00_4804 =
																				(VECTOR_REF
																				(BGl_za2inheritancesza2z00zz__objectz00,
																					(BgL_idxz00_3863 + 2L)) ==
																				BgL_classz00_3861);
																		}
																	else
																		{	/* Coerce/coerce.scm 358 */
																			bool_t BgL_res2106z00_3866;

																			{	/* Coerce/coerce.scm 358 */
																				obj_t BgL_oclassz00_3867;

																				{	/* Coerce/coerce.scm 358 */
																					obj_t BgL_arg1866z00_3868;
																					long BgL_arg1867z00_3869;

																					BgL_arg1866z00_3868 =
																						(BGl_za2classesza2z00zz__objectz00);
																					{	/* Coerce/coerce.scm 358 */
																						long BgL_arg1869z00_3870;

																						BgL_arg1869z00_3870 =
																							BGL_OBJECT_CLASS_NUM
																							(BgL_arg1858z00_3862);
																						BgL_arg1867z00_3869 =
																							(BgL_arg1869z00_3870 -
																							OBJECT_TYPE);
																					}
																					BgL_oclassz00_3867 =
																						VECTOR_REF(BgL_arg1866z00_3868,
																						BgL_arg1867z00_3869);
																				}
																				{	/* Coerce/coerce.scm 358 */
																					bool_t BgL__ortest_1115z00_3871;

																					BgL__ortest_1115z00_3871 =
																						(BgL_classz00_3861 ==
																						BgL_oclassz00_3867);
																					if (BgL__ortest_1115z00_3871)
																						{	/* Coerce/coerce.scm 358 */
																							BgL_res2106z00_3866 =
																								BgL__ortest_1115z00_3871;
																						}
																					else
																						{	/* Coerce/coerce.scm 358 */
																							long BgL_odepthz00_3872;

																							{	/* Coerce/coerce.scm 358 */
																								obj_t BgL_arg1855z00_3873;

																								BgL_arg1855z00_3873 =
																									(BgL_oclassz00_3867);
																								BgL_odepthz00_3872 =
																									BGL_CLASS_DEPTH
																									(BgL_arg1855z00_3873);
																							}
																							if ((2L < BgL_odepthz00_3872))
																								{	/* Coerce/coerce.scm 358 */
																									obj_t BgL_arg1853z00_3874;

																									{	/* Coerce/coerce.scm 358 */
																										obj_t BgL_arg1854z00_3875;

																										BgL_arg1854z00_3875 =
																											(BgL_oclassz00_3867);
																										BgL_arg1853z00_3874 =
																											BGL_CLASS_ANCESTORS_REF
																											(BgL_arg1854z00_3875, 2L);
																									}
																									BgL_res2106z00_3866 =
																										(BgL_arg1853z00_3874 ==
																										BgL_classz00_3861);
																								}
																							else
																								{	/* Coerce/coerce.scm 358 */
																									BgL_res2106z00_3866 =
																										((bool_t) 0);
																								}
																						}
																				}
																			}
																			BgL_test2246z00_4804 =
																				BgL_res2106z00_3866;
																		}
																}
															else
																{	/* Coerce/coerce.scm 358 */
																	BgL_test2246z00_4804 = ((bool_t) 0);
																}
														}
													}
													if (BgL_test2246z00_4804)
														{	/* Coerce/coerce.scm 359 */
															BgL_castz00_bglt BgL_i1139z00_3876;

															{	/* Coerce/coerce.scm 359 */
																obj_t BgL_pairz00_3877;

																BgL_pairz00_3877 =
																	(((BgL_appz00_bglt) COBJECT(
																			((BgL_appz00_bglt) BgL_nodez00_3837)))->
																	BgL_argsz00);
																BgL_i1139z00_3876 =
																	((BgL_castz00_bglt) CAR(BgL_pairz00_3877));
															}
															{	/* Coerce/coerce.scm 360 */
																bool_t BgL_test2251z00_4834;

																{	/* Coerce/coerce.scm 360 */
																	bool_t BgL_test2252z00_4835;

																	{	/* Coerce/coerce.scm 360 */
																		obj_t BgL_arg1934z00_3878;

																		BgL_arg1934z00_3878 =
																			((obj_t)
																			(((BgL_nodez00_bglt) COBJECT(
																						((BgL_nodez00_bglt)
																							BgL_i1139z00_3876)))->
																				BgL_typez00));
																		BgL_test2252z00_4835 =
																			(BgL_arg1934z00_3878 ==
																			BGl_za2objza2z00zztype_cachez00);
																	}
																	if (BgL_test2252z00_4835)
																		{	/* Coerce/coerce.scm 360 */
																			BgL_nodez00_bglt BgL_arg1933z00_3879;

																			BgL_arg1933z00_3879 =
																				(((BgL_castz00_bglt)
																					COBJECT(BgL_i1139z00_3876))->
																				BgL_argz00);
																			{	/* Coerce/coerce.scm 360 */
																				obj_t BgL_classz00_3880;

																				BgL_classz00_3880 =
																					BGl_varz00zzast_nodez00;
																				{	/* Coerce/coerce.scm 360 */
																					BgL_objectz00_bglt
																						BgL_arg1858z00_3881;
																					{	/* Coerce/coerce.scm 360 */
																						obj_t BgL_tmpz00_4841;

																						BgL_tmpz00_4841 =
																							((obj_t)
																							((BgL_objectz00_bglt)
																								BgL_arg1933z00_3879));
																						BgL_arg1858z00_3881 =
																							(BgL_objectz00_bglt)
																							(BgL_tmpz00_4841);
																					}
																					if (BGL_CONDEXPAND_ISA_ARCH64())
																						{	/* Coerce/coerce.scm 360 */
																							long BgL_idxz00_3882;

																							BgL_idxz00_3882 =
																								BGL_OBJECT_INHERITANCE_NUM
																								(BgL_arg1858z00_3881);
																							BgL_test2251z00_4834 =
																								(VECTOR_REF
																								(BGl_za2inheritancesza2z00zz__objectz00,
																									(BgL_idxz00_3882 + 2L)) ==
																								BgL_classz00_3880);
																						}
																					else
																						{	/* Coerce/coerce.scm 360 */
																							bool_t BgL_res2107z00_3885;

																							{	/* Coerce/coerce.scm 360 */
																								obj_t BgL_oclassz00_3886;

																								{	/* Coerce/coerce.scm 360 */
																									obj_t BgL_arg1866z00_3887;
																									long BgL_arg1867z00_3888;

																									BgL_arg1866z00_3887 =
																										(BGl_za2classesza2z00zz__objectz00);
																									{	/* Coerce/coerce.scm 360 */
																										long BgL_arg1869z00_3889;

																										BgL_arg1869z00_3889 =
																											BGL_OBJECT_CLASS_NUM
																											(BgL_arg1858z00_3881);
																										BgL_arg1867z00_3888 =
																											(BgL_arg1869z00_3889 -
																											OBJECT_TYPE);
																									}
																									BgL_oclassz00_3886 =
																										VECTOR_REF
																										(BgL_arg1866z00_3887,
																										BgL_arg1867z00_3888);
																								}
																								{	/* Coerce/coerce.scm 360 */
																									bool_t
																										BgL__ortest_1115z00_3890;
																									BgL__ortest_1115z00_3890 =
																										(BgL_classz00_3880 ==
																										BgL_oclassz00_3886);
																									if (BgL__ortest_1115z00_3890)
																										{	/* Coerce/coerce.scm 360 */
																											BgL_res2107z00_3885 =
																												BgL__ortest_1115z00_3890;
																										}
																									else
																										{	/* Coerce/coerce.scm 360 */
																											long BgL_odepthz00_3891;

																											{	/* Coerce/coerce.scm 360 */
																												obj_t
																													BgL_arg1855z00_3892;
																												BgL_arg1855z00_3892 =
																													(BgL_oclassz00_3886);
																												BgL_odepthz00_3891 =
																													BGL_CLASS_DEPTH
																													(BgL_arg1855z00_3892);
																											}
																											if (
																												(2L <
																													BgL_odepthz00_3891))
																												{	/* Coerce/coerce.scm 360 */
																													obj_t
																														BgL_arg1853z00_3893;
																													{	/* Coerce/coerce.scm 360 */
																														obj_t
																															BgL_arg1854z00_3894;
																														BgL_arg1854z00_3894
																															=
																															(BgL_oclassz00_3886);
																														BgL_arg1853z00_3893
																															=
																															BGL_CLASS_ANCESTORS_REF
																															(BgL_arg1854z00_3894,
																															2L);
																													}
																													BgL_res2107z00_3885 =
																														(BgL_arg1853z00_3893
																														==
																														BgL_classz00_3880);
																												}
																											else
																												{	/* Coerce/coerce.scm 360 */
																													BgL_res2107z00_3885 =
																														((bool_t) 0);
																												}
																										}
																								}
																							}
																							BgL_test2251z00_4834 =
																								BgL_res2107z00_3885;
																						}
																				}
																			}
																		}
																	else
																		{	/* Coerce/coerce.scm 360 */
																			BgL_test2251z00_4834 = ((bool_t) 0);
																		}
																}
																if (BgL_test2251z00_4834)
																	{	/* Coerce/coerce.scm 361 */
																		BgL_nodez00_bglt BgL_arg1932z00_3895;

																		BgL_arg1932z00_3895 =
																			(((BgL_castz00_bglt)
																				COBJECT(BgL_i1139z00_3876))->
																			BgL_argz00);
																		BgL_typevz00_3839 =
																			((obj_t)
																			BGl_getzd2typezd2zztype_typeofz00
																			(BgL_arg1932z00_3895, ((bool_t) 0)));
																	}
																else
																	{	/* Coerce/coerce.scm 360 */
																		BgL_typevz00_3839 = BFALSE;
																	}
															}
														}
													else
														{	/* Coerce/coerce.scm 358 */
															BgL_typevz00_3839 = BFALSE;
														}
												}
										}
										{	/* Coerce/coerce.scm 363 */
											bool_t BgL_test2256z00_4867;

											{	/* Coerce/coerce.scm 363 */
												obj_t BgL_classz00_3896;

												BgL_classz00_3896 = BGl_typez00zztype_typez00;
												if (BGL_OBJECTP(BgL_typevz00_3839))
													{	/* Coerce/coerce.scm 363 */
														BgL_objectz00_bglt BgL_arg1858z00_3897;

														BgL_arg1858z00_3897 =
															(BgL_objectz00_bglt) (BgL_typevz00_3839);
														if (BGL_CONDEXPAND_ISA_ARCH64())
															{	/* Coerce/coerce.scm 363 */
																long BgL_idxz00_3898;

																BgL_idxz00_3898 =
																	BGL_OBJECT_INHERITANCE_NUM
																	(BgL_arg1858z00_3897);
																BgL_test2256z00_4867 =
																	(VECTOR_REF
																	(BGl_za2inheritancesza2z00zz__objectz00,
																		(BgL_idxz00_3898 + 1L)) ==
																	BgL_classz00_3896);
															}
														else
															{	/* Coerce/coerce.scm 363 */
																bool_t BgL_res2108z00_3901;

																{	/* Coerce/coerce.scm 363 */
																	obj_t BgL_oclassz00_3902;

																	{	/* Coerce/coerce.scm 363 */
																		obj_t BgL_arg1866z00_3903;
																		long BgL_arg1867z00_3904;

																		BgL_arg1866z00_3903 =
																			(BGl_za2classesza2z00zz__objectz00);
																		{	/* Coerce/coerce.scm 363 */
																			long BgL_arg1869z00_3905;

																			BgL_arg1869z00_3905 =
																				BGL_OBJECT_CLASS_NUM
																				(BgL_arg1858z00_3897);
																			BgL_arg1867z00_3904 =
																				(BgL_arg1869z00_3905 - OBJECT_TYPE);
																		}
																		BgL_oclassz00_3902 =
																			VECTOR_REF(BgL_arg1866z00_3903,
																			BgL_arg1867z00_3904);
																	}
																	{	/* Coerce/coerce.scm 363 */
																		bool_t BgL__ortest_1115z00_3906;

																		BgL__ortest_1115z00_3906 =
																			(BgL_classz00_3896 == BgL_oclassz00_3902);
																		if (BgL__ortest_1115z00_3906)
																			{	/* Coerce/coerce.scm 363 */
																				BgL_res2108z00_3901 =
																					BgL__ortest_1115z00_3906;
																			}
																		else
																			{	/* Coerce/coerce.scm 363 */
																				long BgL_odepthz00_3907;

																				{	/* Coerce/coerce.scm 363 */
																					obj_t BgL_arg1855z00_3908;

																					BgL_arg1855z00_3908 =
																						(BgL_oclassz00_3902);
																					BgL_odepthz00_3907 =
																						BGL_CLASS_DEPTH
																						(BgL_arg1855z00_3908);
																				}
																				if ((1L < BgL_odepthz00_3907))
																					{	/* Coerce/coerce.scm 363 */
																						obj_t BgL_arg1853z00_3909;

																						{	/* Coerce/coerce.scm 363 */
																							obj_t BgL_arg1854z00_3910;

																							BgL_arg1854z00_3910 =
																								(BgL_oclassz00_3902);
																							BgL_arg1853z00_3909 =
																								BGL_CLASS_ANCESTORS_REF
																								(BgL_arg1854z00_3910, 1L);
																						}
																						BgL_res2108z00_3901 =
																							(BgL_arg1853z00_3909 ==
																							BgL_classz00_3896);
																					}
																				else
																					{	/* Coerce/coerce.scm 363 */
																						BgL_res2108z00_3901 = ((bool_t) 0);
																					}
																			}
																	}
																}
																BgL_test2256z00_4867 = BgL_res2108z00_3901;
															}
													}
												else
													{	/* Coerce/coerce.scm 363 */
														BgL_test2256z00_4867 = ((bool_t) 0);
													}
											}
											if (BgL_test2256z00_4867)
												{	/* Coerce/coerce.scm 363 */
													if (BGl_typezd2lesszd2specificzf3zf3zztype_miscz00(
															((BgL_typez00_bglt) BgL_typecz00_3838),
															((BgL_typez00_bglt) BgL_typevz00_3839)))
														{	/* Coerce/coerce.scm 365 */
															BgL_casezd2valuezd2_4031 =
																((obj_t) CNST_TABLE_REF(1));
														}
													else
														{	/* Coerce/coerce.scm 365 */
															if (BGl_typezd2disjointzf3z21zztype_miscz00(
																	((BgL_typez00_bglt) BgL_typecz00_3838),
																	((BgL_typez00_bglt) BgL_typevz00_3839)))
																{	/* Coerce/coerce.scm 367 */
																	BgL_casezd2valuezd2_4031 =
																		((obj_t) CNST_TABLE_REF(2));
																}
															else
																{	/* Coerce/coerce.scm 367 */
																	BgL_casezd2valuezd2_4031 = BFALSE;
																}
														}
												}
											else
												{	/* Coerce/coerce.scm 363 */
													BgL_casezd2valuezd2_4031 = BFALSE;
												}
										}
									}
								}
							else
								{	/* Coerce/coerce.scm 377 */
									bool_t BgL_test2263z00_4902;

									{	/* Coerce/coerce.scm 377 */
										obj_t BgL_classz00_3807;

										BgL_classz00_3807 = BGl_appz00zzast_nodez00;
										if (BGL_OBJECTP(BgL_nodez00_3805))
											{	/* Coerce/coerce.scm 377 */
												BgL_objectz00_bglt BgL_arg1858z00_3808;

												BgL_arg1858z00_3808 =
													(BgL_objectz00_bglt) (BgL_nodez00_3805);
												if (BGL_CONDEXPAND_ISA_ARCH64())
													{	/* Coerce/coerce.scm 377 */
														long BgL_idxz00_3809;

														BgL_idxz00_3809 =
															BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_3808);
														BgL_test2263z00_4902 =
															(VECTOR_REF
															(BGl_za2inheritancesza2z00zz__objectz00,
																(BgL_idxz00_3809 + 3L)) == BgL_classz00_3807);
													}
												else
													{	/* Coerce/coerce.scm 377 */
														bool_t BgL_res2109z00_3812;

														{	/* Coerce/coerce.scm 377 */
															obj_t BgL_oclassz00_3813;

															{	/* Coerce/coerce.scm 377 */
																obj_t BgL_arg1866z00_3814;
																long BgL_arg1867z00_3815;

																BgL_arg1866z00_3814 =
																	(BGl_za2classesza2z00zz__objectz00);
																{	/* Coerce/coerce.scm 377 */
																	long BgL_arg1869z00_3816;

																	BgL_arg1869z00_3816 =
																		BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_3808);
																	BgL_arg1867z00_3815 =
																		(BgL_arg1869z00_3816 - OBJECT_TYPE);
																}
																BgL_oclassz00_3813 =
																	VECTOR_REF(BgL_arg1866z00_3814,
																	BgL_arg1867z00_3815);
															}
															{	/* Coerce/coerce.scm 377 */
																bool_t BgL__ortest_1115z00_3817;

																BgL__ortest_1115z00_3817 =
																	(BgL_classz00_3807 == BgL_oclassz00_3813);
																if (BgL__ortest_1115z00_3817)
																	{	/* Coerce/coerce.scm 377 */
																		BgL_res2109z00_3812 =
																			BgL__ortest_1115z00_3817;
																	}
																else
																	{	/* Coerce/coerce.scm 377 */
																		long BgL_odepthz00_3818;

																		{	/* Coerce/coerce.scm 377 */
																			obj_t BgL_arg1855z00_3819;

																			BgL_arg1855z00_3819 =
																				(BgL_oclassz00_3813);
																			BgL_odepthz00_3818 =
																				BGL_CLASS_DEPTH(BgL_arg1855z00_3819);
																		}
																		if ((3L < BgL_odepthz00_3818))
																			{	/* Coerce/coerce.scm 377 */
																				obj_t BgL_arg1853z00_3820;

																				{	/* Coerce/coerce.scm 377 */
																					obj_t BgL_arg1854z00_3821;

																					BgL_arg1854z00_3821 =
																						(BgL_oclassz00_3813);
																					BgL_arg1853z00_3820 =
																						BGL_CLASS_ANCESTORS_REF
																						(BgL_arg1854z00_3821, 3L);
																				}
																				BgL_res2109z00_3812 =
																					(BgL_arg1853z00_3820 ==
																					BgL_classz00_3807);
																			}
																		else
																			{	/* Coerce/coerce.scm 377 */
																				BgL_res2109z00_3812 = ((bool_t) 0);
																			}
																	}
															}
														}
														BgL_test2263z00_4902 = BgL_res2109z00_3812;
													}
											}
										else
											{	/* Coerce/coerce.scm 377 */
												BgL_test2263z00_4902 = ((bool_t) 0);
											}
									}
									if (BgL_test2263z00_4902)
										{	/* Coerce/coerce.scm 377 */
											BgL_nodez00_4007 = BgL_nodez00_3805;
											{	/* Coerce/coerce.scm 291 */
												bool_t BgL_test2268z00_4925;

												{	/* Coerce/coerce.scm 291 */
													obj_t BgL_tmpz00_4926;

													BgL_tmpz00_4926 =
														(((BgL_appz00_bglt) COBJECT(
																((BgL_appz00_bglt) BgL_nodez00_4007)))->
														BgL_argsz00);
													BgL_test2268z00_4925 = PAIRP(BgL_tmpz00_4926);
												}
												if (BgL_test2268z00_4925)
													{	/* Coerce/coerce.scm 292 */
														bool_t BgL_test2269z00_4930;

														{	/* Coerce/coerce.scm 292 */
															obj_t BgL_tmpz00_4931;

															{	/* Coerce/coerce.scm 292 */
																obj_t BgL_pairz00_4008;

																BgL_pairz00_4008 =
																	(((BgL_appz00_bglt) COBJECT(
																			((BgL_appz00_bglt) BgL_nodez00_4007)))->
																	BgL_argsz00);
																BgL_tmpz00_4931 = CDR(BgL_pairz00_4008);
															}
															BgL_test2269z00_4930 = NULLP(BgL_tmpz00_4931);
														}
														if (BgL_test2269z00_4930)
															{	/* Coerce/coerce.scm 293 */
																bool_t BgL_test2270z00_4936;

																{	/* Coerce/coerce.scm 293 */
																	obj_t BgL_arg1796z00_4009;

																	{	/* Coerce/coerce.scm 293 */
																		obj_t BgL_pairz00_4010;

																		BgL_pairz00_4010 =
																			(((BgL_appz00_bglt) COBJECT(
																					((BgL_appz00_bglt)
																						BgL_nodez00_4007)))->BgL_argsz00);
																		BgL_arg1796z00_4009 = CAR(BgL_pairz00_4010);
																	}
																	BgL_test2270z00_4936 =
																		BGl_sidezd2effectzf3z21zzeffect_effectz00(
																		((BgL_nodez00_bglt) BgL_arg1796z00_4009));
																}
																if (BgL_test2270z00_4936)
																	{	/* Coerce/coerce.scm 293 */
																		BgL_casezd2valuezd2_4031 = BFALSE;
																	}
																else
																	{	/* Coerce/coerce.scm 294 */
																		obj_t BgL_typecz00_4011;

																		BgL_typecz00_4011 =
																			BGl_appzd2predicatezd2ofz00zztype_miscz00(
																			((BgL_appz00_bglt) BgL_nodez00_4007));
																		{	/* Coerce/coerce.scm 294 */
																			obj_t BgL_typevz00_4012;

																			{	/* Coerce/coerce.scm 295 */
																				obj_t BgL_arg1789z00_4013;

																				{	/* Coerce/coerce.scm 295 */
																					obj_t BgL_pairz00_4014;

																					BgL_pairz00_4014 =
																						(((BgL_appz00_bglt) COBJECT(
																								((BgL_appz00_bglt)
																									BgL_nodez00_4007)))->
																						BgL_argsz00);
																					BgL_arg1789z00_4013 =
																						CAR(BgL_pairz00_4014);
																				}
																				BgL_typevz00_4012 =
																					((obj_t)
																					BGl_getzd2typezd2zztype_typeofz00(
																						((BgL_nodez00_bglt)
																							BgL_arg1789z00_4013),
																						((bool_t) 0)));
																			}
																			{	/* Coerce/coerce.scm 295 */

																				{	/* Coerce/coerce.scm 297 */
																					bool_t BgL_test2271z00_4950;

																					{	/* Coerce/coerce.scm 297 */
																						obj_t BgL_classz00_4015;

																						BgL_classz00_4015 =
																							BGl_typez00zztype_typez00;
																						if (BGL_OBJECTP(BgL_typecz00_4011))
																							{	/* Coerce/coerce.scm 297 */
																								BgL_objectz00_bglt
																									BgL_arg1858z00_4016;
																								BgL_arg1858z00_4016 =
																									(BgL_objectz00_bglt)
																									(BgL_typecz00_4011);
																								if (BGL_CONDEXPAND_ISA_ARCH64())
																									{	/* Coerce/coerce.scm 297 */
																										long BgL_idxz00_4017;

																										BgL_idxz00_4017 =
																											BGL_OBJECT_INHERITANCE_NUM
																											(BgL_arg1858z00_4016);
																										BgL_test2271z00_4950 =
																											(VECTOR_REF
																											(BGl_za2inheritancesza2z00zz__objectz00,
																												(BgL_idxz00_4017 +
																													1L)) ==
																											BgL_classz00_4015);
																									}
																								else
																									{	/* Coerce/coerce.scm 297 */
																										bool_t BgL_res2099z00_4020;

																										{	/* Coerce/coerce.scm 297 */
																											obj_t BgL_oclassz00_4021;

																											{	/* Coerce/coerce.scm 297 */
																												obj_t
																													BgL_arg1866z00_4022;
																												long
																													BgL_arg1867z00_4023;
																												BgL_arg1866z00_4022 =
																													(BGl_za2classesza2z00zz__objectz00);
																												{	/* Coerce/coerce.scm 297 */
																													long
																														BgL_arg1869z00_4024;
																													BgL_arg1869z00_4024 =
																														BGL_OBJECT_CLASS_NUM
																														(BgL_arg1858z00_4016);
																													BgL_arg1867z00_4023 =
																														(BgL_arg1869z00_4024
																														- OBJECT_TYPE);
																												}
																												BgL_oclassz00_4021 =
																													VECTOR_REF
																													(BgL_arg1866z00_4022,
																													BgL_arg1867z00_4023);
																											}
																											{	/* Coerce/coerce.scm 297 */
																												bool_t
																													BgL__ortest_1115z00_4025;
																												BgL__ortest_1115z00_4025
																													=
																													(BgL_classz00_4015 ==
																													BgL_oclassz00_4021);
																												if (BgL__ortest_1115z00_4025)
																													{	/* Coerce/coerce.scm 297 */
																														BgL_res2099z00_4020
																															=
																															BgL__ortest_1115z00_4025;
																													}
																												else
																													{	/* Coerce/coerce.scm 297 */
																														long
																															BgL_odepthz00_4026;
																														{	/* Coerce/coerce.scm 297 */
																															obj_t
																																BgL_arg1855z00_4027;
																															BgL_arg1855z00_4027
																																=
																																(BgL_oclassz00_4021);
																															BgL_odepthz00_4026
																																=
																																BGL_CLASS_DEPTH
																																(BgL_arg1855z00_4027);
																														}
																														if (
																															(1L <
																																BgL_odepthz00_4026))
																															{	/* Coerce/coerce.scm 297 */
																																obj_t
																																	BgL_arg1853z00_4028;
																																{	/* Coerce/coerce.scm 297 */
																																	obj_t
																																		BgL_arg1854z00_4029;
																																	BgL_arg1854z00_4029
																																		=
																																		(BgL_oclassz00_4021);
																																	BgL_arg1853z00_4028
																																		=
																																		BGL_CLASS_ANCESTORS_REF
																																		(BgL_arg1854z00_4029,
																																		1L);
																																}
																																BgL_res2099z00_4020
																																	=
																																	(BgL_arg1853z00_4028
																																	==
																																	BgL_classz00_4015);
																															}
																														else
																															{	/* Coerce/coerce.scm 297 */
																																BgL_res2099z00_4020
																																	=
																																	((bool_t) 0);
																															}
																													}
																											}
																										}
																										BgL_test2271z00_4950 =
																											BgL_res2099z00_4020;
																									}
																							}
																						else
																							{	/* Coerce/coerce.scm 297 */
																								BgL_test2271z00_4950 =
																									((bool_t) 0);
																							}
																					}
																					if (BgL_test2271z00_4950)
																						{	/* Coerce/coerce.scm 297 */
																							if (
																								(BgL_typevz00_4012 ==
																									BGl_za2objza2z00zztype_cachez00))
																								{	/* Coerce/coerce.scm 300 */
																									BgL_casezd2valuezd2_4031 =
																										BFALSE;
																								}
																							else
																								{	/* Coerce/coerce.scm 300 */
																									if (BGl_typezd2lesszd2specificzf3zf3zztype_miscz00(((BgL_typez00_bglt) BgL_typecz00_4011), ((BgL_typez00_bglt) BgL_typevz00_4012)))
																										{	/* Coerce/coerce.scm 303 */
																											BgL_casezd2valuezd2_4031 =
																												((obj_t)
																												CNST_TABLE_REF(1));
																										}
																									else
																										{	/* Coerce/coerce.scm 303 */
																											if (BGl_typezd2disjointzf3z21zztype_miscz00(((BgL_typez00_bglt) BgL_typecz00_4011), ((BgL_typez00_bglt) BgL_typevz00_4012)))
																												{	/* Coerce/coerce.scm 305 */
																													BgL_casezd2valuezd2_4031
																														=
																														((obj_t)
																														CNST_TABLE_REF(2));
																												}
																											else
																												{	/* Coerce/coerce.scm 305 */
																													BgL_casezd2valuezd2_4031
																														= BFALSE;
																												}
																										}
																								}
																						}
																					else
																						{	/* Coerce/coerce.scm 297 */
																							BgL_casezd2valuezd2_4031 = BFALSE;
																						}
																				}
																			}
																		}
																	}
															}
														else
															{	/* Coerce/coerce.scm 292 */
																BgL_casezd2valuezd2_4031 = BFALSE;
															}
													}
												else
													{	/* Coerce/coerce.scm 291 */
														BgL_casezd2valuezd2_4031 = BFALSE;
													}
											}
										}
									else
										{	/* Coerce/coerce.scm 379 */
											bool_t BgL_test2279z00_4987;

											{	/* Coerce/coerce.scm 379 */
												obj_t BgL_classz00_3822;

												BgL_classz00_3822 = BGl_letzd2varzd2zzast_nodez00;
												if (BGL_OBJECTP(BgL_nodez00_3805))
													{	/* Coerce/coerce.scm 379 */
														BgL_objectz00_bglt BgL_arg1858z00_3823;

														BgL_arg1858z00_3823 =
															(BgL_objectz00_bglt) (BgL_nodez00_3805);
														if (BGL_CONDEXPAND_ISA_ARCH64())
															{	/* Coerce/coerce.scm 379 */
																long BgL_idxz00_3824;

																BgL_idxz00_3824 =
																	BGL_OBJECT_INHERITANCE_NUM
																	(BgL_arg1858z00_3823);
																BgL_test2279z00_4987 =
																	(VECTOR_REF
																	(BGl_za2inheritancesza2z00zz__objectz00,
																		(BgL_idxz00_3824 + 3L)) ==
																	BgL_classz00_3822);
															}
														else
															{	/* Coerce/coerce.scm 379 */
																bool_t BgL_res2110z00_3827;

																{	/* Coerce/coerce.scm 379 */
																	obj_t BgL_oclassz00_3828;

																	{	/* Coerce/coerce.scm 379 */
																		obj_t BgL_arg1866z00_3829;
																		long BgL_arg1867z00_3830;

																		BgL_arg1866z00_3829 =
																			(BGl_za2classesza2z00zz__objectz00);
																		{	/* Coerce/coerce.scm 379 */
																			long BgL_arg1869z00_3831;

																			BgL_arg1869z00_3831 =
																				BGL_OBJECT_CLASS_NUM
																				(BgL_arg1858z00_3823);
																			BgL_arg1867z00_3830 =
																				(BgL_arg1869z00_3831 - OBJECT_TYPE);
																		}
																		BgL_oclassz00_3828 =
																			VECTOR_REF(BgL_arg1866z00_3829,
																			BgL_arg1867z00_3830);
																	}
																	{	/* Coerce/coerce.scm 379 */
																		bool_t BgL__ortest_1115z00_3832;

																		BgL__ortest_1115z00_3832 =
																			(BgL_classz00_3822 == BgL_oclassz00_3828);
																		if (BgL__ortest_1115z00_3832)
																			{	/* Coerce/coerce.scm 379 */
																				BgL_res2110z00_3827 =
																					BgL__ortest_1115z00_3832;
																			}
																		else
																			{	/* Coerce/coerce.scm 379 */
																				long BgL_odepthz00_3833;

																				{	/* Coerce/coerce.scm 379 */
																					obj_t BgL_arg1855z00_3834;

																					BgL_arg1855z00_3834 =
																						(BgL_oclassz00_3828);
																					BgL_odepthz00_3833 =
																						BGL_CLASS_DEPTH
																						(BgL_arg1855z00_3834);
																				}
																				if ((3L < BgL_odepthz00_3833))
																					{	/* Coerce/coerce.scm 379 */
																						obj_t BgL_arg1853z00_3835;

																						{	/* Coerce/coerce.scm 379 */
																							obj_t BgL_arg1854z00_3836;

																							BgL_arg1854z00_3836 =
																								(BgL_oclassz00_3828);
																							BgL_arg1853z00_3835 =
																								BGL_CLASS_ANCESTORS_REF
																								(BgL_arg1854z00_3836, 3L);
																						}
																						BgL_res2110z00_3827 =
																							(BgL_arg1853z00_3835 ==
																							BgL_classz00_3822);
																					}
																				else
																					{	/* Coerce/coerce.scm 379 */
																						BgL_res2110z00_3827 = ((bool_t) 0);
																					}
																			}
																	}
																}
																BgL_test2279z00_4987 = BgL_res2110z00_3827;
															}
													}
												else
													{	/* Coerce/coerce.scm 379 */
														BgL_test2279z00_4987 = ((bool_t) 0);
													}
											}
											if (BgL_test2279z00_4987)
												{	/* Coerce/coerce.scm 379 */
													BgL_nodez00_3911 = BgL_nodez00_3805;
													{	/* Coerce/coerce.scm 311 */
														bool_t BgL_test2284z00_5010;

														{	/* Coerce/coerce.scm 311 */
															bool_t BgL_test2285z00_5011;

															{	/* Coerce/coerce.scm 311 */
																obj_t BgL_tmpz00_5012;

																BgL_tmpz00_5012 =
																	(((BgL_letzd2varzd2_bglt) COBJECT(
																			((BgL_letzd2varzd2_bglt)
																				BgL_nodez00_3911)))->BgL_bindingsz00);
																BgL_test2285z00_5011 = PAIRP(BgL_tmpz00_5012);
															}
															if (BgL_test2285z00_5011)
																{	/* Coerce/coerce.scm 311 */
																	obj_t BgL_tmpz00_5016;

																	{	/* Coerce/coerce.scm 311 */
																		obj_t BgL_pairz00_3912;

																		BgL_pairz00_3912 =
																			(((BgL_letzd2varzd2_bglt) COBJECT(
																					((BgL_letzd2varzd2_bglt)
																						BgL_nodez00_3911)))->
																			BgL_bindingsz00);
																		BgL_tmpz00_5016 = CDR(BgL_pairz00_3912);
																	}
																	BgL_test2284z00_5010 = NULLP(BgL_tmpz00_5016);
																}
															else
																{	/* Coerce/coerce.scm 311 */
																	BgL_test2284z00_5010 = ((bool_t) 0);
																}
														}
														if (BgL_test2284z00_5010)
															{	/* Coerce/coerce.scm 313 */
																bool_t BgL_test2286z00_5021;

																{	/* Coerce/coerce.scm 313 */
																	BgL_nodez00_bglt BgL_arg1910z00_3913;

																	BgL_arg1910z00_3913 =
																		(((BgL_letzd2varzd2_bglt) COBJECT(
																				((BgL_letzd2varzd2_bglt)
																					BgL_nodez00_3911)))->BgL_bodyz00);
																	{	/* Coerce/coerce.scm 313 */
																		obj_t BgL_classz00_3914;

																		BgL_classz00_3914 = BGl_appz00zzast_nodez00;
																		{	/* Coerce/coerce.scm 313 */
																			BgL_objectz00_bglt BgL_arg1858z00_3915;

																			{	/* Coerce/coerce.scm 313 */
																				obj_t BgL_tmpz00_5024;

																				BgL_tmpz00_5024 =
																					((obj_t)
																					((BgL_objectz00_bglt)
																						BgL_arg1910z00_3913));
																				BgL_arg1858z00_3915 =
																					(BgL_objectz00_bglt)
																					(BgL_tmpz00_5024);
																			}
																			if (BGL_CONDEXPAND_ISA_ARCH64())
																				{	/* Coerce/coerce.scm 313 */
																					long BgL_idxz00_3916;

																					BgL_idxz00_3916 =
																						BGL_OBJECT_INHERITANCE_NUM
																						(BgL_arg1858z00_3915);
																					BgL_test2286z00_5021 =
																						(VECTOR_REF
																						(BGl_za2inheritancesza2z00zz__objectz00,
																							(BgL_idxz00_3916 + 3L)) ==
																						BgL_classz00_3914);
																				}
																			else
																				{	/* Coerce/coerce.scm 313 */
																					bool_t BgL_res2100z00_3919;

																					{	/* Coerce/coerce.scm 313 */
																						obj_t BgL_oclassz00_3920;

																						{	/* Coerce/coerce.scm 313 */
																							obj_t BgL_arg1866z00_3921;
																							long BgL_arg1867z00_3922;

																							BgL_arg1866z00_3921 =
																								(BGl_za2classesza2z00zz__objectz00);
																							{	/* Coerce/coerce.scm 313 */
																								long BgL_arg1869z00_3923;

																								BgL_arg1869z00_3923 =
																									BGL_OBJECT_CLASS_NUM
																									(BgL_arg1858z00_3915);
																								BgL_arg1867z00_3922 =
																									(BgL_arg1869z00_3923 -
																									OBJECT_TYPE);
																							}
																							BgL_oclassz00_3920 =
																								VECTOR_REF(BgL_arg1866z00_3921,
																								BgL_arg1867z00_3922);
																						}
																						{	/* Coerce/coerce.scm 313 */
																							bool_t BgL__ortest_1115z00_3924;

																							BgL__ortest_1115z00_3924 =
																								(BgL_classz00_3914 ==
																								BgL_oclassz00_3920);
																							if (BgL__ortest_1115z00_3924)
																								{	/* Coerce/coerce.scm 313 */
																									BgL_res2100z00_3919 =
																										BgL__ortest_1115z00_3924;
																								}
																							else
																								{	/* Coerce/coerce.scm 313 */
																									long BgL_odepthz00_3925;

																									{	/* Coerce/coerce.scm 313 */
																										obj_t BgL_arg1855z00_3926;

																										BgL_arg1855z00_3926 =
																											(BgL_oclassz00_3920);
																										BgL_odepthz00_3925 =
																											BGL_CLASS_DEPTH
																											(BgL_arg1855z00_3926);
																									}
																									if ((3L < BgL_odepthz00_3925))
																										{	/* Coerce/coerce.scm 313 */
																											obj_t BgL_arg1853z00_3927;

																											{	/* Coerce/coerce.scm 313 */
																												obj_t
																													BgL_arg1854z00_3928;
																												BgL_arg1854z00_3928 =
																													(BgL_oclassz00_3920);
																												BgL_arg1853z00_3927 =
																													BGL_CLASS_ANCESTORS_REF
																													(BgL_arg1854z00_3928,
																													3L);
																											}
																											BgL_res2100z00_3919 =
																												(BgL_arg1853z00_3927 ==
																												BgL_classz00_3914);
																										}
																									else
																										{	/* Coerce/coerce.scm 313 */
																											BgL_res2100z00_3919 =
																												((bool_t) 0);
																										}
																								}
																						}
																					}
																					BgL_test2286z00_5021 =
																						BgL_res2100z00_3919;
																				}
																		}
																	}
																}
																if (BgL_test2286z00_5021)
																	{	/* Coerce/coerce.scm 314 */
																		obj_t BgL_varz00_3929;

																		{	/* Coerce/coerce.scm 314 */
																			obj_t BgL_argsz00_3930;

																			BgL_argsz00_3930 =
																				(((BgL_appz00_bglt) COBJECT(
																						((BgL_appz00_bglt)
																							(((BgL_letzd2varzd2_bglt) COBJECT(
																										((BgL_letzd2varzd2_bglt)
																											BgL_nodez00_3911)))->
																								BgL_bodyz00))))->BgL_argsz00);
																			if (PAIRP(BgL_argsz00_3930))
																				{	/* Coerce/coerce.scm 318 */
																					bool_t BgL_test2291z00_5053;

																					if (NULLP(CDR(BgL_argsz00_3930)))
																						{	/* Coerce/coerce.scm 318 */
																							obj_t BgL_arg1892z00_3931;

																							BgL_arg1892z00_3931 =
																								CAR(BgL_argsz00_3930);
																							{	/* Coerce/coerce.scm 318 */
																								obj_t BgL_classz00_3932;

																								BgL_classz00_3932 =
																									BGl_varz00zzast_nodez00;
																								if (BGL_OBJECTP
																									(BgL_arg1892z00_3931))
																									{	/* Coerce/coerce.scm 318 */
																										BgL_objectz00_bglt
																											BgL_arg1858z00_3933;
																										BgL_arg1858z00_3933 =
																											(BgL_objectz00_bglt)
																											(BgL_arg1892z00_3931);
																										if (BGL_CONDEXPAND_ISA_ARCH64())
																											{	/* Coerce/coerce.scm 318 */
																												long BgL_idxz00_3934;

																												BgL_idxz00_3934 =
																													BGL_OBJECT_INHERITANCE_NUM
																													(BgL_arg1858z00_3933);
																												BgL_test2291z00_5053 =
																													(VECTOR_REF
																													(BGl_za2inheritancesza2z00zz__objectz00,
																														(BgL_idxz00_3934 +
																															2L)) ==
																													BgL_classz00_3932);
																											}
																										else
																											{	/* Coerce/coerce.scm 318 */
																												bool_t
																													BgL_res2101z00_3937;
																												{	/* Coerce/coerce.scm 318 */
																													obj_t
																														BgL_oclassz00_3938;
																													{	/* Coerce/coerce.scm 318 */
																														obj_t
																															BgL_arg1866z00_3939;
																														long
																															BgL_arg1867z00_3940;
																														BgL_arg1866z00_3939
																															=
																															(BGl_za2classesza2z00zz__objectz00);
																														{	/* Coerce/coerce.scm 318 */
																															long
																																BgL_arg1869z00_3941;
																															BgL_arg1869z00_3941
																																=
																																BGL_OBJECT_CLASS_NUM
																																(BgL_arg1858z00_3933);
																															BgL_arg1867z00_3940
																																=
																																(BgL_arg1869z00_3941
																																- OBJECT_TYPE);
																														}
																														BgL_oclassz00_3938 =
																															VECTOR_REF
																															(BgL_arg1866z00_3939,
																															BgL_arg1867z00_3940);
																													}
																													{	/* Coerce/coerce.scm 318 */
																														bool_t
																															BgL__ortest_1115z00_3942;
																														BgL__ortest_1115z00_3942
																															=
																															(BgL_classz00_3932
																															==
																															BgL_oclassz00_3938);
																														if (BgL__ortest_1115z00_3942)
																															{	/* Coerce/coerce.scm 318 */
																																BgL_res2101z00_3937
																																	=
																																	BgL__ortest_1115z00_3942;
																															}
																														else
																															{	/* Coerce/coerce.scm 318 */
																																long
																																	BgL_odepthz00_3943;
																																{	/* Coerce/coerce.scm 318 */
																																	obj_t
																																		BgL_arg1855z00_3944;
																																	BgL_arg1855z00_3944
																																		=
																																		(BgL_oclassz00_3938);
																																	BgL_odepthz00_3943
																																		=
																																		BGL_CLASS_DEPTH
																																		(BgL_arg1855z00_3944);
																																}
																																if (
																																	(2L <
																																		BgL_odepthz00_3943))
																																	{	/* Coerce/coerce.scm 318 */
																																		obj_t
																																			BgL_arg1853z00_3945;
																																		{	/* Coerce/coerce.scm 318 */
																																			obj_t
																																				BgL_arg1854z00_3946;
																																			BgL_arg1854z00_3946
																																				=
																																				(BgL_oclassz00_3938);
																																			BgL_arg1853z00_3945
																																				=
																																				BGL_CLASS_ANCESTORS_REF
																																				(BgL_arg1854z00_3946,
																																				2L);
																																		}
																																		BgL_res2101z00_3937
																																			=
																																			(BgL_arg1853z00_3945
																																			==
																																			BgL_classz00_3932);
																																	}
																																else
																																	{	/* Coerce/coerce.scm 318 */
																																		BgL_res2101z00_3937
																																			=
																																			((bool_t)
																																			0);
																																	}
																															}
																													}
																												}
																												BgL_test2291z00_5053 =
																													BgL_res2101z00_3937;
																											}
																									}
																								else
																									{	/* Coerce/coerce.scm 318 */
																										BgL_test2291z00_5053 =
																											((bool_t) 0);
																									}
																							}
																						}
																					else
																						{	/* Coerce/coerce.scm 318 */
																							BgL_test2291z00_5053 =
																								((bool_t) 0);
																						}
																					if (BgL_test2291z00_5053)
																						{	/* Coerce/coerce.scm 318 */
																							BgL_varz00_3929 =
																								((obj_t)
																								(((BgL_varz00_bglt) COBJECT(
																											((BgL_varz00_bglt)
																												CAR
																												(BgL_argsz00_3930))))->
																									BgL_variablez00));
																						}
																					else
																						{	/* Coerce/coerce.scm 321 */
																							bool_t BgL_test2297z00_5084;

																							{	/* Coerce/coerce.scm 321 */
																								obj_t BgL_tmpz00_5085;

																								BgL_tmpz00_5085 =
																									CDR(BgL_argsz00_3930);
																								BgL_test2297z00_5084 =
																									PAIRP(BgL_tmpz00_5085);
																							}
																							if (BgL_test2297z00_5084)
																								{	/* Coerce/coerce.scm 323 */
																									bool_t BgL_test2298z00_5088;

																									if (NULLP(CDR(CDR
																												(BgL_argsz00_3930))))
																										{	/* Coerce/coerce.scm 323 */
																											obj_t BgL_arg1889z00_3947;

																											BgL_arg1889z00_3947 =
																												CAR(BgL_argsz00_3930);
																											{	/* Coerce/coerce.scm 323 */
																												obj_t BgL_classz00_3948;

																												BgL_classz00_3948 =
																													BGl_varz00zzast_nodez00;
																												if (BGL_OBJECTP
																													(BgL_arg1889z00_3947))
																													{	/* Coerce/coerce.scm 323 */
																														BgL_objectz00_bglt
																															BgL_arg1858z00_3949;
																														BgL_arg1858z00_3949
																															=
																															(BgL_objectz00_bglt)
																															(BgL_arg1889z00_3947);
																														if (BGL_CONDEXPAND_ISA_ARCH64())
																															{	/* Coerce/coerce.scm 323 */
																																long
																																	BgL_idxz00_3950;
																																BgL_idxz00_3950
																																	=
																																	BGL_OBJECT_INHERITANCE_NUM
																																	(BgL_arg1858z00_3949);
																																BgL_test2298z00_5088
																																	=
																																	(VECTOR_REF
																																	(BGl_za2inheritancesza2z00zz__objectz00,
																																		(BgL_idxz00_3950
																																			+ 2L)) ==
																																	BgL_classz00_3948);
																															}
																														else
																															{	/* Coerce/coerce.scm 323 */
																																bool_t
																																	BgL_res2102z00_3953;
																																{	/* Coerce/coerce.scm 323 */
																																	obj_t
																																		BgL_oclassz00_3954;
																																	{	/* Coerce/coerce.scm 323 */
																																		obj_t
																																			BgL_arg1866z00_3955;
																																		long
																																			BgL_arg1867z00_3956;
																																		BgL_arg1866z00_3955
																																			=
																																			(BGl_za2classesza2z00zz__objectz00);
																																		{	/* Coerce/coerce.scm 323 */
																																			long
																																				BgL_arg1869z00_3957;
																																			BgL_arg1869z00_3957
																																				=
																																				BGL_OBJECT_CLASS_NUM
																																				(BgL_arg1858z00_3949);
																																			BgL_arg1867z00_3956
																																				=
																																				(BgL_arg1869z00_3957
																																				-
																																				OBJECT_TYPE);
																																		}
																																		BgL_oclassz00_3954
																																			=
																																			VECTOR_REF
																																			(BgL_arg1866z00_3955,
																																			BgL_arg1867z00_3956);
																																	}
																																	{	/* Coerce/coerce.scm 323 */
																																		bool_t
																																			BgL__ortest_1115z00_3958;
																																		BgL__ortest_1115z00_3958
																																			=
																																			(BgL_classz00_3948
																																			==
																																			BgL_oclassz00_3954);
																																		if (BgL__ortest_1115z00_3958)
																																			{	/* Coerce/coerce.scm 323 */
																																				BgL_res2102z00_3953
																																					=
																																					BgL__ortest_1115z00_3958;
																																			}
																																		else
																																			{	/* Coerce/coerce.scm 323 */
																																				long
																																					BgL_odepthz00_3959;
																																				{	/* Coerce/coerce.scm 323 */
																																					obj_t
																																						BgL_arg1855z00_3960;
																																					BgL_arg1855z00_3960
																																						=
																																						(BgL_oclassz00_3954);
																																					BgL_odepthz00_3959
																																						=
																																						BGL_CLASS_DEPTH
																																						(BgL_arg1855z00_3960);
																																				}
																																				if (
																																					(2L <
																																						BgL_odepthz00_3959))
																																					{	/* Coerce/coerce.scm 323 */
																																						obj_t
																																							BgL_arg1853z00_3961;
																																						{	/* Coerce/coerce.scm 323 */
																																							obj_t
																																								BgL_arg1854z00_3962;
																																							BgL_arg1854z00_3962
																																								=
																																								(BgL_oclassz00_3954);
																																							BgL_arg1853z00_3961
																																								=
																																								BGL_CLASS_ANCESTORS_REF
																																								(BgL_arg1854z00_3962,
																																								2L);
																																						}
																																						BgL_res2102z00_3953
																																							=
																																							(BgL_arg1853z00_3961
																																							==
																																							BgL_classz00_3948);
																																					}
																																				else
																																					{	/* Coerce/coerce.scm 323 */
																																						BgL_res2102z00_3953
																																							=
																																							(
																																							(bool_t)
																																							0);
																																					}
																																			}
																																	}
																																}
																																BgL_test2298z00_5088
																																	=
																																	BgL_res2102z00_3953;
																															}
																													}
																												else
																													{	/* Coerce/coerce.scm 323 */
																														BgL_test2298z00_5088
																															= ((bool_t) 0);
																													}
																											}
																										}
																									else
																										{	/* Coerce/coerce.scm 323 */
																											BgL_test2298z00_5088 =
																												((bool_t) 0);
																										}
																									if (BgL_test2298z00_5088)
																										{	/* Coerce/coerce.scm 323 */
																											BgL_varz00_3929 =
																												((obj_t)
																												(((BgL_varz00_bglt)
																														COBJECT((
																																(BgL_varz00_bglt)
																																CAR
																																(BgL_argsz00_3930))))->
																													BgL_variablez00));
																										}
																									else
																										{	/* Coerce/coerce.scm 323 */
																											BgL_varz00_3929 = BFALSE;
																										}
																								}
																							else
																								{	/* Coerce/coerce.scm 321 */
																									BgL_varz00_3929 = BFALSE;
																								}
																						}
																				}
																			else
																				{	/* Coerce/coerce.scm 316 */
																					BgL_varz00_3929 = BFALSE;
																				}
																		}
																		{	/* Coerce/coerce.scm 314 */
																			obj_t BgL_typecz00_3963;

																			{	/* Coerce/coerce.scm 328 */
																				BgL_nodez00_bglt BgL_arg1856z00_3964;

																				BgL_arg1856z00_3964 =
																					(((BgL_letzd2varzd2_bglt) COBJECT(
																							((BgL_letzd2varzd2_bglt)
																								BgL_nodez00_3911)))->
																					BgL_bodyz00);
																				BgL_typecz00_3963 =
																					BGl_appzd2predicatezd2ofz00zztype_miscz00
																					(((BgL_appz00_bglt)
																						BgL_arg1856z00_3964));
																			}
																			{	/* Coerce/coerce.scm 328 */
																				obj_t BgL_typepz00_3965;

																				{
																					BgL_typez00_bglt BgL_auxz00_5124;

																					{
																						BgL_variablez00_bglt
																							BgL_auxz00_5125;
																						{	/* Coerce/coerce.scm 329 */
																							obj_t BgL_pairz00_3966;

																							{	/* Coerce/coerce.scm 329 */
																								obj_t BgL_pairz00_3967;

																								BgL_pairz00_3967 =
																									(((BgL_letzd2varzd2_bglt)
																										COBJECT((
																												(BgL_letzd2varzd2_bglt)
																												BgL_nodez00_3911)))->
																									BgL_bindingsz00);
																								BgL_pairz00_3966 =
																									CAR(BgL_pairz00_3967);
																							}
																							BgL_auxz00_5125 =
																								((BgL_variablez00_bglt)
																								CAR(BgL_pairz00_3966));
																						}
																						BgL_auxz00_5124 =
																							(((BgL_variablez00_bglt)
																								COBJECT(BgL_auxz00_5125))->
																							BgL_typez00);
																					}
																					BgL_typepz00_3965 =
																						((obj_t) BgL_auxz00_5124);
																				}
																				{	/* Coerce/coerce.scm 329 */
																					obj_t BgL_typevz00_3968;

																					if (
																						(BgL_typepz00_3965 ==
																							BGl_za2objza2z00zztype_cachez00))
																						{	/* Coerce/coerce.scm 331 */
																							obj_t BgL_arg1842z00_3969;

																							{	/* Coerce/coerce.scm 331 */
																								obj_t BgL_pairz00_3970;

																								{	/* Coerce/coerce.scm 331 */
																									obj_t BgL_pairz00_3971;

																									BgL_pairz00_3971 =
																										(((BgL_letzd2varzd2_bglt)
																											COBJECT((
																													(BgL_letzd2varzd2_bglt)
																													BgL_nodez00_3911)))->
																										BgL_bindingsz00);
																									BgL_pairz00_3970 =
																										CAR(BgL_pairz00_3971);
																								}
																								BgL_arg1842z00_3969 =
																									CDR(BgL_pairz00_3970);
																							}
																							BgL_typevz00_3968 =
																								((obj_t)
																								BGl_getzd2typezd2zztype_typeofz00
																								(((BgL_nodez00_bglt)
																										BgL_arg1842z00_3969),
																									((bool_t) 0)));
																						}
																					else
																						{	/* Coerce/coerce.scm 330 */
																							BgL_typevz00_3968 =
																								BgL_typepz00_3965;
																						}
																					{	/* Coerce/coerce.scm 330 */

																						{	/* Coerce/coerce.scm 334 */
																							bool_t BgL_test2305z00_5142;

																							{	/* Coerce/coerce.scm 334 */
																								obj_t BgL_classz00_3972;

																								BgL_classz00_3972 =
																									BGl_typez00zztype_typez00;
																								if (BGL_OBJECTP
																									(BgL_typecz00_3963))
																									{	/* Coerce/coerce.scm 334 */
																										BgL_objectz00_bglt
																											BgL_arg1858z00_3973;
																										BgL_arg1858z00_3973 =
																											(BgL_objectz00_bglt)
																											(BgL_typecz00_3963);
																										if (BGL_CONDEXPAND_ISA_ARCH64())
																											{	/* Coerce/coerce.scm 334 */
																												long BgL_idxz00_3974;

																												BgL_idxz00_3974 =
																													BGL_OBJECT_INHERITANCE_NUM
																													(BgL_arg1858z00_3973);
																												BgL_test2305z00_5142 =
																													(VECTOR_REF
																													(BGl_za2inheritancesza2z00zz__objectz00,
																														(BgL_idxz00_3974 +
																															1L)) ==
																													BgL_classz00_3972);
																											}
																										else
																											{	/* Coerce/coerce.scm 334 */
																												bool_t
																													BgL_res2103z00_3977;
																												{	/* Coerce/coerce.scm 334 */
																													obj_t
																														BgL_oclassz00_3978;
																													{	/* Coerce/coerce.scm 334 */
																														obj_t
																															BgL_arg1866z00_3979;
																														long
																															BgL_arg1867z00_3980;
																														BgL_arg1866z00_3979
																															=
																															(BGl_za2classesza2z00zz__objectz00);
																														{	/* Coerce/coerce.scm 334 */
																															long
																																BgL_arg1869z00_3981;
																															BgL_arg1869z00_3981
																																=
																																BGL_OBJECT_CLASS_NUM
																																(BgL_arg1858z00_3973);
																															BgL_arg1867z00_3980
																																=
																																(BgL_arg1869z00_3981
																																- OBJECT_TYPE);
																														}
																														BgL_oclassz00_3978 =
																															VECTOR_REF
																															(BgL_arg1866z00_3979,
																															BgL_arg1867z00_3980);
																													}
																													{	/* Coerce/coerce.scm 334 */
																														bool_t
																															BgL__ortest_1115z00_3982;
																														BgL__ortest_1115z00_3982
																															=
																															(BgL_classz00_3972
																															==
																															BgL_oclassz00_3978);
																														if (BgL__ortest_1115z00_3982)
																															{	/* Coerce/coerce.scm 334 */
																																BgL_res2103z00_3977
																																	=
																																	BgL__ortest_1115z00_3982;
																															}
																														else
																															{	/* Coerce/coerce.scm 334 */
																																long
																																	BgL_odepthz00_3983;
																																{	/* Coerce/coerce.scm 334 */
																																	obj_t
																																		BgL_arg1855z00_3984;
																																	BgL_arg1855z00_3984
																																		=
																																		(BgL_oclassz00_3978);
																																	BgL_odepthz00_3983
																																		=
																																		BGL_CLASS_DEPTH
																																		(BgL_arg1855z00_3984);
																																}
																																if (
																																	(1L <
																																		BgL_odepthz00_3983))
																																	{	/* Coerce/coerce.scm 334 */
																																		obj_t
																																			BgL_arg1853z00_3985;
																																		{	/* Coerce/coerce.scm 334 */
																																			obj_t
																																				BgL_arg1854z00_3986;
																																			BgL_arg1854z00_3986
																																				=
																																				(BgL_oclassz00_3978);
																																			BgL_arg1853z00_3985
																																				=
																																				BGL_CLASS_ANCESTORS_REF
																																				(BgL_arg1854z00_3986,
																																				1L);
																																		}
																																		BgL_res2103z00_3977
																																			=
																																			(BgL_arg1853z00_3985
																																			==
																																			BgL_classz00_3972);
																																	}
																																else
																																	{	/* Coerce/coerce.scm 334 */
																																		BgL_res2103z00_3977
																																			=
																																			((bool_t)
																																			0);
																																	}
																															}
																													}
																												}
																												BgL_test2305z00_5142 =
																													BgL_res2103z00_3977;
																											}
																									}
																								else
																									{	/* Coerce/coerce.scm 334 */
																										BgL_test2305z00_5142 =
																											((bool_t) 0);
																									}
																							}
																							if (BgL_test2305z00_5142)
																								{	/* Coerce/coerce.scm 337 */
																									bool_t BgL_test2310z00_5165;

																									{	/* Coerce/coerce.scm 337 */
																										obj_t BgL_tmpz00_5166;

																										{	/* Coerce/coerce.scm 337 */
																											obj_t BgL_pairz00_3987;

																											BgL_pairz00_3987 =
																												(((BgL_letzd2varzd2_bglt) COBJECT(((BgL_letzd2varzd2_bglt) BgL_nodez00_3911)))->BgL_bindingsz00);
																											BgL_tmpz00_5166 =
																												CAR(CAR
																												(BgL_pairz00_3987));
																										}
																										BgL_test2310z00_5165 =
																											(BgL_varz00_3929 ==
																											BgL_tmpz00_5166);
																									}
																									if (BgL_test2310z00_5165)
																										{	/* Coerce/coerce.scm 337 */
																											if (
																												(BgL_typevz00_3968 ==
																													BGl_za2objza2z00zztype_cachez00))
																												{	/* Coerce/coerce.scm 340 */
																													BgL_casezd2valuezd2_4031
																														= BFALSE;
																												}
																											else
																												{	/* Coerce/coerce.scm 340 */
																													if (BGl_typezd2lesszd2specificzf3zf3zztype_miscz00(((BgL_typez00_bglt) BgL_typecz00_3963), ((BgL_typez00_bglt) BgL_typevz00_3968)))
																														{	/* Coerce/coerce.scm 343 */
																															BgL_casezd2valuezd2_4031
																																=
																																((obj_t)
																																CNST_TABLE_REF
																																(1));
																														}
																													else
																														{	/* Coerce/coerce.scm 343 */
																															if (BGl_typezd2disjointzf3z21zztype_miscz00(((BgL_typez00_bglt) BgL_typecz00_3963), ((BgL_typez00_bglt) BgL_typevz00_3968)))
																																{	/* Coerce/coerce.scm 345 */
																																	BgL_casezd2valuezd2_4031
																																		=
																																		((obj_t)
																																		CNST_TABLE_REF
																																		(2));
																																}
																															else
																																{	/* Coerce/coerce.scm 345 */
																																	BgL_casezd2valuezd2_4031
																																		= BFALSE;
																																}
																														}
																												}
																										}
																									else
																										{	/* Coerce/coerce.scm 337 */
																											BgL_casezd2valuezd2_4031 =
																												BFALSE;
																										}
																								}
																							else
																								{	/* Coerce/coerce.scm 334 */
																									BgL_casezd2valuezd2_4031 =
																										BFALSE;
																								}
																						}
																					}
																				}
																			}
																		}
																	}
																else
																	{	/* Coerce/coerce.scm 349 */
																		bool_t BgL_test2314z00_5186;

																		{	/* Coerce/coerce.scm 349 */
																			bool_t BgL_test2315z00_5187;

																			{	/* Coerce/coerce.scm 349 */
																				BgL_nodez00_bglt BgL_arg1909z00_3988;

																				BgL_arg1909z00_3988 =
																					(((BgL_letzd2varzd2_bglt) COBJECT(
																							((BgL_letzd2varzd2_bglt)
																								BgL_nodez00_3911)))->
																					BgL_bodyz00);
																				{	/* Coerce/coerce.scm 349 */
																					obj_t BgL_classz00_3989;

																					BgL_classz00_3989 =
																						BGl_varz00zzast_nodez00;
																					{	/* Coerce/coerce.scm 349 */
																						BgL_objectz00_bglt
																							BgL_arg1858z00_3990;
																						{	/* Coerce/coerce.scm 349 */
																							obj_t BgL_tmpz00_5190;

																							BgL_tmpz00_5190 =
																								((obj_t)
																								((BgL_objectz00_bglt)
																									BgL_arg1909z00_3988));
																							BgL_arg1858z00_3990 =
																								(BgL_objectz00_bglt)
																								(BgL_tmpz00_5190);
																						}
																						if (BGL_CONDEXPAND_ISA_ARCH64())
																							{	/* Coerce/coerce.scm 349 */
																								long BgL_idxz00_3991;

																								BgL_idxz00_3991 =
																									BGL_OBJECT_INHERITANCE_NUM
																									(BgL_arg1858z00_3990);
																								BgL_test2315z00_5187 =
																									(VECTOR_REF
																									(BGl_za2inheritancesza2z00zz__objectz00,
																										(BgL_idxz00_3991 + 2L)) ==
																									BgL_classz00_3989);
																							}
																						else
																							{	/* Coerce/coerce.scm 349 */
																								bool_t BgL_res2104z00_3994;

																								{	/* Coerce/coerce.scm 349 */
																									obj_t BgL_oclassz00_3995;

																									{	/* Coerce/coerce.scm 349 */
																										obj_t BgL_arg1866z00_3996;
																										long BgL_arg1867z00_3997;

																										BgL_arg1866z00_3996 =
																											(BGl_za2classesza2z00zz__objectz00);
																										{	/* Coerce/coerce.scm 349 */
																											long BgL_arg1869z00_3998;

																											BgL_arg1869z00_3998 =
																												BGL_OBJECT_CLASS_NUM
																												(BgL_arg1858z00_3990);
																											BgL_arg1867z00_3997 =
																												(BgL_arg1869z00_3998 -
																												OBJECT_TYPE);
																										}
																										BgL_oclassz00_3995 =
																											VECTOR_REF
																											(BgL_arg1866z00_3996,
																											BgL_arg1867z00_3997);
																									}
																									{	/* Coerce/coerce.scm 349 */
																										bool_t
																											BgL__ortest_1115z00_3999;
																										BgL__ortest_1115z00_3999 =
																											(BgL_classz00_3989 ==
																											BgL_oclassz00_3995);
																										if (BgL__ortest_1115z00_3999)
																											{	/* Coerce/coerce.scm 349 */
																												BgL_res2104z00_3994 =
																													BgL__ortest_1115z00_3999;
																											}
																										else
																											{	/* Coerce/coerce.scm 349 */
																												long BgL_odepthz00_4000;

																												{	/* Coerce/coerce.scm 349 */
																													obj_t
																														BgL_arg1855z00_4001;
																													BgL_arg1855z00_4001 =
																														(BgL_oclassz00_3995);
																													BgL_odepthz00_4000 =
																														BGL_CLASS_DEPTH
																														(BgL_arg1855z00_4001);
																												}
																												if (
																													(2L <
																														BgL_odepthz00_4000))
																													{	/* Coerce/coerce.scm 349 */
																														obj_t
																															BgL_arg1853z00_4002;
																														{	/* Coerce/coerce.scm 349 */
																															obj_t
																																BgL_arg1854z00_4003;
																															BgL_arg1854z00_4003
																																=
																																(BgL_oclassz00_3995);
																															BgL_arg1853z00_4002
																																=
																																BGL_CLASS_ANCESTORS_REF
																																(BgL_arg1854z00_4003,
																																2L);
																														}
																														BgL_res2104z00_3994
																															=
																															(BgL_arg1853z00_4002
																															==
																															BgL_classz00_3989);
																													}
																												else
																													{	/* Coerce/coerce.scm 349 */
																														BgL_res2104z00_3994
																															= ((bool_t) 0);
																													}
																											}
																									}
																								}
																								BgL_test2315z00_5187 =
																									BgL_res2104z00_3994;
																							}
																					}
																				}
																			}
																			if (BgL_test2315z00_5187)
																				{	/* Coerce/coerce.scm 349 */
																					obj_t BgL_tmpz00_5213;

																					{	/* Coerce/coerce.scm 349 */
																						obj_t BgL_pairz00_4004;

																						BgL_pairz00_4004 =
																							(((BgL_letzd2varzd2_bglt) COBJECT(
																									((BgL_letzd2varzd2_bglt)
																										BgL_nodez00_3911)))->
																							BgL_bindingsz00);
																						BgL_tmpz00_5213 =
																							CAR(CAR(BgL_pairz00_4004));
																					}
																					BgL_test2314z00_5186 =
																						(
																						((obj_t)
																							(((BgL_varz00_bglt) COBJECT(
																										((BgL_varz00_bglt)
																											(((BgL_letzd2varzd2_bglt)
																													COBJECT((
																															(BgL_letzd2varzd2_bglt)
																															BgL_nodez00_3911)))->
																												BgL_bodyz00))))->
																								BgL_variablez00)) ==
																						BgL_tmpz00_5213);
																				}
																			else
																				{	/* Coerce/coerce.scm 349 */
																					BgL_test2314z00_5186 = ((bool_t) 0);
																				}
																		}
																		if (BgL_test2314z00_5186)
																			{	/* Coerce/coerce.scm 350 */
																				obj_t BgL_arg1903z00_4005;

																				{	/* Coerce/coerce.scm 350 */
																					obj_t BgL_pairz00_4006;

																					BgL_pairz00_4006 =
																						(((BgL_letzd2varzd2_bglt) COBJECT(
																								((BgL_letzd2varzd2_bglt)
																									BgL_nodez00_3911)))->
																						BgL_bindingsz00);
																					BgL_arg1903z00_4005 =
																						CDR(CAR(BgL_pairz00_4006));
																				}
																				{
																					obj_t BgL_nodez00_5228;

																					BgL_nodez00_5228 =
																						BgL_arg1903z00_4005;
																					BgL_nodez00_3805 = BgL_nodez00_5228;
																					goto
																						BgL_testzd2staticzd2valuez00_3801;
																				}
																			}
																		else
																			{	/* Coerce/coerce.scm 349 */
																				BgL_casezd2valuezd2_4031 = BFALSE;
																			}
																	}
															}
														else
															{	/* Coerce/coerce.scm 311 */
																BgL_casezd2valuezd2_4031 = BFALSE;
															}
													}
												}
											else
												{	/* Coerce/coerce.scm 379 */
													BgL_casezd2valuezd2_4031 = BFALSE;
												}
										}
								}
						}
					}
					if ((BgL_casezd2valuezd2_4031 == ((obj_t) CNST_TABLE_REF(1))))
						{	/* Coerce/coerce.scm 387 */
							BgL_nodez00_bglt BgL_arg1768z00_4033;

							BgL_arg1768z00_4033 =
								(((BgL_conditionalz00_bglt) COBJECT(
										((BgL_conditionalz00_bglt) BgL_nodez00_3596)))->
								BgL_truez00);
							return BGl_coercez12z12zzcoerce_coercez00(BgL_arg1768z00_4033,
								BgL_callerz00_3597, ((BgL_typez00_bglt) BgL_toz00_3598),
								CBOOL(BgL_safez00_3599));
						}
					else
						{	/* Coerce/coerce.scm 385 */
							if ((BgL_casezd2valuezd2_4031 == ((obj_t) CNST_TABLE_REF(2))))
								{	/* Coerce/coerce.scm 389 */
									BgL_nodez00_bglt BgL_arg1770z00_4034;

									BgL_arg1770z00_4034 =
										(((BgL_conditionalz00_bglt) COBJECT(
												((BgL_conditionalz00_bglt) BgL_nodez00_3596)))->
										BgL_falsez00);
									return BGl_coercez12z12zzcoerce_coercez00(BgL_arg1770z00_4034,
										BgL_callerz00_3597, ((BgL_typez00_bglt) BgL_toz00_3598),
										CBOOL(BgL_safez00_3599));
								}
							else
								{	/* Coerce/coerce.scm 385 */
									{
										BgL_nodez00_bglt BgL_auxz00_5248;

										{	/* Coerce/coerce.scm 391 */
											BgL_nodez00_bglt BgL_arg1772z00_4035;

											BgL_arg1772z00_4035 =
												(((BgL_conditionalz00_bglt) COBJECT(
														((BgL_conditionalz00_bglt) BgL_nodez00_3596)))->
												BgL_truez00);
											BgL_auxz00_5248 =
												BGl_coercez12z12zzcoerce_coercez00(BgL_arg1772z00_4035,
												BgL_callerz00_3597, ((BgL_typez00_bglt) BgL_toz00_3598),
												CBOOL(BgL_safez00_3599));
										}
										((((BgL_conditionalz00_bglt) COBJECT(
														((BgL_conditionalz00_bglt) BgL_nodez00_3596)))->
												BgL_truez00) =
											((BgL_nodez00_bglt) BgL_auxz00_5248), BUNSPEC);
									}
									{
										BgL_nodez00_bglt BgL_auxz00_5256;

										{	/* Coerce/coerce.scm 392 */
											BgL_nodez00_bglt BgL_arg1776z00_4036;

											BgL_arg1776z00_4036 =
												(((BgL_conditionalz00_bglt) COBJECT(
														((BgL_conditionalz00_bglt) BgL_nodez00_3596)))->
												BgL_falsez00);
											BgL_auxz00_5256 =
												BGl_coercez12z12zzcoerce_coercez00(BgL_arg1776z00_4036,
												BgL_callerz00_3597, ((BgL_typez00_bglt) BgL_toz00_3598),
												CBOOL(BgL_safez00_3599));
										}
										((((BgL_conditionalz00_bglt) COBJECT(
														((BgL_conditionalz00_bglt) BgL_nodez00_3596)))->
												BgL_falsez00) =
											((BgL_nodez00_bglt) BgL_auxz00_5256), BUNSPEC);
									}
									((((BgL_nodez00_bglt) COBJECT(
													((BgL_nodez00_bglt)
														((BgL_conditionalz00_bglt) BgL_nodez00_3596))))->
											BgL_typez00) =
										((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_toz00_3598)),
										BUNSPEC);
									return ((BgL_nodez00_bglt) ((BgL_conditionalz00_bglt)
											BgL_nodez00_3596));
								}
						}
				}
			}
		}

	}



/* &coerce!-setq1327 */
	BgL_nodez00_bglt BGl_z62coercez12zd2setq1327za2zzcoerce_coercez00(obj_t
		BgL_envz00_3600, obj_t BgL_nodez00_3601, obj_t BgL_callerz00_3602,
		obj_t BgL_toz00_3603, obj_t BgL_safez00_3604)
	{
		{	/* Coerce/coerce.scm 264 */
			{
				BgL_nodez00_bglt BgL_auxz00_5270;

				{	/* Coerce/coerce.scm 266 */
					BgL_nodez00_bglt BgL_arg1755z00_4038;
					BgL_typez00_bglt BgL_arg1756z00_4039;

					BgL_arg1755z00_4038 =
						(((BgL_setqz00_bglt) COBJECT(
								((BgL_setqz00_bglt) BgL_nodez00_3601)))->BgL_valuez00);
					BgL_arg1756z00_4039 =
						(((BgL_variablez00_bglt) COBJECT(
								(((BgL_varz00_bglt) COBJECT(
											(((BgL_setqz00_bglt) COBJECT(
														((BgL_setqz00_bglt) BgL_nodez00_3601)))->
												BgL_varz00)))->BgL_variablez00)))->BgL_typez00);
					BgL_auxz00_5270 =
						BGl_coercez12z12zzcoerce_coercez00(BgL_arg1755z00_4038,
						BgL_callerz00_3602, BgL_arg1756z00_4039, CBOOL(BgL_safez00_3604));
				}
				((((BgL_setqz00_bglt) COBJECT(
								((BgL_setqz00_bglt) BgL_nodez00_3601)))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_auxz00_5270), BUNSPEC);
			}
			return
				BGl_convertz12z12zzcoerce_convertz00(
				((BgL_nodez00_bglt)
					((BgL_setqz00_bglt) BgL_nodez00_3601)),
				((BgL_typez00_bglt) BGl_za2unspecza2z00zztype_cachez00),
				((BgL_typez00_bglt) BgL_toz00_3603), CBOOL(BgL_safez00_3604));
		}

	}



/* &coerce!-cast1325 */
	BgL_nodez00_bglt BGl_z62coercez12zd2cast1325za2zzcoerce_coercez00(obj_t
		BgL_envz00_3605, obj_t BgL_nodez00_3606, obj_t BgL_callerz00_3607,
		obj_t BgL_toz00_3608, obj_t BgL_safez00_3609)
	{
		{	/* Coerce/coerce.scm 254 */
			{
				BgL_nodez00_bglt BgL_auxz00_5287;

				{	/* Coerce/coerce.scm 258 */
					BgL_nodez00_bglt BgL_arg1729z00_4041;
					BgL_typez00_bglt BgL_arg1730z00_4042;

					BgL_arg1729z00_4041 =
						(((BgL_castz00_bglt) COBJECT(
								((BgL_castz00_bglt) BgL_nodez00_3606)))->BgL_argz00);
					{	/* Coerce/coerce.scm 258 */
						BgL_nodez00_bglt BgL_arg1746z00_4043;

						BgL_arg1746z00_4043 =
							(((BgL_castz00_bglt) COBJECT(
									((BgL_castz00_bglt) BgL_nodez00_3606)))->BgL_argz00);
						BgL_arg1730z00_4042 =
							BGl_getzd2typezd2zztype_typeofz00(BgL_arg1746z00_4043,
							((bool_t) 0));
					}
					BgL_auxz00_5287 =
						BGl_coercez12z12zzcoerce_coercez00(BgL_arg1729z00_4041,
						BgL_callerz00_3607, BgL_arg1730z00_4042, CBOOL(BgL_safez00_3609));
				}
				((((BgL_castz00_bglt) COBJECT(
								((BgL_castz00_bglt) BgL_nodez00_3606)))->BgL_argz00) =
					((BgL_nodez00_bglt) BgL_auxz00_5287), BUNSPEC);
			}
			{	/* Coerce/coerce.scm 259 */
				BgL_typez00_bglt BgL_arg1748z00_4044;

				BgL_arg1748z00_4044 =
					(((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt)
								((BgL_castz00_bglt) BgL_nodez00_3606))))->BgL_typez00);
				return
					BGl_convertz12z12zzcoerce_convertz00(
					((BgL_nodez00_bglt)
						((BgL_castz00_bglt) BgL_nodez00_3606)), BgL_arg1748z00_4044,
					((BgL_typez00_bglt) BgL_toz00_3608), CBOOL(BgL_safez00_3609));
			}
		}

	}



/* &coerce!-vlength1323 */
	BgL_nodez00_bglt BGl_z62coercez12zd2vlength1323za2zzcoerce_coercez00(obj_t
		BgL_envz00_3610, obj_t BgL_nodez00_3611, obj_t BgL_callerz00_3612,
		obj_t BgL_toz00_3613, obj_t BgL_safez00_3614)
	{
		{	/* Coerce/coerce.scm 246 */
			{	/* Coerce/coerce.scm 248 */
				obj_t BgL_arg1703z00_4046;
				BgL_nodez00_bglt BgL_arg1715z00_4047;

				BgL_arg1703z00_4046 =
					(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt)
								((BgL_vlengthz00_bglt) BgL_nodez00_3611))))->BgL_exprza2za2);
				{	/* Coerce/coerce.scm 248 */
					obj_t BgL_arg1716z00_4048;
					BgL_typez00_bglt BgL_arg1717z00_4049;

					{	/* Coerce/coerce.scm 248 */
						obj_t BgL_pairz00_4050;

						BgL_pairz00_4050 =
							(((BgL_externz00_bglt) COBJECT(
									((BgL_externz00_bglt)
										((BgL_vlengthz00_bglt) BgL_nodez00_3611))))->
							BgL_exprza2za2);
						BgL_arg1716z00_4048 = CAR(BgL_pairz00_4050);
					}
					BgL_arg1717z00_4049 =
						(((BgL_vlengthz00_bglt) COBJECT(
								((BgL_vlengthz00_bglt) BgL_nodez00_3611)))->BgL_vtypez00);
					BgL_arg1715z00_4047 =
						BGl_coercez12z12zzcoerce_coercez00(
						((BgL_nodez00_bglt) BgL_arg1716z00_4048), BgL_callerz00_3612,
						BgL_arg1717z00_4049, CBOOL(BgL_safez00_3614));
				}
				{	/* Coerce/coerce.scm 248 */
					obj_t BgL_auxz00_5319;
					obj_t BgL_tmpz00_5317;

					BgL_auxz00_5319 = ((obj_t) BgL_arg1715z00_4047);
					BgL_tmpz00_5317 = ((obj_t) BgL_arg1703z00_4046);
					SET_CAR(BgL_tmpz00_5317, BgL_auxz00_5319);
				}
			}
			{	/* Coerce/coerce.scm 249 */
				BgL_typez00_bglt BgL_arg1724z00_4051;

				BgL_arg1724z00_4051 =
					(((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt)
								((BgL_vlengthz00_bglt) BgL_nodez00_3611))))->BgL_typez00);
				return
					BGl_convertz12z12zzcoerce_convertz00(
					((BgL_nodez00_bglt)
						((BgL_vlengthz00_bglt) BgL_nodez00_3611)), BgL_arg1724z00_4051,
					((BgL_typez00_bglt) BgL_toz00_3613), CBOOL(BgL_safez00_3614));
			}
		}

	}



/* &coerce!-vset!1321 */
	BgL_nodez00_bglt BGl_z62coercez12zd2vsetz121321zb0zzcoerce_coercez00(obj_t
		BgL_envz00_3615, obj_t BgL_nodez00_3616, obj_t BgL_callerz00_3617,
		obj_t BgL_toz00_3618, obj_t BgL_safez00_3619)
	{
		{	/* Coerce/coerce.scm 234 */
			{	/* Coerce/coerce.scm 237 */
				obj_t BgL_ftypez00_4053;

				{	/* Coerce/coerce.scm 237 */
					bool_t BgL_test2321z00_5330;

					{	/* Coerce/coerce.scm 237 */
						obj_t BgL_arg1699z00_4054;

						BgL_arg1699z00_4054 =
							((obj_t)
							(((BgL_vsetz12z12_bglt) COBJECT(
										((BgL_vsetz12z12_bglt) BgL_nodez00_3616)))->BgL_ftypez00));
						BgL_test2321z00_5330 =
							(BgL_arg1699z00_4054 == BGl_za2_za2z00zztype_cachez00);
					}
					if (BgL_test2321z00_5330)
						{	/* Coerce/coerce.scm 237 */
							BgL_ftypez00_4053 = BGl_za2objza2z00zztype_cachez00;
						}
					else
						{	/* Coerce/coerce.scm 237 */
							BgL_ftypez00_4053 =
								((obj_t)
								(((BgL_vsetz12z12_bglt) COBJECT(
											((BgL_vsetz12z12_bglt) BgL_nodez00_3616)))->
									BgL_ftypez00));
						}
				}
				{	/* Coerce/coerce.scm 238 */
					obj_t BgL_arg1655z00_4055;
					BgL_nodez00_bglt BgL_arg1656z00_4056;

					BgL_arg1655z00_4055 =
						(((BgL_externz00_bglt) COBJECT(
								((BgL_externz00_bglt)
									((BgL_vsetz12z12_bglt) BgL_nodez00_3616))))->BgL_exprza2za2);
					{	/* Coerce/coerce.scm 238 */
						obj_t BgL_arg1657z00_4057;
						BgL_typez00_bglt BgL_arg1660z00_4058;

						{	/* Coerce/coerce.scm 238 */
							obj_t BgL_pairz00_4059;

							BgL_pairz00_4059 =
								(((BgL_externz00_bglt) COBJECT(
										((BgL_externz00_bglt)
											((BgL_vsetz12z12_bglt) BgL_nodez00_3616))))->
								BgL_exprza2za2);
							BgL_arg1657z00_4057 = CAR(BgL_pairz00_4059);
						}
						BgL_arg1660z00_4058 =
							(((BgL_vsetz12z12_bglt) COBJECT(
									((BgL_vsetz12z12_bglt) BgL_nodez00_3616)))->BgL_vtypez00);
						BgL_arg1656z00_4056 =
							BGl_coercez12z12zzcoerce_coercez00(
							((BgL_nodez00_bglt) BgL_arg1657z00_4057), BgL_callerz00_3617,
							BgL_arg1660z00_4058, CBOOL(BgL_safez00_3619));
					}
					{	/* Coerce/coerce.scm 238 */
						obj_t BgL_auxz00_5352;
						obj_t BgL_tmpz00_5350;

						BgL_auxz00_5352 = ((obj_t) BgL_arg1656z00_4056);
						BgL_tmpz00_5350 = ((obj_t) BgL_arg1655z00_4055);
						SET_CAR(BgL_tmpz00_5350, BgL_auxz00_5352);
					}
				}
				{	/* Coerce/coerce.scm 239 */
					obj_t BgL_arg1664z00_4060;
					BgL_nodez00_bglt BgL_arg1673z00_4061;

					{	/* Coerce/coerce.scm 239 */
						obj_t BgL_pairz00_4062;

						BgL_pairz00_4062 =
							(((BgL_externz00_bglt) COBJECT(
									((BgL_externz00_bglt)
										((BgL_vsetz12z12_bglt) BgL_nodez00_3616))))->
							BgL_exprza2za2);
						BgL_arg1664z00_4060 = CDR(BgL_pairz00_4062);
					}
					{	/* Coerce/coerce.scm 239 */
						obj_t BgL_arg1675z00_4063;
						BgL_typez00_bglt BgL_arg1677z00_4064;

						{	/* Coerce/coerce.scm 239 */
							obj_t BgL_pairz00_4065;

							BgL_pairz00_4065 =
								(((BgL_externz00_bglt) COBJECT(
										((BgL_externz00_bglt)
											((BgL_vsetz12z12_bglt) BgL_nodez00_3616))))->
								BgL_exprza2za2);
							BgL_arg1675z00_4063 = CAR(CDR(BgL_pairz00_4065));
						}
						BgL_arg1677z00_4064 =
							(((BgL_vsetz12z12_bglt) COBJECT(
									((BgL_vsetz12z12_bglt) BgL_nodez00_3616)))->BgL_otypez00);
						BgL_arg1673z00_4061 =
							BGl_coercez12z12zzcoerce_coercez00(
							((BgL_nodez00_bglt) BgL_arg1675z00_4063), BgL_callerz00_3617,
							BgL_arg1677z00_4064, CBOOL(BgL_safez00_3619));
					}
					{	/* Coerce/coerce.scm 239 */
						obj_t BgL_auxz00_5371;
						obj_t BgL_tmpz00_5369;

						BgL_auxz00_5371 = ((obj_t) BgL_arg1673z00_4061);
						BgL_tmpz00_5369 = ((obj_t) BgL_arg1664z00_4060);
						SET_CAR(BgL_tmpz00_5369, BgL_auxz00_5371);
					}
				}
				{	/* Coerce/coerce.scm 240 */
					obj_t BgL_arg1680z00_4066;
					BgL_nodez00_bglt BgL_arg1686z00_4067;

					{	/* Coerce/coerce.scm 240 */
						obj_t BgL_pairz00_4068;

						BgL_pairz00_4068 =
							(((BgL_externz00_bglt) COBJECT(
									((BgL_externz00_bglt)
										((BgL_vsetz12z12_bglt) BgL_nodez00_3616))))->
							BgL_exprza2za2);
						BgL_arg1680z00_4066 = CDR(CDR(BgL_pairz00_4068));
					}
					{	/* Coerce/coerce.scm 240 */
						obj_t BgL_arg1692z00_4069;

						{	/* Coerce/coerce.scm 240 */
							obj_t BgL_pairz00_4070;

							BgL_pairz00_4070 =
								(((BgL_externz00_bglt) COBJECT(
										((BgL_externz00_bglt)
											((BgL_vsetz12z12_bglt) BgL_nodez00_3616))))->
								BgL_exprza2za2);
							BgL_arg1692z00_4069 = CAR(CDR(CDR(BgL_pairz00_4070)));
						}
						BgL_arg1686z00_4067 =
							BGl_coercez12z12zzcoerce_coercez00(
							((BgL_nodez00_bglt) BgL_arg1692z00_4069), BgL_callerz00_3617,
							((BgL_typez00_bglt) BgL_ftypez00_4053), CBOOL(BgL_safez00_3619));
					}
					{	/* Coerce/coerce.scm 240 */
						obj_t BgL_auxz00_5391;
						obj_t BgL_tmpz00_5389;

						BgL_auxz00_5391 = ((obj_t) BgL_arg1686z00_4067);
						BgL_tmpz00_5389 = ((obj_t) BgL_arg1680z00_4066);
						SET_CAR(BgL_tmpz00_5389, BgL_auxz00_5391);
					}
				}
				{	/* Coerce/coerce.scm 241 */
					BgL_typez00_bglt BgL_arg1695z00_4071;

					BgL_arg1695z00_4071 =
						(((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_vsetz12z12_bglt) BgL_nodez00_3616))))->BgL_typez00);
					return
						BGl_convertz12z12zzcoerce_convertz00(
						((BgL_nodez00_bglt)
							((BgL_vsetz12z12_bglt) BgL_nodez00_3616)), BgL_arg1695z00_4071,
						((BgL_typez00_bglt) BgL_toz00_3618), CBOOL(BgL_safez00_3619));
				}
			}
		}

	}



/* &coerce!-vref1319 */
	BgL_nodez00_bglt BGl_z62coercez12zd2vref1319za2zzcoerce_coercez00(obj_t
		BgL_envz00_3620, obj_t BgL_nodez00_3621, obj_t BgL_callerz00_3622,
		obj_t BgL_toz00_3623, obj_t BgL_safez00_3624)
	{
		{	/* Coerce/coerce.scm 218 */
			{	/* Coerce/coerce.scm 226 */
				obj_t BgL_ftypez00_4073;

				{	/* Coerce/coerce.scm 226 */
					bool_t BgL_test2322z00_5402;

					{	/* Coerce/coerce.scm 226 */
						obj_t BgL_arg1653z00_4074;

						BgL_arg1653z00_4074 =
							((obj_t)
							(((BgL_vrefz00_bglt) COBJECT(
										((BgL_vrefz00_bglt) BgL_nodez00_3621)))->BgL_ftypez00));
						BgL_test2322z00_5402 =
							(BgL_arg1653z00_4074 == BGl_za2_za2z00zztype_cachez00);
					}
					if (BgL_test2322z00_5402)
						{	/* Coerce/coerce.scm 226 */
							BgL_ftypez00_4073 = BGl_za2objza2z00zztype_cachez00;
						}
					else
						{	/* Coerce/coerce.scm 226 */
							BgL_ftypez00_4073 =
								((obj_t)
								(((BgL_vrefz00_bglt) COBJECT(
											((BgL_vrefz00_bglt) BgL_nodez00_3621)))->BgL_ftypez00));
						}
				}
				{	/* Coerce/coerce.scm 227 */
					obj_t BgL_arg1625z00_4075;
					BgL_nodez00_bglt BgL_arg1626z00_4076;

					BgL_arg1625z00_4075 =
						(((BgL_externz00_bglt) COBJECT(
								((BgL_externz00_bglt)
									((BgL_vrefz00_bglt) BgL_nodez00_3621))))->BgL_exprza2za2);
					{	/* Coerce/coerce.scm 227 */
						obj_t BgL_arg1631z00_4077;
						BgL_typez00_bglt BgL_arg1632z00_4078;

						{	/* Coerce/coerce.scm 227 */
							obj_t BgL_pairz00_4079;

							BgL_pairz00_4079 =
								(((BgL_externz00_bglt) COBJECT(
										((BgL_externz00_bglt)
											((BgL_vrefz00_bglt) BgL_nodez00_3621))))->BgL_exprza2za2);
							BgL_arg1631z00_4077 = CAR(BgL_pairz00_4079);
						}
						BgL_arg1632z00_4078 =
							(((BgL_vrefz00_bglt) COBJECT(
									((BgL_vrefz00_bglt) BgL_nodez00_3621)))->BgL_vtypez00);
						BgL_arg1626z00_4076 =
							BGl_coercez12z12zzcoerce_coercez00(
							((BgL_nodez00_bglt) BgL_arg1631z00_4077), BgL_callerz00_3622,
							BgL_arg1632z00_4078, CBOOL(BgL_safez00_3624));
					}
					{	/* Coerce/coerce.scm 227 */
						obj_t BgL_auxz00_5424;
						obj_t BgL_tmpz00_5422;

						BgL_auxz00_5424 = ((obj_t) BgL_arg1626z00_4076);
						BgL_tmpz00_5422 = ((obj_t) BgL_arg1625z00_4075);
						SET_CAR(BgL_tmpz00_5422, BgL_auxz00_5424);
					}
				}
				{	/* Coerce/coerce.scm 228 */
					obj_t BgL_arg1635z00_4080;
					BgL_nodez00_bglt BgL_arg1638z00_4081;

					{	/* Coerce/coerce.scm 228 */
						obj_t BgL_pairz00_4082;

						BgL_pairz00_4082 =
							(((BgL_externz00_bglt) COBJECT(
									((BgL_externz00_bglt)
										((BgL_vrefz00_bglt) BgL_nodez00_3621))))->BgL_exprza2za2);
						BgL_arg1635z00_4080 = CDR(BgL_pairz00_4082);
					}
					{	/* Coerce/coerce.scm 228 */
						obj_t BgL_arg1643z00_4083;
						BgL_typez00_bglt BgL_arg1648z00_4084;

						{	/* Coerce/coerce.scm 228 */
							obj_t BgL_pairz00_4085;

							BgL_pairz00_4085 =
								(((BgL_externz00_bglt) COBJECT(
										((BgL_externz00_bglt)
											((BgL_vrefz00_bglt) BgL_nodez00_3621))))->BgL_exprza2za2);
							BgL_arg1643z00_4083 = CAR(CDR(BgL_pairz00_4085));
						}
						BgL_arg1648z00_4084 =
							(((BgL_vrefz00_bglt) COBJECT(
									((BgL_vrefz00_bglt) BgL_nodez00_3621)))->BgL_otypez00);
						BgL_arg1638z00_4081 =
							BGl_coercez12z12zzcoerce_coercez00(
							((BgL_nodez00_bglt) BgL_arg1643z00_4083), BgL_callerz00_3622,
							BgL_arg1648z00_4084, CBOOL(BgL_safez00_3624));
					}
					{	/* Coerce/coerce.scm 228 */
						obj_t BgL_auxz00_5443;
						obj_t BgL_tmpz00_5441;

						BgL_auxz00_5443 = ((obj_t) BgL_arg1638z00_4081);
						BgL_tmpz00_5441 = ((obj_t) BgL_arg1635z00_4080);
						SET_CAR(BgL_tmpz00_5441, BgL_auxz00_5443);
					}
				}
				return
					BGl_convertz12z12zzcoerce_convertz00(
					((BgL_nodez00_bglt)
						((BgL_vrefz00_bglt) BgL_nodez00_3621)),
					((BgL_typez00_bglt) BgL_ftypez00_4073),
					((BgL_typez00_bglt) BgL_toz00_3623), CBOOL(BgL_safez00_3624));
			}
		}

	}



/* &coerce!-valloc1317 */
	BgL_nodez00_bglt BGl_z62coercez12zd2valloc1317za2zzcoerce_coercez00(obj_t
		BgL_envz00_3625, obj_t BgL_nodez00_3626, obj_t BgL_callerz00_3627,
		obj_t BgL_toz00_3628, obj_t BgL_safez00_3629)
	{
		{	/* Coerce/coerce.scm 210 */
			{	/* Coerce/coerce.scm 212 */
				obj_t BgL_arg1592z00_4087;
				BgL_nodez00_bglt BgL_arg1593z00_4088;

				BgL_arg1592z00_4087 =
					(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt)
								((BgL_vallocz00_bglt) BgL_nodez00_3626))))->BgL_exprza2za2);
				{	/* Coerce/coerce.scm 212 */
					obj_t BgL_arg1597z00_4089;
					BgL_typez00_bglt BgL_arg1605z00_4090;

					{	/* Coerce/coerce.scm 212 */
						obj_t BgL_pairz00_4091;

						BgL_pairz00_4091 =
							(((BgL_externz00_bglt) COBJECT(
									((BgL_externz00_bglt)
										((BgL_vallocz00_bglt) BgL_nodez00_3626))))->BgL_exprza2za2);
						BgL_arg1597z00_4089 = CAR(BgL_pairz00_4091);
					}
					BgL_arg1605z00_4090 =
						(((BgL_vallocz00_bglt) COBJECT(
								((BgL_vallocz00_bglt) BgL_nodez00_3626)))->BgL_otypez00);
					BgL_arg1593z00_4088 =
						BGl_coercez12z12zzcoerce_coercez00(
						((BgL_nodez00_bglt) BgL_arg1597z00_4089), BgL_callerz00_3627,
						BgL_arg1605z00_4090, CBOOL(BgL_safez00_3629));
				}
				{	/* Coerce/coerce.scm 212 */
					obj_t BgL_auxz00_5466;
					obj_t BgL_tmpz00_5464;

					BgL_auxz00_5466 = ((obj_t) BgL_arg1593z00_4088);
					BgL_tmpz00_5464 = ((obj_t) BgL_arg1592z00_4087);
					SET_CAR(BgL_tmpz00_5464, BgL_auxz00_5466);
				}
			}
			{	/* Coerce/coerce.scm 213 */
				BgL_typez00_bglt BgL_arg1612z00_4092;

				BgL_arg1612z00_4092 =
					(((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt)
								((BgL_vallocz00_bglt) BgL_nodez00_3626))))->BgL_typez00);
				return
					BGl_convertz12z12zzcoerce_convertz00(
					((BgL_nodez00_bglt)
						((BgL_vallocz00_bglt) BgL_nodez00_3626)), BgL_arg1612z00_4092,
					((BgL_typez00_bglt) BgL_toz00_3628), CBOOL(BgL_safez00_3629));
			}
		}

	}



/* &coerce!-new1315 */
	BgL_nodez00_bglt BGl_z62coercez12zd2new1315za2zzcoerce_coercez00(obj_t
		BgL_envz00_3630, obj_t BgL_nodez00_3631, obj_t BgL_callerz00_3632,
		obj_t BgL_toz00_3633, obj_t BgL_safez00_3634)
	{
		{	/* Coerce/coerce.scm 196 */
			{
				obj_t BgL_lz00_4095;

				{	/* Coerce/coerce.scm 198 */
					obj_t BgL_arg1578z00_4101;

					BgL_arg1578z00_4101 =
						(((BgL_externz00_bglt) COBJECT(
								((BgL_externz00_bglt)
									((BgL_newz00_bglt) BgL_nodez00_3631))))->BgL_exprza2za2);
					BgL_lz00_4095 = BgL_arg1578z00_4101;
				BgL_loopz00_4094:
					if (NULLP(BgL_lz00_4095))
						{	/* Coerce/coerce.scm 200 */
							BgL_typez00_bglt BgL_arg1581z00_4096;

							BgL_arg1581z00_4096 =
								(((BgL_nodez00_bglt) COBJECT(
										((BgL_nodez00_bglt)
											((BgL_newz00_bglt) BgL_nodez00_3631))))->BgL_typez00);
							BGl_convertz12z12zzcoerce_convertz00(
								((BgL_nodez00_bglt)
									((BgL_newz00_bglt) BgL_nodez00_3631)), BgL_arg1581z00_4096,
								((BgL_typez00_bglt) BgL_toz00_3633), CBOOL(BgL_safez00_3634));
						}
					else
						{	/* Coerce/coerce.scm 201 */
							obj_t BgL_vz00_4097;

							BgL_vz00_4097 = CAR(((obj_t) BgL_lz00_4095));
							{	/* Coerce/coerce.scm 201 */
								BgL_nodez00_bglt BgL_nvz00_4098;

								{	/* Coerce/coerce.scm 202 */
									BgL_typez00_bglt BgL_arg1588z00_4099;

									BgL_arg1588z00_4099 =
										BGl_getzd2typezd2zztype_typeofz00(
										((BgL_nodez00_bglt) BgL_vz00_4097), ((bool_t) 0));
									BgL_nvz00_4098 =
										BGl_coercez12z12zzcoerce_coercez00(
										((BgL_nodez00_bglt) BgL_vz00_4097), BgL_callerz00_3632,
										BgL_arg1588z00_4099, CBOOL(BgL_safez00_3634));
								}
								{	/* Coerce/coerce.scm 202 */

									{	/* Coerce/coerce.scm 203 */
										obj_t BgL_auxz00_5499;
										obj_t BgL_tmpz00_5497;

										BgL_auxz00_5499 = ((obj_t) BgL_nvz00_4098);
										BgL_tmpz00_5497 = ((obj_t) BgL_lz00_4095);
										SET_CAR(BgL_tmpz00_5497, BgL_auxz00_5499);
									}
									{	/* Coerce/coerce.scm 204 */
										obj_t BgL_arg1587z00_4100;

										BgL_arg1587z00_4100 = CDR(((obj_t) BgL_lz00_4095));
										{
											obj_t BgL_lz00_5504;

											BgL_lz00_5504 = BgL_arg1587z00_4100;
											BgL_lz00_4095 = BgL_lz00_5504;
											goto BgL_loopz00_4094;
										}
									}
								}
							}
						}
				}
			}
			{	/* Coerce/coerce.scm 205 */
				BgL_typez00_bglt BgL_arg1590z00_4102;

				BgL_arg1590z00_4102 =
					(((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt)
								((BgL_newz00_bglt) BgL_nodez00_3631))))->BgL_typez00);
				return
					BGl_convertz12z12zzcoerce_convertz00(
					((BgL_nodez00_bglt)
						((BgL_newz00_bglt) BgL_nodez00_3631)), BgL_arg1590z00_4102,
					((BgL_typez00_bglt) BgL_toz00_3633), CBOOL(BgL_safez00_3634));
			}
		}

	}



/* &coerce!-setfield1313 */
	BgL_nodez00_bglt BGl_z62coercez12zd2setfield1313za2zzcoerce_coercez00(obj_t
		BgL_envz00_3635, obj_t BgL_nodez00_3636, obj_t BgL_callerz00_3637,
		obj_t BgL_toz00_3638, obj_t BgL_safez00_3639)
	{
		{	/* Coerce/coerce.scm 187 */
			{	/* Coerce/coerce.scm 189 */
				obj_t BgL_arg1530z00_4104;
				BgL_nodez00_bglt BgL_arg1532z00_4105;

				BgL_arg1530z00_4104 =
					(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt)
								((BgL_setfieldz00_bglt) BgL_nodez00_3636))))->BgL_exprza2za2);
				{	/* Coerce/coerce.scm 189 */
					obj_t BgL_arg1535z00_4106;
					BgL_typez00_bglt BgL_arg1543z00_4107;

					{	/* Coerce/coerce.scm 189 */
						obj_t BgL_pairz00_4108;

						BgL_pairz00_4108 =
							(((BgL_externz00_bglt) COBJECT(
									((BgL_externz00_bglt)
										((BgL_setfieldz00_bglt) BgL_nodez00_3636))))->
							BgL_exprza2za2);
						BgL_arg1535z00_4106 = CAR(BgL_pairz00_4108);
					}
					BgL_arg1543z00_4107 =
						(((BgL_setfieldz00_bglt) COBJECT(
								((BgL_setfieldz00_bglt) BgL_nodez00_3636)))->BgL_otypez00);
					BgL_arg1532z00_4105 =
						BGl_coercez12z12zzcoerce_coercez00(
						((BgL_nodez00_bglt) BgL_arg1535z00_4106), BgL_callerz00_3637,
						BgL_arg1543z00_4107, CBOOL(BgL_safez00_3639));
				}
				{	/* Coerce/coerce.scm 189 */
					obj_t BgL_auxz00_5527;
					obj_t BgL_tmpz00_5525;

					BgL_auxz00_5527 = ((obj_t) BgL_arg1532z00_4105);
					BgL_tmpz00_5525 = ((obj_t) BgL_arg1530z00_4104);
					SET_CAR(BgL_tmpz00_5525, BgL_auxz00_5527);
				}
			}
			{	/* Coerce/coerce.scm 190 */
				obj_t BgL_arg1553z00_4109;
				BgL_nodez00_bglt BgL_arg1554z00_4110;

				{	/* Coerce/coerce.scm 190 */
					obj_t BgL_pairz00_4111;

					BgL_pairz00_4111 =
						(((BgL_externz00_bglt) COBJECT(
								((BgL_externz00_bglt)
									((BgL_setfieldz00_bglt) BgL_nodez00_3636))))->BgL_exprza2za2);
					BgL_arg1553z00_4109 = CDR(BgL_pairz00_4111);
				}
				{	/* Coerce/coerce.scm 190 */
					obj_t BgL_arg1560z00_4112;
					BgL_typez00_bglt BgL_arg1574z00_4113;

					{	/* Coerce/coerce.scm 190 */
						obj_t BgL_pairz00_4114;

						BgL_pairz00_4114 =
							(((BgL_externz00_bglt) COBJECT(
									((BgL_externz00_bglt)
										((BgL_setfieldz00_bglt) BgL_nodez00_3636))))->
							BgL_exprza2za2);
						BgL_arg1560z00_4112 = CAR(CDR(BgL_pairz00_4114));
					}
					BgL_arg1574z00_4113 =
						(((BgL_setfieldz00_bglt) COBJECT(
								((BgL_setfieldz00_bglt) BgL_nodez00_3636)))->BgL_ftypez00);
					BgL_arg1554z00_4110 =
						BGl_coercez12z12zzcoerce_coercez00(
						((BgL_nodez00_bglt) BgL_arg1560z00_4112), BgL_callerz00_3637,
						BgL_arg1574z00_4113, CBOOL(BgL_safez00_3639));
				}
				{	/* Coerce/coerce.scm 190 */
					obj_t BgL_auxz00_5546;
					obj_t BgL_tmpz00_5544;

					BgL_auxz00_5546 = ((obj_t) BgL_arg1554z00_4110);
					BgL_tmpz00_5544 = ((obj_t) BgL_arg1553z00_4109);
					SET_CAR(BgL_tmpz00_5544, BgL_auxz00_5546);
				}
			}
			return
				BGl_convertz12z12zzcoerce_convertz00(
				((BgL_nodez00_bglt)
					((BgL_setfieldz00_bglt) BgL_nodez00_3636)),
				((BgL_typez00_bglt) BGl_za2unspecza2z00zztype_cachez00),
				((BgL_typez00_bglt) BgL_toz00_3638), CBOOL(BgL_safez00_3639));
		}

	}



/* &coerce!-getfield1311 */
	BgL_nodez00_bglt BGl_z62coercez12zd2getfield1311za2zzcoerce_coercez00(obj_t
		BgL_envz00_3640, obj_t BgL_nodez00_3641, obj_t BgL_callerz00_3642,
		obj_t BgL_toz00_3643, obj_t BgL_safez00_3644)
	{
		{	/* Coerce/coerce.scm 179 */
			{	/* Coerce/coerce.scm 181 */
				obj_t BgL_arg1506z00_4116;
				BgL_nodez00_bglt BgL_arg1511z00_4117;

				BgL_arg1506z00_4116 =
					(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt)
								((BgL_getfieldz00_bglt) BgL_nodez00_3641))))->BgL_exprza2za2);
				{	/* Coerce/coerce.scm 181 */
					obj_t BgL_arg1512z00_4118;
					BgL_typez00_bglt BgL_arg1513z00_4119;

					{	/* Coerce/coerce.scm 181 */
						obj_t BgL_pairz00_4120;

						BgL_pairz00_4120 =
							(((BgL_externz00_bglt) COBJECT(
									((BgL_externz00_bglt)
										((BgL_getfieldz00_bglt) BgL_nodez00_3641))))->
							BgL_exprza2za2);
						BgL_arg1512z00_4118 = CAR(BgL_pairz00_4120);
					}
					BgL_arg1513z00_4119 =
						(((BgL_getfieldz00_bglt) COBJECT(
								((BgL_getfieldz00_bglt) BgL_nodez00_3641)))->BgL_otypez00);
					BgL_arg1511z00_4117 =
						BGl_coercez12z12zzcoerce_coercez00(
						((BgL_nodez00_bglt) BgL_arg1512z00_4118), BgL_callerz00_3642,
						BgL_arg1513z00_4119, CBOOL(BgL_safez00_3644));
				}
				{	/* Coerce/coerce.scm 181 */
					obj_t BgL_auxz00_5569;
					obj_t BgL_tmpz00_5567;

					BgL_auxz00_5569 = ((obj_t) BgL_arg1511z00_4117);
					BgL_tmpz00_5567 = ((obj_t) BgL_arg1506z00_4116);
					SET_CAR(BgL_tmpz00_5567, BgL_auxz00_5569);
				}
			}
			{	/* Coerce/coerce.scm 182 */
				BgL_typez00_bglt BgL_arg1516z00_4121;

				BgL_arg1516z00_4121 =
					(((BgL_getfieldz00_bglt) COBJECT(
							((BgL_getfieldz00_bglt) BgL_nodez00_3641)))->BgL_ftypez00);
				return
					BGl_convertz12z12zzcoerce_convertz00(
					((BgL_nodez00_bglt)
						((BgL_getfieldz00_bglt) BgL_nodez00_3641)), BgL_arg1516z00_4121,
					((BgL_typez00_bglt) BgL_toz00_3643), CBOOL(BgL_safez00_3644));
			}
		}

	}



/* &coerce!-widening1309 */
	BgL_nodez00_bglt BGl_z62coercez12zd2widening1309za2zzcoerce_coercez00(obj_t
		BgL_envz00_3645, obj_t BgL_nodez00_3646, obj_t BgL_callerz00_3647,
		obj_t BgL_toz00_3648, obj_t BgL_safez00_3649)
	{
		{	/* Coerce/coerce.scm 168 */
			{	/* Coerce/coerce.scm 172 */
				obj_t BgL_superz00_4123;

				{	/* Coerce/coerce.scm 172 */
					BgL_typez00_bglt BgL_oz00_4124;

					BgL_oz00_4124 =
						((BgL_typez00_bglt)
						(((BgL_wideningz00_bglt) COBJECT(
									((BgL_wideningz00_bglt) BgL_nodez00_3646)))->BgL_otypez00));
					{
						BgL_tclassz00_bglt BgL_auxz00_5582;

						{
							obj_t BgL_auxz00_5583;

							{	/* Coerce/coerce.scm 172 */
								BgL_objectz00_bglt BgL_tmpz00_5584;

								BgL_tmpz00_5584 = ((BgL_objectz00_bglt) BgL_oz00_4124);
								BgL_auxz00_5583 = BGL_OBJECT_WIDENING(BgL_tmpz00_5584);
							}
							BgL_auxz00_5582 = ((BgL_tclassz00_bglt) BgL_auxz00_5583);
						}
						BgL_superz00_4123 =
							(((BgL_tclassz00_bglt) COBJECT(BgL_auxz00_5582))->
							BgL_itszd2superzd2);
					}
				}
				{	/* Coerce/coerce.scm 173 */
					obj_t BgL_arg1480z00_4125;
					BgL_nodez00_bglt BgL_arg1484z00_4126;

					BgL_arg1480z00_4125 =
						(((BgL_externz00_bglt) COBJECT(
								((BgL_externz00_bglt)
									((BgL_wideningz00_bglt) BgL_nodez00_3646))))->BgL_exprza2za2);
					{	/* Coerce/coerce.scm 173 */
						obj_t BgL_arg1487z00_4127;

						{	/* Coerce/coerce.scm 173 */
							obj_t BgL_pairz00_4128;

							BgL_pairz00_4128 =
								(((BgL_externz00_bglt) COBJECT(
										((BgL_externz00_bglt)
											((BgL_wideningz00_bglt) BgL_nodez00_3646))))->
								BgL_exprza2za2);
							BgL_arg1487z00_4127 = CAR(BgL_pairz00_4128);
						}
						BgL_arg1484z00_4126 =
							BGl_coercez12z12zzcoerce_coercez00(
							((BgL_nodez00_bglt) BgL_arg1487z00_4127), BgL_callerz00_3647,
							((BgL_typez00_bglt) BgL_superz00_4123), CBOOL(BgL_safez00_3649));
					}
					{	/* Coerce/coerce.scm 173 */
						obj_t BgL_auxz00_5602;
						obj_t BgL_tmpz00_5600;

						BgL_auxz00_5602 = ((obj_t) BgL_arg1484z00_4126);
						BgL_tmpz00_5600 = ((obj_t) BgL_arg1480z00_4125);
						SET_CAR(BgL_tmpz00_5600, BgL_auxz00_5602);
					}
				}
				return
					BGl_convertz12z12zzcoerce_convertz00(
					((BgL_nodez00_bglt)
						((BgL_wideningz00_bglt) BgL_nodez00_3646)),
					((BgL_typez00_bglt) BGl_za2objza2z00zztype_cachez00),
					((BgL_typez00_bglt) BgL_toz00_3648), CBOOL(BgL_safez00_3649));
			}
		}

	}



/* &coerce!-extern1307 */
	BgL_nodez00_bglt BGl_z62coercez12zd2extern1307za2zzcoerce_coercez00(obj_t
		BgL_envz00_3650, obj_t BgL_nodez00_3651, obj_t BgL_callerz00_3652,
		obj_t BgL_toz00_3653, obj_t BgL_safez00_3654)
	{
		{	/* Coerce/coerce.scm 155 */
			{
				obj_t BgL_valuesz00_4131;

				BgL_valuesz00_4131 =
					(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt) BgL_nodez00_3651)))->BgL_exprza2za2);
			BgL_loopz00_4130:
				if (NULLP(BgL_valuesz00_4131))
					{	/* Coerce/coerce.scm 159 */
						BgL_typez00_bglt BgL_arg1446z00_4132;

						BgL_arg1446z00_4132 =
							BGl_getzd2typezd2zztype_typeofz00(
							((BgL_nodez00_bglt)
								((BgL_externz00_bglt) BgL_nodez00_3651)), ((bool_t) 0));
						return
							BGl_convertz12z12zzcoerce_convertz00(
							((BgL_nodez00_bglt)
								((BgL_externz00_bglt) BgL_nodez00_3651)), BgL_arg1446z00_4132,
							((BgL_typez00_bglt) BgL_toz00_3653), CBOOL(BgL_safez00_3654));
					}
				else
					{	/* Coerce/coerce.scm 160 */
						obj_t BgL_vz00_4133;

						BgL_vz00_4133 = CAR(((obj_t) BgL_valuesz00_4131));
						{	/* Coerce/coerce.scm 160 */
							BgL_nodez00_bglt BgL_nvz00_4134;

							{	/* Coerce/coerce.scm 161 */
								BgL_typez00_bglt BgL_arg1471z00_4135;

								BgL_arg1471z00_4135 =
									BGl_getzd2typezd2zztype_typeofz00(
									((BgL_nodez00_bglt) BgL_vz00_4133), ((bool_t) 0));
								BgL_nvz00_4134 =
									BGl_coercez12z12zzcoerce_coercez00(
									((BgL_nodez00_bglt) BgL_vz00_4133), BgL_callerz00_3652,
									BgL_arg1471z00_4135, CBOOL(BgL_safez00_3654));
							}
							{	/* Coerce/coerce.scm 161 */

								{	/* Coerce/coerce.scm 162 */
									obj_t BgL_auxz00_5630;
									obj_t BgL_tmpz00_5628;

									BgL_auxz00_5630 = ((obj_t) BgL_nvz00_4134);
									BgL_tmpz00_5628 = ((obj_t) BgL_valuesz00_4131);
									SET_CAR(BgL_tmpz00_5628, BgL_auxz00_5630);
								}
								{	/* Coerce/coerce.scm 163 */
									obj_t BgL_arg1457z00_4136;

									BgL_arg1457z00_4136 = CDR(((obj_t) BgL_valuesz00_4131));
									{
										obj_t BgL_valuesz00_5635;

										BgL_valuesz00_5635 = BgL_arg1457z00_4136;
										BgL_valuesz00_4131 = BgL_valuesz00_5635;
										goto BgL_loopz00_4130;
									}
								}
							}
						}
					}
			}
		}

	}



/* &coerce!-sync1305 */
	BgL_nodez00_bglt BGl_z62coercez12zd2sync1305za2zzcoerce_coercez00(obj_t
		BgL_envz00_3655, obj_t BgL_nodez00_3656, obj_t BgL_callerz00_3657,
		obj_t BgL_toz00_3658, obj_t BgL_safez00_3659)
	{
		{	/* Coerce/coerce.scm 144 */
			{
				BgL_nodez00_bglt BgL_auxz00_5638;

				{	/* Coerce/coerce.scm 146 */
					BgL_nodez00_bglt BgL_arg1414z00_4138;

					BgL_arg1414z00_4138 =
						(((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_3656)))->BgL_mutexz00);
					BgL_auxz00_5638 =
						BGl_coercez12z12zzcoerce_coercez00(BgL_arg1414z00_4138,
						BgL_callerz00_3657,
						((BgL_typez00_bglt) BGl_za2mutexza2z00zztype_cachez00),
						CBOOL(BgL_safez00_3659));
				}
				((((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_3656)))->BgL_mutexz00) =
					((BgL_nodez00_bglt) BgL_auxz00_5638), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_5646;

				{	/* Coerce/coerce.scm 147 */
					BgL_nodez00_bglt BgL_arg1415z00_4139;

					BgL_arg1415z00_4139 =
						(((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_3656)))->BgL_prelockz00);
					BgL_auxz00_5646 =
						BGl_coercez12z12zzcoerce_coercez00(BgL_arg1415z00_4139,
						BgL_callerz00_3657,
						((BgL_typez00_bglt) BGl_za2pairzd2nilza2zd2zztype_cachez00),
						CBOOL(BgL_safez00_3659));
				}
				((((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_3656)))->BgL_prelockz00) =
					((BgL_nodez00_bglt) BgL_auxz00_5646), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_5654;

				{	/* Coerce/coerce.scm 148 */
					BgL_nodez00_bglt BgL_arg1416z00_4140;

					BgL_arg1416z00_4140 =
						(((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_3656)))->BgL_bodyz00);
					BgL_auxz00_5654 =
						BGl_coercez12z12zzcoerce_coercez00(BgL_arg1416z00_4140,
						BgL_callerz00_3657, ((BgL_typez00_bglt) BgL_toz00_3658),
						CBOOL(BgL_safez00_3659));
				}
				((((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_3656)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_5654), BUNSPEC);
			}
			{
				BgL_typez00_bglt BgL_auxz00_5662;

				{	/* Coerce/coerce.scm 149 */
					BgL_typez00_bglt BgL_arg1417z00_4141;

					BgL_arg1417z00_4141 =
						(((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_syncz00_bglt) BgL_nodez00_3656))))->BgL_typez00);
					BgL_auxz00_5662 =
						BGl_strictzd2nodezd2typez00zzast_nodez00(
						((BgL_typez00_bglt) BgL_toz00_3658), BgL_arg1417z00_4141);
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_syncz00_bglt) BgL_nodez00_3656))))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_auxz00_5662), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_syncz00_bglt) BgL_nodez00_3656));
		}

	}



/* &coerce!-sequence1303 */
	BgL_nodez00_bglt BGl_z62coercez12zd2sequence1303za2zzcoerce_coercez00(obj_t
		BgL_envz00_3660, obj_t BgL_nodez00_3661, obj_t BgL_callerz00_3662,
		obj_t BgL_toz00_3663, obj_t BgL_safez00_3664)
	{
		{	/* Coerce/coerce.scm 127 */
			{	/* Coerce/coerce.scm 129 */
				obj_t BgL_sz00_4143;

				if (
					(((BgL_sequencez00_bglt) COBJECT(
								((BgL_sequencez00_bglt) BgL_nodez00_3661)))->BgL_unsafez00))
					{	/* Coerce/coerce.scm 129 */
						BgL_sz00_4143 = BFALSE;
					}
				else
					{	/* Coerce/coerce.scm 129 */
						BgL_sz00_4143 = BgL_safez00_3664;
					}
				{
					obj_t BgL_nodesz00_4145;

					{	/* Coerce/coerce.scm 130 */
						obj_t BgL_arg1388z00_4152;

						BgL_arg1388z00_4152 =
							(((BgL_sequencez00_bglt) COBJECT(
									((BgL_sequencez00_bglt) BgL_nodez00_3661)))->BgL_nodesz00);
						{
							BgL_sequencez00_bglt BgL_auxz00_5678;

							BgL_nodesz00_4145 = BgL_arg1388z00_4152;
						BgL_loopz00_4144:
							{	/* Coerce/coerce.scm 131 */
								obj_t BgL_nz00_4146;

								BgL_nz00_4146 = CAR(((obj_t) BgL_nodesz00_4145));
								if (NULLP(CDR(((obj_t) BgL_nodesz00_4145))))
									{	/* Coerce/coerce.scm 132 */
										{	/* Coerce/coerce.scm 134 */
											BgL_nodez00_bglt BgL_arg1392z00_4147;

											BgL_arg1392z00_4147 =
												BGl_coercez12z12zzcoerce_coercez00(
												((BgL_nodez00_bglt) BgL_nz00_4146), BgL_callerz00_3662,
												((BgL_typez00_bglt) BgL_toz00_3663),
												CBOOL(BgL_sz00_4143));
											{	/* Coerce/coerce.scm 134 */
												obj_t BgL_auxz00_5691;
												obj_t BgL_tmpz00_5689;

												BgL_auxz00_5691 = ((obj_t) BgL_arg1392z00_4147);
												BgL_tmpz00_5689 = ((obj_t) BgL_nodesz00_4145);
												SET_CAR(BgL_tmpz00_5689, BgL_auxz00_5691);
											}
										}
										{
											BgL_typez00_bglt BgL_auxz00_5694;

											{	/* Coerce/coerce.scm 135 */
												BgL_typez00_bglt BgL_arg1400z00_4148;

												BgL_arg1400z00_4148 =
													(((BgL_nodez00_bglt) COBJECT(
															((BgL_nodez00_bglt)
																((BgL_sequencez00_bglt) BgL_nodez00_3661))))->
													BgL_typez00);
												BgL_auxz00_5694 =
													BGl_strictzd2nodezd2typez00zzast_nodez00((
														(BgL_typez00_bglt) BgL_toz00_3663),
													BgL_arg1400z00_4148);
											}
											((((BgL_nodez00_bglt) COBJECT(
															((BgL_nodez00_bglt)
																((BgL_sequencez00_bglt) BgL_nodez00_3661))))->
													BgL_typez00) =
												((BgL_typez00_bglt) BgL_auxz00_5694), BUNSPEC);
										}
										BgL_auxz00_5678 = ((BgL_sequencez00_bglt) BgL_nodez00_3661);
									}
								else
									{	/* Coerce/coerce.scm 132 */
										{	/* Coerce/coerce.scm 138 */
											BgL_nodez00_bglt BgL_arg1401z00_4149;

											{	/* Coerce/coerce.scm 138 */
												BgL_typez00_bglt BgL_arg1402z00_4150;

												BgL_arg1402z00_4150 =
													BGl_getzd2typezd2zztype_typeofz00(
													((BgL_nodez00_bglt) BgL_nz00_4146), ((bool_t) 0));
												BgL_arg1401z00_4149 =
													BGl_coercez12z12zzcoerce_coercez00(
													((BgL_nodez00_bglt) BgL_nz00_4146),
													BgL_callerz00_3662, BgL_arg1402z00_4150,
													CBOOL(BgL_sz00_4143));
											}
											{	/* Coerce/coerce.scm 138 */
												obj_t BgL_auxz00_5711;
												obj_t BgL_tmpz00_5709;

												BgL_auxz00_5711 = ((obj_t) BgL_arg1401z00_4149);
												BgL_tmpz00_5709 = ((obj_t) BgL_nodesz00_4145);
												SET_CAR(BgL_tmpz00_5709, BgL_auxz00_5711);
											}
										}
										{	/* Coerce/coerce.scm 139 */
											obj_t BgL_arg1403z00_4151;

											BgL_arg1403z00_4151 = CDR(((obj_t) BgL_nodesz00_4145));
											{
												obj_t BgL_nodesz00_5716;

												BgL_nodesz00_5716 = BgL_arg1403z00_4151;
												BgL_nodesz00_4145 = BgL_nodesz00_5716;
												goto BgL_loopz00_4144;
											}
										}
									}
							}
							return ((BgL_nodez00_bglt) BgL_auxz00_5678);
						}
					}
				}
			}
		}

	}



/* &coerce!-closure1301 */
	BgL_nodez00_bglt BGl_z62coercez12zd2closure1301za2zzcoerce_coercez00(obj_t
		BgL_envz00_3665, obj_t BgL_nodez00_3666, obj_t BgL_callerz00_3667,
		obj_t BgL_toz00_3668, obj_t BgL_safez00_3669)
	{
		{	/* Coerce/coerce.scm 121 */
			{	/* Coerce/coerce.scm 122 */
				obj_t BgL_arg1386z00_4154;

				BgL_arg1386z00_4154 =
					BGl_shapez00zztools_shapez00(
					((obj_t) ((BgL_closurez00_bglt) BgL_nodez00_3666)));
				return
					((BgL_nodez00_bglt)
					BGl_internalzd2errorzd2zztools_errorz00
					(BGl_string2124z00zzcoerce_coercez00,
						BGl_string2156z00zzcoerce_coercez00, BgL_arg1386z00_4154));
			}
		}

	}



/* &coerce!-var1298 */
	BgL_nodez00_bglt BGl_z62coercez12zd2var1298za2zzcoerce_coercez00(obj_t
		BgL_envz00_3670, obj_t BgL_nodez00_3671, obj_t BgL_callerz00_3672,
		obj_t BgL_toz00_3673, obj_t BgL_safez00_3674)
	{
		{	/* Coerce/coerce.scm 106 */
			{	/* Coerce/coerce.scm 108 */
				obj_t BgL_ntypez00_4156;
				obj_t BgL_vtypez00_4157;

				BgL_ntypez00_4156 =
					((obj_t)
					BGl_getzd2typezd2zztype_typeofz00(
						((BgL_nodez00_bglt)
							((BgL_varz00_bglt) BgL_nodez00_3671)), ((bool_t) 0)));
				BgL_vtypez00_4157 =
					((obj_t)
					(((BgL_variablez00_bglt) COBJECT(
								(((BgL_varz00_bglt) COBJECT(
											((BgL_varz00_bglt) BgL_nodez00_3671)))->
									BgL_variablez00)))->BgL_typez00));
				if ((BgL_vtypez00_4157 == BgL_toz00_3673))
					{	/* Coerce/coerce.scm 111 */
						return ((BgL_nodez00_bglt) ((BgL_varz00_bglt) BgL_nodez00_3671));
					}
				else
					{	/* Coerce/coerce.scm 111 */
						if ((BgL_ntypez00_4156 == BgL_vtypez00_4157))
							{	/* Coerce/coerce.scm 113 */
								return
									BGl_convertz12z12zzcoerce_convertz00(
									((BgL_nodez00_bglt)
										((BgL_varz00_bglt) BgL_nodez00_3671)),
									((BgL_typez00_bglt) BgL_ntypez00_4156),
									((BgL_typez00_bglt) BgL_toz00_3673), CBOOL(BgL_safez00_3674));
							}
						else
							{	/* Coerce/coerce.scm 116 */
								BgL_nodez00_bglt BgL_arg1383z00_4158;

								BgL_arg1383z00_4158 =
									BGl_convertz12z12zzcoerce_convertz00(
									((BgL_nodez00_bglt)
										((BgL_varz00_bglt) BgL_nodez00_3671)),
									((BgL_typez00_bglt) BgL_vtypez00_4157),
									((BgL_typez00_bglt) BgL_ntypez00_4156), ((bool_t) 0));
								return
									BGl_convertz12z12zzcoerce_convertz00(BgL_arg1383z00_4158,
									((BgL_typez00_bglt) BgL_ntypez00_4156),
									((BgL_typez00_bglt) BgL_toz00_3673), CBOOL(BgL_safez00_3674));
							}
					}
			}
		}

	}



/* &coerce!-kwote1296 */
	BgL_nodez00_bglt BGl_z62coercez12zd2kwote1296za2zzcoerce_coercez00(obj_t
		BgL_envz00_3675, obj_t BgL_nodez00_3676, obj_t BgL_callerz00_3677,
		obj_t BgL_toz00_3678, obj_t BgL_safez00_3679)
	{
		{	/* Coerce/coerce.scm 91 */
			{	/* Coerce/coerce.scm 92 */
				BgL_typez00_bglt BgL_arg1382z00_4160;

				BgL_arg1382z00_4160 =
					BGl_getzd2typezd2zztype_typeofz00(
					((BgL_nodez00_bglt)
						((BgL_kwotez00_bglt) BgL_nodez00_3676)), ((bool_t) 0));
				return
					BGl_convertz12z12zzcoerce_convertz00(
					((BgL_nodez00_bglt)
						((BgL_kwotez00_bglt) BgL_nodez00_3676)), BgL_arg1382z00_4160,
					((BgL_typez00_bglt) BgL_toz00_3678), CBOOL(BgL_safez00_3679));
			}
		}

	}



/* &coerce!-atom1294 */
	BgL_nodez00_bglt BGl_z62coercez12zd2atom1294za2zzcoerce_coercez00(obj_t
		BgL_envz00_3680, obj_t BgL_nodez00_3681, obj_t BgL_callerz00_3682,
		obj_t BgL_toz00_3683, obj_t BgL_safez00_3684)
	{
		{	/* Coerce/coerce.scm 85 */
			{	/* Coerce/coerce.scm 86 */
				BgL_typez00_bglt BgL_arg1380z00_4162;

				BgL_arg1380z00_4162 =
					BGl_getzd2typezd2zztype_typeofz00(
					((BgL_nodez00_bglt)
						((BgL_atomz00_bglt) BgL_nodez00_3681)), ((bool_t) 0));
				return
					BGl_convertz12z12zzcoerce_convertz00(
					((BgL_nodez00_bglt)
						((BgL_atomz00_bglt) BgL_nodez00_3681)), BgL_arg1380z00_4162,
					((BgL_typez00_bglt) BgL_toz00_3683), CBOOL(BgL_safez00_3684));
			}
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzcoerce_coercez00(void)
	{
		{	/* Coerce/coerce.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(54713316L,
				BSTRING_TO_STRING(BGl_string2157z00zzcoerce_coercez00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(161876678L,
				BSTRING_TO_STRING(BGl_string2157z00zzcoerce_coercez00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(365925558L,
				BSTRING_TO_STRING(BGl_string2157z00zzcoerce_coercez00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(300504031L,
				BSTRING_TO_STRING(BGl_string2157z00zzcoerce_coercez00));
			BGl_modulezd2initializa7ationz75zztype_typez00(515343395L,
				BSTRING_TO_STRING(BGl_string2157z00zzcoerce_coercez00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(489890788L,
				BSTRING_TO_STRING(BGl_string2157z00zzcoerce_coercez00));
			BGl_modulezd2initializa7ationz75zztype_coercionz00(116865673L,
				BSTRING_TO_STRING(BGl_string2157z00zzcoerce_coercez00));
			BGl_modulezd2initializa7ationz75zztype_typeofz00(398780265L,
				BSTRING_TO_STRING(BGl_string2157z00zzcoerce_coercez00));
			BGl_modulezd2initializa7ationz75zztype_miscz00(49975086L,
				BSTRING_TO_STRING(BGl_string2157z00zzcoerce_coercez00));
			BGl_modulezd2initializa7ationz75zzobject_classz00(502007119L,
				BSTRING_TO_STRING(BGl_string2157z00zzcoerce_coercez00));
			BGl_modulezd2initializa7ationz75zzast_varz00(90839984L,
				BSTRING_TO_STRING(BGl_string2157z00zzcoerce_coercez00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(469732712L,
				BSTRING_TO_STRING(BGl_string2157z00zzcoerce_coercez00));
			BGl_modulezd2initializa7ationz75zzast_dumpz00(271707717L,
				BSTRING_TO_STRING(BGl_string2157z00zzcoerce_coercez00));
			BGl_modulezd2initializa7ationz75zzcoerce_pprotoz00(44915300L,
				BSTRING_TO_STRING(BGl_string2157z00zzcoerce_coercez00));
			BGl_modulezd2initializa7ationz75zzcoerce_convertz00(87995645L,
				BSTRING_TO_STRING(BGl_string2157z00zzcoerce_coercez00));
			BGl_modulezd2initializa7ationz75zzcoerce_appz00(489367725L,
				BSTRING_TO_STRING(BGl_string2157z00zzcoerce_coercez00));
			BGl_modulezd2initializa7ationz75zzcoerce_applyz00(435902431L,
				BSTRING_TO_STRING(BGl_string2157z00zzcoerce_coercez00));
			BGl_modulezd2initializa7ationz75zzcoerce_funcallz00(40876382L,
				BSTRING_TO_STRING(BGl_string2157z00zzcoerce_coercez00));
			return
				BGl_modulezd2initializa7ationz75zzeffect_effectz00(460136018L,
				BSTRING_TO_STRING(BGl_string2157z00zzcoerce_coercez00));
		}

	}

#ifdef __cplusplus
}
#endif
