/*===========================================================================*/
/*   (Coerce/convert.scm)                                                    */
/*   Bigloo (4.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Jan 27 07:45:49 AM CET 2025     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.6a/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.6a/lib/bigloo/4.6a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -stdc -indent Coerce/convert.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL_COERCE_CONVERT_TYPE_DEFINITIONS
#define BGL_COERCE_CONVERT_TYPE_DEFINITIONS

/* object type definitions */
	typedef struct BgL_backendz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
		bool_t BgL_boundzd2checkzd2;
		bool_t BgL_typezd2checkzd2;
		bool_t BgL_typedzd2funcallzd2;
		bool_t BgL_strictzd2typezd2castz00;
		bool_t BgL_forcezd2registerzd2gczd2rootszd2;
		bool_t BgL_stringzd2literalzd2supportz00;
		bool_t BgL_boxedzd2fixnumszd2;
		bool_t BgL_typedzd2closureszd2;
	}                 *BgL_backendz00_bglt;

	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_nullz00;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_nodezf2effectzf2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
	}                       *BgL_nodezf2effectzf2_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_literalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}                 *BgL_literalz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_refz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_refz00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
		obj_t BgL_metaz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;


#endif													// BGL_COERCE_CONVERT_TYPE_DEFINITIONS
#endif													// BGL_MODULE_TYPE_DEFINITIONS

	extern obj_t BGl_za2uint32za2z00zztype_cachez00;
	extern obj_t BGl_za2uint16za2z00zztype_cachez00;
	extern obj_t BGl_za2intza2z00zztype_cachez00;
	extern obj_t BGl_locationzd2fullzd2fnamez00zztools_locationz00(obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzcoerce_convertz00 = BUNSPEC;
	extern obj_t BGl_makezd2typedzd2identz00zzast_identz00(obj_t, obj_t);
	extern obj_t BGl_userzd2errorzf2locationz20zztools_errorz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	extern obj_t BGl_tclassz00zzobject_classz00;
	BGL_IMPORT obj_t BGl_warningz00zz__errorz00(obj_t);
	static BgL_nodez00_bglt BGl_dozd2convertzd2zzcoerce_convertz00(obj_t,
		BgL_nodez00_bglt, BgL_typez00_bglt, BgL_typez00_bglt);
	static obj_t BGl_toplevelzd2initzd2zzcoerce_convertz00(void);
	extern obj_t BGl_sequencez00zzast_nodez00;
	BGL_IMPORT obj_t BGl_formatz00zz__r4_output_6_10_3z00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_getzd2stackzd2checkz00zzcoerce_convertz00(void);
	static obj_t BGl_z62getzd2stackzd2checkz62zzcoerce_convertz00(obj_t);
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_notifyzd2typezd2testz00zzcoerce_convertz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_lvtypezd2nodez12zc0zzast_lvtypez00(BgL_nodez00_bglt);
	static long BGl_za2notifyzd2counterza2zd2zzcoerce_convertz00 = 0L;
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	static obj_t BGl_genericzd2initzd2zzcoerce_convertz00(void);
	BGL_IMPORT obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
	static obj_t BGl_objectzd2initzd2zzcoerce_convertz00(void);
	static BgL_nodez00_bglt
		BGl_makezd2onezd2conversionz00zzcoerce_convertz00(obj_t, obj_t, obj_t,
		obj_t, BgL_nodez00_bglt, bool_t);
	extern obj_t BGl_za2boolza2z00zztype_cachez00;
	extern obj_t BGl_castz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_makezd2onezd2typezd2conversionzd2zzcoerce_convertz00(obj_t, obj_t,
		obj_t, obj_t, BgL_nodez00_bglt);
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	extern obj_t BGl_za2longza2z00zztype_cachez00;
	static long BGl_za2checkza2z00zzcoerce_convertz00 = 0L;
	extern bool_t BGl_subzd2typezf3z21zztype_envz00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	extern obj_t BGl_za2uint64za2z00zztype_cachez00;
	BGL_IMPORT obj_t BGl_warningzf2locationzf2zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_notifiedzd2locationszd2zzcoerce_convertz00 = BUNSPEC;
	extern obj_t BGl_za2stringza2z00zztype_cachez00;
	extern obj_t BGl_thezd2backendzd2zzbackend_backendz00(void);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	extern obj_t BGl_refz00zzast_nodez00;
	BGL_IMPORT obj_t bstring_to_symbol(obj_t);
	extern obj_t BGl_za2warningzd2typesza2zd2zzengine_paramz00;
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_convertzd2errorzd2zzcoerce_convertz00(obj_t, obj_t, obj_t,
		BgL_nodez00_bglt);
	static obj_t BGl_methodzd2initzd2zzcoerce_convertz00(void);
	static BgL_nodez00_bglt
		BGl_makezd2onezd2classzd2conversionzd2zzcoerce_convertz00(obj_t, obj_t,
		obj_t, obj_t, BgL_nodez00_bglt);
	static obj_t BGl_z62runtimezd2typezd2errorz62zzcoerce_convertz00(obj_t, obj_t,
		obj_t, obj_t);
	extern BgL_nodez00_bglt
		BGl_topzd2levelzd2sexpzd2ze3nodez31zzast_sexpz00(obj_t, obj_t);
	extern obj_t BGl_za2realza2z00zztype_cachez00;
	BGL_IMPORT obj_t string_append(obj_t, obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	extern BgL_typez00_bglt
		BGl_strictzd2nodezd2typez00zzast_nodez00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	extern obj_t BGl_za2int32za2z00zztype_cachez00;
	extern obj_t BGl_za2int16za2z00zztype_cachez00;
	extern obj_t BGl_za2uint8za2z00zztype_cachez00;
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	extern obj_t BGl_findzd2coercerzd2zztype_coercionz00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	extern obj_t BGl_za2scharza2z00zztype_cachez00;
	BGL_EXPORTED_DEF obj_t BGl_za2notifyzd2typezd2testza2z00zzcoerce_convertz00 =
		BUNSPEC;
	extern BgL_nodez00_bglt BGl_coercez12z12zzcoerce_coercez00(BgL_nodez00_bglt,
		obj_t, BgL_typez00_bglt, bool_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzcoerce_convertz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzeffect_spreadz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcoerce_coercez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_dumpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_lvtypez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typeofz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_coercionz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_miscz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
	static BgL_nodez00_bglt BGl_z62convertz12z70zzcoerce_convertz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_za2elongza2z00zztype_cachez00;
	extern bool_t BGl_typezd2subclasszf3z21zzobject_classz00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	extern obj_t BGl_za2int8za2z00zztype_cachez00;
	static obj_t BGl_cnstzd2initzd2zzcoerce_convertz00(void);
	static obj_t BGl_libraryzd2moduleszd2initz00zzcoerce_convertz00(void);
	static obj_t BGl_runtimezd2typezd2errorzf2idzf2zzcoerce_convertz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzcoerce_convertz00(void);
	static obj_t BGl_gczd2rootszd2initz00zzcoerce_convertz00(void);
	extern obj_t BGl_za2llongza2z00zztype_cachez00;
	BGL_IMPORT obj_t BGl_bigloozd2typezd2errorzd2msgzd2zz__errorz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_currentzd2functionzd2zztools_errorz00(void);
	extern obj_t BGl_za2int64za2z00zztype_cachez00;
	static BgL_nodez00_bglt
		BGl_skipzd2letzd2varz00zzcoerce_convertz00(BgL_nodez00_bglt);
	extern obj_t BGl_userzd2warningzf2locationz20zztools_errorz00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_runtimezd2typezd2errorz00zzcoerce_convertz00(obj_t, obj_t,
		BgL_nodez00_bglt);
	BGL_IMPORT obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
	extern obj_t BGl_literalz00zzast_nodez00;
	extern obj_t BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00(obj_t);
	extern obj_t BGl_iszd2subtypezf3z21zztype_typeofz00(obj_t, obj_t);
	BGL_IMPORT int BGl_bigloozd2tracezd2stackzd2depthzd2zz__paramz00(void);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_convertz12z12zzcoerce_convertz00(BgL_nodez00_bglt, BgL_typez00_bglt,
		BgL_typez00_bglt, bool_t);
	extern bool_t
		BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00(BgL_nodez00_bglt);
	extern BgL_typez00_bglt
		BGl_getzd2aliasedzd2typez00zztype_typez00(BgL_typez00_bglt);
	BGL_IMPORT obj_t
		BGl_bigloozd2tracezd2stackzd2depthzd2setz12z12zz__paramz00(int);
	BGL_IMPORT obj_t BGl_memberz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	extern obj_t BGl_za2warningzd2typezd2errorza2z00zzengine_paramz00;
	extern obj_t BGl_za2charza2z00zztype_cachez00;
	static obj_t __cnst[11];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_runtimezd2typezd2errorzd2envzd2zzcoerce_convertz00,
		BgL_bgl_za762runtimeza7d2typ2015z00,
		BGl_z62runtimezd2typezd2errorz62zzcoerce_convertz00, 0L, BUNSPEC, 3);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_convertz12zd2envzc0zzcoerce_convertz00,
		BgL_bgl_za762convertza712za7702016za7,
		BGl_z62convertz12z70zzcoerce_convertz00, 0L, BUNSPEC, 4);
	      DEFINE_REAL(BGl_real2010z00zzcoerce_convertz00,
		BgL_bgl_real2010za700za7za7coe2017za7, 0.0);
	      DEFINE_STRING(BGl_string2007z00zzcoerce_convertz00,
		BgL_bgl_string2007za700za7za7c2018za7,
		" ~a. Type test inserted \"~a\" -> \"~a\"", 36);
	      DEFINE_STRING(BGl_string2008z00zzcoerce_convertz00,
		BgL_bgl_string2008za700za7za7c2019za7, "Type error", 10);
	      DEFINE_STRING(BGl_string2009z00zzcoerce_convertz00,
		BgL_bgl_string2009za700za7za7c2020za7, "", 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_getzd2stackzd2checkzd2envzd2zzcoerce_convertz00,
		BgL_bgl_za762getza7d2stackza7d2021za7,
		BGl_z62getzd2stackzd2checkz62zzcoerce_convertz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string2011z00zzcoerce_convertz00,
		BgL_bgl_string2011za700za7za7c2022za7, "Illegal conversion", 18);
	      DEFINE_STRING(BGl_string2012z00zzcoerce_convertz00,
		BgL_bgl_string2012za700za7za7c2023za7, "coerce_convert", 14);
	      DEFINE_STRING(BGl_string2013z00zzcoerce_convertz00,
		BgL_bgl_string2013za700za7za7c2024za7,
		"aux2 if coercer let ::obj aux failure @ type-error __error location ", 68);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zzcoerce_convertz00));
		     ADD_ROOT((void *) (&BGl_notifiedzd2locationszd2zzcoerce_convertz00));
		   
			 ADD_ROOT((void
				*) (&BGl_za2notifyzd2typezd2testza2z00zzcoerce_convertz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzcoerce_convertz00(long
		BgL_checksumz00_2799, char *BgL_fromz00_2800)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzcoerce_convertz00))
				{
					BGl_requirezd2initializa7ationz75zzcoerce_convertz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzcoerce_convertz00();
					BGl_libraryzd2moduleszd2initz00zzcoerce_convertz00();
					BGl_cnstzd2initzd2zzcoerce_convertz00();
					BGl_importedzd2moduleszd2initz00zzcoerce_convertz00();
					return BGl_toplevelzd2initzd2zzcoerce_convertz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzcoerce_convertz00(void)
	{
		{	/* Coerce/convert.scm 16 */
			BGl_modulezd2initializa7ationz75zz__objectz00(0L, "coerce_convert");
			BGl_modulezd2initializa7ationz75zz__errorz00(0L, "coerce_convert");
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(0L,
				"coerce_convert");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(0L,
				"coerce_convert");
			BGl_modulezd2initializa7ationz75zz__readerz00(0L, "coerce_convert");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(0L,
				"coerce_convert");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(0L,
				"coerce_convert");
			BGl_modulezd2initializa7ationz75zz__paramz00(0L, "coerce_convert");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(0L,
				"coerce_convert");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(0L,
				"coerce_convert");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(0L,
				"coerce_convert");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(0L,
				"coerce_convert");
			BGl_modulezd2initializa7ationz75zz__structurez00(0L, "coerce_convert");
			BGl_modulezd2initializa7ationz75zz__biglooz00(0L, "coerce_convert");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzcoerce_convertz00(void)
	{
		{	/* Coerce/convert.scm 16 */
			{	/* Coerce/convert.scm 16 */
				obj_t BgL_cportz00_2788;

				{	/* Coerce/convert.scm 16 */
					obj_t BgL_stringz00_2795;

					BgL_stringz00_2795 = BGl_string2013z00zzcoerce_convertz00;
					{	/* Coerce/convert.scm 16 */
						obj_t BgL_startz00_2796;

						BgL_startz00_2796 = BINT(0L);
						{	/* Coerce/convert.scm 16 */
							obj_t BgL_endz00_2797;

							BgL_endz00_2797 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_2795)));
							{	/* Coerce/convert.scm 16 */

								BgL_cportz00_2788 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_2795, BgL_startz00_2796, BgL_endz00_2797);
				}}}}
				{
					long BgL_iz00_2789;

					BgL_iz00_2789 = 10L;
				BgL_loopz00_2790:
					if ((BgL_iz00_2789 == (-1L)))
						{	/* Coerce/convert.scm 16 */
							return BUNSPEC;
						}
					else
						{	/* Coerce/convert.scm 16 */
							{	/* Coerce/convert.scm 16 */
								obj_t BgL_arg2014z00_2791;

								{	/* Coerce/convert.scm 16 */

									{	/* Coerce/convert.scm 16 */
										obj_t BgL_locationz00_2793;

										BgL_locationz00_2793 = BBOOL(((bool_t) 0));
										{	/* Coerce/convert.scm 16 */

											BgL_arg2014z00_2791 =
												BGl_readz00zz__readerz00(BgL_cportz00_2788,
												BgL_locationz00_2793);
										}
									}
								}
								{	/* Coerce/convert.scm 16 */
									int BgL_tmpz00_2832;

									BgL_tmpz00_2832 = (int) (BgL_iz00_2789);
									CNST_TABLE_SET(BgL_tmpz00_2832, BgL_arg2014z00_2791);
							}}
							{	/* Coerce/convert.scm 16 */
								int BgL_auxz00_2794;

								BgL_auxz00_2794 = (int) ((BgL_iz00_2789 - 1L));
								{
									long BgL_iz00_2837;

									BgL_iz00_2837 = (long) (BgL_auxz00_2794);
									BgL_iz00_2789 = BgL_iz00_2837;
									goto BgL_loopz00_2790;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzcoerce_convertz00(void)
	{
		{	/* Coerce/convert.scm 16 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzcoerce_convertz00(void)
	{
		{	/* Coerce/convert.scm 16 */
			BGl_za2checkza2z00zzcoerce_convertz00 = 0L;
			BGl_notifiedzd2locationszd2zzcoerce_convertz00 = BNIL;
			BGl_za2notifyzd2typezd2testza2z00zzcoerce_convertz00 = BTRUE;
			return (BGl_za2notifyzd2counterza2zd2zzcoerce_convertz00 = 0L, BUNSPEC);
		}

	}



/* notify-type-test */
	obj_t BGl_notifyzd2typezd2testz00zzcoerce_convertz00(obj_t BgL_fromz00_35,
		obj_t BgL_toz00_36, obj_t BgL_locz00_37)
	{
		{	/* Coerce/convert.scm 60 */
			if (CBOOL(BGl_za2notifyzd2typezd2testza2z00zzcoerce_convertz00))
				{	/* Coerce/convert.scm 62 */
					int BgL_stz00_1788;

					BgL_stz00_1788 = BGl_bigloozd2tracezd2stackzd2depthzd2zz__paramz00();
					BGl_bigloozd2tracezd2stackzd2depthzd2setz12z12zz__paramz00(
						(int) (0L));
					if (CBOOL(BgL_locz00_37))
						{	/* Coerce/convert.scm 65 */
							if (CBOOL(BGl_memberz00zz__r4_pairs_and_lists_6_3z00
									(BgL_locz00_37,
										BGl_notifiedzd2locationszd2zzcoerce_convertz00)))
								{	/* Coerce/convert.scm 70 */
									BFALSE;
								}
							else
								{	/* Coerce/convert.scm 70 */
									BGl_za2notifyzd2counterza2zd2zzcoerce_convertz00 =
										(1L + BGl_za2notifyzd2counterza2zd2zzcoerce_convertz00);
									BGl_notifiedzd2locationszd2zzcoerce_convertz00 =
										MAKE_YOUNG_PAIR(BgL_locz00_37,
										BGl_notifiedzd2locationszd2zzcoerce_convertz00);
									{	/* Coerce/convert.scm 73 */
										obj_t BgL_arg1321z00_1790;
										obj_t BgL_arg1322z00_1791;
										obj_t BgL_arg1326z00_1792;

										BgL_arg1321z00_1790 =
											BGl_locationzd2fullzd2fnamez00zztools_locationz00
											(BgL_locz00_37);
										BgL_arg1322z00_1791 =
											STRUCT_REF(((obj_t) BgL_locz00_37), (int) (1L));
										{	/* Coerce/convert.scm 76 */
											obj_t BgL_arg1331z00_1794;
											obj_t BgL_arg1332z00_1795;

											BgL_arg1331z00_1794 =
												BGl_shapez00zztools_shapez00(BgL_fromz00_35);
											BgL_arg1332z00_1795 =
												BGl_shapez00zztools_shapez00(BgL_toz00_36);
											{	/* Coerce/convert.scm 75 */
												obj_t BgL_list1333z00_1796;

												{	/* Coerce/convert.scm 75 */
													obj_t BgL_arg1336z00_1797;

													{	/* Coerce/convert.scm 75 */
														obj_t BgL_arg1338z00_1798;

														BgL_arg1338z00_1798 =
															MAKE_YOUNG_PAIR(BgL_arg1332z00_1795, BNIL);
														BgL_arg1336z00_1797 =
															MAKE_YOUNG_PAIR(BgL_arg1331z00_1794,
															BgL_arg1338z00_1798);
													}
													BgL_list1333z00_1796 =
														MAKE_YOUNG_PAIR(BINT
														(BGl_za2notifyzd2counterza2zd2zzcoerce_convertz00),
														BgL_arg1336z00_1797);
												}
												BgL_arg1326z00_1792 =
													BGl_formatz00zz__r4_output_6_10_3z00
													(BGl_string2007z00zzcoerce_convertz00,
													BgL_list1333z00_1796);
										}}
										{	/* Coerce/convert.scm 73 */
											obj_t BgL_list1327z00_1793;

											BgL_list1327z00_1793 =
												MAKE_YOUNG_PAIR(BgL_arg1326z00_1792, BNIL);
											BGl_warningzf2locationzf2zz__errorz00(BgL_arg1321z00_1790,
												BgL_arg1322z00_1791, BgL_list1327z00_1793);
						}}}}
					else
						{	/* Coerce/convert.scm 65 */
							BGl_za2notifyzd2counterza2zd2zzcoerce_convertz00 =
								(1L + BGl_za2notifyzd2counterza2zd2zzcoerce_convertz00);
							{	/* Coerce/convert.scm 69 */
								obj_t BgL_arg1339z00_1799;

								{	/* Coerce/convert.scm 69 */
									obj_t BgL_arg1341z00_1801;
									obj_t BgL_arg1342z00_1802;

									BgL_arg1341z00_1801 =
										BGl_shapez00zztools_shapez00(BgL_fromz00_35);
									BgL_arg1342z00_1802 =
										BGl_shapez00zztools_shapez00(BgL_toz00_36);
									{	/* Coerce/convert.scm 68 */
										obj_t BgL_list1343z00_1803;

										{	/* Coerce/convert.scm 68 */
											obj_t BgL_arg1355z00_1804;

											{	/* Coerce/convert.scm 68 */
												obj_t BgL_arg1358z00_1805;

												BgL_arg1358z00_1805 =
													MAKE_YOUNG_PAIR(BgL_arg1342z00_1802, BNIL);
												BgL_arg1355z00_1804 =
													MAKE_YOUNG_PAIR(BgL_arg1341z00_1801,
													BgL_arg1358z00_1805);
											}
											BgL_list1343z00_1803 =
												MAKE_YOUNG_PAIR(BINT
												(BGl_za2notifyzd2counterza2zd2zzcoerce_convertz00),
												BgL_arg1355z00_1804);
										}
										BgL_arg1339z00_1799 =
											BGl_formatz00zz__r4_output_6_10_3z00
											(BGl_string2007z00zzcoerce_convertz00,
											BgL_list1343z00_1803);
									}
								}
								{	/* Coerce/convert.scm 67 */
									obj_t BgL_list1340z00_1800;

									BgL_list1340z00_1800 =
										MAKE_YOUNG_PAIR(BgL_arg1339z00_1799, BNIL);
									BGl_warningz00zz__errorz00(BgL_list1340z00_1800);
								}
							}
						}
					return
						BGl_bigloozd2tracezd2stackzd2depthzd2setz12z12zz__paramz00
						(BgL_stz00_1788);
				}
			else
				{	/* Coerce/convert.scm 61 */
					return BFALSE;
				}
		}

	}



/* get-stack-check */
	BGL_EXPORTED_DEF obj_t BGl_getzd2stackzd2checkz00zzcoerce_convertz00(void)
	{
		{	/* Coerce/convert.scm 89 */
			return BINT(BGl_za2checkza2z00zzcoerce_convertz00);
		}

	}



/* &get-stack-check */
	obj_t BGl_z62getzd2stackzd2checkz62zzcoerce_convertz00(obj_t BgL_envz00_2776)
	{
		{	/* Coerce/convert.scm 89 */
			return BGl_getzd2stackzd2checkz00zzcoerce_convertz00();
		}

	}



/* runtime-type-error/id */
	obj_t BGl_runtimezd2typezd2errorzf2idzf2zzcoerce_convertz00(obj_t
		BgL_locz00_49, obj_t BgL_tiz00_50, obj_t BgL_idz00_51)
	{
		{	/* Coerce/convert.scm 116 */
			{	/* Coerce/convert.scm 118 */
				obj_t BgL_fnamez00_1813;
				obj_t BgL_posz00_1814;

				{	/* Coerce/convert.scm 118 */
					bool_t BgL_test2030z00_2878;

					if (STRUCTP(BgL_locz00_49))
						{	/* Coerce/convert.scm 118 */
							BgL_test2030z00_2878 =
								(STRUCT_KEY(BgL_locz00_49) == ((obj_t) CNST_TABLE_REF(0)));
						}
					else
						{	/* Coerce/convert.scm 118 */
							BgL_test2030z00_2878 = ((bool_t) 0);
						}
					if (BgL_test2030z00_2878)
						{	/* Coerce/convert.scm 118 */
							BgL_fnamez00_1813 =
								BGl_locationzd2fullzd2fnamez00zztools_locationz00
								(BgL_locz00_49);
						}
					else
						{	/* Coerce/convert.scm 118 */
							BgL_fnamez00_1813 = BFALSE;
						}
				}
				{	/* Coerce/convert.scm 119 */
					bool_t BgL_test2032z00_2886;

					if (STRUCTP(BgL_locz00_49))
						{	/* Coerce/convert.scm 119 */
							BgL_test2032z00_2886 =
								(STRUCT_KEY(BgL_locz00_49) == ((obj_t) CNST_TABLE_REF(0)));
						}
					else
						{	/* Coerce/convert.scm 119 */
							BgL_test2032z00_2886 = ((bool_t) 0);
						}
					if (BgL_test2032z00_2886)
						{	/* Coerce/convert.scm 119 */
							BgL_posz00_1814 = STRUCT_REF(BgL_locz00_49, (int) (1L));
						}
					else
						{	/* Coerce/convert.scm 119 */
							BgL_posz00_1814 = BFALSE;
						}
				}
				{	/* Coerce/convert.scm 121 */
					obj_t BgL_arg1371z00_1815;

					{	/* Coerce/convert.scm 121 */
						obj_t BgL_arg1376z00_1816;
						obj_t BgL_arg1379z00_1817;

						{	/* Coerce/convert.scm 121 */
							obj_t BgL_arg1380z00_1818;
							obj_t BgL_arg1382z00_1819;

							{	/* Coerce/convert.scm 121 */
								obj_t BgL_arg1383z00_1820;

								{	/* Coerce/convert.scm 121 */
									obj_t BgL_arg1385z00_1821;

									BgL_arg1385z00_1821 =
										MAKE_YOUNG_PAIR(((obj_t) CNST_TABLE_REF(1)), BNIL);
									BgL_arg1383z00_1820 =
										MAKE_YOUNG_PAIR(
										((obj_t) CNST_TABLE_REF(2)), BgL_arg1385z00_1821);
								}
								BgL_arg1380z00_1818 =
									MAKE_YOUNG_PAIR(
									((obj_t) CNST_TABLE_REF(3)), BgL_arg1383z00_1820);
							}
							{	/* Coerce/convert.scm 122 */
								obj_t BgL_arg1386z00_1822;

								{	/* Coerce/convert.scm 122 */
									obj_t BgL_arg1388z00_1823;

									{	/* Coerce/convert.scm 122 */
										obj_t BgL_arg1390z00_1824;
										obj_t BgL_arg1392z00_1825;

										{	/* Coerce/convert.scm 122 */
											obj_t BgL_arg1400z00_1826;

											BgL_arg1400z00_1826 =
												BGl_currentzd2functionzd2zztools_errorz00();
											{	/* Coerce/convert.scm 122 */
												obj_t BgL_arg1486z00_2296;

												BgL_arg1486z00_2296 =
													SYMBOL_TO_STRING(((obj_t) BgL_arg1400z00_1826));
												BgL_arg1390z00_1824 =
													BGl_stringzd2copyzd2zz__r4_strings_6_7z00
													(BgL_arg1486z00_2296);
											}
										}
										{	/* Coerce/convert.scm 123 */
											obj_t BgL_arg1401z00_1827;
											obj_t BgL_arg1402z00_1828;

											{	/* Coerce/convert.scm 123 */
												obj_t BgL_arg1486z00_2298;

												BgL_arg1486z00_2298 =
													SYMBOL_TO_STRING(((obj_t) BgL_tiz00_50));
												BgL_arg1401z00_1827 =
													BGl_stringzd2copyzd2zz__r4_strings_6_7z00
													(BgL_arg1486z00_2298);
											}
											BgL_arg1402z00_1828 = MAKE_YOUNG_PAIR(BgL_idz00_51, BNIL);
											BgL_arg1392z00_1825 =
												MAKE_YOUNG_PAIR(BgL_arg1401z00_1827,
												BgL_arg1402z00_1828);
										}
										BgL_arg1388z00_1823 =
											MAKE_YOUNG_PAIR(BgL_arg1390z00_1824, BgL_arg1392z00_1825);
									}
									BgL_arg1386z00_1822 =
										MAKE_YOUNG_PAIR(BgL_posz00_1814, BgL_arg1388z00_1823);
								}
								BgL_arg1382z00_1819 =
									MAKE_YOUNG_PAIR(BgL_fnamez00_1813, BgL_arg1386z00_1822);
							}
							BgL_arg1376z00_1816 =
								MAKE_YOUNG_PAIR(BgL_arg1380z00_1818, BgL_arg1382z00_1819);
						}
						{	/* Coerce/convert.scm 120 */
							obj_t BgL_arg1403z00_1829;

							BgL_arg1403z00_1829 = MAKE_YOUNG_PAIR(BFALSE, BNIL);
							BgL_arg1379z00_1817 =
								MAKE_YOUNG_PAIR(BFALSE, BgL_arg1403z00_1829);
						}
						BgL_arg1371z00_1815 =
							MAKE_YOUNG_PAIR(BgL_arg1376z00_1816, BgL_arg1379z00_1817);
					}
					return
						MAKE_YOUNG_PAIR(((obj_t) CNST_TABLE_REF(4)), BgL_arg1371z00_1815);
				}
			}
		}

	}



/* runtime-type-error */
	BGL_EXPORTED_DEF obj_t BGl_runtimezd2typezd2errorz00zzcoerce_convertz00(obj_t
		BgL_locz00_52, obj_t BgL_tiz00_53, BgL_nodez00_bglt BgL_valuez00_54)
	{
		{	/* Coerce/convert.scm 130 */
			{	/* Coerce/convert.scm 132 */
				obj_t BgL_auxz00_1832;

				BgL_auxz00_1832 =
					BGl_gensymz00zz__r4_symbols_6_4z00(((obj_t) CNST_TABLE_REF(5)));
				{	/* Coerce/convert.scm 132 */
					BgL_nodez00_bglt BgL_uvaluez00_1833;

					{	/* Coerce/convert.scm 133 */
						bool_t BgL_test2034z00_2926;

						{	/* Coerce/convert.scm 133 */
							obj_t BgL_classz00_2299;

							BgL_classz00_2299 = BGl_varz00zzast_nodez00;
							{	/* Coerce/convert.scm 133 */
								BgL_objectz00_bglt BgL_arg1858z00_2301;

								{	/* Coerce/convert.scm 133 */
									obj_t BgL_tmpz00_2927;

									BgL_tmpz00_2927 = ((obj_t) BgL_valuez00_54);
									BgL_arg1858z00_2301 = (BgL_objectz00_bglt) (BgL_tmpz00_2927);
								}
								if (BGL_CONDEXPAND_ISA_ARCH64())
									{	/* Coerce/convert.scm 133 */
										long BgL_idxz00_2307;

										BgL_idxz00_2307 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_2301);
										BgL_test2034z00_2926 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_2307 + 2L)) == BgL_classz00_2299);
									}
								else
									{	/* Coerce/convert.scm 133 */
										bool_t BgL_res1992z00_2332;

										{	/* Coerce/convert.scm 133 */
											obj_t BgL_oclassz00_2315;

											{	/* Coerce/convert.scm 133 */
												obj_t BgL_arg1866z00_2323;
												long BgL_arg1867z00_2324;

												BgL_arg1866z00_2323 =
													(BGl_za2classesza2z00zz__objectz00);
												{	/* Coerce/convert.scm 133 */
													long BgL_arg1869z00_2325;

													BgL_arg1869z00_2325 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_2301);
													BgL_arg1867z00_2324 =
														(BgL_arg1869z00_2325 - OBJECT_TYPE);
												}
												BgL_oclassz00_2315 =
													VECTOR_REF(BgL_arg1866z00_2323, BgL_arg1867z00_2324);
											}
											{	/* Coerce/convert.scm 133 */
												bool_t BgL__ortest_1115z00_2316;

												BgL__ortest_1115z00_2316 =
													(BgL_classz00_2299 == BgL_oclassz00_2315);
												if (BgL__ortest_1115z00_2316)
													{	/* Coerce/convert.scm 133 */
														BgL_res1992z00_2332 = BgL__ortest_1115z00_2316;
													}
												else
													{	/* Coerce/convert.scm 133 */
														long BgL_odepthz00_2317;

														{	/* Coerce/convert.scm 133 */
															obj_t BgL_arg1855z00_2318;

															BgL_arg1855z00_2318 = (BgL_oclassz00_2315);
															BgL_odepthz00_2317 =
																BGL_CLASS_DEPTH(BgL_arg1855z00_2318);
														}
														if ((2L < BgL_odepthz00_2317))
															{	/* Coerce/convert.scm 133 */
																obj_t BgL_arg1853z00_2320;

																{	/* Coerce/convert.scm 133 */
																	obj_t BgL_arg1854z00_2321;

																	BgL_arg1854z00_2321 = (BgL_oclassz00_2315);
																	BgL_arg1853z00_2320 =
																		BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_2321,
																		2L);
																}
																BgL_res1992z00_2332 =
																	(BgL_arg1853z00_2320 == BgL_classz00_2299);
															}
														else
															{	/* Coerce/convert.scm 133 */
																BgL_res1992z00_2332 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_test2034z00_2926 = BgL_res1992z00_2332;
									}
							}
						}
						if (BgL_test2034z00_2926)
							{	/* Coerce/convert.scm 134 */
								BgL_refz00_bglt BgL_new1110z00_1851;

								{	/* Coerce/convert.scm 134 */
									BgL_refz00_bglt BgL_new1115z00_1853;

									BgL_new1115z00_1853 =
										((BgL_refz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
													BgL_refz00_bgl))));
									{	/* Coerce/convert.scm 134 */
										long BgL_arg1506z00_1854;

										BgL_arg1506z00_1854 =
											BGL_CLASS_NUM(BGl_refz00zzast_nodez00);
										BGL_OBJECT_CLASS_NUM_SET(
											((BgL_objectz00_bglt) BgL_new1115z00_1853),
											BgL_arg1506z00_1854);
									}
									{	/* Coerce/convert.scm 134 */
										BgL_objectz00_bglt BgL_tmpz00_2953;

										BgL_tmpz00_2953 =
											((BgL_objectz00_bglt) BgL_new1115z00_1853);
										BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2953, BFALSE);
									}
									((BgL_objectz00_bglt) BgL_new1115z00_1853);
									BgL_new1110z00_1851 = BgL_new1115z00_1853;
								}
								((((BgL_nodez00_bglt) COBJECT(
												((BgL_nodez00_bglt) BgL_new1110z00_1851)))->
										BgL_locz00) =
									((obj_t) (((BgL_nodez00_bglt) COBJECT(BgL_valuez00_54))->
											BgL_locz00)), BUNSPEC);
								((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
													BgL_new1110z00_1851)))->BgL_typez00) =
									((BgL_typez00_bglt) ((BgL_typez00_bglt)
											BGl_za2objza2z00zztype_cachez00)), BUNSPEC);
								((((BgL_varz00_bglt) COBJECT(((BgL_varz00_bglt)
													BgL_new1110z00_1851)))->BgL_variablez00) =
									((BgL_variablez00_bglt) (((BgL_varz00_bglt)
												COBJECT(((BgL_varz00_bglt) BgL_valuez00_54)))->
											BgL_variablez00)), BUNSPEC);
								BgL_uvaluez00_1833 = ((BgL_nodez00_bglt) BgL_new1110z00_1851);
							}
						else
							{	/* Coerce/convert.scm 133 */
								BgL_uvaluez00_1833 = BgL_valuez00_54;
							}
					}
					{	/* Coerce/convert.scm 133 */
						BgL_nodez00_bglt BgL_resz00_1834;

						{	/* Coerce/convert.scm 138 */
							obj_t BgL_arg1415z00_1837;

							{	/* Coerce/convert.scm 138 */
								obj_t BgL_arg1416z00_1838;

								{	/* Coerce/convert.scm 138 */
									obj_t BgL_arg1417z00_1839;
									obj_t BgL_arg1418z00_1840;

									{	/* Coerce/convert.scm 138 */
										obj_t BgL_arg1419z00_1841;

										{	/* Coerce/convert.scm 138 */
											obj_t BgL_arg1446z00_1842;
											obj_t BgL_arg1457z00_1843;

											{	/* Coerce/convert.scm 138 */
												obj_t BgL_arg1471z00_1844;

												{	/* Coerce/convert.scm 138 */
													obj_t BgL_arg1480z00_1845;

													{	/* Coerce/convert.scm 138 */
														obj_t BgL_arg1484z00_1846;
														obj_t BgL_arg1487z00_1847;

														{	/* Coerce/convert.scm 138 */
															obj_t BgL_arg1486z00_2338;

															BgL_arg1486z00_2338 =
																SYMBOL_TO_STRING(BgL_auxz00_1832);
															BgL_arg1484z00_1846 =
																BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																(BgL_arg1486z00_2338);
														}
														{	/* Coerce/convert.scm 138 */
															obj_t BgL_symbolz00_2339;

															BgL_symbolz00_2339 = ((obj_t) CNST_TABLE_REF(6));
															{	/* Coerce/convert.scm 138 */
																obj_t BgL_arg1486z00_2340;

																BgL_arg1486z00_2340 =
																	SYMBOL_TO_STRING(BgL_symbolz00_2339);
																BgL_arg1487z00_1847 =
																	BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																	(BgL_arg1486z00_2340);
															}
														}
														BgL_arg1480z00_1845 =
															string_append(BgL_arg1484z00_1846,
															BgL_arg1487z00_1847);
													}
													BgL_arg1471z00_1844 =
														bstring_to_symbol(BgL_arg1480z00_1845);
												}
												BgL_arg1446z00_1842 =
													BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
													(BgL_arg1471z00_1844);
											}
											BgL_arg1457z00_1843 = MAKE_YOUNG_PAIR(BUNSPEC, BNIL);
											BgL_arg1419z00_1841 =
												MAKE_YOUNG_PAIR(BgL_arg1446z00_1842,
												BgL_arg1457z00_1843);
										}
										BgL_arg1417z00_1839 =
											MAKE_YOUNG_PAIR(BgL_arg1419z00_1841, BNIL);
									}
									BgL_arg1418z00_1840 =
										MAKE_YOUNG_PAIR
										(BGl_runtimezd2typezd2errorzf2idzf2zzcoerce_convertz00
										(BgL_locz00_52, BgL_tiz00_53, BgL_auxz00_1832), BNIL);
									BgL_arg1416z00_1838 =
										MAKE_YOUNG_PAIR(BgL_arg1417z00_1839, BgL_arg1418z00_1840);
								}
								BgL_arg1415z00_1837 =
									MAKE_YOUNG_PAIR(
									((obj_t) CNST_TABLE_REF(7)), BgL_arg1416z00_1838);
							}
							BgL_resz00_1834 =
								BGl_topzd2levelzd2sexpzd2ze3nodez31zzast_sexpz00
								(BgL_arg1415z00_1837, BgL_locz00_52);
						}
						{	/* Coerce/convert.scm 137 */

							{	/* Coerce/convert.scm 142 */
								obj_t BgL_arg1406z00_1835;

								{	/* Coerce/convert.scm 142 */
									obj_t BgL_pairz00_2343;

									BgL_pairz00_2343 =
										(((BgL_letzd2varzd2_bglt) COBJECT(
												((BgL_letzd2varzd2_bglt) BgL_resz00_1834)))->
										BgL_bindingsz00);
									BgL_arg1406z00_1835 = CAR(BgL_pairz00_2343);
								}
								{	/* Coerce/convert.scm 142 */
									obj_t BgL_auxz00_2992;
									obj_t BgL_tmpz00_2990;

									BgL_auxz00_2992 = ((obj_t) BgL_uvaluez00_1833);
									BgL_tmpz00_2990 = ((obj_t) BgL_arg1406z00_1835);
									SET_CDR(BgL_tmpz00_2990, BgL_auxz00_2992);
								}
							}
							return ((obj_t) BgL_resz00_1834);
						}
					}
				}
			}
		}

	}



/* &runtime-type-error */
	obj_t BGl_z62runtimezd2typezd2errorz62zzcoerce_convertz00(obj_t
		BgL_envz00_2777, obj_t BgL_locz00_2778, obj_t BgL_tiz00_2779,
		obj_t BgL_valuez00_2780)
	{
		{	/* Coerce/convert.scm 130 */
			return
				BGl_runtimezd2typezd2errorz00zzcoerce_convertz00(BgL_locz00_2778,
				BgL_tiz00_2779, ((BgL_nodez00_bglt) BgL_valuez00_2780));
		}

	}



/* convert-error */
	obj_t BGl_convertzd2errorzd2zzcoerce_convertz00(obj_t BgL_fromz00_55,
		obj_t BgL_toz00_56, obj_t BgL_locz00_57, BgL_nodez00_bglt BgL_nodez00_58)
	{
		{	/* Coerce/convert.scm 152 */
			{	/* Coerce/convert.scm 156 */
				bool_t BgL_test2038z00_2998;

				if ((BgL_toz00_56 == BGl_za2objza2z00zztype_cachez00))
					{	/* Coerce/convert.scm 156 */
						BgL_test2038z00_2998 = ((bool_t) 0);
					}
				else
					{	/* Coerce/convert.scm 156 */
						BgL_test2038z00_2998 =
							BGl_subzd2typezf3z21zztype_envz00(
							((BgL_typez00_bglt) BgL_toz00_56),
							((BgL_typez00_bglt) BGl_za2objza2z00zztype_cachez00));
					}
				if (BgL_test2038z00_2998)
					{	/* Coerce/convert.scm 157 */
						obj_t BgL_nodez00_1856;

						{	/* Coerce/convert.scm 157 */
							obj_t BgL_arg1512z00_1858;

							BgL_arg1512z00_1858 =
								(((BgL_typez00_bglt) COBJECT(
										((BgL_typez00_bglt) BgL_toz00_56)))->BgL_idz00);
							BgL_nodez00_1856 =
								BGl_runtimezd2typezd2errorz00zzcoerce_convertz00(BgL_locz00_57,
								BgL_arg1512z00_1858, BgL_nodez00_58);
						}
						{	/* Coerce/convert.scm 158 */
							obj_t BgL_arg1511z00_1857;

							BgL_arg1511z00_1857 = BGl_currentzd2functionzd2zztools_errorz00();
							if (CBOOL(BGl_za2warningzd2typesza2zd2zzengine_paramz00))
								{	/* Coerce/convert.scm 104 */
									BGl_userzd2warningzf2locationz20zztools_errorz00
										(BgL_locz00_57, BgL_arg1511z00_1857,
										BGl_string2008z00zzcoerce_convertz00,
										BGl_bigloozd2typezd2errorzd2msgzd2zz__errorz00
										(BGl_string2009z00zzcoerce_convertz00,
											BGl_shapez00zztools_shapez00(BgL_toz00_56),
											BGl_shapez00zztools_shapez00(BgL_fromz00_55)));
								}
							else
								{	/* Coerce/convert.scm 104 */
									BFALSE;
								}
						}
						BGl_lvtypezd2nodez12zc0zzast_lvtypez00(
							((BgL_nodez00_bglt) BgL_nodez00_1856));
						return
							((obj_t)
							BGl_coercez12z12zzcoerce_coercez00(
								((BgL_nodez00_bglt) BgL_nodez00_1856), BUNSPEC,
								((BgL_typez00_bglt) BgL_fromz00_55), ((bool_t) 0)));
					}
				else
					{	/* Coerce/convert.scm 161 */
						bool_t BgL_test2041z00_3020;

						{	/* Coerce/convert.scm 161 */
							obj_t BgL_classz00_2349;

							BgL_classz00_2349 = BGl_tclassz00zzobject_classz00;
							if (BGL_OBJECTP(BgL_toz00_56))
								{	/* Coerce/convert.scm 161 */
									BgL_objectz00_bglt BgL_arg1858z00_2351;

									BgL_arg1858z00_2351 = (BgL_objectz00_bglt) (BgL_toz00_56);
									if (BGL_CONDEXPAND_ISA_ARCH64())
										{	/* Coerce/convert.scm 161 */
											long BgL_idxz00_2357;

											BgL_idxz00_2357 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_2351);
											BgL_test2041z00_3020 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_2357 + 2L)) == BgL_classz00_2349);
										}
									else
										{	/* Coerce/convert.scm 161 */
											bool_t BgL_res1993z00_2382;

											{	/* Coerce/convert.scm 161 */
												obj_t BgL_oclassz00_2365;

												{	/* Coerce/convert.scm 161 */
													obj_t BgL_arg1866z00_2373;
													long BgL_arg1867z00_2374;

													BgL_arg1866z00_2373 =
														(BGl_za2classesza2z00zz__objectz00);
													{	/* Coerce/convert.scm 161 */
														long BgL_arg1869z00_2375;

														BgL_arg1869z00_2375 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_2351);
														BgL_arg1867z00_2374 =
															(BgL_arg1869z00_2375 - OBJECT_TYPE);
													}
													BgL_oclassz00_2365 =
														VECTOR_REF(BgL_arg1866z00_2373,
														BgL_arg1867z00_2374);
												}
												{	/* Coerce/convert.scm 161 */
													bool_t BgL__ortest_1115z00_2366;

													BgL__ortest_1115z00_2366 =
														(BgL_classz00_2349 == BgL_oclassz00_2365);
													if (BgL__ortest_1115z00_2366)
														{	/* Coerce/convert.scm 161 */
															BgL_res1993z00_2382 = BgL__ortest_1115z00_2366;
														}
													else
														{	/* Coerce/convert.scm 161 */
															long BgL_odepthz00_2367;

															{	/* Coerce/convert.scm 161 */
																obj_t BgL_arg1855z00_2368;

																BgL_arg1855z00_2368 = (BgL_oclassz00_2365);
																BgL_odepthz00_2367 =
																	BGL_CLASS_DEPTH(BgL_arg1855z00_2368);
															}
															if ((2L < BgL_odepthz00_2367))
																{	/* Coerce/convert.scm 161 */
																	obj_t BgL_arg1853z00_2370;

																	{	/* Coerce/convert.scm 161 */
																		obj_t BgL_arg1854z00_2371;

																		BgL_arg1854z00_2371 = (BgL_oclassz00_2365);
																		BgL_arg1853z00_2370 =
																			BGL_CLASS_ANCESTORS_REF
																			(BgL_arg1854z00_2371, 2L);
																	}
																	BgL_res1993z00_2382 =
																		(BgL_arg1853z00_2370 == BgL_classz00_2349);
																}
															else
																{	/* Coerce/convert.scm 161 */
																	BgL_res1993z00_2382 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_test2041z00_3020 = BgL_res1993z00_2382;
										}
								}
							else
								{	/* Coerce/convert.scm 161 */
									BgL_test2041z00_3020 = ((bool_t) 0);
								}
						}
						if (BgL_test2041z00_3020)
							{	/* Coerce/convert.scm 162 */
								obj_t BgL_nodez00_1860;

								{	/* Coerce/convert.scm 162 */
									obj_t BgL_arg1516z00_1862;

									BgL_arg1516z00_1862 =
										(((BgL_typez00_bglt) COBJECT(
												((BgL_typez00_bglt) BgL_toz00_56)))->BgL_idz00);
									BgL_nodez00_1860 =
										BGl_runtimezd2typezd2errorz00zzcoerce_convertz00
										(BgL_locz00_57, BgL_arg1516z00_1862, BgL_nodez00_58);
								}
								{	/* Coerce/convert.scm 163 */
									obj_t BgL_arg1515z00_1861;

									BgL_arg1515z00_1861 =
										BGl_currentzd2functionzd2zztools_errorz00();
									if (CBOOL(BGl_za2warningzd2typesza2zd2zzengine_paramz00))
										{	/* Coerce/convert.scm 104 */
											BGl_userzd2warningzf2locationz20zztools_errorz00
												(BgL_locz00_57, BgL_arg1515z00_1861,
												BGl_string2008z00zzcoerce_convertz00,
												BGl_bigloozd2typezd2errorzd2msgzd2zz__errorz00
												(BGl_string2009z00zzcoerce_convertz00,
													BGl_shapez00zztools_shapez00(BgL_toz00_56),
													BGl_shapez00zztools_shapez00(BgL_fromz00_55)));
										}
									else
										{	/* Coerce/convert.scm 104 */
											BFALSE;
										}
								}
								BGl_lvtypezd2nodez12zc0zzast_lvtypez00(
									((BgL_nodez00_bglt) BgL_nodez00_1860));
								return
									((obj_t)
									BGl_coercez12z12zzcoerce_coercez00(
										((BgL_nodez00_bglt) BgL_nodez00_1860), BUNSPEC,
										((BgL_typez00_bglt) BgL_fromz00_55), ((bool_t) 0)));
							}
						else
							{	/* Coerce/convert.scm 161 */
								if (CBOOL(BGl_za2warningzd2typezd2errorza2z00zzengine_paramz00))
									{	/* Coerce/convert.scm 235 */
										obj_t BgL_arg1530z00_1863;

										BgL_arg1530z00_1863 =
											BGl_currentzd2functionzd2zztools_errorz00();
										return
											BGl_userzd2errorzf2locationz20zztools_errorz00
											(BgL_locz00_57, BgL_arg1530z00_1863,
											BGl_string2008z00zzcoerce_convertz00,
											BGl_bigloozd2typezd2errorzd2msgzd2zz__errorz00
											(BGl_string2009z00zzcoerce_convertz00,
												BGl_shapez00zztools_shapez00(BgL_toz00_56),
												BGl_shapez00zztools_shapez00(BgL_fromz00_55)), BNIL);
									}
								else
									{	/* Coerce/convert.scm 168 */
										bool_t BgL_test2048z00_3066;

										if ((BgL_toz00_56 == BGl_za2intza2z00zztype_cachez00))
											{	/* Coerce/convert.scm 168 */
												BgL_test2048z00_3066 = ((bool_t) 1);
											}
										else
											{	/* Coerce/convert.scm 168 */
												if ((BgL_toz00_56 == BGl_za2longza2z00zztype_cachez00))
													{	/* Coerce/convert.scm 168 */
														BgL_test2048z00_3066 = ((bool_t) 1);
													}
												else
													{	/* Coerce/convert.scm 168 */
														if (
															(BgL_toz00_56 ==
																BGl_za2elongza2z00zztype_cachez00))
															{	/* Coerce/convert.scm 169 */
																BgL_test2048z00_3066 = ((bool_t) 1);
															}
														else
															{	/* Coerce/convert.scm 169 */
																if (
																	(BgL_toz00_56 ==
																		BGl_za2llongza2z00zztype_cachez00))
																	{	/* Coerce/convert.scm 170 */
																		BgL_test2048z00_3066 = ((bool_t) 1);
																	}
																else
																	{	/* Coerce/convert.scm 170 */
																		if (
																			(BgL_toz00_56 ==
																				BGl_za2int8za2z00zztype_cachez00))
																			{	/* Coerce/convert.scm 171 */
																				BgL_test2048z00_3066 = ((bool_t) 1);
																			}
																		else
																			{	/* Coerce/convert.scm 171 */
																				if (
																					(BgL_toz00_56 ==
																						BGl_za2uint8za2z00zztype_cachez00))
																					{	/* Coerce/convert.scm 172 */
																						BgL_test2048z00_3066 = ((bool_t) 1);
																					}
																				else
																					{	/* Coerce/convert.scm 172 */
																						if (
																							(BgL_toz00_56 ==
																								BGl_za2int16za2z00zztype_cachez00))
																							{	/* Coerce/convert.scm 173 */
																								BgL_test2048z00_3066 =
																									((bool_t) 1);
																							}
																						else
																							{	/* Coerce/convert.scm 173 */
																								if (
																									(BgL_toz00_56 ==
																										BGl_za2uint16za2z00zztype_cachez00))
																									{	/* Coerce/convert.scm 174 */
																										BgL_test2048z00_3066 =
																											((bool_t) 1);
																									}
																								else
																									{	/* Coerce/convert.scm 174 */
																										if (
																											(BgL_toz00_56 ==
																												BGl_za2int32za2z00zztype_cachez00))
																											{	/* Coerce/convert.scm 175 */
																												BgL_test2048z00_3066 =
																													((bool_t) 1);
																											}
																										else
																											{	/* Coerce/convert.scm 175 */
																												if (
																													(BgL_toz00_56 ==
																														BGl_za2uint32za2z00zztype_cachez00))
																													{	/* Coerce/convert.scm 176 */
																														BgL_test2048z00_3066
																															= ((bool_t) 1);
																													}
																												else
																													{	/* Coerce/convert.scm 176 */
																														if (
																															(BgL_toz00_56 ==
																																BGl_za2int64za2z00zztype_cachez00))
																															{	/* Coerce/convert.scm 177 */
																																BgL_test2048z00_3066
																																	=
																																	((bool_t) 1);
																															}
																														else
																															{	/* Coerce/convert.scm 177 */
																																BgL_test2048z00_3066
																																	=
																																	(BgL_toz00_56
																																	==
																																	BGl_za2uint64za2z00zztype_cachez00);
																															}
																													}
																											}
																									}
																							}
																					}
																			}
																	}
															}
													}
											}
										if (BgL_test2048z00_3066)
											{	/* Coerce/convert.scm 179 */
												obj_t BgL_nodez00_1865;

												{	/* Coerce/convert.scm 179 */
													obj_t BgL_arg1558z00_1877;

													BgL_arg1558z00_1877 =
														(((BgL_typez00_bglt) COBJECT(
																((BgL_typez00_bglt) BgL_toz00_56)))->BgL_idz00);
													BgL_nodez00_1865 =
														BGl_runtimezd2typezd2errorz00zzcoerce_convertz00
														(BgL_locz00_57, BgL_arg1558z00_1877,
														BgL_nodez00_58);
												}
												{	/* Coerce/convert.scm 180 */
													obj_t BgL_arg1532z00_1866;

													BgL_arg1532z00_1866 =
														BGl_currentzd2functionzd2zztools_errorz00();
													if (CBOOL
														(BGl_za2warningzd2typesza2zd2zzengine_paramz00))
														{	/* Coerce/convert.scm 104 */
															BGl_userzd2warningzf2locationz20zztools_errorz00
																(BgL_locz00_57, BgL_arg1532z00_1866,
																BGl_string2008z00zzcoerce_convertz00,
																BGl_bigloozd2typezd2errorzd2msgzd2zz__errorz00
																(BGl_string2009z00zzcoerce_convertz00,
																	BGl_shapez00zztools_shapez00(BgL_toz00_56),
																	BGl_shapez00zztools_shapez00
																	(BgL_fromz00_55)));
														}
													else
														{	/* Coerce/convert.scm 104 */
															BFALSE;
														}
												}
												BGl_lvtypezd2nodez12zc0zzast_lvtypez00(
													((BgL_nodez00_bglt) BgL_nodez00_1865));
												{	/* Coerce/convert.scm 182 */
													BgL_sequencez00_bglt BgL_new1118z00_1867;

													{	/* Coerce/convert.scm 182 */
														BgL_sequencez00_bglt BgL_new1116z00_1875;

														BgL_new1116z00_1875 =
															((BgL_sequencez00_bglt)
															BOBJECT(GC_MALLOC(sizeof(struct
																		BgL_sequencez00_bgl))));
														{	/* Coerce/convert.scm 182 */
															long BgL_arg1554z00_1876;

															BgL_arg1554z00_1876 =
																BGL_CLASS_NUM(BGl_sequencez00zzast_nodez00);
															BGL_OBJECT_CLASS_NUM_SET(
																((BgL_objectz00_bglt) BgL_new1116z00_1875),
																BgL_arg1554z00_1876);
														}
														{	/* Coerce/convert.scm 182 */
															BgL_objectz00_bglt BgL_tmpz00_3106;

															BgL_tmpz00_3106 =
																((BgL_objectz00_bglt) BgL_new1116z00_1875);
															BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3106, BFALSE);
														}
														((BgL_objectz00_bglt) BgL_new1116z00_1875);
														BgL_new1118z00_1867 = BgL_new1116z00_1875;
													}
													((((BgL_nodez00_bglt) COBJECT(
																	((BgL_nodez00_bglt) BgL_new1118z00_1867)))->
															BgL_locz00) = ((obj_t) BFALSE), BUNSPEC);
													((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
																		BgL_new1118z00_1867)))->BgL_typez00) =
														((BgL_typez00_bglt) ((BgL_typez00_bglt)
																BgL_toz00_56)), BUNSPEC);
													((((BgL_nodezf2effectzf2_bglt)
																COBJECT(((BgL_nodezf2effectzf2_bglt)
																		BgL_new1118z00_1867)))->
															BgL_sidezd2effectzd2) =
														((obj_t) BUNSPEC), BUNSPEC);
													((((BgL_nodezf2effectzf2_bglt)
																COBJECT(((BgL_nodezf2effectzf2_bglt)
																		BgL_new1118z00_1867)))->BgL_keyz00) =
														((obj_t) BINT((-1L))), BUNSPEC);
													{
														obj_t BgL_auxz00_3120;

														{	/* Coerce/convert.scm 185 */
															BgL_nodez00_bglt BgL_arg1535z00_1868;
															BgL_literalz00_bglt BgL_arg1543z00_1869;

															BgL_arg1535z00_1868 =
																BGl_coercez12z12zzcoerce_coercez00(
																((BgL_nodez00_bglt) BgL_nodez00_1865), BUNSPEC,
																((BgL_typez00_bglt) BgL_fromz00_55),
																((bool_t) 0));
															{	/* Coerce/convert.scm 186 */
																BgL_literalz00_bglt BgL_new1121z00_1872;

																{	/* Coerce/convert.scm 186 */
																	BgL_literalz00_bglt BgL_new1120z00_1873;

																	BgL_new1120z00_1873 =
																		((BgL_literalz00_bglt)
																		BOBJECT(GC_MALLOC(sizeof(struct
																					BgL_literalz00_bgl))));
																	{	/* Coerce/convert.scm 186 */
																		long BgL_arg1553z00_1874;

																		{	/* Coerce/convert.scm 186 */
																			obj_t BgL_classz00_2399;

																			BgL_classz00_2399 =
																				BGl_literalz00zzast_nodez00;
																			BgL_arg1553z00_1874 =
																				BGL_CLASS_NUM(BgL_classz00_2399);
																		}
																		BGL_OBJECT_CLASS_NUM_SET(
																			((BgL_objectz00_bglt)
																				BgL_new1120z00_1873),
																			BgL_arg1553z00_1874);
																	}
																	{	/* Coerce/convert.scm 186 */
																		BgL_objectz00_bglt BgL_tmpz00_3128;

																		BgL_tmpz00_3128 =
																			((BgL_objectz00_bglt)
																			BgL_new1120z00_1873);
																		BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3128,
																			BFALSE);
																	}
																	((BgL_objectz00_bglt) BgL_new1120z00_1873);
																	BgL_new1121z00_1872 = BgL_new1120z00_1873;
																}
																((((BgL_nodez00_bglt) COBJECT(
																				((BgL_nodez00_bglt)
																					BgL_new1121z00_1872)))->BgL_locz00) =
																	((obj_t) BFALSE), BUNSPEC);
																((((BgL_nodez00_bglt)
																			COBJECT(((BgL_nodez00_bglt)
																					BgL_new1121z00_1872)))->BgL_typez00) =
																	((BgL_typez00_bglt) ((BgL_typez00_bglt)
																			BgL_toz00_56)), BUNSPEC);
																((((BgL_atomz00_bglt)
																			COBJECT(((BgL_atomz00_bglt)
																					BgL_new1121z00_1872)))->
																		BgL_valuez00) =
																	((obj_t) BINT(0L)), BUNSPEC);
																BgL_arg1543z00_1869 = BgL_new1121z00_1872;
															}
															{	/* Coerce/convert.scm 184 */
																obj_t BgL_list1544z00_1870;

																{	/* Coerce/convert.scm 184 */
																	obj_t BgL_arg1545z00_1871;

																	BgL_arg1545z00_1871 =
																		MAKE_YOUNG_PAIR(
																		((obj_t) BgL_arg1543z00_1869), BNIL);
																	BgL_list1544z00_1870 =
																		MAKE_YOUNG_PAIR(
																		((obj_t) BgL_arg1535z00_1868),
																		BgL_arg1545z00_1871);
																}
																BgL_auxz00_3120 = BgL_list1544z00_1870;
														}}
														((((BgL_sequencez00_bglt)
																	COBJECT(BgL_new1118z00_1867))->BgL_nodesz00) =
															((obj_t) BgL_auxz00_3120), BUNSPEC);
													}
													((((BgL_sequencez00_bglt)
																COBJECT(BgL_new1118z00_1867))->BgL_unsafez00) =
														((bool_t) ((bool_t) 0)), BUNSPEC);
													((((BgL_sequencez00_bglt)
																COBJECT(BgL_new1118z00_1867))->BgL_metaz00) =
														((obj_t) BNIL), BUNSPEC);
													return ((obj_t) BgL_new1118z00_1867);
												}
											}
										else
											{	/* Coerce/convert.scm 168 */
												if ((BgL_toz00_56 == BGl_za2boolza2z00zztype_cachez00))
													{	/* Coerce/convert.scm 188 */
														obj_t BgL_nodez00_1878;

														{	/* Coerce/convert.scm 188 */
															obj_t BgL_arg1590z00_1890;

															BgL_arg1590z00_1890 =
																(((BgL_typez00_bglt) COBJECT(
																		((BgL_typez00_bglt) BgL_toz00_56)))->
																BgL_idz00);
															BgL_nodez00_1878 =
																BGl_runtimezd2typezd2errorz00zzcoerce_convertz00
																(BgL_locz00_57, BgL_arg1590z00_1890,
																BgL_nodez00_58);
														}
														{	/* Coerce/convert.scm 189 */
															obj_t BgL_arg1560z00_1879;

															BgL_arg1560z00_1879 =
																BGl_currentzd2functionzd2zztools_errorz00();
															if (CBOOL
																(BGl_za2warningzd2typesza2zd2zzengine_paramz00))
																{	/* Coerce/convert.scm 104 */
																	BGl_userzd2warningzf2locationz20zztools_errorz00
																		(BgL_locz00_57, BgL_arg1560z00_1879,
																		BGl_string2008z00zzcoerce_convertz00,
																		BGl_bigloozd2typezd2errorzd2msgzd2zz__errorz00
																		(BGl_string2009z00zzcoerce_convertz00,
																			BGl_shapez00zztools_shapez00
																			(BgL_toz00_56),
																			BGl_shapez00zztools_shapez00
																			(BgL_fromz00_55)));
																}
															else
																{	/* Coerce/convert.scm 104 */
																	BFALSE;
																}
														}
														BGl_lvtypezd2nodez12zc0zzast_lvtypez00(
															((BgL_nodez00_bglt) BgL_nodez00_1878));
														{	/* Coerce/convert.scm 191 */
															BgL_sequencez00_bglt BgL_new1124z00_1880;

															{	/* Coerce/convert.scm 191 */
																BgL_sequencez00_bglt BgL_new1123z00_1888;

																BgL_new1123z00_1888 =
																	((BgL_sequencez00_bglt)
																	BOBJECT(GC_MALLOC(sizeof(struct
																				BgL_sequencez00_bgl))));
																{	/* Coerce/convert.scm 191 */
																	long BgL_arg1588z00_1889;

																	BgL_arg1588z00_1889 =
																		BGL_CLASS_NUM(BGl_sequencez00zzast_nodez00);
																	BGL_OBJECT_CLASS_NUM_SET(
																		((BgL_objectz00_bglt) BgL_new1123z00_1888),
																		BgL_arg1588z00_1889);
																}
																{	/* Coerce/convert.scm 191 */
																	BgL_objectz00_bglt BgL_tmpz00_3166;

																	BgL_tmpz00_3166 =
																		((BgL_objectz00_bglt) BgL_new1123z00_1888);
																	BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3166,
																		BFALSE);
																}
																((BgL_objectz00_bglt) BgL_new1123z00_1888);
																BgL_new1124z00_1880 = BgL_new1123z00_1888;
															}
															((((BgL_nodez00_bglt) COBJECT(
																			((BgL_nodez00_bglt)
																				BgL_new1124z00_1880)))->BgL_locz00) =
																((obj_t) BFALSE), BUNSPEC);
															((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
																				BgL_new1124z00_1880)))->BgL_typez00) =
																((BgL_typez00_bglt) ((BgL_typez00_bglt)
																		BgL_toz00_56)), BUNSPEC);
															((((BgL_nodezf2effectzf2_bglt)
																		COBJECT(((BgL_nodezf2effectzf2_bglt)
																				BgL_new1124z00_1880)))->
																	BgL_sidezd2effectzd2) =
																((obj_t) BUNSPEC), BUNSPEC);
															((((BgL_nodezf2effectzf2_bglt)
																		COBJECT(((BgL_nodezf2effectzf2_bglt)
																				BgL_new1124z00_1880)))->BgL_keyz00) =
																((obj_t) BINT((-1L))), BUNSPEC);
															{
																obj_t BgL_auxz00_3180;

																{	/* Coerce/convert.scm 194 */
																	BgL_nodez00_bglt BgL_arg1574z00_1881;
																	BgL_literalz00_bglt BgL_arg1577z00_1882;

																	BgL_arg1574z00_1881 =
																		BGl_coercez12z12zzcoerce_coercez00(
																		((BgL_nodez00_bglt) BgL_nodez00_1878),
																		BUNSPEC,
																		((BgL_typez00_bglt) BgL_fromz00_55),
																		((bool_t) 0));
																	{	/* Coerce/convert.scm 195 */
																		BgL_literalz00_bglt BgL_new1126z00_1885;

																		{	/* Coerce/convert.scm 195 */
																			BgL_literalz00_bglt BgL_new1125z00_1886;

																			BgL_new1125z00_1886 =
																				((BgL_literalz00_bglt)
																				BOBJECT(GC_MALLOC(sizeof(struct
																							BgL_literalz00_bgl))));
																			{	/* Coerce/convert.scm 195 */
																				long BgL_arg1587z00_1887;

																				{	/* Coerce/convert.scm 195 */
																					obj_t BgL_classz00_2412;

																					BgL_classz00_2412 =
																						BGl_literalz00zzast_nodez00;
																					BgL_arg1587z00_1887 =
																						BGL_CLASS_NUM(BgL_classz00_2412);
																				}
																				BGL_OBJECT_CLASS_NUM_SET(
																					((BgL_objectz00_bglt)
																						BgL_new1125z00_1886),
																					BgL_arg1587z00_1887);
																			}
																			{	/* Coerce/convert.scm 195 */
																				BgL_objectz00_bglt BgL_tmpz00_3188;

																				BgL_tmpz00_3188 =
																					((BgL_objectz00_bglt)
																					BgL_new1125z00_1886);
																				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3188,
																					BFALSE);
																			}
																			((BgL_objectz00_bglt)
																				BgL_new1125z00_1886);
																			BgL_new1126z00_1885 = BgL_new1125z00_1886;
																		}
																		((((BgL_nodez00_bglt) COBJECT(
																						((BgL_nodez00_bglt)
																							BgL_new1126z00_1885)))->
																				BgL_locz00) =
																			((obj_t) BFALSE), BUNSPEC);
																		((((BgL_nodez00_bglt)
																					COBJECT(((BgL_nodez00_bglt)
																							BgL_new1126z00_1885)))->
																				BgL_typez00) =
																			((BgL_typez00_bglt) ((BgL_typez00_bglt)
																					BgL_toz00_56)), BUNSPEC);
																		((((BgL_atomz00_bglt)
																					COBJECT(((BgL_atomz00_bglt)
																							BgL_new1126z00_1885)))->
																				BgL_valuez00) =
																			((obj_t) BINT(0L)), BUNSPEC);
																		BgL_arg1577z00_1882 = BgL_new1126z00_1885;
																	}
																	{	/* Coerce/convert.scm 193 */
																		obj_t BgL_list1578z00_1883;

																		{	/* Coerce/convert.scm 193 */
																			obj_t BgL_arg1581z00_1884;

																			BgL_arg1581z00_1884 =
																				MAKE_YOUNG_PAIR(
																				((obj_t) BgL_arg1577z00_1882), BNIL);
																			BgL_list1578z00_1883 =
																				MAKE_YOUNG_PAIR(
																				((obj_t) BgL_arg1574z00_1881),
																				BgL_arg1581z00_1884);
																		}
																		BgL_auxz00_3180 = BgL_list1578z00_1883;
																}}
																((((BgL_sequencez00_bglt)
																			COBJECT(BgL_new1124z00_1880))->
																		BgL_nodesz00) =
																	((obj_t) BgL_auxz00_3180), BUNSPEC);
															}
															((((BgL_sequencez00_bglt)
																		COBJECT(BgL_new1124z00_1880))->
																	BgL_unsafez00) =
																((bool_t) ((bool_t) 0)), BUNSPEC);
															((((BgL_sequencez00_bglt)
																		COBJECT(BgL_new1124z00_1880))->
																	BgL_metaz00) = ((obj_t) BNIL), BUNSPEC);
															return ((obj_t) BgL_new1124z00_1880);
														}
													}
												else
													{	/* Coerce/convert.scm 187 */
														if (
															(BgL_toz00_56 ==
																BGl_za2realza2z00zztype_cachez00))
															{	/* Coerce/convert.scm 197 */
																obj_t BgL_nodez00_1891;

																{	/* Coerce/convert.scm 197 */
																	obj_t BgL_arg1625z00_1903;

																	BgL_arg1625z00_1903 =
																		(((BgL_typez00_bglt) COBJECT(
																				((BgL_typez00_bglt) BgL_toz00_56)))->
																		BgL_idz00);
																	BgL_nodez00_1891 =
																		BGl_runtimezd2typezd2errorz00zzcoerce_convertz00
																		(BgL_locz00_57, BgL_arg1625z00_1903,
																		BgL_nodez00_58);
																}
																{	/* Coerce/convert.scm 198 */
																	obj_t BgL_arg1592z00_1892;

																	BgL_arg1592z00_1892 =
																		BGl_currentzd2functionzd2zztools_errorz00();
																	if (CBOOL
																		(BGl_za2warningzd2typesza2zd2zzengine_paramz00))
																		{	/* Coerce/convert.scm 104 */
																			BGl_userzd2warningzf2locationz20zztools_errorz00
																				(BgL_locz00_57, BgL_arg1592z00_1892,
																				BGl_string2008z00zzcoerce_convertz00,
																				BGl_bigloozd2typezd2errorzd2msgzd2zz__errorz00
																				(BGl_string2009z00zzcoerce_convertz00,
																					BGl_shapez00zztools_shapez00
																					(BgL_toz00_56),
																					BGl_shapez00zztools_shapez00
																					(BgL_fromz00_55)));
																		}
																	else
																		{	/* Coerce/convert.scm 104 */
																			BFALSE;
																		}
																}
																BGl_lvtypezd2nodez12zc0zzast_lvtypez00(
																	((BgL_nodez00_bglt) BgL_nodez00_1891));
																{	/* Coerce/convert.scm 200 */
																	BgL_sequencez00_bglt BgL_new1128z00_1893;

																	{	/* Coerce/convert.scm 200 */
																		BgL_sequencez00_bglt BgL_new1127z00_1901;

																		BgL_new1127z00_1901 =
																			((BgL_sequencez00_bglt)
																			BOBJECT(GC_MALLOC(sizeof(struct
																						BgL_sequencez00_bgl))));
																		{	/* Coerce/convert.scm 200 */
																			long BgL_arg1612z00_1902;

																			BgL_arg1612z00_1902 =
																				BGL_CLASS_NUM
																				(BGl_sequencez00zzast_nodez00);
																			BGL_OBJECT_CLASS_NUM_SET((
																					(BgL_objectz00_bglt)
																					BgL_new1127z00_1901),
																				BgL_arg1612z00_1902);
																		}
																		{	/* Coerce/convert.scm 200 */
																			BgL_objectz00_bglt BgL_tmpz00_3226;

																			BgL_tmpz00_3226 =
																				((BgL_objectz00_bglt)
																				BgL_new1127z00_1901);
																			BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3226,
																				BFALSE);
																		}
																		((BgL_objectz00_bglt) BgL_new1127z00_1901);
																		BgL_new1128z00_1893 = BgL_new1127z00_1901;
																	}
																	((((BgL_nodez00_bglt) COBJECT(
																					((BgL_nodez00_bglt)
																						BgL_new1128z00_1893)))->
																			BgL_locz00) = ((obj_t) BFALSE), BUNSPEC);
																	((((BgL_nodez00_bglt)
																				COBJECT(((BgL_nodez00_bglt)
																						BgL_new1128z00_1893)))->
																			BgL_typez00) =
																		((BgL_typez00_bglt) ((BgL_typez00_bglt)
																				BgL_toz00_56)), BUNSPEC);
																	((((BgL_nodezf2effectzf2_bglt)
																				COBJECT(((BgL_nodezf2effectzf2_bglt)
																						BgL_new1128z00_1893)))->
																			BgL_sidezd2effectzd2) =
																		((obj_t) BUNSPEC), BUNSPEC);
																	((((BgL_nodezf2effectzf2_bglt)
																				COBJECT(((BgL_nodezf2effectzf2_bglt)
																						BgL_new1128z00_1893)))->
																			BgL_keyz00) =
																		((obj_t) BINT((-1L))), BUNSPEC);
																	{
																		obj_t BgL_auxz00_3240;

																		{	/* Coerce/convert.scm 203 */
																			BgL_nodez00_bglt BgL_arg1593z00_1894;
																			BgL_literalz00_bglt BgL_arg1597z00_1895;

																			BgL_arg1593z00_1894 =
																				BGl_coercez12z12zzcoerce_coercez00(
																				((BgL_nodez00_bglt) BgL_nodez00_1891),
																				BUNSPEC,
																				((BgL_typez00_bglt) BgL_fromz00_55),
																				((bool_t) 0));
																			{	/* Coerce/convert.scm 204 */
																				BgL_literalz00_bglt BgL_new1130z00_1898;

																				{	/* Coerce/convert.scm 204 */
																					BgL_literalz00_bglt
																						BgL_new1129z00_1899;
																					BgL_new1129z00_1899 =
																						((BgL_literalz00_bglt)
																						BOBJECT(GC_MALLOC(sizeof(struct
																									BgL_literalz00_bgl))));
																					{	/* Coerce/convert.scm 204 */
																						long BgL_arg1611z00_1900;

																						{	/* Coerce/convert.scm 204 */
																							obj_t BgL_classz00_2425;

																							BgL_classz00_2425 =
																								BGl_literalz00zzast_nodez00;
																							BgL_arg1611z00_1900 =
																								BGL_CLASS_NUM
																								(BgL_classz00_2425);
																						}
																						BGL_OBJECT_CLASS_NUM_SET(
																							((BgL_objectz00_bglt)
																								BgL_new1129z00_1899),
																							BgL_arg1611z00_1900);
																					}
																					{	/* Coerce/convert.scm 204 */
																						BgL_objectz00_bglt BgL_tmpz00_3248;

																						BgL_tmpz00_3248 =
																							((BgL_objectz00_bglt)
																							BgL_new1129z00_1899);
																						BGL_OBJECT_WIDENING_SET
																							(BgL_tmpz00_3248, BFALSE);
																					}
																					((BgL_objectz00_bglt)
																						BgL_new1129z00_1899);
																					BgL_new1130z00_1898 =
																						BgL_new1129z00_1899;
																				}
																				((((BgL_nodez00_bglt) COBJECT(
																								((BgL_nodez00_bglt)
																									BgL_new1130z00_1898)))->
																						BgL_locz00) =
																					((obj_t) BFALSE), BUNSPEC);
																				((((BgL_nodez00_bglt)
																							COBJECT(((BgL_nodez00_bglt)
																									BgL_new1130z00_1898)))->
																						BgL_typez00) =
																					((BgL_typez00_bglt) (
																							(BgL_typez00_bglt) BgL_toz00_56)),
																					BUNSPEC);
																				((((BgL_atomz00_bglt)
																							COBJECT(((BgL_atomz00_bglt)
																									BgL_new1130z00_1898)))->
																						BgL_valuez00) =
																					((obj_t)
																						BGL_REAL_CNST
																						(BGl_real2010z00zzcoerce_convertz00)),
																					BUNSPEC);
																				BgL_arg1597z00_1895 =
																					BgL_new1130z00_1898;
																			}
																			{	/* Coerce/convert.scm 202 */
																				obj_t BgL_list1598z00_1896;

																				{	/* Coerce/convert.scm 202 */
																					obj_t BgL_arg1605z00_1897;

																					BgL_arg1605z00_1897 =
																						MAKE_YOUNG_PAIR(
																						((obj_t) BgL_arg1597z00_1895),
																						BNIL);
																					BgL_list1598z00_1896 =
																						MAKE_YOUNG_PAIR(((obj_t)
																							BgL_arg1593z00_1894),
																						BgL_arg1605z00_1897);
																				}
																				BgL_auxz00_3240 = BgL_list1598z00_1896;
																		}}
																		((((BgL_sequencez00_bglt)
																					COBJECT(BgL_new1128z00_1893))->
																				BgL_nodesz00) =
																			((obj_t) BgL_auxz00_3240), BUNSPEC);
																	}
																	((((BgL_sequencez00_bglt)
																				COBJECT(BgL_new1128z00_1893))->
																			BgL_unsafez00) =
																		((bool_t) ((bool_t) 0)), BUNSPEC);
																	((((BgL_sequencez00_bglt)
																				COBJECT(BgL_new1128z00_1893))->
																			BgL_metaz00) = ((obj_t) BNIL), BUNSPEC);
																	return ((obj_t) BgL_new1128z00_1893);
																}
															}
														else
															{	/* Coerce/convert.scm 196 */
																if (
																	(BgL_toz00_56 ==
																		BGl_za2charza2z00zztype_cachez00))
																	{	/* Coerce/convert.scm 206 */
																		obj_t BgL_nodez00_1904;

																		{	/* Coerce/convert.scm 206 */
																			obj_t BgL_arg1643z00_1916;

																			BgL_arg1643z00_1916 =
																				(((BgL_typez00_bglt) COBJECT(
																						((BgL_typez00_bglt)
																							BgL_toz00_56)))->BgL_idz00);
																			BgL_nodez00_1904 =
																				BGl_runtimezd2typezd2errorz00zzcoerce_convertz00
																				(BgL_locz00_57, BgL_arg1643z00_1916,
																				BgL_nodez00_58);
																		}
																		{	/* Coerce/convert.scm 207 */
																			obj_t BgL_arg1626z00_1905;

																			BgL_arg1626z00_1905 =
																				BGl_currentzd2functionzd2zztools_errorz00
																				();
																			if (CBOOL
																				(BGl_za2warningzd2typesza2zd2zzengine_paramz00))
																				{	/* Coerce/convert.scm 104 */
																					BGl_userzd2warningzf2locationz20zztools_errorz00
																						(BgL_locz00_57, BgL_arg1626z00_1905,
																						BGl_string2008z00zzcoerce_convertz00,
																						BGl_bigloozd2typezd2errorzd2msgzd2zz__errorz00
																						(BGl_string2009z00zzcoerce_convertz00,
																							BGl_shapez00zztools_shapez00
																							(BgL_toz00_56),
																							BGl_shapez00zztools_shapez00
																							(BgL_fromz00_55)));
																				}
																			else
																				{	/* Coerce/convert.scm 104 */
																					BFALSE;
																				}
																		}
																		BGl_lvtypezd2nodez12zc0zzast_lvtypez00(
																			((BgL_nodez00_bglt) BgL_nodez00_1904));
																		{	/* Coerce/convert.scm 209 */
																			BgL_sequencez00_bglt BgL_new1132z00_1906;

																			{	/* Coerce/convert.scm 209 */
																				BgL_sequencez00_bglt
																					BgL_new1131z00_1914;
																				BgL_new1131z00_1914 =
																					((BgL_sequencez00_bglt)
																					BOBJECT(GC_MALLOC(sizeof(struct
																								BgL_sequencez00_bgl))));
																				{	/* Coerce/convert.scm 209 */
																					long BgL_arg1642z00_1915;

																					BgL_arg1642z00_1915 =
																						BGL_CLASS_NUM
																						(BGl_sequencez00zzast_nodez00);
																					BGL_OBJECT_CLASS_NUM_SET((
																							(BgL_objectz00_bglt)
																							BgL_new1131z00_1914),
																						BgL_arg1642z00_1915);
																				}
																				{	/* Coerce/convert.scm 209 */
																					BgL_objectz00_bglt BgL_tmpz00_3285;

																					BgL_tmpz00_3285 =
																						((BgL_objectz00_bglt)
																						BgL_new1131z00_1914);
																					BGL_OBJECT_WIDENING_SET
																						(BgL_tmpz00_3285, BFALSE);
																				}
																				((BgL_objectz00_bglt)
																					BgL_new1131z00_1914);
																				BgL_new1132z00_1906 =
																					BgL_new1131z00_1914;
																			}
																			((((BgL_nodez00_bglt) COBJECT(
																							((BgL_nodez00_bglt)
																								BgL_new1132z00_1906)))->
																					BgL_locz00) =
																				((obj_t) BFALSE), BUNSPEC);
																			((((BgL_nodez00_bglt)
																						COBJECT(((BgL_nodez00_bglt)
																								BgL_new1132z00_1906)))->
																					BgL_typez00) =
																				((BgL_typez00_bglt) ((BgL_typez00_bglt)
																						BgL_toz00_56)), BUNSPEC);
																			((((BgL_nodezf2effectzf2_bglt)
																						COBJECT(((BgL_nodezf2effectzf2_bglt)
																								BgL_new1132z00_1906)))->
																					BgL_sidezd2effectzd2) =
																				((obj_t) BUNSPEC), BUNSPEC);
																			((((BgL_nodezf2effectzf2_bglt)
																						COBJECT(((BgL_nodezf2effectzf2_bglt)
																								BgL_new1132z00_1906)))->
																					BgL_keyz00) =
																				((obj_t) BINT((-1L))), BUNSPEC);
																			{
																				obj_t BgL_auxz00_3299;

																				{	/* Coerce/convert.scm 212 */
																					BgL_nodez00_bglt BgL_arg1631z00_1907;
																					BgL_literalz00_bglt
																						BgL_arg1632z00_1908;
																					BgL_arg1631z00_1907 =
																						BGl_coercez12z12zzcoerce_coercez00((
																							(BgL_nodez00_bglt)
																							BgL_nodez00_1904), BUNSPEC,
																						((BgL_typez00_bglt) BgL_fromz00_55),
																						((bool_t) 0));
																					{	/* Coerce/convert.scm 213 */
																						BgL_literalz00_bglt
																							BgL_new1135z00_1911;
																						{	/* Coerce/convert.scm 213 */
																							BgL_literalz00_bglt
																								BgL_new1133z00_1912;
																							BgL_new1133z00_1912 =
																								((BgL_literalz00_bglt)
																								BOBJECT(GC_MALLOC(sizeof(struct
																											BgL_literalz00_bgl))));
																							{	/* Coerce/convert.scm 213 */
																								long BgL_arg1638z00_1913;

																								{	/* Coerce/convert.scm 213 */
																									obj_t BgL_classz00_2438;

																									BgL_classz00_2438 =
																										BGl_literalz00zzast_nodez00;
																									BgL_arg1638z00_1913 =
																										BGL_CLASS_NUM
																										(BgL_classz00_2438);
																								}
																								BGL_OBJECT_CLASS_NUM_SET(
																									((BgL_objectz00_bglt)
																										BgL_new1133z00_1912),
																									BgL_arg1638z00_1913);
																							}
																							{	/* Coerce/convert.scm 213 */
																								BgL_objectz00_bglt
																									BgL_tmpz00_3307;
																								BgL_tmpz00_3307 =
																									((BgL_objectz00_bglt)
																									BgL_new1133z00_1912);
																								BGL_OBJECT_WIDENING_SET
																									(BgL_tmpz00_3307, BFALSE);
																							}
																							((BgL_objectz00_bglt)
																								BgL_new1133z00_1912);
																							BgL_new1135z00_1911 =
																								BgL_new1133z00_1912;
																						}
																						((((BgL_nodez00_bglt) COBJECT(
																										((BgL_nodez00_bglt)
																											BgL_new1135z00_1911)))->
																								BgL_locz00) =
																							((obj_t) BFALSE), BUNSPEC);
																						((((BgL_nodez00_bglt)
																									COBJECT(((BgL_nodez00_bglt)
																											BgL_new1135z00_1911)))->
																								BgL_typez00) =
																							((BgL_typez00_bglt) (
																									(BgL_typez00_bglt)
																									BgL_toz00_56)), BUNSPEC);
																						((((BgL_atomz00_bglt)
																									COBJECT(((BgL_atomz00_bglt)
																											BgL_new1135z00_1911)))->
																								BgL_valuez00) =
																							((obj_t) BCHAR(((unsigned char)
																										'\000'))), BUNSPEC);
																						BgL_arg1632z00_1908 =
																							BgL_new1135z00_1911;
																					}
																					{	/* Coerce/convert.scm 211 */
																						obj_t BgL_list1633z00_1909;

																						{	/* Coerce/convert.scm 211 */
																							obj_t BgL_arg1635z00_1910;

																							BgL_arg1635z00_1910 =
																								MAKE_YOUNG_PAIR(
																								((obj_t) BgL_arg1632z00_1908),
																								BNIL);
																							BgL_list1633z00_1909 =
																								MAKE_YOUNG_PAIR(((obj_t)
																									BgL_arg1631z00_1907),
																								BgL_arg1635z00_1910);
																						}
																						BgL_auxz00_3299 =
																							BgL_list1633z00_1909;
																				}}
																				((((BgL_sequencez00_bglt)
																							COBJECT(BgL_new1132z00_1906))->
																						BgL_nodesz00) =
																					((obj_t) BgL_auxz00_3299), BUNSPEC);
																			}
																			((((BgL_sequencez00_bglt)
																						COBJECT(BgL_new1132z00_1906))->
																					BgL_unsafez00) =
																				((bool_t) ((bool_t) 0)), BUNSPEC);
																			((((BgL_sequencez00_bglt)
																						COBJECT(BgL_new1132z00_1906))->
																					BgL_metaz00) =
																				((obj_t) BNIL), BUNSPEC);
																			return ((obj_t) BgL_new1132z00_1906);
																		}
																	}
																else
																	{	/* Coerce/convert.scm 205 */
																		if (
																			(BgL_toz00_56 ==
																				BGl_za2scharza2z00zztype_cachez00))
																			{	/* Coerce/convert.scm 215 */
																				obj_t BgL_nodez00_1917;

																				{	/* Coerce/convert.scm 215 */
																					obj_t BgL_arg1657z00_1929;

																					BgL_arg1657z00_1929 =
																						(((BgL_typez00_bglt) COBJECT(
																								((BgL_typez00_bglt)
																									BgL_toz00_56)))->BgL_idz00);
																					BgL_nodez00_1917 =
																						BGl_runtimezd2typezd2errorz00zzcoerce_convertz00
																						(BgL_locz00_57, BgL_arg1657z00_1929,
																						BgL_nodez00_58);
																				}
																				{	/* Coerce/convert.scm 216 */
																					obj_t BgL_arg1648z00_1918;

																					BgL_arg1648z00_1918 =
																						BGl_currentzd2functionzd2zztools_errorz00
																						();
																					if (CBOOL
																						(BGl_za2warningzd2typesza2zd2zzengine_paramz00))
																						{	/* Coerce/convert.scm 104 */
																							BGl_userzd2warningzf2locationz20zztools_errorz00
																								(BgL_locz00_57,
																								BgL_arg1648z00_1918,
																								BGl_string2008z00zzcoerce_convertz00,
																								BGl_bigloozd2typezd2errorzd2msgzd2zz__errorz00
																								(BGl_string2009z00zzcoerce_convertz00,
																									BGl_shapez00zztools_shapez00
																									(BgL_toz00_56),
																									BGl_shapez00zztools_shapez00
																									(BgL_fromz00_55)));
																						}
																					else
																						{	/* Coerce/convert.scm 104 */
																							BFALSE;
																						}
																				}
																				BGl_lvtypezd2nodez12zc0zzast_lvtypez00(
																					((BgL_nodez00_bglt)
																						BgL_nodez00_1917));
																				{	/* Coerce/convert.scm 218 */
																					BgL_sequencez00_bglt
																						BgL_new1137z00_1919;
																					{	/* Coerce/convert.scm 218 */
																						BgL_sequencez00_bglt
																							BgL_new1136z00_1927;
																						BgL_new1136z00_1927 =
																							((BgL_sequencez00_bglt)
																							BOBJECT(GC_MALLOC(sizeof(struct
																										BgL_sequencez00_bgl))));
																						{	/* Coerce/convert.scm 218 */
																							long BgL_arg1656z00_1928;

																							BgL_arg1656z00_1928 =
																								BGL_CLASS_NUM
																								(BGl_sequencez00zzast_nodez00);
																							BGL_OBJECT_CLASS_NUM_SET((
																									(BgL_objectz00_bglt)
																									BgL_new1136z00_1927),
																								BgL_arg1656z00_1928);
																						}
																						{	/* Coerce/convert.scm 218 */
																							BgL_objectz00_bglt
																								BgL_tmpz00_3345;
																							BgL_tmpz00_3345 =
																								((BgL_objectz00_bglt)
																								BgL_new1136z00_1927);
																							BGL_OBJECT_WIDENING_SET
																								(BgL_tmpz00_3345, BFALSE);
																						}
																						((BgL_objectz00_bglt)
																							BgL_new1136z00_1927);
																						BgL_new1137z00_1919 =
																							BgL_new1136z00_1927;
																					}
																					((((BgL_nodez00_bglt) COBJECT(
																									((BgL_nodez00_bglt)
																										BgL_new1137z00_1919)))->
																							BgL_locz00) =
																						((obj_t) BFALSE), BUNSPEC);
																					((((BgL_nodez00_bglt)
																								COBJECT(((BgL_nodez00_bglt)
																										BgL_new1137z00_1919)))->
																							BgL_typez00) =
																						((BgL_typez00_bglt) (
																								(BgL_typez00_bglt)
																								BGl_za2charza2z00zztype_cachez00)),
																						BUNSPEC);
																					((((BgL_nodezf2effectzf2_bglt)
																								COBJECT((
																										(BgL_nodezf2effectzf2_bglt)
																										BgL_new1137z00_1919)))->
																							BgL_sidezd2effectzd2) =
																						((obj_t) BUNSPEC), BUNSPEC);
																					((((BgL_nodezf2effectzf2_bglt)
																								COBJECT((
																										(BgL_nodezf2effectzf2_bglt)
																										BgL_new1137z00_1919)))->
																							BgL_keyz00) =
																						((obj_t) BINT((-1L))), BUNSPEC);
																					{
																						obj_t BgL_auxz00_3359;

																						{	/* Coerce/convert.scm 221 */
																							BgL_nodez00_bglt
																								BgL_arg1649z00_1920;
																							BgL_literalz00_bglt
																								BgL_arg1650z00_1921;
																							BgL_arg1649z00_1920 =
																								BGl_coercez12z12zzcoerce_coercez00
																								(((BgL_nodez00_bglt)
																									BgL_nodez00_1917), BUNSPEC,
																								((BgL_typez00_bglt)
																									BgL_fromz00_55),
																								((bool_t) 0));
																							{	/* Coerce/convert.scm 222 */
																								BgL_literalz00_bglt
																									BgL_new1139z00_1924;
																								{	/* Coerce/convert.scm 222 */
																									BgL_literalz00_bglt
																										BgL_new1138z00_1925;
																									BgL_new1138z00_1925 =
																										((BgL_literalz00_bglt)
																										BOBJECT(GC_MALLOC(sizeof
																												(struct
																													BgL_literalz00_bgl))));
																									{	/* Coerce/convert.scm 222 */
																										long BgL_arg1655z00_1926;

																										{	/* Coerce/convert.scm 222 */
																											obj_t BgL_classz00_2451;

																											BgL_classz00_2451 =
																												BGl_literalz00zzast_nodez00;
																											BgL_arg1655z00_1926 =
																												BGL_CLASS_NUM
																												(BgL_classz00_2451);
																										}
																										BGL_OBJECT_CLASS_NUM_SET(
																											((BgL_objectz00_bglt)
																												BgL_new1138z00_1925),
																											BgL_arg1655z00_1926);
																									}
																									{	/* Coerce/convert.scm 222 */
																										BgL_objectz00_bglt
																											BgL_tmpz00_3367;
																										BgL_tmpz00_3367 =
																											((BgL_objectz00_bglt)
																											BgL_new1138z00_1925);
																										BGL_OBJECT_WIDENING_SET
																											(BgL_tmpz00_3367, BFALSE);
																									}
																									((BgL_objectz00_bglt)
																										BgL_new1138z00_1925);
																									BgL_new1139z00_1924 =
																										BgL_new1138z00_1925;
																								}
																								((((BgL_nodez00_bglt) COBJECT(
																												((BgL_nodez00_bglt)
																													BgL_new1139z00_1924)))->
																										BgL_locz00) =
																									((obj_t) BFALSE), BUNSPEC);
																								((((BgL_nodez00_bglt)
																											COBJECT((
																													(BgL_nodez00_bglt)
																													BgL_new1139z00_1924)))->
																										BgL_typez00) =
																									((BgL_typez00_bglt) (
																											(BgL_typez00_bglt)
																											BGl_za2charza2z00zztype_cachez00)),
																									BUNSPEC);
																								((((BgL_atomz00_bglt)
																											COBJECT((
																													(BgL_atomz00_bglt)
																													BgL_new1139z00_1924)))->
																										BgL_valuez00) =
																									((obj_t) BCHAR(((unsigned
																													char) '\000'))),
																									BUNSPEC);
																								BgL_arg1650z00_1921 =
																									BgL_new1139z00_1924;
																							}
																							{	/* Coerce/convert.scm 220 */
																								obj_t BgL_list1651z00_1922;

																								{	/* Coerce/convert.scm 220 */
																									obj_t BgL_arg1653z00_1923;

																									BgL_arg1653z00_1923 =
																										MAKE_YOUNG_PAIR(
																										((obj_t)
																											BgL_arg1650z00_1921),
																										BNIL);
																									BgL_list1651z00_1922 =
																										MAKE_YOUNG_PAIR(((obj_t)
																											BgL_arg1649z00_1920),
																										BgL_arg1653z00_1923);
																								}
																								BgL_auxz00_3359 =
																									BgL_list1651z00_1922;
																						}}
																						((((BgL_sequencez00_bglt)
																									COBJECT
																									(BgL_new1137z00_1919))->
																								BgL_nodesz00) =
																							((obj_t) BgL_auxz00_3359),
																							BUNSPEC);
																					}
																					((((BgL_sequencez00_bglt)
																								COBJECT(BgL_new1137z00_1919))->
																							BgL_unsafez00) =
																						((bool_t) ((bool_t) 0)), BUNSPEC);
																					((((BgL_sequencez00_bglt)
																								COBJECT(BgL_new1137z00_1919))->
																							BgL_metaz00) =
																						((obj_t) BNIL), BUNSPEC);
																					return ((obj_t) BgL_new1137z00_1919);
																				}
																			}
																		else
																			{	/* Coerce/convert.scm 214 */
																				if (
																					(BgL_toz00_56 ==
																						BGl_za2stringza2z00zztype_cachez00))
																					{	/* Coerce/convert.scm 224 */
																						obj_t BgL_nodez00_1930;

																						{	/* Coerce/convert.scm 224 */
																							obj_t BgL_arg1677z00_1942;

																							BgL_arg1677z00_1942 =
																								(((BgL_typez00_bglt) COBJECT(
																										((BgL_typez00_bglt)
																											BgL_toz00_56)))->
																								BgL_idz00);
																							BgL_nodez00_1930 =
																								BGl_runtimezd2typezd2errorz00zzcoerce_convertz00
																								(BgL_locz00_57,
																								BgL_arg1677z00_1942,
																								BgL_nodez00_58);
																						}
																						{	/* Coerce/convert.scm 225 */
																							obj_t BgL_arg1660z00_1931;

																							BgL_arg1660z00_1931 =
																								BGl_currentzd2functionzd2zztools_errorz00
																								();
																							if (CBOOL
																								(BGl_za2warningzd2typesza2zd2zzengine_paramz00))
																								{	/* Coerce/convert.scm 104 */
																									BGl_userzd2warningzf2locationz20zztools_errorz00
																										(BgL_locz00_57,
																										BgL_arg1660z00_1931,
																										BGl_string2008z00zzcoerce_convertz00,
																										BGl_bigloozd2typezd2errorzd2msgzd2zz__errorz00
																										(BGl_string2009z00zzcoerce_convertz00,
																											BGl_shapez00zztools_shapez00
																											(BgL_toz00_56),
																											BGl_shapez00zztools_shapez00
																											(BgL_fromz00_55)));
																								}
																							else
																								{	/* Coerce/convert.scm 104 */
																									BFALSE;
																								}
																						}
																						BGl_lvtypezd2nodez12zc0zzast_lvtypez00
																							(((BgL_nodez00_bglt)
																								BgL_nodez00_1930));
																						{	/* Coerce/convert.scm 227 */
																							BgL_sequencez00_bglt
																								BgL_new1141z00_1932;
																							{	/* Coerce/convert.scm 227 */
																								BgL_sequencez00_bglt
																									BgL_new1140z00_1940;
																								BgL_new1140z00_1940 =
																									((BgL_sequencez00_bglt)
																									BOBJECT(GC_MALLOC(sizeof
																											(struct
																												BgL_sequencez00_bgl))));
																								{	/* Coerce/convert.scm 227 */
																									long BgL_arg1675z00_1941;

																									BgL_arg1675z00_1941 =
																										BGL_CLASS_NUM
																										(BGl_sequencez00zzast_nodez00);
																									BGL_OBJECT_CLASS_NUM_SET((
																											(BgL_objectz00_bglt)
																											BgL_new1140z00_1940),
																										BgL_arg1675z00_1941);
																								}
																								{	/* Coerce/convert.scm 227 */
																									BgL_objectz00_bglt
																										BgL_tmpz00_3405;
																									BgL_tmpz00_3405 =
																										((BgL_objectz00_bglt)
																										BgL_new1140z00_1940);
																									BGL_OBJECT_WIDENING_SET
																										(BgL_tmpz00_3405, BFALSE);
																								}
																								((BgL_objectz00_bglt)
																									BgL_new1140z00_1940);
																								BgL_new1141z00_1932 =
																									BgL_new1140z00_1940;
																							}
																							((((BgL_nodez00_bglt) COBJECT(
																											((BgL_nodez00_bglt)
																												BgL_new1141z00_1932)))->
																									BgL_locz00) =
																								((obj_t) BFALSE), BUNSPEC);
																							((((BgL_nodez00_bglt)
																										COBJECT(((BgL_nodez00_bglt)
																												BgL_new1141z00_1932)))->
																									BgL_typez00) =
																								((BgL_typez00_bglt) (
																										(BgL_typez00_bglt)
																										BgL_toz00_56)), BUNSPEC);
																							((((BgL_nodezf2effectzf2_bglt)
																										COBJECT((
																												(BgL_nodezf2effectzf2_bglt)
																												BgL_new1141z00_1932)))->
																									BgL_sidezd2effectzd2) =
																								((obj_t) BUNSPEC), BUNSPEC);
																							((((BgL_nodezf2effectzf2_bglt)
																										COBJECT((
																												(BgL_nodezf2effectzf2_bglt)
																												BgL_new1141z00_1932)))->
																									BgL_keyz00) =
																								((obj_t) BINT((-1L))), BUNSPEC);
																							{
																								obj_t BgL_auxz00_3419;

																								{	/* Coerce/convert.scm 230 */
																									BgL_nodez00_bglt
																										BgL_arg1663z00_1933;
																									BgL_literalz00_bglt
																										BgL_arg1664z00_1934;
																									BgL_arg1663z00_1933 =
																										BGl_coercez12z12zzcoerce_coercez00
																										(((BgL_nodez00_bglt)
																											BgL_nodez00_1930),
																										BUNSPEC,
																										((BgL_typez00_bglt)
																											BgL_fromz00_55),
																										((bool_t) 0));
																									{	/* Coerce/convert.scm 231 */
																										BgL_literalz00_bglt
																											BgL_new1143z00_1937;
																										{	/* Coerce/convert.scm 231 */
																											BgL_literalz00_bglt
																												BgL_new1142z00_1938;
																											BgL_new1142z00_1938 =
																												((BgL_literalz00_bglt)
																												BOBJECT(GC_MALLOC(sizeof
																														(struct
																															BgL_literalz00_bgl))));
																											{	/* Coerce/convert.scm 231 */
																												long
																													BgL_arg1674z00_1939;
																												{	/* Coerce/convert.scm 231 */
																													obj_t
																														BgL_classz00_2464;
																													BgL_classz00_2464 =
																														BGl_literalz00zzast_nodez00;
																													BgL_arg1674z00_1939 =
																														BGL_CLASS_NUM
																														(BgL_classz00_2464);
																												}
																												BGL_OBJECT_CLASS_NUM_SET
																													(((BgL_objectz00_bglt)
																														BgL_new1142z00_1938),
																													BgL_arg1674z00_1939);
																											}
																											{	/* Coerce/convert.scm 231 */
																												BgL_objectz00_bglt
																													BgL_tmpz00_3427;
																												BgL_tmpz00_3427 =
																													((BgL_objectz00_bglt)
																													BgL_new1142z00_1938);
																												BGL_OBJECT_WIDENING_SET
																													(BgL_tmpz00_3427,
																													BFALSE);
																											}
																											((BgL_objectz00_bglt)
																												BgL_new1142z00_1938);
																											BgL_new1143z00_1937 =
																												BgL_new1142z00_1938;
																										}
																										((((BgL_nodez00_bglt)
																													COBJECT((
																															(BgL_nodez00_bglt)
																															BgL_new1143z00_1937)))->
																												BgL_locz00) =
																											((obj_t) BFALSE),
																											BUNSPEC);
																										((((BgL_nodez00_bglt)
																													COBJECT((
																															(BgL_nodez00_bglt)
																															BgL_new1143z00_1937)))->
																												BgL_typez00) =
																											((BgL_typez00_bglt) (
																													(BgL_typez00_bglt)
																													BgL_toz00_56)),
																											BUNSPEC);
																										((((BgL_atomz00_bglt)
																													COBJECT((
																															(BgL_atomz00_bglt)
																															BgL_new1143z00_1937)))->
																												BgL_valuez00) =
																											((obj_t)
																												BGl_string2009z00zzcoerce_convertz00),
																											BUNSPEC);
																										BgL_arg1664z00_1934 =
																											BgL_new1143z00_1937;
																									}
																									{	/* Coerce/convert.scm 229 */
																										obj_t BgL_list1665z00_1935;

																										{	/* Coerce/convert.scm 229 */
																											obj_t BgL_arg1673z00_1936;

																											BgL_arg1673z00_1936 =
																												MAKE_YOUNG_PAIR(
																												((obj_t)
																													BgL_arg1664z00_1934),
																												BNIL);
																											BgL_list1665z00_1935 =
																												MAKE_YOUNG_PAIR(((obj_t)
																													BgL_arg1663z00_1933),
																												BgL_arg1673z00_1936);
																										}
																										BgL_auxz00_3419 =
																											BgL_list1665z00_1935;
																								}}
																								((((BgL_sequencez00_bglt)
																											COBJECT
																											(BgL_new1141z00_1932))->
																										BgL_nodesz00) =
																									((obj_t) BgL_auxz00_3419),
																									BUNSPEC);
																							}
																							((((BgL_sequencez00_bglt)
																										COBJECT
																										(BgL_new1141z00_1932))->
																									BgL_unsafez00) =
																								((bool_t) ((bool_t) 0)),
																								BUNSPEC);
																							((((BgL_sequencez00_bglt)
																										COBJECT
																										(BgL_new1141z00_1932))->
																									BgL_metaz00) =
																								((obj_t) BNIL), BUNSPEC);
																							return ((obj_t)
																								BgL_new1141z00_1932);
																						}
																					}
																				else
																					{	/* Coerce/convert.scm 233 */
																						obj_t BgL_arg1679z00_1943;

																						BgL_arg1679z00_1943 =
																							BGl_currentzd2functionzd2zztools_errorz00
																							();
																						return
																							BGl_userzd2errorzf2locationz20zztools_errorz00
																							(BgL_locz00_57,
																							BgL_arg1679z00_1943,
																							BGl_string2008z00zzcoerce_convertz00,
																							BGl_bigloozd2typezd2errorzd2msgzd2zz__errorz00
																							(BGl_string2009z00zzcoerce_convertz00,
																								BGl_shapez00zztools_shapez00
																								(BgL_toz00_56),
																								BGl_shapez00zztools_shapez00
																								(BgL_fromz00_55)), BNIL);
																					}
																			}
																	}
															}
													}
											}
									}
							}
					}
			}
		}

	}



/* convert! */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_convertz12z12zzcoerce_convertz00(BgL_nodez00_bglt BgL_nodez00_59,
		BgL_typez00_bglt BgL_fromz00_60, BgL_typez00_bglt BgL_toz00_61,
		bool_t BgL_safez00_62)
	{
		{	/* Coerce/convert.scm 243 */
			if ((((obj_t) BgL_fromz00_60) == ((obj_t) BgL_toz00_61)))
				{	/* Coerce/convert.scm 247 */
					return BgL_nodez00_59;
				}
			else
				{	/* Coerce/convert.scm 249 */
					obj_t BgL_toz00_1944;
					obj_t BgL_froz00_1945;

					BgL_toz00_1944 =
						((obj_t) BGl_getzd2aliasedzd2typez00zztype_typez00(BgL_toz00_61));
					BgL_froz00_1945 =
						((obj_t) BGl_getzd2aliasedzd2typez00zztype_typez00(BgL_fromz00_60));
					{	/* Coerce/convert.scm 251 */
						bool_t BgL_test2072z00_3459;

						if ((BgL_froz00_1945 == BgL_toz00_1944))
							{	/* Coerce/convert.scm 251 */
								BgL_test2072z00_3459 = ((bool_t) 1);
							}
						else
							{	/* Coerce/convert.scm 251 */
								BgL_test2072z00_3459 =
									(((BgL_typez00_bglt) COBJECT(
											((BgL_typez00_bglt) BgL_froz00_1945)))->BgL_magiczf3zf3);
							}
						if (BgL_test2072z00_3459)
							{	/* Coerce/convert.scm 251 */
								return BgL_nodez00_59;
							}
						else
							{	/* Coerce/convert.scm 253 */
								obj_t BgL_coercerz00_1947;
								obj_t BgL_locz00_1948;

								BgL_coercerz00_1947 =
									BGl_findzd2coercerzd2zztype_coercionz00(
									((BgL_typez00_bglt) BgL_froz00_1945),
									((BgL_typez00_bglt) BgL_toz00_1944));
								BgL_locz00_1948 =
									(((BgL_nodez00_bglt) COBJECT(BgL_nodez00_59))->BgL_locz00);
								{	/* Coerce/convert.scm 255 */
									bool_t BgL_test2074z00_3468;

									if (STRUCTP(BgL_coercerz00_1947))
										{	/* Coerce/convert.scm 255 */
											BgL_test2074z00_3468 =
												(STRUCT_KEY(BgL_coercerz00_1947) ==
												((obj_t) CNST_TABLE_REF(8)));
										}
									else
										{	/* Coerce/convert.scm 255 */
											BgL_test2074z00_3468 = ((bool_t) 0);
										}
									if (BgL_test2074z00_3468)
										{	/* Coerce/convert.scm 259 */
											obj_t BgL_g1144z00_1950;
											obj_t BgL_g1145z00_1951;

											BgL_g1144z00_1950 =
												STRUCT_REF(BgL_coercerz00_1947, (int) (2L));
											BgL_g1145z00_1951 =
												STRUCT_REF(BgL_coercerz00_1947, (int) (3L));
											{
												obj_t BgL_checksz00_1953;
												obj_t BgL_coercesz00_1954;
												BgL_nodez00_bglt BgL_nodez00_1955;

												{
													obj_t BgL_auxz00_3479;

													BgL_checksz00_1953 = BgL_g1144z00_1950;
													BgL_coercesz00_1954 = BgL_g1145z00_1951;
													BgL_nodez00_1955 = BgL_nodez00_59;
												BgL_zc3z04anonymousza31682ze3z87_1956:
													if (NULLP(BgL_checksz00_1953))
														{	/* Coerce/convert.scm 263 */
															if (NULLP(BgL_coercesz00_1954))
																{	/* Coerce/convert.scm 264 */
																	BgL_auxz00_3479 = ((obj_t) BgL_nodez00_1955);
																}
															else
																{	/* Coerce/convert.scm 267 */
																	obj_t BgL_arg1686z00_1959;
																	obj_t BgL_arg1691z00_1960;

																	BgL_arg1686z00_1959 =
																		BGl_shapez00zztools_shapez00(
																		((obj_t) BgL_fromz00_60));
																	BgL_arg1691z00_1960 =
																		BGl_shapez00zztools_shapez00
																		(BgL_toz00_1944);
																	BgL_auxz00_3479 =
																		BGl_internalzd2errorzd2zztools_errorz00
																		(BGl_string2011z00zzcoerce_convertz00,
																		BgL_arg1686z00_1959, BgL_arg1691z00_1960);
																}
														}
													else
														{	/* Coerce/convert.scm 263 */
															if (NULLP(BgL_coercesz00_1954))
																{	/* Coerce/convert.scm 271 */
																	obj_t BgL_arg1695z00_1962;
																	obj_t BgL_arg1696z00_1963;

																	BgL_arg1695z00_1962 =
																		BGl_shapez00zztools_shapez00(
																		((obj_t) BgL_fromz00_60));
																	BgL_arg1696z00_1963 =
																		BGl_shapez00zztools_shapez00
																		(BgL_toz00_1944);
																	BgL_auxz00_3479 =
																		BGl_internalzd2errorzd2zztools_errorz00
																		(BGl_string2011z00zzcoerce_convertz00,
																		BgL_arg1695z00_1962, BgL_arg1696z00_1963);
																}
															else
																{	/* Coerce/convert.scm 274 */
																	obj_t BgL_arg1699z00_1964;
																	obj_t BgL_arg1703z00_1965;
																	BgL_nodez00_bglt BgL_arg1715z00_1966;

																	BgL_arg1699z00_1964 =
																		CDR(((obj_t) BgL_checksz00_1953));
																	BgL_arg1703z00_1965 =
																		CDR(((obj_t) BgL_coercesz00_1954));
																	{	/* Coerce/convert.scm 276 */
																		obj_t BgL_arg1716z00_1967;
																		obj_t BgL_arg1717z00_1968;
																		obj_t BgL_arg1720z00_1969;
																		obj_t BgL_arg1724z00_1970;

																		{	/* Coerce/convert.scm 276 */
																			obj_t BgL_pairz00_2486;

																			BgL_pairz00_2486 =
																				CAR(((obj_t) BgL_checksz00_1953));
																			BgL_arg1716z00_1967 =
																				CDR(BgL_pairz00_2486);
																		}
																		{	/* Coerce/convert.scm 277 */
																			obj_t BgL_pairz00_2490;

																			BgL_pairz00_2490 =
																				CAR(((obj_t) BgL_coercesz00_1954));
																			BgL_arg1717z00_1968 =
																				CDR(BgL_pairz00_2490);
																		}
																		{	/* Coerce/convert.scm 278 */
																			obj_t BgL_pairz00_2494;

																			BgL_pairz00_2494 =
																				CAR(((obj_t) BgL_checksz00_1953));
																			BgL_arg1720z00_1969 =
																				CAR(BgL_pairz00_2494);
																		}
																		{	/* Coerce/convert.scm 279 */
																			obj_t BgL_pairz00_2498;

																			BgL_pairz00_2498 =
																				CAR(((obj_t) BgL_coercesz00_1954));
																			BgL_arg1724z00_1970 =
																				CAR(BgL_pairz00_2498);
																		}
																		BgL_arg1715z00_1966 =
																			BGl_makezd2onezd2conversionz00zzcoerce_convertz00
																			(BgL_arg1716z00_1967, BgL_arg1717z00_1968,
																			BgL_arg1720z00_1969, BgL_arg1724z00_1970,
																			BgL_nodez00_1955, BgL_safez00_62);
																	}
																	{
																		BgL_nodez00_bglt BgL_nodez00_3514;
																		obj_t BgL_coercesz00_3513;
																		obj_t BgL_checksz00_3512;

																		BgL_checksz00_3512 = BgL_arg1699z00_1964;
																		BgL_coercesz00_3513 = BgL_arg1703z00_1965;
																		BgL_nodez00_3514 = BgL_arg1715z00_1966;
																		BgL_nodez00_1955 = BgL_nodez00_3514;
																		BgL_coercesz00_1954 = BgL_coercesz00_3513;
																		BgL_checksz00_1953 = BgL_checksz00_3512;
																		goto BgL_zc3z04anonymousza31682ze3z87_1956;
																	}
																}
														}
													return ((BgL_nodez00_bglt) BgL_auxz00_3479);
												}
											}
										}
									else
										{	/* Coerce/convert.scm 255 */
											return
												((BgL_nodez00_bglt)
												BGl_convertzd2errorzd2zzcoerce_convertz00
												(BgL_froz00_1945, BgL_toz00_1944, BgL_locz00_1948,
													BgL_nodez00_59));
										}
								}
							}
					}
				}
		}

	}



/* &convert! */
	BgL_nodez00_bglt BGl_z62convertz12z70zzcoerce_convertz00(obj_t
		BgL_envz00_2781, obj_t BgL_nodez00_2782, obj_t BgL_fromz00_2783,
		obj_t BgL_toz00_2784, obj_t BgL_safez00_2785)
	{
		{	/* Coerce/convert.scm 243 */
			return
				BGl_convertz12z12zzcoerce_convertz00(
				((BgL_nodez00_bglt) BgL_nodez00_2782),
				((BgL_typez00_bglt) BgL_fromz00_2783),
				((BgL_typez00_bglt) BgL_toz00_2784), CBOOL(BgL_safez00_2785));
		}

	}



/* make-one-conversion */
	BgL_nodez00_bglt BGl_makezd2onezd2conversionz00zzcoerce_convertz00(obj_t
		BgL_fromz00_63, obj_t BgL_toz00_64, obj_t BgL_checkopz00_65,
		obj_t BgL_coerceopz00_66, BgL_nodez00_bglt BgL_nodez00_67,
		bool_t BgL_safez00_68)
	{
		{	/* Coerce/convert.scm 292 */
			{	/* Coerce/convert.scm 293 */
				bool_t BgL_test2079z00_3523;

				if ((BgL_checkopz00_65 == BTRUE))
					{	/* Coerce/convert.scm 293 */
						BgL_test2079z00_3523 = ((bool_t) 1);
					}
				else
					{	/* Coerce/convert.scm 293 */
						if (BgL_safez00_68)
							{	/* Coerce/convert.scm 293 */
								BgL_test2079z00_3523 = ((bool_t) 0);
							}
						else
							{	/* Coerce/convert.scm 293 */
								BgL_test2079z00_3523 = ((bool_t) 1);
							}
					}
				if (BgL_test2079z00_3523)
					{	/* Coerce/convert.scm 293 */
						return
							BGl_dozd2convertzd2zzcoerce_convertz00(BgL_coerceopz00_66,
							BgL_nodez00_67, ((BgL_typez00_bglt) BgL_fromz00_63),
							((BgL_typez00_bglt) BgL_toz00_64));
					}
				else
					{	/* Coerce/convert.scm 295 */
						bool_t BgL_test2082z00_3530;

						{	/* Coerce/convert.scm 295 */
							obj_t BgL_classz00_2499;

							BgL_classz00_2499 = BGl_tclassz00zzobject_classz00;
							if (BGL_OBJECTP(BgL_fromz00_63))
								{	/* Coerce/convert.scm 295 */
									BgL_objectz00_bglt BgL_arg1858z00_2501;

									BgL_arg1858z00_2501 = (BgL_objectz00_bglt) (BgL_fromz00_63);
									if (BGL_CONDEXPAND_ISA_ARCH64())
										{	/* Coerce/convert.scm 295 */
											long BgL_idxz00_2507;

											BgL_idxz00_2507 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_2501);
											BgL_test2082z00_3530 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_2507 + 2L)) == BgL_classz00_2499);
										}
									else
										{	/* Coerce/convert.scm 295 */
											bool_t BgL_res2001z00_2532;

											{	/* Coerce/convert.scm 295 */
												obj_t BgL_oclassz00_2515;

												{	/* Coerce/convert.scm 295 */
													obj_t BgL_arg1866z00_2523;
													long BgL_arg1867z00_2524;

													BgL_arg1866z00_2523 =
														(BGl_za2classesza2z00zz__objectz00);
													{	/* Coerce/convert.scm 295 */
														long BgL_arg1869z00_2525;

														BgL_arg1869z00_2525 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_2501);
														BgL_arg1867z00_2524 =
															(BgL_arg1869z00_2525 - OBJECT_TYPE);
													}
													BgL_oclassz00_2515 =
														VECTOR_REF(BgL_arg1866z00_2523,
														BgL_arg1867z00_2524);
												}
												{	/* Coerce/convert.scm 295 */
													bool_t BgL__ortest_1115z00_2516;

													BgL__ortest_1115z00_2516 =
														(BgL_classz00_2499 == BgL_oclassz00_2515);
													if (BgL__ortest_1115z00_2516)
														{	/* Coerce/convert.scm 295 */
															BgL_res2001z00_2532 = BgL__ortest_1115z00_2516;
														}
													else
														{	/* Coerce/convert.scm 295 */
															long BgL_odepthz00_2517;

															{	/* Coerce/convert.scm 295 */
																obj_t BgL_arg1855z00_2518;

																BgL_arg1855z00_2518 = (BgL_oclassz00_2515);
																BgL_odepthz00_2517 =
																	BGL_CLASS_DEPTH(BgL_arg1855z00_2518);
															}
															if ((2L < BgL_odepthz00_2517))
																{	/* Coerce/convert.scm 295 */
																	obj_t BgL_arg1853z00_2520;

																	{	/* Coerce/convert.scm 295 */
																		obj_t BgL_arg1854z00_2521;

																		BgL_arg1854z00_2521 = (BgL_oclassz00_2515);
																		BgL_arg1853z00_2520 =
																			BGL_CLASS_ANCESTORS_REF
																			(BgL_arg1854z00_2521, 2L);
																	}
																	BgL_res2001z00_2532 =
																		(BgL_arg1853z00_2520 == BgL_classz00_2499);
																}
															else
																{	/* Coerce/convert.scm 295 */
																	BgL_res2001z00_2532 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_test2082z00_3530 = BgL_res2001z00_2532;
										}
								}
							else
								{	/* Coerce/convert.scm 295 */
									BgL_test2082z00_3530 = ((bool_t) 0);
								}
						}
						if (BgL_test2082z00_3530)
							{	/* Coerce/convert.scm 295 */
								return
									BGl_makezd2onezd2classzd2conversionzd2zzcoerce_convertz00
									(BgL_fromz00_63, BgL_toz00_64, BgL_checkopz00_65,
									BgL_coerceopz00_66, BgL_nodez00_67);
							}
						else
							{	/* Coerce/convert.scm 295 */
								return
									BGl_makezd2onezd2typezd2conversionzd2zzcoerce_convertz00
									(BgL_fromz00_63, BgL_toz00_64, BgL_checkopz00_65,
									BgL_coerceopz00_66, BgL_nodez00_67);
							}
					}
			}
		}

	}



/* skip-let-var */
	BgL_nodez00_bglt BGl_skipzd2letzd2varz00zzcoerce_convertz00(BgL_nodez00_bglt
		BgL_nodez00_69)
	{
		{	/* Coerce/convert.scm 302 */
		BGl_skipzd2letzd2varz00zzcoerce_convertz00:
			{	/* Coerce/convert.scm 303 */
				bool_t BgL_test2087z00_3555;

				{	/* Coerce/convert.scm 303 */
					obj_t BgL_classz00_2533;

					BgL_classz00_2533 = BGl_letzd2varzd2zzast_nodez00;
					{	/* Coerce/convert.scm 303 */
						BgL_objectz00_bglt BgL_arg1858z00_2535;

						{	/* Coerce/convert.scm 303 */
							obj_t BgL_tmpz00_3556;

							BgL_tmpz00_3556 = ((obj_t) ((BgL_objectz00_bglt) BgL_nodez00_69));
							BgL_arg1858z00_2535 = (BgL_objectz00_bglt) (BgL_tmpz00_3556);
						}
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Coerce/convert.scm 303 */
								long BgL_idxz00_2541;

								BgL_idxz00_2541 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_2535);
								BgL_test2087z00_3555 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_2541 + 3L)) == BgL_classz00_2533);
							}
						else
							{	/* Coerce/convert.scm 303 */
								bool_t BgL_res2002z00_2566;

								{	/* Coerce/convert.scm 303 */
									obj_t BgL_oclassz00_2549;

									{	/* Coerce/convert.scm 303 */
										obj_t BgL_arg1866z00_2557;
										long BgL_arg1867z00_2558;

										BgL_arg1866z00_2557 = (BGl_za2classesza2z00zz__objectz00);
										{	/* Coerce/convert.scm 303 */
											long BgL_arg1869z00_2559;

											BgL_arg1869z00_2559 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_2535);
											BgL_arg1867z00_2558 = (BgL_arg1869z00_2559 - OBJECT_TYPE);
										}
										BgL_oclassz00_2549 =
											VECTOR_REF(BgL_arg1866z00_2557, BgL_arg1867z00_2558);
									}
									{	/* Coerce/convert.scm 303 */
										bool_t BgL__ortest_1115z00_2550;

										BgL__ortest_1115z00_2550 =
											(BgL_classz00_2533 == BgL_oclassz00_2549);
										if (BgL__ortest_1115z00_2550)
											{	/* Coerce/convert.scm 303 */
												BgL_res2002z00_2566 = BgL__ortest_1115z00_2550;
											}
										else
											{	/* Coerce/convert.scm 303 */
												long BgL_odepthz00_2551;

												{	/* Coerce/convert.scm 303 */
													obj_t BgL_arg1855z00_2552;

													BgL_arg1855z00_2552 = (BgL_oclassz00_2549);
													BgL_odepthz00_2551 =
														BGL_CLASS_DEPTH(BgL_arg1855z00_2552);
												}
												if ((3L < BgL_odepthz00_2551))
													{	/* Coerce/convert.scm 303 */
														obj_t BgL_arg1853z00_2554;

														{	/* Coerce/convert.scm 303 */
															obj_t BgL_arg1854z00_2555;

															BgL_arg1854z00_2555 = (BgL_oclassz00_2549);
															BgL_arg1853z00_2554 =
																BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_2555,
																3L);
														}
														BgL_res2002z00_2566 =
															(BgL_arg1853z00_2554 == BgL_classz00_2533);
													}
												else
													{	/* Coerce/convert.scm 303 */
														BgL_res2002z00_2566 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_test2087z00_3555 = BgL_res2002z00_2566;
							}
					}
				}
				if (BgL_test2087z00_3555)
					{	/* Coerce/convert.scm 304 */
						BgL_nodez00_bglt BgL_arg1729z00_1975;

						BgL_arg1729z00_1975 =
							(((BgL_letzd2varzd2_bglt) COBJECT(
									((BgL_letzd2varzd2_bglt) BgL_nodez00_69)))->BgL_bodyz00);
						{
							BgL_nodez00_bglt BgL_nodez00_3581;

							BgL_nodez00_3581 = BgL_arg1729z00_1975;
							BgL_nodez00_69 = BgL_nodez00_3581;
							goto BGl_skipzd2letzd2varz00zzcoerce_convertz00;
						}
					}
				else
					{	/* Coerce/convert.scm 303 */
						return BgL_nodez00_69;
					}
			}
		}

	}



/* make-one-type-conversion */
	BgL_nodez00_bglt
		BGl_makezd2onezd2typezd2conversionzd2zzcoerce_convertz00(obj_t
		BgL_fromz00_70, obj_t BgL_toz00_71, obj_t BgL_checkzd2opzd2_72,
		obj_t BgL_coercezd2opzd2_73, BgL_nodez00_bglt BgL_nodez00_74)
	{
		{	/* Coerce/convert.scm 310 */
			{	/* Coerce/convert.scm 313 */
				obj_t BgL_auxz00_1976;

				BgL_auxz00_1976 =
					BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
					(BGl_gensymz00zz__r4_symbols_6_4z00(((obj_t) CNST_TABLE_REF(5))));
				{	/* Coerce/convert.scm 313 */
					obj_t BgL_locz00_1977;

					BgL_locz00_1977 =
						(((BgL_nodez00_bglt) COBJECT(BgL_nodez00_74))->BgL_locz00);
					{	/* Coerce/convert.scm 314 */
						BgL_nodez00_bglt BgL_lnodez00_1978;

						{	/* Coerce/convert.scm 322 */
							obj_t BgL_arg1768z00_1992;

							{	/* Coerce/convert.scm 322 */
								obj_t BgL_arg1770z00_1993;

								{	/* Coerce/convert.scm 322 */
									obj_t BgL_arg1772z00_1994;
									obj_t BgL_arg1776z00_1995;

									{	/* Coerce/convert.scm 322 */
										obj_t BgL_arg1782z00_1996;

										{	/* Coerce/convert.scm 322 */
											obj_t BgL_arg1783z00_1997;
											obj_t BgL_arg1784z00_1998;

											{	/* Coerce/convert.scm 322 */
												obj_t BgL_arg1785z00_1999;

												{	/* Coerce/convert.scm 322 */
													obj_t BgL_arg1786z00_2000;

													BgL_arg1786z00_2000 =
														(((BgL_typez00_bglt) COBJECT(
																((BgL_typez00_bglt) BgL_fromz00_70)))->
														BgL_idz00);
													BgL_arg1785z00_1999 =
														BGl_makezd2typedzd2identz00zzast_identz00
														(BgL_auxz00_1976, BgL_arg1786z00_2000);
												}
												BgL_arg1783z00_1997 =
													BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
													(BgL_arg1785z00_1999);
											}
											BgL_arg1784z00_1998 = MAKE_YOUNG_PAIR(BUNSPEC, BNIL);
											BgL_arg1782z00_1996 =
												MAKE_YOUNG_PAIR(BgL_arg1783z00_1997,
												BgL_arg1784z00_1998);
										}
										BgL_arg1772z00_1994 =
											MAKE_YOUNG_PAIR(BgL_arg1782z00_1996, BNIL);
									}
									{	/* Coerce/convert.scm 324 */
										obj_t BgL_arg1789z00_2001;

										{	/* Coerce/convert.scm 324 */
											obj_t BgL_arg1790z00_2002;

											{	/* Coerce/convert.scm 324 */
												obj_t BgL_arg1796z00_2003;
												obj_t BgL_arg1797z00_2004;

												{	/* Coerce/convert.scm 324 */
													obj_t BgL_arg1799z00_2005;

													BgL_arg1799z00_2005 =
														MAKE_YOUNG_PAIR(BgL_auxz00_1976, BNIL);
													BgL_arg1796z00_2003 =
														MAKE_YOUNG_PAIR(BgL_checkzd2opzd2_72,
														BgL_arg1799z00_2005);
												}
												{	/* Coerce/convert.scm 326 */
													obj_t BgL_arg1800z00_2006;

													{	/* Coerce/convert.scm 326 */
														obj_t BgL_arg1801z00_2007;

														{	/* Coerce/convert.scm 326 */
															obj_t BgL_arg1802z00_2008;

															BgL_arg1802z00_2008 =
																(((BgL_typez00_bglt) COBJECT(
																		((BgL_typez00_bglt) BgL_toz00_71)))->
																BgL_idz00);
															BgL_arg1801z00_2007 =
																BGl_runtimezd2typezd2errorzf2idzf2zzcoerce_convertz00
																(BgL_locz00_1977, BgL_arg1802z00_2008,
																BgL_auxz00_1976);
														}
														BgL_arg1800z00_2006 =
															MAKE_YOUNG_PAIR(BgL_arg1801z00_2007, BNIL);
													}
													BgL_arg1797z00_2004 =
														MAKE_YOUNG_PAIR(BgL_auxz00_1976,
														BgL_arg1800z00_2006);
												}
												BgL_arg1790z00_2002 =
													MAKE_YOUNG_PAIR(BgL_arg1796z00_2003,
													BgL_arg1797z00_2004);
											}
											BgL_arg1789z00_2001 =
												MAKE_YOUNG_PAIR(
												((obj_t) CNST_TABLE_REF(9)), BgL_arg1790z00_2002);
										}
										BgL_arg1776z00_1995 =
											MAKE_YOUNG_PAIR(BgL_arg1789z00_2001, BNIL);
									}
									BgL_arg1770z00_1993 =
										MAKE_YOUNG_PAIR(BgL_arg1772z00_1994, BgL_arg1776z00_1995);
								}
								BgL_arg1768z00_1992 =
									MAKE_YOUNG_PAIR(
									((obj_t) CNST_TABLE_REF(7)), BgL_arg1770z00_1993);
							}
							BgL_lnodez00_1978 =
								BGl_topzd2levelzd2sexpzd2ze3nodez31zzast_sexpz00
								(BgL_arg1768z00_1992, BgL_locz00_1977);
						}
						{	/* Coerce/convert.scm 315 */

							BGl_za2checkza2z00zzcoerce_convertz00 =
								(1L + BGl_za2checkza2z00zzcoerce_convertz00);
							if (CBOOL(BGl_za2warningzd2typesza2zd2zzengine_paramz00))
								{	/* Coerce/convert.scm 84 */
									BGl_notifyzd2typezd2testz00zzcoerce_convertz00(BgL_fromz00_70,
										BgL_toz00_71, BgL_locz00_1977);
								}
							else
								{	/* Coerce/convert.scm 84 */
									BFALSE;
								}
							BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00
								(BgL_lnodez00_1978);
							{	/* Coerce/convert.scm 330 */
								obj_t BgL_varz00_1979;

								{	/* Coerce/convert.scm 330 */
									obj_t BgL_pairz00_2574;

									{	/* Coerce/convert.scm 330 */
										obj_t BgL_pairz00_2573;

										BgL_pairz00_2573 =
											(((BgL_letzd2varzd2_bglt) COBJECT(
													((BgL_letzd2varzd2_bglt) BgL_lnodez00_1978)))->
											BgL_bindingsz00);
										BgL_pairz00_2574 = CAR(BgL_pairz00_2573);
									}
									BgL_varz00_1979 = CAR(BgL_pairz00_2574);
								}
								{	/* Coerce/convert.scm 330 */
									BgL_nodez00_bglt BgL_coercezd2appzd2_1980;

									{	/* Coerce/convert.scm 332 */
										BgL_refz00_bglt BgL_arg1756z00_1986;

										{	/* Coerce/convert.scm 332 */
											BgL_refz00_bglt BgL_new1147z00_1987;

											{	/* Coerce/convert.scm 333 */
												BgL_refz00_bglt BgL_new1146z00_1988;

												BgL_new1146z00_1988 =
													((BgL_refz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
																BgL_refz00_bgl))));
												{	/* Coerce/convert.scm 333 */
													long BgL_arg1757z00_1989;

													BgL_arg1757z00_1989 =
														BGL_CLASS_NUM(BGl_refz00zzast_nodez00);
													BGL_OBJECT_CLASS_NUM_SET(
														((BgL_objectz00_bglt) BgL_new1146z00_1988),
														BgL_arg1757z00_1989);
												}
												{	/* Coerce/convert.scm 333 */
													BgL_objectz00_bglt BgL_tmpz00_3624;

													BgL_tmpz00_3624 =
														((BgL_objectz00_bglt) BgL_new1146z00_1988);
													BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3624, BFALSE);
												}
												((BgL_objectz00_bglt) BgL_new1146z00_1988);
												BgL_new1147z00_1987 = BgL_new1146z00_1988;
											}
											((((BgL_nodez00_bglt) COBJECT(
															((BgL_nodez00_bglt) BgL_new1147z00_1987)))->
													BgL_locz00) = ((obj_t) BgL_locz00_1977), BUNSPEC);
											((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
																BgL_new1147z00_1987)))->BgL_typez00) =
												((BgL_typez00_bglt)
													BGl_strictzd2nodezd2typez00zzast_nodez00((
															(BgL_typez00_bglt) BgL_toz00_71),
														((BgL_typez00_bglt) BgL_fromz00_70))), BUNSPEC);
											((((BgL_varz00_bglt) COBJECT(((BgL_varz00_bglt)
																BgL_new1147z00_1987)))->BgL_variablez00) =
												((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
														BgL_varz00_1979)), BUNSPEC);
											BgL_arg1756z00_1986 = BgL_new1147z00_1987;
										}
										BgL_coercezd2appzd2_1980 =
											BGl_dozd2convertzd2zzcoerce_convertz00
											(BgL_coercezd2opzd2_73,
											((BgL_nodez00_bglt) BgL_arg1756z00_1986),
											((BgL_typez00_bglt) BgL_fromz00_70),
											((BgL_typez00_bglt) BgL_toz00_71));
									}
									{	/* Coerce/convert.scm 331 */
										BgL_nodez00_bglt BgL_condnz00_1981;

										BgL_condnz00_1981 =
											BGl_skipzd2letzd2varz00zzcoerce_convertz00
											(BgL_lnodez00_1978);
										{	/* Coerce/convert.scm 337 */

											((((BgL_variablez00_bglt) COBJECT(
															((BgL_variablez00_bglt)
																((BgL_localz00_bglt) BgL_varz00_1979))))->
													BgL_typez00) =
												((BgL_typez00_bglt) ((BgL_typez00_bglt)
														BgL_fromz00_70)), BUNSPEC);
											{	/* Coerce/convert.scm 341 */
												obj_t BgL_arg1730z00_1982;

												{	/* Coerce/convert.scm 341 */
													obj_t BgL_pairz00_2582;

													BgL_pairz00_2582 =
														(((BgL_letzd2varzd2_bglt) COBJECT(
																((BgL_letzd2varzd2_bglt) BgL_lnodez00_1978)))->
														BgL_bindingsz00);
													BgL_arg1730z00_1982 = CAR(BgL_pairz00_2582);
												}
												{	/* Coerce/convert.scm 341 */
													obj_t BgL_auxz00_3652;
													obj_t BgL_tmpz00_3650;

													BgL_auxz00_3652 = ((obj_t) BgL_nodez00_74);
													BgL_tmpz00_3650 = ((obj_t) BgL_arg1730z00_1982);
													SET_CDR(BgL_tmpz00_3650, BgL_auxz00_3652);
											}}
											((((BgL_nodez00_bglt) COBJECT(BgL_nodez00_74))->
													BgL_typez00) =
												((BgL_typez00_bglt) ((BgL_typez00_bglt)
														BgL_fromz00_70)), BUNSPEC);
											((((BgL_conditionalz00_bglt)
														COBJECT(((BgL_conditionalz00_bglt)
																BgL_condnz00_1981)))->BgL_truez00) =
												((BgL_nodez00_bglt) BgL_coercezd2appzd2_1980), BUNSPEC);
											{	/* Coerce/convert.scm 345 */
												BgL_nodez00_bglt BgL_arg1748z00_1984;

												{	/* Coerce/convert.scm 345 */
													BgL_nodez00_bglt BgL_arg1755z00_1985;

													BgL_arg1755z00_1985 =
														(((BgL_conditionalz00_bglt) COBJECT(
																((BgL_conditionalz00_bglt)
																	BgL_condnz00_1981)))->BgL_falsez00);
													BgL_arg1748z00_1984 =
														BGl_coercez12z12zzcoerce_coercez00
														(BgL_arg1755z00_1985, BUNSPEC,
														((BgL_typez00_bglt) BgL_fromz00_70), ((bool_t) 0));
												}
												((((BgL_conditionalz00_bglt) COBJECT(
																((BgL_conditionalz00_bglt)
																	BgL_condnz00_1981)))->BgL_falsez00) =
													((BgL_nodez00_bglt) BgL_arg1748z00_1984), BUNSPEC);
											}
											BGl_lvtypezd2nodez12zc0zzast_lvtypez00(BgL_lnodez00_1978);
											return BgL_lnodez00_1978;
										}
									}
								}
							}
						}
					}
				}
			}
		}

	}



/* make-one-class-conversion */
	BgL_nodez00_bglt
		BGl_makezd2onezd2classzd2conversionzd2zzcoerce_convertz00(obj_t
		BgL_fromz00_75, obj_t BgL_toz00_76, obj_t BgL_checkzd2opzd2_77,
		obj_t BgL_coercezd2opzd2_78, BgL_nodez00_bglt BgL_nodez00_79)
	{
		{	/* Coerce/convert.scm 355 */
			{	/* Coerce/convert.scm 358 */
				bool_t BgL_test2092z00_3666;

				{	/* Coerce/convert.scm 358 */
					bool_t BgL_test2093z00_3667;

					{	/* Coerce/convert.scm 358 */
						obj_t BgL_classz00_2591;

						BgL_classz00_2591 = BGl_tclassz00zzobject_classz00;
						if (BGL_OBJECTP(BgL_toz00_76))
							{	/* Coerce/convert.scm 358 */
								BgL_objectz00_bglt BgL_arg1858z00_2593;

								BgL_arg1858z00_2593 = (BgL_objectz00_bglt) (BgL_toz00_76);
								if (BGL_CONDEXPAND_ISA_ARCH64())
									{	/* Coerce/convert.scm 358 */
										long BgL_idxz00_2599;

										BgL_idxz00_2599 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_2593);
										BgL_test2093z00_3667 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_2599 + 2L)) == BgL_classz00_2591);
									}
								else
									{	/* Coerce/convert.scm 358 */
										bool_t BgL_res2003z00_2624;

										{	/* Coerce/convert.scm 358 */
											obj_t BgL_oclassz00_2607;

											{	/* Coerce/convert.scm 358 */
												obj_t BgL_arg1866z00_2615;
												long BgL_arg1867z00_2616;

												BgL_arg1866z00_2615 =
													(BGl_za2classesza2z00zz__objectz00);
												{	/* Coerce/convert.scm 358 */
													long BgL_arg1869z00_2617;

													BgL_arg1869z00_2617 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_2593);
													BgL_arg1867z00_2616 =
														(BgL_arg1869z00_2617 - OBJECT_TYPE);
												}
												BgL_oclassz00_2607 =
													VECTOR_REF(BgL_arg1866z00_2615, BgL_arg1867z00_2616);
											}
											{	/* Coerce/convert.scm 358 */
												bool_t BgL__ortest_1115z00_2608;

												BgL__ortest_1115z00_2608 =
													(BgL_classz00_2591 == BgL_oclassz00_2607);
												if (BgL__ortest_1115z00_2608)
													{	/* Coerce/convert.scm 358 */
														BgL_res2003z00_2624 = BgL__ortest_1115z00_2608;
													}
												else
													{	/* Coerce/convert.scm 358 */
														long BgL_odepthz00_2609;

														{	/* Coerce/convert.scm 358 */
															obj_t BgL_arg1855z00_2610;

															BgL_arg1855z00_2610 = (BgL_oclassz00_2607);
															BgL_odepthz00_2609 =
																BGL_CLASS_DEPTH(BgL_arg1855z00_2610);
														}
														if ((2L < BgL_odepthz00_2609))
															{	/* Coerce/convert.scm 358 */
																obj_t BgL_arg1853z00_2612;

																{	/* Coerce/convert.scm 358 */
																	obj_t BgL_arg1854z00_2613;

																	BgL_arg1854z00_2613 = (BgL_oclassz00_2607);
																	BgL_arg1853z00_2612 =
																		BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_2613,
																		2L);
																}
																BgL_res2003z00_2624 =
																	(BgL_arg1853z00_2612 == BgL_classz00_2591);
															}
														else
															{	/* Coerce/convert.scm 358 */
																BgL_res2003z00_2624 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_test2093z00_3667 = BgL_res2003z00_2624;
									}
							}
						else
							{	/* Coerce/convert.scm 358 */
								BgL_test2093z00_3667 = ((bool_t) 0);
							}
					}
					if (BgL_test2093z00_3667)
						{	/* Coerce/convert.scm 358 */
							BgL_test2092z00_3666 =
								BGl_typezd2subclasszf3z21zzobject_classz00(
								((BgL_typez00_bglt) BgL_fromz00_75),
								((BgL_typez00_bglt) BgL_toz00_76));
						}
					else
						{	/* Coerce/convert.scm 358 */
							BgL_test2092z00_3666 = ((bool_t) 0);
						}
				}
				if (BgL_test2092z00_3666)
					{	/* Coerce/convert.scm 358 */
						return
							BGl_dozd2convertzd2zzcoerce_convertz00(BgL_coercezd2opzd2_78,
							BgL_nodez00_79, ((BgL_typez00_bglt) BgL_fromz00_75),
							((BgL_typez00_bglt) BgL_toz00_76));
					}
				else
					{	/* Coerce/convert.scm 360 */
						obj_t BgL_auxz00_2012;

						BgL_auxz00_2012 =
							BGl_gensymz00zz__r4_symbols_6_4z00(((obj_t) CNST_TABLE_REF(5)));
						{	/* Coerce/convert.scm 360 */
							obj_t BgL_aux2z00_2013;

							BgL_aux2z00_2013 =
								BGl_gensymz00zz__r4_symbols_6_4z00(
								((obj_t) CNST_TABLE_REF(10)));
							{	/* Coerce/convert.scm 361 */
								obj_t BgL_locz00_2014;

								BgL_locz00_2014 =
									(((BgL_nodez00_bglt) COBJECT(BgL_nodez00_79))->BgL_locz00);
								{	/* Coerce/convert.scm 362 */
									BgL_nodez00_bglt BgL_lnodez00_2015;

									{	/* Coerce/convert.scm 365 */
										obj_t BgL_arg1851z00_2039;

										{	/* Coerce/convert.scm 365 */
											obj_t BgL_arg1852z00_2040;

											{	/* Coerce/convert.scm 365 */
												obj_t BgL_arg1856z00_2041;
												obj_t BgL_arg1857z00_2042;

												{	/* Coerce/convert.scm 365 */
													obj_t BgL_arg1859z00_2043;

													{	/* Coerce/convert.scm 365 */
														obj_t BgL_arg1865z00_2044;
														obj_t BgL_arg1872z00_2045;

														{	/* Coerce/convert.scm 365 */
															obj_t BgL_arg1873z00_2046;

															{	/* Coerce/convert.scm 365 */
																obj_t BgL_arg1876z00_2047;

																{	/* Coerce/convert.scm 365 */
																	obj_t BgL_arg1878z00_2048;
																	obj_t BgL_arg1882z00_2049;

																	{	/* Coerce/convert.scm 365 */
																		obj_t BgL_arg1486z00_2627;

																		BgL_arg1486z00_2627 =
																			SYMBOL_TO_STRING(BgL_auxz00_2012);
																		BgL_arg1878z00_2048 =
																			BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																			(BgL_arg1486z00_2627);
																	}
																	{	/* Coerce/convert.scm 365 */
																		obj_t BgL_symbolz00_2628;

																		BgL_symbolz00_2628 =
																			((obj_t) CNST_TABLE_REF(6));
																		{	/* Coerce/convert.scm 365 */
																			obj_t BgL_arg1486z00_2629;

																			BgL_arg1486z00_2629 =
																				SYMBOL_TO_STRING(BgL_symbolz00_2628);
																			BgL_arg1882z00_2049 =
																				BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																				(BgL_arg1486z00_2629);
																		}
																	}
																	BgL_arg1876z00_2047 =
																		string_append(BgL_arg1878z00_2048,
																		BgL_arg1882z00_2049);
																}
																BgL_arg1873z00_2046 =
																	bstring_to_symbol(BgL_arg1876z00_2047);
															}
															BgL_arg1865z00_2044 =
																BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
																(BgL_arg1873z00_2046);
														}
														BgL_arg1872z00_2045 =
															MAKE_YOUNG_PAIR(BUNSPEC, BNIL);
														BgL_arg1859z00_2043 =
															MAKE_YOUNG_PAIR(BgL_arg1865z00_2044,
															BgL_arg1872z00_2045);
													}
													BgL_arg1856z00_2041 =
														MAKE_YOUNG_PAIR(BgL_arg1859z00_2043, BNIL);
												}
												{	/* Coerce/convert.scm 367 */
													obj_t BgL_arg1884z00_2050;

													{	/* Coerce/convert.scm 367 */
														obj_t BgL_arg1885z00_2051;

														{	/* Coerce/convert.scm 367 */
															obj_t BgL_arg1886z00_2052;
															obj_t BgL_arg1887z00_2053;

															{	/* Coerce/convert.scm 367 */
																obj_t BgL_arg1889z00_2054;

																{	/* Coerce/convert.scm 367 */
																	obj_t BgL_arg1890z00_2055;
																	obj_t BgL_arg1891z00_2056;

																	{	/* Coerce/convert.scm 367 */
																		obj_t BgL_arg1892z00_2057;

																		{	/* Coerce/convert.scm 367 */
																			obj_t BgL_arg1893z00_2058;

																			{	/* Coerce/convert.scm 367 */
																				obj_t BgL_arg1894z00_2059;
																				obj_t BgL_arg1895z00_2060;

																				{	/* Coerce/convert.scm 367 */
																					obj_t BgL_arg1486z00_2632;

																					BgL_arg1486z00_2632 =
																						SYMBOL_TO_STRING(BgL_aux2z00_2013);
																					BgL_arg1894z00_2059 =
																						BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																						(BgL_arg1486z00_2632);
																				}
																				{	/* Coerce/convert.scm 367 */
																					obj_t BgL_symbolz00_2633;

																					BgL_symbolz00_2633 =
																						((obj_t) CNST_TABLE_REF(6));
																					{	/* Coerce/convert.scm 367 */
																						obj_t BgL_arg1486z00_2634;

																						BgL_arg1486z00_2634 =
																							SYMBOL_TO_STRING
																							(BgL_symbolz00_2633);
																						BgL_arg1895z00_2060 =
																							BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																							(BgL_arg1486z00_2634);
																					}
																				}
																				BgL_arg1893z00_2058 =
																					string_append(BgL_arg1894z00_2059,
																					BgL_arg1895z00_2060);
																			}
																			BgL_arg1892z00_2057 =
																				bstring_to_symbol(BgL_arg1893z00_2058);
																		}
																		BgL_arg1890z00_2055 =
																			BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
																			(BgL_arg1892z00_2057);
																	}
																	BgL_arg1891z00_2056 =
																		MAKE_YOUNG_PAIR(BUNSPEC, BNIL);
																	BgL_arg1889z00_2054 =
																		MAKE_YOUNG_PAIR(BgL_arg1890z00_2055,
																		BgL_arg1891z00_2056);
																}
																BgL_arg1886z00_2052 =
																	MAKE_YOUNG_PAIR(BgL_arg1889z00_2054, BNIL);
															}
															{	/* Coerce/convert.scm 368 */
																obj_t BgL_arg1896z00_2061;

																{	/* Coerce/convert.scm 368 */
																	obj_t BgL_arg1897z00_2062;

																	{	/* Coerce/convert.scm 368 */
																		obj_t BgL_arg1898z00_2063;
																		obj_t BgL_arg1899z00_2064;

																		{	/* Coerce/convert.scm 368 */
																			obj_t BgL_arg1900z00_2065;

																			BgL_arg1900z00_2065 =
																				MAKE_YOUNG_PAIR(BgL_aux2z00_2013, BNIL);
																			BgL_arg1898z00_2063 =
																				MAKE_YOUNG_PAIR(BgL_checkzd2opzd2_77,
																				BgL_arg1900z00_2065);
																		}
																		{	/* Coerce/convert.scm 370 */
																			obj_t BgL_arg1901z00_2066;

																			{	/* Coerce/convert.scm 370 */
																				obj_t BgL_arg1902z00_2067;

																				{	/* Coerce/convert.scm 370 */
																					obj_t BgL_arg1903z00_2068;

																					BgL_arg1903z00_2068 =
																						(((BgL_typez00_bglt) COBJECT(
																								((BgL_typez00_bglt)
																									BgL_toz00_76)))->BgL_idz00);
																					BgL_arg1902z00_2067 =
																						BGl_runtimezd2typezd2errorzf2idzf2zzcoerce_convertz00
																						(BgL_locz00_2014,
																						BgL_arg1903z00_2068,
																						BgL_auxz00_2012);
																				}
																				BgL_arg1901z00_2066 =
																					MAKE_YOUNG_PAIR(BgL_arg1902z00_2067,
																					BNIL);
																			}
																			BgL_arg1899z00_2064 =
																				MAKE_YOUNG_PAIR(BgL_auxz00_2012,
																				BgL_arg1901z00_2066);
																		}
																		BgL_arg1897z00_2062 =
																			MAKE_YOUNG_PAIR(BgL_arg1898z00_2063,
																			BgL_arg1899z00_2064);
																	}
																	BgL_arg1896z00_2061 =
																		MAKE_YOUNG_PAIR(
																		((obj_t)
																			CNST_TABLE_REF(9)), BgL_arg1897z00_2062);
																}
																BgL_arg1887z00_2053 =
																	MAKE_YOUNG_PAIR(BgL_arg1896z00_2061, BNIL);
															}
															BgL_arg1885z00_2051 =
																MAKE_YOUNG_PAIR(BgL_arg1886z00_2052,
																BgL_arg1887z00_2053);
														}
														BgL_arg1884z00_2050 =
															MAKE_YOUNG_PAIR(
															((obj_t) CNST_TABLE_REF(7)), BgL_arg1885z00_2051);
													}
													BgL_arg1857z00_2042 =
														MAKE_YOUNG_PAIR(BgL_arg1884z00_2050, BNIL);
												}
												BgL_arg1852z00_2040 =
													MAKE_YOUNG_PAIR(BgL_arg1856z00_2041,
													BgL_arg1857z00_2042);
											}
											BgL_arg1851z00_2039 =
												MAKE_YOUNG_PAIR(
												((obj_t) CNST_TABLE_REF(7)), BgL_arg1852z00_2040);
										}
										BgL_lnodez00_2015 =
											BGl_topzd2levelzd2sexpzd2ze3nodez31zzast_sexpz00
											(BgL_arg1851z00_2039, BgL_locz00_2014);
									}
									{	/* Coerce/convert.scm 363 */

										BGl_za2checkza2z00zzcoerce_convertz00 =
											(1L + BGl_za2checkza2z00zzcoerce_convertz00);
										if (CBOOL(BGl_za2warningzd2typesza2zd2zzengine_paramz00))
											{	/* Coerce/convert.scm 84 */
												BGl_notifyzd2typezd2testz00zzcoerce_convertz00
													(BgL_fromz00_75, BgL_toz00_76, BgL_locz00_2014);
											}
										else
											{	/* Coerce/convert.scm 84 */
												BFALSE;
											}
										BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00
											(BgL_lnodez00_2015);
										{	/* Coerce/convert.scm 374 */
											obj_t BgL_varz00_2016;

											{	/* Coerce/convert.scm 374 */
												obj_t BgL_pairz00_2640;

												{	/* Coerce/convert.scm 374 */
													obj_t BgL_pairz00_2639;

													BgL_pairz00_2639 =
														(((BgL_letzd2varzd2_bglt) COBJECT(
																((BgL_letzd2varzd2_bglt) BgL_lnodez00_2015)))->
														BgL_bindingsz00);
													BgL_pairz00_2640 = CAR(BgL_pairz00_2639);
												}
												BgL_varz00_2016 = CAR(BgL_pairz00_2640);
											}
											{	/* Coerce/convert.scm 374 */
												BgL_nodez00_bglt BgL_coercezd2appzd2_2017;

												{	/* Coerce/convert.scm 376 */
													BgL_refz00_bglt BgL_arg1842z00_2033;

													{	/* Coerce/convert.scm 376 */
														BgL_refz00_bglt BgL_new1149z00_2034;

														{	/* Coerce/convert.scm 377 */
															BgL_refz00_bglt BgL_new1148z00_2035;

															BgL_new1148z00_2035 =
																((BgL_refz00_bglt)
																BOBJECT(GC_MALLOC(sizeof(struct
																			BgL_refz00_bgl))));
															{	/* Coerce/convert.scm 377 */
																long BgL_arg1845z00_2036;

																BgL_arg1845z00_2036 =
																	BGL_CLASS_NUM(BGl_refz00zzast_nodez00);
																BGL_OBJECT_CLASS_NUM_SET(
																	((BgL_objectz00_bglt) BgL_new1148z00_2035),
																	BgL_arg1845z00_2036);
															}
															{	/* Coerce/convert.scm 377 */
																BgL_objectz00_bglt BgL_tmpz00_3762;

																BgL_tmpz00_3762 =
																	((BgL_objectz00_bglt) BgL_new1148z00_2035);
																BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3762,
																	BFALSE);
															}
															((BgL_objectz00_bglt) BgL_new1148z00_2035);
															BgL_new1149z00_2034 = BgL_new1148z00_2035;
														}
														((((BgL_nodez00_bglt) COBJECT(
																		((BgL_nodez00_bglt) BgL_new1149z00_2034)))->
																BgL_locz00) =
															((obj_t) BgL_locz00_2014), BUNSPEC);
														((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
																			BgL_new1149z00_2034)))->BgL_typez00) =
															((BgL_typez00_bglt) ((BgL_typez00_bglt)
																	BgL_fromz00_75)), BUNSPEC);
														((((BgL_varz00_bglt) COBJECT(((BgL_varz00_bglt)
																			BgL_new1149z00_2034)))->BgL_variablez00) =
															((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
																	BgL_varz00_2016)), BUNSPEC);
														BgL_arg1842z00_2033 = BgL_new1149z00_2034;
													}
													BgL_coercezd2appzd2_2017 =
														BGl_dozd2convertzd2zzcoerce_convertz00
														(BgL_coercezd2opzd2_78,
														((BgL_nodez00_bglt) BgL_arg1842z00_2033),
														((BgL_typez00_bglt) BgL_fromz00_75),
														((BgL_typez00_bglt) BgL_toz00_76));
												}
												{	/* Coerce/convert.scm 375 */
													BgL_nodez00_bglt BgL_condnz00_2018;

													BgL_condnz00_2018 =
														BGl_skipzd2letzd2varz00zzcoerce_convertz00
														(BgL_lnodez00_2015);
													{	/* Coerce/convert.scm 381 */

														((((BgL_variablez00_bglt) COBJECT(
																		((BgL_variablez00_bglt)
																			((BgL_localz00_bglt) BgL_varz00_2016))))->
																BgL_typez00) =
															((BgL_typez00_bglt) ((BgL_typez00_bglt)
																	BgL_fromz00_75)), BUNSPEC);
														{	/* Coerce/convert.scm 385 */
															obj_t BgL_arg1810z00_2019;

															{	/* Coerce/convert.scm 385 */
																obj_t BgL_pairz00_2648;

																BgL_pairz00_2648 =
																	(((BgL_letzd2varzd2_bglt) COBJECT(
																			((BgL_letzd2varzd2_bglt)
																				BgL_lnodez00_2015)))->BgL_bindingsz00);
																BgL_arg1810z00_2019 = CAR(BgL_pairz00_2648);
															}
															{	/* Coerce/convert.scm 385 */
																obj_t BgL_auxz00_3788;
																obj_t BgL_tmpz00_3786;

																BgL_auxz00_3788 = ((obj_t) BgL_nodez00_79);
																BgL_tmpz00_3786 = ((obj_t) BgL_arg1810z00_2019);
																SET_CDR(BgL_tmpz00_3786, BgL_auxz00_3788);
														}}
														{	/* Coerce/convert.scm 386 */
															obj_t BgL_binding2z00_2021;

															{	/* Coerce/convert.scm 386 */
																obj_t BgL_pairz00_2652;

																BgL_pairz00_2652 =
																	(((BgL_letzd2varzd2_bglt) COBJECT(
																			((BgL_letzd2varzd2_bglt)
																				(((BgL_letzd2varzd2_bglt) COBJECT(
																							((BgL_letzd2varzd2_bglt)
																								BgL_lnodez00_2015)))->
																					BgL_bodyz00))))->BgL_bindingsz00);
																BgL_binding2z00_2021 = CAR(BgL_pairz00_2652);
															}
															{	/* Coerce/convert.scm 387 */
																BgL_castz00_bglt BgL_arg1814z00_2022;

																{	/* Coerce/convert.scm 387 */
																	BgL_castz00_bglt BgL_new1151z00_2023;

																	{	/* Coerce/convert.scm 388 */
																		BgL_castz00_bglt BgL_new1150z00_2027;

																		BgL_new1150z00_2027 =
																			((BgL_castz00_bglt)
																			BOBJECT(GC_MALLOC(sizeof(struct
																						BgL_castz00_bgl))));
																		{	/* Coerce/convert.scm 388 */
																			long BgL_arg1821z00_2028;

																			BgL_arg1821z00_2028 =
																				BGL_CLASS_NUM(BGl_castz00zzast_nodez00);
																			BGL_OBJECT_CLASS_NUM_SET(
																				((BgL_objectz00_bglt)
																					BgL_new1150z00_2027),
																				BgL_arg1821z00_2028);
																		}
																		{	/* Coerce/convert.scm 388 */
																			BgL_objectz00_bglt BgL_tmpz00_3800;

																			BgL_tmpz00_3800 =
																				((BgL_objectz00_bglt)
																				BgL_new1150z00_2027);
																			BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3800,
																				BFALSE);
																		}
																		((BgL_objectz00_bglt) BgL_new1150z00_2027);
																		BgL_new1151z00_2023 = BgL_new1150z00_2027;
																	}
																	((((BgL_nodez00_bglt) COBJECT(
																					((BgL_nodez00_bglt)
																						BgL_new1151z00_2023)))->
																			BgL_locz00) =
																		((obj_t) BgL_locz00_2014), BUNSPEC);
																	((((BgL_nodez00_bglt)
																				COBJECT(((BgL_nodez00_bglt)
																						BgL_new1151z00_2023)))->
																			BgL_typez00) =
																		((BgL_typez00_bglt) ((BgL_typez00_bglt)
																				BGl_za2objza2z00zztype_cachez00)),
																		BUNSPEC);
																	{
																		BgL_nodez00_bglt BgL_auxz00_3809;

																		{	/* Coerce/convert.scm 390 */
																			BgL_refz00_bglt BgL_new1153z00_2024;

																			{	/* Coerce/convert.scm 391 */
																				BgL_refz00_bglt BgL_new1152z00_2025;

																				BgL_new1152z00_2025 =
																					((BgL_refz00_bglt)
																					BOBJECT(GC_MALLOC(sizeof(struct
																								BgL_refz00_bgl))));
																				{	/* Coerce/convert.scm 391 */
																					long BgL_arg1818z00_2026;

																					{	/* Coerce/convert.scm 391 */
																						obj_t BgL_classz00_2657;

																						BgL_classz00_2657 =
																							BGl_refz00zzast_nodez00;
																						BgL_arg1818z00_2026 =
																							BGL_CLASS_NUM(BgL_classz00_2657);
																					}
																					BGL_OBJECT_CLASS_NUM_SET(
																						((BgL_objectz00_bglt)
																							BgL_new1152z00_2025),
																						BgL_arg1818z00_2026);
																				}
																				{	/* Coerce/convert.scm 391 */
																					BgL_objectz00_bglt BgL_tmpz00_3814;

																					BgL_tmpz00_3814 =
																						((BgL_objectz00_bglt)
																						BgL_new1152z00_2025);
																					BGL_OBJECT_WIDENING_SET
																						(BgL_tmpz00_3814, BFALSE);
																				}
																				((BgL_objectz00_bglt)
																					BgL_new1152z00_2025);
																				BgL_new1153z00_2024 =
																					BgL_new1152z00_2025;
																			}
																			((((BgL_nodez00_bglt) COBJECT(
																							((BgL_nodez00_bglt)
																								BgL_new1153z00_2024)))->
																					BgL_locz00) =
																				((obj_t) BgL_locz00_2014), BUNSPEC);
																			((((BgL_nodez00_bglt)
																						COBJECT(((BgL_nodez00_bglt)
																								BgL_new1153z00_2024)))->
																					BgL_typez00) =
																				((BgL_typez00_bglt) ((BgL_typez00_bglt)
																						BgL_fromz00_75)), BUNSPEC);
																			((((BgL_varz00_bglt)
																						COBJECT(((BgL_varz00_bglt)
																								BgL_new1153z00_2024)))->
																					BgL_variablez00) =
																				((BgL_variablez00_bglt) (
																						(BgL_variablez00_bglt)
																						BgL_varz00_2016)), BUNSPEC);
																			BgL_auxz00_3809 =
																				((BgL_nodez00_bglt)
																				BgL_new1153z00_2024);
																		}
																		((((BgL_castz00_bglt)
																					COBJECT(BgL_new1151z00_2023))->
																				BgL_argz00) =
																			((BgL_nodez00_bglt) BgL_auxz00_3809),
																			BUNSPEC);
																	}
																	BgL_arg1814z00_2022 = BgL_new1151z00_2023;
																}
																{	/* Coerce/convert.scm 387 */
																	obj_t BgL_auxz00_3830;
																	obj_t BgL_tmpz00_3828;

																	BgL_auxz00_3830 =
																		((obj_t) BgL_arg1814z00_2022);
																	BgL_tmpz00_3828 =
																		((obj_t) BgL_binding2z00_2021);
																	SET_CDR(BgL_tmpz00_3828, BgL_auxz00_3830);
														}}}
														((((BgL_conditionalz00_bglt) COBJECT(
																		((BgL_conditionalz00_bglt)
																			BgL_condnz00_2018)))->BgL_truez00) =
															((BgL_nodez00_bglt) BgL_coercezd2appzd2_2017),
															BUNSPEC);
														{	/* Coerce/convert.scm 396 */
															BgL_nodez00_bglt BgL_arg1829z00_2031;

															{	/* Coerce/convert.scm 396 */
																BgL_nodez00_bglt BgL_arg1834z00_2032;

																BgL_arg1834z00_2032 =
																	(((BgL_conditionalz00_bglt) COBJECT(
																			((BgL_conditionalz00_bglt)
																				BgL_condnz00_2018)))->BgL_falsez00);
																BgL_arg1829z00_2031 =
																	BGl_coercez12z12zzcoerce_coercez00
																	(BgL_arg1834z00_2032, BUNSPEC,
																	((BgL_typez00_bglt) BgL_fromz00_75),
																	((bool_t) 0));
															}
															((((BgL_conditionalz00_bglt) COBJECT(
																			((BgL_conditionalz00_bglt)
																				BgL_condnz00_2018)))->BgL_falsez00) =
																((BgL_nodez00_bglt) BgL_arg1829z00_2031),
																BUNSPEC);
														}
														BGl_lvtypezd2nodez12zc0zzast_lvtypez00
															(BgL_lnodez00_2015);
														return BgL_lnodez00_2015;
													}
												}
											}
										}
									}
								}
							}
						}
					}
			}
		}

	}



/* do-convert */
	BgL_nodez00_bglt BGl_dozd2convertzd2zzcoerce_convertz00(obj_t
		BgL_coercezd2opzd2_80, BgL_nodez00_bglt BgL_nodez00_81,
		BgL_typez00_bglt BgL_fromz00_82, BgL_typez00_bglt BgL_toz00_83)
	{
		{	/* Coerce/convert.scm 406 */
			if ((BgL_coercezd2opzd2_80 == BTRUE))
				{	/* Coerce/convert.scm 410 */
					bool_t BgL_test2100z00_3844;

					{	/* Coerce/convert.scm 410 */
						bool_t BgL_test2101z00_3845;

						{	/* Coerce/convert.scm 410 */
							obj_t BgL_arg1910z00_2080;

							BgL_arg1910z00_2080 = BGl_thezd2backendzd2zzbackend_backendz00();
							BgL_test2101z00_3845 =
								(((BgL_backendz00_bglt) COBJECT(
										((BgL_backendz00_bglt) BgL_arg1910z00_2080)))->
								BgL_strictzd2typezd2castz00);
						}
						if (BgL_test2101z00_3845)
							{	/* Coerce/convert.scm 410 */
								if (CBOOL(BGl_iszd2subtypezf3z21zztype_typeofz00(
											((obj_t) BgL_fromz00_82), ((obj_t) BgL_toz00_83))))
									{	/* Coerce/convert.scm 411 */
										BgL_test2100z00_3844 = ((bool_t) 0);
									}
								else
									{	/* Coerce/convert.scm 411 */
										BgL_test2100z00_3844 = ((bool_t) 1);
									}
							}
						else
							{	/* Coerce/convert.scm 410 */
								BgL_test2100z00_3844 = ((bool_t) 0);
							}
					}
					if (BgL_test2100z00_3844)
						{	/* Coerce/convert.scm 418 */
							BgL_castz00_bglt BgL_new1155z00_2075;

							{	/* Coerce/convert.scm 419 */
								BgL_castz00_bglt BgL_new1154z00_2076;

								BgL_new1154z00_2076 =
									((BgL_castz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_castz00_bgl))));
								{	/* Coerce/convert.scm 419 */
									long BgL_arg1909z00_2077;

									BgL_arg1909z00_2077 = BGL_CLASS_NUM(BGl_castz00zzast_nodez00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1154z00_2076),
										BgL_arg1909z00_2077);
								}
								{	/* Coerce/convert.scm 419 */
									BgL_objectz00_bglt BgL_tmpz00_3858;

									BgL_tmpz00_3858 = ((BgL_objectz00_bglt) BgL_new1154z00_2076);
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3858, BFALSE);
								}
								((BgL_objectz00_bglt) BgL_new1154z00_2076);
								BgL_new1155z00_2075 = BgL_new1154z00_2076;
							}
							((((BgL_nodez00_bglt) COBJECT(
											((BgL_nodez00_bglt) BgL_new1155z00_2075)))->BgL_locz00) =
								((obj_t) (((BgL_nodez00_bglt) COBJECT(BgL_nodez00_81))->
										BgL_locz00)), BUNSPEC);
							((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
												BgL_new1155z00_2075)))->BgL_typez00) =
								((BgL_typez00_bglt) BgL_toz00_83), BUNSPEC);
							((((BgL_castz00_bglt) COBJECT(BgL_new1155z00_2075))->BgL_argz00) =
								((BgL_nodez00_bglt) BgL_nodez00_81), BUNSPEC);
							return ((BgL_nodez00_bglt) BgL_new1155z00_2075);
						}
					else
						{	/* Coerce/convert.scm 410 */
							return BgL_nodez00_81;
						}
				}
			else
				{	/* Coerce/convert.scm 423 */
					BgL_nodez00_bglt BgL_nnodez00_2081;

					{	/* Coerce/convert.scm 423 */
						obj_t BgL_arg1911z00_2082;
						obj_t BgL_arg1912z00_2083;

						{	/* Coerce/convert.scm 423 */
							obj_t BgL_arg1913z00_2084;

							BgL_arg1913z00_2084 =
								MAKE_YOUNG_PAIR(((obj_t) BgL_nodez00_81), BNIL);
							BgL_arg1911z00_2082 =
								MAKE_YOUNG_PAIR(BgL_coercezd2opzd2_80, BgL_arg1913z00_2084);
						}
						BgL_arg1912z00_2083 =
							(((BgL_nodez00_bglt) COBJECT(BgL_nodez00_81))->BgL_locz00);
						BgL_nnodez00_2081 =
							BGl_topzd2levelzd2sexpzd2ze3nodez31zzast_sexpz00
							(BgL_arg1911z00_2082, BgL_arg1912z00_2083);
					}
					BGl_lvtypezd2nodez12zc0zzast_lvtypez00(BgL_nnodez00_2081);
					BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00(BgL_nnodez00_2081);
					return BgL_nnodez00_2081;
				}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzcoerce_convertz00(void)
	{
		{	/* Coerce/convert.scm 16 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzcoerce_convertz00(void)
	{
		{	/* Coerce/convert.scm 16 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzcoerce_convertz00(void)
	{
		{	/* Coerce/convert.scm 16 */
			return BUNSPEC;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzcoerce_convertz00(void)
	{
		{	/* Coerce/convert.scm 16 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(54713316L,
				BSTRING_TO_STRING(BGl_string2012z00zzcoerce_convertz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(161876678L,
				BSTRING_TO_STRING(BGl_string2012z00zzcoerce_convertz00));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(216206620L,
				BSTRING_TO_STRING(BGl_string2012z00zzcoerce_convertz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(365925558L,
				BSTRING_TO_STRING(BGl_string2012z00zzcoerce_convertz00));
			BGl_modulezd2initializa7ationz75zztools_locationz00(462333240L,
				BSTRING_TO_STRING(BGl_string2012z00zzcoerce_convertz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(300504031L,
				BSTRING_TO_STRING(BGl_string2012z00zzcoerce_convertz00));
			BGl_modulezd2initializa7ationz75zztools_miscz00(9470071L,
				BSTRING_TO_STRING(BGl_string2012z00zzcoerce_convertz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(515343395L,
				BSTRING_TO_STRING(BGl_string2012z00zzcoerce_convertz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(489890788L,
				BSTRING_TO_STRING(BGl_string2012z00zzcoerce_convertz00));
			BGl_modulezd2initializa7ationz75zztype_coercionz00(116865673L,
				BSTRING_TO_STRING(BGl_string2012z00zzcoerce_convertz00));
			BGl_modulezd2initializa7ationz75zztype_envz00(296457443L,
				BSTRING_TO_STRING(BGl_string2012z00zzcoerce_convertz00));
			BGl_modulezd2initializa7ationz75zztype_typeofz00(398780265L,
				BSTRING_TO_STRING(BGl_string2012z00zzcoerce_convertz00));
			BGl_modulezd2initializa7ationz75zzast_sexpz00(163122759L,
				BSTRING_TO_STRING(BGl_string2012z00zzcoerce_convertz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(90839984L,
				BSTRING_TO_STRING(BGl_string2012z00zzcoerce_convertz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(469732712L,
				BSTRING_TO_STRING(BGl_string2012z00zzcoerce_convertz00));
			BGl_modulezd2initializa7ationz75zzast_identz00(174885617L,
				BSTRING_TO_STRING(BGl_string2012z00zzcoerce_convertz00));
			BGl_modulezd2initializa7ationz75zzast_lvtypez00(189769752L,
				BSTRING_TO_STRING(BGl_string2012z00zzcoerce_convertz00));
			BGl_modulezd2initializa7ationz75zzast_dumpz00(271707717L,
				BSTRING_TO_STRING(BGl_string2012z00zzcoerce_convertz00));
			BGl_modulezd2initializa7ationz75zzobject_classz00(502007119L,
				BSTRING_TO_STRING(BGl_string2012z00zzcoerce_convertz00));
			BGl_modulezd2initializa7ationz75zzcoerce_coercez00(361167184L,
				BSTRING_TO_STRING(BGl_string2012z00zzcoerce_convertz00));
			return
				BGl_modulezd2initializa7ationz75zzeffect_spreadz00(348216764L,
				BSTRING_TO_STRING(BGl_string2012z00zzcoerce_convertz00));
		}

	}

#ifdef __cplusplus
}
#endif
