/*===========================================================================*/
/*   (Dataflow/walk.scm)                                                     */
/*   Bigloo (4.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Jan 27 07:45:49 AM CET 2025     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.6a/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.6a/lib/bigloo/4.6a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -stdc -indent Dataflow/walk.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL_DATAFLOW_WALK_TYPE_DEFINITIONS
#define BGL_DATAFLOW_WALK_TYPE_DEFINITIONS

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_nullz00;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_qualifiedzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
		obj_t BgL_metaz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_stackablez00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_instanceofz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_classz00;
	}                    *BgL_instanceofz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_switchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_switchz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		struct BgL_nodez00_bgl *BgL_onexitz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		obj_t BgL_stackablez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}              *BgL_syncz00_bglt;

	typedef struct BgL_localzf2valuezf2_bgl
	{
		int BgL_stampz00;
		struct BgL_nodez00_bgl *BgL_nodez00;
	}                       *BgL_localzf2valuezf2_bglt;


#endif													// BGL_DATAFLOW_WALK_TYPE_DEFINITIONS
#endif													// BGL_MODULE_TYPE_DEFINITIONS

	static obj_t BGl_z62abortzf3zd2sync1442z43zzdataflow_walkz00(obj_t, obj_t);
	extern obj_t BGl_setqz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_classzd2nilzd2initz12z12zz__objectz00(obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzdataflow_walkz00 = BUNSPEC;
	static obj_t BGl_z62dataflowzd2nodez12zd2fail1400z70zzdataflow_walkz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_closurez00zzast_nodez00;
	extern obj_t BGl_funz00zzast_varz00;
	extern obj_t BGl_za2pairzd2nilza2zd2zztype_cachez00;
	BGL_IMPORT obj_t bgl_display_obj(obj_t, obj_t);
	extern obj_t BGl_syncz00zzast_nodez00;
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	extern obj_t BGl_tclassz00zzobject_classz00;
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_atomz00zzast_nodez00;
	static obj_t BGl_z62zc3z04anonymousza31598ze3ze5zzdataflow_walkz00(obj_t,
		obj_t);
	static obj_t BGl_z62dataflowzd2testzd2envz62zzdataflow_walkz00(obj_t, obj_t);
	static obj_t BGl_toplevelzd2initzd2zzdataflow_walkz00(void);
	static obj_t BGl_z62dataflowzd2walkz12za2zzdataflow_walkz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_sequencez00zzast_nodez00;
	static obj_t
		BGl_z62dataflowzd2nodez12zd2appzd2l1390za2zzdataflow_walkz00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT bool_t BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(obj_t);
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_assqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	static obj_t BGl_genericzd2initzd2zzdataflow_walkz00(void);
	BGL_IMPORT obj_t BGl_filterzd2mapzd2zz__r4_control_features_6_9z00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t,
		bool_t, bool_t, obj_t, obj_t, obj_t);
	static obj_t BGl_objectzd2initzd2zzdataflow_walkz00(void);
	extern obj_t BGl_za2boolza2z00zztype_cachez00;
	static obj_t BGl_za2z42epairzf3za2zb1zzdataflow_walkz00 = BUNSPEC;
	BGL_IMPORT bool_t BGl_2ze3ze3zz__r4_numbers_6_5z00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	static obj_t BGl_z62dataflowzd2nodez12zd2exter1394z70zzdataflow_walkz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	static obj_t BGl_z62dataflowzd2nodez12zd2funca1392z70zzdataflow_walkz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_typez00zztype_typez00;
	static obj_t BGl_z62dataflowzd2nodez12zd2setq1396z70zzdataflow_walkz00(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62dataflowzd2nodez12zd2boxzd2r1414za2zzdataflow_walkz00(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_dataflowzd2testzd2falsezd2envzd2zzdataflow_walkz00(BgL_nodez00_bglt);
	static obj_t
		BGl_z62dataflowzd2nodez12zd2letzd2f1404za2zzdataflow_walkz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62dataflowzd2nodez12zd2sync1386z70zzdataflow_walkz00(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62dataflowzd2nodez12zd2letzd2v1406za2zzdataflow_walkz00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_dataflowzd2walkz12zc0zzdataflow_walkz00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_abortzf3zf3zzdataflow_walkz00(BgL_nodez00_bglt);
	static obj_t BGl_appendzd221011zd2zzdataflow_walkz00(obj_t, obj_t);
	static obj_t BGl_z62dataflowzd2nodez12zd2condi1398z70zzdataflow_walkz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzdataflow_walkz00(void);
	static obj_t
		BGl_z62dataflowzd2nodez12zd2jumpzd21410za2zzdataflow_walkz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62dataflowzd2nodez12zd2var1380z70zzdataflow_walkz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_externz00zzast_nodez00;
	extern obj_t BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00;
	static obj_t
		BGl_z62dataflowzd2nodez12zd2boxzd2s1416za2zzdataflow_walkz00(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_removezd2variablezd2fromzd2envze70z35zzdataflow_walkz00(obj_t, obj_t);
	static obj_t BGl_z62abortzf3zd2letzd2fun1446z91zzdataflow_walkz00(obj_t,
		obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	extern BgL_typez00_bglt BGl_getzd2typezd2zztype_typeofz00(BgL_nodez00_bglt,
		bool_t);
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	static obj_t BGl_z62dataflowzd2nodez121377za2zzdataflow_walkz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_za2pairza2z00zztype_cachez00;
	static obj_t BGl_dataflowzd2nodeza2z12z62zzdataflow_walkz00(obj_t, obj_t);
	extern obj_t BGl_za2_za2z00zztype_cachez00;
	static long BGl_letzd2varzd2stampz00zzdataflow_walkz00 = 0L;
	static obj_t BGl_z62dataflowzd2nodez12zd2app1388z70zzdataflow_walkz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	static obj_t BGl_z62abortzf31435z91zzdataflow_walkz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_exitz00zz__errorz00(obj_t);
	static obj_t BGl_z62dataflowzd2testzd2envzd2ap1422zb0zzdataflow_walkz00(obj_t,
		obj_t);
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	static obj_t BGl_z62dataflowzd2testzd2envzd2in1424zb0zzdataflow_walkz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzdataflow_walkz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzeffect_feffectz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzeffect_spreadz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzeffect_cgraphz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_dumpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_miscz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typeofz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_passz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	static obj_t BGl_za2z42pairzf3za2zb1zzdataflow_walkz00 = BUNSPEC;
	static obj_t
		BGl_z62dataflowzd2nodez12zd2makezd21412za2zzdataflow_walkz00(obj_t, obj_t,
		obj_t);
	extern bool_t BGl_typezd2subclasszf3z21zzobject_classz00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	static obj_t BGl_z62dataflowzd2nodez12za2zzdataflow_walkz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62abortzf3z91zzdataflow_walkz00(obj_t, obj_t);
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_localz00zzast_varz00;
	static obj_t BGl_z62zc3z04anonymousza31900ze3ze5zzdataflow_walkz00(obj_t,
		obj_t);
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzdataflow_walkz00(void);
	static obj_t BGl_libraryzd2moduleszd2initz00zzdataflow_walkz00(void);
	static obj_t BGl_z62dataflowzd2testzd2env1417z62zzdataflow_walkz00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t,
		long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62dataflowzd2nodez12zd2switc1402z70zzdataflow_walkz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzdataflow_walkz00(void);
	static obj_t BGl_z62dataflowzd2nodez12zd2closu1382z70zzdataflow_walkz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_gczd2rootszd2initz00zzdataflow_walkz00(void);
	static obj_t BGl_za2z42nullzf3za2zb1zzdataflow_walkz00 = BUNSPEC;
	extern obj_t BGl_findzd2globalzf2modulez20zzast_envz00(obj_t, obj_t);
	static obj_t BGl_z62abortzf3zd2app1450z43zzdataflow_walkz00(obj_t, obj_t);
	static obj_t BGl_dataflowzd2testzd2envz00zzdataflow_walkz00(BgL_nodez00_bglt);
	extern obj_t BGl_za2bnilza2z00zztype_cachez00;
	static obj_t BGl_z62dataflowzd2testzd2envzd2co1426zb0zzdataflow_walkz00(obj_t,
		obj_t);
	extern obj_t BGl_instanceofz00zzast_nodez00;
	static obj_t BGl_z62dataflowzd2testzd2falsezd2envzb0zzdataflow_walkz00(obj_t,
		obj_t);
	static obj_t BGl_z62abortzf3zd2letzd2var1444z91zzdataflow_walkz00(obj_t,
		obj_t);
	static obj_t BGl_z62dataflowzd2testzd2falsezd21431zb0zzdataflow_walkz00(obj_t,
		obj_t);
	static obj_t BGl_z62dataflowzd2testzd2falsezd21434zb0zzdataflow_walkz00(obj_t,
		obj_t);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	extern obj_t BGl_za2currentzd2passza2zd2zzengine_passz00;
	extern obj_t BGl_valuez00zzast_varz00;
	static obj_t BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(BgL_nodez00_bglt,
		obj_t);
	static obj_t BGl_z62abortzf3zd2sequence1440z43zzdataflow_walkz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1632z62zzdataflow_walkz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1633z62zzdataflow_walkz00(obj_t, obj_t, obj_t);
	static obj_t BGl_localzf2valuezf2zzdataflow_walkz00 = BUNSPEC;
	static obj_t BGl_z62abortzf3zd2funcall1452z43zzdataflow_walkz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62dataflowzd2nodez12zd2seque1384z70zzdataflow_walkz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_switchz00zzast_nodez00;
	static BgL_nodez00_bglt BGl_z62lambda1643z62zzdataflow_walkz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1644z62zzdataflow_walkz00(obj_t, obj_t, obj_t);
	extern bool_t BGl_bigloozd2typezf3z21zztype_typez00(BgL_typez00_bglt);
	static obj_t BGl_z62abortzf3zd2conditional1448z43zzdataflow_walkz00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_classzd2superzd2zz__objectz00(obj_t);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	extern obj_t BGl_isazd2ofzd2zztype_miscz00(BgL_nodez00_bglt);
	static obj_t
		BGl_z62dataflowzd2nodez12zd2setzd2e1408za2zzdataflow_walkz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62dataflowzd2testzd2envzd2le1430zb0zzdataflow_walkz00(obj_t,
		obj_t);
	extern obj_t BGl_funcallz00zzast_nodez00;
	static obj_t BGl_z62abortzf3zd2appzd2ly1455z91zzdataflow_walkz00(obj_t,
		obj_t);
	extern obj_t BGl_globalz00zzast_varz00;
	static obj_t BGl_z62abortzf3zd2fail1438z43zzdataflow_walkz00(obj_t, obj_t);
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	static BgL_localz00_bglt BGl_z62lambda1591z62zzdataflow_walkz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static BgL_localz00_bglt BGl_z62lambda1594z62zzdataflow_walkz00(obj_t, obj_t);
	static BgL_localz00_bglt BGl_z62lambda1599z62zzdataflow_walkz00(obj_t, obj_t);
	static obj_t BGl_z62dataflowzd2testzd2envzd2va1428zb0zzdataflow_walkz00(obj_t,
		obj_t);
	static obj_t __cnst[12];


	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2300z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2339z00,
		BGl_z62dataflowzd2nodez12zd2funca1392z70zzdataflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2301z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2340z00,
		BGl_z62dataflowzd2nodez12zd2exter1394z70zzdataflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2302z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2341z00,
		BGl_z62dataflowzd2nodez12zd2setq1396z70zzdataflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2303z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2342z00,
		BGl_z62dataflowzd2nodez12zd2condi1398z70zzdataflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2304z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2343z00,
		BGl_z62dataflowzd2nodez12zd2fail1400z70zzdataflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2305z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2344z00,
		BGl_z62dataflowzd2nodez12zd2switc1402z70zzdataflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2306z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2345z00,
		BGl_z62dataflowzd2nodez12zd2letzd2f1404za2zzdataflow_walkz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2307z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2346z00,
		BGl_z62dataflowzd2nodez12zd2letzd2v1406za2zzdataflow_walkz00, 0L, BUNSPEC,
		2);
	      DEFINE_STRING(BGl_string2314z00zzdataflow_walkz00,
		BgL_bgl_string2314za700za7za7d2347za7, "dataflow-test-env", 17);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2308z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2348z00,
		BGl_z62dataflowzd2nodez12zd2setzd2e1408za2zzdataflow_walkz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2309z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2349z00,
		BGl_z62dataflowzd2nodez12zd2jumpzd21410za2zzdataflow_walkz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2310z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2350z00,
		BGl_z62dataflowzd2nodez12zd2makezd21412za2zzdataflow_walkz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2311z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2351z00,
		BGl_z62dataflowzd2nodez12zd2boxzd2r1414za2zzdataflow_walkz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2312z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2352z00,
		BGl_z62dataflowzd2nodez12zd2boxzd2s1416za2zzdataflow_walkz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2313z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2te2353z00,
		BGl_z62dataflowzd2testzd2envzd2ap1422zb0zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2320z00zzdataflow_walkz00,
		BgL_bgl_string2320za700za7za7d2354za7, "dataflow-test-false-env", 23);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2315z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2te2355z00,
		BGl_z62dataflowzd2testzd2envzd2in1424zb0zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2322z00zzdataflow_walkz00,
		BgL_bgl_string2322za700za7za7d2356za7, "abort?", 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2316z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2te2357z00,
		BGl_z62dataflowzd2testzd2envzd2co1426zb0zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2317z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2te2358z00,
		BGl_z62dataflowzd2testzd2envzd2va1428zb0zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2318z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2te2359z00,
		BGl_z62dataflowzd2testzd2envzd2le1430zb0zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2319z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2te2360z00,
		BGl_z62dataflowzd2testzd2falsezd21434zb0zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2321z00zzdataflow_walkz00,
		BgL_bgl_za762abortza7f3za7d2fa2361za7,
		BGl_z62abortzf3zd2fail1438z43zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2323z00zzdataflow_walkz00,
		BgL_bgl_za762abortza7f3za7d2se2362za7,
		BGl_z62abortzf3zd2sequence1440z43zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2324z00zzdataflow_walkz00,
		BgL_bgl_za762abortza7f3za7d2sy2363za7,
		BGl_z62abortzf3zd2sync1442z43zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2331z00zzdataflow_walkz00,
		BgL_bgl_string2331za700za7za7d2364za7, "dataflow_walk", 13);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2325z00zzdataflow_walkz00,
		BgL_bgl_za762abortza7f3za7d2le2365za7,
		BGl_z62abortzf3zd2letzd2var1444z91zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2332z00zzdataflow_walkz00,
		BgL_bgl_string2332za700za7za7d2366za7,
		"read _ dataflow_walk local/value node int stamp $epair? $pair? foreign $null? pass-started ",
		91);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2326z00zzdataflow_walkz00,
		BgL_bgl_za762abortza7f3za7d2le2367za7,
		BGl_z62abortzf3zd2letzd2fun1446z91zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2327z00zzdataflow_walkz00,
		BgL_bgl_za762abortza7f3za7d2co2368za7,
		BGl_z62abortzf3zd2conditional1448z43zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2328z00zzdataflow_walkz00,
		BgL_bgl_za762abortza7f3za7d2ap2369za7,
		BGl_z62abortzf3zd2app1450z43zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2329z00zzdataflow_walkz00,
		BgL_bgl_za762abortza7f3za7d2fu2370za7,
		BGl_z62abortzf3zd2funcall1452z43zzdataflow_walkz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_dataflowzd2walkz12zd2envz12zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2wa2371z00,
		BGl_z62dataflowzd2walkz12za2zzdataflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_GENERIC(BGl_abortzf3zd2envz21zzdataflow_walkz00,
		BgL_bgl_za762abortza7f3za791za7za72372za7,
		BGl_z62abortzf3z91zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2330z00zzdataflow_walkz00,
		BgL_bgl_za762abortza7f3za7d2ap2373za7,
		BGl_z62abortzf3zd2appzd2ly1455z91zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2270z00zzdataflow_walkz00,
		BgL_bgl_string2270za700za7za7d2374za7, "   . ", 5);
	      DEFINE_STRING(BGl_string2271z00zzdataflow_walkz00,
		BgL_bgl_string2271za700za7za7d2375za7, "failure during prelude hook", 27);
	      DEFINE_STRING(BGl_string2272z00zzdataflow_walkz00,
		BgL_bgl_string2272za700za7za7d2376za7, " error", 6);
	      DEFINE_STRING(BGl_string2273z00zzdataflow_walkz00,
		BgL_bgl_string2273za700za7za7d2377za7, "s", 1);
	      DEFINE_STRING(BGl_string2274z00zzdataflow_walkz00,
		BgL_bgl_string2274za700za7za7d2378za7, "", 0);
	      DEFINE_STRING(BGl_string2275z00zzdataflow_walkz00,
		BgL_bgl_string2275za700za7za7d2379za7, " occured, ending ...", 20);
	      DEFINE_STRING(BGl_string2276z00zzdataflow_walkz00,
		BgL_bgl_string2276za700za7za7d2380za7, "failure during postlude hook", 28);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2277z00zzdataflow_walkz00,
		BgL_bgl_za762lambda1633za7622381z00, BGl_z62lambda1633z62zzdataflow_walkz00,
		0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2278z00zzdataflow_walkz00,
		BgL_bgl_za762lambda1632za7622382z00, BGl_z62lambda1632z62zzdataflow_walkz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2279z00zzdataflow_walkz00,
		BgL_bgl_za762lambda1644za7622383z00, BGl_z62lambda1644z62zzdataflow_walkz00,
		0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2286z00zzdataflow_walkz00,
		BgL_bgl_string2286za700za7za7d2384za7, "dataflow-node!1377", 18);
	      DEFINE_STRING(BGl_string2288z00zzdataflow_walkz00,
		BgL_bgl_string2288za700za7za7d2385za7, "dataflow-test-env1417", 21);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2280z00zzdataflow_walkz00,
		BgL_bgl_za762lambda1643za7622386z00, BGl_z62lambda1643z62zzdataflow_walkz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2281z00zzdataflow_walkz00,
		BgL_bgl_za762lambda1599za7622387z00, BGl_z62lambda1599z62zzdataflow_walkz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2282z00zzdataflow_walkz00,
		BgL_bgl_za762za7c3za704anonymo2388za7,
		BGl_z62zc3z04anonymousza31598ze3ze5zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2283z00zzdataflow_walkz00,
		BgL_bgl_za762lambda1594za7622389z00, BGl_z62lambda1594z62zzdataflow_walkz00,
		0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2290z00zzdataflow_walkz00,
		BgL_bgl_string2290za700za7za7d2390za7, "dataflow-test-false-1431", 24);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2284z00zzdataflow_walkz00,
		BgL_bgl_za762lambda1591za7622391z00, BGl_z62lambda1591z62zzdataflow_walkz00,
		0L, BUNSPEC, 15);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2285z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2392z00,
		BGl_z62dataflowzd2nodez121377za2zzdataflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2292z00zzdataflow_walkz00,
		BgL_bgl_string2292za700za7za7d2393za7, "abort?1435", 10);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2287z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2te2394z00,
		BGl_z62dataflowzd2testzd2env1417z62zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2294z00zzdataflow_walkz00,
		BgL_bgl_string2294za700za7za7d2395za7, "dataflow-node!", 14);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2289z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2te2396z00,
		BGl_z62dataflowzd2testzd2falsezd21431zb0zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2291z00zzdataflow_walkz00,
		BgL_bgl_za762abortza7f31435za72397za7,
		BGl_z62abortzf31435z91zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2293z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2398z00,
		BGl_z62dataflowzd2nodez12zd2var1380z70zzdataflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2295z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2399z00,
		BGl_z62dataflowzd2nodez12zd2closu1382z70zzdataflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2296z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2400z00,
		BGl_z62dataflowzd2nodez12zd2seque1384z70zzdataflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2297z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2401z00,
		BGl_z62dataflowzd2nodez12zd2sync1386z70zzdataflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2298z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2402z00,
		BGl_z62dataflowzd2nodez12zd2app1388z70zzdataflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2299z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2403z00,
		BGl_z62dataflowzd2nodez12zd2appzd2l1390za2zzdataflow_walkz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_STATIC_BGL_GENERIC
		(BGl_dataflowzd2testzd2envzd2envzd2zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2te2404z00,
		BGl_z62dataflowzd2testzd2envz62zzdataflow_walkz00, 0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_GENERIC(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2405z00,
		BGl_z62dataflowzd2nodez12za2zzdataflow_walkz00, 0L, BUNSPEC, 2);
	     
		DEFINE_STATIC_BGL_GENERIC
		(BGl_dataflowzd2testzd2falsezd2envzd2envz00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2te2406z00,
		BGl_z62dataflowzd2testzd2falsezd2envzb0zzdataflow_walkz00, 0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zzdataflow_walkz00));
		     ADD_ROOT((void *) (&BGl_za2z42epairzf3za2zb1zzdataflow_walkz00));
		     ADD_ROOT((void *) (&BGl_za2z42pairzf3za2zb1zzdataflow_walkz00));
		     ADD_ROOT((void *) (&BGl_za2z42nullzf3za2zb1zzdataflow_walkz00));
		     ADD_ROOT((void *) (&BGl_localzf2valuezf2zzdataflow_walkz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzdataflow_walkz00(long
		BgL_checksumz00_4621, char *BgL_fromz00_4622)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzdataflow_walkz00))
				{
					BGl_requirezd2initializa7ationz75zzdataflow_walkz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzdataflow_walkz00();
					BGl_libraryzd2moduleszd2initz00zzdataflow_walkz00();
					BGl_cnstzd2initzd2zzdataflow_walkz00();
					BGl_importedzd2moduleszd2initz00zzdataflow_walkz00();
					BGl_objectzd2initzd2zzdataflow_walkz00();
					BGl_genericzd2initzd2zzdataflow_walkz00();
					BGl_methodzd2initzd2zzdataflow_walkz00();
					return BGl_toplevelzd2initzd2zzdataflow_walkz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzdataflow_walkz00(void)
	{
		{	/* Dataflow/walk.scm 17 */
			BGl_modulezd2initializa7ationz75zz__objectz00(0L, "dataflow_walk");
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(0L,
				"dataflow_walk");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(0L,
				"dataflow_walk");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(0L,
				"dataflow_walk");
			BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(0L,
				"dataflow_walk");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(0L,
				"dataflow_walk");
			BGl_modulezd2initializa7ationz75zz__readerz00(0L, "dataflow_walk");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(0L,
				"dataflow_walk");
			BGl_modulezd2initializa7ationz75zz__errorz00(0L, "dataflow_walk");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(0L,
				"dataflow_walk");
			BGl_modulezd2initializa7ationz75zz__bitz00(0L, "dataflow_walk");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(0L,
				"dataflow_walk");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(0L,
				"dataflow_walk");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzdataflow_walkz00(void)
	{
		{	/* Dataflow/walk.scm 17 */
			{	/* Dataflow/walk.scm 17 */
				obj_t BgL_cportz00_4126;

				{	/* Dataflow/walk.scm 17 */
					obj_t BgL_stringz00_4133;

					BgL_stringz00_4133 = BGl_string2332z00zzdataflow_walkz00;
					{	/* Dataflow/walk.scm 17 */
						obj_t BgL_startz00_4134;

						BgL_startz00_4134 = BINT(0L);
						{	/* Dataflow/walk.scm 17 */
							obj_t BgL_endz00_4135;

							BgL_endz00_4135 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_4133)));
							{	/* Dataflow/walk.scm 17 */

								BgL_cportz00_4126 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_4133, BgL_startz00_4134, BgL_endz00_4135);
				}}}}
				{
					long BgL_iz00_4127;

					BgL_iz00_4127 = 11L;
				BgL_loopz00_4128:
					if ((BgL_iz00_4127 == (-1L)))
						{	/* Dataflow/walk.scm 17 */
							return BUNSPEC;
						}
					else
						{	/* Dataflow/walk.scm 17 */
							{	/* Dataflow/walk.scm 17 */
								obj_t BgL_arg2334z00_4129;

								{	/* Dataflow/walk.scm 17 */

									{	/* Dataflow/walk.scm 17 */
										obj_t BgL_locationz00_4131;

										BgL_locationz00_4131 = BBOOL(((bool_t) 0));
										{	/* Dataflow/walk.scm 17 */

											BgL_arg2334z00_4129 =
												BGl_readz00zz__readerz00(BgL_cportz00_4126,
												BgL_locationz00_4131);
										}
									}
								}
								{	/* Dataflow/walk.scm 17 */
									int BgL_tmpz00_4656;

									BgL_tmpz00_4656 = (int) (BgL_iz00_4127);
									CNST_TABLE_SET(BgL_tmpz00_4656, BgL_arg2334z00_4129);
							}}
							{	/* Dataflow/walk.scm 17 */
								int BgL_auxz00_4132;

								BgL_auxz00_4132 = (int) ((BgL_iz00_4127 - 1L));
								{
									long BgL_iz00_4661;

									BgL_iz00_4661 = (long) (BgL_auxz00_4132);
									BgL_iz00_4127 = BgL_iz00_4661;
									goto BgL_loopz00_4128;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzdataflow_walkz00(void)
	{
		{	/* Dataflow/walk.scm 17 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzdataflow_walkz00(void)
	{
		{	/* Dataflow/walk.scm 17 */
			BGl_za2z42nullzf3za2zb1zzdataflow_walkz00 = BFALSE;
			BGl_za2z42pairzf3za2zb1zzdataflow_walkz00 = BFALSE;
			BGl_za2z42epairzf3za2zb1zzdataflow_walkz00 = BFALSE;
			BGl_letzd2varzd2stampz00zzdataflow_walkz00 = 0L;
			return BUNSPEC;
		}

	}



/* append-21011 */
	obj_t BGl_appendzd221011zd2zzdataflow_walkz00(obj_t BgL_l1z00_1,
		obj_t BgL_l2z00_2)
	{
		{
			if (NULLP(BgL_l1z00_1))
				{
					return BgL_l2z00_2;
				}
			else
				{
					obj_t BgL_headz00_1826;

					BgL_headz00_1826 = MAKE_YOUNG_PAIR(BNIL, BgL_l2z00_2);
					{
						obj_t BgL_prevz00_1827;
						obj_t BgL_tailz00_1828;

						BgL_prevz00_1827 = BgL_headz00_1826;
						BgL_tailz00_1828 = BgL_l1z00_1;
					BgL_loopz00_1829:
						if (PAIRP(BgL_tailz00_1828))
							{
								obj_t BgL_newzd2prevzd2_1831;

								BgL_newzd2prevzd2_1831 =
									MAKE_YOUNG_PAIR(CAR(BgL_tailz00_1828), BgL_l2z00_2);
								SET_CDR(BgL_prevz00_1827, BgL_newzd2prevzd2_1831);
								{
									obj_t BgL_tailz00_4673;
									obj_t BgL_prevz00_4672;

									BgL_prevz00_4672 = BgL_newzd2prevzd2_1831;
									BgL_tailz00_4673 = CDR(BgL_tailz00_1828);
									BgL_tailz00_1828 = BgL_tailz00_4673;
									BgL_prevz00_1827 = BgL_prevz00_4672;
									goto BgL_loopz00_1829;
								}
							}
						else
							{
								BNIL;
							}
						return CDR(BgL_headz00_1826);
					}
				}
		}

	}



/* dataflow-walk! */
	BGL_EXPORTED_DEF obj_t BGl_dataflowzd2walkz12zc0zzdataflow_walkz00(obj_t
		BgL_globalsz00_56, obj_t BgL_namez00_57)
	{
		{	/* Dataflow/walk.scm 45 */
			{	/* Dataflow/walk.scm 46 */
				obj_t BgL_list1488z00_1840;

				{	/* Dataflow/walk.scm 46 */
					obj_t BgL_arg1489z00_1841;

					{	/* Dataflow/walk.scm 46 */
						obj_t BgL_arg1490z00_1842;

						BgL_arg1490z00_1842 =
							MAKE_YOUNG_PAIR(BCHAR(((unsigned char) 10)), BNIL);
						BgL_arg1489z00_1841 =
							MAKE_YOUNG_PAIR(BgL_namez00_57, BgL_arg1490z00_1842);
					}
					BgL_list1488z00_1840 =
						MAKE_YOUNG_PAIR(BGl_string2270z00zzdataflow_walkz00,
						BgL_arg1489z00_1841);
				}
				BGl_verbosez00zztools_speekz00(BINT(1L), BgL_list1488z00_1840);
			}
			BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00 = BINT(0L);
			BGl_za2currentzd2passza2zd2zzengine_passz00 = BgL_namez00_57;
			{	/* Dataflow/walk.scm 46 */
				obj_t BgL_g1141z00_1843;

				BgL_g1141z00_1843 = BNIL;
				{
					obj_t BgL_hooksz00_1846;
					obj_t BgL_hnamesz00_1847;

					BgL_hooksz00_1846 = BgL_g1141z00_1843;
					BgL_hnamesz00_1847 = BNIL;
				BgL_zc3z04anonymousza31491ze3z87_1848:
					if (NULLP(BgL_hooksz00_1846))
						{	/* Dataflow/walk.scm 46 */
							((obj_t) CNST_TABLE_REF(0));
						}
					else
						{	/* Dataflow/walk.scm 46 */
							bool_t BgL_test2412z00_4687;

							{	/* Dataflow/walk.scm 46 */
								obj_t BgL_fun1514z00_1855;

								BgL_fun1514z00_1855 = CAR(((obj_t) BgL_hooksz00_1846));
								BgL_test2412z00_4687 =
									CBOOL(BGL_PROCEDURE_CALL0(BgL_fun1514z00_1855));
							}
							if (BgL_test2412z00_4687)
								{	/* Dataflow/walk.scm 46 */
									obj_t BgL_arg1506z00_1852;
									obj_t BgL_arg1511z00_1853;

									BgL_arg1506z00_1852 = CDR(((obj_t) BgL_hooksz00_1846));
									BgL_arg1511z00_1853 = CDR(((obj_t) BgL_hnamesz00_1847));
									{
										obj_t BgL_hnamesz00_4699;
										obj_t BgL_hooksz00_4698;

										BgL_hooksz00_4698 = BgL_arg1506z00_1852;
										BgL_hnamesz00_4699 = BgL_arg1511z00_1853;
										BgL_hnamesz00_1847 = BgL_hnamesz00_4699;
										BgL_hooksz00_1846 = BgL_hooksz00_4698;
										goto BgL_zc3z04anonymousza31491ze3z87_1848;
									}
								}
							else
								{	/* Dataflow/walk.scm 46 */
									obj_t BgL_arg1512z00_1854;

									BgL_arg1512z00_1854 = CAR(((obj_t) BgL_hnamesz00_1847));
									BGl_internalzd2errorzd2zztools_errorz00(BgL_namez00_57,
										BGl_string2271z00zzdataflow_walkz00, BgL_arg1512z00_1854);
								}
						}
				}
			}
			BGl_za2z42nullzf3za2zb1zzdataflow_walkz00 =
				BGl_findzd2globalzf2modulez20zzast_envz00(
				((obj_t) CNST_TABLE_REF(1)), ((obj_t) CNST_TABLE_REF(2)));
			BGl_za2z42pairzf3za2zb1zzdataflow_walkz00 =
				BGl_findzd2globalzf2modulez20zzast_envz00(
				((obj_t) CNST_TABLE_REF(3)), ((obj_t) CNST_TABLE_REF(2)));
			BGl_za2z42epairzf3za2zb1zzdataflow_walkz00 =
				BGl_findzd2globalzf2modulez20zzast_envz00(
				((obj_t) CNST_TABLE_REF(4)), ((obj_t) CNST_TABLE_REF(2)));
			{
				obj_t BgL_l1333z00_1859;

				BgL_l1333z00_1859 = BgL_globalsz00_56;
			BgL_zc3z04anonymousza31516ze3z87_1860:
				if (PAIRP(BgL_l1333z00_1859))
					{	/* Dataflow/walk.scm 50 */
						{	/* Dataflow/walk.scm 50 */
							obj_t BgL_arg1530z00_1862;

							BgL_arg1530z00_1862 = CAR(BgL_l1333z00_1859);
							{	/* Dataflow/walk.scm 64 */
								obj_t BgL_arg1558z00_2866;

								BgL_arg1558z00_2866 =
									(((BgL_sfunz00_bglt) COBJECT(
											((BgL_sfunz00_bglt)
												(((BgL_variablez00_bglt) COBJECT(
															((BgL_variablez00_bglt)
																((BgL_globalz00_bglt) BgL_arg1530z00_1862))))->
													BgL_valuez00))))->BgL_bodyz00);
								BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(((BgL_nodez00_bglt)
										BgL_arg1558z00_2866), BNIL);
							}
						}
						{
							obj_t BgL_l1333z00_4728;

							BgL_l1333z00_4728 = CDR(BgL_l1333z00_1859);
							BgL_l1333z00_1859 = BgL_l1333z00_4728;
							goto BgL_zc3z04anonymousza31516ze3z87_1860;
						}
					}
				else
					{	/* Dataflow/walk.scm 50 */
						((bool_t) 1);
					}
			}
			if (
				((long) CINT(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00) > 0L))
				{	/* Dataflow/walk.scm 51 */
					{	/* Dataflow/walk.scm 51 */
						obj_t BgL_port1335z00_1867;

						{	/* Dataflow/walk.scm 51 */
							obj_t BgL_tmpz00_4733;

							BgL_tmpz00_4733 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_port1335z00_1867 =
								BGL_ENV_CURRENT_ERROR_PORT(BgL_tmpz00_4733);
						}
						bgl_display_obj(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00,
							BgL_port1335z00_1867);
						bgl_display_string(BGl_string2272z00zzdataflow_walkz00,
							BgL_port1335z00_1867);
						{	/* Dataflow/walk.scm 51 */
							obj_t BgL_arg1535z00_1868;

							{	/* Dataflow/walk.scm 51 */
								bool_t BgL_test2415z00_4738;

								if (BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00
									(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00))
									{	/* Dataflow/walk.scm 51 */
										if (INTEGERP
											(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00))
											{	/* Dataflow/walk.scm 51 */
												BgL_test2415z00_4738 =
													(
													(long)
													CINT
													(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00)
													> 1L);
											}
										else
											{	/* Dataflow/walk.scm 51 */
												BgL_test2415z00_4738 =
													BGl_2ze3ze3zz__r4_numbers_6_5z00
													(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00,
													BINT(1L));
											}
									}
								else
									{	/* Dataflow/walk.scm 51 */
										BgL_test2415z00_4738 = ((bool_t) 0);
									}
								if (BgL_test2415z00_4738)
									{	/* Dataflow/walk.scm 51 */
										BgL_arg1535z00_1868 = BGl_string2273z00zzdataflow_walkz00;
									}
								else
									{	/* Dataflow/walk.scm 51 */
										BgL_arg1535z00_1868 = BGl_string2274z00zzdataflow_walkz00;
									}
							}
							bgl_display_obj(BgL_arg1535z00_1868, BgL_port1335z00_1867);
						}
						bgl_display_string(BGl_string2275z00zzdataflow_walkz00,
							BgL_port1335z00_1867);
						bgl_display_char(((unsigned char) 10), BgL_port1335z00_1867);
					}
					{	/* Dataflow/walk.scm 51 */
						obj_t BgL_list1538z00_1872;

						BgL_list1538z00_1872 = MAKE_YOUNG_PAIR(BINT((-1L)), BNIL);
						return BGl_exitz00zz__errorz00(BgL_list1538z00_1872);
					}
				}
			else
				{	/* Dataflow/walk.scm 51 */
					obj_t BgL_g1143z00_1873;

					BgL_g1143z00_1873 = BNIL;
					{
						obj_t BgL_hooksz00_1876;
						obj_t BgL_hnamesz00_1877;

						BgL_hooksz00_1876 = BgL_g1143z00_1873;
						BgL_hnamesz00_1877 = BNIL;
					BgL_zc3z04anonymousza31539ze3z87_1878:
						if (NULLP(BgL_hooksz00_1876))
							{	/* Dataflow/walk.scm 51 */
								return BgL_globalsz00_56;
							}
						else
							{	/* Dataflow/walk.scm 51 */
								bool_t BgL_test2419z00_4755;

								{	/* Dataflow/walk.scm 51 */
									obj_t BgL_fun1554z00_1885;

									BgL_fun1554z00_1885 = CAR(((obj_t) BgL_hooksz00_1876));
									BgL_test2419z00_4755 =
										CBOOL(BGL_PROCEDURE_CALL0(BgL_fun1554z00_1885));
								}
								if (BgL_test2419z00_4755)
									{	/* Dataflow/walk.scm 51 */
										obj_t BgL_arg1543z00_1882;
										obj_t BgL_arg1545z00_1883;

										BgL_arg1543z00_1882 = CDR(((obj_t) BgL_hooksz00_1876));
										BgL_arg1545z00_1883 = CDR(((obj_t) BgL_hnamesz00_1877));
										{
											obj_t BgL_hnamesz00_4767;
											obj_t BgL_hooksz00_4766;

											BgL_hooksz00_4766 = BgL_arg1543z00_1882;
											BgL_hnamesz00_4767 = BgL_arg1545z00_1883;
											BgL_hnamesz00_1877 = BgL_hnamesz00_4767;
											BgL_hooksz00_1876 = BgL_hooksz00_4766;
											goto BgL_zc3z04anonymousza31539ze3z87_1878;
										}
									}
								else
									{	/* Dataflow/walk.scm 51 */
										obj_t BgL_arg1553z00_1884;

										BgL_arg1553z00_1884 = CAR(((obj_t) BgL_hnamesz00_1877));
										return
											BGl_internalzd2errorzd2zztools_errorz00
											(BGl_za2currentzd2passza2zd2zzengine_passz00,
											BGl_string2276z00zzdataflow_walkz00, BgL_arg1553z00_1884);
									}
							}
					}
				}
		}

	}



/* &dataflow-walk! */
	obj_t BGl_z62dataflowzd2walkz12za2zzdataflow_walkz00(obj_t BgL_envz00_3936,
		obj_t BgL_globalsz00_3937, obj_t BgL_namez00_3938)
	{
		{	/* Dataflow/walk.scm 45 */
			return
				BGl_dataflowzd2walkz12zc0zzdataflow_walkz00(BgL_globalsz00_3937,
				BgL_namez00_3938);
		}

	}



/* dataflow-node*! */
	obj_t BGl_dataflowzd2nodeza2z12z62zzdataflow_walkz00(obj_t BgL_nodeza2za2_99,
		obj_t BgL_envz00_100)
	{
		{	/* Dataflow/walk.scm 309 */
			{
				obj_t BgL_l1357z00_1891;

				BgL_l1357z00_1891 = BgL_nodeza2za2_99;
			BgL_zc3z04anonymousza31561ze3z87_1892:
				if (PAIRP(BgL_l1357z00_1891))
					{	/* Dataflow/walk.scm 310 */
						{	/* Dataflow/walk.scm 310 */
							obj_t BgL_nz00_1894;

							BgL_nz00_1894 = CAR(BgL_l1357z00_1891);
							BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
								((BgL_nodez00_bglt) BgL_nz00_1894), BgL_envz00_100);
						}
						{
							obj_t BgL_l1357z00_4777;

							BgL_l1357z00_4777 = CDR(BgL_l1357z00_1891);
							BgL_l1357z00_1891 = BgL_l1357z00_4777;
							goto BgL_zc3z04anonymousza31561ze3z87_1892;
						}
					}
				else
					{	/* Dataflow/walk.scm 310 */
						((bool_t) 1);
					}
			}
			return BgL_envz00_100;
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzdataflow_walkz00(void)
	{
		{	/* Dataflow/walk.scm 17 */
			{	/* Dataflow/walk.scm 37 */
				obj_t BgL_arg1588z00_1901;
				obj_t BgL_arg1590z00_1902;

				{	/* Dataflow/walk.scm 37 */
					obj_t BgL_v1375z00_1938;

					BgL_v1375z00_1938 = create_vector(2L);
					{	/* Dataflow/walk.scm 37 */
						obj_t BgL_arg1625z00_1939;

						BgL_arg1625z00_1939 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(5)), BGl_proc2278z00zzdataflow_walkz00,
							BGl_proc2277z00zzdataflow_walkz00, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BFALSE, ((obj_t) CNST_TABLE_REF(6)));
						VECTOR_SET(BgL_v1375z00_1938, 0L, BgL_arg1625z00_1939);
					}
					{	/* Dataflow/walk.scm 37 */
						obj_t BgL_arg1635z00_1949;

						BgL_arg1635z00_1949 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(7)), BGl_proc2280z00zzdataflow_walkz00,
							BGl_proc2279z00zzdataflow_walkz00, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BFALSE, BGl_nodez00zzast_nodez00);
						VECTOR_SET(BgL_v1375z00_1938, 1L, BgL_arg1635z00_1949);
					}
					BgL_arg1588z00_1901 = BgL_v1375z00_1938;
				}
				{	/* Dataflow/walk.scm 37 */
					obj_t BgL_v1376z00_1959;

					BgL_v1376z00_1959 = create_vector(0L);
					BgL_arg1590z00_1902 = BgL_v1376z00_1959;
				}
				return (BGl_localzf2valuezf2zzdataflow_walkz00 =
					BGl_registerzd2classz12zc0zz__objectz00(
						((obj_t)
							CNST_TABLE_REF(8)),
						((obj_t)
							CNST_TABLE_REF(9)), BGl_localz00zzast_varz00, 51723L,
						BGl_proc2284z00zzdataflow_walkz00,
						BGl_proc2283z00zzdataflow_walkz00, BFALSE,
						BGl_proc2282z00zzdataflow_walkz00,
						BGl_proc2281z00zzdataflow_walkz00, BgL_arg1588z00_1901,
						BgL_arg1590z00_1902), BUNSPEC);
			}
		}

	}



/* &lambda1599 */
	BgL_localz00_bglt BGl_z62lambda1599z62zzdataflow_walkz00(obj_t
		BgL_envz00_3947, obj_t BgL_o1127z00_3948)
	{
		{	/* Dataflow/walk.scm 37 */
			{	/* Dataflow/walk.scm 37 */
				long BgL_arg1605z00_4138;

				{	/* Dataflow/walk.scm 37 */
					obj_t BgL_arg1611z00_4139;

					{	/* Dataflow/walk.scm 37 */
						obj_t BgL_arg1612z00_4140;

						{	/* Dataflow/walk.scm 37 */
							obj_t BgL_arg1866z00_4141;
							long BgL_arg1867z00_4142;

							BgL_arg1866z00_4141 = (BGl_za2classesza2z00zz__objectz00);
							{	/* Dataflow/walk.scm 37 */
								long BgL_arg1869z00_4143;

								BgL_arg1869z00_4143 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_localz00_bglt) BgL_o1127z00_3948)));
								BgL_arg1867z00_4142 = (BgL_arg1869z00_4143 - OBJECT_TYPE);
							}
							BgL_arg1612z00_4140 =
								VECTOR_REF(BgL_arg1866z00_4141, BgL_arg1867z00_4142);
						}
						BgL_arg1611z00_4139 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg1612z00_4140);
					}
					{	/* Dataflow/walk.scm 37 */
						obj_t BgL_tmpz00_4803;

						BgL_tmpz00_4803 = ((obj_t) BgL_arg1611z00_4139);
						BgL_arg1605z00_4138 = BGL_CLASS_NUM(BgL_tmpz00_4803);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_localz00_bglt) BgL_o1127z00_3948)), BgL_arg1605z00_4138);
			}
			{	/* Dataflow/walk.scm 37 */
				BgL_objectz00_bglt BgL_tmpz00_4809;

				BgL_tmpz00_4809 =
					((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_o1127z00_3948));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4809, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_o1127z00_3948));
			return ((BgL_localz00_bglt) ((BgL_localz00_bglt) BgL_o1127z00_3948));
		}

	}



/* &<@anonymous:1598> */
	obj_t BGl_z62zc3z04anonymousza31598ze3ze5zzdataflow_walkz00(obj_t
		BgL_envz00_3949, obj_t BgL_new1126z00_3950)
	{
		{	/* Dataflow/walk.scm 37 */
			{
				BgL_localz00_bglt BgL_auxz00_4817;

				((((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt)
									((BgL_localz00_bglt) BgL_new1126z00_3950))))->BgL_idz00) =
					((obj_t) ((obj_t) CNST_TABLE_REF(10))), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_localz00_bglt)
										BgL_new1126z00_3950))))->BgL_namez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_4826;

					{	/* Dataflow/walk.scm 37 */
						obj_t BgL_classz00_4145;

						BgL_classz00_4145 = BGl_typez00zztype_typez00;
						{	/* Dataflow/walk.scm 37 */
							obj_t BgL__ortest_1117z00_4146;

							BgL__ortest_1117z00_4146 = BGL_CLASS_NIL(BgL_classz00_4145);
							if (CBOOL(BgL__ortest_1117z00_4146))
								{	/* Dataflow/walk.scm 37 */
									BgL_auxz00_4826 =
										((BgL_typez00_bglt) BgL__ortest_1117z00_4146);
								}
							else
								{	/* Dataflow/walk.scm 37 */
									BgL_auxz00_4826 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4145));
								}
						}
					}
					((((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt)
										((BgL_localz00_bglt) BgL_new1126z00_3950))))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_4826), BUNSPEC);
				}
				{
					BgL_valuez00_bglt BgL_auxz00_4836;

					{	/* Dataflow/walk.scm 37 */
						obj_t BgL_classz00_4147;

						BgL_classz00_4147 = BGl_valuez00zzast_varz00;
						{	/* Dataflow/walk.scm 37 */
							obj_t BgL__ortest_1117z00_4148;

							BgL__ortest_1117z00_4148 = BGL_CLASS_NIL(BgL_classz00_4147);
							if (CBOOL(BgL__ortest_1117z00_4148))
								{	/* Dataflow/walk.scm 37 */
									BgL_auxz00_4836 =
										((BgL_valuez00_bglt) BgL__ortest_1117z00_4148);
								}
							else
								{	/* Dataflow/walk.scm 37 */
									BgL_auxz00_4836 =
										((BgL_valuez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4147));
								}
						}
					}
					((((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt)
										((BgL_localz00_bglt) BgL_new1126z00_3950))))->
							BgL_valuez00) = ((BgL_valuez00_bglt) BgL_auxz00_4836), BUNSPEC);
				}
				((((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt)
									((BgL_localz00_bglt) BgL_new1126z00_3950))))->BgL_accessz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_localz00_bglt)
										BgL_new1126z00_3950))))->BgL_fastzd2alphazd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_localz00_bglt)
										BgL_new1126z00_3950))))->BgL_removablez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_localz00_bglt)
										BgL_new1126z00_3950))))->BgL_occurrencez00) =
					((long) 0L), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_localz00_bglt)
										BgL_new1126z00_3950))))->BgL_occurrencewz00) =
					((long) 0L), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_localz00_bglt)
										BgL_new1126z00_3950))))->BgL_userzf3zf3) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt) ((BgL_localz00_bglt)
										BgL_new1126z00_3950))))->BgL_keyz00) =
					((long) 0L), BUNSPEC);
				((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt) ((BgL_localz00_bglt)
										BgL_new1126z00_3950))))->BgL_valzd2noescapezd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt) ((BgL_localz00_bglt)
										BgL_new1126z00_3950))))->BgL_volatilez00) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				{
					BgL_localzf2valuezf2_bglt BgL_auxz00_4873;

					{
						obj_t BgL_auxz00_4874;

						{	/* Dataflow/walk.scm 37 */
							BgL_objectz00_bglt BgL_tmpz00_4875;

							BgL_tmpz00_4875 =
								((BgL_objectz00_bglt)
								((BgL_localz00_bglt) BgL_new1126z00_3950));
							BgL_auxz00_4874 = BGL_OBJECT_WIDENING(BgL_tmpz00_4875);
						}
						BgL_auxz00_4873 = ((BgL_localzf2valuezf2_bglt) BgL_auxz00_4874);
					}
					((((BgL_localzf2valuezf2_bglt) COBJECT(BgL_auxz00_4873))->
							BgL_stampz00) = ((int) (int) (0L)), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_4889;
					BgL_localzf2valuezf2_bglt BgL_auxz00_4882;

					{	/* Dataflow/walk.scm 37 */
						obj_t BgL_classz00_4149;

						BgL_classz00_4149 = BGl_nodez00zzast_nodez00;
						{	/* Dataflow/walk.scm 37 */
							obj_t BgL__ortest_1117z00_4150;

							BgL__ortest_1117z00_4150 = BGL_CLASS_NIL(BgL_classz00_4149);
							if (CBOOL(BgL__ortest_1117z00_4150))
								{	/* Dataflow/walk.scm 37 */
									BgL_auxz00_4889 =
										((BgL_nodez00_bglt) BgL__ortest_1117z00_4150);
								}
							else
								{	/* Dataflow/walk.scm 37 */
									BgL_auxz00_4889 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4149));
								}
						}
					}
					{
						obj_t BgL_auxz00_4883;

						{	/* Dataflow/walk.scm 37 */
							BgL_objectz00_bglt BgL_tmpz00_4884;

							BgL_tmpz00_4884 =
								((BgL_objectz00_bglt)
								((BgL_localz00_bglt) BgL_new1126z00_3950));
							BgL_auxz00_4883 = BGL_OBJECT_WIDENING(BgL_tmpz00_4884);
						}
						BgL_auxz00_4882 = ((BgL_localzf2valuezf2_bglt) BgL_auxz00_4883);
					}
					((((BgL_localzf2valuezf2_bglt) COBJECT(BgL_auxz00_4882))->
							BgL_nodez00) = ((BgL_nodez00_bglt) BgL_auxz00_4889), BUNSPEC);
				}
				BgL_auxz00_4817 = ((BgL_localz00_bglt) BgL_new1126z00_3950);
				return ((obj_t) BgL_auxz00_4817);
			}
		}

	}



/* &lambda1594 */
	BgL_localz00_bglt BGl_z62lambda1594z62zzdataflow_walkz00(obj_t
		BgL_envz00_3951, obj_t BgL_o1123z00_3952)
	{
		{	/* Dataflow/walk.scm 37 */
			{	/* Dataflow/walk.scm 37 */
				BgL_localzf2valuezf2_bglt BgL_wide1125z00_4152;

				BgL_wide1125z00_4152 =
					((BgL_localzf2valuezf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_localzf2valuezf2_bgl))));
				{	/* Dataflow/walk.scm 37 */
					obj_t BgL_auxz00_4904;
					BgL_objectz00_bglt BgL_tmpz00_4900;

					BgL_auxz00_4904 = ((obj_t) BgL_wide1125z00_4152);
					BgL_tmpz00_4900 =
						((BgL_objectz00_bglt)
						((BgL_localz00_bglt) ((BgL_localz00_bglt) BgL_o1123z00_3952)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4900, BgL_auxz00_4904);
				}
				((BgL_objectz00_bglt)
					((BgL_localz00_bglt) ((BgL_localz00_bglt) BgL_o1123z00_3952)));
				{	/* Dataflow/walk.scm 37 */
					long BgL_arg1597z00_4153;

					BgL_arg1597z00_4153 =
						BGL_CLASS_NUM(BGl_localzf2valuezf2zzdataflow_walkz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_localz00_bglt)
								((BgL_localz00_bglt) BgL_o1123z00_3952))), BgL_arg1597z00_4153);
				}
				return
					((BgL_localz00_bglt)
					((BgL_localz00_bglt) ((BgL_localz00_bglt) BgL_o1123z00_3952)));
			}
		}

	}



/* &lambda1591 */
	BgL_localz00_bglt BGl_z62lambda1591z62zzdataflow_walkz00(obj_t
		BgL_envz00_3953, obj_t BgL_id1108z00_3954, obj_t BgL_name1109z00_3955,
		obj_t BgL_type1110z00_3956, obj_t BgL_value1111z00_3957,
		obj_t BgL_access1112z00_3958, obj_t BgL_fastzd2alpha1113zd2_3959,
		obj_t BgL_removable1114z00_3960, obj_t BgL_occurrence1115z00_3961,
		obj_t BgL_occurrencew1116z00_3962, obj_t BgL_userzf31117zf3_3963,
		obj_t BgL_key1118z00_3964, obj_t BgL_valzd2noescape1119zd2_3965,
		obj_t BgL_volatile1120z00_3966, obj_t BgL_stamp1121z00_3967,
		obj_t BgL_node1122z00_3968)
	{
		{	/* Dataflow/walk.scm 37 */
			{	/* Dataflow/walk.scm 37 */
				long BgL_occurrence1115z00_4157;
				long BgL_occurrencew1116z00_4158;
				bool_t BgL_userzf31117zf3_4159;
				long BgL_key1118z00_4160;
				bool_t BgL_volatile1120z00_4161;
				int BgL_stamp1121z00_4162;

				BgL_occurrence1115z00_4157 = (long) CINT(BgL_occurrence1115z00_3961);
				BgL_occurrencew1116z00_4158 = (long) CINT(BgL_occurrencew1116z00_3962);
				BgL_userzf31117zf3_4159 = CBOOL(BgL_userzf31117zf3_3963);
				BgL_key1118z00_4160 = (long) CINT(BgL_key1118z00_3964);
				BgL_volatile1120z00_4161 = CBOOL(BgL_volatile1120z00_3966);
				BgL_stamp1121z00_4162 = CINT(BgL_stamp1121z00_3967);
				{	/* Dataflow/walk.scm 37 */
					BgL_localz00_bglt BgL_new1195z00_4164;

					{	/* Dataflow/walk.scm 37 */
						BgL_localz00_bglt BgL_tmp1193z00_4165;
						BgL_localzf2valuezf2_bglt BgL_wide1194z00_4166;

						{
							BgL_localz00_bglt BgL_auxz00_4924;

							{	/* Dataflow/walk.scm 37 */
								BgL_localz00_bglt BgL_new1192z00_4167;

								BgL_new1192z00_4167 =
									((BgL_localz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_localz00_bgl))));
								{	/* Dataflow/walk.scm 37 */
									long BgL_arg1593z00_4168;

									BgL_arg1593z00_4168 = BGL_CLASS_NUM(BGl_localz00zzast_varz00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1192z00_4167),
										BgL_arg1593z00_4168);
								}
								{	/* Dataflow/walk.scm 37 */
									BgL_objectz00_bglt BgL_tmpz00_4929;

									BgL_tmpz00_4929 = ((BgL_objectz00_bglt) BgL_new1192z00_4167);
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4929, BFALSE);
								}
								((BgL_objectz00_bglt) BgL_new1192z00_4167);
								BgL_auxz00_4924 = BgL_new1192z00_4167;
							}
							BgL_tmp1193z00_4165 = ((BgL_localz00_bglt) BgL_auxz00_4924);
						}
						BgL_wide1194z00_4166 =
							((BgL_localzf2valuezf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_localzf2valuezf2_bgl))));
						{	/* Dataflow/walk.scm 37 */
							obj_t BgL_auxz00_4937;
							BgL_objectz00_bglt BgL_tmpz00_4935;

							BgL_auxz00_4937 = ((obj_t) BgL_wide1194z00_4166);
							BgL_tmpz00_4935 = ((BgL_objectz00_bglt) BgL_tmp1193z00_4165);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4935, BgL_auxz00_4937);
						}
						((BgL_objectz00_bglt) BgL_tmp1193z00_4165);
						{	/* Dataflow/walk.scm 37 */
							long BgL_arg1592z00_4169;

							BgL_arg1592z00_4169 =
								BGL_CLASS_NUM(BGl_localzf2valuezf2zzdataflow_walkz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_tmp1193z00_4165),
								BgL_arg1592z00_4169);
						}
						BgL_new1195z00_4164 = ((BgL_localz00_bglt) BgL_tmp1193z00_4165);
					}
					((((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt) BgL_new1195z00_4164)))->BgL_idz00) =
						((obj_t) ((obj_t) BgL_id1108z00_3954)), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1195z00_4164)))->BgL_namez00) =
						((obj_t) BgL_name1109z00_3955), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1195z00_4164)))->BgL_typez00) =
						((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1110z00_3956)),
						BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1195z00_4164)))->BgL_valuez00) =
						((BgL_valuez00_bglt) ((BgL_valuez00_bglt) BgL_value1111z00_3957)),
						BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1195z00_4164)))->BgL_accessz00) =
						((obj_t) BgL_access1112z00_3958), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1195z00_4164)))->BgL_fastzd2alphazd2) =
						((obj_t) BgL_fastzd2alpha1113zd2_3959), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1195z00_4164)))->BgL_removablez00) =
						((obj_t) BgL_removable1114z00_3960), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1195z00_4164)))->BgL_occurrencez00) =
						((long) BgL_occurrence1115z00_4157), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1195z00_4164)))->BgL_occurrencewz00) =
						((long) BgL_occurrencew1116z00_4158), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1195z00_4164)))->BgL_userzf3zf3) =
						((bool_t) BgL_userzf31117zf3_4159), BUNSPEC);
					((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt)
										BgL_new1195z00_4164)))->BgL_keyz00) =
						((long) BgL_key1118z00_4160), BUNSPEC);
					((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt)
										BgL_new1195z00_4164)))->BgL_valzd2noescapezd2) =
						((obj_t) BgL_valzd2noescape1119zd2_3965), BUNSPEC);
					((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt)
										BgL_new1195z00_4164)))->BgL_volatilez00) =
						((bool_t) BgL_volatile1120z00_4161), BUNSPEC);
					{
						BgL_localzf2valuezf2_bglt BgL_auxz00_4974;

						{
							obj_t BgL_auxz00_4975;

							{	/* Dataflow/walk.scm 37 */
								BgL_objectz00_bglt BgL_tmpz00_4976;

								BgL_tmpz00_4976 = ((BgL_objectz00_bglt) BgL_new1195z00_4164);
								BgL_auxz00_4975 = BGL_OBJECT_WIDENING(BgL_tmpz00_4976);
							}
							BgL_auxz00_4974 = ((BgL_localzf2valuezf2_bglt) BgL_auxz00_4975);
						}
						((((BgL_localzf2valuezf2_bglt) COBJECT(BgL_auxz00_4974))->
								BgL_stampz00) = ((int) BgL_stamp1121z00_4162), BUNSPEC);
					}
					{
						BgL_localzf2valuezf2_bglt BgL_auxz00_4981;

						{
							obj_t BgL_auxz00_4982;

							{	/* Dataflow/walk.scm 37 */
								BgL_objectz00_bglt BgL_tmpz00_4983;

								BgL_tmpz00_4983 = ((BgL_objectz00_bglt) BgL_new1195z00_4164);
								BgL_auxz00_4982 = BGL_OBJECT_WIDENING(BgL_tmpz00_4983);
							}
							BgL_auxz00_4981 = ((BgL_localzf2valuezf2_bglt) BgL_auxz00_4982);
						}
						((((BgL_localzf2valuezf2_bglt) COBJECT(BgL_auxz00_4981))->
								BgL_nodez00) =
							((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_node1122z00_3968)),
							BUNSPEC);
					}
					return BgL_new1195z00_4164;
				}
			}
		}

	}



/* &lambda1644 */
	obj_t BGl_z62lambda1644z62zzdataflow_walkz00(obj_t BgL_envz00_3969,
		obj_t BgL_oz00_3970, obj_t BgL_vz00_3971)
	{
		{	/* Dataflow/walk.scm 37 */
			{
				BgL_localzf2valuezf2_bglt BgL_auxz00_4989;

				{
					obj_t BgL_auxz00_4990;

					{	/* Dataflow/walk.scm 37 */
						BgL_objectz00_bglt BgL_tmpz00_4991;

						BgL_tmpz00_4991 =
							((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_oz00_3970));
						BgL_auxz00_4990 = BGL_OBJECT_WIDENING(BgL_tmpz00_4991);
					}
					BgL_auxz00_4989 = ((BgL_localzf2valuezf2_bglt) BgL_auxz00_4990);
				}
				return
					((((BgL_localzf2valuezf2_bglt) COBJECT(BgL_auxz00_4989))->
						BgL_nodez00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_vz00_3971)), BUNSPEC);
			}
		}

	}



/* &lambda1643 */
	BgL_nodez00_bglt BGl_z62lambda1643z62zzdataflow_walkz00(obj_t BgL_envz00_3972,
		obj_t BgL_oz00_3973)
	{
		{	/* Dataflow/walk.scm 37 */
			{
				BgL_localzf2valuezf2_bglt BgL_auxz00_4998;

				{
					obj_t BgL_auxz00_4999;

					{	/* Dataflow/walk.scm 37 */
						BgL_objectz00_bglt BgL_tmpz00_5000;

						BgL_tmpz00_5000 =
							((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_oz00_3973));
						BgL_auxz00_4999 = BGL_OBJECT_WIDENING(BgL_tmpz00_5000);
					}
					BgL_auxz00_4998 = ((BgL_localzf2valuezf2_bglt) BgL_auxz00_4999);
				}
				return
					(((BgL_localzf2valuezf2_bglt) COBJECT(BgL_auxz00_4998))->BgL_nodez00);
			}
		}

	}



/* &lambda1633 */
	obj_t BGl_z62lambda1633z62zzdataflow_walkz00(obj_t BgL_envz00_3974,
		obj_t BgL_oz00_3975, obj_t BgL_vz00_3976)
	{
		{	/* Dataflow/walk.scm 37 */
			{	/* Dataflow/walk.scm 37 */
				int BgL_vz00_4174;

				BgL_vz00_4174 = CINT(BgL_vz00_3976);
				{
					BgL_localzf2valuezf2_bglt BgL_auxz00_5007;

					{
						obj_t BgL_auxz00_5008;

						{	/* Dataflow/walk.scm 37 */
							BgL_objectz00_bglt BgL_tmpz00_5009;

							BgL_tmpz00_5009 =
								((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_oz00_3975));
							BgL_auxz00_5008 = BGL_OBJECT_WIDENING(BgL_tmpz00_5009);
						}
						BgL_auxz00_5007 = ((BgL_localzf2valuezf2_bglt) BgL_auxz00_5008);
					}
					return
						((((BgL_localzf2valuezf2_bglt) COBJECT(BgL_auxz00_5007))->
							BgL_stampz00) = ((int) BgL_vz00_4174), BUNSPEC);
		}}}

	}



/* &lambda1632 */
	obj_t BGl_z62lambda1632z62zzdataflow_walkz00(obj_t BgL_envz00_3977,
		obj_t BgL_oz00_3978)
	{
		{	/* Dataflow/walk.scm 37 */
			{	/* Dataflow/walk.scm 37 */
				int BgL_tmpz00_5015;

				{
					BgL_localzf2valuezf2_bglt BgL_auxz00_5016;

					{
						obj_t BgL_auxz00_5017;

						{	/* Dataflow/walk.scm 37 */
							BgL_objectz00_bglt BgL_tmpz00_5018;

							BgL_tmpz00_5018 =
								((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_oz00_3978));
							BgL_auxz00_5017 = BGL_OBJECT_WIDENING(BgL_tmpz00_5018);
						}
						BgL_auxz00_5016 = ((BgL_localzf2valuezf2_bglt) BgL_auxz00_5017);
					}
					BgL_tmpz00_5015 =
						(((BgL_localzf2valuezf2_bglt) COBJECT(BgL_auxz00_5016))->
						BgL_stampz00);
				}
				return BINT(BgL_tmpz00_5015);
			}
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzdataflow_walkz00(void)
	{
		{	/* Dataflow/walk.scm 17 */
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_proc2285z00zzdataflow_walkz00, BGl_nodez00zzast_nodez00,
				BGl_string2286z00zzdataflow_walkz00);
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_dataflowzd2testzd2envzd2envzd2zzdataflow_walkz00,
				BGl_proc2287z00zzdataflow_walkz00, BGl_nodez00zzast_nodez00,
				BGl_string2288z00zzdataflow_walkz00);
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_dataflowzd2testzd2falsezd2envzd2envz00zzdataflow_walkz00,
				BGl_proc2289z00zzdataflow_walkz00, BGl_nodez00zzast_nodez00,
				BGl_string2290z00zzdataflow_walkz00);
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_abortzf3zd2envz21zzdataflow_walkz00,
				BGl_proc2291z00zzdataflow_walkz00, BGl_nodez00zzast_nodez00,
				BGl_string2292z00zzdataflow_walkz00);
		}

	}



/* &abort?1435 */
	obj_t BGl_z62abortzf31435z91zzdataflow_walkz00(obj_t BgL_envz00_3983,
		obj_t BgL_nodez00_3984)
	{
		{	/* Dataflow/walk.scm 430 */
			return BBOOL(((bool_t) 0));
		}

	}



/* &dataflow-test-false-1431 */
	obj_t BGl_z62dataflowzd2testzd2falsezd21431zb0zzdataflow_walkz00(obj_t
		BgL_envz00_3985, obj_t BgL_nodez00_3986)
	{
		{	/* Dataflow/walk.scm 402 */
			return BNIL;
		}

	}



/* &dataflow-test-env1417 */
	obj_t BGl_z62dataflowzd2testzd2env1417z62zzdataflow_walkz00(obj_t
		BgL_envz00_3987, obj_t BgL_nodez00_3988)
	{
		{	/* Dataflow/walk.scm 316 */
			return BNIL;
		}

	}



/* &dataflow-node!1377 */
	obj_t BGl_z62dataflowzd2nodez121377za2zzdataflow_walkz00(obj_t
		BgL_envz00_3989, obj_t BgL_nodez00_3990, obj_t BgL_envz00_3991)
	{
		{	/* Dataflow/walk.scm 69 */
			return ((obj_t) BgL_envz00_3991);
		}

	}



/* dataflow-node! */
	obj_t BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(BgL_nodez00_bglt
		BgL_nodez00_59, obj_t BgL_envz00_60)
	{
		{	/* Dataflow/walk.scm 69 */
			{	/* Dataflow/walk.scm 69 */
				obj_t BgL_method1378z00_1981;

				{	/* Dataflow/walk.scm 69 */
					obj_t BgL_res2228z00_2961;

					{	/* Dataflow/walk.scm 69 */
						long BgL_objzd2classzd2numz00_2932;

						BgL_objzd2classzd2numz00_2932 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_59));
						{	/* Dataflow/walk.scm 69 */
							obj_t BgL_arg1862z00_2933;

							BgL_arg1862z00_2933 =
								PROCEDURE_REF(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
								(int) (1L));
							{	/* Dataflow/walk.scm 69 */
								int BgL_offsetz00_2936;

								BgL_offsetz00_2936 = (int) (BgL_objzd2classzd2numz00_2932);
								{	/* Dataflow/walk.scm 69 */
									long BgL_offsetz00_2937;

									BgL_offsetz00_2937 =
										((long) (BgL_offsetz00_2936) - OBJECT_TYPE);
									{	/* Dataflow/walk.scm 69 */
										long BgL_modz00_2938;

										BgL_modz00_2938 =
											(BgL_offsetz00_2937 >> (int) ((long) ((int) (4L))));
										{	/* Dataflow/walk.scm 69 */
											long BgL_restz00_2940;

											BgL_restz00_2940 =
												(BgL_offsetz00_2937 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(1L <<
																		(int) ((long) ((int) (4L)))))) - 1L))));
											{	/* Dataflow/walk.scm 69 */

												{	/* Dataflow/walk.scm 69 */
													obj_t BgL_bucketz00_2942;

													BgL_bucketz00_2942 =
														VECTOR_REF(
														((obj_t) BgL_arg1862z00_2933), BgL_modz00_2938);
													BgL_res2228z00_2961 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_2942), BgL_restz00_2940);
					}}}}}}}}
					BgL_method1378z00_1981 = BgL_res2228z00_2961;
				}
				return
					BGL_PROCEDURE_CALL2(BgL_method1378z00_1981,
					((obj_t) BgL_nodez00_59), BgL_envz00_60);
			}
		}

	}



/* &dataflow-node! */
	obj_t BGl_z62dataflowzd2nodez12za2zzdataflow_walkz00(obj_t BgL_envz00_3992,
		obj_t BgL_nodez00_3993, obj_t BgL_envz00_3994)
	{
		{	/* Dataflow/walk.scm 69 */
			return
				BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
				((BgL_nodez00_bglt) BgL_nodez00_3993), BgL_envz00_3994);
		}

	}



/* dataflow-test-env */
	obj_t BGl_dataflowzd2testzd2envz00zzdataflow_walkz00(BgL_nodez00_bglt
		BgL_nodez00_101)
	{
		{	/* Dataflow/walk.scm 316 */
			{	/* Dataflow/walk.scm 316 */
				obj_t BgL_method1419z00_1982;

				{	/* Dataflow/walk.scm 316 */
					obj_t BgL_res2233z00_2992;

					{	/* Dataflow/walk.scm 316 */
						long BgL_objzd2classzd2numz00_2963;

						BgL_objzd2classzd2numz00_2963 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_101));
						{	/* Dataflow/walk.scm 316 */
							obj_t BgL_arg1862z00_2964;

							BgL_arg1862z00_2964 =
								PROCEDURE_REF
								(BGl_dataflowzd2testzd2envzd2envzd2zzdataflow_walkz00,
								(int) (1L));
							{	/* Dataflow/walk.scm 316 */
								int BgL_offsetz00_2967;

								BgL_offsetz00_2967 = (int) (BgL_objzd2classzd2numz00_2963);
								{	/* Dataflow/walk.scm 316 */
									long BgL_offsetz00_2968;

									BgL_offsetz00_2968 =
										((long) (BgL_offsetz00_2967) - OBJECT_TYPE);
									{	/* Dataflow/walk.scm 316 */
										long BgL_modz00_2969;

										BgL_modz00_2969 =
											(BgL_offsetz00_2968 >> (int) ((long) ((int) (4L))));
										{	/* Dataflow/walk.scm 316 */
											long BgL_restz00_2971;

											BgL_restz00_2971 =
												(BgL_offsetz00_2968 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(1L <<
																		(int) ((long) ((int) (4L)))))) - 1L))));
											{	/* Dataflow/walk.scm 316 */

												{	/* Dataflow/walk.scm 316 */
													obj_t BgL_bucketz00_2973;

													BgL_bucketz00_2973 =
														VECTOR_REF(
														((obj_t) BgL_arg1862z00_2964), BgL_modz00_2969);
													BgL_res2233z00_2992 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_2973), BgL_restz00_2971);
					}}}}}}}}
					BgL_method1419z00_1982 = BgL_res2233z00_2992;
				}
				return
					BGL_PROCEDURE_CALL1(BgL_method1419z00_1982,
					((obj_t) BgL_nodez00_101));
			}
		}

	}



/* &dataflow-test-env */
	obj_t BGl_z62dataflowzd2testzd2envz62zzdataflow_walkz00(obj_t BgL_envz00_3995,
		obj_t BgL_nodez00_3996)
	{
		{	/* Dataflow/walk.scm 316 */
			return
				BGl_dataflowzd2testzd2envz00zzdataflow_walkz00(
				((BgL_nodez00_bglt) BgL_nodez00_3996));
		}

	}



/* dataflow-test-false-env */
	obj_t BGl_dataflowzd2testzd2falsezd2envzd2zzdataflow_walkz00(BgL_nodez00_bglt
		BgL_nodez00_107)
	{
		{	/* Dataflow/walk.scm 402 */
			{	/* Dataflow/walk.scm 402 */
				obj_t BgL_method1432z00_1983;

				{	/* Dataflow/walk.scm 402 */
					obj_t BgL_res2238z00_3023;

					{	/* Dataflow/walk.scm 402 */
						long BgL_objzd2classzd2numz00_2994;

						BgL_objzd2classzd2numz00_2994 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_107));
						{	/* Dataflow/walk.scm 402 */
							obj_t BgL_arg1862z00_2995;

							BgL_arg1862z00_2995 =
								PROCEDURE_REF
								(BGl_dataflowzd2testzd2falsezd2envzd2envz00zzdataflow_walkz00,
								(int) (1L));
							{	/* Dataflow/walk.scm 402 */
								int BgL_offsetz00_2998;

								BgL_offsetz00_2998 = (int) (BgL_objzd2classzd2numz00_2994);
								{	/* Dataflow/walk.scm 402 */
									long BgL_offsetz00_2999;

									BgL_offsetz00_2999 =
										((long) (BgL_offsetz00_2998) - OBJECT_TYPE);
									{	/* Dataflow/walk.scm 402 */
										long BgL_modz00_3000;

										BgL_modz00_3000 =
											(BgL_offsetz00_2999 >> (int) ((long) ((int) (4L))));
										{	/* Dataflow/walk.scm 402 */
											long BgL_restz00_3002;

											BgL_restz00_3002 =
												(BgL_offsetz00_2999 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(1L <<
																		(int) ((long) ((int) (4L)))))) - 1L))));
											{	/* Dataflow/walk.scm 402 */

												{	/* Dataflow/walk.scm 402 */
													obj_t BgL_bucketz00_3004;

													BgL_bucketz00_3004 =
														VECTOR_REF(
														((obj_t) BgL_arg1862z00_2995), BgL_modz00_3000);
													BgL_res2238z00_3023 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_3004), BgL_restz00_3002);
					}}}}}}}}
					BgL_method1432z00_1983 = BgL_res2238z00_3023;
				}
				return
					BGL_PROCEDURE_CALL1(BgL_method1432z00_1983,
					((obj_t) BgL_nodez00_107));
			}
		}

	}



/* &dataflow-test-false-env */
	obj_t BGl_z62dataflowzd2testzd2falsezd2envzb0zzdataflow_walkz00(obj_t
		BgL_envz00_3997, obj_t BgL_nodez00_3998)
	{
		{	/* Dataflow/walk.scm 402 */
			return
				BGl_dataflowzd2testzd2falsezd2envzd2zzdataflow_walkz00(
				((BgL_nodez00_bglt) BgL_nodez00_3998));
		}

	}



/* abort? */
	obj_t BGl_abortzf3zf3zzdataflow_walkz00(BgL_nodez00_bglt BgL_nodez00_109)
	{
		{	/* Dataflow/walk.scm 430 */
			{	/* Dataflow/walk.scm 430 */
				obj_t BgL_method1436z00_1984;

				{	/* Dataflow/walk.scm 430 */
					obj_t BgL_res2243z00_3054;

					{	/* Dataflow/walk.scm 430 */
						long BgL_objzd2classzd2numz00_3025;

						BgL_objzd2classzd2numz00_3025 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_109));
						{	/* Dataflow/walk.scm 430 */
							obj_t BgL_arg1862z00_3026;

							BgL_arg1862z00_3026 =
								PROCEDURE_REF(BGl_abortzf3zd2envz21zzdataflow_walkz00,
								(int) (1L));
							{	/* Dataflow/walk.scm 430 */
								int BgL_offsetz00_3029;

								BgL_offsetz00_3029 = (int) (BgL_objzd2classzd2numz00_3025);
								{	/* Dataflow/walk.scm 430 */
									long BgL_offsetz00_3030;

									BgL_offsetz00_3030 =
										((long) (BgL_offsetz00_3029) - OBJECT_TYPE);
									{	/* Dataflow/walk.scm 430 */
										long BgL_modz00_3031;

										BgL_modz00_3031 =
											(BgL_offsetz00_3030 >> (int) ((long) ((int) (4L))));
										{	/* Dataflow/walk.scm 430 */
											long BgL_restz00_3033;

											BgL_restz00_3033 =
												(BgL_offsetz00_3030 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(1L <<
																		(int) ((long) ((int) (4L)))))) - 1L))));
											{	/* Dataflow/walk.scm 430 */

												{	/* Dataflow/walk.scm 430 */
													obj_t BgL_bucketz00_3035;

													BgL_bucketz00_3035 =
														VECTOR_REF(
														((obj_t) BgL_arg1862z00_3026), BgL_modz00_3031);
													BgL_res2243z00_3054 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_3035), BgL_restz00_3033);
					}}}}}}}}
					BgL_method1436z00_1984 = BgL_res2243z00_3054;
				}
				return
					BGL_PROCEDURE_CALL1(BgL_method1436z00_1984,
					((obj_t) BgL_nodez00_109));
			}
		}

	}



/* &abort? */
	obj_t BGl_z62abortzf3z91zzdataflow_walkz00(obj_t BgL_envz00_3999,
		obj_t BgL_nodez00_4000)
	{
		{	/* Dataflow/walk.scm 430 */
			return
				BGl_abortzf3zf3zzdataflow_walkz00(
				((BgL_nodez00_bglt) BgL_nodez00_4000));
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzdataflow_walkz00(void)
	{
		{	/* Dataflow/walk.scm 17 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_varz00zzast_nodez00, BGl_proc2293z00zzdataflow_walkz00,
				BGl_string2294z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_closurez00zzast_nodez00, BGl_proc2295z00zzdataflow_walkz00,
				BGl_string2294z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_sequencez00zzast_nodez00, BGl_proc2296z00zzdataflow_walkz00,
				BGl_string2294z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_syncz00zzast_nodez00, BGl_proc2297z00zzdataflow_walkz00,
				BGl_string2294z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_appz00zzast_nodez00, BGl_proc2298z00zzdataflow_walkz00,
				BGl_string2294z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc2299z00zzdataflow_walkz00,
				BGl_string2294z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_funcallz00zzast_nodez00, BGl_proc2300z00zzdataflow_walkz00,
				BGl_string2294z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_externz00zzast_nodez00, BGl_proc2301z00zzdataflow_walkz00,
				BGl_string2294z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_setqz00zzast_nodez00, BGl_proc2302z00zzdataflow_walkz00,
				BGl_string2294z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_conditionalz00zzast_nodez00, BGl_proc2303z00zzdataflow_walkz00,
				BGl_string2294z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_failz00zzast_nodez00, BGl_proc2304z00zzdataflow_walkz00,
				BGl_string2294z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_switchz00zzast_nodez00, BGl_proc2305z00zzdataflow_walkz00,
				BGl_string2294z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc2306z00zzdataflow_walkz00,
				BGl_string2294z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc2307z00zzdataflow_walkz00,
				BGl_string2294z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc2308z00zzdataflow_walkz00,
				BGl_string2294z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc2309z00zzdataflow_walkz00,
				BGl_string2294z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc2310z00zzdataflow_walkz00,
				BGl_string2294z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc2311z00zzdataflow_walkz00,
				BGl_string2294z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc2312z00zzdataflow_walkz00,
				BGl_string2294z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2testzd2envzd2envzd2zzdataflow_walkz00,
				BGl_appz00zzast_nodez00, BGl_proc2313z00zzdataflow_walkz00,
				BGl_string2314z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2testzd2envzd2envzd2zzdataflow_walkz00,
				BGl_instanceofz00zzast_nodez00, BGl_proc2315z00zzdataflow_walkz00,
				BGl_string2314z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2testzd2envzd2envzd2zzdataflow_walkz00,
				BGl_conditionalz00zzast_nodez00, BGl_proc2316z00zzdataflow_walkz00,
				BGl_string2314z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2testzd2envzd2envzd2zzdataflow_walkz00,
				BGl_varz00zzast_nodez00, BGl_proc2317z00zzdataflow_walkz00,
				BGl_string2314z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2testzd2envzd2envzd2zzdataflow_walkz00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc2318z00zzdataflow_walkz00,
				BGl_string2314z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2testzd2falsezd2envzd2envz00zzdataflow_walkz00,
				BGl_appz00zzast_nodez00, BGl_proc2319z00zzdataflow_walkz00,
				BGl_string2320z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_abortzf3zd2envz21zzdataflow_walkz00, BGl_failz00zzast_nodez00,
				BGl_proc2321z00zzdataflow_walkz00, BGl_string2322z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_abortzf3zd2envz21zzdataflow_walkz00, BGl_sequencez00zzast_nodez00,
				BGl_proc2323z00zzdataflow_walkz00, BGl_string2322z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_abortzf3zd2envz21zzdataflow_walkz00, BGl_syncz00zzast_nodez00,
				BGl_proc2324z00zzdataflow_walkz00, BGl_string2322z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_abortzf3zd2envz21zzdataflow_walkz00, BGl_letzd2varzd2zzast_nodez00,
				BGl_proc2325z00zzdataflow_walkz00, BGl_string2322z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_abortzf3zd2envz21zzdataflow_walkz00, BGl_letzd2funzd2zzast_nodez00,
				BGl_proc2326z00zzdataflow_walkz00, BGl_string2322z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_abortzf3zd2envz21zzdataflow_walkz00,
				BGl_conditionalz00zzast_nodez00, BGl_proc2327z00zzdataflow_walkz00,
				BGl_string2322z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_abortzf3zd2envz21zzdataflow_walkz00, BGl_appz00zzast_nodez00,
				BGl_proc2328z00zzdataflow_walkz00, BGl_string2322z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_abortzf3zd2envz21zzdataflow_walkz00, BGl_funcallz00zzast_nodez00,
				BGl_proc2329z00zzdataflow_walkz00, BGl_string2322z00zzdataflow_walkz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_abortzf3zd2envz21zzdataflow_walkz00, BGl_appzd2lyzd2zzast_nodez00,
				BGl_proc2330z00zzdataflow_walkz00, BGl_string2322z00zzdataflow_walkz00);
		}

	}



/* &abort?-app-ly1455 */
	obj_t BGl_z62abortzf3zd2appzd2ly1455z91zzdataflow_walkz00(obj_t
		BgL_envz00_4036, obj_t BgL_nodez00_4037)
	{
		{	/* Dataflow/walk.scm 491 */
			{	/* Dataflow/walk.scm 493 */
				obj_t BgL__ortest_1191z00_4182;

				BgL__ortest_1191z00_4182 =
					BGl_abortzf3zf3zzdataflow_walkz00(
					(((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_4037)))->BgL_funz00));
				if (CBOOL(BgL__ortest_1191z00_4182))
					{	/* Dataflow/walk.scm 493 */
						return BgL__ortest_1191z00_4182;
					}
				else
					{	/* Dataflow/walk.scm 493 */
						return
							BGl_abortzf3zf3zzdataflow_walkz00(
							(((BgL_appzd2lyzd2_bglt) COBJECT(
										((BgL_appzd2lyzd2_bglt) BgL_nodez00_4037)))->BgL_argz00));
					}
			}
		}

	}



/* &abort?-funcall1452 */
	obj_t BGl_z62abortzf3zd2funcall1452z43zzdataflow_walkz00(obj_t
		BgL_envz00_4038, obj_t BgL_nodez00_4039)
	{
		{	/* Dataflow/walk.scm 484 */
			{	/* Dataflow/walk.scm 486 */
				obj_t BgL__ortest_1189z00_4184;

				BgL__ortest_1189z00_4184 =
					BGl_abortzf3zf3zzdataflow_walkz00(
					(((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_nodez00_4039)))->BgL_funz00));
				if (CBOOL(BgL__ortest_1189z00_4184))
					{	/* Dataflow/walk.scm 486 */
						return BgL__ortest_1189z00_4184;
					}
				else
					{	/* Dataflow/walk.scm 486 */
						obj_t BgL_g1373z00_4185;

						BgL_g1373z00_4185 =
							(((BgL_funcallz00_bglt) COBJECT(
									((BgL_funcallz00_bglt) BgL_nodez00_4039)))->BgL_argsz00);
						{
							obj_t BgL_l1371z00_4187;

							BgL_l1371z00_4187 = BgL_g1373z00_4185;
						BgL_zc3z04anonymousza32150ze3z87_4186:
							if (NULLP(BgL_l1371z00_4187))
								{	/* Dataflow/walk.scm 486 */
									return BFALSE;
								}
							else
								{	/* Dataflow/walk.scm 486 */
									obj_t BgL__ortest_1374z00_4188;

									{	/* Dataflow/walk.scm 486 */
										obj_t BgL_arg2153z00_4189;

										BgL_arg2153z00_4189 = CAR(((obj_t) BgL_l1371z00_4187));
										BgL__ortest_1374z00_4188 =
											BGl_abortzf3zf3zzdataflow_walkz00(
											((BgL_nodez00_bglt) BgL_arg2153z00_4189));
									}
									if (CBOOL(BgL__ortest_1374z00_4188))
										{	/* Dataflow/walk.scm 486 */
											return BgL__ortest_1374z00_4188;
										}
									else
										{	/* Dataflow/walk.scm 486 */
											obj_t BgL_arg2152z00_4190;

											BgL_arg2152z00_4190 = CDR(((obj_t) BgL_l1371z00_4187));
											{
												obj_t BgL_l1371z00_5219;

												BgL_l1371z00_5219 = BgL_arg2152z00_4190;
												BgL_l1371z00_4187 = BgL_l1371z00_5219;
												goto BgL_zc3z04anonymousza32150ze3z87_4186;
											}
										}
								}
						}
					}
			}
		}

	}



/* &abort?-app1450 */
	obj_t BGl_z62abortzf3zd2app1450z43zzdataflow_walkz00(obj_t BgL_envz00_4040,
		obj_t BgL_nodez00_4041)
	{
		{	/* Dataflow/walk.scm 477 */
			{	/* Dataflow/walk.scm 479 */
				obj_t BgL__ortest_1187z00_4192;

				{	/* Dataflow/walk.scm 479 */
					BgL_varz00_bglt BgL_arg2149z00_4193;

					BgL_arg2149z00_4193 =
						(((BgL_appz00_bglt) COBJECT(
								((BgL_appz00_bglt) BgL_nodez00_4041)))->BgL_funz00);
					BgL__ortest_1187z00_4192 =
						BGl_abortzf3zf3zzdataflow_walkz00(
						((BgL_nodez00_bglt) BgL_arg2149z00_4193));
				}
				if (CBOOL(BgL__ortest_1187z00_4192))
					{	/* Dataflow/walk.scm 479 */
						return BgL__ortest_1187z00_4192;
					}
				else
					{	/* Dataflow/walk.scm 479 */
						obj_t BgL_g1369z00_4194;

						BgL_g1369z00_4194 =
							(((BgL_appz00_bglt) COBJECT(
									((BgL_appz00_bglt) BgL_nodez00_4041)))->BgL_argsz00);
						{
							obj_t BgL_l1367z00_4196;

							BgL_l1367z00_4196 = BgL_g1369z00_4194;
						BgL_zc3z04anonymousza32145ze3z87_4195:
							if (NULLP(BgL_l1367z00_4196))
								{	/* Dataflow/walk.scm 479 */
									return BFALSE;
								}
							else
								{	/* Dataflow/walk.scm 479 */
									obj_t BgL__ortest_1370z00_4197;

									{	/* Dataflow/walk.scm 479 */
										obj_t BgL_arg2148z00_4198;

										BgL_arg2148z00_4198 = CAR(((obj_t) BgL_l1367z00_4196));
										BgL__ortest_1370z00_4197 =
											BGl_abortzf3zf3zzdataflow_walkz00(
											((BgL_nodez00_bglt) BgL_arg2148z00_4198));
									}
									if (CBOOL(BgL__ortest_1370z00_4197))
										{	/* Dataflow/walk.scm 479 */
											return BgL__ortest_1370z00_4197;
										}
									else
										{	/* Dataflow/walk.scm 479 */
											obj_t BgL_arg2147z00_4199;

											BgL_arg2147z00_4199 = CDR(((obj_t) BgL_l1367z00_4196));
											{
												obj_t BgL_l1367z00_5238;

												BgL_l1367z00_5238 = BgL_arg2147z00_4199;
												BgL_l1367z00_4196 = BgL_l1367z00_5238;
												goto BgL_zc3z04anonymousza32145ze3z87_4195;
											}
										}
								}
						}
					}
			}
		}

	}



/* &abort?-conditional1448 */
	obj_t BGl_z62abortzf3zd2conditional1448z43zzdataflow_walkz00(obj_t
		BgL_envz00_4042, obj_t BgL_nodez00_4043)
	{
		{	/* Dataflow/walk.scm 470 */
			{	/* Dataflow/walk.scm 472 */
				obj_t BgL__ortest_1184z00_4201;

				BgL__ortest_1184z00_4201 =
					BGl_abortzf3zf3zzdataflow_walkz00(
					(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_4043)))->BgL_testz00));
				if (CBOOL(BgL__ortest_1184z00_4201))
					{	/* Dataflow/walk.scm 472 */
						return BgL__ortest_1184z00_4201;
					}
				else
					{	/* Dataflow/walk.scm 472 */
						obj_t BgL__andtest_1185z00_4202;

						BgL__andtest_1185z00_4202 =
							BGl_abortzf3zf3zzdataflow_walkz00(
							(((BgL_conditionalz00_bglt) COBJECT(
										((BgL_conditionalz00_bglt) BgL_nodez00_4043)))->
								BgL_truez00));
						if (CBOOL(BgL__andtest_1185z00_4202))
							{	/* Dataflow/walk.scm 472 */
								return
									BGl_abortzf3zf3zzdataflow_walkz00(
									(((BgL_conditionalz00_bglt) COBJECT(
												((BgL_conditionalz00_bglt) BgL_nodez00_4043)))->
										BgL_falsez00));
							}
						else
							{	/* Dataflow/walk.scm 472 */
								return BFALSE;
							}
					}
			}
		}

	}



/* &abort?-let-fun1446 */
	obj_t BGl_z62abortzf3zd2letzd2fun1446z91zzdataflow_walkz00(obj_t
		BgL_envz00_4044, obj_t BgL_nodez00_4045)
	{
		{	/* Dataflow/walk.scm 463 */
			return
				BGl_abortzf3zf3zzdataflow_walkz00(
				(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nodez00_4045)))->BgL_bodyz00));
		}

	}



/* &abort?-let-var1444 */
	obj_t BGl_z62abortzf3zd2letzd2var1444z91zzdataflow_walkz00(obj_t
		BgL_envz00_4046, obj_t BgL_nodez00_4047)
	{
		{	/* Dataflow/walk.scm 456 */
			{	/* Dataflow/walk.scm 458 */
				obj_t BgL__ortest_1181z00_4205;

				{	/* Dataflow/walk.scm 458 */
					obj_t BgL_g1365z00_4206;

					BgL_g1365z00_4206 =
						(((BgL_letzd2varzd2_bglt) COBJECT(
								((BgL_letzd2varzd2_bglt) BgL_nodez00_4047)))->BgL_bindingsz00);
					{
						obj_t BgL_l1363z00_4208;

						BgL_l1363z00_4208 = BgL_g1365z00_4206;
					BgL_zc3z04anonymousza32137ze3z87_4207:
						if (NULLP(BgL_l1363z00_4208))
							{	/* Dataflow/walk.scm 458 */
								BgL__ortest_1181z00_4205 = BFALSE;
							}
						else
							{	/* Dataflow/walk.scm 458 */
								obj_t BgL__ortest_1366z00_4209;

								{	/* Dataflow/walk.scm 458 */
									obj_t BgL_bz00_4210;

									BgL_bz00_4210 = CAR(((obj_t) BgL_l1363z00_4208));
									{	/* Dataflow/walk.scm 458 */
										obj_t BgL_arg2140z00_4211;

										BgL_arg2140z00_4211 = CDR(((obj_t) BgL_bz00_4210));
										BgL__ortest_1366z00_4209 =
											BGl_abortzf3zf3zzdataflow_walkz00(
											((BgL_nodez00_bglt) BgL_arg2140z00_4211));
									}
								}
								if (CBOOL(BgL__ortest_1366z00_4209))
									{	/* Dataflow/walk.scm 458 */
										BgL__ortest_1181z00_4205 = BgL__ortest_1366z00_4209;
									}
								else
									{	/* Dataflow/walk.scm 458 */
										obj_t BgL_arg2139z00_4212;

										BgL_arg2139z00_4212 = CDR(((obj_t) BgL_l1363z00_4208));
										{
											obj_t BgL_l1363z00_5269;

											BgL_l1363z00_5269 = BgL_arg2139z00_4212;
											BgL_l1363z00_4208 = BgL_l1363z00_5269;
											goto BgL_zc3z04anonymousza32137ze3z87_4207;
										}
									}
							}
					}
				}
				if (CBOOL(BgL__ortest_1181z00_4205))
					{	/* Dataflow/walk.scm 458 */
						return BgL__ortest_1181z00_4205;
					}
				else
					{	/* Dataflow/walk.scm 458 */
						return
							BGl_abortzf3zf3zzdataflow_walkz00(
							(((BgL_letzd2varzd2_bglt) COBJECT(
										((BgL_letzd2varzd2_bglt) BgL_nodez00_4047)))->BgL_bodyz00));
					}
			}
		}

	}



/* &abort?-sync1442 */
	obj_t BGl_z62abortzf3zd2sync1442z43zzdataflow_walkz00(obj_t BgL_envz00_4048,
		obj_t BgL_nodez00_4049)
	{
		{	/* Dataflow/walk.scm 448 */
			{	/* Dataflow/walk.scm 449 */
				obj_t BgL__ortest_1178z00_4214;

				BgL__ortest_1178z00_4214 =
					BGl_abortzf3zf3zzdataflow_walkz00(
					(((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_4049)))->BgL_mutexz00));
				if (CBOOL(BgL__ortest_1178z00_4214))
					{	/* Dataflow/walk.scm 449 */
						return BgL__ortest_1178z00_4214;
					}
				else
					{	/* Dataflow/walk.scm 450 */
						obj_t BgL__ortest_1179z00_4215;

						BgL__ortest_1179z00_4215 =
							BGl_abortzf3zf3zzdataflow_walkz00(
							(((BgL_syncz00_bglt) COBJECT(
										((BgL_syncz00_bglt) BgL_nodez00_4049)))->BgL_prelockz00));
						if (CBOOL(BgL__ortest_1179z00_4215))
							{	/* Dataflow/walk.scm 450 */
								return BgL__ortest_1179z00_4215;
							}
						else
							{	/* Dataflow/walk.scm 450 */
								return
									BGl_abortzf3zf3zzdataflow_walkz00(
									(((BgL_syncz00_bglt) COBJECT(
												((BgL_syncz00_bglt) BgL_nodez00_4049)))->BgL_bodyz00));
							}
					}
			}
		}

	}



/* &abort?-sequence1440 */
	obj_t BGl_z62abortzf3zd2sequence1440z43zzdataflow_walkz00(obj_t
		BgL_envz00_4050, obj_t BgL_nodez00_4051)
	{
		{	/* Dataflow/walk.scm 442 */
			{	/* Dataflow/walk.scm 443 */
				obj_t BgL_g1361z00_4217;

				BgL_g1361z00_4217 =
					(((BgL_sequencez00_bglt) COBJECT(
							((BgL_sequencez00_bglt) BgL_nodez00_4051)))->BgL_nodesz00);
				{
					obj_t BgL_l1359z00_4219;

					BgL_l1359z00_4219 = BgL_g1361z00_4217;
				BgL_zc3z04anonymousza32129ze3z87_4218:
					if (NULLP(BgL_l1359z00_4219))
						{	/* Dataflow/walk.scm 443 */
							return BFALSE;
						}
					else
						{	/* Dataflow/walk.scm 443 */
							obj_t BgL__ortest_1362z00_4220;

							{	/* Dataflow/walk.scm 443 */
								obj_t BgL_arg2132z00_4221;

								BgL_arg2132z00_4221 = CAR(((obj_t) BgL_l1359z00_4219));
								BgL__ortest_1362z00_4220 =
									BGl_abortzf3zf3zzdataflow_walkz00(
									((BgL_nodez00_bglt) BgL_arg2132z00_4221));
							}
							if (CBOOL(BgL__ortest_1362z00_4220))
								{	/* Dataflow/walk.scm 443 */
									return BgL__ortest_1362z00_4220;
								}
							else
								{	/* Dataflow/walk.scm 443 */
									obj_t BgL_arg2131z00_4222;

									BgL_arg2131z00_4222 = CDR(((obj_t) BgL_l1359z00_4219));
									{
										obj_t BgL_l1359z00_5300;

										BgL_l1359z00_5300 = BgL_arg2131z00_4222;
										BgL_l1359z00_4219 = BgL_l1359z00_5300;
										goto BgL_zc3z04anonymousza32129ze3z87_4218;
									}
								}
						}
				}
			}
		}

	}



/* &abort?-fail1438 */
	obj_t BGl_z62abortzf3zd2fail1438z43zzdataflow_walkz00(obj_t BgL_envz00_4052,
		obj_t BgL_nodez00_4053)
	{
		{	/* Dataflow/walk.scm 436 */
			return BBOOL(((bool_t) 1));
		}

	}



/* &dataflow-test-false-1434 */
	obj_t BGl_z62dataflowzd2testzd2falsezd21434zb0zzdataflow_walkz00(obj_t
		BgL_envz00_4054, obj_t BgL_nodez00_4055)
	{
		{	/* Dataflow/walk.scm 408 */
			{	/* Dataflow/walk.scm 410 */
				obj_t BgL_fz00_4225;

				BgL_fz00_4225 =
					((obj_t)
					(((BgL_varz00_bglt) COBJECT(
								(((BgL_appz00_bglt) COBJECT(
											((BgL_appz00_bglt) BgL_nodez00_4055)))->BgL_funz00)))->
						BgL_variablez00));
				{	/* Dataflow/walk.scm 411 */

					{	/* Dataflow/walk.scm 412 */
						bool_t BgL_test2440z00_5306;

						{	/* Dataflow/walk.scm 412 */
							bool_t BgL_test2441z00_5307;

							{	/* Dataflow/walk.scm 412 */
								obj_t BgL_tmpz00_5308;

								BgL_tmpz00_5308 =
									(((BgL_appz00_bglt) COBJECT(
											((BgL_appz00_bglt) BgL_nodez00_4055)))->BgL_argsz00);
								BgL_test2441z00_5307 = PAIRP(BgL_tmpz00_5308);
							}
							if (BgL_test2441z00_5307)
								{	/* Dataflow/walk.scm 412 */
									if (NULLP(CDR(
												(((BgL_appz00_bglt) COBJECT(
															((BgL_appz00_bglt) BgL_nodez00_4055)))->
													BgL_argsz00))))
										{	/* Dataflow/walk.scm 413 */
											bool_t BgL_test2443z00_5317;

											{	/* Dataflow/walk.scm 413 */
												obj_t BgL_arg2123z00_4226;

												BgL_arg2123z00_4226 =
													CAR(
													(((BgL_appz00_bglt) COBJECT(
																((BgL_appz00_bglt) BgL_nodez00_4055)))->
														BgL_argsz00));
												{	/* Dataflow/walk.scm 413 */
													obj_t BgL_classz00_4227;

													BgL_classz00_4227 = BGl_varz00zzast_nodez00;
													if (BGL_OBJECTP(BgL_arg2123z00_4226))
														{	/* Dataflow/walk.scm 413 */
															BgL_objectz00_bglt BgL_arg1858z00_4228;

															BgL_arg1858z00_4228 =
																(BgL_objectz00_bglt) (BgL_arg2123z00_4226);
															if (BGL_CONDEXPAND_ISA_ARCH64())
																{	/* Dataflow/walk.scm 413 */
																	long BgL_idxz00_4229;

																	BgL_idxz00_4229 =
																		BGL_OBJECT_INHERITANCE_NUM
																		(BgL_arg1858z00_4228);
																	BgL_test2443z00_5317 =
																		(VECTOR_REF
																		(BGl_za2inheritancesza2z00zz__objectz00,
																			(BgL_idxz00_4229 + 2L)) ==
																		BgL_classz00_4227);
																}
															else
																{	/* Dataflow/walk.scm 413 */
																	bool_t BgL_res2261z00_4232;

																	{	/* Dataflow/walk.scm 413 */
																		obj_t BgL_oclassz00_4233;

																		{	/* Dataflow/walk.scm 413 */
																			obj_t BgL_arg1866z00_4234;
																			long BgL_arg1867z00_4235;

																			BgL_arg1866z00_4234 =
																				(BGl_za2classesza2z00zz__objectz00);
																			{	/* Dataflow/walk.scm 413 */
																				long BgL_arg1869z00_4236;

																				BgL_arg1869z00_4236 =
																					BGL_OBJECT_CLASS_NUM
																					(BgL_arg1858z00_4228);
																				BgL_arg1867z00_4235 =
																					(BgL_arg1869z00_4236 - OBJECT_TYPE);
																			}
																			BgL_oclassz00_4233 =
																				VECTOR_REF(BgL_arg1866z00_4234,
																				BgL_arg1867z00_4235);
																		}
																		{	/* Dataflow/walk.scm 413 */
																			bool_t BgL__ortest_1115z00_4237;

																			BgL__ortest_1115z00_4237 =
																				(BgL_classz00_4227 ==
																				BgL_oclassz00_4233);
																			if (BgL__ortest_1115z00_4237)
																				{	/* Dataflow/walk.scm 413 */
																					BgL_res2261z00_4232 =
																						BgL__ortest_1115z00_4237;
																				}
																			else
																				{	/* Dataflow/walk.scm 413 */
																					long BgL_odepthz00_4238;

																					{	/* Dataflow/walk.scm 413 */
																						obj_t BgL_arg1855z00_4239;

																						BgL_arg1855z00_4239 =
																							(BgL_oclassz00_4233);
																						BgL_odepthz00_4238 =
																							BGL_CLASS_DEPTH
																							(BgL_arg1855z00_4239);
																					}
																					if ((2L < BgL_odepthz00_4238))
																						{	/* Dataflow/walk.scm 413 */
																							obj_t BgL_arg1853z00_4240;

																							{	/* Dataflow/walk.scm 413 */
																								obj_t BgL_arg1854z00_4241;

																								BgL_arg1854z00_4241 =
																									(BgL_oclassz00_4233);
																								BgL_arg1853z00_4240 =
																									BGL_CLASS_ANCESTORS_REF
																									(BgL_arg1854z00_4241, 2L);
																							}
																							BgL_res2261z00_4232 =
																								(BgL_arg1853z00_4240 ==
																								BgL_classz00_4227);
																						}
																					else
																						{	/* Dataflow/walk.scm 413 */
																							BgL_res2261z00_4232 =
																								((bool_t) 0);
																						}
																				}
																		}
																	}
																	BgL_test2443z00_5317 = BgL_res2261z00_4232;
																}
														}
													else
														{	/* Dataflow/walk.scm 413 */
															BgL_test2443z00_5317 = ((bool_t) 0);
														}
												}
											}
											if (BgL_test2443z00_5317)
												{	/* Dataflow/walk.scm 414 */
													obj_t BgL_arg2119z00_4242;

													{
														BgL_typez00_bglt BgL_auxz00_5343;

														{
															BgL_variablez00_bglt BgL_auxz00_5344;

															{
																BgL_varz00_bglt BgL_auxz00_5345;

																{	/* Dataflow/walk.scm 414 */
																	obj_t BgL_pairz00_4243;

																	BgL_pairz00_4243 =
																		(((BgL_appz00_bglt) COBJECT(
																				((BgL_appz00_bglt) BgL_nodez00_4055)))->
																		BgL_argsz00);
																	BgL_auxz00_5345 =
																		((BgL_varz00_bglt) CAR(BgL_pairz00_4243));
																}
																BgL_auxz00_5344 =
																	(((BgL_varz00_bglt)
																		COBJECT(BgL_auxz00_5345))->BgL_variablez00);
															}
															BgL_auxz00_5343 =
																(((BgL_variablez00_bglt)
																	COBJECT(BgL_auxz00_5344))->BgL_typez00);
														}
														BgL_arg2119z00_4242 = ((obj_t) BgL_auxz00_5343);
													}
													BgL_test2440z00_5306 =
														(BgL_arg2119z00_4242 ==
														BGl_za2pairzd2nilza2zd2zztype_cachez00);
												}
											else
												{	/* Dataflow/walk.scm 413 */
													BgL_test2440z00_5306 = ((bool_t) 0);
												}
										}
									else
										{	/* Dataflow/walk.scm 412 */
											BgL_test2440z00_5306 = ((bool_t) 0);
										}
								}
							else
								{	/* Dataflow/walk.scm 412 */
									BgL_test2440z00_5306 = ((bool_t) 0);
								}
						}
						if (BgL_test2440z00_5306)
							{	/* Dataflow/walk.scm 412 */
								if (
									(BgL_fz00_4225 == BGl_za2z42nullzf3za2zb1zzdataflow_walkz00))
									{	/* Dataflow/walk.scm 417 */
										obj_t BgL_arg2108z00_4244;

										{	/* Dataflow/walk.scm 417 */
											BgL_variablez00_bglt BgL_arg2110z00_4245;

											{
												BgL_varz00_bglt BgL_auxz00_5356;

												{	/* Dataflow/walk.scm 417 */
													obj_t BgL_pairz00_4246;

													BgL_pairz00_4246 =
														(((BgL_appz00_bglt) COBJECT(
																((BgL_appz00_bglt) BgL_nodez00_4055)))->
														BgL_argsz00);
													BgL_auxz00_5356 =
														((BgL_varz00_bglt) CAR(BgL_pairz00_4246));
												}
												BgL_arg2110z00_4245 =
													(((BgL_varz00_bglt) COBJECT(BgL_auxz00_5356))->
													BgL_variablez00);
											}
											BgL_arg2108z00_4244 =
												MAKE_YOUNG_PAIR(
												((obj_t) BgL_arg2110z00_4245),
												BGl_za2pairza2z00zztype_cachez00);
										}
										{	/* Dataflow/walk.scm 417 */
											obj_t BgL_list2109z00_4247;

											BgL_list2109z00_4247 =
												MAKE_YOUNG_PAIR(BgL_arg2108z00_4244, BNIL);
											return BgL_list2109z00_4247;
										}
									}
								else
									{	/* Dataflow/walk.scm 418 */
										bool_t BgL_test2449z00_5365;

										if (
											(BgL_fz00_4225 ==
												BGl_za2z42pairzf3za2zb1zzdataflow_walkz00))
											{	/* Dataflow/walk.scm 418 */
												BgL_test2449z00_5365 = ((bool_t) 1);
											}
										else
											{	/* Dataflow/walk.scm 418 */
												BgL_test2449z00_5365 =
													(BgL_fz00_4225 ==
													BGl_za2z42epairzf3za2zb1zzdataflow_walkz00);
											}
										if (BgL_test2449z00_5365)
											{	/* Dataflow/walk.scm 419 */
												obj_t BgL_arg2114z00_4248;

												{	/* Dataflow/walk.scm 419 */
													BgL_variablez00_bglt BgL_arg2116z00_4249;

													{
														BgL_varz00_bglt BgL_auxz00_5369;

														{	/* Dataflow/walk.scm 419 */
															obj_t BgL_pairz00_4250;

															BgL_pairz00_4250 =
																(((BgL_appz00_bglt) COBJECT(
																		((BgL_appz00_bglt) BgL_nodez00_4055)))->
																BgL_argsz00);
															BgL_auxz00_5369 =
																((BgL_varz00_bglt) CAR(BgL_pairz00_4250));
														}
														BgL_arg2116z00_4249 =
															(((BgL_varz00_bglt) COBJECT(BgL_auxz00_5369))->
															BgL_variablez00);
													}
													BgL_arg2114z00_4248 =
														MAKE_YOUNG_PAIR(
														((obj_t) BgL_arg2116z00_4249),
														BGl_za2bnilza2z00zztype_cachez00);
												}
												{	/* Dataflow/walk.scm 419 */
													obj_t BgL_list2115z00_4251;

													BgL_list2115z00_4251 =
														MAKE_YOUNG_PAIR(BgL_arg2114z00_4248, BNIL);
													return BgL_list2115z00_4251;
												}
											}
										else
											{	/* Dataflow/walk.scm 418 */
												return BNIL;
											}
									}
							}
						else
							{	/* Dataflow/walk.scm 412 */
								return BNIL;
							}
					}
				}
			}
		}

	}



/* &dataflow-test-env-le1430 */
	obj_t BGl_z62dataflowzd2testzd2envzd2le1430zb0zzdataflow_walkz00(obj_t
		BgL_envz00_4056, obj_t BgL_nodez00_4057)
	{
		{	/* Dataflow/walk.scm 380 */
			{	/* Dataflow/walk.scm 382 */
				bool_t BgL_test2451z00_5378;

				{	/* Dataflow/walk.scm 382 */
					bool_t BgL_test2452z00_5379;

					{	/* Dataflow/walk.scm 382 */
						obj_t BgL_tmpz00_5380;

						BgL_tmpz00_5380 =
							(((BgL_letzd2varzd2_bglt) COBJECT(
									((BgL_letzd2varzd2_bglt) BgL_nodez00_4057)))->
							BgL_bindingsz00);
						BgL_test2452z00_5379 = PAIRP(BgL_tmpz00_5380);
					}
					if (BgL_test2452z00_5379)
						{	/* Dataflow/walk.scm 382 */
							BgL_test2451z00_5378 =
								NULLP(CDR(
									(((BgL_letzd2varzd2_bglt) COBJECT(
												((BgL_letzd2varzd2_bglt) BgL_nodez00_4057)))->
										BgL_bindingsz00)));
						}
					else
						{	/* Dataflow/walk.scm 382 */
							BgL_test2451z00_5378 = ((bool_t) 0);
						}
				}
				if (BgL_test2451z00_5378)
					{	/* Dataflow/walk.scm 384 */
						bool_t BgL_test2453z00_5388;

						{	/* Dataflow/walk.scm 384 */
							obj_t BgL_arg2085z00_4253;

							{	/* Dataflow/walk.scm 384 */
								obj_t BgL_pairz00_4254;

								BgL_pairz00_4254 =
									(((BgL_letzd2varzd2_bglt) COBJECT(
											((BgL_letzd2varzd2_bglt) BgL_nodez00_4057)))->
									BgL_bindingsz00);
								BgL_arg2085z00_4253 = CDR(CAR(BgL_pairz00_4254));
							}
							{	/* Dataflow/walk.scm 384 */
								obj_t BgL_classz00_4255;

								BgL_classz00_4255 = BGl_varz00zzast_nodez00;
								if (BGL_OBJECTP(BgL_arg2085z00_4253))
									{	/* Dataflow/walk.scm 384 */
										BgL_objectz00_bglt BgL_arg1858z00_4256;

										BgL_arg1858z00_4256 =
											(BgL_objectz00_bglt) (BgL_arg2085z00_4253);
										if (BGL_CONDEXPAND_ISA_ARCH64())
											{	/* Dataflow/walk.scm 384 */
												long BgL_idxz00_4257;

												BgL_idxz00_4257 =
													BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_4256);
												BgL_test2453z00_5388 =
													(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
														(BgL_idxz00_4257 + 2L)) == BgL_classz00_4255);
											}
										else
											{	/* Dataflow/walk.scm 384 */
												bool_t BgL_res2258z00_4260;

												{	/* Dataflow/walk.scm 384 */
													obj_t BgL_oclassz00_4261;

													{	/* Dataflow/walk.scm 384 */
														obj_t BgL_arg1866z00_4262;
														long BgL_arg1867z00_4263;

														BgL_arg1866z00_4262 =
															(BGl_za2classesza2z00zz__objectz00);
														{	/* Dataflow/walk.scm 384 */
															long BgL_arg1869z00_4264;

															BgL_arg1869z00_4264 =
																BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_4256);
															BgL_arg1867z00_4263 =
																(BgL_arg1869z00_4264 - OBJECT_TYPE);
														}
														BgL_oclassz00_4261 =
															VECTOR_REF(BgL_arg1866z00_4262,
															BgL_arg1867z00_4263);
													}
													{	/* Dataflow/walk.scm 384 */
														bool_t BgL__ortest_1115z00_4265;

														BgL__ortest_1115z00_4265 =
															(BgL_classz00_4255 == BgL_oclassz00_4261);
														if (BgL__ortest_1115z00_4265)
															{	/* Dataflow/walk.scm 384 */
																BgL_res2258z00_4260 = BgL__ortest_1115z00_4265;
															}
														else
															{	/* Dataflow/walk.scm 384 */
																long BgL_odepthz00_4266;

																{	/* Dataflow/walk.scm 384 */
																	obj_t BgL_arg1855z00_4267;

																	BgL_arg1855z00_4267 = (BgL_oclassz00_4261);
																	BgL_odepthz00_4266 =
																		BGL_CLASS_DEPTH(BgL_arg1855z00_4267);
																}
																if ((2L < BgL_odepthz00_4266))
																	{	/* Dataflow/walk.scm 384 */
																		obj_t BgL_arg1853z00_4268;

																		{	/* Dataflow/walk.scm 384 */
																			obj_t BgL_arg1854z00_4269;

																			BgL_arg1854z00_4269 =
																				(BgL_oclassz00_4261);
																			BgL_arg1853z00_4268 =
																				BGL_CLASS_ANCESTORS_REF
																				(BgL_arg1854z00_4269, 2L);
																		}
																		BgL_res2258z00_4260 =
																			(BgL_arg1853z00_4268 ==
																			BgL_classz00_4255);
																	}
																else
																	{	/* Dataflow/walk.scm 384 */
																		BgL_res2258z00_4260 = ((bool_t) 0);
																	}
															}
													}
												}
												BgL_test2453z00_5388 = BgL_res2258z00_4260;
											}
									}
								else
									{	/* Dataflow/walk.scm 384 */
										BgL_test2453z00_5388 = ((bool_t) 0);
									}
							}
						}
						if (BgL_test2453z00_5388)
							{	/* Dataflow/walk.scm 385 */
								obj_t BgL_envz00_4270;

								BgL_envz00_4270 =
									BGl_dataflowzd2testzd2envz00zzdataflow_walkz00(
									(((BgL_letzd2varzd2_bglt) COBJECT(
												((BgL_letzd2varzd2_bglt) BgL_nodez00_4057)))->
										BgL_bodyz00));
								{	/* Dataflow/walk.scm 386 */
									bool_t BgL_test2458z00_5418;

									if (NULLP(BgL_envz00_4270))
										{	/* Dataflow/walk.scm 386 */
											BgL_test2458z00_5418 = ((bool_t) 0);
										}
									else
										{	/* Dataflow/walk.scm 386 */
											if (NULLP(CDR(BgL_envz00_4270)))
												{	/* Dataflow/walk.scm 388 */
													obj_t BgL_tmpz00_5424;

													{	/* Dataflow/walk.scm 388 */
														obj_t BgL_pairz00_4271;

														BgL_pairz00_4271 =
															(((BgL_letzd2varzd2_bglt) COBJECT(
																	((BgL_letzd2varzd2_bglt) BgL_nodez00_4057)))->
															BgL_bindingsz00);
														BgL_tmpz00_5424 = CAR(CAR(BgL_pairz00_4271));
													}
													BgL_test2458z00_5418 =
														(CAR(CAR(BgL_envz00_4270)) == BgL_tmpz00_5424);
												}
											else
												{	/* Dataflow/walk.scm 387 */
													BgL_test2458z00_5418 = ((bool_t) 0);
												}
										}
									if (BgL_test2458z00_5418)
										{	/* Dataflow/walk.scm 389 */
											obj_t BgL_arg2045z00_4272;

											{	/* Dataflow/walk.scm 389 */
												BgL_variablez00_bglt BgL_arg2047z00_4273;
												obj_t BgL_arg2049z00_4274;

												{
													BgL_varz00_bglt BgL_auxz00_5432;

													{
														obj_t BgL_auxz00_5433;

														{	/* Dataflow/walk.scm 389 */
															obj_t BgL_pairz00_4275;

															BgL_pairz00_4275 =
																(((BgL_letzd2varzd2_bglt) COBJECT(
																		((BgL_letzd2varzd2_bglt)
																			BgL_nodez00_4057)))->BgL_bindingsz00);
															{	/* Dataflow/walk.scm 389 */
																obj_t BgL_pairz00_4276;

																BgL_pairz00_4276 = CAR(BgL_pairz00_4275);
																BgL_auxz00_5433 = CDR(BgL_pairz00_4276);
															}
														}
														BgL_auxz00_5432 =
															((BgL_varz00_bglt) BgL_auxz00_5433);
													}
													BgL_arg2047z00_4273 =
														(((BgL_varz00_bglt) COBJECT(BgL_auxz00_5432))->
														BgL_variablez00);
												}
												BgL_arg2049z00_4274 = CDR(CAR(BgL_envz00_4270));
												BgL_arg2045z00_4272 =
													MAKE_YOUNG_PAIR(
													((obj_t) BgL_arg2047z00_4273), BgL_arg2049z00_4274);
											}
											{	/* Dataflow/walk.scm 389 */
												obj_t BgL_list2046z00_4277;

												BgL_list2046z00_4277 =
													MAKE_YOUNG_PAIR(BgL_arg2045z00_4272, BNIL);
												return BgL_list2046z00_4277;
											}
										}
									else
										{	/* Dataflow/walk.scm 386 */
											return BNIL;
										}
								}
							}
						else
							{	/* Dataflow/walk.scm 391 */
								bool_t BgL_test2461z00_5445;

								{	/* Dataflow/walk.scm 391 */
									bool_t BgL_test2462z00_5446;

									{	/* Dataflow/walk.scm 391 */
										BgL_nodez00_bglt BgL_arg2084z00_4278;

										BgL_arg2084z00_4278 =
											(((BgL_letzd2varzd2_bglt) COBJECT(
													((BgL_letzd2varzd2_bglt) BgL_nodez00_4057)))->
											BgL_bodyz00);
										{	/* Dataflow/walk.scm 391 */
											obj_t BgL_classz00_4279;

											BgL_classz00_4279 = BGl_varz00zzast_nodez00;
											{	/* Dataflow/walk.scm 391 */
												BgL_objectz00_bglt BgL_arg1858z00_4280;

												{	/* Dataflow/walk.scm 391 */
													obj_t BgL_tmpz00_5449;

													BgL_tmpz00_5449 =
														((obj_t)
														((BgL_objectz00_bglt) BgL_arg2084z00_4278));
													BgL_arg1858z00_4280 =
														(BgL_objectz00_bglt) (BgL_tmpz00_5449);
												}
												if (BGL_CONDEXPAND_ISA_ARCH64())
													{	/* Dataflow/walk.scm 391 */
														long BgL_idxz00_4281;

														BgL_idxz00_4281 =
															BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_4280);
														BgL_test2462z00_5446 =
															(VECTOR_REF
															(BGl_za2inheritancesza2z00zz__objectz00,
																(BgL_idxz00_4281 + 2L)) == BgL_classz00_4279);
													}
												else
													{	/* Dataflow/walk.scm 391 */
														bool_t BgL_res2260z00_4284;

														{	/* Dataflow/walk.scm 391 */
															obj_t BgL_oclassz00_4285;

															{	/* Dataflow/walk.scm 391 */
																obj_t BgL_arg1866z00_4286;
																long BgL_arg1867z00_4287;

																BgL_arg1866z00_4286 =
																	(BGl_za2classesza2z00zz__objectz00);
																{	/* Dataflow/walk.scm 391 */
																	long BgL_arg1869z00_4288;

																	BgL_arg1869z00_4288 =
																		BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_4280);
																	BgL_arg1867z00_4287 =
																		(BgL_arg1869z00_4288 - OBJECT_TYPE);
																}
																BgL_oclassz00_4285 =
																	VECTOR_REF(BgL_arg1866z00_4286,
																	BgL_arg1867z00_4287);
															}
															{	/* Dataflow/walk.scm 391 */
																bool_t BgL__ortest_1115z00_4289;

																BgL__ortest_1115z00_4289 =
																	(BgL_classz00_4279 == BgL_oclassz00_4285);
																if (BgL__ortest_1115z00_4289)
																	{	/* Dataflow/walk.scm 391 */
																		BgL_res2260z00_4284 =
																			BgL__ortest_1115z00_4289;
																	}
																else
																	{	/* Dataflow/walk.scm 391 */
																		long BgL_odepthz00_4290;

																		{	/* Dataflow/walk.scm 391 */
																			obj_t BgL_arg1855z00_4291;

																			BgL_arg1855z00_4291 =
																				(BgL_oclassz00_4285);
																			BgL_odepthz00_4290 =
																				BGL_CLASS_DEPTH(BgL_arg1855z00_4291);
																		}
																		if ((2L < BgL_odepthz00_4290))
																			{	/* Dataflow/walk.scm 391 */
																				obj_t BgL_arg1853z00_4292;

																				{	/* Dataflow/walk.scm 391 */
																					obj_t BgL_arg1854z00_4293;

																					BgL_arg1854z00_4293 =
																						(BgL_oclassz00_4285);
																					BgL_arg1853z00_4292 =
																						BGL_CLASS_ANCESTORS_REF
																						(BgL_arg1854z00_4293, 2L);
																				}
																				BgL_res2260z00_4284 =
																					(BgL_arg1853z00_4292 ==
																					BgL_classz00_4279);
																			}
																		else
																			{	/* Dataflow/walk.scm 391 */
																				BgL_res2260z00_4284 = ((bool_t) 0);
																			}
																	}
															}
														}
														BgL_test2462z00_5446 = BgL_res2260z00_4284;
													}
											}
										}
									}
									if (BgL_test2462z00_5446)
										{	/* Dataflow/walk.scm 392 */
											bool_t BgL_test2466z00_5472;

											{	/* Dataflow/walk.scm 392 */
												obj_t BgL_tmpz00_5473;

												{	/* Dataflow/walk.scm 392 */
													obj_t BgL_pairz00_4294;

													BgL_pairz00_4294 =
														(((BgL_letzd2varzd2_bglt) COBJECT(
																((BgL_letzd2varzd2_bglt) BgL_nodez00_4057)))->
														BgL_bindingsz00);
													BgL_tmpz00_5473 = CAR(CAR(BgL_pairz00_4294));
												}
												BgL_test2466z00_5472 =
													(
													((obj_t)
														(((BgL_varz00_bglt) COBJECT(
																	((BgL_varz00_bglt)
																		(((BgL_letzd2varzd2_bglt) COBJECT(
																					((BgL_letzd2varzd2_bglt)
																						BgL_nodez00_4057)))->
																			BgL_bodyz00))))->BgL_variablez00)) ==
													BgL_tmpz00_5473);
											}
											if (BgL_test2466z00_5472)
												{	/* Dataflow/walk.scm 393 */
													obj_t BgL_arg2077z00_4295;

													{
														BgL_typez00_bglt BgL_auxz00_5484;

														{
															BgL_variablez00_bglt BgL_auxz00_5485;

															{
																obj_t BgL_auxz00_5486;

																{	/* Dataflow/walk.scm 393 */
																	obj_t BgL_pairz00_4296;

																	BgL_pairz00_4296 =
																		(((BgL_letzd2varzd2_bglt) COBJECT(
																				((BgL_letzd2varzd2_bglt)
																					BgL_nodez00_4057)))->BgL_bindingsz00);
																	{	/* Dataflow/walk.scm 393 */
																		obj_t BgL_pairz00_4297;

																		BgL_pairz00_4297 = CAR(BgL_pairz00_4296);
																		BgL_auxz00_5486 = CAR(BgL_pairz00_4297);
																	}
																}
																BgL_auxz00_5485 =
																	((BgL_variablez00_bglt) BgL_auxz00_5486);
															}
															BgL_auxz00_5484 =
																(((BgL_variablez00_bglt)
																	COBJECT(BgL_auxz00_5485))->BgL_typez00);
														}
														BgL_arg2077z00_4295 = ((obj_t) BgL_auxz00_5484);
													}
													BgL_test2461z00_5445 =
														(BgL_arg2077z00_4295 ==
														BGl_za2boolza2z00zztype_cachez00);
												}
											else
												{	/* Dataflow/walk.scm 392 */
													BgL_test2461z00_5445 = ((bool_t) 0);
												}
										}
									else
										{	/* Dataflow/walk.scm 391 */
											BgL_test2461z00_5445 = ((bool_t) 0);
										}
								}
								if (BgL_test2461z00_5445)
									{	/* Dataflow/walk.scm 394 */
										obj_t BgL_arg2075z00_4298;

										{	/* Dataflow/walk.scm 394 */
											obj_t BgL_pairz00_4299;

											BgL_pairz00_4299 =
												(((BgL_letzd2varzd2_bglt) COBJECT(
														((BgL_letzd2varzd2_bglt) BgL_nodez00_4057)))->
												BgL_bindingsz00);
											BgL_arg2075z00_4298 = CDR(CAR(BgL_pairz00_4299));
										}
										return
											BGl_dataflowzd2testzd2envz00zzdataflow_walkz00(
											((BgL_nodez00_bglt) BgL_arg2075z00_4298));
									}
								else
									{	/* Dataflow/walk.scm 391 */
										return BNIL;
									}
							}
					}
				else
					{	/* Dataflow/walk.scm 382 */
						return BNIL;
					}
			}
		}

	}



/* &dataflow-test-env-va1428 */
	obj_t BGl_z62dataflowzd2testzd2envzd2va1428zb0zzdataflow_walkz00(obj_t
		BgL_envz00_4058, obj_t BgL_nodez00_4059)
	{
		{	/* Dataflow/walk.scm 363 */
			{	/* Dataflow/walk.scm 365 */
				bool_t BgL_test2467z00_5501;

				{	/* Dataflow/walk.scm 365 */
					BgL_variablez00_bglt BgL_arg2027z00_4301;

					BgL_arg2027z00_4301 =
						(((BgL_varz00_bglt) COBJECT(
								((BgL_varz00_bglt) BgL_nodez00_4059)))->BgL_variablez00);
					{	/* Dataflow/walk.scm 365 */
						obj_t BgL_classz00_4302;

						BgL_classz00_4302 = BGl_localzf2valuezf2zzdataflow_walkz00;
						{	/* Dataflow/walk.scm 365 */
							obj_t BgL_oclassz00_4303;

							{	/* Dataflow/walk.scm 365 */
								obj_t BgL_arg1866z00_4304;
								long BgL_arg1867z00_4305;

								BgL_arg1866z00_4304 = (BGl_za2classesza2z00zz__objectz00);
								{	/* Dataflow/walk.scm 365 */
									long BgL_arg1869z00_4306;

									BgL_arg1869z00_4306 =
										BGL_OBJECT_CLASS_NUM(
										((BgL_objectz00_bglt) BgL_arg2027z00_4301));
									BgL_arg1867z00_4305 = (BgL_arg1869z00_4306 - OBJECT_TYPE);
								}
								BgL_oclassz00_4303 =
									VECTOR_REF(BgL_arg1866z00_4304, BgL_arg1867z00_4305);
							}
							BgL_test2467z00_5501 = (BgL_oclassz00_4303 == BgL_classz00_4302);
				}}}
				if (BgL_test2467z00_5501)
					{	/* Dataflow/walk.scm 366 */
						BgL_nodez00_bglt BgL_arg2025z00_4307;

						{	/* Dataflow/walk.scm 366 */
							BgL_localz00_bglt BgL_oz00_4308;

							BgL_oz00_4308 =
								((BgL_localz00_bglt)
								(((BgL_varz00_bglt) COBJECT(
											((BgL_varz00_bglt) BgL_nodez00_4059)))->BgL_variablez00));
							{
								BgL_localzf2valuezf2_bglt BgL_auxz00_5513;

								{
									obj_t BgL_auxz00_5514;

									{	/* Dataflow/walk.scm 366 */
										BgL_objectz00_bglt BgL_tmpz00_5515;

										BgL_tmpz00_5515 = ((BgL_objectz00_bglt) BgL_oz00_4308);
										BgL_auxz00_5514 = BGL_OBJECT_WIDENING(BgL_tmpz00_5515);
									}
									BgL_auxz00_5513 =
										((BgL_localzf2valuezf2_bglt) BgL_auxz00_5514);
								}
								BgL_arg2025z00_4307 =
									(((BgL_localzf2valuezf2_bglt) COBJECT(BgL_auxz00_5513))->
									BgL_nodez00);
							}
						}
						return
							BGl_dataflowzd2testzd2envz00zzdataflow_walkz00
							(BgL_arg2025z00_4307);
					}
				else
					{	/* Dataflow/walk.scm 365 */
						return BNIL;
					}
			}
		}

	}



/* &dataflow-test-env-co1426 */
	obj_t BGl_z62dataflowzd2testzd2envzd2co1426zb0zzdataflow_walkz00(obj_t
		BgL_envz00_4060, obj_t BgL_nodez00_4061)
	{
		{	/* Dataflow/walk.scm 354 */
			{	/* Dataflow/walk.scm 356 */
				bool_t BgL_test2468z00_5521;

				{	/* Dataflow/walk.scm 356 */
					bool_t BgL_test2469z00_5522;

					{	/* Dataflow/walk.scm 356 */
						BgL_nodez00_bglt BgL_arg2022z00_4310;

						BgL_arg2022z00_4310 =
							(((BgL_conditionalz00_bglt) COBJECT(
									((BgL_conditionalz00_bglt) BgL_nodez00_4061)))->BgL_falsez00);
						{	/* Dataflow/walk.scm 356 */
							obj_t BgL_classz00_4311;

							BgL_classz00_4311 = BGl_atomz00zzast_nodez00;
							{	/* Dataflow/walk.scm 356 */
								BgL_objectz00_bglt BgL_arg1858z00_4312;

								{	/* Dataflow/walk.scm 356 */
									obj_t BgL_tmpz00_5525;

									BgL_tmpz00_5525 =
										((obj_t) ((BgL_objectz00_bglt) BgL_arg2022z00_4310));
									BgL_arg1858z00_4312 = (BgL_objectz00_bglt) (BgL_tmpz00_5525);
								}
								if (BGL_CONDEXPAND_ISA_ARCH64())
									{	/* Dataflow/walk.scm 356 */
										long BgL_idxz00_4313;

										BgL_idxz00_4313 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_4312);
										BgL_test2469z00_5522 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_4313 + 2L)) == BgL_classz00_4311);
									}
								else
									{	/* Dataflow/walk.scm 356 */
										bool_t BgL_res2257z00_4316;

										{	/* Dataflow/walk.scm 356 */
											obj_t BgL_oclassz00_4317;

											{	/* Dataflow/walk.scm 356 */
												obj_t BgL_arg1866z00_4318;
												long BgL_arg1867z00_4319;

												BgL_arg1866z00_4318 =
													(BGl_za2classesza2z00zz__objectz00);
												{	/* Dataflow/walk.scm 356 */
													long BgL_arg1869z00_4320;

													BgL_arg1869z00_4320 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_4312);
													BgL_arg1867z00_4319 =
														(BgL_arg1869z00_4320 - OBJECT_TYPE);
												}
												BgL_oclassz00_4317 =
													VECTOR_REF(BgL_arg1866z00_4318, BgL_arg1867z00_4319);
											}
											{	/* Dataflow/walk.scm 356 */
												bool_t BgL__ortest_1115z00_4321;

												BgL__ortest_1115z00_4321 =
													(BgL_classz00_4311 == BgL_oclassz00_4317);
												if (BgL__ortest_1115z00_4321)
													{	/* Dataflow/walk.scm 356 */
														BgL_res2257z00_4316 = BgL__ortest_1115z00_4321;
													}
												else
													{	/* Dataflow/walk.scm 356 */
														long BgL_odepthz00_4322;

														{	/* Dataflow/walk.scm 356 */
															obj_t BgL_arg1855z00_4323;

															BgL_arg1855z00_4323 = (BgL_oclassz00_4317);
															BgL_odepthz00_4322 =
																BGL_CLASS_DEPTH(BgL_arg1855z00_4323);
														}
														if ((2L < BgL_odepthz00_4322))
															{	/* Dataflow/walk.scm 356 */
																obj_t BgL_arg1853z00_4324;

																{	/* Dataflow/walk.scm 356 */
																	obj_t BgL_arg1854z00_4325;

																	BgL_arg1854z00_4325 = (BgL_oclassz00_4317);
																	BgL_arg1853z00_4324 =
																		BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_4325,
																		2L);
																}
																BgL_res2257z00_4316 =
																	(BgL_arg1853z00_4324 == BgL_classz00_4311);
															}
														else
															{	/* Dataflow/walk.scm 356 */
																BgL_res2257z00_4316 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_test2469z00_5522 = BgL_res2257z00_4316;
									}
							}
						}
					}
					if (BgL_test2469z00_5522)
						{	/* Dataflow/walk.scm 356 */
							BgL_test2468z00_5521 =
								(
								(((BgL_atomz00_bglt) COBJECT(
											((BgL_atomz00_bglt)
												(((BgL_conditionalz00_bglt) COBJECT(
															((BgL_conditionalz00_bglt) BgL_nodez00_4061)))->
													BgL_falsez00))))->BgL_valuez00) == BFALSE);
						}
					else
						{	/* Dataflow/walk.scm 356 */
							BgL_test2468z00_5521 = ((bool_t) 0);
						}
				}
				if (BgL_test2468z00_5521)
					{	/* Dataflow/walk.scm 356 */
						return
							BGl_appendzd221011zd2zzdataflow_walkz00
							(BGl_dataflowzd2testzd2envz00zzdataflow_walkz00(((
										(BgL_conditionalz00_bglt) COBJECT(((BgL_conditionalz00_bglt)
												BgL_nodez00_4061)))->BgL_testz00)),
							BGl_dataflowzd2testzd2envz00zzdataflow_walkz00(((
										(BgL_conditionalz00_bglt) COBJECT(((BgL_conditionalz00_bglt)
												BgL_nodez00_4061)))->BgL_truez00)));
					}
				else
					{	/* Dataflow/walk.scm 356 */
						return BNIL;
					}
			}
		}

	}



/* &dataflow-test-env-in1424 */
	obj_t BGl_z62dataflowzd2testzd2envzd2in1424zb0zzdataflow_walkz00(obj_t
		BgL_envz00_4062, obj_t BgL_nodez00_4063)
	{
		{	/* Dataflow/walk.scm 345 */
			{	/* Dataflow/walk.scm 347 */
				bool_t BgL_test2473z00_5560;

				{	/* Dataflow/walk.scm 347 */
					obj_t BgL_arg2007z00_4327;

					{	/* Dataflow/walk.scm 347 */
						obj_t BgL_pairz00_4328;

						BgL_pairz00_4328 =
							(((BgL_externz00_bglt) COBJECT(
									((BgL_externz00_bglt)
										((BgL_instanceofz00_bglt) BgL_nodez00_4063))))->
							BgL_exprza2za2);
						BgL_arg2007z00_4327 = CAR(BgL_pairz00_4328);
					}
					{	/* Dataflow/walk.scm 347 */
						obj_t BgL_classz00_4329;

						BgL_classz00_4329 = BGl_varz00zzast_nodez00;
						if (BGL_OBJECTP(BgL_arg2007z00_4327))
							{	/* Dataflow/walk.scm 347 */
								BgL_objectz00_bglt BgL_arg1858z00_4330;

								BgL_arg1858z00_4330 =
									(BgL_objectz00_bglt) (BgL_arg2007z00_4327);
								if (BGL_CONDEXPAND_ISA_ARCH64())
									{	/* Dataflow/walk.scm 347 */
										long BgL_idxz00_4331;

										BgL_idxz00_4331 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_4330);
										BgL_test2473z00_5560 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_4331 + 2L)) == BgL_classz00_4329);
									}
								else
									{	/* Dataflow/walk.scm 347 */
										bool_t BgL_res2255z00_4334;

										{	/* Dataflow/walk.scm 347 */
											obj_t BgL_oclassz00_4335;

											{	/* Dataflow/walk.scm 347 */
												obj_t BgL_arg1866z00_4336;
												long BgL_arg1867z00_4337;

												BgL_arg1866z00_4336 =
													(BGl_za2classesza2z00zz__objectz00);
												{	/* Dataflow/walk.scm 347 */
													long BgL_arg1869z00_4338;

													BgL_arg1869z00_4338 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_4330);
													BgL_arg1867z00_4337 =
														(BgL_arg1869z00_4338 - OBJECT_TYPE);
												}
												BgL_oclassz00_4335 =
													VECTOR_REF(BgL_arg1866z00_4336, BgL_arg1867z00_4337);
											}
											{	/* Dataflow/walk.scm 347 */
												bool_t BgL__ortest_1115z00_4339;

												BgL__ortest_1115z00_4339 =
													(BgL_classz00_4329 == BgL_oclassz00_4335);
												if (BgL__ortest_1115z00_4339)
													{	/* Dataflow/walk.scm 347 */
														BgL_res2255z00_4334 = BgL__ortest_1115z00_4339;
													}
												else
													{	/* Dataflow/walk.scm 347 */
														long BgL_odepthz00_4340;

														{	/* Dataflow/walk.scm 347 */
															obj_t BgL_arg1855z00_4341;

															BgL_arg1855z00_4341 = (BgL_oclassz00_4335);
															BgL_odepthz00_4340 =
																BGL_CLASS_DEPTH(BgL_arg1855z00_4341);
														}
														if ((2L < BgL_odepthz00_4340))
															{	/* Dataflow/walk.scm 347 */
																obj_t BgL_arg1853z00_4342;

																{	/* Dataflow/walk.scm 347 */
																	obj_t BgL_arg1854z00_4343;

																	BgL_arg1854z00_4343 = (BgL_oclassz00_4335);
																	BgL_arg1853z00_4342 =
																		BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_4343,
																		2L);
																}
																BgL_res2255z00_4334 =
																	(BgL_arg1853z00_4342 == BgL_classz00_4329);
															}
														else
															{	/* Dataflow/walk.scm 347 */
																BgL_res2255z00_4334 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_test2473z00_5560 = BgL_res2255z00_4334;
									}
							}
						else
							{	/* Dataflow/walk.scm 347 */
								BgL_test2473z00_5560 = ((bool_t) 0);
							}
					}
				}
				if (BgL_test2473z00_5560)
					{	/* Dataflow/walk.scm 348 */
						obj_t BgL_arg2001z00_4344;

						{	/* Dataflow/walk.scm 348 */
							BgL_variablez00_bglt BgL_arg2003z00_4345;
							BgL_typez00_bglt BgL_arg2004z00_4346;

							{
								BgL_varz00_bglt BgL_auxz00_5587;

								{	/* Dataflow/walk.scm 348 */
									obj_t BgL_pairz00_4347;

									BgL_pairz00_4347 =
										(((BgL_externz00_bglt) COBJECT(
												((BgL_externz00_bglt)
													((BgL_instanceofz00_bglt) BgL_nodez00_4063))))->
										BgL_exprza2za2);
									BgL_auxz00_5587 = ((BgL_varz00_bglt) CAR(BgL_pairz00_4347));
								}
								BgL_arg2003z00_4345 =
									(((BgL_varz00_bglt) COBJECT(BgL_auxz00_5587))->
									BgL_variablez00);
							}
							BgL_arg2004z00_4346 =
								(((BgL_instanceofz00_bglt) COBJECT(
										((BgL_instanceofz00_bglt) BgL_nodez00_4063)))->
								BgL_classz00);
							BgL_arg2001z00_4344 =
								MAKE_YOUNG_PAIR(((obj_t) BgL_arg2003z00_4345),
								((obj_t) BgL_arg2004z00_4346));
						}
						{	/* Dataflow/walk.scm 348 */
							obj_t BgL_list2002z00_4348;

							BgL_list2002z00_4348 = MAKE_YOUNG_PAIR(BgL_arg2001z00_4344, BNIL);
							return BgL_list2002z00_4348;
						}
					}
				else
					{	/* Dataflow/walk.scm 347 */
						return BNIL;
					}
			}
		}

	}



/* &dataflow-test-env-ap1422 */
	obj_t BGl_z62dataflowzd2testzd2envzd2ap1422zb0zzdataflow_walkz00(obj_t
		BgL_envz00_4064, obj_t BgL_nodez00_4065)
	{
		{	/* Dataflow/walk.scm 322 */
			{	/* Dataflow/walk.scm 324 */
				BgL_variablez00_bglt BgL_fz00_4350;

				BgL_fz00_4350 =
					(((BgL_varz00_bglt) COBJECT(
							(((BgL_appz00_bglt) COBJECT(
										((BgL_appz00_bglt) BgL_nodez00_4065)))->BgL_funz00)))->
					BgL_variablez00);
				{	/* Dataflow/walk.scm 324 */
					BgL_valuez00_bglt BgL_funvz00_4351;

					BgL_funvz00_4351 =
						(((BgL_variablez00_bglt) COBJECT(BgL_fz00_4350))->BgL_valuez00);
					{	/* Dataflow/walk.scm 325 */

						{	/* Dataflow/walk.scm 327 */
							obj_t BgL_g1171z00_4352;

							BgL_g1171z00_4352 =
								BGl_isazd2ofzd2zztype_miscz00(
								((BgL_nodez00_bglt) ((BgL_appz00_bglt) BgL_nodez00_4065)));
							if (CBOOL(BgL_g1171z00_4352))
								{	/* Dataflow/walk.scm 330 */
									bool_t BgL_test2479z00_5609;

									{	/* Dataflow/walk.scm 330 */
										obj_t BgL_arg1950z00_4353;

										BgL_arg1950z00_4353 =
											CAR(
											(((BgL_appz00_bglt) COBJECT(
														((BgL_appz00_bglt) BgL_nodez00_4065)))->
												BgL_argsz00));
										{	/* Dataflow/walk.scm 330 */
											obj_t BgL_classz00_4354;

											BgL_classz00_4354 = BGl_varz00zzast_nodez00;
											if (BGL_OBJECTP(BgL_arg1950z00_4353))
												{	/* Dataflow/walk.scm 330 */
													BgL_objectz00_bglt BgL_arg1858z00_4355;

													BgL_arg1858z00_4355 =
														(BgL_objectz00_bglt) (BgL_arg1950z00_4353);
													if (BGL_CONDEXPAND_ISA_ARCH64())
														{	/* Dataflow/walk.scm 330 */
															long BgL_idxz00_4356;

															BgL_idxz00_4356 =
																BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_4355);
															BgL_test2479z00_5609 =
																(VECTOR_REF
																(BGl_za2inheritancesza2z00zz__objectz00,
																	(BgL_idxz00_4356 + 2L)) == BgL_classz00_4354);
														}
													else
														{	/* Dataflow/walk.scm 330 */
															bool_t BgL_res2250z00_4359;

															{	/* Dataflow/walk.scm 330 */
																obj_t BgL_oclassz00_4360;

																{	/* Dataflow/walk.scm 330 */
																	obj_t BgL_arg1866z00_4361;
																	long BgL_arg1867z00_4362;

																	BgL_arg1866z00_4361 =
																		(BGl_za2classesza2z00zz__objectz00);
																	{	/* Dataflow/walk.scm 330 */
																		long BgL_arg1869z00_4363;

																		BgL_arg1869z00_4363 =
																			BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_4355);
																		BgL_arg1867z00_4362 =
																			(BgL_arg1869z00_4363 - OBJECT_TYPE);
																	}
																	BgL_oclassz00_4360 =
																		VECTOR_REF(BgL_arg1866z00_4361,
																		BgL_arg1867z00_4362);
																}
																{	/* Dataflow/walk.scm 330 */
																	bool_t BgL__ortest_1115z00_4364;

																	BgL__ortest_1115z00_4364 =
																		(BgL_classz00_4354 == BgL_oclassz00_4360);
																	if (BgL__ortest_1115z00_4364)
																		{	/* Dataflow/walk.scm 330 */
																			BgL_res2250z00_4359 =
																				BgL__ortest_1115z00_4364;
																		}
																	else
																		{	/* Dataflow/walk.scm 330 */
																			long BgL_odepthz00_4365;

																			{	/* Dataflow/walk.scm 330 */
																				obj_t BgL_arg1855z00_4366;

																				BgL_arg1855z00_4366 =
																					(BgL_oclassz00_4360);
																				BgL_odepthz00_4365 =
																					BGL_CLASS_DEPTH(BgL_arg1855z00_4366);
																			}
																			if ((2L < BgL_odepthz00_4365))
																				{	/* Dataflow/walk.scm 330 */
																					obj_t BgL_arg1853z00_4367;

																					{	/* Dataflow/walk.scm 330 */
																						obj_t BgL_arg1854z00_4368;

																						BgL_arg1854z00_4368 =
																							(BgL_oclassz00_4360);
																						BgL_arg1853z00_4367 =
																							BGL_CLASS_ANCESTORS_REF
																							(BgL_arg1854z00_4368, 2L);
																					}
																					BgL_res2250z00_4359 =
																						(BgL_arg1853z00_4367 ==
																						BgL_classz00_4354);
																				}
																			else
																				{	/* Dataflow/walk.scm 330 */
																					BgL_res2250z00_4359 = ((bool_t) 0);
																				}
																		}
																}
															}
															BgL_test2479z00_5609 = BgL_res2250z00_4359;
														}
												}
											else
												{	/* Dataflow/walk.scm 330 */
													BgL_test2479z00_5609 = ((bool_t) 0);
												}
										}
									}
									if (BgL_test2479z00_5609)
										{	/* Dataflow/walk.scm 331 */
											obj_t BgL_arg1944z00_4369;

											{	/* Dataflow/walk.scm 331 */
												BgL_variablez00_bglt BgL_arg1946z00_4370;

												{
													BgL_varz00_bglt BgL_auxz00_5635;

													{	/* Dataflow/walk.scm 331 */
														obj_t BgL_pairz00_4371;

														BgL_pairz00_4371 =
															(((BgL_appz00_bglt) COBJECT(
																	((BgL_appz00_bglt) BgL_nodez00_4065)))->
															BgL_argsz00);
														BgL_auxz00_5635 =
															((BgL_varz00_bglt) CAR(BgL_pairz00_4371));
													}
													BgL_arg1946z00_4370 =
														(((BgL_varz00_bglt) COBJECT(BgL_auxz00_5635))->
														BgL_variablez00);
												}
												BgL_arg1944z00_4369 =
													MAKE_YOUNG_PAIR(
													((obj_t) BgL_arg1946z00_4370), BgL_g1171z00_4352);
											}
											{	/* Dataflow/walk.scm 331 */
												obj_t BgL_list1945z00_4372;

												BgL_list1945z00_4372 =
													MAKE_YOUNG_PAIR(BgL_arg1944z00_4369, BNIL);
												return BgL_list1945z00_4372;
											}
										}
									else
										{	/* Dataflow/walk.scm 330 */
											return BNIL;
										}
								}
							else
								{	/* Dataflow/walk.scm 333 */
									bool_t BgL_test2484z00_5644;

									{	/* Dataflow/walk.scm 333 */
										bool_t BgL_test2485z00_5645;

										{	/* Dataflow/walk.scm 333 */
											obj_t BgL_classz00_4373;

											BgL_classz00_4373 = BGl_funz00zzast_varz00;
											{	/* Dataflow/walk.scm 333 */
												BgL_objectz00_bglt BgL_arg1858z00_4374;

												{	/* Dataflow/walk.scm 333 */
													obj_t BgL_tmpz00_5646;

													BgL_tmpz00_5646 =
														((obj_t) ((BgL_objectz00_bglt) BgL_funvz00_4351));
													BgL_arg1858z00_4374 =
														(BgL_objectz00_bglt) (BgL_tmpz00_5646);
												}
												if (BGL_CONDEXPAND_ISA_ARCH64())
													{	/* Dataflow/walk.scm 333 */
														long BgL_idxz00_4375;

														BgL_idxz00_4375 =
															BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_4374);
														BgL_test2485z00_5645 =
															(VECTOR_REF
															(BGl_za2inheritancesza2z00zz__objectz00,
																(BgL_idxz00_4375 + 2L)) == BgL_classz00_4373);
													}
												else
													{	/* Dataflow/walk.scm 333 */
														bool_t BgL_res2252z00_4378;

														{	/* Dataflow/walk.scm 333 */
															obj_t BgL_oclassz00_4379;

															{	/* Dataflow/walk.scm 333 */
																obj_t BgL_arg1866z00_4380;
																long BgL_arg1867z00_4381;

																BgL_arg1866z00_4380 =
																	(BGl_za2classesza2z00zz__objectz00);
																{	/* Dataflow/walk.scm 333 */
																	long BgL_arg1869z00_4382;

																	BgL_arg1869z00_4382 =
																		BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_4374);
																	BgL_arg1867z00_4381 =
																		(BgL_arg1869z00_4382 - OBJECT_TYPE);
																}
																BgL_oclassz00_4379 =
																	VECTOR_REF(BgL_arg1866z00_4380,
																	BgL_arg1867z00_4381);
															}
															{	/* Dataflow/walk.scm 333 */
																bool_t BgL__ortest_1115z00_4383;

																BgL__ortest_1115z00_4383 =
																	(BgL_classz00_4373 == BgL_oclassz00_4379);
																if (BgL__ortest_1115z00_4383)
																	{	/* Dataflow/walk.scm 333 */
																		BgL_res2252z00_4378 =
																			BgL__ortest_1115z00_4383;
																	}
																else
																	{	/* Dataflow/walk.scm 333 */
																		long BgL_odepthz00_4384;

																		{	/* Dataflow/walk.scm 333 */
																			obj_t BgL_arg1855z00_4385;

																			BgL_arg1855z00_4385 =
																				(BgL_oclassz00_4379);
																			BgL_odepthz00_4384 =
																				BGL_CLASS_DEPTH(BgL_arg1855z00_4385);
																		}
																		if ((2L < BgL_odepthz00_4384))
																			{	/* Dataflow/walk.scm 333 */
																				obj_t BgL_arg1853z00_4386;

																				{	/* Dataflow/walk.scm 333 */
																					obj_t BgL_arg1854z00_4387;

																					BgL_arg1854z00_4387 =
																						(BgL_oclassz00_4379);
																					BgL_arg1853z00_4386 =
																						BGL_CLASS_ANCESTORS_REF
																						(BgL_arg1854z00_4387, 2L);
																				}
																				BgL_res2252z00_4378 =
																					(BgL_arg1853z00_4386 ==
																					BgL_classz00_4373);
																			}
																		else
																			{	/* Dataflow/walk.scm 333 */
																				BgL_res2252z00_4378 = ((bool_t) 0);
																			}
																	}
															}
														}
														BgL_test2485z00_5645 = BgL_res2252z00_4378;
													}
											}
										}
										if (BgL_test2485z00_5645)
											{	/* Dataflow/walk.scm 333 */
												if (CBOOL(
														(((BgL_funz00_bglt) COBJECT(
																	((BgL_funz00_bglt) BgL_funvz00_4351)))->
															BgL_predicatezd2ofzd2)))
													{	/* Dataflow/walk.scm 335 */
														bool_t BgL_test2490z00_5673;

														{	/* Dataflow/walk.scm 335 */
															obj_t BgL_tmpz00_5674;

															BgL_tmpz00_5674 =
																(((BgL_appz00_bglt) COBJECT(
																		((BgL_appz00_bglt) BgL_nodez00_4065)))->
																BgL_argsz00);
															BgL_test2490z00_5673 = PAIRP(BgL_tmpz00_5674);
														}
														if (BgL_test2490z00_5673)
															{	/* Dataflow/walk.scm 335 */
																if (NULLP(CDR(
																			(((BgL_appz00_bglt) COBJECT(
																						((BgL_appz00_bglt)
																							BgL_nodez00_4065)))->
																				BgL_argsz00))))
																	{	/* Dataflow/walk.scm 336 */
																		bool_t BgL_test2492z00_5683;

																		{	/* Dataflow/walk.scm 336 */
																			obj_t BgL_arg1988z00_4388;

																			BgL_arg1988z00_4388 =
																				CAR(
																				(((BgL_appz00_bglt) COBJECT(
																							((BgL_appz00_bglt)
																								BgL_nodez00_4065)))->
																					BgL_argsz00));
																			{	/* Dataflow/walk.scm 336 */
																				obj_t BgL_classz00_4389;

																				BgL_classz00_4389 =
																					BGl_varz00zzast_nodez00;
																				if (BGL_OBJECTP(BgL_arg1988z00_4388))
																					{	/* Dataflow/walk.scm 336 */
																						BgL_objectz00_bglt
																							BgL_arg1858z00_4390;
																						BgL_arg1858z00_4390 =
																							(BgL_objectz00_bglt)
																							(BgL_arg1988z00_4388);
																						if (BGL_CONDEXPAND_ISA_ARCH64())
																							{	/* Dataflow/walk.scm 336 */
																								long BgL_idxz00_4391;

																								BgL_idxz00_4391 =
																									BGL_OBJECT_INHERITANCE_NUM
																									(BgL_arg1858z00_4390);
																								BgL_test2492z00_5683 =
																									(VECTOR_REF
																									(BGl_za2inheritancesza2z00zz__objectz00,
																										(BgL_idxz00_4391 + 2L)) ==
																									BgL_classz00_4389);
																							}
																						else
																							{	/* Dataflow/walk.scm 336 */
																								bool_t BgL_res2253z00_4394;

																								{	/* Dataflow/walk.scm 336 */
																									obj_t BgL_oclassz00_4395;

																									{	/* Dataflow/walk.scm 336 */
																										obj_t BgL_arg1866z00_4396;
																										long BgL_arg1867z00_4397;

																										BgL_arg1866z00_4396 =
																											(BGl_za2classesza2z00zz__objectz00);
																										{	/* Dataflow/walk.scm 336 */
																											long BgL_arg1869z00_4398;

																											BgL_arg1869z00_4398 =
																												BGL_OBJECT_CLASS_NUM
																												(BgL_arg1858z00_4390);
																											BgL_arg1867z00_4397 =
																												(BgL_arg1869z00_4398 -
																												OBJECT_TYPE);
																										}
																										BgL_oclassz00_4395 =
																											VECTOR_REF
																											(BgL_arg1866z00_4396,
																											BgL_arg1867z00_4397);
																									}
																									{	/* Dataflow/walk.scm 336 */
																										bool_t
																											BgL__ortest_1115z00_4399;
																										BgL__ortest_1115z00_4399 =
																											(BgL_classz00_4389 ==
																											BgL_oclassz00_4395);
																										if (BgL__ortest_1115z00_4399)
																											{	/* Dataflow/walk.scm 336 */
																												BgL_res2253z00_4394 =
																													BgL__ortest_1115z00_4399;
																											}
																										else
																											{	/* Dataflow/walk.scm 336 */
																												long BgL_odepthz00_4400;

																												{	/* Dataflow/walk.scm 336 */
																													obj_t
																														BgL_arg1855z00_4401;
																													BgL_arg1855z00_4401 =
																														(BgL_oclassz00_4395);
																													BgL_odepthz00_4400 =
																														BGL_CLASS_DEPTH
																														(BgL_arg1855z00_4401);
																												}
																												if (
																													(2L <
																														BgL_odepthz00_4400))
																													{	/* Dataflow/walk.scm 336 */
																														obj_t
																															BgL_arg1853z00_4402;
																														{	/* Dataflow/walk.scm 336 */
																															obj_t
																																BgL_arg1854z00_4403;
																															BgL_arg1854z00_4403
																																=
																																(BgL_oclassz00_4395);
																															BgL_arg1853z00_4402
																																=
																																BGL_CLASS_ANCESTORS_REF
																																(BgL_arg1854z00_4403,
																																2L);
																														}
																														BgL_res2253z00_4394
																															=
																															(BgL_arg1853z00_4402
																															==
																															BgL_classz00_4389);
																													}
																												else
																													{	/* Dataflow/walk.scm 336 */
																														BgL_res2253z00_4394
																															= ((bool_t) 0);
																													}
																											}
																									}
																								}
																								BgL_test2492z00_5683 =
																									BgL_res2253z00_4394;
																							}
																					}
																				else
																					{	/* Dataflow/walk.scm 336 */
																						BgL_test2492z00_5683 = ((bool_t) 0);
																					}
																			}
																		}
																		if (BgL_test2492z00_5683)
																			{	/* Dataflow/walk.scm 337 */
																				BgL_typez00_bglt BgL_arg1984z00_4404;

																				{
																					BgL_variablez00_bglt BgL_auxz00_5709;

																					{
																						BgL_varz00_bglt BgL_auxz00_5710;

																						{	/* Dataflow/walk.scm 337 */
																							obj_t BgL_pairz00_4405;

																							BgL_pairz00_4405 =
																								(((BgL_appz00_bglt) COBJECT(
																										((BgL_appz00_bglt)
																											BgL_nodez00_4065)))->
																								BgL_argsz00);
																							BgL_auxz00_5710 =
																								((BgL_varz00_bglt)
																								CAR(BgL_pairz00_4405));
																						}
																						BgL_auxz00_5709 =
																							(((BgL_varz00_bglt)
																								COBJECT(BgL_auxz00_5710))->
																							BgL_variablez00);
																					}
																					BgL_arg1984z00_4404 =
																						(((BgL_variablez00_bglt)
																							COBJECT(BgL_auxz00_5709))->
																						BgL_typez00);
																				}
																				BgL_test2484z00_5644 =
																					BGl_bigloozd2typezf3z21zztype_typez00
																					(BgL_arg1984z00_4404);
																			}
																		else
																			{	/* Dataflow/walk.scm 336 */
																				BgL_test2484z00_5644 = ((bool_t) 0);
																			}
																	}
																else
																	{	/* Dataflow/walk.scm 335 */
																		BgL_test2484z00_5644 = ((bool_t) 0);
																	}
															}
														else
															{	/* Dataflow/walk.scm 335 */
																BgL_test2484z00_5644 = ((bool_t) 0);
															}
													}
												else
													{	/* Dataflow/walk.scm 334 */
														BgL_test2484z00_5644 = ((bool_t) 0);
													}
											}
										else
											{	/* Dataflow/walk.scm 333 */
												BgL_test2484z00_5644 = ((bool_t) 0);
											}
									}
									if (BgL_test2484z00_5644)
										{	/* Dataflow/walk.scm 338 */
											obj_t BgL_arg1978z00_4406;

											{	/* Dataflow/walk.scm 338 */
												BgL_variablez00_bglt BgL_arg1980z00_4407;
												obj_t BgL_arg1981z00_4408;

												{
													BgL_varz00_bglt BgL_auxz00_5718;

													{	/* Dataflow/walk.scm 338 */
														obj_t BgL_pairz00_4409;

														BgL_pairz00_4409 =
															(((BgL_appz00_bglt) COBJECT(
																	((BgL_appz00_bglt) BgL_nodez00_4065)))->
															BgL_argsz00);
														BgL_auxz00_5718 =
															((BgL_varz00_bglt) CAR(BgL_pairz00_4409));
													}
													BgL_arg1980z00_4407 =
														(((BgL_varz00_bglt) COBJECT(BgL_auxz00_5718))->
														BgL_variablez00);
												}
												BgL_arg1981z00_4408 =
													(((BgL_funz00_bglt) COBJECT(
															((BgL_funz00_bglt) BgL_funvz00_4351)))->
													BgL_predicatezd2ofzd2);
												BgL_arg1978z00_4406 =
													MAKE_YOUNG_PAIR(((obj_t) BgL_arg1980z00_4407),
													BgL_arg1981z00_4408);
											}
											{	/* Dataflow/walk.scm 338 */
												obj_t BgL_list1979z00_4410;

												BgL_list1979z00_4410 =
													MAKE_YOUNG_PAIR(BgL_arg1978z00_4406, BNIL);
												return BgL_list1979z00_4410;
											}
										}
									else
										{	/* Dataflow/walk.scm 333 */
											return BNIL;
										}
								}
						}
					}
				}
			}
		}

	}



/* &dataflow-node!-box-s1416 */
	obj_t BGl_z62dataflowzd2nodez12zd2boxzd2s1416za2zzdataflow_walkz00(obj_t
		BgL_envz00_4066, obj_t BgL_nodez00_4067, obj_t BgL_envz00_4068)
	{
		{	/* Dataflow/walk.scm 302 */
			return
				BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
				(((BgL_boxzd2setz12zc0_bglt) COBJECT(
							((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_4067)))->BgL_valuez00),
				BgL_envz00_4068);
		}

	}



/* &dataflow-node!-box-r1414 */
	obj_t BGl_z62dataflowzd2nodez12zd2boxzd2r1414za2zzdataflow_walkz00(obj_t
		BgL_envz00_4069, obj_t BgL_nodez00_4070, obj_t BgL_envz00_4071)
	{
		{	/* Dataflow/walk.scm 295 */
			return ((obj_t) BgL_envz00_4071);
		}

	}



/* &dataflow-node!-make-1412 */
	obj_t BGl_z62dataflowzd2nodez12zd2makezd21412za2zzdataflow_walkz00(obj_t
		BgL_envz00_4072, obj_t BgL_nodez00_4073, obj_t BgL_envz00_4074)
	{
		{	/* Dataflow/walk.scm 289 */
			return
				BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
				(((BgL_makezd2boxzd2_bglt) COBJECT(
							((BgL_makezd2boxzd2_bglt) BgL_nodez00_4073)))->BgL_valuez00),
				BgL_envz00_4074);
		}

	}



/* &dataflow-node!-jump-1410 */
	obj_t BGl_z62dataflowzd2nodez12zd2jumpzd21410za2zzdataflow_walkz00(obj_t
		BgL_envz00_4075, obj_t BgL_nodez00_4076, obj_t BgL_envz00_4077)
	{
		{	/* Dataflow/walk.scm 280 */
			BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
				(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
							((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_4076)))->BgL_exitz00),
				BgL_envz00_4077);
			BGl_dataflowzd2nodez12zc0zzdataflow_walkz00((((BgL_jumpzd2exzd2itz00_bglt)
						COBJECT(((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_4076)))->
					BgL_valuez00), BgL_envz00_4077);
			return BNIL;
		}

	}



/* &dataflow-node!-set-e1408 */
	obj_t BGl_z62dataflowzd2nodez12zd2setzd2e1408za2zzdataflow_walkz00(obj_t
		BgL_envz00_4078, obj_t BgL_nodez00_4079, obj_t BgL_envz00_4080)
	{
		{	/* Dataflow/walk.scm 271 */
			BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
				(((BgL_setzd2exzd2itz00_bglt) COBJECT(
							((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_4079)))->BgL_bodyz00),
				BgL_envz00_4080);
			BGl_dataflowzd2nodez12zc0zzdataflow_walkz00((((BgL_setzd2exzd2itz00_bglt)
						COBJECT(((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_4079)))->
					BgL_onexitz00), BgL_envz00_4080);
			return BNIL;
		}

	}



/* &dataflow-node!-let-v1406 */
	obj_t BGl_z62dataflowzd2nodez12zd2letzd2v1406za2zzdataflow_walkz00(obj_t
		BgL_envz00_4081, obj_t BgL_nodez00_4082, obj_t BgL_envz00_4083)
	{
		{	/* Dataflow/walk.scm 239 */
			BGl_letzd2varzd2stampz00zzdataflow_walkz00 =
				(1L + BGl_letzd2varzd2stampz00zzdataflow_walkz00);
			{	/* Dataflow/walk.scm 242 */
				long BgL_stampz00_4418;

				BgL_stampz00_4418 = BGl_letzd2varzd2stampz00zzdataflow_walkz00;
				{	/* Dataflow/walk.scm 242 */
					obj_t BgL_envz00_4419;

					{
						obj_t BgL_bindingsz00_4421;
						obj_t BgL_envz00_4422;

						BgL_bindingsz00_4421 =
							(((BgL_letzd2varzd2_bglt) COBJECT(
									((BgL_letzd2varzd2_bglt) BgL_nodez00_4082)))->
							BgL_bindingsz00);
						BgL_envz00_4422 = BgL_envz00_4083;
					BgL_loopz00_4420:
						if (NULLP(BgL_bindingsz00_4421))
							{	/* Dataflow/walk.scm 245 */
								BgL_envz00_4419 = BgL_envz00_4422;
							}
						else
							{	/* Dataflow/walk.scm 247 */
								obj_t BgL_nodez00_4423;

								{	/* Dataflow/walk.scm 247 */
									obj_t BgL_pairz00_4424;

									BgL_pairz00_4424 = CAR(((obj_t) BgL_bindingsz00_4421));
									BgL_nodez00_4423 = CDR(BgL_pairz00_4424);
								}
								{	/* Dataflow/walk.scm 247 */
									obj_t BgL_envz00_4425;

									BgL_envz00_4425 =
										BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
										((BgL_nodez00_bglt) BgL_nodez00_4423), BgL_envz00_4422);
									{	/* Dataflow/walk.scm 248 */

										{	/* Dataflow/walk.scm 249 */
											obj_t BgL_lz00_4426;

											{	/* Dataflow/walk.scm 249 */
												obj_t BgL_pairz00_4427;

												BgL_pairz00_4427 = CAR(((obj_t) BgL_bindingsz00_4421));
												BgL_lz00_4426 = CAR(BgL_pairz00_4427);
											}
											if (
												((((BgL_variablez00_bglt) COBJECT(
																((BgL_variablez00_bglt) BgL_lz00_4426)))->
														BgL_accessz00) == ((obj_t) CNST_TABLE_REF(11))))
												{	/* Dataflow/walk.scm 250 */
													{	/* Dataflow/walk.scm 251 */
														BgL_localzf2valuezf2_bglt BgL_wide1163z00_4428;

														BgL_wide1163z00_4428 =
															((BgL_localzf2valuezf2_bglt)
															BOBJECT(GC_MALLOC(sizeof(struct
																		BgL_localzf2valuezf2_bgl))));
														{	/* Dataflow/walk.scm 251 */
															obj_t BgL_auxz00_5770;
															BgL_objectz00_bglt BgL_tmpz00_5766;

															BgL_auxz00_5770 = ((obj_t) BgL_wide1163z00_4428);
															BgL_tmpz00_5766 =
																((BgL_objectz00_bglt)
																((BgL_localz00_bglt)
																	((BgL_localz00_bglt) BgL_lz00_4426)));
															BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5766,
																BgL_auxz00_5770);
														}
														((BgL_objectz00_bglt)
															((BgL_localz00_bglt)
																((BgL_localz00_bglt) BgL_lz00_4426)));
														{	/* Dataflow/walk.scm 251 */
															long BgL_arg1929z00_4429;

															BgL_arg1929z00_4429 =
																BGL_CLASS_NUM
																(BGl_localzf2valuezf2zzdataflow_walkz00);
															BGL_OBJECT_CLASS_NUM_SET(((BgL_objectz00_bglt) (
																		(BgL_localz00_bglt) ((BgL_localz00_bglt)
																			BgL_lz00_4426))), BgL_arg1929z00_4429);
														}
														((BgL_localz00_bglt)
															((BgL_localz00_bglt)
																((BgL_localz00_bglt) BgL_lz00_4426)));
													}
													{
														BgL_localzf2valuezf2_bglt BgL_auxz00_5784;

														{
															obj_t BgL_auxz00_5785;

															{	/* Dataflow/walk.scm 252 */
																BgL_objectz00_bglt BgL_tmpz00_5786;

																BgL_tmpz00_5786 =
																	((BgL_objectz00_bglt)
																	((BgL_localz00_bglt)
																		((BgL_localz00_bglt) BgL_lz00_4426)));
																BgL_auxz00_5785 =
																	BGL_OBJECT_WIDENING(BgL_tmpz00_5786);
															}
															BgL_auxz00_5784 =
																((BgL_localzf2valuezf2_bglt) BgL_auxz00_5785);
														}
														((((BgL_localzf2valuezf2_bglt)
																	COBJECT(BgL_auxz00_5784))->BgL_stampz00) =
															((int) (int) (BgL_stampz00_4418)), BUNSPEC);
													}
													{
														BgL_localzf2valuezf2_bglt BgL_auxz00_5794;

														{
															obj_t BgL_auxz00_5795;

															{	/* Dataflow/walk.scm 253 */
																BgL_objectz00_bglt BgL_tmpz00_5796;

																BgL_tmpz00_5796 =
																	((BgL_objectz00_bglt)
																	((BgL_localz00_bglt)
																		((BgL_localz00_bglt) BgL_lz00_4426)));
																BgL_auxz00_5795 =
																	BGL_OBJECT_WIDENING(BgL_tmpz00_5796);
															}
															BgL_auxz00_5794 =
																((BgL_localzf2valuezf2_bglt) BgL_auxz00_5795);
														}
														((((BgL_localzf2valuezf2_bglt)
																	COBJECT(BgL_auxz00_5794))->BgL_nodez00) =
															((BgL_nodez00_bglt) ((BgL_nodez00_bglt)
																	BgL_nodez00_4423)), BUNSPEC);
													}
													((obj_t)
														((BgL_localz00_bglt)
															((BgL_localz00_bglt) BgL_lz00_4426)));
												}
											else
												{	/* Dataflow/walk.scm 250 */
													BFALSE;
												}
										}
										{	/* Dataflow/walk.scm 254 */
											obj_t BgL_arg1932z00_4430;

											BgL_arg1932z00_4430 = CDR(((obj_t) BgL_bindingsz00_4421));
											{
												obj_t BgL_envz00_5810;
												obj_t BgL_bindingsz00_5809;

												BgL_bindingsz00_5809 = BgL_arg1932z00_4430;
												BgL_envz00_5810 = BgL_envz00_4425;
												BgL_envz00_4422 = BgL_envz00_5810;
												BgL_bindingsz00_4421 = BgL_bindingsz00_5809;
												goto BgL_loopz00_4420;
											}
										}
									}
								}
							}
					}
					{	/* Dataflow/walk.scm 243 */

						{	/* Dataflow/walk.scm 255 */
							obj_t BgL_arg1898z00_4431;

							BgL_arg1898z00_4431 =
								BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
								(((BgL_letzd2varzd2_bglt) COBJECT(
											((BgL_letzd2varzd2_bglt) BgL_nodez00_4082)))->
									BgL_bodyz00), BgL_envz00_4419);
							{	/* Dataflow/walk.scm 257 */
								obj_t BgL_zc3z04anonymousza31900ze3z87_4432;

								BgL_zc3z04anonymousza31900ze3z87_4432 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3z04anonymousza31900ze3ze5zzdataflow_walkz00,
									(int) (1L), (int) (1L));
								PROCEDURE_SET(BgL_zc3z04anonymousza31900ze3z87_4432, (int) (0L),
									BINT(BgL_stampz00_4418));
								{	/* Dataflow/walk.scm 255 */
									obj_t BgL_list1899z00_4433;

									BgL_list1899z00_4433 =
										MAKE_YOUNG_PAIR(BgL_arg1898z00_4431, BNIL);
									return
										BGl_filterzd2mapzd2zz__r4_control_features_6_9z00
										(BgL_zc3z04anonymousza31900ze3z87_4432,
										BgL_list1899z00_4433);
								}
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:1900> */
	obj_t BGl_z62zc3z04anonymousza31900ze3ze5zzdataflow_walkz00(obj_t
		BgL_envz00_4084, obj_t BgL_bz00_4086)
	{
		{	/* Dataflow/walk.scm 255 */
			{	/* Dataflow/walk.scm 257 */
				long BgL_stampz00_4085;

				BgL_stampz00_4085 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_4084, (int) (0L)));
				{	/* Dataflow/walk.scm 257 */
					bool_t BgL_test2499z00_5827;

					{	/* Dataflow/walk.scm 257 */
						bool_t BgL_test2500z00_5828;

						{	/* Dataflow/walk.scm 257 */
							obj_t BgL_arg1922z00_4434;

							BgL_arg1922z00_4434 = CAR(((obj_t) BgL_bz00_4086));
							{	/* Dataflow/walk.scm 257 */
								obj_t BgL_classz00_4435;

								BgL_classz00_4435 = BGl_localzf2valuezf2zzdataflow_walkz00;
								if (BGL_OBJECTP(BgL_arg1922z00_4434))
									{	/* Dataflow/walk.scm 257 */
										obj_t BgL_oclassz00_4436;

										{	/* Dataflow/walk.scm 257 */
											obj_t BgL_arg1866z00_4437;
											long BgL_arg1867z00_4438;

											BgL_arg1866z00_4437 = (BGl_za2classesza2z00zz__objectz00);
											{	/* Dataflow/walk.scm 257 */
												long BgL_arg1869z00_4439;

												BgL_arg1869z00_4439 =
													BGL_OBJECT_CLASS_NUM(
													((BgL_objectz00_bglt) BgL_arg1922z00_4434));
												BgL_arg1867z00_4438 =
													(BgL_arg1869z00_4439 - OBJECT_TYPE);
											}
											BgL_oclassz00_4436 =
												VECTOR_REF(BgL_arg1866z00_4437, BgL_arg1867z00_4438);
										}
										BgL_test2500z00_5828 =
											(BgL_oclassz00_4436 == BgL_classz00_4435);
									}
								else
									{	/* Dataflow/walk.scm 257 */
										BgL_test2500z00_5828 = ((bool_t) 0);
									}
							}
						}
						if (BgL_test2500z00_5828)
							{	/* Dataflow/walk.scm 258 */
								int BgL_arg1919z00_4440;

								{	/* Dataflow/walk.scm 258 */
									BgL_localz00_bglt BgL_oz00_4441;

									BgL_oz00_4441 =
										((BgL_localz00_bglt) CAR(((obj_t) BgL_bz00_4086)));
									{
										BgL_localzf2valuezf2_bglt BgL_auxz00_5842;

										{
											obj_t BgL_auxz00_5843;

											{	/* Dataflow/walk.scm 258 */
												BgL_objectz00_bglt BgL_tmpz00_5844;

												BgL_tmpz00_5844 = ((BgL_objectz00_bglt) BgL_oz00_4441);
												BgL_auxz00_5843 = BGL_OBJECT_WIDENING(BgL_tmpz00_5844);
											}
											BgL_auxz00_5842 =
												((BgL_localzf2valuezf2_bglt) BgL_auxz00_5843);
										}
										BgL_arg1919z00_4440 =
											(((BgL_localzf2valuezf2_bglt) COBJECT(BgL_auxz00_5842))->
											BgL_stampz00);
								}}
								BgL_test2499z00_5827 =
									((long) (BgL_arg1919z00_4440) < BgL_stampz00_4085);
							}
						else
							{	/* Dataflow/walk.scm 257 */
								BgL_test2499z00_5827 = ((bool_t) 1);
							}
					}
					if (BgL_test2499z00_5827)
						{	/* Dataflow/walk.scm 257 */
							return BgL_bz00_4086;
						}
					else
						{	/* Dataflow/walk.scm 260 */
							bool_t BgL_test2502z00_5851;

							{	/* Dataflow/walk.scm 260 */
								BgL_nodez00_bglt BgL_arg1917z00_4442;

								{	/* Dataflow/walk.scm 260 */
									BgL_localz00_bglt BgL_oz00_4443;

									BgL_oz00_4443 =
										((BgL_localz00_bglt) CAR(((obj_t) BgL_bz00_4086)));
									{
										BgL_localzf2valuezf2_bglt BgL_auxz00_5855;

										{
											obj_t BgL_auxz00_5856;

											{	/* Dataflow/walk.scm 260 */
												BgL_objectz00_bglt BgL_tmpz00_5857;

												BgL_tmpz00_5857 = ((BgL_objectz00_bglt) BgL_oz00_4443);
												BgL_auxz00_5856 = BGL_OBJECT_WIDENING(BgL_tmpz00_5857);
											}
											BgL_auxz00_5855 =
												((BgL_localzf2valuezf2_bglt) BgL_auxz00_5856);
										}
										BgL_arg1917z00_4442 =
											(((BgL_localzf2valuezf2_bglt) COBJECT(BgL_auxz00_5855))->
											BgL_nodez00);
									}
								}
								{	/* Dataflow/walk.scm 260 */
									obj_t BgL_classz00_4444;

									BgL_classz00_4444 = BGl_varz00zzast_nodez00;
									{	/* Dataflow/walk.scm 260 */
										BgL_objectz00_bglt BgL_arg1858z00_4445;

										{	/* Dataflow/walk.scm 260 */
											obj_t BgL_tmpz00_5862;

											BgL_tmpz00_5862 =
												((obj_t) ((BgL_objectz00_bglt) BgL_arg1917z00_4442));
											BgL_arg1858z00_4445 =
												(BgL_objectz00_bglt) (BgL_tmpz00_5862);
										}
										if (BGL_CONDEXPAND_ISA_ARCH64())
											{	/* Dataflow/walk.scm 260 */
												long BgL_idxz00_4446;

												BgL_idxz00_4446 =
													BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_4445);
												BgL_test2502z00_5851 =
													(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
														(BgL_idxz00_4446 + 2L)) == BgL_classz00_4444);
											}
										else
											{	/* Dataflow/walk.scm 260 */
												bool_t BgL_res2249z00_4449;

												{	/* Dataflow/walk.scm 260 */
													obj_t BgL_oclassz00_4450;

													{	/* Dataflow/walk.scm 260 */
														obj_t BgL_arg1866z00_4451;
														long BgL_arg1867z00_4452;

														BgL_arg1866z00_4451 =
															(BGl_za2classesza2z00zz__objectz00);
														{	/* Dataflow/walk.scm 260 */
															long BgL_arg1869z00_4453;

															BgL_arg1869z00_4453 =
																BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_4445);
															BgL_arg1867z00_4452 =
																(BgL_arg1869z00_4453 - OBJECT_TYPE);
														}
														BgL_oclassz00_4450 =
															VECTOR_REF(BgL_arg1866z00_4451,
															BgL_arg1867z00_4452);
													}
													{	/* Dataflow/walk.scm 260 */
														bool_t BgL__ortest_1115z00_4454;

														BgL__ortest_1115z00_4454 =
															(BgL_classz00_4444 == BgL_oclassz00_4450);
														if (BgL__ortest_1115z00_4454)
															{	/* Dataflow/walk.scm 260 */
																BgL_res2249z00_4449 = BgL__ortest_1115z00_4454;
															}
														else
															{	/* Dataflow/walk.scm 260 */
																long BgL_odepthz00_4455;

																{	/* Dataflow/walk.scm 260 */
																	obj_t BgL_arg1855z00_4456;

																	BgL_arg1855z00_4456 = (BgL_oclassz00_4450);
																	BgL_odepthz00_4455 =
																		BGL_CLASS_DEPTH(BgL_arg1855z00_4456);
																}
																if ((2L < BgL_odepthz00_4455))
																	{	/* Dataflow/walk.scm 260 */
																		obj_t BgL_arg1853z00_4457;

																		{	/* Dataflow/walk.scm 260 */
																			obj_t BgL_arg1854z00_4458;

																			BgL_arg1854z00_4458 =
																				(BgL_oclassz00_4450);
																			BgL_arg1853z00_4457 =
																				BGL_CLASS_ANCESTORS_REF
																				(BgL_arg1854z00_4458, 2L);
																		}
																		BgL_res2249z00_4449 =
																			(BgL_arg1853z00_4457 ==
																			BgL_classz00_4444);
																	}
																else
																	{	/* Dataflow/walk.scm 260 */
																		BgL_res2249z00_4449 = ((bool_t) 0);
																	}
															}
													}
												}
												BgL_test2502z00_5851 = BgL_res2249z00_4449;
											}
									}
								}
							}
							if (BgL_test2502z00_5851)
								{	/* Dataflow/walk.scm 261 */
									BgL_variablez00_bglt BgL_vz00_4459;

									{	/* Dataflow/walk.scm 261 */
										BgL_nodez00_bglt BgL_arg1915z00_4460;

										{	/* Dataflow/walk.scm 261 */
											BgL_localz00_bglt BgL_oz00_4461;

											BgL_oz00_4461 =
												((BgL_localz00_bglt) CAR(((obj_t) BgL_bz00_4086)));
											{
												BgL_localzf2valuezf2_bglt BgL_auxz00_5888;

												{
													obj_t BgL_auxz00_5889;

													{	/* Dataflow/walk.scm 261 */
														BgL_objectz00_bglt BgL_tmpz00_5890;

														BgL_tmpz00_5890 =
															((BgL_objectz00_bglt) BgL_oz00_4461);
														BgL_auxz00_5889 =
															BGL_OBJECT_WIDENING(BgL_tmpz00_5890);
													}
													BgL_auxz00_5888 =
														((BgL_localzf2valuezf2_bglt) BgL_auxz00_5889);
												}
												BgL_arg1915z00_4460 =
													(((BgL_localzf2valuezf2_bglt)
														COBJECT(BgL_auxz00_5888))->BgL_nodez00);
											}
										}
										BgL_vz00_4459 =
											(((BgL_varz00_bglt) COBJECT(
													((BgL_varz00_bglt) BgL_arg1915z00_4460)))->
											BgL_variablez00);
									}
									if (
										((((BgL_variablez00_bglt) COBJECT(BgL_vz00_4459))->
												BgL_accessz00) == ((obj_t) CNST_TABLE_REF(11))))
										{	/* Dataflow/walk.scm 263 */
											obj_t BgL_arg1912z00_4462;

											BgL_arg1912z00_4462 = CDR(((obj_t) BgL_bz00_4086));
											return
												MAKE_YOUNG_PAIR(
												((obj_t) BgL_vz00_4459), BgL_arg1912z00_4462);
										}
									else
										{	/* Dataflow/walk.scm 262 */
											return BFALSE;
										}
								}
							else
								{	/* Dataflow/walk.scm 260 */
									return BFALSE;
								}
						}
				}
			}
		}

	}



/* &dataflow-node!-let-f1404 */
	obj_t BGl_z62dataflowzd2nodez12zd2letzd2f1404za2zzdataflow_walkz00(obj_t
		BgL_envz00_4087, obj_t BgL_nodez00_4088, obj_t BgL_envz00_4089)
	{
		{	/* Dataflow/walk.scm 224 */
			{	/* Dataflow/walk.scm 226 */
				obj_t BgL_g1356z00_4464;

				BgL_g1356z00_4464 =
					(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nodez00_4088)))->BgL_localsz00);
				{
					obj_t BgL_l1354z00_4466;

					BgL_l1354z00_4466 = BgL_g1356z00_4464;
				BgL_zc3z04anonymousza31891ze3z87_4465:
					if (PAIRP(BgL_l1354z00_4466))
						{	/* Dataflow/walk.scm 226 */
							{	/* Dataflow/walk.scm 227 */
								obj_t BgL_localz00_4467;

								BgL_localz00_4467 = CAR(BgL_l1354z00_4466);
								{	/* Dataflow/walk.scm 227 */
									obj_t BgL_arg1893z00_4468;

									BgL_arg1893z00_4468 =
										(((BgL_sfunz00_bglt) COBJECT(
												((BgL_sfunz00_bglt)
													(((BgL_variablez00_bglt) COBJECT(
																((BgL_variablez00_bglt)
																	((BgL_localz00_bglt) BgL_localz00_4467))))->
														BgL_valuez00))))->BgL_bodyz00);
									BGl_dataflowzd2nodez12zc0zzdataflow_walkz00((
											(BgL_nodez00_bglt) BgL_arg1893z00_4468), BNIL);
								}
							}
							{
								obj_t BgL_l1354z00_5918;

								BgL_l1354z00_5918 = CDR(BgL_l1354z00_4466);
								BgL_l1354z00_4466 = BgL_l1354z00_5918;
								goto BgL_zc3z04anonymousza31891ze3z87_4465;
							}
						}
					else
						{	/* Dataflow/walk.scm 226 */
							((bool_t) 1);
						}
				}
			}
			return
				BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
				(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nodez00_4088)))->BgL_bodyz00),
				BgL_envz00_4089);
		}

	}



/* &dataflow-node!-switc1402 */
	obj_t BGl_z62dataflowzd2nodez12zd2switc1402z70zzdataflow_walkz00(obj_t
		BgL_envz00_4090, obj_t BgL_nodez00_4091, obj_t BgL_envz00_4092)
	{
		{	/* Dataflow/walk.scm 213 */
			BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
				(((BgL_switchz00_bglt) COBJECT(
							((BgL_switchz00_bglt) BgL_nodez00_4091)))->BgL_testz00),
				BgL_envz00_4092);
			{	/* Dataflow/walk.scm 216 */
				obj_t BgL_g1353z00_4470;

				BgL_g1353z00_4470 =
					(((BgL_switchz00_bglt) COBJECT(
							((BgL_switchz00_bglt) BgL_nodez00_4091)))->BgL_clausesz00);
				{
					obj_t BgL_l1351z00_4472;

					BgL_l1351z00_4472 = BgL_g1353z00_4470;
				BgL_zc3z04anonymousza31887ze3z87_4471:
					if (PAIRP(BgL_l1351z00_4472))
						{	/* Dataflow/walk.scm 216 */
							{	/* Dataflow/walk.scm 217 */
								obj_t BgL_clausez00_4473;

								BgL_clausez00_4473 = CAR(BgL_l1351z00_4472);
								{	/* Dataflow/walk.scm 217 */
									obj_t BgL_arg1889z00_4474;

									BgL_arg1889z00_4474 = CDR(((obj_t) BgL_clausez00_4473));
									BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
										((BgL_nodez00_bglt) BgL_arg1889z00_4474), BgL_envz00_4092);
								}
							}
							{
								obj_t BgL_l1351z00_5935;

								BgL_l1351z00_5935 = CDR(BgL_l1351z00_4472);
								BgL_l1351z00_4472 = BgL_l1351z00_5935;
								goto BgL_zc3z04anonymousza31887ze3z87_4471;
							}
						}
					else
						{	/* Dataflow/walk.scm 216 */
							((bool_t) 1);
						}
				}
			}
			return BgL_envz00_4092;
		}

	}



/* &dataflow-node!-fail1400 */
	obj_t BGl_z62dataflowzd2nodez12zd2fail1400z70zzdataflow_walkz00(obj_t
		BgL_envz00_4093, obj_t BgL_nodez00_4094, obj_t BgL_envz00_4095)
	{
		{	/* Dataflow/walk.scm 203 */
			BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
				(((BgL_failz00_bglt) COBJECT(
							((BgL_failz00_bglt) BgL_nodez00_4094)))->BgL_procz00),
				BgL_envz00_4095);
			BGl_dataflowzd2nodez12zc0zzdataflow_walkz00((((BgL_failz00_bglt)
						COBJECT(((BgL_failz00_bglt) BgL_nodez00_4094)))->BgL_msgz00),
				BgL_envz00_4095);
			BGl_dataflowzd2nodez12zc0zzdataflow_walkz00((((BgL_failz00_bglt)
						COBJECT(((BgL_failz00_bglt) BgL_nodez00_4094)))->BgL_objz00),
				BgL_envz00_4095);
			return BgL_envz00_4095;
		}

	}



/* &dataflow-node!-condi1398 */
	obj_t BGl_z62dataflowzd2nodez12zd2condi1398z70zzdataflow_walkz00(obj_t
		BgL_envz00_4096, obj_t BgL_nodez00_4097, obj_t BgL_envz00_4098)
	{
		{	/* Dataflow/walk.scm 180 */
			{
				obj_t BgL_env1z00_4478;
				obj_t BgL_env2z00_4479;

				{	/* Dataflow/walk.scm 191 */
					obj_t BgL_tenvz00_4490;

					BgL_tenvz00_4490 =
						BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
						(((BgL_conditionalz00_bglt) COBJECT(
									((BgL_conditionalz00_bglt) BgL_nodez00_4097)))->BgL_testz00),
						BgL_envz00_4098);
					{	/* Dataflow/walk.scm 191 */
						obj_t BgL_truezd2envzd2_4491;

						BgL_truezd2envzd2_4491 =
							BGl_appendzd221011zd2zzdataflow_walkz00
							(BGl_dataflowzd2testzd2envz00zzdataflow_walkz00(((
										(BgL_conditionalz00_bglt) COBJECT(((BgL_conditionalz00_bglt)
												BgL_nodez00_4097)))->BgL_testz00)), BgL_tenvz00_4490);
						{	/* Dataflow/walk.scm 192 */
							obj_t BgL_falsezd2envzd2_4492;

							BgL_falsezd2envzd2_4492 =
								BGl_appendzd221011zd2zzdataflow_walkz00
								(BGl_dataflowzd2testzd2falsezd2envzd2zzdataflow_walkz00(((
											(BgL_conditionalz00_bglt)
											COBJECT(((BgL_conditionalz00_bglt) BgL_nodez00_4097)))->
										BgL_testz00)), BgL_tenvz00_4490);
							{	/* Dataflow/walk.scm 193 */

								{	/* Dataflow/walk.scm 194 */
									obj_t BgL_tenvz00_4493;
									obj_t BgL_fenvz00_4494;

									BgL_tenvz00_4493 =
										BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
										(((BgL_conditionalz00_bglt) COBJECT(
													((BgL_conditionalz00_bglt) BgL_nodez00_4097)))->
											BgL_falsez00), BgL_falsezd2envzd2_4492);
									BgL_fenvz00_4494 =
										BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(((
												(BgL_conditionalz00_bglt)
												COBJECT(((BgL_conditionalz00_bglt) BgL_nodez00_4097)))->
											BgL_truez00), BgL_truezd2envzd2_4491);
									{	/* Dataflow/walk.scm 196 */
										bool_t BgL_test2509z00_5963;

										{	/* Dataflow/walk.scm 196 */
											BgL_nodez00_bglt BgL_arg1834z00_4495;

											BgL_arg1834z00_4495 =
												(((BgL_conditionalz00_bglt) COBJECT(
														((BgL_conditionalz00_bglt) BgL_nodez00_4097)))->
												BgL_falsez00);
											BgL_test2509z00_5963 =
												CBOOL(BGl_abortzf3zf3zzdataflow_walkz00
												(BgL_arg1834z00_4495));
										}
										if (BgL_test2509z00_5963)
											{	/* Dataflow/walk.scm 196 */
												return BgL_tenvz00_4493;
											}
										else
											{	/* Dataflow/walk.scm 196 */
												BgL_env1z00_4478 = BgL_tenvz00_4493;
												BgL_env2z00_4479 = BgL_fenvz00_4494;
												{	/* Dataflow/walk.scm 183 */
													obj_t BgL_hook1350z00_4480;

													BgL_hook1350z00_4480 = MAKE_YOUNG_PAIR(BFALSE, BNIL);
													{
														obj_t BgL_l1347z00_4482;
														obj_t BgL_h1348z00_4483;

														BgL_l1347z00_4482 = BgL_env1z00_4478;
														BgL_h1348z00_4483 = BgL_hook1350z00_4480;
													BgL_zc3z04anonymousza31858ze3z87_4481:
														if (NULLP(BgL_l1347z00_4482))
															{	/* Dataflow/walk.scm 183 */
																return CDR(BgL_hook1350z00_4480);
															}
														else
															{	/* Dataflow/walk.scm 183 */
																bool_t BgL_test2511z00_5972;

																{	/* Dataflow/walk.scm 184 */
																	obj_t BgL_cz00_4484;

																	BgL_cz00_4484 =
																		CAR(((obj_t) BgL_l1347z00_4482));
																	{	/* Dataflow/walk.scm 185 */
																		obj_t BgL_c2z00_4485;

																		BgL_c2z00_4485 =
																			BGl_assqz00zz__r4_pairs_and_lists_6_3z00
																			(CAR(((obj_t) BgL_cz00_4484)),
																			BgL_env2z00_4479);
																		{	/* Dataflow/walk.scm 186 */

																			if (PAIRP(BgL_c2z00_4485))
																				{	/* Dataflow/walk.scm 187 */
																					BgL_test2511z00_5972 =
																						(CDR(BgL_c2z00_4485) ==
																						CDR(((obj_t) BgL_cz00_4484)));
																				}
																			else
																				{	/* Dataflow/walk.scm 187 */
																					BgL_test2511z00_5972 = ((bool_t) 0);
																				}
																		}
																	}
																}
																if (BgL_test2511z00_5972)
																	{	/* Dataflow/walk.scm 183 */
																		obj_t BgL_nh1349z00_4486;

																		{	/* Dataflow/walk.scm 183 */
																			obj_t BgL_arg1873z00_4487;

																			BgL_arg1873z00_4487 =
																				CAR(((obj_t) BgL_l1347z00_4482));
																			BgL_nh1349z00_4486 =
																				MAKE_YOUNG_PAIR(BgL_arg1873z00_4487,
																				BNIL);
																		}
																		SET_CDR(BgL_h1348z00_4483,
																			BgL_nh1349z00_4486);
																		{	/* Dataflow/walk.scm 183 */
																			obj_t BgL_arg1872z00_4488;

																			BgL_arg1872z00_4488 =
																				CDR(((obj_t) BgL_l1347z00_4482));
																			{
																				obj_t BgL_h1348z00_5991;
																				obj_t BgL_l1347z00_5990;

																				BgL_l1347z00_5990 = BgL_arg1872z00_4488;
																				BgL_h1348z00_5991 = BgL_nh1349z00_4486;
																				BgL_h1348z00_4483 = BgL_h1348z00_5991;
																				BgL_l1347z00_4482 = BgL_l1347z00_5990;
																				goto
																					BgL_zc3z04anonymousza31858ze3z87_4481;
																			}
																		}
																	}
																else
																	{	/* Dataflow/walk.scm 183 */
																		obj_t BgL_arg1876z00_4489;

																		BgL_arg1876z00_4489 =
																			CDR(((obj_t) BgL_l1347z00_4482));
																		{
																			obj_t BgL_l1347z00_5994;

																			BgL_l1347z00_5994 = BgL_arg1876z00_4489;
																			BgL_l1347z00_4482 = BgL_l1347z00_5994;
																			goto
																				BgL_zc3z04anonymousza31858ze3z87_4481;
																		}
																	}
															}
													}
												}
											}
									}
								}
							}
						}
					}
				}
			}
		}

	}



/* &dataflow-node!-setq1396 */
	obj_t BGl_z62dataflowzd2nodez12zd2setq1396z70zzdataflow_walkz00(obj_t
		BgL_envz00_4099, obj_t BgL_nodez00_4100, obj_t BgL_envz00_4101)
	{
		{	/* Dataflow/walk.scm 159 */
			{	/* Dataflow/walk.scm 167 */
				obj_t BgL_nenvz00_4497;

				BgL_nenvz00_4497 =
					BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
					(((BgL_setqz00_bglt) COBJECT(
								((BgL_setqz00_bglt) BgL_nodez00_4100)))->BgL_valuez00),
					BgL_envz00_4101);
				{	/* Dataflow/walk.scm 168 */
					BgL_varz00_bglt BgL_i1154z00_4498;

					BgL_i1154z00_4498 =
						(((BgL_setqz00_bglt) COBJECT(
								((BgL_setqz00_bglt) BgL_nodez00_4100)))->BgL_varz00);
					{	/* Dataflow/walk.scm 169 */
						bool_t BgL_test2513z00_6000;

						{	/* Dataflow/walk.scm 169 */
							BgL_variablez00_bglt BgL_arg1803z00_4499;

							BgL_arg1803z00_4499 =
								(((BgL_varz00_bglt) COBJECT(BgL_i1154z00_4498))->
								BgL_variablez00);
							{	/* Dataflow/walk.scm 169 */
								obj_t BgL_classz00_4500;

								BgL_classz00_4500 = BGl_globalz00zzast_varz00;
								{	/* Dataflow/walk.scm 169 */
									BgL_objectz00_bglt BgL_arg1858z00_4501;

									{	/* Dataflow/walk.scm 169 */
										obj_t BgL_tmpz00_6002;

										BgL_tmpz00_6002 =
											((obj_t) ((BgL_objectz00_bglt) BgL_arg1803z00_4499));
										BgL_arg1858z00_4501 =
											(BgL_objectz00_bglt) (BgL_tmpz00_6002);
									}
									if (BGL_CONDEXPAND_ISA_ARCH64())
										{	/* Dataflow/walk.scm 169 */
											long BgL_idxz00_4502;

											BgL_idxz00_4502 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_4501);
											BgL_test2513z00_6000 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_4502 + 2L)) == BgL_classz00_4500);
										}
									else
										{	/* Dataflow/walk.scm 169 */
											bool_t BgL_res2248z00_4505;

											{	/* Dataflow/walk.scm 169 */
												obj_t BgL_oclassz00_4506;

												{	/* Dataflow/walk.scm 169 */
													obj_t BgL_arg1866z00_4507;
													long BgL_arg1867z00_4508;

													BgL_arg1866z00_4507 =
														(BGl_za2classesza2z00zz__objectz00);
													{	/* Dataflow/walk.scm 169 */
														long BgL_arg1869z00_4509;

														BgL_arg1869z00_4509 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_4501);
														BgL_arg1867z00_4508 =
															(BgL_arg1869z00_4509 - OBJECT_TYPE);
													}
													BgL_oclassz00_4506 =
														VECTOR_REF(BgL_arg1866z00_4507,
														BgL_arg1867z00_4508);
												}
												{	/* Dataflow/walk.scm 169 */
													bool_t BgL__ortest_1115z00_4510;

													BgL__ortest_1115z00_4510 =
														(BgL_classz00_4500 == BgL_oclassz00_4506);
													if (BgL__ortest_1115z00_4510)
														{	/* Dataflow/walk.scm 169 */
															BgL_res2248z00_4505 = BgL__ortest_1115z00_4510;
														}
													else
														{	/* Dataflow/walk.scm 169 */
															long BgL_odepthz00_4511;

															{	/* Dataflow/walk.scm 169 */
																obj_t BgL_arg1855z00_4512;

																BgL_arg1855z00_4512 = (BgL_oclassz00_4506);
																BgL_odepthz00_4511 =
																	BGL_CLASS_DEPTH(BgL_arg1855z00_4512);
															}
															if ((2L < BgL_odepthz00_4511))
																{	/* Dataflow/walk.scm 169 */
																	obj_t BgL_arg1853z00_4513;

																	{	/* Dataflow/walk.scm 169 */
																		obj_t BgL_arg1854z00_4514;

																		BgL_arg1854z00_4514 = (BgL_oclassz00_4506);
																		BgL_arg1853z00_4513 =
																			BGL_CLASS_ANCESTORS_REF
																			(BgL_arg1854z00_4514, 2L);
																	}
																	BgL_res2248z00_4505 =
																		(BgL_arg1853z00_4513 == BgL_classz00_4500);
																}
															else
																{	/* Dataflow/walk.scm 169 */
																	BgL_res2248z00_4505 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_test2513z00_6000 = BgL_res2248z00_4505;
										}
								}
							}
						}
						if (BgL_test2513z00_6000)
							{	/* Dataflow/walk.scm 170 */
								BgL_variablez00_bglt BgL_arg1789z00_4515;

								BgL_arg1789z00_4515 =
									(((BgL_varz00_bglt) COBJECT(BgL_i1154z00_4498))->
									BgL_variablez00);
								return
									BGl_removezd2variablezd2fromzd2envze70z35zzdataflow_walkz00((
										(obj_t) BgL_arg1789z00_4515), BgL_nenvz00_4497);
							}
						else
							{	/* Dataflow/walk.scm 171 */
								obj_t BgL_typz00_4516;

								{	/* Dataflow/walk.scm 171 */
									BgL_nodez00_bglt BgL_arg1802z00_4517;

									BgL_arg1802z00_4517 =
										(((BgL_setqz00_bglt) COBJECT(
												((BgL_setqz00_bglt) BgL_nodez00_4100)))->BgL_valuez00);
									BgL_typz00_4516 =
										((obj_t)
										BGl_getzd2typezd2zztype_typeofz00(BgL_arg1802z00_4517,
											((bool_t) 1)));
								}
								{	/* Dataflow/walk.scm 172 */
									bool_t BgL_test2517z00_6032;

									if ((BgL_typz00_4516 == BGl_za2_za2z00zztype_cachez00))
										{	/* Dataflow/walk.scm 172 */
											BgL_test2517z00_6032 = ((bool_t) 1);
										}
									else
										{	/* Dataflow/walk.scm 172 */
											BgL_test2517z00_6032 =
												(BgL_typz00_4516 == BGl_za2objza2z00zztype_cachez00);
										}
									if (BgL_test2517z00_6032)
										{	/* Dataflow/walk.scm 173 */
											BgL_variablez00_bglt BgL_arg1796z00_4518;

											BgL_arg1796z00_4518 =
												(((BgL_varz00_bglt) COBJECT(BgL_i1154z00_4498))->
												BgL_variablez00);
											return
												BGl_removezd2variablezd2fromzd2envze70z35zzdataflow_walkz00
												(((obj_t) BgL_arg1796z00_4518), BgL_nenvz00_4497);
										}
									else
										{	/* Dataflow/walk.scm 174 */
											obj_t BgL_arg1797z00_4519;
											obj_t BgL_arg1799z00_4520;

											{	/* Dataflow/walk.scm 174 */
												BgL_variablez00_bglt BgL_arg1800z00_4521;

												BgL_arg1800z00_4521 =
													(((BgL_varz00_bglt) COBJECT(BgL_i1154z00_4498))->
													BgL_variablez00);
												BgL_arg1797z00_4519 =
													MAKE_YOUNG_PAIR(((obj_t) BgL_arg1800z00_4521),
													BgL_typz00_4516);
											}
											{	/* Dataflow/walk.scm 175 */
												BgL_variablez00_bglt BgL_arg1801z00_4522;

												BgL_arg1801z00_4522 =
													(((BgL_varz00_bglt) COBJECT(BgL_i1154z00_4498))->
													BgL_variablez00);
												BgL_arg1799z00_4520 =
													BGl_removezd2variablezd2fromzd2envze70z35zzdataflow_walkz00
													(((obj_t) BgL_arg1801z00_4522), BgL_nenvz00_4497);
											}
											return
												MAKE_YOUNG_PAIR(BgL_arg1797z00_4519,
												BgL_arg1799z00_4520);
										}
								}
							}
					}
				}
			}
		}

	}



/* remove-variable-from-env~0 */
	obj_t BGl_removezd2variablezd2fromzd2envze70z35zzdataflow_walkz00(obj_t
		BgL_variablez00_2122, obj_t BgL_envz00_2123)
	{
		{	/* Dataflow/walk.scm 164 */
			{	/* Dataflow/walk.scm 162 */
				obj_t BgL_hook1345z00_2125;

				BgL_hook1345z00_2125 = MAKE_YOUNG_PAIR(BFALSE, BNIL);
				{
					obj_t BgL_l1342z00_2127;
					obj_t BgL_h1343z00_2128;

					BgL_l1342z00_2127 = BgL_envz00_2123;
					BgL_h1343z00_2128 = BgL_hook1345z00_2125;
				BgL_zc3z04anonymousza31806ze3z87_2129:
					if (NULLP(BgL_l1342z00_2127))
						{	/* Dataflow/walk.scm 162 */
							return CDR(BgL_hook1345z00_2125);
						}
					else
						{	/* Dataflow/walk.scm 162 */
							bool_t BgL_test2520z00_6050;

							{	/* Dataflow/walk.scm 163 */
								bool_t BgL_test2521z00_6051;

								{	/* Dataflow/walk.scm 163 */
									obj_t BgL_tmpz00_6052;

									{	/* Dataflow/walk.scm 163 */
										obj_t BgL_pairz00_3218;

										BgL_pairz00_3218 = CAR(((obj_t) BgL_l1342z00_2127));
										BgL_tmpz00_6052 = CAR(BgL_pairz00_3218);
									}
									BgL_test2521z00_6051 =
										(BgL_tmpz00_6052 == BgL_variablez00_2122);
								}
								if (BgL_test2521z00_6051)
									{	/* Dataflow/walk.scm 163 */
										BgL_test2520z00_6050 = ((bool_t) 0);
									}
								else
									{	/* Dataflow/walk.scm 163 */
										BgL_test2520z00_6050 = ((bool_t) 1);
									}
							}
							if (BgL_test2520z00_6050)
								{	/* Dataflow/walk.scm 162 */
									obj_t BgL_nh1344z00_2136;

									{	/* Dataflow/walk.scm 162 */
										obj_t BgL_arg1821z00_2138;

										BgL_arg1821z00_2138 = CAR(((obj_t) BgL_l1342z00_2127));
										BgL_nh1344z00_2136 =
											MAKE_YOUNG_PAIR(BgL_arg1821z00_2138, BNIL);
									}
									SET_CDR(BgL_h1343z00_2128, BgL_nh1344z00_2136);
									{	/* Dataflow/walk.scm 162 */
										obj_t BgL_arg1818z00_2137;

										BgL_arg1818z00_2137 = CDR(((obj_t) BgL_l1342z00_2127));
										{
											obj_t BgL_h1343z00_6064;
											obj_t BgL_l1342z00_6063;

											BgL_l1342z00_6063 = BgL_arg1818z00_2137;
											BgL_h1343z00_6064 = BgL_nh1344z00_2136;
											BgL_h1343z00_2128 = BgL_h1343z00_6064;
											BgL_l1342z00_2127 = BgL_l1342z00_6063;
											goto BgL_zc3z04anonymousza31806ze3z87_2129;
										}
									}
								}
							else
								{	/* Dataflow/walk.scm 162 */
									obj_t BgL_arg1822z00_2139;

									BgL_arg1822z00_2139 = CDR(((obj_t) BgL_l1342z00_2127));
									{
										obj_t BgL_l1342z00_6067;

										BgL_l1342z00_6067 = BgL_arg1822z00_2139;
										BgL_l1342z00_2127 = BgL_l1342z00_6067;
										goto BgL_zc3z04anonymousza31806ze3z87_2129;
									}
								}
						}
				}
			}
		}

	}



/* &dataflow-node!-exter1394 */
	obj_t BGl_z62dataflowzd2nodez12zd2exter1394z70zzdataflow_walkz00(obj_t
		BgL_envz00_4102, obj_t BgL_nodez00_4103, obj_t BgL_envz00_4104)
	{
		{	/* Dataflow/walk.scm 152 */
			{	/* Dataflow/walk.scm 153 */
				obj_t BgL_res2336z00_4524;

				BgL_res2336z00_4524 =
					BGl_dataflowzd2nodeza2z12z62zzdataflow_walkz00(
					(((BgL_externz00_bglt) COBJECT(
								((BgL_externz00_bglt) BgL_nodez00_4103)))->BgL_exprza2za2),
					BgL_envz00_4104);
				return BgL_res2336z00_4524;
			}
		}

	}



/* &dataflow-node!-funca1392 */
	obj_t BGl_z62dataflowzd2nodez12zd2funca1392z70zzdataflow_walkz00(obj_t
		BgL_envz00_4105, obj_t BgL_nodez00_4106, obj_t BgL_envz00_4107)
	{
		{	/* Dataflow/walk.scm 144 */
			BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
				(((BgL_funcallz00_bglt) COBJECT(
							((BgL_funcallz00_bglt) BgL_nodez00_4106)))->BgL_funz00),
				BgL_envz00_4107);
			return
				BGl_dataflowzd2nodeza2z12z62zzdataflow_walkz00((((BgL_funcallz00_bglt)
						COBJECT(((BgL_funcallz00_bglt) BgL_nodez00_4106)))->BgL_argsz00),
				BgL_envz00_4107);
		}

	}



/* &dataflow-node!-app-l1390 */
	obj_t BGl_z62dataflowzd2nodez12zd2appzd2l1390za2zzdataflow_walkz00(obj_t
		BgL_envz00_4108, obj_t BgL_nodez00_4109, obj_t BgL_envz00_4110)
	{
		{	/* Dataflow/walk.scm 136 */
			BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
				(((BgL_appzd2lyzd2_bglt) COBJECT(
							((BgL_appzd2lyzd2_bglt) BgL_nodez00_4109)))->BgL_funz00),
				BgL_envz00_4110);
			return
				BGl_dataflowzd2nodez12zc0zzdataflow_walkz00((((BgL_appzd2lyzd2_bglt)
						COBJECT(((BgL_appzd2lyzd2_bglt) BgL_nodez00_4109)))->BgL_argz00),
				BgL_envz00_4110);
		}

	}



/* &dataflow-node!-app1388 */
	obj_t BGl_z62dataflowzd2nodez12zd2app1388z70zzdataflow_walkz00(obj_t
		BgL_envz00_4111, obj_t BgL_nodez00_4112, obj_t BgL_envz00_4113)
	{
		{	/* Dataflow/walk.scm 120 */
			{	/* Dataflow/walk.scm 122 */
				obj_t BgL_aenvz00_4528;

				BgL_aenvz00_4528 =
					BGl_dataflowzd2nodeza2z12z62zzdataflow_walkz00(
					(((BgL_appz00_bglt) COBJECT(
								((BgL_appz00_bglt) BgL_nodez00_4112)))->BgL_argsz00),
					BgL_envz00_4113);
				{	/* Dataflow/walk.scm 123 */
					bool_t BgL_test2522z00_6086;

					{	/* Dataflow/walk.scm 123 */
						bool_t BgL_test2523z00_6087;

						{	/* Dataflow/walk.scm 123 */
							BgL_varz00_bglt BgL_arg1768z00_4529;

							BgL_arg1768z00_4529 =
								(((BgL_appz00_bglt) COBJECT(
										((BgL_appz00_bglt) BgL_nodez00_4112)))->BgL_funz00);
							{	/* Dataflow/walk.scm 123 */
								obj_t BgL_classz00_4530;

								BgL_classz00_4530 = BGl_varz00zzast_nodez00;
								{	/* Dataflow/walk.scm 123 */
									BgL_objectz00_bglt BgL_arg1858z00_4531;

									{	/* Dataflow/walk.scm 123 */
										obj_t BgL_tmpz00_6090;

										BgL_tmpz00_6090 =
											((obj_t) ((BgL_objectz00_bglt) BgL_arg1768z00_4529));
										BgL_arg1858z00_4531 =
											(BgL_objectz00_bglt) (BgL_tmpz00_6090);
									}
									if (BGL_CONDEXPAND_ISA_ARCH64())
										{	/* Dataflow/walk.scm 123 */
											long BgL_idxz00_4532;

											BgL_idxz00_4532 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_4531);
											BgL_test2523z00_6087 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_4532 + 2L)) == BgL_classz00_4530);
										}
									else
										{	/* Dataflow/walk.scm 123 */
											bool_t BgL_res2245z00_4535;

											{	/* Dataflow/walk.scm 123 */
												obj_t BgL_oclassz00_4536;

												{	/* Dataflow/walk.scm 123 */
													obj_t BgL_arg1866z00_4537;
													long BgL_arg1867z00_4538;

													BgL_arg1866z00_4537 =
														(BGl_za2classesza2z00zz__objectz00);
													{	/* Dataflow/walk.scm 123 */
														long BgL_arg1869z00_4539;

														BgL_arg1869z00_4539 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_4531);
														BgL_arg1867z00_4538 =
															(BgL_arg1869z00_4539 - OBJECT_TYPE);
													}
													BgL_oclassz00_4536 =
														VECTOR_REF(BgL_arg1866z00_4537,
														BgL_arg1867z00_4538);
												}
												{	/* Dataflow/walk.scm 123 */
													bool_t BgL__ortest_1115z00_4540;

													BgL__ortest_1115z00_4540 =
														(BgL_classz00_4530 == BgL_oclassz00_4536);
													if (BgL__ortest_1115z00_4540)
														{	/* Dataflow/walk.scm 123 */
															BgL_res2245z00_4535 = BgL__ortest_1115z00_4540;
														}
													else
														{	/* Dataflow/walk.scm 123 */
															long BgL_odepthz00_4541;

															{	/* Dataflow/walk.scm 123 */
																obj_t BgL_arg1855z00_4542;

																BgL_arg1855z00_4542 = (BgL_oclassz00_4536);
																BgL_odepthz00_4541 =
																	BGL_CLASS_DEPTH(BgL_arg1855z00_4542);
															}
															if ((2L < BgL_odepthz00_4541))
																{	/* Dataflow/walk.scm 123 */
																	obj_t BgL_arg1853z00_4543;

																	{	/* Dataflow/walk.scm 123 */
																		obj_t BgL_arg1854z00_4544;

																		BgL_arg1854z00_4544 = (BgL_oclassz00_4536);
																		BgL_arg1853z00_4543 =
																			BGL_CLASS_ANCESTORS_REF
																			(BgL_arg1854z00_4544, 2L);
																	}
																	BgL_res2245z00_4535 =
																		(BgL_arg1853z00_4543 == BgL_classz00_4530);
																}
															else
																{	/* Dataflow/walk.scm 123 */
																	BgL_res2245z00_4535 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_test2523z00_6087 = BgL_res2245z00_4535;
										}
								}
							}
						}
						if (BgL_test2523z00_6087)
							{	/* Dataflow/walk.scm 123 */
								BgL_variablez00_bglt BgL_arg1763z00_4545;

								BgL_arg1763z00_4545 =
									(((BgL_varz00_bglt) COBJECT(
											(((BgL_appz00_bglt) COBJECT(
														((BgL_appz00_bglt) BgL_nodez00_4112)))->
												BgL_funz00)))->BgL_variablez00);
								{	/* Dataflow/walk.scm 123 */
									obj_t BgL_classz00_4546;

									BgL_classz00_4546 = BGl_localz00zzast_varz00;
									{	/* Dataflow/walk.scm 123 */
										BgL_objectz00_bglt BgL_arg1858z00_4547;

										{	/* Dataflow/walk.scm 123 */
											obj_t BgL_tmpz00_6116;

											BgL_tmpz00_6116 =
												((obj_t) ((BgL_objectz00_bglt) BgL_arg1763z00_4545));
											BgL_arg1858z00_4547 =
												(BgL_objectz00_bglt) (BgL_tmpz00_6116);
										}
										if (BGL_CONDEXPAND_ISA_ARCH64())
											{	/* Dataflow/walk.scm 123 */
												long BgL_idxz00_4548;

												BgL_idxz00_4548 =
													BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_4547);
												BgL_test2522z00_6086 =
													(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
														(BgL_idxz00_4548 + 2L)) == BgL_classz00_4546);
											}
										else
											{	/* Dataflow/walk.scm 123 */
												bool_t BgL_res2246z00_4551;

												{	/* Dataflow/walk.scm 123 */
													obj_t BgL_oclassz00_4552;

													{	/* Dataflow/walk.scm 123 */
														obj_t BgL_arg1866z00_4553;
														long BgL_arg1867z00_4554;

														BgL_arg1866z00_4553 =
															(BGl_za2classesza2z00zz__objectz00);
														{	/* Dataflow/walk.scm 123 */
															long BgL_arg1869z00_4555;

															BgL_arg1869z00_4555 =
																BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_4547);
															BgL_arg1867z00_4554 =
																(BgL_arg1869z00_4555 - OBJECT_TYPE);
														}
														BgL_oclassz00_4552 =
															VECTOR_REF(BgL_arg1866z00_4553,
															BgL_arg1867z00_4554);
													}
													{	/* Dataflow/walk.scm 123 */
														bool_t BgL__ortest_1115z00_4556;

														BgL__ortest_1115z00_4556 =
															(BgL_classz00_4546 == BgL_oclassz00_4552);
														if (BgL__ortest_1115z00_4556)
															{	/* Dataflow/walk.scm 123 */
																BgL_res2246z00_4551 = BgL__ortest_1115z00_4556;
															}
														else
															{	/* Dataflow/walk.scm 123 */
																long BgL_odepthz00_4557;

																{	/* Dataflow/walk.scm 123 */
																	obj_t BgL_arg1855z00_4558;

																	BgL_arg1855z00_4558 = (BgL_oclassz00_4552);
																	BgL_odepthz00_4557 =
																		BGL_CLASS_DEPTH(BgL_arg1855z00_4558);
																}
																if ((2L < BgL_odepthz00_4557))
																	{	/* Dataflow/walk.scm 123 */
																		obj_t BgL_arg1853z00_4559;

																		{	/* Dataflow/walk.scm 123 */
																			obj_t BgL_arg1854z00_4560;

																			BgL_arg1854z00_4560 =
																				(BgL_oclassz00_4552);
																			BgL_arg1853z00_4559 =
																				BGL_CLASS_ANCESTORS_REF
																				(BgL_arg1854z00_4560, 2L);
																		}
																		BgL_res2246z00_4551 =
																			(BgL_arg1853z00_4559 ==
																			BgL_classz00_4546);
																	}
																else
																	{	/* Dataflow/walk.scm 123 */
																		BgL_res2246z00_4551 = ((bool_t) 0);
																	}
															}
													}
												}
												BgL_test2522z00_6086 = BgL_res2246z00_4551;
											}
									}
								}
							}
						else
							{	/* Dataflow/walk.scm 123 */
								BgL_test2522z00_6086 = ((bool_t) 0);
							}
					}
					if (BgL_test2522z00_6086)
						{	/* Dataflow/walk.scm 127 */
							obj_t BgL_hook1340z00_4561;

							BgL_hook1340z00_4561 = MAKE_YOUNG_PAIR(BFALSE, BNIL);
							{
								obj_t BgL_l1337z00_4563;
								obj_t BgL_h1338z00_4564;

								BgL_l1337z00_4563 = BgL_aenvz00_4528;
								BgL_h1338z00_4564 = BgL_hook1340z00_4561;
							BgL_zc3z04anonymousza31732ze3z87_4562:
								if (NULLP(BgL_l1337z00_4563))
									{	/* Dataflow/walk.scm 127 */
										return CDR(BgL_hook1340z00_4561);
									}
								else
									{	/* Dataflow/walk.scm 127 */
										bool_t BgL_test2531z00_6143;

										{	/* Dataflow/walk.scm 128 */
											obj_t BgL_vz00_4565;

											{	/* Dataflow/walk.scm 128 */
												obj_t BgL_pairz00_4566;

												BgL_pairz00_4566 = CAR(((obj_t) BgL_l1337z00_4563));
												BgL_vz00_4565 = CAR(BgL_pairz00_4566);
											}
											{	/* Dataflow/walk.scm 129 */
												bool_t BgL__ortest_1150z00_4567;

												{	/* Dataflow/walk.scm 129 */
													obj_t BgL_classz00_4568;

													BgL_classz00_4568 = BGl_globalz00zzast_varz00;
													if (BGL_OBJECTP(BgL_vz00_4565))
														{	/* Dataflow/walk.scm 129 */
															BgL_objectz00_bglt BgL_arg1858z00_4569;

															BgL_arg1858z00_4569 =
																(BgL_objectz00_bglt) (BgL_vz00_4565);
															if (BGL_CONDEXPAND_ISA_ARCH64())
																{	/* Dataflow/walk.scm 129 */
																	long BgL_idxz00_4570;

																	BgL_idxz00_4570 =
																		BGL_OBJECT_INHERITANCE_NUM
																		(BgL_arg1858z00_4569);
																	BgL__ortest_1150z00_4567 =
																		(VECTOR_REF
																		(BGl_za2inheritancesza2z00zz__objectz00,
																			(BgL_idxz00_4570 + 2L)) ==
																		BgL_classz00_4568);
																}
															else
																{	/* Dataflow/walk.scm 129 */
																	bool_t BgL_res2247z00_4573;

																	{	/* Dataflow/walk.scm 129 */
																		obj_t BgL_oclassz00_4574;

																		{	/* Dataflow/walk.scm 129 */
																			obj_t BgL_arg1866z00_4575;
																			long BgL_arg1867z00_4576;

																			BgL_arg1866z00_4575 =
																				(BGl_za2classesza2z00zz__objectz00);
																			{	/* Dataflow/walk.scm 129 */
																				long BgL_arg1869z00_4577;

																				BgL_arg1869z00_4577 =
																					BGL_OBJECT_CLASS_NUM
																					(BgL_arg1858z00_4569);
																				BgL_arg1867z00_4576 =
																					(BgL_arg1869z00_4577 - OBJECT_TYPE);
																			}
																			BgL_oclassz00_4574 =
																				VECTOR_REF(BgL_arg1866z00_4575,
																				BgL_arg1867z00_4576);
																		}
																		{	/* Dataflow/walk.scm 129 */
																			bool_t BgL__ortest_1115z00_4578;

																			BgL__ortest_1115z00_4578 =
																				(BgL_classz00_4568 ==
																				BgL_oclassz00_4574);
																			if (BgL__ortest_1115z00_4578)
																				{	/* Dataflow/walk.scm 129 */
																					BgL_res2247z00_4573 =
																						BgL__ortest_1115z00_4578;
																				}
																			else
																				{	/* Dataflow/walk.scm 129 */
																					long BgL_odepthz00_4579;

																					{	/* Dataflow/walk.scm 129 */
																						obj_t BgL_arg1855z00_4580;

																						BgL_arg1855z00_4580 =
																							(BgL_oclassz00_4574);
																						BgL_odepthz00_4579 =
																							BGL_CLASS_DEPTH
																							(BgL_arg1855z00_4580);
																					}
																					if ((2L < BgL_odepthz00_4579))
																						{	/* Dataflow/walk.scm 129 */
																							obj_t BgL_arg1853z00_4581;

																							{	/* Dataflow/walk.scm 129 */
																								obj_t BgL_arg1854z00_4582;

																								BgL_arg1854z00_4582 =
																									(BgL_oclassz00_4574);
																								BgL_arg1853z00_4581 =
																									BGL_CLASS_ANCESTORS_REF
																									(BgL_arg1854z00_4582, 2L);
																							}
																							BgL_res2247z00_4573 =
																								(BgL_arg1853z00_4581 ==
																								BgL_classz00_4568);
																						}
																					else
																						{	/* Dataflow/walk.scm 129 */
																							BgL_res2247z00_4573 =
																								((bool_t) 0);
																						}
																				}
																		}
																	}
																	BgL__ortest_1150z00_4567 =
																		BgL_res2247z00_4573;
																}
														}
													else
														{	/* Dataflow/walk.scm 129 */
															BgL__ortest_1150z00_4567 = ((bool_t) 0);
														}
												}
												if (BgL__ortest_1150z00_4567)
													{	/* Dataflow/walk.scm 129 */
														BgL_test2531z00_6143 = BgL__ortest_1150z00_4567;
													}
												else
													{	/* Dataflow/walk.scm 129 */
														BgL_test2531z00_6143 =
															(
															(((BgL_variablez00_bglt) COBJECT(
																		((BgL_variablez00_bglt) BgL_vz00_4565)))->
																BgL_accessz00) == ((obj_t) CNST_TABLE_REF(11)));
													}
											}
										}
										if (BgL_test2531z00_6143)
											{	/* Dataflow/walk.scm 127 */
												obj_t BgL_nh1339z00_4583;

												{	/* Dataflow/walk.scm 127 */
													obj_t BgL_arg1755z00_4584;

													BgL_arg1755z00_4584 =
														CAR(((obj_t) BgL_l1337z00_4563));
													BgL_nh1339z00_4583 =
														MAKE_YOUNG_PAIR(BgL_arg1755z00_4584, BNIL);
												}
												SET_CDR(BgL_h1338z00_4564, BgL_nh1339z00_4583);
												{	/* Dataflow/walk.scm 127 */
													obj_t BgL_arg1748z00_4585;

													BgL_arg1748z00_4585 =
														CDR(((obj_t) BgL_l1337z00_4563));
													{
														obj_t BgL_h1338z00_6182;
														obj_t BgL_l1337z00_6181;

														BgL_l1337z00_6181 = BgL_arg1748z00_4585;
														BgL_h1338z00_6182 = BgL_nh1339z00_4583;
														BgL_h1338z00_4564 = BgL_h1338z00_6182;
														BgL_l1337z00_4563 = BgL_l1337z00_6181;
														goto BgL_zc3z04anonymousza31732ze3z87_4562;
													}
												}
											}
										else
											{	/* Dataflow/walk.scm 127 */
												obj_t BgL_arg1756z00_4586;

												BgL_arg1756z00_4586 = CDR(((obj_t) BgL_l1337z00_4563));
												{
													obj_t BgL_l1337z00_6185;

													BgL_l1337z00_6185 = BgL_arg1756z00_4586;
													BgL_l1337z00_4563 = BgL_l1337z00_6185;
													goto BgL_zc3z04anonymousza31732ze3z87_4562;
												}
											}
									}
							}
						}
					else
						{	/* Dataflow/walk.scm 123 */
							return BgL_aenvz00_4528;
						}
				}
			}
		}

	}



/* &dataflow-node!-sync1386 */
	obj_t BGl_z62dataflowzd2nodez12zd2sync1386z70zzdataflow_walkz00(obj_t
		BgL_envz00_4114, obj_t BgL_nodez00_4115, obj_t BgL_envz00_4116)
	{
		{	/* Dataflow/walk.scm 111 */
			BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
				(((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_nodez00_4115)))->BgL_mutexz00),
				BgL_envz00_4116);
			BGl_dataflowzd2nodez12zc0zzdataflow_walkz00((((BgL_syncz00_bglt)
						COBJECT(((BgL_syncz00_bglt) BgL_nodez00_4115)))->BgL_prelockz00),
				BgL_envz00_4116);
			BGl_dataflowzd2nodez12zc0zzdataflow_walkz00((((BgL_syncz00_bglt)
						COBJECT(((BgL_syncz00_bglt) BgL_nodez00_4115)))->BgL_bodyz00),
				BgL_envz00_4116);
			return BgL_envz00_4116;
		}

	}



/* &dataflow-node!-seque1384 */
	obj_t BGl_z62dataflowzd2nodez12zd2seque1384z70zzdataflow_walkz00(obj_t
		BgL_envz00_4117, obj_t BgL_nodez00_4118, obj_t BgL_envz00_4119)
	{
		{	/* Dataflow/walk.scm 101 */
			{	/* Dataflow/walk.scm 102 */
				obj_t BgL_res2337z00_4596;

				{	/* Dataflow/walk.scm 102 */
					obj_t BgL_g1148z00_4589;

					BgL_g1148z00_4589 =
						(((BgL_sequencez00_bglt) COBJECT(
								((BgL_sequencez00_bglt) BgL_nodez00_4118)))->BgL_nodesz00);
					{
						obj_t BgL_nodeza2za2_4591;
						obj_t BgL_envz00_4592;

						BgL_nodeza2za2_4591 = BgL_g1148z00_4589;
						BgL_envz00_4592 = BgL_envz00_4119;
					BgL_loopz00_4590:
						if (NULLP(BgL_nodeza2za2_4591))
							{	/* Dataflow/walk.scm 104 */
								BgL_res2337z00_4596 = BgL_envz00_4592;
							}
						else
							{	/* Dataflow/walk.scm 106 */
								obj_t BgL_arg1696z00_4593;
								obj_t BgL_arg1699z00_4594;

								BgL_arg1696z00_4593 = CDR(((obj_t) BgL_nodeza2za2_4591));
								{	/* Dataflow/walk.scm 106 */
									obj_t BgL_arg1703z00_4595;

									BgL_arg1703z00_4595 = CAR(((obj_t) BgL_nodeza2za2_4591));
									BgL_arg1699z00_4594 =
										BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
										((BgL_nodez00_bglt) BgL_arg1703z00_4595), BgL_envz00_4592);
								}
								{
									obj_t BgL_envz00_6206;
									obj_t BgL_nodeza2za2_6205;

									BgL_nodeza2za2_6205 = BgL_arg1696z00_4593;
									BgL_envz00_6206 = BgL_arg1699z00_4594;
									BgL_envz00_4592 = BgL_envz00_6206;
									BgL_nodeza2za2_4591 = BgL_nodeza2za2_6205;
									goto BgL_loopz00_4590;
								}
							}
					}
				}
				return BgL_res2337z00_4596;
			}
		}

	}



/* &dataflow-node!-closu1382 */
	obj_t BGl_z62dataflowzd2nodez12zd2closu1382z70zzdataflow_walkz00(obj_t
		BgL_envz00_4120, obj_t BgL_nodez00_4121, obj_t BgL_envz00_4122)
	{
		{	/* Dataflow/walk.scm 95 */
			return ((obj_t) BgL_envz00_4122);
		}

	}



/* &dataflow-node!-var1380 */
	obj_t BGl_z62dataflowzd2nodez12zd2var1380z70zzdataflow_walkz00(obj_t
		BgL_envz00_4123, obj_t BgL_nodez00_4124, obj_t BgL_envz00_4125)
	{
		{	/* Dataflow/walk.scm 81 */
			{	/* Dataflow/walk.scm 83 */
				BgL_variablez00_bglt BgL_i1146z00_4600;

				BgL_i1146z00_4600 =
					(((BgL_varz00_bglt) COBJECT(
							((BgL_varz00_bglt) BgL_nodez00_4124)))->BgL_variablez00);
				{	/* Dataflow/walk.scm 84 */
					bool_t BgL_test2538z00_6210;

					if (BGl_bigloozd2typezf3z21zztype_typez00(
							(((BgL_variablez00_bglt) COBJECT(BgL_i1146z00_4600))->
								BgL_typez00)))
						{	/* Dataflow/walk.scm 85 */
							bool_t BgL__ortest_1147z00_4601;

							{	/* Dataflow/walk.scm 85 */
								bool_t BgL_test2540z00_6214;

								{	/* Dataflow/walk.scm 85 */
									BgL_typez00_bglt BgL_arg1692z00_4602;

									BgL_arg1692z00_4602 =
										(((BgL_variablez00_bglt) COBJECT(BgL_i1146z00_4600))->
										BgL_typez00);
									{	/* Dataflow/walk.scm 85 */
										obj_t BgL_classz00_4603;

										BgL_classz00_4603 = BGl_tclassz00zzobject_classz00;
										{	/* Dataflow/walk.scm 85 */
											BgL_objectz00_bglt BgL_arg1858z00_4604;

											{	/* Dataflow/walk.scm 85 */
												obj_t BgL_tmpz00_6216;

												BgL_tmpz00_6216 =
													((obj_t) ((BgL_objectz00_bglt) BgL_arg1692z00_4602));
												BgL_arg1858z00_4604 =
													(BgL_objectz00_bglt) (BgL_tmpz00_6216);
											}
											if (BGL_CONDEXPAND_ISA_ARCH64())
												{	/* Dataflow/walk.scm 85 */
													long BgL_idxz00_4605;

													BgL_idxz00_4605 =
														BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_4604);
													BgL_test2540z00_6214 =
														(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
															(BgL_idxz00_4605 + 2L)) == BgL_classz00_4603);
												}
											else
												{	/* Dataflow/walk.scm 85 */
													bool_t BgL_res2244z00_4608;

													{	/* Dataflow/walk.scm 85 */
														obj_t BgL_oclassz00_4609;

														{	/* Dataflow/walk.scm 85 */
															obj_t BgL_arg1866z00_4610;
															long BgL_arg1867z00_4611;

															BgL_arg1866z00_4610 =
																(BGl_za2classesza2z00zz__objectz00);
															{	/* Dataflow/walk.scm 85 */
																long BgL_arg1869z00_4612;

																BgL_arg1869z00_4612 =
																	BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_4604);
																BgL_arg1867z00_4611 =
																	(BgL_arg1869z00_4612 - OBJECT_TYPE);
															}
															BgL_oclassz00_4609 =
																VECTOR_REF(BgL_arg1866z00_4610,
																BgL_arg1867z00_4611);
														}
														{	/* Dataflow/walk.scm 85 */
															bool_t BgL__ortest_1115z00_4613;

															BgL__ortest_1115z00_4613 =
																(BgL_classz00_4603 == BgL_oclassz00_4609);
															if (BgL__ortest_1115z00_4613)
																{	/* Dataflow/walk.scm 85 */
																	BgL_res2244z00_4608 =
																		BgL__ortest_1115z00_4613;
																}
															else
																{	/* Dataflow/walk.scm 85 */
																	long BgL_odepthz00_4614;

																	{	/* Dataflow/walk.scm 85 */
																		obj_t BgL_arg1855z00_4615;

																		BgL_arg1855z00_4615 = (BgL_oclassz00_4609);
																		BgL_odepthz00_4614 =
																			BGL_CLASS_DEPTH(BgL_arg1855z00_4615);
																	}
																	if ((2L < BgL_odepthz00_4614))
																		{	/* Dataflow/walk.scm 85 */
																			obj_t BgL_arg1853z00_4616;

																			{	/* Dataflow/walk.scm 85 */
																				obj_t BgL_arg1854z00_4617;

																				BgL_arg1854z00_4617 =
																					(BgL_oclassz00_4609);
																				BgL_arg1853z00_4616 =
																					BGL_CLASS_ANCESTORS_REF
																					(BgL_arg1854z00_4617, 2L);
																			}
																			BgL_res2244z00_4608 =
																				(BgL_arg1853z00_4616 ==
																				BgL_classz00_4603);
																		}
																	else
																		{	/* Dataflow/walk.scm 85 */
																			BgL_res2244z00_4608 = ((bool_t) 0);
																		}
																}
														}
													}
													BgL_test2540z00_6214 = BgL_res2244z00_4608;
												}
										}
									}
								}
								if (BgL_test2540z00_6214)
									{	/* Dataflow/walk.scm 85 */
										BgL__ortest_1147z00_4601 = ((bool_t) 0);
									}
								else
									{	/* Dataflow/walk.scm 85 */
										BgL__ortest_1147z00_4601 = ((bool_t) 1);
									}
							}
							if (BgL__ortest_1147z00_4601)
								{	/* Dataflow/walk.scm 85 */
									BgL_test2538z00_6210 = BgL__ortest_1147z00_4601;
								}
							else
								{	/* Dataflow/walk.scm 85 */
									BgL_typez00_bglt BgL_arg1686z00_4618;
									BgL_typez00_bglt BgL_arg1691z00_4619;

									BgL_arg1686z00_4618 =
										(((BgL_variablez00_bglt) COBJECT(BgL_i1146z00_4600))->
										BgL_typez00);
									BgL_arg1691z00_4619 =
										(((BgL_nodez00_bglt)
											COBJECT(((BgL_nodez00_bglt) ((BgL_varz00_bglt)
														BgL_nodez00_4124))))->BgL_typez00);
									BgL_test2538z00_6210 =
										BGl_typezd2subclasszf3z21zzobject_classz00
										(BgL_arg1686z00_4618, BgL_arg1691z00_4619);
								}
						}
					else
						{	/* Dataflow/walk.scm 84 */
							BgL_test2538z00_6210 = ((bool_t) 0);
						}
					if (BgL_test2538z00_6210)
						{	/* Dataflow/walk.scm 86 */
							obj_t BgL_bz00_4620;

							BgL_bz00_4620 =
								BGl_assqz00zz__r4_pairs_and_lists_6_3z00(
								((obj_t)
									(((BgL_varz00_bglt) COBJECT(
												((BgL_varz00_bglt) BgL_nodez00_4124)))->
										BgL_variablez00)), BgL_envz00_4125);
							if (PAIRP(BgL_bz00_4620))
								{	/* Dataflow/walk.scm 87 */
									((((BgL_nodez00_bglt) COBJECT(
													((BgL_nodez00_bglt)
														((BgL_varz00_bglt) BgL_nodez00_4124))))->
											BgL_typez00) =
										((BgL_typez00_bglt) ((BgL_typez00_bglt)
												CDR(BgL_bz00_4620))), BUNSPEC);
								}
							else
								{	/* Dataflow/walk.scm 87 */
									((((BgL_nodez00_bglt) COBJECT(
													((BgL_nodez00_bglt)
														((BgL_varz00_bglt) BgL_nodez00_4124))))->
											BgL_typez00) =
										((BgL_typez00_bglt) (((BgL_variablez00_bglt)
													COBJECT((((BgL_varz00_bglt) COBJECT(((BgL_varz00_bglt)
																		BgL_nodez00_4124)))->BgL_variablez00)))->
												BgL_typez00)), BUNSPEC);
								}
						}
					else
						{	/* Dataflow/walk.scm 84 */
							BFALSE;
						}
				}
			}
			return BgL_envz00_4125;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzdataflow_walkz00(void)
	{
		{	/* Dataflow/walk.scm 17 */
			BGl_modulezd2initializa7ationz75zztools_speekz00(61247943L,
				BSTRING_TO_STRING(BGl_string2331z00zzdataflow_walkz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(300504031L,
				BSTRING_TO_STRING(BGl_string2331z00zzdataflow_walkz00));
			BGl_modulezd2initializa7ationz75zzengine_passz00(373082237L,
				BSTRING_TO_STRING(BGl_string2331z00zzdataflow_walkz00));
			BGl_modulezd2initializa7ationz75zztools_tracez00(54713316L,
				BSTRING_TO_STRING(BGl_string2331z00zzdataflow_walkz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(365925558L,
				BSTRING_TO_STRING(BGl_string2331z00zzdataflow_walkz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(515343395L,
				BSTRING_TO_STRING(BGl_string2331z00zzdataflow_walkz00));
			BGl_modulezd2initializa7ationz75zztype_typeofz00(398780265L,
				BSTRING_TO_STRING(BGl_string2331z00zzdataflow_walkz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(489890788L,
				BSTRING_TO_STRING(BGl_string2331z00zzdataflow_walkz00));
			BGl_modulezd2initializa7ationz75zztype_miscz00(49975086L,
				BSTRING_TO_STRING(BGl_string2331z00zzdataflow_walkz00));
			BGl_modulezd2initializa7ationz75zztype_envz00(296457443L,
				BSTRING_TO_STRING(BGl_string2331z00zzdataflow_walkz00));
			BGl_modulezd2initializa7ationz75zzobject_classz00(502007119L,
				BSTRING_TO_STRING(BGl_string2331z00zzdataflow_walkz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(90839984L,
				BSTRING_TO_STRING(BGl_string2331z00zzdataflow_walkz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(469732712L,
				BSTRING_TO_STRING(BGl_string2331z00zzdataflow_walkz00));
			BGl_modulezd2initializa7ationz75zzast_envz00(146730773L,
				BSTRING_TO_STRING(BGl_string2331z00zzdataflow_walkz00));
			BGl_modulezd2initializa7ationz75zzast_dumpz00(271707717L,
				BSTRING_TO_STRING(BGl_string2331z00zzdataflow_walkz00));
			BGl_modulezd2initializa7ationz75zzeffect_cgraphz00(271385047L,
				BSTRING_TO_STRING(BGl_string2331z00zzdataflow_walkz00));
			BGl_modulezd2initializa7ationz75zzeffect_spreadz00(348216764L,
				BSTRING_TO_STRING(BGl_string2331z00zzdataflow_walkz00));
			BGl_modulezd2initializa7ationz75zzeffect_feffectz00(516374368L,
				BSTRING_TO_STRING(BGl_string2331z00zzdataflow_walkz00));
			return
				BGl_modulezd2initializa7ationz75zzengine_paramz00(161876678L,
				BSTRING_TO_STRING(BGl_string2331z00zzdataflow_walkz00));
		}

	}

#ifdef __cplusplus
}
#endif
