/*===========================================================================*/
/*   (Globalize/free.scm)                                                    */
/*   Bigloo (4.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Jan 27 07:45:49 AM CET 2025     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.6a/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.6a/lib/bigloo/4.6a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -stdc -indent Globalize/free.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL_GLOBALIZE_FREE_TYPE_DEFINITIONS
#define BGL_GLOBALIZE_FREE_TYPE_DEFINITIONS

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_nullz00;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_qualifiedzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_svarz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}              *BgL_svarz00_bglt;

	typedef struct BgL_sexitz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_handlerz00;
		bool_t BgL_detachedzf3zf3;
	}               *BgL_sexitz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_literalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}                 *BgL_literalz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_refz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_refz00_bglt;

	typedef struct BgL_closurez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}                 *BgL_closurez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
		obj_t BgL_metaz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_stackablez00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_switchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_switchz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		struct BgL_nodez00_bgl *BgL_onexitz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		obj_t BgL_stackablez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}              *BgL_syncz00_bglt;

	typedef struct BgL_sfunzf2ginfozf2_bgl
	{
		bool_t BgL_gzf3zf3;
		obj_t BgL_cfromz00;
		obj_t BgL_cfromza2za2;
		obj_t BgL_ctoz00;
		obj_t BgL_ctoza2za2;
		obj_t BgL_efunctionsz00;
		obj_t BgL_integratorz00;
		obj_t BgL_imarkz00;
		obj_t BgL_ownerz00;
		obj_t BgL_integratedz00;
		obj_t BgL_pluggedzd2inzd2;
		long BgL_markz00;
		obj_t BgL_freezd2markzd2;
		obj_t BgL_thezd2globalzd2;
		obj_t BgL_kapturedz00;
		obj_t BgL_newzd2bodyzd2;
		long BgL_bmarkz00;
		long BgL_umarkz00;
		obj_t BgL_freez00;
		obj_t BgL_boundz00;
	}                      *BgL_sfunzf2ginfozf2_bglt;

	typedef struct BgL_svarzf2ginfozf2_bgl
	{
		bool_t BgL_kapturedzf3zf3;
		long BgL_freezd2markzd2;
		long BgL_markz00;
		bool_t BgL_celledzf3zf3;
		bool_t BgL_stackablez00;
	}                      *BgL_svarzf2ginfozf2_bglt;

	typedef struct BgL_sexitzf2ginfozf2_bgl
	{
		bool_t BgL_gzf3zf3;
		bool_t BgL_kapturedzf3zf3;
		long BgL_freezd2markzd2;
		long BgL_markz00;
	}                       *BgL_sexitzf2ginfozf2_bglt;

	typedef struct BgL_localzf2ginfozf2_bgl
	{
		bool_t BgL_escapezf3zf3;
		bool_t BgL_globaliza7edzf3z54;
	}                       *BgL_localzf2ginfozf2_bglt;


#endif													// BGL_GLOBALIZE_FREE_TYPE_DEFINITIONS
#endif													// BGL_MODULE_TYPE_DEFINITIONS

	extern obj_t BGl_setqz00zzast_nodez00;
	static obj_t
		BGl_z62nodezd2freezd2conditiona1329z62zzglobaliza7e_freeza7(obj_t, obj_t,
		obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzglobaliza7e_freeza7 = BUNSPEC;
	extern obj_t BGl_closurez00zzast_nodez00;
	extern obj_t BGl_syncz00zzast_nodez00;
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	static obj_t BGl_z62nodezd2freezd2letzd2fun1335zb0zzglobaliza7e_freeza7(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_sfunz00zzast_varz00;
	static obj_t BGl_toplevelzd2initzd2zzglobaliza7e_freeza7(void);
	extern obj_t BGl_sequencez00zzast_nodez00;
	static obj_t
		BGl_z62nodezd2freezd2boxzd2setz121347za2zzglobaliza7e_freeza7(obj_t, obj_t,
		obj_t);
	static obj_t BGl_nodezd2freeza2z70zzglobaliza7e_freeza7(obj_t, obj_t);
	static obj_t
		BGl_z62nodezd2freezd2makezd2box1343zb0zzglobaliza7e_freeza7(obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_formatz00zz__r4_output_6_10_3z00(obj_t, obj_t);
	static obj_t BGl_za2integratorza2z00zzglobaliza7e_freeza7 = BUNSPEC;
	static obj_t BGl_z62nodezd2freezb0zzglobaliza7e_freeza7(obj_t, obj_t, obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	static obj_t BGl_genericzd2initzd2zzglobaliza7e_freeza7(void);
	BGL_IMPORT obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
	static obj_t BGl_objectzd2initzd2zzglobaliza7e_freeza7(void);
	extern obj_t BGl_castz00zzast_nodez00;
	extern obj_t BGl_sexitzf2Ginfozf2zzglobaliza7e_ginfoza7;
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	BGL_EXPORTED_DECL obj_t
		BGl_getzd2freezd2varsz00zzglobaliza7e_freeza7(BgL_nodez00_bglt,
		BgL_localz00_bglt);
	static obj_t BGl_z62thezd2globalzd2closurez62zzglobaliza7e_freeza7(obj_t,
		obj_t, obj_t);
	static obj_t BGl_nodezd2freezd2zzglobaliza7e_freeza7(BgL_nodez00_bglt, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	extern obj_t BGl_refz00zzast_nodez00;
	BGL_IMPORT obj_t bstring_to_symbol(obj_t);
	extern obj_t BGl_localzf2Ginfozf2zzglobaliza7e_ginfoza7;
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_svarzf2Ginfozf2zzglobaliza7e_ginfoza7;
	static obj_t BGl_methodzd2initzd2zzglobaliza7e_freeza7(void);
	static obj_t BGl_z62freezd2fromzb0zzglobaliza7e_freeza7(obj_t, obj_t, obj_t);
	static obj_t BGl_bindzd2variablez12zc0zzglobaliza7e_freeza7(BgL_localz00_bglt,
		BgL_localz00_bglt);
	extern obj_t BGl_externz00zzast_nodez00;
	static obj_t
		BGl_z62nodezd2freezd2jumpzd2exzd2it1341z62zzglobaliza7e_freeza7(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62nodezd2freezd2sequence1313z62zzglobaliza7e_freeza7(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62nodezd2freezd2var1309z62zzglobaliza7e_freeza7(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_markzd2variablez12zc0zzglobaliza7e_freeza7(BgL_localz00_bglt);
	extern obj_t BGl_findzd2globalzd2zzast_envz00(obj_t, obj_t);
	BGL_IMPORT obj_t string_append(obj_t, obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	static obj_t BGl_z62nodezd2freezd2funcall1321z62zzglobaliza7e_freeza7(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	static obj_t BGl_thezd2localzd2closurez00zzglobaliza7e_freeza7(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_freezd2fromzd2zzglobaliza7e_freeza7(obj_t,
		BgL_localz00_bglt);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62nodezd2freezd2letzd2var1337zb0zzglobaliza7e_freeza7(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_za2_za2z00zztype_cachez00;
	static obj_t BGl_za2roundza2z00zzglobaliza7e_freeza7 = BUNSPEC;
	extern obj_t BGl_za2procedureza2z00zztype_cachez00;
	extern BgL_globalz00_bglt
		BGl_defzd2globalzd2scnstz12z12zzast_glozd2defzd2(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62nodezd2freezd2setzd2exzd2it1339z62zzglobaliza7e_freeza7(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62nodezd2freezd2closure1311z62zzglobaliza7e_freeza7(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	static obj_t BGl_z62nodezd2freezd2boxzd2ref1345zb0zzglobaliza7e_freeza7(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62nodezd2freezd2app1317z62zzglobaliza7e_freeza7(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzglobaliza7e_freeza7(long, char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zzglobaliza7e_globalzd2closurez75(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzglobaliza7e_nodeza7(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzglobaliza7e_ginfoza7(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_glozd2defzd2(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_localz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	static obj_t BGl_z62nodezd2freezd2appzd2ly1319zb0zzglobaliza7e_freeza7(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	static obj_t BGl_freezd2variablezf3z21zzglobaliza7e_freeza7(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_thezd2closurezd2zzglobaliza7e_freeza7(BgL_variablez00_bglt, obj_t);
	static obj_t BGl_z62nodezd2free1304zb0zzglobaliza7e_freeza7(obj_t, obj_t,
		obj_t);
	extern BgL_globalz00_bglt
		BGl_makezd2globalzd2closurez00zzglobaliza7e_globalzd2closurez75
		(BgL_globalz00_bglt);
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_localz00zzast_varz00;
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzglobaliza7e_freeza7(void);
	static obj_t BGl_libraryzd2moduleszd2initz00zzglobaliza7e_freeza7(void);
	extern BgL_localz00_bglt BGl_makezd2localzd2svarz00zzast_localz00(obj_t,
		BgL_typez00_bglt);
	static obj_t
		BGl_internalzd2getzd2freezd2varsz12zc0zzglobaliza7e_freeza7
		(BgL_nodez00_bglt, BgL_localz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_thezd2globalzd2closurez00zzglobaliza7e_freeza7(BgL_globalz00_bglt,
		obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzglobaliza7e_freeza7(void);
	static obj_t BGl_gczd2rootszd2initz00zzglobaliza7e_freeza7(void);
	static obj_t BGl_z62nodezd2freezd2cast1325z62zzglobaliza7e_freeza7(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62nodezd2freezd2extern1323z62zzglobaliza7e_freeza7(obj_t,
		obj_t, obj_t);
	extern BgL_nodez00_bglt BGl_sexpzd2ze3nodez31zzast_sexpz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62nodezd2freezd2switch1333z62zzglobaliza7e_freeza7(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62nodezd2freezd2setq1327z62zzglobaliza7e_freeza7(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	static obj_t BGl_z62nodezd2freezd2sync1315z62zzglobaliza7e_freeza7(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62nodezd2freezd2fail1331z62zzglobaliza7e_freeza7(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_literalz00zzast_nodez00;
	extern obj_t BGl_switchz00zzast_nodez00;
	static obj_t BGl_z62getzd2freezd2varsz62zzglobaliza7e_freeza7(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62thezd2closurezb0zzglobaliza7e_freeza7(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	extern obj_t BGl_funcallz00zzast_nodez00;
	extern obj_t BGl_globalz00zzast_varz00;
	extern obj_t BGl_sfunzf2Ginfozf2zzglobaliza7e_ginfoza7;
	static obj_t __cnst[6];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_getzd2freezd2varszd2envzd2zzglobaliza7e_freeza7,
		BgL_bgl_za762getza7d2freeza7d22026za7,
		BGl_z62getzd2freezd2varsz62zzglobaliza7e_freeza7, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string1998z00zzglobaliza7e_freeza7,
		BgL_bgl_string1998za700za7za7g2027za7, "Unknown variable type (~a)", 26);
	      DEFINE_STRING(BGl_string1999z00zzglobaliza7e_freeza7,
		BgL_bgl_string1999za700za7za7g2028za7, "free-variable?", 14);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_thezd2globalzd2closurezd2envzd2zzglobaliza7e_freeza7,
		BgL_bgl_za762theza7d2globalza72029za7,
		BGl_z62thezd2globalzd2closurez62zzglobaliza7e_freeza7, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_freezd2fromzd2envz00zzglobaliza7e_freeza7,
		BgL_bgl_za762freeza7d2fromza7b2030za7,
		BGl_z62freezd2fromzb0zzglobaliza7e_freeza7, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2001z00zzglobaliza7e_freeza7,
		BgL_bgl_string2001za700za7za7g2031za7, "node-free1304", 13);
	      DEFINE_STRING(BGl_string2003z00zzglobaliza7e_freeza7,
		BgL_bgl_string2003za700za7za7g2032za7, "node-free", 9);
	      DEFINE_STATIC_BGL_GENERIC(BGl_nodezd2freezd2envz00zzglobaliza7e_freeza7,
		BgL_bgl_za762nodeza7d2freeza7b2033za7,
		BGl_z62nodezd2freezb0zzglobaliza7e_freeza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2000z00zzglobaliza7e_freeza7,
		BgL_bgl_za762nodeza7d2free132034z00,
		BGl_z62nodezd2free1304zb0zzglobaliza7e_freeza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2002z00zzglobaliza7e_freeza7,
		BgL_bgl_za762nodeza7d2freeza7d2035za7,
		BGl_z62nodezd2freezd2var1309z62zzglobaliza7e_freeza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2004z00zzglobaliza7e_freeza7,
		BgL_bgl_za762nodeza7d2freeza7d2036za7,
		BGl_z62nodezd2freezd2closure1311z62zzglobaliza7e_freeza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2005z00zzglobaliza7e_freeza7,
		BgL_bgl_za762nodeza7d2freeza7d2037za7,
		BGl_z62nodezd2freezd2sequence1313z62zzglobaliza7e_freeza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2006z00zzglobaliza7e_freeza7,
		BgL_bgl_za762nodeza7d2freeza7d2038za7,
		BGl_z62nodezd2freezd2sync1315z62zzglobaliza7e_freeza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2007z00zzglobaliza7e_freeza7,
		BgL_bgl_za762nodeza7d2freeza7d2039za7,
		BGl_z62nodezd2freezd2app1317z62zzglobaliza7e_freeza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2008z00zzglobaliza7e_freeza7,
		BgL_bgl_za762nodeza7d2freeza7d2040za7,
		BGl_z62nodezd2freezd2appzd2ly1319zb0zzglobaliza7e_freeza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2009z00zzglobaliza7e_freeza7,
		BgL_bgl_za762nodeza7d2freeza7d2041za7,
		BGl_z62nodezd2freezd2funcall1321z62zzglobaliza7e_freeza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2010z00zzglobaliza7e_freeza7,
		BgL_bgl_za762nodeza7d2freeza7d2042za7,
		BGl_z62nodezd2freezd2extern1323z62zzglobaliza7e_freeza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2011z00zzglobaliza7e_freeza7,
		BgL_bgl_za762nodeza7d2freeza7d2043za7,
		BGl_z62nodezd2freezd2cast1325z62zzglobaliza7e_freeza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2012z00zzglobaliza7e_freeza7,
		BgL_bgl_za762nodeza7d2freeza7d2044za7,
		BGl_z62nodezd2freezd2setq1327z62zzglobaliza7e_freeza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2013z00zzglobaliza7e_freeza7,
		BgL_bgl_za762nodeza7d2freeza7d2045za7,
		BGl_z62nodezd2freezd2conditiona1329z62zzglobaliza7e_freeza7, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2014z00zzglobaliza7e_freeza7,
		BgL_bgl_za762nodeza7d2freeza7d2046za7,
		BGl_z62nodezd2freezd2fail1331z62zzglobaliza7e_freeza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2015z00zzglobaliza7e_freeza7,
		BgL_bgl_za762nodeza7d2freeza7d2047za7,
		BGl_z62nodezd2freezd2switch1333z62zzglobaliza7e_freeza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2016z00zzglobaliza7e_freeza7,
		BgL_bgl_za762nodeza7d2freeza7d2048za7,
		BGl_z62nodezd2freezd2letzd2fun1335zb0zzglobaliza7e_freeza7, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2023z00zzglobaliza7e_freeza7,
		BgL_bgl_string2023za700za7za7g2049za7, "globalize_free", 14);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2017z00zzglobaliza7e_freeza7,
		BgL_bgl_za762nodeza7d2freeza7d2050za7,
		BGl_z62nodezd2freezd2letzd2var1337zb0zzglobaliza7e_freeza7, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2024z00zzglobaliza7e_freeza7,
		BgL_bgl_string2024za700za7za7g2051za7,
		"sfun sgfun -env::procedure value make-fx-procedure make-va-procedure ",
		69);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2018z00zzglobaliza7e_freeza7,
		BgL_bgl_za762nodeza7d2freeza7d2052za7,
		BGl_z62nodezd2freezd2setzd2exzd2it1339z62zzglobaliza7e_freeza7, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2019z00zzglobaliza7e_freeza7,
		BgL_bgl_za762nodeza7d2freeza7d2053za7,
		BGl_z62nodezd2freezd2jumpzd2exzd2it1341z62zzglobaliza7e_freeza7, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2020z00zzglobaliza7e_freeza7,
		BgL_bgl_za762nodeza7d2freeza7d2054za7,
		BGl_z62nodezd2freezd2makezd2box1343zb0zzglobaliza7e_freeza7, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2021z00zzglobaliza7e_freeza7,
		BgL_bgl_za762nodeza7d2freeza7d2055za7,
		BGl_z62nodezd2freezd2boxzd2ref1345zb0zzglobaliza7e_freeza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2022z00zzglobaliza7e_freeza7,
		BgL_bgl_za762nodeza7d2freeza7d2056za7,
		BGl_z62nodezd2freezd2boxzd2setz121347za2zzglobaliza7e_freeza7, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_thezd2closurezd2envz00zzglobaliza7e_freeza7,
		BgL_bgl_za762theza7d2closure2057z00,
		BGl_z62thezd2closurezb0zzglobaliza7e_freeza7, 0L, BUNSPEC, 2);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zzglobaliza7e_freeza7));
		     ADD_ROOT((void *) (&BGl_za2integratorza2z00zzglobaliza7e_freeza7));
		     ADD_ROOT((void *) (&BGl_za2roundza2z00zzglobaliza7e_freeza7));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzglobaliza7e_freeza7(long
		BgL_checksumz00_3660, char *BgL_fromz00_3661)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzglobaliza7e_freeza7))
				{
					BGl_requirezd2initializa7ationz75zzglobaliza7e_freeza7 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzglobaliza7e_freeza7();
					BGl_libraryzd2moduleszd2initz00zzglobaliza7e_freeza7();
					BGl_cnstzd2initzd2zzglobaliza7e_freeza7();
					BGl_importedzd2moduleszd2initz00zzglobaliza7e_freeza7();
					BGl_genericzd2initzd2zzglobaliza7e_freeza7();
					BGl_methodzd2initzd2zzglobaliza7e_freeza7();
					return BGl_toplevelzd2initzd2zzglobaliza7e_freeza7();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzglobaliza7e_freeza7(void)
	{
		{	/* Globalize/free.scm 15 */
			BGl_modulezd2initializa7ationz75zz__objectz00(0L, "globalize_free");
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(0L,
				"globalize_free");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(0L,
				"globalize_free");
			BGl_modulezd2initializa7ationz75zz__readerz00(0L, "globalize_free");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(0L,
				"globalize_free");
			BGl_modulezd2initializa7ationz75zz__errorz00(0L, "globalize_free");
			BGl_modulezd2initializa7ationz75zz__bitz00(0L, "globalize_free");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(0L,
				"globalize_free");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(0L,
				"globalize_free");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(0L,
				"globalize_free");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(0L,
				"globalize_free");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(0L,
				"globalize_free");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzglobaliza7e_freeza7(void)
	{
		{	/* Globalize/free.scm 15 */
			{	/* Globalize/free.scm 15 */
				obj_t BgL_cportz00_3503;

				{	/* Globalize/free.scm 15 */
					obj_t BgL_stringz00_3510;

					BgL_stringz00_3510 = BGl_string2024z00zzglobaliza7e_freeza7;
					{	/* Globalize/free.scm 15 */
						obj_t BgL_startz00_3511;

						BgL_startz00_3511 = BINT(0L);
						{	/* Globalize/free.scm 15 */
							obj_t BgL_endz00_3512;

							BgL_endz00_3512 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_3510)));
							{	/* Globalize/free.scm 15 */

								BgL_cportz00_3503 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_3510, BgL_startz00_3511, BgL_endz00_3512);
				}}}}
				{
					long BgL_iz00_3504;

					BgL_iz00_3504 = 5L;
				BgL_loopz00_3505:
					if ((BgL_iz00_3504 == (-1L)))
						{	/* Globalize/free.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Globalize/free.scm 15 */
							{	/* Globalize/free.scm 15 */
								obj_t BgL_arg2025z00_3506;

								{	/* Globalize/free.scm 15 */

									{	/* Globalize/free.scm 15 */
										obj_t BgL_locationz00_3508;

										BgL_locationz00_3508 = BBOOL(((bool_t) 0));
										{	/* Globalize/free.scm 15 */

											BgL_arg2025z00_3506 =
												BGl_readz00zz__readerz00(BgL_cportz00_3503,
												BgL_locationz00_3508);
										}
									}
								}
								{	/* Globalize/free.scm 15 */
									int BgL_tmpz00_3693;

									BgL_tmpz00_3693 = (int) (BgL_iz00_3504);
									CNST_TABLE_SET(BgL_tmpz00_3693, BgL_arg2025z00_3506);
							}}
							{	/* Globalize/free.scm 15 */
								int BgL_auxz00_3509;

								BgL_auxz00_3509 = (int) ((BgL_iz00_3504 - 1L));
								{
									long BgL_iz00_3698;

									BgL_iz00_3698 = (long) (BgL_auxz00_3509);
									BgL_iz00_3504 = BgL_iz00_3698;
									goto BgL_loopz00_3505;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzglobaliza7e_freeza7(void)
	{
		{	/* Globalize/free.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzglobaliza7e_freeza7(void)
	{
		{	/* Globalize/free.scm 15 */
			BGl_za2roundza2z00zzglobaliza7e_freeza7 = BINT(0L);
			BGl_za2integratorza2z00zzglobaliza7e_freeza7 = BUNSPEC;
			return BUNSPEC;
		}

	}



/* mark-variable! */
	obj_t BGl_markzd2variablez12zc0zzglobaliza7e_freeza7(BgL_localz00_bglt
		BgL_localz00_3)
	{
		{	/* Globalize/free.scm 44 */
			{	/* Globalize/free.scm 45 */
				BgL_valuez00_bglt BgL_infoz00_1772;

				BgL_infoz00_1772 =
					(((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_localz00_3)))->BgL_valuez00);
				{	/* Globalize/free.scm 47 */
					bool_t BgL_test2060z00_3704;

					{	/* Globalize/free.scm 47 */
						obj_t BgL_classz00_2371;

						BgL_classz00_2371 = BGl_svarzf2Ginfozf2zzglobaliza7e_ginfoza7;
						{	/* Globalize/free.scm 47 */
							BgL_objectz00_bglt BgL_arg1858z00_2373;

							{	/* Globalize/free.scm 47 */
								obj_t BgL_tmpz00_3705;

								BgL_tmpz00_3705 =
									((obj_t) ((BgL_objectz00_bglt) BgL_infoz00_1772));
								BgL_arg1858z00_2373 = (BgL_objectz00_bglt) (BgL_tmpz00_3705);
							}
							if (BGL_CONDEXPAND_ISA_ARCH64())
								{	/* Globalize/free.scm 47 */
									long BgL_idxz00_2379;

									BgL_idxz00_2379 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_2373);
									BgL_test2060z00_3704 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_2379 + 3L)) == BgL_classz00_2371);
								}
							else
								{	/* Globalize/free.scm 47 */
									bool_t BgL_res1969z00_2404;

									{	/* Globalize/free.scm 47 */
										obj_t BgL_oclassz00_2387;

										{	/* Globalize/free.scm 47 */
											obj_t BgL_arg1866z00_2395;
											long BgL_arg1867z00_2396;

											BgL_arg1866z00_2395 = (BGl_za2classesza2z00zz__objectz00);
											{	/* Globalize/free.scm 47 */
												long BgL_arg1869z00_2397;

												BgL_arg1869z00_2397 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_2373);
												BgL_arg1867z00_2396 =
													(BgL_arg1869z00_2397 - OBJECT_TYPE);
											}
											BgL_oclassz00_2387 =
												VECTOR_REF(BgL_arg1866z00_2395, BgL_arg1867z00_2396);
										}
										{	/* Globalize/free.scm 47 */
											bool_t BgL__ortest_1115z00_2388;

											BgL__ortest_1115z00_2388 =
												(BgL_classz00_2371 == BgL_oclassz00_2387);
											if (BgL__ortest_1115z00_2388)
												{	/* Globalize/free.scm 47 */
													BgL_res1969z00_2404 = BgL__ortest_1115z00_2388;
												}
											else
												{	/* Globalize/free.scm 47 */
													long BgL_odepthz00_2389;

													{	/* Globalize/free.scm 47 */
														obj_t BgL_arg1855z00_2390;

														BgL_arg1855z00_2390 = (BgL_oclassz00_2387);
														BgL_odepthz00_2389 =
															BGL_CLASS_DEPTH(BgL_arg1855z00_2390);
													}
													if ((3L < BgL_odepthz00_2389))
														{	/* Globalize/free.scm 47 */
															obj_t BgL_arg1853z00_2392;

															{	/* Globalize/free.scm 47 */
																obj_t BgL_arg1854z00_2393;

																BgL_arg1854z00_2393 = (BgL_oclassz00_2387);
																BgL_arg1853z00_2392 =
																	BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_2393,
																	3L);
															}
															BgL_res1969z00_2404 =
																(BgL_arg1853z00_2392 == BgL_classz00_2371);
														}
													else
														{	/* Globalize/free.scm 47 */
															BgL_res1969z00_2404 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_test2060z00_3704 = BgL_res1969z00_2404;
								}
						}
					}
					if (BgL_test2060z00_3704)
						{	/* Globalize/free.scm 48 */
							long BgL_vz00_2406;

							BgL_vz00_2406 =
								(long) CINT(BGl_za2roundza2z00zzglobaliza7e_freeza7);
							{
								BgL_svarzf2ginfozf2_bglt BgL_auxz00_3729;

								{
									obj_t BgL_auxz00_3730;

									{	/* Globalize/free.scm 48 */
										BgL_objectz00_bglt BgL_tmpz00_3731;

										BgL_tmpz00_3731 =
											((BgL_objectz00_bglt)
											((BgL_svarz00_bglt) BgL_infoz00_1772));
										BgL_auxz00_3730 = BGL_OBJECT_WIDENING(BgL_tmpz00_3731);
									}
									BgL_auxz00_3729 =
										((BgL_svarzf2ginfozf2_bglt) BgL_auxz00_3730);
								}
								return
									((((BgL_svarzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3729))->
										BgL_freezd2markzd2) = ((long) BgL_vz00_2406), BUNSPEC);
						}}
					else
						{	/* Globalize/free.scm 49 */
							bool_t BgL_test2064z00_3737;

							{	/* Globalize/free.scm 49 */
								obj_t BgL_classz00_2408;

								BgL_classz00_2408 = BGl_sfunzf2Ginfozf2zzglobaliza7e_ginfoza7;
								{	/* Globalize/free.scm 49 */
									BgL_objectz00_bglt BgL_arg1858z00_2410;

									{	/* Globalize/free.scm 49 */
										obj_t BgL_tmpz00_3738;

										BgL_tmpz00_3738 =
											((obj_t) ((BgL_objectz00_bglt) BgL_infoz00_1772));
										BgL_arg1858z00_2410 =
											(BgL_objectz00_bglt) (BgL_tmpz00_3738);
									}
									if (BGL_CONDEXPAND_ISA_ARCH64())
										{	/* Globalize/free.scm 49 */
											long BgL_idxz00_2416;

											BgL_idxz00_2416 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_2410);
											BgL_test2064z00_3737 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_2416 + 4L)) == BgL_classz00_2408);
										}
									else
										{	/* Globalize/free.scm 49 */
											bool_t BgL_res1970z00_2441;

											{	/* Globalize/free.scm 49 */
												obj_t BgL_oclassz00_2424;

												{	/* Globalize/free.scm 49 */
													obj_t BgL_arg1866z00_2432;
													long BgL_arg1867z00_2433;

													BgL_arg1866z00_2432 =
														(BGl_za2classesza2z00zz__objectz00);
													{	/* Globalize/free.scm 49 */
														long BgL_arg1869z00_2434;

														BgL_arg1869z00_2434 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_2410);
														BgL_arg1867z00_2433 =
															(BgL_arg1869z00_2434 - OBJECT_TYPE);
													}
													BgL_oclassz00_2424 =
														VECTOR_REF(BgL_arg1866z00_2432,
														BgL_arg1867z00_2433);
												}
												{	/* Globalize/free.scm 49 */
													bool_t BgL__ortest_1115z00_2425;

													BgL__ortest_1115z00_2425 =
														(BgL_classz00_2408 == BgL_oclassz00_2424);
													if (BgL__ortest_1115z00_2425)
														{	/* Globalize/free.scm 49 */
															BgL_res1970z00_2441 = BgL__ortest_1115z00_2425;
														}
													else
														{	/* Globalize/free.scm 49 */
															long BgL_odepthz00_2426;

															{	/* Globalize/free.scm 49 */
																obj_t BgL_arg1855z00_2427;

																BgL_arg1855z00_2427 = (BgL_oclassz00_2424);
																BgL_odepthz00_2426 =
																	BGL_CLASS_DEPTH(BgL_arg1855z00_2427);
															}
															if ((4L < BgL_odepthz00_2426))
																{	/* Globalize/free.scm 49 */
																	obj_t BgL_arg1853z00_2429;

																	{	/* Globalize/free.scm 49 */
																		obj_t BgL_arg1854z00_2430;

																		BgL_arg1854z00_2430 = (BgL_oclassz00_2424);
																		BgL_arg1853z00_2429 =
																			BGL_CLASS_ANCESTORS_REF
																			(BgL_arg1854z00_2430, 4L);
																	}
																	BgL_res1970z00_2441 =
																		(BgL_arg1853z00_2429 == BgL_classz00_2408);
																}
															else
																{	/* Globalize/free.scm 49 */
																	BgL_res1970z00_2441 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_test2064z00_3737 = BgL_res1970z00_2441;
										}
								}
							}
							if (BgL_test2064z00_3737)
								{	/* Globalize/free.scm 50 */
									obj_t BgL_vz00_2443;

									BgL_vz00_2443 = BGl_za2roundza2z00zzglobaliza7e_freeza7;
									{
										BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3761;

										{
											obj_t BgL_auxz00_3762;

											{	/* Globalize/free.scm 50 */
												BgL_objectz00_bglt BgL_tmpz00_3763;

												BgL_tmpz00_3763 =
													((BgL_objectz00_bglt)
													((BgL_sfunz00_bglt) BgL_infoz00_1772));
												BgL_auxz00_3762 = BGL_OBJECT_WIDENING(BgL_tmpz00_3763);
											}
											BgL_auxz00_3761 =
												((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3762);
										}
										return
											((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3761))->
												BgL_freezd2markzd2) = ((obj_t) BgL_vz00_2443), BUNSPEC);
									}
								}
							else
								{	/* Globalize/free.scm 51 */
									bool_t BgL_test2068z00_3769;

									{	/* Globalize/free.scm 51 */
										obj_t BgL_classz00_2445;

										BgL_classz00_2445 =
											BGl_sexitzf2Ginfozf2zzglobaliza7e_ginfoza7;
										{	/* Globalize/free.scm 51 */
											BgL_objectz00_bglt BgL_arg1858z00_2447;

											{	/* Globalize/free.scm 51 */
												obj_t BgL_tmpz00_3770;

												BgL_tmpz00_3770 =
													((obj_t) ((BgL_objectz00_bglt) BgL_infoz00_1772));
												BgL_arg1858z00_2447 =
													(BgL_objectz00_bglt) (BgL_tmpz00_3770);
											}
											if (BGL_CONDEXPAND_ISA_ARCH64())
												{	/* Globalize/free.scm 51 */
													long BgL_idxz00_2453;

													BgL_idxz00_2453 =
														BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_2447);
													BgL_test2068z00_3769 =
														(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
															(BgL_idxz00_2453 + 3L)) == BgL_classz00_2445);
												}
											else
												{	/* Globalize/free.scm 51 */
													bool_t BgL_res1971z00_2478;

													{	/* Globalize/free.scm 51 */
														obj_t BgL_oclassz00_2461;

														{	/* Globalize/free.scm 51 */
															obj_t BgL_arg1866z00_2469;
															long BgL_arg1867z00_2470;

															BgL_arg1866z00_2469 =
																(BGl_za2classesza2z00zz__objectz00);
															{	/* Globalize/free.scm 51 */
																long BgL_arg1869z00_2471;

																BgL_arg1869z00_2471 =
																	BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_2447);
																BgL_arg1867z00_2470 =
																	(BgL_arg1869z00_2471 - OBJECT_TYPE);
															}
															BgL_oclassz00_2461 =
																VECTOR_REF(BgL_arg1866z00_2469,
																BgL_arg1867z00_2470);
														}
														{	/* Globalize/free.scm 51 */
															bool_t BgL__ortest_1115z00_2462;

															BgL__ortest_1115z00_2462 =
																(BgL_classz00_2445 == BgL_oclassz00_2461);
															if (BgL__ortest_1115z00_2462)
																{	/* Globalize/free.scm 51 */
																	BgL_res1971z00_2478 =
																		BgL__ortest_1115z00_2462;
																}
															else
																{	/* Globalize/free.scm 51 */
																	long BgL_odepthz00_2463;

																	{	/* Globalize/free.scm 51 */
																		obj_t BgL_arg1855z00_2464;

																		BgL_arg1855z00_2464 = (BgL_oclassz00_2461);
																		BgL_odepthz00_2463 =
																			BGL_CLASS_DEPTH(BgL_arg1855z00_2464);
																	}
																	if ((3L < BgL_odepthz00_2463))
																		{	/* Globalize/free.scm 51 */
																			obj_t BgL_arg1853z00_2466;

																			{	/* Globalize/free.scm 51 */
																				obj_t BgL_arg1854z00_2467;

																				BgL_arg1854z00_2467 =
																					(BgL_oclassz00_2461);
																				BgL_arg1853z00_2466 =
																					BGL_CLASS_ANCESTORS_REF
																					(BgL_arg1854z00_2467, 3L);
																			}
																			BgL_res1971z00_2478 =
																				(BgL_arg1853z00_2466 ==
																				BgL_classz00_2445);
																		}
																	else
																		{	/* Globalize/free.scm 51 */
																			BgL_res1971z00_2478 = ((bool_t) 0);
																		}
																}
														}
													}
													BgL_test2068z00_3769 = BgL_res1971z00_2478;
												}
										}
									}
									if (BgL_test2068z00_3769)
										{	/* Globalize/free.scm 52 */
											long BgL_vz00_2480;

											BgL_vz00_2480 =
												(long) CINT(BGl_za2roundza2z00zzglobaliza7e_freeza7);
											{
												BgL_sexitzf2ginfozf2_bglt BgL_auxz00_3794;

												{
													obj_t BgL_auxz00_3795;

													{	/* Globalize/free.scm 52 */
														BgL_objectz00_bglt BgL_tmpz00_3796;

														BgL_tmpz00_3796 =
															((BgL_objectz00_bglt)
															((BgL_sexitz00_bglt) BgL_infoz00_1772));
														BgL_auxz00_3795 =
															BGL_OBJECT_WIDENING(BgL_tmpz00_3796);
													}
													BgL_auxz00_3794 =
														((BgL_sexitzf2ginfozf2_bglt) BgL_auxz00_3795);
												}
												return
													((((BgL_sexitzf2ginfozf2_bglt)
															COBJECT(BgL_auxz00_3794))->BgL_freezd2markzd2) =
													((long) BgL_vz00_2480), BUNSPEC);
										}}
									else
										{	/* Globalize/free.scm 51 */
											return BFALSE;
										}
								}
						}
				}
			}
		}

	}



/* bind-variable! */
	obj_t BGl_bindzd2variablez12zc0zzglobaliza7e_freeza7(BgL_localz00_bglt
		BgL_localz00_4, BgL_localz00_bglt BgL_integratorz00_5)
	{
		{	/* Globalize/free.scm 57 */
			{	/* Globalize/free.scm 58 */
				BgL_valuez00_bglt BgL_finfoz00_1776;

				BgL_finfoz00_1776 =
					(((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_integratorz00_5)))->BgL_valuez00);
				{	/* Globalize/free.scm 59 */
					obj_t BgL_arg1370z00_1777;

					{	/* Globalize/free.scm 59 */
						obj_t BgL_arg1371z00_1778;

						{
							BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3804;

							{
								obj_t BgL_auxz00_3805;

								{	/* Globalize/free.scm 59 */
									BgL_objectz00_bglt BgL_tmpz00_3806;

									BgL_tmpz00_3806 =
										((BgL_objectz00_bglt)
										((BgL_sfunz00_bglt) BgL_finfoz00_1776));
									BgL_auxz00_3805 = BGL_OBJECT_WIDENING(BgL_tmpz00_3806);
								}
								BgL_auxz00_3804 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3805);
							}
							BgL_arg1371z00_1778 =
								(((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3804))->
								BgL_boundz00);
						}
						BgL_arg1370z00_1777 =
							MAKE_YOUNG_PAIR(((obj_t) BgL_localz00_4), BgL_arg1371z00_1778);
					}
					{
						BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3814;

						{
							obj_t BgL_auxz00_3815;

							{	/* Globalize/free.scm 59 */
								BgL_objectz00_bglt BgL_tmpz00_3816;

								BgL_tmpz00_3816 =
									((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_finfoz00_1776));
								BgL_auxz00_3815 = BGL_OBJECT_WIDENING(BgL_tmpz00_3816);
							}
							BgL_auxz00_3814 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3815);
						}
						((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3814))->
								BgL_boundz00) = ((obj_t) BgL_arg1370z00_1777), BUNSPEC);
					}
				}
				return BGl_markzd2variablez12zc0zzglobaliza7e_freeza7(BgL_localz00_4);
			}
		}

	}



/* free-variable? */
	obj_t BGl_freezd2variablezf3z21zzglobaliza7e_freeza7(obj_t BgL_localz00_6)
	{
		{	/* Globalize/free.scm 65 */
			{	/* Globalize/free.scm 66 */
				bool_t BgL_test2072z00_3823;

				{	/* Globalize/free.scm 66 */
					obj_t BgL_classz00_2487;

					BgL_classz00_2487 = BGl_localz00zzast_varz00;
					if (BGL_OBJECTP(BgL_localz00_6))
						{	/* Globalize/free.scm 66 */
							BgL_objectz00_bglt BgL_arg1858z00_2489;

							BgL_arg1858z00_2489 = (BgL_objectz00_bglt) (BgL_localz00_6);
							if (BGL_CONDEXPAND_ISA_ARCH64())
								{	/* Globalize/free.scm 66 */
									long BgL_idxz00_2495;

									BgL_idxz00_2495 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_2489);
									BgL_test2072z00_3823 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_2495 + 2L)) == BgL_classz00_2487);
								}
							else
								{	/* Globalize/free.scm 66 */
									bool_t BgL_res1972z00_2520;

									{	/* Globalize/free.scm 66 */
										obj_t BgL_oclassz00_2503;

										{	/* Globalize/free.scm 66 */
											obj_t BgL_arg1866z00_2511;
											long BgL_arg1867z00_2512;

											BgL_arg1866z00_2511 = (BGl_za2classesza2z00zz__objectz00);
											{	/* Globalize/free.scm 66 */
												long BgL_arg1869z00_2513;

												BgL_arg1869z00_2513 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_2489);
												BgL_arg1867z00_2512 =
													(BgL_arg1869z00_2513 - OBJECT_TYPE);
											}
											BgL_oclassz00_2503 =
												VECTOR_REF(BgL_arg1866z00_2511, BgL_arg1867z00_2512);
										}
										{	/* Globalize/free.scm 66 */
											bool_t BgL__ortest_1115z00_2504;

											BgL__ortest_1115z00_2504 =
												(BgL_classz00_2487 == BgL_oclassz00_2503);
											if (BgL__ortest_1115z00_2504)
												{	/* Globalize/free.scm 66 */
													BgL_res1972z00_2520 = BgL__ortest_1115z00_2504;
												}
											else
												{	/* Globalize/free.scm 66 */
													long BgL_odepthz00_2505;

													{	/* Globalize/free.scm 66 */
														obj_t BgL_arg1855z00_2506;

														BgL_arg1855z00_2506 = (BgL_oclassz00_2503);
														BgL_odepthz00_2505 =
															BGL_CLASS_DEPTH(BgL_arg1855z00_2506);
													}
													if ((2L < BgL_odepthz00_2505))
														{	/* Globalize/free.scm 66 */
															obj_t BgL_arg1853z00_2508;

															{	/* Globalize/free.scm 66 */
																obj_t BgL_arg1854z00_2509;

																BgL_arg1854z00_2509 = (BgL_oclassz00_2503);
																BgL_arg1853z00_2508 =
																	BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_2509,
																	2L);
															}
															BgL_res1972z00_2520 =
																(BgL_arg1853z00_2508 == BgL_classz00_2487);
														}
													else
														{	/* Globalize/free.scm 66 */
															BgL_res1972z00_2520 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_test2072z00_3823 = BgL_res1972z00_2520;
								}
						}
					else
						{	/* Globalize/free.scm 66 */
							BgL_test2072z00_3823 = ((bool_t) 0);
						}
				}
				if (BgL_test2072z00_3823)
					{	/* Globalize/free.scm 67 */
						BgL_valuez00_bglt BgL_infoz00_1780;

						BgL_infoz00_1780 =
							(((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt)
										((BgL_localz00_bglt) BgL_localz00_6))))->BgL_valuez00);
						{	/* Globalize/free.scm 69 */
							bool_t BgL_test2077z00_3849;

							{	/* Globalize/free.scm 69 */
								obj_t BgL_classz00_2522;

								BgL_classz00_2522 = BGl_svarzf2Ginfozf2zzglobaliza7e_ginfoza7;
								{	/* Globalize/free.scm 69 */
									BgL_objectz00_bglt BgL_arg1858z00_2524;

									{	/* Globalize/free.scm 69 */
										obj_t BgL_tmpz00_3850;

										BgL_tmpz00_3850 =
											((obj_t) ((BgL_objectz00_bglt) BgL_infoz00_1780));
										BgL_arg1858z00_2524 =
											(BgL_objectz00_bglt) (BgL_tmpz00_3850);
									}
									if (BGL_CONDEXPAND_ISA_ARCH64())
										{	/* Globalize/free.scm 69 */
											long BgL_idxz00_2530;

											BgL_idxz00_2530 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_2524);
											BgL_test2077z00_3849 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_2530 + 3L)) == BgL_classz00_2522);
										}
									else
										{	/* Globalize/free.scm 69 */
											bool_t BgL_res1973z00_2555;

											{	/* Globalize/free.scm 69 */
												obj_t BgL_oclassz00_2538;

												{	/* Globalize/free.scm 69 */
													obj_t BgL_arg1866z00_2546;
													long BgL_arg1867z00_2547;

													BgL_arg1866z00_2546 =
														(BGl_za2classesza2z00zz__objectz00);
													{	/* Globalize/free.scm 69 */
														long BgL_arg1869z00_2548;

														BgL_arg1869z00_2548 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_2524);
														BgL_arg1867z00_2547 =
															(BgL_arg1869z00_2548 - OBJECT_TYPE);
													}
													BgL_oclassz00_2538 =
														VECTOR_REF(BgL_arg1866z00_2546,
														BgL_arg1867z00_2547);
												}
												{	/* Globalize/free.scm 69 */
													bool_t BgL__ortest_1115z00_2539;

													BgL__ortest_1115z00_2539 =
														(BgL_classz00_2522 == BgL_oclassz00_2538);
													if (BgL__ortest_1115z00_2539)
														{	/* Globalize/free.scm 69 */
															BgL_res1973z00_2555 = BgL__ortest_1115z00_2539;
														}
													else
														{	/* Globalize/free.scm 69 */
															long BgL_odepthz00_2540;

															{	/* Globalize/free.scm 69 */
																obj_t BgL_arg1855z00_2541;

																BgL_arg1855z00_2541 = (BgL_oclassz00_2538);
																BgL_odepthz00_2540 =
																	BGL_CLASS_DEPTH(BgL_arg1855z00_2541);
															}
															if ((3L < BgL_odepthz00_2540))
																{	/* Globalize/free.scm 69 */
																	obj_t BgL_arg1853z00_2543;

																	{	/* Globalize/free.scm 69 */
																		obj_t BgL_arg1854z00_2544;

																		BgL_arg1854z00_2544 = (BgL_oclassz00_2538);
																		BgL_arg1853z00_2543 =
																			BGL_CLASS_ANCESTORS_REF
																			(BgL_arg1854z00_2544, 3L);
																	}
																	BgL_res1973z00_2555 =
																		(BgL_arg1853z00_2543 == BgL_classz00_2522);
																}
															else
																{	/* Globalize/free.scm 69 */
																	BgL_res1973z00_2555 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_test2077z00_3849 = BgL_res1973z00_2555;
										}
								}
							}
							if (BgL_test2077z00_3849)
								{	/* Globalize/free.scm 70 */
									bool_t BgL_test2081z00_3873;

									{	/* Globalize/free.scm 70 */
										obj_t BgL_arg1379z00_1784;

										{	/* Globalize/free.scm 70 */
											long BgL_tmpz00_3874;

											{
												BgL_svarzf2ginfozf2_bglt BgL_auxz00_3875;

												{
													obj_t BgL_auxz00_3876;

													{	/* Globalize/free.scm 70 */
														BgL_objectz00_bglt BgL_tmpz00_3877;

														BgL_tmpz00_3877 =
															((BgL_objectz00_bglt)
															((BgL_svarz00_bglt) BgL_infoz00_1780));
														BgL_auxz00_3876 =
															BGL_OBJECT_WIDENING(BgL_tmpz00_3877);
													}
													BgL_auxz00_3875 =
														((BgL_svarzf2ginfozf2_bglt) BgL_auxz00_3876);
												}
												BgL_tmpz00_3874 =
													(((BgL_svarzf2ginfozf2_bglt)
														COBJECT(BgL_auxz00_3875))->BgL_freezd2markzd2);
											}
											BgL_arg1379z00_1784 = BINT(BgL_tmpz00_3874);
										}
										BgL_test2081z00_3873 =
											(BgL_arg1379z00_1784 ==
											BGl_za2roundza2z00zzglobaliza7e_freeza7);
									}
									if (BgL_test2081z00_3873)
										{	/* Globalize/free.scm 70 */
											return BFALSE;
										}
									else
										{	/* Globalize/free.scm 70 */
											return BTRUE;
										}
								}
							else
								{	/* Globalize/free.scm 71 */
									bool_t BgL_test2082z00_3885;

									{	/* Globalize/free.scm 71 */
										obj_t BgL_classz00_2558;

										BgL_classz00_2558 =
											BGl_sfunzf2Ginfozf2zzglobaliza7e_ginfoza7;
										{	/* Globalize/free.scm 71 */
											BgL_objectz00_bglt BgL_arg1858z00_2560;

											{	/* Globalize/free.scm 71 */
												obj_t BgL_tmpz00_3886;

												BgL_tmpz00_3886 =
													((obj_t) ((BgL_objectz00_bglt) BgL_infoz00_1780));
												BgL_arg1858z00_2560 =
													(BgL_objectz00_bglt) (BgL_tmpz00_3886);
											}
											if (BGL_CONDEXPAND_ISA_ARCH64())
												{	/* Globalize/free.scm 71 */
													long BgL_idxz00_2566;

													BgL_idxz00_2566 =
														BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_2560);
													BgL_test2082z00_3885 =
														(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
															(BgL_idxz00_2566 + 4L)) == BgL_classz00_2558);
												}
											else
												{	/* Globalize/free.scm 71 */
													bool_t BgL_res1974z00_2591;

													{	/* Globalize/free.scm 71 */
														obj_t BgL_oclassz00_2574;

														{	/* Globalize/free.scm 71 */
															obj_t BgL_arg1866z00_2582;
															long BgL_arg1867z00_2583;

															BgL_arg1866z00_2582 =
																(BGl_za2classesza2z00zz__objectz00);
															{	/* Globalize/free.scm 71 */
																long BgL_arg1869z00_2584;

																BgL_arg1869z00_2584 =
																	BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_2560);
																BgL_arg1867z00_2583 =
																	(BgL_arg1869z00_2584 - OBJECT_TYPE);
															}
															BgL_oclassz00_2574 =
																VECTOR_REF(BgL_arg1866z00_2582,
																BgL_arg1867z00_2583);
														}
														{	/* Globalize/free.scm 71 */
															bool_t BgL__ortest_1115z00_2575;

															BgL__ortest_1115z00_2575 =
																(BgL_classz00_2558 == BgL_oclassz00_2574);
															if (BgL__ortest_1115z00_2575)
																{	/* Globalize/free.scm 71 */
																	BgL_res1974z00_2591 =
																		BgL__ortest_1115z00_2575;
																}
															else
																{	/* Globalize/free.scm 71 */
																	long BgL_odepthz00_2576;

																	{	/* Globalize/free.scm 71 */
																		obj_t BgL_arg1855z00_2577;

																		BgL_arg1855z00_2577 = (BgL_oclassz00_2574);
																		BgL_odepthz00_2576 =
																			BGL_CLASS_DEPTH(BgL_arg1855z00_2577);
																	}
																	if ((4L < BgL_odepthz00_2576))
																		{	/* Globalize/free.scm 71 */
																			obj_t BgL_arg1853z00_2579;

																			{	/* Globalize/free.scm 71 */
																				obj_t BgL_arg1854z00_2580;

																				BgL_arg1854z00_2580 =
																					(BgL_oclassz00_2574);
																				BgL_arg1853z00_2579 =
																					BGL_CLASS_ANCESTORS_REF
																					(BgL_arg1854z00_2580, 4L);
																			}
																			BgL_res1974z00_2591 =
																				(BgL_arg1853z00_2579 ==
																				BgL_classz00_2558);
																		}
																	else
																		{	/* Globalize/free.scm 71 */
																			BgL_res1974z00_2591 = ((bool_t) 0);
																		}
																}
														}
													}
													BgL_test2082z00_3885 = BgL_res1974z00_2591;
												}
										}
									}
									if (BgL_test2082z00_3885)
										{	/* Globalize/free.scm 72 */
											bool_t BgL_test2086z00_3909;

											{	/* Globalize/free.scm 72 */
												obj_t BgL_arg1385z00_1788;

												{
													BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3910;

													{
														obj_t BgL_auxz00_3911;

														{	/* Globalize/free.scm 72 */
															BgL_objectz00_bglt BgL_tmpz00_3912;

															BgL_tmpz00_3912 =
																((BgL_objectz00_bglt)
																((BgL_sfunz00_bglt) BgL_infoz00_1780));
															BgL_auxz00_3911 =
																BGL_OBJECT_WIDENING(BgL_tmpz00_3912);
														}
														BgL_auxz00_3910 =
															((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3911);
													}
													BgL_arg1385z00_1788 =
														(((BgL_sfunzf2ginfozf2_bglt)
															COBJECT(BgL_auxz00_3910))->BgL_freezd2markzd2);
												}
												BgL_test2086z00_3909 =
													(BgL_arg1385z00_1788 ==
													BGl_za2roundza2z00zzglobaliza7e_freeza7);
											}
											if (BgL_test2086z00_3909)
												{	/* Globalize/free.scm 72 */
													return BFALSE;
												}
											else
												{	/* Globalize/free.scm 72 */
													return BTRUE;
												}
										}
									else
										{	/* Globalize/free.scm 73 */
											bool_t BgL_test2087z00_3919;

											{	/* Globalize/free.scm 73 */
												obj_t BgL_classz00_2594;

												BgL_classz00_2594 =
													BGl_sexitzf2Ginfozf2zzglobaliza7e_ginfoza7;
												{	/* Globalize/free.scm 73 */
													BgL_objectz00_bglt BgL_arg1858z00_2596;

													{	/* Globalize/free.scm 73 */
														obj_t BgL_tmpz00_3920;

														BgL_tmpz00_3920 =
															((obj_t) ((BgL_objectz00_bglt) BgL_infoz00_1780));
														BgL_arg1858z00_2596 =
															(BgL_objectz00_bglt) (BgL_tmpz00_3920);
													}
													if (BGL_CONDEXPAND_ISA_ARCH64())
														{	/* Globalize/free.scm 73 */
															long BgL_idxz00_2602;

															BgL_idxz00_2602 =
																BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_2596);
															BgL_test2087z00_3919 =
																(VECTOR_REF
																(BGl_za2inheritancesza2z00zz__objectz00,
																	(BgL_idxz00_2602 + 3L)) == BgL_classz00_2594);
														}
													else
														{	/* Globalize/free.scm 73 */
															bool_t BgL_res1975z00_2627;

															{	/* Globalize/free.scm 73 */
																obj_t BgL_oclassz00_2610;

																{	/* Globalize/free.scm 73 */
																	obj_t BgL_arg1866z00_2618;
																	long BgL_arg1867z00_2619;

																	BgL_arg1866z00_2618 =
																		(BGl_za2classesza2z00zz__objectz00);
																	{	/* Globalize/free.scm 73 */
																		long BgL_arg1869z00_2620;

																		BgL_arg1869z00_2620 =
																			BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_2596);
																		BgL_arg1867z00_2619 =
																			(BgL_arg1869z00_2620 - OBJECT_TYPE);
																	}
																	BgL_oclassz00_2610 =
																		VECTOR_REF(BgL_arg1866z00_2618,
																		BgL_arg1867z00_2619);
																}
																{	/* Globalize/free.scm 73 */
																	bool_t BgL__ortest_1115z00_2611;

																	BgL__ortest_1115z00_2611 =
																		(BgL_classz00_2594 == BgL_oclassz00_2610);
																	if (BgL__ortest_1115z00_2611)
																		{	/* Globalize/free.scm 73 */
																			BgL_res1975z00_2627 =
																				BgL__ortest_1115z00_2611;
																		}
																	else
																		{	/* Globalize/free.scm 73 */
																			long BgL_odepthz00_2612;

																			{	/* Globalize/free.scm 73 */
																				obj_t BgL_arg1855z00_2613;

																				BgL_arg1855z00_2613 =
																					(BgL_oclassz00_2610);
																				BgL_odepthz00_2612 =
																					BGL_CLASS_DEPTH(BgL_arg1855z00_2613);
																			}
																			if ((3L < BgL_odepthz00_2612))
																				{	/* Globalize/free.scm 73 */
																					obj_t BgL_arg1853z00_2615;

																					{	/* Globalize/free.scm 73 */
																						obj_t BgL_arg1854z00_2616;

																						BgL_arg1854z00_2616 =
																							(BgL_oclassz00_2610);
																						BgL_arg1853z00_2615 =
																							BGL_CLASS_ANCESTORS_REF
																							(BgL_arg1854z00_2616, 3L);
																					}
																					BgL_res1975z00_2627 =
																						(BgL_arg1853z00_2615 ==
																						BgL_classz00_2594);
																				}
																			else
																				{	/* Globalize/free.scm 73 */
																					BgL_res1975z00_2627 = ((bool_t) 0);
																				}
																		}
																}
															}
															BgL_test2087z00_3919 = BgL_res1975z00_2627;
														}
												}
											}
											if (BgL_test2087z00_3919)
												{	/* Globalize/free.scm 74 */
													bool_t BgL_test2091z00_3943;

													{	/* Globalize/free.scm 74 */
														obj_t BgL_arg1392z00_1792;

														{	/* Globalize/free.scm 74 */
															long BgL_tmpz00_3944;

															{
																BgL_sexitzf2ginfozf2_bglt BgL_auxz00_3945;

																{
																	obj_t BgL_auxz00_3946;

																	{	/* Globalize/free.scm 74 */
																		BgL_objectz00_bglt BgL_tmpz00_3947;

																		BgL_tmpz00_3947 =
																			((BgL_objectz00_bglt)
																			((BgL_sexitz00_bglt) BgL_infoz00_1780));
																		BgL_auxz00_3946 =
																			BGL_OBJECT_WIDENING(BgL_tmpz00_3947);
																	}
																	BgL_auxz00_3945 =
																		((BgL_sexitzf2ginfozf2_bglt)
																		BgL_auxz00_3946);
																}
																BgL_tmpz00_3944 =
																	(((BgL_sexitzf2ginfozf2_bglt)
																		COBJECT(BgL_auxz00_3945))->
																	BgL_freezd2markzd2);
															}
															BgL_arg1392z00_1792 = BINT(BgL_tmpz00_3944);
														}
														BgL_test2091z00_3943 =
															(BgL_arg1392z00_1792 ==
															BGl_za2roundza2z00zzglobaliza7e_freeza7);
													}
													if (BgL_test2091z00_3943)
														{	/* Globalize/free.scm 74 */
															return BFALSE;
														}
													else
														{	/* Globalize/free.scm 74 */
															return BTRUE;
														}
												}
											else
												{	/* Globalize/free.scm 77 */
													obj_t BgL_arg1400z00_1793;

													{	/* Globalize/free.scm 77 */
														obj_t BgL_arg1401z00_1794;

														BgL_arg1401z00_1794 =
															BGl_shapez00zztools_shapez00(BgL_localz00_6);
														{	/* Globalize/free.scm 77 */
															obj_t BgL_list1402z00_1795;

															BgL_list1402z00_1795 =
																MAKE_YOUNG_PAIR(BgL_arg1401z00_1794, BNIL);
															BgL_arg1400z00_1793 =
																BGl_formatz00zz__r4_output_6_10_3z00
																(BGl_string1998z00zzglobaliza7e_freeza7,
																BgL_list1402z00_1795);
														}
													}
													return
														BGl_errorz00zz__errorz00
														(BGl_string1999z00zzglobaliza7e_freeza7,
														BgL_arg1400z00_1793, BgL_localz00_6);
												}
										}
								}
						}
					}
				else
					{	/* Globalize/free.scm 66 */
						return BFALSE;
					}
			}
		}

	}



/* get-free-vars */
	BGL_EXPORTED_DEF obj_t
		BGl_getzd2freezd2varsz00zzglobaliza7e_freeza7(BgL_nodez00_bglt
		BgL_nodez00_7, BgL_localz00_bglt BgL_integratorz00_8)
	{
		{	/* Globalize/free.scm 86 */
			{	/* Globalize/free.scm 89 */
				obj_t BgL_freez00_1796;

				{	/* Globalize/free.scm 89 */
					BgL_sfunz00_bglt BgL_oz00_2631;

					BgL_oz00_2631 =
						((BgL_sfunz00_bglt)
						(((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt) BgL_integratorz00_8)))->
							BgL_valuez00));
					{
						BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3962;

						{
							obj_t BgL_auxz00_3963;

							{	/* Globalize/free.scm 89 */
								BgL_objectz00_bglt BgL_tmpz00_3964;

								BgL_tmpz00_3964 = ((BgL_objectz00_bglt) BgL_oz00_2631);
								BgL_auxz00_3963 = BGL_OBJECT_WIDENING(BgL_tmpz00_3964);
							}
							BgL_auxz00_3962 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3963);
						}
						BgL_freez00_1796 =
							(((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3962))->
							BgL_freez00);
					}
				}
				{	/* Globalize/free.scm 90 */
					bool_t BgL_test2092z00_3969;

					if (NULLP(BgL_freez00_1796))
						{	/* Globalize/free.scm 90 */
							BgL_test2092z00_3969 = ((bool_t) 1);
						}
					else
						{	/* Globalize/free.scm 90 */
							BgL_test2092z00_3969 = PAIRP(BgL_freez00_1796);
						}
					if (BgL_test2092z00_3969)
						{	/* Globalize/free.scm 90 */
							return BgL_freez00_1796;
						}
					else
						{	/* Globalize/free.scm 92 */
							obj_t BgL_freez00_1799;

							BgL_freez00_1799 =
								BGl_internalzd2getzd2freezd2varsz12zc0zzglobaliza7e_freeza7
								(BgL_nodez00_7, BgL_integratorz00_8);
							{	/* Globalize/free.scm 93 */
								BgL_valuez00_bglt BgL_arg1406z00_1800;

								BgL_arg1406z00_1800 =
									(((BgL_variablez00_bglt) COBJECT(
											((BgL_variablez00_bglt) BgL_integratorz00_8)))->
									BgL_valuez00);
								{
									BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3976;

									{
										obj_t BgL_auxz00_3977;

										{	/* Globalize/free.scm 93 */
											BgL_objectz00_bglt BgL_tmpz00_3978;

											BgL_tmpz00_3978 =
												((BgL_objectz00_bglt)
												((BgL_sfunz00_bglt) BgL_arg1406z00_1800));
											BgL_auxz00_3977 = BGL_OBJECT_WIDENING(BgL_tmpz00_3978);
										}
										BgL_auxz00_3976 =
											((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3977);
									}
									((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3976))->
											BgL_freez00) = ((obj_t) BgL_freez00_1799), BUNSPEC);
								}
							}
							return BgL_freez00_1799;
						}
				}
			}
		}

	}



/* &get-free-vars */
	obj_t BGl_z62getzd2freezd2varsz62zzglobaliza7e_freeza7(obj_t BgL_envz00_3404,
		obj_t BgL_nodez00_3405, obj_t BgL_integratorz00_3406)
	{
		{	/* Globalize/free.scm 86 */
			return
				BGl_getzd2freezd2varsz00zzglobaliza7e_freeza7(
				((BgL_nodez00_bglt) BgL_nodez00_3405),
				((BgL_localz00_bglt) BgL_integratorz00_3406));
		}

	}



/* internal-get-free-vars! */
	obj_t
		BGl_internalzd2getzd2freezd2varsz12zc0zzglobaliza7e_freeza7(BgL_nodez00_bglt
		BgL_nodez00_9, BgL_localz00_bglt BgL_integratorz00_10)
	{
		{	/* Globalize/free.scm 107 */
			BGl_za2roundza2z00zzglobaliza7e_freeza7 =
				ADDFX(BGl_za2roundza2z00zzglobaliza7e_freeza7, BINT(1L));
			BGl_za2integratorza2z00zzglobaliza7e_freeza7 =
				((obj_t) BgL_integratorz00_10);
			BGl_bindzd2variablez12zc0zzglobaliza7e_freeza7(BgL_integratorz00_10,
				BgL_integratorz00_10);
			{	/* Globalize/free.scm 114 */
				obj_t BgL_arg1415z00_1803;

				{	/* Globalize/free.scm 338 */
					bool_t BgL_test2094z00_3991;

					{	/* Globalize/free.scm 338 */
						obj_t BgL_classz00_2639;

						BgL_classz00_2639 = BGl_globalz00zzast_varz00;
						{	/* Globalize/free.scm 338 */
							BgL_objectz00_bglt BgL_arg1858z00_2641;

							{	/* Globalize/free.scm 338 */
								obj_t BgL_tmpz00_3992;

								BgL_tmpz00_3992 =
									((obj_t) ((BgL_variablez00_bglt) BgL_integratorz00_10));
								BgL_arg1858z00_2641 = (BgL_objectz00_bglt) (BgL_tmpz00_3992);
							}
							if (BGL_CONDEXPAND_ISA_ARCH64())
								{	/* Globalize/free.scm 338 */
									long BgL_idxz00_2647;

									BgL_idxz00_2647 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_2641);
									BgL_test2094z00_3991 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_2647 + 2L)) == BgL_classz00_2639);
								}
							else
								{	/* Globalize/free.scm 338 */
									bool_t BgL_res1976z00_2672;

									{	/* Globalize/free.scm 338 */
										obj_t BgL_oclassz00_2655;

										{	/* Globalize/free.scm 338 */
											obj_t BgL_arg1866z00_2663;
											long BgL_arg1867z00_2664;

											BgL_arg1866z00_2663 = (BGl_za2classesza2z00zz__objectz00);
											{	/* Globalize/free.scm 338 */
												long BgL_arg1869z00_2665;

												BgL_arg1869z00_2665 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_2641);
												BgL_arg1867z00_2664 =
													(BgL_arg1869z00_2665 - OBJECT_TYPE);
											}
											BgL_oclassz00_2655 =
												VECTOR_REF(BgL_arg1866z00_2663, BgL_arg1867z00_2664);
										}
										{	/* Globalize/free.scm 338 */
											bool_t BgL__ortest_1115z00_2656;

											BgL__ortest_1115z00_2656 =
												(BgL_classz00_2639 == BgL_oclassz00_2655);
											if (BgL__ortest_1115z00_2656)
												{	/* Globalize/free.scm 338 */
													BgL_res1976z00_2672 = BgL__ortest_1115z00_2656;
												}
											else
												{	/* Globalize/free.scm 338 */
													long BgL_odepthz00_2657;

													{	/* Globalize/free.scm 338 */
														obj_t BgL_arg1855z00_2658;

														BgL_arg1855z00_2658 = (BgL_oclassz00_2655);
														BgL_odepthz00_2657 =
															BGL_CLASS_DEPTH(BgL_arg1855z00_2658);
													}
													if ((2L < BgL_odepthz00_2657))
														{	/* Globalize/free.scm 338 */
															obj_t BgL_arg1853z00_2660;

															{	/* Globalize/free.scm 338 */
																obj_t BgL_arg1854z00_2661;

																BgL_arg1854z00_2661 = (BgL_oclassz00_2655);
																BgL_arg1853z00_2660 =
																	BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_2661,
																	2L);
															}
															BgL_res1976z00_2672 =
																(BgL_arg1853z00_2660 == BgL_classz00_2639);
														}
													else
														{	/* Globalize/free.scm 338 */
															BgL_res1976z00_2672 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_test2094z00_3991 = BgL_res1976z00_2672;
								}
						}
					}
					if (BgL_test2094z00_3991)
						{	/* Globalize/free.scm 338 */
							BgL_arg1415z00_1803 =
								BGl_thezd2globalzd2closurez00zzglobaliza7e_freeza7(
								((BgL_globalz00_bglt)
									((BgL_variablez00_bglt) BgL_integratorz00_10)), BFALSE);
						}
					else
						{	/* Globalize/free.scm 338 */
							BgL_arg1415z00_1803 =
								BGl_thezd2localzd2closurez00zzglobaliza7e_freeza7(
								((obj_t)
									((BgL_variablez00_bglt) BgL_integratorz00_10)), BFALSE);
						}
				}
				BGl_bindzd2variablez12zc0zzglobaliza7e_freeza7(
					((BgL_localz00_bglt) BgL_arg1415z00_1803), BgL_integratorz00_10);
			}
			{	/* Globalize/free.scm 115 */
				obj_t BgL_g1289z00_1804;

				BgL_g1289z00_1804 =
					(((BgL_sfunz00_bglt) COBJECT(
							((BgL_sfunz00_bglt)
								(((BgL_variablez00_bglt) COBJECT(
											((BgL_variablez00_bglt) BgL_integratorz00_10)))->
									BgL_valuez00))))->BgL_argsz00);
				{
					obj_t BgL_l1287z00_1806;

					BgL_l1287z00_1806 = BgL_g1289z00_1804;
				BgL_zc3z04anonymousza31416ze3z87_1807:
					if (PAIRP(BgL_l1287z00_1806))
						{	/* Globalize/free.scm 116 */
							{	/* Globalize/free.scm 115 */
								obj_t BgL_lz00_1809;

								BgL_lz00_1809 = CAR(BgL_l1287z00_1806);
								BGl_bindzd2variablez12zc0zzglobaliza7e_freeza7(
									((BgL_localz00_bglt) BgL_lz00_1809), BgL_integratorz00_10);
							}
							{
								obj_t BgL_l1287z00_4032;

								BgL_l1287z00_4032 = CDR(BgL_l1287z00_1806);
								BgL_l1287z00_1806 = BgL_l1287z00_4032;
								goto BgL_zc3z04anonymousza31416ze3z87_1807;
							}
						}
					else
						{	/* Globalize/free.scm 116 */
							((bool_t) 1);
						}
				}
			}
			return BGl_nodezd2freezd2zzglobaliza7e_freeza7(BgL_nodez00_9, BNIL);
		}

	}



/* node-free* */
	obj_t BGl_nodezd2freeza2z70zzglobaliza7e_freeza7(obj_t BgL_nodeza2za2_53,
		obj_t BgL_freez00_54)
	{
		{	/* Globalize/free.scm 326 */
			{
				obj_t BgL_nodeza2za2_1814;
				obj_t BgL_freez00_1815;

				BgL_nodeza2za2_1814 = BgL_nodeza2za2_53;
				BgL_freez00_1815 = BgL_freez00_54;
			BgL_zc3z04anonymousza31458ze3z87_1816:
				if (NULLP(BgL_nodeza2za2_1814))
					{	/* Globalize/free.scm 329 */
						return BgL_freez00_1815;
					}
				else
					{	/* Globalize/free.scm 331 */
						obj_t BgL_arg1471z00_1818;
						obj_t BgL_arg1480z00_1819;

						BgL_arg1471z00_1818 = CDR(((obj_t) BgL_nodeza2za2_1814));
						{	/* Globalize/free.scm 332 */
							obj_t BgL_arg1484z00_1820;

							BgL_arg1484z00_1820 = CAR(((obj_t) BgL_nodeza2za2_1814));
							BgL_arg1480z00_1819 =
								BGl_nodezd2freezd2zzglobaliza7e_freeza7(
								((BgL_nodez00_bglt) BgL_arg1484z00_1820), BgL_freez00_1815);
						}
						{
							obj_t BgL_freez00_4044;
							obj_t BgL_nodeza2za2_4043;

							BgL_nodeza2za2_4043 = BgL_arg1471z00_1818;
							BgL_freez00_4044 = BgL_arg1480z00_1819;
							BgL_freez00_1815 = BgL_freez00_4044;
							BgL_nodeza2za2_1814 = BgL_nodeza2za2_4043;
							goto BgL_zc3z04anonymousza31458ze3z87_1816;
						}
					}
			}
		}

	}



/* the-closure */
	BGL_EXPORTED_DEF obj_t
		BGl_thezd2closurezd2zzglobaliza7e_freeza7(BgL_variablez00_bglt
		BgL_variablez00_55, obj_t BgL_locz00_56)
	{
		{	/* Globalize/free.scm 337 */
			{	/* Globalize/free.scm 338 */
				bool_t BgL_test2100z00_4045;

				{	/* Globalize/free.scm 338 */
					obj_t BgL_classz00_2680;

					BgL_classz00_2680 = BGl_globalz00zzast_varz00;
					{	/* Globalize/free.scm 338 */
						BgL_objectz00_bglt BgL_arg1858z00_2682;

						{	/* Globalize/free.scm 338 */
							obj_t BgL_tmpz00_4046;

							BgL_tmpz00_4046 = ((obj_t) BgL_variablez00_55);
							BgL_arg1858z00_2682 = (BgL_objectz00_bglt) (BgL_tmpz00_4046);
						}
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Globalize/free.scm 338 */
								long BgL_idxz00_2688;

								BgL_idxz00_2688 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_2682);
								BgL_test2100z00_4045 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_2688 + 2L)) == BgL_classz00_2680);
							}
						else
							{	/* Globalize/free.scm 338 */
								bool_t BgL_res1977z00_2713;

								{	/* Globalize/free.scm 338 */
									obj_t BgL_oclassz00_2696;

									{	/* Globalize/free.scm 338 */
										obj_t BgL_arg1866z00_2704;
										long BgL_arg1867z00_2705;

										BgL_arg1866z00_2704 = (BGl_za2classesza2z00zz__objectz00);
										{	/* Globalize/free.scm 338 */
											long BgL_arg1869z00_2706;

											BgL_arg1869z00_2706 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_2682);
											BgL_arg1867z00_2705 = (BgL_arg1869z00_2706 - OBJECT_TYPE);
										}
										BgL_oclassz00_2696 =
											VECTOR_REF(BgL_arg1866z00_2704, BgL_arg1867z00_2705);
									}
									{	/* Globalize/free.scm 338 */
										bool_t BgL__ortest_1115z00_2697;

										BgL__ortest_1115z00_2697 =
											(BgL_classz00_2680 == BgL_oclassz00_2696);
										if (BgL__ortest_1115z00_2697)
											{	/* Globalize/free.scm 338 */
												BgL_res1977z00_2713 = BgL__ortest_1115z00_2697;
											}
										else
											{	/* Globalize/free.scm 338 */
												long BgL_odepthz00_2698;

												{	/* Globalize/free.scm 338 */
													obj_t BgL_arg1855z00_2699;

													BgL_arg1855z00_2699 = (BgL_oclassz00_2696);
													BgL_odepthz00_2698 =
														BGL_CLASS_DEPTH(BgL_arg1855z00_2699);
												}
												if ((2L < BgL_odepthz00_2698))
													{	/* Globalize/free.scm 338 */
														obj_t BgL_arg1853z00_2701;

														{	/* Globalize/free.scm 338 */
															obj_t BgL_arg1854z00_2702;

															BgL_arg1854z00_2702 = (BgL_oclassz00_2696);
															BgL_arg1853z00_2701 =
																BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_2702,
																2L);
														}
														BgL_res1977z00_2713 =
															(BgL_arg1853z00_2701 == BgL_classz00_2680);
													}
												else
													{	/* Globalize/free.scm 338 */
														BgL_res1977z00_2713 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_test2100z00_4045 = BgL_res1977z00_2713;
							}
					}
				}
				if (BgL_test2100z00_4045)
					{	/* Globalize/free.scm 338 */
						return
							BGl_thezd2globalzd2closurez00zzglobaliza7e_freeza7(
							((BgL_globalz00_bglt) BgL_variablez00_55), BgL_locz00_56);
					}
				else
					{	/* Globalize/free.scm 338 */
						return
							BGl_thezd2localzd2closurez00zzglobaliza7e_freeza7(
							((obj_t) BgL_variablez00_55), BgL_locz00_56);
					}
			}
		}

	}



/* &the-closure */
	obj_t BGl_z62thezd2closurezb0zzglobaliza7e_freeza7(obj_t BgL_envz00_3407,
		obj_t BgL_variablez00_3408, obj_t BgL_locz00_3409)
	{
		{	/* Globalize/free.scm 337 */
			return
				BGl_thezd2closurezd2zzglobaliza7e_freeza7(
				((BgL_variablez00_bglt) BgL_variablez00_3408), BgL_locz00_3409);
		}

	}



/* the-global-closure */
	BGL_EXPORTED_DEF obj_t
		BGl_thezd2globalzd2closurez00zzglobaliza7e_freeza7(BgL_globalz00_bglt
		BgL_globalz00_57, obj_t BgL_locz00_58)
	{
		{	/* Globalize/free.scm 345 */
			{
				BgL_globalz00_bglt BgL_gz00_1872;

				{	/* Globalize/free.scm 354 */
					obj_t BgL_closurez00_1824;

					BgL_closurez00_1824 =
						(((BgL_funz00_bglt) COBJECT(
								((BgL_funz00_bglt)
									(((BgL_variablez00_bglt) COBJECT(
												((BgL_variablez00_bglt) BgL_globalz00_57)))->
										BgL_valuez00))))->BgL_thezd2closurezd2);
					{	/* Globalize/free.scm 356 */
						bool_t BgL_test2104z00_4078;

						{	/* Globalize/free.scm 356 */
							obj_t BgL_classz00_2750;

							BgL_classz00_2750 = BGl_globalz00zzast_varz00;
							if (BGL_OBJECTP(BgL_closurez00_1824))
								{	/* Globalize/free.scm 356 */
									BgL_objectz00_bglt BgL_arg1858z00_2752;

									BgL_arg1858z00_2752 =
										(BgL_objectz00_bglt) (BgL_closurez00_1824);
									if (BGL_CONDEXPAND_ISA_ARCH64())
										{	/* Globalize/free.scm 356 */
											long BgL_idxz00_2758;

											BgL_idxz00_2758 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_2752);
											BgL_test2104z00_4078 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_2758 + 2L)) == BgL_classz00_2750);
										}
									else
										{	/* Globalize/free.scm 356 */
											bool_t BgL_res1979z00_2783;

											{	/* Globalize/free.scm 356 */
												obj_t BgL_oclassz00_2766;

												{	/* Globalize/free.scm 356 */
													obj_t BgL_arg1866z00_2774;
													long BgL_arg1867z00_2775;

													BgL_arg1866z00_2774 =
														(BGl_za2classesza2z00zz__objectz00);
													{	/* Globalize/free.scm 356 */
														long BgL_arg1869z00_2776;

														BgL_arg1869z00_2776 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_2752);
														BgL_arg1867z00_2775 =
															(BgL_arg1869z00_2776 - OBJECT_TYPE);
													}
													BgL_oclassz00_2766 =
														VECTOR_REF(BgL_arg1866z00_2774,
														BgL_arg1867z00_2775);
												}
												{	/* Globalize/free.scm 356 */
													bool_t BgL__ortest_1115z00_2767;

													BgL__ortest_1115z00_2767 =
														(BgL_classz00_2750 == BgL_oclassz00_2766);
													if (BgL__ortest_1115z00_2767)
														{	/* Globalize/free.scm 356 */
															BgL_res1979z00_2783 = BgL__ortest_1115z00_2767;
														}
													else
														{	/* Globalize/free.scm 356 */
															long BgL_odepthz00_2768;

															{	/* Globalize/free.scm 356 */
																obj_t BgL_arg1855z00_2769;

																BgL_arg1855z00_2769 = (BgL_oclassz00_2766);
																BgL_odepthz00_2768 =
																	BGL_CLASS_DEPTH(BgL_arg1855z00_2769);
															}
															if ((2L < BgL_odepthz00_2768))
																{	/* Globalize/free.scm 356 */
																	obj_t BgL_arg1853z00_2771;

																	{	/* Globalize/free.scm 356 */
																		obj_t BgL_arg1854z00_2772;

																		BgL_arg1854z00_2772 = (BgL_oclassz00_2766);
																		BgL_arg1853z00_2771 =
																			BGL_CLASS_ANCESTORS_REF
																			(BgL_arg1854z00_2772, 2L);
																	}
																	BgL_res1979z00_2783 =
																		(BgL_arg1853z00_2771 == BgL_classz00_2750);
																}
															else
																{	/* Globalize/free.scm 356 */
																	BgL_res1979z00_2783 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_test2104z00_4078 = BgL_res1979z00_2783;
										}
								}
							else
								{	/* Globalize/free.scm 356 */
									BgL_test2104z00_4078 = ((bool_t) 0);
								}
						}
						if (BgL_test2104z00_4078)
							{	/* Globalize/free.scm 356 */
								return BgL_closurez00_1824;
							}
						else
							{	/* Globalize/free.scm 358 */
								obj_t BgL_g1132z00_1826;

								BgL_gz00_1872 = BgL_globalz00_57;
								if (CBOOL(
										(((BgL_globalz00_bglt) COBJECT(BgL_gz00_1872))->
											BgL_aliasz00)))
									{	/* Globalize/free.scm 350 */
										obj_t BgL_agz00_1876;

										{	/* Globalize/free.scm 350 */
											obj_t BgL_arg1611z00_1878;
											obj_t BgL_arg1612z00_1879;

											BgL_arg1611z00_1878 =
												(((BgL_globalz00_bglt) COBJECT(BgL_gz00_1872))->
												BgL_aliasz00);
											BgL_arg1612z00_1879 =
												(((BgL_globalz00_bglt) COBJECT(BgL_gz00_1872))->
												BgL_modulez00);
											{	/* Globalize/free.scm 350 */
												obj_t BgL_list1613z00_1880;

												BgL_list1613z00_1880 =
													MAKE_YOUNG_PAIR(BgL_arg1612z00_1879, BNIL);
												BgL_agz00_1876 =
													BGl_findzd2globalzd2zzast_envz00(BgL_arg1611z00_1878,
													BgL_list1613z00_1880);
											}
										}
										{	/* Globalize/free.scm 351 */
											bool_t BgL_test2110z00_4108;

											{	/* Globalize/free.scm 351 */
												obj_t BgL_classz00_2714;

												BgL_classz00_2714 = BGl_globalz00zzast_varz00;
												if (BGL_OBJECTP(BgL_agz00_1876))
													{	/* Globalize/free.scm 351 */
														BgL_objectz00_bglt BgL_arg1858z00_2716;

														BgL_arg1858z00_2716 =
															(BgL_objectz00_bglt) (BgL_agz00_1876);
														if (BGL_CONDEXPAND_ISA_ARCH64())
															{	/* Globalize/free.scm 351 */
																long BgL_idxz00_2722;

																BgL_idxz00_2722 =
																	BGL_OBJECT_INHERITANCE_NUM
																	(BgL_arg1858z00_2716);
																BgL_test2110z00_4108 =
																	(VECTOR_REF
																	(BGl_za2inheritancesza2z00zz__objectz00,
																		(BgL_idxz00_2722 + 2L)) ==
																	BgL_classz00_2714);
															}
														else
															{	/* Globalize/free.scm 351 */
																bool_t BgL_res1978z00_2747;

																{	/* Globalize/free.scm 351 */
																	obj_t BgL_oclassz00_2730;

																	{	/* Globalize/free.scm 351 */
																		obj_t BgL_arg1866z00_2738;
																		long BgL_arg1867z00_2739;

																		BgL_arg1866z00_2738 =
																			(BGl_za2classesza2z00zz__objectz00);
																		{	/* Globalize/free.scm 351 */
																			long BgL_arg1869z00_2740;

																			BgL_arg1869z00_2740 =
																				BGL_OBJECT_CLASS_NUM
																				(BgL_arg1858z00_2716);
																			BgL_arg1867z00_2739 =
																				(BgL_arg1869z00_2740 - OBJECT_TYPE);
																		}
																		BgL_oclassz00_2730 =
																			VECTOR_REF(BgL_arg1866z00_2738,
																			BgL_arg1867z00_2739);
																	}
																	{	/* Globalize/free.scm 351 */
																		bool_t BgL__ortest_1115z00_2731;

																		BgL__ortest_1115z00_2731 =
																			(BgL_classz00_2714 == BgL_oclassz00_2730);
																		if (BgL__ortest_1115z00_2731)
																			{	/* Globalize/free.scm 351 */
																				BgL_res1978z00_2747 =
																					BgL__ortest_1115z00_2731;
																			}
																		else
																			{	/* Globalize/free.scm 351 */
																				long BgL_odepthz00_2732;

																				{	/* Globalize/free.scm 351 */
																					obj_t BgL_arg1855z00_2733;

																					BgL_arg1855z00_2733 =
																						(BgL_oclassz00_2730);
																					BgL_odepthz00_2732 =
																						BGL_CLASS_DEPTH
																						(BgL_arg1855z00_2733);
																				}
																				if ((2L < BgL_odepthz00_2732))
																					{	/* Globalize/free.scm 351 */
																						obj_t BgL_arg1853z00_2735;

																						{	/* Globalize/free.scm 351 */
																							obj_t BgL_arg1854z00_2736;

																							BgL_arg1854z00_2736 =
																								(BgL_oclassz00_2730);
																							BgL_arg1853z00_2735 =
																								BGL_CLASS_ANCESTORS_REF
																								(BgL_arg1854z00_2736, 2L);
																						}
																						BgL_res1978z00_2747 =
																							(BgL_arg1853z00_2735 ==
																							BgL_classz00_2714);
																					}
																				else
																					{	/* Globalize/free.scm 351 */
																						BgL_res1978z00_2747 = ((bool_t) 0);
																					}
																			}
																	}
																}
																BgL_test2110z00_4108 = BgL_res1978z00_2747;
															}
													}
												else
													{	/* Globalize/free.scm 351 */
														BgL_test2110z00_4108 = ((bool_t) 0);
													}
											}
											if (BgL_test2110z00_4108)
												{	/* Globalize/free.scm 351 */
													BgL_g1132z00_1826 =
														BGl_thezd2globalzd2closurez00zzglobaliza7e_freeza7(
														((BgL_globalz00_bglt) BgL_agz00_1876),
														BgL_locz00_58);
												}
											else
												{	/* Globalize/free.scm 351 */
													BgL_g1132z00_1826 = BFALSE;
												}
										}
									}
								else
									{	/* Globalize/free.scm 349 */
										BgL_g1132z00_1826 = BFALSE;
									}
								if (CBOOL(BgL_g1132z00_1826))
									{	/* Globalize/free.scm 358 */
										{	/* Globalize/free.scm 361 */
											BgL_valuez00_bglt BgL_arg1489z00_1829;

											BgL_arg1489z00_1829 =
												(((BgL_variablez00_bglt) COBJECT(
														((BgL_variablez00_bglt) BgL_globalz00_57)))->
												BgL_valuez00);
											((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
																BgL_arg1489z00_1829)))->BgL_thezd2closurezd2) =
												((obj_t) BgL_g1132z00_1826), BUNSPEC);
										}
										return BgL_g1132z00_1826;
									}
								else
									{	/* Globalize/free.scm 364 */
										BgL_globalz00_bglt BgL_glocloz00_1830;

										BgL_glocloz00_1830 =
											BGl_makezd2globalzd2closurez00zzglobaliza7e_globalzd2closurez75
											(BgL_globalz00_57);
										{	/* Globalize/free.scm 364 */
											long BgL_arityz00_1831;

											BgL_arityz00_1831 =
												(((BgL_funz00_bglt) COBJECT(
														((BgL_funz00_bglt)
															(((BgL_variablez00_bglt) COBJECT(
																		((BgL_variablez00_bglt)
																			BgL_globalz00_57)))->BgL_valuez00))))->
												BgL_arityz00);
											{	/* Globalize/free.scm 365 */
												obj_t BgL_makezd2clozd2_1832;

												if ((BgL_arityz00_1831 < 0L))
													{	/* Globalize/free.scm 366 */
														BgL_makezd2clozd2_1832 =
															((obj_t) CNST_TABLE_REF(0));
													}
												else
													{	/* Globalize/free.scm 366 */
														BgL_makezd2clozd2_1832 =
															((obj_t) CNST_TABLE_REF(1));
													}
												{	/* Globalize/free.scm 366 */
													BgL_nodez00_bglt BgL_nodez00_1833;

													{	/* Globalize/free.scm 370 */
														obj_t BgL_arg1558z00_1853;

														{	/* Globalize/free.scm 370 */
															obj_t BgL_arg1560z00_1854;

															{	/* Globalize/free.scm 370 */
																BgL_refz00_bglt BgL_arg1574z00_1855;
																obj_t BgL_arg1577z00_1856;

																{	/* Globalize/free.scm 370 */
																	BgL_refz00_bglt BgL_new1136z00_1857;

																	{	/* Globalize/free.scm 373 */
																		BgL_refz00_bglt BgL_new1135z00_1858;

																		BgL_new1135z00_1858 =
																			((BgL_refz00_bglt)
																			BOBJECT(GC_MALLOC(sizeof(struct
																						BgL_refz00_bgl))));
																		{	/* Globalize/free.scm 373 */
																			long BgL_arg1578z00_1859;

																			BgL_arg1578z00_1859 =
																				BGL_CLASS_NUM(BGl_refz00zzast_nodez00);
																			BGL_OBJECT_CLASS_NUM_SET(
																				((BgL_objectz00_bglt)
																					BgL_new1135z00_1858),
																				BgL_arg1578z00_1859);
																		}
																		{	/* Globalize/free.scm 373 */
																			BgL_objectz00_bglt BgL_tmpz00_4154;

																			BgL_tmpz00_4154 =
																				((BgL_objectz00_bglt)
																				BgL_new1135z00_1858);
																			BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4154,
																				BFALSE);
																		}
																		((BgL_objectz00_bglt) BgL_new1135z00_1858);
																		BgL_new1136z00_1857 = BgL_new1135z00_1858;
																	}
																	((((BgL_nodez00_bglt) COBJECT(
																					((BgL_nodez00_bglt)
																						BgL_new1136z00_1857)))->
																			BgL_locz00) =
																		((obj_t) BgL_locz00_58), BUNSPEC);
																	((((BgL_nodez00_bglt)
																				COBJECT(((BgL_nodez00_bglt)
																						BgL_new1136z00_1857)))->
																			BgL_typez00) =
																		((BgL_typez00_bglt) ((BgL_typez00_bglt)
																				BGl_za2_za2z00zztype_cachez00)),
																		BUNSPEC);
																	((((BgL_varz00_bglt)
																				COBJECT(((BgL_varz00_bglt)
																						BgL_new1136z00_1857)))->
																			BgL_variablez00) =
																		((BgL_variablez00_bglt) (
																				(BgL_variablez00_bglt)
																				BgL_glocloz00_1830)), BUNSPEC);
																	BgL_arg1574z00_1855 = BgL_new1136z00_1857;
																}
																{	/* Globalize/free.scm 374 */
																	BgL_literalz00_bglt BgL_arg1581z00_1860;
																	obj_t BgL_arg1587z00_1861;

																	{	/* Globalize/free.scm 374 */
																		BgL_literalz00_bglt BgL_new1138z00_1862;

																		{	/* Globalize/free.scm 377 */
																			BgL_literalz00_bglt BgL_new1137z00_1863;

																			BgL_new1137z00_1863 =
																				((BgL_literalz00_bglt)
																				BOBJECT(GC_MALLOC(sizeof(struct
																							BgL_literalz00_bgl))));
																			{	/* Globalize/free.scm 377 */
																				long BgL_arg1588z00_1864;

																				BgL_arg1588z00_1864 =
																					BGL_CLASS_NUM
																					(BGl_literalz00zzast_nodez00);
																				BGL_OBJECT_CLASS_NUM_SET((
																						(BgL_objectz00_bglt)
																						BgL_new1137z00_1863),
																					BgL_arg1588z00_1864);
																			}
																			{	/* Globalize/free.scm 377 */
																				BgL_objectz00_bglt BgL_tmpz00_4170;

																				BgL_tmpz00_4170 =
																					((BgL_objectz00_bglt)
																					BgL_new1137z00_1863);
																				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4170,
																					BFALSE);
																			}
																			((BgL_objectz00_bglt)
																				BgL_new1137z00_1863);
																			BgL_new1138z00_1862 = BgL_new1137z00_1863;
																		}
																		((((BgL_nodez00_bglt) COBJECT(
																						((BgL_nodez00_bglt)
																							BgL_new1138z00_1862)))->
																				BgL_locz00) =
																			((obj_t) BgL_locz00_58), BUNSPEC);
																		((((BgL_nodez00_bglt)
																					COBJECT(((BgL_nodez00_bglt)
																							BgL_new1138z00_1862)))->
																				BgL_typez00) =
																			((BgL_typez00_bglt) ((BgL_typez00_bglt)
																					BGl_za2_za2z00zztype_cachez00)),
																			BUNSPEC);
																		((((BgL_atomz00_bglt)
																					COBJECT(((BgL_atomz00_bglt)
																							BgL_new1138z00_1862)))->
																				BgL_valuez00) =
																			((obj_t) BINT(BgL_arityz00_1831)),
																			BUNSPEC);
																		BgL_arg1581z00_1860 = BgL_new1138z00_1862;
																	}
																	{	/* Globalize/free.scm 378 */
																		BgL_literalz00_bglt BgL_arg1590z00_1865;

																		{	/* Globalize/free.scm 378 */
																			BgL_literalz00_bglt BgL_new1140z00_1866;

																			{	/* Globalize/free.scm 381 */
																				BgL_literalz00_bglt BgL_new1139z00_1867;

																				BgL_new1139z00_1867 =
																					((BgL_literalz00_bglt)
																					BOBJECT(GC_MALLOC(sizeof(struct
																								BgL_literalz00_bgl))));
																				{	/* Globalize/free.scm 381 */
																					long BgL_arg1592z00_1868;

																					BgL_arg1592z00_1868 =
																						BGL_CLASS_NUM
																						(BGl_literalz00zzast_nodez00);
																					BGL_OBJECT_CLASS_NUM_SET((
																							(BgL_objectz00_bglt)
																							BgL_new1139z00_1867),
																						BgL_arg1592z00_1868);
																				}
																				{	/* Globalize/free.scm 381 */
																					BgL_objectz00_bglt BgL_tmpz00_4186;

																					BgL_tmpz00_4186 =
																						((BgL_objectz00_bglt)
																						BgL_new1139z00_1867);
																					BGL_OBJECT_WIDENING_SET
																						(BgL_tmpz00_4186, BFALSE);
																				}
																				((BgL_objectz00_bglt)
																					BgL_new1139z00_1867);
																				BgL_new1140z00_1866 =
																					BgL_new1139z00_1867;
																			}
																			((((BgL_nodez00_bglt) COBJECT(
																							((BgL_nodez00_bglt)
																								BgL_new1140z00_1866)))->
																					BgL_locz00) =
																				((obj_t) BgL_locz00_58), BUNSPEC);
																			((((BgL_nodez00_bglt)
																						COBJECT(((BgL_nodez00_bglt)
																								BgL_new1140z00_1866)))->
																					BgL_typez00) =
																				((BgL_typez00_bglt) ((BgL_typez00_bglt)
																						BGl_za2_za2z00zztype_cachez00)),
																				BUNSPEC);
																			((((BgL_atomz00_bglt)
																						COBJECT(((BgL_atomz00_bglt)
																								BgL_new1140z00_1866)))->
																					BgL_valuez00) =
																				((obj_t) BINT(0L)), BUNSPEC);
																			BgL_arg1590z00_1865 = BgL_new1140z00_1866;
																		}
																		BgL_arg1587z00_1861 =
																			MAKE_YOUNG_PAIR(
																			((obj_t) BgL_arg1590z00_1865), BNIL);
																	}
																	BgL_arg1577z00_1856 =
																		MAKE_YOUNG_PAIR(
																		((obj_t) BgL_arg1581z00_1860),
																		BgL_arg1587z00_1861);
																}
																BgL_arg1560z00_1854 =
																	MAKE_YOUNG_PAIR(
																	((obj_t) BgL_arg1574z00_1855),
																	BgL_arg1577z00_1856);
															}
															BgL_arg1558z00_1853 =
																MAKE_YOUNG_PAIR(BgL_makezd2clozd2_1832,
																BgL_arg1560z00_1854);
														}
														BgL_nodez00_1833 =
															BGl_sexpzd2ze3nodez31zzast_sexpz00
															(BgL_arg1558z00_1853, BNIL, BgL_locz00_58,
															((obj_t) CNST_TABLE_REF(2)));
													}
													{	/* Globalize/free.scm 369 */
														BgL_globalz00_bglt BgL_closurez00_1834;

														{	/* Globalize/free.scm 386 */
															obj_t BgL_arg1513z00_1839;
															obj_t BgL_arg1515z00_1840;
															obj_t BgL_arg1516z00_1841;

															{	/* Globalize/free.scm 386 */
																obj_t BgL_arg1530z00_1842;

																{	/* Globalize/free.scm 386 */
																	obj_t BgL_arg1532z00_1843;
																	obj_t BgL_arg1535z00_1844;

																	{	/* Globalize/free.scm 386 */
																		obj_t BgL_arg1543z00_1845;

																		if (CBOOL(
																				(((BgL_globalz00_bglt)
																						COBJECT(BgL_globalz00_57))->
																					BgL_aliasz00)))
																			{	/* Globalize/free.scm 386 */
																				BgL_arg1543z00_1845 =
																					(((BgL_globalz00_bglt)
																						COBJECT(BgL_globalz00_57))->
																					BgL_aliasz00);
																			}
																		else
																			{	/* Globalize/free.scm 386 */
																				BgL_arg1543z00_1845 =
																					(((BgL_variablez00_bglt) COBJECT(
																							((BgL_variablez00_bglt)
																								BgL_globalz00_57)))->BgL_idz00);
																			}
																		{	/* Globalize/free.scm 385 */
																			obj_t BgL_arg1486z00_2805;

																			BgL_arg1486z00_2805 =
																				SYMBOL_TO_STRING(
																				((obj_t) BgL_arg1543z00_1845));
																			BgL_arg1532z00_1843 =
																				BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																				(BgL_arg1486z00_2805);
																		}
																	}
																	{	/* Globalize/free.scm 385 */
																		obj_t BgL_symbolz00_2806;

																		BgL_symbolz00_2806 =
																			((obj_t) CNST_TABLE_REF(3));
																		{	/* Globalize/free.scm 385 */
																			obj_t BgL_arg1486z00_2807;

																			BgL_arg1486z00_2807 =
																				SYMBOL_TO_STRING(BgL_symbolz00_2806);
																			BgL_arg1535z00_1844 =
																				BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																				(BgL_arg1486z00_2807);
																		}
																	}
																	BgL_arg1530z00_1842 =
																		string_append(BgL_arg1532z00_1843,
																		BgL_arg1535z00_1844);
																}
																BgL_arg1513z00_1839 =
																	bstring_to_symbol(BgL_arg1530z00_1842);
															}
															BgL_arg1515z00_1840 =
																(((BgL_globalz00_bglt)
																	COBJECT(BgL_globalz00_57))->BgL_modulez00);
															{	/* Globalize/free.scm 392 */
																bool_t BgL_test2118z00_4224;

																{	/* Globalize/free.scm 392 */
																	BgL_valuez00_bglt BgL_arg1554z00_1852;

																	BgL_arg1554z00_1852 =
																		(((BgL_variablez00_bglt) COBJECT(
																				((BgL_variablez00_bglt)
																					BgL_globalz00_57)))->BgL_valuez00);
																	{	/* Globalize/free.scm 392 */
																		obj_t BgL_classz00_2811;

																		BgL_classz00_2811 = BGl_sfunz00zzast_varz00;
																		{	/* Globalize/free.scm 392 */
																			BgL_objectz00_bglt BgL_arg1858z00_2813;

																			{	/* Globalize/free.scm 392 */
																				obj_t BgL_tmpz00_4227;

																				BgL_tmpz00_4227 =
																					((obj_t)
																					((BgL_objectz00_bglt)
																						BgL_arg1554z00_1852));
																				BgL_arg1858z00_2813 =
																					(BgL_objectz00_bglt)
																					(BgL_tmpz00_4227);
																			}
																			if (BGL_CONDEXPAND_ISA_ARCH64())
																				{	/* Globalize/free.scm 392 */
																					long BgL_idxz00_2819;

																					BgL_idxz00_2819 =
																						BGL_OBJECT_INHERITANCE_NUM
																						(BgL_arg1858z00_2813);
																					BgL_test2118z00_4224 =
																						(VECTOR_REF
																						(BGl_za2inheritancesza2z00zz__objectz00,
																							(BgL_idxz00_2819 + 3L)) ==
																						BgL_classz00_2811);
																				}
																			else
																				{	/* Globalize/free.scm 392 */
																					bool_t BgL_res1980z00_2844;

																					{	/* Globalize/free.scm 392 */
																						obj_t BgL_oclassz00_2827;

																						{	/* Globalize/free.scm 392 */
																							obj_t BgL_arg1866z00_2835;
																							long BgL_arg1867z00_2836;

																							BgL_arg1866z00_2835 =
																								(BGl_za2classesza2z00zz__objectz00);
																							{	/* Globalize/free.scm 392 */
																								long BgL_arg1869z00_2837;

																								BgL_arg1869z00_2837 =
																									BGL_OBJECT_CLASS_NUM
																									(BgL_arg1858z00_2813);
																								BgL_arg1867z00_2836 =
																									(BgL_arg1869z00_2837 -
																									OBJECT_TYPE);
																							}
																							BgL_oclassz00_2827 =
																								VECTOR_REF(BgL_arg1866z00_2835,
																								BgL_arg1867z00_2836);
																						}
																						{	/* Globalize/free.scm 392 */
																							bool_t BgL__ortest_1115z00_2828;

																							BgL__ortest_1115z00_2828 =
																								(BgL_classz00_2811 ==
																								BgL_oclassz00_2827);
																							if (BgL__ortest_1115z00_2828)
																								{	/* Globalize/free.scm 392 */
																									BgL_res1980z00_2844 =
																										BgL__ortest_1115z00_2828;
																								}
																							else
																								{	/* Globalize/free.scm 392 */
																									long BgL_odepthz00_2829;

																									{	/* Globalize/free.scm 392 */
																										obj_t BgL_arg1855z00_2830;

																										BgL_arg1855z00_2830 =
																											(BgL_oclassz00_2827);
																										BgL_odepthz00_2829 =
																											BGL_CLASS_DEPTH
																											(BgL_arg1855z00_2830);
																									}
																									if ((3L < BgL_odepthz00_2829))
																										{	/* Globalize/free.scm 392 */
																											obj_t BgL_arg1853z00_2832;

																											{	/* Globalize/free.scm 392 */
																												obj_t
																													BgL_arg1854z00_2833;
																												BgL_arg1854z00_2833 =
																													(BgL_oclassz00_2827);
																												BgL_arg1853z00_2832 =
																													BGL_CLASS_ANCESTORS_REF
																													(BgL_arg1854z00_2833,
																													3L);
																											}
																											BgL_res1980z00_2844 =
																												(BgL_arg1853z00_2832 ==
																												BgL_classz00_2811);
																										}
																									else
																										{	/* Globalize/free.scm 392 */
																											BgL_res1980z00_2844 =
																												((bool_t) 0);
																										}
																								}
																						}
																					}
																					BgL_test2118z00_4224 =
																						BgL_res1980z00_2844;
																				}
																		}
																	}
																}
																if (BgL_test2118z00_4224)
																	{	/* Globalize/free.scm 392 */
																		if (
																			((((BgL_sfunz00_bglt) COBJECT(
																							((BgL_sfunz00_bglt)
																								(((BgL_variablez00_bglt)
																										COBJECT((
																												(BgL_variablez00_bglt)
																												BgL_globalz00_57)))->
																									BgL_valuez00))))->
																					BgL_classz00) ==
																				((obj_t) CNST_TABLE_REF(4))))
																			{	/* Globalize/free.scm 393 */
																				BgL_arg1516z00_1841 =
																					((obj_t) CNST_TABLE_REF(4));
																			}
																		else
																			{	/* Globalize/free.scm 393 */
																				BgL_arg1516z00_1841 =
																					((obj_t) CNST_TABLE_REF(5));
																			}
																	}
																else
																	{	/* Globalize/free.scm 392 */
																		BgL_arg1516z00_1841 =
																			((obj_t) CNST_TABLE_REF(5));
																	}
															}
															BgL_closurez00_1834 =
																BGl_defzd2globalzd2scnstz12z12zzast_glozd2defzd2
																(BgL_arg1513z00_1839, BgL_arg1515z00_1840,
																((obj_t) BgL_nodez00_1833), BgL_arg1516z00_1841,
																BgL_locz00_58);
														}
														{	/* Globalize/free.scm 385 */

															((((BgL_globalz00_bglt)
																		COBJECT(BgL_closurez00_1834))->
																	BgL_libraryz00) =
																((obj_t) (((BgL_globalz00_bglt)
																			COBJECT(BgL_globalz00_57))->
																		BgL_libraryz00)), BUNSPEC);
															((((BgL_globalz00_bglt)
																		COBJECT(BgL_closurez00_1834))->
																	BgL_importz00) =
																((obj_t) (((BgL_globalz00_bglt)
																			COBJECT(BgL_globalz00_57))->
																		BgL_importz00)), BUNSPEC);
															{	/* Globalize/free.scm 402 */
																BgL_valuez00_bglt BgL_arg1511z00_1837;

																BgL_arg1511z00_1837 =
																	(((BgL_variablez00_bglt) COBJECT(
																			((BgL_variablez00_bglt)
																				BgL_globalz00_57)))->BgL_valuez00);
																((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
																					BgL_arg1511z00_1837)))->
																		BgL_thezd2closurezd2) =
																	((obj_t) ((obj_t) BgL_closurez00_1834)),
																	BUNSPEC);
															}
															{	/* Globalize/free.scm 406 */
																BgL_valuez00_bglt BgL_arg1512z00_1838;

																BgL_arg1512z00_1838 =
																	(((BgL_variablez00_bglt) COBJECT(
																			((BgL_variablez00_bglt)
																				BgL_glocloz00_1830)))->BgL_valuez00);
																((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
																					BgL_arg1512z00_1838)))->
																		BgL_thezd2closurezd2) =
																	((obj_t) ((obj_t) BgL_closurez00_1834)),
																	BUNSPEC);
															}
															return ((obj_t) BgL_closurez00_1834);
														}
													}
												}
											}
										}
									}
							}
					}
				}
			}
		}

	}



/* &the-global-closure */
	obj_t BGl_z62thezd2globalzd2closurez62zzglobaliza7e_freeza7(obj_t
		BgL_envz00_3410, obj_t BgL_globalz00_3411, obj_t BgL_locz00_3412)
	{
		{	/* Globalize/free.scm 345 */
			return
				BGl_thezd2globalzd2closurez00zzglobaliza7e_freeza7(
				((BgL_globalz00_bglt) BgL_globalz00_3411), BgL_locz00_3412);
		}

	}



/* the-local-closure */
	obj_t BGl_thezd2localzd2closurez00zzglobaliza7e_freeza7(obj_t BgL_localz00_59,
		obj_t BgL_locz00_60)
	{
		{	/* Globalize/free.scm 416 */
			{	/* Globalize/free.scm 417 */
				BgL_valuez00_bglt BgL_infoz00_1882;

				BgL_infoz00_1882 =
					(((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt)
								((BgL_localz00_bglt) BgL_localz00_59))))->BgL_valuez00);
				{	/* Globalize/free.scm 418 */
					bool_t BgL_test2123z00_4286;

					{	/* Globalize/free.scm 418 */
						obj_t BgL_arg1638z00_1898;

						BgL_arg1638z00_1898 =
							(((BgL_funz00_bglt) COBJECT(
									((BgL_funz00_bglt)
										((BgL_sfunz00_bglt) BgL_infoz00_1882))))->
							BgL_thezd2closurezd2);
						{	/* Globalize/free.scm 418 */
							obj_t BgL_classz00_2858;

							BgL_classz00_2858 = BGl_localz00zzast_varz00;
							if (BGL_OBJECTP(BgL_arg1638z00_1898))
								{	/* Globalize/free.scm 418 */
									BgL_objectz00_bglt BgL_arg1858z00_2860;

									BgL_arg1858z00_2860 =
										(BgL_objectz00_bglt) (BgL_arg1638z00_1898);
									if (BGL_CONDEXPAND_ISA_ARCH64())
										{	/* Globalize/free.scm 418 */
											long BgL_idxz00_2866;

											BgL_idxz00_2866 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_2860);
											BgL_test2123z00_4286 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_2866 + 2L)) == BgL_classz00_2858);
										}
									else
										{	/* Globalize/free.scm 418 */
											bool_t BgL_res1981z00_2891;

											{	/* Globalize/free.scm 418 */
												obj_t BgL_oclassz00_2874;

												{	/* Globalize/free.scm 418 */
													obj_t BgL_arg1866z00_2882;
													long BgL_arg1867z00_2883;

													BgL_arg1866z00_2882 =
														(BGl_za2classesza2z00zz__objectz00);
													{	/* Globalize/free.scm 418 */
														long BgL_arg1869z00_2884;

														BgL_arg1869z00_2884 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_2860);
														BgL_arg1867z00_2883 =
															(BgL_arg1869z00_2884 - OBJECT_TYPE);
													}
													BgL_oclassz00_2874 =
														VECTOR_REF(BgL_arg1866z00_2882,
														BgL_arg1867z00_2883);
												}
												{	/* Globalize/free.scm 418 */
													bool_t BgL__ortest_1115z00_2875;

													BgL__ortest_1115z00_2875 =
														(BgL_classz00_2858 == BgL_oclassz00_2874);
													if (BgL__ortest_1115z00_2875)
														{	/* Globalize/free.scm 418 */
															BgL_res1981z00_2891 = BgL__ortest_1115z00_2875;
														}
													else
														{	/* Globalize/free.scm 418 */
															long BgL_odepthz00_2876;

															{	/* Globalize/free.scm 418 */
																obj_t BgL_arg1855z00_2877;

																BgL_arg1855z00_2877 = (BgL_oclassz00_2874);
																BgL_odepthz00_2876 =
																	BGL_CLASS_DEPTH(BgL_arg1855z00_2877);
															}
															if ((2L < BgL_odepthz00_2876))
																{	/* Globalize/free.scm 418 */
																	obj_t BgL_arg1853z00_2879;

																	{	/* Globalize/free.scm 418 */
																		obj_t BgL_arg1854z00_2880;

																		BgL_arg1854z00_2880 = (BgL_oclassz00_2874);
																		BgL_arg1853z00_2879 =
																			BGL_CLASS_ANCESTORS_REF
																			(BgL_arg1854z00_2880, 2L);
																	}
																	BgL_res1981z00_2891 =
																		(BgL_arg1853z00_2879 == BgL_classz00_2858);
																}
															else
																{	/* Globalize/free.scm 418 */
																	BgL_res1981z00_2891 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_test2123z00_4286 = BgL_res1981z00_2891;
										}
								}
							else
								{	/* Globalize/free.scm 418 */
									BgL_test2123z00_4286 = ((bool_t) 0);
								}
						}
					}
					if (BgL_test2123z00_4286)
						{	/* Globalize/free.scm 418 */
							return
								(((BgL_funz00_bglt) COBJECT(
										((BgL_funz00_bglt)
											((BgL_sfunz00_bglt) BgL_infoz00_1882))))->
								BgL_thezd2closurezd2);
						}
					else
						{	/* Globalize/free.scm 420 */
							BgL_localz00_bglt BgL_closurez00_1885;

							{	/* Globalize/free.scm 420 */
								obj_t BgL_arg1635z00_1897;

								BgL_arg1635z00_1897 =
									(((BgL_variablez00_bglt) COBJECT(
											((BgL_variablez00_bglt)
												((BgL_localz00_bglt) BgL_localz00_59))))->BgL_idz00);
								BgL_closurez00_1885 =
									BGl_makezd2localzd2svarz00zzast_localz00(BgL_arg1635z00_1897,
									((BgL_typez00_bglt) BGl_za2procedureza2z00zztype_cachez00));
							}
							{	/* Globalize/free.scm 421 */
								bool_t BgL_arg1631z00_1886;

								BgL_arg1631z00_1886 =
									(((BgL_variablez00_bglt) COBJECT(
											((BgL_variablez00_bglt)
												((BgL_localz00_bglt) BgL_localz00_59))))->
									BgL_userzf3zf3);
								((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
													BgL_closurez00_1885)))->BgL_userzf3zf3) =
									((bool_t) BgL_arg1631z00_1886), BUNSPEC);
							}
							{	/* Globalize/free.scm 422 */
								BgL_svarz00_bglt BgL_tmp1141z00_1887;

								BgL_tmp1141z00_1887 =
									((BgL_svarz00_bglt)
									(((BgL_variablez00_bglt) COBJECT(
												((BgL_variablez00_bglt) BgL_closurez00_1885)))->
										BgL_valuez00));
								{	/* Globalize/free.scm 422 */
									BgL_svarzf2ginfozf2_bglt BgL_wide1143z00_1889;

									BgL_wide1143z00_1889 =
										((BgL_svarzf2ginfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
													BgL_svarzf2ginfozf2_bgl))));
									{	/* Globalize/free.scm 422 */
										obj_t BgL_auxz00_4332;
										BgL_objectz00_bglt BgL_tmpz00_4329;

										BgL_auxz00_4332 = ((obj_t) BgL_wide1143z00_1889);
										BgL_tmpz00_4329 =
											((BgL_objectz00_bglt)
											((BgL_svarz00_bglt) BgL_tmp1141z00_1887));
										BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4329, BgL_auxz00_4332);
									}
									((BgL_objectz00_bglt)
										((BgL_svarz00_bglt) BgL_tmp1141z00_1887));
									{	/* Globalize/free.scm 422 */
										long BgL_arg1632z00_1890;

										BgL_arg1632z00_1890 =
											BGL_CLASS_NUM(BGl_svarzf2Ginfozf2zzglobaliza7e_ginfoza7);
										BGL_OBJECT_CLASS_NUM_SET(
											((BgL_objectz00_bglt)
												((BgL_svarz00_bglt) BgL_tmp1141z00_1887)),
											BgL_arg1632z00_1890);
									}
									((BgL_svarz00_bglt) ((BgL_svarz00_bglt) BgL_tmp1141z00_1887));
								}
								{
									BgL_svarzf2ginfozf2_bglt BgL_auxz00_4343;

									{
										obj_t BgL_auxz00_4344;

										{	/* Globalize/free.scm 422 */
											BgL_objectz00_bglt BgL_tmpz00_4345;

											BgL_tmpz00_4345 =
												((BgL_objectz00_bglt)
												((BgL_svarz00_bglt) BgL_tmp1141z00_1887));
											BgL_auxz00_4344 = BGL_OBJECT_WIDENING(BgL_tmpz00_4345);
										}
										BgL_auxz00_4343 =
											((BgL_svarzf2ginfozf2_bglt) BgL_auxz00_4344);
									}
									((((BgL_svarzf2ginfozf2_bglt) COBJECT(BgL_auxz00_4343))->
											BgL_kapturedzf3zf3) = ((bool_t) ((bool_t) 0)), BUNSPEC);
								}
								{
									BgL_svarzf2ginfozf2_bglt BgL_auxz00_4351;

									{
										obj_t BgL_auxz00_4352;

										{	/* Globalize/free.scm 422 */
											BgL_objectz00_bglt BgL_tmpz00_4353;

											BgL_tmpz00_4353 =
												((BgL_objectz00_bglt)
												((BgL_svarz00_bglt) BgL_tmp1141z00_1887));
											BgL_auxz00_4352 = BGL_OBJECT_WIDENING(BgL_tmpz00_4353);
										}
										BgL_auxz00_4351 =
											((BgL_svarzf2ginfozf2_bglt) BgL_auxz00_4352);
									}
									((((BgL_svarzf2ginfozf2_bglt) COBJECT(BgL_auxz00_4351))->
											BgL_freezd2markzd2) = ((long) (-10L)), BUNSPEC);
								}
								{
									BgL_svarzf2ginfozf2_bglt BgL_auxz00_4359;

									{
										obj_t BgL_auxz00_4360;

										{	/* Globalize/free.scm 422 */
											BgL_objectz00_bglt BgL_tmpz00_4361;

											BgL_tmpz00_4361 =
												((BgL_objectz00_bglt)
												((BgL_svarz00_bglt) BgL_tmp1141z00_1887));
											BgL_auxz00_4360 = BGL_OBJECT_WIDENING(BgL_tmpz00_4361);
										}
										BgL_auxz00_4359 =
											((BgL_svarzf2ginfozf2_bglt) BgL_auxz00_4360);
									}
									((((BgL_svarzf2ginfozf2_bglt) COBJECT(BgL_auxz00_4359))->
											BgL_markz00) = ((long) (-10L)), BUNSPEC);
								}
								{
									BgL_svarzf2ginfozf2_bglt BgL_auxz00_4367;

									{
										obj_t BgL_auxz00_4368;

										{	/* Globalize/free.scm 422 */
											BgL_objectz00_bglt BgL_tmpz00_4369;

											BgL_tmpz00_4369 =
												((BgL_objectz00_bglt)
												((BgL_svarz00_bglt) BgL_tmp1141z00_1887));
											BgL_auxz00_4368 = BGL_OBJECT_WIDENING(BgL_tmpz00_4369);
										}
										BgL_auxz00_4367 =
											((BgL_svarzf2ginfozf2_bglt) BgL_auxz00_4368);
									}
									((((BgL_svarzf2ginfozf2_bglt) COBJECT(BgL_auxz00_4367))->
											BgL_celledzf3zf3) = ((bool_t) ((bool_t) 0)), BUNSPEC);
								}
								{
									BgL_svarzf2ginfozf2_bglt BgL_auxz00_4375;

									{
										obj_t BgL_auxz00_4376;

										{	/* Globalize/free.scm 422 */
											BgL_objectz00_bglt BgL_tmpz00_4377;

											BgL_tmpz00_4377 =
												((BgL_objectz00_bglt)
												((BgL_svarz00_bglt) BgL_tmp1141z00_1887));
											BgL_auxz00_4376 = BGL_OBJECT_WIDENING(BgL_tmpz00_4377);
										}
										BgL_auxz00_4375 =
											((BgL_svarzf2ginfozf2_bglt) BgL_auxz00_4376);
									}
									((((BgL_svarzf2ginfozf2_bglt) COBJECT(BgL_auxz00_4375))->
											BgL_stackablez00) = ((bool_t) ((bool_t) 1)), BUNSPEC);
								}
								((BgL_svarz00_bglt) BgL_tmp1141z00_1887);
							}
							{	/* Globalize/free.scm 423 */
								BgL_localzf2ginfozf2_bglt BgL_wide1147z00_1894;

								BgL_wide1147z00_1894 =
									((BgL_localzf2ginfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_localzf2ginfozf2_bgl))));
								{	/* Globalize/free.scm 423 */
									obj_t BgL_auxz00_4388;
									BgL_objectz00_bglt BgL_tmpz00_4385;

									BgL_auxz00_4388 = ((obj_t) BgL_wide1147z00_1894);
									BgL_tmpz00_4385 =
										((BgL_objectz00_bglt)
										((BgL_localz00_bglt) BgL_closurez00_1885));
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4385, BgL_auxz00_4388);
								}
								((BgL_objectz00_bglt)
									((BgL_localz00_bglt) BgL_closurez00_1885));
								{	/* Globalize/free.scm 423 */
									long BgL_arg1633z00_1895;

									BgL_arg1633z00_1895 =
										BGL_CLASS_NUM(BGl_localzf2Ginfozf2zzglobaliza7e_ginfoza7);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt)
											((BgL_localz00_bglt) BgL_closurez00_1885)),
										BgL_arg1633z00_1895);
								}
								((BgL_localz00_bglt) ((BgL_localz00_bglt) BgL_closurez00_1885));
							}
							{
								BgL_localzf2ginfozf2_bglt BgL_auxz00_4399;

								{
									obj_t BgL_auxz00_4400;

									{	/* Globalize/free.scm 423 */
										BgL_objectz00_bglt BgL_tmpz00_4401;

										BgL_tmpz00_4401 =
											((BgL_objectz00_bglt)
											((BgL_localz00_bglt) BgL_closurez00_1885));
										BgL_auxz00_4400 = BGL_OBJECT_WIDENING(BgL_tmpz00_4401);
									}
									BgL_auxz00_4399 =
										((BgL_localzf2ginfozf2_bglt) BgL_auxz00_4400);
								}
								((((BgL_localzf2ginfozf2_bglt) COBJECT(BgL_auxz00_4399))->
										BgL_escapezf3zf3) = ((bool_t) ((bool_t) 0)), BUNSPEC);
							}
							{
								BgL_localzf2ginfozf2_bglt BgL_auxz00_4407;

								{
									obj_t BgL_auxz00_4408;

									{	/* Globalize/free.scm 423 */
										BgL_objectz00_bglt BgL_tmpz00_4409;

										BgL_tmpz00_4409 =
											((BgL_objectz00_bglt)
											((BgL_localz00_bglt) BgL_closurez00_1885));
										BgL_auxz00_4408 = BGL_OBJECT_WIDENING(BgL_tmpz00_4409);
									}
									BgL_auxz00_4407 =
										((BgL_localzf2ginfozf2_bglt) BgL_auxz00_4408);
								}
								((((BgL_localzf2ginfozf2_bglt) COBJECT(BgL_auxz00_4407))->
										BgL_globaliza7edzf3z54) = ((bool_t) ((bool_t) 0)), BUNSPEC);
							}
							((BgL_localz00_bglt) BgL_closurez00_1885);
							((((BgL_funz00_bglt) COBJECT(
											((BgL_funz00_bglt)
												((BgL_sfunz00_bglt) BgL_infoz00_1882))))->
									BgL_thezd2closurezd2) =
								((obj_t) ((obj_t) BgL_closurez00_1885)), BUNSPEC);
							return ((obj_t) BgL_closurez00_1885);
						}
				}
			}
		}

	}



/* free-from */
	BGL_EXPORTED_DEF obj_t BGl_freezd2fromzd2zzglobaliza7e_freeza7(obj_t
		BgL_setsz00_61, BgL_localz00_bglt BgL_integratorz00_62)
	{
		{	/* Globalize/free.scm 430 */
			BGl_za2roundza2z00zzglobaliza7e_freeza7 =
				ADDFX(BGl_za2roundza2z00zzglobaliza7e_freeza7, BINT(1L));
			{	/* Globalize/free.scm 433 */
				BgL_valuez00_bglt BgL_finfoz00_1899;

				BgL_finfoz00_1899 =
					(((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_integratorz00_62)))->BgL_valuez00);
				{	/* Globalize/free.scm 440 */
					obj_t BgL_g1298z00_1900;

					{
						BgL_sfunzf2ginfozf2_bglt BgL_auxz00_4425;

						{
							obj_t BgL_auxz00_4426;

							{	/* Globalize/free.scm 440 */
								BgL_objectz00_bglt BgL_tmpz00_4427;

								BgL_tmpz00_4427 =
									((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_finfoz00_1899));
								BgL_auxz00_4426 = BGL_OBJECT_WIDENING(BgL_tmpz00_4427);
							}
							BgL_auxz00_4425 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_4426);
						}
						BgL_g1298z00_1900 =
							(((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_4425))->
							BgL_boundz00);
					}
					{
						obj_t BgL_l1296z00_1902;

						BgL_l1296z00_1902 = BgL_g1298z00_1900;
					BgL_zc3z04anonymousza31639ze3z87_1903:
						if (PAIRP(BgL_l1296z00_1902))
							{	/* Globalize/free.scm 440 */
								{	/* Globalize/free.scm 440 */
									obj_t BgL_arg1642z00_1905;

									BgL_arg1642z00_1905 = CAR(BgL_l1296z00_1902);
									BGl_markzd2variablez12zc0zzglobaliza7e_freeza7(
										((BgL_localz00_bglt) BgL_arg1642z00_1905));
								}
								{
									obj_t BgL_l1296z00_4438;

									BgL_l1296z00_4438 = CDR(BgL_l1296z00_1902);
									BgL_l1296z00_1902 = BgL_l1296z00_4438;
									goto BgL_zc3z04anonymousza31639ze3z87_1903;
								}
							}
						else
							{	/* Globalize/free.scm 440 */
								((bool_t) 1);
							}
					}
				}
			}
			if (NULLP(BgL_setsz00_61))
				{	/* Globalize/free.scm 442 */
					return BNIL;
				}
			else
				{	/* Globalize/free.scm 442 */
					obj_t BgL_head1301z00_1910;

					BgL_head1301z00_1910 = MAKE_YOUNG_PAIR(BNIL, BNIL);
					{
						obj_t BgL_l1299z00_1912;
						obj_t BgL_tail1302z00_1913;

						BgL_l1299z00_1912 = BgL_setsz00_61;
						BgL_tail1302z00_1913 = BgL_head1301z00_1910;
					BgL_zc3z04anonymousza31645ze3z87_1914:
						if (NULLP(BgL_l1299z00_1912))
							{	/* Globalize/free.scm 442 */
								return CDR(BgL_head1301z00_1910);
							}
						else
							{	/* Globalize/free.scm 442 */
								obj_t BgL_newtail1303z00_1916;

								{	/* Globalize/free.scm 442 */
									obj_t BgL_arg1649z00_1918;

									{	/* Globalize/free.scm 442 */
										obj_t BgL_setz00_1919;

										BgL_setz00_1919 = CAR(((obj_t) BgL_l1299z00_1912));
										{
											obj_t BgL_setz00_1922;
											obj_t BgL_resz00_1923;

											BgL_setz00_1922 = BgL_setz00_1919;
											BgL_resz00_1923 = BNIL;
										BgL_zc3z04anonymousza31650ze3z87_1924:
											if (NULLP(BgL_setz00_1922))
												{	/* Globalize/free.scm 446 */
													BgL_arg1649z00_1918 = BgL_resz00_1923;
												}
											else
												{	/* Globalize/free.scm 448 */
													bool_t BgL_test2132z00_4450;

													{	/* Globalize/free.scm 448 */
														obj_t BgL_arg1664z00_1932;

														BgL_arg1664z00_1932 =
															CAR(((obj_t) BgL_setz00_1922));
														BgL_test2132z00_4450 =
															CBOOL
															(BGl_freezd2variablezf3z21zzglobaliza7e_freeza7
															(BgL_arg1664z00_1932));
													}
													if (BgL_test2132z00_4450)
														{	/* Globalize/free.scm 449 */
															obj_t BgL_arg1656z00_1928;
															obj_t BgL_arg1657z00_1929;

															BgL_arg1656z00_1928 =
																CDR(((obj_t) BgL_setz00_1922));
															{	/* Globalize/free.scm 449 */
																obj_t BgL_arg1660z00_1930;

																BgL_arg1660z00_1930 =
																	CAR(((obj_t) BgL_setz00_1922));
																BgL_arg1657z00_1929 =
																	MAKE_YOUNG_PAIR(BgL_arg1660z00_1930,
																	BgL_resz00_1923);
															}
															{
																obj_t BgL_resz00_4461;
																obj_t BgL_setz00_4460;

																BgL_setz00_4460 = BgL_arg1656z00_1928;
																BgL_resz00_4461 = BgL_arg1657z00_1929;
																BgL_resz00_1923 = BgL_resz00_4461;
																BgL_setz00_1922 = BgL_setz00_4460;
																goto BgL_zc3z04anonymousza31650ze3z87_1924;
															}
														}
													else
														{	/* Globalize/free.scm 451 */
															obj_t BgL_arg1663z00_1931;

															BgL_arg1663z00_1931 =
																CDR(((obj_t) BgL_setz00_1922));
															{
																obj_t BgL_setz00_4464;

																BgL_setz00_4464 = BgL_arg1663z00_1931;
																BgL_setz00_1922 = BgL_setz00_4464;
																goto BgL_zc3z04anonymousza31650ze3z87_1924;
															}
														}
												}
										}
									}
									BgL_newtail1303z00_1916 =
										MAKE_YOUNG_PAIR(BgL_arg1649z00_1918, BNIL);
								}
								SET_CDR(BgL_tail1302z00_1913, BgL_newtail1303z00_1916);
								{	/* Globalize/free.scm 442 */
									obj_t BgL_arg1648z00_1917;

									BgL_arg1648z00_1917 = CDR(((obj_t) BgL_l1299z00_1912));
									{
										obj_t BgL_tail1302z00_4470;
										obj_t BgL_l1299z00_4469;

										BgL_l1299z00_4469 = BgL_arg1648z00_1917;
										BgL_tail1302z00_4470 = BgL_newtail1303z00_1916;
										BgL_tail1302z00_1913 = BgL_tail1302z00_4470;
										BgL_l1299z00_1912 = BgL_l1299z00_4469;
										goto BgL_zc3z04anonymousza31645ze3z87_1914;
									}
								}
							}
					}
				}
		}

	}



/* &free-from */
	obj_t BGl_z62freezd2fromzb0zzglobaliza7e_freeza7(obj_t BgL_envz00_3413,
		obj_t BgL_setsz00_3414, obj_t BgL_integratorz00_3415)
	{
		{	/* Globalize/free.scm 430 */
			return
				BGl_freezd2fromzd2zzglobaliza7e_freeza7(BgL_setsz00_3414,
				((BgL_localz00_bglt) BgL_integratorz00_3415));
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzglobaliza7e_freeza7(void)
	{
		{	/* Globalize/free.scm 15 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzglobaliza7e_freeza7(void)
	{
		{	/* Globalize/free.scm 15 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_nodezd2freezd2envz00zzglobaliza7e_freeza7,
				BGl_proc2000z00zzglobaliza7e_freeza7, BGl_nodez00zzast_nodez00,
				BGl_string2001z00zzglobaliza7e_freeza7);
		}

	}



/* &node-free1304 */
	obj_t BGl_z62nodezd2free1304zb0zzglobaliza7e_freeza7(obj_t BgL_envz00_3417,
		obj_t BgL_nodez00_3418, obj_t BgL_freez00_3419)
	{
		{	/* Globalize/free.scm 123 */
			return BgL_freez00_3419;
		}

	}



/* node-free */
	obj_t BGl_nodezd2freezd2zzglobaliza7e_freeza7(BgL_nodez00_bglt BgL_nodez00_11,
		obj_t BgL_freez00_12)
	{
		{	/* Globalize/free.scm 123 */
			{	/* Globalize/free.scm 123 */
				obj_t BgL_method1307z00_1940;

				{	/* Globalize/free.scm 123 */
					obj_t BgL_res1986z00_2958;

					{	/* Globalize/free.scm 123 */
						long BgL_objzd2classzd2numz00_2929;

						BgL_objzd2classzd2numz00_2929 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_11));
						{	/* Globalize/free.scm 123 */
							obj_t BgL_arg1862z00_2930;

							BgL_arg1862z00_2930 =
								PROCEDURE_REF(BGl_nodezd2freezd2envz00zzglobaliza7e_freeza7,
								(int) (1L));
							{	/* Globalize/free.scm 123 */
								int BgL_offsetz00_2933;

								BgL_offsetz00_2933 = (int) (BgL_objzd2classzd2numz00_2929);
								{	/* Globalize/free.scm 123 */
									long BgL_offsetz00_2934;

									BgL_offsetz00_2934 =
										((long) (BgL_offsetz00_2933) - OBJECT_TYPE);
									{	/* Globalize/free.scm 123 */
										long BgL_modz00_2935;

										BgL_modz00_2935 =
											(BgL_offsetz00_2934 >> (int) ((long) ((int) (4L))));
										{	/* Globalize/free.scm 123 */
											long BgL_restz00_2937;

											BgL_restz00_2937 =
												(BgL_offsetz00_2934 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(1L <<
																		(int) ((long) ((int) (4L)))))) - 1L))));
											{	/* Globalize/free.scm 123 */

												{	/* Globalize/free.scm 123 */
													obj_t BgL_bucketz00_2939;

													BgL_bucketz00_2939 =
														VECTOR_REF(
														((obj_t) BgL_arg1862z00_2930), BgL_modz00_2935);
													BgL_res1986z00_2958 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_2939), BgL_restz00_2937);
					}}}}}}}}
					BgL_method1307z00_1940 = BgL_res1986z00_2958;
				}
				return
					BGL_PROCEDURE_CALL2(BgL_method1307z00_1940,
					((obj_t) BgL_nodez00_11), BgL_freez00_12);
			}
		}

	}



/* &node-free */
	obj_t BGl_z62nodezd2freezb0zzglobaliza7e_freeza7(obj_t BgL_envz00_3420,
		obj_t BgL_nodez00_3421, obj_t BgL_freez00_3422)
	{
		{	/* Globalize/free.scm 123 */
			return
				BGl_nodezd2freezd2zzglobaliza7e_freeza7(
				((BgL_nodez00_bglt) BgL_nodez00_3421), BgL_freez00_3422);
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzglobaliza7e_freeza7(void)
	{
		{	/* Globalize/free.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2freezd2envz00zzglobaliza7e_freeza7, BGl_varz00zzast_nodez00,
				BGl_proc2002z00zzglobaliza7e_freeza7,
				BGl_string2003z00zzglobaliza7e_freeza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2freezd2envz00zzglobaliza7e_freeza7,
				BGl_closurez00zzast_nodez00, BGl_proc2004z00zzglobaliza7e_freeza7,
				BGl_string2003z00zzglobaliza7e_freeza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2freezd2envz00zzglobaliza7e_freeza7,
				BGl_sequencez00zzast_nodez00, BGl_proc2005z00zzglobaliza7e_freeza7,
				BGl_string2003z00zzglobaliza7e_freeza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2freezd2envz00zzglobaliza7e_freeza7,
				BGl_syncz00zzast_nodez00, BGl_proc2006z00zzglobaliza7e_freeza7,
				BGl_string2003z00zzglobaliza7e_freeza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2freezd2envz00zzglobaliza7e_freeza7, BGl_appz00zzast_nodez00,
				BGl_proc2007z00zzglobaliza7e_freeza7,
				BGl_string2003z00zzglobaliza7e_freeza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2freezd2envz00zzglobaliza7e_freeza7,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc2008z00zzglobaliza7e_freeza7,
				BGl_string2003z00zzglobaliza7e_freeza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2freezd2envz00zzglobaliza7e_freeza7,
				BGl_funcallz00zzast_nodez00, BGl_proc2009z00zzglobaliza7e_freeza7,
				BGl_string2003z00zzglobaliza7e_freeza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2freezd2envz00zzglobaliza7e_freeza7,
				BGl_externz00zzast_nodez00, BGl_proc2010z00zzglobaliza7e_freeza7,
				BGl_string2003z00zzglobaliza7e_freeza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2freezd2envz00zzglobaliza7e_freeza7,
				BGl_castz00zzast_nodez00, BGl_proc2011z00zzglobaliza7e_freeza7,
				BGl_string2003z00zzglobaliza7e_freeza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2freezd2envz00zzglobaliza7e_freeza7,
				BGl_setqz00zzast_nodez00, BGl_proc2012z00zzglobaliza7e_freeza7,
				BGl_string2003z00zzglobaliza7e_freeza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2freezd2envz00zzglobaliza7e_freeza7,
				BGl_conditionalz00zzast_nodez00, BGl_proc2013z00zzglobaliza7e_freeza7,
				BGl_string2003z00zzglobaliza7e_freeza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2freezd2envz00zzglobaliza7e_freeza7,
				BGl_failz00zzast_nodez00, BGl_proc2014z00zzglobaliza7e_freeza7,
				BGl_string2003z00zzglobaliza7e_freeza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2freezd2envz00zzglobaliza7e_freeza7,
				BGl_switchz00zzast_nodez00, BGl_proc2015z00zzglobaliza7e_freeza7,
				BGl_string2003z00zzglobaliza7e_freeza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2freezd2envz00zzglobaliza7e_freeza7,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc2016z00zzglobaliza7e_freeza7,
				BGl_string2003z00zzglobaliza7e_freeza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2freezd2envz00zzglobaliza7e_freeza7,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc2017z00zzglobaliza7e_freeza7,
				BGl_string2003z00zzglobaliza7e_freeza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2freezd2envz00zzglobaliza7e_freeza7,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc2018z00zzglobaliza7e_freeza7,
				BGl_string2003z00zzglobaliza7e_freeza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2freezd2envz00zzglobaliza7e_freeza7,
				BGl_jumpzd2exzd2itz00zzast_nodez00,
				BGl_proc2019z00zzglobaliza7e_freeza7,
				BGl_string2003z00zzglobaliza7e_freeza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2freezd2envz00zzglobaliza7e_freeza7,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc2020z00zzglobaliza7e_freeza7,
				BGl_string2003z00zzglobaliza7e_freeza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2freezd2envz00zzglobaliza7e_freeza7,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc2021z00zzglobaliza7e_freeza7,
				BGl_string2003z00zzglobaliza7e_freeza7);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2freezd2envz00zzglobaliza7e_freeza7,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc2022z00zzglobaliza7e_freeza7,
				BGl_string2003z00zzglobaliza7e_freeza7);
		}

	}



/* &node-free-box-set!1347 */
	obj_t BGl_z62nodezd2freezd2boxzd2setz121347za2zzglobaliza7e_freeza7(obj_t
		BgL_envz00_3443, obj_t BgL_nodez00_3444, obj_t BgL_freez00_3445)
	{
		{	/* Globalize/free.scm 319 */
			{	/* Globalize/free.scm 321 */
				BgL_varz00_bglt BgL_arg1891z00_3516;
				obj_t BgL_arg1892z00_3517;

				BgL_arg1891z00_3516 =
					(((BgL_boxzd2setz12zc0_bglt) COBJECT(
							((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_3444)))->BgL_varz00);
				BgL_arg1892z00_3517 =
					BGl_nodezd2freezd2zzglobaliza7e_freeza7(
					(((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_3444)))->BgL_valuez00),
					BgL_freez00_3445);
				return BGl_nodezd2freezd2zzglobaliza7e_freeza7(((BgL_nodez00_bglt)
						BgL_arg1891z00_3516), BgL_arg1892z00_3517);
			}
		}

	}



/* &node-free-box-ref1345 */
	obj_t BGl_z62nodezd2freezd2boxzd2ref1345zb0zzglobaliza7e_freeza7(obj_t
		BgL_envz00_3446, obj_t BgL_nodez00_3447, obj_t BgL_freez00_3448)
	{
		{	/* Globalize/free.scm 312 */
			{	/* Globalize/free.scm 314 */
				BgL_varz00_bglt BgL_arg1890z00_3519;

				BgL_arg1890z00_3519 =
					(((BgL_boxzd2refzd2_bglt) COBJECT(
							((BgL_boxzd2refzd2_bglt) BgL_nodez00_3447)))->BgL_varz00);
				return
					BGl_nodezd2freezd2zzglobaliza7e_freeza7(
					((BgL_nodez00_bglt) BgL_arg1890z00_3519), BgL_freez00_3448);
			}
		}

	}



/* &node-free-make-box1343 */
	obj_t BGl_z62nodezd2freezd2makezd2box1343zb0zzglobaliza7e_freeza7(obj_t
		BgL_envz00_3449, obj_t BgL_nodez00_3450, obj_t BgL_freez00_3451)
	{
		{	/* Globalize/free.scm 305 */
			return
				BGl_nodezd2freezd2zzglobaliza7e_freeza7(
				(((BgL_makezd2boxzd2_bglt) COBJECT(
							((BgL_makezd2boxzd2_bglt) BgL_nodez00_3450)))->BgL_valuez00),
				BgL_freez00_3451);
		}

	}



/* &node-free-jump-ex-it1341 */
	obj_t BGl_z62nodezd2freezd2jumpzd2exzd2it1341z62zzglobaliza7e_freeza7(obj_t
		BgL_envz00_3452, obj_t BgL_nodez00_3453, obj_t BgL_freez00_3454)
	{
		{	/* Globalize/free.scm 298 */
			return
				BGl_nodezd2freezd2zzglobaliza7e_freeza7(
				(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
							((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_3453)))->BgL_exitz00),
				BGl_nodezd2freezd2zzglobaliza7e_freeza7(
					(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_3453)))->
						BgL_valuez00), BgL_freez00_3454));
		}

	}



/* &node-free-set-ex-it1339 */
	obj_t BGl_z62nodezd2freezd2setzd2exzd2it1339z62zzglobaliza7e_freeza7(obj_t
		BgL_envz00_3455, obj_t BgL_nodez00_3456, obj_t BgL_freez00_3457)
	{
		{	/* Globalize/free.scm 290 */
			{	/* Globalize/free.scm 292 */
				BgL_variablez00_bglt BgL_arg1873z00_3523;

				BgL_arg1873z00_3523 =
					(((BgL_varz00_bglt) COBJECT(
							(((BgL_setzd2exzd2itz00_bglt) COBJECT(
										((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_3456)))->
								BgL_varz00)))->BgL_variablez00);
				BGl_bindzd2variablez12zc0zzglobaliza7e_freeza7(((BgL_localz00_bglt)
						BgL_arg1873z00_3523),
					((BgL_localz00_bglt) BGl_za2integratorza2z00zzglobaliza7e_freeza7));
			}
			return
				BGl_nodezd2freezd2zzglobaliza7e_freeza7(
				(((BgL_setzd2exzd2itz00_bglt) COBJECT(
							((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_3456)))->BgL_bodyz00),
				BGl_nodezd2freezd2zzglobaliza7e_freeza7(
					(((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_3456)))->
						BgL_onexitz00), BgL_freez00_3457));
		}

	}



/* &node-free-let-var1337 */
	obj_t BGl_z62nodezd2freezd2letzd2var1337zb0zzglobaliza7e_freeza7(obj_t
		BgL_envz00_3458, obj_t BgL_nodez00_3459, obj_t BgL_freez00_3460)
	{
		{	/* Globalize/free.scm 276 */
			{
				obj_t BgL_bindingsz00_3526;
				obj_t BgL_freez00_3527;

				BgL_bindingsz00_3526 =
					(((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_nodez00_3459)))->BgL_bindingsz00);
				BgL_freez00_3527 = BgL_freez00_3460;
			BgL_loopz00_3525:
				if (NULLP(BgL_bindingsz00_3526))
					{	/* Globalize/free.scm 280 */
						return
							BGl_nodezd2freezd2zzglobaliza7e_freeza7(
							(((BgL_letzd2varzd2_bglt) COBJECT(
										((BgL_letzd2varzd2_bglt) BgL_nodez00_3459)))->BgL_bodyz00),
							BgL_freez00_3527);
					}
				else
					{	/* Globalize/free.scm 280 */
						{	/* Globalize/free.scm 283 */
							obj_t BgL_arg1852z00_3528;

							{	/* Globalize/free.scm 283 */
								obj_t BgL_pairz00_3529;

								BgL_pairz00_3529 = CAR(((obj_t) BgL_bindingsz00_3526));
								BgL_arg1852z00_3528 = CAR(BgL_pairz00_3529);
							}
							BGl_bindzd2variablez12zc0zzglobaliza7e_freeza7(
								((BgL_localz00_bglt) BgL_arg1852z00_3528),
								((BgL_localz00_bglt)
									BGl_za2integratorza2z00zzglobaliza7e_freeza7));
						}
						{	/* Globalize/free.scm 284 */
							obj_t BgL_arg1857z00_3530;
							obj_t BgL_arg1859z00_3531;

							BgL_arg1857z00_3530 = CDR(((obj_t) BgL_bindingsz00_3526));
							{	/* Globalize/free.scm 285 */
								obj_t BgL_arg1865z00_3532;

								{	/* Globalize/free.scm 285 */
									obj_t BgL_pairz00_3533;

									BgL_pairz00_3533 = CAR(((obj_t) BgL_bindingsz00_3526));
									BgL_arg1865z00_3532 = CDR(BgL_pairz00_3533);
								}
								BgL_arg1859z00_3531 =
									BGl_nodezd2freezd2zzglobaliza7e_freeza7(
									((BgL_nodez00_bglt) BgL_arg1865z00_3532), BgL_freez00_3527);
							}
							{
								obj_t BgL_freez00_4578;
								obj_t BgL_bindingsz00_4577;

								BgL_bindingsz00_4577 = BgL_arg1857z00_3530;
								BgL_freez00_4578 = BgL_arg1859z00_3531;
								BgL_freez00_3527 = BgL_freez00_4578;
								BgL_bindingsz00_3526 = BgL_bindingsz00_4577;
								goto BgL_loopz00_3525;
							}
						}
					}
			}
		}

	}



/* &node-free-let-fun1335 */
	obj_t BGl_z62nodezd2freezd2letzd2fun1335zb0zzglobaliza7e_freeza7(obj_t
		BgL_envz00_3461, obj_t BgL_nodez00_3462, obj_t BgL_freez00_3463)
	{
		{	/* Globalize/free.scm 251 */
			{	/* Globalize/free.scm 253 */
				obj_t BgL_g1292z00_3535;

				BgL_g1292z00_3535 =
					(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nodez00_3462)))->BgL_localsz00);
				{
					obj_t BgL_l1290z00_3537;

					BgL_l1290z00_3537 = BgL_g1292z00_3535;
				BgL_zc3z04anonymousza31815ze3z87_3536:
					if (PAIRP(BgL_l1290z00_3537))
						{	/* Globalize/free.scm 253 */
							{	/* Globalize/free.scm 255 */
								obj_t BgL_fz00_3538;

								BgL_fz00_3538 = CAR(BgL_l1290z00_3537);
								BGl_bindzd2variablez12zc0zzglobaliza7e_freeza7(
									((BgL_localz00_bglt) BgL_fz00_3538),
									((BgL_localz00_bglt)
										BGl_za2integratorza2z00zzglobaliza7e_freeza7));
								{	/* Globalize/free.scm 257 */
									bool_t BgL_test2135z00_4589;

									{
										BgL_localzf2ginfozf2_bglt BgL_auxz00_4590;

										{
											obj_t BgL_auxz00_4591;

											{	/* Globalize/free.scm 257 */
												BgL_objectz00_bglt BgL_tmpz00_4592;

												BgL_tmpz00_4592 =
													((BgL_objectz00_bglt)
													((BgL_localz00_bglt) BgL_fz00_3538));
												BgL_auxz00_4591 = BGL_OBJECT_WIDENING(BgL_tmpz00_4592);
											}
											BgL_auxz00_4590 =
												((BgL_localzf2ginfozf2_bglt) BgL_auxz00_4591);
										}
										BgL_test2135z00_4589 =
											(((BgL_localzf2ginfozf2_bglt) COBJECT(BgL_auxz00_4590))->
											BgL_escapezf3zf3);
									}
									if (BgL_test2135z00_4589)
										{	/* Globalize/free.scm 258 */
											obj_t BgL_arg1818z00_3539;

											{	/* Globalize/free.scm 258 */
												obj_t BgL_arg1821z00_3540;

												BgL_arg1821z00_3540 =
													(((BgL_nodez00_bglt) COBJECT(
															((BgL_nodez00_bglt)
																((BgL_letzd2funzd2_bglt) BgL_nodez00_3462))))->
													BgL_locz00);
												BgL_arg1818z00_3539 =
													BGl_thezd2localzd2closurez00zzglobaliza7e_freeza7
													(BgL_fz00_3538, BgL_arg1821z00_3540);
											}
											BGl_bindzd2variablez12zc0zzglobaliza7e_freeza7(
												((BgL_localz00_bglt) BgL_arg1818z00_3539),
												((BgL_localz00_bglt)
													BGl_za2integratorza2z00zzglobaliza7e_freeza7));
										}
									else
										{	/* Globalize/free.scm 257 */
											BFALSE;
										}
								}
							}
							{
								obj_t BgL_l1290z00_4605;

								BgL_l1290z00_4605 = CDR(BgL_l1290z00_3537);
								BgL_l1290z00_3537 = BgL_l1290z00_4605;
								goto BgL_zc3z04anonymousza31815ze3z87_3536;
							}
						}
					else
						{	/* Globalize/free.scm 253 */
							((bool_t) 1);
						}
				}
			}
			{
				obj_t BgL_lclsz00_3542;
				obj_t BgL_freez00_3543;

				BgL_lclsz00_3542 =
					(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nodez00_3462)))->BgL_localsz00);
				BgL_freez00_3543 = BgL_freez00_3463;
			BgL_liipz00_3541:
				if (NULLP(BgL_lclsz00_3542))
					{	/* Globalize/free.scm 263 */
						return
							BGl_nodezd2freezd2zzglobaliza7e_freeza7(
							(((BgL_letzd2funzd2_bglt) COBJECT(
										((BgL_letzd2funzd2_bglt) BgL_nodez00_3462)))->BgL_bodyz00),
							BgL_freez00_3543);
					}
				else
					{	/* Globalize/free.scm 265 */
						obj_t BgL_localz00_3544;

						BgL_localz00_3544 = CAR(((obj_t) BgL_lclsz00_3542));
						{	/* Globalize/free.scm 265 */
							BgL_valuez00_bglt BgL_funz00_3545;

							BgL_funz00_3545 =
								(((BgL_variablez00_bglt) COBJECT(
										((BgL_variablez00_bglt)
											((BgL_localz00_bglt) BgL_localz00_3544))))->BgL_valuez00);
							{	/* Globalize/free.scm 266 */

								{	/* Globalize/free.scm 267 */
									obj_t BgL_g1295z00_3546;

									BgL_g1295z00_3546 =
										(((BgL_sfunz00_bglt) COBJECT(
												((BgL_sfunz00_bglt) BgL_funz00_3545)))->BgL_argsz00);
									{
										obj_t BgL_l1293z00_3548;

										BgL_l1293z00_3548 = BgL_g1295z00_3546;
									BgL_zc3z04anonymousza31830ze3z87_3547:
										if (PAIRP(BgL_l1293z00_3548))
											{	/* Globalize/free.scm 269 */
												{	/* Globalize/free.scm 268 */
													obj_t BgL_lz00_3549;

													BgL_lz00_3549 = CAR(BgL_l1293z00_3548);
													BGl_bindzd2variablez12zc0zzglobaliza7e_freeza7(
														((BgL_localz00_bglt) BgL_lz00_3549),
														((BgL_localz00_bglt)
															BGl_za2integratorza2z00zzglobaliza7e_freeza7));
												}
												{
													obj_t BgL_l1293z00_4625;

													BgL_l1293z00_4625 = CDR(BgL_l1293z00_3548);
													BgL_l1293z00_3548 = BgL_l1293z00_4625;
													goto BgL_zc3z04anonymousza31830ze3z87_3547;
												}
											}
										else
											{	/* Globalize/free.scm 269 */
												((bool_t) 1);
											}
									}
								}
								{	/* Globalize/free.scm 270 */
									obj_t BgL_arg1842z00_3550;
									obj_t BgL_arg1845z00_3551;

									BgL_arg1842z00_3550 = CDR(((obj_t) BgL_lclsz00_3542));
									{	/* Globalize/free.scm 271 */
										obj_t BgL_arg1847z00_3552;

										BgL_arg1847z00_3552 =
											(((BgL_sfunz00_bglt) COBJECT(
													((BgL_sfunz00_bglt) BgL_funz00_3545)))->BgL_bodyz00);
										BgL_arg1845z00_3551 =
											BGl_nodezd2freezd2zzglobaliza7e_freeza7(
											((BgL_nodez00_bglt) BgL_arg1847z00_3552),
											BgL_freez00_3543);
									}
									{
										obj_t BgL_freez00_4634;
										obj_t BgL_lclsz00_4633;

										BgL_lclsz00_4633 = BgL_arg1842z00_3550;
										BgL_freez00_4634 = BgL_arg1845z00_3551;
										BgL_freez00_3543 = BgL_freez00_4634;
										BgL_lclsz00_3542 = BgL_lclsz00_4633;
										goto BgL_liipz00_3541;
									}
								}
							}
						}
					}
			}
		}

	}



/* &node-free-switch1333 */
	obj_t BGl_z62nodezd2freezd2switch1333z62zzglobaliza7e_freeza7(obj_t
		BgL_envz00_3464, obj_t BgL_nodez00_3465, obj_t BgL_freez00_3466)
	{
		{	/* Globalize/free.scm 240 */
			{
				obj_t BgL_clausesz00_3555;
				obj_t BgL_freez00_3556;

				BgL_clausesz00_3555 =
					(((BgL_switchz00_bglt) COBJECT(
							((BgL_switchz00_bglt) BgL_nodez00_3465)))->BgL_clausesz00);
				BgL_freez00_3556 = BgL_freez00_3466;
			BgL_loopz00_3554:
				if (NULLP(BgL_clausesz00_3555))
					{	/* Globalize/free.scm 244 */
						return
							BGl_nodezd2freezd2zzglobaliza7e_freeza7(
							(((BgL_switchz00_bglt) COBJECT(
										((BgL_switchz00_bglt) BgL_nodez00_3465)))->BgL_testz00),
							BgL_freez00_3556);
					}
				else
					{	/* Globalize/free.scm 246 */
						obj_t BgL_arg1804z00_3557;
						obj_t BgL_arg1810z00_3558;

						BgL_arg1804z00_3557 = CDR(((obj_t) BgL_clausesz00_3555));
						{	/* Globalize/free.scm 246 */
							obj_t BgL_arg1811z00_3559;

							{	/* Globalize/free.scm 246 */
								obj_t BgL_pairz00_3560;

								BgL_pairz00_3560 = CAR(((obj_t) BgL_clausesz00_3555));
								BgL_arg1811z00_3559 = CDR(BgL_pairz00_3560);
							}
							BgL_arg1810z00_3558 =
								BGl_nodezd2freezd2zzglobaliza7e_freeza7(
								((BgL_nodez00_bglt) BgL_arg1811z00_3559), BgL_freez00_3556);
						}
						{
							obj_t BgL_freez00_4650;
							obj_t BgL_clausesz00_4649;

							BgL_clausesz00_4649 = BgL_arg1804z00_3557;
							BgL_freez00_4650 = BgL_arg1810z00_3558;
							BgL_freez00_3556 = BgL_freez00_4650;
							BgL_clausesz00_3555 = BgL_clausesz00_4649;
							goto BgL_loopz00_3554;
						}
					}
			}
		}

	}



/* &node-free-fail1331 */
	obj_t BGl_z62nodezd2freezd2fail1331z62zzglobaliza7e_freeza7(obj_t
		BgL_envz00_3467, obj_t BgL_nodez00_3468, obj_t BgL_freez00_3469)
	{
		{	/* Globalize/free.scm 233 */
			return
				BGl_nodezd2freezd2zzglobaliza7e_freeza7(
				(((BgL_failz00_bglt) COBJECT(
							((BgL_failz00_bglt) BgL_nodez00_3468)))->BgL_procz00),
				BGl_nodezd2freezd2zzglobaliza7e_freeza7(
					(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_3468)))->BgL_msgz00),
					BGl_nodezd2freezd2zzglobaliza7e_freeza7(
						(((BgL_failz00_bglt) COBJECT(
									((BgL_failz00_bglt) BgL_nodez00_3468)))->BgL_objz00),
						BgL_freez00_3469)));
		}

	}



/* &node-free-conditiona1329 */
	obj_t BGl_z62nodezd2freezd2conditiona1329z62zzglobaliza7e_freeza7(obj_t
		BgL_envz00_3470, obj_t BgL_nodez00_3471, obj_t BgL_freez00_3472)
	{
		{	/* Globalize/free.scm 226 */
			return
				BGl_nodezd2freezd2zzglobaliza7e_freeza7(
				(((BgL_conditionalz00_bglt) COBJECT(
							((BgL_conditionalz00_bglt) BgL_nodez00_3471)))->BgL_testz00),
				BGl_nodezd2freezd2zzglobaliza7e_freeza7(
					(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_3471)))->BgL_truez00),
					BGl_nodezd2freezd2zzglobaliza7e_freeza7(
						(((BgL_conditionalz00_bglt) COBJECT(
									((BgL_conditionalz00_bglt) BgL_nodez00_3471)))->BgL_falsez00),
						BgL_freez00_3472)));
		}

	}



/* &node-free-setq1327 */
	obj_t BGl_z62nodezd2freezd2setq1327z62zzglobaliza7e_freeza7(obj_t
		BgL_envz00_3473, obj_t BgL_nodez00_3474, obj_t BgL_freez00_3475)
	{
		{	/* Globalize/free.scm 219 */
			{	/* Globalize/free.scm 221 */
				BgL_varz00_bglt BgL_arg1770z00_3564;
				obj_t BgL_arg1772z00_3565;

				BgL_arg1770z00_3564 =
					(((BgL_setqz00_bglt) COBJECT(
							((BgL_setqz00_bglt) BgL_nodez00_3474)))->BgL_varz00);
				BgL_arg1772z00_3565 =
					BGl_nodezd2freezd2zzglobaliza7e_freeza7(
					(((BgL_setqz00_bglt) COBJECT(
								((BgL_setqz00_bglt) BgL_nodez00_3474)))->BgL_valuez00),
					BgL_freez00_3475);
				return BGl_nodezd2freezd2zzglobaliza7e_freeza7(((BgL_nodez00_bglt)
						BgL_arg1770z00_3564), BgL_arg1772z00_3565);
			}
		}

	}



/* &node-free-cast1325 */
	obj_t BGl_z62nodezd2freezd2cast1325z62zzglobaliza7e_freeza7(obj_t
		BgL_envz00_3476, obj_t BgL_nodez00_3477, obj_t BgL_freez00_3478)
	{
		{	/* Globalize/free.scm 212 */
			return
				BGl_nodezd2freezd2zzglobaliza7e_freeza7(
				(((BgL_castz00_bglt) COBJECT(
							((BgL_castz00_bglt) BgL_nodez00_3477)))->BgL_argz00),
				BgL_freez00_3478);
		}

	}



/* &node-free-extern1323 */
	obj_t BGl_z62nodezd2freezd2extern1323z62zzglobaliza7e_freeza7(obj_t
		BgL_envz00_3479, obj_t BgL_nodez00_3480, obj_t BgL_freez00_3481)
	{
		{	/* Globalize/free.scm 205 */
			return
				BGl_nodezd2freeza2z70zzglobaliza7e_freeza7(
				(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt) BgL_nodez00_3480)))->BgL_exprza2za2),
				BgL_freez00_3481);
		}

	}



/* &node-free-funcall1321 */
	obj_t BGl_z62nodezd2freezd2funcall1321z62zzglobaliza7e_freeza7(obj_t
		BgL_envz00_3482, obj_t BgL_nodez00_3483, obj_t BgL_freez00_3484)
	{
		{	/* Globalize/free.scm 198 */
			return
				BGl_nodezd2freezd2zzglobaliza7e_freeza7(
				(((BgL_funcallz00_bglt) COBJECT(
							((BgL_funcallz00_bglt) BgL_nodez00_3483)))->BgL_funz00),
				BGl_nodezd2freeza2z70zzglobaliza7e_freeza7(
					(((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_nodez00_3483)))->BgL_argsz00),
					BgL_freez00_3484));
		}

	}



/* &node-free-app-ly1319 */
	obj_t BGl_z62nodezd2freezd2appzd2ly1319zb0zzglobaliza7e_freeza7(obj_t
		BgL_envz00_3485, obj_t BgL_nodez00_3486, obj_t BgL_freez00_3487)
	{
		{	/* Globalize/free.scm 191 */
			return
				BGl_nodezd2freezd2zzglobaliza7e_freeza7(
				(((BgL_appzd2lyzd2_bglt) COBJECT(
							((BgL_appzd2lyzd2_bglt) BgL_nodez00_3486)))->BgL_funz00),
				BGl_nodezd2freezd2zzglobaliza7e_freeza7(
					(((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_3486)))->BgL_argz00),
					BgL_freez00_3487));
		}

	}



/* &node-free-app1317 */
	obj_t BGl_z62nodezd2freezd2app1317z62zzglobaliza7e_freeza7(obj_t
		BgL_envz00_3488, obj_t BgL_nodez00_3489, obj_t BgL_freez00_3490)
	{
		{	/* Globalize/free.scm 175 */
			{	/* Globalize/free.scm 177 */
				obj_t BgL_freez00_3571;

				{	/* Globalize/free.scm 177 */
					BgL_variablez00_bglt BgL_varz00_3572;

					BgL_varz00_3572 =
						(((BgL_varz00_bglt) COBJECT(
								(((BgL_appz00_bglt) COBJECT(
											((BgL_appz00_bglt) BgL_nodez00_3489)))->BgL_funz00)))->
						BgL_variablez00);
					{	/* Globalize/free.scm 179 */
						bool_t BgL_test2139z00_4699;

						{	/* Globalize/free.scm 179 */
							obj_t BgL_classz00_3573;

							BgL_classz00_3573 = BGl_globalz00zzast_varz00;
							{	/* Globalize/free.scm 179 */
								BgL_objectz00_bglt BgL_arg1858z00_3574;

								{	/* Globalize/free.scm 179 */
									obj_t BgL_tmpz00_4700;

									BgL_tmpz00_4700 =
										((obj_t) ((BgL_objectz00_bglt) BgL_varz00_3572));
									BgL_arg1858z00_3574 = (BgL_objectz00_bglt) (BgL_tmpz00_4700);
								}
								if (BGL_CONDEXPAND_ISA_ARCH64())
									{	/* Globalize/free.scm 179 */
										long BgL_idxz00_3575;

										BgL_idxz00_3575 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_3574);
										BgL_test2139z00_4699 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_3575 + 2L)) == BgL_classz00_3573);
									}
								else
									{	/* Globalize/free.scm 179 */
										bool_t BgL_res1990z00_3578;

										{	/* Globalize/free.scm 179 */
											obj_t BgL_oclassz00_3579;

											{	/* Globalize/free.scm 179 */
												obj_t BgL_arg1866z00_3580;
												long BgL_arg1867z00_3581;

												BgL_arg1866z00_3580 =
													(BGl_za2classesza2z00zz__objectz00);
												{	/* Globalize/free.scm 179 */
													long BgL_arg1869z00_3582;

													BgL_arg1869z00_3582 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_3574);
													BgL_arg1867z00_3581 =
														(BgL_arg1869z00_3582 - OBJECT_TYPE);
												}
												BgL_oclassz00_3579 =
													VECTOR_REF(BgL_arg1866z00_3580, BgL_arg1867z00_3581);
											}
											{	/* Globalize/free.scm 179 */
												bool_t BgL__ortest_1115z00_3583;

												BgL__ortest_1115z00_3583 =
													(BgL_classz00_3573 == BgL_oclassz00_3579);
												if (BgL__ortest_1115z00_3583)
													{	/* Globalize/free.scm 179 */
														BgL_res1990z00_3578 = BgL__ortest_1115z00_3583;
													}
												else
													{	/* Globalize/free.scm 179 */
														long BgL_odepthz00_3584;

														{	/* Globalize/free.scm 179 */
															obj_t BgL_arg1855z00_3585;

															BgL_arg1855z00_3585 = (BgL_oclassz00_3579);
															BgL_odepthz00_3584 =
																BGL_CLASS_DEPTH(BgL_arg1855z00_3585);
														}
														if ((2L < BgL_odepthz00_3584))
															{	/* Globalize/free.scm 179 */
																obj_t BgL_arg1853z00_3586;

																{	/* Globalize/free.scm 179 */
																	obj_t BgL_arg1854z00_3587;

																	BgL_arg1854z00_3587 = (BgL_oclassz00_3579);
																	BgL_arg1853z00_3586 =
																		BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_3587,
																		2L);
																}
																BgL_res1990z00_3578 =
																	(BgL_arg1853z00_3586 == BgL_classz00_3573);
															}
														else
															{	/* Globalize/free.scm 179 */
																BgL_res1990z00_3578 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_test2139z00_4699 = BgL_res1990z00_3578;
									}
							}
						}
						if (BgL_test2139z00_4699)
							{	/* Globalize/free.scm 179 */
								BgL_freez00_3571 = BgL_freez00_3490;
							}
						else
							{	/* Globalize/free.scm 181 */
								bool_t BgL_test2143z00_4723;

								{	/* Globalize/free.scm 181 */
									bool_t BgL_test2144z00_4724;

									{
										BgL_localzf2ginfozf2_bglt BgL_auxz00_4725;

										{
											obj_t BgL_auxz00_4726;

											{	/* Globalize/free.scm 181 */
												BgL_objectz00_bglt BgL_tmpz00_4727;

												BgL_tmpz00_4727 =
													((BgL_objectz00_bglt)
													((BgL_localz00_bglt) BgL_varz00_3572));
												BgL_auxz00_4726 = BGL_OBJECT_WIDENING(BgL_tmpz00_4727);
											}
											BgL_auxz00_4725 =
												((BgL_localzf2ginfozf2_bglt) BgL_auxz00_4726);
										}
										BgL_test2144z00_4724 =
											(((BgL_localzf2ginfozf2_bglt) COBJECT(BgL_auxz00_4725))->
											BgL_escapezf3zf3);
									}
									if (BgL_test2144z00_4724)
										{	/* Globalize/free.scm 181 */
											BgL_test2143z00_4723 =
												CBOOL(BGl_freezd2variablezf3z21zzglobaliza7e_freeza7(
													((obj_t) BgL_varz00_3572)));
										}
									else
										{	/* Globalize/free.scm 181 */
											BgL_test2143z00_4723 = ((bool_t) 0);
										}
								}
								if (BgL_test2143z00_4723)
									{	/* Globalize/free.scm 181 */
										BGl_markzd2variablez12zc0zzglobaliza7e_freeza7(
											((BgL_localz00_bglt) BgL_varz00_3572));
										{	/* Globalize/free.scm 183 */
											obj_t BgL_arg1724z00_3588;

											{	/* Globalize/free.scm 183 */
												obj_t BgL_arg1729z00_3589;

												BgL_arg1729z00_3589 =
													(((BgL_nodez00_bglt) COBJECT(
															((BgL_nodez00_bglt)
																((BgL_appz00_bglt) BgL_nodez00_3489))))->
													BgL_locz00);
												{	/* Globalize/free.scm 338 */
													bool_t BgL_test2145z00_4741;

													{	/* Globalize/free.scm 338 */
														obj_t BgL_classz00_3590;

														BgL_classz00_3590 = BGl_globalz00zzast_varz00;
														{	/* Globalize/free.scm 338 */
															BgL_objectz00_bglt BgL_arg1858z00_3591;

															{	/* Globalize/free.scm 338 */
																obj_t BgL_tmpz00_4742;

																BgL_tmpz00_4742 = ((obj_t) BgL_varz00_3572);
																BgL_arg1858z00_3591 =
																	(BgL_objectz00_bglt) (BgL_tmpz00_4742);
															}
															if (BGL_CONDEXPAND_ISA_ARCH64())
																{	/* Globalize/free.scm 338 */
																	long BgL_idxz00_3592;

																	BgL_idxz00_3592 =
																		BGL_OBJECT_INHERITANCE_NUM
																		(BgL_arg1858z00_3591);
																	BgL_test2145z00_4741 =
																		(VECTOR_REF
																		(BGl_za2inheritancesza2z00zz__objectz00,
																			(BgL_idxz00_3592 + 2L)) ==
																		BgL_classz00_3590);
																}
															else
																{	/* Globalize/free.scm 338 */
																	bool_t BgL_res1991z00_3595;

																	{	/* Globalize/free.scm 338 */
																		obj_t BgL_oclassz00_3596;

																		{	/* Globalize/free.scm 338 */
																			obj_t BgL_arg1866z00_3597;
																			long BgL_arg1867z00_3598;

																			BgL_arg1866z00_3597 =
																				(BGl_za2classesza2z00zz__objectz00);
																			{	/* Globalize/free.scm 338 */
																				long BgL_arg1869z00_3599;

																				BgL_arg1869z00_3599 =
																					BGL_OBJECT_CLASS_NUM
																					(BgL_arg1858z00_3591);
																				BgL_arg1867z00_3598 =
																					(BgL_arg1869z00_3599 - OBJECT_TYPE);
																			}
																			BgL_oclassz00_3596 =
																				VECTOR_REF(BgL_arg1866z00_3597,
																				BgL_arg1867z00_3598);
																		}
																		{	/* Globalize/free.scm 338 */
																			bool_t BgL__ortest_1115z00_3600;

																			BgL__ortest_1115z00_3600 =
																				(BgL_classz00_3590 ==
																				BgL_oclassz00_3596);
																			if (BgL__ortest_1115z00_3600)
																				{	/* Globalize/free.scm 338 */
																					BgL_res1991z00_3595 =
																						BgL__ortest_1115z00_3600;
																				}
																			else
																				{	/* Globalize/free.scm 338 */
																					long BgL_odepthz00_3601;

																					{	/* Globalize/free.scm 338 */
																						obj_t BgL_arg1855z00_3602;

																						BgL_arg1855z00_3602 =
																							(BgL_oclassz00_3596);
																						BgL_odepthz00_3601 =
																							BGL_CLASS_DEPTH
																							(BgL_arg1855z00_3602);
																					}
																					if ((2L < BgL_odepthz00_3601))
																						{	/* Globalize/free.scm 338 */
																							obj_t BgL_arg1853z00_3603;

																							{	/* Globalize/free.scm 338 */
																								obj_t BgL_arg1854z00_3604;

																								BgL_arg1854z00_3604 =
																									(BgL_oclassz00_3596);
																								BgL_arg1853z00_3603 =
																									BGL_CLASS_ANCESTORS_REF
																									(BgL_arg1854z00_3604, 2L);
																							}
																							BgL_res1991z00_3595 =
																								(BgL_arg1853z00_3603 ==
																								BgL_classz00_3590);
																						}
																					else
																						{	/* Globalize/free.scm 338 */
																							BgL_res1991z00_3595 =
																								((bool_t) 0);
																						}
																				}
																		}
																	}
																	BgL_test2145z00_4741 = BgL_res1991z00_3595;
																}
														}
													}
													if (BgL_test2145z00_4741)
														{	/* Globalize/free.scm 338 */
															BgL_arg1724z00_3588 =
																BGl_thezd2globalzd2closurez00zzglobaliza7e_freeza7
																(((BgL_globalz00_bglt) BgL_varz00_3572),
																BgL_arg1729z00_3589);
														}
													else
														{	/* Globalize/free.scm 338 */
															BgL_arg1724z00_3588 =
																BGl_thezd2localzd2closurez00zzglobaliza7e_freeza7
																(((obj_t) BgL_varz00_3572),
																BgL_arg1729z00_3589);
														}
												}
											}
											BgL_freez00_3571 =
												MAKE_YOUNG_PAIR(BgL_arg1724z00_3588, BgL_freez00_3490);
										}
									}
								else
									{	/* Globalize/free.scm 181 */
										BgL_freez00_3571 = BgL_freez00_3490;
									}
							}
					}
				}
				return
					BGl_nodezd2freeza2z70zzglobaliza7e_freeza7(
					(((BgL_appz00_bglt) COBJECT(
								((BgL_appz00_bglt) BgL_nodez00_3489)))->BgL_argsz00),
					BgL_freez00_3571);
			}
		}

	}



/* &node-free-sync1315 */
	obj_t BGl_z62nodezd2freezd2sync1315z62zzglobaliza7e_freeza7(obj_t
		BgL_envz00_3491, obj_t BgL_nodez00_3492, obj_t BgL_freez00_3493)
	{
		{	/* Globalize/free.scm 168 */
			return
				BGl_nodezd2freezd2zzglobaliza7e_freeza7(
				(((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_nodez00_3492)))->BgL_bodyz00),
				BGl_nodezd2freezd2zzglobaliza7e_freeza7(
					(((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_3492)))->BgL_prelockz00),
					BGl_nodezd2freezd2zzglobaliza7e_freeza7(
						(((BgL_syncz00_bglt) COBJECT(
									((BgL_syncz00_bglt) BgL_nodez00_3492)))->BgL_mutexz00),
						BgL_freez00_3493)));
		}

	}



/* &node-free-sequence1313 */
	obj_t BGl_z62nodezd2freezd2sequence1313z62zzglobaliza7e_freeza7(obj_t
		BgL_envz00_3494, obj_t BgL_nodez00_3495, obj_t BgL_freez00_3496)
	{
		{	/* Globalize/free.scm 161 */
			return
				BGl_nodezd2freeza2z70zzglobaliza7e_freeza7(
				(((BgL_sequencez00_bglt) COBJECT(
							((BgL_sequencez00_bglt) BgL_nodez00_3495)))->BgL_nodesz00),
				BgL_freez00_3496);
		}

	}



/* &node-free-closure1311 */
	obj_t BGl_z62nodezd2freezd2closure1311z62zzglobaliza7e_freeza7(obj_t
		BgL_envz00_3497, obj_t BgL_nodez00_3498, obj_t BgL_freez00_3499)
	{
		{	/* Globalize/free.scm 146 */
			{	/* Globalize/free.scm 148 */
				obj_t BgL_varz00_3608;

				{	/* Globalize/free.scm 148 */
					BgL_variablez00_bglt BgL_arg1695z00_3609;

					BgL_arg1695z00_3609 =
						(((BgL_varz00_bglt) COBJECT(
								((BgL_varz00_bglt)
									((BgL_closurez00_bglt) BgL_nodez00_3498))))->BgL_variablez00);
					{	/* Globalize/free.scm 338 */
						bool_t BgL_test2149z00_4787;

						{	/* Globalize/free.scm 338 */
							obj_t BgL_classz00_3610;

							BgL_classz00_3610 = BGl_globalz00zzast_varz00;
							{	/* Globalize/free.scm 338 */
								BgL_objectz00_bglt BgL_arg1858z00_3611;

								{	/* Globalize/free.scm 338 */
									obj_t BgL_tmpz00_4788;

									BgL_tmpz00_4788 = ((obj_t) BgL_arg1695z00_3609);
									BgL_arg1858z00_3611 = (BgL_objectz00_bglt) (BgL_tmpz00_4788);
								}
								if (BGL_CONDEXPAND_ISA_ARCH64())
									{	/* Globalize/free.scm 338 */
										long BgL_idxz00_3612;

										BgL_idxz00_3612 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_3611);
										BgL_test2149z00_4787 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_3612 + 2L)) == BgL_classz00_3610);
									}
								else
									{	/* Globalize/free.scm 338 */
										bool_t BgL_res1988z00_3615;

										{	/* Globalize/free.scm 338 */
											obj_t BgL_oclassz00_3616;

											{	/* Globalize/free.scm 338 */
												obj_t BgL_arg1866z00_3617;
												long BgL_arg1867z00_3618;

												BgL_arg1866z00_3617 =
													(BGl_za2classesza2z00zz__objectz00);
												{	/* Globalize/free.scm 338 */
													long BgL_arg1869z00_3619;

													BgL_arg1869z00_3619 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_3611);
													BgL_arg1867z00_3618 =
														(BgL_arg1869z00_3619 - OBJECT_TYPE);
												}
												BgL_oclassz00_3616 =
													VECTOR_REF(BgL_arg1866z00_3617, BgL_arg1867z00_3618);
											}
											{	/* Globalize/free.scm 338 */
												bool_t BgL__ortest_1115z00_3620;

												BgL__ortest_1115z00_3620 =
													(BgL_classz00_3610 == BgL_oclassz00_3616);
												if (BgL__ortest_1115z00_3620)
													{	/* Globalize/free.scm 338 */
														BgL_res1988z00_3615 = BgL__ortest_1115z00_3620;
													}
												else
													{	/* Globalize/free.scm 338 */
														long BgL_odepthz00_3621;

														{	/* Globalize/free.scm 338 */
															obj_t BgL_arg1855z00_3622;

															BgL_arg1855z00_3622 = (BgL_oclassz00_3616);
															BgL_odepthz00_3621 =
																BGL_CLASS_DEPTH(BgL_arg1855z00_3622);
														}
														if ((2L < BgL_odepthz00_3621))
															{	/* Globalize/free.scm 338 */
																obj_t BgL_arg1853z00_3623;

																{	/* Globalize/free.scm 338 */
																	obj_t BgL_arg1854z00_3624;

																	BgL_arg1854z00_3624 = (BgL_oclassz00_3616);
																	BgL_arg1853z00_3623 =
																		BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_3624,
																		2L);
																}
																BgL_res1988z00_3615 =
																	(BgL_arg1853z00_3623 == BgL_classz00_3610);
															}
														else
															{	/* Globalize/free.scm 338 */
																BgL_res1988z00_3615 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_test2149z00_4787 = BgL_res1988z00_3615;
									}
							}
						}
						if (BgL_test2149z00_4787)
							{	/* Globalize/free.scm 338 */
								BgL_varz00_3608 =
									BGl_thezd2globalzd2closurez00zzglobaliza7e_freeza7(
									((BgL_globalz00_bglt) BgL_arg1695z00_3609), BFALSE);
							}
						else
							{	/* Globalize/free.scm 338 */
								BgL_varz00_3608 =
									BGl_thezd2localzd2closurez00zzglobaliza7e_freeza7(
									((obj_t) BgL_arg1695z00_3609), BFALSE);
							}
					}
				}
				{	/* Globalize/free.scm 150 */
					bool_t BgL_test2153z00_4814;

					{	/* Globalize/free.scm 150 */
						obj_t BgL_classz00_3625;

						BgL_classz00_3625 = BGl_globalz00zzast_varz00;
						if (BGL_OBJECTP(BgL_varz00_3608))
							{	/* Globalize/free.scm 150 */
								BgL_objectz00_bglt BgL_arg1858z00_3626;

								BgL_arg1858z00_3626 = (BgL_objectz00_bglt) (BgL_varz00_3608);
								if (BGL_CONDEXPAND_ISA_ARCH64())
									{	/* Globalize/free.scm 150 */
										long BgL_idxz00_3627;

										BgL_idxz00_3627 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_3626);
										BgL_test2153z00_4814 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_3627 + 2L)) == BgL_classz00_3625);
									}
								else
									{	/* Globalize/free.scm 150 */
										bool_t BgL_res1989z00_3630;

										{	/* Globalize/free.scm 150 */
											obj_t BgL_oclassz00_3631;

											{	/* Globalize/free.scm 150 */
												obj_t BgL_arg1866z00_3632;
												long BgL_arg1867z00_3633;

												BgL_arg1866z00_3632 =
													(BGl_za2classesza2z00zz__objectz00);
												{	/* Globalize/free.scm 150 */
													long BgL_arg1869z00_3634;

													BgL_arg1869z00_3634 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_3626);
													BgL_arg1867z00_3633 =
														(BgL_arg1869z00_3634 - OBJECT_TYPE);
												}
												BgL_oclassz00_3631 =
													VECTOR_REF(BgL_arg1866z00_3632, BgL_arg1867z00_3633);
											}
											{	/* Globalize/free.scm 150 */
												bool_t BgL__ortest_1115z00_3635;

												BgL__ortest_1115z00_3635 =
													(BgL_classz00_3625 == BgL_oclassz00_3631);
												if (BgL__ortest_1115z00_3635)
													{	/* Globalize/free.scm 150 */
														BgL_res1989z00_3630 = BgL__ortest_1115z00_3635;
													}
												else
													{	/* Globalize/free.scm 150 */
														long BgL_odepthz00_3636;

														{	/* Globalize/free.scm 150 */
															obj_t BgL_arg1855z00_3637;

															BgL_arg1855z00_3637 = (BgL_oclassz00_3631);
															BgL_odepthz00_3636 =
																BGL_CLASS_DEPTH(BgL_arg1855z00_3637);
														}
														if ((2L < BgL_odepthz00_3636))
															{	/* Globalize/free.scm 150 */
																obj_t BgL_arg1853z00_3638;

																{	/* Globalize/free.scm 150 */
																	obj_t BgL_arg1854z00_3639;

																	BgL_arg1854z00_3639 = (BgL_oclassz00_3631);
																	BgL_arg1853z00_3638 =
																		BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_3639,
																		2L);
																}
																BgL_res1989z00_3630 =
																	(BgL_arg1853z00_3638 == BgL_classz00_3625);
															}
														else
															{	/* Globalize/free.scm 150 */
																BgL_res1989z00_3630 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_test2153z00_4814 = BgL_res1989z00_3630;
									}
							}
						else
							{	/* Globalize/free.scm 150 */
								BgL_test2153z00_4814 = ((bool_t) 0);
							}
					}
					if (BgL_test2153z00_4814)
						{	/* Globalize/free.scm 150 */
							return BgL_freez00_3499;
						}
					else
						{	/* Globalize/free.scm 150 */
							if (CBOOL(BGl_freezd2variablezf3z21zzglobaliza7e_freeza7
									(BgL_varz00_3608)))
								{	/* Globalize/free.scm 152 */
									BGl_markzd2variablez12zc0zzglobaliza7e_freeza7(
										((BgL_localz00_bglt) BgL_varz00_3608));
									return MAKE_YOUNG_PAIR(BgL_varz00_3608, BgL_freez00_3499);
								}
							else
								{	/* Globalize/free.scm 152 */
									return BgL_freez00_3499;
								}
						}
				}
			}
		}

	}



/* &node-free-var1309 */
	obj_t BGl_z62nodezd2freezd2var1309z62zzglobaliza7e_freeza7(obj_t
		BgL_envz00_3500, obj_t BgL_nodez00_3501, obj_t BgL_freez00_3502)
	{
		{	/* Globalize/free.scm 129 */
			{	/* Globalize/free.scm 135 */
				bool_t BgL_test2159z00_4843;

				{	/* Globalize/free.scm 135 */
					BgL_variablez00_bglt BgL_arg1691z00_3641;

					BgL_arg1691z00_3641 =
						(((BgL_varz00_bglt) COBJECT(
								((BgL_varz00_bglt) BgL_nodez00_3501)))->BgL_variablez00);
					{	/* Globalize/free.scm 135 */
						obj_t BgL_classz00_3642;

						BgL_classz00_3642 = BGl_globalz00zzast_varz00;
						{	/* Globalize/free.scm 135 */
							BgL_objectz00_bglt BgL_arg1858z00_3643;

							{	/* Globalize/free.scm 135 */
								obj_t BgL_tmpz00_4846;

								BgL_tmpz00_4846 =
									((obj_t) ((BgL_objectz00_bglt) BgL_arg1691z00_3641));
								BgL_arg1858z00_3643 = (BgL_objectz00_bglt) (BgL_tmpz00_4846);
							}
							if (BGL_CONDEXPAND_ISA_ARCH64())
								{	/* Globalize/free.scm 135 */
									long BgL_idxz00_3644;

									BgL_idxz00_3644 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_3643);
									BgL_test2159z00_4843 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_3644 + 2L)) == BgL_classz00_3642);
								}
							else
								{	/* Globalize/free.scm 135 */
									bool_t BgL_res1987z00_3647;

									{	/* Globalize/free.scm 135 */
										obj_t BgL_oclassz00_3648;

										{	/* Globalize/free.scm 135 */
											obj_t BgL_arg1866z00_3649;
											long BgL_arg1867z00_3650;

											BgL_arg1866z00_3649 = (BGl_za2classesza2z00zz__objectz00);
											{	/* Globalize/free.scm 135 */
												long BgL_arg1869z00_3651;

												BgL_arg1869z00_3651 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_3643);
												BgL_arg1867z00_3650 =
													(BgL_arg1869z00_3651 - OBJECT_TYPE);
											}
											BgL_oclassz00_3648 =
												VECTOR_REF(BgL_arg1866z00_3649, BgL_arg1867z00_3650);
										}
										{	/* Globalize/free.scm 135 */
											bool_t BgL__ortest_1115z00_3652;

											BgL__ortest_1115z00_3652 =
												(BgL_classz00_3642 == BgL_oclassz00_3648);
											if (BgL__ortest_1115z00_3652)
												{	/* Globalize/free.scm 135 */
													BgL_res1987z00_3647 = BgL__ortest_1115z00_3652;
												}
											else
												{	/* Globalize/free.scm 135 */
													long BgL_odepthz00_3653;

													{	/* Globalize/free.scm 135 */
														obj_t BgL_arg1855z00_3654;

														BgL_arg1855z00_3654 = (BgL_oclassz00_3648);
														BgL_odepthz00_3653 =
															BGL_CLASS_DEPTH(BgL_arg1855z00_3654);
													}
													if ((2L < BgL_odepthz00_3653))
														{	/* Globalize/free.scm 135 */
															obj_t BgL_arg1853z00_3655;

															{	/* Globalize/free.scm 135 */
																obj_t BgL_arg1854z00_3656;

																BgL_arg1854z00_3656 = (BgL_oclassz00_3648);
																BgL_arg1853z00_3655 =
																	BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_3656,
																	2L);
															}
															BgL_res1987z00_3647 =
																(BgL_arg1853z00_3655 == BgL_classz00_3642);
														}
													else
														{	/* Globalize/free.scm 135 */
															BgL_res1987z00_3647 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_test2159z00_4843 = BgL_res1987z00_3647;
								}
						}
					}
				}
				if (BgL_test2159z00_4843)
					{	/* Globalize/free.scm 135 */
						return BgL_freez00_3502;
					}
				else
					{	/* Globalize/free.scm 137 */
						bool_t BgL_test2163z00_4869;

						{	/* Globalize/free.scm 137 */
							BgL_variablez00_bglt BgL_arg1686z00_3657;

							BgL_arg1686z00_3657 =
								(((BgL_varz00_bglt) COBJECT(
										((BgL_varz00_bglt) BgL_nodez00_3501)))->BgL_variablez00);
							BgL_test2163z00_4869 =
								CBOOL(BGl_freezd2variablezf3z21zzglobaliza7e_freeza7(
									((obj_t) BgL_arg1686z00_3657)));
						}
						if (BgL_test2163z00_4869)
							{	/* Globalize/free.scm 137 */
								{	/* Globalize/free.scm 138 */
									BgL_variablez00_bglt BgL_arg1679z00_3658;

									BgL_arg1679z00_3658 =
										(((BgL_varz00_bglt) COBJECT(
												((BgL_varz00_bglt) BgL_nodez00_3501)))->
										BgL_variablez00);
									BGl_markzd2variablez12zc0zzglobaliza7e_freeza7((
											(BgL_localz00_bglt) BgL_arg1679z00_3658));
								}
								{	/* Globalize/free.scm 139 */
									BgL_variablez00_bglt BgL_arg1680z00_3659;

									BgL_arg1680z00_3659 =
										(((BgL_varz00_bglt) COBJECT(
												((BgL_varz00_bglt) BgL_nodez00_3501)))->
										BgL_variablez00);
									return MAKE_YOUNG_PAIR(((obj_t) BgL_arg1680z00_3659),
										BgL_freez00_3502);
								}
							}
						else
							{	/* Globalize/free.scm 137 */
								return BgL_freez00_3502;
							}
					}
			}
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzglobaliza7e_freeza7(void)
	{
		{	/* Globalize/free.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(54713316L,
				BSTRING_TO_STRING(BGl_string2023z00zzglobaliza7e_freeza7));
			BGl_modulezd2initializa7ationz75zztools_shapez00(365925558L,
				BSTRING_TO_STRING(BGl_string2023z00zzglobaliza7e_freeza7));
			BGl_modulezd2initializa7ationz75zztools_speekz00(61247943L,
				BSTRING_TO_STRING(BGl_string2023z00zzglobaliza7e_freeza7));
			BGl_modulezd2initializa7ationz75zztype_typez00(515343395L,
				BSTRING_TO_STRING(BGl_string2023z00zzglobaliza7e_freeza7));
			BGl_modulezd2initializa7ationz75zztype_cachez00(489890788L,
				BSTRING_TO_STRING(BGl_string2023z00zzglobaliza7e_freeza7));
			BGl_modulezd2initializa7ationz75zzast_varz00(90839984L,
				BSTRING_TO_STRING(BGl_string2023z00zzglobaliza7e_freeza7));
			BGl_modulezd2initializa7ationz75zzast_localz00(315247917L,
				BSTRING_TO_STRING(BGl_string2023z00zzglobaliza7e_freeza7));
			BGl_modulezd2initializa7ationz75zzast_nodez00(469732712L,
				BSTRING_TO_STRING(BGl_string2023z00zzglobaliza7e_freeza7));
			BGl_modulezd2initializa7ationz75zzast_sexpz00(163122759L,
				BSTRING_TO_STRING(BGl_string2023z00zzglobaliza7e_freeza7));
			BGl_modulezd2initializa7ationz75zzast_glozd2defzd2(44601789L,
				BSTRING_TO_STRING(BGl_string2023z00zzglobaliza7e_freeza7));
			BGl_modulezd2initializa7ationz75zzast_envz00(146730773L,
				BSTRING_TO_STRING(BGl_string2023z00zzglobaliza7e_freeza7));
			BGl_modulezd2initializa7ationz75zzglobaliza7e_ginfoza7(0L,
				BSTRING_TO_STRING(BGl_string2023z00zzglobaliza7e_freeza7));
			BGl_modulezd2initializa7ationz75zzglobaliza7e_nodeza7(2706117L,
				BSTRING_TO_STRING(BGl_string2023z00zzglobaliza7e_freeza7));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(161876678L,
				BSTRING_TO_STRING(BGl_string2023z00zzglobaliza7e_freeza7));
			return
				BGl_modulezd2initializa7ationz75zzglobaliza7e_globalzd2closurez75
				(62221965L, BSTRING_TO_STRING(BGl_string2023z00zzglobaliza7e_freeza7));
		}

	}

#ifdef __cplusplus
}
#endif
