/*===========================================================================*/
/*   (Globalize/ginfo.scm)                                                   */
/*   Bigloo (4.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Jan 27 07:45:49 AM CET 2025     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.6a/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.6a/lib/bigloo/4.6a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -stdc -indent Globalize/ginfo.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL_GLOBALIZE_GINFO_TYPE_DEFINITIONS
#define BGL_GLOBALIZE_GINFO_TYPE_DEFINITIONS

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_nullz00;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_qualifiedzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_svarz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}              *BgL_svarz00_bglt;

	typedef struct BgL_sexitz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_handlerz00;
		bool_t BgL_detachedzf3zf3;
	}               *BgL_sexitz00_bglt;

	typedef struct BgL_sfunzf2ginfozf2_bgl
	{
		bool_t BgL_gzf3zf3;
		obj_t BgL_cfromz00;
		obj_t BgL_cfromza2za2;
		obj_t BgL_ctoz00;
		obj_t BgL_ctoza2za2;
		obj_t BgL_efunctionsz00;
		obj_t BgL_integratorz00;
		obj_t BgL_imarkz00;
		obj_t BgL_ownerz00;
		obj_t BgL_integratedz00;
		obj_t BgL_pluggedzd2inzd2;
		long BgL_markz00;
		obj_t BgL_freezd2markzd2;
		obj_t BgL_thezd2globalzd2;
		obj_t BgL_kapturedz00;
		obj_t BgL_newzd2bodyzd2;
		long BgL_bmarkz00;
		long BgL_umarkz00;
		obj_t BgL_freez00;
		obj_t BgL_boundz00;
	}                      *BgL_sfunzf2ginfozf2_bglt;

	typedef struct BgL_svarzf2ginfozf2_bgl
	{
		bool_t BgL_kapturedzf3zf3;
		long BgL_freezd2markzd2;
		long BgL_markz00;
		bool_t BgL_celledzf3zf3;
		bool_t BgL_stackablez00;
	}                      *BgL_svarzf2ginfozf2_bglt;

	typedef struct BgL_sexitzf2ginfozf2_bgl
	{
		bool_t BgL_gzf3zf3;
		bool_t BgL_kapturedzf3zf3;
		long BgL_freezd2markzd2;
		long BgL_markz00;
	}                       *BgL_sexitzf2ginfozf2_bglt;

	typedef struct BgL_localzf2ginfozf2_bgl
	{
		bool_t BgL_escapezf3zf3;
		bool_t BgL_globaliza7edzf3z54;
	}                       *BgL_localzf2ginfozf2_bglt;

	typedef struct BgL_globalzf2ginfozf2_bgl
	{
		bool_t BgL_escapezf3zf3;
		obj_t BgL_globalzd2closurezd2;
	}                        *BgL_globalzf2ginfozf2_bglt;


#endif													// BGL_GLOBALIZE_GINFO_TYPE_DEFINITIONS
#endif													// BGL_MODULE_TYPE_DEFINITIONS

	static obj_t BGl_z62lambda1765z62zzglobaliza7e_ginfoza7(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_localzf2Ginfozd2namez20zzglobaliza7e_ginfoza7(BgL_localz00_bglt);
	static obj_t
		BGl_z62localzf2Ginfozd2globaliza7edzf3z16zzglobaliza7e_ginfoza7(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1849z62zzglobaliza7e_ginfoza7(obj_t, obj_t);
	static BgL_sexitz00_bglt
		BGl_z62makezd2sexitzf2Ginfoz42zzglobaliza7e_ginfoza7(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Ginfozd2argszd2retescapezf2zzglobaliza7e_ginfoza7
		(BgL_sfunz00_bglt);
	BGL_EXPORTED_DECL long
		BGl_localzf2Ginfozd2keyz20zzglobaliza7e_ginfoza7(BgL_localz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_localzf2Ginfozd2escapezf3zd2setz12z13zzglobaliza7e_ginfoza7
		(BgL_localz00_bglt, bool_t);
	static obj_t BGl_z62localzf2Ginfozd2keyz42zzglobaliza7e_ginfoza7(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31951ze3ze5zzglobaliza7e_ginfoza7(obj_t);
	static obj_t BGl_z62lambda1850z62zzglobaliza7e_ginfoza7(obj_t, obj_t, obj_t);
	static BgL_sexitz00_bglt BGl_z62lambda1933z62zzglobaliza7e_ginfoza7(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31749ze3ze5zzglobaliza7e_ginfoza7(obj_t);
	static obj_t
		BGl_z62localzf2Ginfozd2valzd2noescapezd2setz12z50zzglobaliza7e_ginfoza7
		(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1692z62zzglobaliza7e_ginfoza7(obj_t, obj_t);
	static obj_t BGl_z62lambda1693z62zzglobaliza7e_ginfoza7(obj_t, obj_t, obj_t);
	static BgL_sexitz00_bglt BGl_z62lambda1936z62zzglobaliza7e_ginfoza7(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2Ginfozd2namezd2setz12ze0zzglobaliza7e_ginfoza7
		(BgL_globalz00_bglt, obj_t);
	static obj_t BGl_z62lambda1777z62zzglobaliza7e_ginfoza7(obj_t, obj_t);
	static obj_t BGl_z62lambda1778z62zzglobaliza7e_ginfoza7(obj_t, obj_t, obj_t);
	static BgL_globalz00_bglt
		BGl_z62makezd2globalzf2Ginfoz42zzglobaliza7e_ginfoza7(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Ginfozd2kapturedzd2setz12ze0zzglobaliza7e_ginfoza7
		(BgL_sfunz00_bglt, obj_t);
	static obj_t
		BGl_z62globalzf2Ginfozd2evalzf3zd2setz12z71zzglobaliza7e_ginfoza7(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62sexitzf2Ginfozd2markzd2setz12z82zzglobaliza7e_ginfoza7(obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_classzd2nilzd2initz12z12zz__objectz00(obj_t);
	static obj_t BGl_z62localzf2Ginfozd2occurrencez42zzglobaliza7e_ginfoza7(obj_t,
		obj_t);
	static obj_t BGl_z62sfunzf2Ginfozd2freezd2markz90zzglobaliza7e_ginfoza7(obj_t,
		obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzglobaliza7e_ginfoza7 =
		BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2Ginfozd2pragmazd2setz12ze0zzglobaliza7e_ginfoza7
		(BgL_globalz00_bglt, obj_t);
	static obj_t
		BGl_z62svarzf2Ginfozd2celledzf3zd2setz12z71zzglobaliza7e_ginfoza7(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_svarzf2Ginfozd2celledzf3zd3zzglobaliza7e_ginfoza7(BgL_svarz00_bglt);
	static BgL_sexitz00_bglt BGl_z62lambda1940z62zzglobaliza7e_ginfoza7(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31766ze3ze5zzglobaliza7e_ginfoza7(obj_t);
	static obj_t BGl_z62zc3z04anonymousza31677ze3ze5zzglobaliza7e_ginfoza7(obj_t);
	static obj_t
		BGl_z62sfunzf2Ginfozd2thezd2closurezd2globalz42zzglobaliza7e_ginfoza7(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1786z62zzglobaliza7e_ginfoza7(obj_t, obj_t);
	static obj_t BGl_z62lambda1787z62zzglobaliza7e_ginfoza7(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1949z62zzglobaliza7e_ginfoza7(obj_t, obj_t);
	static obj_t
		BGl_z62sfunzf2Ginfozd2dssslzd2keywordsz90zzglobaliza7e_ginfoza7(obj_t,
		obj_t);
	static obj_t
		BGl_z62sexitzf2Ginfozd2kapturedzf3zb1zzglobaliza7e_ginfoza7(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Ginfozd2loczd2setz12ze0zzglobaliza7e_ginfoza7(BgL_sfunz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2Ginfozd2modulez20zzglobaliza7e_ginfoza7(BgL_globalz00_bglt);
	static obj_t BGl_z62zc3z04anonymousza32020ze3ze5zzglobaliza7e_ginfoza7(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2Ginfozd2srcz20zzglobaliza7e_ginfoza7(BgL_globalz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_localzf2Ginfozd2accessz20zzglobaliza7e_ginfoza7(BgL_localz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Ginfozd2thezd2closurezd2globalzd2setz12ze0zzglobaliza7e_ginfoza7
		(BgL_sfunz00_bglt, obj_t);
	BGL_EXPORTED_DECL BgL_sfunz00_bglt
		BGl_sfunzf2Ginfozd2nilz20zzglobaliza7e_ginfoza7(void);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Ginfozd2stackablezd2setz12ze0zzglobaliza7e_ginfoza7
		(BgL_sfunz00_bglt, obj_t);
	static obj_t
		BGl_z62sfunzf2Ginfozd2newzd2bodyzd2setz12z50zzglobaliza7e_ginfoza7(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2Ginfozd2globalzd2closurezd2setz12z32zzglobaliza7e_ginfoza7
		(BgL_globalz00_bglt, obj_t);
	static obj_t BGl_z62lambda1950z62zzglobaliza7e_ginfoza7(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_localzf2Ginfozd2typezd2setz12ze0zzglobaliza7e_ginfoza7
		(BgL_localz00_bglt, BgL_typez00_bglt);
	static obj_t BGl_z62zc3z04anonymousza31694ze3ze5zzglobaliza7e_ginfoza7(obj_t);
	static obj_t BGl_z62sfunzf2Ginfozd2Gzf3zb1zzglobaliza7e_ginfoza7(obj_t,
		obj_t);
	static BgL_svarz00_bglt BGl_z62lambda1873z62zzglobaliza7e_ginfoza7(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL long
		BGl_localzf2Ginfozd2occurrencewz20zzglobaliza7e_ginfoza7(BgL_localz00_bglt);
	static obj_t BGl_z62lambda1957z62zzglobaliza7e_ginfoza7(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_valuez00_bglt
		BGl_globalzf2Ginfozd2valuez20zzglobaliza7e_ginfoza7(BgL_globalz00_bglt);
	static obj_t BGl_z62lambda1958z62zzglobaliza7e_ginfoza7(obj_t, obj_t, obj_t);
	static BgL_localz00_bglt
		BGl_z62makezd2localzf2Ginfoz42zzglobaliza7e_ginfoza7(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_globalzf2Ginfozd2userzf3zd3zzglobaliza7e_ginfoza7(BgL_globalz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Ginfozd2imarkz20zzglobaliza7e_ginfoza7(BgL_sfunz00_bglt);
	static obj_t BGl_z62lambda1798z62zzglobaliza7e_ginfoza7(obj_t, obj_t);
	static BgL_svarz00_bglt BGl_z62lambda1879z62zzglobaliza7e_ginfoza7(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1799z62zzglobaliza7e_ginfoza7(obj_t, obj_t, obj_t);
	static obj_t
		BGl_z62sfunzf2Ginfozd2classzd2setz12z82zzglobaliza7e_ginfoza7(obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Ginfozd2freezd2markzf2zzglobaliza7e_ginfoza7(BgL_sfunz00_bglt);
	static obj_t BGl_z62sfunzf2Ginfozd2failsafez42zzglobaliza7e_ginfoza7(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Ginfozd2argszd2noescapezf2zzglobaliza7e_ginfoza7
		(BgL_sfunz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_sexitzf2Ginfozd2handlerzd2setz12ze0zzglobaliza7e_ginfoza7
		(BgL_sexitz00_bglt, obj_t);
	static obj_t BGl_z62sfunzf2Ginfozd2newzd2bodyz90zzglobaliza7e_ginfoza7(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_localzf2Ginfozd2valzd2noescapezf2zzglobaliza7e_ginfoza7
		(BgL_localz00_bglt);
	static obj_t
		BGl_z62localzf2Ginfozd2occurrencewzd2setz12z82zzglobaliza7e_ginfoza7(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62lambda1964z62zzglobaliza7e_ginfoza7(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2Ginfozd2fastzd2alphazd2setz12z32zzglobaliza7e_ginfoza7
		(BgL_globalz00_bglt, obj_t);
	static BgL_svarz00_bglt BGl_z62lambda1884z62zzglobaliza7e_ginfoza7(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1965z62zzglobaliza7e_ginfoza7(obj_t, obj_t, obj_t);
	extern obj_t BGl_sfunz00zzast_varz00;
	BGL_EXPORTED_DECL bool_t BGl_sfunzf2Ginfozf3z01zzglobaliza7e_ginfoza7(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2Ginfozd2occurrencezd2setz12ze0zzglobaliza7e_ginfoza7
		(BgL_globalz00_bglt, long);
	static obj_t BGl_z62sexitzf2Ginfozd2Gzf3zb1zzglobaliza7e_ginfoza7(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Ginfozd2locz20zzglobaliza7e_ginfoza7(BgL_sfunz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2Ginfozd2accesszd2setz12ze0zzglobaliza7e_ginfoza7
		(BgL_globalz00_bglt, obj_t);
	static obj_t BGl_toplevelzd2initzd2zzglobaliza7e_ginfoza7(void);
	static obj_t
		BGl_z62sfunzf2Ginfozd2propertyzd2setz12z82zzglobaliza7e_ginfoza7(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL long
		BGl_sfunzf2Ginfozd2arityz20zzglobaliza7e_ginfoza7(BgL_sfunz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2Ginfozd2valuezd2setz12ze0zzglobaliza7e_ginfoza7
		(BgL_globalz00_bglt, BgL_valuez00_bglt);
	static obj_t
		BGl_z62localzf2Ginfozd2userzf3zd2setz12z71zzglobaliza7e_ginfoza7(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62lambda1971z62zzglobaliza7e_ginfoza7(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31939ze3ze5zzglobaliza7e_ginfoza7(obj_t,
		obj_t);
	static obj_t
		BGl_z62sfunzf2Ginfozd2bodyzd2setz12z82zzglobaliza7e_ginfoza7(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62lambda1972z62zzglobaliza7e_ginfoza7(obj_t, obj_t, obj_t);
	static obj_t
		BGl_z62sfunzf2Ginfozd2ctoza2zd2setz12z20zzglobaliza7e_ginfoza7(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2Ginfozd2importz20zzglobaliza7e_ginfoza7(BgL_globalz00_bglt);
	static obj_t BGl_z62lambda1893z62zzglobaliza7e_ginfoza7(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sexitzf2Ginfozd2Gzf3zd2setz12z13zzglobaliza7e_ginfoza7
		(BgL_sexitz00_bglt, bool_t);
	static obj_t BGl_z62lambda1894z62zzglobaliza7e_ginfoza7(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sexitzf2Ginfozd2detachedzf3zd2setz12z13zzglobaliza7e_ginfoza7
		(BgL_sexitz00_bglt, bool_t);
	static obj_t BGl_z62zc3z04anonymousza32031ze3ze5zzglobaliza7e_ginfoza7(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Ginfozd2sidezd2effectzf2zzglobaliza7e_ginfoza7(BgL_sfunz00_bglt);
	static obj_t BGl_z62localzf2Ginfozd2idz42zzglobaliza7e_ginfoza7(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Ginfozd2ownerzd2setz12ze0zzglobaliza7e_ginfoza7(BgL_sfunz00_bglt,
		obj_t);
	static obj_t BGl_z62sfunzf2Ginfozd2propertyz42zzglobaliza7e_ginfoza7(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31883ze3ze5zzglobaliza7e_ginfoza7(obj_t,
		obj_t);
	static obj_t BGl_z62globalzf2Ginfozf3z63zzglobaliza7e_ginfoza7(obj_t, obj_t);
	static obj_t
		BGl_z62sfunzf2Ginfozd2argszd2setz12z82zzglobaliza7e_ginfoza7(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Ginfozd2dssslzd2keywordszf2zzglobaliza7e_ginfoza7
		(BgL_sfunz00_bglt);
	static BgL_localz00_bglt BGl_z62lambda1981z62zzglobaliza7e_ginfoza7(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_localzf2Ginfozd2typez20zzglobaliza7e_ginfoza7(BgL_localz00_bglt);
	static BgL_localz00_bglt BGl_z62lambda1984z62zzglobaliza7e_ginfoza7(obj_t,
		obj_t);
	static obj_t BGl_genericzd2initzd2zzglobaliza7e_ginfoza7(void);
	static BgL_localz00_bglt BGl_z62lambda1987z62zzglobaliza7e_ginfoza7(obj_t,
		obj_t);
	static obj_t BGl_z62localzf2Ginfozd2namez42zzglobaliza7e_ginfoza7(obj_t,
		obj_t);
	static obj_t
		BGl_z62svarzf2Ginfozd2loczd2setz12z82zzglobaliza7e_ginfoza7(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL long
		BGl_globalzf2Ginfozd2occurrencez20zzglobaliza7e_ginfoza7
		(BgL_globalz00_bglt);
	BGL_EXPORTED_DECL BgL_sfunz00_bglt
		BGl_makezd2sfunzf2Ginfoz20zzglobaliza7e_ginfoza7(long, obj_t, obj_t, obj_t,
		bool_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, bool_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, long, obj_t,
		obj_t, obj_t, obj_t, long, long, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32008ze3ze5zzglobaliza7e_ginfoza7(obj_t);
	extern obj_t BGl_sexitz00zzast_varz00;
	static BgL_sfunz00_bglt
		BGl_z62makezd2sfunzf2Ginfoz42zzglobaliza7e_ginfoza7(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t
		BGl_z62sfunzf2Ginfozd2Gzf3zd2setz12z71zzglobaliza7e_ginfoza7(obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t,
		bool_t, bool_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Ginfozd2bodyzd2setz12ze0zzglobaliza7e_ginfoza7(BgL_sfunz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Ginfozd2ctoza2zd2setz12z42zzglobaliza7e_ginfoza7
		(BgL_sfunz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Ginfozd2ownerz20zzglobaliza7e_ginfoza7(BgL_sfunz00_bglt);
	static obj_t BGl_z62zc3z04anonymousza31973ze3ze5zzglobaliza7e_ginfoza7(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Ginfozd2effectz20zzglobaliza7e_ginfoza7(BgL_sfunz00_bglt);
	BGL_EXPORTED_DECL long
		BGl_sfunzf2Ginfozd2bmarkz20zzglobaliza7e_ginfoza7(BgL_sfunz00_bglt);
	static obj_t BGl_objectzd2initzd2zzglobaliza7e_ginfoza7(void);
	static obj_t BGl_z62zc3z04anonymousza31779ze3ze5zzglobaliza7e_ginfoza7(obj_t);
	static obj_t BGl_z62sfunzf2Ginfozd2stackablez42zzglobaliza7e_ginfoza7(obj_t,
		obj_t);
	static obj_t
		BGl_z62localzf2Ginfozd2typezd2setz12z82zzglobaliza7e_ginfoza7(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62lambda1999z62zzglobaliza7e_ginfoza7(obj_t, obj_t);
	static obj_t
		BGl_z62globalzf2Ginfozd2modulezd2setz12z82zzglobaliza7e_ginfoza7(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62sexitzf2Ginfozd2detachedzf3zd2setz12z71zzglobaliza7e_ginfoza7(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2Ginfozd2initzd2setz12ze0zzglobaliza7e_ginfoza7
		(BgL_globalz00_bglt, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_sexitzf2Ginfozf2zzglobaliza7e_ginfoza7 = BUNSPEC;
	static obj_t BGl_z62globalzf2Ginfozd2aliasz42zzglobaliza7e_ginfoza7(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Ginfozd2thezd2closurezd2setz12z32zzglobaliza7e_ginfoza7
		(BgL_sfunz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2Ginfozd2qualifiedzd2typezd2namez20zzglobaliza7e_ginfoza7
		(BgL_globalz00_bglt);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Ginfozd2argszd2setz12ze0zzglobaliza7e_ginfoza7(BgL_sfunz00_bglt,
		obj_t);
	static obj_t
		BGl_z62sfunzf2Ginfozd2argszd2noescapezd2setz12z50zzglobaliza7e_ginfoza7
		(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31966ze3ze5zzglobaliza7e_ginfoza7(obj_t);
	static obj_t BGl_z62zc3z04anonymousza31788ze3ze5zzglobaliza7e_ginfoza7(obj_t);
	extern obj_t BGl_typez00zztype_typez00;
	static obj_t
		BGl_z62sfunzf2Ginfozd2predicatezd2ofz90zzglobaliza7e_ginfoza7(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Ginfozd2sidezd2effectzd2setz12z32zzglobaliza7e_ginfoza7
		(BgL_sfunz00_bglt, obj_t);
	static obj_t
		BGl_z62globalzf2Ginfozd2aliaszd2setz12z82zzglobaliza7e_ginfoza7(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62globalzf2Ginfozd2srcz42zzglobaliza7e_ginfoza7(obj_t,
		obj_t);
	static BgL_svarz00_bglt
		BGl_z62svarzf2Ginfozd2nilz42zzglobaliza7e_ginfoza7(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Ginfozd2strengthzd2setz12ze0zzglobaliza7e_ginfoza7
		(BgL_sfunz00_bglt, obj_t);
	static obj_t
		BGl_z62globalzf2Ginfozd2libraryzd2setz12z82zzglobaliza7e_ginfoza7(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Ginfozd2stackablez20zzglobaliza7e_ginfoza7(BgL_sfunz00_bglt);
	static obj_t
		BGl_z62sfunzf2Ginfozd2markzd2setz12z82zzglobaliza7e_ginfoza7(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Ginfozd2thezd2closurezf2zzglobaliza7e_ginfoza7(BgL_sfunz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2Ginfozd2occurrencewzd2setz12ze0zzglobaliza7e_ginfoza7
		(BgL_globalz00_bglt, long);
	static obj_t BGl_z62zc3z04anonymousza31959ze3ze5zzglobaliza7e_ginfoza7(obj_t);
	static obj_t
		BGl_z62globalzf2Ginfozd2globalzd2closurezd2setz12z50zzglobaliza7e_ginfoza7
		(obj_t, obj_t, obj_t);
	static obj_t BGl_z62sexitzf2Ginfozd2handlerz42zzglobaliza7e_ginfoza7(obj_t,
		obj_t);
	static obj_t
		BGl_z62localzf2Ginfozd2fastzd2alphaz90zzglobaliza7e_ginfoza7(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Ginfozd2classz20zzglobaliza7e_ginfoza7(BgL_sfunz00_bglt);
	static obj_t BGl_z62sfunzf2Ginfozd2imarkz42zzglobaliza7e_ginfoza7(obj_t,
		obj_t);
	static obj_t
		BGl_z62sfunzf2Ginfozd2freezd2markzd2setz12z50zzglobaliza7e_ginfoza7(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL long
		BGl_sexitzf2Ginfozd2markz20zzglobaliza7e_ginfoza7(BgL_sexitz00_bglt);
	static obj_t BGl_z62sfunzf2Ginfozd2argszd2namez90zzglobaliza7e_ginfoza7(obj_t,
		obj_t);
	static obj_t BGl_z62sfunzf2Ginfozd2cfromza2ze0zzglobaliza7e_ginfoza7(obj_t,
		obj_t);
	static obj_t
		BGl_z62sfunzf2Ginfozd2ownerzd2setz12z82zzglobaliza7e_ginfoza7(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_localzf2Ginfozd2removablez20zzglobaliza7e_ginfoza7(BgL_localz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2Ginfozd2userzf3zd2setz12z13zzglobaliza7e_ginfoza7
		(BgL_globalz00_bglt, bool_t);
	static obj_t BGl_z62zc3z04anonymousza31895ze3ze5zzglobaliza7e_ginfoza7(obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_localz00_bglt
		BGl_localzf2Ginfozd2nilz20zzglobaliza7e_ginfoza7(void);
	BGL_EXPORTED_DECL bool_t
		BGl_sexitzf2Ginfozd2Gzf3zd3zzglobaliza7e_ginfoza7(BgL_sexitz00_bglt);
	static BgL_localz00_bglt
		BGl_z62localzf2Ginfozd2nilz42zzglobaliza7e_ginfoza7(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Ginfozd2cfromza2zd2setz12z42zzglobaliza7e_ginfoza7
		(BgL_sfunz00_bglt, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_localzf2Ginfozf2zzglobaliza7e_ginfoza7 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2Ginfozd2idz20zzglobaliza7e_ginfoza7(BgL_globalz00_bglt);
	static obj_t BGl_z62svarzf2Ginfozd2locz42zzglobaliza7e_ginfoza7(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Ginfozd2markzd2setz12ze0zzglobaliza7e_ginfoza7(BgL_sfunz00_bglt,
		long);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Ginfozd2integratedz20zzglobaliza7e_ginfoza7(BgL_sfunz00_bglt);
	static obj_t BGl_z62globalzf2Ginfozd2idz42zzglobaliza7e_ginfoza7(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62svarzf2Ginfozd2stackablezd2setz12z82zzglobaliza7e_ginfoza7(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62sfunzf2Ginfozd2arityz42zzglobaliza7e_ginfoza7(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2Ginfozd2globalzd2closurezf2zzglobaliza7e_ginfoza7
		(BgL_globalz00_bglt);
	BGL_EXPORTED_DEF obj_t BGl_svarzf2Ginfozf2zzglobaliza7e_ginfoza7 = BUNSPEC;
	static obj_t
		BGl_z62globalzf2Ginfozd2namezd2setz12z82zzglobaliza7e_ginfoza7(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2Ginfozd2namez20zzglobaliza7e_ginfoza7(BgL_globalz00_bglt);
	static obj_t BGl_methodzd2initzd2zzglobaliza7e_ginfoza7(void);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Ginfozd2failsafez20zzglobaliza7e_ginfoza7(BgL_sfunz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Ginfozd2argszd2namezf2zzglobaliza7e_ginfoza7(BgL_sfunz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_localzf2Ginfozd2idz20zzglobaliza7e_ginfoza7(BgL_localz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Ginfozd2freez20zzglobaliza7e_ginfoza7(BgL_sfunz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Ginfozd2newzd2bodyzf2zzglobaliza7e_ginfoza7(BgL_sfunz00_bglt);
	static obj_t BGl_z62sfunzf2Ginfozd2freez42zzglobaliza7e_ginfoza7(obj_t,
		obj_t);
	static obj_t BGl_z62sexitzf2Ginfozf3z63zzglobaliza7e_ginfoza7(obj_t, obj_t);
	BGL_EXPORTED_DECL long
		BGl_sfunzf2Ginfozd2markz20zzglobaliza7e_ginfoza7(BgL_sfunz00_bglt);
	static obj_t BGl_z62zc3z04anonymousza31986ze3ze5zzglobaliza7e_ginfoza7(obj_t,
		obj_t);
	static obj_t BGl_z62sfunzf2Ginfozd2markz42zzglobaliza7e_ginfoza7(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2Ginfozd2typezd2setz12ze0zzglobaliza7e_ginfoza7
		(BgL_globalz00_bglt, BgL_typez00_bglt);
	static BgL_typez00_bglt
		BGl_z62localzf2Ginfozd2typez42zzglobaliza7e_ginfoza7(obj_t, obj_t);
	static obj_t BGl_z62sfunzf2Ginfozf3z63zzglobaliza7e_ginfoza7(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Ginfozd2thezd2globalzf2zzglobaliza7e_ginfoza7(BgL_sfunz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Ginfozd2newzd2bodyzd2setz12z32zzglobaliza7e_ginfoza7
		(BgL_sfunz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2Ginfozd2libraryzd2setz12ze0zzglobaliza7e_ginfoza7
		(BgL_globalz00_bglt, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32038ze3ze5zzglobaliza7e_ginfoza7(obj_t);
	static obj_t BGl_z62localzf2Ginfozf3z63zzglobaliza7e_ginfoza7(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_localzf2Ginfozd2valzd2noescapezd2setz12z32zzglobaliza7e_ginfoza7
		(BgL_localz00_bglt, obj_t);
	static obj_t BGl_z62sfunzf2Ginfozd2ownerz42zzglobaliza7e_ginfoza7(obj_t,
		obj_t);
	static obj_t
		BGl_z62sfunzf2Ginfozd2predicatezd2ofzd2setz12z50zzglobaliza7e_ginfoza7
		(obj_t, obj_t, obj_t);
	static obj_t BGl_z62sfunzf2Ginfozd2bmarkz42zzglobaliza7e_ginfoza7(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Ginfozd2freezd2markzd2setz12z32zzglobaliza7e_ginfoza7
		(BgL_sfunz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Ginfozd2efunctionszd2setz12ze0zzglobaliza7e_ginfoza7
		(BgL_sfunz00_bglt, obj_t);
	static obj_t BGl_z62svarzf2Ginfozd2freezd2markz90zzglobaliza7e_ginfoza7(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2Ginfozd2qualifiedzd2typezd2namezd2setz12ze0zzglobaliza7e_ginfoza7
		(BgL_globalz00_bglt, obj_t);
	static obj_t
		BGl_z62globalzf2Ginfozd2evaluablezf3zd2setz12z71zzglobaliza7e_ginfoza7
		(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Ginfozd2propertyz20zzglobaliza7e_ginfoza7(BgL_sfunz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_localzf2Ginfozd2removablezd2setz12ze0zzglobaliza7e_ginfoza7
		(BgL_localz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Ginfozd2thezd2closurezd2globalz20zzglobaliza7e_ginfoza7
		(BgL_sfunz00_bglt);
	static obj_t
		BGl_z62globalzf2Ginfozd2qualifiedzd2typezd2namez42zzglobaliza7e_ginfoza7
		(obj_t, obj_t);
	static obj_t
		BGl_z62sfunzf2Ginfozd2dssslzd2keywordszd2setz12z50zzglobaliza7e_ginfoza7
		(obj_t, obj_t, obj_t);
	static obj_t
		BGl_z62localzf2Ginfozd2volatilezd2setz12z82zzglobaliza7e_ginfoza7(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62localzf2Ginfozd2removablez42zzglobaliza7e_ginfoza7(obj_t,
		obj_t);
	static obj_t BGl_z62sfunzf2Ginfozd2strengthz42zzglobaliza7e_ginfoza7(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2Ginfozd2fastzd2alphazf2zzglobaliza7e_ginfoza7
		(BgL_globalz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_svarzf2Ginfozd2loczd2setz12ze0zzglobaliza7e_ginfoza7(BgL_svarz00_bglt,
		obj_t);
	static obj_t
		BGl_z62globalzf2Ginfozd2occurrencewz42zzglobaliza7e_ginfoza7(obj_t, obj_t);
	static obj_t BGl_z62lambda2000z62zzglobaliza7e_ginfoza7(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Ginfozd2propertyzd2setz12ze0zzglobaliza7e_ginfoza7
		(BgL_sfunz00_bglt, obj_t);
	BGL_EXPORTED_DECL BgL_svarz00_bglt
		BGl_svarzf2Ginfozd2nilz20zzglobaliza7e_ginfoza7(void);
	static obj_t BGl_z62lambda2006z62zzglobaliza7e_ginfoza7(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_svarzf2Ginfozd2stackablezd2setz12ze0zzglobaliza7e_ginfoza7
		(BgL_svarz00_bglt, bool_t);
	static obj_t BGl_z62lambda2007z62zzglobaliza7e_ginfoza7(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_localzf2Ginfozd2globaliza7edzf3zd2setz12zb4zzglobaliza7e_ginfoza7
		(BgL_localz00_bglt, bool_t);
	BGL_EXPORTED_DECL bool_t
		BGl_sfunzf2Ginfozd2Gzf3zd3zzglobaliza7e_ginfoza7(BgL_sfunz00_bglt);
	static obj_t
		BGl_z62globalzf2Ginfozd2evaluablezf3zb1zzglobaliza7e_ginfoza7(obj_t, obj_t);
	static obj_t BGl_z62sfunzf2Ginfozd2integratedz42zzglobaliza7e_ginfoza7(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Ginfozd2imarkzd2setz12ze0zzglobaliza7e_ginfoza7(BgL_sfunz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Ginfozd2ctoza2z82zzglobaliza7e_ginfoza7(BgL_sfunz00_bglt);
	BGL_EXPORTED_DECL BgL_sexitz00_bglt
		BGl_sexitzf2Ginfozd2nilz20zzglobaliza7e_ginfoza7(void);
	static obj_t BGl_z62sfunzf2Ginfozd2ctoza2ze0zzglobaliza7e_ginfoza7(obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_globalz00_bglt
		BGl_globalzf2Ginfozd2nilz20zzglobaliza7e_ginfoza7(void);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Ginfozd2thezd2globalzd2setz12z32zzglobaliza7e_ginfoza7
		(BgL_sfunz00_bglt, obj_t);
	static BgL_sexitz00_bglt
		BGl_z62sexitzf2Ginfozd2nilz42zzglobaliza7e_ginfoza7(obj_t);
	BGL_EXPORTED_DECL long
		BGl_svarzf2Ginfozd2freezd2markzf2zzglobaliza7e_ginfoza7(BgL_svarz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_localzf2Ginfozd2accesszd2setz12ze0zzglobaliza7e_ginfoza7
		(BgL_localz00_bglt, obj_t);
	static obj_t BGl_z62sfunzf2Ginfozd2classz42zzglobaliza7e_ginfoza7(obj_t,
		obj_t);
	static obj_t
		BGl_z62sfunzf2Ginfozd2efunctionszd2setz12z82zzglobaliza7e_ginfoza7(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Ginfozd2efunctionsz20zzglobaliza7e_ginfoza7(BgL_sfunz00_bglt);
	static obj_t BGl_z62globalzf2Ginfozd2evalzf3zb1zzglobaliza7e_ginfoza7(obj_t,
		obj_t);
	static obj_t BGl_z62sexitzf2Ginfozd2markz42zzglobaliza7e_ginfoza7(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31514ze3ze5zzglobaliza7e_ginfoza7(obj_t,
		obj_t);
	static BgL_globalz00_bglt BGl_z62lambda2015z62zzglobaliza7e_ginfoza7(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62sfunzf2Ginfozd2sidezd2effectz90zzglobaliza7e_ginfoza7(obj_t, obj_t);
	static BgL_globalz00_bglt BGl_z62lambda2018z62zzglobaliza7e_ginfoza7(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Ginfozd2effectzd2setz12ze0zzglobaliza7e_ginfoza7
		(BgL_sfunz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Ginfozd2bmarkzd2setz12ze0zzglobaliza7e_ginfoza7(BgL_sfunz00_bglt,
		long);
	static obj_t
		BGl_z62sfunzf2Ginfozd2thezd2closurezd2setz12z50zzglobaliza7e_ginfoza7(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_localzf2Ginfozd2globaliza7edzf3z74zzglobaliza7e_ginfoza7
		(BgL_localz00_bglt);
	static obj_t
		BGl_z62localzf2Ginfozd2removablezd2setz12z82zzglobaliza7e_ginfoza7(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_svarz00zzast_varz00;
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Ginfozd2cfromzd2setz12ze0zzglobaliza7e_ginfoza7(BgL_sfunz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL bool_t BGl_svarzf2Ginfozf3z01zzglobaliza7e_ginfoza7(obj_t);
	static obj_t
		BGl_z62sfunzf2Ginfozd2argszd2retescapezd2setz12z50zzglobaliza7e_ginfoza7
		(obj_t, obj_t, obj_t);
	static obj_t
		BGl_z62sfunzf2Ginfozd2failsafezd2setz12z82zzglobaliza7e_ginfoza7(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_svarzf2Ginfozd2locz20zzglobaliza7e_ginfoza7(BgL_svarz00_bglt);
	static obj_t
		BGl_z62sfunzf2Ginfozd2sidezd2effectzd2setz12z50zzglobaliza7e_ginfoza7(obj_t,
		obj_t, obj_t);
	static BgL_globalz00_bglt BGl_z62lambda2021z62zzglobaliza7e_ginfoza7(obj_t,
		obj_t);
	static obj_t
		BGl_z62sfunzf2Ginfozd2thezd2globalz90zzglobaliza7e_ginfoza7(obj_t, obj_t);
	static obj_t BGl_z62lambda2029z62zzglobaliza7e_ginfoza7(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sexitzf2Ginfozd2handlerz20zzglobaliza7e_ginfoza7(BgL_sexitz00_bglt);
	static obj_t BGl_z62globalzf2Ginfozd2libraryz42zzglobaliza7e_ginfoza7(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Ginfozd2boundzd2setz12ze0zzglobaliza7e_ginfoza7(BgL_sfunz00_bglt,
		obj_t);
	static obj_t BGl_z62globalzf2Ginfozd2pragmaz42zzglobaliza7e_ginfoza7(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2Ginfozd2modulezd2setz12ze0zzglobaliza7e_ginfoza7
		(BgL_globalz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2Ginfozd2evalzf3zd2setz12z13zzglobaliza7e_ginfoza7
		(BgL_globalz00_bglt, bool_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_globalzf2Ginfozd2typez20zzglobaliza7e_ginfoza7(BgL_globalz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Ginfozd2boundz20zzglobaliza7e_ginfoza7(BgL_sfunz00_bglt);
	static obj_t BGl_z62sfunzf2Ginfozd2optionalsz42zzglobaliza7e_ginfoza7(obj_t,
		obj_t);
	static obj_t
		BGl_z62sfunzf2Ginfozd2thezd2globalzd2setz12z50zzglobaliza7e_ginfoza7(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62lambda2030z62zzglobaliza7e_ginfoza7(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_svarzf2Ginfozd2celledzf3zd2setz12z13zzglobaliza7e_ginfoza7
		(BgL_svarz00_bglt, bool_t);
	static obj_t
		BGl_z62globalzf2Ginfozd2qualifiedzd2typezd2namezd2setz12z82zzglobaliza7e_ginfoza7
		(obj_t, obj_t, obj_t);
	static obj_t BGl_z62sfunzf2Ginfozd2kapturedz42zzglobaliza7e_ginfoza7(obj_t,
		obj_t);
	static obj_t BGl_z62lambda2036z62zzglobaliza7e_ginfoza7(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_globalzf2Ginfozf3z01zzglobaliza7e_ginfoza7(obj_t);
	static obj_t BGl_z62lambda2037z62zzglobaliza7e_ginfoza7(obj_t, obj_t, obj_t);
	static obj_t
		BGl_z62globalzf2Ginfozd2initzd2setz12z82zzglobaliza7e_ginfoza7(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_localzf2Ginfozd2volatilezd2setz12ze0zzglobaliza7e_ginfoza7
		(BgL_localz00_bglt, bool_t);
	static obj_t BGl_z62sfunzf2Ginfozd2ctoz42zzglobaliza7e_ginfoza7(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_valuez00_bglt
		BGl_localzf2Ginfozd2valuez20zzglobaliza7e_ginfoza7(BgL_localz00_bglt);
	static obj_t BGl_z62globalzf2Ginfozd2accessz42zzglobaliza7e_ginfoza7(obj_t,
		obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_localzf2Ginfozd2userzf3zd3zzglobaliza7e_ginfoza7(BgL_localz00_bglt);
	static obj_t
		BGl_z62globalzf2Ginfozd2fastzd2alphazd2setz12z50zzglobaliza7e_ginfoza7
		(obj_t, obj_t, obj_t);
	static obj_t
		BGl_z62globalzf2Ginfozd2occurrencezd2setz12z82zzglobaliza7e_ginfoza7(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_svarz00_bglt
		BGl_makezd2svarzf2Ginfoz20zzglobaliza7e_ginfoza7(obj_t, bool_t, long, long,
		bool_t, bool_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Ginfozd2stackzd2allocatorzd2setz12z32zzglobaliza7e_ginfoza7
		(BgL_sfunz00_bglt, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31800ze3ze5zzglobaliza7e_ginfoza7(obj_t);
	static BgL_svarz00_bglt
		BGl_z62makezd2svarzf2Ginfoz42zzglobaliza7e_ginfoza7(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static obj_t
		BGl_z62sfunzf2Ginfozd2stackzd2allocatorzd2setz12z50zzglobaliza7e_ginfoza7
		(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2Ginfozd2initz20zzglobaliza7e_ginfoza7(BgL_globalz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2Ginfozd2libraryz20zzglobaliza7e_ginfoza7(BgL_globalz00_bglt);
	static obj_t
		BGl_z62globalzf2Ginfozd2importzd2setz12z82zzglobaliza7e_ginfoza7(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62svarzf2Ginfozd2stackablez42zzglobaliza7e_ginfoza7(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzglobaliza7e_ginfoza7(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	static obj_t
		BGl_z62sfunzf2Ginfozd2thezd2closurez90zzglobaliza7e_ginfoza7(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2Ginfozd2removablez20zzglobaliza7e_ginfoza7(BgL_globalz00_bglt);
	static obj_t BGl_z62sfunzf2Ginfozd2effectz42zzglobaliza7e_ginfoza7(obj_t,
		obj_t);
	static obj_t
		BGl_z62sfunzf2Ginfozd2imarkzd2setz12z82zzglobaliza7e_ginfoza7(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62localzf2Ginfozd2occurrencewz42zzglobaliza7e_ginfoza7(obj_t, obj_t);
	static obj_t
		BGl_z62globalzf2Ginfozd2globalzd2closurez90zzglobaliza7e_ginfoza7(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Ginfozd2optionalsz20zzglobaliza7e_ginfoza7(BgL_sfunz00_bglt);
	BGL_EXPORTED_DECL long
		BGl_sfunzf2Ginfozd2umarkz20zzglobaliza7e_ginfoza7(BgL_sfunz00_bglt);
	BGL_EXPORTED_DECL bool_t
		BGl_sexitzf2Ginfozd2detachedzf3zd3zzglobaliza7e_ginfoza7(BgL_sexitz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Ginfozd2argszd2noescapezd2setz12z32zzglobaliza7e_ginfoza7
		(BgL_sfunz00_bglt, obj_t);
	static obj_t BGl_z62sfunzf2Ginfozd2efunctionsz42zzglobaliza7e_ginfoza7(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31615ze3ze5zzglobaliza7e_ginfoza7(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Ginfozd2dssslzd2keywordszd2setz12z32zzglobaliza7e_ginfoza7
		(BgL_sfunz00_bglt, obj_t);
	static obj_t
		BGl_z62sfunzf2Ginfozd2bmarkzd2setz12z82zzglobaliza7e_ginfoza7(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62svarzf2Ginfozd2celledzf3zb1zzglobaliza7e_ginfoza7(obj_t,
		obj_t);
	static obj_t
		BGl_z62sfunzf2Ginfozd2cfromzd2setz12z82zzglobaliza7e_ginfoza7(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Ginfozd2Gzf3zd2setz12z13zzglobaliza7e_ginfoza7(BgL_sfunz00_bglt,
		bool_t);
	static obj_t
		BGl_z62sfunzf2Ginfozd2cfromza2zd2setz12z20zzglobaliza7e_ginfoza7(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sexitzf2Ginfozd2freezd2markzd2setz12z32zzglobaliza7e_ginfoza7
		(BgL_sexitz00_bglt, long);
	static obj_t BGl_z62localzf2Ginfozd2accessz42zzglobaliza7e_ginfoza7(obj_t,
		obj_t);
	static obj_t
		BGl_z62sfunzf2Ginfozd2thezd2closurezd2globalzd2setz12z82zzglobaliza7e_ginfoza7
		(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_svarzf2Ginfozd2stackablez20zzglobaliza7e_ginfoza7(BgL_svarz00_bglt);
	static obj_t
		BGl_z62svarzf2Ginfozd2markzd2setz12z82zzglobaliza7e_ginfoza7(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2Ginfozd2removablezd2setz12ze0zzglobaliza7e_ginfoza7
		(BgL_globalz00_bglt, obj_t);
	static obj_t
		BGl_z62globalzf2Ginfozd2valuezd2setz12z82zzglobaliza7e_ginfoza7(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_globalz00_bglt
		BGl_makezd2globalzf2Ginfoz20zzglobaliza7e_ginfoza7(obj_t, obj_t,
		BgL_typez00_bglt, BgL_valuez00_bglt, obj_t, obj_t, obj_t, long, long,
		bool_t, obj_t, obj_t, bool_t, bool_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, bool_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Ginfozd2cfromz20zzglobaliza7e_ginfoza7(BgL_sfunz00_bglt);
	static BgL_valuez00_bglt
		BGl_z62globalzf2Ginfozd2valuez42zzglobaliza7e_ginfoza7(obj_t, obj_t);
	static obj_t
		BGl_z62sfunzf2Ginfozd2boundzd2setz12z82zzglobaliza7e_ginfoza7(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62globalzf2Ginfozd2userzf3zb1zzglobaliza7e_ginfoza7(obj_t,
		obj_t);
	static obj_t
		BGl_z62svarzf2Ginfozd2freezd2markzd2setz12z50zzglobaliza7e_ginfoza7(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Ginfozd2keysz20zzglobaliza7e_ginfoza7(BgL_sfunz00_bglt);
	static BgL_globalz00_bglt
		BGl_z62globalzf2Ginfozd2nilz42zzglobaliza7e_ginfoza7(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2Ginfozd2aliasz20zzglobaliza7e_ginfoza7(BgL_globalz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Ginfozd2integratorz20zzglobaliza7e_ginfoza7(BgL_sfunz00_bglt);
	extern obj_t BGl_localz00zzast_varz00;
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Ginfozd2integratedzd2setz12ze0zzglobaliza7e_ginfoza7
		(BgL_sfunz00_bglt, obj_t);
	static obj_t BGl_z62sfunzf2Ginfozd2keysz42zzglobaliza7e_ginfoza7(obj_t,
		obj_t);
	static obj_t BGl_z62localzf2Ginfozd2escapezf3zb1zzglobaliza7e_ginfoza7(obj_t,
		obj_t);
	static obj_t BGl_z62svarzf2Ginfozd2kapturedzf3zb1zzglobaliza7e_ginfoza7(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31706ze3ze5zzglobaliza7e_ginfoza7(obj_t);
	static obj_t
		BGl_z62sfunzf2Ginfozd2ctozd2setz12z82zzglobaliza7e_ginfoza7(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_localzf2Ginfozd2valuezd2setz12ze0zzglobaliza7e_ginfoza7
		(BgL_localz00_bglt, BgL_valuez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_localzf2Ginfozd2occurrencewzd2setz12ze0zzglobaliza7e_ginfoza7
		(BgL_localz00_bglt, long);
	BGL_EXPORTED_DECL obj_t
		BGl_sexitzf2Ginfozd2kapturedzf3zd2setz12z13zzglobaliza7e_ginfoza7
		(BgL_sexitz00_bglt, bool_t);
	BGL_EXPORTED_DECL long
		BGl_sexitzf2Ginfozd2freezd2markzf2zzglobaliza7e_ginfoza7(BgL_sexitz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Ginfozd2pluggedzd2inzf2zzglobaliza7e_ginfoza7(BgL_sfunz00_bglt);
	static obj_t BGl_cnstzd2initzd2zzglobaliza7e_ginfoza7(void);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Ginfozd2strengthz20zzglobaliza7e_ginfoza7(BgL_sfunz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Ginfozd2argszd2retescapezd2setz12z32zzglobaliza7e_ginfoza7
		(BgL_sfunz00_bglt, obj_t);
	static obj_t BGl_libraryzd2moduleszd2initz00zzglobaliza7e_ginfoza7(void);
	static obj_t
		BGl_z62globalzf2Ginfozd2typezd2setz12z82zzglobaliza7e_ginfoza7(obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t,
		long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t
		BGl_z62localzf2Ginfozd2escapezf3zd2setz12z71zzglobaliza7e_ginfoza7(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62svarzf2Ginfozd2kapturedzf3zd2setz12z71zzglobaliza7e_ginfoza7(obj_t,
		obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzglobaliza7e_ginfoza7(void);
	static obj_t
		BGl_z62globalzf2Ginfozd2occurrencez42zzglobaliza7e_ginfoza7(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Ginfozd2stackzd2allocatorzf2zzglobaliza7e_ginfoza7
		(BgL_sfunz00_bglt);
	static obj_t BGl_gczd2rootszd2initz00zzglobaliza7e_ginfoza7(void);
	static obj_t BGl_z62zc3z04anonymousza31723ze3ze5zzglobaliza7e_ginfoza7(obj_t);
	static BgL_sfunz00_bglt BGl_z62lambda1512z62zzglobaliza7e_ginfoza7(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_svarzf2Ginfozd2markzd2setz12ze0zzglobaliza7e_ginfoza7(BgL_svarz00_bglt,
		long);
	static BgL_sfunz00_bglt BGl_z62lambda1515z62zzglobaliza7e_ginfoza7(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_localzf2Ginfozd2fastzd2alphazd2setz12z32zzglobaliza7e_ginfoza7
		(BgL_localz00_bglt, obj_t);
	static obj_t
		BGl_z62sexitzf2Ginfozd2freezd2markzd2setz12z50zzglobaliza7e_ginfoza7(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_localzf2Ginfozd2occurrencezd2setz12ze0zzglobaliza7e_ginfoza7
		(BgL_localz00_bglt, long);
	BGL_EXPORTED_DECL long
		BGl_localzf2Ginfozd2occurrencez20zzglobaliza7e_ginfoza7(BgL_localz00_bglt);
	static obj_t BGl_z62globalzf2Ginfozd2namez42zzglobaliza7e_ginfoza7(obj_t,
		obj_t);
	static obj_t BGl_z62sfunzf2Ginfozd2boundz42zzglobaliza7e_ginfoza7(obj_t,
		obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_svarzf2Ginfozd2kapturedzf3zd3zzglobaliza7e_ginfoza7(BgL_svarz00_bglt);
	static obj_t
		BGl_z62sfunzf2Ginfozd2kapturedzd2setz12z82zzglobaliza7e_ginfoza7(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31821ze3ze5zzglobaliza7e_ginfoza7(obj_t);
	static obj_t BGl_z62zc3z04anonymousza31902ze3ze5zzglobaliza7e_ginfoza7(obj_t);
	static obj_t BGl_z62zc3z04anonymousza31651ze3ze5zzglobaliza7e_ginfoza7(obj_t);
	static obj_t
		BGl_z62globalzf2Ginfozd2escapezf3zd2setz12z71zzglobaliza7e_ginfoza7(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Ginfozd2ctoz20zzglobaliza7e_ginfoza7(BgL_sfunz00_bglt);
	static obj_t BGl_z62zc3z04anonymousza31635ze3ze5zzglobaliza7e_ginfoza7(obj_t);
	static obj_t
		BGl_z62sfunzf2Ginfozd2integratedzd2setz12z82zzglobaliza7e_ginfoza7(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62sexitzf2Ginfozd2detachedzf3zb1zzglobaliza7e_ginfoza7(obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_globalzf2Ginfozf2zzglobaliza7e_ginfoza7 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_localzf2Ginfozd2namezd2setz12ze0zzglobaliza7e_ginfoza7
		(BgL_localz00_bglt, obj_t);
	BGL_EXPORTED_DECL long
		BGl_svarzf2Ginfozd2markz20zzglobaliza7e_ginfoza7(BgL_svarz00_bglt);
	static obj_t
		BGl_z62globalzf2Ginfozd2pragmazd2setz12z82zzglobaliza7e_ginfoza7(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62sexitzf2Ginfozd2kapturedzf3zd2setz12z71zzglobaliza7e_ginfoza7(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62svarzf2Ginfozd2markz42zzglobaliza7e_ginfoza7(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Ginfozd2predicatezd2ofzf2zzglobaliza7e_ginfoza7
		(BgL_sfunz00_bglt);
	BGL_EXPORTED_DECL long
		BGl_globalzf2Ginfozd2occurrencewz20zzglobaliza7e_ginfoza7
		(BgL_globalz00_bglt);
	static obj_t BGl_z62svarzf2Ginfozf3z63zzglobaliza7e_ginfoza7(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2Ginfozd2aliaszd2setz12ze0zzglobaliza7e_ginfoza7
		(BgL_globalz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Ginfozd2integratorzd2setz12ze0zzglobaliza7e_ginfoza7
		(BgL_sfunz00_bglt, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31660ze3ze5zzglobaliza7e_ginfoza7(obj_t);
	static obj_t BGl_z62lambda1613z62zzglobaliza7e_ginfoza7(obj_t, obj_t);
	static obj_t BGl_z62lambda1614z62zzglobaliza7e_ginfoza7(obj_t, obj_t, obj_t);
	static obj_t
		BGl_z62sfunzf2Ginfozd2stackzd2allocatorz90zzglobaliza7e_ginfoza7(obj_t,
		obj_t);
	static obj_t BGl_z62globalzf2Ginfozd2escapezf3zb1zzglobaliza7e_ginfoza7(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2Ginfozd2pragmaz20zzglobaliza7e_ginfoza7(BgL_globalz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Ginfozd2bodyz20zzglobaliza7e_ginfoza7(BgL_sfunz00_bglt);
	static obj_t BGl_z62sfunzf2Ginfozd2bodyz42zzglobaliza7e_ginfoza7(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_svarzf2Ginfozd2freezd2markzd2setz12z32zzglobaliza7e_ginfoza7
		(BgL_svarz00_bglt, long);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Ginfozd2kapturedz20zzglobaliza7e_ginfoza7(BgL_sfunz00_bglt);
	static obj_t BGl_z62sfunzf2Ginfozd2integratorz42zzglobaliza7e_ginfoza7(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31580ze3ze5zzglobaliza7e_ginfoza7(obj_t);
	static obj_t BGl_z62sfunzf2Ginfozd2umarkz42zzglobaliza7e_ginfoza7(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Ginfozd2pluggedzd2inzd2setz12z32zzglobaliza7e_ginfoza7
		(BgL_sfunz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2Ginfozd2accessz20zzglobaliza7e_ginfoza7(BgL_globalz00_bglt);
	static obj_t BGl_z62lambda1704z62zzglobaliza7e_ginfoza7(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31807ze3ze5zzglobaliza7e_ginfoza7(obj_t);
	static obj_t BGl_z62zc3z04anonymousza31556ze3ze5zzglobaliza7e_ginfoza7(obj_t);
	static obj_t BGl_z62lambda1705z62zzglobaliza7e_ginfoza7(obj_t, obj_t, obj_t);
	static obj_t
		BGl_z62sfunzf2Ginfozd2effectzd2setz12z82zzglobaliza7e_ginfoza7(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62sfunzf2Ginfozd2argszd2noescapez90zzglobaliza7e_ginfoza7(obj_t,
		obj_t);
	static obj_t
		BGl_z62sexitzf2Ginfozd2handlerzd2setz12z82zzglobaliza7e_ginfoza7(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_sexitz00_bglt
		BGl_makezd2sexitzf2Ginfoz20zzglobaliza7e_ginfoza7(obj_t, bool_t, bool_t,
		bool_t, long, long);
	static obj_t
		BGl_z62sexitzf2Ginfozd2freezd2markz90zzglobaliza7e_ginfoza7(obj_t, obj_t);
	static obj_t
		BGl_z62sfunzf2Ginfozd2topzf3zd2setz12z71zzglobaliza7e_ginfoza7(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62sfunzf2Ginfozd2pluggedzd2inz90zzglobaliza7e_ginfoza7(obj_t, obj_t);
	extern obj_t BGl_valuez00zzast_varz00;
	BGL_EXPORTED_DECL bool_t
		BGl_sfunzf2Ginfozd2topzf3zd3zzglobaliza7e_ginfoza7(BgL_sfunz00_bglt);
	static obj_t
		BGl_z62globalzf2Ginfozd2userzf3zd2setz12z71zzglobaliza7e_ginfoza7(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62localzf2Ginfozd2valzd2noescapez90zzglobaliza7e_ginfoza7(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Ginfozd2failsafezd2setz12ze0zzglobaliza7e_ginfoza7
		(BgL_sfunz00_bglt, obj_t);
	static obj_t BGl_z62sfunzf2Ginfozd2topzf3zb1zzglobaliza7e_ginfoza7(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_svarzf2Ginfozd2kapturedzf3zd2setz12z13zzglobaliza7e_ginfoza7
		(BgL_svarz00_bglt, bool_t);
	static obj_t
		BGl_z62sfunzf2Ginfozd2loczd2setz12z82zzglobaliza7e_ginfoza7(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62sfunzf2Ginfozd2integratorzd2setz12z82zzglobaliza7e_ginfoza7(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62globalzf2Ginfozd2modulez42zzglobaliza7e_ginfoza7(obj_t,
		obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_globalzf2Ginfozd2escapezf3zd3zzglobaliza7e_ginfoza7(BgL_globalz00_bglt);
	static obj_t
		BGl_z62globalzf2Ginfozd2accesszd2setz12z82zzglobaliza7e_ginfoza7(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_localzf2Ginfozd2userzf3zd2setz12z13zzglobaliza7e_ginfoza7
		(BgL_localz00_bglt, bool_t);
	static obj_t BGl_z62lambda1633z62zzglobaliza7e_ginfoza7(obj_t, obj_t);
	static obj_t BGl_z62lambda1634z62zzglobaliza7e_ginfoza7(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1554z62zzglobaliza7e_ginfoza7(obj_t, obj_t);
	static obj_t BGl_z62lambda1555z62zzglobaliza7e_ginfoza7(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2Ginfozd2srczd2setz12ze0zzglobaliza7e_ginfoza7
		(BgL_globalz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Ginfozd2umarkzd2setz12ze0zzglobaliza7e_ginfoza7(BgL_sfunz00_bglt,
		long);
	static obj_t BGl_z62sfunzf2Ginfozd2cfromz42zzglobaliza7e_ginfoza7(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2Ginfozd2escapezf3zd2setz12z13zzglobaliza7e_ginfoza7
		(BgL_globalz00_bglt, bool_t);
	static obj_t
		BGl_z62sfunzf2Ginfozd2freezd2setz12z82zzglobaliza7e_ginfoza7(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62lambda1721z62zzglobaliza7e_ginfoza7(obj_t, obj_t);
	static obj_t BGl_z62lambda1722z62zzglobaliza7e_ginfoza7(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1805z62zzglobaliza7e_ginfoza7(obj_t, obj_t);
	static obj_t BGl_z62lambda1806z62zzglobaliza7e_ginfoza7(obj_t, obj_t, obj_t);
	static obj_t
		BGl_z62sfunzf2Ginfozd2pluggedzd2inzd2setz12z50zzglobaliza7e_ginfoza7(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Ginfozd2topzf3zd2setz12z13zzglobaliza7e_ginfoza7
		(BgL_sfunz00_bglt, bool_t);
	static obj_t BGl_z62lambda1649z62zzglobaliza7e_ginfoza7(obj_t, obj_t);
	static obj_t
		BGl_z62localzf2Ginfozd2namezd2setz12z82zzglobaliza7e_ginfoza7(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62sfunzf2Ginfozd2argszd2retescapez90zzglobaliza7e_ginfoza7(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_classzd2superzd2zz__objectz00(obj_t);
	static obj_t BGl_z62lambda1650z62zzglobaliza7e_ginfoza7(obj_t, obj_t, obj_t);
	static BgL_sfunz00_bglt
		BGl_z62sfunzf2Ginfozd2nilz42zzglobaliza7e_ginfoza7(obj_t);
	static BgL_sfunz00_bglt BGl_z62lambda1490z62zzglobaliza7e_ginfoza7(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2Ginfozd2importzd2setz12ze0zzglobaliza7e_ginfoza7
		(BgL_globalz00_bglt, obj_t);
	static obj_t
		BGl_z62localzf2Ginfozd2globaliza7edzf3zd2setz12zd6zzglobaliza7e_ginfoza7
		(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_localz00_bglt
		BGl_makezd2localzf2Ginfoz20zzglobaliza7e_ginfoza7(obj_t, obj_t,
		BgL_typez00_bglt, BgL_valuez00_bglt, obj_t, obj_t, obj_t, long, long,
		bool_t, long, obj_t, bool_t, bool_t, bool_t);
	static obj_t BGl_z62lambda1819z62zzglobaliza7e_ginfoza7(obj_t, obj_t);
	static obj_t BGl_z62lambda1658z62zzglobaliza7e_ginfoza7(obj_t, obj_t);
	static obj_t BGl_z62lambda1578z62zzglobaliza7e_ginfoza7(obj_t, obj_t);
	static obj_t BGl_z62lambda1659z62zzglobaliza7e_ginfoza7(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1579z62zzglobaliza7e_ginfoza7(obj_t, obj_t, obj_t);
	static obj_t
		BGl_z62globalzf2Ginfozd2removablezd2setz12z82zzglobaliza7e_ginfoza7(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62globalzf2Ginfozd2occurrencewzd2setz12z82zzglobaliza7e_ginfoza7(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62localzf2Ginfozd2volatilez42zzglobaliza7e_ginfoza7(obj_t,
		obj_t);
	static obj_t BGl_z62globalzf2Ginfozd2importz42zzglobaliza7e_ginfoza7(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sexitzf2Ginfozd2markzd2setz12ze0zzglobaliza7e_ginfoza7
		(BgL_sexitz00_bglt, long);
	static obj_t
		BGl_z62sexitzf2Ginfozd2Gzf3zd2setz12z71zzglobaliza7e_ginfoza7(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62globalzf2Ginfozd2removablez42zzglobaliza7e_ginfoza7(obj_t,
		obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_globalzf2Ginfozd2evalzf3zd3zzglobaliza7e_ginfoza7(BgL_globalz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Ginfozd2freezd2setz12ze0zzglobaliza7e_ginfoza7(BgL_sfunz00_bglt,
		obj_t);
	static BgL_typez00_bglt
		BGl_z62globalzf2Ginfozd2typez42zzglobaliza7e_ginfoza7(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_localzf2Ginfozd2escapezf3zd3zzglobaliza7e_ginfoza7(BgL_localz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Ginfozd2ctozd2setz12ze0zzglobaliza7e_ginfoza7(BgL_sfunz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Ginfozd2cfromza2z82zzglobaliza7e_ginfoza7(BgL_sfunz00_bglt);
	BGL_EXPORTED_DECL bool_t BGl_sexitzf2Ginfozf3z01zzglobaliza7e_ginfoza7(obj_t);
	static obj_t BGl_z62lambda1900z62zzglobaliza7e_ginfoza7(obj_t, obj_t);
	static obj_t BGl_z62lambda1820z62zzglobaliza7e_ginfoza7(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31851ze3ze5zzglobaliza7e_ginfoza7(obj_t);
	static obj_t BGl_z62lambda1901z62zzglobaliza7e_ginfoza7(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31924ze3ze5zzglobaliza7e_ginfoza7(obj_t);
	static obj_t BGl_z62zc3z04anonymousza31916ze3ze5zzglobaliza7e_ginfoza7(obj_t);
	static obj_t BGl_z62lambda1907z62zzglobaliza7e_ginfoza7(obj_t, obj_t);
	static obj_t BGl_z62lambda1908z62zzglobaliza7e_ginfoza7(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1747z62zzglobaliza7e_ginfoza7(obj_t, obj_t);
	static obj_t BGl_z62lambda1748z62zzglobaliza7e_ginfoza7(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_sexitzf2Ginfozd2kapturedzf3zd3zzglobaliza7e_ginfoza7(BgL_sexitz00_bglt);
	static BgL_valuez00_bglt
		BGl_z62localzf2Ginfozd2valuez42zzglobaliza7e_ginfoza7(obj_t, obj_t);
	static obj_t BGl_z62localzf2Ginfozd2userzf3zb1zzglobaliza7e_ginfoza7(obj_t,
		obj_t);
	static obj_t
		BGl_z62globalzf2Ginfozd2fastzd2alphaz90zzglobaliza7e_ginfoza7(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_localzf2Ginfozf3z01zzglobaliza7e_ginfoza7(obj_t);
	static obj_t BGl_z62sfunzf2Ginfozd2locz42zzglobaliza7e_ginfoza7(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_globalzf2Ginfozd2evaluablezf3zd3zzglobaliza7e_ginfoza7
		(BgL_globalz00_bglt);
	extern obj_t BGl_globalz00zzast_varz00;
	static obj_t BGl_z62zc3z04anonymousza31593ze3ze5zzglobaliza7e_ginfoza7(obj_t);
	static obj_t
		BGl_z62sfunzf2Ginfozd2stackablezd2setz12z82zzglobaliza7e_ginfoza7(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31909ze3ze5zzglobaliza7e_ginfoza7(obj_t);
	static obj_t BGl_z62lambda1914z62zzglobaliza7e_ginfoza7(obj_t, obj_t);
	static obj_t BGl_z62lambda1591z62zzglobaliza7e_ginfoza7(obj_t, obj_t);
	static obj_t BGl_z62lambda1915z62zzglobaliza7e_ginfoza7(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1592z62zzglobaliza7e_ginfoza7(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1835z62zzglobaliza7e_ginfoza7(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Ginfozd2predicatezd2ofzd2setz12z32zzglobaliza7e_ginfoza7
		(BgL_sfunz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Ginfozd2argsz20zzglobaliza7e_ginfoza7(BgL_sfunz00_bglt);
	static obj_t BGl_z62lambda1836z62zzglobaliza7e_ginfoza7(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1675z62zzglobaliza7e_ginfoza7(obj_t, obj_t);
	static obj_t BGl_z62globalzf2Ginfozd2initz42zzglobaliza7e_ginfoza7(obj_t,
		obj_t);
	static obj_t
		BGl_z62sfunzf2Ginfozd2strengthzd2setz12z82zzglobaliza7e_ginfoza7(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_localzf2Ginfozd2volatilez20zzglobaliza7e_ginfoza7(BgL_localz00_bglt);
	static obj_t BGl_z62lambda1676z62zzglobaliza7e_ginfoza7(obj_t, obj_t, obj_t);
	static obj_t
		BGl_z62localzf2Ginfozd2fastzd2alphazd2setz12z50zzglobaliza7e_ginfoza7(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_localzf2Ginfozd2fastzd2alphazf2zzglobaliza7e_ginfoza7
		(BgL_localz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Ginfozd2classzd2setz12ze0zzglobaliza7e_ginfoza7(BgL_sfunz00_bglt,
		obj_t);
	static obj_t BGl_z62sfunzf2Ginfozd2argsz42zzglobaliza7e_ginfoza7(obj_t,
		obj_t);
	BGL_EXPORTED_DEF obj_t BGl_sfunzf2Ginfozf2zzglobaliza7e_ginfoza7 = BUNSPEC;
	static obj_t
		BGl_z62localzf2Ginfozd2occurrencezd2setz12z82zzglobaliza7e_ginfoza7(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32001ze3ze5zzglobaliza7e_ginfoza7(obj_t);
	static obj_t
		BGl_z62globalzf2Ginfozd2srczd2setz12z82zzglobaliza7e_ginfoza7(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2Ginfozd2evaluablezf3zd2setz12z13zzglobaliza7e_ginfoza7
		(BgL_globalz00_bglt, bool_t);
	static obj_t
		BGl_z62sfunzf2Ginfozd2umarkzd2setz12z82zzglobaliza7e_ginfoza7(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62localzf2Ginfozd2accesszd2setz12z82zzglobaliza7e_ginfoza7(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62lambda1922z62zzglobaliza7e_ginfoza7(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31837ze3ze5zzglobaliza7e_ginfoza7(obj_t);
	static obj_t BGl_z62lambda1923z62zzglobaliza7e_ginfoza7(obj_t, obj_t, obj_t);
	static obj_t
		BGl_z62localzf2Ginfozd2valuezd2setz12z82zzglobaliza7e_ginfoza7(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62lambda1764z62zzglobaliza7e_ginfoza7(obj_t, obj_t);
	static obj_t __cnst[36];


	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2112z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762za7c3za704anonymo2223za7,
		BGl_z62zc3z04anonymousza31635ze3ze5zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2113z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762lambda1634za7622224z00,
		BGl_z62lambda1634z62zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2114z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762lambda1633za7622225z00,
		BGl_z62lambda1633z62zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2115z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762za7c3za704anonymo2226za7,
		BGl_z62zc3z04anonymousza31651ze3ze5zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sexitzf2Ginfozd2detachedzf3zd2setz12zd2envzc1zzglobaliza7e_ginfoza7,
		BgL_bgl_za762sexitza7f2ginfo2227z00,
		BGl_z62sexitzf2Ginfozd2detachedzf3zd2setz12z71zzglobaliza7e_ginfoza7, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2116z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762lambda1650za7622228z00,
		BGl_z62lambda1650z62zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2117z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762lambda1649za7622229z00,
		BGl_z62lambda1649z62zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2118z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762za7c3za704anonymo2230za7,
		BGl_z62zc3z04anonymousza31660ze3ze5zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2119z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762lambda1659za7622231z00,
		BGl_z62lambda1659z62zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2Ginfozd2accesszd2envzf2zzglobaliza7e_ginfoza7,
		BgL_bgl_za762globalza7f2ginf2232z00,
		BGl_z62globalzf2Ginfozd2accessz42zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2Ginfozd2volatilezd2setz12zd2envz32zzglobaliza7e_ginfoza7,
		BgL_bgl_za762localza7f2ginfo2233z00,
		BGl_z62localzf2Ginfozd2volatilezd2setz12z82zzglobaliza7e_ginfoza7, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2sexitzf2Ginfozd2envzf2zzglobaliza7e_ginfoza7,
		BgL_bgl_za762makeza7d2sexitza72234za7,
		BGl_z62makezd2sexitzf2Ginfoz42zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 6);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Ginfozd2argszd2retescapezd2setz12zd2envze0zzglobaliza7e_ginfoza7,
		BgL_bgl_za762sfunza7f2ginfoza72235za7,
		BGl_z62sfunzf2Ginfozd2argszd2retescapezd2setz12z50zzglobaliza7e_ginfoza7,
		0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2200z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762lambda2000za7622236z00,
		BGl_z62lambda2000z62zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2201z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762lambda1999za7622237z00,
		BGl_z62lambda1999z62zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2120z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762lambda1658za7622238z00,
		BGl_z62lambda1658z62zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2202z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762za7c3za704anonymo2239za7,
		BGl_z62zc3z04anonymousza32008ze3ze5zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2121z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762za7c3za704anonymo2240za7,
		BGl_z62zc3z04anonymousza31677ze3ze5zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2203z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762lambda2007za7622241z00,
		BGl_z62lambda2007z62zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2122z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762lambda1676za7622242z00,
		BGl_z62lambda1676z62zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2204z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762lambda2006za7622243z00,
		BGl_z62lambda2006z62zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2123z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762lambda1675za7622244z00,
		BGl_z62lambda1675z62zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Ginfozd2cfromza2zd2setz12zd2envz90zzglobaliza7e_ginfoza7,
		BgL_bgl_za762sfunza7f2ginfoza72245za7,
		BGl_z62sfunzf2Ginfozd2cfromza2zd2setz12z20zzglobaliza7e_ginfoza7, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2205z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762lambda1987za7622246z00,
		BGl_z62lambda1987z62zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2124z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762za7c3za704anonymo2247za7,
		BGl_z62zc3z04anonymousza31694ze3ze5zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2206z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762za7c3za704anonymo2248za7,
		BGl_z62zc3z04anonymousza31986ze3ze5zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2125z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762lambda1693za7622249z00,
		BGl_z62lambda1693z62zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2Ginfozd2srczd2envzf2zzglobaliza7e_ginfoza7,
		BgL_bgl_za762globalza7f2ginf2250z00,
		BGl_z62globalzf2Ginfozd2srcz42zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2207z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762lambda1984za7622251z00,
		BGl_z62lambda1984z62zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2126z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762lambda1692za7622252z00,
		BGl_z62lambda1692z62zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2208z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762lambda1981za7622253z00,
		BGl_z62lambda1981z62zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 15);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2127z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762za7c3za704anonymo2254za7,
		BGl_z62zc3z04anonymousza31706ze3ze5zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2209z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762za7c3za704anonymo2255za7,
		BGl_z62zc3z04anonymousza32031ze3ze5zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2128z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762lambda1705za7622256z00,
		BGl_z62lambda1705z62zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2129z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762lambda1704za7622257z00,
		BGl_z62lambda1704z62zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2219z00zzglobaliza7e_ginfoza7,
		BgL_bgl_string2219za700za7za7g2258za7, "", 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2Ginfozd2userzf3zd2setz12zd2envzc1zzglobaliza7e_ginfoza7,
		BgL_bgl_za762localza7f2ginfo2259z00,
		BGl_z62localzf2Ginfozd2userzf3zd2setz12z71zzglobaliza7e_ginfoza7, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2Ginfozd2initzd2envzf2zzglobaliza7e_ginfoza7,
		BgL_bgl_za762globalza7f2ginf2260z00,
		BGl_z62globalzf2Ginfozd2initz42zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2Ginfozd2srczd2setz12zd2envz32zzglobaliza7e_ginfoza7,
		BgL_bgl_za762globalza7f2ginf2261z00,
		BGl_z62globalzf2Ginfozd2srczd2setz12z82zzglobaliza7e_ginfoza7, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2210z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762lambda2030za7622262z00,
		BGl_z62lambda2030z62zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2Ginfozd2occurrencezd2envzf2zzglobaliza7e_ginfoza7,
		BgL_bgl_za762localza7f2ginfo2263z00,
		BGl_z62localzf2Ginfozd2occurrencez42zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2211z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762lambda2029za7622264z00,
		BGl_z62lambda2029z62zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2130z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762za7c3za704anonymo2265za7,
		BGl_z62zc3z04anonymousza31723ze3ze5zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Ginfozd2optionalszd2envzf2zzglobaliza7e_ginfoza7,
		BgL_bgl_za762sfunza7f2ginfoza72266za7,
		BGl_z62sfunzf2Ginfozd2optionalsz42zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2212z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762za7c3za704anonymo2267za7,
		BGl_z62zc3z04anonymousza32038ze3ze5zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2131z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762lambda1722za7622268z00,
		BGl_z62lambda1722z62zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_svarzf2Ginfozd2freezd2markzd2envz20zzglobaliza7e_ginfoza7,
		BgL_bgl_za762svarza7f2ginfoza72269za7,
		BGl_z62svarzf2Ginfozd2freezd2markz90zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2213z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762lambda2037za7622270z00,
		BGl_z62lambda2037z62zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2132z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762lambda1721za7622271z00,
		BGl_z62lambda1721z62zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Ginfozd2failsafezd2envzf2zzglobaliza7e_ginfoza7,
		BgL_bgl_za762sfunza7f2ginfoza72272za7,
		BGl_z62sfunzf2Ginfozd2failsafez42zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Ginfozd2argszd2namezd2envz20zzglobaliza7e_ginfoza7,
		BgL_bgl_za762sfunza7f2ginfoza72273za7,
		BGl_z62sfunzf2Ginfozd2argszd2namez90zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2220z00zzglobaliza7e_ginfoza7,
		BgL_bgl_string2220za700za7za7g2274za7, "globalize_ginfo", 15);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2214z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762lambda2036za7622275z00,
		BGl_z62lambda2036z62zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2133z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762za7c3za704anonymo2276za7,
		BGl_z62zc3z04anonymousza31749ze3ze5zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string2221z00zzglobaliza7e_ginfoza7,
		BgL_bgl_string2221za700za7za7g2277za7,
		"_ global/Ginfo global-closure local/Ginfo globalized? escape? sexit/Ginfo svar/Ginfo stackable celled? kaptured? globalize_ginfo sfun/Ginfo bound free umark bmark new-body kaptured the-global free-mark long mark plugged-in integrated owner imark integrator efunctions cto* cto cfrom* obj cfrom bool G? ",
		302);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2215z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762lambda2021za7622278z00,
		BGl_z62lambda2021z62zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2134z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762lambda1748za7622279z00,
		BGl_z62lambda1748z62zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2216z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762za7c3za704anonymo2280za7,
		BGl_z62zc3z04anonymousza32020ze3ze5zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2135z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762lambda1747za7622281z00,
		BGl_z62lambda1747z62zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2217z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762lambda2018za7622282z00,
		BGl_z62lambda2018z62zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2136z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762za7c3za704anonymo2283za7,
		BGl_z62zc3z04anonymousza31766ze3ze5zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2Ginfozd2escapezf3zd2setz12zd2envzc1zzglobaliza7e_ginfoza7,
		BgL_bgl_za762globalza7f2ginf2284z00,
		BGl_z62globalzf2Ginfozd2escapezf3zd2setz12z71zzglobaliza7e_ginfoza7, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2218z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762lambda2015za7622285z00,
		BGl_z62lambda2015z62zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 22);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2137z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762lambda1765za7622286z00,
		BGl_z62lambda1765z62zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2138z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762lambda1764za7622287z00,
		BGl_z62lambda1764z62zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2139z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762za7c3za704anonymo2288za7,
		BGl_z62zc3z04anonymousza31779ze3ze5zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Ginfozd2markzd2envzf2zzglobaliza7e_ginfoza7,
		BgL_bgl_za762sfunza7f2ginfoza72289za7,
		BGl_z62sfunzf2Ginfozd2markz42zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2Ginfozd2valzd2noescapezd2envz20zzglobaliza7e_ginfoza7,
		BgL_bgl_za762localza7f2ginfo2290z00,
		BGl_z62localzf2Ginfozd2valzd2noescapez90zzglobaliza7e_ginfoza7, 0L, BUNSPEC,
		1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_svarzf2Ginfozf3zd2envzd3zzglobaliza7e_ginfoza7,
		BgL_bgl_za762svarza7f2ginfoza72291za7,
		BGl_z62svarzf2Ginfozf3z63zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Ginfozd2argszd2retescapezd2envz20zzglobaliza7e_ginfoza7,
		BgL_bgl_za762sfunza7f2ginfoza72292za7,
		BGl_z62sfunzf2Ginfozd2argszd2retescapez90zzglobaliza7e_ginfoza7, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2140z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762lambda1778za7622293z00,
		BGl_z62lambda1778z62zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2141z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762lambda1777za7622294z00,
		BGl_z62lambda1777z62zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2142z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762za7c3za704anonymo2295za7,
		BGl_z62zc3z04anonymousza31788ze3ze5zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2143z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762lambda1787za7622296z00,
		BGl_z62lambda1787z62zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2144z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762lambda1786za7622297z00,
		BGl_z62lambda1786z62zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2145z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762za7c3za704anonymo2298za7,
		BGl_z62zc3z04anonymousza31800ze3ze5zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2146z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762lambda1799za7622299z00,
		BGl_z62lambda1799z62zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2147z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762lambda1798za7622300z00,
		BGl_z62lambda1798z62zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2148z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762za7c3za704anonymo2301za7,
		BGl_z62zc3z04anonymousza31807ze3ze5zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2149z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762lambda1806za7622302z00,
		BGl_z62lambda1806z62zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Ginfozd2boundzd2setz12zd2envz32zzglobaliza7e_ginfoza7,
		BgL_bgl_za762sfunza7f2ginfoza72303za7,
		BGl_z62sfunzf2Ginfozd2boundzd2setz12z82zzglobaliza7e_ginfoza7, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2150z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762lambda1805za7622304z00,
		BGl_z62lambda1805z62zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2151z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762za7c3za704anonymo2305za7,
		BGl_z62zc3z04anonymousza31821ze3ze5zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sexitzf2Ginfozd2markzd2envzf2zzglobaliza7e_ginfoza7,
		BgL_bgl_za762sexitza7f2ginfo2306z00,
		BGl_z62sexitzf2Ginfozd2markz42zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2152z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762lambda1820za7622307z00,
		BGl_z62lambda1820z62zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2153z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762lambda1819za7622308z00,
		BGl_z62lambda1819z62zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2154z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762za7c3za704anonymo2309za7,
		BGl_z62zc3z04anonymousza31837ze3ze5zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2Ginfozd2escapezf3zd2envz01zzglobaliza7e_ginfoza7,
		BgL_bgl_za762localza7f2ginfo2310z00,
		BGl_z62localzf2Ginfozd2escapezf3zb1zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2155z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762lambda1836za7622311z00,
		BGl_z62lambda1836z62zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Ginfozd2kapturedzd2envzf2zzglobaliza7e_ginfoza7,
		BgL_bgl_za762sfunza7f2ginfoza72312za7,
		BGl_z62sfunzf2Ginfozd2kapturedz42zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2156z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762lambda1835za7622313z00,
		BGl_z62lambda1835z62zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Ginfozd2integratedzd2setz12zd2envz32zzglobaliza7e_ginfoza7,
		BgL_bgl_za762sfunza7f2ginfoza72314za7,
		BGl_z62sfunzf2Ginfozd2integratedzd2setz12z82zzglobaliza7e_ginfoza7, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2157z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762za7c3za704anonymo2315za7,
		BGl_z62zc3z04anonymousza31851ze3ze5zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_svarzf2Ginfozd2celledzf3zd2setz12zd2envzc1zzglobaliza7e_ginfoza7,
		BgL_bgl_za762svarza7f2ginfoza72316za7,
		BGl_z62svarzf2Ginfozd2celledzf3zd2setz12z71zzglobaliza7e_ginfoza7, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2158z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762lambda1850za7622317z00,
		BGl_z62lambda1850z62zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2159z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762lambda1849za7622318z00,
		BGl_z62lambda1849z62zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Ginfozd2ownerzd2setz12zd2envz32zzglobaliza7e_ginfoza7,
		BgL_bgl_za762sfunza7f2ginfoza72319za7,
		BGl_z62sfunzf2Ginfozd2ownerzd2setz12z82zzglobaliza7e_ginfoza7, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2Ginfozd2occurrencewzd2setz12zd2envz32zzglobaliza7e_ginfoza7,
		BgL_bgl_za762localza7f2ginfo2320z00,
		BGl_z62localzf2Ginfozd2occurrencewzd2setz12z82zzglobaliza7e_ginfoza7, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2Ginfozd2removablezd2envzf2zzglobaliza7e_ginfoza7,
		BgL_bgl_za762localza7f2ginfo2321z00,
		BGl_z62localzf2Ginfozd2removablez42zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2160z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762lambda1515za7622322z00,
		BGl_z62lambda1515z62zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2161z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762za7c3za704anonymo2323za7,
		BGl_z62zc3z04anonymousza31514ze3ze5zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2162z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762lambda1512za7622324z00,
		BGl_z62lambda1512z62zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2163z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762lambda1490za7622325z00,
		BGl_z62lambda1490z62zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 42);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2164z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762za7c3za704anonymo2326za7,
		BGl_z62zc3z04anonymousza31895ze3ze5zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2165z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762lambda1894za7622327z00,
		BGl_z62lambda1894z62zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2166z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762lambda1893za7622328z00,
		BGl_z62lambda1893z62zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2167z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762za7c3za704anonymo2329za7,
		BGl_z62zc3z04anonymousza31902ze3ze5zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_svarzf2Ginfozd2nilzd2envzf2zzglobaliza7e_ginfoza7,
		BgL_bgl_za762svarza7f2ginfoza72330za7,
		BGl_z62svarzf2Ginfozd2nilz42zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2168z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762lambda1901za7622331z00,
		BGl_z62lambda1901z62zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2169z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762lambda1900za7622332z00,
		BGl_z62lambda1900z62zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2Ginfozd2libraryzd2envzf2zzglobaliza7e_ginfoza7,
		BgL_bgl_za762globalza7f2ginf2333z00,
		BGl_z62globalzf2Ginfozd2libraryz42zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Ginfozd2effectzd2envzf2zzglobaliza7e_ginfoza7,
		BgL_bgl_za762sfunza7f2ginfoza72334za7,
		BGl_z62sfunzf2Ginfozd2effectz42zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Ginfozd2bmarkzd2envzf2zzglobaliza7e_ginfoza7,
		BgL_bgl_za762sfunza7f2ginfoza72335za7,
		BGl_z62sfunzf2Ginfozd2bmarkz42zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2Ginfozd2volatilezd2envzf2zzglobaliza7e_ginfoza7,
		BgL_bgl_za762localza7f2ginfo2336z00,
		BGl_z62localzf2Ginfozd2volatilez42zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2Ginfozd2removablezd2envzf2zzglobaliza7e_ginfoza7,
		BgL_bgl_za762globalza7f2ginf2337z00,
		BGl_z62globalzf2Ginfozd2removablez42zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2Ginfozd2accesszd2setz12zd2envz32zzglobaliza7e_ginfoza7,
		BgL_bgl_za762localza7f2ginfo2338z00,
		BGl_z62localzf2Ginfozd2accesszd2setz12z82zzglobaliza7e_ginfoza7, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2Ginfozd2idzd2envzf2zzglobaliza7e_ginfoza7,
		BgL_bgl_za762localza7f2ginfo2339z00,
		BGl_z62localzf2Ginfozd2idz42zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2170z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762za7c3za704anonymo2340za7,
		BGl_z62zc3z04anonymousza31909ze3ze5zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2171z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762lambda1908za7622341z00,
		BGl_z62lambda1908z62zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2172z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762lambda1907za7622342z00,
		BGl_z62lambda1907z62zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2Ginfozd2evaluablezf3zd2setz12zd2envzc1zzglobaliza7e_ginfoza7,
		BgL_bgl_za762globalza7f2ginf2343z00,
		BGl_z62globalzf2Ginfozd2evaluablezf3zd2setz12z71zzglobaliza7e_ginfoza7, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2173z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762za7c3za704anonymo2344za7,
		BGl_z62zc3z04anonymousza31916ze3ze5zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2174z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762lambda1915za7622345z00,
		BGl_z62lambda1915z62zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2175z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762lambda1914za7622346z00,
		BGl_z62lambda1914z62zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sexitzf2Ginfozd2detachedzf3zd2envz01zzglobaliza7e_ginfoza7,
		BgL_bgl_za762sexitza7f2ginfo2347z00,
		BGl_z62sexitzf2Ginfozd2detachedzf3zb1zzglobaliza7e_ginfoza7, 0L, BUNSPEC,
		1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Ginfozd2argszd2noescapezd2setz12zd2envze0zzglobaliza7e_ginfoza7,
		BgL_bgl_za762sfunza7f2ginfoza72348za7,
		BGl_z62sfunzf2Ginfozd2argszd2noescapezd2setz12z50zzglobaliza7e_ginfoza7, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2176z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762za7c3za704anonymo2349za7,
		BGl_z62zc3z04anonymousza31924ze3ze5zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2177z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762lambda1923za7622350z00,
		BGl_z62lambda1923z62zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2178z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762lambda1922za7622351z00,
		BGl_z62lambda1922z62zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Ginfozd2thezd2closurezd2setz12zd2envze0zzglobaliza7e_ginfoza7,
		BgL_bgl_za762sfunza7f2ginfoza72352za7,
		BGl_z62sfunzf2Ginfozd2thezd2closurezd2setz12z50zzglobaliza7e_ginfoza7, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2179z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762lambda1884za7622353z00,
		BGl_z62lambda1884z62zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2Ginfozd2globaliza7edzf3zd2envza6zzglobaliza7e_ginfoza7,
		BgL_bgl_za762localza7f2ginfo2354z00,
		BGl_z62localzf2Ginfozd2globaliza7edzf3z16zzglobaliza7e_ginfoza7, 0L,
		BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2Ginfozd2aliaszd2setz12zd2envz32zzglobaliza7e_ginfoza7,
		BgL_bgl_za762globalza7f2ginf2355z00,
		BGl_z62globalzf2Ginfozd2aliaszd2setz12z82zzglobaliza7e_ginfoza7, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Ginfozd2integratorzd2setz12zd2envz32zzglobaliza7e_ginfoza7,
		BgL_bgl_za762sfunza7f2ginfoza72356za7,
		BGl_z62sfunzf2Ginfozd2integratorzd2setz12z82zzglobaliza7e_ginfoza7, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2180z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762za7c3za704anonymo2357za7,
		BGl_z62zc3z04anonymousza31883ze3ze5zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Ginfozd2loczd2envzf2zzglobaliza7e_ginfoza7,
		BgL_bgl_za762sfunza7f2ginfoza72358za7,
		BGl_z62sfunzf2Ginfozd2locz42zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2181z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762lambda1879za7622359z00,
		BGl_z62lambda1879z62zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2182z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762lambda1873za7622360z00,
		BGl_z62lambda1873z62zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2183z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762za7c3za704anonymo2361za7,
		BGl_z62zc3z04anonymousza31951ze3ze5zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2184z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762lambda1950za7622362z00,
		BGl_z62lambda1950z62zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2185z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762lambda1949za7622363z00,
		BGl_z62lambda1949z62zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2186z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762za7c3za704anonymo2364za7,
		BGl_z62zc3z04anonymousza31959ze3ze5zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2Ginfozd2libraryzd2setz12zd2envz32zzglobaliza7e_ginfoza7,
		BgL_bgl_za762globalza7f2ginf2365z00,
		BGl_z62globalzf2Ginfozd2libraryzd2setz12z82zzglobaliza7e_ginfoza7, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2187z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762lambda1958za7622366z00,
		BGl_z62lambda1958z62zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2188z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762lambda1957za7622367z00,
		BGl_z62lambda1957z62zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2189z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762za7c3za704anonymo2368za7,
		BGl_z62zc3z04anonymousza31966ze3ze5zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_svarzf2Ginfozd2stackablezd2envzf2zzglobaliza7e_ginfoza7,
		BgL_bgl_za762svarza7f2ginfoza72369za7,
		BGl_z62svarzf2Ginfozd2stackablez42zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Ginfozd2freezd2markzd2setz12zd2envze0zzglobaliza7e_ginfoza7,
		BgL_bgl_za762sfunza7f2ginfoza72370za7,
		BGl_z62sfunzf2Ginfozd2freezd2markzd2setz12z50zzglobaliza7e_ginfoza7, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2190z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762lambda1965za7622371z00,
		BGl_z62lambda1965z62zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2191z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762lambda1964za7622372z00,
		BGl_z62lambda1964z62zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Ginfozd2ctozd2setz12zd2envz32zzglobaliza7e_ginfoza7,
		BgL_bgl_za762sfunza7f2ginfoza72373za7,
		BGl_z62sfunzf2Ginfozd2ctozd2setz12z82zzglobaliza7e_ginfoza7, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2192z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762za7c3za704anonymo2374za7,
		BGl_z62zc3z04anonymousza31973ze3ze5zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2193z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762lambda1972za7622375z00,
		BGl_z62lambda1972z62zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2194z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762lambda1971za7622376z00,
		BGl_z62lambda1971z62zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2195z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762lambda1940za7622377z00,
		BGl_z62lambda1940z62zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2196z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762za7c3za704anonymo2378za7,
		BGl_z62zc3z04anonymousza31939ze3ze5zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2197z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762lambda1936za7622379z00,
		BGl_z62lambda1936z62zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2198z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762lambda1933za7622380z00,
		BGl_z62lambda1933z62zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 6);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2Ginfozd2pragmazd2setz12zd2envz32zzglobaliza7e_ginfoza7,
		BgL_bgl_za762globalza7f2ginf2381z00,
		BGl_z62globalzf2Ginfozd2pragmazd2setz12z82zzglobaliza7e_ginfoza7, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2199z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762za7c3za704anonymo2382za7,
		BGl_z62zc3z04anonymousza32001ze3ze5zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sexitzf2Ginfozd2kapturedzf3zd2setz12zd2envzc1zzglobaliza7e_ginfoza7,
		BgL_bgl_za762sexitza7f2ginfo2383z00,
		BGl_z62sexitzf2Ginfozd2kapturedzf3zd2setz12z71zzglobaliza7e_ginfoza7, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2Ginfozd2userzf3zd2setz12zd2envzc1zzglobaliza7e_ginfoza7,
		BgL_bgl_za762globalza7f2ginf2384z00,
		BGl_z62globalzf2Ginfozd2userzf3zd2setz12z71zzglobaliza7e_ginfoza7, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Ginfozd2dssslzd2keywordszd2envz20zzglobaliza7e_ginfoza7,
		BgL_bgl_za762sfunza7f2ginfoza72385za7,
		BGl_z62sfunzf2Ginfozd2dssslzd2keywordsz90zzglobaliza7e_ginfoza7, 0L,
		BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sexitzf2Ginfozd2kapturedzf3zd2envz01zzglobaliza7e_ginfoza7,
		BgL_bgl_za762sexitza7f2ginfo2386z00,
		BGl_z62sexitzf2Ginfozd2kapturedzf3zb1zzglobaliza7e_ginfoza7, 0L, BUNSPEC,
		1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_svarzf2Ginfozd2kapturedzf3zd2setz12zd2envzc1zzglobaliza7e_ginfoza7,
		BgL_bgl_za762svarza7f2ginfoza72387za7,
		BGl_z62svarzf2Ginfozd2kapturedzf3zd2setz12z71zzglobaliza7e_ginfoza7, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2Ginfozd2occurrencezd2envzf2zzglobaliza7e_ginfoza7,
		BgL_bgl_za762globalza7f2ginf2388z00,
		BGl_z62globalzf2Ginfozd2occurrencez42zzglobaliza7e_ginfoza7, 0L, BUNSPEC,
		1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2sfunzf2Ginfozd2envzf2zzglobaliza7e_ginfoza7,
		BgL_bgl_za762makeza7d2sfunza7f2389za7,
		BGl_z62makezd2sfunzf2Ginfoz42zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 42);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_svarzf2Ginfozd2stackablezd2setz12zd2envz32zzglobaliza7e_ginfoza7,
		BgL_bgl_za762svarza7f2ginfoza72390za7,
		BGl_z62svarzf2Ginfozd2stackablezd2setz12z82zzglobaliza7e_ginfoza7, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Ginfozd2markzd2setz12zd2envz32zzglobaliza7e_ginfoza7,
		BgL_bgl_za762sfunza7f2ginfoza72391za7,
		BGl_z62sfunzf2Ginfozd2markzd2setz12z82zzglobaliza7e_ginfoza7, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2Ginfozd2fastzd2alphazd2setz12zd2envze0zzglobaliza7e_ginfoza7,
		BgL_bgl_za762localza7f2ginfo2392z00,
		BGl_z62localzf2Ginfozd2fastzd2alphazd2setz12z50zzglobaliza7e_ginfoza7, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2Ginfozd2occurrencewzd2envzf2zzglobaliza7e_ginfoza7,
		BgL_bgl_za762localza7f2ginfo2393z00,
		BGl_z62localzf2Ginfozd2occurrencewz42zzglobaliza7e_ginfoza7, 0L, BUNSPEC,
		1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2Ginfozd2fastzd2alphazd2envz20zzglobaliza7e_ginfoza7,
		BgL_bgl_za762localza7f2ginfo2394z00,
		BGl_z62localzf2Ginfozd2fastzd2alphaz90zzglobaliza7e_ginfoza7, 0L, BUNSPEC,
		1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Ginfozd2classzd2setz12zd2envz32zzglobaliza7e_ginfoza7,
		BgL_bgl_za762sfunza7f2ginfoza72395za7,
		BGl_z62sfunzf2Ginfozd2classzd2setz12z82zzglobaliza7e_ginfoza7, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2Ginfozd2occurrencezd2setz12zd2envz32zzglobaliza7e_ginfoza7,
		BgL_bgl_za762localza7f2ginfo2396z00,
		BGl_z62localzf2Ginfozd2occurrencezd2setz12z82zzglobaliza7e_ginfoza7, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sexitzf2Ginfozd2nilzd2envzf2zzglobaliza7e_ginfoza7,
		BgL_bgl_za762sexitza7f2ginfo2397z00,
		BGl_z62sexitzf2Ginfozd2nilz42zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Ginfozd2newzd2bodyzd2envz20zzglobaliza7e_ginfoza7,
		BgL_bgl_za762sfunza7f2ginfoza72398za7,
		BGl_z62sfunzf2Ginfozd2newzd2bodyz90zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2Ginfozd2qualifiedzd2typezd2namezd2envzf2zzglobaliza7e_ginfoza7,
		BgL_bgl_za762globalza7f2ginf2399z00,
		BGl_z62globalzf2Ginfozd2qualifiedzd2typezd2namez42zzglobaliza7e_ginfoza7,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2Ginfozd2namezd2setz12zd2envz32zzglobaliza7e_ginfoza7,
		BgL_bgl_za762localza7f2ginfo2400z00,
		BGl_z62localzf2Ginfozd2namezd2setz12z82zzglobaliza7e_ginfoza7, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2Ginfozd2namezd2envzf2zzglobaliza7e_ginfoza7,
		BgL_bgl_za762localza7f2ginfo2401z00,
		BGl_z62localzf2Ginfozd2namez42zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2Ginfozd2keyzd2envzf2zzglobaliza7e_ginfoza7,
		BgL_bgl_za762localza7f2ginfo2402z00,
		BGl_z62localzf2Ginfozd2keyz42zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2Ginfozd2namezd2setz12zd2envz32zzglobaliza7e_ginfoza7,
		BgL_bgl_za762globalza7f2ginf2403z00,
		BGl_z62globalzf2Ginfozd2namezd2setz12z82zzglobaliza7e_ginfoza7, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2globalzf2Ginfozd2envzf2zzglobaliza7e_ginfoza7,
		BgL_bgl_za762makeza7d2global2404z00,
		BGl_z62makezd2globalzf2Ginfoz42zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 22);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Ginfozd2classzd2envzf2zzglobaliza7e_ginfoza7,
		BgL_bgl_za762sfunza7f2ginfoza72405za7,
		BGl_z62sfunzf2Ginfozd2classz42zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Ginfozd2sidezd2effectzd2envz20zzglobaliza7e_ginfoza7,
		BgL_bgl_za762sfunza7f2ginfoza72406za7,
		BGl_z62sfunzf2Ginfozd2sidezd2effectz90zzglobaliza7e_ginfoza7, 0L, BUNSPEC,
		1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Ginfozd2cfromza2zd2envz50zzglobaliza7e_ginfoza7,
		BgL_bgl_za762sfunza7f2ginfoza72407za7,
		BGl_z62sfunzf2Ginfozd2cfromza2ze0zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Ginfozd2propertyzd2envzf2zzglobaliza7e_ginfoza7,
		BgL_bgl_za762sfunza7f2ginfoza72408za7,
		BGl_z62sfunzf2Ginfozd2propertyz42zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_svarzf2Ginfozd2celledzf3zd2envz01zzglobaliza7e_ginfoza7,
		BgL_bgl_za762svarza7f2ginfoza72409za7,
		BGl_z62svarzf2Ginfozd2celledzf3zb1zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sexitzf2Ginfozd2freezd2markzd2envz20zzglobaliza7e_ginfoza7,
		BgL_bgl_za762sexitza7f2ginfo2410z00,
		BGl_z62sexitzf2Ginfozd2freezd2markz90zzglobaliza7e_ginfoza7, 0L, BUNSPEC,
		1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2Ginfozd2valuezd2envzf2zzglobaliza7e_ginfoza7,
		BgL_bgl_za762localza7f2ginfo2411z00,
		BGl_z62localzf2Ginfozd2valuez42zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Ginfozd2topzf3zd2envz01zzglobaliza7e_ginfoza7,
		BgL_bgl_za762sfunza7f2ginfoza72412za7,
		BGl_z62sfunzf2Ginfozd2topzf3zb1zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Ginfozd2loczd2setz12zd2envz32zzglobaliza7e_ginfoza7,
		BgL_bgl_za762sfunza7f2ginfoza72413za7,
		BGl_z62sfunzf2Ginfozd2loczd2setz12z82zzglobaliza7e_ginfoza7, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2Ginfozf3zd2envzd3zzglobaliza7e_ginfoza7,
		BgL_bgl_za762localza7f2ginfo2414z00,
		BGl_z62localzf2Ginfozf3z63zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2Ginfozd2globaliza7edzf3zd2setz12zd2envz66zzglobaliza7e_ginfoza7,
		BgL_bgl_za762localza7f2ginfo2415z00,
		BGl_z62localzf2Ginfozd2globaliza7edzf3zd2setz12zd6zzglobaliza7e_ginfoza7,
		0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2Ginfozd2namezd2envzf2zzglobaliza7e_ginfoza7,
		BgL_bgl_za762globalza7f2ginf2416z00,
		BGl_z62globalzf2Ginfozd2namez42zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Ginfozd2umarkzd2setz12zd2envz32zzglobaliza7e_ginfoza7,
		BgL_bgl_za762sfunza7f2ginfoza72417za7,
		BGl_z62sfunzf2Ginfozd2umarkzd2setz12z82zzglobaliza7e_ginfoza7, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Ginfozd2argszd2setz12zd2envz32zzglobaliza7e_ginfoza7,
		BgL_bgl_za762sfunza7f2ginfoza72418za7,
		BGl_z62sfunzf2Ginfozd2argszd2setz12z82zzglobaliza7e_ginfoza7, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Ginfozd2argszd2noescapezd2envz20zzglobaliza7e_ginfoza7,
		BgL_bgl_za762sfunza7f2ginfoza72419za7,
		BGl_z62sfunzf2Ginfozd2argszd2noescapez90zzglobaliza7e_ginfoza7, 0L, BUNSPEC,
		1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_svarzf2Ginfozd2markzd2envzf2zzglobaliza7e_ginfoza7,
		BgL_bgl_za762svarza7f2ginfoza72420za7,
		BGl_z62svarzf2Ginfozd2markz42zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2Ginfozd2fastzd2alphazd2setz12zd2envze0zzglobaliza7e_ginfoza7,
		BgL_bgl_za762globalza7f2ginf2421z00,
		BGl_z62globalzf2Ginfozd2fastzd2alphazd2setz12z50zzglobaliza7e_ginfoza7, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Ginfozd2predicatezd2ofzd2envz20zzglobaliza7e_ginfoza7,
		BgL_bgl_za762sfunza7f2ginfoza72422za7,
		BGl_z62sfunzf2Ginfozd2predicatezd2ofz90zzglobaliza7e_ginfoza7, 0L, BUNSPEC,
		1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2Ginfozd2occurrencezd2setz12zd2envz32zzglobaliza7e_ginfoza7,
		BgL_bgl_za762globalza7f2ginf2423z00,
		BGl_z62globalzf2Ginfozd2occurrencezd2setz12z82zzglobaliza7e_ginfoza7, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2Ginfozd2escapezf3zd2setz12zd2envzc1zzglobaliza7e_ginfoza7,
		BgL_bgl_za762localza7f2ginfo2424z00,
		BGl_z62localzf2Ginfozd2escapezf3zd2setz12z71zzglobaliza7e_ginfoza7, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2Ginfozd2importzd2setz12zd2envz32zzglobaliza7e_ginfoza7,
		BgL_bgl_za762globalza7f2ginf2425z00,
		BGl_z62globalzf2Ginfozd2importzd2setz12z82zzglobaliza7e_ginfoza7, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2Ginfozd2removablezd2setz12zd2envz32zzglobaliza7e_ginfoza7,
		BgL_bgl_za762globalza7f2ginf2426z00,
		BGl_z62globalzf2Ginfozd2removablezd2setz12z82zzglobaliza7e_ginfoza7, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2Ginfozd2occurrencewzd2setz12zd2envz32zzglobaliza7e_ginfoza7,
		BgL_bgl_za762globalza7f2ginf2427z00,
		BGl_z62globalzf2Ginfozd2occurrencewzd2setz12z82zzglobaliza7e_ginfoza7, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2Ginfozd2importzd2envzf2zzglobaliza7e_ginfoza7,
		BgL_bgl_za762globalza7f2ginf2428z00,
		BGl_z62globalzf2Ginfozd2importz42zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2Ginfozd2modulezd2setz12zd2envz32zzglobaliza7e_ginfoza7,
		BgL_bgl_za762globalza7f2ginf2429z00,
		BGl_z62globalzf2Ginfozd2modulezd2setz12z82zzglobaliza7e_ginfoza7, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Ginfozd2keyszd2envzf2zzglobaliza7e_ginfoza7,
		BgL_bgl_za762sfunza7f2ginfoza72430za7,
		BGl_z62sfunzf2Ginfozd2keysz42zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2Ginfozd2removablezd2setz12zd2envz32zzglobaliza7e_ginfoza7,
		BgL_bgl_za762localza7f2ginfo2431z00,
		BGl_z62localzf2Ginfozd2removablezd2setz12z82zzglobaliza7e_ginfoza7, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Ginfozd2pluggedzd2inzd2envz20zzglobaliza7e_ginfoza7,
		BgL_bgl_za762sfunza7f2ginfoza72432za7,
		BGl_z62sfunzf2Ginfozd2pluggedzd2inz90zzglobaliza7e_ginfoza7, 0L, BUNSPEC,
		1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2Ginfozd2userzf3zd2envz01zzglobaliza7e_ginfoza7,
		BgL_bgl_za762localza7f2ginfo2433z00,
		BGl_z62localzf2Ginfozd2userzf3zb1zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2Ginfozd2fastzd2alphazd2envz20zzglobaliza7e_ginfoza7,
		BgL_bgl_za762globalza7f2ginf2434z00,
		BGl_z62globalzf2Ginfozd2fastzd2alphaz90zzglobaliza7e_ginfoza7, 0L, BUNSPEC,
		1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sexitzf2Ginfozd2Gzf3zd2envz01zzglobaliza7e_ginfoza7,
		BgL_bgl_za762sexitza7f2ginfo2435z00,
		BGl_z62sexitzf2Ginfozd2Gzf3zb1zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2Ginfozd2accesszd2envzf2zzglobaliza7e_ginfoza7,
		BgL_bgl_za762localza7f2ginfo2436z00,
		BGl_z62localzf2Ginfozd2accessz42zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Ginfozd2stackzd2allocatorzd2envz20zzglobaliza7e_ginfoza7,
		BgL_bgl_za762sfunza7f2ginfoza72437za7,
		BGl_z62sfunzf2Ginfozd2stackzd2allocatorz90zzglobaliza7e_ginfoza7, 0L,
		BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Ginfozd2Gzf3zd2envz01zzglobaliza7e_ginfoza7,
		BgL_bgl_za762sfunza7f2ginfoza72438za7,
		BGl_z62sfunzf2Ginfozd2Gzf3zb1zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Ginfozd2integratedzd2envzf2zzglobaliza7e_ginfoza7,
		BgL_bgl_za762sfunza7f2ginfoza72439za7,
		BGl_z62sfunzf2Ginfozd2integratedz42zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Ginfozd2bodyzd2setz12zd2envz32zzglobaliza7e_ginfoza7,
		BgL_bgl_za762sfunza7f2ginfoza72440za7,
		BGl_z62sfunzf2Ginfozd2bodyzd2setz12z82zzglobaliza7e_ginfoza7, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Ginfozd2imarkzd2setz12zd2envz32zzglobaliza7e_ginfoza7,
		BgL_bgl_za762sfunza7f2ginfoza72441za7,
		BGl_z62sfunzf2Ginfozd2imarkzd2setz12z82zzglobaliza7e_ginfoza7, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Ginfozd2efunctionszd2envzf2zzglobaliza7e_ginfoza7,
		BgL_bgl_za762sfunza7f2ginfoza72442za7,
		BGl_z62sfunzf2Ginfozd2efunctionsz42zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sexitzf2Ginfozd2handlerzd2setz12zd2envz32zzglobaliza7e_ginfoza7,
		BgL_bgl_za762sexitza7f2ginfo2443z00,
		BGl_z62sexitzf2Ginfozd2handlerzd2setz12z82zzglobaliza7e_ginfoza7, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_svarzf2Ginfozd2loczd2envzf2zzglobaliza7e_ginfoza7,
		BgL_bgl_za762svarza7f2ginfoza72444za7,
		BGl_z62svarzf2Ginfozd2locz42zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Ginfozd2thezd2globalzd2envz20zzglobaliza7e_ginfoza7,
		BgL_bgl_za762sfunza7f2ginfoza72445za7,
		BGl_z62sfunzf2Ginfozd2thezd2globalz90zzglobaliza7e_ginfoza7, 0L, BUNSPEC,
		1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Ginfozd2newzd2bodyzd2setz12zd2envze0zzglobaliza7e_ginfoza7,
		BgL_bgl_za762sfunza7f2ginfoza72446za7,
		BGl_z62sfunzf2Ginfozd2newzd2bodyzd2setz12z50zzglobaliza7e_ginfoza7, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2Ginfozd2accesszd2setz12zd2envz32zzglobaliza7e_ginfoza7,
		BgL_bgl_za762globalza7f2ginf2447z00,
		BGl_z62globalzf2Ginfozd2accesszd2setz12z82zzglobaliza7e_ginfoza7, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sexitzf2Ginfozd2freezd2markzd2setz12zd2envze0zzglobaliza7e_ginfoza7,
		BgL_bgl_za762sexitza7f2ginfo2448z00,
		BGl_z62sexitzf2Ginfozd2freezd2markzd2setz12z50zzglobaliza7e_ginfoza7, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2Ginfozd2valzd2noescapezd2setz12zd2envze0zzglobaliza7e_ginfoza7,
		BgL_bgl_za762localza7f2ginfo2449z00,
		BGl_z62localzf2Ginfozd2valzd2noescapezd2setz12z50zzglobaliza7e_ginfoza7, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Ginfozd2arityzd2envzf2zzglobaliza7e_ginfoza7,
		BgL_bgl_za762sfunza7f2ginfoza72450za7,
		BGl_z62sfunzf2Ginfozd2arityz42zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sexitzf2Ginfozd2Gzf3zd2setz12zd2envzc1zzglobaliza7e_ginfoza7,
		BgL_bgl_za762sexitza7f2ginfo2451z00,
		BGl_z62sexitzf2Ginfozd2Gzf3zd2setz12z71zzglobaliza7e_ginfoza7, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_svarzf2Ginfozd2freezd2markzd2setz12zd2envze0zzglobaliza7e_ginfoza7,
		BgL_bgl_za762svarza7f2ginfoza72452za7,
		BGl_z62svarzf2Ginfozd2freezd2markzd2setz12z50zzglobaliza7e_ginfoza7, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2Ginfozd2evalzf3zd2setz12zd2envzc1zzglobaliza7e_ginfoza7,
		BgL_bgl_za762globalza7f2ginf2453z00,
		BGl_z62globalzf2Ginfozd2evalzf3zd2setz12z71zzglobaliza7e_ginfoza7, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Ginfozd2kapturedzd2setz12zd2envz32zzglobaliza7e_ginfoza7,
		BgL_bgl_za762sfunza7f2ginfoza72454za7,
		BGl_z62sfunzf2Ginfozd2kapturedzd2setz12z82zzglobaliza7e_ginfoza7, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sexitzf2Ginfozf3zd2envzd3zzglobaliza7e_ginfoza7,
		BgL_bgl_za762sexitza7f2ginfo2455z00,
		BGl_z62sexitzf2Ginfozf3z63zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2Ginfozd2typezd2envzf2zzglobaliza7e_ginfoza7,
		BgL_bgl_za762localza7f2ginfo2456z00,
		BGl_z62localzf2Ginfozd2typez42zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2svarzf2Ginfozd2envzf2zzglobaliza7e_ginfoza7,
		BgL_bgl_za762makeza7d2svarza7f2457za7,
		BGl_z62makezd2svarzf2Ginfoz42zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 6);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Ginfozd2stackzd2allocatorzd2setz12zd2envze0zzglobaliza7e_ginfoza7,
		BgL_bgl_za762sfunza7f2ginfoza72458za7,
		BGl_z62sfunzf2Ginfozd2stackzd2allocatorzd2setz12z50zzglobaliza7e_ginfoza7,
		0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Ginfozd2propertyzd2setz12zd2envz32zzglobaliza7e_ginfoza7,
		BgL_bgl_za762sfunza7f2ginfoza72459za7,
		BGl_z62sfunzf2Ginfozd2propertyzd2setz12z82zzglobaliza7e_ginfoza7, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_svarzf2Ginfozd2markzd2setz12zd2envz32zzglobaliza7e_ginfoza7,
		BgL_bgl_za762svarza7f2ginfoza72460za7,
		BGl_z62svarzf2Ginfozd2markzd2setz12z82zzglobaliza7e_ginfoza7, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2Ginfozd2globalzd2closurezd2setz12zd2envze0zzglobaliza7e_ginfoza7,
		BgL_bgl_za762globalza7f2ginf2461z00,
		BGl_z62globalzf2Ginfozd2globalzd2closurezd2setz12z50zzglobaliza7e_ginfoza7,
		0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2Ginfozd2globalzd2closurezd2envz20zzglobaliza7e_ginfoza7,
		BgL_bgl_za762globalza7f2ginf2462z00,
		BGl_z62globalzf2Ginfozd2globalzd2closurez90zzglobaliza7e_ginfoza7, 0L,
		BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2Ginfozd2valuezd2envzf2zzglobaliza7e_ginfoza7,
		BgL_bgl_za762globalza7f2ginf2463z00,
		BGl_z62globalzf2Ginfozd2valuez42zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Ginfozd2freezd2markzd2envz20zzglobaliza7e_ginfoza7,
		BgL_bgl_za762sfunza7f2ginfoza72464za7,
		BGl_z62sfunzf2Ginfozd2freezd2markz90zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Ginfozd2effectzd2setz12zd2envz32zzglobaliza7e_ginfoza7,
		BgL_bgl_za762sfunza7f2ginfoza72465za7,
		BGl_z62sfunzf2Ginfozd2effectzd2setz12z82zzglobaliza7e_ginfoza7, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Ginfozd2bmarkzd2setz12zd2envz32zzglobaliza7e_ginfoza7,
		BgL_bgl_za762sfunza7f2ginfoza72466za7,
		BGl_z62sfunzf2Ginfozd2bmarkzd2setz12z82zzglobaliza7e_ginfoza7, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Ginfozd2topzf3zd2setz12zd2envzc1zzglobaliza7e_ginfoza7,
		BgL_bgl_za762sfunza7f2ginfoza72467za7,
		BGl_z62sfunzf2Ginfozd2topzf3zd2setz12z71zzglobaliza7e_ginfoza7, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Ginfozf3zd2envzd3zzglobaliza7e_ginfoza7,
		BgL_bgl_za762sfunza7f2ginfoza72468za7,
		BGl_z62sfunzf2Ginfozf3z63zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2Ginfozd2occurrencewzd2envzf2zzglobaliza7e_ginfoza7,
		BgL_bgl_za762globalza7f2ginf2469z00,
		BGl_z62globalzf2Ginfozd2occurrencewz42zzglobaliza7e_ginfoza7, 0L, BUNSPEC,
		1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Ginfozd2sidezd2effectzd2setz12zd2envze0zzglobaliza7e_ginfoza7,
		BgL_bgl_za762sfunza7f2ginfoza72470za7,
		BGl_z62sfunzf2Ginfozd2sidezd2effectzd2setz12z50zzglobaliza7e_ginfoza7, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Ginfozd2strengthzd2setz12zd2envz32zzglobaliza7e_ginfoza7,
		BgL_bgl_za762sfunza7f2ginfoza72471za7,
		BGl_z62sfunzf2Ginfozd2strengthzd2setz12z82zzglobaliza7e_ginfoza7, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2Ginfozd2pragmazd2envzf2zzglobaliza7e_ginfoza7,
		BgL_bgl_za762globalza7f2ginf2472z00,
		BGl_z62globalzf2Ginfozd2pragmaz42zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sexitzf2Ginfozd2handlerzd2envzf2zzglobaliza7e_ginfoza7,
		BgL_bgl_za762sexitza7f2ginfo2473z00,
		BGl_z62sexitzf2Ginfozd2handlerz42zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2Ginfozd2typezd2envzf2zzglobaliza7e_ginfoza7,
		BgL_bgl_za762globalza7f2ginf2474z00,
		BGl_z62globalzf2Ginfozd2typez42zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Ginfozd2efunctionszd2setz12zd2envz32zzglobaliza7e_ginfoza7,
		BgL_bgl_za762sfunza7f2ginfoza72475za7,
		BGl_z62sfunzf2Ginfozd2efunctionszd2setz12z82zzglobaliza7e_ginfoza7, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2Ginfozd2evalzf3zd2envz01zzglobaliza7e_ginfoza7,
		BgL_bgl_za762globalza7f2ginf2476z00,
		BGl_z62globalzf2Ginfozd2evalzf3zb1zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Ginfozd2freezd2setz12zd2envz32zzglobaliza7e_ginfoza7,
		BgL_bgl_za762sfunza7f2ginfoza72477za7,
		BGl_z62sfunzf2Ginfozd2freezd2setz12z82zzglobaliza7e_ginfoza7, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2Ginfozd2qualifiedzd2typezd2namezd2setz12zd2envz32zzglobaliza7e_ginfoza7,
		BgL_bgl_za762globalza7f2ginf2478z00,
		BGl_z62globalzf2Ginfozd2qualifiedzd2typezd2namezd2setz12z82zzglobaliza7e_ginfoza7,
		0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2Ginfozd2valuezd2setz12zd2envz32zzglobaliza7e_ginfoza7,
		BgL_bgl_za762localza7f2ginfo2479z00,
		BGl_z62localzf2Ginfozd2valuezd2setz12z82zzglobaliza7e_ginfoza7, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2Ginfozf3zd2envzd3zzglobaliza7e_ginfoza7,
		BgL_bgl_za762globalza7f2ginf2480z00,
		BGl_z62globalzf2Ginfozf3z63zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Ginfozd2failsafezd2setz12zd2envz32zzglobaliza7e_ginfoza7,
		BgL_bgl_za762sfunza7f2ginfoza72481za7,
		BGl_z62sfunzf2Ginfozd2failsafezd2setz12z82zzglobaliza7e_ginfoza7, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_svarzf2Ginfozd2loczd2setz12zd2envz32zzglobaliza7e_ginfoza7,
		BgL_bgl_za762svarza7f2ginfoza72482za7,
		BGl_z62svarzf2Ginfozd2loczd2setz12z82zzglobaliza7e_ginfoza7, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2Ginfozd2modulezd2envzf2zzglobaliza7e_ginfoza7,
		BgL_bgl_za762globalza7f2ginf2483z00,
		BGl_z62globalzf2Ginfozd2modulez42zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Ginfozd2thezd2closurezd2globalzd2setz12zd2envz32zzglobaliza7e_ginfoza7,
		BgL_bgl_za762sfunza7f2ginfoza72484za7,
		BGl_z62sfunzf2Ginfozd2thezd2closurezd2globalzd2setz12z82zzglobaliza7e_ginfoza7,
		0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Ginfozd2nilzd2envzf2zzglobaliza7e_ginfoza7,
		BgL_bgl_za762sfunza7f2ginfoza72485za7,
		BGl_z62sfunzf2Ginfozd2nilz42zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2Ginfozd2escapezf3zd2envz01zzglobaliza7e_ginfoza7,
		BgL_bgl_za762globalza7f2ginf2486z00,
		BGl_z62globalzf2Ginfozd2escapezf3zb1zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Ginfozd2ctoza2zd2setz12zd2envz90zzglobaliza7e_ginfoza7,
		BgL_bgl_za762sfunza7f2ginfoza72487za7,
		BGl_z62sfunzf2Ginfozd2ctoza2zd2setz12z20zzglobaliza7e_ginfoza7, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2Ginfozd2typezd2setz12zd2envz32zzglobaliza7e_ginfoza7,
		BgL_bgl_za762localza7f2ginfo2488z00,
		BGl_z62localzf2Ginfozd2typezd2setz12z82zzglobaliza7e_ginfoza7, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Ginfozd2ctoza2zd2envz50zzglobaliza7e_ginfoza7,
		BgL_bgl_za762sfunza7f2ginfoza72489za7,
		BGl_z62sfunzf2Ginfozd2ctoza2ze0zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2Ginfozd2userzf3zd2envz01zzglobaliza7e_ginfoza7,
		BgL_bgl_za762globalza7f2ginf2490z00,
		BGl_z62globalzf2Ginfozd2userzf3zb1zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2Ginfozd2nilzd2envzf2zzglobaliza7e_ginfoza7,
		BgL_bgl_za762globalza7f2ginf2491z00,
		BGl_z62globalzf2Ginfozd2nilz42zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Ginfozd2ctozd2envzf2zzglobaliza7e_ginfoza7,
		BgL_bgl_za762sfunza7f2ginfoza72492za7,
		BGl_z62sfunzf2Ginfozd2ctoz42zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2Ginfozd2typezd2setz12zd2envz32zzglobaliza7e_ginfoza7,
		BgL_bgl_za762globalza7f2ginf2493z00,
		BGl_z62globalzf2Ginfozd2typezd2setz12z82zzglobaliza7e_ginfoza7, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Ginfozd2stackablezd2envzf2zzglobaliza7e_ginfoza7,
		BgL_bgl_za762sfunza7f2ginfoza72494za7,
		BGl_z62sfunzf2Ginfozd2stackablez42zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2localzf2Ginfozd2envzf2zzglobaliza7e_ginfoza7,
		BgL_bgl_za762makeza7d2localza72495za7,
		BGl_z62makezd2localzf2Ginfoz42zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 15);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Ginfozd2bodyzd2envzf2zzglobaliza7e_ginfoza7,
		BgL_bgl_za762sfunza7f2ginfoza72496za7,
		BGl_z62sfunzf2Ginfozd2bodyz42zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Ginfozd2cfromzd2envzf2zzglobaliza7e_ginfoza7,
		BgL_bgl_za762sfunza7f2ginfoza72497za7,
		BGl_z62sfunzf2Ginfozd2cfromz42zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Ginfozd2boundzd2envzf2zzglobaliza7e_ginfoza7,
		BgL_bgl_za762sfunza7f2ginfoza72498za7,
		BGl_z62sfunzf2Ginfozd2boundz42zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2Ginfozd2aliaszd2envzf2zzglobaliza7e_ginfoza7,
		BgL_bgl_za762globalza7f2ginf2499z00,
		BGl_z62globalzf2Ginfozd2aliasz42zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Ginfozd2integratorzd2envzf2zzglobaliza7e_ginfoza7,
		BgL_bgl_za762sfunza7f2ginfoza72500za7,
		BGl_z62sfunzf2Ginfozd2integratorz42zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Ginfozd2pluggedzd2inzd2setz12zd2envze0zzglobaliza7e_ginfoza7,
		BgL_bgl_za762sfunza7f2ginfoza72501za7,
		BGl_z62sfunzf2Ginfozd2pluggedzd2inzd2setz12z50zzglobaliza7e_ginfoza7, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Ginfozd2thezd2closurezd2globalzd2envzf2zzglobaliza7e_ginfoza7,
		BgL_bgl_za762sfunza7f2ginfoza72502za7,
		BGl_z62sfunzf2Ginfozd2thezd2closurezd2globalz42zzglobaliza7e_ginfoza7, 0L,
		BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Ginfozd2strengthzd2envzf2zzglobaliza7e_ginfoza7,
		BgL_bgl_za762sfunza7f2ginfoza72503za7,
		BGl_z62sfunzf2Ginfozd2strengthz42zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2Ginfozd2nilzd2envzf2zzglobaliza7e_ginfoza7,
		BgL_bgl_za762localza7f2ginfo2504z00,
		BGl_z62localzf2Ginfozd2nilz42zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2Ginfozd2idzd2envzf2zzglobaliza7e_ginfoza7,
		BgL_bgl_za762globalza7f2ginf2505z00,
		BGl_z62globalzf2Ginfozd2idz42zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Ginfozd2stackablezd2setz12zd2envz32zzglobaliza7e_ginfoza7,
		BgL_bgl_za762sfunza7f2ginfoza72506za7,
		BGl_z62sfunzf2Ginfozd2stackablezd2setz12z82zzglobaliza7e_ginfoza7, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2Ginfozd2evaluablezf3zd2envz01zzglobaliza7e_ginfoza7,
		BgL_bgl_za762globalza7f2ginf2507z00,
		BGl_z62globalzf2Ginfozd2evaluablezf3zb1zzglobaliza7e_ginfoza7, 0L, BUNSPEC,
		1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Ginfozd2ownerzd2envzf2zzglobaliza7e_ginfoza7,
		BgL_bgl_za762sfunza7f2ginfoza72508za7,
		BGl_z62sfunzf2Ginfozd2ownerz42zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Ginfozd2predicatezd2ofzd2setz12zd2envze0zzglobaliza7e_ginfoza7,
		BgL_bgl_za762sfunza7f2ginfoza72509za7,
		BGl_z62sfunzf2Ginfozd2predicatezd2ofzd2setz12z50zzglobaliza7e_ginfoza7, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Ginfozd2argszd2envzf2zzglobaliza7e_ginfoza7,
		BgL_bgl_za762sfunza7f2ginfoza72510za7,
		BGl_z62sfunzf2Ginfozd2argsz42zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Ginfozd2imarkzd2envzf2zzglobaliza7e_ginfoza7,
		BgL_bgl_za762sfunza7f2ginfoza72511za7,
		BGl_z62sfunzf2Ginfozd2imarkz42zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Ginfozd2thezd2globalzd2setz12zd2envze0zzglobaliza7e_ginfoza7,
		BgL_bgl_za762sfunza7f2ginfoza72512za7,
		BGl_z62sfunzf2Ginfozd2thezd2globalzd2setz12z50zzglobaliza7e_ginfoza7, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_svarzf2Ginfozd2kapturedzf3zd2envz01zzglobaliza7e_ginfoza7,
		BgL_bgl_za762svarza7f2ginfoza72513za7,
		BGl_z62svarzf2Ginfozd2kapturedzf3zb1zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Ginfozd2umarkzd2envzf2zzglobaliza7e_ginfoza7,
		BgL_bgl_za762sfunza7f2ginfoza72514za7,
		BGl_z62sfunzf2Ginfozd2umarkz42zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Ginfozd2freezd2envzf2zzglobaliza7e_ginfoza7,
		BgL_bgl_za762sfunza7f2ginfoza72515za7,
		BGl_z62sfunzf2Ginfozd2freez42zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2Ginfozd2initzd2setz12zd2envz32zzglobaliza7e_ginfoza7,
		BgL_bgl_za762globalza7f2ginf2516z00,
		BGl_z62globalzf2Ginfozd2initzd2setz12z82zzglobaliza7e_ginfoza7, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Ginfozd2dssslzd2keywordszd2setz12zd2envze0zzglobaliza7e_ginfoza7,
		BgL_bgl_za762sfunza7f2ginfoza72517za7,
		BGl_z62sfunzf2Ginfozd2dssslzd2keywordszd2setz12z50zzglobaliza7e_ginfoza7,
		0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Ginfozd2cfromzd2setz12zd2envz32zzglobaliza7e_ginfoza7,
		BgL_bgl_za762sfunza7f2ginfoza72518za7,
		BGl_z62sfunzf2Ginfozd2cfromzd2setz12z82zzglobaliza7e_ginfoza7, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2100z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762za7c3za704anonymo2519za7,
		BGl_z62zc3z04anonymousza31556ze3ze5zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2101z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762lambda1555za7622520z00,
		BGl_z62lambda1555z62zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2102z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762lambda1554za7622521z00,
		BGl_z62lambda1554z62zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2103z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762za7c3za704anonymo2522za7,
		BGl_z62zc3z04anonymousza31580ze3ze5zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2104z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762lambda1579za7622523z00,
		BGl_z62lambda1579z62zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2105z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762lambda1578za7622524z00,
		BGl_z62lambda1578z62zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2106z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762za7c3za704anonymo2525za7,
		BGl_z62zc3z04anonymousza31593ze3ze5zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2107z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762lambda1592za7622526z00,
		BGl_z62lambda1592z62zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2108z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762lambda1591za7622527z00,
		BGl_z62lambda1591z62zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2109z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762za7c3za704anonymo2528za7,
		BGl_z62zc3z04anonymousza31615ze3ze5zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Ginfozd2Gzf3zd2setz12zd2envzc1zzglobaliza7e_ginfoza7,
		BgL_bgl_za762sfunza7f2ginfoza72529za7,
		BGl_z62sfunzf2Ginfozd2Gzf3zd2setz12z71zzglobaliza7e_ginfoza7, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Ginfozd2thezd2closurezd2envz20zzglobaliza7e_ginfoza7,
		BgL_bgl_za762sfunza7f2ginfoza72530za7,
		BGl_z62sfunzf2Ginfozd2thezd2closurez90zzglobaliza7e_ginfoza7, 0L, BUNSPEC,
		1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2Ginfozd2valuezd2setz12zd2envz32zzglobaliza7e_ginfoza7,
		BgL_bgl_za762globalza7f2ginf2531z00,
		BGl_z62globalzf2Ginfozd2valuezd2setz12z82zzglobaliza7e_ginfoza7, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sexitzf2Ginfozd2markzd2setz12zd2envz32zzglobaliza7e_ginfoza7,
		BgL_bgl_za762sexitza7f2ginfo2532z00,
		BGl_z62sexitzf2Ginfozd2markzd2setz12z82zzglobaliza7e_ginfoza7, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2110z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762lambda1614za7622533z00,
		BGl_z62lambda1614z62zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2111z00zzglobaliza7e_ginfoza7,
		BgL_bgl_za762lambda1613za7622534z00,
		BGl_z62lambda1613z62zzglobaliza7e_ginfoza7, 0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zzglobaliza7e_ginfoza7));
		     ADD_ROOT((void *) (&BGl_sexitzf2Ginfozf2zzglobaliza7e_ginfoza7));
		     ADD_ROOT((void *) (&BGl_localzf2Ginfozf2zzglobaliza7e_ginfoza7));
		     ADD_ROOT((void *) (&BGl_svarzf2Ginfozf2zzglobaliza7e_ginfoza7));
		     ADD_ROOT((void *) (&BGl_globalzf2Ginfozf2zzglobaliza7e_ginfoza7));
		     ADD_ROOT((void *) (&BGl_sfunzf2Ginfozf2zzglobaliza7e_ginfoza7));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzglobaliza7e_ginfoza7(long
		BgL_checksumz00_4571, char *BgL_fromz00_4572)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzglobaliza7e_ginfoza7))
				{
					BGl_requirezd2initializa7ationz75zzglobaliza7e_ginfoza7 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzglobaliza7e_ginfoza7();
					BGl_libraryzd2moduleszd2initz00zzglobaliza7e_ginfoza7();
					BGl_cnstzd2initzd2zzglobaliza7e_ginfoza7();
					BGl_importedzd2moduleszd2initz00zzglobaliza7e_ginfoza7();
					BGl_objectzd2initzd2zzglobaliza7e_ginfoza7();
					return BGl_toplevelzd2initzd2zzglobaliza7e_ginfoza7();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzglobaliza7e_ginfoza7(void)
	{
		{	/* Globalize/ginfo.scm 15 */
			BGl_modulezd2initializa7ationz75zz__objectz00(0L, "globalize_ginfo");
			BGl_modulezd2initializa7ationz75zz__readerz00(0L, "globalize_ginfo");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(0L,
				"globalize_ginfo");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(0L,
				"globalize_ginfo");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(0L,
				"globalize_ginfo");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(0L,
				"globalize_ginfo");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(0L,
				"globalize_ginfo");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzglobaliza7e_ginfoza7(void)
	{
		{	/* Globalize/ginfo.scm 15 */
			{	/* Globalize/ginfo.scm 15 */
				obj_t BgL_cportz00_4242;

				{	/* Globalize/ginfo.scm 15 */
					obj_t BgL_stringz00_4249;

					BgL_stringz00_4249 = BGl_string2221z00zzglobaliza7e_ginfoza7;
					{	/* Globalize/ginfo.scm 15 */
						obj_t BgL_startz00_4250;

						BgL_startz00_4250 = BINT(0L);
						{	/* Globalize/ginfo.scm 15 */
							obj_t BgL_endz00_4251;

							BgL_endz00_4251 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_4249)));
							{	/* Globalize/ginfo.scm 15 */

								BgL_cportz00_4242 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_4249, BgL_startz00_4250, BgL_endz00_4251);
				}}}}
				{
					long BgL_iz00_4243;

					BgL_iz00_4243 = 35L;
				BgL_loopz00_4244:
					if ((BgL_iz00_4243 == (-1L)))
						{	/* Globalize/ginfo.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Globalize/ginfo.scm 15 */
							{	/* Globalize/ginfo.scm 15 */
								obj_t BgL_arg2222z00_4245;

								{	/* Globalize/ginfo.scm 15 */

									{	/* Globalize/ginfo.scm 15 */
										obj_t BgL_locationz00_4247;

										BgL_locationz00_4247 = BBOOL(((bool_t) 0));
										{	/* Globalize/ginfo.scm 15 */

											BgL_arg2222z00_4245 =
												BGl_readz00zz__readerz00(BgL_cportz00_4242,
												BgL_locationz00_4247);
										}
									}
								}
								{	/* Globalize/ginfo.scm 15 */
									int BgL_tmpz00_4598;

									BgL_tmpz00_4598 = (int) (BgL_iz00_4243);
									CNST_TABLE_SET(BgL_tmpz00_4598, BgL_arg2222z00_4245);
							}}
							{	/* Globalize/ginfo.scm 15 */
								int BgL_auxz00_4248;

								BgL_auxz00_4248 = (int) ((BgL_iz00_4243 - 1L));
								{
									long BgL_iz00_4603;

									BgL_iz00_4603 = (long) (BgL_auxz00_4248);
									BgL_iz00_4243 = BgL_iz00_4603;
									goto BgL_loopz00_4244;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzglobaliza7e_ginfoza7(void)
	{
		{	/* Globalize/ginfo.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzglobaliza7e_ginfoza7(void)
	{
		{	/* Globalize/ginfo.scm 15 */
			return BUNSPEC;
		}

	}



/* make-sfun/Ginfo */
	BGL_EXPORTED_DEF BgL_sfunz00_bglt
		BGl_makezd2sfunzf2Ginfoz20zzglobaliza7e_ginfoza7(long BgL_arity1277z00_3,
		obj_t BgL_sidezd2effect1278zd2_4, obj_t BgL_predicatezd2of1279zd2_5,
		obj_t BgL_stackzd2allocator1280zd2_6, bool_t BgL_topzf31281zf3_7,
		obj_t BgL_thezd2closure1282zd2_8, obj_t BgL_effect1283z00_9,
		obj_t BgL_failsafe1284z00_10, obj_t BgL_argszd2noescape1285zd2_11,
		obj_t BgL_argszd2retescape1286zd2_12, obj_t BgL_property1287z00_13,
		obj_t BgL_args1288z00_14, obj_t BgL_argszd2name1289zd2_15,
		obj_t BgL_body1290z00_16, obj_t BgL_class1291z00_17,
		obj_t BgL_dssslzd2keywords1292zd2_18, obj_t BgL_loc1293z00_19,
		obj_t BgL_optionals1294z00_20, obj_t BgL_keys1295z00_21,
		obj_t BgL_thezd2closurezd2global1296z00_22, obj_t BgL_strength1297z00_23,
		obj_t BgL_stackable1298z00_24, bool_t BgL_gzf31299zf3_25,
		obj_t BgL_cfrom1300z00_26, obj_t BgL_cfromza21301za2_27,
		obj_t BgL_cto1302z00_28, obj_t BgL_ctoza21303za2_29,
		obj_t BgL_efunctions1304z00_30, obj_t BgL_integrator1305z00_31,
		obj_t BgL_imark1306z00_32, obj_t BgL_owner1307z00_33,
		obj_t BgL_integrated1308z00_34, obj_t BgL_pluggedzd2in1309zd2_35,
		long BgL_mark1310z00_36, obj_t BgL_freezd2mark1311zd2_37,
		obj_t BgL_thezd2global1312zd2_38, obj_t BgL_kaptured1313z00_39,
		obj_t BgL_newzd2body1314zd2_40, long BgL_bmark1315z00_41,
		long BgL_umark1316z00_42, obj_t BgL_free1317z00_43,
		obj_t BgL_bound1318z00_44)
	{
		{	/* Globalize/ginfo.sch 224 */
			{	/* Globalize/ginfo.sch 224 */
				BgL_sfunz00_bglt BgL_new1226z00_4253;

				{	/* Globalize/ginfo.sch 224 */
					BgL_sfunz00_bglt BgL_tmp1224z00_4254;
					BgL_sfunzf2ginfozf2_bglt BgL_wide1225z00_4255;

					{
						BgL_sfunz00_bglt BgL_auxz00_4606;

						{	/* Globalize/ginfo.sch 224 */
							BgL_sfunz00_bglt BgL_new1223z00_4256;

							BgL_new1223z00_4256 =
								((BgL_sfunz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_sfunz00_bgl))));
							{	/* Globalize/ginfo.sch 224 */
								long BgL_arg1403z00_4257;

								BgL_arg1403z00_4257 = BGL_CLASS_NUM(BGl_sfunz00zzast_varz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1223z00_4256),
									BgL_arg1403z00_4257);
							}
							{	/* Globalize/ginfo.sch 224 */
								BgL_objectz00_bglt BgL_tmpz00_4611;

								BgL_tmpz00_4611 = ((BgL_objectz00_bglt) BgL_new1223z00_4256);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4611, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1223z00_4256);
							BgL_auxz00_4606 = BgL_new1223z00_4256;
						}
						BgL_tmp1224z00_4254 = ((BgL_sfunz00_bglt) BgL_auxz00_4606);
					}
					BgL_wide1225z00_4255 =
						((BgL_sfunzf2ginfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_sfunzf2ginfozf2_bgl))));
					{	/* Globalize/ginfo.sch 224 */
						obj_t BgL_auxz00_4619;
						BgL_objectz00_bglt BgL_tmpz00_4617;

						BgL_auxz00_4619 = ((obj_t) BgL_wide1225z00_4255);
						BgL_tmpz00_4617 = ((BgL_objectz00_bglt) BgL_tmp1224z00_4254);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4617, BgL_auxz00_4619);
					}
					((BgL_objectz00_bglt) BgL_tmp1224z00_4254);
					{	/* Globalize/ginfo.sch 224 */
						long BgL_arg1402z00_4258;

						BgL_arg1402z00_4258 =
							BGL_CLASS_NUM(BGl_sfunzf2Ginfozf2zzglobaliza7e_ginfoza7);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1224z00_4254), BgL_arg1402z00_4258);
					}
					BgL_new1226z00_4253 = ((BgL_sfunz00_bglt) BgL_tmp1224z00_4254);
				}
				((((BgL_funz00_bglt) COBJECT(
								((BgL_funz00_bglt) BgL_new1226z00_4253)))->BgL_arityz00) =
					((long) BgL_arity1277z00_3), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) BgL_new1226z00_4253)))->
						BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1278zd2_4), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) BgL_new1226z00_4253)))->
						BgL_predicatezd2ofzd2) =
					((obj_t) BgL_predicatezd2of1279zd2_5), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) BgL_new1226z00_4253)))->
						BgL_stackzd2allocatorzd2) =
					((obj_t) BgL_stackzd2allocator1280zd2_6), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) BgL_new1226z00_4253)))->
						BgL_topzf3zf3) = ((bool_t) BgL_topzf31281zf3_7), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) BgL_new1226z00_4253)))->
						BgL_thezd2closurezd2) =
					((obj_t) BgL_thezd2closure1282zd2_8), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) BgL_new1226z00_4253)))->
						BgL_effectz00) = ((obj_t) BgL_effect1283z00_9), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) BgL_new1226z00_4253)))->
						BgL_failsafez00) = ((obj_t) BgL_failsafe1284z00_10), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) BgL_new1226z00_4253)))->
						BgL_argszd2noescapezd2) =
					((obj_t) BgL_argszd2noescape1285zd2_11), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) BgL_new1226z00_4253)))->
						BgL_argszd2retescapezd2) =
					((obj_t) BgL_argszd2retescape1286zd2_12), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
									BgL_new1226z00_4253)))->BgL_propertyz00) =
					((obj_t) BgL_property1287z00_13), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
									BgL_new1226z00_4253)))->BgL_argsz00) =
					((obj_t) BgL_args1288z00_14), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
									BgL_new1226z00_4253)))->BgL_argszd2namezd2) =
					((obj_t) BgL_argszd2name1289zd2_15), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
									BgL_new1226z00_4253)))->BgL_bodyz00) =
					((obj_t) BgL_body1290z00_16), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
									BgL_new1226z00_4253)))->BgL_classz00) =
					((obj_t) BgL_class1291z00_17), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
									BgL_new1226z00_4253)))->BgL_dssslzd2keywordszd2) =
					((obj_t) BgL_dssslzd2keywords1292zd2_18), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
									BgL_new1226z00_4253)))->BgL_locz00) =
					((obj_t) BgL_loc1293z00_19), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
									BgL_new1226z00_4253)))->BgL_optionalsz00) =
					((obj_t) BgL_optionals1294z00_20), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
									BgL_new1226z00_4253)))->BgL_keysz00) =
					((obj_t) BgL_keys1295z00_21), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
									BgL_new1226z00_4253)))->BgL_thezd2closurezd2globalz00) =
					((obj_t) BgL_thezd2closurezd2global1296z00_22), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
									BgL_new1226z00_4253)))->BgL_strengthz00) =
					((obj_t) BgL_strength1297z00_23), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
									BgL_new1226z00_4253)))->BgL_stackablez00) =
					((obj_t) BgL_stackable1298z00_24), BUNSPEC);
				{
					BgL_sfunzf2ginfozf2_bglt BgL_auxz00_4671;

					{
						obj_t BgL_auxz00_4672;

						{	/* Globalize/ginfo.sch 224 */
							BgL_objectz00_bglt BgL_tmpz00_4673;

							BgL_tmpz00_4673 = ((BgL_objectz00_bglt) BgL_new1226z00_4253);
							BgL_auxz00_4672 = BGL_OBJECT_WIDENING(BgL_tmpz00_4673);
						}
						BgL_auxz00_4671 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_4672);
					}
					((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_4671))->
							BgL_gzf3zf3) = ((bool_t) BgL_gzf31299zf3_25), BUNSPEC);
				}
				{
					BgL_sfunzf2ginfozf2_bglt BgL_auxz00_4678;

					{
						obj_t BgL_auxz00_4679;

						{	/* Globalize/ginfo.sch 224 */
							BgL_objectz00_bglt BgL_tmpz00_4680;

							BgL_tmpz00_4680 = ((BgL_objectz00_bglt) BgL_new1226z00_4253);
							BgL_auxz00_4679 = BGL_OBJECT_WIDENING(BgL_tmpz00_4680);
						}
						BgL_auxz00_4678 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_4679);
					}
					((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_4678))->
							BgL_cfromz00) = ((obj_t) BgL_cfrom1300z00_26), BUNSPEC);
				}
				{
					BgL_sfunzf2ginfozf2_bglt BgL_auxz00_4685;

					{
						obj_t BgL_auxz00_4686;

						{	/* Globalize/ginfo.sch 224 */
							BgL_objectz00_bglt BgL_tmpz00_4687;

							BgL_tmpz00_4687 = ((BgL_objectz00_bglt) BgL_new1226z00_4253);
							BgL_auxz00_4686 = BGL_OBJECT_WIDENING(BgL_tmpz00_4687);
						}
						BgL_auxz00_4685 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_4686);
					}
					((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_4685))->
							BgL_cfromza2za2) = ((obj_t) BgL_cfromza21301za2_27), BUNSPEC);
				}
				{
					BgL_sfunzf2ginfozf2_bglt BgL_auxz00_4692;

					{
						obj_t BgL_auxz00_4693;

						{	/* Globalize/ginfo.sch 224 */
							BgL_objectz00_bglt BgL_tmpz00_4694;

							BgL_tmpz00_4694 = ((BgL_objectz00_bglt) BgL_new1226z00_4253);
							BgL_auxz00_4693 = BGL_OBJECT_WIDENING(BgL_tmpz00_4694);
						}
						BgL_auxz00_4692 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_4693);
					}
					((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_4692))->BgL_ctoz00) =
						((obj_t) BgL_cto1302z00_28), BUNSPEC);
				}
				{
					BgL_sfunzf2ginfozf2_bglt BgL_auxz00_4699;

					{
						obj_t BgL_auxz00_4700;

						{	/* Globalize/ginfo.sch 224 */
							BgL_objectz00_bglt BgL_tmpz00_4701;

							BgL_tmpz00_4701 = ((BgL_objectz00_bglt) BgL_new1226z00_4253);
							BgL_auxz00_4700 = BGL_OBJECT_WIDENING(BgL_tmpz00_4701);
						}
						BgL_auxz00_4699 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_4700);
					}
					((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_4699))->
							BgL_ctoza2za2) = ((obj_t) BgL_ctoza21303za2_29), BUNSPEC);
				}
				{
					BgL_sfunzf2ginfozf2_bglt BgL_auxz00_4706;

					{
						obj_t BgL_auxz00_4707;

						{	/* Globalize/ginfo.sch 224 */
							BgL_objectz00_bglt BgL_tmpz00_4708;

							BgL_tmpz00_4708 = ((BgL_objectz00_bglt) BgL_new1226z00_4253);
							BgL_auxz00_4707 = BGL_OBJECT_WIDENING(BgL_tmpz00_4708);
						}
						BgL_auxz00_4706 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_4707);
					}
					((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_4706))->
							BgL_efunctionsz00) = ((obj_t) BgL_efunctions1304z00_30), BUNSPEC);
				}
				{
					BgL_sfunzf2ginfozf2_bglt BgL_auxz00_4713;

					{
						obj_t BgL_auxz00_4714;

						{	/* Globalize/ginfo.sch 224 */
							BgL_objectz00_bglt BgL_tmpz00_4715;

							BgL_tmpz00_4715 = ((BgL_objectz00_bglt) BgL_new1226z00_4253);
							BgL_auxz00_4714 = BGL_OBJECT_WIDENING(BgL_tmpz00_4715);
						}
						BgL_auxz00_4713 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_4714);
					}
					((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_4713))->
							BgL_integratorz00) = ((obj_t) BgL_integrator1305z00_31), BUNSPEC);
				}
				{
					BgL_sfunzf2ginfozf2_bglt BgL_auxz00_4720;

					{
						obj_t BgL_auxz00_4721;

						{	/* Globalize/ginfo.sch 224 */
							BgL_objectz00_bglt BgL_tmpz00_4722;

							BgL_tmpz00_4722 = ((BgL_objectz00_bglt) BgL_new1226z00_4253);
							BgL_auxz00_4721 = BGL_OBJECT_WIDENING(BgL_tmpz00_4722);
						}
						BgL_auxz00_4720 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_4721);
					}
					((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_4720))->
							BgL_imarkz00) = ((obj_t) BgL_imark1306z00_32), BUNSPEC);
				}
				{
					BgL_sfunzf2ginfozf2_bglt BgL_auxz00_4727;

					{
						obj_t BgL_auxz00_4728;

						{	/* Globalize/ginfo.sch 224 */
							BgL_objectz00_bglt BgL_tmpz00_4729;

							BgL_tmpz00_4729 = ((BgL_objectz00_bglt) BgL_new1226z00_4253);
							BgL_auxz00_4728 = BGL_OBJECT_WIDENING(BgL_tmpz00_4729);
						}
						BgL_auxz00_4727 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_4728);
					}
					((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_4727))->
							BgL_ownerz00) = ((obj_t) BgL_owner1307z00_33), BUNSPEC);
				}
				{
					BgL_sfunzf2ginfozf2_bglt BgL_auxz00_4734;

					{
						obj_t BgL_auxz00_4735;

						{	/* Globalize/ginfo.sch 224 */
							BgL_objectz00_bglt BgL_tmpz00_4736;

							BgL_tmpz00_4736 = ((BgL_objectz00_bglt) BgL_new1226z00_4253);
							BgL_auxz00_4735 = BGL_OBJECT_WIDENING(BgL_tmpz00_4736);
						}
						BgL_auxz00_4734 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_4735);
					}
					((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_4734))->
							BgL_integratedz00) = ((obj_t) BgL_integrated1308z00_34), BUNSPEC);
				}
				{
					BgL_sfunzf2ginfozf2_bglt BgL_auxz00_4741;

					{
						obj_t BgL_auxz00_4742;

						{	/* Globalize/ginfo.sch 224 */
							BgL_objectz00_bglt BgL_tmpz00_4743;

							BgL_tmpz00_4743 = ((BgL_objectz00_bglt) BgL_new1226z00_4253);
							BgL_auxz00_4742 = BGL_OBJECT_WIDENING(BgL_tmpz00_4743);
						}
						BgL_auxz00_4741 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_4742);
					}
					((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_4741))->
							BgL_pluggedzd2inzd2) =
						((obj_t) BgL_pluggedzd2in1309zd2_35), BUNSPEC);
				}
				{
					BgL_sfunzf2ginfozf2_bglt BgL_auxz00_4748;

					{
						obj_t BgL_auxz00_4749;

						{	/* Globalize/ginfo.sch 224 */
							BgL_objectz00_bglt BgL_tmpz00_4750;

							BgL_tmpz00_4750 = ((BgL_objectz00_bglt) BgL_new1226z00_4253);
							BgL_auxz00_4749 = BGL_OBJECT_WIDENING(BgL_tmpz00_4750);
						}
						BgL_auxz00_4748 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_4749);
					}
					((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_4748))->
							BgL_markz00) = ((long) BgL_mark1310z00_36), BUNSPEC);
				}
				{
					BgL_sfunzf2ginfozf2_bglt BgL_auxz00_4755;

					{
						obj_t BgL_auxz00_4756;

						{	/* Globalize/ginfo.sch 224 */
							BgL_objectz00_bglt BgL_tmpz00_4757;

							BgL_tmpz00_4757 = ((BgL_objectz00_bglt) BgL_new1226z00_4253);
							BgL_auxz00_4756 = BGL_OBJECT_WIDENING(BgL_tmpz00_4757);
						}
						BgL_auxz00_4755 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_4756);
					}
					((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_4755))->
							BgL_freezd2markzd2) =
						((obj_t) BgL_freezd2mark1311zd2_37), BUNSPEC);
				}
				{
					BgL_sfunzf2ginfozf2_bglt BgL_auxz00_4762;

					{
						obj_t BgL_auxz00_4763;

						{	/* Globalize/ginfo.sch 224 */
							BgL_objectz00_bglt BgL_tmpz00_4764;

							BgL_tmpz00_4764 = ((BgL_objectz00_bglt) BgL_new1226z00_4253);
							BgL_auxz00_4763 = BGL_OBJECT_WIDENING(BgL_tmpz00_4764);
						}
						BgL_auxz00_4762 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_4763);
					}
					((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_4762))->
							BgL_thezd2globalzd2) =
						((obj_t) BgL_thezd2global1312zd2_38), BUNSPEC);
				}
				{
					BgL_sfunzf2ginfozf2_bglt BgL_auxz00_4769;

					{
						obj_t BgL_auxz00_4770;

						{	/* Globalize/ginfo.sch 224 */
							BgL_objectz00_bglt BgL_tmpz00_4771;

							BgL_tmpz00_4771 = ((BgL_objectz00_bglt) BgL_new1226z00_4253);
							BgL_auxz00_4770 = BGL_OBJECT_WIDENING(BgL_tmpz00_4771);
						}
						BgL_auxz00_4769 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_4770);
					}
					((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_4769))->
							BgL_kapturedz00) = ((obj_t) BgL_kaptured1313z00_39), BUNSPEC);
				}
				{
					BgL_sfunzf2ginfozf2_bglt BgL_auxz00_4776;

					{
						obj_t BgL_auxz00_4777;

						{	/* Globalize/ginfo.sch 224 */
							BgL_objectz00_bglt BgL_tmpz00_4778;

							BgL_tmpz00_4778 = ((BgL_objectz00_bglt) BgL_new1226z00_4253);
							BgL_auxz00_4777 = BGL_OBJECT_WIDENING(BgL_tmpz00_4778);
						}
						BgL_auxz00_4776 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_4777);
					}
					((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_4776))->
							BgL_newzd2bodyzd2) = ((obj_t) BgL_newzd2body1314zd2_40), BUNSPEC);
				}
				{
					BgL_sfunzf2ginfozf2_bglt BgL_auxz00_4783;

					{
						obj_t BgL_auxz00_4784;

						{	/* Globalize/ginfo.sch 224 */
							BgL_objectz00_bglt BgL_tmpz00_4785;

							BgL_tmpz00_4785 = ((BgL_objectz00_bglt) BgL_new1226z00_4253);
							BgL_auxz00_4784 = BGL_OBJECT_WIDENING(BgL_tmpz00_4785);
						}
						BgL_auxz00_4783 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_4784);
					}
					((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_4783))->
							BgL_bmarkz00) = ((long) BgL_bmark1315z00_41), BUNSPEC);
				}
				{
					BgL_sfunzf2ginfozf2_bglt BgL_auxz00_4790;

					{
						obj_t BgL_auxz00_4791;

						{	/* Globalize/ginfo.sch 224 */
							BgL_objectz00_bglt BgL_tmpz00_4792;

							BgL_tmpz00_4792 = ((BgL_objectz00_bglt) BgL_new1226z00_4253);
							BgL_auxz00_4791 = BGL_OBJECT_WIDENING(BgL_tmpz00_4792);
						}
						BgL_auxz00_4790 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_4791);
					}
					((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_4790))->
							BgL_umarkz00) = ((long) BgL_umark1316z00_42), BUNSPEC);
				}
				{
					BgL_sfunzf2ginfozf2_bglt BgL_auxz00_4797;

					{
						obj_t BgL_auxz00_4798;

						{	/* Globalize/ginfo.sch 224 */
							BgL_objectz00_bglt BgL_tmpz00_4799;

							BgL_tmpz00_4799 = ((BgL_objectz00_bglt) BgL_new1226z00_4253);
							BgL_auxz00_4798 = BGL_OBJECT_WIDENING(BgL_tmpz00_4799);
						}
						BgL_auxz00_4797 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_4798);
					}
					((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_4797))->
							BgL_freez00) = ((obj_t) BgL_free1317z00_43), BUNSPEC);
				}
				{
					BgL_sfunzf2ginfozf2_bglt BgL_auxz00_4804;

					{
						obj_t BgL_auxz00_4805;

						{	/* Globalize/ginfo.sch 224 */
							BgL_objectz00_bglt BgL_tmpz00_4806;

							BgL_tmpz00_4806 = ((BgL_objectz00_bglt) BgL_new1226z00_4253);
							BgL_auxz00_4805 = BGL_OBJECT_WIDENING(BgL_tmpz00_4806);
						}
						BgL_auxz00_4804 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_4805);
					}
					((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_4804))->
							BgL_boundz00) = ((obj_t) BgL_bound1318z00_44), BUNSPEC);
				}
				return BgL_new1226z00_4253;
			}
		}

	}



/* &make-sfun/Ginfo */
	BgL_sfunz00_bglt BGl_z62makezd2sfunzf2Ginfoz42zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3254, obj_t BgL_arity1277z00_3255,
		obj_t BgL_sidezd2effect1278zd2_3256, obj_t BgL_predicatezd2of1279zd2_3257,
		obj_t BgL_stackzd2allocator1280zd2_3258, obj_t BgL_topzf31281zf3_3259,
		obj_t BgL_thezd2closure1282zd2_3260, obj_t BgL_effect1283z00_3261,
		obj_t BgL_failsafe1284z00_3262, obj_t BgL_argszd2noescape1285zd2_3263,
		obj_t BgL_argszd2retescape1286zd2_3264, obj_t BgL_property1287z00_3265,
		obj_t BgL_args1288z00_3266, obj_t BgL_argszd2name1289zd2_3267,
		obj_t BgL_body1290z00_3268, obj_t BgL_class1291z00_3269,
		obj_t BgL_dssslzd2keywords1292zd2_3270, obj_t BgL_loc1293z00_3271,
		obj_t BgL_optionals1294z00_3272, obj_t BgL_keys1295z00_3273,
		obj_t BgL_thezd2closurezd2global1296z00_3274,
		obj_t BgL_strength1297z00_3275, obj_t BgL_stackable1298z00_3276,
		obj_t BgL_gzf31299zf3_3277, obj_t BgL_cfrom1300z00_3278,
		obj_t BgL_cfromza21301za2_3279, obj_t BgL_cto1302z00_3280,
		obj_t BgL_ctoza21303za2_3281, obj_t BgL_efunctions1304z00_3282,
		obj_t BgL_integrator1305z00_3283, obj_t BgL_imark1306z00_3284,
		obj_t BgL_owner1307z00_3285, obj_t BgL_integrated1308z00_3286,
		obj_t BgL_pluggedzd2in1309zd2_3287, obj_t BgL_mark1310z00_3288,
		obj_t BgL_freezd2mark1311zd2_3289, obj_t BgL_thezd2global1312zd2_3290,
		obj_t BgL_kaptured1313z00_3291, obj_t BgL_newzd2body1314zd2_3292,
		obj_t BgL_bmark1315z00_3293, obj_t BgL_umark1316z00_3294,
		obj_t BgL_free1317z00_3295, obj_t BgL_bound1318z00_3296)
	{
		{	/* Globalize/ginfo.sch 224 */
			return
				BGl_makezd2sfunzf2Ginfoz20zzglobaliza7e_ginfoza7(
				(long) CINT(BgL_arity1277z00_3255), BgL_sidezd2effect1278zd2_3256,
				BgL_predicatezd2of1279zd2_3257, BgL_stackzd2allocator1280zd2_3258,
				CBOOL(BgL_topzf31281zf3_3259), BgL_thezd2closure1282zd2_3260,
				BgL_effect1283z00_3261, BgL_failsafe1284z00_3262,
				BgL_argszd2noescape1285zd2_3263, BgL_argszd2retescape1286zd2_3264,
				BgL_property1287z00_3265, BgL_args1288z00_3266,
				BgL_argszd2name1289zd2_3267, BgL_body1290z00_3268,
				BgL_class1291z00_3269, BgL_dssslzd2keywords1292zd2_3270,
				BgL_loc1293z00_3271, BgL_optionals1294z00_3272, BgL_keys1295z00_3273,
				BgL_thezd2closurezd2global1296z00_3274, BgL_strength1297z00_3275,
				BgL_stackable1298z00_3276, CBOOL(BgL_gzf31299zf3_3277),
				BgL_cfrom1300z00_3278, BgL_cfromza21301za2_3279, BgL_cto1302z00_3280,
				BgL_ctoza21303za2_3281, BgL_efunctions1304z00_3282,
				BgL_integrator1305z00_3283, BgL_imark1306z00_3284,
				BgL_owner1307z00_3285, BgL_integrated1308z00_3286,
				BgL_pluggedzd2in1309zd2_3287, (long) CINT(BgL_mark1310z00_3288),
				BgL_freezd2mark1311zd2_3289, BgL_thezd2global1312zd2_3290,
				BgL_kaptured1313z00_3291, BgL_newzd2body1314zd2_3292,
				(long) CINT(BgL_bmark1315z00_3293), (long) CINT(BgL_umark1316z00_3294),
				BgL_free1317z00_3295, BgL_bound1318z00_3296);
		}

	}



/* sfun/Ginfo? */
	BGL_EXPORTED_DEF bool_t BGl_sfunzf2Ginfozf3z01zzglobaliza7e_ginfoza7(obj_t
		BgL_objz00_45)
	{
		{	/* Globalize/ginfo.sch 225 */
			{	/* Globalize/ginfo.sch 225 */
				obj_t BgL_classz00_4259;

				BgL_classz00_4259 = BGl_sfunzf2Ginfozf2zzglobaliza7e_ginfoza7;
				if (BGL_OBJECTP(BgL_objz00_45))
					{	/* Globalize/ginfo.sch 225 */
						BgL_objectz00_bglt BgL_arg1858z00_4260;

						BgL_arg1858z00_4260 = (BgL_objectz00_bglt) (BgL_objz00_45);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Globalize/ginfo.sch 225 */
								long BgL_idxz00_4261;

								BgL_idxz00_4261 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_4260);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_4261 + 4L)) == BgL_classz00_4259);
							}
						else
							{	/* Globalize/ginfo.sch 225 */
								bool_t BgL_res2095z00_4264;

								{	/* Globalize/ginfo.sch 225 */
									obj_t BgL_oclassz00_4265;

									{	/* Globalize/ginfo.sch 225 */
										obj_t BgL_arg1866z00_4266;
										long BgL_arg1867z00_4267;

										BgL_arg1866z00_4266 = (BGl_za2classesza2z00zz__objectz00);
										{	/* Globalize/ginfo.sch 225 */
											long BgL_arg1869z00_4268;

											BgL_arg1869z00_4268 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_4260);
											BgL_arg1867z00_4267 = (BgL_arg1869z00_4268 - OBJECT_TYPE);
										}
										BgL_oclassz00_4265 =
											VECTOR_REF(BgL_arg1866z00_4266, BgL_arg1867z00_4267);
									}
									{	/* Globalize/ginfo.sch 225 */
										bool_t BgL__ortest_1115z00_4269;

										BgL__ortest_1115z00_4269 =
											(BgL_classz00_4259 == BgL_oclassz00_4265);
										if (BgL__ortest_1115z00_4269)
											{	/* Globalize/ginfo.sch 225 */
												BgL_res2095z00_4264 = BgL__ortest_1115z00_4269;
											}
										else
											{	/* Globalize/ginfo.sch 225 */
												long BgL_odepthz00_4270;

												{	/* Globalize/ginfo.sch 225 */
													obj_t BgL_arg1855z00_4271;

													BgL_arg1855z00_4271 = (BgL_oclassz00_4265);
													BgL_odepthz00_4270 =
														BGL_CLASS_DEPTH(BgL_arg1855z00_4271);
												}
												if ((4L < BgL_odepthz00_4270))
													{	/* Globalize/ginfo.sch 225 */
														obj_t BgL_arg1853z00_4272;

														{	/* Globalize/ginfo.sch 225 */
															obj_t BgL_arg1854z00_4273;

															BgL_arg1854z00_4273 = (BgL_oclassz00_4265);
															BgL_arg1853z00_4272 =
																BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_4273,
																4L);
														}
														BgL_res2095z00_4264 =
															(BgL_arg1853z00_4272 == BgL_classz00_4259);
													}
												else
													{	/* Globalize/ginfo.sch 225 */
														BgL_res2095z00_4264 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res2095z00_4264;
							}
					}
				else
					{	/* Globalize/ginfo.sch 225 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &sfun/Ginfo? */
	obj_t BGl_z62sfunzf2Ginfozf3z63zzglobaliza7e_ginfoza7(obj_t BgL_envz00_3297,
		obj_t BgL_objz00_3298)
	{
		{	/* Globalize/ginfo.sch 225 */
			return
				BBOOL(BGl_sfunzf2Ginfozf3z01zzglobaliza7e_ginfoza7(BgL_objz00_3298));
		}

	}



/* sfun/Ginfo-nil */
	BGL_EXPORTED_DEF BgL_sfunz00_bglt
		BGl_sfunzf2Ginfozd2nilz20zzglobaliza7e_ginfoza7(void)
	{
		{	/* Globalize/ginfo.sch 226 */
			{	/* Globalize/ginfo.sch 226 */
				obj_t BgL_classz00_2663;

				BgL_classz00_2663 = BGl_sfunzf2Ginfozf2zzglobaliza7e_ginfoza7;
				{	/* Globalize/ginfo.sch 226 */
					obj_t BgL__ortest_1117z00_2664;

					BgL__ortest_1117z00_2664 = BGL_CLASS_NIL(BgL_classz00_2663);
					if (CBOOL(BgL__ortest_1117z00_2664))
						{	/* Globalize/ginfo.sch 226 */
							return ((BgL_sfunz00_bglt) BgL__ortest_1117z00_2664);
						}
					else
						{	/* Globalize/ginfo.sch 226 */
							return
								((BgL_sfunz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2663));
						}
				}
			}
		}

	}



/* &sfun/Ginfo-nil */
	BgL_sfunz00_bglt BGl_z62sfunzf2Ginfozd2nilz42zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3299)
	{
		{	/* Globalize/ginfo.sch 226 */
			return BGl_sfunzf2Ginfozd2nilz20zzglobaliza7e_ginfoza7();
		}

	}



/* sfun/Ginfo-bound */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Ginfozd2boundz20zzglobaliza7e_ginfoza7(BgL_sfunz00_bglt
		BgL_oz00_46)
	{
		{	/* Globalize/ginfo.sch 227 */
			{
				BgL_sfunzf2ginfozf2_bglt BgL_auxz00_4849;

				{
					obj_t BgL_auxz00_4850;

					{	/* Globalize/ginfo.sch 227 */
						BgL_objectz00_bglt BgL_tmpz00_4851;

						BgL_tmpz00_4851 = ((BgL_objectz00_bglt) BgL_oz00_46);
						BgL_auxz00_4850 = BGL_OBJECT_WIDENING(BgL_tmpz00_4851);
					}
					BgL_auxz00_4849 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_4850);
				}
				return
					(((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_4849))->BgL_boundz00);
			}
		}

	}



/* &sfun/Ginfo-bound */
	obj_t BGl_z62sfunzf2Ginfozd2boundz42zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3300, obj_t BgL_oz00_3301)
	{
		{	/* Globalize/ginfo.sch 227 */
			return
				BGl_sfunzf2Ginfozd2boundz20zzglobaliza7e_ginfoza7(
				((BgL_sfunz00_bglt) BgL_oz00_3301));
		}

	}



/* sfun/Ginfo-bound-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Ginfozd2boundzd2setz12ze0zzglobaliza7e_ginfoza7(BgL_sfunz00_bglt
		BgL_oz00_47, obj_t BgL_vz00_48)
	{
		{	/* Globalize/ginfo.sch 228 */
			{
				BgL_sfunzf2ginfozf2_bglt BgL_auxz00_4858;

				{
					obj_t BgL_auxz00_4859;

					{	/* Globalize/ginfo.sch 228 */
						BgL_objectz00_bglt BgL_tmpz00_4860;

						BgL_tmpz00_4860 = ((BgL_objectz00_bglt) BgL_oz00_47);
						BgL_auxz00_4859 = BGL_OBJECT_WIDENING(BgL_tmpz00_4860);
					}
					BgL_auxz00_4858 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_4859);
				}
				return
					((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_4858))->
						BgL_boundz00) = ((obj_t) BgL_vz00_48), BUNSPEC);
			}
		}

	}



/* &sfun/Ginfo-bound-set! */
	obj_t BGl_z62sfunzf2Ginfozd2boundzd2setz12z82zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3302, obj_t BgL_oz00_3303, obj_t BgL_vz00_3304)
	{
		{	/* Globalize/ginfo.sch 228 */
			return
				BGl_sfunzf2Ginfozd2boundzd2setz12ze0zzglobaliza7e_ginfoza7(
				((BgL_sfunz00_bglt) BgL_oz00_3303), BgL_vz00_3304);
		}

	}



/* sfun/Ginfo-free */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Ginfozd2freez20zzglobaliza7e_ginfoza7(BgL_sfunz00_bglt
		BgL_oz00_49)
	{
		{	/* Globalize/ginfo.sch 229 */
			{
				BgL_sfunzf2ginfozf2_bglt BgL_auxz00_4867;

				{
					obj_t BgL_auxz00_4868;

					{	/* Globalize/ginfo.sch 229 */
						BgL_objectz00_bglt BgL_tmpz00_4869;

						BgL_tmpz00_4869 = ((BgL_objectz00_bglt) BgL_oz00_49);
						BgL_auxz00_4868 = BGL_OBJECT_WIDENING(BgL_tmpz00_4869);
					}
					BgL_auxz00_4867 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_4868);
				}
				return
					(((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_4867))->BgL_freez00);
			}
		}

	}



/* &sfun/Ginfo-free */
	obj_t BGl_z62sfunzf2Ginfozd2freez42zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3305, obj_t BgL_oz00_3306)
	{
		{	/* Globalize/ginfo.sch 229 */
			return
				BGl_sfunzf2Ginfozd2freez20zzglobaliza7e_ginfoza7(
				((BgL_sfunz00_bglt) BgL_oz00_3306));
		}

	}



/* sfun/Ginfo-free-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Ginfozd2freezd2setz12ze0zzglobaliza7e_ginfoza7(BgL_sfunz00_bglt
		BgL_oz00_50, obj_t BgL_vz00_51)
	{
		{	/* Globalize/ginfo.sch 230 */
			{
				BgL_sfunzf2ginfozf2_bglt BgL_auxz00_4876;

				{
					obj_t BgL_auxz00_4877;

					{	/* Globalize/ginfo.sch 230 */
						BgL_objectz00_bglt BgL_tmpz00_4878;

						BgL_tmpz00_4878 = ((BgL_objectz00_bglt) BgL_oz00_50);
						BgL_auxz00_4877 = BGL_OBJECT_WIDENING(BgL_tmpz00_4878);
					}
					BgL_auxz00_4876 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_4877);
				}
				return
					((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_4876))->
						BgL_freez00) = ((obj_t) BgL_vz00_51), BUNSPEC);
			}
		}

	}



/* &sfun/Ginfo-free-set! */
	obj_t BGl_z62sfunzf2Ginfozd2freezd2setz12z82zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3307, obj_t BgL_oz00_3308, obj_t BgL_vz00_3309)
	{
		{	/* Globalize/ginfo.sch 230 */
			return
				BGl_sfunzf2Ginfozd2freezd2setz12ze0zzglobaliza7e_ginfoza7(
				((BgL_sfunz00_bglt) BgL_oz00_3308), BgL_vz00_3309);
		}

	}



/* sfun/Ginfo-umark */
	BGL_EXPORTED_DEF long
		BGl_sfunzf2Ginfozd2umarkz20zzglobaliza7e_ginfoza7(BgL_sfunz00_bglt
		BgL_oz00_52)
	{
		{	/* Globalize/ginfo.sch 231 */
			{
				BgL_sfunzf2ginfozf2_bglt BgL_auxz00_4885;

				{
					obj_t BgL_auxz00_4886;

					{	/* Globalize/ginfo.sch 231 */
						BgL_objectz00_bglt BgL_tmpz00_4887;

						BgL_tmpz00_4887 = ((BgL_objectz00_bglt) BgL_oz00_52);
						BgL_auxz00_4886 = BGL_OBJECT_WIDENING(BgL_tmpz00_4887);
					}
					BgL_auxz00_4885 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_4886);
				}
				return
					(((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_4885))->BgL_umarkz00);
			}
		}

	}



/* &sfun/Ginfo-umark */
	obj_t BGl_z62sfunzf2Ginfozd2umarkz42zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3310, obj_t BgL_oz00_3311)
	{
		{	/* Globalize/ginfo.sch 231 */
			return
				BINT(BGl_sfunzf2Ginfozd2umarkz20zzglobaliza7e_ginfoza7(
					((BgL_sfunz00_bglt) BgL_oz00_3311)));
		}

	}



/* sfun/Ginfo-umark-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Ginfozd2umarkzd2setz12ze0zzglobaliza7e_ginfoza7(BgL_sfunz00_bglt
		BgL_oz00_53, long BgL_vz00_54)
	{
		{	/* Globalize/ginfo.sch 232 */
			{
				BgL_sfunzf2ginfozf2_bglt BgL_auxz00_4895;

				{
					obj_t BgL_auxz00_4896;

					{	/* Globalize/ginfo.sch 232 */
						BgL_objectz00_bglt BgL_tmpz00_4897;

						BgL_tmpz00_4897 = ((BgL_objectz00_bglt) BgL_oz00_53);
						BgL_auxz00_4896 = BGL_OBJECT_WIDENING(BgL_tmpz00_4897);
					}
					BgL_auxz00_4895 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_4896);
				}
				return
					((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_4895))->
						BgL_umarkz00) = ((long) BgL_vz00_54), BUNSPEC);
		}}

	}



/* &sfun/Ginfo-umark-set! */
	obj_t BGl_z62sfunzf2Ginfozd2umarkzd2setz12z82zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3312, obj_t BgL_oz00_3313, obj_t BgL_vz00_3314)
	{
		{	/* Globalize/ginfo.sch 232 */
			return
				BGl_sfunzf2Ginfozd2umarkzd2setz12ze0zzglobaliza7e_ginfoza7(
				((BgL_sfunz00_bglt) BgL_oz00_3313), (long) CINT(BgL_vz00_3314));
		}

	}



/* sfun/Ginfo-bmark */
	BGL_EXPORTED_DEF long
		BGl_sfunzf2Ginfozd2bmarkz20zzglobaliza7e_ginfoza7(BgL_sfunz00_bglt
		BgL_oz00_55)
	{
		{	/* Globalize/ginfo.sch 233 */
			{
				BgL_sfunzf2ginfozf2_bglt BgL_auxz00_4905;

				{
					obj_t BgL_auxz00_4906;

					{	/* Globalize/ginfo.sch 233 */
						BgL_objectz00_bglt BgL_tmpz00_4907;

						BgL_tmpz00_4907 = ((BgL_objectz00_bglt) BgL_oz00_55);
						BgL_auxz00_4906 = BGL_OBJECT_WIDENING(BgL_tmpz00_4907);
					}
					BgL_auxz00_4905 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_4906);
				}
				return
					(((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_4905))->BgL_bmarkz00);
			}
		}

	}



/* &sfun/Ginfo-bmark */
	obj_t BGl_z62sfunzf2Ginfozd2bmarkz42zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3315, obj_t BgL_oz00_3316)
	{
		{	/* Globalize/ginfo.sch 233 */
			return
				BINT(BGl_sfunzf2Ginfozd2bmarkz20zzglobaliza7e_ginfoza7(
					((BgL_sfunz00_bglt) BgL_oz00_3316)));
		}

	}



/* sfun/Ginfo-bmark-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Ginfozd2bmarkzd2setz12ze0zzglobaliza7e_ginfoza7(BgL_sfunz00_bglt
		BgL_oz00_56, long BgL_vz00_57)
	{
		{	/* Globalize/ginfo.sch 234 */
			{
				BgL_sfunzf2ginfozf2_bglt BgL_auxz00_4915;

				{
					obj_t BgL_auxz00_4916;

					{	/* Globalize/ginfo.sch 234 */
						BgL_objectz00_bglt BgL_tmpz00_4917;

						BgL_tmpz00_4917 = ((BgL_objectz00_bglt) BgL_oz00_56);
						BgL_auxz00_4916 = BGL_OBJECT_WIDENING(BgL_tmpz00_4917);
					}
					BgL_auxz00_4915 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_4916);
				}
				return
					((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_4915))->
						BgL_bmarkz00) = ((long) BgL_vz00_57), BUNSPEC);
		}}

	}



/* &sfun/Ginfo-bmark-set! */
	obj_t BGl_z62sfunzf2Ginfozd2bmarkzd2setz12z82zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3317, obj_t BgL_oz00_3318, obj_t BgL_vz00_3319)
	{
		{	/* Globalize/ginfo.sch 234 */
			return
				BGl_sfunzf2Ginfozd2bmarkzd2setz12ze0zzglobaliza7e_ginfoza7(
				((BgL_sfunz00_bglt) BgL_oz00_3318), (long) CINT(BgL_vz00_3319));
		}

	}



/* sfun/Ginfo-new-body */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Ginfozd2newzd2bodyzf2zzglobaliza7e_ginfoza7(BgL_sfunz00_bglt
		BgL_oz00_58)
	{
		{	/* Globalize/ginfo.sch 235 */
			{
				BgL_sfunzf2ginfozf2_bglt BgL_auxz00_4925;

				{
					obj_t BgL_auxz00_4926;

					{	/* Globalize/ginfo.sch 235 */
						BgL_objectz00_bglt BgL_tmpz00_4927;

						BgL_tmpz00_4927 = ((BgL_objectz00_bglt) BgL_oz00_58);
						BgL_auxz00_4926 = BGL_OBJECT_WIDENING(BgL_tmpz00_4927);
					}
					BgL_auxz00_4925 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_4926);
				}
				return
					(((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_4925))->
					BgL_newzd2bodyzd2);
			}
		}

	}



/* &sfun/Ginfo-new-body */
	obj_t BGl_z62sfunzf2Ginfozd2newzd2bodyz90zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3320, obj_t BgL_oz00_3321)
	{
		{	/* Globalize/ginfo.sch 235 */
			return
				BGl_sfunzf2Ginfozd2newzd2bodyzf2zzglobaliza7e_ginfoza7(
				((BgL_sfunz00_bglt) BgL_oz00_3321));
		}

	}



/* sfun/Ginfo-new-body-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Ginfozd2newzd2bodyzd2setz12z32zzglobaliza7e_ginfoza7
		(BgL_sfunz00_bglt BgL_oz00_59, obj_t BgL_vz00_60)
	{
		{	/* Globalize/ginfo.sch 236 */
			{
				BgL_sfunzf2ginfozf2_bglt BgL_auxz00_4934;

				{
					obj_t BgL_auxz00_4935;

					{	/* Globalize/ginfo.sch 236 */
						BgL_objectz00_bglt BgL_tmpz00_4936;

						BgL_tmpz00_4936 = ((BgL_objectz00_bglt) BgL_oz00_59);
						BgL_auxz00_4935 = BGL_OBJECT_WIDENING(BgL_tmpz00_4936);
					}
					BgL_auxz00_4934 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_4935);
				}
				return
					((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_4934))->
						BgL_newzd2bodyzd2) = ((obj_t) BgL_vz00_60), BUNSPEC);
			}
		}

	}



/* &sfun/Ginfo-new-body-set! */
	obj_t BGl_z62sfunzf2Ginfozd2newzd2bodyzd2setz12z50zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3322, obj_t BgL_oz00_3323, obj_t BgL_vz00_3324)
	{
		{	/* Globalize/ginfo.sch 236 */
			return
				BGl_sfunzf2Ginfozd2newzd2bodyzd2setz12z32zzglobaliza7e_ginfoza7(
				((BgL_sfunz00_bglt) BgL_oz00_3323), BgL_vz00_3324);
		}

	}



/* sfun/Ginfo-kaptured */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Ginfozd2kapturedz20zzglobaliza7e_ginfoza7(BgL_sfunz00_bglt
		BgL_oz00_61)
	{
		{	/* Globalize/ginfo.sch 237 */
			{
				BgL_sfunzf2ginfozf2_bglt BgL_auxz00_4943;

				{
					obj_t BgL_auxz00_4944;

					{	/* Globalize/ginfo.sch 237 */
						BgL_objectz00_bglt BgL_tmpz00_4945;

						BgL_tmpz00_4945 = ((BgL_objectz00_bglt) BgL_oz00_61);
						BgL_auxz00_4944 = BGL_OBJECT_WIDENING(BgL_tmpz00_4945);
					}
					BgL_auxz00_4943 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_4944);
				}
				return
					(((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_4943))->
					BgL_kapturedz00);
			}
		}

	}



/* &sfun/Ginfo-kaptured */
	obj_t BGl_z62sfunzf2Ginfozd2kapturedz42zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3325, obj_t BgL_oz00_3326)
	{
		{	/* Globalize/ginfo.sch 237 */
			return
				BGl_sfunzf2Ginfozd2kapturedz20zzglobaliza7e_ginfoza7(
				((BgL_sfunz00_bglt) BgL_oz00_3326));
		}

	}



/* sfun/Ginfo-kaptured-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Ginfozd2kapturedzd2setz12ze0zzglobaliza7e_ginfoza7
		(BgL_sfunz00_bglt BgL_oz00_62, obj_t BgL_vz00_63)
	{
		{	/* Globalize/ginfo.sch 238 */
			{
				BgL_sfunzf2ginfozf2_bglt BgL_auxz00_4952;

				{
					obj_t BgL_auxz00_4953;

					{	/* Globalize/ginfo.sch 238 */
						BgL_objectz00_bglt BgL_tmpz00_4954;

						BgL_tmpz00_4954 = ((BgL_objectz00_bglt) BgL_oz00_62);
						BgL_auxz00_4953 = BGL_OBJECT_WIDENING(BgL_tmpz00_4954);
					}
					BgL_auxz00_4952 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_4953);
				}
				return
					((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_4952))->
						BgL_kapturedz00) = ((obj_t) BgL_vz00_63), BUNSPEC);
			}
		}

	}



/* &sfun/Ginfo-kaptured-set! */
	obj_t BGl_z62sfunzf2Ginfozd2kapturedzd2setz12z82zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3327, obj_t BgL_oz00_3328, obj_t BgL_vz00_3329)
	{
		{	/* Globalize/ginfo.sch 238 */
			return
				BGl_sfunzf2Ginfozd2kapturedzd2setz12ze0zzglobaliza7e_ginfoza7(
				((BgL_sfunz00_bglt) BgL_oz00_3328), BgL_vz00_3329);
		}

	}



/* sfun/Ginfo-the-global */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Ginfozd2thezd2globalzf2zzglobaliza7e_ginfoza7(BgL_sfunz00_bglt
		BgL_oz00_64)
	{
		{	/* Globalize/ginfo.sch 239 */
			{
				BgL_sfunzf2ginfozf2_bglt BgL_auxz00_4961;

				{
					obj_t BgL_auxz00_4962;

					{	/* Globalize/ginfo.sch 239 */
						BgL_objectz00_bglt BgL_tmpz00_4963;

						BgL_tmpz00_4963 = ((BgL_objectz00_bglt) BgL_oz00_64);
						BgL_auxz00_4962 = BGL_OBJECT_WIDENING(BgL_tmpz00_4963);
					}
					BgL_auxz00_4961 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_4962);
				}
				return
					(((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_4961))->
					BgL_thezd2globalzd2);
			}
		}

	}



/* &sfun/Ginfo-the-global */
	obj_t BGl_z62sfunzf2Ginfozd2thezd2globalz90zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3330, obj_t BgL_oz00_3331)
	{
		{	/* Globalize/ginfo.sch 239 */
			return
				BGl_sfunzf2Ginfozd2thezd2globalzf2zzglobaliza7e_ginfoza7(
				((BgL_sfunz00_bglt) BgL_oz00_3331));
		}

	}



/* sfun/Ginfo-the-global-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Ginfozd2thezd2globalzd2setz12z32zzglobaliza7e_ginfoza7
		(BgL_sfunz00_bglt BgL_oz00_65, obj_t BgL_vz00_66)
	{
		{	/* Globalize/ginfo.sch 240 */
			{
				BgL_sfunzf2ginfozf2_bglt BgL_auxz00_4970;

				{
					obj_t BgL_auxz00_4971;

					{	/* Globalize/ginfo.sch 240 */
						BgL_objectz00_bglt BgL_tmpz00_4972;

						BgL_tmpz00_4972 = ((BgL_objectz00_bglt) BgL_oz00_65);
						BgL_auxz00_4971 = BGL_OBJECT_WIDENING(BgL_tmpz00_4972);
					}
					BgL_auxz00_4970 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_4971);
				}
				return
					((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_4970))->
						BgL_thezd2globalzd2) = ((obj_t) BgL_vz00_66), BUNSPEC);
			}
		}

	}



/* &sfun/Ginfo-the-global-set! */
	obj_t
		BGl_z62sfunzf2Ginfozd2thezd2globalzd2setz12z50zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3332, obj_t BgL_oz00_3333, obj_t BgL_vz00_3334)
	{
		{	/* Globalize/ginfo.sch 240 */
			return
				BGl_sfunzf2Ginfozd2thezd2globalzd2setz12z32zzglobaliza7e_ginfoza7(
				((BgL_sfunz00_bglt) BgL_oz00_3333), BgL_vz00_3334);
		}

	}



/* sfun/Ginfo-free-mark */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Ginfozd2freezd2markzf2zzglobaliza7e_ginfoza7(BgL_sfunz00_bglt
		BgL_oz00_67)
	{
		{	/* Globalize/ginfo.sch 241 */
			{
				BgL_sfunzf2ginfozf2_bglt BgL_auxz00_4979;

				{
					obj_t BgL_auxz00_4980;

					{	/* Globalize/ginfo.sch 241 */
						BgL_objectz00_bglt BgL_tmpz00_4981;

						BgL_tmpz00_4981 = ((BgL_objectz00_bglt) BgL_oz00_67);
						BgL_auxz00_4980 = BGL_OBJECT_WIDENING(BgL_tmpz00_4981);
					}
					BgL_auxz00_4979 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_4980);
				}
				return
					(((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_4979))->
					BgL_freezd2markzd2);
			}
		}

	}



/* &sfun/Ginfo-free-mark */
	obj_t BGl_z62sfunzf2Ginfozd2freezd2markz90zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3335, obj_t BgL_oz00_3336)
	{
		{	/* Globalize/ginfo.sch 241 */
			return
				BGl_sfunzf2Ginfozd2freezd2markzf2zzglobaliza7e_ginfoza7(
				((BgL_sfunz00_bglt) BgL_oz00_3336));
		}

	}



/* sfun/Ginfo-free-mark-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Ginfozd2freezd2markzd2setz12z32zzglobaliza7e_ginfoza7
		(BgL_sfunz00_bglt BgL_oz00_68, obj_t BgL_vz00_69)
	{
		{	/* Globalize/ginfo.sch 242 */
			{
				BgL_sfunzf2ginfozf2_bglt BgL_auxz00_4988;

				{
					obj_t BgL_auxz00_4989;

					{	/* Globalize/ginfo.sch 242 */
						BgL_objectz00_bglt BgL_tmpz00_4990;

						BgL_tmpz00_4990 = ((BgL_objectz00_bglt) BgL_oz00_68);
						BgL_auxz00_4989 = BGL_OBJECT_WIDENING(BgL_tmpz00_4990);
					}
					BgL_auxz00_4988 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_4989);
				}
				return
					((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_4988))->
						BgL_freezd2markzd2) = ((obj_t) BgL_vz00_69), BUNSPEC);
			}
		}

	}



/* &sfun/Ginfo-free-mark-set! */
	obj_t
		BGl_z62sfunzf2Ginfozd2freezd2markzd2setz12z50zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3337, obj_t BgL_oz00_3338, obj_t BgL_vz00_3339)
	{
		{	/* Globalize/ginfo.sch 242 */
			return
				BGl_sfunzf2Ginfozd2freezd2markzd2setz12z32zzglobaliza7e_ginfoza7(
				((BgL_sfunz00_bglt) BgL_oz00_3338), BgL_vz00_3339);
		}

	}



/* sfun/Ginfo-mark */
	BGL_EXPORTED_DEF long
		BGl_sfunzf2Ginfozd2markz20zzglobaliza7e_ginfoza7(BgL_sfunz00_bglt
		BgL_oz00_70)
	{
		{	/* Globalize/ginfo.sch 243 */
			{
				BgL_sfunzf2ginfozf2_bglt BgL_auxz00_4997;

				{
					obj_t BgL_auxz00_4998;

					{	/* Globalize/ginfo.sch 243 */
						BgL_objectz00_bglt BgL_tmpz00_4999;

						BgL_tmpz00_4999 = ((BgL_objectz00_bglt) BgL_oz00_70);
						BgL_auxz00_4998 = BGL_OBJECT_WIDENING(BgL_tmpz00_4999);
					}
					BgL_auxz00_4997 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_4998);
				}
				return
					(((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_4997))->BgL_markz00);
			}
		}

	}



/* &sfun/Ginfo-mark */
	obj_t BGl_z62sfunzf2Ginfozd2markz42zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3340, obj_t BgL_oz00_3341)
	{
		{	/* Globalize/ginfo.sch 243 */
			return
				BINT(BGl_sfunzf2Ginfozd2markz20zzglobaliza7e_ginfoza7(
					((BgL_sfunz00_bglt) BgL_oz00_3341)));
		}

	}



/* sfun/Ginfo-mark-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Ginfozd2markzd2setz12ze0zzglobaliza7e_ginfoza7(BgL_sfunz00_bglt
		BgL_oz00_71, long BgL_vz00_72)
	{
		{	/* Globalize/ginfo.sch 244 */
			{
				BgL_sfunzf2ginfozf2_bglt BgL_auxz00_5007;

				{
					obj_t BgL_auxz00_5008;

					{	/* Globalize/ginfo.sch 244 */
						BgL_objectz00_bglt BgL_tmpz00_5009;

						BgL_tmpz00_5009 = ((BgL_objectz00_bglt) BgL_oz00_71);
						BgL_auxz00_5008 = BGL_OBJECT_WIDENING(BgL_tmpz00_5009);
					}
					BgL_auxz00_5007 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_5008);
				}
				return
					((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_5007))->
						BgL_markz00) = ((long) BgL_vz00_72), BUNSPEC);
		}}

	}



/* &sfun/Ginfo-mark-set! */
	obj_t BGl_z62sfunzf2Ginfozd2markzd2setz12z82zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3342, obj_t BgL_oz00_3343, obj_t BgL_vz00_3344)
	{
		{	/* Globalize/ginfo.sch 244 */
			return
				BGl_sfunzf2Ginfozd2markzd2setz12ze0zzglobaliza7e_ginfoza7(
				((BgL_sfunz00_bglt) BgL_oz00_3343), (long) CINT(BgL_vz00_3344));
		}

	}



/* sfun/Ginfo-plugged-in */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Ginfozd2pluggedzd2inzf2zzglobaliza7e_ginfoza7(BgL_sfunz00_bglt
		BgL_oz00_73)
	{
		{	/* Globalize/ginfo.sch 245 */
			{
				BgL_sfunzf2ginfozf2_bglt BgL_auxz00_5017;

				{
					obj_t BgL_auxz00_5018;

					{	/* Globalize/ginfo.sch 245 */
						BgL_objectz00_bglt BgL_tmpz00_5019;

						BgL_tmpz00_5019 = ((BgL_objectz00_bglt) BgL_oz00_73);
						BgL_auxz00_5018 = BGL_OBJECT_WIDENING(BgL_tmpz00_5019);
					}
					BgL_auxz00_5017 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_5018);
				}
				return
					(((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_5017))->
					BgL_pluggedzd2inzd2);
			}
		}

	}



/* &sfun/Ginfo-plugged-in */
	obj_t BGl_z62sfunzf2Ginfozd2pluggedzd2inz90zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3345, obj_t BgL_oz00_3346)
	{
		{	/* Globalize/ginfo.sch 245 */
			return
				BGl_sfunzf2Ginfozd2pluggedzd2inzf2zzglobaliza7e_ginfoza7(
				((BgL_sfunz00_bglt) BgL_oz00_3346));
		}

	}



/* sfun/Ginfo-plugged-in-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Ginfozd2pluggedzd2inzd2setz12z32zzglobaliza7e_ginfoza7
		(BgL_sfunz00_bglt BgL_oz00_74, obj_t BgL_vz00_75)
	{
		{	/* Globalize/ginfo.sch 246 */
			{
				BgL_sfunzf2ginfozf2_bglt BgL_auxz00_5026;

				{
					obj_t BgL_auxz00_5027;

					{	/* Globalize/ginfo.sch 246 */
						BgL_objectz00_bglt BgL_tmpz00_5028;

						BgL_tmpz00_5028 = ((BgL_objectz00_bglt) BgL_oz00_74);
						BgL_auxz00_5027 = BGL_OBJECT_WIDENING(BgL_tmpz00_5028);
					}
					BgL_auxz00_5026 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_5027);
				}
				return
					((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_5026))->
						BgL_pluggedzd2inzd2) = ((obj_t) BgL_vz00_75), BUNSPEC);
			}
		}

	}



/* &sfun/Ginfo-plugged-in-set! */
	obj_t
		BGl_z62sfunzf2Ginfozd2pluggedzd2inzd2setz12z50zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3347, obj_t BgL_oz00_3348, obj_t BgL_vz00_3349)
	{
		{	/* Globalize/ginfo.sch 246 */
			return
				BGl_sfunzf2Ginfozd2pluggedzd2inzd2setz12z32zzglobaliza7e_ginfoza7(
				((BgL_sfunz00_bglt) BgL_oz00_3348), BgL_vz00_3349);
		}

	}



/* sfun/Ginfo-integrated */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Ginfozd2integratedz20zzglobaliza7e_ginfoza7(BgL_sfunz00_bglt
		BgL_oz00_76)
	{
		{	/* Globalize/ginfo.sch 247 */
			{
				BgL_sfunzf2ginfozf2_bglt BgL_auxz00_5035;

				{
					obj_t BgL_auxz00_5036;

					{	/* Globalize/ginfo.sch 247 */
						BgL_objectz00_bglt BgL_tmpz00_5037;

						BgL_tmpz00_5037 = ((BgL_objectz00_bglt) BgL_oz00_76);
						BgL_auxz00_5036 = BGL_OBJECT_WIDENING(BgL_tmpz00_5037);
					}
					BgL_auxz00_5035 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_5036);
				}
				return
					(((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_5035))->
					BgL_integratedz00);
			}
		}

	}



/* &sfun/Ginfo-integrated */
	obj_t BGl_z62sfunzf2Ginfozd2integratedz42zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3350, obj_t BgL_oz00_3351)
	{
		{	/* Globalize/ginfo.sch 247 */
			return
				BGl_sfunzf2Ginfozd2integratedz20zzglobaliza7e_ginfoza7(
				((BgL_sfunz00_bglt) BgL_oz00_3351));
		}

	}



/* sfun/Ginfo-integrated-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Ginfozd2integratedzd2setz12ze0zzglobaliza7e_ginfoza7
		(BgL_sfunz00_bglt BgL_oz00_77, obj_t BgL_vz00_78)
	{
		{	/* Globalize/ginfo.sch 248 */
			{
				BgL_sfunzf2ginfozf2_bglt BgL_auxz00_5044;

				{
					obj_t BgL_auxz00_5045;

					{	/* Globalize/ginfo.sch 248 */
						BgL_objectz00_bglt BgL_tmpz00_5046;

						BgL_tmpz00_5046 = ((BgL_objectz00_bglt) BgL_oz00_77);
						BgL_auxz00_5045 = BGL_OBJECT_WIDENING(BgL_tmpz00_5046);
					}
					BgL_auxz00_5044 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_5045);
				}
				return
					((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_5044))->
						BgL_integratedz00) = ((obj_t) BgL_vz00_78), BUNSPEC);
			}
		}

	}



/* &sfun/Ginfo-integrated-set! */
	obj_t BGl_z62sfunzf2Ginfozd2integratedzd2setz12z82zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3352, obj_t BgL_oz00_3353, obj_t BgL_vz00_3354)
	{
		{	/* Globalize/ginfo.sch 248 */
			return
				BGl_sfunzf2Ginfozd2integratedzd2setz12ze0zzglobaliza7e_ginfoza7(
				((BgL_sfunz00_bglt) BgL_oz00_3353), BgL_vz00_3354);
		}

	}



/* sfun/Ginfo-owner */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Ginfozd2ownerz20zzglobaliza7e_ginfoza7(BgL_sfunz00_bglt
		BgL_oz00_79)
	{
		{	/* Globalize/ginfo.sch 249 */
			{
				BgL_sfunzf2ginfozf2_bglt BgL_auxz00_5053;

				{
					obj_t BgL_auxz00_5054;

					{	/* Globalize/ginfo.sch 249 */
						BgL_objectz00_bglt BgL_tmpz00_5055;

						BgL_tmpz00_5055 = ((BgL_objectz00_bglt) BgL_oz00_79);
						BgL_auxz00_5054 = BGL_OBJECT_WIDENING(BgL_tmpz00_5055);
					}
					BgL_auxz00_5053 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_5054);
				}
				return
					(((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_5053))->BgL_ownerz00);
			}
		}

	}



/* &sfun/Ginfo-owner */
	obj_t BGl_z62sfunzf2Ginfozd2ownerz42zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3355, obj_t BgL_oz00_3356)
	{
		{	/* Globalize/ginfo.sch 249 */
			return
				BGl_sfunzf2Ginfozd2ownerz20zzglobaliza7e_ginfoza7(
				((BgL_sfunz00_bglt) BgL_oz00_3356));
		}

	}



/* sfun/Ginfo-owner-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Ginfozd2ownerzd2setz12ze0zzglobaliza7e_ginfoza7(BgL_sfunz00_bglt
		BgL_oz00_80, obj_t BgL_vz00_81)
	{
		{	/* Globalize/ginfo.sch 250 */
			{
				BgL_sfunzf2ginfozf2_bglt BgL_auxz00_5062;

				{
					obj_t BgL_auxz00_5063;

					{	/* Globalize/ginfo.sch 250 */
						BgL_objectz00_bglt BgL_tmpz00_5064;

						BgL_tmpz00_5064 = ((BgL_objectz00_bglt) BgL_oz00_80);
						BgL_auxz00_5063 = BGL_OBJECT_WIDENING(BgL_tmpz00_5064);
					}
					BgL_auxz00_5062 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_5063);
				}
				return
					((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_5062))->
						BgL_ownerz00) = ((obj_t) BgL_vz00_81), BUNSPEC);
			}
		}

	}



/* &sfun/Ginfo-owner-set! */
	obj_t BGl_z62sfunzf2Ginfozd2ownerzd2setz12z82zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3357, obj_t BgL_oz00_3358, obj_t BgL_vz00_3359)
	{
		{	/* Globalize/ginfo.sch 250 */
			return
				BGl_sfunzf2Ginfozd2ownerzd2setz12ze0zzglobaliza7e_ginfoza7(
				((BgL_sfunz00_bglt) BgL_oz00_3358), BgL_vz00_3359);
		}

	}



/* sfun/Ginfo-imark */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Ginfozd2imarkz20zzglobaliza7e_ginfoza7(BgL_sfunz00_bglt
		BgL_oz00_82)
	{
		{	/* Globalize/ginfo.sch 251 */
			{
				BgL_sfunzf2ginfozf2_bglt BgL_auxz00_5071;

				{
					obj_t BgL_auxz00_5072;

					{	/* Globalize/ginfo.sch 251 */
						BgL_objectz00_bglt BgL_tmpz00_5073;

						BgL_tmpz00_5073 = ((BgL_objectz00_bglt) BgL_oz00_82);
						BgL_auxz00_5072 = BGL_OBJECT_WIDENING(BgL_tmpz00_5073);
					}
					BgL_auxz00_5071 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_5072);
				}
				return
					(((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_5071))->BgL_imarkz00);
			}
		}

	}



/* &sfun/Ginfo-imark */
	obj_t BGl_z62sfunzf2Ginfozd2imarkz42zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3360, obj_t BgL_oz00_3361)
	{
		{	/* Globalize/ginfo.sch 251 */
			return
				BGl_sfunzf2Ginfozd2imarkz20zzglobaliza7e_ginfoza7(
				((BgL_sfunz00_bglt) BgL_oz00_3361));
		}

	}



/* sfun/Ginfo-imark-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Ginfozd2imarkzd2setz12ze0zzglobaliza7e_ginfoza7(BgL_sfunz00_bglt
		BgL_oz00_83, obj_t BgL_vz00_84)
	{
		{	/* Globalize/ginfo.sch 252 */
			{
				BgL_sfunzf2ginfozf2_bglt BgL_auxz00_5080;

				{
					obj_t BgL_auxz00_5081;

					{	/* Globalize/ginfo.sch 252 */
						BgL_objectz00_bglt BgL_tmpz00_5082;

						BgL_tmpz00_5082 = ((BgL_objectz00_bglt) BgL_oz00_83);
						BgL_auxz00_5081 = BGL_OBJECT_WIDENING(BgL_tmpz00_5082);
					}
					BgL_auxz00_5080 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_5081);
				}
				return
					((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_5080))->
						BgL_imarkz00) = ((obj_t) BgL_vz00_84), BUNSPEC);
			}
		}

	}



/* &sfun/Ginfo-imark-set! */
	obj_t BGl_z62sfunzf2Ginfozd2imarkzd2setz12z82zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3362, obj_t BgL_oz00_3363, obj_t BgL_vz00_3364)
	{
		{	/* Globalize/ginfo.sch 252 */
			return
				BGl_sfunzf2Ginfozd2imarkzd2setz12ze0zzglobaliza7e_ginfoza7(
				((BgL_sfunz00_bglt) BgL_oz00_3363), BgL_vz00_3364);
		}

	}



/* sfun/Ginfo-integrator */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Ginfozd2integratorz20zzglobaliza7e_ginfoza7(BgL_sfunz00_bglt
		BgL_oz00_85)
	{
		{	/* Globalize/ginfo.sch 253 */
			{
				BgL_sfunzf2ginfozf2_bglt BgL_auxz00_5089;

				{
					obj_t BgL_auxz00_5090;

					{	/* Globalize/ginfo.sch 253 */
						BgL_objectz00_bglt BgL_tmpz00_5091;

						BgL_tmpz00_5091 = ((BgL_objectz00_bglt) BgL_oz00_85);
						BgL_auxz00_5090 = BGL_OBJECT_WIDENING(BgL_tmpz00_5091);
					}
					BgL_auxz00_5089 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_5090);
				}
				return
					(((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_5089))->
					BgL_integratorz00);
			}
		}

	}



/* &sfun/Ginfo-integrator */
	obj_t BGl_z62sfunzf2Ginfozd2integratorz42zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3365, obj_t BgL_oz00_3366)
	{
		{	/* Globalize/ginfo.sch 253 */
			return
				BGl_sfunzf2Ginfozd2integratorz20zzglobaliza7e_ginfoza7(
				((BgL_sfunz00_bglt) BgL_oz00_3366));
		}

	}



/* sfun/Ginfo-integrator-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Ginfozd2integratorzd2setz12ze0zzglobaliza7e_ginfoza7
		(BgL_sfunz00_bglt BgL_oz00_86, obj_t BgL_vz00_87)
	{
		{	/* Globalize/ginfo.sch 254 */
			{
				BgL_sfunzf2ginfozf2_bglt BgL_auxz00_5098;

				{
					obj_t BgL_auxz00_5099;

					{	/* Globalize/ginfo.sch 254 */
						BgL_objectz00_bglt BgL_tmpz00_5100;

						BgL_tmpz00_5100 = ((BgL_objectz00_bglt) BgL_oz00_86);
						BgL_auxz00_5099 = BGL_OBJECT_WIDENING(BgL_tmpz00_5100);
					}
					BgL_auxz00_5098 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_5099);
				}
				return
					((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_5098))->
						BgL_integratorz00) = ((obj_t) BgL_vz00_87), BUNSPEC);
			}
		}

	}



/* &sfun/Ginfo-integrator-set! */
	obj_t BGl_z62sfunzf2Ginfozd2integratorzd2setz12z82zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3367, obj_t BgL_oz00_3368, obj_t BgL_vz00_3369)
	{
		{	/* Globalize/ginfo.sch 254 */
			return
				BGl_sfunzf2Ginfozd2integratorzd2setz12ze0zzglobaliza7e_ginfoza7(
				((BgL_sfunz00_bglt) BgL_oz00_3368), BgL_vz00_3369);
		}

	}



/* sfun/Ginfo-efunctions */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Ginfozd2efunctionsz20zzglobaliza7e_ginfoza7(BgL_sfunz00_bglt
		BgL_oz00_88)
	{
		{	/* Globalize/ginfo.sch 255 */
			{
				BgL_sfunzf2ginfozf2_bglt BgL_auxz00_5107;

				{
					obj_t BgL_auxz00_5108;

					{	/* Globalize/ginfo.sch 255 */
						BgL_objectz00_bglt BgL_tmpz00_5109;

						BgL_tmpz00_5109 = ((BgL_objectz00_bglt) BgL_oz00_88);
						BgL_auxz00_5108 = BGL_OBJECT_WIDENING(BgL_tmpz00_5109);
					}
					BgL_auxz00_5107 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_5108);
				}
				return
					(((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_5107))->
					BgL_efunctionsz00);
			}
		}

	}



/* &sfun/Ginfo-efunctions */
	obj_t BGl_z62sfunzf2Ginfozd2efunctionsz42zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3370, obj_t BgL_oz00_3371)
	{
		{	/* Globalize/ginfo.sch 255 */
			return
				BGl_sfunzf2Ginfozd2efunctionsz20zzglobaliza7e_ginfoza7(
				((BgL_sfunz00_bglt) BgL_oz00_3371));
		}

	}



/* sfun/Ginfo-efunctions-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Ginfozd2efunctionszd2setz12ze0zzglobaliza7e_ginfoza7
		(BgL_sfunz00_bglt BgL_oz00_89, obj_t BgL_vz00_90)
	{
		{	/* Globalize/ginfo.sch 256 */
			{
				BgL_sfunzf2ginfozf2_bglt BgL_auxz00_5116;

				{
					obj_t BgL_auxz00_5117;

					{	/* Globalize/ginfo.sch 256 */
						BgL_objectz00_bglt BgL_tmpz00_5118;

						BgL_tmpz00_5118 = ((BgL_objectz00_bglt) BgL_oz00_89);
						BgL_auxz00_5117 = BGL_OBJECT_WIDENING(BgL_tmpz00_5118);
					}
					BgL_auxz00_5116 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_5117);
				}
				return
					((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_5116))->
						BgL_efunctionsz00) = ((obj_t) BgL_vz00_90), BUNSPEC);
			}
		}

	}



/* &sfun/Ginfo-efunctions-set! */
	obj_t BGl_z62sfunzf2Ginfozd2efunctionszd2setz12z82zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3372, obj_t BgL_oz00_3373, obj_t BgL_vz00_3374)
	{
		{	/* Globalize/ginfo.sch 256 */
			return
				BGl_sfunzf2Ginfozd2efunctionszd2setz12ze0zzglobaliza7e_ginfoza7(
				((BgL_sfunz00_bglt) BgL_oz00_3373), BgL_vz00_3374);
		}

	}



/* sfun/Ginfo-cto* */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Ginfozd2ctoza2z82zzglobaliza7e_ginfoza7(BgL_sfunz00_bglt
		BgL_oz00_91)
	{
		{	/* Globalize/ginfo.sch 257 */
			{
				BgL_sfunzf2ginfozf2_bglt BgL_auxz00_5125;

				{
					obj_t BgL_auxz00_5126;

					{	/* Globalize/ginfo.sch 257 */
						BgL_objectz00_bglt BgL_tmpz00_5127;

						BgL_tmpz00_5127 = ((BgL_objectz00_bglt) BgL_oz00_91);
						BgL_auxz00_5126 = BGL_OBJECT_WIDENING(BgL_tmpz00_5127);
					}
					BgL_auxz00_5125 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_5126);
				}
				return
					(((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_5125))->
					BgL_ctoza2za2);
			}
		}

	}



/* &sfun/Ginfo-cto* */
	obj_t BGl_z62sfunzf2Ginfozd2ctoza2ze0zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3375, obj_t BgL_oz00_3376)
	{
		{	/* Globalize/ginfo.sch 257 */
			return
				BGl_sfunzf2Ginfozd2ctoza2z82zzglobaliza7e_ginfoza7(
				((BgL_sfunz00_bglt) BgL_oz00_3376));
		}

	}



/* sfun/Ginfo-cto*-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Ginfozd2ctoza2zd2setz12z42zzglobaliza7e_ginfoza7(BgL_sfunz00_bglt
		BgL_oz00_92, obj_t BgL_vz00_93)
	{
		{	/* Globalize/ginfo.sch 258 */
			{
				BgL_sfunzf2ginfozf2_bglt BgL_auxz00_5134;

				{
					obj_t BgL_auxz00_5135;

					{	/* Globalize/ginfo.sch 258 */
						BgL_objectz00_bglt BgL_tmpz00_5136;

						BgL_tmpz00_5136 = ((BgL_objectz00_bglt) BgL_oz00_92);
						BgL_auxz00_5135 = BGL_OBJECT_WIDENING(BgL_tmpz00_5136);
					}
					BgL_auxz00_5134 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_5135);
				}
				return
					((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_5134))->
						BgL_ctoza2za2) = ((obj_t) BgL_vz00_93), BUNSPEC);
			}
		}

	}



/* &sfun/Ginfo-cto*-set! */
	obj_t BGl_z62sfunzf2Ginfozd2ctoza2zd2setz12z20zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3377, obj_t BgL_oz00_3378, obj_t BgL_vz00_3379)
	{
		{	/* Globalize/ginfo.sch 258 */
			return
				BGl_sfunzf2Ginfozd2ctoza2zd2setz12z42zzglobaliza7e_ginfoza7(
				((BgL_sfunz00_bglt) BgL_oz00_3378), BgL_vz00_3379);
		}

	}



/* sfun/Ginfo-cto */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Ginfozd2ctoz20zzglobaliza7e_ginfoza7(BgL_sfunz00_bglt
		BgL_oz00_94)
	{
		{	/* Globalize/ginfo.sch 259 */
			{
				BgL_sfunzf2ginfozf2_bglt BgL_auxz00_5143;

				{
					obj_t BgL_auxz00_5144;

					{	/* Globalize/ginfo.sch 259 */
						BgL_objectz00_bglt BgL_tmpz00_5145;

						BgL_tmpz00_5145 = ((BgL_objectz00_bglt) BgL_oz00_94);
						BgL_auxz00_5144 = BGL_OBJECT_WIDENING(BgL_tmpz00_5145);
					}
					BgL_auxz00_5143 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_5144);
				}
				return
					(((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_5143))->BgL_ctoz00);
			}
		}

	}



/* &sfun/Ginfo-cto */
	obj_t BGl_z62sfunzf2Ginfozd2ctoz42zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3380, obj_t BgL_oz00_3381)
	{
		{	/* Globalize/ginfo.sch 259 */
			return
				BGl_sfunzf2Ginfozd2ctoz20zzglobaliza7e_ginfoza7(
				((BgL_sfunz00_bglt) BgL_oz00_3381));
		}

	}



/* sfun/Ginfo-cto-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Ginfozd2ctozd2setz12ze0zzglobaliza7e_ginfoza7(BgL_sfunz00_bglt
		BgL_oz00_95, obj_t BgL_vz00_96)
	{
		{	/* Globalize/ginfo.sch 260 */
			{
				BgL_sfunzf2ginfozf2_bglt BgL_auxz00_5152;

				{
					obj_t BgL_auxz00_5153;

					{	/* Globalize/ginfo.sch 260 */
						BgL_objectz00_bglt BgL_tmpz00_5154;

						BgL_tmpz00_5154 = ((BgL_objectz00_bglt) BgL_oz00_95);
						BgL_auxz00_5153 = BGL_OBJECT_WIDENING(BgL_tmpz00_5154);
					}
					BgL_auxz00_5152 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_5153);
				}
				return
					((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_5152))->BgL_ctoz00) =
					((obj_t) BgL_vz00_96), BUNSPEC);
			}
		}

	}



/* &sfun/Ginfo-cto-set! */
	obj_t BGl_z62sfunzf2Ginfozd2ctozd2setz12z82zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3382, obj_t BgL_oz00_3383, obj_t BgL_vz00_3384)
	{
		{	/* Globalize/ginfo.sch 260 */
			return
				BGl_sfunzf2Ginfozd2ctozd2setz12ze0zzglobaliza7e_ginfoza7(
				((BgL_sfunz00_bglt) BgL_oz00_3383), BgL_vz00_3384);
		}

	}



/* sfun/Ginfo-cfrom* */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Ginfozd2cfromza2z82zzglobaliza7e_ginfoza7(BgL_sfunz00_bglt
		BgL_oz00_97)
	{
		{	/* Globalize/ginfo.sch 261 */
			{
				BgL_sfunzf2ginfozf2_bglt BgL_auxz00_5161;

				{
					obj_t BgL_auxz00_5162;

					{	/* Globalize/ginfo.sch 261 */
						BgL_objectz00_bglt BgL_tmpz00_5163;

						BgL_tmpz00_5163 = ((BgL_objectz00_bglt) BgL_oz00_97);
						BgL_auxz00_5162 = BGL_OBJECT_WIDENING(BgL_tmpz00_5163);
					}
					BgL_auxz00_5161 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_5162);
				}
				return
					(((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_5161))->
					BgL_cfromza2za2);
			}
		}

	}



/* &sfun/Ginfo-cfrom* */
	obj_t BGl_z62sfunzf2Ginfozd2cfromza2ze0zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3385, obj_t BgL_oz00_3386)
	{
		{	/* Globalize/ginfo.sch 261 */
			return
				BGl_sfunzf2Ginfozd2cfromza2z82zzglobaliza7e_ginfoza7(
				((BgL_sfunz00_bglt) BgL_oz00_3386));
		}

	}



/* sfun/Ginfo-cfrom*-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Ginfozd2cfromza2zd2setz12z42zzglobaliza7e_ginfoza7
		(BgL_sfunz00_bglt BgL_oz00_98, obj_t BgL_vz00_99)
	{
		{	/* Globalize/ginfo.sch 262 */
			{
				BgL_sfunzf2ginfozf2_bglt BgL_auxz00_5170;

				{
					obj_t BgL_auxz00_5171;

					{	/* Globalize/ginfo.sch 262 */
						BgL_objectz00_bglt BgL_tmpz00_5172;

						BgL_tmpz00_5172 = ((BgL_objectz00_bglt) BgL_oz00_98);
						BgL_auxz00_5171 = BGL_OBJECT_WIDENING(BgL_tmpz00_5172);
					}
					BgL_auxz00_5170 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_5171);
				}
				return
					((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_5170))->
						BgL_cfromza2za2) = ((obj_t) BgL_vz00_99), BUNSPEC);
			}
		}

	}



/* &sfun/Ginfo-cfrom*-set! */
	obj_t BGl_z62sfunzf2Ginfozd2cfromza2zd2setz12z20zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3387, obj_t BgL_oz00_3388, obj_t BgL_vz00_3389)
	{
		{	/* Globalize/ginfo.sch 262 */
			return
				BGl_sfunzf2Ginfozd2cfromza2zd2setz12z42zzglobaliza7e_ginfoza7(
				((BgL_sfunz00_bglt) BgL_oz00_3388), BgL_vz00_3389);
		}

	}



/* sfun/Ginfo-cfrom */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Ginfozd2cfromz20zzglobaliza7e_ginfoza7(BgL_sfunz00_bglt
		BgL_oz00_100)
	{
		{	/* Globalize/ginfo.sch 263 */
			{
				BgL_sfunzf2ginfozf2_bglt BgL_auxz00_5179;

				{
					obj_t BgL_auxz00_5180;

					{	/* Globalize/ginfo.sch 263 */
						BgL_objectz00_bglt BgL_tmpz00_5181;

						BgL_tmpz00_5181 = ((BgL_objectz00_bglt) BgL_oz00_100);
						BgL_auxz00_5180 = BGL_OBJECT_WIDENING(BgL_tmpz00_5181);
					}
					BgL_auxz00_5179 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_5180);
				}
				return
					(((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_5179))->BgL_cfromz00);
			}
		}

	}



/* &sfun/Ginfo-cfrom */
	obj_t BGl_z62sfunzf2Ginfozd2cfromz42zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3390, obj_t BgL_oz00_3391)
	{
		{	/* Globalize/ginfo.sch 263 */
			return
				BGl_sfunzf2Ginfozd2cfromz20zzglobaliza7e_ginfoza7(
				((BgL_sfunz00_bglt) BgL_oz00_3391));
		}

	}



/* sfun/Ginfo-cfrom-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Ginfozd2cfromzd2setz12ze0zzglobaliza7e_ginfoza7(BgL_sfunz00_bglt
		BgL_oz00_101, obj_t BgL_vz00_102)
	{
		{	/* Globalize/ginfo.sch 264 */
			{
				BgL_sfunzf2ginfozf2_bglt BgL_auxz00_5188;

				{
					obj_t BgL_auxz00_5189;

					{	/* Globalize/ginfo.sch 264 */
						BgL_objectz00_bglt BgL_tmpz00_5190;

						BgL_tmpz00_5190 = ((BgL_objectz00_bglt) BgL_oz00_101);
						BgL_auxz00_5189 = BGL_OBJECT_WIDENING(BgL_tmpz00_5190);
					}
					BgL_auxz00_5188 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_5189);
				}
				return
					((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_5188))->
						BgL_cfromz00) = ((obj_t) BgL_vz00_102), BUNSPEC);
			}
		}

	}



/* &sfun/Ginfo-cfrom-set! */
	obj_t BGl_z62sfunzf2Ginfozd2cfromzd2setz12z82zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3392, obj_t BgL_oz00_3393, obj_t BgL_vz00_3394)
	{
		{	/* Globalize/ginfo.sch 264 */
			return
				BGl_sfunzf2Ginfozd2cfromzd2setz12ze0zzglobaliza7e_ginfoza7(
				((BgL_sfunz00_bglt) BgL_oz00_3393), BgL_vz00_3394);
		}

	}



/* sfun/Ginfo-G? */
	BGL_EXPORTED_DEF bool_t
		BGl_sfunzf2Ginfozd2Gzf3zd3zzglobaliza7e_ginfoza7(BgL_sfunz00_bglt
		BgL_oz00_103)
	{
		{	/* Globalize/ginfo.sch 265 */
			{
				BgL_sfunzf2ginfozf2_bglt BgL_auxz00_5197;

				{
					obj_t BgL_auxz00_5198;

					{	/* Globalize/ginfo.sch 265 */
						BgL_objectz00_bglt BgL_tmpz00_5199;

						BgL_tmpz00_5199 = ((BgL_objectz00_bglt) BgL_oz00_103);
						BgL_auxz00_5198 = BGL_OBJECT_WIDENING(BgL_tmpz00_5199);
					}
					BgL_auxz00_5197 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_5198);
				}
				return
					(((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_5197))->BgL_gzf3zf3);
			}
		}

	}



/* &sfun/Ginfo-G? */
	obj_t BGl_z62sfunzf2Ginfozd2Gzf3zb1zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3395, obj_t BgL_oz00_3396)
	{
		{	/* Globalize/ginfo.sch 265 */
			return
				BBOOL(BGl_sfunzf2Ginfozd2Gzf3zd3zzglobaliza7e_ginfoza7(
					((BgL_sfunz00_bglt) BgL_oz00_3396)));
		}

	}



/* sfun/Ginfo-G?-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Ginfozd2Gzf3zd2setz12z13zzglobaliza7e_ginfoza7(BgL_sfunz00_bglt
		BgL_oz00_104, bool_t BgL_vz00_105)
	{
		{	/* Globalize/ginfo.sch 266 */
			{
				BgL_sfunzf2ginfozf2_bglt BgL_auxz00_5207;

				{
					obj_t BgL_auxz00_5208;

					{	/* Globalize/ginfo.sch 266 */
						BgL_objectz00_bglt BgL_tmpz00_5209;

						BgL_tmpz00_5209 = ((BgL_objectz00_bglt) BgL_oz00_104);
						BgL_auxz00_5208 = BGL_OBJECT_WIDENING(BgL_tmpz00_5209);
					}
					BgL_auxz00_5207 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_5208);
				}
				return
					((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_5207))->
						BgL_gzf3zf3) = ((bool_t) BgL_vz00_105), BUNSPEC);
			}
		}

	}



/* &sfun/Ginfo-G?-set! */
	obj_t BGl_z62sfunzf2Ginfozd2Gzf3zd2setz12z71zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3397, obj_t BgL_oz00_3398, obj_t BgL_vz00_3399)
	{
		{	/* Globalize/ginfo.sch 266 */
			return
				BGl_sfunzf2Ginfozd2Gzf3zd2setz12z13zzglobaliza7e_ginfoza7(
				((BgL_sfunz00_bglt) BgL_oz00_3398), CBOOL(BgL_vz00_3399));
		}

	}



/* sfun/Ginfo-stackable */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Ginfozd2stackablez20zzglobaliza7e_ginfoza7(BgL_sfunz00_bglt
		BgL_oz00_106)
	{
		{	/* Globalize/ginfo.sch 267 */
			return
				(((BgL_sfunz00_bglt) COBJECT(
						((BgL_sfunz00_bglt) BgL_oz00_106)))->BgL_stackablez00);
		}

	}



/* &sfun/Ginfo-stackable */
	obj_t BGl_z62sfunzf2Ginfozd2stackablez42zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3400, obj_t BgL_oz00_3401)
	{
		{	/* Globalize/ginfo.sch 267 */
			return
				BGl_sfunzf2Ginfozd2stackablez20zzglobaliza7e_ginfoza7(
				((BgL_sfunz00_bglt) BgL_oz00_3401));
		}

	}



/* sfun/Ginfo-stackable-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Ginfozd2stackablezd2setz12ze0zzglobaliza7e_ginfoza7
		(BgL_sfunz00_bglt BgL_oz00_107, obj_t BgL_vz00_108)
	{
		{	/* Globalize/ginfo.sch 268 */
			return
				((((BgL_sfunz00_bglt) COBJECT(
							((BgL_sfunz00_bglt) BgL_oz00_107)))->BgL_stackablez00) =
				((obj_t) BgL_vz00_108), BUNSPEC);
		}

	}



/* &sfun/Ginfo-stackable-set! */
	obj_t BGl_z62sfunzf2Ginfozd2stackablezd2setz12z82zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3402, obj_t BgL_oz00_3403, obj_t BgL_vz00_3404)
	{
		{	/* Globalize/ginfo.sch 268 */
			return
				BGl_sfunzf2Ginfozd2stackablezd2setz12ze0zzglobaliza7e_ginfoza7(
				((BgL_sfunz00_bglt) BgL_oz00_3403), BgL_vz00_3404);
		}

	}



/* sfun/Ginfo-strength */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Ginfozd2strengthz20zzglobaliza7e_ginfoza7(BgL_sfunz00_bglt
		BgL_oz00_109)
	{
		{	/* Globalize/ginfo.sch 269 */
			return
				(((BgL_sfunz00_bglt) COBJECT(
						((BgL_sfunz00_bglt) BgL_oz00_109)))->BgL_strengthz00);
		}

	}



/* &sfun/Ginfo-strength */
	obj_t BGl_z62sfunzf2Ginfozd2strengthz42zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3405, obj_t BgL_oz00_3406)
	{
		{	/* Globalize/ginfo.sch 269 */
			return
				BGl_sfunzf2Ginfozd2strengthz20zzglobaliza7e_ginfoza7(
				((BgL_sfunz00_bglt) BgL_oz00_3406));
		}

	}



/* sfun/Ginfo-strength-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Ginfozd2strengthzd2setz12ze0zzglobaliza7e_ginfoza7
		(BgL_sfunz00_bglt BgL_oz00_110, obj_t BgL_vz00_111)
	{
		{	/* Globalize/ginfo.sch 270 */
			return
				((((BgL_sfunz00_bglt) COBJECT(
							((BgL_sfunz00_bglt) BgL_oz00_110)))->BgL_strengthz00) =
				((obj_t) BgL_vz00_111), BUNSPEC);
		}

	}



/* &sfun/Ginfo-strength-set! */
	obj_t BGl_z62sfunzf2Ginfozd2strengthzd2setz12z82zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3407, obj_t BgL_oz00_3408, obj_t BgL_vz00_3409)
	{
		{	/* Globalize/ginfo.sch 270 */
			return
				BGl_sfunzf2Ginfozd2strengthzd2setz12ze0zzglobaliza7e_ginfoza7(
				((BgL_sfunz00_bglt) BgL_oz00_3408), BgL_vz00_3409);
		}

	}



/* sfun/Ginfo-the-closure-global */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Ginfozd2thezd2closurezd2globalz20zzglobaliza7e_ginfoza7
		(BgL_sfunz00_bglt BgL_oz00_112)
	{
		{	/* Globalize/ginfo.sch 271 */
			return
				(((BgL_sfunz00_bglt) COBJECT(
						((BgL_sfunz00_bglt) BgL_oz00_112)))->BgL_thezd2closurezd2globalz00);
		}

	}



/* &sfun/Ginfo-the-closure-global */
	obj_t
		BGl_z62sfunzf2Ginfozd2thezd2closurezd2globalz42zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3410, obj_t BgL_oz00_3411)
	{
		{	/* Globalize/ginfo.sch 271 */
			return
				BGl_sfunzf2Ginfozd2thezd2closurezd2globalz20zzglobaliza7e_ginfoza7(
				((BgL_sfunz00_bglt) BgL_oz00_3411));
		}

	}



/* sfun/Ginfo-the-closure-global-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Ginfozd2thezd2closurezd2globalzd2setz12ze0zzglobaliza7e_ginfoza7
		(BgL_sfunz00_bglt BgL_oz00_113, obj_t BgL_vz00_114)
	{
		{	/* Globalize/ginfo.sch 272 */
			return
				((((BgL_sfunz00_bglt) COBJECT(
							((BgL_sfunz00_bglt) BgL_oz00_113)))->
					BgL_thezd2closurezd2globalz00) = ((obj_t) BgL_vz00_114), BUNSPEC);
		}

	}



/* &sfun/Ginfo-the-closure-global-set! */
	obj_t
		BGl_z62sfunzf2Ginfozd2thezd2closurezd2globalzd2setz12z82zzglobaliza7e_ginfoza7
		(obj_t BgL_envz00_3412, obj_t BgL_oz00_3413, obj_t BgL_vz00_3414)
	{
		{	/* Globalize/ginfo.sch 272 */
			return
				BGl_sfunzf2Ginfozd2thezd2closurezd2globalzd2setz12ze0zzglobaliza7e_ginfoza7
				(((BgL_sfunz00_bglt) BgL_oz00_3413), BgL_vz00_3414);
		}

	}



/* sfun/Ginfo-keys */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Ginfozd2keysz20zzglobaliza7e_ginfoza7(BgL_sfunz00_bglt
		BgL_oz00_115)
	{
		{	/* Globalize/ginfo.sch 273 */
			return
				(((BgL_sfunz00_bglt) COBJECT(
						((BgL_sfunz00_bglt) BgL_oz00_115)))->BgL_keysz00);
		}

	}



/* &sfun/Ginfo-keys */
	obj_t BGl_z62sfunzf2Ginfozd2keysz42zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3415, obj_t BgL_oz00_3416)
	{
		{	/* Globalize/ginfo.sch 273 */
			return
				BGl_sfunzf2Ginfozd2keysz20zzglobaliza7e_ginfoza7(
				((BgL_sfunz00_bglt) BgL_oz00_3416));
		}

	}



/* sfun/Ginfo-optionals */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Ginfozd2optionalsz20zzglobaliza7e_ginfoza7(BgL_sfunz00_bglt
		BgL_oz00_118)
	{
		{	/* Globalize/ginfo.sch 275 */
			return
				(((BgL_sfunz00_bglt) COBJECT(
						((BgL_sfunz00_bglt) BgL_oz00_118)))->BgL_optionalsz00);
		}

	}



/* &sfun/Ginfo-optionals */
	obj_t BGl_z62sfunzf2Ginfozd2optionalsz42zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3417, obj_t BgL_oz00_3418)
	{
		{	/* Globalize/ginfo.sch 275 */
			return
				BGl_sfunzf2Ginfozd2optionalsz20zzglobaliza7e_ginfoza7(
				((BgL_sfunz00_bglt) BgL_oz00_3418));
		}

	}



/* sfun/Ginfo-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Ginfozd2locz20zzglobaliza7e_ginfoza7(BgL_sfunz00_bglt
		BgL_oz00_121)
	{
		{	/* Globalize/ginfo.sch 277 */
			return
				(((BgL_sfunz00_bglt) COBJECT(
						((BgL_sfunz00_bglt) BgL_oz00_121)))->BgL_locz00);
		}

	}



/* &sfun/Ginfo-loc */
	obj_t BGl_z62sfunzf2Ginfozd2locz42zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3419, obj_t BgL_oz00_3420)
	{
		{	/* Globalize/ginfo.sch 277 */
			return
				BGl_sfunzf2Ginfozd2locz20zzglobaliza7e_ginfoza7(
				((BgL_sfunz00_bglt) BgL_oz00_3420));
		}

	}



/* sfun/Ginfo-loc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Ginfozd2loczd2setz12ze0zzglobaliza7e_ginfoza7(BgL_sfunz00_bglt
		BgL_oz00_122, obj_t BgL_vz00_123)
	{
		{	/* Globalize/ginfo.sch 278 */
			return
				((((BgL_sfunz00_bglt) COBJECT(
							((BgL_sfunz00_bglt) BgL_oz00_122)))->BgL_locz00) =
				((obj_t) BgL_vz00_123), BUNSPEC);
		}

	}



/* &sfun/Ginfo-loc-set! */
	obj_t BGl_z62sfunzf2Ginfozd2loczd2setz12z82zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3421, obj_t BgL_oz00_3422, obj_t BgL_vz00_3423)
	{
		{	/* Globalize/ginfo.sch 278 */
			return
				BGl_sfunzf2Ginfozd2loczd2setz12ze0zzglobaliza7e_ginfoza7(
				((BgL_sfunz00_bglt) BgL_oz00_3422), BgL_vz00_3423);
		}

	}



/* sfun/Ginfo-dsssl-keywords */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Ginfozd2dssslzd2keywordszf2zzglobaliza7e_ginfoza7
		(BgL_sfunz00_bglt BgL_oz00_124)
	{
		{	/* Globalize/ginfo.sch 279 */
			return
				(((BgL_sfunz00_bglt) COBJECT(
						((BgL_sfunz00_bglt) BgL_oz00_124)))->BgL_dssslzd2keywordszd2);
		}

	}



/* &sfun/Ginfo-dsssl-keywords */
	obj_t BGl_z62sfunzf2Ginfozd2dssslzd2keywordsz90zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3424, obj_t BgL_oz00_3425)
	{
		{	/* Globalize/ginfo.sch 279 */
			return
				BGl_sfunzf2Ginfozd2dssslzd2keywordszf2zzglobaliza7e_ginfoza7(
				((BgL_sfunz00_bglt) BgL_oz00_3425));
		}

	}



/* sfun/Ginfo-dsssl-keywords-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Ginfozd2dssslzd2keywordszd2setz12z32zzglobaliza7e_ginfoza7
		(BgL_sfunz00_bglt BgL_oz00_125, obj_t BgL_vz00_126)
	{
		{	/* Globalize/ginfo.sch 280 */
			return
				((((BgL_sfunz00_bglt) COBJECT(
							((BgL_sfunz00_bglt) BgL_oz00_125)))->BgL_dssslzd2keywordszd2) =
				((obj_t) BgL_vz00_126), BUNSPEC);
		}

	}



/* &sfun/Ginfo-dsssl-keywords-set! */
	obj_t
		BGl_z62sfunzf2Ginfozd2dssslzd2keywordszd2setz12z50zzglobaliza7e_ginfoza7
		(obj_t BgL_envz00_3426, obj_t BgL_oz00_3427, obj_t BgL_vz00_3428)
	{
		{	/* Globalize/ginfo.sch 280 */
			return
				BGl_sfunzf2Ginfozd2dssslzd2keywordszd2setz12z32zzglobaliza7e_ginfoza7(
				((BgL_sfunz00_bglt) BgL_oz00_3427), BgL_vz00_3428);
		}

	}



/* sfun/Ginfo-class */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Ginfozd2classz20zzglobaliza7e_ginfoza7(BgL_sfunz00_bglt
		BgL_oz00_127)
	{
		{	/* Globalize/ginfo.sch 281 */
			return
				(((BgL_sfunz00_bglt) COBJECT(
						((BgL_sfunz00_bglt) BgL_oz00_127)))->BgL_classz00);
		}

	}



/* &sfun/Ginfo-class */
	obj_t BGl_z62sfunzf2Ginfozd2classz42zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3429, obj_t BgL_oz00_3430)
	{
		{	/* Globalize/ginfo.sch 281 */
			return
				BGl_sfunzf2Ginfozd2classz20zzglobaliza7e_ginfoza7(
				((BgL_sfunz00_bglt) BgL_oz00_3430));
		}

	}



/* sfun/Ginfo-class-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Ginfozd2classzd2setz12ze0zzglobaliza7e_ginfoza7(BgL_sfunz00_bglt
		BgL_oz00_128, obj_t BgL_vz00_129)
	{
		{	/* Globalize/ginfo.sch 282 */
			return
				((((BgL_sfunz00_bglt) COBJECT(
							((BgL_sfunz00_bglt) BgL_oz00_128)))->BgL_classz00) =
				((obj_t) BgL_vz00_129), BUNSPEC);
		}

	}



/* &sfun/Ginfo-class-set! */
	obj_t BGl_z62sfunzf2Ginfozd2classzd2setz12z82zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3431, obj_t BgL_oz00_3432, obj_t BgL_vz00_3433)
	{
		{	/* Globalize/ginfo.sch 282 */
			return
				BGl_sfunzf2Ginfozd2classzd2setz12ze0zzglobaliza7e_ginfoza7(
				((BgL_sfunz00_bglt) BgL_oz00_3432), BgL_vz00_3433);
		}

	}



/* sfun/Ginfo-body */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Ginfozd2bodyz20zzglobaliza7e_ginfoza7(BgL_sfunz00_bglt
		BgL_oz00_130)
	{
		{	/* Globalize/ginfo.sch 283 */
			return
				(((BgL_sfunz00_bglt) COBJECT(
						((BgL_sfunz00_bglt) BgL_oz00_130)))->BgL_bodyz00);
		}

	}



/* &sfun/Ginfo-body */
	obj_t BGl_z62sfunzf2Ginfozd2bodyz42zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3434, obj_t BgL_oz00_3435)
	{
		{	/* Globalize/ginfo.sch 283 */
			return
				BGl_sfunzf2Ginfozd2bodyz20zzglobaliza7e_ginfoza7(
				((BgL_sfunz00_bglt) BgL_oz00_3435));
		}

	}



/* sfun/Ginfo-body-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Ginfozd2bodyzd2setz12ze0zzglobaliza7e_ginfoza7(BgL_sfunz00_bglt
		BgL_oz00_131, obj_t BgL_vz00_132)
	{
		{	/* Globalize/ginfo.sch 284 */
			return
				((((BgL_sfunz00_bglt) COBJECT(
							((BgL_sfunz00_bglt) BgL_oz00_131)))->BgL_bodyz00) =
				((obj_t) BgL_vz00_132), BUNSPEC);
		}

	}



/* &sfun/Ginfo-body-set! */
	obj_t BGl_z62sfunzf2Ginfozd2bodyzd2setz12z82zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3436, obj_t BgL_oz00_3437, obj_t BgL_vz00_3438)
	{
		{	/* Globalize/ginfo.sch 284 */
			return
				BGl_sfunzf2Ginfozd2bodyzd2setz12ze0zzglobaliza7e_ginfoza7(
				((BgL_sfunz00_bglt) BgL_oz00_3437), BgL_vz00_3438);
		}

	}



/* sfun/Ginfo-args-name */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Ginfozd2argszd2namezf2zzglobaliza7e_ginfoza7(BgL_sfunz00_bglt
		BgL_oz00_133)
	{
		{	/* Globalize/ginfo.sch 285 */
			return
				(((BgL_sfunz00_bglt) COBJECT(
						((BgL_sfunz00_bglt) BgL_oz00_133)))->BgL_argszd2namezd2);
		}

	}



/* &sfun/Ginfo-args-name */
	obj_t BGl_z62sfunzf2Ginfozd2argszd2namez90zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3439, obj_t BgL_oz00_3440)
	{
		{	/* Globalize/ginfo.sch 285 */
			return
				BGl_sfunzf2Ginfozd2argszd2namezf2zzglobaliza7e_ginfoza7(
				((BgL_sfunz00_bglt) BgL_oz00_3440));
		}

	}



/* sfun/Ginfo-args */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Ginfozd2argsz20zzglobaliza7e_ginfoza7(BgL_sfunz00_bglt
		BgL_oz00_136)
	{
		{	/* Globalize/ginfo.sch 287 */
			return
				(((BgL_sfunz00_bglt) COBJECT(
						((BgL_sfunz00_bglt) BgL_oz00_136)))->BgL_argsz00);
		}

	}



/* &sfun/Ginfo-args */
	obj_t BGl_z62sfunzf2Ginfozd2argsz42zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3441, obj_t BgL_oz00_3442)
	{
		{	/* Globalize/ginfo.sch 287 */
			return
				BGl_sfunzf2Ginfozd2argsz20zzglobaliza7e_ginfoza7(
				((BgL_sfunz00_bglt) BgL_oz00_3442));
		}

	}



/* sfun/Ginfo-args-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Ginfozd2argszd2setz12ze0zzglobaliza7e_ginfoza7(BgL_sfunz00_bglt
		BgL_oz00_137, obj_t BgL_vz00_138)
	{
		{	/* Globalize/ginfo.sch 288 */
			return
				((((BgL_sfunz00_bglt) COBJECT(
							((BgL_sfunz00_bglt) BgL_oz00_137)))->BgL_argsz00) =
				((obj_t) BgL_vz00_138), BUNSPEC);
		}

	}



/* &sfun/Ginfo-args-set! */
	obj_t BGl_z62sfunzf2Ginfozd2argszd2setz12z82zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3443, obj_t BgL_oz00_3444, obj_t BgL_vz00_3445)
	{
		{	/* Globalize/ginfo.sch 288 */
			return
				BGl_sfunzf2Ginfozd2argszd2setz12ze0zzglobaliza7e_ginfoza7(
				((BgL_sfunz00_bglt) BgL_oz00_3444), BgL_vz00_3445);
		}

	}



/* sfun/Ginfo-property */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Ginfozd2propertyz20zzglobaliza7e_ginfoza7(BgL_sfunz00_bglt
		BgL_oz00_139)
	{
		{	/* Globalize/ginfo.sch 289 */
			return
				(((BgL_sfunz00_bglt) COBJECT(
						((BgL_sfunz00_bglt) BgL_oz00_139)))->BgL_propertyz00);
		}

	}



/* &sfun/Ginfo-property */
	obj_t BGl_z62sfunzf2Ginfozd2propertyz42zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3446, obj_t BgL_oz00_3447)
	{
		{	/* Globalize/ginfo.sch 289 */
			return
				BGl_sfunzf2Ginfozd2propertyz20zzglobaliza7e_ginfoza7(
				((BgL_sfunz00_bglt) BgL_oz00_3447));
		}

	}



/* sfun/Ginfo-property-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Ginfozd2propertyzd2setz12ze0zzglobaliza7e_ginfoza7
		(BgL_sfunz00_bglt BgL_oz00_140, obj_t BgL_vz00_141)
	{
		{	/* Globalize/ginfo.sch 290 */
			return
				((((BgL_sfunz00_bglt) COBJECT(
							((BgL_sfunz00_bglt) BgL_oz00_140)))->BgL_propertyz00) =
				((obj_t) BgL_vz00_141), BUNSPEC);
		}

	}



/* &sfun/Ginfo-property-set! */
	obj_t BGl_z62sfunzf2Ginfozd2propertyzd2setz12z82zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3448, obj_t BgL_oz00_3449, obj_t BgL_vz00_3450)
	{
		{	/* Globalize/ginfo.sch 290 */
			return
				BGl_sfunzf2Ginfozd2propertyzd2setz12ze0zzglobaliza7e_ginfoza7(
				((BgL_sfunz00_bglt) BgL_oz00_3449), BgL_vz00_3450);
		}

	}



/* sfun/Ginfo-args-retescape */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Ginfozd2argszd2retescapezf2zzglobaliza7e_ginfoza7
		(BgL_sfunz00_bglt BgL_oz00_142)
	{
		{	/* Globalize/ginfo.sch 291 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_142)))->BgL_argszd2retescapezd2);
		}

	}



/* &sfun/Ginfo-args-retescape */
	obj_t BGl_z62sfunzf2Ginfozd2argszd2retescapez90zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3451, obj_t BgL_oz00_3452)
	{
		{	/* Globalize/ginfo.sch 291 */
			return
				BGl_sfunzf2Ginfozd2argszd2retescapezf2zzglobaliza7e_ginfoza7(
				((BgL_sfunz00_bglt) BgL_oz00_3452));
		}

	}



/* sfun/Ginfo-args-retescape-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Ginfozd2argszd2retescapezd2setz12z32zzglobaliza7e_ginfoza7
		(BgL_sfunz00_bglt BgL_oz00_143, obj_t BgL_vz00_144)
	{
		{	/* Globalize/ginfo.sch 292 */
			return
				((((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt) BgL_oz00_143)))->BgL_argszd2retescapezd2) =
				((obj_t) BgL_vz00_144), BUNSPEC);
		}

	}



/* &sfun/Ginfo-args-retescape-set! */
	obj_t
		BGl_z62sfunzf2Ginfozd2argszd2retescapezd2setz12z50zzglobaliza7e_ginfoza7
		(obj_t BgL_envz00_3453, obj_t BgL_oz00_3454, obj_t BgL_vz00_3455)
	{
		{	/* Globalize/ginfo.sch 292 */
			return
				BGl_sfunzf2Ginfozd2argszd2retescapezd2setz12z32zzglobaliza7e_ginfoza7(
				((BgL_sfunz00_bglt) BgL_oz00_3454), BgL_vz00_3455);
		}

	}



/* sfun/Ginfo-args-noescape */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Ginfozd2argszd2noescapezf2zzglobaliza7e_ginfoza7(BgL_sfunz00_bglt
		BgL_oz00_145)
	{
		{	/* Globalize/ginfo.sch 293 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_145)))->BgL_argszd2noescapezd2);
		}

	}



/* &sfun/Ginfo-args-noescape */
	obj_t BGl_z62sfunzf2Ginfozd2argszd2noescapez90zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3456, obj_t BgL_oz00_3457)
	{
		{	/* Globalize/ginfo.sch 293 */
			return
				BGl_sfunzf2Ginfozd2argszd2noescapezf2zzglobaliza7e_ginfoza7(
				((BgL_sfunz00_bglt) BgL_oz00_3457));
		}

	}



/* sfun/Ginfo-args-noescape-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Ginfozd2argszd2noescapezd2setz12z32zzglobaliza7e_ginfoza7
		(BgL_sfunz00_bglt BgL_oz00_146, obj_t BgL_vz00_147)
	{
		{	/* Globalize/ginfo.sch 294 */
			return
				((((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt) BgL_oz00_146)))->BgL_argszd2noescapezd2) =
				((obj_t) BgL_vz00_147), BUNSPEC);
		}

	}



/* &sfun/Ginfo-args-noescape-set! */
	obj_t
		BGl_z62sfunzf2Ginfozd2argszd2noescapezd2setz12z50zzglobaliza7e_ginfoza7
		(obj_t BgL_envz00_3458, obj_t BgL_oz00_3459, obj_t BgL_vz00_3460)
	{
		{	/* Globalize/ginfo.sch 294 */
			return
				BGl_sfunzf2Ginfozd2argszd2noescapezd2setz12z32zzglobaliza7e_ginfoza7(
				((BgL_sfunz00_bglt) BgL_oz00_3459), BgL_vz00_3460);
		}

	}



/* sfun/Ginfo-failsafe */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Ginfozd2failsafez20zzglobaliza7e_ginfoza7(BgL_sfunz00_bglt
		BgL_oz00_148)
	{
		{	/* Globalize/ginfo.sch 295 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_148)))->BgL_failsafez00);
		}

	}



/* &sfun/Ginfo-failsafe */
	obj_t BGl_z62sfunzf2Ginfozd2failsafez42zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3461, obj_t BgL_oz00_3462)
	{
		{	/* Globalize/ginfo.sch 295 */
			return
				BGl_sfunzf2Ginfozd2failsafez20zzglobaliza7e_ginfoza7(
				((BgL_sfunz00_bglt) BgL_oz00_3462));
		}

	}



/* sfun/Ginfo-failsafe-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Ginfozd2failsafezd2setz12ze0zzglobaliza7e_ginfoza7
		(BgL_sfunz00_bglt BgL_oz00_149, obj_t BgL_vz00_150)
	{
		{	/* Globalize/ginfo.sch 296 */
			return
				((((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt) BgL_oz00_149)))->BgL_failsafez00) =
				((obj_t) BgL_vz00_150), BUNSPEC);
		}

	}



/* &sfun/Ginfo-failsafe-set! */
	obj_t BGl_z62sfunzf2Ginfozd2failsafezd2setz12z82zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3463, obj_t BgL_oz00_3464, obj_t BgL_vz00_3465)
	{
		{	/* Globalize/ginfo.sch 296 */
			return
				BGl_sfunzf2Ginfozd2failsafezd2setz12ze0zzglobaliza7e_ginfoza7(
				((BgL_sfunz00_bglt) BgL_oz00_3464), BgL_vz00_3465);
		}

	}



/* sfun/Ginfo-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Ginfozd2effectz20zzglobaliza7e_ginfoza7(BgL_sfunz00_bglt
		BgL_oz00_151)
	{
		{	/* Globalize/ginfo.sch 297 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_151)))->BgL_effectz00);
		}

	}



/* &sfun/Ginfo-effect */
	obj_t BGl_z62sfunzf2Ginfozd2effectz42zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3466, obj_t BgL_oz00_3467)
	{
		{	/* Globalize/ginfo.sch 297 */
			return
				BGl_sfunzf2Ginfozd2effectz20zzglobaliza7e_ginfoza7(
				((BgL_sfunz00_bglt) BgL_oz00_3467));
		}

	}



/* sfun/Ginfo-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Ginfozd2effectzd2setz12ze0zzglobaliza7e_ginfoza7(BgL_sfunz00_bglt
		BgL_oz00_152, obj_t BgL_vz00_153)
	{
		{	/* Globalize/ginfo.sch 298 */
			return
				((((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt) BgL_oz00_152)))->BgL_effectz00) =
				((obj_t) BgL_vz00_153), BUNSPEC);
		}

	}



/* &sfun/Ginfo-effect-set! */
	obj_t BGl_z62sfunzf2Ginfozd2effectzd2setz12z82zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3468, obj_t BgL_oz00_3469, obj_t BgL_vz00_3470)
	{
		{	/* Globalize/ginfo.sch 298 */
			return
				BGl_sfunzf2Ginfozd2effectzd2setz12ze0zzglobaliza7e_ginfoza7(
				((BgL_sfunz00_bglt) BgL_oz00_3469), BgL_vz00_3470);
		}

	}



/* sfun/Ginfo-the-closure */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Ginfozd2thezd2closurezf2zzglobaliza7e_ginfoza7(BgL_sfunz00_bglt
		BgL_oz00_154)
	{
		{	/* Globalize/ginfo.sch 299 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_154)))->BgL_thezd2closurezd2);
		}

	}



/* &sfun/Ginfo-the-closure */
	obj_t BGl_z62sfunzf2Ginfozd2thezd2closurez90zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3471, obj_t BgL_oz00_3472)
	{
		{	/* Globalize/ginfo.sch 299 */
			return
				BGl_sfunzf2Ginfozd2thezd2closurezf2zzglobaliza7e_ginfoza7(
				((BgL_sfunz00_bglt) BgL_oz00_3472));
		}

	}



/* sfun/Ginfo-the-closure-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Ginfozd2thezd2closurezd2setz12z32zzglobaliza7e_ginfoza7
		(BgL_sfunz00_bglt BgL_oz00_155, obj_t BgL_vz00_156)
	{
		{	/* Globalize/ginfo.sch 300 */
			return
				((((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt) BgL_oz00_155)))->BgL_thezd2closurezd2) =
				((obj_t) BgL_vz00_156), BUNSPEC);
		}

	}



/* &sfun/Ginfo-the-closure-set! */
	obj_t
		BGl_z62sfunzf2Ginfozd2thezd2closurezd2setz12z50zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3473, obj_t BgL_oz00_3474, obj_t BgL_vz00_3475)
	{
		{	/* Globalize/ginfo.sch 300 */
			return
				BGl_sfunzf2Ginfozd2thezd2closurezd2setz12z32zzglobaliza7e_ginfoza7(
				((BgL_sfunz00_bglt) BgL_oz00_3474), BgL_vz00_3475);
		}

	}



/* sfun/Ginfo-top? */
	BGL_EXPORTED_DEF bool_t
		BGl_sfunzf2Ginfozd2topzf3zd3zzglobaliza7e_ginfoza7(BgL_sfunz00_bglt
		BgL_oz00_157)
	{
		{	/* Globalize/ginfo.sch 301 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_157)))->BgL_topzf3zf3);
		}

	}



/* &sfun/Ginfo-top? */
	obj_t BGl_z62sfunzf2Ginfozd2topzf3zb1zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3476, obj_t BgL_oz00_3477)
	{
		{	/* Globalize/ginfo.sch 301 */
			return
				BBOOL(BGl_sfunzf2Ginfozd2topzf3zd3zzglobaliza7e_ginfoza7(
					((BgL_sfunz00_bglt) BgL_oz00_3477)));
		}

	}



/* sfun/Ginfo-top?-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Ginfozd2topzf3zd2setz12z13zzglobaliza7e_ginfoza7(BgL_sfunz00_bglt
		BgL_oz00_158, bool_t BgL_vz00_159)
	{
		{	/* Globalize/ginfo.sch 302 */
			return
				((((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt) BgL_oz00_158)))->BgL_topzf3zf3) =
				((bool_t) BgL_vz00_159), BUNSPEC);
		}

	}



/* &sfun/Ginfo-top?-set! */
	obj_t BGl_z62sfunzf2Ginfozd2topzf3zd2setz12z71zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3478, obj_t BgL_oz00_3479, obj_t BgL_vz00_3480)
	{
		{	/* Globalize/ginfo.sch 302 */
			return
				BGl_sfunzf2Ginfozd2topzf3zd2setz12z13zzglobaliza7e_ginfoza7(
				((BgL_sfunz00_bglt) BgL_oz00_3479), CBOOL(BgL_vz00_3480));
		}

	}



/* sfun/Ginfo-stack-allocator */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Ginfozd2stackzd2allocatorzf2zzglobaliza7e_ginfoza7
		(BgL_sfunz00_bglt BgL_oz00_160)
	{
		{	/* Globalize/ginfo.sch 303 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_160)))->BgL_stackzd2allocatorzd2);
		}

	}



/* &sfun/Ginfo-stack-allocator */
	obj_t BGl_z62sfunzf2Ginfozd2stackzd2allocatorz90zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3481, obj_t BgL_oz00_3482)
	{
		{	/* Globalize/ginfo.sch 303 */
			return
				BGl_sfunzf2Ginfozd2stackzd2allocatorzf2zzglobaliza7e_ginfoza7(
				((BgL_sfunz00_bglt) BgL_oz00_3482));
		}

	}



/* sfun/Ginfo-stack-allocator-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Ginfozd2stackzd2allocatorzd2setz12z32zzglobaliza7e_ginfoza7
		(BgL_sfunz00_bglt BgL_oz00_161, obj_t BgL_vz00_162)
	{
		{	/* Globalize/ginfo.sch 304 */
			return
				((((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt) BgL_oz00_161)))->BgL_stackzd2allocatorzd2) =
				((obj_t) BgL_vz00_162), BUNSPEC);
		}

	}



/* &sfun/Ginfo-stack-allocator-set! */
	obj_t
		BGl_z62sfunzf2Ginfozd2stackzd2allocatorzd2setz12z50zzglobaliza7e_ginfoza7
		(obj_t BgL_envz00_3483, obj_t BgL_oz00_3484, obj_t BgL_vz00_3485)
	{
		{	/* Globalize/ginfo.sch 304 */
			return
				BGl_sfunzf2Ginfozd2stackzd2allocatorzd2setz12z32zzglobaliza7e_ginfoza7(
				((BgL_sfunz00_bglt) BgL_oz00_3484), BgL_vz00_3485);
		}

	}



/* sfun/Ginfo-predicate-of */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Ginfozd2predicatezd2ofzf2zzglobaliza7e_ginfoza7(BgL_sfunz00_bglt
		BgL_oz00_163)
	{
		{	/* Globalize/ginfo.sch 305 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_163)))->BgL_predicatezd2ofzd2);
		}

	}



/* &sfun/Ginfo-predicate-of */
	obj_t BGl_z62sfunzf2Ginfozd2predicatezd2ofz90zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3486, obj_t BgL_oz00_3487)
	{
		{	/* Globalize/ginfo.sch 305 */
			return
				BGl_sfunzf2Ginfozd2predicatezd2ofzf2zzglobaliza7e_ginfoza7(
				((BgL_sfunz00_bglt) BgL_oz00_3487));
		}

	}



/* sfun/Ginfo-predicate-of-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Ginfozd2predicatezd2ofzd2setz12z32zzglobaliza7e_ginfoza7
		(BgL_sfunz00_bglt BgL_oz00_164, obj_t BgL_vz00_165)
	{
		{	/* Globalize/ginfo.sch 306 */
			return
				((((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt) BgL_oz00_164)))->BgL_predicatezd2ofzd2) =
				((obj_t) BgL_vz00_165), BUNSPEC);
		}

	}



/* &sfun/Ginfo-predicate-of-set! */
	obj_t
		BGl_z62sfunzf2Ginfozd2predicatezd2ofzd2setz12z50zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3488, obj_t BgL_oz00_3489, obj_t BgL_vz00_3490)
	{
		{	/* Globalize/ginfo.sch 306 */
			return
				BGl_sfunzf2Ginfozd2predicatezd2ofzd2setz12z32zzglobaliza7e_ginfoza7(
				((BgL_sfunz00_bglt) BgL_oz00_3489), BgL_vz00_3490);
		}

	}



/* sfun/Ginfo-side-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Ginfozd2sidezd2effectzf2zzglobaliza7e_ginfoza7(BgL_sfunz00_bglt
		BgL_oz00_166)
	{
		{	/* Globalize/ginfo.sch 307 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_166)))->BgL_sidezd2effectzd2);
		}

	}



/* &sfun/Ginfo-side-effect */
	obj_t BGl_z62sfunzf2Ginfozd2sidezd2effectz90zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3491, obj_t BgL_oz00_3492)
	{
		{	/* Globalize/ginfo.sch 307 */
			return
				BGl_sfunzf2Ginfozd2sidezd2effectzf2zzglobaliza7e_ginfoza7(
				((BgL_sfunz00_bglt) BgL_oz00_3492));
		}

	}



/* sfun/Ginfo-side-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Ginfozd2sidezd2effectzd2setz12z32zzglobaliza7e_ginfoza7
		(BgL_sfunz00_bglt BgL_oz00_167, obj_t BgL_vz00_168)
	{
		{	/* Globalize/ginfo.sch 308 */
			return
				((((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt) BgL_oz00_167)))->BgL_sidezd2effectzd2) =
				((obj_t) BgL_vz00_168), BUNSPEC);
		}

	}



/* &sfun/Ginfo-side-effect-set! */
	obj_t
		BGl_z62sfunzf2Ginfozd2sidezd2effectzd2setz12z50zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3493, obj_t BgL_oz00_3494, obj_t BgL_vz00_3495)
	{
		{	/* Globalize/ginfo.sch 308 */
			return
				BGl_sfunzf2Ginfozd2sidezd2effectzd2setz12z32zzglobaliza7e_ginfoza7(
				((BgL_sfunz00_bglt) BgL_oz00_3494), BgL_vz00_3495);
		}

	}



/* sfun/Ginfo-arity */
	BGL_EXPORTED_DEF long
		BGl_sfunzf2Ginfozd2arityz20zzglobaliza7e_ginfoza7(BgL_sfunz00_bglt
		BgL_oz00_169)
	{
		{	/* Globalize/ginfo.sch 309 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_169)))->BgL_arityz00);
		}

	}



/* &sfun/Ginfo-arity */
	obj_t BGl_z62sfunzf2Ginfozd2arityz42zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3496, obj_t BgL_oz00_3497)
	{
		{	/* Globalize/ginfo.sch 309 */
			return
				BINT(BGl_sfunzf2Ginfozd2arityz20zzglobaliza7e_ginfoza7(
					((BgL_sfunz00_bglt) BgL_oz00_3497)));
		}

	}



/* make-svar/Ginfo */
	BGL_EXPORTED_DEF BgL_svarz00_bglt
		BGl_makezd2svarzf2Ginfoz20zzglobaliza7e_ginfoza7(obj_t BgL_loc1270z00_172,
		bool_t BgL_kapturedzf31271zf3_173, long BgL_freezd2mark1272zd2_174,
		long BgL_mark1273z00_175, bool_t BgL_celledzf31274zf3_176,
		bool_t BgL_stackable1275z00_177)
	{
		{	/* Globalize/ginfo.sch 313 */
			{	/* Globalize/ginfo.sch 313 */
				BgL_svarz00_bglt BgL_new1230z00_4274;

				{	/* Globalize/ginfo.sch 313 */
					BgL_svarz00_bglt BgL_tmp1228z00_4275;
					BgL_svarzf2ginfozf2_bglt BgL_wide1229z00_4276;

					{
						BgL_svarz00_bglt BgL_auxz00_5380;

						{	/* Globalize/ginfo.sch 313 */
							BgL_svarz00_bglt BgL_new1227z00_4277;

							BgL_new1227z00_4277 =
								((BgL_svarz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_svarz00_bgl))));
							{	/* Globalize/ginfo.sch 313 */
								long BgL_arg1414z00_4278;

								BgL_arg1414z00_4278 = BGL_CLASS_NUM(BGl_svarz00zzast_varz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1227z00_4277),
									BgL_arg1414z00_4278);
							}
							{	/* Globalize/ginfo.sch 313 */
								BgL_objectz00_bglt BgL_tmpz00_5385;

								BgL_tmpz00_5385 = ((BgL_objectz00_bglt) BgL_new1227z00_4277);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5385, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1227z00_4277);
							BgL_auxz00_5380 = BgL_new1227z00_4277;
						}
						BgL_tmp1228z00_4275 = ((BgL_svarz00_bglt) BgL_auxz00_5380);
					}
					BgL_wide1229z00_4276 =
						((BgL_svarzf2ginfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_svarzf2ginfozf2_bgl))));
					{	/* Globalize/ginfo.sch 313 */
						obj_t BgL_auxz00_5393;
						BgL_objectz00_bglt BgL_tmpz00_5391;

						BgL_auxz00_5393 = ((obj_t) BgL_wide1229z00_4276);
						BgL_tmpz00_5391 = ((BgL_objectz00_bglt) BgL_tmp1228z00_4275);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5391, BgL_auxz00_5393);
					}
					((BgL_objectz00_bglt) BgL_tmp1228z00_4275);
					{	/* Globalize/ginfo.sch 313 */
						long BgL_arg1406z00_4279;

						BgL_arg1406z00_4279 =
							BGL_CLASS_NUM(BGl_svarzf2Ginfozf2zzglobaliza7e_ginfoza7);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1228z00_4275), BgL_arg1406z00_4279);
					}
					BgL_new1230z00_4274 = ((BgL_svarz00_bglt) BgL_tmp1228z00_4275);
				}
				((((BgL_svarz00_bglt) COBJECT(
								((BgL_svarz00_bglt) BgL_new1230z00_4274)))->BgL_locz00) =
					((obj_t) BgL_loc1270z00_172), BUNSPEC);
				{
					BgL_svarzf2ginfozf2_bglt BgL_auxz00_5403;

					{
						obj_t BgL_auxz00_5404;

						{	/* Globalize/ginfo.sch 313 */
							BgL_objectz00_bglt BgL_tmpz00_5405;

							BgL_tmpz00_5405 = ((BgL_objectz00_bglt) BgL_new1230z00_4274);
							BgL_auxz00_5404 = BGL_OBJECT_WIDENING(BgL_tmpz00_5405);
						}
						BgL_auxz00_5403 = ((BgL_svarzf2ginfozf2_bglt) BgL_auxz00_5404);
					}
					((((BgL_svarzf2ginfozf2_bglt) COBJECT(BgL_auxz00_5403))->
							BgL_kapturedzf3zf3) =
						((bool_t) BgL_kapturedzf31271zf3_173), BUNSPEC);
				}
				{
					BgL_svarzf2ginfozf2_bglt BgL_auxz00_5410;

					{
						obj_t BgL_auxz00_5411;

						{	/* Globalize/ginfo.sch 313 */
							BgL_objectz00_bglt BgL_tmpz00_5412;

							BgL_tmpz00_5412 = ((BgL_objectz00_bglt) BgL_new1230z00_4274);
							BgL_auxz00_5411 = BGL_OBJECT_WIDENING(BgL_tmpz00_5412);
						}
						BgL_auxz00_5410 = ((BgL_svarzf2ginfozf2_bglt) BgL_auxz00_5411);
					}
					((((BgL_svarzf2ginfozf2_bglt) COBJECT(BgL_auxz00_5410))->
							BgL_freezd2markzd2) =
						((long) BgL_freezd2mark1272zd2_174), BUNSPEC);
				}
				{
					BgL_svarzf2ginfozf2_bglt BgL_auxz00_5417;

					{
						obj_t BgL_auxz00_5418;

						{	/* Globalize/ginfo.sch 313 */
							BgL_objectz00_bglt BgL_tmpz00_5419;

							BgL_tmpz00_5419 = ((BgL_objectz00_bglt) BgL_new1230z00_4274);
							BgL_auxz00_5418 = BGL_OBJECT_WIDENING(BgL_tmpz00_5419);
						}
						BgL_auxz00_5417 = ((BgL_svarzf2ginfozf2_bglt) BgL_auxz00_5418);
					}
					((((BgL_svarzf2ginfozf2_bglt) COBJECT(BgL_auxz00_5417))->
							BgL_markz00) = ((long) BgL_mark1273z00_175), BUNSPEC);
				}
				{
					BgL_svarzf2ginfozf2_bglt BgL_auxz00_5424;

					{
						obj_t BgL_auxz00_5425;

						{	/* Globalize/ginfo.sch 313 */
							BgL_objectz00_bglt BgL_tmpz00_5426;

							BgL_tmpz00_5426 = ((BgL_objectz00_bglt) BgL_new1230z00_4274);
							BgL_auxz00_5425 = BGL_OBJECT_WIDENING(BgL_tmpz00_5426);
						}
						BgL_auxz00_5424 = ((BgL_svarzf2ginfozf2_bglt) BgL_auxz00_5425);
					}
					((((BgL_svarzf2ginfozf2_bglt) COBJECT(BgL_auxz00_5424))->
							BgL_celledzf3zf3) = ((bool_t) BgL_celledzf31274zf3_176), BUNSPEC);
				}
				{
					BgL_svarzf2ginfozf2_bglt BgL_auxz00_5431;

					{
						obj_t BgL_auxz00_5432;

						{	/* Globalize/ginfo.sch 313 */
							BgL_objectz00_bglt BgL_tmpz00_5433;

							BgL_tmpz00_5433 = ((BgL_objectz00_bglt) BgL_new1230z00_4274);
							BgL_auxz00_5432 = BGL_OBJECT_WIDENING(BgL_tmpz00_5433);
						}
						BgL_auxz00_5431 = ((BgL_svarzf2ginfozf2_bglt) BgL_auxz00_5432);
					}
					((((BgL_svarzf2ginfozf2_bglt) COBJECT(BgL_auxz00_5431))->
							BgL_stackablez00) = ((bool_t) BgL_stackable1275z00_177), BUNSPEC);
				}
				return BgL_new1230z00_4274;
			}
		}

	}



/* &make-svar/Ginfo */
	BgL_svarz00_bglt BGl_z62makezd2svarzf2Ginfoz42zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3498, obj_t BgL_loc1270z00_3499,
		obj_t BgL_kapturedzf31271zf3_3500, obj_t BgL_freezd2mark1272zd2_3501,
		obj_t BgL_mark1273z00_3502, obj_t BgL_celledzf31274zf3_3503,
		obj_t BgL_stackable1275z00_3504)
	{
		{	/* Globalize/ginfo.sch 313 */
			return
				BGl_makezd2svarzf2Ginfoz20zzglobaliza7e_ginfoza7(BgL_loc1270z00_3499,
				CBOOL(BgL_kapturedzf31271zf3_3500),
				(long) CINT(BgL_freezd2mark1272zd2_3501),
				(long) CINT(BgL_mark1273z00_3502),
				CBOOL(BgL_celledzf31274zf3_3503), CBOOL(BgL_stackable1275z00_3504));
		}

	}



/* svar/Ginfo? */
	BGL_EXPORTED_DEF bool_t BGl_svarzf2Ginfozf3z01zzglobaliza7e_ginfoza7(obj_t
		BgL_objz00_178)
	{
		{	/* Globalize/ginfo.sch 314 */
			{	/* Globalize/ginfo.sch 314 */
				obj_t BgL_classz00_4280;

				BgL_classz00_4280 = BGl_svarzf2Ginfozf2zzglobaliza7e_ginfoza7;
				if (BGL_OBJECTP(BgL_objz00_178))
					{	/* Globalize/ginfo.sch 314 */
						BgL_objectz00_bglt BgL_arg1858z00_4281;

						BgL_arg1858z00_4281 = (BgL_objectz00_bglt) (BgL_objz00_178);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Globalize/ginfo.sch 314 */
								long BgL_idxz00_4282;

								BgL_idxz00_4282 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_4281);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_4282 + 3L)) == BgL_classz00_4280);
							}
						else
							{	/* Globalize/ginfo.sch 314 */
								bool_t BgL_res2096z00_4285;

								{	/* Globalize/ginfo.sch 314 */
									obj_t BgL_oclassz00_4286;

									{	/* Globalize/ginfo.sch 314 */
										obj_t BgL_arg1866z00_4287;
										long BgL_arg1867z00_4288;

										BgL_arg1866z00_4287 = (BGl_za2classesza2z00zz__objectz00);
										{	/* Globalize/ginfo.sch 314 */
											long BgL_arg1869z00_4289;

											BgL_arg1869z00_4289 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_4281);
											BgL_arg1867z00_4288 = (BgL_arg1869z00_4289 - OBJECT_TYPE);
										}
										BgL_oclassz00_4286 =
											VECTOR_REF(BgL_arg1866z00_4287, BgL_arg1867z00_4288);
									}
									{	/* Globalize/ginfo.sch 314 */
										bool_t BgL__ortest_1115z00_4290;

										BgL__ortest_1115z00_4290 =
											(BgL_classz00_4280 == BgL_oclassz00_4286);
										if (BgL__ortest_1115z00_4290)
											{	/* Globalize/ginfo.sch 314 */
												BgL_res2096z00_4285 = BgL__ortest_1115z00_4290;
											}
										else
											{	/* Globalize/ginfo.sch 314 */
												long BgL_odepthz00_4291;

												{	/* Globalize/ginfo.sch 314 */
													obj_t BgL_arg1855z00_4292;

													BgL_arg1855z00_4292 = (BgL_oclassz00_4286);
													BgL_odepthz00_4291 =
														BGL_CLASS_DEPTH(BgL_arg1855z00_4292);
												}
												if ((3L < BgL_odepthz00_4291))
													{	/* Globalize/ginfo.sch 314 */
														obj_t BgL_arg1853z00_4293;

														{	/* Globalize/ginfo.sch 314 */
															obj_t BgL_arg1854z00_4294;

															BgL_arg1854z00_4294 = (BgL_oclassz00_4286);
															BgL_arg1853z00_4293 =
																BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_4294,
																3L);
														}
														BgL_res2096z00_4285 =
															(BgL_arg1853z00_4293 == BgL_classz00_4280);
													}
												else
													{	/* Globalize/ginfo.sch 314 */
														BgL_res2096z00_4285 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res2096z00_4285;
							}
					}
				else
					{	/* Globalize/ginfo.sch 314 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &svar/Ginfo? */
	obj_t BGl_z62svarzf2Ginfozf3z63zzglobaliza7e_ginfoza7(obj_t BgL_envz00_3505,
		obj_t BgL_objz00_3506)
	{
		{	/* Globalize/ginfo.sch 314 */
			return
				BBOOL(BGl_svarzf2Ginfozf3z01zzglobaliza7e_ginfoza7(BgL_objz00_3506));
		}

	}



/* svar/Ginfo-nil */
	BGL_EXPORTED_DEF BgL_svarz00_bglt
		BGl_svarzf2Ginfozd2nilz20zzglobaliza7e_ginfoza7(void)
	{
		{	/* Globalize/ginfo.sch 315 */
			{	/* Globalize/ginfo.sch 315 */
				obj_t BgL_classz00_2758;

				BgL_classz00_2758 = BGl_svarzf2Ginfozf2zzglobaliza7e_ginfoza7;
				{	/* Globalize/ginfo.sch 315 */
					obj_t BgL__ortest_1117z00_2759;

					BgL__ortest_1117z00_2759 = BGL_CLASS_NIL(BgL_classz00_2758);
					if (CBOOL(BgL__ortest_1117z00_2759))
						{	/* Globalize/ginfo.sch 315 */
							return ((BgL_svarz00_bglt) BgL__ortest_1117z00_2759);
						}
					else
						{	/* Globalize/ginfo.sch 315 */
							return
								((BgL_svarz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2758));
						}
				}
			}
		}

	}



/* &svar/Ginfo-nil */
	BgL_svarz00_bglt BGl_z62svarzf2Ginfozd2nilz42zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3507)
	{
		{	/* Globalize/ginfo.sch 315 */
			return BGl_svarzf2Ginfozd2nilz20zzglobaliza7e_ginfoza7();
		}

	}



/* svar/Ginfo-stackable */
	BGL_EXPORTED_DEF bool_t
		BGl_svarzf2Ginfozd2stackablez20zzglobaliza7e_ginfoza7(BgL_svarz00_bglt
		BgL_oz00_179)
	{
		{	/* Globalize/ginfo.sch 316 */
			{
				BgL_svarzf2ginfozf2_bglt BgL_auxz00_5475;

				{
					obj_t BgL_auxz00_5476;

					{	/* Globalize/ginfo.sch 316 */
						BgL_objectz00_bglt BgL_tmpz00_5477;

						BgL_tmpz00_5477 = ((BgL_objectz00_bglt) BgL_oz00_179);
						BgL_auxz00_5476 = BGL_OBJECT_WIDENING(BgL_tmpz00_5477);
					}
					BgL_auxz00_5475 = ((BgL_svarzf2ginfozf2_bglt) BgL_auxz00_5476);
				}
				return
					(((BgL_svarzf2ginfozf2_bglt) COBJECT(BgL_auxz00_5475))->
					BgL_stackablez00);
			}
		}

	}



/* &svar/Ginfo-stackable */
	obj_t BGl_z62svarzf2Ginfozd2stackablez42zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3508, obj_t BgL_oz00_3509)
	{
		{	/* Globalize/ginfo.sch 316 */
			return
				BBOOL(BGl_svarzf2Ginfozd2stackablez20zzglobaliza7e_ginfoza7(
					((BgL_svarz00_bglt) BgL_oz00_3509)));
		}

	}



/* svar/Ginfo-stackable-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_svarzf2Ginfozd2stackablezd2setz12ze0zzglobaliza7e_ginfoza7
		(BgL_svarz00_bglt BgL_oz00_180, bool_t BgL_vz00_181)
	{
		{	/* Globalize/ginfo.sch 317 */
			{
				BgL_svarzf2ginfozf2_bglt BgL_auxz00_5485;

				{
					obj_t BgL_auxz00_5486;

					{	/* Globalize/ginfo.sch 317 */
						BgL_objectz00_bglt BgL_tmpz00_5487;

						BgL_tmpz00_5487 = ((BgL_objectz00_bglt) BgL_oz00_180);
						BgL_auxz00_5486 = BGL_OBJECT_WIDENING(BgL_tmpz00_5487);
					}
					BgL_auxz00_5485 = ((BgL_svarzf2ginfozf2_bglt) BgL_auxz00_5486);
				}
				return
					((((BgL_svarzf2ginfozf2_bglt) COBJECT(BgL_auxz00_5485))->
						BgL_stackablez00) = ((bool_t) BgL_vz00_181), BUNSPEC);
			}
		}

	}



/* &svar/Ginfo-stackable-set! */
	obj_t BGl_z62svarzf2Ginfozd2stackablezd2setz12z82zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3510, obj_t BgL_oz00_3511, obj_t BgL_vz00_3512)
	{
		{	/* Globalize/ginfo.sch 317 */
			return
				BGl_svarzf2Ginfozd2stackablezd2setz12ze0zzglobaliza7e_ginfoza7(
				((BgL_svarz00_bglt) BgL_oz00_3511), CBOOL(BgL_vz00_3512));
		}

	}



/* svar/Ginfo-celled? */
	BGL_EXPORTED_DEF bool_t
		BGl_svarzf2Ginfozd2celledzf3zd3zzglobaliza7e_ginfoza7(BgL_svarz00_bglt
		BgL_oz00_182)
	{
		{	/* Globalize/ginfo.sch 318 */
			{
				BgL_svarzf2ginfozf2_bglt BgL_auxz00_5495;

				{
					obj_t BgL_auxz00_5496;

					{	/* Globalize/ginfo.sch 318 */
						BgL_objectz00_bglt BgL_tmpz00_5497;

						BgL_tmpz00_5497 = ((BgL_objectz00_bglt) BgL_oz00_182);
						BgL_auxz00_5496 = BGL_OBJECT_WIDENING(BgL_tmpz00_5497);
					}
					BgL_auxz00_5495 = ((BgL_svarzf2ginfozf2_bglt) BgL_auxz00_5496);
				}
				return
					(((BgL_svarzf2ginfozf2_bglt) COBJECT(BgL_auxz00_5495))->
					BgL_celledzf3zf3);
			}
		}

	}



/* &svar/Ginfo-celled? */
	obj_t BGl_z62svarzf2Ginfozd2celledzf3zb1zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3513, obj_t BgL_oz00_3514)
	{
		{	/* Globalize/ginfo.sch 318 */
			return
				BBOOL(BGl_svarzf2Ginfozd2celledzf3zd3zzglobaliza7e_ginfoza7(
					((BgL_svarz00_bglt) BgL_oz00_3514)));
		}

	}



/* svar/Ginfo-celled?-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_svarzf2Ginfozd2celledzf3zd2setz12z13zzglobaliza7e_ginfoza7
		(BgL_svarz00_bglt BgL_oz00_183, bool_t BgL_vz00_184)
	{
		{	/* Globalize/ginfo.sch 319 */
			{
				BgL_svarzf2ginfozf2_bglt BgL_auxz00_5505;

				{
					obj_t BgL_auxz00_5506;

					{	/* Globalize/ginfo.sch 319 */
						BgL_objectz00_bglt BgL_tmpz00_5507;

						BgL_tmpz00_5507 = ((BgL_objectz00_bglt) BgL_oz00_183);
						BgL_auxz00_5506 = BGL_OBJECT_WIDENING(BgL_tmpz00_5507);
					}
					BgL_auxz00_5505 = ((BgL_svarzf2ginfozf2_bglt) BgL_auxz00_5506);
				}
				return
					((((BgL_svarzf2ginfozf2_bglt) COBJECT(BgL_auxz00_5505))->
						BgL_celledzf3zf3) = ((bool_t) BgL_vz00_184), BUNSPEC);
			}
		}

	}



/* &svar/Ginfo-celled?-set! */
	obj_t BGl_z62svarzf2Ginfozd2celledzf3zd2setz12z71zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3515, obj_t BgL_oz00_3516, obj_t BgL_vz00_3517)
	{
		{	/* Globalize/ginfo.sch 319 */
			return
				BGl_svarzf2Ginfozd2celledzf3zd2setz12z13zzglobaliza7e_ginfoza7(
				((BgL_svarz00_bglt) BgL_oz00_3516), CBOOL(BgL_vz00_3517));
		}

	}



/* svar/Ginfo-mark */
	BGL_EXPORTED_DEF long
		BGl_svarzf2Ginfozd2markz20zzglobaliza7e_ginfoza7(BgL_svarz00_bglt
		BgL_oz00_185)
	{
		{	/* Globalize/ginfo.sch 320 */
			{
				BgL_svarzf2ginfozf2_bglt BgL_auxz00_5515;

				{
					obj_t BgL_auxz00_5516;

					{	/* Globalize/ginfo.sch 320 */
						BgL_objectz00_bglt BgL_tmpz00_5517;

						BgL_tmpz00_5517 = ((BgL_objectz00_bglt) BgL_oz00_185);
						BgL_auxz00_5516 = BGL_OBJECT_WIDENING(BgL_tmpz00_5517);
					}
					BgL_auxz00_5515 = ((BgL_svarzf2ginfozf2_bglt) BgL_auxz00_5516);
				}
				return
					(((BgL_svarzf2ginfozf2_bglt) COBJECT(BgL_auxz00_5515))->BgL_markz00);
			}
		}

	}



/* &svar/Ginfo-mark */
	obj_t BGl_z62svarzf2Ginfozd2markz42zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3518, obj_t BgL_oz00_3519)
	{
		{	/* Globalize/ginfo.sch 320 */
			return
				BINT(BGl_svarzf2Ginfozd2markz20zzglobaliza7e_ginfoza7(
					((BgL_svarz00_bglt) BgL_oz00_3519)));
		}

	}



/* svar/Ginfo-mark-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_svarzf2Ginfozd2markzd2setz12ze0zzglobaliza7e_ginfoza7(BgL_svarz00_bglt
		BgL_oz00_186, long BgL_vz00_187)
	{
		{	/* Globalize/ginfo.sch 321 */
			{
				BgL_svarzf2ginfozf2_bglt BgL_auxz00_5525;

				{
					obj_t BgL_auxz00_5526;

					{	/* Globalize/ginfo.sch 321 */
						BgL_objectz00_bglt BgL_tmpz00_5527;

						BgL_tmpz00_5527 = ((BgL_objectz00_bglt) BgL_oz00_186);
						BgL_auxz00_5526 = BGL_OBJECT_WIDENING(BgL_tmpz00_5527);
					}
					BgL_auxz00_5525 = ((BgL_svarzf2ginfozf2_bglt) BgL_auxz00_5526);
				}
				return
					((((BgL_svarzf2ginfozf2_bglt) COBJECT(BgL_auxz00_5525))->
						BgL_markz00) = ((long) BgL_vz00_187), BUNSPEC);
		}}

	}



/* &svar/Ginfo-mark-set! */
	obj_t BGl_z62svarzf2Ginfozd2markzd2setz12z82zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3520, obj_t BgL_oz00_3521, obj_t BgL_vz00_3522)
	{
		{	/* Globalize/ginfo.sch 321 */
			return
				BGl_svarzf2Ginfozd2markzd2setz12ze0zzglobaliza7e_ginfoza7(
				((BgL_svarz00_bglt) BgL_oz00_3521), (long) CINT(BgL_vz00_3522));
		}

	}



/* svar/Ginfo-free-mark */
	BGL_EXPORTED_DEF long
		BGl_svarzf2Ginfozd2freezd2markzf2zzglobaliza7e_ginfoza7(BgL_svarz00_bglt
		BgL_oz00_188)
	{
		{	/* Globalize/ginfo.sch 322 */
			{
				BgL_svarzf2ginfozf2_bglt BgL_auxz00_5535;

				{
					obj_t BgL_auxz00_5536;

					{	/* Globalize/ginfo.sch 322 */
						BgL_objectz00_bglt BgL_tmpz00_5537;

						BgL_tmpz00_5537 = ((BgL_objectz00_bglt) BgL_oz00_188);
						BgL_auxz00_5536 = BGL_OBJECT_WIDENING(BgL_tmpz00_5537);
					}
					BgL_auxz00_5535 = ((BgL_svarzf2ginfozf2_bglt) BgL_auxz00_5536);
				}
				return
					(((BgL_svarzf2ginfozf2_bglt) COBJECT(BgL_auxz00_5535))->
					BgL_freezd2markzd2);
			}
		}

	}



/* &svar/Ginfo-free-mark */
	obj_t BGl_z62svarzf2Ginfozd2freezd2markz90zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3523, obj_t BgL_oz00_3524)
	{
		{	/* Globalize/ginfo.sch 322 */
			return
				BINT(BGl_svarzf2Ginfozd2freezd2markzf2zzglobaliza7e_ginfoza7(
					((BgL_svarz00_bglt) BgL_oz00_3524)));
		}

	}



/* svar/Ginfo-free-mark-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_svarzf2Ginfozd2freezd2markzd2setz12z32zzglobaliza7e_ginfoza7
		(BgL_svarz00_bglt BgL_oz00_189, long BgL_vz00_190)
	{
		{	/* Globalize/ginfo.sch 323 */
			{
				BgL_svarzf2ginfozf2_bglt BgL_auxz00_5545;

				{
					obj_t BgL_auxz00_5546;

					{	/* Globalize/ginfo.sch 323 */
						BgL_objectz00_bglt BgL_tmpz00_5547;

						BgL_tmpz00_5547 = ((BgL_objectz00_bglt) BgL_oz00_189);
						BgL_auxz00_5546 = BGL_OBJECT_WIDENING(BgL_tmpz00_5547);
					}
					BgL_auxz00_5545 = ((BgL_svarzf2ginfozf2_bglt) BgL_auxz00_5546);
				}
				return
					((((BgL_svarzf2ginfozf2_bglt) COBJECT(BgL_auxz00_5545))->
						BgL_freezd2markzd2) = ((long) BgL_vz00_190), BUNSPEC);
		}}

	}



/* &svar/Ginfo-free-mark-set! */
	obj_t
		BGl_z62svarzf2Ginfozd2freezd2markzd2setz12z50zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3525, obj_t BgL_oz00_3526, obj_t BgL_vz00_3527)
	{
		{	/* Globalize/ginfo.sch 323 */
			return
				BGl_svarzf2Ginfozd2freezd2markzd2setz12z32zzglobaliza7e_ginfoza7(
				((BgL_svarz00_bglt) BgL_oz00_3526), (long) CINT(BgL_vz00_3527));
		}

	}



/* svar/Ginfo-kaptured? */
	BGL_EXPORTED_DEF bool_t
		BGl_svarzf2Ginfozd2kapturedzf3zd3zzglobaliza7e_ginfoza7(BgL_svarz00_bglt
		BgL_oz00_191)
	{
		{	/* Globalize/ginfo.sch 324 */
			{
				BgL_svarzf2ginfozf2_bglt BgL_auxz00_5555;

				{
					obj_t BgL_auxz00_5556;

					{	/* Globalize/ginfo.sch 324 */
						BgL_objectz00_bglt BgL_tmpz00_5557;

						BgL_tmpz00_5557 = ((BgL_objectz00_bglt) BgL_oz00_191);
						BgL_auxz00_5556 = BGL_OBJECT_WIDENING(BgL_tmpz00_5557);
					}
					BgL_auxz00_5555 = ((BgL_svarzf2ginfozf2_bglt) BgL_auxz00_5556);
				}
				return
					(((BgL_svarzf2ginfozf2_bglt) COBJECT(BgL_auxz00_5555))->
					BgL_kapturedzf3zf3);
			}
		}

	}



/* &svar/Ginfo-kaptured? */
	obj_t BGl_z62svarzf2Ginfozd2kapturedzf3zb1zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3528, obj_t BgL_oz00_3529)
	{
		{	/* Globalize/ginfo.sch 324 */
			return
				BBOOL(BGl_svarzf2Ginfozd2kapturedzf3zd3zzglobaliza7e_ginfoza7(
					((BgL_svarz00_bglt) BgL_oz00_3529)));
		}

	}



/* svar/Ginfo-kaptured?-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_svarzf2Ginfozd2kapturedzf3zd2setz12z13zzglobaliza7e_ginfoza7
		(BgL_svarz00_bglt BgL_oz00_192, bool_t BgL_vz00_193)
	{
		{	/* Globalize/ginfo.sch 325 */
			{
				BgL_svarzf2ginfozf2_bglt BgL_auxz00_5565;

				{
					obj_t BgL_auxz00_5566;

					{	/* Globalize/ginfo.sch 325 */
						BgL_objectz00_bglt BgL_tmpz00_5567;

						BgL_tmpz00_5567 = ((BgL_objectz00_bglt) BgL_oz00_192);
						BgL_auxz00_5566 = BGL_OBJECT_WIDENING(BgL_tmpz00_5567);
					}
					BgL_auxz00_5565 = ((BgL_svarzf2ginfozf2_bglt) BgL_auxz00_5566);
				}
				return
					((((BgL_svarzf2ginfozf2_bglt) COBJECT(BgL_auxz00_5565))->
						BgL_kapturedzf3zf3) = ((bool_t) BgL_vz00_193), BUNSPEC);
			}
		}

	}



/* &svar/Ginfo-kaptured?-set! */
	obj_t
		BGl_z62svarzf2Ginfozd2kapturedzf3zd2setz12z71zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3530, obj_t BgL_oz00_3531, obj_t BgL_vz00_3532)
	{
		{	/* Globalize/ginfo.sch 325 */
			return
				BGl_svarzf2Ginfozd2kapturedzf3zd2setz12z13zzglobaliza7e_ginfoza7(
				((BgL_svarz00_bglt) BgL_oz00_3531), CBOOL(BgL_vz00_3532));
		}

	}



/* svar/Ginfo-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_svarzf2Ginfozd2locz20zzglobaliza7e_ginfoza7(BgL_svarz00_bglt
		BgL_oz00_194)
	{
		{	/* Globalize/ginfo.sch 326 */
			return
				(((BgL_svarz00_bglt) COBJECT(
						((BgL_svarz00_bglt) BgL_oz00_194)))->BgL_locz00);
		}

	}



/* &svar/Ginfo-loc */
	obj_t BGl_z62svarzf2Ginfozd2locz42zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3533, obj_t BgL_oz00_3534)
	{
		{	/* Globalize/ginfo.sch 326 */
			return
				BGl_svarzf2Ginfozd2locz20zzglobaliza7e_ginfoza7(
				((BgL_svarz00_bglt) BgL_oz00_3534));
		}

	}



/* svar/Ginfo-loc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_svarzf2Ginfozd2loczd2setz12ze0zzglobaliza7e_ginfoza7(BgL_svarz00_bglt
		BgL_oz00_195, obj_t BgL_vz00_196)
	{
		{	/* Globalize/ginfo.sch 327 */
			return
				((((BgL_svarz00_bglt) COBJECT(
							((BgL_svarz00_bglt) BgL_oz00_195)))->BgL_locz00) =
				((obj_t) BgL_vz00_196), BUNSPEC);
		}

	}



/* &svar/Ginfo-loc-set! */
	obj_t BGl_z62svarzf2Ginfozd2loczd2setz12z82zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3535, obj_t BgL_oz00_3536, obj_t BgL_vz00_3537)
	{
		{	/* Globalize/ginfo.sch 327 */
			return
				BGl_svarzf2Ginfozd2loczd2setz12ze0zzglobaliza7e_ginfoza7(
				((BgL_svarz00_bglt) BgL_oz00_3536), BgL_vz00_3537);
		}

	}



/* make-sexit/Ginfo */
	BGL_EXPORTED_DEF BgL_sexitz00_bglt
		BGl_makezd2sexitzf2Ginfoz20zzglobaliza7e_ginfoza7(obj_t
		BgL_handler1263z00_197, bool_t BgL_detachedzf31264zf3_198,
		bool_t BgL_gzf31265zf3_199, bool_t BgL_kapturedzf31266zf3_200,
		long BgL_freezd2mark1267zd2_201, long BgL_mark1268z00_202)
	{
		{	/* Globalize/ginfo.sch 330 */
			{	/* Globalize/ginfo.sch 330 */
				BgL_sexitz00_bglt BgL_new1234z00_4295;

				{	/* Globalize/ginfo.sch 330 */
					BgL_sexitz00_bglt BgL_tmp1232z00_4296;
					BgL_sexitzf2ginfozf2_bglt BgL_wide1233z00_4297;

					{
						BgL_sexitz00_bglt BgL_auxz00_5583;

						{	/* Globalize/ginfo.sch 330 */
							BgL_sexitz00_bglt BgL_new1231z00_4298;

							BgL_new1231z00_4298 =
								((BgL_sexitz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_sexitz00_bgl))));
							{	/* Globalize/ginfo.sch 330 */
								long BgL_arg1416z00_4299;

								BgL_arg1416z00_4299 = BGL_CLASS_NUM(BGl_sexitz00zzast_varz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1231z00_4298),
									BgL_arg1416z00_4299);
							}
							{	/* Globalize/ginfo.sch 330 */
								BgL_objectz00_bglt BgL_tmpz00_5588;

								BgL_tmpz00_5588 = ((BgL_objectz00_bglt) BgL_new1231z00_4298);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5588, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1231z00_4298);
							BgL_auxz00_5583 = BgL_new1231z00_4298;
						}
						BgL_tmp1232z00_4296 = ((BgL_sexitz00_bglt) BgL_auxz00_5583);
					}
					BgL_wide1233z00_4297 =
						((BgL_sexitzf2ginfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_sexitzf2ginfozf2_bgl))));
					{	/* Globalize/ginfo.sch 330 */
						obj_t BgL_auxz00_5596;
						BgL_objectz00_bglt BgL_tmpz00_5594;

						BgL_auxz00_5596 = ((obj_t) BgL_wide1233z00_4297);
						BgL_tmpz00_5594 = ((BgL_objectz00_bglt) BgL_tmp1232z00_4296);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5594, BgL_auxz00_5596);
					}
					((BgL_objectz00_bglt) BgL_tmp1232z00_4296);
					{	/* Globalize/ginfo.sch 330 */
						long BgL_arg1415z00_4300;

						BgL_arg1415z00_4300 =
							BGL_CLASS_NUM(BGl_sexitzf2Ginfozf2zzglobaliza7e_ginfoza7);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1232z00_4296), BgL_arg1415z00_4300);
					}
					BgL_new1234z00_4295 = ((BgL_sexitz00_bglt) BgL_tmp1232z00_4296);
				}
				((((BgL_sexitz00_bglt) COBJECT(
								((BgL_sexitz00_bglt) BgL_new1234z00_4295)))->BgL_handlerz00) =
					((obj_t) BgL_handler1263z00_197), BUNSPEC);
				((((BgL_sexitz00_bglt) COBJECT(((BgL_sexitz00_bglt)
									BgL_new1234z00_4295)))->BgL_detachedzf3zf3) =
					((bool_t) BgL_detachedzf31264zf3_198), BUNSPEC);
				{
					BgL_sexitzf2ginfozf2_bglt BgL_auxz00_5608;

					{
						obj_t BgL_auxz00_5609;

						{	/* Globalize/ginfo.sch 330 */
							BgL_objectz00_bglt BgL_tmpz00_5610;

							BgL_tmpz00_5610 = ((BgL_objectz00_bglt) BgL_new1234z00_4295);
							BgL_auxz00_5609 = BGL_OBJECT_WIDENING(BgL_tmpz00_5610);
						}
						BgL_auxz00_5608 = ((BgL_sexitzf2ginfozf2_bglt) BgL_auxz00_5609);
					}
					((((BgL_sexitzf2ginfozf2_bglt) COBJECT(BgL_auxz00_5608))->
							BgL_gzf3zf3) = ((bool_t) BgL_gzf31265zf3_199), BUNSPEC);
				}
				{
					BgL_sexitzf2ginfozf2_bglt BgL_auxz00_5615;

					{
						obj_t BgL_auxz00_5616;

						{	/* Globalize/ginfo.sch 330 */
							BgL_objectz00_bglt BgL_tmpz00_5617;

							BgL_tmpz00_5617 = ((BgL_objectz00_bglt) BgL_new1234z00_4295);
							BgL_auxz00_5616 = BGL_OBJECT_WIDENING(BgL_tmpz00_5617);
						}
						BgL_auxz00_5615 = ((BgL_sexitzf2ginfozf2_bglt) BgL_auxz00_5616);
					}
					((((BgL_sexitzf2ginfozf2_bglt) COBJECT(BgL_auxz00_5615))->
							BgL_kapturedzf3zf3) =
						((bool_t) BgL_kapturedzf31266zf3_200), BUNSPEC);
				}
				{
					BgL_sexitzf2ginfozf2_bglt BgL_auxz00_5622;

					{
						obj_t BgL_auxz00_5623;

						{	/* Globalize/ginfo.sch 330 */
							BgL_objectz00_bglt BgL_tmpz00_5624;

							BgL_tmpz00_5624 = ((BgL_objectz00_bglt) BgL_new1234z00_4295);
							BgL_auxz00_5623 = BGL_OBJECT_WIDENING(BgL_tmpz00_5624);
						}
						BgL_auxz00_5622 = ((BgL_sexitzf2ginfozf2_bglt) BgL_auxz00_5623);
					}
					((((BgL_sexitzf2ginfozf2_bglt) COBJECT(BgL_auxz00_5622))->
							BgL_freezd2markzd2) =
						((long) BgL_freezd2mark1267zd2_201), BUNSPEC);
				}
				{
					BgL_sexitzf2ginfozf2_bglt BgL_auxz00_5629;

					{
						obj_t BgL_auxz00_5630;

						{	/* Globalize/ginfo.sch 330 */
							BgL_objectz00_bglt BgL_tmpz00_5631;

							BgL_tmpz00_5631 = ((BgL_objectz00_bglt) BgL_new1234z00_4295);
							BgL_auxz00_5630 = BGL_OBJECT_WIDENING(BgL_tmpz00_5631);
						}
						BgL_auxz00_5629 = ((BgL_sexitzf2ginfozf2_bglt) BgL_auxz00_5630);
					}
					((((BgL_sexitzf2ginfozf2_bglt) COBJECT(BgL_auxz00_5629))->
							BgL_markz00) = ((long) BgL_mark1268z00_202), BUNSPEC);
				}
				return BgL_new1234z00_4295;
			}
		}

	}



/* &make-sexit/Ginfo */
	BgL_sexitz00_bglt BGl_z62makezd2sexitzf2Ginfoz42zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3538, obj_t BgL_handler1263z00_3539,
		obj_t BgL_detachedzf31264zf3_3540, obj_t BgL_gzf31265zf3_3541,
		obj_t BgL_kapturedzf31266zf3_3542, obj_t BgL_freezd2mark1267zd2_3543,
		obj_t BgL_mark1268z00_3544)
	{
		{	/* Globalize/ginfo.sch 330 */
			return
				BGl_makezd2sexitzf2Ginfoz20zzglobaliza7e_ginfoza7
				(BgL_handler1263z00_3539, CBOOL(BgL_detachedzf31264zf3_3540),
				CBOOL(BgL_gzf31265zf3_3541), CBOOL(BgL_kapturedzf31266zf3_3542),
				(long) CINT(BgL_freezd2mark1267zd2_3543),
				(long) CINT(BgL_mark1268z00_3544));
		}

	}



/* sexit/Ginfo? */
	BGL_EXPORTED_DEF bool_t BGl_sexitzf2Ginfozf3z01zzglobaliza7e_ginfoza7(obj_t
		BgL_objz00_203)
	{
		{	/* Globalize/ginfo.sch 331 */
			{	/* Globalize/ginfo.sch 331 */
				obj_t BgL_classz00_4301;

				BgL_classz00_4301 = BGl_sexitzf2Ginfozf2zzglobaliza7e_ginfoza7;
				if (BGL_OBJECTP(BgL_objz00_203))
					{	/* Globalize/ginfo.sch 331 */
						BgL_objectz00_bglt BgL_arg1858z00_4302;

						BgL_arg1858z00_4302 = (BgL_objectz00_bglt) (BgL_objz00_203);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Globalize/ginfo.sch 331 */
								long BgL_idxz00_4303;

								BgL_idxz00_4303 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_4302);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_4303 + 3L)) == BgL_classz00_4301);
							}
						else
							{	/* Globalize/ginfo.sch 331 */
								bool_t BgL_res2097z00_4306;

								{	/* Globalize/ginfo.sch 331 */
									obj_t BgL_oclassz00_4307;

									{	/* Globalize/ginfo.sch 331 */
										obj_t BgL_arg1866z00_4308;
										long BgL_arg1867z00_4309;

										BgL_arg1866z00_4308 = (BGl_za2classesza2z00zz__objectz00);
										{	/* Globalize/ginfo.sch 331 */
											long BgL_arg1869z00_4310;

											BgL_arg1869z00_4310 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_4302);
											BgL_arg1867z00_4309 = (BgL_arg1869z00_4310 - OBJECT_TYPE);
										}
										BgL_oclassz00_4307 =
											VECTOR_REF(BgL_arg1866z00_4308, BgL_arg1867z00_4309);
									}
									{	/* Globalize/ginfo.sch 331 */
										bool_t BgL__ortest_1115z00_4311;

										BgL__ortest_1115z00_4311 =
											(BgL_classz00_4301 == BgL_oclassz00_4307);
										if (BgL__ortest_1115z00_4311)
											{	/* Globalize/ginfo.sch 331 */
												BgL_res2097z00_4306 = BgL__ortest_1115z00_4311;
											}
										else
											{	/* Globalize/ginfo.sch 331 */
												long BgL_odepthz00_4312;

												{	/* Globalize/ginfo.sch 331 */
													obj_t BgL_arg1855z00_4313;

													BgL_arg1855z00_4313 = (BgL_oclassz00_4307);
													BgL_odepthz00_4312 =
														BGL_CLASS_DEPTH(BgL_arg1855z00_4313);
												}
												if ((3L < BgL_odepthz00_4312))
													{	/* Globalize/ginfo.sch 331 */
														obj_t BgL_arg1853z00_4314;

														{	/* Globalize/ginfo.sch 331 */
															obj_t BgL_arg1854z00_4315;

															BgL_arg1854z00_4315 = (BgL_oclassz00_4307);
															BgL_arg1853z00_4314 =
																BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_4315,
																3L);
														}
														BgL_res2097z00_4306 =
															(BgL_arg1853z00_4314 == BgL_classz00_4301);
													}
												else
													{	/* Globalize/ginfo.sch 331 */
														BgL_res2097z00_4306 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res2097z00_4306;
							}
					}
				else
					{	/* Globalize/ginfo.sch 331 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &sexit/Ginfo? */
	obj_t BGl_z62sexitzf2Ginfozf3z63zzglobaliza7e_ginfoza7(obj_t BgL_envz00_3545,
		obj_t BgL_objz00_3546)
	{
		{	/* Globalize/ginfo.sch 331 */
			return
				BBOOL(BGl_sexitzf2Ginfozf3z01zzglobaliza7e_ginfoza7(BgL_objz00_3546));
		}

	}



/* sexit/Ginfo-nil */
	BGL_EXPORTED_DEF BgL_sexitz00_bglt
		BGl_sexitzf2Ginfozd2nilz20zzglobaliza7e_ginfoza7(void)
	{
		{	/* Globalize/ginfo.sch 332 */
			{	/* Globalize/ginfo.sch 332 */
				obj_t BgL_classz00_2822;

				BgL_classz00_2822 = BGl_sexitzf2Ginfozf2zzglobaliza7e_ginfoza7;
				{	/* Globalize/ginfo.sch 332 */
					obj_t BgL__ortest_1117z00_2823;

					BgL__ortest_1117z00_2823 = BGL_CLASS_NIL(BgL_classz00_2822);
					if (CBOOL(BgL__ortest_1117z00_2823))
						{	/* Globalize/ginfo.sch 332 */
							return ((BgL_sexitz00_bglt) BgL__ortest_1117z00_2823);
						}
					else
						{	/* Globalize/ginfo.sch 332 */
							return
								((BgL_sexitz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2822));
						}
				}
			}
		}

	}



/* &sexit/Ginfo-nil */
	BgL_sexitz00_bglt BGl_z62sexitzf2Ginfozd2nilz42zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3547)
	{
		{	/* Globalize/ginfo.sch 332 */
			return BGl_sexitzf2Ginfozd2nilz20zzglobaliza7e_ginfoza7();
		}

	}



/* sexit/Ginfo-mark */
	BGL_EXPORTED_DEF long
		BGl_sexitzf2Ginfozd2markz20zzglobaliza7e_ginfoza7(BgL_sexitz00_bglt
		BgL_oz00_204)
	{
		{	/* Globalize/ginfo.sch 333 */
			{
				BgL_sexitzf2ginfozf2_bglt BgL_auxz00_5673;

				{
					obj_t BgL_auxz00_5674;

					{	/* Globalize/ginfo.sch 333 */
						BgL_objectz00_bglt BgL_tmpz00_5675;

						BgL_tmpz00_5675 = ((BgL_objectz00_bglt) BgL_oz00_204);
						BgL_auxz00_5674 = BGL_OBJECT_WIDENING(BgL_tmpz00_5675);
					}
					BgL_auxz00_5673 = ((BgL_sexitzf2ginfozf2_bglt) BgL_auxz00_5674);
				}
				return
					(((BgL_sexitzf2ginfozf2_bglt) COBJECT(BgL_auxz00_5673))->BgL_markz00);
			}
		}

	}



/* &sexit/Ginfo-mark */
	obj_t BGl_z62sexitzf2Ginfozd2markz42zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3548, obj_t BgL_oz00_3549)
	{
		{	/* Globalize/ginfo.sch 333 */
			return
				BINT(BGl_sexitzf2Ginfozd2markz20zzglobaliza7e_ginfoza7(
					((BgL_sexitz00_bglt) BgL_oz00_3549)));
		}

	}



/* sexit/Ginfo-mark-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sexitzf2Ginfozd2markzd2setz12ze0zzglobaliza7e_ginfoza7(BgL_sexitz00_bglt
		BgL_oz00_205, long BgL_vz00_206)
	{
		{	/* Globalize/ginfo.sch 334 */
			{
				BgL_sexitzf2ginfozf2_bglt BgL_auxz00_5683;

				{
					obj_t BgL_auxz00_5684;

					{	/* Globalize/ginfo.sch 334 */
						BgL_objectz00_bglt BgL_tmpz00_5685;

						BgL_tmpz00_5685 = ((BgL_objectz00_bglt) BgL_oz00_205);
						BgL_auxz00_5684 = BGL_OBJECT_WIDENING(BgL_tmpz00_5685);
					}
					BgL_auxz00_5683 = ((BgL_sexitzf2ginfozf2_bglt) BgL_auxz00_5684);
				}
				return
					((((BgL_sexitzf2ginfozf2_bglt) COBJECT(BgL_auxz00_5683))->
						BgL_markz00) = ((long) BgL_vz00_206), BUNSPEC);
		}}

	}



/* &sexit/Ginfo-mark-set! */
	obj_t BGl_z62sexitzf2Ginfozd2markzd2setz12z82zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3550, obj_t BgL_oz00_3551, obj_t BgL_vz00_3552)
	{
		{	/* Globalize/ginfo.sch 334 */
			return
				BGl_sexitzf2Ginfozd2markzd2setz12ze0zzglobaliza7e_ginfoza7(
				((BgL_sexitz00_bglt) BgL_oz00_3551), (long) CINT(BgL_vz00_3552));
		}

	}



/* sexit/Ginfo-free-mark */
	BGL_EXPORTED_DEF long
		BGl_sexitzf2Ginfozd2freezd2markzf2zzglobaliza7e_ginfoza7(BgL_sexitz00_bglt
		BgL_oz00_207)
	{
		{	/* Globalize/ginfo.sch 335 */
			{
				BgL_sexitzf2ginfozf2_bglt BgL_auxz00_5693;

				{
					obj_t BgL_auxz00_5694;

					{	/* Globalize/ginfo.sch 335 */
						BgL_objectz00_bglt BgL_tmpz00_5695;

						BgL_tmpz00_5695 = ((BgL_objectz00_bglt) BgL_oz00_207);
						BgL_auxz00_5694 = BGL_OBJECT_WIDENING(BgL_tmpz00_5695);
					}
					BgL_auxz00_5693 = ((BgL_sexitzf2ginfozf2_bglt) BgL_auxz00_5694);
				}
				return
					(((BgL_sexitzf2ginfozf2_bglt) COBJECT(BgL_auxz00_5693))->
					BgL_freezd2markzd2);
			}
		}

	}



/* &sexit/Ginfo-free-mark */
	obj_t BGl_z62sexitzf2Ginfozd2freezd2markz90zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3553, obj_t BgL_oz00_3554)
	{
		{	/* Globalize/ginfo.sch 335 */
			return
				BINT(BGl_sexitzf2Ginfozd2freezd2markzf2zzglobaliza7e_ginfoza7(
					((BgL_sexitz00_bglt) BgL_oz00_3554)));
		}

	}



/* sexit/Ginfo-free-mark-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sexitzf2Ginfozd2freezd2markzd2setz12z32zzglobaliza7e_ginfoza7
		(BgL_sexitz00_bglt BgL_oz00_208, long BgL_vz00_209)
	{
		{	/* Globalize/ginfo.sch 336 */
			{
				BgL_sexitzf2ginfozf2_bglt BgL_auxz00_5703;

				{
					obj_t BgL_auxz00_5704;

					{	/* Globalize/ginfo.sch 336 */
						BgL_objectz00_bglt BgL_tmpz00_5705;

						BgL_tmpz00_5705 = ((BgL_objectz00_bglt) BgL_oz00_208);
						BgL_auxz00_5704 = BGL_OBJECT_WIDENING(BgL_tmpz00_5705);
					}
					BgL_auxz00_5703 = ((BgL_sexitzf2ginfozf2_bglt) BgL_auxz00_5704);
				}
				return
					((((BgL_sexitzf2ginfozf2_bglt) COBJECT(BgL_auxz00_5703))->
						BgL_freezd2markzd2) = ((long) BgL_vz00_209), BUNSPEC);
		}}

	}



/* &sexit/Ginfo-free-mark-set! */
	obj_t
		BGl_z62sexitzf2Ginfozd2freezd2markzd2setz12z50zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3555, obj_t BgL_oz00_3556, obj_t BgL_vz00_3557)
	{
		{	/* Globalize/ginfo.sch 336 */
			return
				BGl_sexitzf2Ginfozd2freezd2markzd2setz12z32zzglobaliza7e_ginfoza7(
				((BgL_sexitz00_bglt) BgL_oz00_3556), (long) CINT(BgL_vz00_3557));
		}

	}



/* sexit/Ginfo-kaptured? */
	BGL_EXPORTED_DEF bool_t
		BGl_sexitzf2Ginfozd2kapturedzf3zd3zzglobaliza7e_ginfoza7(BgL_sexitz00_bglt
		BgL_oz00_210)
	{
		{	/* Globalize/ginfo.sch 337 */
			{
				BgL_sexitzf2ginfozf2_bglt BgL_auxz00_5713;

				{
					obj_t BgL_auxz00_5714;

					{	/* Globalize/ginfo.sch 337 */
						BgL_objectz00_bglt BgL_tmpz00_5715;

						BgL_tmpz00_5715 = ((BgL_objectz00_bglt) BgL_oz00_210);
						BgL_auxz00_5714 = BGL_OBJECT_WIDENING(BgL_tmpz00_5715);
					}
					BgL_auxz00_5713 = ((BgL_sexitzf2ginfozf2_bglt) BgL_auxz00_5714);
				}
				return
					(((BgL_sexitzf2ginfozf2_bglt) COBJECT(BgL_auxz00_5713))->
					BgL_kapturedzf3zf3);
			}
		}

	}



/* &sexit/Ginfo-kaptured? */
	obj_t BGl_z62sexitzf2Ginfozd2kapturedzf3zb1zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3558, obj_t BgL_oz00_3559)
	{
		{	/* Globalize/ginfo.sch 337 */
			return
				BBOOL(BGl_sexitzf2Ginfozd2kapturedzf3zd3zzglobaliza7e_ginfoza7(
					((BgL_sexitz00_bglt) BgL_oz00_3559)));
		}

	}



/* sexit/Ginfo-kaptured?-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sexitzf2Ginfozd2kapturedzf3zd2setz12z13zzglobaliza7e_ginfoza7
		(BgL_sexitz00_bglt BgL_oz00_211, bool_t BgL_vz00_212)
	{
		{	/* Globalize/ginfo.sch 338 */
			{
				BgL_sexitzf2ginfozf2_bglt BgL_auxz00_5723;

				{
					obj_t BgL_auxz00_5724;

					{	/* Globalize/ginfo.sch 338 */
						BgL_objectz00_bglt BgL_tmpz00_5725;

						BgL_tmpz00_5725 = ((BgL_objectz00_bglt) BgL_oz00_211);
						BgL_auxz00_5724 = BGL_OBJECT_WIDENING(BgL_tmpz00_5725);
					}
					BgL_auxz00_5723 = ((BgL_sexitzf2ginfozf2_bglt) BgL_auxz00_5724);
				}
				return
					((((BgL_sexitzf2ginfozf2_bglt) COBJECT(BgL_auxz00_5723))->
						BgL_kapturedzf3zf3) = ((bool_t) BgL_vz00_212), BUNSPEC);
			}
		}

	}



/* &sexit/Ginfo-kaptured?-set! */
	obj_t
		BGl_z62sexitzf2Ginfozd2kapturedzf3zd2setz12z71zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3560, obj_t BgL_oz00_3561, obj_t BgL_vz00_3562)
	{
		{	/* Globalize/ginfo.sch 338 */
			return
				BGl_sexitzf2Ginfozd2kapturedzf3zd2setz12z13zzglobaliza7e_ginfoza7(
				((BgL_sexitz00_bglt) BgL_oz00_3561), CBOOL(BgL_vz00_3562));
		}

	}



/* sexit/Ginfo-G? */
	BGL_EXPORTED_DEF bool_t
		BGl_sexitzf2Ginfozd2Gzf3zd3zzglobaliza7e_ginfoza7(BgL_sexitz00_bglt
		BgL_oz00_213)
	{
		{	/* Globalize/ginfo.sch 339 */
			{
				BgL_sexitzf2ginfozf2_bglt BgL_auxz00_5733;

				{
					obj_t BgL_auxz00_5734;

					{	/* Globalize/ginfo.sch 339 */
						BgL_objectz00_bglt BgL_tmpz00_5735;

						BgL_tmpz00_5735 = ((BgL_objectz00_bglt) BgL_oz00_213);
						BgL_auxz00_5734 = BGL_OBJECT_WIDENING(BgL_tmpz00_5735);
					}
					BgL_auxz00_5733 = ((BgL_sexitzf2ginfozf2_bglt) BgL_auxz00_5734);
				}
				return
					(((BgL_sexitzf2ginfozf2_bglt) COBJECT(BgL_auxz00_5733))->BgL_gzf3zf3);
			}
		}

	}



/* &sexit/Ginfo-G? */
	obj_t BGl_z62sexitzf2Ginfozd2Gzf3zb1zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3563, obj_t BgL_oz00_3564)
	{
		{	/* Globalize/ginfo.sch 339 */
			return
				BBOOL(BGl_sexitzf2Ginfozd2Gzf3zd3zzglobaliza7e_ginfoza7(
					((BgL_sexitz00_bglt) BgL_oz00_3564)));
		}

	}



/* sexit/Ginfo-G?-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sexitzf2Ginfozd2Gzf3zd2setz12z13zzglobaliza7e_ginfoza7(BgL_sexitz00_bglt
		BgL_oz00_214, bool_t BgL_vz00_215)
	{
		{	/* Globalize/ginfo.sch 340 */
			{
				BgL_sexitzf2ginfozf2_bglt BgL_auxz00_5743;

				{
					obj_t BgL_auxz00_5744;

					{	/* Globalize/ginfo.sch 340 */
						BgL_objectz00_bglt BgL_tmpz00_5745;

						BgL_tmpz00_5745 = ((BgL_objectz00_bglt) BgL_oz00_214);
						BgL_auxz00_5744 = BGL_OBJECT_WIDENING(BgL_tmpz00_5745);
					}
					BgL_auxz00_5743 = ((BgL_sexitzf2ginfozf2_bglt) BgL_auxz00_5744);
				}
				return
					((((BgL_sexitzf2ginfozf2_bglt) COBJECT(BgL_auxz00_5743))->
						BgL_gzf3zf3) = ((bool_t) BgL_vz00_215), BUNSPEC);
			}
		}

	}



/* &sexit/Ginfo-G?-set! */
	obj_t BGl_z62sexitzf2Ginfozd2Gzf3zd2setz12z71zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3565, obj_t BgL_oz00_3566, obj_t BgL_vz00_3567)
	{
		{	/* Globalize/ginfo.sch 340 */
			return
				BGl_sexitzf2Ginfozd2Gzf3zd2setz12z13zzglobaliza7e_ginfoza7(
				((BgL_sexitz00_bglt) BgL_oz00_3566), CBOOL(BgL_vz00_3567));
		}

	}



/* sexit/Ginfo-detached? */
	BGL_EXPORTED_DEF bool_t
		BGl_sexitzf2Ginfozd2detachedzf3zd3zzglobaliza7e_ginfoza7(BgL_sexitz00_bglt
		BgL_oz00_216)
	{
		{	/* Globalize/ginfo.sch 341 */
			return
				(((BgL_sexitz00_bglt) COBJECT(
						((BgL_sexitz00_bglt) BgL_oz00_216)))->BgL_detachedzf3zf3);
		}

	}



/* &sexit/Ginfo-detached? */
	obj_t BGl_z62sexitzf2Ginfozd2detachedzf3zb1zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3568, obj_t BgL_oz00_3569)
	{
		{	/* Globalize/ginfo.sch 341 */
			return
				BBOOL(BGl_sexitzf2Ginfozd2detachedzf3zd3zzglobaliza7e_ginfoza7(
					((BgL_sexitz00_bglt) BgL_oz00_3569)));
		}

	}



/* sexit/Ginfo-detached?-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sexitzf2Ginfozd2detachedzf3zd2setz12z13zzglobaliza7e_ginfoza7
		(BgL_sexitz00_bglt BgL_oz00_217, bool_t BgL_vz00_218)
	{
		{	/* Globalize/ginfo.sch 342 */
			return
				((((BgL_sexitz00_bglt) COBJECT(
							((BgL_sexitz00_bglt) BgL_oz00_217)))->BgL_detachedzf3zf3) =
				((bool_t) BgL_vz00_218), BUNSPEC);
		}

	}



/* &sexit/Ginfo-detached?-set! */
	obj_t
		BGl_z62sexitzf2Ginfozd2detachedzf3zd2setz12z71zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3570, obj_t BgL_oz00_3571, obj_t BgL_vz00_3572)
	{
		{	/* Globalize/ginfo.sch 342 */
			return
				BGl_sexitzf2Ginfozd2detachedzf3zd2setz12z13zzglobaliza7e_ginfoza7(
				((BgL_sexitz00_bglt) BgL_oz00_3571), CBOOL(BgL_vz00_3572));
		}

	}



/* sexit/Ginfo-handler */
	BGL_EXPORTED_DEF obj_t
		BGl_sexitzf2Ginfozd2handlerz20zzglobaliza7e_ginfoza7(BgL_sexitz00_bglt
		BgL_oz00_219)
	{
		{	/* Globalize/ginfo.sch 343 */
			return
				(((BgL_sexitz00_bglt) COBJECT(
						((BgL_sexitz00_bglt) BgL_oz00_219)))->BgL_handlerz00);
		}

	}



/* &sexit/Ginfo-handler */
	obj_t BGl_z62sexitzf2Ginfozd2handlerz42zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3573, obj_t BgL_oz00_3574)
	{
		{	/* Globalize/ginfo.sch 343 */
			return
				BGl_sexitzf2Ginfozd2handlerz20zzglobaliza7e_ginfoza7(
				((BgL_sexitz00_bglt) BgL_oz00_3574));
		}

	}



/* sexit/Ginfo-handler-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sexitzf2Ginfozd2handlerzd2setz12ze0zzglobaliza7e_ginfoza7
		(BgL_sexitz00_bglt BgL_oz00_220, obj_t BgL_vz00_221)
	{
		{	/* Globalize/ginfo.sch 344 */
			return
				((((BgL_sexitz00_bglt) COBJECT(
							((BgL_sexitz00_bglt) BgL_oz00_220)))->BgL_handlerz00) =
				((obj_t) BgL_vz00_221), BUNSPEC);
		}

	}



/* &sexit/Ginfo-handler-set! */
	obj_t BGl_z62sexitzf2Ginfozd2handlerzd2setz12z82zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3575, obj_t BgL_oz00_3576, obj_t BgL_vz00_3577)
	{
		{	/* Globalize/ginfo.sch 344 */
			return
				BGl_sexitzf2Ginfozd2handlerzd2setz12ze0zzglobaliza7e_ginfoza7(
				((BgL_sexitz00_bglt) BgL_oz00_3576), BgL_vz00_3577);
		}

	}



/* make-local/Ginfo */
	BGL_EXPORTED_DEF BgL_localz00_bglt
		BGl_makezd2localzf2Ginfoz20zzglobaliza7e_ginfoza7(obj_t BgL_id1247z00_222,
		obj_t BgL_name1248z00_223, BgL_typez00_bglt BgL_type1249z00_224,
		BgL_valuez00_bglt BgL_value1250z00_225, obj_t BgL_access1251z00_226,
		obj_t BgL_fastzd2alpha1252zd2_227, obj_t BgL_removable1253z00_228,
		long BgL_occurrence1254z00_229, long BgL_occurrencew1255z00_230,
		bool_t BgL_userzf31256zf3_231, long BgL_key1257z00_232,
		obj_t BgL_valzd2noescape1258zd2_233, bool_t BgL_volatile1259z00_234,
		bool_t BgL_escapezf31260zf3_235, bool_t BgL_globaliza7edzf31261z54_236)
	{
		{	/* Globalize/ginfo.sch 347 */
			{	/* Globalize/ginfo.sch 347 */
				BgL_localz00_bglt BgL_new1238z00_4316;

				{	/* Globalize/ginfo.sch 347 */
					BgL_localz00_bglt BgL_tmp1236z00_4317;
					BgL_localzf2ginfozf2_bglt BgL_wide1237z00_4318;

					{
						BgL_localz00_bglt BgL_auxz00_5771;

						{	/* Globalize/ginfo.sch 347 */
							BgL_localz00_bglt BgL_new1235z00_4319;

							BgL_new1235z00_4319 =
								((BgL_localz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_localz00_bgl))));
							{	/* Globalize/ginfo.sch 347 */
								long BgL_arg1418z00_4320;

								BgL_arg1418z00_4320 = BGL_CLASS_NUM(BGl_localz00zzast_varz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1235z00_4319),
									BgL_arg1418z00_4320);
							}
							{	/* Globalize/ginfo.sch 347 */
								BgL_objectz00_bglt BgL_tmpz00_5776;

								BgL_tmpz00_5776 = ((BgL_objectz00_bglt) BgL_new1235z00_4319);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5776, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1235z00_4319);
							BgL_auxz00_5771 = BgL_new1235z00_4319;
						}
						BgL_tmp1236z00_4317 = ((BgL_localz00_bglt) BgL_auxz00_5771);
					}
					BgL_wide1237z00_4318 =
						((BgL_localzf2ginfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_localzf2ginfozf2_bgl))));
					{	/* Globalize/ginfo.sch 347 */
						obj_t BgL_auxz00_5784;
						BgL_objectz00_bglt BgL_tmpz00_5782;

						BgL_auxz00_5784 = ((obj_t) BgL_wide1237z00_4318);
						BgL_tmpz00_5782 = ((BgL_objectz00_bglt) BgL_tmp1236z00_4317);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5782, BgL_auxz00_5784);
					}
					((BgL_objectz00_bglt) BgL_tmp1236z00_4317);
					{	/* Globalize/ginfo.sch 347 */
						long BgL_arg1417z00_4321;

						BgL_arg1417z00_4321 =
							BGL_CLASS_NUM(BGl_localzf2Ginfozf2zzglobaliza7e_ginfoza7);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1236z00_4317), BgL_arg1417z00_4321);
					}
					BgL_new1238z00_4316 = ((BgL_localz00_bglt) BgL_tmp1236z00_4317);
				}
				((((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt) BgL_new1238z00_4316)))->BgL_idz00) =
					((obj_t) BgL_id1247z00_222), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1238z00_4316)))->BgL_namez00) =
					((obj_t) BgL_name1248z00_223), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1238z00_4316)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1249z00_224), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1238z00_4316)))->BgL_valuez00) =
					((BgL_valuez00_bglt) BgL_value1250z00_225), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1238z00_4316)))->BgL_accessz00) =
					((obj_t) BgL_access1251z00_226), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1238z00_4316)))->BgL_fastzd2alphazd2) =
					((obj_t) BgL_fastzd2alpha1252zd2_227), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1238z00_4316)))->BgL_removablez00) =
					((obj_t) BgL_removable1253z00_228), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1238z00_4316)))->BgL_occurrencez00) =
					((long) BgL_occurrence1254z00_229), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1238z00_4316)))->BgL_occurrencewz00) =
					((long) BgL_occurrencew1255z00_230), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1238z00_4316)))->BgL_userzf3zf3) =
					((bool_t) BgL_userzf31256zf3_231), BUNSPEC);
				((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt)
									BgL_new1238z00_4316)))->BgL_keyz00) =
					((long) BgL_key1257z00_232), BUNSPEC);
				((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt)
									BgL_new1238z00_4316)))->BgL_valzd2noescapezd2) =
					((obj_t) BgL_valzd2noescape1258zd2_233), BUNSPEC);
				((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt)
									BgL_new1238z00_4316)))->BgL_volatilez00) =
					((bool_t) BgL_volatile1259z00_234), BUNSPEC);
				{
					BgL_localzf2ginfozf2_bglt BgL_auxz00_5818;

					{
						obj_t BgL_auxz00_5819;

						{	/* Globalize/ginfo.sch 347 */
							BgL_objectz00_bglt BgL_tmpz00_5820;

							BgL_tmpz00_5820 = ((BgL_objectz00_bglt) BgL_new1238z00_4316);
							BgL_auxz00_5819 = BGL_OBJECT_WIDENING(BgL_tmpz00_5820);
						}
						BgL_auxz00_5818 = ((BgL_localzf2ginfozf2_bglt) BgL_auxz00_5819);
					}
					((((BgL_localzf2ginfozf2_bglt) COBJECT(BgL_auxz00_5818))->
							BgL_escapezf3zf3) = ((bool_t) BgL_escapezf31260zf3_235), BUNSPEC);
				}
				{
					BgL_localzf2ginfozf2_bglt BgL_auxz00_5825;

					{
						obj_t BgL_auxz00_5826;

						{	/* Globalize/ginfo.sch 347 */
							BgL_objectz00_bglt BgL_tmpz00_5827;

							BgL_tmpz00_5827 = ((BgL_objectz00_bglt) BgL_new1238z00_4316);
							BgL_auxz00_5826 = BGL_OBJECT_WIDENING(BgL_tmpz00_5827);
						}
						BgL_auxz00_5825 = ((BgL_localzf2ginfozf2_bglt) BgL_auxz00_5826);
					}
					((((BgL_localzf2ginfozf2_bglt) COBJECT(BgL_auxz00_5825))->
							BgL_globaliza7edzf3z54) =
						((bool_t) BgL_globaliza7edzf31261z54_236), BUNSPEC);
				}
				return BgL_new1238z00_4316;
			}
		}

	}



/* &make-local/Ginfo */
	BgL_localz00_bglt BGl_z62makezd2localzf2Ginfoz42zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3578, obj_t BgL_id1247z00_3579, obj_t BgL_name1248z00_3580,
		obj_t BgL_type1249z00_3581, obj_t BgL_value1250z00_3582,
		obj_t BgL_access1251z00_3583, obj_t BgL_fastzd2alpha1252zd2_3584,
		obj_t BgL_removable1253z00_3585, obj_t BgL_occurrence1254z00_3586,
		obj_t BgL_occurrencew1255z00_3587, obj_t BgL_userzf31256zf3_3588,
		obj_t BgL_key1257z00_3589, obj_t BgL_valzd2noescape1258zd2_3590,
		obj_t BgL_volatile1259z00_3591, obj_t BgL_escapezf31260zf3_3592,
		obj_t BgL_globaliza7edzf31261z54_3593)
	{
		{	/* Globalize/ginfo.sch 347 */
			return
				BGl_makezd2localzf2Ginfoz20zzglobaliza7e_ginfoza7(BgL_id1247z00_3579,
				BgL_name1248z00_3580, ((BgL_typez00_bglt) BgL_type1249z00_3581),
				((BgL_valuez00_bglt) BgL_value1250z00_3582), BgL_access1251z00_3583,
				BgL_fastzd2alpha1252zd2_3584, BgL_removable1253z00_3585,
				(long) CINT(BgL_occurrence1254z00_3586),
				(long) CINT(BgL_occurrencew1255z00_3587),
				CBOOL(BgL_userzf31256zf3_3588), (long) CINT(BgL_key1257z00_3589),
				BgL_valzd2noescape1258zd2_3590, CBOOL(BgL_volatile1259z00_3591),
				CBOOL(BgL_escapezf31260zf3_3592),
				CBOOL(BgL_globaliza7edzf31261z54_3593));
		}

	}



/* local/Ginfo? */
	BGL_EXPORTED_DEF bool_t BGl_localzf2Ginfozf3z01zzglobaliza7e_ginfoza7(obj_t
		BgL_objz00_237)
	{
		{	/* Globalize/ginfo.sch 348 */
			{	/* Globalize/ginfo.sch 348 */
				obj_t BgL_classz00_4322;

				BgL_classz00_4322 = BGl_localzf2Ginfozf2zzglobaliza7e_ginfoza7;
				if (BGL_OBJECTP(BgL_objz00_237))
					{	/* Globalize/ginfo.sch 348 */
						BgL_objectz00_bglt BgL_arg1858z00_4323;

						BgL_arg1858z00_4323 = (BgL_objectz00_bglt) (BgL_objz00_237);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Globalize/ginfo.sch 348 */
								long BgL_idxz00_4324;

								BgL_idxz00_4324 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_4323);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_4324 + 3L)) == BgL_classz00_4322);
							}
						else
							{	/* Globalize/ginfo.sch 348 */
								bool_t BgL_res2098z00_4327;

								{	/* Globalize/ginfo.sch 348 */
									obj_t BgL_oclassz00_4328;

									{	/* Globalize/ginfo.sch 348 */
										obj_t BgL_arg1866z00_4329;
										long BgL_arg1867z00_4330;

										BgL_arg1866z00_4329 = (BGl_za2classesza2z00zz__objectz00);
										{	/* Globalize/ginfo.sch 348 */
											long BgL_arg1869z00_4331;

											BgL_arg1869z00_4331 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_4323);
											BgL_arg1867z00_4330 = (BgL_arg1869z00_4331 - OBJECT_TYPE);
										}
										BgL_oclassz00_4328 =
											VECTOR_REF(BgL_arg1866z00_4329, BgL_arg1867z00_4330);
									}
									{	/* Globalize/ginfo.sch 348 */
										bool_t BgL__ortest_1115z00_4332;

										BgL__ortest_1115z00_4332 =
											(BgL_classz00_4322 == BgL_oclassz00_4328);
										if (BgL__ortest_1115z00_4332)
											{	/* Globalize/ginfo.sch 348 */
												BgL_res2098z00_4327 = BgL__ortest_1115z00_4332;
											}
										else
											{	/* Globalize/ginfo.sch 348 */
												long BgL_odepthz00_4333;

												{	/* Globalize/ginfo.sch 348 */
													obj_t BgL_arg1855z00_4334;

													BgL_arg1855z00_4334 = (BgL_oclassz00_4328);
													BgL_odepthz00_4333 =
														BGL_CLASS_DEPTH(BgL_arg1855z00_4334);
												}
												if ((3L < BgL_odepthz00_4333))
													{	/* Globalize/ginfo.sch 348 */
														obj_t BgL_arg1853z00_4335;

														{	/* Globalize/ginfo.sch 348 */
															obj_t BgL_arg1854z00_4336;

															BgL_arg1854z00_4336 = (BgL_oclassz00_4328);
															BgL_arg1853z00_4335 =
																BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_4336,
																3L);
														}
														BgL_res2098z00_4327 =
															(BgL_arg1853z00_4335 == BgL_classz00_4322);
													}
												else
													{	/* Globalize/ginfo.sch 348 */
														BgL_res2098z00_4327 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res2098z00_4327;
							}
					}
				else
					{	/* Globalize/ginfo.sch 348 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &local/Ginfo? */
	obj_t BGl_z62localzf2Ginfozf3z63zzglobaliza7e_ginfoza7(obj_t BgL_envz00_3594,
		obj_t BgL_objz00_3595)
	{
		{	/* Globalize/ginfo.sch 348 */
			return
				BBOOL(BGl_localzf2Ginfozf3z01zzglobaliza7e_ginfoza7(BgL_objz00_3595));
		}

	}



/* local/Ginfo-nil */
	BGL_EXPORTED_DEF BgL_localz00_bglt
		BGl_localzf2Ginfozd2nilz20zzglobaliza7e_ginfoza7(void)
	{
		{	/* Globalize/ginfo.sch 349 */
			{	/* Globalize/ginfo.sch 349 */
				obj_t BgL_classz00_2882;

				BgL_classz00_2882 = BGl_localzf2Ginfozf2zzglobaliza7e_ginfoza7;
				{	/* Globalize/ginfo.sch 349 */
					obj_t BgL__ortest_1117z00_2883;

					BgL__ortest_1117z00_2883 = BGL_CLASS_NIL(BgL_classz00_2882);
					if (CBOOL(BgL__ortest_1117z00_2883))
						{	/* Globalize/ginfo.sch 349 */
							return ((BgL_localz00_bglt) BgL__ortest_1117z00_2883);
						}
					else
						{	/* Globalize/ginfo.sch 349 */
							return
								((BgL_localz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2882));
						}
				}
			}
		}

	}



/* &local/Ginfo-nil */
	BgL_localz00_bglt BGl_z62localzf2Ginfozd2nilz42zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3596)
	{
		{	/* Globalize/ginfo.sch 349 */
			return BGl_localzf2Ginfozd2nilz20zzglobaliza7e_ginfoza7();
		}

	}



/* local/Ginfo-globalized? */
	BGL_EXPORTED_DEF bool_t
		BGl_localzf2Ginfozd2globaliza7edzf3z74zzglobaliza7e_ginfoza7
		(BgL_localz00_bglt BgL_oz00_238)
	{
		{	/* Globalize/ginfo.sch 350 */
			{
				BgL_localzf2ginfozf2_bglt BgL_auxz00_5873;

				{
					obj_t BgL_auxz00_5874;

					{	/* Globalize/ginfo.sch 350 */
						BgL_objectz00_bglt BgL_tmpz00_5875;

						BgL_tmpz00_5875 = ((BgL_objectz00_bglt) BgL_oz00_238);
						BgL_auxz00_5874 = BGL_OBJECT_WIDENING(BgL_tmpz00_5875);
					}
					BgL_auxz00_5873 = ((BgL_localzf2ginfozf2_bglt) BgL_auxz00_5874);
				}
				return
					(((BgL_localzf2ginfozf2_bglt) COBJECT(BgL_auxz00_5873))->
					BgL_globaliza7edzf3z54);
			}
		}

	}



/* &local/Ginfo-globalized? */
	obj_t BGl_z62localzf2Ginfozd2globaliza7edzf3z16zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3597, obj_t BgL_oz00_3598)
	{
		{	/* Globalize/ginfo.sch 350 */
			return
				BBOOL(BGl_localzf2Ginfozd2globaliza7edzf3z74zzglobaliza7e_ginfoza7(
					((BgL_localz00_bglt) BgL_oz00_3598)));
		}

	}



/* local/Ginfo-globalized?-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2Ginfozd2globaliza7edzf3zd2setz12zb4zzglobaliza7e_ginfoza7
		(BgL_localz00_bglt BgL_oz00_239, bool_t BgL_vz00_240)
	{
		{	/* Globalize/ginfo.sch 351 */
			{
				BgL_localzf2ginfozf2_bglt BgL_auxz00_5883;

				{
					obj_t BgL_auxz00_5884;

					{	/* Globalize/ginfo.sch 351 */
						BgL_objectz00_bglt BgL_tmpz00_5885;

						BgL_tmpz00_5885 = ((BgL_objectz00_bglt) BgL_oz00_239);
						BgL_auxz00_5884 = BGL_OBJECT_WIDENING(BgL_tmpz00_5885);
					}
					BgL_auxz00_5883 = ((BgL_localzf2ginfozf2_bglt) BgL_auxz00_5884);
				}
				return
					((((BgL_localzf2ginfozf2_bglt) COBJECT(BgL_auxz00_5883))->
						BgL_globaliza7edzf3z54) = ((bool_t) BgL_vz00_240), BUNSPEC);
			}
		}

	}



/* &local/Ginfo-globalized?-set! */
	obj_t
		BGl_z62localzf2Ginfozd2globaliza7edzf3zd2setz12zd6zzglobaliza7e_ginfoza7
		(obj_t BgL_envz00_3599, obj_t BgL_oz00_3600, obj_t BgL_vz00_3601)
	{
		{	/* Globalize/ginfo.sch 351 */
			return
				BGl_localzf2Ginfozd2globaliza7edzf3zd2setz12zb4zzglobaliza7e_ginfoza7(
				((BgL_localz00_bglt) BgL_oz00_3600), CBOOL(BgL_vz00_3601));
		}

	}



/* local/Ginfo-escape? */
	BGL_EXPORTED_DEF bool_t
		BGl_localzf2Ginfozd2escapezf3zd3zzglobaliza7e_ginfoza7(BgL_localz00_bglt
		BgL_oz00_241)
	{
		{	/* Globalize/ginfo.sch 352 */
			{
				BgL_localzf2ginfozf2_bglt BgL_auxz00_5893;

				{
					obj_t BgL_auxz00_5894;

					{	/* Globalize/ginfo.sch 352 */
						BgL_objectz00_bglt BgL_tmpz00_5895;

						BgL_tmpz00_5895 = ((BgL_objectz00_bglt) BgL_oz00_241);
						BgL_auxz00_5894 = BGL_OBJECT_WIDENING(BgL_tmpz00_5895);
					}
					BgL_auxz00_5893 = ((BgL_localzf2ginfozf2_bglt) BgL_auxz00_5894);
				}
				return
					(((BgL_localzf2ginfozf2_bglt) COBJECT(BgL_auxz00_5893))->
					BgL_escapezf3zf3);
			}
		}

	}



/* &local/Ginfo-escape? */
	obj_t BGl_z62localzf2Ginfozd2escapezf3zb1zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3602, obj_t BgL_oz00_3603)
	{
		{	/* Globalize/ginfo.sch 352 */
			return
				BBOOL(BGl_localzf2Ginfozd2escapezf3zd3zzglobaliza7e_ginfoza7(
					((BgL_localz00_bglt) BgL_oz00_3603)));
		}

	}



/* local/Ginfo-escape?-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2Ginfozd2escapezf3zd2setz12z13zzglobaliza7e_ginfoza7
		(BgL_localz00_bglt BgL_oz00_242, bool_t BgL_vz00_243)
	{
		{	/* Globalize/ginfo.sch 353 */
			{
				BgL_localzf2ginfozf2_bglt BgL_auxz00_5903;

				{
					obj_t BgL_auxz00_5904;

					{	/* Globalize/ginfo.sch 353 */
						BgL_objectz00_bglt BgL_tmpz00_5905;

						BgL_tmpz00_5905 = ((BgL_objectz00_bglt) BgL_oz00_242);
						BgL_auxz00_5904 = BGL_OBJECT_WIDENING(BgL_tmpz00_5905);
					}
					BgL_auxz00_5903 = ((BgL_localzf2ginfozf2_bglt) BgL_auxz00_5904);
				}
				return
					((((BgL_localzf2ginfozf2_bglt) COBJECT(BgL_auxz00_5903))->
						BgL_escapezf3zf3) = ((bool_t) BgL_vz00_243), BUNSPEC);
			}
		}

	}



/* &local/Ginfo-escape?-set! */
	obj_t BGl_z62localzf2Ginfozd2escapezf3zd2setz12z71zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3604, obj_t BgL_oz00_3605, obj_t BgL_vz00_3606)
	{
		{	/* Globalize/ginfo.sch 353 */
			return
				BGl_localzf2Ginfozd2escapezf3zd2setz12z13zzglobaliza7e_ginfoza7(
				((BgL_localz00_bglt) BgL_oz00_3605), CBOOL(BgL_vz00_3606));
		}

	}



/* local/Ginfo-volatile */
	BGL_EXPORTED_DEF bool_t
		BGl_localzf2Ginfozd2volatilez20zzglobaliza7e_ginfoza7(BgL_localz00_bglt
		BgL_oz00_244)
	{
		{	/* Globalize/ginfo.sch 354 */
			return
				(((BgL_localz00_bglt) COBJECT(
						((BgL_localz00_bglt) BgL_oz00_244)))->BgL_volatilez00);
		}

	}



/* &local/Ginfo-volatile */
	obj_t BGl_z62localzf2Ginfozd2volatilez42zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3607, obj_t BgL_oz00_3608)
	{
		{	/* Globalize/ginfo.sch 354 */
			return
				BBOOL(BGl_localzf2Ginfozd2volatilez20zzglobaliza7e_ginfoza7(
					((BgL_localz00_bglt) BgL_oz00_3608)));
		}

	}



/* local/Ginfo-volatile-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2Ginfozd2volatilezd2setz12ze0zzglobaliza7e_ginfoza7
		(BgL_localz00_bglt BgL_oz00_245, bool_t BgL_vz00_246)
	{
		{	/* Globalize/ginfo.sch 355 */
			return
				((((BgL_localz00_bglt) COBJECT(
							((BgL_localz00_bglt) BgL_oz00_245)))->BgL_volatilez00) =
				((bool_t) BgL_vz00_246), BUNSPEC);
		}

	}



/* &local/Ginfo-volatile-set! */
	obj_t BGl_z62localzf2Ginfozd2volatilezd2setz12z82zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3609, obj_t BgL_oz00_3610, obj_t BgL_vz00_3611)
	{
		{	/* Globalize/ginfo.sch 355 */
			return
				BGl_localzf2Ginfozd2volatilezd2setz12ze0zzglobaliza7e_ginfoza7(
				((BgL_localz00_bglt) BgL_oz00_3610), CBOOL(BgL_vz00_3611));
		}

	}



/* local/Ginfo-val-noescape */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2Ginfozd2valzd2noescapezf2zzglobaliza7e_ginfoza7
		(BgL_localz00_bglt BgL_oz00_247)
	{
		{	/* Globalize/ginfo.sch 356 */
			return
				(((BgL_localz00_bglt) COBJECT(
						((BgL_localz00_bglt) BgL_oz00_247)))->BgL_valzd2noescapezd2);
		}

	}



/* &local/Ginfo-val-noescape */
	obj_t BGl_z62localzf2Ginfozd2valzd2noescapez90zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3612, obj_t BgL_oz00_3613)
	{
		{	/* Globalize/ginfo.sch 356 */
			return
				BGl_localzf2Ginfozd2valzd2noescapezf2zzglobaliza7e_ginfoza7(
				((BgL_localz00_bglt) BgL_oz00_3613));
		}

	}



/* local/Ginfo-val-noescape-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2Ginfozd2valzd2noescapezd2setz12z32zzglobaliza7e_ginfoza7
		(BgL_localz00_bglt BgL_oz00_248, obj_t BgL_vz00_249)
	{
		{	/* Globalize/ginfo.sch 357 */
			return
				((((BgL_localz00_bglt) COBJECT(
							((BgL_localz00_bglt) BgL_oz00_248)))->BgL_valzd2noescapezd2) =
				((obj_t) BgL_vz00_249), BUNSPEC);
		}

	}



/* &local/Ginfo-val-noescape-set! */
	obj_t
		BGl_z62localzf2Ginfozd2valzd2noescapezd2setz12z50zzglobaliza7e_ginfoza7
		(obj_t BgL_envz00_3614, obj_t BgL_oz00_3615, obj_t BgL_vz00_3616)
	{
		{	/* Globalize/ginfo.sch 357 */
			return
				BGl_localzf2Ginfozd2valzd2noescapezd2setz12z32zzglobaliza7e_ginfoza7(
				((BgL_localz00_bglt) BgL_oz00_3615), BgL_vz00_3616);
		}

	}



/* local/Ginfo-key */
	BGL_EXPORTED_DEF long
		BGl_localzf2Ginfozd2keyz20zzglobaliza7e_ginfoza7(BgL_localz00_bglt
		BgL_oz00_250)
	{
		{	/* Globalize/ginfo.sch 358 */
			return
				(((BgL_localz00_bglt) COBJECT(
						((BgL_localz00_bglt) BgL_oz00_250)))->BgL_keyz00);
		}

	}



/* &local/Ginfo-key */
	obj_t BGl_z62localzf2Ginfozd2keyz42zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3617, obj_t BgL_oz00_3618)
	{
		{	/* Globalize/ginfo.sch 358 */
			return
				BINT(BGl_localzf2Ginfozd2keyz20zzglobaliza7e_ginfoza7(
					((BgL_localz00_bglt) BgL_oz00_3618)));
		}

	}



/* local/Ginfo-user? */
	BGL_EXPORTED_DEF bool_t
		BGl_localzf2Ginfozd2userzf3zd3zzglobaliza7e_ginfoza7(BgL_localz00_bglt
		BgL_oz00_253)
	{
		{	/* Globalize/ginfo.sch 360 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_253)))->BgL_userzf3zf3);
		}

	}



/* &local/Ginfo-user? */
	obj_t BGl_z62localzf2Ginfozd2userzf3zb1zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3619, obj_t BgL_oz00_3620)
	{
		{	/* Globalize/ginfo.sch 360 */
			return
				BBOOL(BGl_localzf2Ginfozd2userzf3zd3zzglobaliza7e_ginfoza7(
					((BgL_localz00_bglt) BgL_oz00_3620)));
		}

	}



/* local/Ginfo-user?-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2Ginfozd2userzf3zd2setz12z13zzglobaliza7e_ginfoza7
		(BgL_localz00_bglt BgL_oz00_254, bool_t BgL_vz00_255)
	{
		{	/* Globalize/ginfo.sch 361 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_254)))->BgL_userzf3zf3) =
				((bool_t) BgL_vz00_255), BUNSPEC);
		}

	}



/* &local/Ginfo-user?-set! */
	obj_t BGl_z62localzf2Ginfozd2userzf3zd2setz12z71zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3621, obj_t BgL_oz00_3622, obj_t BgL_vz00_3623)
	{
		{	/* Globalize/ginfo.sch 361 */
			return
				BGl_localzf2Ginfozd2userzf3zd2setz12z13zzglobaliza7e_ginfoza7(
				((BgL_localz00_bglt) BgL_oz00_3622), CBOOL(BgL_vz00_3623));
		}

	}



/* local/Ginfo-occurrencew */
	BGL_EXPORTED_DEF long
		BGl_localzf2Ginfozd2occurrencewz20zzglobaliza7e_ginfoza7(BgL_localz00_bglt
		BgL_oz00_256)
	{
		{	/* Globalize/ginfo.sch 362 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_256)))->BgL_occurrencewz00);
		}

	}



/* &local/Ginfo-occurrencew */
	obj_t BGl_z62localzf2Ginfozd2occurrencewz42zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3624, obj_t BgL_oz00_3625)
	{
		{	/* Globalize/ginfo.sch 362 */
			return
				BINT(BGl_localzf2Ginfozd2occurrencewz20zzglobaliza7e_ginfoza7(
					((BgL_localz00_bglt) BgL_oz00_3625)));
		}

	}



/* local/Ginfo-occurrencew-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2Ginfozd2occurrencewzd2setz12ze0zzglobaliza7e_ginfoza7
		(BgL_localz00_bglt BgL_oz00_257, long BgL_vz00_258)
	{
		{	/* Globalize/ginfo.sch 363 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_257)))->BgL_occurrencewz00) =
				((long) BgL_vz00_258), BUNSPEC);
		}

	}



/* &local/Ginfo-occurrencew-set! */
	obj_t
		BGl_z62localzf2Ginfozd2occurrencewzd2setz12z82zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3626, obj_t BgL_oz00_3627, obj_t BgL_vz00_3628)
	{
		{	/* Globalize/ginfo.sch 363 */
			return
				BGl_localzf2Ginfozd2occurrencewzd2setz12ze0zzglobaliza7e_ginfoza7(
				((BgL_localz00_bglt) BgL_oz00_3627), (long) CINT(BgL_vz00_3628));
		}

	}



/* local/Ginfo-occurrence */
	BGL_EXPORTED_DEF long
		BGl_localzf2Ginfozd2occurrencez20zzglobaliza7e_ginfoza7(BgL_localz00_bglt
		BgL_oz00_259)
	{
		{	/* Globalize/ginfo.sch 364 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_259)))->BgL_occurrencez00);
		}

	}



/* &local/Ginfo-occurrence */
	obj_t BGl_z62localzf2Ginfozd2occurrencez42zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3629, obj_t BgL_oz00_3630)
	{
		{	/* Globalize/ginfo.sch 364 */
			return
				BINT(BGl_localzf2Ginfozd2occurrencez20zzglobaliza7e_ginfoza7(
					((BgL_localz00_bglt) BgL_oz00_3630)));
		}

	}



/* local/Ginfo-occurrence-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2Ginfozd2occurrencezd2setz12ze0zzglobaliza7e_ginfoza7
		(BgL_localz00_bglt BgL_oz00_260, long BgL_vz00_261)
	{
		{	/* Globalize/ginfo.sch 365 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_260)))->BgL_occurrencez00) =
				((long) BgL_vz00_261), BUNSPEC);
		}

	}



/* &local/Ginfo-occurrence-set! */
	obj_t
		BGl_z62localzf2Ginfozd2occurrencezd2setz12z82zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3631, obj_t BgL_oz00_3632, obj_t BgL_vz00_3633)
	{
		{	/* Globalize/ginfo.sch 365 */
			return
				BGl_localzf2Ginfozd2occurrencezd2setz12ze0zzglobaliza7e_ginfoza7(
				((BgL_localz00_bglt) BgL_oz00_3632), (long) CINT(BgL_vz00_3633));
		}

	}



/* local/Ginfo-removable */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2Ginfozd2removablez20zzglobaliza7e_ginfoza7(BgL_localz00_bglt
		BgL_oz00_262)
	{
		{	/* Globalize/ginfo.sch 366 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_262)))->BgL_removablez00);
		}

	}



/* &local/Ginfo-removable */
	obj_t BGl_z62localzf2Ginfozd2removablez42zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3634, obj_t BgL_oz00_3635)
	{
		{	/* Globalize/ginfo.sch 366 */
			return
				BGl_localzf2Ginfozd2removablez20zzglobaliza7e_ginfoza7(
				((BgL_localz00_bglt) BgL_oz00_3635));
		}

	}



/* local/Ginfo-removable-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2Ginfozd2removablezd2setz12ze0zzglobaliza7e_ginfoza7
		(BgL_localz00_bglt BgL_oz00_263, obj_t BgL_vz00_264)
	{
		{	/* Globalize/ginfo.sch 367 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_263)))->BgL_removablez00) =
				((obj_t) BgL_vz00_264), BUNSPEC);
		}

	}



/* &local/Ginfo-removable-set! */
	obj_t BGl_z62localzf2Ginfozd2removablezd2setz12z82zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3636, obj_t BgL_oz00_3637, obj_t BgL_vz00_3638)
	{
		{	/* Globalize/ginfo.sch 367 */
			return
				BGl_localzf2Ginfozd2removablezd2setz12ze0zzglobaliza7e_ginfoza7(
				((BgL_localz00_bglt) BgL_oz00_3637), BgL_vz00_3638);
		}

	}



/* local/Ginfo-fast-alpha */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2Ginfozd2fastzd2alphazf2zzglobaliza7e_ginfoza7(BgL_localz00_bglt
		BgL_oz00_265)
	{
		{	/* Globalize/ginfo.sch 368 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_265)))->BgL_fastzd2alphazd2);
		}

	}



/* &local/Ginfo-fast-alpha */
	obj_t BGl_z62localzf2Ginfozd2fastzd2alphaz90zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3639, obj_t BgL_oz00_3640)
	{
		{	/* Globalize/ginfo.sch 368 */
			return
				BGl_localzf2Ginfozd2fastzd2alphazf2zzglobaliza7e_ginfoza7(
				((BgL_localz00_bglt) BgL_oz00_3640));
		}

	}



/* local/Ginfo-fast-alpha-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2Ginfozd2fastzd2alphazd2setz12z32zzglobaliza7e_ginfoza7
		(BgL_localz00_bglt BgL_oz00_266, obj_t BgL_vz00_267)
	{
		{	/* Globalize/ginfo.sch 369 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_266)))->BgL_fastzd2alphazd2) =
				((obj_t) BgL_vz00_267), BUNSPEC);
		}

	}



/* &local/Ginfo-fast-alpha-set! */
	obj_t
		BGl_z62localzf2Ginfozd2fastzd2alphazd2setz12z50zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3641, obj_t BgL_oz00_3642, obj_t BgL_vz00_3643)
	{
		{	/* Globalize/ginfo.sch 369 */
			return
				BGl_localzf2Ginfozd2fastzd2alphazd2setz12z32zzglobaliza7e_ginfoza7(
				((BgL_localz00_bglt) BgL_oz00_3642), BgL_vz00_3643);
		}

	}



/* local/Ginfo-access */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2Ginfozd2accessz20zzglobaliza7e_ginfoza7(BgL_localz00_bglt
		BgL_oz00_268)
	{
		{	/* Globalize/ginfo.sch 370 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_268)))->BgL_accessz00);
		}

	}



/* &local/Ginfo-access */
	obj_t BGl_z62localzf2Ginfozd2accessz42zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3644, obj_t BgL_oz00_3645)
	{
		{	/* Globalize/ginfo.sch 370 */
			return
				BGl_localzf2Ginfozd2accessz20zzglobaliza7e_ginfoza7(
				((BgL_localz00_bglt) BgL_oz00_3645));
		}

	}



/* local/Ginfo-access-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2Ginfozd2accesszd2setz12ze0zzglobaliza7e_ginfoza7
		(BgL_localz00_bglt BgL_oz00_269, obj_t BgL_vz00_270)
	{
		{	/* Globalize/ginfo.sch 371 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_269)))->BgL_accessz00) =
				((obj_t) BgL_vz00_270), BUNSPEC);
		}

	}



/* &local/Ginfo-access-set! */
	obj_t BGl_z62localzf2Ginfozd2accesszd2setz12z82zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3646, obj_t BgL_oz00_3647, obj_t BgL_vz00_3648)
	{
		{	/* Globalize/ginfo.sch 371 */
			return
				BGl_localzf2Ginfozd2accesszd2setz12ze0zzglobaliza7e_ginfoza7(
				((BgL_localz00_bglt) BgL_oz00_3647), BgL_vz00_3648);
		}

	}



/* local/Ginfo-value */
	BGL_EXPORTED_DEF BgL_valuez00_bglt
		BGl_localzf2Ginfozd2valuez20zzglobaliza7e_ginfoza7(BgL_localz00_bglt
		BgL_oz00_271)
	{
		{	/* Globalize/ginfo.sch 372 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_271)))->BgL_valuez00);
		}

	}



/* &local/Ginfo-value */
	BgL_valuez00_bglt BGl_z62localzf2Ginfozd2valuez42zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3649, obj_t BgL_oz00_3650)
	{
		{	/* Globalize/ginfo.sch 372 */
			return
				BGl_localzf2Ginfozd2valuez20zzglobaliza7e_ginfoza7(
				((BgL_localz00_bglt) BgL_oz00_3650));
		}

	}



/* local/Ginfo-value-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2Ginfozd2valuezd2setz12ze0zzglobaliza7e_ginfoza7
		(BgL_localz00_bglt BgL_oz00_272, BgL_valuez00_bglt BgL_vz00_273)
	{
		{	/* Globalize/ginfo.sch 373 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_272)))->BgL_valuez00) =
				((BgL_valuez00_bglt) BgL_vz00_273), BUNSPEC);
		}

	}



/* &local/Ginfo-value-set! */
	obj_t BGl_z62localzf2Ginfozd2valuezd2setz12z82zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3651, obj_t BgL_oz00_3652, obj_t BgL_vz00_3653)
	{
		{	/* Globalize/ginfo.sch 373 */
			return
				BGl_localzf2Ginfozd2valuezd2setz12ze0zzglobaliza7e_ginfoza7(
				((BgL_localz00_bglt) BgL_oz00_3652),
				((BgL_valuez00_bglt) BgL_vz00_3653));
		}

	}



/* local/Ginfo-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_localzf2Ginfozd2typez20zzglobaliza7e_ginfoza7(BgL_localz00_bglt
		BgL_oz00_274)
	{
		{	/* Globalize/ginfo.sch 374 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_274)))->BgL_typez00);
		}

	}



/* &local/Ginfo-type */
	BgL_typez00_bglt BGl_z62localzf2Ginfozd2typez42zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3654, obj_t BgL_oz00_3655)
	{
		{	/* Globalize/ginfo.sch 374 */
			return
				BGl_localzf2Ginfozd2typez20zzglobaliza7e_ginfoza7(
				((BgL_localz00_bglt) BgL_oz00_3655));
		}

	}



/* local/Ginfo-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2Ginfozd2typezd2setz12ze0zzglobaliza7e_ginfoza7(BgL_localz00_bglt
		BgL_oz00_275, BgL_typez00_bglt BgL_vz00_276)
	{
		{	/* Globalize/ginfo.sch 375 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_275)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_276), BUNSPEC);
		}

	}



/* &local/Ginfo-type-set! */
	obj_t BGl_z62localzf2Ginfozd2typezd2setz12z82zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3656, obj_t BgL_oz00_3657, obj_t BgL_vz00_3658)
	{
		{	/* Globalize/ginfo.sch 375 */
			return
				BGl_localzf2Ginfozd2typezd2setz12ze0zzglobaliza7e_ginfoza7(
				((BgL_localz00_bglt) BgL_oz00_3657),
				((BgL_typez00_bglt) BgL_vz00_3658));
		}

	}



/* local/Ginfo-name */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2Ginfozd2namez20zzglobaliza7e_ginfoza7(BgL_localz00_bglt
		BgL_oz00_277)
	{
		{	/* Globalize/ginfo.sch 376 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_277)))->BgL_namez00);
		}

	}



/* &local/Ginfo-name */
	obj_t BGl_z62localzf2Ginfozd2namez42zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3659, obj_t BgL_oz00_3660)
	{
		{	/* Globalize/ginfo.sch 376 */
			return
				BGl_localzf2Ginfozd2namez20zzglobaliza7e_ginfoza7(
				((BgL_localz00_bglt) BgL_oz00_3660));
		}

	}



/* local/Ginfo-name-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2Ginfozd2namezd2setz12ze0zzglobaliza7e_ginfoza7(BgL_localz00_bglt
		BgL_oz00_278, obj_t BgL_vz00_279)
	{
		{	/* Globalize/ginfo.sch 377 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_278)))->BgL_namez00) =
				((obj_t) BgL_vz00_279), BUNSPEC);
		}

	}



/* &local/Ginfo-name-set! */
	obj_t BGl_z62localzf2Ginfozd2namezd2setz12z82zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3661, obj_t BgL_oz00_3662, obj_t BgL_vz00_3663)
	{
		{	/* Globalize/ginfo.sch 377 */
			return
				BGl_localzf2Ginfozd2namezd2setz12ze0zzglobaliza7e_ginfoza7(
				((BgL_localz00_bglt) BgL_oz00_3662), BgL_vz00_3663);
		}

	}



/* local/Ginfo-id */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2Ginfozd2idz20zzglobaliza7e_ginfoza7(BgL_localz00_bglt
		BgL_oz00_280)
	{
		{	/* Globalize/ginfo.sch 378 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_280)))->BgL_idz00);
		}

	}



/* &local/Ginfo-id */
	obj_t BGl_z62localzf2Ginfozd2idz42zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3664, obj_t BgL_oz00_3665)
	{
		{	/* Globalize/ginfo.sch 378 */
			return
				BGl_localzf2Ginfozd2idz20zzglobaliza7e_ginfoza7(
				((BgL_localz00_bglt) BgL_oz00_3665));
		}

	}



/* make-global/Ginfo */
	BGL_EXPORTED_DEF BgL_globalz00_bglt
		BGl_makezd2globalzf2Ginfoz20zzglobaliza7e_ginfoza7(obj_t BgL_id1224z00_283,
		obj_t BgL_name1225z00_284, BgL_typez00_bglt BgL_type1226z00_285,
		BgL_valuez00_bglt BgL_value1227z00_286, obj_t BgL_access1228z00_287,
		obj_t BgL_fastzd2alpha1229zd2_288, obj_t BgL_removable1230z00_289,
		long BgL_occurrence1231z00_290, long BgL_occurrencew1232z00_291,
		bool_t BgL_userzf31233zf3_292, obj_t BgL_module1234z00_293,
		obj_t BgL_import1235z00_294, bool_t BgL_evaluablezf31236zf3_295,
		bool_t BgL_evalzf31237zf3_296, obj_t BgL_library1238z00_297,
		obj_t BgL_pragma1239z00_298, obj_t BgL_src1240z00_299,
		obj_t BgL_qualifiedzd2typezd2name1241z00_300, obj_t BgL_init1242z00_301,
		obj_t BgL_alias1243z00_302, bool_t BgL_escapezf31244zf3_303,
		obj_t BgL_globalzd2closure1245zd2_304)
	{
		{	/* Globalize/ginfo.sch 382 */
			{	/* Globalize/ginfo.sch 382 */
				BgL_globalz00_bglt BgL_new1242z00_4337;

				{	/* Globalize/ginfo.sch 382 */
					BgL_globalz00_bglt BgL_tmp1240z00_4338;
					BgL_globalzf2ginfozf2_bglt BgL_wide1241z00_4339;

					{
						BgL_globalz00_bglt BgL_auxz00_6020;

						{	/* Globalize/ginfo.sch 382 */
							BgL_globalz00_bglt BgL_new1239z00_4340;

							BgL_new1239z00_4340 =
								((BgL_globalz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_globalz00_bgl))));
							{	/* Globalize/ginfo.sch 382 */
								long BgL_arg1446z00_4341;

								BgL_arg1446z00_4341 = BGL_CLASS_NUM(BGl_globalz00zzast_varz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1239z00_4340),
									BgL_arg1446z00_4341);
							}
							{	/* Globalize/ginfo.sch 382 */
								BgL_objectz00_bglt BgL_tmpz00_6025;

								BgL_tmpz00_6025 = ((BgL_objectz00_bglt) BgL_new1239z00_4340);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6025, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1239z00_4340);
							BgL_auxz00_6020 = BgL_new1239z00_4340;
						}
						BgL_tmp1240z00_4338 = ((BgL_globalz00_bglt) BgL_auxz00_6020);
					}
					BgL_wide1241z00_4339 =
						((BgL_globalzf2ginfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_globalzf2ginfozf2_bgl))));
					{	/* Globalize/ginfo.sch 382 */
						obj_t BgL_auxz00_6033;
						BgL_objectz00_bglt BgL_tmpz00_6031;

						BgL_auxz00_6033 = ((obj_t) BgL_wide1241z00_4339);
						BgL_tmpz00_6031 = ((BgL_objectz00_bglt) BgL_tmp1240z00_4338);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6031, BgL_auxz00_6033);
					}
					((BgL_objectz00_bglt) BgL_tmp1240z00_4338);
					{	/* Globalize/ginfo.sch 382 */
						long BgL_arg1419z00_4342;

						BgL_arg1419z00_4342 =
							BGL_CLASS_NUM(BGl_globalzf2Ginfozf2zzglobaliza7e_ginfoza7);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1240z00_4338), BgL_arg1419z00_4342);
					}
					BgL_new1242z00_4337 = ((BgL_globalz00_bglt) BgL_tmp1240z00_4338);
				}
				((((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt) BgL_new1242z00_4337)))->BgL_idz00) =
					((obj_t) BgL_id1224z00_283), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1242z00_4337)))->BgL_namez00) =
					((obj_t) BgL_name1225z00_284), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1242z00_4337)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1226z00_285), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1242z00_4337)))->BgL_valuez00) =
					((BgL_valuez00_bglt) BgL_value1227z00_286), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1242z00_4337)))->BgL_accessz00) =
					((obj_t) BgL_access1228z00_287), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1242z00_4337)))->BgL_fastzd2alphazd2) =
					((obj_t) BgL_fastzd2alpha1229zd2_288), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1242z00_4337)))->BgL_removablez00) =
					((obj_t) BgL_removable1230z00_289), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1242z00_4337)))->BgL_occurrencez00) =
					((long) BgL_occurrence1231z00_290), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1242z00_4337)))->BgL_occurrencewz00) =
					((long) BgL_occurrencew1232z00_291), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1242z00_4337)))->BgL_userzf3zf3) =
					((bool_t) BgL_userzf31233zf3_292), BUNSPEC);
				((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
									BgL_new1242z00_4337)))->BgL_modulez00) =
					((obj_t) BgL_module1234z00_293), BUNSPEC);
				((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
									BgL_new1242z00_4337)))->BgL_importz00) =
					((obj_t) BgL_import1235z00_294), BUNSPEC);
				((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
									BgL_new1242z00_4337)))->BgL_evaluablezf3zf3) =
					((bool_t) BgL_evaluablezf31236zf3_295), BUNSPEC);
				((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
									BgL_new1242z00_4337)))->BgL_evalzf3zf3) =
					((bool_t) BgL_evalzf31237zf3_296), BUNSPEC);
				((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
									BgL_new1242z00_4337)))->BgL_libraryz00) =
					((obj_t) BgL_library1238z00_297), BUNSPEC);
				((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
									BgL_new1242z00_4337)))->BgL_pragmaz00) =
					((obj_t) BgL_pragma1239z00_298), BUNSPEC);
				((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
									BgL_new1242z00_4337)))->BgL_srcz00) =
					((obj_t) BgL_src1240z00_299), BUNSPEC);
				((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
									BgL_new1242z00_4337)))->BgL_qualifiedzd2typezd2namez00) =
					((obj_t) BgL_qualifiedzd2typezd2name1241z00_300), BUNSPEC);
				((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
									BgL_new1242z00_4337)))->BgL_initz00) =
					((obj_t) BgL_init1242z00_301), BUNSPEC);
				((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
									BgL_new1242z00_4337)))->BgL_aliasz00) =
					((obj_t) BgL_alias1243z00_302), BUNSPEC);
				{
					BgL_globalzf2ginfozf2_bglt BgL_auxz00_6081;

					{
						obj_t BgL_auxz00_6082;

						{	/* Globalize/ginfo.sch 382 */
							BgL_objectz00_bglt BgL_tmpz00_6083;

							BgL_tmpz00_6083 = ((BgL_objectz00_bglt) BgL_new1242z00_4337);
							BgL_auxz00_6082 = BGL_OBJECT_WIDENING(BgL_tmpz00_6083);
						}
						BgL_auxz00_6081 = ((BgL_globalzf2ginfozf2_bglt) BgL_auxz00_6082);
					}
					((((BgL_globalzf2ginfozf2_bglt) COBJECT(BgL_auxz00_6081))->
							BgL_escapezf3zf3) = ((bool_t) BgL_escapezf31244zf3_303), BUNSPEC);
				}
				{
					BgL_globalzf2ginfozf2_bglt BgL_auxz00_6088;

					{
						obj_t BgL_auxz00_6089;

						{	/* Globalize/ginfo.sch 382 */
							BgL_objectz00_bglt BgL_tmpz00_6090;

							BgL_tmpz00_6090 = ((BgL_objectz00_bglt) BgL_new1242z00_4337);
							BgL_auxz00_6089 = BGL_OBJECT_WIDENING(BgL_tmpz00_6090);
						}
						BgL_auxz00_6088 = ((BgL_globalzf2ginfozf2_bglt) BgL_auxz00_6089);
					}
					((((BgL_globalzf2ginfozf2_bglt) COBJECT(BgL_auxz00_6088))->
							BgL_globalzd2closurezd2) =
						((obj_t) BgL_globalzd2closure1245zd2_304), BUNSPEC);
				}
				return BgL_new1242z00_4337;
			}
		}

	}



/* &make-global/Ginfo */
	BgL_globalz00_bglt BGl_z62makezd2globalzf2Ginfoz42zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3666, obj_t BgL_id1224z00_3667, obj_t BgL_name1225z00_3668,
		obj_t BgL_type1226z00_3669, obj_t BgL_value1227z00_3670,
		obj_t BgL_access1228z00_3671, obj_t BgL_fastzd2alpha1229zd2_3672,
		obj_t BgL_removable1230z00_3673, obj_t BgL_occurrence1231z00_3674,
		obj_t BgL_occurrencew1232z00_3675, obj_t BgL_userzf31233zf3_3676,
		obj_t BgL_module1234z00_3677, obj_t BgL_import1235z00_3678,
		obj_t BgL_evaluablezf31236zf3_3679, obj_t BgL_evalzf31237zf3_3680,
		obj_t BgL_library1238z00_3681, obj_t BgL_pragma1239z00_3682,
		obj_t BgL_src1240z00_3683, obj_t BgL_qualifiedzd2typezd2name1241z00_3684,
		obj_t BgL_init1242z00_3685, obj_t BgL_alias1243z00_3686,
		obj_t BgL_escapezf31244zf3_3687, obj_t BgL_globalzd2closure1245zd2_3688)
	{
		{	/* Globalize/ginfo.sch 382 */
			return
				BGl_makezd2globalzf2Ginfoz20zzglobaliza7e_ginfoza7(BgL_id1224z00_3667,
				BgL_name1225z00_3668, ((BgL_typez00_bglt) BgL_type1226z00_3669),
				((BgL_valuez00_bglt) BgL_value1227z00_3670), BgL_access1228z00_3671,
				BgL_fastzd2alpha1229zd2_3672, BgL_removable1230z00_3673,
				(long) CINT(BgL_occurrence1231z00_3674),
				(long) CINT(BgL_occurrencew1232z00_3675),
				CBOOL(BgL_userzf31233zf3_3676), BgL_module1234z00_3677,
				BgL_import1235z00_3678, CBOOL(BgL_evaluablezf31236zf3_3679),
				CBOOL(BgL_evalzf31237zf3_3680), BgL_library1238z00_3681,
				BgL_pragma1239z00_3682, BgL_src1240z00_3683,
				BgL_qualifiedzd2typezd2name1241z00_3684, BgL_init1242z00_3685,
				BgL_alias1243z00_3686, CBOOL(BgL_escapezf31244zf3_3687),
				BgL_globalzd2closure1245zd2_3688);
		}

	}



/* global/Ginfo? */
	BGL_EXPORTED_DEF bool_t BGl_globalzf2Ginfozf3z01zzglobaliza7e_ginfoza7(obj_t
		BgL_objz00_305)
	{
		{	/* Globalize/ginfo.sch 383 */
			{	/* Globalize/ginfo.sch 383 */
				obj_t BgL_classz00_4343;

				BgL_classz00_4343 = BGl_globalzf2Ginfozf2zzglobaliza7e_ginfoza7;
				if (BGL_OBJECTP(BgL_objz00_305))
					{	/* Globalize/ginfo.sch 383 */
						BgL_objectz00_bglt BgL_arg1858z00_4344;

						BgL_arg1858z00_4344 = (BgL_objectz00_bglt) (BgL_objz00_305);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Globalize/ginfo.sch 383 */
								long BgL_idxz00_4345;

								BgL_idxz00_4345 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_4344);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_4345 + 3L)) == BgL_classz00_4343);
							}
						else
							{	/* Globalize/ginfo.sch 383 */
								bool_t BgL_res2099z00_4348;

								{	/* Globalize/ginfo.sch 383 */
									obj_t BgL_oclassz00_4349;

									{	/* Globalize/ginfo.sch 383 */
										obj_t BgL_arg1866z00_4350;
										long BgL_arg1867z00_4351;

										BgL_arg1866z00_4350 = (BGl_za2classesza2z00zz__objectz00);
										{	/* Globalize/ginfo.sch 383 */
											long BgL_arg1869z00_4352;

											BgL_arg1869z00_4352 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_4344);
											BgL_arg1867z00_4351 = (BgL_arg1869z00_4352 - OBJECT_TYPE);
										}
										BgL_oclassz00_4349 =
											VECTOR_REF(BgL_arg1866z00_4350, BgL_arg1867z00_4351);
									}
									{	/* Globalize/ginfo.sch 383 */
										bool_t BgL__ortest_1115z00_4353;

										BgL__ortest_1115z00_4353 =
											(BgL_classz00_4343 == BgL_oclassz00_4349);
										if (BgL__ortest_1115z00_4353)
											{	/* Globalize/ginfo.sch 383 */
												BgL_res2099z00_4348 = BgL__ortest_1115z00_4353;
											}
										else
											{	/* Globalize/ginfo.sch 383 */
												long BgL_odepthz00_4354;

												{	/* Globalize/ginfo.sch 383 */
													obj_t BgL_arg1855z00_4355;

													BgL_arg1855z00_4355 = (BgL_oclassz00_4349);
													BgL_odepthz00_4354 =
														BGL_CLASS_DEPTH(BgL_arg1855z00_4355);
												}
												if ((3L < BgL_odepthz00_4354))
													{	/* Globalize/ginfo.sch 383 */
														obj_t BgL_arg1853z00_4356;

														{	/* Globalize/ginfo.sch 383 */
															obj_t BgL_arg1854z00_4357;

															BgL_arg1854z00_4357 = (BgL_oclassz00_4349);
															BgL_arg1853z00_4356 =
																BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_4357,
																3L);
														}
														BgL_res2099z00_4348 =
															(BgL_arg1853z00_4356 == BgL_classz00_4343);
													}
												else
													{	/* Globalize/ginfo.sch 383 */
														BgL_res2099z00_4348 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res2099z00_4348;
							}
					}
				else
					{	/* Globalize/ginfo.sch 383 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &global/Ginfo? */
	obj_t BGl_z62globalzf2Ginfozf3z63zzglobaliza7e_ginfoza7(obj_t BgL_envz00_3689,
		obj_t BgL_objz00_3690)
	{
		{	/* Globalize/ginfo.sch 383 */
			return
				BBOOL(BGl_globalzf2Ginfozf3z01zzglobaliza7e_ginfoza7(BgL_objz00_3690));
		}

	}



/* global/Ginfo-nil */
	BGL_EXPORTED_DEF BgL_globalz00_bglt
		BGl_globalzf2Ginfozd2nilz20zzglobaliza7e_ginfoza7(void)
	{
		{	/* Globalize/ginfo.sch 384 */
			{	/* Globalize/ginfo.sch 384 */
				obj_t BgL_classz00_2938;

				BgL_classz00_2938 = BGl_globalzf2Ginfozf2zzglobaliza7e_ginfoza7;
				{	/* Globalize/ginfo.sch 384 */
					obj_t BgL__ortest_1117z00_2939;

					BgL__ortest_1117z00_2939 = BGL_CLASS_NIL(BgL_classz00_2938);
					if (CBOOL(BgL__ortest_1117z00_2939))
						{	/* Globalize/ginfo.sch 384 */
							return ((BgL_globalz00_bglt) BgL__ortest_1117z00_2939);
						}
					else
						{	/* Globalize/ginfo.sch 384 */
							return
								((BgL_globalz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2938));
						}
				}
			}
		}

	}



/* &global/Ginfo-nil */
	BgL_globalz00_bglt BGl_z62globalzf2Ginfozd2nilz42zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3691)
	{
		{	/* Globalize/ginfo.sch 384 */
			return BGl_globalzf2Ginfozd2nilz20zzglobaliza7e_ginfoza7();
		}

	}



/* global/Ginfo-global-closure */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2Ginfozd2globalzd2closurezf2zzglobaliza7e_ginfoza7
		(BgL_globalz00_bglt BgL_oz00_306)
	{
		{	/* Globalize/ginfo.sch 385 */
			{
				BgL_globalzf2ginfozf2_bglt BgL_auxz00_6135;

				{
					obj_t BgL_auxz00_6136;

					{	/* Globalize/ginfo.sch 385 */
						BgL_objectz00_bglt BgL_tmpz00_6137;

						BgL_tmpz00_6137 = ((BgL_objectz00_bglt) BgL_oz00_306);
						BgL_auxz00_6136 = BGL_OBJECT_WIDENING(BgL_tmpz00_6137);
					}
					BgL_auxz00_6135 = ((BgL_globalzf2ginfozf2_bglt) BgL_auxz00_6136);
				}
				return
					(((BgL_globalzf2ginfozf2_bglt) COBJECT(BgL_auxz00_6135))->
					BgL_globalzd2closurezd2);
			}
		}

	}



/* &global/Ginfo-global-closure */
	obj_t BGl_z62globalzf2Ginfozd2globalzd2closurez90zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3692, obj_t BgL_oz00_3693)
	{
		{	/* Globalize/ginfo.sch 385 */
			return
				BGl_globalzf2Ginfozd2globalzd2closurezf2zzglobaliza7e_ginfoza7(
				((BgL_globalz00_bglt) BgL_oz00_3693));
		}

	}



/* global/Ginfo-global-closure-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2Ginfozd2globalzd2closurezd2setz12z32zzglobaliza7e_ginfoza7
		(BgL_globalz00_bglt BgL_oz00_307, obj_t BgL_vz00_308)
	{
		{	/* Globalize/ginfo.sch 386 */
			{
				BgL_globalzf2ginfozf2_bglt BgL_auxz00_6144;

				{
					obj_t BgL_auxz00_6145;

					{	/* Globalize/ginfo.sch 386 */
						BgL_objectz00_bglt BgL_tmpz00_6146;

						BgL_tmpz00_6146 = ((BgL_objectz00_bglt) BgL_oz00_307);
						BgL_auxz00_6145 = BGL_OBJECT_WIDENING(BgL_tmpz00_6146);
					}
					BgL_auxz00_6144 = ((BgL_globalzf2ginfozf2_bglt) BgL_auxz00_6145);
				}
				return
					((((BgL_globalzf2ginfozf2_bglt) COBJECT(BgL_auxz00_6144))->
						BgL_globalzd2closurezd2) = ((obj_t) BgL_vz00_308), BUNSPEC);
			}
		}

	}



/* &global/Ginfo-global-closure-set! */
	obj_t
		BGl_z62globalzf2Ginfozd2globalzd2closurezd2setz12z50zzglobaliza7e_ginfoza7
		(obj_t BgL_envz00_3694, obj_t BgL_oz00_3695, obj_t BgL_vz00_3696)
	{
		{	/* Globalize/ginfo.sch 386 */
			return
				BGl_globalzf2Ginfozd2globalzd2closurezd2setz12z32zzglobaliza7e_ginfoza7(
				((BgL_globalz00_bglt) BgL_oz00_3695), BgL_vz00_3696);
		}

	}



/* global/Ginfo-escape? */
	BGL_EXPORTED_DEF bool_t
		BGl_globalzf2Ginfozd2escapezf3zd3zzglobaliza7e_ginfoza7(BgL_globalz00_bglt
		BgL_oz00_309)
	{
		{	/* Globalize/ginfo.sch 387 */
			{
				BgL_globalzf2ginfozf2_bglt BgL_auxz00_6153;

				{
					obj_t BgL_auxz00_6154;

					{	/* Globalize/ginfo.sch 387 */
						BgL_objectz00_bglt BgL_tmpz00_6155;

						BgL_tmpz00_6155 = ((BgL_objectz00_bglt) BgL_oz00_309);
						BgL_auxz00_6154 = BGL_OBJECT_WIDENING(BgL_tmpz00_6155);
					}
					BgL_auxz00_6153 = ((BgL_globalzf2ginfozf2_bglt) BgL_auxz00_6154);
				}
				return
					(((BgL_globalzf2ginfozf2_bglt) COBJECT(BgL_auxz00_6153))->
					BgL_escapezf3zf3);
			}
		}

	}



/* &global/Ginfo-escape? */
	obj_t BGl_z62globalzf2Ginfozd2escapezf3zb1zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3697, obj_t BgL_oz00_3698)
	{
		{	/* Globalize/ginfo.sch 387 */
			return
				BBOOL(BGl_globalzf2Ginfozd2escapezf3zd3zzglobaliza7e_ginfoza7(
					((BgL_globalz00_bglt) BgL_oz00_3698)));
		}

	}



/* global/Ginfo-escape?-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2Ginfozd2escapezf3zd2setz12z13zzglobaliza7e_ginfoza7
		(BgL_globalz00_bglt BgL_oz00_310, bool_t BgL_vz00_311)
	{
		{	/* Globalize/ginfo.sch 388 */
			{
				BgL_globalzf2ginfozf2_bglt BgL_auxz00_6163;

				{
					obj_t BgL_auxz00_6164;

					{	/* Globalize/ginfo.sch 388 */
						BgL_objectz00_bglt BgL_tmpz00_6165;

						BgL_tmpz00_6165 = ((BgL_objectz00_bglt) BgL_oz00_310);
						BgL_auxz00_6164 = BGL_OBJECT_WIDENING(BgL_tmpz00_6165);
					}
					BgL_auxz00_6163 = ((BgL_globalzf2ginfozf2_bglt) BgL_auxz00_6164);
				}
				return
					((((BgL_globalzf2ginfozf2_bglt) COBJECT(BgL_auxz00_6163))->
						BgL_escapezf3zf3) = ((bool_t) BgL_vz00_311), BUNSPEC);
			}
		}

	}



/* &global/Ginfo-escape?-set! */
	obj_t
		BGl_z62globalzf2Ginfozd2escapezf3zd2setz12z71zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3699, obj_t BgL_oz00_3700, obj_t BgL_vz00_3701)
	{
		{	/* Globalize/ginfo.sch 388 */
			return
				BGl_globalzf2Ginfozd2escapezf3zd2setz12z13zzglobaliza7e_ginfoza7(
				((BgL_globalz00_bglt) BgL_oz00_3700), CBOOL(BgL_vz00_3701));
		}

	}



/* global/Ginfo-alias */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2Ginfozd2aliasz20zzglobaliza7e_ginfoza7(BgL_globalz00_bglt
		BgL_oz00_312)
	{
		{	/* Globalize/ginfo.sch 389 */
			return
				(((BgL_globalz00_bglt) COBJECT(
						((BgL_globalz00_bglt) BgL_oz00_312)))->BgL_aliasz00);
		}

	}



/* &global/Ginfo-alias */
	obj_t BGl_z62globalzf2Ginfozd2aliasz42zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3702, obj_t BgL_oz00_3703)
	{
		{	/* Globalize/ginfo.sch 389 */
			return
				BGl_globalzf2Ginfozd2aliasz20zzglobaliza7e_ginfoza7(
				((BgL_globalz00_bglt) BgL_oz00_3703));
		}

	}



/* global/Ginfo-alias-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2Ginfozd2aliaszd2setz12ze0zzglobaliza7e_ginfoza7
		(BgL_globalz00_bglt BgL_oz00_313, obj_t BgL_vz00_314)
	{
		{	/* Globalize/ginfo.sch 390 */
			return
				((((BgL_globalz00_bglt) COBJECT(
							((BgL_globalz00_bglt) BgL_oz00_313)))->BgL_aliasz00) =
				((obj_t) BgL_vz00_314), BUNSPEC);
		}

	}



/* &global/Ginfo-alias-set! */
	obj_t BGl_z62globalzf2Ginfozd2aliaszd2setz12z82zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3704, obj_t BgL_oz00_3705, obj_t BgL_vz00_3706)
	{
		{	/* Globalize/ginfo.sch 390 */
			return
				BGl_globalzf2Ginfozd2aliaszd2setz12ze0zzglobaliza7e_ginfoza7(
				((BgL_globalz00_bglt) BgL_oz00_3705), BgL_vz00_3706);
		}

	}



/* global/Ginfo-init */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2Ginfozd2initz20zzglobaliza7e_ginfoza7(BgL_globalz00_bglt
		BgL_oz00_315)
	{
		{	/* Globalize/ginfo.sch 391 */
			return
				(((BgL_globalz00_bglt) COBJECT(
						((BgL_globalz00_bglt) BgL_oz00_315)))->BgL_initz00);
		}

	}



/* &global/Ginfo-init */
	obj_t BGl_z62globalzf2Ginfozd2initz42zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3707, obj_t BgL_oz00_3708)
	{
		{	/* Globalize/ginfo.sch 391 */
			return
				BGl_globalzf2Ginfozd2initz20zzglobaliza7e_ginfoza7(
				((BgL_globalz00_bglt) BgL_oz00_3708));
		}

	}



/* global/Ginfo-init-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2Ginfozd2initzd2setz12ze0zzglobaliza7e_ginfoza7
		(BgL_globalz00_bglt BgL_oz00_316, obj_t BgL_vz00_317)
	{
		{	/* Globalize/ginfo.sch 392 */
			return
				((((BgL_globalz00_bglt) COBJECT(
							((BgL_globalz00_bglt) BgL_oz00_316)))->BgL_initz00) =
				((obj_t) BgL_vz00_317), BUNSPEC);
		}

	}



/* &global/Ginfo-init-set! */
	obj_t BGl_z62globalzf2Ginfozd2initzd2setz12z82zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3709, obj_t BgL_oz00_3710, obj_t BgL_vz00_3711)
	{
		{	/* Globalize/ginfo.sch 392 */
			return
				BGl_globalzf2Ginfozd2initzd2setz12ze0zzglobaliza7e_ginfoza7(
				((BgL_globalz00_bglt) BgL_oz00_3710), BgL_vz00_3711);
		}

	}



/* global/Ginfo-qualified-type-name */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2Ginfozd2qualifiedzd2typezd2namez20zzglobaliza7e_ginfoza7
		(BgL_globalz00_bglt BgL_oz00_318)
	{
		{	/* Globalize/ginfo.sch 393 */
			return
				(((BgL_globalz00_bglt) COBJECT(
						((BgL_globalz00_bglt) BgL_oz00_318)))->
				BgL_qualifiedzd2typezd2namez00);
		}

	}



/* &global/Ginfo-qualified-type-name */
	obj_t
		BGl_z62globalzf2Ginfozd2qualifiedzd2typezd2namez42zzglobaliza7e_ginfoza7
		(obj_t BgL_envz00_3712, obj_t BgL_oz00_3713)
	{
		{	/* Globalize/ginfo.sch 393 */
			return
				BGl_globalzf2Ginfozd2qualifiedzd2typezd2namez20zzglobaliza7e_ginfoza7(
				((BgL_globalz00_bglt) BgL_oz00_3713));
		}

	}



/* global/Ginfo-qualified-type-name-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2Ginfozd2qualifiedzd2typezd2namezd2setz12ze0zzglobaliza7e_ginfoza7
		(BgL_globalz00_bglt BgL_oz00_319, obj_t BgL_vz00_320)
	{
		{	/* Globalize/ginfo.sch 394 */
			return
				((((BgL_globalz00_bglt) COBJECT(
							((BgL_globalz00_bglt) BgL_oz00_319)))->
					BgL_qualifiedzd2typezd2namez00) = ((obj_t) BgL_vz00_320), BUNSPEC);
		}

	}



/* &global/Ginfo-qualified-type-name-set! */
	obj_t
		BGl_z62globalzf2Ginfozd2qualifiedzd2typezd2namezd2setz12z82zzglobaliza7e_ginfoza7
		(obj_t BgL_envz00_3714, obj_t BgL_oz00_3715, obj_t BgL_vz00_3716)
	{
		{	/* Globalize/ginfo.sch 394 */
			return
				BGl_globalzf2Ginfozd2qualifiedzd2typezd2namezd2setz12ze0zzglobaliza7e_ginfoza7
				(((BgL_globalz00_bglt) BgL_oz00_3715), BgL_vz00_3716);
		}

	}



/* global/Ginfo-src */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2Ginfozd2srcz20zzglobaliza7e_ginfoza7(BgL_globalz00_bglt
		BgL_oz00_321)
	{
		{	/* Globalize/ginfo.sch 395 */
			return
				(((BgL_globalz00_bglt) COBJECT(
						((BgL_globalz00_bglt) BgL_oz00_321)))->BgL_srcz00);
		}

	}



/* &global/Ginfo-src */
	obj_t BGl_z62globalzf2Ginfozd2srcz42zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3717, obj_t BgL_oz00_3718)
	{
		{	/* Globalize/ginfo.sch 395 */
			return
				BGl_globalzf2Ginfozd2srcz20zzglobaliza7e_ginfoza7(
				((BgL_globalz00_bglt) BgL_oz00_3718));
		}

	}



/* global/Ginfo-src-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2Ginfozd2srczd2setz12ze0zzglobaliza7e_ginfoza7
		(BgL_globalz00_bglt BgL_oz00_322, obj_t BgL_vz00_323)
	{
		{	/* Globalize/ginfo.sch 396 */
			return
				((((BgL_globalz00_bglt) COBJECT(
							((BgL_globalz00_bglt) BgL_oz00_322)))->BgL_srcz00) =
				((obj_t) BgL_vz00_323), BUNSPEC);
		}

	}



/* &global/Ginfo-src-set! */
	obj_t BGl_z62globalzf2Ginfozd2srczd2setz12z82zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3719, obj_t BgL_oz00_3720, obj_t BgL_vz00_3721)
	{
		{	/* Globalize/ginfo.sch 396 */
			return
				BGl_globalzf2Ginfozd2srczd2setz12ze0zzglobaliza7e_ginfoza7(
				((BgL_globalz00_bglt) BgL_oz00_3720), BgL_vz00_3721);
		}

	}



/* global/Ginfo-pragma */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2Ginfozd2pragmaz20zzglobaliza7e_ginfoza7(BgL_globalz00_bglt
		BgL_oz00_324)
	{
		{	/* Globalize/ginfo.sch 397 */
			return
				(((BgL_globalz00_bglt) COBJECT(
						((BgL_globalz00_bglt) BgL_oz00_324)))->BgL_pragmaz00);
		}

	}



/* &global/Ginfo-pragma */
	obj_t BGl_z62globalzf2Ginfozd2pragmaz42zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3722, obj_t BgL_oz00_3723)
	{
		{	/* Globalize/ginfo.sch 397 */
			return
				BGl_globalzf2Ginfozd2pragmaz20zzglobaliza7e_ginfoza7(
				((BgL_globalz00_bglt) BgL_oz00_3723));
		}

	}



/* global/Ginfo-pragma-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2Ginfozd2pragmazd2setz12ze0zzglobaliza7e_ginfoza7
		(BgL_globalz00_bglt BgL_oz00_325, obj_t BgL_vz00_326)
	{
		{	/* Globalize/ginfo.sch 398 */
			return
				((((BgL_globalz00_bglt) COBJECT(
							((BgL_globalz00_bglt) BgL_oz00_325)))->BgL_pragmaz00) =
				((obj_t) BgL_vz00_326), BUNSPEC);
		}

	}



/* &global/Ginfo-pragma-set! */
	obj_t BGl_z62globalzf2Ginfozd2pragmazd2setz12z82zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3724, obj_t BgL_oz00_3725, obj_t BgL_vz00_3726)
	{
		{	/* Globalize/ginfo.sch 398 */
			return
				BGl_globalzf2Ginfozd2pragmazd2setz12ze0zzglobaliza7e_ginfoza7(
				((BgL_globalz00_bglt) BgL_oz00_3725), BgL_vz00_3726);
		}

	}



/* global/Ginfo-library */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2Ginfozd2libraryz20zzglobaliza7e_ginfoza7(BgL_globalz00_bglt
		BgL_oz00_327)
	{
		{	/* Globalize/ginfo.sch 399 */
			return
				(((BgL_globalz00_bglt) COBJECT(
						((BgL_globalz00_bglt) BgL_oz00_327)))->BgL_libraryz00);
		}

	}



/* &global/Ginfo-library */
	obj_t BGl_z62globalzf2Ginfozd2libraryz42zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3727, obj_t BgL_oz00_3728)
	{
		{	/* Globalize/ginfo.sch 399 */
			return
				BGl_globalzf2Ginfozd2libraryz20zzglobaliza7e_ginfoza7(
				((BgL_globalz00_bglt) BgL_oz00_3728));
		}

	}



/* global/Ginfo-library-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2Ginfozd2libraryzd2setz12ze0zzglobaliza7e_ginfoza7
		(BgL_globalz00_bglt BgL_oz00_328, obj_t BgL_vz00_329)
	{
		{	/* Globalize/ginfo.sch 400 */
			return
				((((BgL_globalz00_bglt) COBJECT(
							((BgL_globalz00_bglt) BgL_oz00_328)))->BgL_libraryz00) =
				((obj_t) BgL_vz00_329), BUNSPEC);
		}

	}



/* &global/Ginfo-library-set! */
	obj_t BGl_z62globalzf2Ginfozd2libraryzd2setz12z82zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3729, obj_t BgL_oz00_3730, obj_t BgL_vz00_3731)
	{
		{	/* Globalize/ginfo.sch 400 */
			return
				BGl_globalzf2Ginfozd2libraryzd2setz12ze0zzglobaliza7e_ginfoza7(
				((BgL_globalz00_bglt) BgL_oz00_3730), BgL_vz00_3731);
		}

	}



/* global/Ginfo-eval? */
	BGL_EXPORTED_DEF bool_t
		BGl_globalzf2Ginfozd2evalzf3zd3zzglobaliza7e_ginfoza7(BgL_globalz00_bglt
		BgL_oz00_330)
	{
		{	/* Globalize/ginfo.sch 401 */
			return
				(((BgL_globalz00_bglt) COBJECT(
						((BgL_globalz00_bglt) BgL_oz00_330)))->BgL_evalzf3zf3);
		}

	}



/* &global/Ginfo-eval? */
	obj_t BGl_z62globalzf2Ginfozd2evalzf3zb1zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3732, obj_t BgL_oz00_3733)
	{
		{	/* Globalize/ginfo.sch 401 */
			return
				BBOOL(BGl_globalzf2Ginfozd2evalzf3zd3zzglobaliza7e_ginfoza7(
					((BgL_globalz00_bglt) BgL_oz00_3733)));
		}

	}



/* global/Ginfo-eval?-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2Ginfozd2evalzf3zd2setz12z13zzglobaliza7e_ginfoza7
		(BgL_globalz00_bglt BgL_oz00_331, bool_t BgL_vz00_332)
	{
		{	/* Globalize/ginfo.sch 402 */
			return
				((((BgL_globalz00_bglt) COBJECT(
							((BgL_globalz00_bglt) BgL_oz00_331)))->BgL_evalzf3zf3) =
				((bool_t) BgL_vz00_332), BUNSPEC);
		}

	}



/* &global/Ginfo-eval?-set! */
	obj_t BGl_z62globalzf2Ginfozd2evalzf3zd2setz12z71zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3734, obj_t BgL_oz00_3735, obj_t BgL_vz00_3736)
	{
		{	/* Globalize/ginfo.sch 402 */
			return
				BGl_globalzf2Ginfozd2evalzf3zd2setz12z13zzglobaliza7e_ginfoza7(
				((BgL_globalz00_bglt) BgL_oz00_3735), CBOOL(BgL_vz00_3736));
		}

	}



/* global/Ginfo-evaluable? */
	BGL_EXPORTED_DEF bool_t
		BGl_globalzf2Ginfozd2evaluablezf3zd3zzglobaliza7e_ginfoza7
		(BgL_globalz00_bglt BgL_oz00_333)
	{
		{	/* Globalize/ginfo.sch 403 */
			return
				(((BgL_globalz00_bglt) COBJECT(
						((BgL_globalz00_bglt) BgL_oz00_333)))->BgL_evaluablezf3zf3);
		}

	}



/* &global/Ginfo-evaluable? */
	obj_t BGl_z62globalzf2Ginfozd2evaluablezf3zb1zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3737, obj_t BgL_oz00_3738)
	{
		{	/* Globalize/ginfo.sch 403 */
			return
				BBOOL(BGl_globalzf2Ginfozd2evaluablezf3zd3zzglobaliza7e_ginfoza7(
					((BgL_globalz00_bglt) BgL_oz00_3738)));
		}

	}



/* global/Ginfo-evaluable?-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2Ginfozd2evaluablezf3zd2setz12z13zzglobaliza7e_ginfoza7
		(BgL_globalz00_bglt BgL_oz00_334, bool_t BgL_vz00_335)
	{
		{	/* Globalize/ginfo.sch 404 */
			return
				((((BgL_globalz00_bglt) COBJECT(
							((BgL_globalz00_bglt) BgL_oz00_334)))->BgL_evaluablezf3zf3) =
				((bool_t) BgL_vz00_335), BUNSPEC);
		}

	}



/* &global/Ginfo-evaluable?-set! */
	obj_t
		BGl_z62globalzf2Ginfozd2evaluablezf3zd2setz12z71zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3739, obj_t BgL_oz00_3740, obj_t BgL_vz00_3741)
	{
		{	/* Globalize/ginfo.sch 404 */
			return
				BGl_globalzf2Ginfozd2evaluablezf3zd2setz12z13zzglobaliza7e_ginfoza7(
				((BgL_globalz00_bglt) BgL_oz00_3740), CBOOL(BgL_vz00_3741));
		}

	}



/* global/Ginfo-import */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2Ginfozd2importz20zzglobaliza7e_ginfoza7(BgL_globalz00_bglt
		BgL_oz00_336)
	{
		{	/* Globalize/ginfo.sch 405 */
			return
				(((BgL_globalz00_bglt) COBJECT(
						((BgL_globalz00_bglt) BgL_oz00_336)))->BgL_importz00);
		}

	}



/* &global/Ginfo-import */
	obj_t BGl_z62globalzf2Ginfozd2importz42zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3742, obj_t BgL_oz00_3743)
	{
		{	/* Globalize/ginfo.sch 405 */
			return
				BGl_globalzf2Ginfozd2importz20zzglobaliza7e_ginfoza7(
				((BgL_globalz00_bglt) BgL_oz00_3743));
		}

	}



/* global/Ginfo-import-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2Ginfozd2importzd2setz12ze0zzglobaliza7e_ginfoza7
		(BgL_globalz00_bglt BgL_oz00_337, obj_t BgL_vz00_338)
	{
		{	/* Globalize/ginfo.sch 406 */
			return
				((((BgL_globalz00_bglt) COBJECT(
							((BgL_globalz00_bglt) BgL_oz00_337)))->BgL_importz00) =
				((obj_t) BgL_vz00_338), BUNSPEC);
		}

	}



/* &global/Ginfo-import-set! */
	obj_t BGl_z62globalzf2Ginfozd2importzd2setz12z82zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3744, obj_t BgL_oz00_3745, obj_t BgL_vz00_3746)
	{
		{	/* Globalize/ginfo.sch 406 */
			return
				BGl_globalzf2Ginfozd2importzd2setz12ze0zzglobaliza7e_ginfoza7(
				((BgL_globalz00_bglt) BgL_oz00_3745), BgL_vz00_3746);
		}

	}



/* global/Ginfo-module */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2Ginfozd2modulez20zzglobaliza7e_ginfoza7(BgL_globalz00_bglt
		BgL_oz00_339)
	{
		{	/* Globalize/ginfo.sch 407 */
			return
				(((BgL_globalz00_bglt) COBJECT(
						((BgL_globalz00_bglt) BgL_oz00_339)))->BgL_modulez00);
		}

	}



/* &global/Ginfo-module */
	obj_t BGl_z62globalzf2Ginfozd2modulez42zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3747, obj_t BgL_oz00_3748)
	{
		{	/* Globalize/ginfo.sch 407 */
			return
				BGl_globalzf2Ginfozd2modulez20zzglobaliza7e_ginfoza7(
				((BgL_globalz00_bglt) BgL_oz00_3748));
		}

	}



/* global/Ginfo-module-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2Ginfozd2modulezd2setz12ze0zzglobaliza7e_ginfoza7
		(BgL_globalz00_bglt BgL_oz00_340, obj_t BgL_vz00_341)
	{
		{	/* Globalize/ginfo.sch 408 */
			return
				((((BgL_globalz00_bglt) COBJECT(
							((BgL_globalz00_bglt) BgL_oz00_340)))->BgL_modulez00) =
				((obj_t) BgL_vz00_341), BUNSPEC);
		}

	}



/* &global/Ginfo-module-set! */
	obj_t BGl_z62globalzf2Ginfozd2modulezd2setz12z82zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3749, obj_t BgL_oz00_3750, obj_t BgL_vz00_3751)
	{
		{	/* Globalize/ginfo.sch 408 */
			return
				BGl_globalzf2Ginfozd2modulezd2setz12ze0zzglobaliza7e_ginfoza7(
				((BgL_globalz00_bglt) BgL_oz00_3750), BgL_vz00_3751);
		}

	}



/* global/Ginfo-user? */
	BGL_EXPORTED_DEF bool_t
		BGl_globalzf2Ginfozd2userzf3zd3zzglobaliza7e_ginfoza7(BgL_globalz00_bglt
		BgL_oz00_342)
	{
		{	/* Globalize/ginfo.sch 409 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_342)))->BgL_userzf3zf3);
		}

	}



/* &global/Ginfo-user? */
	obj_t BGl_z62globalzf2Ginfozd2userzf3zb1zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3752, obj_t BgL_oz00_3753)
	{
		{	/* Globalize/ginfo.sch 409 */
			return
				BBOOL(BGl_globalzf2Ginfozd2userzf3zd3zzglobaliza7e_ginfoza7(
					((BgL_globalz00_bglt) BgL_oz00_3753)));
		}

	}



/* global/Ginfo-user?-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2Ginfozd2userzf3zd2setz12z13zzglobaliza7e_ginfoza7
		(BgL_globalz00_bglt BgL_oz00_343, bool_t BgL_vz00_344)
	{
		{	/* Globalize/ginfo.sch 410 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_343)))->BgL_userzf3zf3) =
				((bool_t) BgL_vz00_344), BUNSPEC);
		}

	}



/* &global/Ginfo-user?-set! */
	obj_t BGl_z62globalzf2Ginfozd2userzf3zd2setz12z71zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3754, obj_t BgL_oz00_3755, obj_t BgL_vz00_3756)
	{
		{	/* Globalize/ginfo.sch 410 */
			return
				BGl_globalzf2Ginfozd2userzf3zd2setz12z13zzglobaliza7e_ginfoza7(
				((BgL_globalz00_bglt) BgL_oz00_3755), CBOOL(BgL_vz00_3756));
		}

	}



/* global/Ginfo-occurrencew */
	BGL_EXPORTED_DEF long
		BGl_globalzf2Ginfozd2occurrencewz20zzglobaliza7e_ginfoza7(BgL_globalz00_bglt
		BgL_oz00_345)
	{
		{	/* Globalize/ginfo.sch 411 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_345)))->BgL_occurrencewz00);
		}

	}



/* &global/Ginfo-occurrencew */
	obj_t BGl_z62globalzf2Ginfozd2occurrencewz42zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3757, obj_t BgL_oz00_3758)
	{
		{	/* Globalize/ginfo.sch 411 */
			return
				BINT(BGl_globalzf2Ginfozd2occurrencewz20zzglobaliza7e_ginfoza7(
					((BgL_globalz00_bglt) BgL_oz00_3758)));
		}

	}



/* global/Ginfo-occurrencew-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2Ginfozd2occurrencewzd2setz12ze0zzglobaliza7e_ginfoza7
		(BgL_globalz00_bglt BgL_oz00_346, long BgL_vz00_347)
	{
		{	/* Globalize/ginfo.sch 412 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_346)))->BgL_occurrencewz00) =
				((long) BgL_vz00_347), BUNSPEC);
		}

	}



/* &global/Ginfo-occurrencew-set! */
	obj_t
		BGl_z62globalzf2Ginfozd2occurrencewzd2setz12z82zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3759, obj_t BgL_oz00_3760, obj_t BgL_vz00_3761)
	{
		{	/* Globalize/ginfo.sch 412 */
			return
				BGl_globalzf2Ginfozd2occurrencewzd2setz12ze0zzglobaliza7e_ginfoza7(
				((BgL_globalz00_bglt) BgL_oz00_3760), (long) CINT(BgL_vz00_3761));
		}

	}



/* global/Ginfo-occurrence */
	BGL_EXPORTED_DEF long
		BGl_globalzf2Ginfozd2occurrencez20zzglobaliza7e_ginfoza7(BgL_globalz00_bglt
		BgL_oz00_348)
	{
		{	/* Globalize/ginfo.sch 413 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_348)))->BgL_occurrencez00);
		}

	}



/* &global/Ginfo-occurrence */
	obj_t BGl_z62globalzf2Ginfozd2occurrencez42zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3762, obj_t BgL_oz00_3763)
	{
		{	/* Globalize/ginfo.sch 413 */
			return
				BINT(BGl_globalzf2Ginfozd2occurrencez20zzglobaliza7e_ginfoza7(
					((BgL_globalz00_bglt) BgL_oz00_3763)));
		}

	}



/* global/Ginfo-occurrence-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2Ginfozd2occurrencezd2setz12ze0zzglobaliza7e_ginfoza7
		(BgL_globalz00_bglt BgL_oz00_349, long BgL_vz00_350)
	{
		{	/* Globalize/ginfo.sch 414 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_349)))->BgL_occurrencez00) =
				((long) BgL_vz00_350), BUNSPEC);
		}

	}



/* &global/Ginfo-occurrence-set! */
	obj_t
		BGl_z62globalzf2Ginfozd2occurrencezd2setz12z82zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3764, obj_t BgL_oz00_3765, obj_t BgL_vz00_3766)
	{
		{	/* Globalize/ginfo.sch 414 */
			return
				BGl_globalzf2Ginfozd2occurrencezd2setz12ze0zzglobaliza7e_ginfoza7(
				((BgL_globalz00_bglt) BgL_oz00_3765), (long) CINT(BgL_vz00_3766));
		}

	}



/* global/Ginfo-removable */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2Ginfozd2removablez20zzglobaliza7e_ginfoza7(BgL_globalz00_bglt
		BgL_oz00_351)
	{
		{	/* Globalize/ginfo.sch 415 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_351)))->BgL_removablez00);
		}

	}



/* &global/Ginfo-removable */
	obj_t BGl_z62globalzf2Ginfozd2removablez42zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3767, obj_t BgL_oz00_3768)
	{
		{	/* Globalize/ginfo.sch 415 */
			return
				BGl_globalzf2Ginfozd2removablez20zzglobaliza7e_ginfoza7(
				((BgL_globalz00_bglt) BgL_oz00_3768));
		}

	}



/* global/Ginfo-removable-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2Ginfozd2removablezd2setz12ze0zzglobaliza7e_ginfoza7
		(BgL_globalz00_bglt BgL_oz00_352, obj_t BgL_vz00_353)
	{
		{	/* Globalize/ginfo.sch 416 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_352)))->BgL_removablez00) =
				((obj_t) BgL_vz00_353), BUNSPEC);
		}

	}



/* &global/Ginfo-removable-set! */
	obj_t
		BGl_z62globalzf2Ginfozd2removablezd2setz12z82zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3769, obj_t BgL_oz00_3770, obj_t BgL_vz00_3771)
	{
		{	/* Globalize/ginfo.sch 416 */
			return
				BGl_globalzf2Ginfozd2removablezd2setz12ze0zzglobaliza7e_ginfoza7(
				((BgL_globalz00_bglt) BgL_oz00_3770), BgL_vz00_3771);
		}

	}



/* global/Ginfo-fast-alpha */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2Ginfozd2fastzd2alphazf2zzglobaliza7e_ginfoza7
		(BgL_globalz00_bglt BgL_oz00_354)
	{
		{	/* Globalize/ginfo.sch 417 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_354)))->BgL_fastzd2alphazd2);
		}

	}



/* &global/Ginfo-fast-alpha */
	obj_t BGl_z62globalzf2Ginfozd2fastzd2alphaz90zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3772, obj_t BgL_oz00_3773)
	{
		{	/* Globalize/ginfo.sch 417 */
			return
				BGl_globalzf2Ginfozd2fastzd2alphazf2zzglobaliza7e_ginfoza7(
				((BgL_globalz00_bglt) BgL_oz00_3773));
		}

	}



/* global/Ginfo-fast-alpha-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2Ginfozd2fastzd2alphazd2setz12z32zzglobaliza7e_ginfoza7
		(BgL_globalz00_bglt BgL_oz00_355, obj_t BgL_vz00_356)
	{
		{	/* Globalize/ginfo.sch 418 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_355)))->BgL_fastzd2alphazd2) =
				((obj_t) BgL_vz00_356), BUNSPEC);
		}

	}



/* &global/Ginfo-fast-alpha-set! */
	obj_t
		BGl_z62globalzf2Ginfozd2fastzd2alphazd2setz12z50zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3774, obj_t BgL_oz00_3775, obj_t BgL_vz00_3776)
	{
		{	/* Globalize/ginfo.sch 418 */
			return
				BGl_globalzf2Ginfozd2fastzd2alphazd2setz12z32zzglobaliza7e_ginfoza7(
				((BgL_globalz00_bglt) BgL_oz00_3775), BgL_vz00_3776);
		}

	}



/* global/Ginfo-access */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2Ginfozd2accessz20zzglobaliza7e_ginfoza7(BgL_globalz00_bglt
		BgL_oz00_357)
	{
		{	/* Globalize/ginfo.sch 419 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_357)))->BgL_accessz00);
		}

	}



/* &global/Ginfo-access */
	obj_t BGl_z62globalzf2Ginfozd2accessz42zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3777, obj_t BgL_oz00_3778)
	{
		{	/* Globalize/ginfo.sch 419 */
			return
				BGl_globalzf2Ginfozd2accessz20zzglobaliza7e_ginfoza7(
				((BgL_globalz00_bglt) BgL_oz00_3778));
		}

	}



/* global/Ginfo-access-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2Ginfozd2accesszd2setz12ze0zzglobaliza7e_ginfoza7
		(BgL_globalz00_bglt BgL_oz00_358, obj_t BgL_vz00_359)
	{
		{	/* Globalize/ginfo.sch 420 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_358)))->BgL_accessz00) =
				((obj_t) BgL_vz00_359), BUNSPEC);
		}

	}



/* &global/Ginfo-access-set! */
	obj_t BGl_z62globalzf2Ginfozd2accesszd2setz12z82zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3779, obj_t BgL_oz00_3780, obj_t BgL_vz00_3781)
	{
		{	/* Globalize/ginfo.sch 420 */
			return
				BGl_globalzf2Ginfozd2accesszd2setz12ze0zzglobaliza7e_ginfoza7(
				((BgL_globalz00_bglt) BgL_oz00_3780), BgL_vz00_3781);
		}

	}



/* global/Ginfo-value */
	BGL_EXPORTED_DEF BgL_valuez00_bglt
		BGl_globalzf2Ginfozd2valuez20zzglobaliza7e_ginfoza7(BgL_globalz00_bglt
		BgL_oz00_360)
	{
		{	/* Globalize/ginfo.sch 421 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_360)))->BgL_valuez00);
		}

	}



/* &global/Ginfo-value */
	BgL_valuez00_bglt BGl_z62globalzf2Ginfozd2valuez42zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3782, obj_t BgL_oz00_3783)
	{
		{	/* Globalize/ginfo.sch 421 */
			return
				BGl_globalzf2Ginfozd2valuez20zzglobaliza7e_ginfoza7(
				((BgL_globalz00_bglt) BgL_oz00_3783));
		}

	}



/* global/Ginfo-value-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2Ginfozd2valuezd2setz12ze0zzglobaliza7e_ginfoza7
		(BgL_globalz00_bglt BgL_oz00_361, BgL_valuez00_bglt BgL_vz00_362)
	{
		{	/* Globalize/ginfo.sch 422 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_361)))->BgL_valuez00) =
				((BgL_valuez00_bglt) BgL_vz00_362), BUNSPEC);
		}

	}



/* &global/Ginfo-value-set! */
	obj_t BGl_z62globalzf2Ginfozd2valuezd2setz12z82zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3784, obj_t BgL_oz00_3785, obj_t BgL_vz00_3786)
	{
		{	/* Globalize/ginfo.sch 422 */
			return
				BGl_globalzf2Ginfozd2valuezd2setz12ze0zzglobaliza7e_ginfoza7(
				((BgL_globalz00_bglt) BgL_oz00_3785),
				((BgL_valuez00_bglt) BgL_vz00_3786));
		}

	}



/* global/Ginfo-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_globalzf2Ginfozd2typez20zzglobaliza7e_ginfoza7(BgL_globalz00_bglt
		BgL_oz00_363)
	{
		{	/* Globalize/ginfo.sch 423 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_363)))->BgL_typez00);
		}

	}



/* &global/Ginfo-type */
	BgL_typez00_bglt BGl_z62globalzf2Ginfozd2typez42zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3787, obj_t BgL_oz00_3788)
	{
		{	/* Globalize/ginfo.sch 423 */
			return
				BGl_globalzf2Ginfozd2typez20zzglobaliza7e_ginfoza7(
				((BgL_globalz00_bglt) BgL_oz00_3788));
		}

	}



/* global/Ginfo-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2Ginfozd2typezd2setz12ze0zzglobaliza7e_ginfoza7
		(BgL_globalz00_bglt BgL_oz00_364, BgL_typez00_bglt BgL_vz00_365)
	{
		{	/* Globalize/ginfo.sch 424 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_364)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_365), BUNSPEC);
		}

	}



/* &global/Ginfo-type-set! */
	obj_t BGl_z62globalzf2Ginfozd2typezd2setz12z82zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3789, obj_t BgL_oz00_3790, obj_t BgL_vz00_3791)
	{
		{	/* Globalize/ginfo.sch 424 */
			return
				BGl_globalzf2Ginfozd2typezd2setz12ze0zzglobaliza7e_ginfoza7(
				((BgL_globalz00_bglt) BgL_oz00_3790),
				((BgL_typez00_bglt) BgL_vz00_3791));
		}

	}



/* global/Ginfo-name */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2Ginfozd2namez20zzglobaliza7e_ginfoza7(BgL_globalz00_bglt
		BgL_oz00_366)
	{
		{	/* Globalize/ginfo.sch 425 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_366)))->BgL_namez00);
		}

	}



/* &global/Ginfo-name */
	obj_t BGl_z62globalzf2Ginfozd2namez42zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3792, obj_t BgL_oz00_3793)
	{
		{	/* Globalize/ginfo.sch 425 */
			return
				BGl_globalzf2Ginfozd2namez20zzglobaliza7e_ginfoza7(
				((BgL_globalz00_bglt) BgL_oz00_3793));
		}

	}



/* global/Ginfo-name-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2Ginfozd2namezd2setz12ze0zzglobaliza7e_ginfoza7
		(BgL_globalz00_bglt BgL_oz00_367, obj_t BgL_vz00_368)
	{
		{	/* Globalize/ginfo.sch 426 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_367)))->BgL_namez00) =
				((obj_t) BgL_vz00_368), BUNSPEC);
		}

	}



/* &global/Ginfo-name-set! */
	obj_t BGl_z62globalzf2Ginfozd2namezd2setz12z82zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3794, obj_t BgL_oz00_3795, obj_t BgL_vz00_3796)
	{
		{	/* Globalize/ginfo.sch 426 */
			return
				BGl_globalzf2Ginfozd2namezd2setz12ze0zzglobaliza7e_ginfoza7(
				((BgL_globalz00_bglt) BgL_oz00_3795), BgL_vz00_3796);
		}

	}



/* global/Ginfo-id */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2Ginfozd2idz20zzglobaliza7e_ginfoza7(BgL_globalz00_bglt
		BgL_oz00_369)
	{
		{	/* Globalize/ginfo.sch 427 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_369)))->BgL_idz00);
		}

	}



/* &global/Ginfo-id */
	obj_t BGl_z62globalzf2Ginfozd2idz42zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3797, obj_t BgL_oz00_3798)
	{
		{	/* Globalize/ginfo.sch 427 */
			return
				BGl_globalzf2Ginfozd2idz20zzglobaliza7e_ginfoza7(
				((BgL_globalz00_bglt) BgL_oz00_3798));
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzglobaliza7e_ginfoza7(void)
	{
		{	/* Globalize/ginfo.scm 15 */
			{	/* Globalize/ginfo.scm 20 */
				obj_t BgL_arg1487z00_1760;
				obj_t BgL_arg1489z00_1761;

				{	/* Globalize/ginfo.scm 20 */
					obj_t BgL_v1380z00_1824;

					BgL_v1380z00_1824 = create_vector(20L);
					{	/* Globalize/ginfo.scm 20 */
						obj_t BgL_arg1535z00_1825;

						BgL_arg1535z00_1825 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(0)), BGl_proc2102z00zzglobaliza7e_ginfoza7,
							BGl_proc2101z00zzglobaliza7e_ginfoza7, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2100z00zzglobaliza7e_ginfoza7,
							((obj_t) CNST_TABLE_REF(1)));
						VECTOR_SET(BgL_v1380z00_1824, 0L, BgL_arg1535z00_1825);
					}
					{	/* Globalize/ginfo.scm 20 */
						obj_t BgL_arg1558z00_1838;

						BgL_arg1558z00_1838 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(2)), BGl_proc2105z00zzglobaliza7e_ginfoza7,
							BGl_proc2104z00zzglobaliza7e_ginfoza7, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2103z00zzglobaliza7e_ginfoza7,
							((obj_t) CNST_TABLE_REF(3)));
						VECTOR_SET(BgL_v1380z00_1824, 1L, BgL_arg1558z00_1838);
					}
					{	/* Globalize/ginfo.scm 20 */
						obj_t BgL_arg1581z00_1851;

						BgL_arg1581z00_1851 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(4)), BGl_proc2108z00zzglobaliza7e_ginfoza7,
							BGl_proc2107z00zzglobaliza7e_ginfoza7, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2106z00zzglobaliza7e_ginfoza7,
							((obj_t) CNST_TABLE_REF(3)));
						VECTOR_SET(BgL_v1380z00_1824, 2L, BgL_arg1581z00_1851);
					}
					{	/* Globalize/ginfo.scm 20 */
						obj_t BgL_arg1597z00_1864;

						BgL_arg1597z00_1864 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(5)), BGl_proc2111z00zzglobaliza7e_ginfoza7,
							BGl_proc2110z00zzglobaliza7e_ginfoza7, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2109z00zzglobaliza7e_ginfoza7,
							((obj_t) CNST_TABLE_REF(3)));
						VECTOR_SET(BgL_v1380z00_1824, 3L, BgL_arg1597z00_1864);
					}
					{	/* Globalize/ginfo.scm 20 */
						obj_t BgL_arg1625z00_1877;

						BgL_arg1625z00_1877 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(6)), BGl_proc2114z00zzglobaliza7e_ginfoza7,
							BGl_proc2113z00zzglobaliza7e_ginfoza7, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2112z00zzglobaliza7e_ginfoza7,
							((obj_t) CNST_TABLE_REF(3)));
						VECTOR_SET(BgL_v1380z00_1824, 4L, BgL_arg1625z00_1877);
					}
					{	/* Globalize/ginfo.scm 20 */
						obj_t BgL_arg1638z00_1890;

						BgL_arg1638z00_1890 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(7)), BGl_proc2117z00zzglobaliza7e_ginfoza7,
							BGl_proc2116z00zzglobaliza7e_ginfoza7, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2115z00zzglobaliza7e_ginfoza7,
							((obj_t) CNST_TABLE_REF(3)));
						VECTOR_SET(BgL_v1380z00_1824, 5L, BgL_arg1638z00_1890);
					}
					{	/* Globalize/ginfo.scm 20 */
						obj_t BgL_arg1653z00_1903;

						BgL_arg1653z00_1903 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(8)), BGl_proc2120z00zzglobaliza7e_ginfoza7,
							BGl_proc2119z00zzglobaliza7e_ginfoza7, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2118z00zzglobaliza7e_ginfoza7,
							((obj_t) CNST_TABLE_REF(3)));
						VECTOR_SET(BgL_v1380z00_1824, 6L, BgL_arg1653z00_1903);
					}
					{	/* Globalize/ginfo.scm 20 */
						obj_t BgL_arg1663z00_1916;

						BgL_arg1663z00_1916 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(9)), BGl_proc2123z00zzglobaliza7e_ginfoza7,
							BGl_proc2122z00zzglobaliza7e_ginfoza7, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2121z00zzglobaliza7e_ginfoza7,
							((obj_t) CNST_TABLE_REF(3)));
						VECTOR_SET(BgL_v1380z00_1824, 7L, BgL_arg1663z00_1916);
					}
					{	/* Globalize/ginfo.scm 20 */
						obj_t BgL_arg1679z00_1929;

						BgL_arg1679z00_1929 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(10)), BGl_proc2126z00zzglobaliza7e_ginfoza7,
							BGl_proc2125z00zzglobaliza7e_ginfoza7, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2124z00zzglobaliza7e_ginfoza7,
							((obj_t) CNST_TABLE_REF(3)));
						VECTOR_SET(BgL_v1380z00_1824, 8L, BgL_arg1679z00_1929);
					}
					{	/* Globalize/ginfo.scm 20 */
						obj_t BgL_arg1695z00_1942;

						BgL_arg1695z00_1942 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(11)), BGl_proc2129z00zzglobaliza7e_ginfoza7,
							BGl_proc2128z00zzglobaliza7e_ginfoza7, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2127z00zzglobaliza7e_ginfoza7,
							((obj_t) CNST_TABLE_REF(3)));
						VECTOR_SET(BgL_v1380z00_1824, 9L, BgL_arg1695z00_1942);
					}
					{	/* Globalize/ginfo.scm 20 */
						obj_t BgL_arg1715z00_1955;

						BgL_arg1715z00_1955 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(12)), BGl_proc2132z00zzglobaliza7e_ginfoza7,
							BGl_proc2131z00zzglobaliza7e_ginfoza7, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2130z00zzglobaliza7e_ginfoza7,
							((obj_t) CNST_TABLE_REF(3)));
						VECTOR_SET(BgL_v1380z00_1824, 10L, BgL_arg1715z00_1955);
					}
					{	/* Globalize/ginfo.scm 20 */
						obj_t BgL_arg1724z00_1968;

						BgL_arg1724z00_1968 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(13)), BGl_proc2135z00zzglobaliza7e_ginfoza7,
							BGl_proc2134z00zzglobaliza7e_ginfoza7, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2133z00zzglobaliza7e_ginfoza7,
							((obj_t) CNST_TABLE_REF(14)));
						VECTOR_SET(BgL_v1380z00_1824, 11L, BgL_arg1724z00_1968);
					}
					{	/* Globalize/ginfo.scm 20 */
						obj_t BgL_arg1755z00_1981;

						BgL_arg1755z00_1981 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(15)), BGl_proc2138z00zzglobaliza7e_ginfoza7,
							BGl_proc2137z00zzglobaliza7e_ginfoza7, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2136z00zzglobaliza7e_ginfoza7,
							((obj_t) CNST_TABLE_REF(3)));
						VECTOR_SET(BgL_v1380z00_1824, 12L, BgL_arg1755z00_1981);
					}
					{	/* Globalize/ginfo.scm 20 */
						obj_t BgL_arg1768z00_1994;

						BgL_arg1768z00_1994 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(16)), BGl_proc2141z00zzglobaliza7e_ginfoza7,
							BGl_proc2140z00zzglobaliza7e_ginfoza7, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2139z00zzglobaliza7e_ginfoza7,
							((obj_t) CNST_TABLE_REF(3)));
						VECTOR_SET(BgL_v1380z00_1824, 13L, BgL_arg1768z00_1994);
					}
					{	/* Globalize/ginfo.scm 20 */
						obj_t BgL_arg1782z00_2007;

						BgL_arg1782z00_2007 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(17)), BGl_proc2144z00zzglobaliza7e_ginfoza7,
							BGl_proc2143z00zzglobaliza7e_ginfoza7, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2142z00zzglobaliza7e_ginfoza7,
							((obj_t) CNST_TABLE_REF(3)));
						VECTOR_SET(BgL_v1380z00_1824, 14L, BgL_arg1782z00_2007);
					}
					{	/* Globalize/ginfo.scm 20 */
						obj_t BgL_arg1789z00_2020;

						BgL_arg1789z00_2020 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(18)), BGl_proc2147z00zzglobaliza7e_ginfoza7,
							BGl_proc2146z00zzglobaliza7e_ginfoza7, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2145z00zzglobaliza7e_ginfoza7,
							((obj_t) CNST_TABLE_REF(3)));
						VECTOR_SET(BgL_v1380z00_1824, 15L, BgL_arg1789z00_2020);
					}
					{	/* Globalize/ginfo.scm 20 */
						obj_t BgL_arg1801z00_2033;

						BgL_arg1801z00_2033 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(19)), BGl_proc2150z00zzglobaliza7e_ginfoza7,
							BGl_proc2149z00zzglobaliza7e_ginfoza7, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2148z00zzglobaliza7e_ginfoza7,
							((obj_t) CNST_TABLE_REF(14)));
						VECTOR_SET(BgL_v1380z00_1824, 16L, BgL_arg1801z00_2033);
					}
					{	/* Globalize/ginfo.scm 20 */
						obj_t BgL_arg1810z00_2046;

						BgL_arg1810z00_2046 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(20)), BGl_proc2153z00zzglobaliza7e_ginfoza7,
							BGl_proc2152z00zzglobaliza7e_ginfoza7, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2151z00zzglobaliza7e_ginfoza7,
							((obj_t) CNST_TABLE_REF(14)));
						VECTOR_SET(BgL_v1380z00_1824, 17L, BgL_arg1810z00_2046);
					}
					{	/* Globalize/ginfo.scm 20 */
						obj_t BgL_arg1822z00_2059;

						BgL_arg1822z00_2059 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(21)), BGl_proc2156z00zzglobaliza7e_ginfoza7,
							BGl_proc2155z00zzglobaliza7e_ginfoza7, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2154z00zzglobaliza7e_ginfoza7,
							((obj_t) CNST_TABLE_REF(3)));
						VECTOR_SET(BgL_v1380z00_1824, 18L, BgL_arg1822z00_2059);
					}
					{	/* Globalize/ginfo.scm 20 */
						obj_t BgL_arg1842z00_2072;

						BgL_arg1842z00_2072 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(22)), BGl_proc2159z00zzglobaliza7e_ginfoza7,
							BGl_proc2158z00zzglobaliza7e_ginfoza7, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2157z00zzglobaliza7e_ginfoza7,
							((obj_t) CNST_TABLE_REF(3)));
						VECTOR_SET(BgL_v1380z00_1824, 19L, BgL_arg1842z00_2072);
					}
					BgL_arg1487z00_1760 = BgL_v1380z00_1824;
				}
				{	/* Globalize/ginfo.scm 20 */
					obj_t BgL_v1381z00_2085;

					BgL_v1381z00_2085 = create_vector(0L);
					BgL_arg1489z00_1761 = BgL_v1381z00_2085;
				}
				BGl_sfunzf2Ginfozf2zzglobaliza7e_ginfoza7 =
					BGl_registerzd2classz12zc0zz__objectz00(
					((obj_t)
						CNST_TABLE_REF(23)),
					((obj_t)
						CNST_TABLE_REF(24)), BGl_sfunz00zzast_varz00, 7595L,
					BGl_proc2163z00zzglobaliza7e_ginfoza7,
					BGl_proc2162z00zzglobaliza7e_ginfoza7, BFALSE,
					BGl_proc2161z00zzglobaliza7e_ginfoza7,
					BGl_proc2160z00zzglobaliza7e_ginfoza7, BgL_arg1487z00_1760,
					BgL_arg1489z00_1761);
			}
			{	/* Globalize/ginfo.scm 62 */
				obj_t BgL_arg1865z00_2094;
				obj_t BgL_arg1872z00_2095;

				{	/* Globalize/ginfo.scm 62 */
					obj_t BgL_v1382z00_2122;

					BgL_v1382z00_2122 = create_vector(5L);
					{	/* Globalize/ginfo.scm 62 */
						obj_t BgL_arg1889z00_2123;

						BgL_arg1889z00_2123 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(25)), BGl_proc2166z00zzglobaliza7e_ginfoza7,
							BGl_proc2165z00zzglobaliza7e_ginfoza7, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2164z00zzglobaliza7e_ginfoza7,
							((obj_t) CNST_TABLE_REF(1)));
						VECTOR_SET(BgL_v1382z00_2122, 0L, BgL_arg1889z00_2123);
					}
					{	/* Globalize/ginfo.scm 62 */
						obj_t BgL_arg1896z00_2136;

						BgL_arg1896z00_2136 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(15)), BGl_proc2169z00zzglobaliza7e_ginfoza7,
							BGl_proc2168z00zzglobaliza7e_ginfoza7, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2167z00zzglobaliza7e_ginfoza7,
							((obj_t) CNST_TABLE_REF(14)));
						VECTOR_SET(BgL_v1382z00_2122, 1L, BgL_arg1896z00_2136);
					}
					{	/* Globalize/ginfo.scm 62 */
						obj_t BgL_arg1903z00_2149;

						BgL_arg1903z00_2149 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(13)), BGl_proc2172z00zzglobaliza7e_ginfoza7,
							BGl_proc2171z00zzglobaliza7e_ginfoza7, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2170z00zzglobaliza7e_ginfoza7,
							((obj_t) CNST_TABLE_REF(14)));
						VECTOR_SET(BgL_v1382z00_2122, 2L, BgL_arg1903z00_2149);
					}
					{	/* Globalize/ginfo.scm 62 */
						obj_t BgL_arg1910z00_2162;

						BgL_arg1910z00_2162 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(26)), BGl_proc2175z00zzglobaliza7e_ginfoza7,
							BGl_proc2174z00zzglobaliza7e_ginfoza7, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2173z00zzglobaliza7e_ginfoza7,
							((obj_t) CNST_TABLE_REF(1)));
						VECTOR_SET(BgL_v1382z00_2122, 3L, BgL_arg1910z00_2162);
					}
					{	/* Globalize/ginfo.scm 62 */
						obj_t BgL_arg1917z00_2175;

						BgL_arg1917z00_2175 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(27)), BGl_proc2178z00zzglobaliza7e_ginfoza7,
							BGl_proc2177z00zzglobaliza7e_ginfoza7, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2176z00zzglobaliza7e_ginfoza7,
							((obj_t) CNST_TABLE_REF(1)));
						VECTOR_SET(BgL_v1382z00_2122, 4L, BgL_arg1917z00_2175);
					}
					BgL_arg1865z00_2094 = BgL_v1382z00_2122;
				}
				{	/* Globalize/ginfo.scm 62 */
					obj_t BgL_v1383z00_2188;

					BgL_v1383z00_2188 = create_vector(0L);
					BgL_arg1872z00_2095 = BgL_v1383z00_2188;
				}
				BGl_svarzf2Ginfozf2zzglobaliza7e_ginfoza7 =
					BGl_registerzd2classz12zc0zz__objectz00(
					((obj_t)
						CNST_TABLE_REF(28)),
					((obj_t)
						CNST_TABLE_REF(24)), BGl_svarz00zzast_varz00, 23020L,
					BGl_proc2182z00zzglobaliza7e_ginfoza7,
					BGl_proc2181z00zzglobaliza7e_ginfoza7, BFALSE,
					BGl_proc2180z00zzglobaliza7e_ginfoza7,
					BGl_proc2179z00zzglobaliza7e_ginfoza7, BgL_arg1865z00_2094,
					BgL_arg1872z00_2095);
			}
			{	/* Globalize/ginfo.scm 74 */
				obj_t BgL_arg1930z00_2197;
				obj_t BgL_arg1932z00_2198;

				{	/* Globalize/ginfo.scm 74 */
					obj_t BgL_v1384z00_2225;

					BgL_v1384z00_2225 = create_vector(4L);
					{	/* Globalize/ginfo.scm 74 */
						obj_t BgL_arg1945z00_2226;

						BgL_arg1945z00_2226 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(0)), BGl_proc2185z00zzglobaliza7e_ginfoza7,
							BGl_proc2184z00zzglobaliza7e_ginfoza7, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2183z00zzglobaliza7e_ginfoza7,
							((obj_t) CNST_TABLE_REF(1)));
						VECTOR_SET(BgL_v1384z00_2225, 0L, BgL_arg1945z00_2226);
					}
					{	/* Globalize/ginfo.scm 74 */
						obj_t BgL_arg1953z00_2239;

						BgL_arg1953z00_2239 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(25)), BGl_proc2188z00zzglobaliza7e_ginfoza7,
							BGl_proc2187z00zzglobaliza7e_ginfoza7, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2186z00zzglobaliza7e_ginfoza7,
							((obj_t) CNST_TABLE_REF(1)));
						VECTOR_SET(BgL_v1384z00_2225, 1L, BgL_arg1953z00_2239);
					}
					{	/* Globalize/ginfo.scm 74 */
						obj_t BgL_arg1960z00_2252;

						BgL_arg1960z00_2252 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(15)), BGl_proc2191z00zzglobaliza7e_ginfoza7,
							BGl_proc2190z00zzglobaliza7e_ginfoza7, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2189z00zzglobaliza7e_ginfoza7,
							((obj_t) CNST_TABLE_REF(14)));
						VECTOR_SET(BgL_v1384z00_2225, 2L, BgL_arg1960z00_2252);
					}
					{	/* Globalize/ginfo.scm 74 */
						obj_t BgL_arg1967z00_2265;

						BgL_arg1967z00_2265 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(13)), BGl_proc2194z00zzglobaliza7e_ginfoza7,
							BGl_proc2193z00zzglobaliza7e_ginfoza7, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2192z00zzglobaliza7e_ginfoza7,
							((obj_t) CNST_TABLE_REF(14)));
						VECTOR_SET(BgL_v1384z00_2225, 3L, BgL_arg1967z00_2265);
					}
					BgL_arg1930z00_2197 = BgL_v1384z00_2225;
				}
				{	/* Globalize/ginfo.scm 74 */
					obj_t BgL_v1385z00_2278;

					BgL_v1385z00_2278 = create_vector(0L);
					BgL_arg1932z00_2198 = BgL_v1385z00_2278;
				}
				BGl_sexitzf2Ginfozf2zzglobaliza7e_ginfoza7 =
					BGl_registerzd2classz12zc0zz__objectz00(
					((obj_t)
						CNST_TABLE_REF(29)),
					((obj_t)
						CNST_TABLE_REF(24)), BGl_sexitz00zzast_varz00, 59541L,
					BGl_proc2198z00zzglobaliza7e_ginfoza7,
					BGl_proc2197z00zzglobaliza7e_ginfoza7, BFALSE,
					BGl_proc2196z00zzglobaliza7e_ginfoza7,
					BGl_proc2195z00zzglobaliza7e_ginfoza7, BgL_arg1930z00_2197,
					BgL_arg1932z00_2198);
			}
			{	/* Globalize/ginfo.scm 84 */
				obj_t BgL_arg1979z00_2287;
				obj_t BgL_arg1980z00_2288;

				{	/* Globalize/ginfo.scm 84 */
					obj_t BgL_v1386z00_2324;

					BgL_v1386z00_2324 = create_vector(2L);
					{	/* Globalize/ginfo.scm 84 */
						obj_t BgL_arg1991z00_2325;

						BgL_arg1991z00_2325 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(30)), BGl_proc2201z00zzglobaliza7e_ginfoza7,
							BGl_proc2200z00zzglobaliza7e_ginfoza7, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2199z00zzglobaliza7e_ginfoza7,
							((obj_t) CNST_TABLE_REF(1)));
						VECTOR_SET(BgL_v1386z00_2324, 0L, BgL_arg1991z00_2325);
					}
					{	/* Globalize/ginfo.scm 84 */
						obj_t BgL_arg2002z00_2338;

						BgL_arg2002z00_2338 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(31)), BGl_proc2204z00zzglobaliza7e_ginfoza7,
							BGl_proc2203z00zzglobaliza7e_ginfoza7, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2202z00zzglobaliza7e_ginfoza7,
							((obj_t) CNST_TABLE_REF(1)));
						VECTOR_SET(BgL_v1386z00_2324, 1L, BgL_arg2002z00_2338);
					}
					BgL_arg1979z00_2287 = BgL_v1386z00_2324;
				}
				{	/* Globalize/ginfo.scm 84 */
					obj_t BgL_v1387z00_2351;

					BgL_v1387z00_2351 = create_vector(0L);
					BgL_arg1980z00_2288 = BgL_v1387z00_2351;
				}
				BGl_localzf2Ginfozf2zzglobaliza7e_ginfoza7 =
					BGl_registerzd2classz12zc0zz__objectz00(
					((obj_t)
						CNST_TABLE_REF(32)),
					((obj_t)
						CNST_TABLE_REF(24)), BGl_localz00zzast_varz00, 65245L,
					BGl_proc2208z00zzglobaliza7e_ginfoza7,
					BGl_proc2207z00zzglobaliza7e_ginfoza7, BFALSE,
					BGl_proc2206z00zzglobaliza7e_ginfoza7,
					BGl_proc2205z00zzglobaliza7e_ginfoza7, BgL_arg1979z00_2287,
					BgL_arg1980z00_2288);
			}
			{	/* Globalize/ginfo.scm 90 */
				obj_t BgL_arg2013z00_2360;
				obj_t BgL_arg2014z00_2361;

				{	/* Globalize/ginfo.scm 90 */
					obj_t BgL_v1388z00_2404;

					BgL_v1388z00_2404 = create_vector(2L);
					{	/* Globalize/ginfo.scm 90 */
						obj_t BgL_arg2025z00_2405;

						BgL_arg2025z00_2405 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(30)), BGl_proc2211z00zzglobaliza7e_ginfoza7,
							BGl_proc2210z00zzglobaliza7e_ginfoza7, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2209z00zzglobaliza7e_ginfoza7,
							((obj_t) CNST_TABLE_REF(1)));
						VECTOR_SET(BgL_v1388z00_2404, 0L, BgL_arg2025z00_2405);
					}
					{	/* Globalize/ginfo.scm 90 */
						obj_t BgL_arg2032z00_2418;

						BgL_arg2032z00_2418 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(33)), BGl_proc2214z00zzglobaliza7e_ginfoza7,
							BGl_proc2213z00zzglobaliza7e_ginfoza7, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2212z00zzglobaliza7e_ginfoza7,
							((obj_t) CNST_TABLE_REF(3)));
						VECTOR_SET(BgL_v1388z00_2404, 1L, BgL_arg2032z00_2418);
					}
					BgL_arg2013z00_2360 = BgL_v1388z00_2404;
				}
				{	/* Globalize/ginfo.scm 90 */
					obj_t BgL_v1389z00_2431;

					BgL_v1389z00_2431 = create_vector(0L);
					BgL_arg2014z00_2361 = BgL_v1389z00_2431;
				}
				return (BGl_globalzf2Ginfozf2zzglobaliza7e_ginfoza7 =
					BGl_registerzd2classz12zc0zz__objectz00(
						((obj_t)
							CNST_TABLE_REF(34)),
						((obj_t)
							CNST_TABLE_REF(24)), BGl_globalz00zzast_varz00, 29682L,
						BGl_proc2218z00zzglobaliza7e_ginfoza7,
						BGl_proc2217z00zzglobaliza7e_ginfoza7, BFALSE,
						BGl_proc2216z00zzglobaliza7e_ginfoza7,
						BGl_proc2215z00zzglobaliza7e_ginfoza7, BgL_arg2013z00_2360,
						BgL_arg2014z00_2361), BUNSPEC);
			}
		}

	}



/* &lambda2021 */
	BgL_globalz00_bglt BGl_z62lambda2021z62zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3918, obj_t BgL_o1222z00_3919)
	{
		{	/* Globalize/ginfo.scm 90 */
			{	/* Globalize/ginfo.scm 90 */
				long BgL_arg2022z00_4359;

				{	/* Globalize/ginfo.scm 90 */
					obj_t BgL_arg2023z00_4360;

					{	/* Globalize/ginfo.scm 90 */
						obj_t BgL_arg2024z00_4361;

						{	/* Globalize/ginfo.scm 90 */
							obj_t BgL_arg1866z00_4362;
							long BgL_arg1867z00_4363;

							BgL_arg1866z00_4362 = (BGl_za2classesza2z00zz__objectz00);
							{	/* Globalize/ginfo.scm 90 */
								long BgL_arg1869z00_4364;

								BgL_arg1869z00_4364 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_globalz00_bglt) BgL_o1222z00_3919)));
								BgL_arg1867z00_4363 = (BgL_arg1869z00_4364 - OBJECT_TYPE);
							}
							BgL_arg2024z00_4361 =
								VECTOR_REF(BgL_arg1866z00_4362, BgL_arg1867z00_4363);
						}
						BgL_arg2023z00_4360 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg2024z00_4361);
					}
					{	/* Globalize/ginfo.scm 90 */
						obj_t BgL_tmpz00_6581;

						BgL_tmpz00_6581 = ((obj_t) BgL_arg2023z00_4360);
						BgL_arg2022z00_4359 = BGL_CLASS_NUM(BgL_tmpz00_6581);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_globalz00_bglt) BgL_o1222z00_3919)), BgL_arg2022z00_4359);
			}
			{	/* Globalize/ginfo.scm 90 */
				BgL_objectz00_bglt BgL_tmpz00_6587;

				BgL_tmpz00_6587 =
					((BgL_objectz00_bglt) ((BgL_globalz00_bglt) BgL_o1222z00_3919));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6587, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_globalz00_bglt) BgL_o1222z00_3919));
			return ((BgL_globalz00_bglt) ((BgL_globalz00_bglt) BgL_o1222z00_3919));
		}

	}



/* &<@anonymous:2020> */
	obj_t BGl_z62zc3z04anonymousza32020ze3ze5zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3920, obj_t BgL_new1221z00_3921)
	{
		{	/* Globalize/ginfo.scm 90 */
			{
				BgL_globalz00_bglt BgL_auxz00_6595;

				((((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt)
									((BgL_globalz00_bglt) BgL_new1221z00_3921))))->BgL_idz00) =
					((obj_t) ((obj_t) CNST_TABLE_REF(35))), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_globalz00_bglt)
										BgL_new1221z00_3921))))->BgL_namez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_6604;

					{	/* Globalize/ginfo.scm 90 */
						obj_t BgL_classz00_4366;

						BgL_classz00_4366 = BGl_typez00zztype_typez00;
						{	/* Globalize/ginfo.scm 90 */
							obj_t BgL__ortest_1117z00_4367;

							BgL__ortest_1117z00_4367 = BGL_CLASS_NIL(BgL_classz00_4366);
							if (CBOOL(BgL__ortest_1117z00_4367))
								{	/* Globalize/ginfo.scm 90 */
									BgL_auxz00_6604 =
										((BgL_typez00_bglt) BgL__ortest_1117z00_4367);
								}
							else
								{	/* Globalize/ginfo.scm 90 */
									BgL_auxz00_6604 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4366));
								}
						}
					}
					((((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt)
										((BgL_globalz00_bglt) BgL_new1221z00_3921))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_6604), BUNSPEC);
				}
				{
					BgL_valuez00_bglt BgL_auxz00_6614;

					{	/* Globalize/ginfo.scm 90 */
						obj_t BgL_classz00_4368;

						BgL_classz00_4368 = BGl_valuez00zzast_varz00;
						{	/* Globalize/ginfo.scm 90 */
							obj_t BgL__ortest_1117z00_4369;

							BgL__ortest_1117z00_4369 = BGL_CLASS_NIL(BgL_classz00_4368);
							if (CBOOL(BgL__ortest_1117z00_4369))
								{	/* Globalize/ginfo.scm 90 */
									BgL_auxz00_6614 =
										((BgL_valuez00_bglt) BgL__ortest_1117z00_4369);
								}
							else
								{	/* Globalize/ginfo.scm 90 */
									BgL_auxz00_6614 =
										((BgL_valuez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4368));
								}
						}
					}
					((((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt)
										((BgL_globalz00_bglt) BgL_new1221z00_3921))))->
							BgL_valuez00) = ((BgL_valuez00_bglt) BgL_auxz00_6614), BUNSPEC);
				}
				((((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt)
									((BgL_globalz00_bglt) BgL_new1221z00_3921))))->
						BgL_accessz00) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_globalz00_bglt)
										BgL_new1221z00_3921))))->BgL_fastzd2alphazd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_globalz00_bglt)
										BgL_new1221z00_3921))))->BgL_removablez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_globalz00_bglt)
										BgL_new1221z00_3921))))->BgL_occurrencez00) =
					((long) 0L), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_globalz00_bglt)
										BgL_new1221z00_3921))))->BgL_occurrencewz00) =
					((long) 0L), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_globalz00_bglt)
										BgL_new1221z00_3921))))->BgL_userzf3zf3) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_globalz00_bglt)
							COBJECT(((BgL_globalz00_bglt) ((BgL_globalz00_bglt)
										BgL_new1221z00_3921))))->BgL_modulez00) =
					((obj_t) ((obj_t) CNST_TABLE_REF(35))), BUNSPEC);
				((((BgL_globalz00_bglt)
							COBJECT(((BgL_globalz00_bglt) ((BgL_globalz00_bglt)
										BgL_new1221z00_3921))))->BgL_importz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_globalz00_bglt)
							COBJECT(((BgL_globalz00_bglt) ((BgL_globalz00_bglt)
										BgL_new1221z00_3921))))->BgL_evaluablezf3zf3) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_globalz00_bglt)
							COBJECT(((BgL_globalz00_bglt) ((BgL_globalz00_bglt)
										BgL_new1221z00_3921))))->BgL_evalzf3zf3) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_globalz00_bglt)
							COBJECT(((BgL_globalz00_bglt) ((BgL_globalz00_bglt)
										BgL_new1221z00_3921))))->BgL_libraryz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_globalz00_bglt)
							COBJECT(((BgL_globalz00_bglt) ((BgL_globalz00_bglt)
										BgL_new1221z00_3921))))->BgL_pragmaz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_globalz00_bglt)
							COBJECT(((BgL_globalz00_bglt) ((BgL_globalz00_bglt)
										BgL_new1221z00_3921))))->BgL_srcz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_globalz00_bglt)
							COBJECT(((BgL_globalz00_bglt) ((BgL_globalz00_bglt)
										BgL_new1221z00_3921))))->BgL_qualifiedzd2typezd2namez00) =
					((obj_t) BGl_string2219z00zzglobaliza7e_ginfoza7), BUNSPEC);
				((((BgL_globalz00_bglt)
							COBJECT(((BgL_globalz00_bglt) ((BgL_globalz00_bglt)
										BgL_new1221z00_3921))))->BgL_initz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_globalz00_bglt)
							COBJECT(((BgL_globalz00_bglt) ((BgL_globalz00_bglt)
										BgL_new1221z00_3921))))->BgL_aliasz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_globalzf2ginfozf2_bglt BgL_auxz00_6674;

					{
						obj_t BgL_auxz00_6675;

						{	/* Globalize/ginfo.scm 90 */
							BgL_objectz00_bglt BgL_tmpz00_6676;

							BgL_tmpz00_6676 =
								((BgL_objectz00_bglt)
								((BgL_globalz00_bglt) BgL_new1221z00_3921));
							BgL_auxz00_6675 = BGL_OBJECT_WIDENING(BgL_tmpz00_6676);
						}
						BgL_auxz00_6674 = ((BgL_globalzf2ginfozf2_bglt) BgL_auxz00_6675);
					}
					((((BgL_globalzf2ginfozf2_bglt) COBJECT(BgL_auxz00_6674))->
							BgL_escapezf3zf3) = ((bool_t) ((bool_t) 0)), BUNSPEC);
				}
				{
					BgL_globalzf2ginfozf2_bglt BgL_auxz00_6682;

					{
						obj_t BgL_auxz00_6683;

						{	/* Globalize/ginfo.scm 90 */
							BgL_objectz00_bglt BgL_tmpz00_6684;

							BgL_tmpz00_6684 =
								((BgL_objectz00_bglt)
								((BgL_globalz00_bglt) BgL_new1221z00_3921));
							BgL_auxz00_6683 = BGL_OBJECT_WIDENING(BgL_tmpz00_6684);
						}
						BgL_auxz00_6682 = ((BgL_globalzf2ginfozf2_bglt) BgL_auxz00_6683);
					}
					((((BgL_globalzf2ginfozf2_bglt) COBJECT(BgL_auxz00_6682))->
							BgL_globalzd2closurezd2) = ((obj_t) BUNSPEC), BUNSPEC);
				}
				BgL_auxz00_6595 = ((BgL_globalz00_bglt) BgL_new1221z00_3921);
				return ((obj_t) BgL_auxz00_6595);
			}
		}

	}



/* &lambda2018 */
	BgL_globalz00_bglt BGl_z62lambda2018z62zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3922, obj_t BgL_o1218z00_3923)
	{
		{	/* Globalize/ginfo.scm 90 */
			{	/* Globalize/ginfo.scm 90 */
				BgL_globalzf2ginfozf2_bglt BgL_wide1220z00_4371;

				BgL_wide1220z00_4371 =
					((BgL_globalzf2ginfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_globalzf2ginfozf2_bgl))));
				{	/* Globalize/ginfo.scm 90 */
					obj_t BgL_auxz00_6697;
					BgL_objectz00_bglt BgL_tmpz00_6693;

					BgL_auxz00_6697 = ((obj_t) BgL_wide1220z00_4371);
					BgL_tmpz00_6693 =
						((BgL_objectz00_bglt)
						((BgL_globalz00_bglt) ((BgL_globalz00_bglt) BgL_o1218z00_3923)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6693, BgL_auxz00_6697);
				}
				((BgL_objectz00_bglt)
					((BgL_globalz00_bglt) ((BgL_globalz00_bglt) BgL_o1218z00_3923)));
				{	/* Globalize/ginfo.scm 90 */
					long BgL_arg2019z00_4372;

					BgL_arg2019z00_4372 =
						BGL_CLASS_NUM(BGl_globalzf2Ginfozf2zzglobaliza7e_ginfoza7);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_globalz00_bglt)
								((BgL_globalz00_bglt) BgL_o1218z00_3923))),
						BgL_arg2019z00_4372);
				}
				return
					((BgL_globalz00_bglt)
					((BgL_globalz00_bglt) ((BgL_globalz00_bglt) BgL_o1218z00_3923)));
			}
		}

	}



/* &lambda2015 */
	BgL_globalz00_bglt BGl_z62lambda2015z62zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3924, obj_t BgL_id1196z00_3925, obj_t BgL_name1197z00_3926,
		obj_t BgL_type1198z00_3927, obj_t BgL_value1199z00_3928,
		obj_t BgL_access1200z00_3929, obj_t BgL_fastzd2alpha1201zd2_3930,
		obj_t BgL_removable1202z00_3931, obj_t BgL_occurrence1203z00_3932,
		obj_t BgL_occurrencew1204z00_3933, obj_t BgL_userzf31205zf3_3934,
		obj_t BgL_module1206z00_3935, obj_t BgL_import1207z00_3936,
		obj_t BgL_evaluablezf31208zf3_3937, obj_t BgL_evalzf31209zf3_3938,
		obj_t BgL_library1210z00_3939, obj_t BgL_pragma1211z00_3940,
		obj_t BgL_src1212z00_3941, obj_t BgL_qualifiedzd2typezd2name1213z00_3942,
		obj_t BgL_init1214z00_3943, obj_t BgL_alias1215z00_3944,
		obj_t BgL_escapezf31216zf3_3945, obj_t BgL_globalzd2closure1217zd2_3946)
	{
		{	/* Globalize/ginfo.scm 90 */
			{	/* Globalize/ginfo.scm 90 */
				long BgL_occurrence1203z00_4376;
				long BgL_occurrencew1204z00_4377;
				bool_t BgL_userzf31205zf3_4378;
				bool_t BgL_evaluablezf31208zf3_4380;
				bool_t BgL_evalzf31209zf3_4381;
				bool_t BgL_escapezf31216zf3_4383;

				BgL_occurrence1203z00_4376 = (long) CINT(BgL_occurrence1203z00_3932);
				BgL_occurrencew1204z00_4377 = (long) CINT(BgL_occurrencew1204z00_3933);
				BgL_userzf31205zf3_4378 = CBOOL(BgL_userzf31205zf3_3934);
				BgL_evaluablezf31208zf3_4380 = CBOOL(BgL_evaluablezf31208zf3_3937);
				BgL_evalzf31209zf3_4381 = CBOOL(BgL_evalzf31209zf3_3938);
				BgL_escapezf31216zf3_4383 = CBOOL(BgL_escapezf31216zf3_3945);
				{	/* Globalize/ginfo.scm 90 */
					BgL_globalz00_bglt BgL_new1268z00_4384;

					{	/* Globalize/ginfo.scm 90 */
						BgL_globalz00_bglt BgL_tmp1265z00_4385;
						BgL_globalzf2ginfozf2_bglt BgL_wide1266z00_4386;

						{
							BgL_globalz00_bglt BgL_auxz00_6717;

							{	/* Globalize/ginfo.scm 90 */
								BgL_globalz00_bglt BgL_new1264z00_4387;

								BgL_new1264z00_4387 =
									((BgL_globalz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_globalz00_bgl))));
								{	/* Globalize/ginfo.scm 90 */
									long BgL_arg2017z00_4388;

									BgL_arg2017z00_4388 =
										BGL_CLASS_NUM(BGl_globalz00zzast_varz00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1264z00_4387),
										BgL_arg2017z00_4388);
								}
								{	/* Globalize/ginfo.scm 90 */
									BgL_objectz00_bglt BgL_tmpz00_6722;

									BgL_tmpz00_6722 = ((BgL_objectz00_bglt) BgL_new1264z00_4387);
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6722, BFALSE);
								}
								((BgL_objectz00_bglt) BgL_new1264z00_4387);
								BgL_auxz00_6717 = BgL_new1264z00_4387;
							}
							BgL_tmp1265z00_4385 = ((BgL_globalz00_bglt) BgL_auxz00_6717);
						}
						BgL_wide1266z00_4386 =
							((BgL_globalzf2ginfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_globalzf2ginfozf2_bgl))));
						{	/* Globalize/ginfo.scm 90 */
							obj_t BgL_auxz00_6730;
							BgL_objectz00_bglt BgL_tmpz00_6728;

							BgL_auxz00_6730 = ((obj_t) BgL_wide1266z00_4386);
							BgL_tmpz00_6728 = ((BgL_objectz00_bglt) BgL_tmp1265z00_4385);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6728, BgL_auxz00_6730);
						}
						((BgL_objectz00_bglt) BgL_tmp1265z00_4385);
						{	/* Globalize/ginfo.scm 90 */
							long BgL_arg2016z00_4389;

							BgL_arg2016z00_4389 =
								BGL_CLASS_NUM(BGl_globalzf2Ginfozf2zzglobaliza7e_ginfoza7);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_tmp1265z00_4385),
								BgL_arg2016z00_4389);
						}
						BgL_new1268z00_4384 = ((BgL_globalz00_bglt) BgL_tmp1265z00_4385);
					}
					((((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt) BgL_new1268z00_4384)))->BgL_idz00) =
						((obj_t) ((obj_t) BgL_id1196z00_3925)), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1268z00_4384)))->BgL_namez00) =
						((obj_t) BgL_name1197z00_3926), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1268z00_4384)))->BgL_typez00) =
						((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1198z00_3927)),
						BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1268z00_4384)))->BgL_valuez00) =
						((BgL_valuez00_bglt) ((BgL_valuez00_bglt) BgL_value1199z00_3928)),
						BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1268z00_4384)))->BgL_accessz00) =
						((obj_t) BgL_access1200z00_3929), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1268z00_4384)))->BgL_fastzd2alphazd2) =
						((obj_t) BgL_fastzd2alpha1201zd2_3930), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1268z00_4384)))->BgL_removablez00) =
						((obj_t) BgL_removable1202z00_3931), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1268z00_4384)))->BgL_occurrencez00) =
						((long) BgL_occurrence1203z00_4376), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1268z00_4384)))->BgL_occurrencewz00) =
						((long) BgL_occurrencew1204z00_4377), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1268z00_4384)))->BgL_userzf3zf3) =
						((bool_t) BgL_userzf31205zf3_4378), BUNSPEC);
					((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
										BgL_new1268z00_4384)))->BgL_modulez00) =
						((obj_t) ((obj_t) BgL_module1206z00_3935)), BUNSPEC);
					((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
										BgL_new1268z00_4384)))->BgL_importz00) =
						((obj_t) BgL_import1207z00_3936), BUNSPEC);
					((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
										BgL_new1268z00_4384)))->BgL_evaluablezf3zf3) =
						((bool_t) BgL_evaluablezf31208zf3_4380), BUNSPEC);
					((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
										BgL_new1268z00_4384)))->BgL_evalzf3zf3) =
						((bool_t) BgL_evalzf31209zf3_4381), BUNSPEC);
					((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
										BgL_new1268z00_4384)))->BgL_libraryz00) =
						((obj_t) BgL_library1210z00_3939), BUNSPEC);
					((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
										BgL_new1268z00_4384)))->BgL_pragmaz00) =
						((obj_t) BgL_pragma1211z00_3940), BUNSPEC);
					((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
										BgL_new1268z00_4384)))->BgL_srcz00) =
						((obj_t) BgL_src1212z00_3941), BUNSPEC);
					((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
										BgL_new1268z00_4384)))->BgL_qualifiedzd2typezd2namez00) =
						((obj_t) ((obj_t) BgL_qualifiedzd2typezd2name1213z00_3942)),
						BUNSPEC);
					((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
										BgL_new1268z00_4384)))->BgL_initz00) =
						((obj_t) BgL_init1214z00_3943), BUNSPEC);
					((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
										BgL_new1268z00_4384)))->BgL_aliasz00) =
						((obj_t) BgL_alias1215z00_3944), BUNSPEC);
					{
						BgL_globalzf2ginfozf2_bglt BgL_auxz00_6783;

						{
							obj_t BgL_auxz00_6784;

							{	/* Globalize/ginfo.scm 90 */
								BgL_objectz00_bglt BgL_tmpz00_6785;

								BgL_tmpz00_6785 = ((BgL_objectz00_bglt) BgL_new1268z00_4384);
								BgL_auxz00_6784 = BGL_OBJECT_WIDENING(BgL_tmpz00_6785);
							}
							BgL_auxz00_6783 = ((BgL_globalzf2ginfozf2_bglt) BgL_auxz00_6784);
						}
						((((BgL_globalzf2ginfozf2_bglt) COBJECT(BgL_auxz00_6783))->
								BgL_escapezf3zf3) =
							((bool_t) BgL_escapezf31216zf3_4383), BUNSPEC);
					}
					{
						BgL_globalzf2ginfozf2_bglt BgL_auxz00_6790;

						{
							obj_t BgL_auxz00_6791;

							{	/* Globalize/ginfo.scm 90 */
								BgL_objectz00_bglt BgL_tmpz00_6792;

								BgL_tmpz00_6792 = ((BgL_objectz00_bglt) BgL_new1268z00_4384);
								BgL_auxz00_6791 = BGL_OBJECT_WIDENING(BgL_tmpz00_6792);
							}
							BgL_auxz00_6790 = ((BgL_globalzf2ginfozf2_bglt) BgL_auxz00_6791);
						}
						((((BgL_globalzf2ginfozf2_bglt) COBJECT(BgL_auxz00_6790))->
								BgL_globalzd2closurezd2) =
							((obj_t) BgL_globalzd2closure1217zd2_3946), BUNSPEC);
					}
					return BgL_new1268z00_4384;
				}
			}
		}

	}



/* &<@anonymous:2038> */
	obj_t BGl_z62zc3z04anonymousza32038ze3ze5zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3947)
	{
		{	/* Globalize/ginfo.scm 90 */
			return BBOOL(((bool_t) 0));
		}

	}



/* &lambda2037 */
	obj_t BGl_z62lambda2037z62zzglobaliza7e_ginfoza7(obj_t BgL_envz00_3948,
		obj_t BgL_oz00_3949, obj_t BgL_vz00_3950)
	{
		{	/* Globalize/ginfo.scm 90 */
			{
				BgL_globalzf2ginfozf2_bglt BgL_auxz00_6798;

				{
					obj_t BgL_auxz00_6799;

					{	/* Globalize/ginfo.scm 90 */
						BgL_objectz00_bglt BgL_tmpz00_6800;

						BgL_tmpz00_6800 =
							((BgL_objectz00_bglt) ((BgL_globalz00_bglt) BgL_oz00_3949));
						BgL_auxz00_6799 = BGL_OBJECT_WIDENING(BgL_tmpz00_6800);
					}
					BgL_auxz00_6798 = ((BgL_globalzf2ginfozf2_bglt) BgL_auxz00_6799);
				}
				return
					((((BgL_globalzf2ginfozf2_bglt) COBJECT(BgL_auxz00_6798))->
						BgL_globalzd2closurezd2) = ((obj_t) BgL_vz00_3950), BUNSPEC);
			}
		}

	}



/* &lambda2036 */
	obj_t BGl_z62lambda2036z62zzglobaliza7e_ginfoza7(obj_t BgL_envz00_3951,
		obj_t BgL_oz00_3952)
	{
		{	/* Globalize/ginfo.scm 90 */
			{
				BgL_globalzf2ginfozf2_bglt BgL_auxz00_6806;

				{
					obj_t BgL_auxz00_6807;

					{	/* Globalize/ginfo.scm 90 */
						BgL_objectz00_bglt BgL_tmpz00_6808;

						BgL_tmpz00_6808 =
							((BgL_objectz00_bglt) ((BgL_globalz00_bglt) BgL_oz00_3952));
						BgL_auxz00_6807 = BGL_OBJECT_WIDENING(BgL_tmpz00_6808);
					}
					BgL_auxz00_6806 = ((BgL_globalzf2ginfozf2_bglt) BgL_auxz00_6807);
				}
				return
					(((BgL_globalzf2ginfozf2_bglt) COBJECT(BgL_auxz00_6806))->
					BgL_globalzd2closurezd2);
			}
		}

	}



/* &<@anonymous:2031> */
	obj_t BGl_z62zc3z04anonymousza32031ze3ze5zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3953)
	{
		{	/* Globalize/ginfo.scm 90 */
			return BBOOL(((bool_t) 0));
		}

	}



/* &lambda2030 */
	obj_t BGl_z62lambda2030z62zzglobaliza7e_ginfoza7(obj_t BgL_envz00_3954,
		obj_t BgL_oz00_3955, obj_t BgL_vz00_3956)
	{
		{	/* Globalize/ginfo.scm 90 */
			{	/* Globalize/ginfo.scm 90 */
				bool_t BgL_vz00_4393;

				BgL_vz00_4393 = CBOOL(BgL_vz00_3956);
				{
					BgL_globalzf2ginfozf2_bglt BgL_auxz00_6816;

					{
						obj_t BgL_auxz00_6817;

						{	/* Globalize/ginfo.scm 90 */
							BgL_objectz00_bglt BgL_tmpz00_6818;

							BgL_tmpz00_6818 =
								((BgL_objectz00_bglt) ((BgL_globalz00_bglt) BgL_oz00_3955));
							BgL_auxz00_6817 = BGL_OBJECT_WIDENING(BgL_tmpz00_6818);
						}
						BgL_auxz00_6816 = ((BgL_globalzf2ginfozf2_bglt) BgL_auxz00_6817);
					}
					return
						((((BgL_globalzf2ginfozf2_bglt) COBJECT(BgL_auxz00_6816))->
							BgL_escapezf3zf3) = ((bool_t) BgL_vz00_4393), BUNSPEC);
				}
			}
		}

	}



/* &lambda2029 */
	obj_t BGl_z62lambda2029z62zzglobaliza7e_ginfoza7(obj_t BgL_envz00_3957,
		obj_t BgL_oz00_3958)
	{
		{	/* Globalize/ginfo.scm 90 */
			{	/* Globalize/ginfo.scm 90 */
				bool_t BgL_tmpz00_6824;

				{
					BgL_globalzf2ginfozf2_bglt BgL_auxz00_6825;

					{
						obj_t BgL_auxz00_6826;

						{	/* Globalize/ginfo.scm 90 */
							BgL_objectz00_bglt BgL_tmpz00_6827;

							BgL_tmpz00_6827 =
								((BgL_objectz00_bglt) ((BgL_globalz00_bglt) BgL_oz00_3958));
							BgL_auxz00_6826 = BGL_OBJECT_WIDENING(BgL_tmpz00_6827);
						}
						BgL_auxz00_6825 = ((BgL_globalzf2ginfozf2_bglt) BgL_auxz00_6826);
					}
					BgL_tmpz00_6824 =
						(((BgL_globalzf2ginfozf2_bglt) COBJECT(BgL_auxz00_6825))->
						BgL_escapezf3zf3);
				}
				return BBOOL(BgL_tmpz00_6824);
			}
		}

	}



/* &lambda1987 */
	BgL_localz00_bglt BGl_z62lambda1987z62zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3959, obj_t BgL_o1194z00_3960)
	{
		{	/* Globalize/ginfo.scm 84 */
			{	/* Globalize/ginfo.scm 84 */
				long BgL_arg1988z00_4396;

				{	/* Globalize/ginfo.scm 84 */
					obj_t BgL_arg1989z00_4397;

					{	/* Globalize/ginfo.scm 84 */
						obj_t BgL_arg1990z00_4398;

						{	/* Globalize/ginfo.scm 84 */
							obj_t BgL_arg1866z00_4399;
							long BgL_arg1867z00_4400;

							BgL_arg1866z00_4399 = (BGl_za2classesza2z00zz__objectz00);
							{	/* Globalize/ginfo.scm 84 */
								long BgL_arg1869z00_4401;

								BgL_arg1869z00_4401 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_localz00_bglt) BgL_o1194z00_3960)));
								BgL_arg1867z00_4400 = (BgL_arg1869z00_4401 - OBJECT_TYPE);
							}
							BgL_arg1990z00_4398 =
								VECTOR_REF(BgL_arg1866z00_4399, BgL_arg1867z00_4400);
						}
						BgL_arg1989z00_4397 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg1990z00_4398);
					}
					{	/* Globalize/ginfo.scm 84 */
						obj_t BgL_tmpz00_6841;

						BgL_tmpz00_6841 = ((obj_t) BgL_arg1989z00_4397);
						BgL_arg1988z00_4396 = BGL_CLASS_NUM(BgL_tmpz00_6841);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_localz00_bglt) BgL_o1194z00_3960)), BgL_arg1988z00_4396);
			}
			{	/* Globalize/ginfo.scm 84 */
				BgL_objectz00_bglt BgL_tmpz00_6847;

				BgL_tmpz00_6847 =
					((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_o1194z00_3960));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6847, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_o1194z00_3960));
			return ((BgL_localz00_bglt) ((BgL_localz00_bglt) BgL_o1194z00_3960));
		}

	}



/* &<@anonymous:1986> */
	obj_t BGl_z62zc3z04anonymousza31986ze3ze5zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3961, obj_t BgL_new1193z00_3962)
	{
		{	/* Globalize/ginfo.scm 84 */
			{
				BgL_localz00_bglt BgL_auxz00_6855;

				((((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt)
									((BgL_localz00_bglt) BgL_new1193z00_3962))))->BgL_idz00) =
					((obj_t) ((obj_t) CNST_TABLE_REF(35))), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_localz00_bglt)
										BgL_new1193z00_3962))))->BgL_namez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_6864;

					{	/* Globalize/ginfo.scm 84 */
						obj_t BgL_classz00_4403;

						BgL_classz00_4403 = BGl_typez00zztype_typez00;
						{	/* Globalize/ginfo.scm 84 */
							obj_t BgL__ortest_1117z00_4404;

							BgL__ortest_1117z00_4404 = BGL_CLASS_NIL(BgL_classz00_4403);
							if (CBOOL(BgL__ortest_1117z00_4404))
								{	/* Globalize/ginfo.scm 84 */
									BgL_auxz00_6864 =
										((BgL_typez00_bglt) BgL__ortest_1117z00_4404);
								}
							else
								{	/* Globalize/ginfo.scm 84 */
									BgL_auxz00_6864 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4403));
								}
						}
					}
					((((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt)
										((BgL_localz00_bglt) BgL_new1193z00_3962))))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_6864), BUNSPEC);
				}
				{
					BgL_valuez00_bglt BgL_auxz00_6874;

					{	/* Globalize/ginfo.scm 84 */
						obj_t BgL_classz00_4405;

						BgL_classz00_4405 = BGl_valuez00zzast_varz00;
						{	/* Globalize/ginfo.scm 84 */
							obj_t BgL__ortest_1117z00_4406;

							BgL__ortest_1117z00_4406 = BGL_CLASS_NIL(BgL_classz00_4405);
							if (CBOOL(BgL__ortest_1117z00_4406))
								{	/* Globalize/ginfo.scm 84 */
									BgL_auxz00_6874 =
										((BgL_valuez00_bglt) BgL__ortest_1117z00_4406);
								}
							else
								{	/* Globalize/ginfo.scm 84 */
									BgL_auxz00_6874 =
										((BgL_valuez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4405));
								}
						}
					}
					((((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt)
										((BgL_localz00_bglt) BgL_new1193z00_3962))))->
							BgL_valuez00) = ((BgL_valuez00_bglt) BgL_auxz00_6874), BUNSPEC);
				}
				((((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt)
									((BgL_localz00_bglt) BgL_new1193z00_3962))))->BgL_accessz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_localz00_bglt)
										BgL_new1193z00_3962))))->BgL_fastzd2alphazd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_localz00_bglt)
										BgL_new1193z00_3962))))->BgL_removablez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_localz00_bglt)
										BgL_new1193z00_3962))))->BgL_occurrencez00) =
					((long) 0L), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_localz00_bglt)
										BgL_new1193z00_3962))))->BgL_occurrencewz00) =
					((long) 0L), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_localz00_bglt)
										BgL_new1193z00_3962))))->BgL_userzf3zf3) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt) ((BgL_localz00_bglt)
										BgL_new1193z00_3962))))->BgL_keyz00) =
					((long) 0L), BUNSPEC);
				((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt) ((BgL_localz00_bglt)
										BgL_new1193z00_3962))))->BgL_valzd2noescapezd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt) ((BgL_localz00_bglt)
										BgL_new1193z00_3962))))->BgL_volatilez00) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				{
					BgL_localzf2ginfozf2_bglt BgL_auxz00_6911;

					{
						obj_t BgL_auxz00_6912;

						{	/* Globalize/ginfo.scm 84 */
							BgL_objectz00_bglt BgL_tmpz00_6913;

							BgL_tmpz00_6913 =
								((BgL_objectz00_bglt)
								((BgL_localz00_bglt) BgL_new1193z00_3962));
							BgL_auxz00_6912 = BGL_OBJECT_WIDENING(BgL_tmpz00_6913);
						}
						BgL_auxz00_6911 = ((BgL_localzf2ginfozf2_bglt) BgL_auxz00_6912);
					}
					((((BgL_localzf2ginfozf2_bglt) COBJECT(BgL_auxz00_6911))->
							BgL_escapezf3zf3) = ((bool_t) ((bool_t) 0)), BUNSPEC);
				}
				{
					BgL_localzf2ginfozf2_bglt BgL_auxz00_6919;

					{
						obj_t BgL_auxz00_6920;

						{	/* Globalize/ginfo.scm 84 */
							BgL_objectz00_bglt BgL_tmpz00_6921;

							BgL_tmpz00_6921 =
								((BgL_objectz00_bglt)
								((BgL_localz00_bglt) BgL_new1193z00_3962));
							BgL_auxz00_6920 = BGL_OBJECT_WIDENING(BgL_tmpz00_6921);
						}
						BgL_auxz00_6919 = ((BgL_localzf2ginfozf2_bglt) BgL_auxz00_6920);
					}
					((((BgL_localzf2ginfozf2_bglt) COBJECT(BgL_auxz00_6919))->
							BgL_globaliza7edzf3z54) = ((bool_t) ((bool_t) 0)), BUNSPEC);
				}
				BgL_auxz00_6855 = ((BgL_localz00_bglt) BgL_new1193z00_3962);
				return ((obj_t) BgL_auxz00_6855);
			}
		}

	}



/* &lambda1984 */
	BgL_localz00_bglt BGl_z62lambda1984z62zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3963, obj_t BgL_o1190z00_3964)
	{
		{	/* Globalize/ginfo.scm 84 */
			{	/* Globalize/ginfo.scm 84 */
				BgL_localzf2ginfozf2_bglt BgL_wide1192z00_4408;

				BgL_wide1192z00_4408 =
					((BgL_localzf2ginfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_localzf2ginfozf2_bgl))));
				{	/* Globalize/ginfo.scm 84 */
					obj_t BgL_auxz00_6934;
					BgL_objectz00_bglt BgL_tmpz00_6930;

					BgL_auxz00_6934 = ((obj_t) BgL_wide1192z00_4408);
					BgL_tmpz00_6930 =
						((BgL_objectz00_bglt)
						((BgL_localz00_bglt) ((BgL_localz00_bglt) BgL_o1190z00_3964)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6930, BgL_auxz00_6934);
				}
				((BgL_objectz00_bglt)
					((BgL_localz00_bglt) ((BgL_localz00_bglt) BgL_o1190z00_3964)));
				{	/* Globalize/ginfo.scm 84 */
					long BgL_arg1985z00_4409;

					BgL_arg1985z00_4409 =
						BGL_CLASS_NUM(BGl_localzf2Ginfozf2zzglobaliza7e_ginfoza7);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_localz00_bglt)
								((BgL_localz00_bglt) BgL_o1190z00_3964))), BgL_arg1985z00_4409);
				}
				return
					((BgL_localz00_bglt)
					((BgL_localz00_bglt) ((BgL_localz00_bglt) BgL_o1190z00_3964)));
			}
		}

	}



/* &lambda1981 */
	BgL_localz00_bglt BGl_z62lambda1981z62zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3965, obj_t BgL_id1175z00_3966, obj_t BgL_name1176z00_3967,
		obj_t BgL_type1177z00_3968, obj_t BgL_value1178z00_3969,
		obj_t BgL_access1179z00_3970, obj_t BgL_fastzd2alpha1180zd2_3971,
		obj_t BgL_removable1181z00_3972, obj_t BgL_occurrence1182z00_3973,
		obj_t BgL_occurrencew1183z00_3974, obj_t BgL_userzf31184zf3_3975,
		obj_t BgL_key1185z00_3976, obj_t BgL_valzd2noescape1186zd2_3977,
		obj_t BgL_volatile1187z00_3978, obj_t BgL_escapezf31188zf3_3979,
		obj_t BgL_globaliza7edzf31189z54_3980)
	{
		{	/* Globalize/ginfo.scm 84 */
			{	/* Globalize/ginfo.scm 84 */
				long BgL_occurrence1182z00_4413;
				long BgL_occurrencew1183z00_4414;
				bool_t BgL_userzf31184zf3_4415;
				long BgL_key1185z00_4416;
				bool_t BgL_volatile1187z00_4417;
				bool_t BgL_escapezf31188zf3_4418;
				bool_t BgL_globaliza7edzf31189z54_4419;

				BgL_occurrence1182z00_4413 = (long) CINT(BgL_occurrence1182z00_3973);
				BgL_occurrencew1183z00_4414 = (long) CINT(BgL_occurrencew1183z00_3974);
				BgL_userzf31184zf3_4415 = CBOOL(BgL_userzf31184zf3_3975);
				BgL_key1185z00_4416 = (long) CINT(BgL_key1185z00_3976);
				BgL_volatile1187z00_4417 = CBOOL(BgL_volatile1187z00_3978);
				BgL_escapezf31188zf3_4418 = CBOOL(BgL_escapezf31188zf3_3979);
				BgL_globaliza7edzf31189z54_4419 =
					CBOOL(BgL_globaliza7edzf31189z54_3980);
				{	/* Globalize/ginfo.scm 84 */
					BgL_localz00_bglt BgL_new1262z00_4420;

					{	/* Globalize/ginfo.scm 84 */
						BgL_localz00_bglt BgL_tmp1260z00_4421;
						BgL_localzf2ginfozf2_bglt BgL_wide1261z00_4422;

						{
							BgL_localz00_bglt BgL_auxz00_6955;

							{	/* Globalize/ginfo.scm 84 */
								BgL_localz00_bglt BgL_new1259z00_4423;

								BgL_new1259z00_4423 =
									((BgL_localz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_localz00_bgl))));
								{	/* Globalize/ginfo.scm 84 */
									long BgL_arg1983z00_4424;

									BgL_arg1983z00_4424 = BGL_CLASS_NUM(BGl_localz00zzast_varz00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1259z00_4423),
										BgL_arg1983z00_4424);
								}
								{	/* Globalize/ginfo.scm 84 */
									BgL_objectz00_bglt BgL_tmpz00_6960;

									BgL_tmpz00_6960 = ((BgL_objectz00_bglt) BgL_new1259z00_4423);
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6960, BFALSE);
								}
								((BgL_objectz00_bglt) BgL_new1259z00_4423);
								BgL_auxz00_6955 = BgL_new1259z00_4423;
							}
							BgL_tmp1260z00_4421 = ((BgL_localz00_bglt) BgL_auxz00_6955);
						}
						BgL_wide1261z00_4422 =
							((BgL_localzf2ginfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_localzf2ginfozf2_bgl))));
						{	/* Globalize/ginfo.scm 84 */
							obj_t BgL_auxz00_6968;
							BgL_objectz00_bglt BgL_tmpz00_6966;

							BgL_auxz00_6968 = ((obj_t) BgL_wide1261z00_4422);
							BgL_tmpz00_6966 = ((BgL_objectz00_bglt) BgL_tmp1260z00_4421);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6966, BgL_auxz00_6968);
						}
						((BgL_objectz00_bglt) BgL_tmp1260z00_4421);
						{	/* Globalize/ginfo.scm 84 */
							long BgL_arg1982z00_4425;

							BgL_arg1982z00_4425 =
								BGL_CLASS_NUM(BGl_localzf2Ginfozf2zzglobaliza7e_ginfoza7);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_tmp1260z00_4421),
								BgL_arg1982z00_4425);
						}
						BgL_new1262z00_4420 = ((BgL_localz00_bglt) BgL_tmp1260z00_4421);
					}
					((((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt) BgL_new1262z00_4420)))->BgL_idz00) =
						((obj_t) ((obj_t) BgL_id1175z00_3966)), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1262z00_4420)))->BgL_namez00) =
						((obj_t) BgL_name1176z00_3967), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1262z00_4420)))->BgL_typez00) =
						((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1177z00_3968)),
						BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1262z00_4420)))->BgL_valuez00) =
						((BgL_valuez00_bglt) ((BgL_valuez00_bglt) BgL_value1178z00_3969)),
						BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1262z00_4420)))->BgL_accessz00) =
						((obj_t) BgL_access1179z00_3970), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1262z00_4420)))->BgL_fastzd2alphazd2) =
						((obj_t) BgL_fastzd2alpha1180zd2_3971), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1262z00_4420)))->BgL_removablez00) =
						((obj_t) BgL_removable1181z00_3972), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1262z00_4420)))->BgL_occurrencez00) =
						((long) BgL_occurrence1182z00_4413), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1262z00_4420)))->BgL_occurrencewz00) =
						((long) BgL_occurrencew1183z00_4414), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1262z00_4420)))->BgL_userzf3zf3) =
						((bool_t) BgL_userzf31184zf3_4415), BUNSPEC);
					((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt)
										BgL_new1262z00_4420)))->BgL_keyz00) =
						((long) BgL_key1185z00_4416), BUNSPEC);
					((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt)
										BgL_new1262z00_4420)))->BgL_valzd2noescapezd2) =
						((obj_t) BgL_valzd2noescape1186zd2_3977), BUNSPEC);
					((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt)
										BgL_new1262z00_4420)))->BgL_volatilez00) =
						((bool_t) BgL_volatile1187z00_4417), BUNSPEC);
					{
						BgL_localzf2ginfozf2_bglt BgL_auxz00_7005;

						{
							obj_t BgL_auxz00_7006;

							{	/* Globalize/ginfo.scm 84 */
								BgL_objectz00_bglt BgL_tmpz00_7007;

								BgL_tmpz00_7007 = ((BgL_objectz00_bglt) BgL_new1262z00_4420);
								BgL_auxz00_7006 = BGL_OBJECT_WIDENING(BgL_tmpz00_7007);
							}
							BgL_auxz00_7005 = ((BgL_localzf2ginfozf2_bglt) BgL_auxz00_7006);
						}
						((((BgL_localzf2ginfozf2_bglt) COBJECT(BgL_auxz00_7005))->
								BgL_escapezf3zf3) =
							((bool_t) BgL_escapezf31188zf3_4418), BUNSPEC);
					}
					{
						BgL_localzf2ginfozf2_bglt BgL_auxz00_7012;

						{
							obj_t BgL_auxz00_7013;

							{	/* Globalize/ginfo.scm 84 */
								BgL_objectz00_bglt BgL_tmpz00_7014;

								BgL_tmpz00_7014 = ((BgL_objectz00_bglt) BgL_new1262z00_4420);
								BgL_auxz00_7013 = BGL_OBJECT_WIDENING(BgL_tmpz00_7014);
							}
							BgL_auxz00_7012 = ((BgL_localzf2ginfozf2_bglt) BgL_auxz00_7013);
						}
						((((BgL_localzf2ginfozf2_bglt) COBJECT(BgL_auxz00_7012))->
								BgL_globaliza7edzf3z54) =
							((bool_t) BgL_globaliza7edzf31189z54_4419), BUNSPEC);
					}
					return BgL_new1262z00_4420;
				}
			}
		}

	}



/* &<@anonymous:2008> */
	obj_t BGl_z62zc3z04anonymousza32008ze3ze5zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3981)
	{
		{	/* Globalize/ginfo.scm 84 */
			return BBOOL(((bool_t) 0));
		}

	}



/* &lambda2007 */
	obj_t BGl_z62lambda2007z62zzglobaliza7e_ginfoza7(obj_t BgL_envz00_3982,
		obj_t BgL_oz00_3983, obj_t BgL_vz00_3984)
	{
		{	/* Globalize/ginfo.scm 84 */
			{	/* Globalize/ginfo.scm 84 */
				bool_t BgL_vz00_4427;

				BgL_vz00_4427 = CBOOL(BgL_vz00_3984);
				{
					BgL_localzf2ginfozf2_bglt BgL_auxz00_7021;

					{
						obj_t BgL_auxz00_7022;

						{	/* Globalize/ginfo.scm 84 */
							BgL_objectz00_bglt BgL_tmpz00_7023;

							BgL_tmpz00_7023 =
								((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_oz00_3983));
							BgL_auxz00_7022 = BGL_OBJECT_WIDENING(BgL_tmpz00_7023);
						}
						BgL_auxz00_7021 = ((BgL_localzf2ginfozf2_bglt) BgL_auxz00_7022);
					}
					return
						((((BgL_localzf2ginfozf2_bglt) COBJECT(BgL_auxz00_7021))->
							BgL_globaliza7edzf3z54) = ((bool_t) BgL_vz00_4427), BUNSPEC);
				}
			}
		}

	}



/* &lambda2006 */
	obj_t BGl_z62lambda2006z62zzglobaliza7e_ginfoza7(obj_t BgL_envz00_3985,
		obj_t BgL_oz00_3986)
	{
		{	/* Globalize/ginfo.scm 84 */
			{	/* Globalize/ginfo.scm 84 */
				bool_t BgL_tmpz00_7029;

				{
					BgL_localzf2ginfozf2_bglt BgL_auxz00_7030;

					{
						obj_t BgL_auxz00_7031;

						{	/* Globalize/ginfo.scm 84 */
							BgL_objectz00_bglt BgL_tmpz00_7032;

							BgL_tmpz00_7032 =
								((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_oz00_3986));
							BgL_auxz00_7031 = BGL_OBJECT_WIDENING(BgL_tmpz00_7032);
						}
						BgL_auxz00_7030 = ((BgL_localzf2ginfozf2_bglt) BgL_auxz00_7031);
					}
					BgL_tmpz00_7029 =
						(((BgL_localzf2ginfozf2_bglt) COBJECT(BgL_auxz00_7030))->
						BgL_globaliza7edzf3z54);
				}
				return BBOOL(BgL_tmpz00_7029);
			}
		}

	}



/* &<@anonymous:2001> */
	obj_t BGl_z62zc3z04anonymousza32001ze3ze5zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3987)
	{
		{	/* Globalize/ginfo.scm 84 */
			return BBOOL(((bool_t) 0));
		}

	}



/* &lambda2000 */
	obj_t BGl_z62lambda2000z62zzglobaliza7e_ginfoza7(obj_t BgL_envz00_3988,
		obj_t BgL_oz00_3989, obj_t BgL_vz00_3990)
	{
		{	/* Globalize/ginfo.scm 84 */
			{	/* Globalize/ginfo.scm 84 */
				bool_t BgL_vz00_4430;

				BgL_vz00_4430 = CBOOL(BgL_vz00_3990);
				{
					BgL_localzf2ginfozf2_bglt BgL_auxz00_7041;

					{
						obj_t BgL_auxz00_7042;

						{	/* Globalize/ginfo.scm 84 */
							BgL_objectz00_bglt BgL_tmpz00_7043;

							BgL_tmpz00_7043 =
								((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_oz00_3989));
							BgL_auxz00_7042 = BGL_OBJECT_WIDENING(BgL_tmpz00_7043);
						}
						BgL_auxz00_7041 = ((BgL_localzf2ginfozf2_bglt) BgL_auxz00_7042);
					}
					return
						((((BgL_localzf2ginfozf2_bglt) COBJECT(BgL_auxz00_7041))->
							BgL_escapezf3zf3) = ((bool_t) BgL_vz00_4430), BUNSPEC);
				}
			}
		}

	}



/* &lambda1999 */
	obj_t BGl_z62lambda1999z62zzglobaliza7e_ginfoza7(obj_t BgL_envz00_3991,
		obj_t BgL_oz00_3992)
	{
		{	/* Globalize/ginfo.scm 84 */
			{	/* Globalize/ginfo.scm 84 */
				bool_t BgL_tmpz00_7049;

				{
					BgL_localzf2ginfozf2_bglt BgL_auxz00_7050;

					{
						obj_t BgL_auxz00_7051;

						{	/* Globalize/ginfo.scm 84 */
							BgL_objectz00_bglt BgL_tmpz00_7052;

							BgL_tmpz00_7052 =
								((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_oz00_3992));
							BgL_auxz00_7051 = BGL_OBJECT_WIDENING(BgL_tmpz00_7052);
						}
						BgL_auxz00_7050 = ((BgL_localzf2ginfozf2_bglt) BgL_auxz00_7051);
					}
					BgL_tmpz00_7049 =
						(((BgL_localzf2ginfozf2_bglt) COBJECT(BgL_auxz00_7050))->
						BgL_escapezf3zf3);
				}
				return BBOOL(BgL_tmpz00_7049);
			}
		}

	}



/* &lambda1940 */
	BgL_sexitz00_bglt BGl_z62lambda1940z62zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3993, obj_t BgL_o1173z00_3994)
	{
		{	/* Globalize/ginfo.scm 74 */
			{	/* Globalize/ginfo.scm 74 */
				long BgL_arg1942z00_4433;

				{	/* Globalize/ginfo.scm 74 */
					obj_t BgL_arg1943z00_4434;

					{	/* Globalize/ginfo.scm 74 */
						obj_t BgL_arg1944z00_4435;

						{	/* Globalize/ginfo.scm 74 */
							obj_t BgL_arg1866z00_4436;
							long BgL_arg1867z00_4437;

							BgL_arg1866z00_4436 = (BGl_za2classesza2z00zz__objectz00);
							{	/* Globalize/ginfo.scm 74 */
								long BgL_arg1869z00_4438;

								BgL_arg1869z00_4438 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_sexitz00_bglt) BgL_o1173z00_3994)));
								BgL_arg1867z00_4437 = (BgL_arg1869z00_4438 - OBJECT_TYPE);
							}
							BgL_arg1944z00_4435 =
								VECTOR_REF(BgL_arg1866z00_4436, BgL_arg1867z00_4437);
						}
						BgL_arg1943z00_4434 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg1944z00_4435);
					}
					{	/* Globalize/ginfo.scm 74 */
						obj_t BgL_tmpz00_7066;

						BgL_tmpz00_7066 = ((obj_t) BgL_arg1943z00_4434);
						BgL_arg1942z00_4433 = BGL_CLASS_NUM(BgL_tmpz00_7066);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_sexitz00_bglt) BgL_o1173z00_3994)), BgL_arg1942z00_4433);
			}
			{	/* Globalize/ginfo.scm 74 */
				BgL_objectz00_bglt BgL_tmpz00_7072;

				BgL_tmpz00_7072 =
					((BgL_objectz00_bglt) ((BgL_sexitz00_bglt) BgL_o1173z00_3994));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_7072, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_sexitz00_bglt) BgL_o1173z00_3994));
			return ((BgL_sexitz00_bglt) ((BgL_sexitz00_bglt) BgL_o1173z00_3994));
		}

	}



/* &<@anonymous:1939> */
	obj_t BGl_z62zc3z04anonymousza31939ze3ze5zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3995, obj_t BgL_new1172z00_3996)
	{
		{	/* Globalize/ginfo.scm 74 */
			{
				BgL_sexitz00_bglt BgL_auxz00_7080;

				((((BgL_sexitz00_bglt) COBJECT(
								((BgL_sexitz00_bglt)
									((BgL_sexitz00_bglt) BgL_new1172z00_3996))))->
						BgL_handlerz00) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sexitz00_bglt) COBJECT(((BgL_sexitz00_bglt) ((BgL_sexitz00_bglt)
										BgL_new1172z00_3996))))->BgL_detachedzf3zf3) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				{
					BgL_sexitzf2ginfozf2_bglt BgL_auxz00_7087;

					{
						obj_t BgL_auxz00_7088;

						{	/* Globalize/ginfo.scm 74 */
							BgL_objectz00_bglt BgL_tmpz00_7089;

							BgL_tmpz00_7089 =
								((BgL_objectz00_bglt)
								((BgL_sexitz00_bglt) BgL_new1172z00_3996));
							BgL_auxz00_7088 = BGL_OBJECT_WIDENING(BgL_tmpz00_7089);
						}
						BgL_auxz00_7087 = ((BgL_sexitzf2ginfozf2_bglt) BgL_auxz00_7088);
					}
					((((BgL_sexitzf2ginfozf2_bglt) COBJECT(BgL_auxz00_7087))->
							BgL_gzf3zf3) = ((bool_t) ((bool_t) 0)), BUNSPEC);
				}
				{
					BgL_sexitzf2ginfozf2_bglt BgL_auxz00_7095;

					{
						obj_t BgL_auxz00_7096;

						{	/* Globalize/ginfo.scm 74 */
							BgL_objectz00_bglt BgL_tmpz00_7097;

							BgL_tmpz00_7097 =
								((BgL_objectz00_bglt)
								((BgL_sexitz00_bglt) BgL_new1172z00_3996));
							BgL_auxz00_7096 = BGL_OBJECT_WIDENING(BgL_tmpz00_7097);
						}
						BgL_auxz00_7095 = ((BgL_sexitzf2ginfozf2_bglt) BgL_auxz00_7096);
					}
					((((BgL_sexitzf2ginfozf2_bglt) COBJECT(BgL_auxz00_7095))->
							BgL_kapturedzf3zf3) = ((bool_t) ((bool_t) 0)), BUNSPEC);
				}
				{
					BgL_sexitzf2ginfozf2_bglt BgL_auxz00_7103;

					{
						obj_t BgL_auxz00_7104;

						{	/* Globalize/ginfo.scm 74 */
							BgL_objectz00_bglt BgL_tmpz00_7105;

							BgL_tmpz00_7105 =
								((BgL_objectz00_bglt)
								((BgL_sexitz00_bglt) BgL_new1172z00_3996));
							BgL_auxz00_7104 = BGL_OBJECT_WIDENING(BgL_tmpz00_7105);
						}
						BgL_auxz00_7103 = ((BgL_sexitzf2ginfozf2_bglt) BgL_auxz00_7104);
					}
					((((BgL_sexitzf2ginfozf2_bglt) COBJECT(BgL_auxz00_7103))->
							BgL_freezd2markzd2) = ((long) 0L), BUNSPEC);
				}
				{
					BgL_sexitzf2ginfozf2_bglt BgL_auxz00_7111;

					{
						obj_t BgL_auxz00_7112;

						{	/* Globalize/ginfo.scm 74 */
							BgL_objectz00_bglt BgL_tmpz00_7113;

							BgL_tmpz00_7113 =
								((BgL_objectz00_bglt)
								((BgL_sexitz00_bglt) BgL_new1172z00_3996));
							BgL_auxz00_7112 = BGL_OBJECT_WIDENING(BgL_tmpz00_7113);
						}
						BgL_auxz00_7111 = ((BgL_sexitzf2ginfozf2_bglt) BgL_auxz00_7112);
					}
					((((BgL_sexitzf2ginfozf2_bglt) COBJECT(BgL_auxz00_7111))->
							BgL_markz00) = ((long) 0L), BUNSPEC);
				}
				BgL_auxz00_7080 = ((BgL_sexitz00_bglt) BgL_new1172z00_3996);
				return ((obj_t) BgL_auxz00_7080);
			}
		}

	}



/* &lambda1936 */
	BgL_sexitz00_bglt BGl_z62lambda1936z62zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3997, obj_t BgL_o1169z00_3998)
	{
		{	/* Globalize/ginfo.scm 74 */
			{	/* Globalize/ginfo.scm 74 */
				BgL_sexitzf2ginfozf2_bglt BgL_wide1171z00_4441;

				BgL_wide1171z00_4441 =
					((BgL_sexitzf2ginfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_sexitzf2ginfozf2_bgl))));
				{	/* Globalize/ginfo.scm 74 */
					obj_t BgL_auxz00_7126;
					BgL_objectz00_bglt BgL_tmpz00_7122;

					BgL_auxz00_7126 = ((obj_t) BgL_wide1171z00_4441);
					BgL_tmpz00_7122 =
						((BgL_objectz00_bglt)
						((BgL_sexitz00_bglt) ((BgL_sexitz00_bglt) BgL_o1169z00_3998)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_7122, BgL_auxz00_7126);
				}
				((BgL_objectz00_bglt)
					((BgL_sexitz00_bglt) ((BgL_sexitz00_bglt) BgL_o1169z00_3998)));
				{	/* Globalize/ginfo.scm 74 */
					long BgL_arg1938z00_4442;

					BgL_arg1938z00_4442 =
						BGL_CLASS_NUM(BGl_sexitzf2Ginfozf2zzglobaliza7e_ginfoza7);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_sexitz00_bglt)
								((BgL_sexitz00_bglt) BgL_o1169z00_3998))), BgL_arg1938z00_4442);
				}
				return
					((BgL_sexitz00_bglt)
					((BgL_sexitz00_bglt) ((BgL_sexitz00_bglt) BgL_o1169z00_3998)));
			}
		}

	}



/* &lambda1933 */
	BgL_sexitz00_bglt BGl_z62lambda1933z62zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_3999, obj_t BgL_handler1163z00_4000,
		obj_t BgL_detachedzf31164zf3_4001, obj_t BgL_gzf31165zf3_4002,
		obj_t BgL_kapturedzf31166zf3_4003, obj_t BgL_freezd2mark1167zd2_4004,
		obj_t BgL_mark1168z00_4005)
	{
		{	/* Globalize/ginfo.scm 74 */
			{	/* Globalize/ginfo.scm 74 */
				bool_t BgL_detachedzf31164zf3_4443;
				bool_t BgL_gzf31165zf3_4444;
				bool_t BgL_kapturedzf31166zf3_4445;
				long BgL_freezd2mark1167zd2_4446;
				long BgL_mark1168z00_4447;

				BgL_detachedzf31164zf3_4443 = CBOOL(BgL_detachedzf31164zf3_4001);
				BgL_gzf31165zf3_4444 = CBOOL(BgL_gzf31165zf3_4002);
				BgL_kapturedzf31166zf3_4445 = CBOOL(BgL_kapturedzf31166zf3_4003);
				BgL_freezd2mark1167zd2_4446 = (long) CINT(BgL_freezd2mark1167zd2_4004);
				BgL_mark1168z00_4447 = (long) CINT(BgL_mark1168z00_4005);
				{	/* Globalize/ginfo.scm 74 */
					BgL_sexitz00_bglt BgL_new1257z00_4448;

					{	/* Globalize/ginfo.scm 74 */
						BgL_sexitz00_bglt BgL_tmp1255z00_4449;
						BgL_sexitzf2ginfozf2_bglt BgL_wide1256z00_4450;

						{
							BgL_sexitz00_bglt BgL_auxz00_7145;

							{	/* Globalize/ginfo.scm 74 */
								BgL_sexitz00_bglt BgL_new1254z00_4451;

								BgL_new1254z00_4451 =
									((BgL_sexitz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_sexitz00_bgl))));
								{	/* Globalize/ginfo.scm 74 */
									long BgL_arg1935z00_4452;

									BgL_arg1935z00_4452 = BGL_CLASS_NUM(BGl_sexitz00zzast_varz00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1254z00_4451),
										BgL_arg1935z00_4452);
								}
								{	/* Globalize/ginfo.scm 74 */
									BgL_objectz00_bglt BgL_tmpz00_7150;

									BgL_tmpz00_7150 = ((BgL_objectz00_bglt) BgL_new1254z00_4451);
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_7150, BFALSE);
								}
								((BgL_objectz00_bglt) BgL_new1254z00_4451);
								BgL_auxz00_7145 = BgL_new1254z00_4451;
							}
							BgL_tmp1255z00_4449 = ((BgL_sexitz00_bglt) BgL_auxz00_7145);
						}
						BgL_wide1256z00_4450 =
							((BgL_sexitzf2ginfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_sexitzf2ginfozf2_bgl))));
						{	/* Globalize/ginfo.scm 74 */
							obj_t BgL_auxz00_7158;
							BgL_objectz00_bglt BgL_tmpz00_7156;

							BgL_auxz00_7158 = ((obj_t) BgL_wide1256z00_4450);
							BgL_tmpz00_7156 = ((BgL_objectz00_bglt) BgL_tmp1255z00_4449);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_7156, BgL_auxz00_7158);
						}
						((BgL_objectz00_bglt) BgL_tmp1255z00_4449);
						{	/* Globalize/ginfo.scm 74 */
							long BgL_arg1934z00_4453;

							BgL_arg1934z00_4453 =
								BGL_CLASS_NUM(BGl_sexitzf2Ginfozf2zzglobaliza7e_ginfoza7);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_tmp1255z00_4449),
								BgL_arg1934z00_4453);
						}
						BgL_new1257z00_4448 = ((BgL_sexitz00_bglt) BgL_tmp1255z00_4449);
					}
					((((BgL_sexitz00_bglt) COBJECT(
									((BgL_sexitz00_bglt) BgL_new1257z00_4448)))->BgL_handlerz00) =
						((obj_t) BgL_handler1163z00_4000), BUNSPEC);
					((((BgL_sexitz00_bglt) COBJECT(((BgL_sexitz00_bglt)
										BgL_new1257z00_4448)))->BgL_detachedzf3zf3) =
						((bool_t) BgL_detachedzf31164zf3_4443), BUNSPEC);
					{
						BgL_sexitzf2ginfozf2_bglt BgL_auxz00_7170;

						{
							obj_t BgL_auxz00_7171;

							{	/* Globalize/ginfo.scm 74 */
								BgL_objectz00_bglt BgL_tmpz00_7172;

								BgL_tmpz00_7172 = ((BgL_objectz00_bglt) BgL_new1257z00_4448);
								BgL_auxz00_7171 = BGL_OBJECT_WIDENING(BgL_tmpz00_7172);
							}
							BgL_auxz00_7170 = ((BgL_sexitzf2ginfozf2_bglt) BgL_auxz00_7171);
						}
						((((BgL_sexitzf2ginfozf2_bglt) COBJECT(BgL_auxz00_7170))->
								BgL_gzf3zf3) = ((bool_t) BgL_gzf31165zf3_4444), BUNSPEC);
					}
					{
						BgL_sexitzf2ginfozf2_bglt BgL_auxz00_7177;

						{
							obj_t BgL_auxz00_7178;

							{	/* Globalize/ginfo.scm 74 */
								BgL_objectz00_bglt BgL_tmpz00_7179;

								BgL_tmpz00_7179 = ((BgL_objectz00_bglt) BgL_new1257z00_4448);
								BgL_auxz00_7178 = BGL_OBJECT_WIDENING(BgL_tmpz00_7179);
							}
							BgL_auxz00_7177 = ((BgL_sexitzf2ginfozf2_bglt) BgL_auxz00_7178);
						}
						((((BgL_sexitzf2ginfozf2_bglt) COBJECT(BgL_auxz00_7177))->
								BgL_kapturedzf3zf3) =
							((bool_t) BgL_kapturedzf31166zf3_4445), BUNSPEC);
					}
					{
						BgL_sexitzf2ginfozf2_bglt BgL_auxz00_7184;

						{
							obj_t BgL_auxz00_7185;

							{	/* Globalize/ginfo.scm 74 */
								BgL_objectz00_bglt BgL_tmpz00_7186;

								BgL_tmpz00_7186 = ((BgL_objectz00_bglt) BgL_new1257z00_4448);
								BgL_auxz00_7185 = BGL_OBJECT_WIDENING(BgL_tmpz00_7186);
							}
							BgL_auxz00_7184 = ((BgL_sexitzf2ginfozf2_bglt) BgL_auxz00_7185);
						}
						((((BgL_sexitzf2ginfozf2_bglt) COBJECT(BgL_auxz00_7184))->
								BgL_freezd2markzd2) =
							((long) BgL_freezd2mark1167zd2_4446), BUNSPEC);
					}
					{
						BgL_sexitzf2ginfozf2_bglt BgL_auxz00_7191;

						{
							obj_t BgL_auxz00_7192;

							{	/* Globalize/ginfo.scm 74 */
								BgL_objectz00_bglt BgL_tmpz00_7193;

								BgL_tmpz00_7193 = ((BgL_objectz00_bglt) BgL_new1257z00_4448);
								BgL_auxz00_7192 = BGL_OBJECT_WIDENING(BgL_tmpz00_7193);
							}
							BgL_auxz00_7191 = ((BgL_sexitzf2ginfozf2_bglt) BgL_auxz00_7192);
						}
						((((BgL_sexitzf2ginfozf2_bglt) COBJECT(BgL_auxz00_7191))->
								BgL_markz00) = ((long) BgL_mark1168z00_4447), BUNSPEC);
					}
					return BgL_new1257z00_4448;
				}
			}
		}

	}



/* &<@anonymous:1973> */
	obj_t BGl_z62zc3z04anonymousza31973ze3ze5zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_4006)
	{
		{	/* Globalize/ginfo.scm 74 */
			return BINT((-10L));
		}

	}



/* &lambda1972 */
	obj_t BGl_z62lambda1972z62zzglobaliza7e_ginfoza7(obj_t BgL_envz00_4007,
		obj_t BgL_oz00_4008, obj_t BgL_vz00_4009)
	{
		{	/* Globalize/ginfo.scm 74 */
			{	/* Globalize/ginfo.scm 74 */
				long BgL_vz00_4455;

				BgL_vz00_4455 = (long) CINT(BgL_vz00_4009);
				{
					BgL_sexitzf2ginfozf2_bglt BgL_auxz00_7200;

					{
						obj_t BgL_auxz00_7201;

						{	/* Globalize/ginfo.scm 74 */
							BgL_objectz00_bglt BgL_tmpz00_7202;

							BgL_tmpz00_7202 =
								((BgL_objectz00_bglt) ((BgL_sexitz00_bglt) BgL_oz00_4008));
							BgL_auxz00_7201 = BGL_OBJECT_WIDENING(BgL_tmpz00_7202);
						}
						BgL_auxz00_7200 = ((BgL_sexitzf2ginfozf2_bglt) BgL_auxz00_7201);
					}
					return
						((((BgL_sexitzf2ginfozf2_bglt) COBJECT(BgL_auxz00_7200))->
							BgL_markz00) = ((long) BgL_vz00_4455), BUNSPEC);
		}}}

	}



/* &lambda1971 */
	obj_t BGl_z62lambda1971z62zzglobaliza7e_ginfoza7(obj_t BgL_envz00_4010,
		obj_t BgL_oz00_4011)
	{
		{	/* Globalize/ginfo.scm 74 */
			{	/* Globalize/ginfo.scm 74 */
				long BgL_tmpz00_7208;

				{
					BgL_sexitzf2ginfozf2_bglt BgL_auxz00_7209;

					{
						obj_t BgL_auxz00_7210;

						{	/* Globalize/ginfo.scm 74 */
							BgL_objectz00_bglt BgL_tmpz00_7211;

							BgL_tmpz00_7211 =
								((BgL_objectz00_bglt) ((BgL_sexitz00_bglt) BgL_oz00_4011));
							BgL_auxz00_7210 = BGL_OBJECT_WIDENING(BgL_tmpz00_7211);
						}
						BgL_auxz00_7209 = ((BgL_sexitzf2ginfozf2_bglt) BgL_auxz00_7210);
					}
					BgL_tmpz00_7208 =
						(((BgL_sexitzf2ginfozf2_bglt) COBJECT(BgL_auxz00_7209))->
						BgL_markz00);
				}
				return BINT(BgL_tmpz00_7208);
			}
		}

	}



/* &<@anonymous:1966> */
	obj_t BGl_z62zc3z04anonymousza31966ze3ze5zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_4012)
	{
		{	/* Globalize/ginfo.scm 74 */
			return BINT((-10L));
		}

	}



/* &lambda1965 */
	obj_t BGl_z62lambda1965z62zzglobaliza7e_ginfoza7(obj_t BgL_envz00_4013,
		obj_t BgL_oz00_4014, obj_t BgL_vz00_4015)
	{
		{	/* Globalize/ginfo.scm 74 */
			{	/* Globalize/ginfo.scm 74 */
				long BgL_vz00_4458;

				BgL_vz00_4458 = (long) CINT(BgL_vz00_4015);
				{
					BgL_sexitzf2ginfozf2_bglt BgL_auxz00_7220;

					{
						obj_t BgL_auxz00_7221;

						{	/* Globalize/ginfo.scm 74 */
							BgL_objectz00_bglt BgL_tmpz00_7222;

							BgL_tmpz00_7222 =
								((BgL_objectz00_bglt) ((BgL_sexitz00_bglt) BgL_oz00_4014));
							BgL_auxz00_7221 = BGL_OBJECT_WIDENING(BgL_tmpz00_7222);
						}
						BgL_auxz00_7220 = ((BgL_sexitzf2ginfozf2_bglt) BgL_auxz00_7221);
					}
					return
						((((BgL_sexitzf2ginfozf2_bglt) COBJECT(BgL_auxz00_7220))->
							BgL_freezd2markzd2) = ((long) BgL_vz00_4458), BUNSPEC);
		}}}

	}



/* &lambda1964 */
	obj_t BGl_z62lambda1964z62zzglobaliza7e_ginfoza7(obj_t BgL_envz00_4016,
		obj_t BgL_oz00_4017)
	{
		{	/* Globalize/ginfo.scm 74 */
			{	/* Globalize/ginfo.scm 74 */
				long BgL_tmpz00_7228;

				{
					BgL_sexitzf2ginfozf2_bglt BgL_auxz00_7229;

					{
						obj_t BgL_auxz00_7230;

						{	/* Globalize/ginfo.scm 74 */
							BgL_objectz00_bglt BgL_tmpz00_7231;

							BgL_tmpz00_7231 =
								((BgL_objectz00_bglt) ((BgL_sexitz00_bglt) BgL_oz00_4017));
							BgL_auxz00_7230 = BGL_OBJECT_WIDENING(BgL_tmpz00_7231);
						}
						BgL_auxz00_7229 = ((BgL_sexitzf2ginfozf2_bglt) BgL_auxz00_7230);
					}
					BgL_tmpz00_7228 =
						(((BgL_sexitzf2ginfozf2_bglt) COBJECT(BgL_auxz00_7229))->
						BgL_freezd2markzd2);
				}
				return BINT(BgL_tmpz00_7228);
			}
		}

	}



/* &<@anonymous:1959> */
	obj_t BGl_z62zc3z04anonymousza31959ze3ze5zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_4018)
	{
		{	/* Globalize/ginfo.scm 74 */
			return BBOOL(((bool_t) 0));
		}

	}



/* &lambda1958 */
	obj_t BGl_z62lambda1958z62zzglobaliza7e_ginfoza7(obj_t BgL_envz00_4019,
		obj_t BgL_oz00_4020, obj_t BgL_vz00_4021)
	{
		{	/* Globalize/ginfo.scm 74 */
			{	/* Globalize/ginfo.scm 74 */
				bool_t BgL_vz00_4461;

				BgL_vz00_4461 = CBOOL(BgL_vz00_4021);
				{
					BgL_sexitzf2ginfozf2_bglt BgL_auxz00_7240;

					{
						obj_t BgL_auxz00_7241;

						{	/* Globalize/ginfo.scm 74 */
							BgL_objectz00_bglt BgL_tmpz00_7242;

							BgL_tmpz00_7242 =
								((BgL_objectz00_bglt) ((BgL_sexitz00_bglt) BgL_oz00_4020));
							BgL_auxz00_7241 = BGL_OBJECT_WIDENING(BgL_tmpz00_7242);
						}
						BgL_auxz00_7240 = ((BgL_sexitzf2ginfozf2_bglt) BgL_auxz00_7241);
					}
					return
						((((BgL_sexitzf2ginfozf2_bglt) COBJECT(BgL_auxz00_7240))->
							BgL_kapturedzf3zf3) = ((bool_t) BgL_vz00_4461), BUNSPEC);
				}
			}
		}

	}



/* &lambda1957 */
	obj_t BGl_z62lambda1957z62zzglobaliza7e_ginfoza7(obj_t BgL_envz00_4022,
		obj_t BgL_oz00_4023)
	{
		{	/* Globalize/ginfo.scm 74 */
			{	/* Globalize/ginfo.scm 74 */
				bool_t BgL_tmpz00_7248;

				{
					BgL_sexitzf2ginfozf2_bglt BgL_auxz00_7249;

					{
						obj_t BgL_auxz00_7250;

						{	/* Globalize/ginfo.scm 74 */
							BgL_objectz00_bglt BgL_tmpz00_7251;

							BgL_tmpz00_7251 =
								((BgL_objectz00_bglt) ((BgL_sexitz00_bglt) BgL_oz00_4023));
							BgL_auxz00_7250 = BGL_OBJECT_WIDENING(BgL_tmpz00_7251);
						}
						BgL_auxz00_7249 = ((BgL_sexitzf2ginfozf2_bglt) BgL_auxz00_7250);
					}
					BgL_tmpz00_7248 =
						(((BgL_sexitzf2ginfozf2_bglt) COBJECT(BgL_auxz00_7249))->
						BgL_kapturedzf3zf3);
				}
				return BBOOL(BgL_tmpz00_7248);
			}
		}

	}



/* &<@anonymous:1951> */
	obj_t BGl_z62zc3z04anonymousza31951ze3ze5zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_4024)
	{
		{	/* Globalize/ginfo.scm 74 */
			return BBOOL(((bool_t) 0));
		}

	}



/* &lambda1950 */
	obj_t BGl_z62lambda1950z62zzglobaliza7e_ginfoza7(obj_t BgL_envz00_4025,
		obj_t BgL_oz00_4026, obj_t BgL_vz00_4027)
	{
		{	/* Globalize/ginfo.scm 74 */
			{	/* Globalize/ginfo.scm 74 */
				bool_t BgL_vz00_4464;

				BgL_vz00_4464 = CBOOL(BgL_vz00_4027);
				{
					BgL_sexitzf2ginfozf2_bglt BgL_auxz00_7260;

					{
						obj_t BgL_auxz00_7261;

						{	/* Globalize/ginfo.scm 74 */
							BgL_objectz00_bglt BgL_tmpz00_7262;

							BgL_tmpz00_7262 =
								((BgL_objectz00_bglt) ((BgL_sexitz00_bglt) BgL_oz00_4026));
							BgL_auxz00_7261 = BGL_OBJECT_WIDENING(BgL_tmpz00_7262);
						}
						BgL_auxz00_7260 = ((BgL_sexitzf2ginfozf2_bglt) BgL_auxz00_7261);
					}
					return
						((((BgL_sexitzf2ginfozf2_bglt) COBJECT(BgL_auxz00_7260))->
							BgL_gzf3zf3) = ((bool_t) BgL_vz00_4464), BUNSPEC);
				}
			}
		}

	}



/* &lambda1949 */
	obj_t BGl_z62lambda1949z62zzglobaliza7e_ginfoza7(obj_t BgL_envz00_4028,
		obj_t BgL_oz00_4029)
	{
		{	/* Globalize/ginfo.scm 74 */
			{	/* Globalize/ginfo.scm 74 */
				bool_t BgL_tmpz00_7268;

				{
					BgL_sexitzf2ginfozf2_bglt BgL_auxz00_7269;

					{
						obj_t BgL_auxz00_7270;

						{	/* Globalize/ginfo.scm 74 */
							BgL_objectz00_bglt BgL_tmpz00_7271;

							BgL_tmpz00_7271 =
								((BgL_objectz00_bglt) ((BgL_sexitz00_bglt) BgL_oz00_4029));
							BgL_auxz00_7270 = BGL_OBJECT_WIDENING(BgL_tmpz00_7271);
						}
						BgL_auxz00_7269 = ((BgL_sexitzf2ginfozf2_bglt) BgL_auxz00_7270);
					}
					BgL_tmpz00_7268 =
						(((BgL_sexitzf2ginfozf2_bglt) COBJECT(BgL_auxz00_7269))->
						BgL_gzf3zf3);
				}
				return BBOOL(BgL_tmpz00_7268);
			}
		}

	}



/* &lambda1884 */
	BgL_svarz00_bglt BGl_z62lambda1884z62zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_4030, obj_t BgL_o1161z00_4031)
	{
		{	/* Globalize/ginfo.scm 62 */
			{	/* Globalize/ginfo.scm 62 */
				long BgL_arg1885z00_4467;

				{	/* Globalize/ginfo.scm 62 */
					obj_t BgL_arg1886z00_4468;

					{	/* Globalize/ginfo.scm 62 */
						obj_t BgL_arg1887z00_4469;

						{	/* Globalize/ginfo.scm 62 */
							obj_t BgL_arg1866z00_4470;
							long BgL_arg1867z00_4471;

							BgL_arg1866z00_4470 = (BGl_za2classesza2z00zz__objectz00);
							{	/* Globalize/ginfo.scm 62 */
								long BgL_arg1869z00_4472;

								BgL_arg1869z00_4472 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_svarz00_bglt) BgL_o1161z00_4031)));
								BgL_arg1867z00_4471 = (BgL_arg1869z00_4472 - OBJECT_TYPE);
							}
							BgL_arg1887z00_4469 =
								VECTOR_REF(BgL_arg1866z00_4470, BgL_arg1867z00_4471);
						}
						BgL_arg1886z00_4468 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg1887z00_4469);
					}
					{	/* Globalize/ginfo.scm 62 */
						obj_t BgL_tmpz00_7285;

						BgL_tmpz00_7285 = ((obj_t) BgL_arg1886z00_4468);
						BgL_arg1885z00_4467 = BGL_CLASS_NUM(BgL_tmpz00_7285);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_svarz00_bglt) BgL_o1161z00_4031)), BgL_arg1885z00_4467);
			}
			{	/* Globalize/ginfo.scm 62 */
				BgL_objectz00_bglt BgL_tmpz00_7291;

				BgL_tmpz00_7291 =
					((BgL_objectz00_bglt) ((BgL_svarz00_bglt) BgL_o1161z00_4031));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_7291, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_svarz00_bglt) BgL_o1161z00_4031));
			return ((BgL_svarz00_bglt) ((BgL_svarz00_bglt) BgL_o1161z00_4031));
		}

	}



/* &<@anonymous:1883> */
	obj_t BGl_z62zc3z04anonymousza31883ze3ze5zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_4032, obj_t BgL_new1160z00_4033)
	{
		{	/* Globalize/ginfo.scm 62 */
			{
				BgL_svarz00_bglt BgL_auxz00_7299;

				((((BgL_svarz00_bglt) COBJECT(
								((BgL_svarz00_bglt)
									((BgL_svarz00_bglt) BgL_new1160z00_4033))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_svarzf2ginfozf2_bglt BgL_auxz00_7303;

					{
						obj_t BgL_auxz00_7304;

						{	/* Globalize/ginfo.scm 62 */
							BgL_objectz00_bglt BgL_tmpz00_7305;

							BgL_tmpz00_7305 =
								((BgL_objectz00_bglt) ((BgL_svarz00_bglt) BgL_new1160z00_4033));
							BgL_auxz00_7304 = BGL_OBJECT_WIDENING(BgL_tmpz00_7305);
						}
						BgL_auxz00_7303 = ((BgL_svarzf2ginfozf2_bglt) BgL_auxz00_7304);
					}
					((((BgL_svarzf2ginfozf2_bglt) COBJECT(BgL_auxz00_7303))->
							BgL_kapturedzf3zf3) = ((bool_t) ((bool_t) 0)), BUNSPEC);
				}
				{
					BgL_svarzf2ginfozf2_bglt BgL_auxz00_7311;

					{
						obj_t BgL_auxz00_7312;

						{	/* Globalize/ginfo.scm 62 */
							BgL_objectz00_bglt BgL_tmpz00_7313;

							BgL_tmpz00_7313 =
								((BgL_objectz00_bglt) ((BgL_svarz00_bglt) BgL_new1160z00_4033));
							BgL_auxz00_7312 = BGL_OBJECT_WIDENING(BgL_tmpz00_7313);
						}
						BgL_auxz00_7311 = ((BgL_svarzf2ginfozf2_bglt) BgL_auxz00_7312);
					}
					((((BgL_svarzf2ginfozf2_bglt) COBJECT(BgL_auxz00_7311))->
							BgL_freezd2markzd2) = ((long) 0L), BUNSPEC);
				}
				{
					BgL_svarzf2ginfozf2_bglt BgL_auxz00_7319;

					{
						obj_t BgL_auxz00_7320;

						{	/* Globalize/ginfo.scm 62 */
							BgL_objectz00_bglt BgL_tmpz00_7321;

							BgL_tmpz00_7321 =
								((BgL_objectz00_bglt) ((BgL_svarz00_bglt) BgL_new1160z00_4033));
							BgL_auxz00_7320 = BGL_OBJECT_WIDENING(BgL_tmpz00_7321);
						}
						BgL_auxz00_7319 = ((BgL_svarzf2ginfozf2_bglt) BgL_auxz00_7320);
					}
					((((BgL_svarzf2ginfozf2_bglt) COBJECT(BgL_auxz00_7319))->
							BgL_markz00) = ((long) 0L), BUNSPEC);
				}
				{
					BgL_svarzf2ginfozf2_bglt BgL_auxz00_7327;

					{
						obj_t BgL_auxz00_7328;

						{	/* Globalize/ginfo.scm 62 */
							BgL_objectz00_bglt BgL_tmpz00_7329;

							BgL_tmpz00_7329 =
								((BgL_objectz00_bglt) ((BgL_svarz00_bglt) BgL_new1160z00_4033));
							BgL_auxz00_7328 = BGL_OBJECT_WIDENING(BgL_tmpz00_7329);
						}
						BgL_auxz00_7327 = ((BgL_svarzf2ginfozf2_bglt) BgL_auxz00_7328);
					}
					((((BgL_svarzf2ginfozf2_bglt) COBJECT(BgL_auxz00_7327))->
							BgL_celledzf3zf3) = ((bool_t) ((bool_t) 0)), BUNSPEC);
				}
				{
					BgL_svarzf2ginfozf2_bglt BgL_auxz00_7335;

					{
						obj_t BgL_auxz00_7336;

						{	/* Globalize/ginfo.scm 62 */
							BgL_objectz00_bglt BgL_tmpz00_7337;

							BgL_tmpz00_7337 =
								((BgL_objectz00_bglt) ((BgL_svarz00_bglt) BgL_new1160z00_4033));
							BgL_auxz00_7336 = BGL_OBJECT_WIDENING(BgL_tmpz00_7337);
						}
						BgL_auxz00_7335 = ((BgL_svarzf2ginfozf2_bglt) BgL_auxz00_7336);
					}
					((((BgL_svarzf2ginfozf2_bglt) COBJECT(BgL_auxz00_7335))->
							BgL_stackablez00) = ((bool_t) ((bool_t) 0)), BUNSPEC);
				}
				BgL_auxz00_7299 = ((BgL_svarz00_bglt) BgL_new1160z00_4033);
				return ((obj_t) BgL_auxz00_7299);
			}
		}

	}



/* &lambda1879 */
	BgL_svarz00_bglt BGl_z62lambda1879z62zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_4034, obj_t BgL_o1157z00_4035)
	{
		{	/* Globalize/ginfo.scm 62 */
			{	/* Globalize/ginfo.scm 62 */
				BgL_svarzf2ginfozf2_bglt BgL_wide1159z00_4475;

				BgL_wide1159z00_4475 =
					((BgL_svarzf2ginfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_svarzf2ginfozf2_bgl))));
				{	/* Globalize/ginfo.scm 62 */
					obj_t BgL_auxz00_7350;
					BgL_objectz00_bglt BgL_tmpz00_7346;

					BgL_auxz00_7350 = ((obj_t) BgL_wide1159z00_4475);
					BgL_tmpz00_7346 =
						((BgL_objectz00_bglt)
						((BgL_svarz00_bglt) ((BgL_svarz00_bglt) BgL_o1157z00_4035)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_7346, BgL_auxz00_7350);
				}
				((BgL_objectz00_bglt)
					((BgL_svarz00_bglt) ((BgL_svarz00_bglt) BgL_o1157z00_4035)));
				{	/* Globalize/ginfo.scm 62 */
					long BgL_arg1882z00_4476;

					BgL_arg1882z00_4476 =
						BGL_CLASS_NUM(BGl_svarzf2Ginfozf2zzglobaliza7e_ginfoza7);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_svarz00_bglt)
								((BgL_svarz00_bglt) BgL_o1157z00_4035))), BgL_arg1882z00_4476);
				}
				return
					((BgL_svarz00_bglt)
					((BgL_svarz00_bglt) ((BgL_svarz00_bglt) BgL_o1157z00_4035)));
			}
		}

	}



/* &lambda1873 */
	BgL_svarz00_bglt BGl_z62lambda1873z62zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_4036, obj_t BgL_loc1151z00_4037,
		obj_t BgL_kapturedzf31152zf3_4038, obj_t BgL_freezd2mark1153zd2_4039,
		obj_t BgL_mark1154z00_4040, obj_t BgL_celledzf31155zf3_4041,
		obj_t BgL_stackable1156z00_4042)
	{
		{	/* Globalize/ginfo.scm 62 */
			{	/* Globalize/ginfo.scm 62 */
				bool_t BgL_kapturedzf31152zf3_4477;
				long BgL_freezd2mark1153zd2_4478;
				long BgL_mark1154z00_4479;
				bool_t BgL_celledzf31155zf3_4480;
				bool_t BgL_stackable1156z00_4481;

				BgL_kapturedzf31152zf3_4477 = CBOOL(BgL_kapturedzf31152zf3_4038);
				BgL_freezd2mark1153zd2_4478 = (long) CINT(BgL_freezd2mark1153zd2_4039);
				BgL_mark1154z00_4479 = (long) CINT(BgL_mark1154z00_4040);
				BgL_celledzf31155zf3_4480 = CBOOL(BgL_celledzf31155zf3_4041);
				BgL_stackable1156z00_4481 = CBOOL(BgL_stackable1156z00_4042);
				{	/* Globalize/ginfo.scm 62 */
					BgL_svarz00_bglt BgL_new1252z00_4482;

					{	/* Globalize/ginfo.scm 62 */
						BgL_svarz00_bglt BgL_tmp1250z00_4483;
						BgL_svarzf2ginfozf2_bglt BgL_wide1251z00_4484;

						{
							BgL_svarz00_bglt BgL_auxz00_7369;

							{	/* Globalize/ginfo.scm 62 */
								BgL_svarz00_bglt BgL_new1249z00_4485;

								BgL_new1249z00_4485 =
									((BgL_svarz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_svarz00_bgl))));
								{	/* Globalize/ginfo.scm 62 */
									long BgL_arg1878z00_4486;

									BgL_arg1878z00_4486 = BGL_CLASS_NUM(BGl_svarz00zzast_varz00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1249z00_4485),
										BgL_arg1878z00_4486);
								}
								{	/* Globalize/ginfo.scm 62 */
									BgL_objectz00_bglt BgL_tmpz00_7374;

									BgL_tmpz00_7374 = ((BgL_objectz00_bglt) BgL_new1249z00_4485);
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_7374, BFALSE);
								}
								((BgL_objectz00_bglt) BgL_new1249z00_4485);
								BgL_auxz00_7369 = BgL_new1249z00_4485;
							}
							BgL_tmp1250z00_4483 = ((BgL_svarz00_bglt) BgL_auxz00_7369);
						}
						BgL_wide1251z00_4484 =
							((BgL_svarzf2ginfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_svarzf2ginfozf2_bgl))));
						{	/* Globalize/ginfo.scm 62 */
							obj_t BgL_auxz00_7382;
							BgL_objectz00_bglt BgL_tmpz00_7380;

							BgL_auxz00_7382 = ((obj_t) BgL_wide1251z00_4484);
							BgL_tmpz00_7380 = ((BgL_objectz00_bglt) BgL_tmp1250z00_4483);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_7380, BgL_auxz00_7382);
						}
						((BgL_objectz00_bglt) BgL_tmp1250z00_4483);
						{	/* Globalize/ginfo.scm 62 */
							long BgL_arg1876z00_4487;

							BgL_arg1876z00_4487 =
								BGL_CLASS_NUM(BGl_svarzf2Ginfozf2zzglobaliza7e_ginfoza7);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_tmp1250z00_4483),
								BgL_arg1876z00_4487);
						}
						BgL_new1252z00_4482 = ((BgL_svarz00_bglt) BgL_tmp1250z00_4483);
					}
					((((BgL_svarz00_bglt) COBJECT(
									((BgL_svarz00_bglt) BgL_new1252z00_4482)))->BgL_locz00) =
						((obj_t) BgL_loc1151z00_4037), BUNSPEC);
					{
						BgL_svarzf2ginfozf2_bglt BgL_auxz00_7392;

						{
							obj_t BgL_auxz00_7393;

							{	/* Globalize/ginfo.scm 62 */
								BgL_objectz00_bglt BgL_tmpz00_7394;

								BgL_tmpz00_7394 = ((BgL_objectz00_bglt) BgL_new1252z00_4482);
								BgL_auxz00_7393 = BGL_OBJECT_WIDENING(BgL_tmpz00_7394);
							}
							BgL_auxz00_7392 = ((BgL_svarzf2ginfozf2_bglt) BgL_auxz00_7393);
						}
						((((BgL_svarzf2ginfozf2_bglt) COBJECT(BgL_auxz00_7392))->
								BgL_kapturedzf3zf3) =
							((bool_t) BgL_kapturedzf31152zf3_4477), BUNSPEC);
					}
					{
						BgL_svarzf2ginfozf2_bglt BgL_auxz00_7399;

						{
							obj_t BgL_auxz00_7400;

							{	/* Globalize/ginfo.scm 62 */
								BgL_objectz00_bglt BgL_tmpz00_7401;

								BgL_tmpz00_7401 = ((BgL_objectz00_bglt) BgL_new1252z00_4482);
								BgL_auxz00_7400 = BGL_OBJECT_WIDENING(BgL_tmpz00_7401);
							}
							BgL_auxz00_7399 = ((BgL_svarzf2ginfozf2_bglt) BgL_auxz00_7400);
						}
						((((BgL_svarzf2ginfozf2_bglt) COBJECT(BgL_auxz00_7399))->
								BgL_freezd2markzd2) =
							((long) BgL_freezd2mark1153zd2_4478), BUNSPEC);
					}
					{
						BgL_svarzf2ginfozf2_bglt BgL_auxz00_7406;

						{
							obj_t BgL_auxz00_7407;

							{	/* Globalize/ginfo.scm 62 */
								BgL_objectz00_bglt BgL_tmpz00_7408;

								BgL_tmpz00_7408 = ((BgL_objectz00_bglt) BgL_new1252z00_4482);
								BgL_auxz00_7407 = BGL_OBJECT_WIDENING(BgL_tmpz00_7408);
							}
							BgL_auxz00_7406 = ((BgL_svarzf2ginfozf2_bglt) BgL_auxz00_7407);
						}
						((((BgL_svarzf2ginfozf2_bglt) COBJECT(BgL_auxz00_7406))->
								BgL_markz00) = ((long) BgL_mark1154z00_4479), BUNSPEC);
					}
					{
						BgL_svarzf2ginfozf2_bglt BgL_auxz00_7413;

						{
							obj_t BgL_auxz00_7414;

							{	/* Globalize/ginfo.scm 62 */
								BgL_objectz00_bglt BgL_tmpz00_7415;

								BgL_tmpz00_7415 = ((BgL_objectz00_bglt) BgL_new1252z00_4482);
								BgL_auxz00_7414 = BGL_OBJECT_WIDENING(BgL_tmpz00_7415);
							}
							BgL_auxz00_7413 = ((BgL_svarzf2ginfozf2_bglt) BgL_auxz00_7414);
						}
						((((BgL_svarzf2ginfozf2_bglt) COBJECT(BgL_auxz00_7413))->
								BgL_celledzf3zf3) =
							((bool_t) BgL_celledzf31155zf3_4480), BUNSPEC);
					}
					{
						BgL_svarzf2ginfozf2_bglt BgL_auxz00_7420;

						{
							obj_t BgL_auxz00_7421;

							{	/* Globalize/ginfo.scm 62 */
								BgL_objectz00_bglt BgL_tmpz00_7422;

								BgL_tmpz00_7422 = ((BgL_objectz00_bglt) BgL_new1252z00_4482);
								BgL_auxz00_7421 = BGL_OBJECT_WIDENING(BgL_tmpz00_7422);
							}
							BgL_auxz00_7420 = ((BgL_svarzf2ginfozf2_bglt) BgL_auxz00_7421);
						}
						((((BgL_svarzf2ginfozf2_bglt) COBJECT(BgL_auxz00_7420))->
								BgL_stackablez00) =
							((bool_t) BgL_stackable1156z00_4481), BUNSPEC);
					}
					return BgL_new1252z00_4482;
				}
			}
		}

	}



/* &<@anonymous:1924> */
	obj_t BGl_z62zc3z04anonymousza31924ze3ze5zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_4043)
	{
		{	/* Globalize/ginfo.scm 62 */
			return BBOOL(((bool_t) 1));
		}

	}



/* &lambda1923 */
	obj_t BGl_z62lambda1923z62zzglobaliza7e_ginfoza7(obj_t BgL_envz00_4044,
		obj_t BgL_oz00_4045, obj_t BgL_vz00_4046)
	{
		{	/* Globalize/ginfo.scm 62 */
			{	/* Globalize/ginfo.scm 62 */
				bool_t BgL_vz00_4489;

				BgL_vz00_4489 = CBOOL(BgL_vz00_4046);
				{
					BgL_svarzf2ginfozf2_bglt BgL_auxz00_7429;

					{
						obj_t BgL_auxz00_7430;

						{	/* Globalize/ginfo.scm 62 */
							BgL_objectz00_bglt BgL_tmpz00_7431;

							BgL_tmpz00_7431 =
								((BgL_objectz00_bglt) ((BgL_svarz00_bglt) BgL_oz00_4045));
							BgL_auxz00_7430 = BGL_OBJECT_WIDENING(BgL_tmpz00_7431);
						}
						BgL_auxz00_7429 = ((BgL_svarzf2ginfozf2_bglt) BgL_auxz00_7430);
					}
					return
						((((BgL_svarzf2ginfozf2_bglt) COBJECT(BgL_auxz00_7429))->
							BgL_stackablez00) = ((bool_t) BgL_vz00_4489), BUNSPEC);
				}
			}
		}

	}



/* &lambda1922 */
	obj_t BGl_z62lambda1922z62zzglobaliza7e_ginfoza7(obj_t BgL_envz00_4047,
		obj_t BgL_oz00_4048)
	{
		{	/* Globalize/ginfo.scm 62 */
			{	/* Globalize/ginfo.scm 62 */
				bool_t BgL_tmpz00_7437;

				{
					BgL_svarzf2ginfozf2_bglt BgL_auxz00_7438;

					{
						obj_t BgL_auxz00_7439;

						{	/* Globalize/ginfo.scm 62 */
							BgL_objectz00_bglt BgL_tmpz00_7440;

							BgL_tmpz00_7440 =
								((BgL_objectz00_bglt) ((BgL_svarz00_bglt) BgL_oz00_4048));
							BgL_auxz00_7439 = BGL_OBJECT_WIDENING(BgL_tmpz00_7440);
						}
						BgL_auxz00_7438 = ((BgL_svarzf2ginfozf2_bglt) BgL_auxz00_7439);
					}
					BgL_tmpz00_7437 =
						(((BgL_svarzf2ginfozf2_bglt) COBJECT(BgL_auxz00_7438))->
						BgL_stackablez00);
				}
				return BBOOL(BgL_tmpz00_7437);
			}
		}

	}



/* &<@anonymous:1916> */
	obj_t BGl_z62zc3z04anonymousza31916ze3ze5zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_4049)
	{
		{	/* Globalize/ginfo.scm 62 */
			return BBOOL(((bool_t) 0));
		}

	}



/* &lambda1915 */
	obj_t BGl_z62lambda1915z62zzglobaliza7e_ginfoza7(obj_t BgL_envz00_4050,
		obj_t BgL_oz00_4051, obj_t BgL_vz00_4052)
	{
		{	/* Globalize/ginfo.scm 62 */
			{	/* Globalize/ginfo.scm 62 */
				bool_t BgL_vz00_4492;

				BgL_vz00_4492 = CBOOL(BgL_vz00_4052);
				{
					BgL_svarzf2ginfozf2_bglt BgL_auxz00_7449;

					{
						obj_t BgL_auxz00_7450;

						{	/* Globalize/ginfo.scm 62 */
							BgL_objectz00_bglt BgL_tmpz00_7451;

							BgL_tmpz00_7451 =
								((BgL_objectz00_bglt) ((BgL_svarz00_bglt) BgL_oz00_4051));
							BgL_auxz00_7450 = BGL_OBJECT_WIDENING(BgL_tmpz00_7451);
						}
						BgL_auxz00_7449 = ((BgL_svarzf2ginfozf2_bglt) BgL_auxz00_7450);
					}
					return
						((((BgL_svarzf2ginfozf2_bglt) COBJECT(BgL_auxz00_7449))->
							BgL_celledzf3zf3) = ((bool_t) BgL_vz00_4492), BUNSPEC);
				}
			}
		}

	}



/* &lambda1914 */
	obj_t BGl_z62lambda1914z62zzglobaliza7e_ginfoza7(obj_t BgL_envz00_4053,
		obj_t BgL_oz00_4054)
	{
		{	/* Globalize/ginfo.scm 62 */
			{	/* Globalize/ginfo.scm 62 */
				bool_t BgL_tmpz00_7457;

				{
					BgL_svarzf2ginfozf2_bglt BgL_auxz00_7458;

					{
						obj_t BgL_auxz00_7459;

						{	/* Globalize/ginfo.scm 62 */
							BgL_objectz00_bglt BgL_tmpz00_7460;

							BgL_tmpz00_7460 =
								((BgL_objectz00_bglt) ((BgL_svarz00_bglt) BgL_oz00_4054));
							BgL_auxz00_7459 = BGL_OBJECT_WIDENING(BgL_tmpz00_7460);
						}
						BgL_auxz00_7458 = ((BgL_svarzf2ginfozf2_bglt) BgL_auxz00_7459);
					}
					BgL_tmpz00_7457 =
						(((BgL_svarzf2ginfozf2_bglt) COBJECT(BgL_auxz00_7458))->
						BgL_celledzf3zf3);
				}
				return BBOOL(BgL_tmpz00_7457);
			}
		}

	}



/* &<@anonymous:1909> */
	obj_t BGl_z62zc3z04anonymousza31909ze3ze5zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_4055)
	{
		{	/* Globalize/ginfo.scm 62 */
			return BINT((-10L));
		}

	}



/* &lambda1908 */
	obj_t BGl_z62lambda1908z62zzglobaliza7e_ginfoza7(obj_t BgL_envz00_4056,
		obj_t BgL_oz00_4057, obj_t BgL_vz00_4058)
	{
		{	/* Globalize/ginfo.scm 62 */
			{	/* Globalize/ginfo.scm 62 */
				long BgL_vz00_4495;

				BgL_vz00_4495 = (long) CINT(BgL_vz00_4058);
				{
					BgL_svarzf2ginfozf2_bglt BgL_auxz00_7469;

					{
						obj_t BgL_auxz00_7470;

						{	/* Globalize/ginfo.scm 62 */
							BgL_objectz00_bglt BgL_tmpz00_7471;

							BgL_tmpz00_7471 =
								((BgL_objectz00_bglt) ((BgL_svarz00_bglt) BgL_oz00_4057));
							BgL_auxz00_7470 = BGL_OBJECT_WIDENING(BgL_tmpz00_7471);
						}
						BgL_auxz00_7469 = ((BgL_svarzf2ginfozf2_bglt) BgL_auxz00_7470);
					}
					return
						((((BgL_svarzf2ginfozf2_bglt) COBJECT(BgL_auxz00_7469))->
							BgL_markz00) = ((long) BgL_vz00_4495), BUNSPEC);
		}}}

	}



/* &lambda1907 */
	obj_t BGl_z62lambda1907z62zzglobaliza7e_ginfoza7(obj_t BgL_envz00_4059,
		obj_t BgL_oz00_4060)
	{
		{	/* Globalize/ginfo.scm 62 */
			{	/* Globalize/ginfo.scm 62 */
				long BgL_tmpz00_7477;

				{
					BgL_svarzf2ginfozf2_bglt BgL_auxz00_7478;

					{
						obj_t BgL_auxz00_7479;

						{	/* Globalize/ginfo.scm 62 */
							BgL_objectz00_bglt BgL_tmpz00_7480;

							BgL_tmpz00_7480 =
								((BgL_objectz00_bglt) ((BgL_svarz00_bglt) BgL_oz00_4060));
							BgL_auxz00_7479 = BGL_OBJECT_WIDENING(BgL_tmpz00_7480);
						}
						BgL_auxz00_7478 = ((BgL_svarzf2ginfozf2_bglt) BgL_auxz00_7479);
					}
					BgL_tmpz00_7477 =
						(((BgL_svarzf2ginfozf2_bglt) COBJECT(BgL_auxz00_7478))->
						BgL_markz00);
				}
				return BINT(BgL_tmpz00_7477);
			}
		}

	}



/* &<@anonymous:1902> */
	obj_t BGl_z62zc3z04anonymousza31902ze3ze5zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_4061)
	{
		{	/* Globalize/ginfo.scm 62 */
			return BINT((-10L));
		}

	}



/* &lambda1901 */
	obj_t BGl_z62lambda1901z62zzglobaliza7e_ginfoza7(obj_t BgL_envz00_4062,
		obj_t BgL_oz00_4063, obj_t BgL_vz00_4064)
	{
		{	/* Globalize/ginfo.scm 62 */
			{	/* Globalize/ginfo.scm 62 */
				long BgL_vz00_4498;

				BgL_vz00_4498 = (long) CINT(BgL_vz00_4064);
				{
					BgL_svarzf2ginfozf2_bglt BgL_auxz00_7489;

					{
						obj_t BgL_auxz00_7490;

						{	/* Globalize/ginfo.scm 62 */
							BgL_objectz00_bglt BgL_tmpz00_7491;

							BgL_tmpz00_7491 =
								((BgL_objectz00_bglt) ((BgL_svarz00_bglt) BgL_oz00_4063));
							BgL_auxz00_7490 = BGL_OBJECT_WIDENING(BgL_tmpz00_7491);
						}
						BgL_auxz00_7489 = ((BgL_svarzf2ginfozf2_bglt) BgL_auxz00_7490);
					}
					return
						((((BgL_svarzf2ginfozf2_bglt) COBJECT(BgL_auxz00_7489))->
							BgL_freezd2markzd2) = ((long) BgL_vz00_4498), BUNSPEC);
		}}}

	}



/* &lambda1900 */
	obj_t BGl_z62lambda1900z62zzglobaliza7e_ginfoza7(obj_t BgL_envz00_4065,
		obj_t BgL_oz00_4066)
	{
		{	/* Globalize/ginfo.scm 62 */
			{	/* Globalize/ginfo.scm 62 */
				long BgL_tmpz00_7497;

				{
					BgL_svarzf2ginfozf2_bglt BgL_auxz00_7498;

					{
						obj_t BgL_auxz00_7499;

						{	/* Globalize/ginfo.scm 62 */
							BgL_objectz00_bglt BgL_tmpz00_7500;

							BgL_tmpz00_7500 =
								((BgL_objectz00_bglt) ((BgL_svarz00_bglt) BgL_oz00_4066));
							BgL_auxz00_7499 = BGL_OBJECT_WIDENING(BgL_tmpz00_7500);
						}
						BgL_auxz00_7498 = ((BgL_svarzf2ginfozf2_bglt) BgL_auxz00_7499);
					}
					BgL_tmpz00_7497 =
						(((BgL_svarzf2ginfozf2_bglt) COBJECT(BgL_auxz00_7498))->
						BgL_freezd2markzd2);
				}
				return BINT(BgL_tmpz00_7497);
			}
		}

	}



/* &<@anonymous:1895> */
	obj_t BGl_z62zc3z04anonymousza31895ze3ze5zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_4067)
	{
		{	/* Globalize/ginfo.scm 62 */
			return BBOOL(((bool_t) 0));
		}

	}



/* &lambda1894 */
	obj_t BGl_z62lambda1894z62zzglobaliza7e_ginfoza7(obj_t BgL_envz00_4068,
		obj_t BgL_oz00_4069, obj_t BgL_vz00_4070)
	{
		{	/* Globalize/ginfo.scm 62 */
			{	/* Globalize/ginfo.scm 62 */
				bool_t BgL_vz00_4501;

				BgL_vz00_4501 = CBOOL(BgL_vz00_4070);
				{
					BgL_svarzf2ginfozf2_bglt BgL_auxz00_7509;

					{
						obj_t BgL_auxz00_7510;

						{	/* Globalize/ginfo.scm 62 */
							BgL_objectz00_bglt BgL_tmpz00_7511;

							BgL_tmpz00_7511 =
								((BgL_objectz00_bglt) ((BgL_svarz00_bglt) BgL_oz00_4069));
							BgL_auxz00_7510 = BGL_OBJECT_WIDENING(BgL_tmpz00_7511);
						}
						BgL_auxz00_7509 = ((BgL_svarzf2ginfozf2_bglt) BgL_auxz00_7510);
					}
					return
						((((BgL_svarzf2ginfozf2_bglt) COBJECT(BgL_auxz00_7509))->
							BgL_kapturedzf3zf3) = ((bool_t) BgL_vz00_4501), BUNSPEC);
				}
			}
		}

	}



/* &lambda1893 */
	obj_t BGl_z62lambda1893z62zzglobaliza7e_ginfoza7(obj_t BgL_envz00_4071,
		obj_t BgL_oz00_4072)
	{
		{	/* Globalize/ginfo.scm 62 */
			{	/* Globalize/ginfo.scm 62 */
				bool_t BgL_tmpz00_7517;

				{
					BgL_svarzf2ginfozf2_bglt BgL_auxz00_7518;

					{
						obj_t BgL_auxz00_7519;

						{	/* Globalize/ginfo.scm 62 */
							BgL_objectz00_bglt BgL_tmpz00_7520;

							BgL_tmpz00_7520 =
								((BgL_objectz00_bglt) ((BgL_svarz00_bglt) BgL_oz00_4072));
							BgL_auxz00_7519 = BGL_OBJECT_WIDENING(BgL_tmpz00_7520);
						}
						BgL_auxz00_7518 = ((BgL_svarzf2ginfozf2_bglt) BgL_auxz00_7519);
					}
					BgL_tmpz00_7517 =
						(((BgL_svarzf2ginfozf2_bglt) COBJECT(BgL_auxz00_7518))->
						BgL_kapturedzf3zf3);
				}
				return BBOOL(BgL_tmpz00_7517);
			}
		}

	}



/* &lambda1515 */
	BgL_sfunz00_bglt BGl_z62lambda1515z62zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_4073, obj_t BgL_o1149z00_4074)
	{
		{	/* Globalize/ginfo.scm 20 */
			{	/* Globalize/ginfo.scm 20 */
				long BgL_arg1516z00_4504;

				{	/* Globalize/ginfo.scm 20 */
					obj_t BgL_arg1530z00_4505;

					{	/* Globalize/ginfo.scm 20 */
						obj_t BgL_arg1532z00_4506;

						{	/* Globalize/ginfo.scm 20 */
							obj_t BgL_arg1866z00_4507;
							long BgL_arg1867z00_4508;

							BgL_arg1866z00_4507 = (BGl_za2classesza2z00zz__objectz00);
							{	/* Globalize/ginfo.scm 20 */
								long BgL_arg1869z00_4509;

								BgL_arg1869z00_4509 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_sfunz00_bglt) BgL_o1149z00_4074)));
								BgL_arg1867z00_4508 = (BgL_arg1869z00_4509 - OBJECT_TYPE);
							}
							BgL_arg1532z00_4506 =
								VECTOR_REF(BgL_arg1866z00_4507, BgL_arg1867z00_4508);
						}
						BgL_arg1530z00_4505 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg1532z00_4506);
					}
					{	/* Globalize/ginfo.scm 20 */
						obj_t BgL_tmpz00_7534;

						BgL_tmpz00_7534 = ((obj_t) BgL_arg1530z00_4505);
						BgL_arg1516z00_4504 = BGL_CLASS_NUM(BgL_tmpz00_7534);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_sfunz00_bglt) BgL_o1149z00_4074)), BgL_arg1516z00_4504);
			}
			{	/* Globalize/ginfo.scm 20 */
				BgL_objectz00_bglt BgL_tmpz00_7540;

				BgL_tmpz00_7540 =
					((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_o1149z00_4074));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_7540, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_o1149z00_4074));
			return ((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt) BgL_o1149z00_4074));
		}

	}



/* &<@anonymous:1514> */
	obj_t BGl_z62zc3z04anonymousza31514ze3ze5zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_4075, obj_t BgL_new1148z00_4076)
	{
		{	/* Globalize/ginfo.scm 20 */
			{
				BgL_sfunz00_bglt BgL_auxz00_7548;

				((((BgL_funz00_bglt) COBJECT(
								((BgL_funz00_bglt)
									((BgL_sfunz00_bglt) BgL_new1148z00_4076))))->BgL_arityz00) =
					((long) 0L), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1148z00_4076))))->BgL_sidezd2effectzd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1148z00_4076))))->BgL_predicatezd2ofzd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1148z00_4076))))->BgL_stackzd2allocatorzd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1148z00_4076))))->BgL_topzf3zf3) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1148z00_4076))))->BgL_thezd2closurezd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1148z00_4076))))->BgL_effectz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1148z00_4076))))->BgL_failsafez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1148z00_4076))))->BgL_argszd2noescapezd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1148z00_4076))))->BgL_argszd2retescapezd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1148z00_4076))))->BgL_propertyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1148z00_4076))))->BgL_argsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1148z00_4076))))->BgL_argszd2namezd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1148z00_4076))))->BgL_bodyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1148z00_4076))))->BgL_classz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1148z00_4076))))->BgL_dssslzd2keywordszd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1148z00_4076))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1148z00_4076))))->BgL_optionalsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1148z00_4076))))->BgL_keysz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1148z00_4076))))->BgL_thezd2closurezd2globalz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1148z00_4076))))->BgL_strengthz00) =
					((obj_t) ((obj_t) CNST_TABLE_REF(35))), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1148z00_4076))))->BgL_stackablez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_sfunzf2ginfozf2_bglt BgL_auxz00_7617;

					{
						obj_t BgL_auxz00_7618;

						{	/* Globalize/ginfo.scm 20 */
							BgL_objectz00_bglt BgL_tmpz00_7619;

							BgL_tmpz00_7619 =
								((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_new1148z00_4076));
							BgL_auxz00_7618 = BGL_OBJECT_WIDENING(BgL_tmpz00_7619);
						}
						BgL_auxz00_7617 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_7618);
					}
					((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_7617))->
							BgL_gzf3zf3) = ((bool_t) ((bool_t) 0)), BUNSPEC);
				}
				{
					BgL_sfunzf2ginfozf2_bglt BgL_auxz00_7625;

					{
						obj_t BgL_auxz00_7626;

						{	/* Globalize/ginfo.scm 20 */
							BgL_objectz00_bglt BgL_tmpz00_7627;

							BgL_tmpz00_7627 =
								((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_new1148z00_4076));
							BgL_auxz00_7626 = BGL_OBJECT_WIDENING(BgL_tmpz00_7627);
						}
						BgL_auxz00_7625 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_7626);
					}
					((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_7625))->
							BgL_cfromz00) = ((obj_t) BUNSPEC), BUNSPEC);
				}
				{
					BgL_sfunzf2ginfozf2_bglt BgL_auxz00_7633;

					{
						obj_t BgL_auxz00_7634;

						{	/* Globalize/ginfo.scm 20 */
							BgL_objectz00_bglt BgL_tmpz00_7635;

							BgL_tmpz00_7635 =
								((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_new1148z00_4076));
							BgL_auxz00_7634 = BGL_OBJECT_WIDENING(BgL_tmpz00_7635);
						}
						BgL_auxz00_7633 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_7634);
					}
					((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_7633))->
							BgL_cfromza2za2) = ((obj_t) BUNSPEC), BUNSPEC);
				}
				{
					BgL_sfunzf2ginfozf2_bglt BgL_auxz00_7641;

					{
						obj_t BgL_auxz00_7642;

						{	/* Globalize/ginfo.scm 20 */
							BgL_objectz00_bglt BgL_tmpz00_7643;

							BgL_tmpz00_7643 =
								((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_new1148z00_4076));
							BgL_auxz00_7642 = BGL_OBJECT_WIDENING(BgL_tmpz00_7643);
						}
						BgL_auxz00_7641 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_7642);
					}
					((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_7641))->BgL_ctoz00) =
						((obj_t) BUNSPEC), BUNSPEC);
				}
				{
					BgL_sfunzf2ginfozf2_bglt BgL_auxz00_7649;

					{
						obj_t BgL_auxz00_7650;

						{	/* Globalize/ginfo.scm 20 */
							BgL_objectz00_bglt BgL_tmpz00_7651;

							BgL_tmpz00_7651 =
								((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_new1148z00_4076));
							BgL_auxz00_7650 = BGL_OBJECT_WIDENING(BgL_tmpz00_7651);
						}
						BgL_auxz00_7649 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_7650);
					}
					((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_7649))->
							BgL_ctoza2za2) = ((obj_t) BUNSPEC), BUNSPEC);
				}
				{
					BgL_sfunzf2ginfozf2_bglt BgL_auxz00_7657;

					{
						obj_t BgL_auxz00_7658;

						{	/* Globalize/ginfo.scm 20 */
							BgL_objectz00_bglt BgL_tmpz00_7659;

							BgL_tmpz00_7659 =
								((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_new1148z00_4076));
							BgL_auxz00_7658 = BGL_OBJECT_WIDENING(BgL_tmpz00_7659);
						}
						BgL_auxz00_7657 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_7658);
					}
					((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_7657))->
							BgL_efunctionsz00) = ((obj_t) BUNSPEC), BUNSPEC);
				}
				{
					BgL_sfunzf2ginfozf2_bglt BgL_auxz00_7665;

					{
						obj_t BgL_auxz00_7666;

						{	/* Globalize/ginfo.scm 20 */
							BgL_objectz00_bglt BgL_tmpz00_7667;

							BgL_tmpz00_7667 =
								((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_new1148z00_4076));
							BgL_auxz00_7666 = BGL_OBJECT_WIDENING(BgL_tmpz00_7667);
						}
						BgL_auxz00_7665 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_7666);
					}
					((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_7665))->
							BgL_integratorz00) = ((obj_t) BUNSPEC), BUNSPEC);
				}
				{
					BgL_sfunzf2ginfozf2_bglt BgL_auxz00_7673;

					{
						obj_t BgL_auxz00_7674;

						{	/* Globalize/ginfo.scm 20 */
							BgL_objectz00_bglt BgL_tmpz00_7675;

							BgL_tmpz00_7675 =
								((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_new1148z00_4076));
							BgL_auxz00_7674 = BGL_OBJECT_WIDENING(BgL_tmpz00_7675);
						}
						BgL_auxz00_7673 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_7674);
					}
					((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_7673))->
							BgL_imarkz00) = ((obj_t) BUNSPEC), BUNSPEC);
				}
				{
					BgL_sfunzf2ginfozf2_bglt BgL_auxz00_7681;

					{
						obj_t BgL_auxz00_7682;

						{	/* Globalize/ginfo.scm 20 */
							BgL_objectz00_bglt BgL_tmpz00_7683;

							BgL_tmpz00_7683 =
								((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_new1148z00_4076));
							BgL_auxz00_7682 = BGL_OBJECT_WIDENING(BgL_tmpz00_7683);
						}
						BgL_auxz00_7681 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_7682);
					}
					((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_7681))->
							BgL_ownerz00) = ((obj_t) BUNSPEC), BUNSPEC);
				}
				{
					BgL_sfunzf2ginfozf2_bglt BgL_auxz00_7689;

					{
						obj_t BgL_auxz00_7690;

						{	/* Globalize/ginfo.scm 20 */
							BgL_objectz00_bglt BgL_tmpz00_7691;

							BgL_tmpz00_7691 =
								((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_new1148z00_4076));
							BgL_auxz00_7690 = BGL_OBJECT_WIDENING(BgL_tmpz00_7691);
						}
						BgL_auxz00_7689 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_7690);
					}
					((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_7689))->
							BgL_integratedz00) = ((obj_t) BUNSPEC), BUNSPEC);
				}
				{
					BgL_sfunzf2ginfozf2_bglt BgL_auxz00_7697;

					{
						obj_t BgL_auxz00_7698;

						{	/* Globalize/ginfo.scm 20 */
							BgL_objectz00_bglt BgL_tmpz00_7699;

							BgL_tmpz00_7699 =
								((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_new1148z00_4076));
							BgL_auxz00_7698 = BGL_OBJECT_WIDENING(BgL_tmpz00_7699);
						}
						BgL_auxz00_7697 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_7698);
					}
					((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_7697))->
							BgL_pluggedzd2inzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				}
				{
					BgL_sfunzf2ginfozf2_bglt BgL_auxz00_7705;

					{
						obj_t BgL_auxz00_7706;

						{	/* Globalize/ginfo.scm 20 */
							BgL_objectz00_bglt BgL_tmpz00_7707;

							BgL_tmpz00_7707 =
								((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_new1148z00_4076));
							BgL_auxz00_7706 = BGL_OBJECT_WIDENING(BgL_tmpz00_7707);
						}
						BgL_auxz00_7705 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_7706);
					}
					((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_7705))->
							BgL_markz00) = ((long) 0L), BUNSPEC);
				}
				{
					BgL_sfunzf2ginfozf2_bglt BgL_auxz00_7713;

					{
						obj_t BgL_auxz00_7714;

						{	/* Globalize/ginfo.scm 20 */
							BgL_objectz00_bglt BgL_tmpz00_7715;

							BgL_tmpz00_7715 =
								((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_new1148z00_4076));
							BgL_auxz00_7714 = BGL_OBJECT_WIDENING(BgL_tmpz00_7715);
						}
						BgL_auxz00_7713 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_7714);
					}
					((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_7713))->
							BgL_freezd2markzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				}
				{
					BgL_sfunzf2ginfozf2_bglt BgL_auxz00_7721;

					{
						obj_t BgL_auxz00_7722;

						{	/* Globalize/ginfo.scm 20 */
							BgL_objectz00_bglt BgL_tmpz00_7723;

							BgL_tmpz00_7723 =
								((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_new1148z00_4076));
							BgL_auxz00_7722 = BGL_OBJECT_WIDENING(BgL_tmpz00_7723);
						}
						BgL_auxz00_7721 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_7722);
					}
					((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_7721))->
							BgL_thezd2globalzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				}
				{
					BgL_sfunzf2ginfozf2_bglt BgL_auxz00_7729;

					{
						obj_t BgL_auxz00_7730;

						{	/* Globalize/ginfo.scm 20 */
							BgL_objectz00_bglt BgL_tmpz00_7731;

							BgL_tmpz00_7731 =
								((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_new1148z00_4076));
							BgL_auxz00_7730 = BGL_OBJECT_WIDENING(BgL_tmpz00_7731);
						}
						BgL_auxz00_7729 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_7730);
					}
					((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_7729))->
							BgL_kapturedz00) = ((obj_t) BUNSPEC), BUNSPEC);
				}
				{
					BgL_sfunzf2ginfozf2_bglt BgL_auxz00_7737;

					{
						obj_t BgL_auxz00_7738;

						{	/* Globalize/ginfo.scm 20 */
							BgL_objectz00_bglt BgL_tmpz00_7739;

							BgL_tmpz00_7739 =
								((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_new1148z00_4076));
							BgL_auxz00_7738 = BGL_OBJECT_WIDENING(BgL_tmpz00_7739);
						}
						BgL_auxz00_7737 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_7738);
					}
					((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_7737))->
							BgL_newzd2bodyzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				}
				{
					BgL_sfunzf2ginfozf2_bglt BgL_auxz00_7745;

					{
						obj_t BgL_auxz00_7746;

						{	/* Globalize/ginfo.scm 20 */
							BgL_objectz00_bglt BgL_tmpz00_7747;

							BgL_tmpz00_7747 =
								((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_new1148z00_4076));
							BgL_auxz00_7746 = BGL_OBJECT_WIDENING(BgL_tmpz00_7747);
						}
						BgL_auxz00_7745 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_7746);
					}
					((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_7745))->
							BgL_bmarkz00) = ((long) 0L), BUNSPEC);
				}
				{
					BgL_sfunzf2ginfozf2_bglt BgL_auxz00_7753;

					{
						obj_t BgL_auxz00_7754;

						{	/* Globalize/ginfo.scm 20 */
							BgL_objectz00_bglt BgL_tmpz00_7755;

							BgL_tmpz00_7755 =
								((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_new1148z00_4076));
							BgL_auxz00_7754 = BGL_OBJECT_WIDENING(BgL_tmpz00_7755);
						}
						BgL_auxz00_7753 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_7754);
					}
					((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_7753))->
							BgL_umarkz00) = ((long) 0L), BUNSPEC);
				}
				{
					BgL_sfunzf2ginfozf2_bglt BgL_auxz00_7761;

					{
						obj_t BgL_auxz00_7762;

						{	/* Globalize/ginfo.scm 20 */
							BgL_objectz00_bglt BgL_tmpz00_7763;

							BgL_tmpz00_7763 =
								((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_new1148z00_4076));
							BgL_auxz00_7762 = BGL_OBJECT_WIDENING(BgL_tmpz00_7763);
						}
						BgL_auxz00_7761 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_7762);
					}
					((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_7761))->
							BgL_freez00) = ((obj_t) BUNSPEC), BUNSPEC);
				}
				{
					BgL_sfunzf2ginfozf2_bglt BgL_auxz00_7769;

					{
						obj_t BgL_auxz00_7770;

						{	/* Globalize/ginfo.scm 20 */
							BgL_objectz00_bglt BgL_tmpz00_7771;

							BgL_tmpz00_7771 =
								((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_new1148z00_4076));
							BgL_auxz00_7770 = BGL_OBJECT_WIDENING(BgL_tmpz00_7771);
						}
						BgL_auxz00_7769 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_7770);
					}
					((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_7769))->
							BgL_boundz00) = ((obj_t) BUNSPEC), BUNSPEC);
				}
				BgL_auxz00_7548 = ((BgL_sfunz00_bglt) BgL_new1148z00_4076);
				return ((obj_t) BgL_auxz00_7548);
			}
		}

	}



/* &lambda1512 */
	BgL_sfunz00_bglt BGl_z62lambda1512z62zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_4077, obj_t BgL_o1145z00_4078)
	{
		{	/* Globalize/ginfo.scm 20 */
			{	/* Globalize/ginfo.scm 20 */
				BgL_sfunzf2ginfozf2_bglt BgL_wide1147z00_4512;

				BgL_wide1147z00_4512 =
					((BgL_sfunzf2ginfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_sfunzf2ginfozf2_bgl))));
				{	/* Globalize/ginfo.scm 20 */
					obj_t BgL_auxz00_7784;
					BgL_objectz00_bglt BgL_tmpz00_7780;

					BgL_auxz00_7784 = ((obj_t) BgL_wide1147z00_4512);
					BgL_tmpz00_7780 =
						((BgL_objectz00_bglt)
						((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt) BgL_o1145z00_4078)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_7780, BgL_auxz00_7784);
				}
				((BgL_objectz00_bglt)
					((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt) BgL_o1145z00_4078)));
				{	/* Globalize/ginfo.scm 20 */
					long BgL_arg1513z00_4513;

					BgL_arg1513z00_4513 =
						BGL_CLASS_NUM(BGl_sfunzf2Ginfozf2zzglobaliza7e_ginfoza7);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_sfunz00_bglt)
								((BgL_sfunz00_bglt) BgL_o1145z00_4078))), BgL_arg1513z00_4513);
				}
				return
					((BgL_sfunz00_bglt)
					((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt) BgL_o1145z00_4078)));
			}
		}

	}



/* &lambda1490 */
	BgL_sfunz00_bglt BGl_z62lambda1490z62zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_4079, obj_t BgL_arity1103z00_4080,
		obj_t BgL_sidezd2effect1104zd2_4081, obj_t BgL_predicatezd2of1105zd2_4082,
		obj_t BgL_stackzd2allocator1106zd2_4083, obj_t BgL_topzf31107zf3_4084,
		obj_t BgL_thezd2closure1108zd2_4085, obj_t BgL_effect1109z00_4086,
		obj_t BgL_failsafe1110z00_4087, obj_t BgL_argszd2noescape1111zd2_4088,
		obj_t BgL_argszd2retescape1112zd2_4089, obj_t BgL_property1113z00_4090,
		obj_t BgL_args1114z00_4091, obj_t BgL_argszd2name1115zd2_4092,
		obj_t BgL_body1116z00_4093, obj_t BgL_class1117z00_4094,
		obj_t BgL_dssslzd2keywords1118zd2_4095, obj_t BgL_loc1119z00_4096,
		obj_t BgL_optionals1120z00_4097, obj_t BgL_keys1121z00_4098,
		obj_t BgL_thezd2closurezd2global1122z00_4099,
		obj_t BgL_strength1123z00_4100, obj_t BgL_stackable1124z00_4101,
		obj_t BgL_gzf31125zf3_4102, obj_t BgL_cfrom1126z00_4103,
		obj_t BgL_cfromza21127za2_4104, obj_t BgL_cto1128z00_4105,
		obj_t BgL_ctoza21129za2_4106, obj_t BgL_efunctions1130z00_4107,
		obj_t BgL_integrator1131z00_4108, obj_t BgL_imark1132z00_4109,
		obj_t BgL_owner1133z00_4110, obj_t BgL_integrated1134z00_4111,
		obj_t BgL_pluggedzd2in1135zd2_4112, obj_t BgL_mark1136z00_4113,
		obj_t BgL_freezd2mark1137zd2_4114, obj_t BgL_thezd2global1138zd2_4115,
		obj_t BgL_kaptured1139z00_4116, obj_t BgL_newzd2body1140zd2_4117,
		obj_t BgL_bmark1141z00_4118, obj_t BgL_umark1142z00_4119,
		obj_t BgL_free1143z00_4120, obj_t BgL_bound1144z00_4121)
	{
		{	/* Globalize/ginfo.scm 20 */
			{	/* Globalize/ginfo.scm 20 */
				long BgL_arity1103z00_4514;
				bool_t BgL_topzf31107zf3_4515;
				bool_t BgL_gzf31125zf3_4517;
				long BgL_mark1136z00_4518;
				long BgL_bmark1141z00_4519;
				long BgL_umark1142z00_4520;

				BgL_arity1103z00_4514 = (long) CINT(BgL_arity1103z00_4080);
				BgL_topzf31107zf3_4515 = CBOOL(BgL_topzf31107zf3_4084);
				BgL_gzf31125zf3_4517 = CBOOL(BgL_gzf31125zf3_4102);
				BgL_mark1136z00_4518 = (long) CINT(BgL_mark1136z00_4113);
				BgL_bmark1141z00_4519 = (long) CINT(BgL_bmark1141z00_4118);
				BgL_umark1142z00_4520 = (long) CINT(BgL_umark1142z00_4119);
				{	/* Globalize/ginfo.scm 20 */
					BgL_sfunz00_bglt BgL_new1247z00_4521;

					{	/* Globalize/ginfo.scm 20 */
						BgL_sfunz00_bglt BgL_tmp1244z00_4522;
						BgL_sfunzf2ginfozf2_bglt BgL_wide1245z00_4523;

						{
							BgL_sfunz00_bglt BgL_auxz00_7804;

							{	/* Globalize/ginfo.scm 20 */
								BgL_sfunz00_bglt BgL_new1243z00_4524;

								BgL_new1243z00_4524 =
									((BgL_sfunz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_sfunz00_bgl))));
								{	/* Globalize/ginfo.scm 20 */
									long BgL_arg1511z00_4525;

									BgL_arg1511z00_4525 = BGL_CLASS_NUM(BGl_sfunz00zzast_varz00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1243z00_4524),
										BgL_arg1511z00_4525);
								}
								{	/* Globalize/ginfo.scm 20 */
									BgL_objectz00_bglt BgL_tmpz00_7809;

									BgL_tmpz00_7809 = ((BgL_objectz00_bglt) BgL_new1243z00_4524);
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_7809, BFALSE);
								}
								((BgL_objectz00_bglt) BgL_new1243z00_4524);
								BgL_auxz00_7804 = BgL_new1243z00_4524;
							}
							BgL_tmp1244z00_4522 = ((BgL_sfunz00_bglt) BgL_auxz00_7804);
						}
						BgL_wide1245z00_4523 =
							((BgL_sfunzf2ginfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_sfunzf2ginfozf2_bgl))));
						{	/* Globalize/ginfo.scm 20 */
							obj_t BgL_auxz00_7817;
							BgL_objectz00_bglt BgL_tmpz00_7815;

							BgL_auxz00_7817 = ((obj_t) BgL_wide1245z00_4523);
							BgL_tmpz00_7815 = ((BgL_objectz00_bglt) BgL_tmp1244z00_4522);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_7815, BgL_auxz00_7817);
						}
						((BgL_objectz00_bglt) BgL_tmp1244z00_4522);
						{	/* Globalize/ginfo.scm 20 */
							long BgL_arg1506z00_4526;

							BgL_arg1506z00_4526 =
								BGL_CLASS_NUM(BGl_sfunzf2Ginfozf2zzglobaliza7e_ginfoza7);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_tmp1244z00_4522),
								BgL_arg1506z00_4526);
						}
						BgL_new1247z00_4521 = ((BgL_sfunz00_bglt) BgL_tmp1244z00_4522);
					}
					((((BgL_funz00_bglt) COBJECT(
									((BgL_funz00_bglt) BgL_new1247z00_4521)))->BgL_arityz00) =
						((long) BgL_arity1103z00_4514), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
										BgL_new1247z00_4521)))->BgL_sidezd2effectzd2) =
						((obj_t) BgL_sidezd2effect1104zd2_4081), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
										BgL_new1247z00_4521)))->BgL_predicatezd2ofzd2) =
						((obj_t) BgL_predicatezd2of1105zd2_4082), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
										BgL_new1247z00_4521)))->BgL_stackzd2allocatorzd2) =
						((obj_t) BgL_stackzd2allocator1106zd2_4083), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
										BgL_new1247z00_4521)))->BgL_topzf3zf3) =
						((bool_t) BgL_topzf31107zf3_4515), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
										BgL_new1247z00_4521)))->BgL_thezd2closurezd2) =
						((obj_t) BgL_thezd2closure1108zd2_4085), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
										BgL_new1247z00_4521)))->BgL_effectz00) =
						((obj_t) BgL_effect1109z00_4086), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
										BgL_new1247z00_4521)))->BgL_failsafez00) =
						((obj_t) BgL_failsafe1110z00_4087), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
										BgL_new1247z00_4521)))->BgL_argszd2noescapezd2) =
						((obj_t) BgL_argszd2noescape1111zd2_4088), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
										BgL_new1247z00_4521)))->BgL_argszd2retescapezd2) =
						((obj_t) BgL_argszd2retescape1112zd2_4089), BUNSPEC);
					((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
										BgL_new1247z00_4521)))->BgL_propertyz00) =
						((obj_t) BgL_property1113z00_4090), BUNSPEC);
					((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
										BgL_new1247z00_4521)))->BgL_argsz00) =
						((obj_t) BgL_args1114z00_4091), BUNSPEC);
					((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
										BgL_new1247z00_4521)))->BgL_argszd2namezd2) =
						((obj_t) BgL_argszd2name1115zd2_4092), BUNSPEC);
					((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
										BgL_new1247z00_4521)))->BgL_bodyz00) =
						((obj_t) BgL_body1116z00_4093), BUNSPEC);
					((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
										BgL_new1247z00_4521)))->BgL_classz00) =
						((obj_t) BgL_class1117z00_4094), BUNSPEC);
					((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
										BgL_new1247z00_4521)))->BgL_dssslzd2keywordszd2) =
						((obj_t) BgL_dssslzd2keywords1118zd2_4095), BUNSPEC);
					((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
										BgL_new1247z00_4521)))->BgL_locz00) =
						((obj_t) BgL_loc1119z00_4096), BUNSPEC);
					((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
										BgL_new1247z00_4521)))->BgL_optionalsz00) =
						((obj_t) BgL_optionals1120z00_4097), BUNSPEC);
					((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
										BgL_new1247z00_4521)))->BgL_keysz00) =
						((obj_t) BgL_keys1121z00_4098), BUNSPEC);
					((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
										BgL_new1247z00_4521)))->BgL_thezd2closurezd2globalz00) =
						((obj_t) BgL_thezd2closurezd2global1122z00_4099), BUNSPEC);
					((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
										BgL_new1247z00_4521)))->BgL_strengthz00) =
						((obj_t) ((obj_t) BgL_strength1123z00_4100)), BUNSPEC);
					((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
										BgL_new1247z00_4521)))->BgL_stackablez00) =
						((obj_t) BgL_stackable1124z00_4101), BUNSPEC);
					{
						BgL_sfunzf2ginfozf2_bglt BgL_auxz00_7870;

						{
							obj_t BgL_auxz00_7871;

							{	/* Globalize/ginfo.scm 20 */
								BgL_objectz00_bglt BgL_tmpz00_7872;

								BgL_tmpz00_7872 = ((BgL_objectz00_bglt) BgL_new1247z00_4521);
								BgL_auxz00_7871 = BGL_OBJECT_WIDENING(BgL_tmpz00_7872);
							}
							BgL_auxz00_7870 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_7871);
						}
						((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_7870))->
								BgL_gzf3zf3) = ((bool_t) BgL_gzf31125zf3_4517), BUNSPEC);
					}
					{
						BgL_sfunzf2ginfozf2_bglt BgL_auxz00_7877;

						{
							obj_t BgL_auxz00_7878;

							{	/* Globalize/ginfo.scm 20 */
								BgL_objectz00_bglt BgL_tmpz00_7879;

								BgL_tmpz00_7879 = ((BgL_objectz00_bglt) BgL_new1247z00_4521);
								BgL_auxz00_7878 = BGL_OBJECT_WIDENING(BgL_tmpz00_7879);
							}
							BgL_auxz00_7877 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_7878);
						}
						((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_7877))->
								BgL_cfromz00) = ((obj_t) BgL_cfrom1126z00_4103), BUNSPEC);
					}
					{
						BgL_sfunzf2ginfozf2_bglt BgL_auxz00_7884;

						{
							obj_t BgL_auxz00_7885;

							{	/* Globalize/ginfo.scm 20 */
								BgL_objectz00_bglt BgL_tmpz00_7886;

								BgL_tmpz00_7886 = ((BgL_objectz00_bglt) BgL_new1247z00_4521);
								BgL_auxz00_7885 = BGL_OBJECT_WIDENING(BgL_tmpz00_7886);
							}
							BgL_auxz00_7884 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_7885);
						}
						((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_7884))->
								BgL_cfromza2za2) = ((obj_t) BgL_cfromza21127za2_4104), BUNSPEC);
					}
					{
						BgL_sfunzf2ginfozf2_bglt BgL_auxz00_7891;

						{
							obj_t BgL_auxz00_7892;

							{	/* Globalize/ginfo.scm 20 */
								BgL_objectz00_bglt BgL_tmpz00_7893;

								BgL_tmpz00_7893 = ((BgL_objectz00_bglt) BgL_new1247z00_4521);
								BgL_auxz00_7892 = BGL_OBJECT_WIDENING(BgL_tmpz00_7893);
							}
							BgL_auxz00_7891 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_7892);
						}
						((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_7891))->
								BgL_ctoz00) = ((obj_t) BgL_cto1128z00_4105), BUNSPEC);
					}
					{
						BgL_sfunzf2ginfozf2_bglt BgL_auxz00_7898;

						{
							obj_t BgL_auxz00_7899;

							{	/* Globalize/ginfo.scm 20 */
								BgL_objectz00_bglt BgL_tmpz00_7900;

								BgL_tmpz00_7900 = ((BgL_objectz00_bglt) BgL_new1247z00_4521);
								BgL_auxz00_7899 = BGL_OBJECT_WIDENING(BgL_tmpz00_7900);
							}
							BgL_auxz00_7898 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_7899);
						}
						((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_7898))->
								BgL_ctoza2za2) = ((obj_t) BgL_ctoza21129za2_4106), BUNSPEC);
					}
					{
						BgL_sfunzf2ginfozf2_bglt BgL_auxz00_7905;

						{
							obj_t BgL_auxz00_7906;

							{	/* Globalize/ginfo.scm 20 */
								BgL_objectz00_bglt BgL_tmpz00_7907;

								BgL_tmpz00_7907 = ((BgL_objectz00_bglt) BgL_new1247z00_4521);
								BgL_auxz00_7906 = BGL_OBJECT_WIDENING(BgL_tmpz00_7907);
							}
							BgL_auxz00_7905 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_7906);
						}
						((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_7905))->
								BgL_efunctionsz00) =
							((obj_t) BgL_efunctions1130z00_4107), BUNSPEC);
					}
					{
						BgL_sfunzf2ginfozf2_bglt BgL_auxz00_7912;

						{
							obj_t BgL_auxz00_7913;

							{	/* Globalize/ginfo.scm 20 */
								BgL_objectz00_bglt BgL_tmpz00_7914;

								BgL_tmpz00_7914 = ((BgL_objectz00_bglt) BgL_new1247z00_4521);
								BgL_auxz00_7913 = BGL_OBJECT_WIDENING(BgL_tmpz00_7914);
							}
							BgL_auxz00_7912 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_7913);
						}
						((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_7912))->
								BgL_integratorz00) =
							((obj_t) BgL_integrator1131z00_4108), BUNSPEC);
					}
					{
						BgL_sfunzf2ginfozf2_bglt BgL_auxz00_7919;

						{
							obj_t BgL_auxz00_7920;

							{	/* Globalize/ginfo.scm 20 */
								BgL_objectz00_bglt BgL_tmpz00_7921;

								BgL_tmpz00_7921 = ((BgL_objectz00_bglt) BgL_new1247z00_4521);
								BgL_auxz00_7920 = BGL_OBJECT_WIDENING(BgL_tmpz00_7921);
							}
							BgL_auxz00_7919 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_7920);
						}
						((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_7919))->
								BgL_imarkz00) = ((obj_t) BgL_imark1132z00_4109), BUNSPEC);
					}
					{
						BgL_sfunzf2ginfozf2_bglt BgL_auxz00_7926;

						{
							obj_t BgL_auxz00_7927;

							{	/* Globalize/ginfo.scm 20 */
								BgL_objectz00_bglt BgL_tmpz00_7928;

								BgL_tmpz00_7928 = ((BgL_objectz00_bglt) BgL_new1247z00_4521);
								BgL_auxz00_7927 = BGL_OBJECT_WIDENING(BgL_tmpz00_7928);
							}
							BgL_auxz00_7926 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_7927);
						}
						((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_7926))->
								BgL_ownerz00) = ((obj_t) BgL_owner1133z00_4110), BUNSPEC);
					}
					{
						BgL_sfunzf2ginfozf2_bglt BgL_auxz00_7933;

						{
							obj_t BgL_auxz00_7934;

							{	/* Globalize/ginfo.scm 20 */
								BgL_objectz00_bglt BgL_tmpz00_7935;

								BgL_tmpz00_7935 = ((BgL_objectz00_bglt) BgL_new1247z00_4521);
								BgL_auxz00_7934 = BGL_OBJECT_WIDENING(BgL_tmpz00_7935);
							}
							BgL_auxz00_7933 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_7934);
						}
						((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_7933))->
								BgL_integratedz00) =
							((obj_t) BgL_integrated1134z00_4111), BUNSPEC);
					}
					{
						BgL_sfunzf2ginfozf2_bglt BgL_auxz00_7940;

						{
							obj_t BgL_auxz00_7941;

							{	/* Globalize/ginfo.scm 20 */
								BgL_objectz00_bglt BgL_tmpz00_7942;

								BgL_tmpz00_7942 = ((BgL_objectz00_bglt) BgL_new1247z00_4521);
								BgL_auxz00_7941 = BGL_OBJECT_WIDENING(BgL_tmpz00_7942);
							}
							BgL_auxz00_7940 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_7941);
						}
						((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_7940))->
								BgL_pluggedzd2inzd2) =
							((obj_t) BgL_pluggedzd2in1135zd2_4112), BUNSPEC);
					}
					{
						BgL_sfunzf2ginfozf2_bglt BgL_auxz00_7947;

						{
							obj_t BgL_auxz00_7948;

							{	/* Globalize/ginfo.scm 20 */
								BgL_objectz00_bglt BgL_tmpz00_7949;

								BgL_tmpz00_7949 = ((BgL_objectz00_bglt) BgL_new1247z00_4521);
								BgL_auxz00_7948 = BGL_OBJECT_WIDENING(BgL_tmpz00_7949);
							}
							BgL_auxz00_7947 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_7948);
						}
						((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_7947))->
								BgL_markz00) = ((long) BgL_mark1136z00_4518), BUNSPEC);
					}
					{
						BgL_sfunzf2ginfozf2_bglt BgL_auxz00_7954;

						{
							obj_t BgL_auxz00_7955;

							{	/* Globalize/ginfo.scm 20 */
								BgL_objectz00_bglt BgL_tmpz00_7956;

								BgL_tmpz00_7956 = ((BgL_objectz00_bglt) BgL_new1247z00_4521);
								BgL_auxz00_7955 = BGL_OBJECT_WIDENING(BgL_tmpz00_7956);
							}
							BgL_auxz00_7954 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_7955);
						}
						((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_7954))->
								BgL_freezd2markzd2) =
							((obj_t) BgL_freezd2mark1137zd2_4114), BUNSPEC);
					}
					{
						BgL_sfunzf2ginfozf2_bglt BgL_auxz00_7961;

						{
							obj_t BgL_auxz00_7962;

							{	/* Globalize/ginfo.scm 20 */
								BgL_objectz00_bglt BgL_tmpz00_7963;

								BgL_tmpz00_7963 = ((BgL_objectz00_bglt) BgL_new1247z00_4521);
								BgL_auxz00_7962 = BGL_OBJECT_WIDENING(BgL_tmpz00_7963);
							}
							BgL_auxz00_7961 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_7962);
						}
						((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_7961))->
								BgL_thezd2globalzd2) =
							((obj_t) BgL_thezd2global1138zd2_4115), BUNSPEC);
					}
					{
						BgL_sfunzf2ginfozf2_bglt BgL_auxz00_7968;

						{
							obj_t BgL_auxz00_7969;

							{	/* Globalize/ginfo.scm 20 */
								BgL_objectz00_bglt BgL_tmpz00_7970;

								BgL_tmpz00_7970 = ((BgL_objectz00_bglt) BgL_new1247z00_4521);
								BgL_auxz00_7969 = BGL_OBJECT_WIDENING(BgL_tmpz00_7970);
							}
							BgL_auxz00_7968 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_7969);
						}
						((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_7968))->
								BgL_kapturedz00) = ((obj_t) BgL_kaptured1139z00_4116), BUNSPEC);
					}
					{
						BgL_sfunzf2ginfozf2_bglt BgL_auxz00_7975;

						{
							obj_t BgL_auxz00_7976;

							{	/* Globalize/ginfo.scm 20 */
								BgL_objectz00_bglt BgL_tmpz00_7977;

								BgL_tmpz00_7977 = ((BgL_objectz00_bglt) BgL_new1247z00_4521);
								BgL_auxz00_7976 = BGL_OBJECT_WIDENING(BgL_tmpz00_7977);
							}
							BgL_auxz00_7975 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_7976);
						}
						((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_7975))->
								BgL_newzd2bodyzd2) =
							((obj_t) BgL_newzd2body1140zd2_4117), BUNSPEC);
					}
					{
						BgL_sfunzf2ginfozf2_bglt BgL_auxz00_7982;

						{
							obj_t BgL_auxz00_7983;

							{	/* Globalize/ginfo.scm 20 */
								BgL_objectz00_bglt BgL_tmpz00_7984;

								BgL_tmpz00_7984 = ((BgL_objectz00_bglt) BgL_new1247z00_4521);
								BgL_auxz00_7983 = BGL_OBJECT_WIDENING(BgL_tmpz00_7984);
							}
							BgL_auxz00_7982 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_7983);
						}
						((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_7982))->
								BgL_bmarkz00) = ((long) BgL_bmark1141z00_4519), BUNSPEC);
					}
					{
						BgL_sfunzf2ginfozf2_bglt BgL_auxz00_7989;

						{
							obj_t BgL_auxz00_7990;

							{	/* Globalize/ginfo.scm 20 */
								BgL_objectz00_bglt BgL_tmpz00_7991;

								BgL_tmpz00_7991 = ((BgL_objectz00_bglt) BgL_new1247z00_4521);
								BgL_auxz00_7990 = BGL_OBJECT_WIDENING(BgL_tmpz00_7991);
							}
							BgL_auxz00_7989 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_7990);
						}
						((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_7989))->
								BgL_umarkz00) = ((long) BgL_umark1142z00_4520), BUNSPEC);
					}
					{
						BgL_sfunzf2ginfozf2_bglt BgL_auxz00_7996;

						{
							obj_t BgL_auxz00_7997;

							{	/* Globalize/ginfo.scm 20 */
								BgL_objectz00_bglt BgL_tmpz00_7998;

								BgL_tmpz00_7998 = ((BgL_objectz00_bglt) BgL_new1247z00_4521);
								BgL_auxz00_7997 = BGL_OBJECT_WIDENING(BgL_tmpz00_7998);
							}
							BgL_auxz00_7996 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_7997);
						}
						((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_7996))->
								BgL_freez00) = ((obj_t) BgL_free1143z00_4120), BUNSPEC);
					}
					{
						BgL_sfunzf2ginfozf2_bglt BgL_auxz00_8003;

						{
							obj_t BgL_auxz00_8004;

							{	/* Globalize/ginfo.scm 20 */
								BgL_objectz00_bglt BgL_tmpz00_8005;

								BgL_tmpz00_8005 = ((BgL_objectz00_bglt) BgL_new1247z00_4521);
								BgL_auxz00_8004 = BGL_OBJECT_WIDENING(BgL_tmpz00_8005);
							}
							BgL_auxz00_8003 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_8004);
						}
						((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_8003))->
								BgL_boundz00) = ((obj_t) BgL_bound1144z00_4121), BUNSPEC);
					}
					return BgL_new1247z00_4521;
				}
			}
		}

	}



/* &<@anonymous:1851> */
	obj_t BGl_z62zc3z04anonymousza31851ze3ze5zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_4122)
	{
		{	/* Globalize/ginfo.scm 20 */
			return BNIL;
		}

	}



/* &lambda1850 */
	obj_t BGl_z62lambda1850z62zzglobaliza7e_ginfoza7(obj_t BgL_envz00_4123,
		obj_t BgL_oz00_4124, obj_t BgL_vz00_4125)
	{
		{	/* Globalize/ginfo.scm 20 */
			{
				BgL_sfunzf2ginfozf2_bglt BgL_auxz00_8010;

				{
					obj_t BgL_auxz00_8011;

					{	/* Globalize/ginfo.scm 20 */
						BgL_objectz00_bglt BgL_tmpz00_8012;

						BgL_tmpz00_8012 =
							((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_oz00_4124));
						BgL_auxz00_8011 = BGL_OBJECT_WIDENING(BgL_tmpz00_8012);
					}
					BgL_auxz00_8010 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_8011);
				}
				return
					((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_8010))->
						BgL_boundz00) = ((obj_t) BgL_vz00_4125), BUNSPEC);
			}
		}

	}



/* &lambda1849 */
	obj_t BGl_z62lambda1849z62zzglobaliza7e_ginfoza7(obj_t BgL_envz00_4126,
		obj_t BgL_oz00_4127)
	{
		{	/* Globalize/ginfo.scm 20 */
			{
				BgL_sfunzf2ginfozf2_bglt BgL_auxz00_8018;

				{
					obj_t BgL_auxz00_8019;

					{	/* Globalize/ginfo.scm 20 */
						BgL_objectz00_bglt BgL_tmpz00_8020;

						BgL_tmpz00_8020 =
							((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_oz00_4127));
						BgL_auxz00_8019 = BGL_OBJECT_WIDENING(BgL_tmpz00_8020);
					}
					BgL_auxz00_8018 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_8019);
				}
				return
					(((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_8018))->BgL_boundz00);
			}
		}

	}



/* &<@anonymous:1837> */
	obj_t BGl_z62zc3z04anonymousza31837ze3ze5zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_4128)
	{
		{	/* Globalize/ginfo.scm 20 */
			return BUNSPEC;
		}

	}



/* &lambda1836 */
	obj_t BGl_z62lambda1836z62zzglobaliza7e_ginfoza7(obj_t BgL_envz00_4129,
		obj_t BgL_oz00_4130, obj_t BgL_vz00_4131)
	{
		{	/* Globalize/ginfo.scm 20 */
			{
				BgL_sfunzf2ginfozf2_bglt BgL_auxz00_8026;

				{
					obj_t BgL_auxz00_8027;

					{	/* Globalize/ginfo.scm 20 */
						BgL_objectz00_bglt BgL_tmpz00_8028;

						BgL_tmpz00_8028 =
							((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_oz00_4130));
						BgL_auxz00_8027 = BGL_OBJECT_WIDENING(BgL_tmpz00_8028);
					}
					BgL_auxz00_8026 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_8027);
				}
				return
					((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_8026))->
						BgL_freez00) = ((obj_t) BgL_vz00_4131), BUNSPEC);
			}
		}

	}



/* &lambda1835 */
	obj_t BGl_z62lambda1835z62zzglobaliza7e_ginfoza7(obj_t BgL_envz00_4132,
		obj_t BgL_oz00_4133)
	{
		{	/* Globalize/ginfo.scm 20 */
			{
				BgL_sfunzf2ginfozf2_bglt BgL_auxz00_8034;

				{
					obj_t BgL_auxz00_8035;

					{	/* Globalize/ginfo.scm 20 */
						BgL_objectz00_bglt BgL_tmpz00_8036;

						BgL_tmpz00_8036 =
							((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_oz00_4133));
						BgL_auxz00_8035 = BGL_OBJECT_WIDENING(BgL_tmpz00_8036);
					}
					BgL_auxz00_8034 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_8035);
				}
				return
					(((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_8034))->BgL_freez00);
			}
		}

	}



/* &<@anonymous:1821> */
	obj_t BGl_z62zc3z04anonymousza31821ze3ze5zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_4134)
	{
		{	/* Globalize/ginfo.scm 20 */
			return BINT((-10L));
		}

	}



/* &lambda1820 */
	obj_t BGl_z62lambda1820z62zzglobaliza7e_ginfoza7(obj_t BgL_envz00_4135,
		obj_t BgL_oz00_4136, obj_t BgL_vz00_4137)
	{
		{	/* Globalize/ginfo.scm 20 */
			{	/* Globalize/ginfo.scm 20 */
				long BgL_vz00_4532;

				BgL_vz00_4532 = (long) CINT(BgL_vz00_4137);
				{
					BgL_sfunzf2ginfozf2_bglt BgL_auxz00_8044;

					{
						obj_t BgL_auxz00_8045;

						{	/* Globalize/ginfo.scm 20 */
							BgL_objectz00_bglt BgL_tmpz00_8046;

							BgL_tmpz00_8046 =
								((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_oz00_4136));
							BgL_auxz00_8045 = BGL_OBJECT_WIDENING(BgL_tmpz00_8046);
						}
						BgL_auxz00_8044 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_8045);
					}
					return
						((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_8044))->
							BgL_umarkz00) = ((long) BgL_vz00_4532), BUNSPEC);
		}}}

	}



/* &lambda1819 */
	obj_t BGl_z62lambda1819z62zzglobaliza7e_ginfoza7(obj_t BgL_envz00_4138,
		obj_t BgL_oz00_4139)
	{
		{	/* Globalize/ginfo.scm 20 */
			{	/* Globalize/ginfo.scm 20 */
				long BgL_tmpz00_8052;

				{
					BgL_sfunzf2ginfozf2_bglt BgL_auxz00_8053;

					{
						obj_t BgL_auxz00_8054;

						{	/* Globalize/ginfo.scm 20 */
							BgL_objectz00_bglt BgL_tmpz00_8055;

							BgL_tmpz00_8055 =
								((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_oz00_4139));
							BgL_auxz00_8054 = BGL_OBJECT_WIDENING(BgL_tmpz00_8055);
						}
						BgL_auxz00_8053 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_8054);
					}
					BgL_tmpz00_8052 =
						(((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_8053))->
						BgL_umarkz00);
				}
				return BINT(BgL_tmpz00_8052);
			}
		}

	}



/* &<@anonymous:1807> */
	obj_t BGl_z62zc3z04anonymousza31807ze3ze5zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_4140)
	{
		{	/* Globalize/ginfo.scm 20 */
			return BINT((-10L));
		}

	}



/* &lambda1806 */
	obj_t BGl_z62lambda1806z62zzglobaliza7e_ginfoza7(obj_t BgL_envz00_4141,
		obj_t BgL_oz00_4142, obj_t BgL_vz00_4143)
	{
		{	/* Globalize/ginfo.scm 20 */
			{	/* Globalize/ginfo.scm 20 */
				long BgL_vz00_4535;

				BgL_vz00_4535 = (long) CINT(BgL_vz00_4143);
				{
					BgL_sfunzf2ginfozf2_bglt BgL_auxz00_8064;

					{
						obj_t BgL_auxz00_8065;

						{	/* Globalize/ginfo.scm 20 */
							BgL_objectz00_bglt BgL_tmpz00_8066;

							BgL_tmpz00_8066 =
								((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_oz00_4142));
							BgL_auxz00_8065 = BGL_OBJECT_WIDENING(BgL_tmpz00_8066);
						}
						BgL_auxz00_8064 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_8065);
					}
					return
						((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_8064))->
							BgL_bmarkz00) = ((long) BgL_vz00_4535), BUNSPEC);
		}}}

	}



/* &lambda1805 */
	obj_t BGl_z62lambda1805z62zzglobaliza7e_ginfoza7(obj_t BgL_envz00_4144,
		obj_t BgL_oz00_4145)
	{
		{	/* Globalize/ginfo.scm 20 */
			{	/* Globalize/ginfo.scm 20 */
				long BgL_tmpz00_8072;

				{
					BgL_sfunzf2ginfozf2_bglt BgL_auxz00_8073;

					{
						obj_t BgL_auxz00_8074;

						{	/* Globalize/ginfo.scm 20 */
							BgL_objectz00_bglt BgL_tmpz00_8075;

							BgL_tmpz00_8075 =
								((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_oz00_4145));
							BgL_auxz00_8074 = BGL_OBJECT_WIDENING(BgL_tmpz00_8075);
						}
						BgL_auxz00_8073 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_8074);
					}
					BgL_tmpz00_8072 =
						(((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_8073))->
						BgL_bmarkz00);
				}
				return BINT(BgL_tmpz00_8072);
			}
		}

	}



/* &<@anonymous:1800> */
	obj_t BGl_z62zc3z04anonymousza31800ze3ze5zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_4146)
	{
		{	/* Globalize/ginfo.scm 20 */
			return BBOOL(((bool_t) 0));
		}

	}



/* &lambda1799 */
	obj_t BGl_z62lambda1799z62zzglobaliza7e_ginfoza7(obj_t BgL_envz00_4147,
		obj_t BgL_oz00_4148, obj_t BgL_vz00_4149)
	{
		{	/* Globalize/ginfo.scm 20 */
			{
				BgL_sfunzf2ginfozf2_bglt BgL_auxz00_8083;

				{
					obj_t BgL_auxz00_8084;

					{	/* Globalize/ginfo.scm 20 */
						BgL_objectz00_bglt BgL_tmpz00_8085;

						BgL_tmpz00_8085 =
							((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_oz00_4148));
						BgL_auxz00_8084 = BGL_OBJECT_WIDENING(BgL_tmpz00_8085);
					}
					BgL_auxz00_8083 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_8084);
				}
				return
					((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_8083))->
						BgL_newzd2bodyzd2) = ((obj_t) BgL_vz00_4149), BUNSPEC);
			}
		}

	}



/* &lambda1798 */
	obj_t BGl_z62lambda1798z62zzglobaliza7e_ginfoza7(obj_t BgL_envz00_4150,
		obj_t BgL_oz00_4151)
	{
		{	/* Globalize/ginfo.scm 20 */
			{
				BgL_sfunzf2ginfozf2_bglt BgL_auxz00_8091;

				{
					obj_t BgL_auxz00_8092;

					{	/* Globalize/ginfo.scm 20 */
						BgL_objectz00_bglt BgL_tmpz00_8093;

						BgL_tmpz00_8093 =
							((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_oz00_4151));
						BgL_auxz00_8092 = BGL_OBJECT_WIDENING(BgL_tmpz00_8093);
					}
					BgL_auxz00_8091 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_8092);
				}
				return
					(((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_8091))->
					BgL_newzd2bodyzd2);
			}
		}

	}



/* &<@anonymous:1788> */
	obj_t BGl_z62zc3z04anonymousza31788ze3ze5zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_4152)
	{
		{	/* Globalize/ginfo.scm 20 */
			return BBOOL(((bool_t) 0));
		}

	}



/* &lambda1787 */
	obj_t BGl_z62lambda1787z62zzglobaliza7e_ginfoza7(obj_t BgL_envz00_4153,
		obj_t BgL_oz00_4154, obj_t BgL_vz00_4155)
	{
		{	/* Globalize/ginfo.scm 20 */
			{
				BgL_sfunzf2ginfozf2_bglt BgL_auxz00_8100;

				{
					obj_t BgL_auxz00_8101;

					{	/* Globalize/ginfo.scm 20 */
						BgL_objectz00_bglt BgL_tmpz00_8102;

						BgL_tmpz00_8102 =
							((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_oz00_4154));
						BgL_auxz00_8101 = BGL_OBJECT_WIDENING(BgL_tmpz00_8102);
					}
					BgL_auxz00_8100 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_8101);
				}
				return
					((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_8100))->
						BgL_kapturedz00) = ((obj_t) BgL_vz00_4155), BUNSPEC);
			}
		}

	}



/* &lambda1786 */
	obj_t BGl_z62lambda1786z62zzglobaliza7e_ginfoza7(obj_t BgL_envz00_4156,
		obj_t BgL_oz00_4157)
	{
		{	/* Globalize/ginfo.scm 20 */
			{
				BgL_sfunzf2ginfozf2_bglt BgL_auxz00_8108;

				{
					obj_t BgL_auxz00_8109;

					{	/* Globalize/ginfo.scm 20 */
						BgL_objectz00_bglt BgL_tmpz00_8110;

						BgL_tmpz00_8110 =
							((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_oz00_4157));
						BgL_auxz00_8109 = BGL_OBJECT_WIDENING(BgL_tmpz00_8110);
					}
					BgL_auxz00_8108 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_8109);
				}
				return
					(((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_8108))->
					BgL_kapturedz00);
			}
		}

	}



/* &<@anonymous:1779> */
	obj_t BGl_z62zc3z04anonymousza31779ze3ze5zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_4158)
	{
		{	/* Globalize/ginfo.scm 20 */
			return BBOOL(((bool_t) 0));
		}

	}



/* &lambda1778 */
	obj_t BGl_z62lambda1778z62zzglobaliza7e_ginfoza7(obj_t BgL_envz00_4159,
		obj_t BgL_oz00_4160, obj_t BgL_vz00_4161)
	{
		{	/* Globalize/ginfo.scm 20 */
			{
				BgL_sfunzf2ginfozf2_bglt BgL_auxz00_8117;

				{
					obj_t BgL_auxz00_8118;

					{	/* Globalize/ginfo.scm 20 */
						BgL_objectz00_bglt BgL_tmpz00_8119;

						BgL_tmpz00_8119 =
							((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_oz00_4160));
						BgL_auxz00_8118 = BGL_OBJECT_WIDENING(BgL_tmpz00_8119);
					}
					BgL_auxz00_8117 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_8118);
				}
				return
					((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_8117))->
						BgL_thezd2globalzd2) = ((obj_t) BgL_vz00_4161), BUNSPEC);
			}
		}

	}



/* &lambda1777 */
	obj_t BGl_z62lambda1777z62zzglobaliza7e_ginfoza7(obj_t BgL_envz00_4162,
		obj_t BgL_oz00_4163)
	{
		{	/* Globalize/ginfo.scm 20 */
			{
				BgL_sfunzf2ginfozf2_bglt BgL_auxz00_8125;

				{
					obj_t BgL_auxz00_8126;

					{	/* Globalize/ginfo.scm 20 */
						BgL_objectz00_bglt BgL_tmpz00_8127;

						BgL_tmpz00_8127 =
							((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_oz00_4163));
						BgL_auxz00_8126 = BGL_OBJECT_WIDENING(BgL_tmpz00_8127);
					}
					BgL_auxz00_8125 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_8126);
				}
				return
					(((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_8125))->
					BgL_thezd2globalzd2);
			}
		}

	}



/* &<@anonymous:1766> */
	obj_t BGl_z62zc3z04anonymousza31766ze3ze5zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_4164)
	{
		{	/* Globalize/ginfo.scm 20 */
			return BNIL;
		}

	}



/* &lambda1765 */
	obj_t BGl_z62lambda1765z62zzglobaliza7e_ginfoza7(obj_t BgL_envz00_4165,
		obj_t BgL_oz00_4166, obj_t BgL_vz00_4167)
	{
		{	/* Globalize/ginfo.scm 20 */
			{
				BgL_sfunzf2ginfozf2_bglt BgL_auxz00_8133;

				{
					obj_t BgL_auxz00_8134;

					{	/* Globalize/ginfo.scm 20 */
						BgL_objectz00_bglt BgL_tmpz00_8135;

						BgL_tmpz00_8135 =
							((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_oz00_4166));
						BgL_auxz00_8134 = BGL_OBJECT_WIDENING(BgL_tmpz00_8135);
					}
					BgL_auxz00_8133 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_8134);
				}
				return
					((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_8133))->
						BgL_freezd2markzd2) = ((obj_t) BgL_vz00_4167), BUNSPEC);
			}
		}

	}



/* &lambda1764 */
	obj_t BGl_z62lambda1764z62zzglobaliza7e_ginfoza7(obj_t BgL_envz00_4168,
		obj_t BgL_oz00_4169)
	{
		{	/* Globalize/ginfo.scm 20 */
			{
				BgL_sfunzf2ginfozf2_bglt BgL_auxz00_8141;

				{
					obj_t BgL_auxz00_8142;

					{	/* Globalize/ginfo.scm 20 */
						BgL_objectz00_bglt BgL_tmpz00_8143;

						BgL_tmpz00_8143 =
							((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_oz00_4169));
						BgL_auxz00_8142 = BGL_OBJECT_WIDENING(BgL_tmpz00_8143);
					}
					BgL_auxz00_8141 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_8142);
				}
				return
					(((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_8141))->
					BgL_freezd2markzd2);
			}
		}

	}



/* &<@anonymous:1749> */
	obj_t BGl_z62zc3z04anonymousza31749ze3ze5zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_4170)
	{
		{	/* Globalize/ginfo.scm 20 */
			return BINT((-10L));
		}

	}



/* &lambda1748 */
	obj_t BGl_z62lambda1748z62zzglobaliza7e_ginfoza7(obj_t BgL_envz00_4171,
		obj_t BgL_oz00_4172, obj_t BgL_vz00_4173)
	{
		{	/* Globalize/ginfo.scm 20 */
			{	/* Globalize/ginfo.scm 20 */
				long BgL_vz00_4546;

				BgL_vz00_4546 = (long) CINT(BgL_vz00_4173);
				{
					BgL_sfunzf2ginfozf2_bglt BgL_auxz00_8151;

					{
						obj_t BgL_auxz00_8152;

						{	/* Globalize/ginfo.scm 20 */
							BgL_objectz00_bglt BgL_tmpz00_8153;

							BgL_tmpz00_8153 =
								((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_oz00_4172));
							BgL_auxz00_8152 = BGL_OBJECT_WIDENING(BgL_tmpz00_8153);
						}
						BgL_auxz00_8151 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_8152);
					}
					return
						((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_8151))->
							BgL_markz00) = ((long) BgL_vz00_4546), BUNSPEC);
		}}}

	}



/* &lambda1747 */
	obj_t BGl_z62lambda1747z62zzglobaliza7e_ginfoza7(obj_t BgL_envz00_4174,
		obj_t BgL_oz00_4175)
	{
		{	/* Globalize/ginfo.scm 20 */
			{	/* Globalize/ginfo.scm 20 */
				long BgL_tmpz00_8159;

				{
					BgL_sfunzf2ginfozf2_bglt BgL_auxz00_8160;

					{
						obj_t BgL_auxz00_8161;

						{	/* Globalize/ginfo.scm 20 */
							BgL_objectz00_bglt BgL_tmpz00_8162;

							BgL_tmpz00_8162 =
								((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_oz00_4175));
							BgL_auxz00_8161 = BGL_OBJECT_WIDENING(BgL_tmpz00_8162);
						}
						BgL_auxz00_8160 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_8161);
					}
					BgL_tmpz00_8159 =
						(((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_8160))->
						BgL_markz00);
				}
				return BINT(BgL_tmpz00_8159);
			}
		}

	}



/* &<@anonymous:1723> */
	obj_t BGl_z62zc3z04anonymousza31723ze3ze5zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_4176)
	{
		{	/* Globalize/ginfo.scm 20 */
			return BNIL;
		}

	}



/* &lambda1722 */
	obj_t BGl_z62lambda1722z62zzglobaliza7e_ginfoza7(obj_t BgL_envz00_4177,
		obj_t BgL_oz00_4178, obj_t BgL_vz00_4179)
	{
		{	/* Globalize/ginfo.scm 20 */
			{
				BgL_sfunzf2ginfozf2_bglt BgL_auxz00_8169;

				{
					obj_t BgL_auxz00_8170;

					{	/* Globalize/ginfo.scm 20 */
						BgL_objectz00_bglt BgL_tmpz00_8171;

						BgL_tmpz00_8171 =
							((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_oz00_4178));
						BgL_auxz00_8170 = BGL_OBJECT_WIDENING(BgL_tmpz00_8171);
					}
					BgL_auxz00_8169 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_8170);
				}
				return
					((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_8169))->
						BgL_pluggedzd2inzd2) = ((obj_t) BgL_vz00_4179), BUNSPEC);
			}
		}

	}



/* &lambda1721 */
	obj_t BGl_z62lambda1721z62zzglobaliza7e_ginfoza7(obj_t BgL_envz00_4180,
		obj_t BgL_oz00_4181)
	{
		{	/* Globalize/ginfo.scm 20 */
			{
				BgL_sfunzf2ginfozf2_bglt BgL_auxz00_8177;

				{
					obj_t BgL_auxz00_8178;

					{	/* Globalize/ginfo.scm 20 */
						BgL_objectz00_bglt BgL_tmpz00_8179;

						BgL_tmpz00_8179 =
							((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_oz00_4181));
						BgL_auxz00_8178 = BGL_OBJECT_WIDENING(BgL_tmpz00_8179);
					}
					BgL_auxz00_8177 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_8178);
				}
				return
					(((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_8177))->
					BgL_pluggedzd2inzd2);
			}
		}

	}



/* &<@anonymous:1706> */
	obj_t BGl_z62zc3z04anonymousza31706ze3ze5zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_4182)
	{
		{	/* Globalize/ginfo.scm 20 */
			return BNIL;
		}

	}



/* &lambda1705 */
	obj_t BGl_z62lambda1705z62zzglobaliza7e_ginfoza7(obj_t BgL_envz00_4183,
		obj_t BgL_oz00_4184, obj_t BgL_vz00_4185)
	{
		{	/* Globalize/ginfo.scm 20 */
			{
				BgL_sfunzf2ginfozf2_bglt BgL_auxz00_8185;

				{
					obj_t BgL_auxz00_8186;

					{	/* Globalize/ginfo.scm 20 */
						BgL_objectz00_bglt BgL_tmpz00_8187;

						BgL_tmpz00_8187 =
							((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_oz00_4184));
						BgL_auxz00_8186 = BGL_OBJECT_WIDENING(BgL_tmpz00_8187);
					}
					BgL_auxz00_8185 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_8186);
				}
				return
					((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_8185))->
						BgL_integratedz00) = ((obj_t) BgL_vz00_4185), BUNSPEC);
			}
		}

	}



/* &lambda1704 */
	obj_t BGl_z62lambda1704z62zzglobaliza7e_ginfoza7(obj_t BgL_envz00_4186,
		obj_t BgL_oz00_4187)
	{
		{	/* Globalize/ginfo.scm 20 */
			{
				BgL_sfunzf2ginfozf2_bglt BgL_auxz00_8193;

				{
					obj_t BgL_auxz00_8194;

					{	/* Globalize/ginfo.scm 20 */
						BgL_objectz00_bglt BgL_tmpz00_8195;

						BgL_tmpz00_8195 =
							((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_oz00_4187));
						BgL_auxz00_8194 = BGL_OBJECT_WIDENING(BgL_tmpz00_8195);
					}
					BgL_auxz00_8193 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_8194);
				}
				return
					(((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_8193))->
					BgL_integratedz00);
			}
		}

	}



/* &<@anonymous:1694> */
	obj_t BGl_z62zc3z04anonymousza31694ze3ze5zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_4188)
	{
		{	/* Globalize/ginfo.scm 20 */
			return BBOOL(((bool_t) 0));
		}

	}



/* &lambda1693 */
	obj_t BGl_z62lambda1693z62zzglobaliza7e_ginfoza7(obj_t BgL_envz00_4189,
		obj_t BgL_oz00_4190, obj_t BgL_vz00_4191)
	{
		{	/* Globalize/ginfo.scm 20 */
			{
				BgL_sfunzf2ginfozf2_bglt BgL_auxz00_8202;

				{
					obj_t BgL_auxz00_8203;

					{	/* Globalize/ginfo.scm 20 */
						BgL_objectz00_bglt BgL_tmpz00_8204;

						BgL_tmpz00_8204 =
							((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_oz00_4190));
						BgL_auxz00_8203 = BGL_OBJECT_WIDENING(BgL_tmpz00_8204);
					}
					BgL_auxz00_8202 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_8203);
				}
				return
					((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_8202))->
						BgL_ownerz00) = ((obj_t) BgL_vz00_4191), BUNSPEC);
			}
		}

	}



/* &lambda1692 */
	obj_t BGl_z62lambda1692z62zzglobaliza7e_ginfoza7(obj_t BgL_envz00_4192,
		obj_t BgL_oz00_4193)
	{
		{	/* Globalize/ginfo.scm 20 */
			{
				BgL_sfunzf2ginfozf2_bglt BgL_auxz00_8210;

				{
					obj_t BgL_auxz00_8211;

					{	/* Globalize/ginfo.scm 20 */
						BgL_objectz00_bglt BgL_tmpz00_8212;

						BgL_tmpz00_8212 =
							((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_oz00_4193));
						BgL_auxz00_8211 = BGL_OBJECT_WIDENING(BgL_tmpz00_8212);
					}
					BgL_auxz00_8210 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_8211);
				}
				return
					(((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_8210))->BgL_ownerz00);
			}
		}

	}



/* &<@anonymous:1677> */
	obj_t BGl_z62zc3z04anonymousza31677ze3ze5zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_4194)
	{
		{	/* Globalize/ginfo.scm 20 */
			return BNIL;
		}

	}



/* &lambda1676 */
	obj_t BGl_z62lambda1676z62zzglobaliza7e_ginfoza7(obj_t BgL_envz00_4195,
		obj_t BgL_oz00_4196, obj_t BgL_vz00_4197)
	{
		{	/* Globalize/ginfo.scm 20 */
			{
				BgL_sfunzf2ginfozf2_bglt BgL_auxz00_8218;

				{
					obj_t BgL_auxz00_8219;

					{	/* Globalize/ginfo.scm 20 */
						BgL_objectz00_bglt BgL_tmpz00_8220;

						BgL_tmpz00_8220 =
							((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_oz00_4196));
						BgL_auxz00_8219 = BGL_OBJECT_WIDENING(BgL_tmpz00_8220);
					}
					BgL_auxz00_8218 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_8219);
				}
				return
					((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_8218))->
						BgL_imarkz00) = ((obj_t) BgL_vz00_4197), BUNSPEC);
			}
		}

	}



/* &lambda1675 */
	obj_t BGl_z62lambda1675z62zzglobaliza7e_ginfoza7(obj_t BgL_envz00_4198,
		obj_t BgL_oz00_4199)
	{
		{	/* Globalize/ginfo.scm 20 */
			{
				BgL_sfunzf2ginfozf2_bglt BgL_auxz00_8226;

				{
					obj_t BgL_auxz00_8227;

					{	/* Globalize/ginfo.scm 20 */
						BgL_objectz00_bglt BgL_tmpz00_8228;

						BgL_tmpz00_8228 =
							((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_oz00_4199));
						BgL_auxz00_8227 = BGL_OBJECT_WIDENING(BgL_tmpz00_8228);
					}
					BgL_auxz00_8226 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_8227);
				}
				return
					(((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_8226))->BgL_imarkz00);
			}
		}

	}



/* &<@anonymous:1660> */
	obj_t BGl_z62zc3z04anonymousza31660ze3ze5zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_4200)
	{
		{	/* Globalize/ginfo.scm 20 */
			return BUNSPEC;
		}

	}



/* &lambda1659 */
	obj_t BGl_z62lambda1659z62zzglobaliza7e_ginfoza7(obj_t BgL_envz00_4201,
		obj_t BgL_oz00_4202, obj_t BgL_vz00_4203)
	{
		{	/* Globalize/ginfo.scm 20 */
			{
				BgL_sfunzf2ginfozf2_bglt BgL_auxz00_8234;

				{
					obj_t BgL_auxz00_8235;

					{	/* Globalize/ginfo.scm 20 */
						BgL_objectz00_bglt BgL_tmpz00_8236;

						BgL_tmpz00_8236 =
							((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_oz00_4202));
						BgL_auxz00_8235 = BGL_OBJECT_WIDENING(BgL_tmpz00_8236);
					}
					BgL_auxz00_8234 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_8235);
				}
				return
					((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_8234))->
						BgL_integratorz00) = ((obj_t) BgL_vz00_4203), BUNSPEC);
			}
		}

	}



/* &lambda1658 */
	obj_t BGl_z62lambda1658z62zzglobaliza7e_ginfoza7(obj_t BgL_envz00_4204,
		obj_t BgL_oz00_4205)
	{
		{	/* Globalize/ginfo.scm 20 */
			{
				BgL_sfunzf2ginfozf2_bglt BgL_auxz00_8242;

				{
					obj_t BgL_auxz00_8243;

					{	/* Globalize/ginfo.scm 20 */
						BgL_objectz00_bglt BgL_tmpz00_8244;

						BgL_tmpz00_8244 =
							((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_oz00_4205));
						BgL_auxz00_8243 = BGL_OBJECT_WIDENING(BgL_tmpz00_8244);
					}
					BgL_auxz00_8242 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_8243);
				}
				return
					(((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_8242))->
					BgL_integratorz00);
			}
		}

	}



/* &<@anonymous:1651> */
	obj_t BGl_z62zc3z04anonymousza31651ze3ze5zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_4206)
	{
		{	/* Globalize/ginfo.scm 20 */
			return BNIL;
		}

	}



/* &lambda1650 */
	obj_t BGl_z62lambda1650z62zzglobaliza7e_ginfoza7(obj_t BgL_envz00_4207,
		obj_t BgL_oz00_4208, obj_t BgL_vz00_4209)
	{
		{	/* Globalize/ginfo.scm 20 */
			{
				BgL_sfunzf2ginfozf2_bglt BgL_auxz00_8250;

				{
					obj_t BgL_auxz00_8251;

					{	/* Globalize/ginfo.scm 20 */
						BgL_objectz00_bglt BgL_tmpz00_8252;

						BgL_tmpz00_8252 =
							((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_oz00_4208));
						BgL_auxz00_8251 = BGL_OBJECT_WIDENING(BgL_tmpz00_8252);
					}
					BgL_auxz00_8250 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_8251);
				}
				return
					((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_8250))->
						BgL_efunctionsz00) = ((obj_t) BgL_vz00_4209), BUNSPEC);
			}
		}

	}



/* &lambda1649 */
	obj_t BGl_z62lambda1649z62zzglobaliza7e_ginfoza7(obj_t BgL_envz00_4210,
		obj_t BgL_oz00_4211)
	{
		{	/* Globalize/ginfo.scm 20 */
			{
				BgL_sfunzf2ginfozf2_bglt BgL_auxz00_8258;

				{
					obj_t BgL_auxz00_8259;

					{	/* Globalize/ginfo.scm 20 */
						BgL_objectz00_bglt BgL_tmpz00_8260;

						BgL_tmpz00_8260 =
							((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_oz00_4211));
						BgL_auxz00_8259 = BGL_OBJECT_WIDENING(BgL_tmpz00_8260);
					}
					BgL_auxz00_8258 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_8259);
				}
				return
					(((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_8258))->
					BgL_efunctionsz00);
			}
		}

	}



/* &<@anonymous:1635> */
	obj_t BGl_z62zc3z04anonymousza31635ze3ze5zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_4212)
	{
		{	/* Globalize/ginfo.scm 20 */
			return BBOOL(((bool_t) 0));
		}

	}



/* &lambda1634 */
	obj_t BGl_z62lambda1634z62zzglobaliza7e_ginfoza7(obj_t BgL_envz00_4213,
		obj_t BgL_oz00_4214, obj_t BgL_vz00_4215)
	{
		{	/* Globalize/ginfo.scm 20 */
			{
				BgL_sfunzf2ginfozf2_bglt BgL_auxz00_8267;

				{
					obj_t BgL_auxz00_8268;

					{	/* Globalize/ginfo.scm 20 */
						BgL_objectz00_bglt BgL_tmpz00_8269;

						BgL_tmpz00_8269 =
							((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_oz00_4214));
						BgL_auxz00_8268 = BGL_OBJECT_WIDENING(BgL_tmpz00_8269);
					}
					BgL_auxz00_8267 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_8268);
				}
				return
					((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_8267))->
						BgL_ctoza2za2) = ((obj_t) BgL_vz00_4215), BUNSPEC);
			}
		}

	}



/* &lambda1633 */
	obj_t BGl_z62lambda1633z62zzglobaliza7e_ginfoza7(obj_t BgL_envz00_4216,
		obj_t BgL_oz00_4217)
	{
		{	/* Globalize/ginfo.scm 20 */
			{
				BgL_sfunzf2ginfozf2_bglt BgL_auxz00_8275;

				{
					obj_t BgL_auxz00_8276;

					{	/* Globalize/ginfo.scm 20 */
						BgL_objectz00_bglt BgL_tmpz00_8277;

						BgL_tmpz00_8277 =
							((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_oz00_4217));
						BgL_auxz00_8276 = BGL_OBJECT_WIDENING(BgL_tmpz00_8277);
					}
					BgL_auxz00_8275 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_8276);
				}
				return
					(((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_8275))->
					BgL_ctoza2za2);
			}
		}

	}



/* &<@anonymous:1615> */
	obj_t BGl_z62zc3z04anonymousza31615ze3ze5zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_4218)
	{
		{	/* Globalize/ginfo.scm 20 */
			return BNIL;
		}

	}



/* &lambda1614 */
	obj_t BGl_z62lambda1614z62zzglobaliza7e_ginfoza7(obj_t BgL_envz00_4219,
		obj_t BgL_oz00_4220, obj_t BgL_vz00_4221)
	{
		{	/* Globalize/ginfo.scm 20 */
			{
				BgL_sfunzf2ginfozf2_bglt BgL_auxz00_8283;

				{
					obj_t BgL_auxz00_8284;

					{	/* Globalize/ginfo.scm 20 */
						BgL_objectz00_bglt BgL_tmpz00_8285;

						BgL_tmpz00_8285 =
							((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_oz00_4220));
						BgL_auxz00_8284 = BGL_OBJECT_WIDENING(BgL_tmpz00_8285);
					}
					BgL_auxz00_8283 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_8284);
				}
				return
					((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_8283))->BgL_ctoz00) =
					((obj_t) BgL_vz00_4221), BUNSPEC);
			}
		}

	}



/* &lambda1613 */
	obj_t BGl_z62lambda1613z62zzglobaliza7e_ginfoza7(obj_t BgL_envz00_4222,
		obj_t BgL_oz00_4223)
	{
		{	/* Globalize/ginfo.scm 20 */
			{
				BgL_sfunzf2ginfozf2_bglt BgL_auxz00_8291;

				{
					obj_t BgL_auxz00_8292;

					{	/* Globalize/ginfo.scm 20 */
						BgL_objectz00_bglt BgL_tmpz00_8293;

						BgL_tmpz00_8293 =
							((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_oz00_4223));
						BgL_auxz00_8292 = BGL_OBJECT_WIDENING(BgL_tmpz00_8293);
					}
					BgL_auxz00_8291 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_8292);
				}
				return
					(((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_8291))->BgL_ctoz00);
			}
		}

	}



/* &<@anonymous:1593> */
	obj_t BGl_z62zc3z04anonymousza31593ze3ze5zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_4224)
	{
		{	/* Globalize/ginfo.scm 20 */
			return BBOOL(((bool_t) 0));
		}

	}



/* &lambda1592 */
	obj_t BGl_z62lambda1592z62zzglobaliza7e_ginfoza7(obj_t BgL_envz00_4225,
		obj_t BgL_oz00_4226, obj_t BgL_vz00_4227)
	{
		{	/* Globalize/ginfo.scm 20 */
			{
				BgL_sfunzf2ginfozf2_bglt BgL_auxz00_8300;

				{
					obj_t BgL_auxz00_8301;

					{	/* Globalize/ginfo.scm 20 */
						BgL_objectz00_bglt BgL_tmpz00_8302;

						BgL_tmpz00_8302 =
							((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_oz00_4226));
						BgL_auxz00_8301 = BGL_OBJECT_WIDENING(BgL_tmpz00_8302);
					}
					BgL_auxz00_8300 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_8301);
				}
				return
					((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_8300))->
						BgL_cfromza2za2) = ((obj_t) BgL_vz00_4227), BUNSPEC);
			}
		}

	}



/* &lambda1591 */
	obj_t BGl_z62lambda1591z62zzglobaliza7e_ginfoza7(obj_t BgL_envz00_4228,
		obj_t BgL_oz00_4229)
	{
		{	/* Globalize/ginfo.scm 20 */
			{
				BgL_sfunzf2ginfozf2_bglt BgL_auxz00_8308;

				{
					obj_t BgL_auxz00_8309;

					{	/* Globalize/ginfo.scm 20 */
						BgL_objectz00_bglt BgL_tmpz00_8310;

						BgL_tmpz00_8310 =
							((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_oz00_4229));
						BgL_auxz00_8309 = BGL_OBJECT_WIDENING(BgL_tmpz00_8310);
					}
					BgL_auxz00_8308 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_8309);
				}
				return
					(((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_8308))->
					BgL_cfromza2za2);
			}
		}

	}



/* &<@anonymous:1580> */
	obj_t BGl_z62zc3z04anonymousza31580ze3ze5zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_4230)
	{
		{	/* Globalize/ginfo.scm 20 */
			return BNIL;
		}

	}



/* &lambda1579 */
	obj_t BGl_z62lambda1579z62zzglobaliza7e_ginfoza7(obj_t BgL_envz00_4231,
		obj_t BgL_oz00_4232, obj_t BgL_vz00_4233)
	{
		{	/* Globalize/ginfo.scm 20 */
			{
				BgL_sfunzf2ginfozf2_bglt BgL_auxz00_8316;

				{
					obj_t BgL_auxz00_8317;

					{	/* Globalize/ginfo.scm 20 */
						BgL_objectz00_bglt BgL_tmpz00_8318;

						BgL_tmpz00_8318 =
							((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_oz00_4232));
						BgL_auxz00_8317 = BGL_OBJECT_WIDENING(BgL_tmpz00_8318);
					}
					BgL_auxz00_8316 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_8317);
				}
				return
					((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_8316))->
						BgL_cfromz00) = ((obj_t) BgL_vz00_4233), BUNSPEC);
			}
		}

	}



/* &lambda1578 */
	obj_t BGl_z62lambda1578z62zzglobaliza7e_ginfoza7(obj_t BgL_envz00_4234,
		obj_t BgL_oz00_4235)
	{
		{	/* Globalize/ginfo.scm 20 */
			{
				BgL_sfunzf2ginfozf2_bglt BgL_auxz00_8324;

				{
					obj_t BgL_auxz00_8325;

					{	/* Globalize/ginfo.scm 20 */
						BgL_objectz00_bglt BgL_tmpz00_8326;

						BgL_tmpz00_8326 =
							((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_oz00_4235));
						BgL_auxz00_8325 = BGL_OBJECT_WIDENING(BgL_tmpz00_8326);
					}
					BgL_auxz00_8324 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_8325);
				}
				return
					(((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_8324))->BgL_cfromz00);
			}
		}

	}



/* &<@anonymous:1556> */
	obj_t BGl_z62zc3z04anonymousza31556ze3ze5zzglobaliza7e_ginfoza7(obj_t
		BgL_envz00_4236)
	{
		{	/* Globalize/ginfo.scm 20 */
			return BBOOL(((bool_t) 0));
		}

	}



/* &lambda1555 */
	obj_t BGl_z62lambda1555z62zzglobaliza7e_ginfoza7(obj_t BgL_envz00_4237,
		obj_t BgL_oz00_4238, obj_t BgL_vz00_4239)
	{
		{	/* Globalize/ginfo.scm 20 */
			{	/* Globalize/ginfo.scm 20 */
				bool_t BgL_vz00_4569;

				BgL_vz00_4569 = CBOOL(BgL_vz00_4239);
				{
					BgL_sfunzf2ginfozf2_bglt BgL_auxz00_8334;

					{
						obj_t BgL_auxz00_8335;

						{	/* Globalize/ginfo.scm 20 */
							BgL_objectz00_bglt BgL_tmpz00_8336;

							BgL_tmpz00_8336 =
								((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_oz00_4238));
							BgL_auxz00_8335 = BGL_OBJECT_WIDENING(BgL_tmpz00_8336);
						}
						BgL_auxz00_8334 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_8335);
					}
					return
						((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_8334))->
							BgL_gzf3zf3) = ((bool_t) BgL_vz00_4569), BUNSPEC);
				}
			}
		}

	}



/* &lambda1554 */
	obj_t BGl_z62lambda1554z62zzglobaliza7e_ginfoza7(obj_t BgL_envz00_4240,
		obj_t BgL_oz00_4241)
	{
		{	/* Globalize/ginfo.scm 20 */
			{	/* Globalize/ginfo.scm 20 */
				bool_t BgL_tmpz00_8342;

				{
					BgL_sfunzf2ginfozf2_bglt BgL_auxz00_8343;

					{
						obj_t BgL_auxz00_8344;

						{	/* Globalize/ginfo.scm 20 */
							BgL_objectz00_bglt BgL_tmpz00_8345;

							BgL_tmpz00_8345 =
								((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_oz00_4241));
							BgL_auxz00_8344 = BGL_OBJECT_WIDENING(BgL_tmpz00_8345);
						}
						BgL_auxz00_8343 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_8344);
					}
					BgL_tmpz00_8342 =
						(((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_8343))->
						BgL_gzf3zf3);
				}
				return BBOOL(BgL_tmpz00_8342);
			}
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzglobaliza7e_ginfoza7(void)
	{
		{	/* Globalize/ginfo.scm 15 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzglobaliza7e_ginfoza7(void)
	{
		{	/* Globalize/ginfo.scm 15 */
			return BUNSPEC;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzglobaliza7e_ginfoza7(void)
	{
		{	/* Globalize/ginfo.scm 15 */
			BGl_modulezd2initializa7ationz75zztype_typez00(515343395L,
				BSTRING_TO_STRING(BGl_string2220z00zzglobaliza7e_ginfoza7));
			BGl_modulezd2initializa7ationz75zzast_varz00(90839984L,
				BSTRING_TO_STRING(BGl_string2220z00zzglobaliza7e_ginfoza7));
			return
				BGl_modulezd2initializa7ationz75zzast_nodez00(469732712L,
				BSTRING_TO_STRING(BGl_string2220z00zzglobaliza7e_ginfoza7));
		}

	}

#ifdef __cplusplus
}
#endif
