/*===========================================================================*/
/*   (Globalize/loc2glo.scm)                                                 */
/*   Bigloo (4.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Jan 27 07:45:49 AM CET 2025     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.6a/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.6a/lib/bigloo/4.6a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -stdc -indent Globalize/loc2glo.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL_BgL_GLOBALIZE_LOCALzd2ze3GLOBALz31_TYPE_DEFINITIONS
#define BGL_BgL_GLOBALIZE_LOCALzd2ze3GLOBALz31_TYPE_DEFINITIONS

/* object type definitions */
	typedef struct BgL_backendz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
		bool_t BgL_boundzd2checkzd2;
		bool_t BgL_typezd2checkzd2;
		bool_t BgL_typedzd2funcallzd2;
		bool_t BgL_strictzd2typezd2castz00;
		bool_t BgL_forcezd2registerzd2gczd2rootszd2;
		bool_t BgL_stringzd2literalzd2supportz00;
		bool_t BgL_boxedzd2fixnumszd2;
		bool_t BgL_typedzd2closureszd2;
	}                 *BgL_backendz00_bglt;

	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_nullz00;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_qualifiedzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_svarz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}              *BgL_svarz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_nodezf2effectzf2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
	}                       *BgL_nodezf2effectzf2_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_refz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_refz00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_stackablez00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_sfunzf2ginfozf2_bgl
	{
		bool_t BgL_gzf3zf3;
		obj_t BgL_cfromz00;
		obj_t BgL_cfromza2za2;
		obj_t BgL_ctoz00;
		obj_t BgL_ctoza2za2;
		obj_t BgL_efunctionsz00;
		obj_t BgL_integratorz00;
		obj_t BgL_imarkz00;
		obj_t BgL_ownerz00;
		obj_t BgL_integratedz00;
		obj_t BgL_pluggedzd2inzd2;
		long BgL_markz00;
		obj_t BgL_freezd2markzd2;
		obj_t BgL_thezd2globalzd2;
		obj_t BgL_kapturedz00;
		obj_t BgL_newzd2bodyzd2;
		long BgL_bmarkz00;
		long BgL_umarkz00;
		obj_t BgL_freez00;
		obj_t BgL_boundz00;
	}                      *BgL_sfunzf2ginfozf2_bglt;

	typedef struct BgL_svarzf2ginfozf2_bgl
	{
		bool_t BgL_kapturedzf3zf3;
		long BgL_freezd2markzd2;
		long BgL_markz00;
		bool_t BgL_celledzf3zf3;
		bool_t BgL_stackablez00;
	}                      *BgL_svarzf2ginfozf2_bglt;

	typedef struct BgL_localzf2ginfozf2_bgl
	{
		bool_t BgL_escapezf3zf3;
		bool_t BgL_globaliza7edzf3z54;
	}                       *BgL_localzf2ginfozf2_bglt;

	typedef struct BgL_globalzf2ginfozf2_bgl
	{
		bool_t BgL_escapezf3zf3;
		obj_t BgL_globalzd2closurezd2;
	}                        *BgL_globalzf2ginfozf2_bglt;


#endif													// BGL_BgL_GLOBALIZE_LOCALzd2ze3GLOBALz31_TYPE_DEFINITIONS
#endif													// BGL_MODULE_TYPE_DEFINITIONS

	extern BgL_globalz00_bglt
		BGl_defzd2globalzd2sfunzd2nozd2warningz12z12zzast_glozd2defzd2(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_globalz00_bglt
		BGl_localzd2ze3globalz31zzglobaliza7e_localzd2ze3globalz96
		(BgL_localz00_bglt);
	static BgL_nodez00_bglt
		BGl_makezd2escapingzd2bodyz00zzglobaliza7e_localzd2ze3globalz96
		(BgL_localz00_bglt, BgL_globalz00_bglt, obj_t, obj_t, BgL_localz00_bglt,
		BgL_nodez00_bglt);
	extern obj_t BGl_za2optimza2z00zzengine_paramz00;
	static obj_t
		BGl_requirezd2initializa7ationz75zzglobaliza7e_localzd2ze3globalz96 =
		BUNSPEC;
	extern obj_t BGl_zb2zd2arityz60zztools_argsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_globalz00_bglt
		BGl_thezd2globalzd2zzglobaliza7e_localzd2ze3globalz96(BgL_localz00_bglt);
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	extern obj_t BGl_sfunz00zzast_varz00;
	static BgL_globalz00_bglt
		BGl_fixzd2nonzd2escapingzd2definitionzd2zzglobaliza7e_localzd2ze3globalz96
		(BgL_globalz00_bglt, BgL_localz00_bglt, obj_t, obj_t, obj_t);
	static BgL_globalz00_bglt
		BGl_z62thezd2globalzb0zzglobaliza7e_localzd2ze3globalz96(obj_t, obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	BGL_IMPORT obj_t bgl_reverse(obj_t);
	static obj_t BGl_genericzd2initzd2zzglobaliza7e_localzd2ze3globalz96(void);
	BGL_IMPORT obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
	extern obj_t BGl_za2cellza2z00zztype_cachez00;
	static obj_t BGl_objectzd2initzd2zzglobaliza7e_localzd2ze3globalz96(void);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	BGL_IMPORT obj_t bgl_reverse_bang(obj_t);
	extern obj_t BGl_thezd2backendzd2zzbackend_backendz00(void);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	extern obj_t BGl_refz00zzast_nodez00;
	BGL_IMPORT obj_t bstring_to_symbol(obj_t);
	extern obj_t BGl_localzf2Ginfozf2zzglobaliza7e_ginfoza7;
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_appendzd221011zd2zzglobaliza7e_localzd2ze3globalz96(obj_t,
		obj_t);
	extern obj_t BGl_svarzf2Ginfozf2zzglobaliza7e_ginfoza7;
	static obj_t BGl_methodzd2initzd2zzglobaliza7e_localzd2ze3globalz96(void);
	extern BgL_nodez00_bglt
		BGl_nodezd2globaliza7ez12z67zzglobaliza7e_nodeza7(BgL_nodez00_bglt,
		BgL_variablez00_bglt, obj_t);
	BGL_IMPORT obj_t string_append(obj_t, obj_t);
	extern obj_t
		BGl_za2optimzd2cfazd2unboxzd2closurezd2argsza2z00zzengine_paramz00;
	extern obj_t BGl_za2_za2z00zztype_cachez00;
	extern BgL_typez00_bglt
		BGl_strictzd2nodezd2typez00zzast_nodez00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	extern obj_t BGl_za2procedureza2z00zztype_cachez00;
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	extern obj_t BGl_za2moduleza2z00zzmodule_modulez00;
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzglobaliza7e_localzd2ze3globalz96(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzglobaliza7e_freeza7(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzglobaliza7e_nodeza7(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzglobaliza7e_ginfoza7(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_glozd2defzd2(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_localz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_methodz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_argsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	extern obj_t BGl_thezd2closurezd2zzglobaliza7e_freeza7(BgL_variablez00_bglt,
		obj_t);
	static BgL_globalz00_bglt
		BGl_z62localzd2ze3globalz53zzglobaliza7e_localzd2ze3globalz96(obj_t, obj_t);
	static obj_t BGl_cnstzd2initzd2zzglobaliza7e_localzd2ze3globalz96(void);
	static obj_t
		BGl_libraryzd2moduleszd2initz00zzglobaliza7e_localzd2ze3globalz96(void);
	extern BgL_localz00_bglt BGl_makezd2localzd2svarz00zzast_localz00(obj_t,
		BgL_typez00_bglt);
	BGL_IMPORT long bgl_list_length(obj_t);
	static obj_t
		BGl_importedzd2moduleszd2initz00zzglobaliza7e_localzd2ze3globalz96(void);
	static obj_t BGl_gczd2rootszd2initz00zzglobaliza7e_localzd2ze3globalz96(void);
	static BgL_globalz00_bglt
		BGl_fixzd2escapingzd2definitionz00zzglobaliza7e_localzd2ze3globalz96
		(BgL_globalz00_bglt, BgL_localz00_bglt, obj_t, obj_t, obj_t);
	extern obj_t BGl_globalzf2Ginfozf2zzglobaliza7e_ginfoza7;
	static obj_t BGl_defaultzd2typezd2zzglobaliza7e_localzd2ze3globalz96(void);
	extern obj_t BGl_findzd2globalzf2modulez20zzast_envz00(obj_t, obj_t);
	extern BgL_nodez00_bglt BGl_sexpzd2ze3nodez31zzast_sexpz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	BGL_IMPORT obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
	extern bool_t
		BGl_localzd2iszd2methodzf3zf3zzobject_methodz00(BgL_localz00_bglt);
	extern bool_t BGl_bigloozd2typezf3z21zztype_typez00(BgL_typez00_bglt);
	extern obj_t BGl_globalz00zzast_varz00;
	extern obj_t BGl_sfunzf2Ginfozf2zzglobaliza7e_ginfoza7;
	static obj_t __cnst[9];


	   
		 
		DEFINE_STRING(BGl_string1940z00zzglobaliza7e_localzd2ze3globalz96,
		BgL_bgl_string1940za700za7za7g1943za7, "globalize_local->global", 23);
	      DEFINE_STRING(BGl_string1941z00zzglobaliza7e_localzd2ze3globalz96,
		BgL_bgl_string1941za700za7za7g1944za7,
		"now sfun static & cell-globalize write value procedure-ref env ", 63);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzd2ze3globalzd2envze3zzglobaliza7e_localzd2ze3globalz96,
		BgL_bgl_za762localza7d2za7e3gl1945za7,
		BGl_z62localzd2ze3globalz53zzglobaliza7e_localzd2ze3globalz96, 0L, BUNSPEC,
		1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_thezd2globalzd2envz00zzglobaliza7e_localzd2ze3globalz96,
		BgL_bgl_za762theza7d2globalza71946za7,
		BGl_z62thezd2globalzb0zzglobaliza7e_localzd2ze3globalz96, 0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void
				*)
			(&BGl_requirezd2initializa7ationz75zzglobaliza7e_localzd2ze3globalz96));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzglobaliza7e_localzd2ze3globalz96(long
		BgL_checksumz00_2765, char *BgL_fromz00_2766)
	{
		{
			if (CBOOL
				(BGl_requirezd2initializa7ationz75zzglobaliza7e_localzd2ze3globalz96))
				{
					BGl_requirezd2initializa7ationz75zzglobaliza7e_localzd2ze3globalz96 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzglobaliza7e_localzd2ze3globalz96();
					BGl_libraryzd2moduleszd2initz00zzglobaliza7e_localzd2ze3globalz96();
					BGl_cnstzd2initzd2zzglobaliza7e_localzd2ze3globalz96();
					BGl_importedzd2moduleszd2initz00zzglobaliza7e_localzd2ze3globalz96();
					return BGl_methodzd2initzd2zzglobaliza7e_localzd2ze3globalz96();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzglobaliza7e_localzd2ze3globalz96(void)
	{
		{	/* Globalize/loc2glo.scm 15 */
			BGl_modulezd2initializa7ationz75zz__objectz00(0L,
				"globalize_local->global");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(0L,
				"globalize_local->global");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(0L,
				"globalize_local->global");
			BGl_modulezd2initializa7ationz75zz__readerz00(0L,
				"globalize_local->global");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(0L,
				"globalize_local->global");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(0L,
				"globalize_local->global");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(0L,
				"globalize_local->global");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(0L,
				"globalize_local->global");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(0L,
				"globalize_local->global");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzglobaliza7e_localzd2ze3globalz96(void)
	{
		{	/* Globalize/loc2glo.scm 15 */
			{	/* Globalize/loc2glo.scm 15 */
				obj_t BgL_cportz00_2754;

				{	/* Globalize/loc2glo.scm 15 */
					obj_t BgL_stringz00_2761;

					BgL_stringz00_2761 =
						BGl_string1941z00zzglobaliza7e_localzd2ze3globalz96;
					{	/* Globalize/loc2glo.scm 15 */
						obj_t BgL_startz00_2762;

						BgL_startz00_2762 = BINT(0L);
						{	/* Globalize/loc2glo.scm 15 */
							obj_t BgL_endz00_2763;

							BgL_endz00_2763 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_2761)));
							{	/* Globalize/loc2glo.scm 15 */

								BgL_cportz00_2754 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_2761, BgL_startz00_2762, BgL_endz00_2763);
				}}}}
				{
					long BgL_iz00_2755;

					BgL_iz00_2755 = 8L;
				BgL_loopz00_2756:
					if ((BgL_iz00_2755 == (-1L)))
						{	/* Globalize/loc2glo.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Globalize/loc2glo.scm 15 */
							{	/* Globalize/loc2glo.scm 15 */
								obj_t BgL_arg1942z00_2757;

								{	/* Globalize/loc2glo.scm 15 */

									{	/* Globalize/loc2glo.scm 15 */
										obj_t BgL_locationz00_2759;

										BgL_locationz00_2759 = BBOOL(((bool_t) 0));
										{	/* Globalize/loc2glo.scm 15 */

											BgL_arg1942z00_2757 =
												BGl_readz00zz__readerz00(BgL_cportz00_2754,
												BgL_locationz00_2759);
										}
									}
								}
								{	/* Globalize/loc2glo.scm 15 */
									int BgL_tmpz00_2793;

									BgL_tmpz00_2793 = (int) (BgL_iz00_2755);
									CNST_TABLE_SET(BgL_tmpz00_2793, BgL_arg1942z00_2757);
							}}
							{	/* Globalize/loc2glo.scm 15 */
								int BgL_auxz00_2760;

								BgL_auxz00_2760 = (int) ((BgL_iz00_2755 - 1L));
								{
									long BgL_iz00_2798;

									BgL_iz00_2798 = (long) (BgL_auxz00_2760);
									BgL_iz00_2755 = BgL_iz00_2798;
									goto BgL_loopz00_2756;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzglobaliza7e_localzd2ze3globalz96(void)
	{
		{	/* Globalize/loc2glo.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* append-21011 */
	obj_t BGl_appendzd221011zd2zzglobaliza7e_localzd2ze3globalz96(obj_t
		BgL_l1z00_1, obj_t BgL_l2z00_2)
	{
		{
			if (NULLP(BgL_l1z00_1))
				{
					return BgL_l2z00_2;
				}
			else
				{
					obj_t BgL_headz00_1832;

					BgL_headz00_1832 = MAKE_YOUNG_PAIR(BNIL, BgL_l2z00_2);
					{
						obj_t BgL_prevz00_1833;
						obj_t BgL_tailz00_1834;

						BgL_prevz00_1833 = BgL_headz00_1832;
						BgL_tailz00_1834 = BgL_l1z00_1;
					BgL_loopz00_1835:
						if (PAIRP(BgL_tailz00_1834))
							{
								obj_t BgL_newzd2prevzd2_1837;

								BgL_newzd2prevzd2_1837 =
									MAKE_YOUNG_PAIR(CAR(BgL_tailz00_1834), BgL_l2z00_2);
								SET_CDR(BgL_prevz00_1833, BgL_newzd2prevzd2_1837);
								{
									obj_t BgL_tailz00_2810;
									obj_t BgL_prevz00_2809;

									BgL_prevz00_2809 = BgL_newzd2prevzd2_1837;
									BgL_tailz00_2810 = CDR(BgL_tailz00_1834);
									BgL_tailz00_1834 = BgL_tailz00_2810;
									BgL_prevz00_1833 = BgL_prevz00_2809;
									goto BgL_loopz00_1835;
								}
							}
						else
							{
								BNIL;
							}
						return CDR(BgL_headz00_1832);
					}
				}
		}

	}



/* default-type */
	obj_t BGl_defaultzd2typezd2zzglobaliza7e_localzd2ze3globalz96(void)
	{
		{	/* Globalize/loc2glo.scm 40 */
			{	/* Globalize/loc2glo.scm 41 */
				bool_t BgL_test1951z00_2813;

				if (CBOOL
					(BGl_za2optimzd2cfazd2unboxzd2closurezd2argsza2z00zzengine_paramz00))
					{	/* Globalize/loc2glo.scm 41 */
						BgL_test1951z00_2813 =
							((long) CINT(BGl_za2optimza2z00zzengine_paramz00) >= 2L);
					}
				else
					{	/* Globalize/loc2glo.scm 41 */
						BgL_test1951z00_2813 = ((bool_t) 0);
					}
				if (BgL_test1951z00_2813)
					{	/* Globalize/loc2glo.scm 41 */
						return BGl_za2_za2z00zztype_cachez00;
					}
				else
					{	/* Globalize/loc2glo.scm 41 */
						return BGl_za2objza2z00zztype_cachez00;
					}
			}
		}

	}



/* local->global */
	BGL_EXPORTED_DEF BgL_globalz00_bglt
		BGl_localzd2ze3globalz31zzglobaliza7e_localzd2ze3globalz96(BgL_localz00_bglt
		BgL_localz00_3)
	{
		{	/* Globalize/loc2glo.scm 46 */
			{	/* Globalize/loc2glo.scm 50 */
				BgL_globalz00_bglt BgL_globalz00_1841;

				BgL_globalz00_1841 =
					BGl_thezd2globalzd2zzglobaliza7e_localzd2ze3globalz96(BgL_localz00_3);
				{	/* Globalize/loc2glo.scm 50 */
					obj_t BgL_argsz00_1842;

					BgL_argsz00_1842 =
						(((BgL_sfunz00_bglt) COBJECT(
								((BgL_sfunz00_bglt)
									(((BgL_variablez00_bglt) COBJECT(
												((BgL_variablez00_bglt) BgL_localz00_3)))->
										BgL_valuez00))))->BgL_argsz00);
					{	/* Globalize/loc2glo.scm 51 */
						BgL_valuez00_bglt BgL_infoz00_1843;

						BgL_infoz00_1843 =
							(((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt) BgL_localz00_3)))->BgL_valuez00);
						{	/* Globalize/loc2glo.scm 52 */
							obj_t BgL_newzd2bodyzd2_1844;

							{
								BgL_sfunzf2ginfozf2_bglt BgL_auxz00_2825;

								{
									obj_t BgL_auxz00_2826;

									{	/* Globalize/loc2glo.scm 53 */
										BgL_objectz00_bglt BgL_tmpz00_2827;

										BgL_tmpz00_2827 =
											((BgL_objectz00_bglt)
											((BgL_sfunz00_bglt) BgL_infoz00_1843));
										BgL_auxz00_2826 = BGL_OBJECT_WIDENING(BgL_tmpz00_2827);
									}
									BgL_auxz00_2825 =
										((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_2826);
								}
								BgL_newzd2bodyzd2_1844 =
									(((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_2825))->
									BgL_newzd2bodyzd2);
							}
							{	/* Globalize/loc2glo.scm 53 */
								obj_t BgL_kapturedz00_1845;

								{
									BgL_sfunzf2ginfozf2_bglt BgL_auxz00_2833;

									{
										obj_t BgL_auxz00_2834;

										{	/* Globalize/loc2glo.scm 54 */
											BgL_objectz00_bglt BgL_tmpz00_2835;

											BgL_tmpz00_2835 =
												((BgL_objectz00_bglt)
												((BgL_sfunz00_bglt) BgL_infoz00_1843));
											BgL_auxz00_2834 = BGL_OBJECT_WIDENING(BgL_tmpz00_2835);
										}
										BgL_auxz00_2833 =
											((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_2834);
									}
									BgL_kapturedz00_1845 =
										(((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_2833))->
										BgL_kapturedz00);
								}
								{	/* Globalize/loc2glo.scm 54 */

									{	/* Globalize/loc2glo.scm 57 */
										bool_t BgL_test1953z00_2841;

										{
											BgL_localzf2ginfozf2_bglt BgL_auxz00_2842;

											{
												obj_t BgL_auxz00_2843;

												{	/* Globalize/loc2glo.scm 57 */
													BgL_objectz00_bglt BgL_tmpz00_2844;

													BgL_tmpz00_2844 =
														((BgL_objectz00_bglt)
														((BgL_localz00_bglt) BgL_localz00_3));
													BgL_auxz00_2843 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_2844);
												}
												BgL_auxz00_2842 =
													((BgL_localzf2ginfozf2_bglt) BgL_auxz00_2843);
											}
											BgL_test1953z00_2841 =
												(((BgL_localzf2ginfozf2_bglt)
													COBJECT(BgL_auxz00_2842))->BgL_escapezf3zf3);
										}
										if (BgL_test1953z00_2841)
											{	/* Globalize/loc2glo.scm 57 */
												BGl_fixzd2escapingzd2definitionz00zzglobaliza7e_localzd2ze3globalz96
													(BgL_globalz00_1841, BgL_localz00_3, BgL_argsz00_1842,
													BgL_kapturedz00_1845, BgL_newzd2bodyzd2_1844);
											}
										else
											{	/* Globalize/loc2glo.scm 57 */
												BGl_fixzd2nonzd2escapingzd2definitionzd2zzglobaliza7e_localzd2ze3globalz96
													(BgL_globalz00_1841, BgL_localz00_3, BgL_argsz00_1842,
													BgL_kapturedz00_1845, BgL_newzd2bodyzd2_1844);
											}
									}
									return BgL_globalz00_1841;
								}
							}
						}
					}
				}
			}
		}

	}



/* &local->global */
	BgL_globalz00_bglt
		BGl_z62localzd2ze3globalz53zzglobaliza7e_localzd2ze3globalz96(obj_t
		BgL_envz00_2750, obj_t BgL_localz00_2751)
	{
		{	/* Globalize/loc2glo.scm 46 */
			return
				BGl_localzd2ze3globalz31zzglobaliza7e_localzd2ze3globalz96(
				((BgL_localz00_bglt) BgL_localz00_2751));
		}

	}



/* fix-escaping-definition */
	BgL_globalz00_bglt
		BGl_fixzd2escapingzd2definitionz00zzglobaliza7e_localzd2ze3globalz96
		(BgL_globalz00_bglt BgL_globalz00_5, BgL_localz00_bglt BgL_localz00_6,
		obj_t BgL_argsz00_7, obj_t BgL_kapturedz00_8, obj_t BgL_bodyz00_9)
	{
		{	/* Globalize/loc2glo.scm 84 */
			{	/* Globalize/loc2glo.scm 85 */
				BgL_localz00_bglt BgL_envz00_1848;

				BgL_envz00_1848 =
					BGl_makezd2localzd2svarz00zzast_localz00(
					((obj_t)
						CNST_TABLE_REF(0)),
					((BgL_typez00_bglt) BGl_za2procedureza2z00zztype_cachez00));
				{	/* Globalize/loc2glo.scm 85 */
					obj_t BgL_newzd2freezd2_1849;

					if (NULLP(BgL_kapturedz00_8))
						{	/* Globalize/loc2glo.scm 86 */
							BgL_newzd2freezd2_1849 = BNIL;
						}
					else
						{	/* Globalize/loc2glo.scm 86 */
							obj_t BgL_head1332z00_1981;

							BgL_head1332z00_1981 = MAKE_YOUNG_PAIR(BNIL, BNIL);
							{
								obj_t BgL_l1330z00_1983;
								obj_t BgL_tail1333z00_1984;

								BgL_l1330z00_1983 = BgL_kapturedz00_8;
								BgL_tail1333z00_1984 = BgL_head1332z00_1981;
							BgL_zc3z04anonymousza31614ze3z87_1985:
								if (NULLP(BgL_l1330z00_1983))
									{	/* Globalize/loc2glo.scm 86 */
										BgL_newzd2freezd2_1849 = CDR(BgL_head1332z00_1981);
									}
								else
									{	/* Globalize/loc2glo.scm 86 */
										obj_t BgL_newtail1334z00_1987;

										{	/* Globalize/loc2glo.scm 86 */
											BgL_localz00_bglt BgL_arg1626z00_1989;

											{	/* Globalize/loc2glo.scm 86 */
												obj_t BgL_oldz00_1990;

												BgL_oldz00_1990 = CAR(((obj_t) BgL_l1330z00_1983));
												{	/* Globalize/loc2glo.scm 87 */
													BgL_localz00_bglt BgL_newz00_1991;

													{	/* Globalize/loc2glo.scm 88 */
														obj_t BgL_arg1638z00_2004;
														obj_t BgL_arg1642z00_2005;

														BgL_arg1638z00_2004 =
															(((BgL_variablez00_bglt) COBJECT(
																	((BgL_variablez00_bglt)
																		((BgL_localz00_bglt) BgL_oldz00_1990))))->
															BgL_idz00);
														BgL_arg1642z00_2005 =
															BGl_defaultzd2typezd2zzglobaliza7e_localzd2ze3globalz96
															();
														BgL_newz00_1991 =
															BGl_makezd2localzd2svarz00zzast_localz00
															(BgL_arg1638z00_2004,
															((BgL_typez00_bglt) BgL_arg1642z00_2005));
													}
													{	/* Globalize/loc2glo.scm 90 */
														bool_t BgL_arg1631z00_1992;

														BgL_arg1631z00_1992 =
															(((BgL_variablez00_bglt) COBJECT(
																	((BgL_variablez00_bglt)
																		((BgL_localz00_bglt) BgL_oldz00_1990))))->
															BgL_userzf3zf3);
														((((BgL_variablez00_bglt)
																	COBJECT(((BgL_variablez00_bglt)
																			BgL_newz00_1991)))->BgL_userzf3zf3) =
															((bool_t) BgL_arg1631z00_1992), BUNSPEC);
													}
													{	/* Globalize/loc2glo.scm 91 */
														BgL_localzf2ginfozf2_bglt BgL_wide1115z00_1995;

														BgL_wide1115z00_1995 =
															((BgL_localzf2ginfozf2_bglt)
															BOBJECT(GC_MALLOC(sizeof(struct
																		BgL_localzf2ginfozf2_bgl))));
														{	/* Globalize/loc2glo.scm 91 */
															obj_t BgL_auxz00_2881;
															BgL_objectz00_bglt BgL_tmpz00_2878;

															BgL_auxz00_2881 = ((obj_t) BgL_wide1115z00_1995);
															BgL_tmpz00_2878 =
																((BgL_objectz00_bglt)
																((BgL_localz00_bglt) BgL_newz00_1991));
															BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2878,
																BgL_auxz00_2881);
														}
														((BgL_objectz00_bglt)
															((BgL_localz00_bglt) BgL_newz00_1991));
														{	/* Globalize/loc2glo.scm 91 */
															long BgL_arg1632z00_1996;

															BgL_arg1632z00_1996 =
																BGL_CLASS_NUM
																(BGl_localzf2Ginfozf2zzglobaliza7e_ginfoza7);
															BGL_OBJECT_CLASS_NUM_SET(((BgL_objectz00_bglt) (
																		(BgL_localz00_bglt) BgL_newz00_1991)),
																BgL_arg1632z00_1996);
														}
														((BgL_localz00_bglt)
															((BgL_localz00_bglt) BgL_newz00_1991));
													}
													{
														BgL_localzf2ginfozf2_bglt BgL_auxz00_2892;

														{
															obj_t BgL_auxz00_2893;

															{	/* Globalize/loc2glo.scm 91 */
																BgL_objectz00_bglt BgL_tmpz00_2894;

																BgL_tmpz00_2894 =
																	((BgL_objectz00_bglt)
																	((BgL_localz00_bglt) BgL_newz00_1991));
																BgL_auxz00_2893 =
																	BGL_OBJECT_WIDENING(BgL_tmpz00_2894);
															}
															BgL_auxz00_2892 =
																((BgL_localzf2ginfozf2_bglt) BgL_auxz00_2893);
														}
														((((BgL_localzf2ginfozf2_bglt)
																	COBJECT(BgL_auxz00_2892))->BgL_escapezf3zf3) =
															((bool_t) ((bool_t) 0)), BUNSPEC);
													}
													{
														BgL_localzf2ginfozf2_bglt BgL_auxz00_2900;

														{
															obj_t BgL_auxz00_2901;

															{	/* Globalize/loc2glo.scm 91 */
																BgL_objectz00_bglt BgL_tmpz00_2902;

																BgL_tmpz00_2902 =
																	((BgL_objectz00_bglt)
																	((BgL_localz00_bglt) BgL_newz00_1991));
																BgL_auxz00_2901 =
																	BGL_OBJECT_WIDENING(BgL_tmpz00_2902);
															}
															BgL_auxz00_2900 =
																((BgL_localzf2ginfozf2_bglt) BgL_auxz00_2901);
														}
														((((BgL_localzf2ginfozf2_bglt)
																	COBJECT(BgL_auxz00_2900))->
																BgL_globaliza7edzf3z54) =
															((bool_t) ((bool_t) 0)), BUNSPEC);
													}
													((BgL_localz00_bglt) BgL_newz00_1991);
													{	/* Globalize/loc2glo.scm 92 */
														BgL_svarz00_bglt BgL_tmp1117z00_1998;

														BgL_tmp1117z00_1998 =
															((BgL_svarz00_bglt)
															(((BgL_variablez00_bglt) COBJECT(
																		((BgL_variablez00_bglt) BgL_newz00_1991)))->
																BgL_valuez00));
														{	/* Globalize/loc2glo.scm 92 */
															BgL_svarzf2ginfozf2_bglt BgL_wide1119z00_2000;

															BgL_wide1119z00_2000 =
																((BgL_svarzf2ginfozf2_bglt)
																BOBJECT(GC_MALLOC(sizeof(struct
																			BgL_svarzf2ginfozf2_bgl))));
															{	/* Globalize/loc2glo.scm 92 */
																obj_t BgL_auxz00_2916;
																BgL_objectz00_bglt BgL_tmpz00_2913;

																BgL_auxz00_2916 =
																	((obj_t) BgL_wide1119z00_2000);
																BgL_tmpz00_2913 =
																	((BgL_objectz00_bglt)
																	((BgL_svarz00_bglt) BgL_tmp1117z00_1998));
																BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2913,
																	BgL_auxz00_2916);
															}
															((BgL_objectz00_bglt)
																((BgL_svarz00_bglt) BgL_tmp1117z00_1998));
															{	/* Globalize/loc2glo.scm 92 */
																long BgL_arg1633z00_2001;

																BgL_arg1633z00_2001 =
																	BGL_CLASS_NUM
																	(BGl_svarzf2Ginfozf2zzglobaliza7e_ginfoza7);
																BGL_OBJECT_CLASS_NUM_SET(((BgL_objectz00_bglt) (
																			(BgL_svarz00_bglt) BgL_tmp1117z00_1998)),
																	BgL_arg1633z00_2001);
															}
															((BgL_svarz00_bglt)
																((BgL_svarz00_bglt) BgL_tmp1117z00_1998));
														}
														{
															BgL_svarzf2ginfozf2_bglt BgL_auxz00_2927;

															{
																obj_t BgL_auxz00_2928;

																{	/* Globalize/loc2glo.scm 93 */
																	BgL_objectz00_bglt BgL_tmpz00_2929;

																	BgL_tmpz00_2929 =
																		((BgL_objectz00_bglt)
																		((BgL_svarz00_bglt) BgL_tmp1117z00_1998));
																	BgL_auxz00_2928 =
																		BGL_OBJECT_WIDENING(BgL_tmpz00_2929);
																}
																BgL_auxz00_2927 =
																	((BgL_svarzf2ginfozf2_bglt) BgL_auxz00_2928);
															}
															((((BgL_svarzf2ginfozf2_bglt)
																		COBJECT(BgL_auxz00_2927))->
																	BgL_kapturedzf3zf3) =
																((bool_t) ((bool_t) 1)), BUNSPEC);
														}
														{
															BgL_svarzf2ginfozf2_bglt BgL_auxz00_2935;

															{
																obj_t BgL_auxz00_2936;

																{	/* Globalize/loc2glo.scm 93 */
																	BgL_objectz00_bglt BgL_tmpz00_2937;

																	BgL_tmpz00_2937 =
																		((BgL_objectz00_bglt)
																		((BgL_svarz00_bglt) BgL_tmp1117z00_1998));
																	BgL_auxz00_2936 =
																		BGL_OBJECT_WIDENING(BgL_tmpz00_2937);
																}
																BgL_auxz00_2935 =
																	((BgL_svarzf2ginfozf2_bglt) BgL_auxz00_2936);
															}
															((((BgL_svarzf2ginfozf2_bglt)
																		COBJECT(BgL_auxz00_2935))->
																	BgL_freezd2markzd2) =
																((long) (-10L)), BUNSPEC);
														}
														{
															BgL_svarzf2ginfozf2_bglt BgL_auxz00_2943;

															{
																obj_t BgL_auxz00_2944;

																{	/* Globalize/loc2glo.scm 93 */
																	BgL_objectz00_bglt BgL_tmpz00_2945;

																	BgL_tmpz00_2945 =
																		((BgL_objectz00_bglt)
																		((BgL_svarz00_bglt) BgL_tmp1117z00_1998));
																	BgL_auxz00_2944 =
																		BGL_OBJECT_WIDENING(BgL_tmpz00_2945);
																}
																BgL_auxz00_2943 =
																	((BgL_svarzf2ginfozf2_bglt) BgL_auxz00_2944);
															}
															((((BgL_svarzf2ginfozf2_bglt)
																		COBJECT(BgL_auxz00_2943))->BgL_markz00) =
																((long) (-10L)), BUNSPEC);
														}
														{
															BgL_svarzf2ginfozf2_bglt BgL_auxz00_2951;

															{
																obj_t BgL_auxz00_2952;

																{	/* Globalize/loc2glo.scm 93 */
																	BgL_objectz00_bglt BgL_tmpz00_2953;

																	BgL_tmpz00_2953 =
																		((BgL_objectz00_bglt)
																		((BgL_svarz00_bglt) BgL_tmp1117z00_1998));
																	BgL_auxz00_2952 =
																		BGL_OBJECT_WIDENING(BgL_tmpz00_2953);
																}
																BgL_auxz00_2951 =
																	((BgL_svarzf2ginfozf2_bglt) BgL_auxz00_2952);
															}
															((((BgL_svarzf2ginfozf2_bglt)
																		COBJECT(BgL_auxz00_2951))->
																	BgL_celledzf3zf3) =
																((bool_t) ((bool_t) 0)), BUNSPEC);
														}
														{
															BgL_svarzf2ginfozf2_bglt BgL_auxz00_2959;

															{
																obj_t BgL_auxz00_2960;

																{	/* Globalize/loc2glo.scm 93 */
																	BgL_objectz00_bglt BgL_tmpz00_2961;

																	BgL_tmpz00_2961 =
																		((BgL_objectz00_bglt)
																		((BgL_svarz00_bglt) BgL_tmp1117z00_1998));
																	BgL_auxz00_2960 =
																		BGL_OBJECT_WIDENING(BgL_tmpz00_2961);
																}
																BgL_auxz00_2959 =
																	((BgL_svarzf2ginfozf2_bglt) BgL_auxz00_2960);
															}
															((((BgL_svarzf2ginfozf2_bglt)
																		COBJECT(BgL_auxz00_2959))->
																	BgL_stackablez00) =
																((bool_t) ((bool_t) 1)), BUNSPEC);
														}
														((BgL_svarz00_bglt) BgL_tmp1117z00_1998);
													}
													{	/* Globalize/loc2glo.scm 94 */
														obj_t BgL_arg1635z00_2003;

														BgL_arg1635z00_2003 =
															(((BgL_variablez00_bglt) COBJECT(
																	((BgL_variablez00_bglt)
																		((BgL_localz00_bglt) BgL_oldz00_1990))))->
															BgL_accessz00);
														((((BgL_variablez00_bglt)
																	COBJECT(((BgL_variablez00_bglt)
																			BgL_newz00_1991)))->BgL_accessz00) =
															((obj_t) BgL_arg1635z00_2003), BUNSPEC);
													}
													BgL_arg1626z00_1989 = BgL_newz00_1991;
											}}
											BgL_newtail1334z00_1987 =
												MAKE_YOUNG_PAIR(((obj_t) BgL_arg1626z00_1989), BNIL);
										}
										SET_CDR(BgL_tail1333z00_1984, BgL_newtail1334z00_1987);
										{	/* Globalize/loc2glo.scm 86 */
											obj_t BgL_arg1625z00_1988;

											BgL_arg1625z00_1988 = CDR(((obj_t) BgL_l1330z00_1983));
											{
												obj_t BgL_tail1333z00_2979;
												obj_t BgL_l1330z00_2978;

												BgL_l1330z00_2978 = BgL_arg1625z00_1988;
												BgL_tail1333z00_2979 = BgL_newtail1334z00_1987;
												BgL_tail1333z00_1984 = BgL_tail1333z00_2979;
												BgL_l1330z00_1983 = BgL_l1330z00_2978;
												goto BgL_zc3z04anonymousza31614ze3z87_1985;
											}
										}
									}
							}
						}
					{	/* Globalize/loc2glo.scm 86 */
						obj_t BgL_newzd2argszd2_1850;

						if (NULLP(BgL_argsz00_7))
							{	/* Globalize/loc2glo.scm 97 */
								BgL_newzd2argszd2_1850 = BNIL;
							}
						else
							{	/* Globalize/loc2glo.scm 97 */
								obj_t BgL_head1337z00_1952;

								BgL_head1337z00_1952 = MAKE_YOUNG_PAIR(BNIL, BNIL);
								{
									obj_t BgL_l1335z00_1954;
									obj_t BgL_tail1338z00_1955;

									BgL_l1335z00_1954 = BgL_argsz00_7;
									BgL_tail1338z00_1955 = BgL_head1337z00_1952;
								BgL_zc3z04anonymousza31583ze3z87_1956:
									if (NULLP(BgL_l1335z00_1954))
										{	/* Globalize/loc2glo.scm 97 */
											BgL_newzd2argszd2_1850 = CDR(BgL_head1337z00_1952);
										}
									else
										{	/* Globalize/loc2glo.scm 97 */
											obj_t BgL_newtail1339z00_1958;

											{	/* Globalize/loc2glo.scm 97 */
												BgL_localz00_bglt BgL_arg1588z00_1960;

												{	/* Globalize/loc2glo.scm 97 */
													obj_t BgL_oldz00_1961;

													BgL_oldz00_1961 = CAR(((obj_t) BgL_l1335z00_1954));
													{	/* Globalize/loc2glo.scm 98 */
														BgL_localz00_bglt BgL_newz00_1962;

														{	/* Globalize/loc2glo.scm 99 */
															obj_t BgL_arg1611z00_1976;
															obj_t BgL_arg1612z00_1977;

															BgL_arg1611z00_1976 =
																(((BgL_variablez00_bglt) COBJECT(
																		((BgL_variablez00_bglt)
																			((BgL_localz00_bglt) BgL_oldz00_1961))))->
																BgL_idz00);
															BgL_arg1612z00_1977 =
																BGl_defaultzd2typezd2zzglobaliza7e_localzd2ze3globalz96
																();
															BgL_newz00_1962 =
																BGl_makezd2localzd2svarz00zzast_localz00
																(BgL_arg1611z00_1976,
																((BgL_typez00_bglt) BgL_arg1612z00_1977));
														}
														{	/* Globalize/loc2glo.scm 101 */
															bool_t BgL_arg1590z00_1963;

															BgL_arg1590z00_1963 =
																(((BgL_variablez00_bglt) COBJECT(
																		((BgL_variablez00_bglt)
																			((BgL_localz00_bglt) BgL_oldz00_1961))))->
																BgL_userzf3zf3);
															((((BgL_variablez00_bglt)
																		COBJECT(((BgL_variablez00_bglt)
																				BgL_newz00_1962)))->BgL_userzf3zf3) =
																((bool_t) BgL_arg1590z00_1963), BUNSPEC);
														}
														{	/* Globalize/loc2glo.scm 102 */
															BgL_localzf2ginfozf2_bglt BgL_wide1123z00_1966;

															BgL_wide1123z00_1966 =
																((BgL_localzf2ginfozf2_bglt)
																BOBJECT(GC_MALLOC(sizeof(struct
																			BgL_localzf2ginfozf2_bgl))));
															{	/* Globalize/loc2glo.scm 102 */
																obj_t BgL_auxz00_3003;
																BgL_objectz00_bglt BgL_tmpz00_3000;

																BgL_auxz00_3003 =
																	((obj_t) BgL_wide1123z00_1966);
																BgL_tmpz00_3000 =
																	((BgL_objectz00_bglt)
																	((BgL_localz00_bglt) BgL_newz00_1962));
																BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3000,
																	BgL_auxz00_3003);
															}
															((BgL_objectz00_bglt)
																((BgL_localz00_bglt) BgL_newz00_1962));
															{	/* Globalize/loc2glo.scm 102 */
																long BgL_arg1592z00_1967;

																BgL_arg1592z00_1967 =
																	BGL_CLASS_NUM
																	(BGl_localzf2Ginfozf2zzglobaliza7e_ginfoza7);
																BGL_OBJECT_CLASS_NUM_SET(((BgL_objectz00_bglt) (
																			(BgL_localz00_bglt) BgL_newz00_1962)),
																	BgL_arg1592z00_1967);
															}
															((BgL_localz00_bglt)
																((BgL_localz00_bglt) BgL_newz00_1962));
														}
														{
															BgL_localzf2ginfozf2_bglt BgL_auxz00_3014;

															{
																obj_t BgL_auxz00_3015;

																{	/* Globalize/loc2glo.scm 102 */
																	BgL_objectz00_bglt BgL_tmpz00_3016;

																	BgL_tmpz00_3016 =
																		((BgL_objectz00_bglt)
																		((BgL_localz00_bglt) BgL_newz00_1962));
																	BgL_auxz00_3015 =
																		BGL_OBJECT_WIDENING(BgL_tmpz00_3016);
																}
																BgL_auxz00_3014 =
																	((BgL_localzf2ginfozf2_bglt) BgL_auxz00_3015);
															}
															((((BgL_localzf2ginfozf2_bglt)
																		COBJECT(BgL_auxz00_3014))->
																	BgL_escapezf3zf3) =
																((bool_t) ((bool_t) 0)), BUNSPEC);
														}
														{
															BgL_localzf2ginfozf2_bglt BgL_auxz00_3022;

															{
																obj_t BgL_auxz00_3023;

																{	/* Globalize/loc2glo.scm 102 */
																	BgL_objectz00_bglt BgL_tmpz00_3024;

																	BgL_tmpz00_3024 =
																		((BgL_objectz00_bglt)
																		((BgL_localz00_bglt) BgL_newz00_1962));
																	BgL_auxz00_3023 =
																		BGL_OBJECT_WIDENING(BgL_tmpz00_3024);
																}
																BgL_auxz00_3022 =
																	((BgL_localzf2ginfozf2_bglt) BgL_auxz00_3023);
															}
															((((BgL_localzf2ginfozf2_bglt)
																		COBJECT(BgL_auxz00_3022))->
																	BgL_globaliza7edzf3z54) =
																((bool_t) ((bool_t) 0)), BUNSPEC);
														}
														((BgL_localz00_bglt) BgL_newz00_1962);
														{	/* Globalize/loc2glo.scm 103 */
															BgL_svarz00_bglt BgL_tmp1125z00_1969;

															BgL_tmp1125z00_1969 =
																((BgL_svarz00_bglt)
																(((BgL_variablez00_bglt) COBJECT(
																			((BgL_variablez00_bglt)
																				BgL_newz00_1962)))->BgL_valuez00));
															{	/* Globalize/loc2glo.scm 103 */
																BgL_svarzf2ginfozf2_bglt BgL_wide1127z00_1971;

																BgL_wide1127z00_1971 =
																	((BgL_svarzf2ginfozf2_bglt)
																	BOBJECT(GC_MALLOC(sizeof(struct
																				BgL_svarzf2ginfozf2_bgl))));
																{	/* Globalize/loc2glo.scm 103 */
																	obj_t BgL_auxz00_3038;
																	BgL_objectz00_bglt BgL_tmpz00_3035;

																	BgL_auxz00_3038 =
																		((obj_t) BgL_wide1127z00_1971);
																	BgL_tmpz00_3035 =
																		((BgL_objectz00_bglt)
																		((BgL_svarz00_bglt) BgL_tmp1125z00_1969));
																	BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3035,
																		BgL_auxz00_3038);
																}
																((BgL_objectz00_bglt)
																	((BgL_svarz00_bglt) BgL_tmp1125z00_1969));
																{	/* Globalize/loc2glo.scm 103 */
																	long BgL_arg1593z00_1972;

																	BgL_arg1593z00_1972 =
																		BGL_CLASS_NUM
																		(BGl_svarzf2Ginfozf2zzglobaliza7e_ginfoza7);
																	BGL_OBJECT_CLASS_NUM_SET(((BgL_objectz00_bglt)
																			((BgL_svarz00_bglt) BgL_tmp1125z00_1969)),
																		BgL_arg1593z00_1972);
																}
																((BgL_svarz00_bglt)
																	((BgL_svarz00_bglt) BgL_tmp1125z00_1969));
															}
															{
																bool_t BgL_auxz00_3056;
																BgL_svarzf2ginfozf2_bglt BgL_auxz00_3049;

																{	/* Globalize/loc2glo.scm 104 */
																	BgL_svarz00_bglt BgL_oz00_2414;

																	BgL_oz00_2414 =
																		((BgL_svarz00_bglt)
																		(((BgL_variablez00_bglt) COBJECT(
																					((BgL_variablez00_bglt)
																						((BgL_localz00_bglt)
																							BgL_oldz00_1961))))->
																			BgL_valuez00));
																	{
																		BgL_svarzf2ginfozf2_bglt BgL_auxz00_3061;

																		{
																			obj_t BgL_auxz00_3062;

																			{	/* Globalize/loc2glo.scm 104 */
																				BgL_objectz00_bglt BgL_tmpz00_3063;

																				BgL_tmpz00_3063 =
																					((BgL_objectz00_bglt) BgL_oz00_2414);
																				BgL_auxz00_3062 =
																					BGL_OBJECT_WIDENING(BgL_tmpz00_3063);
																			}
																			BgL_auxz00_3061 =
																				((BgL_svarzf2ginfozf2_bglt)
																				BgL_auxz00_3062);
																		}
																		BgL_auxz00_3056 =
																			(((BgL_svarzf2ginfozf2_bglt)
																				COBJECT(BgL_auxz00_3061))->
																			BgL_kapturedzf3zf3);
																}}
																{
																	obj_t BgL_auxz00_3050;

																	{	/* Globalize/loc2glo.scm 104 */
																		BgL_objectz00_bglt BgL_tmpz00_3051;

																		BgL_tmpz00_3051 =
																			((BgL_objectz00_bglt)
																			((BgL_svarz00_bglt) BgL_tmp1125z00_1969));
																		BgL_auxz00_3050 =
																			BGL_OBJECT_WIDENING(BgL_tmpz00_3051);
																	}
																	BgL_auxz00_3049 =
																		((BgL_svarzf2ginfozf2_bglt)
																		BgL_auxz00_3050);
																}
																((((BgL_svarzf2ginfozf2_bglt)
																			COBJECT(BgL_auxz00_3049))->
																		BgL_kapturedzf3zf3) =
																	((bool_t) BgL_auxz00_3056), BUNSPEC);
															}
															{
																BgL_svarzf2ginfozf2_bglt BgL_auxz00_3069;

																{
																	obj_t BgL_auxz00_3070;

																	{	/* Globalize/loc2glo.scm 104 */
																		BgL_objectz00_bglt BgL_tmpz00_3071;

																		BgL_tmpz00_3071 =
																			((BgL_objectz00_bglt)
																			((BgL_svarz00_bglt) BgL_tmp1125z00_1969));
																		BgL_auxz00_3070 =
																			BGL_OBJECT_WIDENING(BgL_tmpz00_3071);
																	}
																	BgL_auxz00_3069 =
																		((BgL_svarzf2ginfozf2_bglt)
																		BgL_auxz00_3070);
																}
																((((BgL_svarzf2ginfozf2_bglt)
																			COBJECT(BgL_auxz00_3069))->
																		BgL_freezd2markzd2) =
																	((long) (-10L)), BUNSPEC);
															}
															{
																BgL_svarzf2ginfozf2_bglt BgL_auxz00_3077;

																{
																	obj_t BgL_auxz00_3078;

																	{	/* Globalize/loc2glo.scm 104 */
																		BgL_objectz00_bglt BgL_tmpz00_3079;

																		BgL_tmpz00_3079 =
																			((BgL_objectz00_bglt)
																			((BgL_svarz00_bglt) BgL_tmp1125z00_1969));
																		BgL_auxz00_3078 =
																			BGL_OBJECT_WIDENING(BgL_tmpz00_3079);
																	}
																	BgL_auxz00_3077 =
																		((BgL_svarzf2ginfozf2_bglt)
																		BgL_auxz00_3078);
																}
																((((BgL_svarzf2ginfozf2_bglt)
																			COBJECT(BgL_auxz00_3077))->BgL_markz00) =
																	((long) (-10L)), BUNSPEC);
															}
															{
																BgL_svarzf2ginfozf2_bglt BgL_auxz00_3085;

																{
																	obj_t BgL_auxz00_3086;

																	{	/* Globalize/loc2glo.scm 104 */
																		BgL_objectz00_bglt BgL_tmpz00_3087;

																		BgL_tmpz00_3087 =
																			((BgL_objectz00_bglt)
																			((BgL_svarz00_bglt) BgL_tmp1125z00_1969));
																		BgL_auxz00_3086 =
																			BGL_OBJECT_WIDENING(BgL_tmpz00_3087);
																	}
																	BgL_auxz00_3085 =
																		((BgL_svarzf2ginfozf2_bglt)
																		BgL_auxz00_3086);
																}
																((((BgL_svarzf2ginfozf2_bglt)
																			COBJECT(BgL_auxz00_3085))->
																		BgL_celledzf3zf3) =
																	((bool_t) ((bool_t) 0)), BUNSPEC);
															}
															{
																BgL_svarzf2ginfozf2_bglt BgL_auxz00_3093;

																{
																	obj_t BgL_auxz00_3094;

																	{	/* Globalize/loc2glo.scm 104 */
																		BgL_objectz00_bglt BgL_tmpz00_3095;

																		BgL_tmpz00_3095 =
																			((BgL_objectz00_bglt)
																			((BgL_svarz00_bglt) BgL_tmp1125z00_1969));
																		BgL_auxz00_3094 =
																			BGL_OBJECT_WIDENING(BgL_tmpz00_3095);
																	}
																	BgL_auxz00_3093 =
																		((BgL_svarzf2ginfozf2_bglt)
																		BgL_auxz00_3094);
																}
																((((BgL_svarzf2ginfozf2_bglt)
																			COBJECT(BgL_auxz00_3093))->
																		BgL_stackablez00) =
																	((bool_t) ((bool_t) 1)), BUNSPEC);
															}
															((BgL_svarz00_bglt) BgL_tmp1125z00_1969);
														}
														{	/* Globalize/loc2glo.scm 106 */
															obj_t BgL_arg1605z00_1975;

															BgL_arg1605z00_1975 =
																(((BgL_variablez00_bglt) COBJECT(
																		((BgL_variablez00_bglt)
																			((BgL_localz00_bglt) BgL_oldz00_1961))))->
																BgL_accessz00);
															((((BgL_variablez00_bglt)
																		COBJECT(((BgL_variablez00_bglt)
																				BgL_newz00_1962)))->BgL_accessz00) =
																((obj_t) BgL_arg1605z00_1975), BUNSPEC);
														}
														BgL_arg1588z00_1960 = BgL_newz00_1962;
												}}
												BgL_newtail1339z00_1958 =
													MAKE_YOUNG_PAIR(((obj_t) BgL_arg1588z00_1960), BNIL);
											}
											SET_CDR(BgL_tail1338z00_1955, BgL_newtail1339z00_1958);
											{	/* Globalize/loc2glo.scm 97 */
												obj_t BgL_arg1587z00_1959;

												BgL_arg1587z00_1959 = CDR(((obj_t) BgL_l1335z00_1954));
												{
													obj_t BgL_tail1338z00_3113;
													obj_t BgL_l1335z00_3112;

													BgL_l1335z00_3112 = BgL_arg1587z00_1959;
													BgL_tail1338z00_3113 = BgL_newtail1339z00_1958;
													BgL_tail1338z00_1955 = BgL_tail1338z00_3113;
													BgL_l1335z00_1954 = BgL_l1335z00_3112;
													goto BgL_zc3z04anonymousza31583ze3z87_1956;
												}
											}
										}
								}
							}
						{	/* Globalize/loc2glo.scm 97 */
							BgL_valuez00_bglt BgL_oldzd2funzd2_1851;

							BgL_oldzd2funzd2_1851 =
								(((BgL_variablez00_bglt) COBJECT(
										((BgL_variablez00_bglt) BgL_localz00_6)))->BgL_valuez00);
							{	/* Globalize/loc2glo.scm 109 */
								BgL_sfunz00_bglt BgL_newzd2funzd2_1852;

								{	/* Globalize/loc2glo.scm 110 */
									BgL_sfunz00_bglt BgL_new1129z00_1935;

									{	/* Globalize/loc2glo.scm 111 */
										BgL_sfunz00_bglt BgL_new1143z00_1948;

										BgL_new1143z00_1948 =
											((BgL_sfunz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
														BgL_sfunz00_bgl))));
										{	/* Globalize/loc2glo.scm 111 */
											long BgL_arg1581z00_1949;

											BgL_arg1581z00_1949 =
												BGL_CLASS_NUM(BGl_sfunz00zzast_varz00);
											BGL_OBJECT_CLASS_NUM_SET(
												((BgL_objectz00_bglt) BgL_new1143z00_1948),
												BgL_arg1581z00_1949);
										}
										{	/* Globalize/loc2glo.scm 111 */
											BgL_objectz00_bglt BgL_tmpz00_3120;

											BgL_tmpz00_3120 =
												((BgL_objectz00_bglt) BgL_new1143z00_1948);
											BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3120, BFALSE);
										}
										((BgL_objectz00_bglt) BgL_new1143z00_1948);
										BgL_new1129z00_1935 = BgL_new1143z00_1948;
									}
									{
										long BgL_auxz00_3124;

										{	/* Globalize/loc2glo.scm 111 */
											long BgL_arg1578z00_1936;

											BgL_arg1578z00_1936 =
												(((BgL_funz00_bglt) COBJECT(
														((BgL_funz00_bglt)
															((BgL_sfunz00_bglt) BgL_oldzd2funzd2_1851))))->
												BgL_arityz00);
											BgL_auxz00_3124 =
												(long)
												CINT(BGl_zb2zd2arityz60zztools_argsz00(BINT
													(BgL_arg1578z00_1936), BINT(1L)));
										}
										((((BgL_funz00_bglt) COBJECT(
														((BgL_funz00_bglt) BgL_new1129z00_1935)))->
												BgL_arityz00) = ((long) BgL_auxz00_3124), BUNSPEC);
									}
									((((BgL_funz00_bglt) COBJECT(
													((BgL_funz00_bglt) BgL_new1129z00_1935)))->
											BgL_sidezd2effectzd2) =
										((obj_t) (((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
															BgL_oldzd2funzd2_1851)))->BgL_sidezd2effectzd2)),
										BUNSPEC);
									((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
														BgL_new1129z00_1935)))->BgL_predicatezd2ofzd2) =
										((obj_t) (((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
															BgL_oldzd2funzd2_1851)))->BgL_predicatezd2ofzd2)),
										BUNSPEC);
									((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
														BgL_new1129z00_1935)))->BgL_stackzd2allocatorzd2) =
										((obj_t) (((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
															BgL_oldzd2funzd2_1851)))->
												BgL_stackzd2allocatorzd2)), BUNSPEC);
									((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
														BgL_new1129z00_1935)))->BgL_topzf3zf3) =
										((bool_t) (((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
															BgL_oldzd2funzd2_1851)))->BgL_topzf3zf3)),
										BUNSPEC);
									((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
														BgL_new1129z00_1935)))->BgL_thezd2closurezd2) =
										((obj_t) (((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
															BgL_oldzd2funzd2_1851)))->BgL_thezd2closurezd2)),
										BUNSPEC);
									((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
														BgL_new1129z00_1935)))->BgL_effectz00) =
										((obj_t) (((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
															BgL_oldzd2funzd2_1851)))->BgL_effectz00)),
										BUNSPEC);
									((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
														BgL_new1129z00_1935)))->BgL_failsafez00) =
										((obj_t) (((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
															BgL_oldzd2funzd2_1851)))->BgL_failsafez00)),
										BUNSPEC);
									((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
														BgL_new1129z00_1935)))->BgL_argszd2noescapezd2) =
										((obj_t) (((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
															BgL_oldzd2funzd2_1851)))->
												BgL_argszd2noescapezd2)), BUNSPEC);
									((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
														BgL_new1129z00_1935)))->BgL_argszd2retescapezd2) =
										((obj_t) (((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
															BgL_oldzd2funzd2_1851)))->
												BgL_argszd2retescapezd2)), BUNSPEC);
									((((BgL_sfunz00_bglt) COBJECT(BgL_new1129z00_1935))->
											BgL_propertyz00) =
										((obj_t) (((BgL_sfunz00_bglt)
													COBJECT(((BgL_sfunz00_bglt) ((BgL_funz00_bglt)
																BgL_oldzd2funzd2_1851))))->BgL_propertyz00)),
										BUNSPEC);
									((((BgL_sfunz00_bglt) COBJECT(BgL_new1129z00_1935))->
											BgL_argsz00) =
										((obj_t) MAKE_YOUNG_PAIR(((obj_t) BgL_envz00_1848),
												BgL_newzd2argszd2_1850)), BUNSPEC);
									((((BgL_sfunz00_bglt) COBJECT(BgL_new1129z00_1935))->
											BgL_argszd2namezd2) =
										((obj_t) (((BgL_sfunz00_bglt)
													COBJECT(((BgL_sfunz00_bglt) ((BgL_funz00_bglt)
																BgL_oldzd2funzd2_1851))))->BgL_argszd2namezd2)),
										BUNSPEC);
									((((BgL_sfunz00_bglt) COBJECT(BgL_new1129z00_1935))->
											BgL_bodyz00) =
										((obj_t) (((BgL_sfunz00_bglt)
													COBJECT(((BgL_sfunz00_bglt) ((BgL_funz00_bglt)
																BgL_oldzd2funzd2_1851))))->BgL_bodyz00)),
										BUNSPEC);
									((((BgL_sfunz00_bglt) COBJECT(BgL_new1129z00_1935))->
											BgL_classz00) =
										((obj_t) (((BgL_sfunz00_bglt)
													COBJECT(((BgL_sfunz00_bglt) ((BgL_funz00_bglt)
																BgL_oldzd2funzd2_1851))))->BgL_classz00)),
										BUNSPEC);
									((((BgL_sfunz00_bglt) COBJECT(BgL_new1129z00_1935))->
											BgL_dssslzd2keywordszd2) =
										((obj_t) (((BgL_sfunz00_bglt)
													COBJECT(((BgL_sfunz00_bglt) ((BgL_funz00_bglt)
																BgL_oldzd2funzd2_1851))))->
												BgL_dssslzd2keywordszd2)), BUNSPEC);
									((((BgL_sfunz00_bglt) COBJECT(BgL_new1129z00_1935))->
											BgL_locz00) =
										((obj_t) (((BgL_sfunz00_bglt)
													COBJECT(((BgL_sfunz00_bglt) ((BgL_funz00_bglt)
																BgL_oldzd2funzd2_1851))))->BgL_locz00)),
										BUNSPEC);
									((((BgL_sfunz00_bglt) COBJECT(BgL_new1129z00_1935))->
											BgL_optionalsz00) =
										((obj_t) (((BgL_sfunz00_bglt)
													COBJECT(((BgL_sfunz00_bglt) ((BgL_funz00_bglt)
																BgL_oldzd2funzd2_1851))))->BgL_optionalsz00)),
										BUNSPEC);
									((((BgL_sfunz00_bglt) COBJECT(BgL_new1129z00_1935))->
											BgL_keysz00) =
										((obj_t) (((BgL_sfunz00_bglt)
													COBJECT(((BgL_sfunz00_bglt) ((BgL_funz00_bglt)
																BgL_oldzd2funzd2_1851))))->BgL_keysz00)),
										BUNSPEC);
									((((BgL_sfunz00_bglt) COBJECT(BgL_new1129z00_1935))->
											BgL_thezd2closurezd2globalz00) =
										((obj_t) (((BgL_sfunz00_bglt)
													COBJECT(((BgL_sfunz00_bglt) ((BgL_funz00_bglt)
																BgL_oldzd2funzd2_1851))))->
												BgL_thezd2closurezd2globalz00)), BUNSPEC);
									((((BgL_sfunz00_bglt) COBJECT(BgL_new1129z00_1935))->
											BgL_strengthz00) =
										((obj_t) (((BgL_sfunz00_bglt)
													COBJECT(((BgL_sfunz00_bglt) ((BgL_funz00_bglt)
																BgL_oldzd2funzd2_1851))))->BgL_strengthz00)),
										BUNSPEC);
									((((BgL_sfunz00_bglt) COBJECT(BgL_new1129z00_1935))->
											BgL_stackablez00) =
										((obj_t) (((BgL_sfunz00_bglt)
													COBJECT(((BgL_sfunz00_bglt) ((BgL_funz00_bglt)
																BgL_oldzd2funzd2_1851))))->BgL_stackablez00)),
										BUNSPEC);
									BgL_newzd2funzd2_1852 = BgL_new1129z00_1935;
								}
								{	/* Globalize/loc2glo.scm 110 */

									{
										BgL_globalzf2ginfozf2_bglt BgL_auxz00_3217;

										{
											obj_t BgL_auxz00_3218;

											{	/* Globalize/loc2glo.scm 114 */
												BgL_objectz00_bglt BgL_tmpz00_3219;

												BgL_tmpz00_3219 =
													((BgL_objectz00_bglt)
													((BgL_globalz00_bglt) BgL_globalz00_5));
												BgL_auxz00_3218 = BGL_OBJECT_WIDENING(BgL_tmpz00_3219);
											}
											BgL_auxz00_3217 =
												((BgL_globalzf2ginfozf2_bglt) BgL_auxz00_3218);
										}
										((((BgL_globalzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3217))->
												BgL_escapezf3zf3) = ((bool_t) ((bool_t) 1)), BUNSPEC);
									}
									{	/* Globalize/loc2glo.scm 115 */
										BgL_sfunzf2ginfozf2_bglt BgL_wide1146z00_1855;

										BgL_wide1146z00_1855 =
											((BgL_sfunzf2ginfozf2_bglt)
											BOBJECT(GC_MALLOC(sizeof(struct
														BgL_sfunzf2ginfozf2_bgl))));
										{	/* Globalize/loc2glo.scm 115 */
											obj_t BgL_auxz00_3229;
											BgL_objectz00_bglt BgL_tmpz00_3226;

											BgL_auxz00_3229 = ((obj_t) BgL_wide1146z00_1855);
											BgL_tmpz00_3226 =
												((BgL_objectz00_bglt)
												((BgL_sfunz00_bglt) BgL_newzd2funzd2_1852));
											BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3226, BgL_auxz00_3229);
										}
										((BgL_objectz00_bglt)
											((BgL_sfunz00_bglt) BgL_newzd2funzd2_1852));
										{	/* Globalize/loc2glo.scm 115 */
											long BgL_arg1385z00_1856;

											BgL_arg1385z00_1856 =
												BGL_CLASS_NUM
												(BGl_sfunzf2Ginfozf2zzglobaliza7e_ginfoza7);
											BGL_OBJECT_CLASS_NUM_SET(((BgL_objectz00_bglt) (
														(BgL_sfunz00_bglt) BgL_newzd2funzd2_1852)),
												BgL_arg1385z00_1856);
										}
										((BgL_sfunz00_bglt)
											((BgL_sfunz00_bglt) BgL_newzd2funzd2_1852));
									}
									{
										BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3240;

										{
											obj_t BgL_auxz00_3241;

											{	/* Globalize/ginfo.scm 60 */
												BgL_objectz00_bglt BgL_tmpz00_3242;

												BgL_tmpz00_3242 =
													((BgL_objectz00_bglt)
													((BgL_sfunz00_bglt) BgL_newzd2funzd2_1852));
												BgL_auxz00_3241 = BGL_OBJECT_WIDENING(BgL_tmpz00_3242);
											}
											BgL_auxz00_3240 =
												((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3241);
										}
										((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3240))->
												BgL_gzf3zf3) = ((bool_t) ((bool_t) 0)), BUNSPEC);
									}
									{
										BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3248;

										{
											obj_t BgL_auxz00_3249;

											{	/* Globalize/ginfo.scm 24 */
												BgL_objectz00_bglt BgL_tmpz00_3250;

												BgL_tmpz00_3250 =
													((BgL_objectz00_bglt)
													((BgL_sfunz00_bglt) BgL_newzd2funzd2_1852));
												BgL_auxz00_3249 = BGL_OBJECT_WIDENING(BgL_tmpz00_3250);
											}
											BgL_auxz00_3248 =
												((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3249);
										}
										((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3248))->
												BgL_cfromz00) = ((obj_t) BNIL), BUNSPEC);
									}
									{
										BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3256;

										{
											obj_t BgL_auxz00_3257;

											{	/* Globalize/ginfo.scm 60 */
												BgL_objectz00_bglt BgL_tmpz00_3258;

												BgL_tmpz00_3258 =
													((BgL_objectz00_bglt)
													((BgL_sfunz00_bglt) BgL_newzd2funzd2_1852));
												BgL_auxz00_3257 = BGL_OBJECT_WIDENING(BgL_tmpz00_3258);
											}
											BgL_auxz00_3256 =
												((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3257);
										}
										((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3256))->
												BgL_cfromza2za2) = ((obj_t) BFALSE), BUNSPEC);
									}
									{
										BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3264;

										{
											obj_t BgL_auxz00_3265;

											{	/* Globalize/ginfo.scm 28 */
												BgL_objectz00_bglt BgL_tmpz00_3266;

												BgL_tmpz00_3266 =
													((BgL_objectz00_bglt)
													((BgL_sfunz00_bglt) BgL_newzd2funzd2_1852));
												BgL_auxz00_3265 = BGL_OBJECT_WIDENING(BgL_tmpz00_3266);
											}
											BgL_auxz00_3264 =
												((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3265);
										}
										((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3264))->
												BgL_ctoz00) = ((obj_t) BNIL), BUNSPEC);
									}
									{
										BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3272;

										{
											obj_t BgL_auxz00_3273;

											{	/* Globalize/ginfo.scm 60 */
												BgL_objectz00_bglt BgL_tmpz00_3274;

												BgL_tmpz00_3274 =
													((BgL_objectz00_bglt)
													((BgL_sfunz00_bglt) BgL_newzd2funzd2_1852));
												BgL_auxz00_3273 = BGL_OBJECT_WIDENING(BgL_tmpz00_3274);
											}
											BgL_auxz00_3272 =
												((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3273);
										}
										((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3272))->
												BgL_ctoza2za2) = ((obj_t) BFALSE), BUNSPEC);
									}
									{
										BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3280;

										{
											obj_t BgL_auxz00_3281;

											{	/* Globalize/ginfo.scm 32 */
												BgL_objectz00_bglt BgL_tmpz00_3282;

												BgL_tmpz00_3282 =
													((BgL_objectz00_bglt)
													((BgL_sfunz00_bglt) BgL_newzd2funzd2_1852));
												BgL_auxz00_3281 = BGL_OBJECT_WIDENING(BgL_tmpz00_3282);
											}
											BgL_auxz00_3280 =
												((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3281);
										}
										((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3280))->
												BgL_efunctionsz00) = ((obj_t) BNIL), BUNSPEC);
									}
									{
										BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3288;

										{
											obj_t BgL_auxz00_3289;

											{	/* Globalize/ginfo.scm 60 */
												BgL_objectz00_bglt BgL_tmpz00_3290;

												BgL_tmpz00_3290 =
													((BgL_objectz00_bglt)
													((BgL_sfunz00_bglt) BgL_newzd2funzd2_1852));
												BgL_auxz00_3289 = BGL_OBJECT_WIDENING(BgL_tmpz00_3290);
											}
											BgL_auxz00_3288 =
												((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3289);
										}
										((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3288))->
												BgL_integratorz00) = ((obj_t) BUNSPEC), BUNSPEC);
									}
									{
										BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3296;

										{
											obj_t BgL_auxz00_3297;

											{	/* Globalize/ginfo.scm 36 */
												BgL_objectz00_bglt BgL_tmpz00_3298;

												BgL_tmpz00_3298 =
													((BgL_objectz00_bglt)
													((BgL_sfunz00_bglt) BgL_newzd2funzd2_1852));
												BgL_auxz00_3297 = BGL_OBJECT_WIDENING(BgL_tmpz00_3298);
											}
											BgL_auxz00_3296 =
												((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3297);
										}
										((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3296))->
												BgL_imarkz00) = ((obj_t) BNIL), BUNSPEC);
									}
									{
										BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3304;

										{
											obj_t BgL_auxz00_3305;

											{	/* Globalize/ginfo.scm 60 */
												BgL_objectz00_bglt BgL_tmpz00_3306;

												BgL_tmpz00_3306 =
													((BgL_objectz00_bglt)
													((BgL_sfunz00_bglt) BgL_newzd2funzd2_1852));
												BgL_auxz00_3305 = BGL_OBJECT_WIDENING(BgL_tmpz00_3306);
											}
											BgL_auxz00_3304 =
												((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3305);
										}
										((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3304))->
												BgL_ownerz00) = ((obj_t) BFALSE), BUNSPEC);
									}
									{
										BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3312;

										{
											obj_t BgL_auxz00_3313;

											{	/* Globalize/ginfo.scm 40 */
												BgL_objectz00_bglt BgL_tmpz00_3314;

												BgL_tmpz00_3314 =
													((BgL_objectz00_bglt)
													((BgL_sfunz00_bglt) BgL_newzd2funzd2_1852));
												BgL_auxz00_3313 = BGL_OBJECT_WIDENING(BgL_tmpz00_3314);
											}
											BgL_auxz00_3312 =
												((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3313);
										}
										((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3312))->
												BgL_integratedz00) = ((obj_t) BNIL), BUNSPEC);
									}
									{
										BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3320;

										{
											obj_t BgL_auxz00_3321;

											{	/* Globalize/ginfo.scm 42 */
												BgL_objectz00_bglt BgL_tmpz00_3322;

												BgL_tmpz00_3322 =
													((BgL_objectz00_bglt)
													((BgL_sfunz00_bglt) BgL_newzd2funzd2_1852));
												BgL_auxz00_3321 = BGL_OBJECT_WIDENING(BgL_tmpz00_3322);
											}
											BgL_auxz00_3320 =
												((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3321);
										}
										((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3320))->
												BgL_pluggedzd2inzd2) = ((obj_t) BNIL), BUNSPEC);
									}
									{
										BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3328;

										{
											obj_t BgL_auxz00_3329;

											{	/* Globalize/ginfo.scm 60 */
												BgL_objectz00_bglt BgL_tmpz00_3330;

												BgL_tmpz00_3330 =
													((BgL_objectz00_bglt)
													((BgL_sfunz00_bglt) BgL_newzd2funzd2_1852));
												BgL_auxz00_3329 = BGL_OBJECT_WIDENING(BgL_tmpz00_3330);
											}
											BgL_auxz00_3328 =
												((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3329);
										}
										((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3328))->
												BgL_markz00) = ((long) (-10L)), BUNSPEC);
									}
									{
										BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3336;

										{
											obj_t BgL_auxz00_3337;

											{	/* Globalize/ginfo.scm 46 */
												BgL_objectz00_bglt BgL_tmpz00_3338;

												BgL_tmpz00_3338 =
													((BgL_objectz00_bglt)
													((BgL_sfunz00_bglt) BgL_newzd2funzd2_1852));
												BgL_auxz00_3337 = BGL_OBJECT_WIDENING(BgL_tmpz00_3338);
											}
											BgL_auxz00_3336 =
												((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3337);
										}
										((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3336))->
												BgL_freezd2markzd2) = ((obj_t) BNIL), BUNSPEC);
									}
									{
										BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3344;

										{
											obj_t BgL_auxz00_3345;

											{	/* Globalize/ginfo.scm 60 */
												BgL_objectz00_bglt BgL_tmpz00_3346;

												BgL_tmpz00_3346 =
													((BgL_objectz00_bglt)
													((BgL_sfunz00_bglt) BgL_newzd2funzd2_1852));
												BgL_auxz00_3345 = BGL_OBJECT_WIDENING(BgL_tmpz00_3346);
											}
											BgL_auxz00_3344 =
												((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3345);
										}
										((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3344))->
												BgL_thezd2globalzd2) = ((obj_t) BFALSE), BUNSPEC);
									}
									{
										BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3352;

										{
											obj_t BgL_auxz00_3353;

											{	/* Globalize/ginfo.scm 60 */
												BgL_objectz00_bglt BgL_tmpz00_3354;

												BgL_tmpz00_3354 =
													((BgL_objectz00_bglt)
													((BgL_sfunz00_bglt) BgL_newzd2funzd2_1852));
												BgL_auxz00_3353 = BGL_OBJECT_WIDENING(BgL_tmpz00_3354);
											}
											BgL_auxz00_3352 =
												((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3353);
										}
										((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3352))->
												BgL_kapturedz00) = ((obj_t) BFALSE), BUNSPEC);
									}
									{
										BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3360;

										{
											obj_t BgL_auxz00_3361;

											{	/* Globalize/ginfo.scm 60 */
												BgL_objectz00_bglt BgL_tmpz00_3362;

												BgL_tmpz00_3362 =
													((BgL_objectz00_bglt)
													((BgL_sfunz00_bglt) BgL_newzd2funzd2_1852));
												BgL_auxz00_3361 = BGL_OBJECT_WIDENING(BgL_tmpz00_3362);
											}
											BgL_auxz00_3360 =
												((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3361);
										}
										((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3360))->
												BgL_newzd2bodyzd2) = ((obj_t) BFALSE), BUNSPEC);
									}
									{
										BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3368;

										{
											obj_t BgL_auxz00_3369;

											{	/* Globalize/ginfo.scm 60 */
												BgL_objectz00_bglt BgL_tmpz00_3370;

												BgL_tmpz00_3370 =
													((BgL_objectz00_bglt)
													((BgL_sfunz00_bglt) BgL_newzd2funzd2_1852));
												BgL_auxz00_3369 = BGL_OBJECT_WIDENING(BgL_tmpz00_3370);
											}
											BgL_auxz00_3368 =
												((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3369);
										}
										((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3368))->
												BgL_bmarkz00) = ((long) (-10L)), BUNSPEC);
									}
									{
										BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3376;

										{
											obj_t BgL_auxz00_3377;

											{	/* Globalize/ginfo.scm 60 */
												BgL_objectz00_bglt BgL_tmpz00_3378;

												BgL_tmpz00_3378 =
													((BgL_objectz00_bglt)
													((BgL_sfunz00_bglt) BgL_newzd2funzd2_1852));
												BgL_auxz00_3377 = BGL_OBJECT_WIDENING(BgL_tmpz00_3378);
											}
											BgL_auxz00_3376 =
												((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3377);
										}
										((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3376))->
												BgL_umarkz00) = ((long) (-10L)), BUNSPEC);
									}
									{
										BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3384;

										{
											obj_t BgL_auxz00_3385;

											{	/* Globalize/ginfo.scm 60 */
												BgL_objectz00_bglt BgL_tmpz00_3386;

												BgL_tmpz00_3386 =
													((BgL_objectz00_bglt)
													((BgL_sfunz00_bglt) BgL_newzd2funzd2_1852));
												BgL_auxz00_3385 = BGL_OBJECT_WIDENING(BgL_tmpz00_3386);
											}
											BgL_auxz00_3384 =
												((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3385);
										}
										((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3384))->
												BgL_freez00) = ((obj_t) BUNSPEC), BUNSPEC);
									}
									{
										BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3392;

										{
											obj_t BgL_auxz00_3393;

											{	/* Globalize/ginfo.scm 60 */
												BgL_objectz00_bglt BgL_tmpz00_3394;

												BgL_tmpz00_3394 =
													((BgL_objectz00_bglt)
													((BgL_sfunz00_bglt) BgL_newzd2funzd2_1852));
												BgL_auxz00_3393 = BGL_OBJECT_WIDENING(BgL_tmpz00_3394);
											}
											BgL_auxz00_3392 =
												((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3393);
										}
										((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3392))->
												BgL_boundz00) = ((obj_t) BNIL), BUNSPEC);
									}
									((BgL_sfunz00_bglt) BgL_newzd2funzd2_1852);
									{	/* Globalize/loc2glo.scm 117 */
										BgL_svarz00_bglt BgL_tmp1148z00_1858;

										BgL_tmp1148z00_1858 =
											((BgL_svarz00_bglt)
											(((BgL_variablez00_bglt) COBJECT(
														((BgL_variablez00_bglt) BgL_envz00_1848)))->
												BgL_valuez00));
										{	/* Globalize/loc2glo.scm 117 */
											BgL_svarzf2ginfozf2_bglt BgL_wide1150z00_1860;

											BgL_wide1150z00_1860 =
												((BgL_svarzf2ginfozf2_bglt)
												BOBJECT(GC_MALLOC(sizeof(struct
															BgL_svarzf2ginfozf2_bgl))));
											{	/* Globalize/loc2glo.scm 117 */
												obj_t BgL_auxz00_3408;
												BgL_objectz00_bglt BgL_tmpz00_3405;

												BgL_auxz00_3408 = ((obj_t) BgL_wide1150z00_1860);
												BgL_tmpz00_3405 =
													((BgL_objectz00_bglt)
													((BgL_svarz00_bglt) BgL_tmp1148z00_1858));
												BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3405,
													BgL_auxz00_3408);
											}
											((BgL_objectz00_bglt)
												((BgL_svarz00_bglt) BgL_tmp1148z00_1858));
											{	/* Globalize/loc2glo.scm 117 */
												long BgL_arg1386z00_1861;

												BgL_arg1386z00_1861 =
													BGL_CLASS_NUM
													(BGl_svarzf2Ginfozf2zzglobaliza7e_ginfoza7);
												BGL_OBJECT_CLASS_NUM_SET(((BgL_objectz00_bglt) (
															(BgL_svarz00_bglt) BgL_tmp1148z00_1858)),
													BgL_arg1386z00_1861);
											}
											((BgL_svarz00_bglt)
												((BgL_svarz00_bglt) BgL_tmp1148z00_1858));
										}
										{
											BgL_svarzf2ginfozf2_bglt BgL_auxz00_3419;

											{
												obj_t BgL_auxz00_3420;

												{	/* Globalize/loc2glo.scm 117 */
													BgL_objectz00_bglt BgL_tmpz00_3421;

													BgL_tmpz00_3421 =
														((BgL_objectz00_bglt)
														((BgL_svarz00_bglt) BgL_tmp1148z00_1858));
													BgL_auxz00_3420 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_3421);
												}
												BgL_auxz00_3419 =
													((BgL_svarzf2ginfozf2_bglt) BgL_auxz00_3420);
											}
											((((BgL_svarzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3419))->
													BgL_kapturedzf3zf3) =
												((bool_t) ((bool_t) 0)), BUNSPEC);
										}
										{
											BgL_svarzf2ginfozf2_bglt BgL_auxz00_3427;

											{
												obj_t BgL_auxz00_3428;

												{	/* Globalize/loc2glo.scm 117 */
													BgL_objectz00_bglt BgL_tmpz00_3429;

													BgL_tmpz00_3429 =
														((BgL_objectz00_bglt)
														((BgL_svarz00_bglt) BgL_tmp1148z00_1858));
													BgL_auxz00_3428 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_3429);
												}
												BgL_auxz00_3427 =
													((BgL_svarzf2ginfozf2_bglt) BgL_auxz00_3428);
											}
											((((BgL_svarzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3427))->
													BgL_freezd2markzd2) = ((long) (-10L)), BUNSPEC);
										}
										{
											BgL_svarzf2ginfozf2_bglt BgL_auxz00_3435;

											{
												obj_t BgL_auxz00_3436;

												{	/* Globalize/loc2glo.scm 117 */
													BgL_objectz00_bglt BgL_tmpz00_3437;

													BgL_tmpz00_3437 =
														((BgL_objectz00_bglt)
														((BgL_svarz00_bglt) BgL_tmp1148z00_1858));
													BgL_auxz00_3436 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_3437);
												}
												BgL_auxz00_3435 =
													((BgL_svarzf2ginfozf2_bglt) BgL_auxz00_3436);
											}
											((((BgL_svarzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3435))->
													BgL_markz00) = ((long) (-10L)), BUNSPEC);
										}
										{
											BgL_svarzf2ginfozf2_bglt BgL_auxz00_3443;

											{
												obj_t BgL_auxz00_3444;

												{	/* Globalize/loc2glo.scm 117 */
													BgL_objectz00_bglt BgL_tmpz00_3445;

													BgL_tmpz00_3445 =
														((BgL_objectz00_bglt)
														((BgL_svarz00_bglt) BgL_tmp1148z00_1858));
													BgL_auxz00_3444 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_3445);
												}
												BgL_auxz00_3443 =
													((BgL_svarzf2ginfozf2_bglt) BgL_auxz00_3444);
											}
											((((BgL_svarzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3443))->
													BgL_celledzf3zf3) = ((bool_t) ((bool_t) 0)), BUNSPEC);
										}
										{
											BgL_svarzf2ginfozf2_bglt BgL_auxz00_3451;

											{
												obj_t BgL_auxz00_3452;

												{	/* Globalize/loc2glo.scm 117 */
													BgL_objectz00_bglt BgL_tmpz00_3453;

													BgL_tmpz00_3453 =
														((BgL_objectz00_bglt)
														((BgL_svarz00_bglt) BgL_tmp1148z00_1858));
													BgL_auxz00_3452 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_3453);
												}
												BgL_auxz00_3451 =
													((BgL_svarzf2ginfozf2_bglt) BgL_auxz00_3452);
											}
											((((BgL_svarzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3451))->
													BgL_stackablez00) = ((bool_t) ((bool_t) 1)), BUNSPEC);
										}
										((BgL_svarz00_bglt) BgL_tmp1148z00_1858);
									}
									{	/* Globalize/loc2glo.scm 118 */
										obj_t BgL_arg1388z00_1863;

										{	/* Globalize/loc2glo.scm 118 */
											BgL_typez00_bglt BgL_arg1390z00_1864;

											BgL_arg1390z00_1864 =
												(((BgL_variablez00_bglt) COBJECT(
														((BgL_variablez00_bglt) BgL_localz00_6)))->
												BgL_typez00);
											if (CBOOL
												(BGl_za2optimzd2cfazd2unboxzd2closurezd2argsza2z00zzengine_paramz00))
												{	/* Globalize/loc2glo.scm 70 */
													BgL_arg1388z00_1863 = ((obj_t) BgL_arg1390z00_1864);
												}
											else
												{	/* Globalize/loc2glo.scm 70 */
													BgL_arg1388z00_1863 = BGl_za2objza2z00zztype_cachez00;
												}
										}
										((((BgL_variablez00_bglt) COBJECT(
														((BgL_variablez00_bglt) BgL_globalz00_5)))->
												BgL_typez00) =
											((BgL_typez00_bglt) ((BgL_typez00_bglt)
													BgL_arg1388z00_1863)), BUNSPEC);
									}
									((((BgL_sfunz00_bglt) COBJECT(BgL_newzd2funzd2_1852))->
											BgL_thezd2closurezd2globalz00) =
										((obj_t) ((obj_t) BgL_localz00_6)), BUNSPEC);
									{	/* Globalize/loc2glo.scm 121 */
										obj_t BgL_nargsz00_1865;

										BgL_nargsz00_1865 =
											CDR(
											(((BgL_sfunz00_bglt) COBJECT(BgL_newzd2funzd2_1852))->
												BgL_argsz00));
										{	/* Globalize/loc2glo.scm 122 */
											bool_t BgL_test1959z00_3472;

											if (BGl_localzd2iszd2methodzf3zf3zzobject_methodz00
												(BgL_localz00_6))
												{	/* Globalize/loc2glo.scm 123 */
													obj_t BgL_arg1511z00_1904;

													BgL_arg1511z00_1904 =
														BGl_thezd2backendzd2zzbackend_backendz00();
													BgL_test1959z00_3472 =
														(((BgL_backendz00_bglt) COBJECT(
																((BgL_backendz00_bglt) BgL_arg1511z00_1904)))->
														BgL_typedzd2funcallzd2);
												}
											else
												{	/* Globalize/loc2glo.scm 122 */
													BgL_test1959z00_3472 = ((bool_t) 0);
												}
											if (BgL_test1959z00_3472)
												{	/* Globalize/loc2glo.scm 122 */
													{	/* Globalize/loc2glo.scm 128 */
														obj_t BgL_arg1400z00_1869;
														BgL_typez00_bglt BgL_arg1401z00_1870;

														BgL_arg1400z00_1869 =
															CAR(((obj_t) BgL_nargsz00_1865));
														BgL_arg1401z00_1870 =
															(((BgL_variablez00_bglt) COBJECT(
																	((BgL_variablez00_bglt)
																		((BgL_localz00_bglt)
																			CAR(
																				((obj_t) BgL_argsz00_7))))))->
															BgL_typez00);
														((((BgL_variablez00_bglt)
																	COBJECT(((BgL_variablez00_bglt) (
																				(BgL_localz00_bglt)
																				BgL_arg1400z00_1869))))->BgL_typez00) =
															((BgL_typez00_bglt) BgL_arg1401z00_1870),
															BUNSPEC);
													}
													{	/* Globalize/loc2glo.scm 129 */
														obj_t BgL_g1343z00_1872;
														obj_t BgL_g1344z00_1873;

														BgL_g1343z00_1872 =
															CDR(((obj_t) BgL_nargsz00_1865));
														BgL_g1344z00_1873 = CDR(((obj_t) BgL_argsz00_7));
														{
															obj_t BgL_ll1340z00_1875;
															obj_t BgL_ll1341z00_1876;

															BgL_ll1340z00_1875 = BgL_g1343z00_1872;
															BgL_ll1341z00_1876 = BgL_g1344z00_1873;
														BgL_zc3z04anonymousza31403ze3z87_1877:
															if (NULLP(BgL_ll1340z00_1875))
																{	/* Globalize/loc2glo.scm 134 */
																	((bool_t) 1);
																}
															else
																{	/* Globalize/loc2glo.scm 134 */
																	{	/* Globalize/loc2glo.scm 130 */
																		obj_t BgL_nz00_1879;
																		obj_t BgL_oz00_1880;

																		BgL_nz00_1879 =
																			CAR(((obj_t) BgL_ll1340z00_1875));
																		BgL_oz00_1880 =
																			CAR(((obj_t) BgL_ll1341z00_1876));
																		{	/* Globalize/loc2glo.scm 130 */
																			bool_t BgL_test1962z00_3498;

																			{	/* Globalize/loc2glo.scm 130 */
																				bool_t BgL_test1963z00_3499;

																				{	/* Globalize/loc2glo.scm 130 */
																					BgL_typez00_bglt BgL_arg1484z00_1892;

																					BgL_arg1484z00_1892 =
																						(((BgL_variablez00_bglt) COBJECT(
																								((BgL_variablez00_bglt)
																									((BgL_localz00_bglt)
																										BgL_oz00_1880))))->
																						BgL_typez00);
																					BgL_test1963z00_3499 =
																						BGl_bigloozd2typezf3z21zztype_typez00
																						(BgL_arg1484z00_1892);
																				}
																				if (BgL_test1963z00_3499)
																					{	/* Globalize/loc2glo.scm 131 */
																						bool_t BgL_test1964z00_3504;

																						{	/* Globalize/loc2glo.scm 131 */
																							obj_t BgL_arg1480z00_1891;

																							BgL_arg1480z00_1891 =
																								((obj_t)
																								(((BgL_variablez00_bglt)
																										COBJECT((
																												(BgL_variablez00_bglt) (
																													(BgL_localz00_bglt)
																													BgL_oz00_1880))))->
																									BgL_typez00));
																							BgL_test1964z00_3504 =
																								(BgL_arg1480z00_1891 ==
																								BGl_za2_za2z00zztype_cachez00);
																						}
																						if (BgL_test1964z00_3504)
																							{	/* Globalize/loc2glo.scm 131 */
																								BgL_test1962z00_3498 =
																									((bool_t) 0);
																							}
																						else
																							{	/* Globalize/loc2glo.scm 131 */
																								BgL_test1962z00_3498 =
																									((bool_t) 1);
																							}
																					}
																				else
																					{	/* Globalize/loc2glo.scm 130 */
																						BgL_test1962z00_3498 = ((bool_t) 0);
																					}
																			}
																			if (BgL_test1962z00_3498)
																				{	/* Globalize/loc2glo.scm 132 */
																					BgL_typez00_bglt BgL_arg1471z00_1888;

																					BgL_arg1471z00_1888 =
																						(((BgL_variablez00_bglt) COBJECT(
																								((BgL_variablez00_bglt)
																									((BgL_localz00_bglt)
																										BgL_oz00_1880))))->
																						BgL_typez00);
																					((((BgL_variablez00_bglt)
																								COBJECT(((BgL_variablez00_bglt)
																										((BgL_localz00_bglt)
																											BgL_nz00_1879))))->
																							BgL_typez00) =
																						((BgL_typez00_bglt)
																							BgL_arg1471z00_1888), BUNSPEC);
																				}
																			else
																				{	/* Globalize/loc2glo.scm 133 */
																					BgL_typez00_bglt BgL_vz00_2489;

																					BgL_vz00_2489 =
																						((BgL_typez00_bglt)
																						BGl_za2objza2z00zztype_cachez00);
																					((((BgL_variablez00_bglt)
																								COBJECT(((BgL_variablez00_bglt)
																										((BgL_localz00_bglt)
																											BgL_nz00_1879))))->
																							BgL_typez00) =
																						((BgL_typez00_bglt) BgL_vz00_2489),
																						BUNSPEC);
																				}
																		}
																	}
																	{	/* Globalize/loc2glo.scm 134 */
																		obj_t BgL_arg1487z00_1893;
																		obj_t BgL_arg1489z00_1894;

																		BgL_arg1487z00_1893 =
																			CDR(((obj_t) BgL_ll1340z00_1875));
																		BgL_arg1489z00_1894 =
																			CDR(((obj_t) BgL_ll1341z00_1876));
																		{
																			obj_t BgL_ll1341z00_3525;
																			obj_t BgL_ll1340z00_3524;

																			BgL_ll1340z00_3524 = BgL_arg1487z00_1893;
																			BgL_ll1341z00_3525 = BgL_arg1489z00_1894;
																			BgL_ll1341z00_1876 = BgL_ll1341z00_3525;
																			BgL_ll1340z00_1875 = BgL_ll1340z00_3524;
																			goto
																				BgL_zc3z04anonymousza31403ze3z87_1877;
																		}
																	}
																}
														}
													}
												}
											else
												{	/* Globalize/loc2glo.scm 122 */
													if (CBOOL
														(BGl_za2optimzd2cfazd2unboxzd2closurezd2argsza2z00zzengine_paramz00))
														{	/* Globalize/loc2glo.scm 135 */
															((bool_t) 0);
														}
													else
														{
															obj_t BgL_l1345z00_1897;

															BgL_l1345z00_1897 = BgL_nargsz00_1865;
														BgL_zc3z04anonymousza31490ze3z87_1898:
															if (PAIRP(BgL_l1345z00_1897))
																{	/* Globalize/loc2glo.scm 136 */
																	{	/* Globalize/loc2glo.scm 137 */
																		obj_t BgL_lz00_1900;

																		BgL_lz00_1900 = CAR(BgL_l1345z00_1897);
																		{	/* Globalize/loc2glo.scm 137 */
																			BgL_typez00_bglt BgL_vz00_2494;

																			BgL_vz00_2494 =
																				((BgL_typez00_bglt)
																				BGl_za2objza2z00zztype_cachez00);
																			((((BgL_variablez00_bglt)
																						COBJECT(((BgL_variablez00_bglt) (
																									(BgL_localz00_bglt)
																									BgL_lz00_1900))))->
																					BgL_typez00) =
																				((BgL_typez00_bglt) BgL_vz00_2494),
																				BUNSPEC);
																		}
																	}
																	{
																		obj_t BgL_l1345z00_3535;

																		BgL_l1345z00_3535 = CDR(BgL_l1345z00_1897);
																		BgL_l1345z00_1897 = BgL_l1345z00_3535;
																		goto BgL_zc3z04anonymousza31490ze3z87_1898;
																	}
																}
															else
																{	/* Globalize/loc2glo.scm 136 */
																	((bool_t) 1);
																}
														}
												}
										}
									}
									((((BgL_variablez00_bglt) COBJECT(
													((BgL_variablez00_bglt) BgL_globalz00_5)))->
											BgL_valuez00) =
										((BgL_valuez00_bglt) ((BgL_valuez00_bglt)
												BgL_newzd2funzd2_1852)), BUNSPEC);
									{	/* Globalize/loc2glo.scm 145 */
										BgL_nodez00_bglt BgL_arg1513z00_1906;

										{	/* Globalize/loc2glo.scm 145 */
											BgL_nodez00_bglt BgL_arg1515z00_1907;

											{	/* Globalize/loc2glo.scm 145 */
												obj_t BgL_arg1516z00_1908;

												{	/* Globalize/loc2glo.scm 145 */
													obj_t BgL_arg1530z00_1909;
													obj_t BgL_arg1532z00_1910;

													{	/* Globalize/loc2glo.scm 145 */
														obj_t BgL_arg1535z00_1911;

														BgL_arg1535z00_1911 =
															BGl_thezd2closurezd2zzglobaliza7e_freeza7(
															((BgL_variablez00_bglt) BgL_localz00_6), BFALSE);
														BgL_arg1530z00_1909 =
															MAKE_YOUNG_PAIR(BgL_arg1535z00_1911,
															((obj_t) BgL_envz00_1848));
													}
													if (NULLP(BgL_kapturedz00_8))
														{	/* Globalize/loc2glo.scm 146 */
															BgL_arg1532z00_1910 = BNIL;
														}
													else
														{	/* Globalize/loc2glo.scm 146 */
															obj_t BgL_head1349z00_1915;

															{	/* Globalize/loc2glo.scm 146 */
																obj_t BgL_arg1560z00_1931;

																{	/* Globalize/loc2glo.scm 146 */
																	obj_t BgL_arg1574z00_1932;
																	obj_t BgL_arg1577z00_1933;

																	BgL_arg1574z00_1932 =
																		CAR(((obj_t) BgL_kapturedz00_8));
																	BgL_arg1577z00_1933 =
																		CAR(((obj_t) BgL_newzd2freezd2_1849));
																	BgL_arg1560z00_1931 =
																		MAKE_YOUNG_PAIR(BgL_arg1574z00_1932,
																		BgL_arg1577z00_1933);
																}
																BgL_head1349z00_1915 =
																	MAKE_YOUNG_PAIR(BgL_arg1560z00_1931, BNIL);
															}
															{	/* Globalize/loc2glo.scm 146 */
																obj_t BgL_g1353z00_1916;
																obj_t BgL_g1354z00_1917;

																BgL_g1353z00_1916 =
																	CDR(((obj_t) BgL_kapturedz00_8));
																BgL_g1354z00_1917 =
																	CDR(((obj_t) BgL_newzd2freezd2_1849));
																{
																	obj_t BgL_ll1347z00_1919;
																	obj_t BgL_ll1348z00_1920;
																	obj_t BgL_tail1350z00_1921;

																	BgL_ll1347z00_1919 = BgL_g1353z00_1916;
																	BgL_ll1348z00_1920 = BgL_g1354z00_1917;
																	BgL_tail1350z00_1921 = BgL_head1349z00_1915;
																BgL_zc3z04anonymousza31537ze3z87_1922:
																	if (NULLP(BgL_ll1347z00_1919))
																		{	/* Globalize/loc2glo.scm 146 */
																			BgL_arg1532z00_1910 =
																				BgL_head1349z00_1915;
																		}
																	else
																		{	/* Globalize/loc2glo.scm 146 */
																			obj_t BgL_newtail1351z00_1924;

																			{	/* Globalize/loc2glo.scm 146 */
																				obj_t BgL_arg1553z00_1927;

																				{	/* Globalize/loc2glo.scm 146 */
																					obj_t BgL_arg1554z00_1928;
																					obj_t BgL_arg1558z00_1929;

																					BgL_arg1554z00_1928 =
																						CAR(((obj_t) BgL_ll1347z00_1919));
																					BgL_arg1558z00_1929 =
																						CAR(((obj_t) BgL_ll1348z00_1920));
																					BgL_arg1553z00_1927 =
																						MAKE_YOUNG_PAIR(BgL_arg1554z00_1928,
																						BgL_arg1558z00_1929);
																				}
																				BgL_newtail1351z00_1924 =
																					MAKE_YOUNG_PAIR(BgL_arg1553z00_1927,
																					BNIL);
																			}
																			SET_CDR(BgL_tail1350z00_1921,
																				BgL_newtail1351z00_1924);
																			{	/* Globalize/loc2glo.scm 146 */
																				obj_t BgL_arg1543z00_1925;
																				obj_t BgL_arg1545z00_1926;

																				BgL_arg1543z00_1925 =
																					CDR(((obj_t) BgL_ll1347z00_1919));
																				BgL_arg1545z00_1926 =
																					CDR(((obj_t) BgL_ll1348z00_1920));
																				{
																					obj_t BgL_tail1350z00_3571;
																					obj_t BgL_ll1348z00_3570;
																					obj_t BgL_ll1347z00_3569;

																					BgL_ll1347z00_3569 =
																						BgL_arg1543z00_1925;
																					BgL_ll1348z00_3570 =
																						BgL_arg1545z00_1926;
																					BgL_tail1350z00_3571 =
																						BgL_newtail1351z00_1924;
																					BgL_tail1350z00_1921 =
																						BgL_tail1350z00_3571;
																					BgL_ll1348z00_1920 =
																						BgL_ll1348z00_3570;
																					BgL_ll1347z00_1919 =
																						BgL_ll1347z00_3569;
																					goto
																						BgL_zc3z04anonymousza31537ze3z87_1922;
																				}
																			}
																		}
																}
															}
														}
													BgL_arg1516z00_1908 =
														MAKE_YOUNG_PAIR(BgL_arg1530z00_1909,
														BgL_arg1532z00_1910);
												}
												BgL_arg1515z00_1907 =
													BGl_nodezd2globaliza7ez12z67zzglobaliza7e_nodeza7(
													((BgL_nodez00_bglt) BgL_bodyz00_9),
													((BgL_variablez00_bglt) BgL_localz00_6),
													BgL_arg1516z00_1908);
											}
											BgL_arg1513z00_1906 =
												BGl_makezd2escapingzd2bodyz00zzglobaliza7e_localzd2ze3globalz96
												(BgL_localz00_6, BgL_globalz00_5,
												BgL_newzd2argszd2_1850, BgL_newzd2freezd2_1849,
												BgL_envz00_1848, BgL_arg1515z00_1907);
										}
										((((BgL_sfunz00_bglt) COBJECT(BgL_newzd2funzd2_1852))->
												BgL_bodyz00) =
											((obj_t) ((obj_t) BgL_arg1513z00_1906)), BUNSPEC);
									}
									return BgL_globalz00_5;
								}
							}
						}
					}
				}
			}
		}

	}



/* make-escaping-body */
	BgL_nodez00_bglt
		BGl_makezd2escapingzd2bodyz00zzglobaliza7e_localzd2ze3globalz96
		(BgL_localz00_bglt BgL_localz00_10, BgL_globalz00_bglt BgL_globalz00_11,
		obj_t BgL_argsz00_12, obj_t BgL_kapturedz00_13,
		BgL_localz00_bglt BgL_envz00_14, BgL_nodez00_bglt BgL_bodyz00_15)
	{
		{	/* Globalize/loc2glo.scm 152 */
			{	/* Globalize/loc2glo.scm 153 */
				obj_t BgL_stackz00_2007;
				obj_t BgL_locz00_2008;

				{	/* Globalize/loc2glo.scm 153 */
					obj_t BgL_list1700z00_2061;

					BgL_list1700z00_2061 = MAKE_YOUNG_PAIR(((obj_t) BgL_envz00_14), BNIL);
					BgL_stackz00_2007 = BgL_list1700z00_2061;
				}
				BgL_locz00_2008 =
					(((BgL_nodez00_bglt) COBJECT(BgL_bodyz00_15))->BgL_locz00);
				{	/* Globalize/loc2glo.scm 155 */
					BgL_valuez00_bglt BgL_arg1643z00_2009;

					BgL_arg1643z00_2009 =
						(((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt) BgL_localz00_10)))->BgL_valuez00);
					((((BgL_sfunz00_bglt) COBJECT(
									((BgL_sfunz00_bglt) BgL_arg1643z00_2009)))->BgL_bodyz00) =
						((obj_t) ((obj_t) BgL_bodyz00_15)), BUNSPEC);
				}
				{	/* Globalize/loc2glo.scm 156 */
					BgL_letzd2varzd2_bglt BgL_new1153z00_2010;

					{	/* Globalize/loc2glo.scm 157 */
						BgL_letzd2varzd2_bglt BgL_new1152z00_2059;

						BgL_new1152z00_2059 =
							((BgL_letzd2varzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_letzd2varzd2_bgl))));
						{	/* Globalize/loc2glo.scm 157 */
							long BgL_arg1699z00_2060;

							BgL_arg1699z00_2060 =
								BGL_CLASS_NUM(BGl_letzd2varzd2zzast_nodez00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1152z00_2059),
								BgL_arg1699z00_2060);
						}
						{	/* Globalize/loc2glo.scm 157 */
							BgL_objectz00_bglt BgL_tmpz00_3591;

							BgL_tmpz00_3591 = ((BgL_objectz00_bglt) BgL_new1152z00_2059);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3591, BFALSE);
						}
						((BgL_objectz00_bglt) BgL_new1152z00_2059);
						BgL_new1153z00_2010 = BgL_new1152z00_2059;
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt) BgL_new1153z00_2010)))->BgL_locz00) =
						((obj_t) BgL_locz00_2008), BUNSPEC);
					{
						BgL_typez00_bglt BgL_auxz00_3597;

						{	/* Globalize/loc2glo.scm 158 */
							BgL_typez00_bglt BgL_arg1648z00_2011;

							BgL_arg1648z00_2011 =
								(((BgL_variablez00_bglt) COBJECT(
										((BgL_variablez00_bglt) BgL_localz00_10)))->BgL_typez00);
							BgL_auxz00_3597 =
								BGl_strictzd2nodezd2typez00zzast_nodez00(BgL_arg1648z00_2011,
								((BgL_typez00_bglt) BGl_za2_za2z00zztype_cachez00));
						}
						((((BgL_nodez00_bglt) COBJECT(
										((BgL_nodez00_bglt) BgL_new1153z00_2010)))->BgL_typez00) =
							((BgL_typez00_bglt) BgL_auxz00_3597), BUNSPEC);
					}
					((((BgL_nodezf2effectzf2_bglt) COBJECT(
									((BgL_nodezf2effectzf2_bglt) BgL_new1153z00_2010)))->
							BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
										BgL_new1153z00_2010)))->BgL_keyz00) =
						((obj_t) BINT((-1L))), BUNSPEC);
					{
						obj_t BgL_auxz00_3609;

						{
							obj_t BgL_kapturedz00_2014;
							long BgL_numz00_2015;
							obj_t BgL_resz00_2016;

							BgL_kapturedz00_2014 = BgL_kapturedz00_13;
							BgL_numz00_2015 = 0L;
							BgL_resz00_2016 = BNIL;
						BgL_zc3z04anonymousza31649ze3z87_2017:
							if (NULLP(BgL_kapturedz00_2014))
								{	/* Globalize/loc2glo.scm 162 */
									BgL_auxz00_3609 = bgl_reverse_bang(BgL_resz00_2016);
								}
							else
								{	/* Globalize/loc2glo.scm 164 */
									obj_t BgL_arg1653z00_2019;
									long BgL_arg1655z00_2020;
									obj_t BgL_arg1656z00_2021;

									BgL_arg1653z00_2019 = CDR(((obj_t) BgL_kapturedz00_2014));
									BgL_arg1655z00_2020 = (BgL_numz00_2015 + 1L);
									{	/* Globalize/loc2glo.scm 166 */
										obj_t BgL_arg1657z00_2022;

										{	/* Globalize/loc2glo.scm 166 */
											obj_t BgL_arg1660z00_2023;
											BgL_nodez00_bglt BgL_arg1663z00_2024;

											BgL_arg1660z00_2023 = CAR(((obj_t) BgL_kapturedz00_2014));
											{	/* Globalize/loc2glo.scm 168 */
												obj_t BgL_arg1664z00_2025;

												{	/* Globalize/loc2glo.scm 168 */
													obj_t BgL_arg1673z00_2026;

													{	/* Globalize/loc2glo.scm 168 */
														obj_t BgL_arg1674z00_2027;

														BgL_arg1674z00_2027 =
															MAKE_YOUNG_PAIR(BINT(BgL_numz00_2015), BNIL);
														BgL_arg1673z00_2026 =
															MAKE_YOUNG_PAIR(
															((obj_t) CNST_TABLE_REF(0)), BgL_arg1674z00_2027);
													}
													BgL_arg1664z00_2025 =
														MAKE_YOUNG_PAIR(
														((obj_t) CNST_TABLE_REF(1)), BgL_arg1673z00_2026);
												}
												BgL_arg1663z00_2024 =
													BGl_sexpzd2ze3nodez31zzast_sexpz00
													(BgL_arg1664z00_2025, BgL_stackz00_2007,
													BgL_locz00_2008, ((obj_t) CNST_TABLE_REF(2)));
											}
											BgL_arg1657z00_2022 =
												MAKE_YOUNG_PAIR(BgL_arg1660z00_2023,
												((obj_t) BgL_arg1663z00_2024));
										}
										BgL_arg1656z00_2021 =
											MAKE_YOUNG_PAIR(BgL_arg1657z00_2022, BgL_resz00_2016);
									}
									{
										obj_t BgL_resz00_3634;
										long BgL_numz00_3633;
										obj_t BgL_kapturedz00_3632;

										BgL_kapturedz00_3632 = BgL_arg1653z00_2019;
										BgL_numz00_3633 = BgL_arg1655z00_2020;
										BgL_resz00_3634 = BgL_arg1656z00_2021;
										BgL_resz00_2016 = BgL_resz00_3634;
										BgL_numz00_2015 = BgL_numz00_3633;
										BgL_kapturedz00_2014 = BgL_kapturedz00_3632;
										goto BgL_zc3z04anonymousza31649ze3z87_2017;
									}
								}
						}
						((((BgL_letzd2varzd2_bglt) COBJECT(BgL_new1153z00_2010))->
								BgL_bindingsz00) = ((obj_t) BgL_auxz00_3609), BUNSPEC);
					}
					{
						BgL_nodez00_bglt BgL_auxz00_3636;

						{	/* Globalize/loc2glo.scm 173 */
							BgL_letzd2funzd2_bglt BgL_new1156z00_2029;

							{	/* Globalize/loc2glo.scm 174 */
								BgL_letzd2funzd2_bglt BgL_new1155z00_2057;

								BgL_new1155z00_2057 =
									((BgL_letzd2funzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_letzd2funzd2_bgl))));
								{	/* Globalize/loc2glo.scm 174 */
									long BgL_arg1696z00_2058;

									{	/* Globalize/loc2glo.scm 174 */
										obj_t BgL_classz00_2520;

										BgL_classz00_2520 = BGl_letzd2funzd2zzast_nodez00;
										BgL_arg1696z00_2058 = BGL_CLASS_NUM(BgL_classz00_2520);
									}
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1155z00_2057),
										BgL_arg1696z00_2058);
								}
								{	/* Globalize/loc2glo.scm 174 */
									BgL_objectz00_bglt BgL_tmpz00_3641;

									BgL_tmpz00_3641 = ((BgL_objectz00_bglt) BgL_new1155z00_2057);
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3641, BFALSE);
								}
								((BgL_objectz00_bglt) BgL_new1155z00_2057);
								BgL_new1156z00_2029 = BgL_new1155z00_2057;
							}
							((((BgL_nodez00_bglt) COBJECT(
											((BgL_nodez00_bglt) BgL_new1156z00_2029)))->BgL_locz00) =
								((obj_t) BgL_locz00_2008), BUNSPEC);
							{
								BgL_typez00_bglt BgL_auxz00_3647;

								{	/* Globalize/loc2glo.scm 175 */
									BgL_typez00_bglt BgL_arg1675z00_2030;

									BgL_arg1675z00_2030 =
										(((BgL_variablez00_bglt) COBJECT(
												((BgL_variablez00_bglt) BgL_localz00_10)))->
										BgL_typez00);
									BgL_auxz00_3647 =
										BGl_strictzd2nodezd2typez00zzast_nodez00
										(BgL_arg1675z00_2030,
										((BgL_typez00_bglt) BGl_za2_za2z00zztype_cachez00));
								}
								((((BgL_nodez00_bglt) COBJECT(
												((BgL_nodez00_bglt) BgL_new1156z00_2029)))->
										BgL_typez00) =
									((BgL_typez00_bglt) BgL_auxz00_3647), BUNSPEC);
							}
							((((BgL_nodezf2effectzf2_bglt) COBJECT(
											((BgL_nodezf2effectzf2_bglt) BgL_new1156z00_2029)))->
									BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
							((((BgL_nodezf2effectzf2_bglt)
										COBJECT(((BgL_nodezf2effectzf2_bglt)
												BgL_new1156z00_2029)))->BgL_keyz00) =
								((obj_t) BINT((-1L))), BUNSPEC);
							{
								obj_t BgL_auxz00_3659;

								{	/* Globalize/loc2glo.scm 176 */
									obj_t BgL_list1676z00_2031;

									BgL_list1676z00_2031 =
										MAKE_YOUNG_PAIR(((obj_t) BgL_localz00_10), BNIL);
									BgL_auxz00_3659 = BgL_list1676z00_2031;
								}
								((((BgL_letzd2funzd2_bglt) COBJECT(BgL_new1156z00_2029))->
										BgL_localsz00) = ((obj_t) BgL_auxz00_3659), BUNSPEC);
							}
							{
								BgL_nodez00_bglt BgL_auxz00_3663;

								{	/* Globalize/loc2glo.scm 177 */
									BgL_appz00_bglt BgL_new1158z00_2032;

									{	/* Globalize/loc2glo.scm 178 */
										BgL_appz00_bglt BgL_new1157z00_2055;

										BgL_new1157z00_2055 =
											((BgL_appz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
														BgL_appz00_bgl))));
										{	/* Globalize/loc2glo.scm 178 */
											long BgL_arg1695z00_2056;

											{	/* Globalize/loc2glo.scm 178 */
												obj_t BgL_classz00_2526;

												BgL_classz00_2526 = BGl_appz00zzast_nodez00;
												BgL_arg1695z00_2056 = BGL_CLASS_NUM(BgL_classz00_2526);
											}
											BGL_OBJECT_CLASS_NUM_SET(
												((BgL_objectz00_bglt) BgL_new1157z00_2055),
												BgL_arg1695z00_2056);
										}
										{	/* Globalize/loc2glo.scm 178 */
											BgL_objectz00_bglt BgL_tmpz00_3668;

											BgL_tmpz00_3668 =
												((BgL_objectz00_bglt) BgL_new1157z00_2055);
											BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3668, BFALSE);
										}
										((BgL_objectz00_bglt) BgL_new1157z00_2055);
										BgL_new1158z00_2032 = BgL_new1157z00_2055;
									}
									((((BgL_nodez00_bglt) COBJECT(
													((BgL_nodez00_bglt) BgL_new1158z00_2032)))->
											BgL_locz00) = ((obj_t) BgL_locz00_2008), BUNSPEC);
									{
										BgL_typez00_bglt BgL_auxz00_3674;

										{	/* Globalize/loc2glo.scm 179 */
											BgL_typez00_bglt BgL_arg1677z00_2033;

											BgL_arg1677z00_2033 =
												(((BgL_variablez00_bglt) COBJECT(
														((BgL_variablez00_bglt) BgL_localz00_10)))->
												BgL_typez00);
											BgL_auxz00_3674 =
												BGl_strictzd2nodezd2typez00zzast_nodez00
												(BgL_arg1677z00_2033,
												((BgL_typez00_bglt) BGl_za2_za2z00zztype_cachez00));
										}
										((((BgL_nodez00_bglt) COBJECT(
														((BgL_nodez00_bglt) BgL_new1158z00_2032)))->
												BgL_typez00) =
											((BgL_typez00_bglt) BgL_auxz00_3674), BUNSPEC);
									}
									((((BgL_nodezf2effectzf2_bglt) COBJECT(
													((BgL_nodezf2effectzf2_bglt) BgL_new1158z00_2032)))->
											BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
									((((BgL_nodezf2effectzf2_bglt)
												COBJECT(((BgL_nodezf2effectzf2_bglt)
														BgL_new1158z00_2032)))->BgL_keyz00) =
										((obj_t) BINT((-1L))), BUNSPEC);
									{
										BgL_varz00_bglt BgL_auxz00_3686;

										{	/* Globalize/loc2glo.scm 180 */
											BgL_refz00_bglt BgL_new1160z00_2034;

											{	/* Globalize/loc2glo.scm 181 */
												BgL_refz00_bglt BgL_new1159z00_2036;

												BgL_new1159z00_2036 =
													((BgL_refz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
																BgL_refz00_bgl))));
												{	/* Globalize/loc2glo.scm 181 */
													long BgL_arg1680z00_2037;

													{	/* Globalize/loc2glo.scm 181 */
														obj_t BgL_classz00_2531;

														BgL_classz00_2531 = BGl_refz00zzast_nodez00;
														BgL_arg1680z00_2037 =
															BGL_CLASS_NUM(BgL_classz00_2531);
													}
													BGL_OBJECT_CLASS_NUM_SET(
														((BgL_objectz00_bglt) BgL_new1159z00_2036),
														BgL_arg1680z00_2037);
												}
												{	/* Globalize/loc2glo.scm 181 */
													BgL_objectz00_bglt BgL_tmpz00_3691;

													BgL_tmpz00_3691 =
														((BgL_objectz00_bglt) BgL_new1159z00_2036);
													BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3691, BFALSE);
												}
												((BgL_objectz00_bglt) BgL_new1159z00_2036);
												BgL_new1160z00_2034 = BgL_new1159z00_2036;
											}
											((((BgL_nodez00_bglt) COBJECT(
															((BgL_nodez00_bglt) BgL_new1160z00_2034)))->
													BgL_locz00) = ((obj_t) BgL_locz00_2008), BUNSPEC);
											{
												BgL_typez00_bglt BgL_auxz00_3697;

												{	/* Globalize/loc2glo.scm 183 */
													BgL_typez00_bglt BgL_arg1679z00_2035;

													BgL_arg1679z00_2035 =
														(((BgL_variablez00_bglt) COBJECT(
																((BgL_variablez00_bglt) BgL_localz00_10)))->
														BgL_typez00);
													BgL_auxz00_3697 =
														BGl_strictzd2nodezd2typez00zzast_nodez00
														(BgL_arg1679z00_2035,
														((BgL_typez00_bglt) BGl_za2_za2z00zztype_cachez00));
												}
												((((BgL_nodez00_bglt) COBJECT(
																((BgL_nodez00_bglt) BgL_new1160z00_2034)))->
														BgL_typez00) =
													((BgL_typez00_bglt) BgL_auxz00_3697), BUNSPEC);
											}
											((((BgL_varz00_bglt) COBJECT(
															((BgL_varz00_bglt) BgL_new1160z00_2034)))->
													BgL_variablez00) =
												((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
														BgL_localz00_10)), BUNSPEC);
											BgL_auxz00_3686 = ((BgL_varz00_bglt) BgL_new1160z00_2034);
										}
										((((BgL_appz00_bglt) COBJECT(BgL_new1158z00_2032))->
												BgL_funz00) =
											((BgL_varz00_bglt) BgL_auxz00_3686), BUNSPEC);
									}
									{
										obj_t BgL_auxz00_3709;

										if (NULLP(BgL_argsz00_12))
											{	/* Globalize/loc2glo.scm 185 */
												BgL_auxz00_3709 = BNIL;
											}
										else
											{	/* Globalize/loc2glo.scm 185 */
												obj_t BgL_head1357z00_2040;

												BgL_head1357z00_2040 = MAKE_YOUNG_PAIR(BNIL, BNIL);
												{
													obj_t BgL_l1355z00_2042;
													obj_t BgL_tail1358z00_2043;

													BgL_l1355z00_2042 = BgL_argsz00_12;
													BgL_tail1358z00_2043 = BgL_head1357z00_2040;
												BgL_zc3z04anonymousza31682ze3z87_2044:
													if (NULLP(BgL_l1355z00_2042))
														{	/* Globalize/loc2glo.scm 185 */
															BgL_auxz00_3709 = CDR(BgL_head1357z00_2040);
														}
													else
														{	/* Globalize/loc2glo.scm 185 */
															obj_t BgL_newtail1359z00_2046;

															{	/* Globalize/loc2glo.scm 185 */
																BgL_refz00_bglt BgL_arg1691z00_2048;

																{	/* Globalize/loc2glo.scm 185 */
																	obj_t BgL_vz00_2049;

																	BgL_vz00_2049 =
																		CAR(((obj_t) BgL_l1355z00_2042));
																	{	/* Globalize/loc2glo.scm 186 */
																		BgL_refz00_bglt BgL_new1162z00_2050;

																		{	/* Globalize/loc2glo.scm 190 */
																			BgL_refz00_bglt BgL_new1161z00_2052;

																			BgL_new1161z00_2052 =
																				((BgL_refz00_bglt)
																				BOBJECT(GC_MALLOC(sizeof(struct
																							BgL_refz00_bgl))));
																			{	/* Globalize/loc2glo.scm 190 */
																				long BgL_arg1693z00_2053;

																				{	/* Globalize/loc2glo.scm 190 */
																					obj_t BgL_classz00_2538;

																					BgL_classz00_2538 =
																						BGl_refz00zzast_nodez00;
																					BgL_arg1693z00_2053 =
																						BGL_CLASS_NUM(BgL_classz00_2538);
																				}
																				BGL_OBJECT_CLASS_NUM_SET(
																					((BgL_objectz00_bglt)
																						BgL_new1161z00_2052),
																					BgL_arg1693z00_2053);
																			}
																			{	/* Globalize/loc2glo.scm 190 */
																				BgL_objectz00_bglt BgL_tmpz00_3722;

																				BgL_tmpz00_3722 =
																					((BgL_objectz00_bglt)
																					BgL_new1161z00_2052);
																				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3722,
																					BFALSE);
																			}
																			((BgL_objectz00_bglt)
																				BgL_new1161z00_2052);
																			BgL_new1162z00_2050 = BgL_new1161z00_2052;
																		}
																		((((BgL_nodez00_bglt) COBJECT(
																						((BgL_nodez00_bglt)
																							BgL_new1162z00_2050)))->
																				BgL_locz00) =
																			((obj_t) BgL_locz00_2008), BUNSPEC);
																		{
																			BgL_typez00_bglt BgL_auxz00_3728;

																			{	/* Globalize/loc2glo.scm 189 */
																				BgL_typez00_bglt BgL_arg1692z00_2051;

																				BgL_arg1692z00_2051 =
																					(((BgL_variablez00_bglt) COBJECT(
																							((BgL_variablez00_bglt)
																								BgL_vz00_2049)))->BgL_typez00);
																				BgL_auxz00_3728 =
																					BGl_strictzd2nodezd2typez00zzast_nodez00
																					(BgL_arg1692z00_2051,
																					((BgL_typez00_bglt)
																						BGl_za2_za2z00zztype_cachez00));
																			}
																			((((BgL_nodez00_bglt) COBJECT(
																							((BgL_nodez00_bglt)
																								BgL_new1162z00_2050)))->
																					BgL_typez00) =
																				((BgL_typez00_bglt) BgL_auxz00_3728),
																				BUNSPEC);
																		}
																		((((BgL_varz00_bglt) COBJECT(
																						((BgL_varz00_bglt)
																							BgL_new1162z00_2050)))->
																				BgL_variablez00) =
																			((BgL_variablez00_bglt) (
																					(BgL_variablez00_bglt)
																					BgL_vz00_2049)), BUNSPEC);
																		BgL_arg1691z00_2048 = BgL_new1162z00_2050;
																}}
																BgL_newtail1359z00_2046 =
																	MAKE_YOUNG_PAIR(
																	((obj_t) BgL_arg1691z00_2048), BNIL);
															}
															SET_CDR(BgL_tail1358z00_2043,
																BgL_newtail1359z00_2046);
															{	/* Globalize/loc2glo.scm 185 */
																obj_t BgL_arg1686z00_2047;

																BgL_arg1686z00_2047 =
																	CDR(((obj_t) BgL_l1355z00_2042));
																{
																	obj_t BgL_tail1358z00_3744;
																	obj_t BgL_l1355z00_3743;

																	BgL_l1355z00_3743 = BgL_arg1686z00_2047;
																	BgL_tail1358z00_3744 =
																		BgL_newtail1359z00_2046;
																	BgL_tail1358z00_2043 = BgL_tail1358z00_3744;
																	BgL_l1355z00_2042 = BgL_l1355z00_3743;
																	goto BgL_zc3z04anonymousza31682ze3z87_2044;
																}
															}
														}
												}
											}
										((((BgL_appz00_bglt) COBJECT(BgL_new1158z00_2032))->
												BgL_argsz00) = ((obj_t) BgL_auxz00_3709), BUNSPEC);
									}
									((((BgL_appz00_bglt) COBJECT(BgL_new1158z00_2032))->
											BgL_stackablez00) = ((obj_t) BFALSE), BUNSPEC);
									BgL_auxz00_3663 = ((BgL_nodez00_bglt) BgL_new1158z00_2032);
								}
								((((BgL_letzd2funzd2_bglt) COBJECT(BgL_new1156z00_2029))->
										BgL_bodyz00) =
									((BgL_nodez00_bglt) BgL_auxz00_3663), BUNSPEC);
							}
							BgL_auxz00_3636 = ((BgL_nodez00_bglt) BgL_new1156z00_2029);
						}
						((((BgL_letzd2varzd2_bglt) COBJECT(BgL_new1153z00_2010))->
								BgL_bodyz00) = ((BgL_nodez00_bglt) BgL_auxz00_3636), BUNSPEC);
					}
					((((BgL_letzd2varzd2_bglt) COBJECT(BgL_new1153z00_2010))->
							BgL_removablezf3zf3) = ((bool_t) ((bool_t) 1)), BUNSPEC);
					return ((BgL_nodez00_bglt) BgL_new1153z00_2010);
				}
			}
		}

	}



/* fix-non-escaping-definition */
	BgL_globalz00_bglt
		BGl_fixzd2nonzd2escapingzd2definitionzd2zzglobaliza7e_localzd2ze3globalz96
		(BgL_globalz00_bglt BgL_globalz00_16, BgL_localz00_bglt BgL_localz00_17,
		obj_t BgL_argsz00_18, obj_t BgL_kapturedz00_19, obj_t BgL_bodyz00_20)
	{
		{	/* Globalize/loc2glo.scm 196 */
			{	/* Globalize/loc2glo.scm 197 */
				obj_t BgL_addzd2argszd2_2062;

				if (NULLP(BgL_kapturedz00_19))
					{	/* Globalize/loc2glo.scm 197 */
						BgL_addzd2argszd2_2062 = BNIL;
					}
				else
					{	/* Globalize/loc2glo.scm 197 */
						obj_t BgL_head1362z00_2112;

						BgL_head1362z00_2112 = MAKE_YOUNG_PAIR(BNIL, BNIL);
						{
							obj_t BgL_l1360z00_2114;
							obj_t BgL_tail1363z00_2115;

							BgL_l1360z00_2114 = BgL_kapturedz00_19;
							BgL_tail1363z00_2115 = BgL_head1362z00_2112;
						BgL_zc3z04anonymousza31772ze3z87_2116:
							if (NULLP(BgL_l1360z00_2114))
								{	/* Globalize/loc2glo.scm 197 */
									BgL_addzd2argszd2_2062 = CDR(BgL_head1362z00_2112);
								}
							else
								{	/* Globalize/loc2glo.scm 197 */
									obj_t BgL_newtail1364z00_2118;

									{	/* Globalize/loc2glo.scm 197 */
										BgL_localz00_bglt BgL_arg1782z00_2120;

										{	/* Globalize/loc2glo.scm 197 */
											obj_t BgL_oldz00_2121;

											BgL_oldz00_2121 = CAR(((obj_t) BgL_l1360z00_2114));
											{	/* Globalize/loc2glo.scm 200 */
												BgL_localz00_bglt BgL_newz00_2122;

												{	/* Globalize/loc2glo.scm 201 */
													obj_t BgL_arg1786z00_2135;
													BgL_typez00_bglt BgL_arg1789z00_2136;

													BgL_arg1786z00_2135 =
														(((BgL_variablez00_bglt) COBJECT(
																((BgL_variablez00_bglt)
																	((BgL_localz00_bglt) BgL_oldz00_2121))))->
														BgL_idz00);
													BgL_arg1789z00_2136 =
														(((BgL_variablez00_bglt)
															COBJECT(((BgL_variablez00_bglt) (
																		(BgL_localz00_bglt) BgL_oldz00_2121))))->
														BgL_typez00);
													BgL_newz00_2122 =
														BGl_makezd2localzd2svarz00zzast_localz00
														(BgL_arg1786z00_2135, BgL_arg1789z00_2136);
												}
												{	/* Globalize/loc2glo.scm 203 */
													bool_t BgL_arg1783z00_2123;

													BgL_arg1783z00_2123 =
														(((BgL_variablez00_bglt) COBJECT(
																((BgL_variablez00_bglt)
																	((BgL_localz00_bglt) BgL_oldz00_2121))))->
														BgL_userzf3zf3);
													((((BgL_variablez00_bglt)
																COBJECT(((BgL_variablez00_bglt)
																		BgL_newz00_2122)))->BgL_userzf3zf3) =
														((bool_t) BgL_arg1783z00_2123), BUNSPEC);
												}
												{	/* Globalize/loc2glo.scm 204 */
													BgL_localzf2ginfozf2_bglt BgL_wide1165z00_2126;

													BgL_wide1165z00_2126 =
														((BgL_localzf2ginfozf2_bglt)
														BOBJECT(GC_MALLOC(sizeof(struct
																	BgL_localzf2ginfozf2_bgl))));
													{	/* Globalize/loc2glo.scm 204 */
														obj_t BgL_auxz00_3777;
														BgL_objectz00_bglt BgL_tmpz00_3774;

														BgL_auxz00_3777 = ((obj_t) BgL_wide1165z00_2126);
														BgL_tmpz00_3774 =
															((BgL_objectz00_bglt)
															((BgL_localz00_bglt) BgL_newz00_2122));
														BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3774,
															BgL_auxz00_3777);
													}
													((BgL_objectz00_bglt)
														((BgL_localz00_bglt) BgL_newz00_2122));
													{	/* Globalize/loc2glo.scm 204 */
														long BgL_arg1784z00_2127;

														BgL_arg1784z00_2127 =
															BGL_CLASS_NUM
															(BGl_localzf2Ginfozf2zzglobaliza7e_ginfoza7);
														BGL_OBJECT_CLASS_NUM_SET(((BgL_objectz00_bglt) (
																	(BgL_localz00_bglt) BgL_newz00_2122)),
															BgL_arg1784z00_2127);
													}
													((BgL_localz00_bglt)
														((BgL_localz00_bglt) BgL_newz00_2122));
												}
												{
													BgL_localzf2ginfozf2_bglt BgL_auxz00_3788;

													{
														obj_t BgL_auxz00_3789;

														{	/* Globalize/loc2glo.scm 204 */
															BgL_objectz00_bglt BgL_tmpz00_3790;

															BgL_tmpz00_3790 =
																((BgL_objectz00_bglt)
																((BgL_localz00_bglt) BgL_newz00_2122));
															BgL_auxz00_3789 =
																BGL_OBJECT_WIDENING(BgL_tmpz00_3790);
														}
														BgL_auxz00_3788 =
															((BgL_localzf2ginfozf2_bglt) BgL_auxz00_3789);
													}
													((((BgL_localzf2ginfozf2_bglt)
																COBJECT(BgL_auxz00_3788))->BgL_escapezf3zf3) =
														((bool_t) ((bool_t) 0)), BUNSPEC);
												}
												{
													BgL_localzf2ginfozf2_bglt BgL_auxz00_3796;

													{
														obj_t BgL_auxz00_3797;

														{	/* Globalize/loc2glo.scm 204 */
															BgL_objectz00_bglt BgL_tmpz00_3798;

															BgL_tmpz00_3798 =
																((BgL_objectz00_bglt)
																((BgL_localz00_bglt) BgL_newz00_2122));
															BgL_auxz00_3797 =
																BGL_OBJECT_WIDENING(BgL_tmpz00_3798);
														}
														BgL_auxz00_3796 =
															((BgL_localzf2ginfozf2_bglt) BgL_auxz00_3797);
													}
													((((BgL_localzf2ginfozf2_bglt)
																COBJECT(BgL_auxz00_3796))->
															BgL_globaliza7edzf3z54) =
														((bool_t) ((bool_t) 0)), BUNSPEC);
												}
												((BgL_localz00_bglt) BgL_newz00_2122);
												{	/* Globalize/loc2glo.scm 205 */
													BgL_svarz00_bglt BgL_tmp1167z00_2129;

													BgL_tmp1167z00_2129 =
														((BgL_svarz00_bglt)
														(((BgL_variablez00_bglt) COBJECT(
																	((BgL_variablez00_bglt) BgL_newz00_2122)))->
															BgL_valuez00));
													{	/* Globalize/loc2glo.scm 205 */
														BgL_svarzf2ginfozf2_bglt BgL_wide1169z00_2131;

														BgL_wide1169z00_2131 =
															((BgL_svarzf2ginfozf2_bglt)
															BOBJECT(GC_MALLOC(sizeof(struct
																		BgL_svarzf2ginfozf2_bgl))));
														{	/* Globalize/loc2glo.scm 205 */
															obj_t BgL_auxz00_3812;
															BgL_objectz00_bglt BgL_tmpz00_3809;

															BgL_auxz00_3812 = ((obj_t) BgL_wide1169z00_2131);
															BgL_tmpz00_3809 =
																((BgL_objectz00_bglt)
																((BgL_svarz00_bglt) BgL_tmp1167z00_2129));
															BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3809,
																BgL_auxz00_3812);
														}
														((BgL_objectz00_bglt)
															((BgL_svarz00_bglt) BgL_tmp1167z00_2129));
														{	/* Globalize/loc2glo.scm 205 */
															long BgL_arg1785z00_2132;

															BgL_arg1785z00_2132 =
																BGL_CLASS_NUM
																(BGl_svarzf2Ginfozf2zzglobaliza7e_ginfoza7);
															BGL_OBJECT_CLASS_NUM_SET(((BgL_objectz00_bglt) (
																		(BgL_svarz00_bglt) BgL_tmp1167z00_2129)),
																BgL_arg1785z00_2132);
														}
														((BgL_svarz00_bglt)
															((BgL_svarz00_bglt) BgL_tmp1167z00_2129));
													}
													{
														BgL_svarzf2ginfozf2_bglt BgL_auxz00_3823;

														{
															obj_t BgL_auxz00_3824;

															{	/* Globalize/loc2glo.scm 206 */
																BgL_objectz00_bglt BgL_tmpz00_3825;

																BgL_tmpz00_3825 =
																	((BgL_objectz00_bglt)
																	((BgL_svarz00_bglt) BgL_tmp1167z00_2129));
																BgL_auxz00_3824 =
																	BGL_OBJECT_WIDENING(BgL_tmpz00_3825);
															}
															BgL_auxz00_3823 =
																((BgL_svarzf2ginfozf2_bglt) BgL_auxz00_3824);
														}
														((((BgL_svarzf2ginfozf2_bglt)
																	COBJECT(BgL_auxz00_3823))->
																BgL_kapturedzf3zf3) =
															((bool_t) ((bool_t) 1)), BUNSPEC);
													}
													{
														BgL_svarzf2ginfozf2_bglt BgL_auxz00_3831;

														{
															obj_t BgL_auxz00_3832;

															{	/* Globalize/loc2glo.scm 206 */
																BgL_objectz00_bglt BgL_tmpz00_3833;

																BgL_tmpz00_3833 =
																	((BgL_objectz00_bglt)
																	((BgL_svarz00_bglt) BgL_tmp1167z00_2129));
																BgL_auxz00_3832 =
																	BGL_OBJECT_WIDENING(BgL_tmpz00_3833);
															}
															BgL_auxz00_3831 =
																((BgL_svarzf2ginfozf2_bglt) BgL_auxz00_3832);
														}
														((((BgL_svarzf2ginfozf2_bglt)
																	COBJECT(BgL_auxz00_3831))->
																BgL_freezd2markzd2) = ((long) (-10L)), BUNSPEC);
													}
													{
														BgL_svarzf2ginfozf2_bglt BgL_auxz00_3839;

														{
															obj_t BgL_auxz00_3840;

															{	/* Globalize/loc2glo.scm 206 */
																BgL_objectz00_bglt BgL_tmpz00_3841;

																BgL_tmpz00_3841 =
																	((BgL_objectz00_bglt)
																	((BgL_svarz00_bglt) BgL_tmp1167z00_2129));
																BgL_auxz00_3840 =
																	BGL_OBJECT_WIDENING(BgL_tmpz00_3841);
															}
															BgL_auxz00_3839 =
																((BgL_svarzf2ginfozf2_bglt) BgL_auxz00_3840);
														}
														((((BgL_svarzf2ginfozf2_bglt)
																	COBJECT(BgL_auxz00_3839))->BgL_markz00) =
															((long) (-10L)), BUNSPEC);
													}
													{
														BgL_svarzf2ginfozf2_bglt BgL_auxz00_3847;

														{
															obj_t BgL_auxz00_3848;

															{	/* Globalize/loc2glo.scm 206 */
																BgL_objectz00_bglt BgL_tmpz00_3849;

																BgL_tmpz00_3849 =
																	((BgL_objectz00_bglt)
																	((BgL_svarz00_bglt) BgL_tmp1167z00_2129));
																BgL_auxz00_3848 =
																	BGL_OBJECT_WIDENING(BgL_tmpz00_3849);
															}
															BgL_auxz00_3847 =
																((BgL_svarzf2ginfozf2_bglt) BgL_auxz00_3848);
														}
														((((BgL_svarzf2ginfozf2_bglt)
																	COBJECT(BgL_auxz00_3847))->BgL_celledzf3zf3) =
															((bool_t) ((bool_t) 0)), BUNSPEC);
													}
													{
														BgL_svarzf2ginfozf2_bglt BgL_auxz00_3855;

														{
															obj_t BgL_auxz00_3856;

															{	/* Globalize/loc2glo.scm 206 */
																BgL_objectz00_bglt BgL_tmpz00_3857;

																BgL_tmpz00_3857 =
																	((BgL_objectz00_bglt)
																	((BgL_svarz00_bglt) BgL_tmp1167z00_2129));
																BgL_auxz00_3856 =
																	BGL_OBJECT_WIDENING(BgL_tmpz00_3857);
															}
															BgL_auxz00_3855 =
																((BgL_svarzf2ginfozf2_bglt) BgL_auxz00_3856);
														}
														((((BgL_svarzf2ginfozf2_bglt)
																	COBJECT(BgL_auxz00_3855))->BgL_stackablez00) =
															((bool_t) ((bool_t) 1)), BUNSPEC);
													}
													((BgL_svarz00_bglt) BgL_tmp1167z00_2129);
												}
												{	/* Globalize/loc2glo.scm 208 */
													obj_t BgL_casezd2valuezd2_2134;

													BgL_casezd2valuezd2_2134 =
														(((BgL_variablez00_bglt) COBJECT(
																((BgL_variablez00_bglt)
																	((BgL_localz00_bglt) BgL_oldz00_2121))))->
														BgL_accessz00);
													if ((BgL_casezd2valuezd2_2134 ==
															((obj_t) CNST_TABLE_REF(3))))
														{	/* Globalize/loc2glo.scm 208 */
															{	/* Globalize/loc2glo.scm 211 */
																BgL_typez00_bglt BgL_vz00_2570;

																BgL_vz00_2570 =
																	((BgL_typez00_bglt)
																	BGl_za2cellza2z00zztype_cachez00);
																((((BgL_variablez00_bglt)
																			COBJECT(((BgL_variablez00_bglt)
																					BgL_newz00_2122)))->BgL_typez00) =
																	((BgL_typez00_bglt) BgL_vz00_2570), BUNSPEC);
															}
															{	/* Globalize/loc2glo.scm 212 */
																obj_t BgL_vz00_2572;

																BgL_vz00_2572 = ((obj_t) CNST_TABLE_REF(4));
																((((BgL_variablez00_bglt) COBJECT(
																				((BgL_variablez00_bglt)
																					BgL_newz00_2122)))->BgL_accessz00) =
																	((obj_t) BgL_vz00_2572), BUNSPEC);
															}
														}
													else
														{	/* Globalize/loc2glo.scm 208 */
															if (
																(BgL_casezd2valuezd2_2134 ==
																	((obj_t) CNST_TABLE_REF(4))))
																{	/* Globalize/loc2glo.scm 208 */
																	{	/* Globalize/loc2glo.scm 215 */
																		BgL_typez00_bglt BgL_vz00_2574;

																		BgL_vz00_2574 =
																			((BgL_typez00_bglt)
																			BGl_za2cellza2z00zztype_cachez00);
																		((((BgL_variablez00_bglt)
																					COBJECT(((BgL_variablez00_bglt)
																							BgL_newz00_2122)))->BgL_typez00) =
																			((BgL_typez00_bglt) BgL_vz00_2574),
																			BUNSPEC);
																	}
																	{	/* Globalize/loc2glo.scm 216 */
																		obj_t BgL_vz00_2576;

																		BgL_vz00_2576 = ((obj_t) CNST_TABLE_REF(4));
																		((((BgL_variablez00_bglt) COBJECT(
																						((BgL_variablez00_bglt)
																							BgL_newz00_2122)))->
																				BgL_accessz00) =
																			((obj_t) BgL_vz00_2576), BUNSPEC);
																	}
																}
															else
																{	/* Globalize/loc2glo.scm 208 */
																	BUNSPEC;
																}
														}
												}
												BgL_arg1782z00_2120 = BgL_newz00_2122;
											}
										}
										BgL_newtail1364z00_2118 =
											MAKE_YOUNG_PAIR(((obj_t) BgL_arg1782z00_2120), BNIL);
									}
									SET_CDR(BgL_tail1363z00_2115, BgL_newtail1364z00_2118);
									{	/* Globalize/loc2glo.scm 197 */
										obj_t BgL_arg1776z00_2119;

										BgL_arg1776z00_2119 = CDR(((obj_t) BgL_l1360z00_2114));
										{
											obj_t BgL_tail1363z00_3895;
											obj_t BgL_l1360z00_3894;

											BgL_l1360z00_3894 = BgL_arg1776z00_2119;
											BgL_tail1363z00_3895 = BgL_newtail1364z00_2118;
											BgL_tail1363z00_2115 = BgL_tail1363z00_3895;
											BgL_l1360z00_2114 = BgL_l1360z00_3894;
											goto BgL_zc3z04anonymousza31772ze3z87_2116;
										}
									}
								}
						}
					}
				{	/* Globalize/loc2glo.scm 197 */
					BgL_valuez00_bglt BgL_oldzd2funzd2_2063;

					BgL_oldzd2funzd2_2063 =
						(((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt) BgL_localz00_17)))->BgL_valuez00);
					{	/* Globalize/loc2glo.scm 220 */
						BgL_sfunz00_bglt BgL_newzd2funzd2_2064;

						{	/* Globalize/loc2glo.scm 221 */
							BgL_sfunz00_bglt BgL_new1171z00_2093;

							{	/* Globalize/loc2glo.scm 222 */
								BgL_sfunz00_bglt BgL_new1186z00_2108;

								BgL_new1186z00_2108 =
									((BgL_sfunz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_sfunz00_bgl))));
								{	/* Globalize/loc2glo.scm 222 */
									long BgL_arg1770z00_2109;

									BgL_arg1770z00_2109 = BGL_CLASS_NUM(BGl_sfunz00zzast_varz00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1186z00_2108),
										BgL_arg1770z00_2109);
								}
								{	/* Globalize/loc2glo.scm 222 */
									BgL_objectz00_bglt BgL_tmpz00_3902;

									BgL_tmpz00_3902 = ((BgL_objectz00_bglt) BgL_new1186z00_2108);
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3902, BFALSE);
								}
								((BgL_objectz00_bglt) BgL_new1186z00_2108);
								BgL_new1171z00_2093 = BgL_new1186z00_2108;
							}
							{
								long BgL_auxz00_3906;

								{	/* Globalize/loc2glo.scm 222 */
									long BgL_arg1763z00_2094;
									long BgL_arg1765z00_2095;

									BgL_arg1763z00_2094 =
										(((BgL_funz00_bglt) COBJECT(
												((BgL_funz00_bglt)
													((BgL_sfunz00_bglt) BgL_oldzd2funzd2_2063))))->
										BgL_arityz00);
									BgL_arg1765z00_2095 = bgl_list_length(BgL_kapturedz00_19);
									BgL_auxz00_3906 =
										(long)
										CINT(BGl_zb2zd2arityz60zztools_argsz00(BINT
											(BgL_arg1763z00_2094), BINT(BgL_arg1765z00_2095)));
								}
								((((BgL_funz00_bglt) COBJECT(
												((BgL_funz00_bglt) BgL_new1171z00_2093)))->
										BgL_arityz00) = ((long) BgL_auxz00_3906), BUNSPEC);
							}
							((((BgL_funz00_bglt) COBJECT(
											((BgL_funz00_bglt) BgL_new1171z00_2093)))->
									BgL_sidezd2effectzd2) =
								((obj_t) (((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
													BgL_oldzd2funzd2_2063)))->BgL_sidezd2effectzd2)),
								BUNSPEC);
							((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
												BgL_new1171z00_2093)))->BgL_predicatezd2ofzd2) =
								((obj_t) (((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
													BgL_oldzd2funzd2_2063)))->BgL_predicatezd2ofzd2)),
								BUNSPEC);
							((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
												BgL_new1171z00_2093)))->BgL_stackzd2allocatorzd2) =
								((obj_t) (((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
													BgL_oldzd2funzd2_2063)))->BgL_stackzd2allocatorzd2)),
								BUNSPEC);
							((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
												BgL_new1171z00_2093)))->BgL_topzf3zf3) =
								((bool_t) (((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
													BgL_oldzd2funzd2_2063)))->BgL_topzf3zf3)), BUNSPEC);
							((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
												BgL_new1171z00_2093)))->BgL_thezd2closurezd2) =
								((obj_t) (((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
													BgL_oldzd2funzd2_2063)))->BgL_thezd2closurezd2)),
								BUNSPEC);
							((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
												BgL_new1171z00_2093)))->BgL_effectz00) =
								((obj_t) (((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
													BgL_oldzd2funzd2_2063)))->BgL_effectz00)), BUNSPEC);
							((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
												BgL_new1171z00_2093)))->BgL_failsafez00) =
								((obj_t) (((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
													BgL_oldzd2funzd2_2063)))->BgL_failsafez00)), BUNSPEC);
							((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
												BgL_new1171z00_2093)))->BgL_argszd2noescapezd2) =
								((obj_t) (((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
													BgL_oldzd2funzd2_2063)))->BgL_argszd2noescapezd2)),
								BUNSPEC);
							((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
												BgL_new1171z00_2093)))->BgL_argszd2retescapezd2) =
								((obj_t) (((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
													BgL_oldzd2funzd2_2063)))->BgL_argszd2retescapezd2)),
								BUNSPEC);
							((((BgL_sfunz00_bglt) COBJECT(BgL_new1171z00_2093))->
									BgL_propertyz00) =
								((obj_t) (((BgL_sfunz00_bglt)
											COBJECT(((BgL_sfunz00_bglt) ((BgL_funz00_bglt)
														BgL_oldzd2funzd2_2063))))->BgL_propertyz00)),
								BUNSPEC);
							{
								obj_t BgL_auxz00_3957;

								{	/* Globalize/loc2glo.scm 223 */
									obj_t BgL_arg1768z00_2097;

									BgL_arg1768z00_2097 = bgl_reverse(BgL_addzd2argszd2_2062);
									BgL_auxz00_3957 =
										BGl_appendzd221011zd2zzglobaliza7e_localzd2ze3globalz96
										(BgL_arg1768z00_2097, BgL_argsz00_18);
								}
								((((BgL_sfunz00_bglt) COBJECT(BgL_new1171z00_2093))->
										BgL_argsz00) = ((obj_t) BgL_auxz00_3957), BUNSPEC);
							}
							((((BgL_sfunz00_bglt) COBJECT(BgL_new1171z00_2093))->
									BgL_argszd2namezd2) =
								((obj_t) (((BgL_sfunz00_bglt)
											COBJECT(((BgL_sfunz00_bglt) ((BgL_funz00_bglt)
														BgL_oldzd2funzd2_2063))))->BgL_argszd2namezd2)),
								BUNSPEC);
							((((BgL_sfunz00_bglt) COBJECT(BgL_new1171z00_2093))->
									BgL_bodyz00) =
								((obj_t) (((BgL_sfunz00_bglt)
											COBJECT(((BgL_sfunz00_bglt) ((BgL_funz00_bglt)
														BgL_oldzd2funzd2_2063))))->BgL_bodyz00)), BUNSPEC);
							((((BgL_sfunz00_bglt) COBJECT(BgL_new1171z00_2093))->
									BgL_classz00) =
								((obj_t) (((BgL_sfunz00_bglt)
											COBJECT(((BgL_sfunz00_bglt) ((BgL_funz00_bglt)
														BgL_oldzd2funzd2_2063))))->BgL_classz00)), BUNSPEC);
							((((BgL_sfunz00_bglt) COBJECT(BgL_new1171z00_2093))->
									BgL_dssslzd2keywordszd2) =
								((obj_t) (((BgL_sfunz00_bglt)
											COBJECT(((BgL_sfunz00_bglt) ((BgL_funz00_bglt)
														BgL_oldzd2funzd2_2063))))->
										BgL_dssslzd2keywordszd2)), BUNSPEC);
							((((BgL_sfunz00_bglt) COBJECT(BgL_new1171z00_2093))->BgL_locz00) =
								((obj_t) (((BgL_sfunz00_bglt)
											COBJECT(((BgL_sfunz00_bglt) ((BgL_funz00_bglt)
														BgL_oldzd2funzd2_2063))))->BgL_locz00)), BUNSPEC);
							((((BgL_sfunz00_bglt) COBJECT(BgL_new1171z00_2093))->
									BgL_optionalsz00) =
								((obj_t) (((BgL_sfunz00_bglt)
											COBJECT(((BgL_sfunz00_bglt) ((BgL_funz00_bglt)
														BgL_oldzd2funzd2_2063))))->BgL_optionalsz00)),
								BUNSPEC);
							((((BgL_sfunz00_bglt) COBJECT(BgL_new1171z00_2093))->
									BgL_keysz00) =
								((obj_t) (((BgL_sfunz00_bglt)
											COBJECT(((BgL_sfunz00_bglt) ((BgL_funz00_bglt)
														BgL_oldzd2funzd2_2063))))->BgL_keysz00)), BUNSPEC);
							((((BgL_sfunz00_bglt) COBJECT(BgL_new1171z00_2093))->
									BgL_thezd2closurezd2globalz00) =
								((obj_t) (((BgL_sfunz00_bglt)
											COBJECT(((BgL_sfunz00_bglt) ((BgL_funz00_bglt)
														BgL_oldzd2funzd2_2063))))->
										BgL_thezd2closurezd2globalz00)), BUNSPEC);
							((((BgL_sfunz00_bglt) COBJECT(BgL_new1171z00_2093))->
									BgL_strengthz00) =
								((obj_t) (((BgL_sfunz00_bglt)
											COBJECT(((BgL_sfunz00_bglt) ((BgL_funz00_bglt)
														BgL_oldzd2funzd2_2063))))->BgL_strengthz00)),
								BUNSPEC);
							((((BgL_sfunz00_bglt) COBJECT(BgL_new1171z00_2093))->
									BgL_stackablez00) =
								((obj_t) (((BgL_sfunz00_bglt)
											COBJECT(((BgL_sfunz00_bglt) ((BgL_funz00_bglt)
														BgL_oldzd2funzd2_2063))))->BgL_stackablez00)),
								BUNSPEC);
							BgL_newzd2funzd2_2064 = BgL_new1171z00_2093;
						}
						{	/* Globalize/loc2glo.scm 221 */

							{
								BgL_localzf2ginfozf2_bglt BgL_auxz00_4001;

								{
									obj_t BgL_auxz00_4002;

									{	/* Globalize/loc2glo.scm 224 */
										BgL_objectz00_bglt BgL_tmpz00_4003;

										BgL_tmpz00_4003 =
											((BgL_objectz00_bglt)
											((BgL_localz00_bglt) BgL_localz00_17));
										BgL_auxz00_4002 = BGL_OBJECT_WIDENING(BgL_tmpz00_4003);
									}
									BgL_auxz00_4001 =
										((BgL_localzf2ginfozf2_bglt) BgL_auxz00_4002);
								}
								((((BgL_localzf2ginfozf2_bglt) COBJECT(BgL_auxz00_4001))->
										BgL_escapezf3zf3) = ((bool_t) ((bool_t) 0)), BUNSPEC);
							}
							{
								BgL_globalzf2ginfozf2_bglt BgL_auxz00_4009;

								{
									obj_t BgL_auxz00_4010;

									{	/* Globalize/loc2glo.scm 225 */
										BgL_objectz00_bglt BgL_tmpz00_4011;

										BgL_tmpz00_4011 =
											((BgL_objectz00_bglt)
											((BgL_globalz00_bglt) BgL_globalz00_16));
										BgL_auxz00_4010 = BGL_OBJECT_WIDENING(BgL_tmpz00_4011);
									}
									BgL_auxz00_4009 =
										((BgL_globalzf2ginfozf2_bglt) BgL_auxz00_4010);
								}
								((((BgL_globalzf2ginfozf2_bglt) COBJECT(BgL_auxz00_4009))->
										BgL_escapezf3zf3) = ((bool_t) ((bool_t) 1)), BUNSPEC);
							}
							{	/* Globalize/loc2glo.scm 226 */
								BgL_typez00_bglt BgL_arg1703z00_2065;

								BgL_arg1703z00_2065 =
									(((BgL_variablez00_bglt) COBJECT(
											((BgL_variablez00_bglt) BgL_localz00_17)))->BgL_typez00);
								((((BgL_variablez00_bglt) COBJECT(
												((BgL_variablez00_bglt) BgL_globalz00_16)))->
										BgL_typez00) =
									((BgL_typez00_bglt) BgL_arg1703z00_2065), BUNSPEC);
							}
							{	/* Globalize/loc2glo.scm 229 */
								BgL_nodez00_bglt BgL_arg1715z00_2066;

								{	/* Globalize/loc2glo.scm 229 */
									obj_t BgL_arg1716z00_2067;
									obj_t BgL_arg1717z00_2068;

									{	/* Globalize/loc2glo.scm 228 */
										BgL_sfunz00_bglt BgL_oz00_2595;

										BgL_oz00_2595 =
											((BgL_sfunz00_bglt)
											(((BgL_variablez00_bglt) COBJECT(
														((BgL_variablez00_bglt) BgL_localz00_17)))->
												BgL_valuez00));
										{
											BgL_sfunzf2ginfozf2_bglt BgL_auxz00_4024;

											{
												obj_t BgL_auxz00_4025;

												{	/* Globalize/loc2glo.scm 228 */
													BgL_objectz00_bglt BgL_tmpz00_4026;

													BgL_tmpz00_4026 =
														((BgL_objectz00_bglt) BgL_oz00_2595);
													BgL_auxz00_4025 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_4026);
												}
												BgL_auxz00_4024 =
													((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_4025);
											}
											BgL_arg1716z00_2067 =
												(((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_4024))->
												BgL_newzd2bodyzd2);
									}}
									if (NULLP(BgL_kapturedz00_19))
										{	/* Globalize/loc2glo.scm 231 */
											BgL_arg1717z00_2068 = BNIL;
										}
									else
										{	/* Globalize/loc2glo.scm 231 */
											obj_t BgL_head1367z00_2073;

											{	/* Globalize/loc2glo.scm 231 */
												obj_t BgL_arg1755z00_2089;

												{	/* Globalize/loc2glo.scm 231 */
													obj_t BgL_arg1756z00_2090;
													obj_t BgL_arg1757z00_2091;

													BgL_arg1756z00_2090 =
														CAR(((obj_t) BgL_kapturedz00_19));
													BgL_arg1757z00_2091 =
														CAR(((obj_t) BgL_addzd2argszd2_2062));
													BgL_arg1755z00_2089 =
														MAKE_YOUNG_PAIR(BgL_arg1756z00_2090,
														BgL_arg1757z00_2091);
												}
												BgL_head1367z00_2073 =
													MAKE_YOUNG_PAIR(BgL_arg1755z00_2089, BNIL);
											}
											{	/* Globalize/loc2glo.scm 231 */
												obj_t BgL_g1371z00_2074;
												obj_t BgL_g1372z00_2075;

												BgL_g1371z00_2074 = CDR(((obj_t) BgL_kapturedz00_19));
												BgL_g1372z00_2075 =
													CDR(((obj_t) BgL_addzd2argszd2_2062));
												{
													obj_t BgL_ll1365z00_2077;
													obj_t BgL_ll1366z00_2078;
													obj_t BgL_tail1368z00_2079;

													BgL_ll1365z00_2077 = BgL_g1371z00_2074;
													BgL_ll1366z00_2078 = BgL_g1372z00_2075;
													BgL_tail1368z00_2079 = BgL_head1367z00_2073;
												BgL_zc3z04anonymousza31722ze3z87_2080:
													if (NULLP(BgL_ll1365z00_2077))
														{	/* Globalize/loc2glo.scm 231 */
															BgL_arg1717z00_2068 = BgL_head1367z00_2073;
														}
													else
														{	/* Globalize/loc2glo.scm 231 */
															obj_t BgL_newtail1369z00_2082;

															{	/* Globalize/loc2glo.scm 231 */
																obj_t BgL_arg1730z00_2085;

																{	/* Globalize/loc2glo.scm 231 */
																	obj_t BgL_arg1746z00_2086;
																	obj_t BgL_arg1748z00_2087;

																	BgL_arg1746z00_2086 =
																		CAR(((obj_t) BgL_ll1365z00_2077));
																	BgL_arg1748z00_2087 =
																		CAR(((obj_t) BgL_ll1366z00_2078));
																	BgL_arg1730z00_2085 =
																		MAKE_YOUNG_PAIR(BgL_arg1746z00_2086,
																		BgL_arg1748z00_2087);
																}
																BgL_newtail1369z00_2082 =
																	MAKE_YOUNG_PAIR(BgL_arg1730z00_2085, BNIL);
															}
															SET_CDR(BgL_tail1368z00_2079,
																BgL_newtail1369z00_2082);
															{	/* Globalize/loc2glo.scm 231 */
																obj_t BgL_arg1724z00_2083;
																obj_t BgL_arg1729z00_2084;

																BgL_arg1724z00_2083 =
																	CDR(((obj_t) BgL_ll1365z00_2077));
																BgL_arg1729z00_2084 =
																	CDR(((obj_t) BgL_ll1366z00_2078));
																{
																	obj_t BgL_tail1368z00_4058;
																	obj_t BgL_ll1366z00_4057;
																	obj_t BgL_ll1365z00_4056;

																	BgL_ll1365z00_4056 = BgL_arg1724z00_2083;
																	BgL_ll1366z00_4057 = BgL_arg1729z00_2084;
																	BgL_tail1368z00_4058 =
																		BgL_newtail1369z00_2082;
																	BgL_tail1368z00_2079 = BgL_tail1368z00_4058;
																	BgL_ll1366z00_2078 = BgL_ll1366z00_4057;
																	BgL_ll1365z00_2077 = BgL_ll1365z00_4056;
																	goto BgL_zc3z04anonymousza31722ze3z87_2080;
																}
															}
														}
												}
											}
										}
									BgL_arg1715z00_2066 =
										BGl_nodezd2globaliza7ez12z67zzglobaliza7e_nodeza7(
										((BgL_nodez00_bglt) BgL_arg1716z00_2067),
										((BgL_variablez00_bglt) BgL_localz00_17),
										BgL_arg1717z00_2068);
								}
								((((BgL_sfunz00_bglt) COBJECT(BgL_newzd2funzd2_2064))->
										BgL_bodyz00) =
									((obj_t) ((obj_t) BgL_arg1715z00_2066)), BUNSPEC);
							}
							((((BgL_variablez00_bglt) COBJECT(
											((BgL_variablez00_bglt) BgL_globalz00_16)))->
									BgL_valuez00) =
								((BgL_valuez00_bglt) ((BgL_valuez00_bglt)
										BgL_newzd2funzd2_2064)), BUNSPEC);
							return BgL_globalz00_16;
						}
					}
				}
			}
		}

	}



/* the-global */
	BGL_EXPORTED_DEF BgL_globalz00_bglt
		BGl_thezd2globalzd2zzglobaliza7e_localzd2ze3globalz96(BgL_localz00_bglt
		BgL_localz00_21)
	{
		{	/* Globalize/loc2glo.scm 241 */
			{	/* Globalize/loc2glo.scm 242 */
				BgL_valuez00_bglt BgL_valuez00_2138;

				BgL_valuez00_2138 =
					(((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_localz00_21)))->BgL_valuez00);
				{	/* Globalize/loc2glo.scm 243 */
					bool_t BgL_test1978z00_4069;

					{	/* Globalize/loc2glo.scm 243 */
						obj_t BgL_arg1822z00_2162;

						{
							BgL_sfunzf2ginfozf2_bglt BgL_auxz00_4070;

							{
								obj_t BgL_auxz00_4071;

								{	/* Globalize/loc2glo.scm 243 */
									BgL_objectz00_bglt BgL_tmpz00_4072;

									BgL_tmpz00_4072 =
										((BgL_objectz00_bglt)
										((BgL_sfunz00_bglt) BgL_valuez00_2138));
									BgL_auxz00_4071 = BGL_OBJECT_WIDENING(BgL_tmpz00_4072);
								}
								BgL_auxz00_4070 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_4071);
							}
							BgL_arg1822z00_2162 =
								(((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_4070))->
								BgL_thezd2globalzd2);
						}
						{	/* Globalize/loc2glo.scm 243 */
							obj_t BgL_classz00_2612;

							BgL_classz00_2612 = BGl_globalz00zzast_varz00;
							if (BGL_OBJECTP(BgL_arg1822z00_2162))
								{	/* Globalize/loc2glo.scm 243 */
									BgL_objectz00_bglt BgL_arg1858z00_2614;

									BgL_arg1858z00_2614 =
										(BgL_objectz00_bglt) (BgL_arg1822z00_2162);
									if (BGL_CONDEXPAND_ISA_ARCH64())
										{	/* Globalize/loc2glo.scm 243 */
											long BgL_idxz00_2620;

											BgL_idxz00_2620 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_2614);
											BgL_test1978z00_4069 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_2620 + 2L)) == BgL_classz00_2612);
										}
									else
										{	/* Globalize/loc2glo.scm 243 */
											bool_t BgL_res1937z00_2645;

											{	/* Globalize/loc2glo.scm 243 */
												obj_t BgL_oclassz00_2628;

												{	/* Globalize/loc2glo.scm 243 */
													obj_t BgL_arg1866z00_2636;
													long BgL_arg1867z00_2637;

													BgL_arg1866z00_2636 =
														(BGl_za2classesza2z00zz__objectz00);
													{	/* Globalize/loc2glo.scm 243 */
														long BgL_arg1869z00_2638;

														BgL_arg1869z00_2638 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_2614);
														BgL_arg1867z00_2637 =
															(BgL_arg1869z00_2638 - OBJECT_TYPE);
													}
													BgL_oclassz00_2628 =
														VECTOR_REF(BgL_arg1866z00_2636,
														BgL_arg1867z00_2637);
												}
												{	/* Globalize/loc2glo.scm 243 */
													bool_t BgL__ortest_1115z00_2629;

													BgL__ortest_1115z00_2629 =
														(BgL_classz00_2612 == BgL_oclassz00_2628);
													if (BgL__ortest_1115z00_2629)
														{	/* Globalize/loc2glo.scm 243 */
															BgL_res1937z00_2645 = BgL__ortest_1115z00_2629;
														}
													else
														{	/* Globalize/loc2glo.scm 243 */
															long BgL_odepthz00_2630;

															{	/* Globalize/loc2glo.scm 243 */
																obj_t BgL_arg1855z00_2631;

																BgL_arg1855z00_2631 = (BgL_oclassz00_2628);
																BgL_odepthz00_2630 =
																	BGL_CLASS_DEPTH(BgL_arg1855z00_2631);
															}
															if ((2L < BgL_odepthz00_2630))
																{	/* Globalize/loc2glo.scm 243 */
																	obj_t BgL_arg1853z00_2633;

																	{	/* Globalize/loc2glo.scm 243 */
																		obj_t BgL_arg1854z00_2634;

																		BgL_arg1854z00_2634 = (BgL_oclassz00_2628);
																		BgL_arg1853z00_2633 =
																			BGL_CLASS_ANCESTORS_REF
																			(BgL_arg1854z00_2634, 2L);
																	}
																	BgL_res1937z00_2645 =
																		(BgL_arg1853z00_2633 == BgL_classz00_2612);
																}
															else
																{	/* Globalize/loc2glo.scm 243 */
																	BgL_res1937z00_2645 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_test1978z00_4069 = BgL_res1937z00_2645;
										}
								}
							else
								{	/* Globalize/loc2glo.scm 243 */
									BgL_test1978z00_4069 = ((bool_t) 0);
								}
						}
					}
					if (BgL_test1978z00_4069)
						{
							obj_t BgL_auxz00_4100;

							{
								BgL_sfunzf2ginfozf2_bglt BgL_auxz00_4101;

								{
									obj_t BgL_auxz00_4102;

									{	/* Globalize/loc2glo.scm 244 */
										BgL_objectz00_bglt BgL_tmpz00_4103;

										BgL_tmpz00_4103 =
											((BgL_objectz00_bglt)
											((BgL_sfunz00_bglt) BgL_valuez00_2138));
										BgL_auxz00_4102 = BGL_OBJECT_WIDENING(BgL_tmpz00_4103);
									}
									BgL_auxz00_4101 =
										((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_4102);
								}
								BgL_auxz00_4100 =
									(((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_4101))->
									BgL_thezd2globalzd2);
							}
							return ((BgL_globalz00_bglt) BgL_auxz00_4100);
						}
					else
						{	/* Globalize/loc2glo.scm 245 */
							obj_t BgL_lidz00_2141;

							{	/* Globalize/loc2glo.scm 245 */
								obj_t BgL_arg1811z00_2158;

								{	/* Globalize/loc2glo.scm 245 */
									obj_t BgL_arg1814z00_2159;
									obj_t BgL_arg1818z00_2160;

									{	/* Globalize/loc2glo.scm 245 */
										obj_t BgL_symbolz00_2648;

										BgL_symbolz00_2648 = ((obj_t) CNST_TABLE_REF(5));
										{	/* Globalize/loc2glo.scm 245 */
											obj_t BgL_arg1486z00_2649;

											BgL_arg1486z00_2649 =
												SYMBOL_TO_STRING(BgL_symbolz00_2648);
											BgL_arg1814z00_2159 =
												BGl_stringzd2copyzd2zz__r4_strings_6_7z00
												(BgL_arg1486z00_2649);
										}
									}
									{	/* Globalize/loc2glo.scm 245 */
										obj_t BgL_arg1821z00_2161;

										BgL_arg1821z00_2161 =
											(((BgL_variablez00_bglt) COBJECT(
													((BgL_variablez00_bglt) BgL_localz00_21)))->
											BgL_idz00);
										{	/* Globalize/loc2glo.scm 245 */
											obj_t BgL_arg1486z00_2652;

											BgL_arg1486z00_2652 =
												SYMBOL_TO_STRING(BgL_arg1821z00_2161);
											BgL_arg1818z00_2160 =
												BGl_stringzd2copyzd2zz__r4_strings_6_7z00
												(BgL_arg1486z00_2652);
										}
									}
									BgL_arg1811z00_2158 =
										string_append(BgL_arg1814z00_2159, BgL_arg1818z00_2160);
								}
								BgL_lidz00_2141 = bstring_to_symbol(BgL_arg1811z00_2158);
							}
							{	/* Globalize/loc2glo.scm 245 */
								obj_t BgL_idz00_2142;

								{	/* Globalize/loc2glo.scm 246 */
									bool_t BgL_test1983z00_4120;

									{	/* Globalize/loc2glo.scm 246 */
										obj_t BgL_arg1810z00_2157;

										BgL_arg1810z00_2157 =
											BGl_findzd2globalzf2modulez20zzast_envz00(BgL_lidz00_2141,
											BGl_za2moduleza2z00zzmodule_modulez00);
										{	/* Globalize/loc2glo.scm 246 */
											obj_t BgL_classz00_2654;

											BgL_classz00_2654 = BGl_globalz00zzast_varz00;
											if (BGL_OBJECTP(BgL_arg1810z00_2157))
												{	/* Globalize/loc2glo.scm 246 */
													BgL_objectz00_bglt BgL_arg1858z00_2656;

													BgL_arg1858z00_2656 =
														(BgL_objectz00_bglt) (BgL_arg1810z00_2157);
													if (BGL_CONDEXPAND_ISA_ARCH64())
														{	/* Globalize/loc2glo.scm 246 */
															long BgL_idxz00_2662;

															BgL_idxz00_2662 =
																BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_2656);
															BgL_test1983z00_4120 =
																(VECTOR_REF
																(BGl_za2inheritancesza2z00zz__objectz00,
																	(BgL_idxz00_2662 + 2L)) == BgL_classz00_2654);
														}
													else
														{	/* Globalize/loc2glo.scm 246 */
															bool_t BgL_res1938z00_2687;

															{	/* Globalize/loc2glo.scm 246 */
																obj_t BgL_oclassz00_2670;

																{	/* Globalize/loc2glo.scm 246 */
																	obj_t BgL_arg1866z00_2678;
																	long BgL_arg1867z00_2679;

																	BgL_arg1866z00_2678 =
																		(BGl_za2classesza2z00zz__objectz00);
																	{	/* Globalize/loc2glo.scm 246 */
																		long BgL_arg1869z00_2680;

																		BgL_arg1869z00_2680 =
																			BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_2656);
																		BgL_arg1867z00_2679 =
																			(BgL_arg1869z00_2680 - OBJECT_TYPE);
																	}
																	BgL_oclassz00_2670 =
																		VECTOR_REF(BgL_arg1866z00_2678,
																		BgL_arg1867z00_2679);
																}
																{	/* Globalize/loc2glo.scm 246 */
																	bool_t BgL__ortest_1115z00_2671;

																	BgL__ortest_1115z00_2671 =
																		(BgL_classz00_2654 == BgL_oclassz00_2670);
																	if (BgL__ortest_1115z00_2671)
																		{	/* Globalize/loc2glo.scm 246 */
																			BgL_res1938z00_2687 =
																				BgL__ortest_1115z00_2671;
																		}
																	else
																		{	/* Globalize/loc2glo.scm 246 */
																			long BgL_odepthz00_2672;

																			{	/* Globalize/loc2glo.scm 246 */
																				obj_t BgL_arg1855z00_2673;

																				BgL_arg1855z00_2673 =
																					(BgL_oclassz00_2670);
																				BgL_odepthz00_2672 =
																					BGL_CLASS_DEPTH(BgL_arg1855z00_2673);
																			}
																			if ((2L < BgL_odepthz00_2672))
																				{	/* Globalize/loc2glo.scm 246 */
																					obj_t BgL_arg1853z00_2675;

																					{	/* Globalize/loc2glo.scm 246 */
																						obj_t BgL_arg1854z00_2676;

																						BgL_arg1854z00_2676 =
																							(BgL_oclassz00_2670);
																						BgL_arg1853z00_2675 =
																							BGL_CLASS_ANCESTORS_REF
																							(BgL_arg1854z00_2676, 2L);
																					}
																					BgL_res1938z00_2687 =
																						(BgL_arg1853z00_2675 ==
																						BgL_classz00_2654);
																				}
																			else
																				{	/* Globalize/loc2glo.scm 246 */
																					BgL_res1938z00_2687 = ((bool_t) 0);
																				}
																		}
																}
															}
															BgL_test1983z00_4120 = BgL_res1938z00_2687;
														}
												}
											else
												{	/* Globalize/loc2glo.scm 246 */
													BgL_test1983z00_4120 = ((bool_t) 0);
												}
										}
									}
									if (BgL_test1983z00_4120)
										{	/* Globalize/loc2glo.scm 246 */
											BgL_idz00_2142 =
												BGl_gensymz00zz__r4_symbols_6_4z00(BgL_lidz00_2141);
										}
									else
										{	/* Globalize/loc2glo.scm 246 */
											BgL_idz00_2142 = BgL_lidz00_2141;
										}
								}
								{	/* Globalize/loc2glo.scm 246 */
									BgL_globalz00_bglt BgL_globalz00_2143;

									BgL_globalz00_2143 =
										BGl_defzd2globalzd2sfunzd2nozd2warningz12z12zzast_glozd2defzd2
										(BgL_idz00_2142, BNIL, BNIL,
										BGl_za2moduleza2z00zzmodule_modulez00,
										((obj_t) CNST_TABLE_REF(6)), ((obj_t) CNST_TABLE_REF(7)),
										((obj_t) CNST_TABLE_REF(8)), BUNSPEC);
									{	/* Globalize/loc2glo.scm 249 */

										{	/* Globalize/loc2glo.scm 262 */
											BgL_valuez00_bglt BgL_arg1796z00_2144;
											obj_t BgL_arg1797z00_2145;

											BgL_arg1796z00_2144 =
												(((BgL_variablez00_bglt) COBJECT(
														((BgL_variablez00_bglt) BgL_globalz00_2143)))->
												BgL_valuez00);
											BgL_arg1797z00_2145 =
												(((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
															BgL_valuez00_2138)))->BgL_locz00);
											((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
																BgL_arg1796z00_2144)))->BgL_locz00) =
												((obj_t) BgL_arg1797z00_2145), BUNSPEC);
										}
										{	/* Globalize/loc2glo.scm 264 */
											BgL_typez00_bglt BgL_arg1799z00_2146;

											BgL_arg1799z00_2146 =
												(((BgL_variablez00_bglt) COBJECT(
														((BgL_variablez00_bglt) BgL_localz00_21)))->
												BgL_typez00);
											((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
																BgL_globalz00_2143)))->BgL_typez00) =
												((BgL_typez00_bglt) BgL_arg1799z00_2146), BUNSPEC);
										}
										if (
											(((BgL_variablez00_bglt) COBJECT(
														((BgL_variablez00_bglt) BgL_localz00_21)))->
												BgL_userzf3zf3))
											{	/* Globalize/loc2glo.scm 266 */
												BFALSE;
											}
										else
											{	/* Globalize/loc2glo.scm 266 */
												((((BgL_variablez00_bglt) COBJECT(
																((BgL_variablez00_bglt) BgL_globalz00_2143)))->
														BgL_userzf3zf3) = ((bool_t) ((bool_t) 0)), BUNSPEC);
											}
										{	/* Globalize/loc2glo.scm 268 */
											BgL_globalzf2ginfozf2_bglt BgL_wide1189z00_2150;

											BgL_wide1189z00_2150 =
												((BgL_globalzf2ginfozf2_bglt)
												BOBJECT(GC_MALLOC(sizeof(struct
															BgL_globalzf2ginfozf2_bgl))));
											{	/* Globalize/loc2glo.scm 268 */
												obj_t BgL_auxz00_4171;
												BgL_objectz00_bglt BgL_tmpz00_4168;

												BgL_auxz00_4171 = ((obj_t) BgL_wide1189z00_2150);
												BgL_tmpz00_4168 =
													((BgL_objectz00_bglt)
													((BgL_globalz00_bglt) BgL_globalz00_2143));
												BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4168,
													BgL_auxz00_4171);
											}
											((BgL_objectz00_bglt)
												((BgL_globalz00_bglt) BgL_globalz00_2143));
											{	/* Globalize/loc2glo.scm 268 */
												long BgL_arg1801z00_2151;

												BgL_arg1801z00_2151 =
													BGL_CLASS_NUM
													(BGl_globalzf2Ginfozf2zzglobaliza7e_ginfoza7);
												BGL_OBJECT_CLASS_NUM_SET(((BgL_objectz00_bglt) (
															(BgL_globalz00_bglt) BgL_globalz00_2143)),
													BgL_arg1801z00_2151);
											}
											((BgL_globalz00_bglt)
												((BgL_globalz00_bglt) BgL_globalz00_2143));
										}
										{
											BgL_globalzf2ginfozf2_bglt BgL_auxz00_4182;

											{
												obj_t BgL_auxz00_4183;

												{	/* Globalize/loc2glo.scm 268 */
													BgL_objectz00_bglt BgL_tmpz00_4184;

													BgL_tmpz00_4184 =
														((BgL_objectz00_bglt)
														((BgL_globalz00_bglt) BgL_globalz00_2143));
													BgL_auxz00_4183 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_4184);
												}
												BgL_auxz00_4182 =
													((BgL_globalzf2ginfozf2_bglt) BgL_auxz00_4183);
											}
											((((BgL_globalzf2ginfozf2_bglt)
														COBJECT(BgL_auxz00_4182))->BgL_escapezf3zf3) =
												((bool_t) ((bool_t) 0)), BUNSPEC);
										}
										{
											BgL_globalzf2ginfozf2_bglt BgL_auxz00_4190;

											{
												obj_t BgL_auxz00_4191;

												{	/* Globalize/loc2glo.scm 268 */
													BgL_objectz00_bglt BgL_tmpz00_4192;

													BgL_tmpz00_4192 =
														((BgL_objectz00_bglt)
														((BgL_globalz00_bglt) BgL_globalz00_2143));
													BgL_auxz00_4191 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_4192);
												}
												BgL_auxz00_4190 =
													((BgL_globalzf2ginfozf2_bglt) BgL_auxz00_4191);
											}
											((((BgL_globalzf2ginfozf2_bglt)
														COBJECT(BgL_auxz00_4190))->
													BgL_globalzd2closurezd2) = ((obj_t) BFALSE), BUNSPEC);
										}
										((BgL_globalz00_bglt) BgL_globalz00_2143);
										{	/* Globalize/loc2glo.scm 269 */
											BgL_valuez00_bglt BgL_arg1802z00_2153;
											obj_t BgL_arg1803z00_2154;

											BgL_arg1802z00_2153 =
												(((BgL_variablez00_bglt) COBJECT(
														((BgL_variablez00_bglt) BgL_globalz00_2143)))->
												BgL_valuez00);
											BgL_arg1803z00_2154 =
												(((BgL_funz00_bglt)
													COBJECT(((BgL_funz00_bglt) ((BgL_sfunz00_bglt)
																BgL_valuez00_2138))))->BgL_sidezd2effectzd2);
											((((BgL_funz00_bglt)
														COBJECT(((BgL_funz00_bglt) ((BgL_sfunz00_bglt)
																	BgL_arg1802z00_2153))))->
													BgL_sidezd2effectzd2) =
												((obj_t) BgL_arg1803z00_2154), BUNSPEC);
										}
										{
											BgL_sfunzf2ginfozf2_bglt BgL_auxz00_4207;

											{
												obj_t BgL_auxz00_4208;

												{	/* Globalize/loc2glo.scm 271 */
													BgL_objectz00_bglt BgL_tmpz00_4209;

													BgL_tmpz00_4209 =
														((BgL_objectz00_bglt)
														((BgL_sfunz00_bglt) BgL_valuez00_2138));
													BgL_auxz00_4208 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_4209);
												}
												BgL_auxz00_4207 =
													((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_4208);
											}
											((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_4207))->
													BgL_thezd2globalzd2) =
												((obj_t) ((obj_t) BgL_globalz00_2143)), BUNSPEC);
										}
										return BgL_globalz00_2143;
									}
								}
							}
						}
				}
			}
		}

	}



/* &the-global */
	BgL_globalz00_bglt
		BGl_z62thezd2globalzb0zzglobaliza7e_localzd2ze3globalz96(obj_t
		BgL_envz00_2752, obj_t BgL_localz00_2753)
	{
		{	/* Globalize/loc2glo.scm 241 */
			return
				BGl_thezd2globalzd2zzglobaliza7e_localzd2ze3globalz96(
				((BgL_localz00_bglt) BgL_localz00_2753));
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzglobaliza7e_localzd2ze3globalz96(void)
	{
		{	/* Globalize/loc2glo.scm 15 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzglobaliza7e_localzd2ze3globalz96(void)
	{
		{	/* Globalize/loc2glo.scm 15 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzglobaliza7e_localzd2ze3globalz96(void)
	{
		{	/* Globalize/loc2glo.scm 15 */
			return BUNSPEC;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzglobaliza7e_localzd2ze3globalz96(void)
	{
		{	/* Globalize/loc2glo.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(54713316L,
				BSTRING_TO_STRING(BGl_string1940z00zzglobaliza7e_localzd2ze3globalz96));
			BGl_modulezd2initializa7ationz75zztools_shapez00(365925558L,
				BSTRING_TO_STRING(BGl_string1940z00zzglobaliza7e_localzd2ze3globalz96));
			BGl_modulezd2initializa7ationz75zztools_argsz00(47102372L,
				BSTRING_TO_STRING(BGl_string1940z00zzglobaliza7e_localzd2ze3globalz96));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(216206620L,
				BSTRING_TO_STRING(BGl_string1940z00zzglobaliza7e_localzd2ze3globalz96));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(161876678L,
				BSTRING_TO_STRING(BGl_string1940z00zzglobaliza7e_localzd2ze3globalz96));
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(158397907L,
				BSTRING_TO_STRING(BGl_string1940z00zzglobaliza7e_localzd2ze3globalz96));
			BGl_modulezd2initializa7ationz75zzobject_methodz00(493120707L,
				BSTRING_TO_STRING(BGl_string1940z00zzglobaliza7e_localzd2ze3globalz96));
			BGl_modulezd2initializa7ationz75zztype_typez00(515343395L,
				BSTRING_TO_STRING(BGl_string1940z00zzglobaliza7e_localzd2ze3globalz96));
			BGl_modulezd2initializa7ationz75zztype_cachez00(489890788L,
				BSTRING_TO_STRING(BGl_string1940z00zzglobaliza7e_localzd2ze3globalz96));
			BGl_modulezd2initializa7ationz75zzast_varz00(90839984L,
				BSTRING_TO_STRING(BGl_string1940z00zzglobaliza7e_localzd2ze3globalz96));
			BGl_modulezd2initializa7ationz75zzast_nodez00(469732712L,
				BSTRING_TO_STRING(BGl_string1940z00zzglobaliza7e_localzd2ze3globalz96));
			BGl_modulezd2initializa7ationz75zzast_localz00(315247917L,
				BSTRING_TO_STRING(BGl_string1940z00zzglobaliza7e_localzd2ze3globalz96));
			BGl_modulezd2initializa7ationz75zzast_glozd2defzd2(44601789L,
				BSTRING_TO_STRING(BGl_string1940z00zzglobaliza7e_localzd2ze3globalz96));
			BGl_modulezd2initializa7ationz75zzast_sexpz00(163122759L,
				BSTRING_TO_STRING(BGl_string1940z00zzglobaliza7e_localzd2ze3globalz96));
			BGl_modulezd2initializa7ationz75zzast_envz00(146730773L,
				BSTRING_TO_STRING(BGl_string1940z00zzglobaliza7e_localzd2ze3globalz96));
			BGl_modulezd2initializa7ationz75zzglobaliza7e_ginfoza7(0L,
				BSTRING_TO_STRING(BGl_string1940z00zzglobaliza7e_localzd2ze3globalz96));
			BGl_modulezd2initializa7ationz75zzglobaliza7e_nodeza7(2706117L,
				BSTRING_TO_STRING(BGl_string1940z00zzglobaliza7e_localzd2ze3globalz96));
			return
				BGl_modulezd2initializa7ationz75zzglobaliza7e_freeza7(244215788L,
				BSTRING_TO_STRING(BGl_string1940z00zzglobaliza7e_localzd2ze3globalz96));
		}

	}

#ifdef __cplusplus
}
#endif
