/*===========================================================================*/
/*   (Globalize/node.scm)                                                    */
/*   Bigloo (4.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Jan 27 07:45:49 AM CET 2025     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.6a/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.6a/lib/bigloo/4.6a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -stdc -indent Globalize/node.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL_GLOBALIZE_NODE_TYPE_DEFINITIONS
#define BGL_GLOBALIZE_NODE_TYPE_DEFINITIONS

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_nullz00;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_qualifiedzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_svarz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}              *BgL_svarz00_bglt;

	typedef struct BgL_sexitz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_handlerz00;
		bool_t BgL_detachedzf3zf3;
	}               *BgL_sexitz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_nodezf2effectzf2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
	}                       *BgL_nodezf2effectzf2_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_literalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}                 *BgL_literalz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_refz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_refz00_bglt;

	typedef struct BgL_closurez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}                 *BgL_closurez00_bglt;

	typedef struct BgL_kwotez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}               *BgL_kwotez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
		obj_t BgL_metaz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_stackablez00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_switchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_switchz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		struct BgL_nodez00_bgl *BgL_onexitz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		obj_t BgL_stackablez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}              *BgL_syncz00_bglt;

	typedef struct BgL_sfunzf2ginfozf2_bgl
	{
		bool_t BgL_gzf3zf3;
		obj_t BgL_cfromz00;
		obj_t BgL_cfromza2za2;
		obj_t BgL_ctoz00;
		obj_t BgL_ctoza2za2;
		obj_t BgL_efunctionsz00;
		obj_t BgL_integratorz00;
		obj_t BgL_imarkz00;
		obj_t BgL_ownerz00;
		obj_t BgL_integratedz00;
		obj_t BgL_pluggedzd2inzd2;
		long BgL_markz00;
		obj_t BgL_freezd2markzd2;
		obj_t BgL_thezd2globalzd2;
		obj_t BgL_kapturedz00;
		obj_t BgL_newzd2bodyzd2;
		long BgL_bmarkz00;
		long BgL_umarkz00;
		obj_t BgL_freez00;
		obj_t BgL_boundz00;
	}                      *BgL_sfunzf2ginfozf2_bglt;

	typedef struct BgL_svarzf2ginfozf2_bgl
	{
		bool_t BgL_kapturedzf3zf3;
		long BgL_freezd2markzd2;
		long BgL_markz00;
		bool_t BgL_celledzf3zf3;
		bool_t BgL_stackablez00;
	}                      *BgL_svarzf2ginfozf2_bglt;

	typedef struct BgL_localzf2ginfozf2_bgl
	{
		bool_t BgL_escapezf3zf3;
		bool_t BgL_globaliza7edzf3z54;
	}                       *BgL_localzf2ginfozf2_bglt;


#endif													// BGL_GLOBALIZE_NODE_TYPE_DEFINITIONS
#endif													// BGL_MODULE_TYPE_DEFINITIONS

	extern obj_t BGl_setqz00zzast_nodez00;
	static BgL_nodez00_bglt BGl_z62gloz12z70zzglobaliza7e_nodeza7(obj_t, obj_t,
		obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzglobaliza7e_nodeza7 = BUNSPEC;
	extern obj_t BGl_closurez00zzast_nodez00;
	extern obj_t BGl_funz00zzast_varz00;
	extern obj_t BGl_syncz00zzast_nodez00;
	extern BgL_globalz00_bglt
		BGl_thezd2globalzd2zzglobaliza7e_localzd2ze3globalz96(BgL_localz00_bglt);
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	static BgL_nodez00_bglt BGl_gloz12z12zzglobaliza7e_nodeza7(BgL_nodez00_bglt,
		BgL_variablez00_bglt);
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_atomz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62gloz12zd2sequence1376za2zzglobaliza7e_nodeza7(obj_t, obj_t, obj_t);
	static obj_t BGl_toplevelzd2initzd2zzglobaliza7e_nodeza7(void);
	extern obj_t BGl_sequencez00zzast_nodez00;
	static BgL_nodez00_bglt BGl_z62gloz12zd2app1380za2zzglobaliza7e_nodeza7(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	static obj_t BGl_genericzd2initzd2zzglobaliza7e_nodeza7(void);
	static BgL_appz00_bglt
		BGl_azd2makezd2procedurez00zzglobaliza7e_nodeza7(BgL_localz00_bglt);
	static obj_t BGl_makezd2setszd2zzglobaliza7e_nodeza7(obj_t, obj_t, obj_t,
		BgL_variablez00_bglt);
	extern obj_t BGl_za2cellza2z00zztype_cachez00;
	static obj_t BGl_objectzd2initzd2zzglobaliza7e_nodeza7(void);
	extern obj_t BGl_castz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	static BgL_appz00_bglt
		BGl_azd2procedurezd2setz12z12zzglobaliza7e_nodeza7(obj_t, obj_t, long,
		obj_t, BgL_variablez00_bglt);
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	BGL_IMPORT obj_t bgl_reverse_bang(obj_t);
	static BgL_localz00_bglt
		BGl_cellzd2variablezd2zzglobaliza7e_nodeza7(BgL_localz00_bglt);
	static BgL_nodez00_bglt
		BGl_z62gloz12zd2atom1368za2zzglobaliza7e_nodeza7(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	extern obj_t BGl_refz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_appendzd221011zd2zzglobaliza7e_nodeza7(obj_t, obj_t);
	extern obj_t BGl_svarzf2Ginfozf2zzglobaliza7e_ginfoza7;
	static obj_t BGl_methodzd2initzd2zzglobaliza7e_nodeza7(void);
	extern obj_t BGl_externz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62gloz12zd2conditional1392za2zzglobaliza7e_nodeza7(obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62gloz12zd2letzd2fun1398z70zzglobaliza7e_nodeza7(obj_t, obj_t, obj_t);
	static bool_t BGl_celledzf3zf3zzglobaliza7e_nodeza7(BgL_variablez00_bglt);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_nodezd2globaliza7ez12z67zzglobaliza7e_nodeza7(BgL_nodez00_bglt,
		BgL_variablez00_bglt, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2globaliza7ez12z05zzglobaliza7e_nodeza7(obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	static obj_t BGl_z62gloz121365z70zzglobaliza7e_nodeza7(obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62gloz12zd2setzd2exzd2it1402za2zzglobaliza7e_nodeza7(obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	extern BgL_typez00_bglt BGl_getzd2typezd2atomz00zztype_typeofz00(obj_t);
	static BgL_nodez00_bglt
		BGl_z62gloz12zd2appzd2ly1382z70zzglobaliza7e_nodeza7(obj_t, obj_t, obj_t);
	extern obj_t BGl_za2procedureza2z00zztype_cachez00;
	static BgL_nodez00_bglt BGl_cellzd2formalszd2zzglobaliza7e_nodeza7(obj_t,
		BgL_nodez00_bglt);
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	static BgL_nodez00_bglt
		BGl_z62gloz12zd2letzd2var1400z70zzglobaliza7e_nodeza7(obj_t, obj_t, obj_t);
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzglobaliza7e_nodeza7(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zzglobaliza7e_localzd2ze3globalz96(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzglobaliza7e_freeza7(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_localz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzglobaliza7e_ginfoza7(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typeofz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62gloz12zd2boxzd2ref1408z70zzglobaliza7e_nodeza7(obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62gloz12zd2extern1386za2zzglobaliza7e_nodeza7(obj_t, obj_t, obj_t);
	extern obj_t BGl_thezd2closurezd2zzglobaliza7e_freeza7(BgL_variablez00_bglt,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62gloz12zd2makezd2box1406z70zzglobaliza7e_nodeza7(obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62gloz12zd2switch1396za2zzglobaliza7e_nodeza7(obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62gloz12zd2boxzd2setz121410z62zzglobaliza7e_nodeza7(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_kwotez00zzast_nodez00;
	extern obj_t BGl_localz00zzast_varz00;
	static obj_t BGl_gloza2z12zb0zzglobaliza7e_nodeza7(obj_t, obj_t);
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzglobaliza7e_nodeza7(void);
	static obj_t BGl_libraryzd2moduleszd2initz00zzglobaliza7e_nodeza7(void);
	extern BgL_localz00_bglt BGl_makezd2localzd2svarz00zzast_localz00(obj_t,
		BgL_typez00_bglt);
	BGL_IMPORT long bgl_list_length(obj_t);
	static BgL_nodez00_bglt
		BGl_z62gloz12zd2kwote1370za2zzglobaliza7e_nodeza7(obj_t, obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzglobaliza7e_nodeza7(void);
	static obj_t BGl_gczd2rootszd2initz00zzglobaliza7e_nodeza7(void);
	static obj_t BGl_celledzd2bindingszd2zzglobaliza7e_nodeza7(obj_t);
	static BgL_nodez00_bglt
		BGl_z62gloz12zd2jumpzd2exzd2it1404za2zzglobaliza7e_nodeza7(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_findzd2globalzf2modulez20zzast_envz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62gloz12zd2cast1388za2zzglobaliza7e_nodeza7(obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62gloz12zd2funcall1384za2zzglobaliza7e_nodeza7(obj_t, obj_t, obj_t);
	static BgL_letzd2varzd2_bglt
		BGl_makezd2escapingzd2bindingsz00zzglobaliza7e_nodeza7(obj_t,
		BgL_nodez00_bglt, BgL_variablez00_bglt);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62gloz12zd2setq1390za2zzglobaliza7e_nodeza7(obj_t, obj_t, obj_t);
	extern obj_t BGl_za2unspecza2z00zztype_cachez00;
	static BgL_nodez00_bglt
		BGl_z62gloz12zd2sync1378za2zzglobaliza7e_nodeza7(obj_t, obj_t, obj_t);
	static obj_t
		BGl_globaliza7ezd2localzd2funz12zb5zzglobaliza7e_nodeza7(BgL_localz00_bglt,
		BgL_variablez00_bglt);
	static BgL_makezd2boxzd2_bglt
		BGl_azd2makezd2cellz00zzglobaliza7e_nodeza7(BgL_nodez00_bglt,
		BgL_variablez00_bglt);
	static BgL_nodez00_bglt
		BGl_z62gloz12zd2closure1374za2zzglobaliza7e_nodeza7(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62gloz12zd2fail1394za2zzglobaliza7e_nodeza7(obj_t, obj_t, obj_t);
	extern obj_t BGl_literalz00zzast_nodez00;
	extern obj_t BGl_switchz00zzast_nodez00;
	extern obj_t BGl_conditionalz00zzast_nodez00;
	extern obj_t BGl_funcallz00zzast_nodez00;
	extern obj_t BGl_globalz00zzast_varz00;
	static BgL_nodez00_bglt BGl_z62gloz12zd2var1372za2zzglobaliza7e_nodeza7(obj_t,
		obj_t, obj_t);
	extern BgL_typez00_bglt
		BGl_getzd2bigloozd2definedzd2typezd2zztype_cachez00(BgL_typez00_bglt);
	static obj_t __cnst[10];


	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2112z00zzglobaliza7e_nodeza7,
		BgL_bgl_za762gloza712za7d2exte2129za7,
		BGl_z62gloz12zd2extern1386za2zzglobaliza7e_nodeza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2113z00zzglobaliza7e_nodeza7,
		BgL_bgl_za762gloza712za7d2cast2130za7,
		BGl_z62gloz12zd2cast1388za2zzglobaliza7e_nodeza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2114z00zzglobaliza7e_nodeza7,
		BgL_bgl_za762gloza712za7d2setq2131za7,
		BGl_z62gloz12zd2setq1390za2zzglobaliza7e_nodeza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2115z00zzglobaliza7e_nodeza7,
		BgL_bgl_za762gloza712za7d2cond2132za7,
		BGl_z62gloz12zd2conditional1392za2zzglobaliza7e_nodeza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2116z00zzglobaliza7e_nodeza7,
		BgL_bgl_za762gloza712za7d2fail2133za7,
		BGl_z62gloz12zd2fail1394za2zzglobaliza7e_nodeza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2117z00zzglobaliza7e_nodeza7,
		BgL_bgl_za762gloza712za7d2swit2134za7,
		BGl_z62gloz12zd2switch1396za2zzglobaliza7e_nodeza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2118z00zzglobaliza7e_nodeza7,
		BgL_bgl_za762gloza712za7d2letza72135z00,
		BGl_z62gloz12zd2letzd2fun1398z70zzglobaliza7e_nodeza7, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2125z00zzglobaliza7e_nodeza7,
		BgL_bgl_string2125za700za7za7g2136za7,
		"Shoud not be here (because of the integration", 45);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2119z00zzglobaliza7e_nodeza7,
		BgL_bgl_za762gloza712za7d2letza72137z00,
		BGl_z62gloz12zd2letzd2var1400z70zzglobaliza7e_nodeza7, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2126z00zzglobaliza7e_nodeza7,
		BgL_bgl_string2126za700za7za7g2138za7, "globalize_node", 14);
	      DEFINE_STRING(BGl_string2127z00zzglobaliza7e_nodeza7,
		BgL_bgl_string2127za700za7za7g2139za7,
		"aux glo! glo!1365 procedure-set! foreign make-fx-procedure make-va-procedure done (write cell-globalize) cell-globalize ",
		120);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_nodezd2globaliza7ez12zd2envzb5zzglobaliza7e_nodeza7,
		BgL_bgl_za762nodeza7d2global2140z00,
		BGl_z62nodezd2globaliza7ez12z05zzglobaliza7e_nodeza7, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2120z00zzglobaliza7e_nodeza7,
		BgL_bgl_za762gloza712za7d2setza72141z00,
		BGl_z62gloz12zd2setzd2exzd2it1402za2zzglobaliza7e_nodeza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2121z00zzglobaliza7e_nodeza7,
		BgL_bgl_za762gloza712za7d2jump2142za7,
		BGl_z62gloz12zd2jumpzd2exzd2it1404za2zzglobaliza7e_nodeza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2122z00zzglobaliza7e_nodeza7,
		BgL_bgl_za762gloza712za7d2make2143za7,
		BGl_z62gloz12zd2makezd2box1406z70zzglobaliza7e_nodeza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2123z00zzglobaliza7e_nodeza7,
		BgL_bgl_za762gloza712za7d2boxza72144z00,
		BGl_z62gloz12zd2boxzd2ref1408z70zzglobaliza7e_nodeza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2124z00zzglobaliza7e_nodeza7,
		BgL_bgl_za762gloza712za7d2boxza72145z00,
		BGl_z62gloz12zd2boxzd2setz121410z62zzglobaliza7e_nodeza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2099z00zzglobaliza7e_nodeza7,
		BgL_bgl_za762gloza7121365za7702146za7,
		BGl_z62gloz121365z70zzglobaliza7e_nodeza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_GENERIC(BGl_gloz12zd2envzc0zzglobaliza7e_nodeza7,
		BgL_bgl_za762gloza712za770za7za7gl2147za7,
		BGl_z62gloz12z70zzglobaliza7e_nodeza7, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2100z00zzglobaliza7e_nodeza7,
		BgL_bgl_string2100za700za7za7g2148za7, "glo!1365", 8);
	      DEFINE_STRING(BGl_string2101z00zzglobaliza7e_nodeza7,
		BgL_bgl_string2101za700za7za7g2149za7, "No method for this object", 25);
	      DEFINE_STRING(BGl_string2103z00zzglobaliza7e_nodeza7,
		BgL_bgl_string2103za700za7za7g2150za7, "glo!", 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2102z00zzglobaliza7e_nodeza7,
		BgL_bgl_za762gloza712za7d2atom2151za7,
		BGl_z62gloz12zd2atom1368za2zzglobaliza7e_nodeza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2104z00zzglobaliza7e_nodeza7,
		BgL_bgl_za762gloza712za7d2kwot2152za7,
		BGl_z62gloz12zd2kwote1370za2zzglobaliza7e_nodeza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2105z00zzglobaliza7e_nodeza7,
		BgL_bgl_za762gloza712za7d2var12153za7,
		BGl_z62gloz12zd2var1372za2zzglobaliza7e_nodeza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2106z00zzglobaliza7e_nodeza7,
		BgL_bgl_za762gloza712za7d2clos2154za7,
		BGl_z62gloz12zd2closure1374za2zzglobaliza7e_nodeza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2107z00zzglobaliza7e_nodeza7,
		BgL_bgl_za762gloza712za7d2sequ2155za7,
		BGl_z62gloz12zd2sequence1376za2zzglobaliza7e_nodeza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2108z00zzglobaliza7e_nodeza7,
		BgL_bgl_za762gloza712za7d2sync2156za7,
		BGl_z62gloz12zd2sync1378za2zzglobaliza7e_nodeza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2109z00zzglobaliza7e_nodeza7,
		BgL_bgl_za762gloza712za7d2app12157za7,
		BGl_z62gloz12zd2app1380za2zzglobaliza7e_nodeza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2110z00zzglobaliza7e_nodeza7,
		BgL_bgl_za762gloza712za7d2appza72158z00,
		BGl_z62gloz12zd2appzd2ly1382z70zzglobaliza7e_nodeza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2111z00zzglobaliza7e_nodeza7,
		BgL_bgl_za762gloza712za7d2func2159za7,
		BGl_z62gloz12zd2funcall1384za2zzglobaliza7e_nodeza7, 0L, BUNSPEC, 2);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zzglobaliza7e_nodeza7));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzglobaliza7e_nodeza7(long
		BgL_checksumz00_3837, char *BgL_fromz00_3838)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzglobaliza7e_nodeza7))
				{
					BGl_requirezd2initializa7ationz75zzglobaliza7e_nodeza7 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzglobaliza7e_nodeza7();
					BGl_libraryzd2moduleszd2initz00zzglobaliza7e_nodeza7();
					BGl_cnstzd2initzd2zzglobaliza7e_nodeza7();
					BGl_importedzd2moduleszd2initz00zzglobaliza7e_nodeza7();
					BGl_genericzd2initzd2zzglobaliza7e_nodeza7();
					BGl_methodzd2initzd2zzglobaliza7e_nodeza7();
					return BGl_toplevelzd2initzd2zzglobaliza7e_nodeza7();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzglobaliza7e_nodeza7(void)
	{
		{	/* Globalize/node.scm 17 */
			BGl_modulezd2initializa7ationz75zz__objectz00(0L, "globalize_node");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(0L,
				"globalize_node");
			BGl_modulezd2initializa7ationz75zz__readerz00(0L, "globalize_node");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(0L,
				"globalize_node");
			BGl_modulezd2initializa7ationz75zz__errorz00(0L, "globalize_node");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(0L,
				"globalize_node");
			BGl_modulezd2initializa7ationz75zz__bitz00(0L, "globalize_node");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(0L,
				"globalize_node");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(0L,
				"globalize_node");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(0L,
				"globalize_node");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzglobaliza7e_nodeza7(void)
	{
		{	/* Globalize/node.scm 17 */
			{	/* Globalize/node.scm 17 */
				obj_t BgL_cportz00_3546;

				{	/* Globalize/node.scm 17 */
					obj_t BgL_stringz00_3553;

					BgL_stringz00_3553 = BGl_string2127z00zzglobaliza7e_nodeza7;
					{	/* Globalize/node.scm 17 */
						obj_t BgL_startz00_3554;

						BgL_startz00_3554 = BINT(0L);
						{	/* Globalize/node.scm 17 */
							obj_t BgL_endz00_3555;

							BgL_endz00_3555 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_3553)));
							{	/* Globalize/node.scm 17 */

								BgL_cportz00_3546 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_3553, BgL_startz00_3554, BgL_endz00_3555);
				}}}}
				{
					long BgL_iz00_3547;

					BgL_iz00_3547 = 9L;
				BgL_loopz00_3548:
					if ((BgL_iz00_3547 == (-1L)))
						{	/* Globalize/node.scm 17 */
							return BUNSPEC;
						}
					else
						{	/* Globalize/node.scm 17 */
							{	/* Globalize/node.scm 17 */
								obj_t BgL_arg2128z00_3549;

								{	/* Globalize/node.scm 17 */

									{	/* Globalize/node.scm 17 */
										obj_t BgL_locationz00_3551;

										BgL_locationz00_3551 = BBOOL(((bool_t) 0));
										{	/* Globalize/node.scm 17 */

											BgL_arg2128z00_3549 =
												BGl_readz00zz__readerz00(BgL_cportz00_3546,
												BgL_locationz00_3551);
										}
									}
								}
								{	/* Globalize/node.scm 17 */
									int BgL_tmpz00_3868;

									BgL_tmpz00_3868 = (int) (BgL_iz00_3547);
									CNST_TABLE_SET(BgL_tmpz00_3868, BgL_arg2128z00_3549);
							}}
							{	/* Globalize/node.scm 17 */
								int BgL_auxz00_3552;

								BgL_auxz00_3552 = (int) ((BgL_iz00_3547 - 1L));
								{
									long BgL_iz00_3873;

									BgL_iz00_3873 = (long) (BgL_auxz00_3552);
									BgL_iz00_3547 = BgL_iz00_3873;
									goto BgL_loopz00_3548;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzglobaliza7e_nodeza7(void)
	{
		{	/* Globalize/node.scm 17 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzglobaliza7e_nodeza7(void)
	{
		{	/* Globalize/node.scm 17 */
			return BUNSPEC;
		}

	}



/* append-21011 */
	obj_t BGl_appendzd221011zd2zzglobaliza7e_nodeza7(obj_t BgL_l1z00_1,
		obj_t BgL_l2z00_2)
	{
		{
			if (NULLP(BgL_l1z00_1))
				{
					return BgL_l2z00_2;
				}
			else
				{
					obj_t BgL_headz00_1777;

					BgL_headz00_1777 = MAKE_YOUNG_PAIR(BNIL, BgL_l2z00_2);
					{
						obj_t BgL_prevz00_1778;
						obj_t BgL_tailz00_1779;

						BgL_prevz00_1778 = BgL_headz00_1777;
						BgL_tailz00_1779 = BgL_l1z00_1;
					BgL_loopz00_1780:
						if (PAIRP(BgL_tailz00_1779))
							{
								obj_t BgL_newzd2prevzd2_1782;

								BgL_newzd2prevzd2_1782 =
									MAKE_YOUNG_PAIR(CAR(BgL_tailz00_1779), BgL_l2z00_2);
								SET_CDR(BgL_prevz00_1778, BgL_newzd2prevzd2_1782);
								{
									obj_t BgL_tailz00_3885;
									obj_t BgL_prevz00_3884;

									BgL_prevz00_3884 = BgL_newzd2prevzd2_1782;
									BgL_tailz00_3885 = CDR(BgL_tailz00_1779);
									BgL_tailz00_1779 = BgL_tailz00_3885;
									BgL_prevz00_1778 = BgL_prevz00_3884;
									goto BgL_loopz00_1780;
								}
							}
						else
							{
								BNIL;
							}
						return CDR(BgL_headz00_1777);
					}
				}
		}

	}



/* node-globalize! */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_nodezd2globaliza7ez12z67zzglobaliza7e_nodeza7(BgL_nodez00_bglt
		BgL_nodez00_3, BgL_variablez00_bglt BgL_integratorz00_4,
		obj_t BgL_whatzf2byza2z50_5)
	{
		{	/* Globalize/node.scm 40 */
			{	/* Globalize/node.scm 44 */
				BgL_valuez00_bglt BgL_funz00_1785;

				BgL_funz00_1785 =
					(((BgL_variablez00_bglt) COBJECT(BgL_integratorz00_4))->BgL_valuez00);
				{	/* Globalize/node.scm 44 */
					obj_t BgL_celledz00_1786;

					{	/* Globalize/node.scm 45 */
						obj_t BgL_arg1506z00_1807;

						BgL_arg1506z00_1807 =
							(((BgL_sfunz00_bglt) COBJECT(
									((BgL_sfunz00_bglt) BgL_funz00_1785)))->BgL_argsz00);
						BgL_celledz00_1786 =
							BGl_celledzd2bindingszd2zzglobaliza7e_nodeza7
							(BgL_arg1506z00_1807);
					}
					{	/* Globalize/node.scm 45 */
						obj_t BgL_whatzf2byza2z50_1787;

						BgL_whatzf2byza2z50_1787 =
							BGl_appendzd221011zd2zzglobaliza7e_nodeza7(BgL_celledz00_1786,
							BgL_whatzf2byza2z50_5);
						{	/* Globalize/node.scm 46 */

							{
								obj_t BgL_l1343z00_1789;

								BgL_l1343z00_1789 = BgL_whatzf2byza2z50_1787;
							BgL_zc3z04anonymousza31458ze3z87_1790:
								if (PAIRP(BgL_l1343z00_1789))
									{	/* Globalize/node.scm 48 */
										{	/* Globalize/node.scm 49 */
											obj_t BgL_wzd2bzd2_1792;

											BgL_wzd2bzd2_1792 = CAR(BgL_l1343z00_1789);
											{	/* Globalize/node.scm 49 */
												obj_t BgL_arg1471z00_1793;
												obj_t BgL_arg1480z00_1794;

												BgL_arg1471z00_1793 = CAR(((obj_t) BgL_wzd2bzd2_1792));
												BgL_arg1480z00_1794 = CDR(((obj_t) BgL_wzd2bzd2_1792));
												((((BgL_variablez00_bglt) COBJECT(
																((BgL_variablez00_bglt)
																	((BgL_localz00_bglt) BgL_arg1471z00_1793))))->
														BgL_fastzd2alphazd2) =
													((obj_t) BgL_arg1480z00_1794), BUNSPEC);
											}
										}
										{
											obj_t BgL_l1343z00_3903;

											BgL_l1343z00_3903 = CDR(BgL_l1343z00_1789);
											BgL_l1343z00_1789 = BgL_l1343z00_3903;
											goto BgL_zc3z04anonymousza31458ze3z87_1790;
										}
									}
								else
									{	/* Globalize/node.scm 48 */
										((bool_t) 1);
									}
							}
							{	/* Globalize/node.scm 51 */
								BgL_nodez00_bglt BgL_resz00_1797;

								BgL_resz00_1797 =
									BGl_cellzd2formalszd2zzglobaliza7e_nodeza7(BgL_celledz00_1786,
									BGl_gloz12z12zzglobaliza7e_nodeza7(BgL_nodez00_3,
										BgL_integratorz00_4));
								{
									obj_t BgL_l1345z00_1799;

									BgL_l1345z00_1799 = BgL_whatzf2byza2z50_1787;
								BgL_zc3z04anonymousza31485ze3z87_1800:
									if (PAIRP(BgL_l1345z00_1799))
										{	/* Globalize/node.scm 53 */
											{	/* Globalize/node.scm 54 */
												obj_t BgL_wzd2bzd2_1802;

												BgL_wzd2bzd2_1802 = CAR(BgL_l1345z00_1799);
												{	/* Globalize/node.scm 54 */
													obj_t BgL_arg1487z00_1803;

													BgL_arg1487z00_1803 =
														CAR(((obj_t) BgL_wzd2bzd2_1802));
													((((BgL_variablez00_bglt) COBJECT(
																	((BgL_variablez00_bglt)
																		((BgL_localz00_bglt)
																			BgL_arg1487z00_1803))))->
															BgL_fastzd2alphazd2) =
														((obj_t) BUNSPEC), BUNSPEC);
												}
											}
											{
												obj_t BgL_l1345z00_3915;

												BgL_l1345z00_3915 = CDR(BgL_l1345z00_1799);
												BgL_l1345z00_1799 = BgL_l1345z00_3915;
												goto BgL_zc3z04anonymousza31485ze3z87_1800;
											}
										}
									else
										{	/* Globalize/node.scm 53 */
											((bool_t) 1);
										}
								}
								return BgL_resz00_1797;
							}
						}
					}
				}
			}
		}

	}



/* &node-globalize! */
	BgL_nodez00_bglt BGl_z62nodezd2globaliza7ez12z05zzglobaliza7e_nodeza7(obj_t
		BgL_envz00_3447, obj_t BgL_nodez00_3448, obj_t BgL_integratorz00_3449,
		obj_t BgL_whatzf2byza2z50_3450)
	{
		{	/* Globalize/node.scm 40 */
			return
				BGl_nodezd2globaliza7ez12z67zzglobaliza7e_nodeza7(
				((BgL_nodez00_bglt) BgL_nodez00_3448),
				((BgL_variablez00_bglt) BgL_integratorz00_3449),
				BgL_whatzf2byza2z50_3450);
		}

	}



/* celled-bindings */
	obj_t BGl_celledzd2bindingszd2zzglobaliza7e_nodeza7(obj_t BgL_formalsz00_6)
	{
		{	/* Globalize/node.scm 61 */
			{
				obj_t BgL_celledz00_1810;
				obj_t BgL_formalsz00_1811;

				BgL_celledz00_1810 = BNIL;
				BgL_formalsz00_1811 = BgL_formalsz00_6;
			BgL_zc3z04anonymousza31507ze3z87_1812:
				if (NULLP(BgL_formalsz00_1811))
					{	/* Globalize/node.scm 65 */
						return BgL_celledz00_1810;
					}
				else
					{	/* Globalize/node.scm 67 */
						bool_t BgL_test2167z00_3922;

						{	/* Globalize/node.scm 67 */
							obj_t BgL_arg1532z00_1822;

							BgL_arg1532z00_1822 = CAR(((obj_t) BgL_formalsz00_1811));
							BgL_test2167z00_3922 =
								BGl_celledzf3zf3zzglobaliza7e_nodeza7(
								((BgL_variablez00_bglt) BgL_arg1532z00_1822));
						}
						if (BgL_test2167z00_3922)
							{	/* Globalize/node.scm 70 */
								obj_t BgL_ovarz00_1816;

								BgL_ovarz00_1816 = CAR(((obj_t) BgL_formalsz00_1811));
								{	/* Globalize/node.scm 70 */
									BgL_localz00_bglt BgL_nvarz00_1817;

									BgL_nvarz00_1817 =
										BGl_cellzd2variablezd2zzglobaliza7e_nodeza7(
										((BgL_localz00_bglt) BgL_ovarz00_1816));
									{	/* Globalize/node.scm 71 */

										{	/* Globalize/node.scm 72 */
											obj_t BgL_arg1513z00_1818;
											obj_t BgL_arg1515z00_1819;

											{	/* Globalize/node.scm 72 */
												obj_t BgL_arg1516z00_1820;

												BgL_arg1516z00_1820 =
													MAKE_YOUNG_PAIR(BgL_ovarz00_1816,
													((obj_t) BgL_nvarz00_1817));
												BgL_arg1513z00_1818 =
													MAKE_YOUNG_PAIR(BgL_arg1516z00_1820,
													BgL_celledz00_1810);
											}
											BgL_arg1515z00_1819 = CDR(((obj_t) BgL_formalsz00_1811));
											{
												obj_t BgL_formalsz00_3937;
												obj_t BgL_celledz00_3936;

												BgL_celledz00_3936 = BgL_arg1513z00_1818;
												BgL_formalsz00_3937 = BgL_arg1515z00_1819;
												BgL_formalsz00_1811 = BgL_formalsz00_3937;
												BgL_celledz00_1810 = BgL_celledz00_3936;
												goto BgL_zc3z04anonymousza31507ze3z87_1812;
											}
										}
									}
								}
							}
						else
							{	/* Globalize/node.scm 68 */
								obj_t BgL_arg1530z00_1821;

								BgL_arg1530z00_1821 = CDR(((obj_t) BgL_formalsz00_1811));
								{
									obj_t BgL_formalsz00_3940;

									BgL_formalsz00_3940 = BgL_arg1530z00_1821;
									BgL_formalsz00_1811 = BgL_formalsz00_3940;
									goto BgL_zc3z04anonymousza31507ze3z87_1812;
								}
							}
					}
			}
		}

	}



/* cell-variable */
	BgL_localz00_bglt
		BGl_cellzd2variablezd2zzglobaliza7e_nodeza7(BgL_localz00_bglt
		BgL_localz00_7)
	{
		{	/* Globalize/node.scm 77 */
			{	/* Globalize/node.scm 78 */
				BgL_localz00_bglt BgL_varz00_1824;

				{	/* Globalize/node.scm 78 */
					obj_t BgL_arg1545z00_1831;

					BgL_arg1545z00_1831 =
						(((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt) BgL_localz00_7)))->BgL_idz00);
					BgL_varz00_1824 =
						BGl_makezd2localzd2svarz00zzast_localz00(BgL_arg1545z00_1831,
						((BgL_typez00_bglt) BGl_za2cellza2z00zztype_cachez00));
				}
				{	/* Globalize/node.scm 79 */
					obj_t BgL_vz00_2590;

					BgL_vz00_2590 = ((obj_t) CNST_TABLE_REF(0));
					((((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt) BgL_varz00_1824)))->BgL_accessz00) =
						((obj_t) BgL_vz00_2590), BUNSPEC);
				}
				{	/* Globalize/node.scm 80 */
					bool_t BgL_arg1535z00_1825;

					BgL_arg1535z00_1825 =
						(((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt) BgL_localz00_7)))->BgL_userzf3zf3);
					((((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt) BgL_varz00_1824)))->BgL_userzf3zf3) =
						((bool_t) BgL_arg1535z00_1825), BUNSPEC);
				}
				{	/* Globalize/node.scm 81 */
					BgL_svarz00_bglt BgL_tmp1112z00_1826;

					BgL_tmp1112z00_1826 =
						((BgL_svarz00_bglt)
						(((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt) BgL_varz00_1824)))->BgL_valuez00));
					{	/* Globalize/node.scm 81 */
						BgL_svarzf2ginfozf2_bglt BgL_wide1114z00_1828;

						BgL_wide1114z00_1828 =
							((BgL_svarzf2ginfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_svarzf2ginfozf2_bgl))));
						{	/* Globalize/node.scm 81 */
							obj_t BgL_auxz00_3960;
							BgL_objectz00_bglt BgL_tmpz00_3957;

							BgL_auxz00_3960 = ((obj_t) BgL_wide1114z00_1828);
							BgL_tmpz00_3957 =
								((BgL_objectz00_bglt) ((BgL_svarz00_bglt) BgL_tmp1112z00_1826));
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3957, BgL_auxz00_3960);
						}
						((BgL_objectz00_bglt) ((BgL_svarz00_bglt) BgL_tmp1112z00_1826));
						{	/* Globalize/node.scm 81 */
							long BgL_arg1543z00_1829;

							BgL_arg1543z00_1829 =
								BGL_CLASS_NUM(BGl_svarzf2Ginfozf2zzglobaliza7e_ginfoza7);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt)
									((BgL_svarz00_bglt) BgL_tmp1112z00_1826)),
								BgL_arg1543z00_1829);
						}
						((BgL_svarz00_bglt) ((BgL_svarz00_bglt) BgL_tmp1112z00_1826));
					}
					{
						BgL_svarzf2ginfozf2_bglt BgL_auxz00_3971;

						{
							obj_t BgL_auxz00_3972;

							{	/* Globalize/node.scm 83 */
								BgL_objectz00_bglt BgL_tmpz00_3973;

								BgL_tmpz00_3973 =
									((BgL_objectz00_bglt)
									((BgL_svarz00_bglt) BgL_tmp1112z00_1826));
								BgL_auxz00_3972 = BGL_OBJECT_WIDENING(BgL_tmpz00_3973);
							}
							BgL_auxz00_3971 = ((BgL_svarzf2ginfozf2_bglt) BgL_auxz00_3972);
						}
						((((BgL_svarzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3971))->
								BgL_kapturedzf3zf3) = ((bool_t) ((bool_t) 1)), BUNSPEC);
					}
					{
						BgL_svarzf2ginfozf2_bglt BgL_auxz00_3979;

						{
							obj_t BgL_auxz00_3980;

							{	/* Globalize/node.scm 82 */
								BgL_objectz00_bglt BgL_tmpz00_3981;

								BgL_tmpz00_3981 =
									((BgL_objectz00_bglt)
									((BgL_svarz00_bglt) BgL_tmp1112z00_1826));
								BgL_auxz00_3980 = BGL_OBJECT_WIDENING(BgL_tmpz00_3981);
							}
							BgL_auxz00_3979 = ((BgL_svarzf2ginfozf2_bglt) BgL_auxz00_3980);
						}
						((((BgL_svarzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3979))->
								BgL_freezd2markzd2) = ((long) (-10L)), BUNSPEC);
					}
					{
						BgL_svarzf2ginfozf2_bglt BgL_auxz00_3987;

						{
							obj_t BgL_auxz00_3988;

							{	/* Globalize/node.scm 82 */
								BgL_objectz00_bglt BgL_tmpz00_3989;

								BgL_tmpz00_3989 =
									((BgL_objectz00_bglt)
									((BgL_svarz00_bglt) BgL_tmp1112z00_1826));
								BgL_auxz00_3988 = BGL_OBJECT_WIDENING(BgL_tmpz00_3989);
							}
							BgL_auxz00_3987 = ((BgL_svarzf2ginfozf2_bglt) BgL_auxz00_3988);
						}
						((((BgL_svarzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3987))->
								BgL_markz00) = ((long) (-10L)), BUNSPEC);
					}
					{
						BgL_svarzf2ginfozf2_bglt BgL_auxz00_3995;

						{
							obj_t BgL_auxz00_3996;

							{	/* Globalize/node.scm 82 */
								BgL_objectz00_bglt BgL_tmpz00_3997;

								BgL_tmpz00_3997 =
									((BgL_objectz00_bglt)
									((BgL_svarz00_bglt) BgL_tmp1112z00_1826));
								BgL_auxz00_3996 = BGL_OBJECT_WIDENING(BgL_tmpz00_3997);
							}
							BgL_auxz00_3995 = ((BgL_svarzf2ginfozf2_bglt) BgL_auxz00_3996);
						}
						((((BgL_svarzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3995))->
								BgL_celledzf3zf3) = ((bool_t) ((bool_t) 1)), BUNSPEC);
					}
					{
						BgL_svarzf2ginfozf2_bglt BgL_auxz00_4003;

						{
							obj_t BgL_auxz00_4004;

							{	/* Globalize/node.scm 82 */
								BgL_objectz00_bglt BgL_tmpz00_4005;

								BgL_tmpz00_4005 =
									((BgL_objectz00_bglt)
									((BgL_svarz00_bglt) BgL_tmp1112z00_1826));
								BgL_auxz00_4004 = BGL_OBJECT_WIDENING(BgL_tmpz00_4005);
							}
							BgL_auxz00_4003 = ((BgL_svarzf2ginfozf2_bglt) BgL_auxz00_4004);
						}
						((((BgL_svarzf2ginfozf2_bglt) COBJECT(BgL_auxz00_4003))->
								BgL_stackablez00) = ((bool_t) ((bool_t) 1)), BUNSPEC);
					}
					((BgL_svarz00_bglt) BgL_tmp1112z00_1826);
				}
				return BgL_varz00_1824;
			}
		}

	}



/* cell-formals */
	BgL_nodez00_bglt BGl_cellzd2formalszd2zzglobaliza7e_nodeza7(obj_t
		BgL_celledz00_8, BgL_nodez00_bglt BgL_bodyz00_9)
	{
		{	/* Globalize/node.scm 89 */
			if (NULLP(BgL_celledz00_8))
				{	/* Globalize/node.scm 90 */
					return BgL_bodyz00_9;
				}
			else
				{	/* Globalize/node.scm 92 */
					obj_t BgL_locz00_1833;

					BgL_locz00_1833 =
						(((BgL_nodez00_bglt) COBJECT(BgL_bodyz00_9))->BgL_locz00);
					{	/* Globalize/node.scm 93 */
						BgL_letzd2varzd2_bglt BgL_new1118z00_1834;

						{	/* Globalize/node.scm 94 */
							BgL_letzd2varzd2_bglt BgL_new1116z00_1856;

							BgL_new1116z00_1856 =
								((BgL_letzd2varzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_letzd2varzd2_bgl))));
							{	/* Globalize/node.scm 94 */
								long BgL_arg1587z00_1857;

								BgL_arg1587z00_1857 =
									BGL_CLASS_NUM(BGl_letzd2varzd2zzast_nodez00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1116z00_1856),
									BgL_arg1587z00_1857);
							}
							{	/* Globalize/node.scm 94 */
								BgL_objectz00_bglt BgL_tmpz00_4019;

								BgL_tmpz00_4019 = ((BgL_objectz00_bglt) BgL_new1116z00_1856);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4019, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1116z00_1856);
							BgL_new1118z00_1834 = BgL_new1116z00_1856;
						}
						((((BgL_nodez00_bglt) COBJECT(
										((BgL_nodez00_bglt) BgL_new1118z00_1834)))->BgL_locz00) =
							((obj_t) BgL_locz00_1833), BUNSPEC);
						((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
											BgL_new1118z00_1834)))->BgL_typez00) =
							((BgL_typez00_bglt) (((BgL_nodez00_bglt) COBJECT(BgL_bodyz00_9))->
									BgL_typez00)), BUNSPEC);
						((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
											BgL_new1118z00_1834)))->BgL_sidezd2effectzd2) =
							((obj_t) BUNSPEC), BUNSPEC);
						((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
											BgL_new1118z00_1834)))->BgL_keyz00) =
							((obj_t) BINT((-1L))), BUNSPEC);
						{
							obj_t BgL_auxz00_4033;

							{	/* Globalize/node.scm 97 */
								obj_t BgL_head1349z00_1837;

								BgL_head1349z00_1837 = MAKE_YOUNG_PAIR(BNIL, BNIL);
								{
									obj_t BgL_l1347z00_1839;
									obj_t BgL_tail1350z00_1840;

									BgL_l1347z00_1839 = BgL_celledz00_8;
									BgL_tail1350z00_1840 = BgL_head1349z00_1837;
								BgL_zc3z04anonymousza31548ze3z87_1841:
									if (NULLP(BgL_l1347z00_1839))
										{	/* Globalize/node.scm 97 */
											BgL_auxz00_4033 = CDR(BgL_head1349z00_1837);
										}
									else
										{	/* Globalize/node.scm 97 */
											obj_t BgL_newtail1351z00_1843;

											{	/* Globalize/node.scm 97 */
												obj_t BgL_arg1554z00_1845;

												{	/* Globalize/node.scm 97 */
													obj_t BgL_ozd2nzd2_1846;

													BgL_ozd2nzd2_1846 = CAR(((obj_t) BgL_l1347z00_1839));
													{	/* Globalize/node.scm 98 */
														obj_t BgL_arg1558z00_1847;
														BgL_makezd2boxzd2_bglt BgL_arg1560z00_1848;

														BgL_arg1558z00_1847 =
															CDR(((obj_t) BgL_ozd2nzd2_1846));
														{	/* Globalize/node.scm 100 */
															BgL_refz00_bglt BgL_arg1574z00_1849;
															obj_t BgL_arg1577z00_1850;

															{	/* Globalize/node.scm 100 */
																BgL_refz00_bglt BgL_new1121z00_1851;

																{	/* Globalize/node.scm 103 */
																	BgL_refz00_bglt BgL_new1120z00_1853;

																	BgL_new1120z00_1853 =
																		((BgL_refz00_bglt)
																		BOBJECT(GC_MALLOC(sizeof(struct
																					BgL_refz00_bgl))));
																	{	/* Globalize/node.scm 103 */
																		long BgL_arg1581z00_1854;

																		{	/* Globalize/node.scm 103 */
																			obj_t BgL_classz00_2613;

																			BgL_classz00_2613 =
																				BGl_refz00zzast_nodez00;
																			BgL_arg1581z00_1854 =
																				BGL_CLASS_NUM(BgL_classz00_2613);
																		}
																		BGL_OBJECT_CLASS_NUM_SET(
																			((BgL_objectz00_bglt)
																				BgL_new1120z00_1853),
																			BgL_arg1581z00_1854);
																	}
																	{	/* Globalize/node.scm 103 */
																		BgL_objectz00_bglt BgL_tmpz00_4046;

																		BgL_tmpz00_4046 =
																			((BgL_objectz00_bglt)
																			BgL_new1120z00_1853);
																		BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4046,
																			BFALSE);
																	}
																	((BgL_objectz00_bglt) BgL_new1120z00_1853);
																	BgL_new1121z00_1851 = BgL_new1120z00_1853;
																}
																((((BgL_nodez00_bglt) COBJECT(
																				((BgL_nodez00_bglt)
																					BgL_new1121z00_1851)))->BgL_locz00) =
																	((obj_t) BgL_locz00_1833), BUNSPEC);
																((((BgL_nodez00_bglt)
																			COBJECT(((BgL_nodez00_bglt)
																					BgL_new1121z00_1851)))->BgL_typez00) =
																	((BgL_typez00_bglt) (((BgL_variablez00_bglt)
																				COBJECT(((BgL_variablez00_bglt)
																						CAR(((obj_t)
																								BgL_ozd2nzd2_1846)))))->
																			BgL_typez00)), BUNSPEC);
																((((BgL_varz00_bglt) COBJECT(((BgL_varz00_bglt)
																					BgL_new1121z00_1851)))->
																		BgL_variablez00) =
																	((BgL_variablez00_bglt) (
																			(BgL_variablez00_bglt) CAR(((obj_t)
																					BgL_ozd2nzd2_1846)))), BUNSPEC);
																BgL_arg1574z00_1849 = BgL_new1121z00_1851;
															}
															BgL_arg1577z00_1850 =
																CAR(((obj_t) BgL_ozd2nzd2_1846));
															BgL_arg1560z00_1848 =
																BGl_azd2makezd2cellz00zzglobaliza7e_nodeza7(
																((BgL_nodez00_bglt) BgL_arg1574z00_1849),
																((BgL_variablez00_bglt) BgL_arg1577z00_1850));
														}
														BgL_arg1554z00_1845 =
															MAKE_YOUNG_PAIR(BgL_arg1558z00_1847,
															((obj_t) BgL_arg1560z00_1848));
												}}
												BgL_newtail1351z00_1843 =
													MAKE_YOUNG_PAIR(BgL_arg1554z00_1845, BNIL);
											}
											SET_CDR(BgL_tail1350z00_1840, BgL_newtail1351z00_1843);
											{	/* Globalize/node.scm 97 */
												obj_t BgL_arg1553z00_1844;

												BgL_arg1553z00_1844 = CDR(((obj_t) BgL_l1347z00_1839));
												{
													obj_t BgL_tail1350z00_4075;
													obj_t BgL_l1347z00_4074;

													BgL_l1347z00_4074 = BgL_arg1553z00_1844;
													BgL_tail1350z00_4075 = BgL_newtail1351z00_1843;
													BgL_tail1350z00_1840 = BgL_tail1350z00_4075;
													BgL_l1347z00_1839 = BgL_l1347z00_4074;
													goto BgL_zc3z04anonymousza31548ze3z87_1841;
												}
											}
										}
								}
							}
							((((BgL_letzd2varzd2_bglt) COBJECT(BgL_new1118z00_1834))->
									BgL_bindingsz00) = ((obj_t) BgL_auxz00_4033), BUNSPEC);
						}
						((((BgL_letzd2varzd2_bglt) COBJECT(BgL_new1118z00_1834))->
								BgL_bodyz00) = ((BgL_nodez00_bglt) BgL_bodyz00_9), BUNSPEC);
						((((BgL_letzd2varzd2_bglt) COBJECT(BgL_new1118z00_1834))->
								BgL_removablezf3zf3) = ((bool_t) ((bool_t) 1)), BUNSPEC);
						return ((BgL_nodez00_bglt) BgL_new1118z00_1834);
					}
				}
		}

	}



/* a-make-cell */
	BgL_makezd2boxzd2_bglt
		BGl_azd2makezd2cellz00zzglobaliza7e_nodeza7(BgL_nodez00_bglt BgL_nodez00_10,
		BgL_variablez00_bglt BgL_variablez00_11)
	{
		{	/* Globalize/node.scm 110 */
			{	/* Globalize/node.scm 112 */
				obj_t BgL_vz00_2624;

				BgL_vz00_2624 = ((obj_t) CNST_TABLE_REF(0));
				((((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt)
									((BgL_localz00_bglt) BgL_variablez00_11))))->BgL_accessz00) =
					((obj_t) BgL_vz00_2624), BUNSPEC);
			}
			{	/* Globalize/node.scm 113 */
				BgL_valuez00_bglt BgL_arg1588z00_1859;

				BgL_arg1588z00_1859 =
					(((BgL_variablez00_bglt) COBJECT(BgL_variablez00_11))->BgL_valuez00);
				{
					BgL_svarzf2ginfozf2_bglt BgL_auxz00_4086;

					{
						obj_t BgL_auxz00_4087;

						{	/* Globalize/node.scm 113 */
							BgL_objectz00_bglt BgL_tmpz00_4088;

							BgL_tmpz00_4088 =
								((BgL_objectz00_bglt) ((BgL_svarz00_bglt) BgL_arg1588z00_1859));
							BgL_auxz00_4087 = BGL_OBJECT_WIDENING(BgL_tmpz00_4088);
						}
						BgL_auxz00_4086 = ((BgL_svarzf2ginfozf2_bglt) BgL_auxz00_4087);
					}
					((((BgL_svarzf2ginfozf2_bglt) COBJECT(BgL_auxz00_4086))->
							BgL_celledzf3zf3) = ((bool_t) ((bool_t) 1)), BUNSPEC);
				}
			}
			{	/* Globalize/node.scm 114 */
				BgL_makezd2boxzd2_bglt BgL_new1124z00_1860;

				{	/* Globalize/node.scm 117 */
					BgL_makezd2boxzd2_bglt BgL_new1123z00_1863;

					BgL_new1123z00_1863 =
						((BgL_makezd2boxzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_makezd2boxzd2_bgl))));
					{	/* Globalize/node.scm 117 */
						long BgL_arg1593z00_1864;

						BgL_arg1593z00_1864 = BGL_CLASS_NUM(BGl_makezd2boxzd2zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1123z00_1863), BgL_arg1593z00_1864);
					}
					{	/* Globalize/node.scm 117 */
						BgL_objectz00_bglt BgL_tmpz00_4098;

						BgL_tmpz00_4098 = ((BgL_objectz00_bglt) BgL_new1123z00_1863);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4098, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1123z00_1863);
					BgL_new1124z00_1860 = BgL_new1123z00_1863;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1124z00_1860)))->BgL_locz00) =
					((obj_t) (((BgL_nodez00_bglt) COBJECT(BgL_nodez00_10))->BgL_locz00)),
					BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1124z00_1860)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt)
							BGl_za2cellza2z00zztype_cachez00)), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1124z00_1860)))->BgL_sidezd2effectzd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1124z00_1860)))->BgL_keyz00) =
					((obj_t) BINT((-1L))), BUNSPEC);
				((((BgL_makezd2boxzd2_bglt) COBJECT(BgL_new1124z00_1860))->
						BgL_valuez00) = ((BgL_nodez00_bglt) BgL_nodez00_10), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_4114;

					{	/* Globalize/node.scm 116 */
						BgL_typez00_bglt BgL_arg1590z00_1861;

						BgL_arg1590z00_1861 =
							(((BgL_variablez00_bglt) COBJECT(BgL_variablez00_11))->
							BgL_typez00);
						BgL_auxz00_4114 =
							BGl_getzd2bigloozd2definedzd2typezd2zztype_cachez00
							(BgL_arg1590z00_1861);
					}
					((((BgL_makezd2boxzd2_bglt) COBJECT(BgL_new1124z00_1860))->
							BgL_vtypez00) = ((BgL_typez00_bglt) BgL_auxz00_4114), BUNSPEC);
				}
				{
					obj_t BgL_auxz00_4118;

					{	/* Globalize/node.scm 119 */
						BgL_svarz00_bglt BgL_oz00_2635;

						BgL_oz00_2635 =
							((BgL_svarz00_bglt)
							(((BgL_variablez00_bglt) COBJECT(BgL_variablez00_11))->
								BgL_valuez00));
						{	/* Globalize/node.scm 119 */
							bool_t BgL_tmpz00_4121;

							{
								BgL_svarzf2ginfozf2_bglt BgL_auxz00_4122;

								{
									obj_t BgL_auxz00_4123;

									{	/* Globalize/node.scm 119 */
										BgL_objectz00_bglt BgL_tmpz00_4124;

										BgL_tmpz00_4124 = ((BgL_objectz00_bglt) BgL_oz00_2635);
										BgL_auxz00_4123 = BGL_OBJECT_WIDENING(BgL_tmpz00_4124);
									}
									BgL_auxz00_4122 =
										((BgL_svarzf2ginfozf2_bglt) BgL_auxz00_4123);
								}
								BgL_tmpz00_4121 =
									(((BgL_svarzf2ginfozf2_bglt) COBJECT(BgL_auxz00_4122))->
									BgL_stackablez00);
							}
							BgL_auxz00_4118 = BBOOL(BgL_tmpz00_4121);
					}}
					((((BgL_makezd2boxzd2_bglt) COBJECT(BgL_new1124z00_1860))->
							BgL_stackablez00) = ((obj_t) BgL_auxz00_4118), BUNSPEC);
				}
				return BgL_new1124z00_1860;
			}
		}

	}



/* celled? */
	bool_t BGl_celledzf3zf3zzglobaliza7e_nodeza7(BgL_variablez00_bglt
		BgL_variablez00_12)
	{
		{	/* Globalize/node.scm 124 */
			{	/* Globalize/node.scm 125 */
				bool_t BgL_test2170z00_4131;

				{	/* Globalize/node.scm 125 */
					obj_t BgL_classz00_2637;

					BgL_classz00_2637 = BGl_localz00zzast_varz00;
					{	/* Globalize/node.scm 125 */
						BgL_objectz00_bglt BgL_arg1858z00_2639;

						{	/* Globalize/node.scm 125 */
							obj_t BgL_tmpz00_4132;

							BgL_tmpz00_4132 = ((obj_t) BgL_variablez00_12);
							BgL_arg1858z00_2639 = (BgL_objectz00_bglt) (BgL_tmpz00_4132);
						}
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Globalize/node.scm 125 */
								long BgL_idxz00_2645;

								BgL_idxz00_2645 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_2639);
								BgL_test2170z00_4131 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_2645 + 2L)) == BgL_classz00_2637);
							}
						else
							{	/* Globalize/node.scm 125 */
								bool_t BgL_res2075z00_2670;

								{	/* Globalize/node.scm 125 */
									obj_t BgL_oclassz00_2653;

									{	/* Globalize/node.scm 125 */
										obj_t BgL_arg1866z00_2661;
										long BgL_arg1867z00_2662;

										BgL_arg1866z00_2661 = (BGl_za2classesza2z00zz__objectz00);
										{	/* Globalize/node.scm 125 */
											long BgL_arg1869z00_2663;

											BgL_arg1869z00_2663 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_2639);
											BgL_arg1867z00_2662 = (BgL_arg1869z00_2663 - OBJECT_TYPE);
										}
										BgL_oclassz00_2653 =
											VECTOR_REF(BgL_arg1866z00_2661, BgL_arg1867z00_2662);
									}
									{	/* Globalize/node.scm 125 */
										bool_t BgL__ortest_1115z00_2654;

										BgL__ortest_1115z00_2654 =
											(BgL_classz00_2637 == BgL_oclassz00_2653);
										if (BgL__ortest_1115z00_2654)
											{	/* Globalize/node.scm 125 */
												BgL_res2075z00_2670 = BgL__ortest_1115z00_2654;
											}
										else
											{	/* Globalize/node.scm 125 */
												long BgL_odepthz00_2655;

												{	/* Globalize/node.scm 125 */
													obj_t BgL_arg1855z00_2656;

													BgL_arg1855z00_2656 = (BgL_oclassz00_2653);
													BgL_odepthz00_2655 =
														BGL_CLASS_DEPTH(BgL_arg1855z00_2656);
												}
												if ((2L < BgL_odepthz00_2655))
													{	/* Globalize/node.scm 125 */
														obj_t BgL_arg1853z00_2658;

														{	/* Globalize/node.scm 125 */
															obj_t BgL_arg1854z00_2659;

															BgL_arg1854z00_2659 = (BgL_oclassz00_2653);
															BgL_arg1853z00_2658 =
																BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_2659,
																2L);
														}
														BgL_res2075z00_2670 =
															(BgL_arg1853z00_2658 == BgL_classz00_2637);
													}
												else
													{	/* Globalize/node.scm 125 */
														BgL_res2075z00_2670 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_test2170z00_4131 = BgL_res2075z00_2670;
							}
					}
				}
				if (BgL_test2170z00_4131)
					{	/* Globalize/node.scm 126 */
						bool_t BgL_test2174z00_4154;

						{	/* Globalize/node.scm 126 */
							BgL_valuez00_bglt BgL_arg1612z00_1872;

							BgL_arg1612z00_1872 =
								(((BgL_variablez00_bglt) COBJECT(BgL_variablez00_12))->
								BgL_valuez00);
							{	/* Globalize/node.scm 126 */
								obj_t BgL_classz00_2672;

								BgL_classz00_2672 = BGl_svarzf2Ginfozf2zzglobaliza7e_ginfoza7;
								{	/* Globalize/node.scm 126 */
									BgL_objectz00_bglt BgL_arg1858z00_2674;

									{	/* Globalize/node.scm 126 */
										obj_t BgL_tmpz00_4156;

										BgL_tmpz00_4156 =
											((obj_t) ((BgL_objectz00_bglt) BgL_arg1612z00_1872));
										BgL_arg1858z00_2674 =
											(BgL_objectz00_bglt) (BgL_tmpz00_4156);
									}
									if (BGL_CONDEXPAND_ISA_ARCH64())
										{	/* Globalize/node.scm 126 */
											long BgL_idxz00_2680;

											BgL_idxz00_2680 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_2674);
											BgL_test2174z00_4154 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_2680 + 3L)) == BgL_classz00_2672);
										}
									else
										{	/* Globalize/node.scm 126 */
											bool_t BgL_res2076z00_2705;

											{	/* Globalize/node.scm 126 */
												obj_t BgL_oclassz00_2688;

												{	/* Globalize/node.scm 126 */
													obj_t BgL_arg1866z00_2696;
													long BgL_arg1867z00_2697;

													BgL_arg1866z00_2696 =
														(BGl_za2classesza2z00zz__objectz00);
													{	/* Globalize/node.scm 126 */
														long BgL_arg1869z00_2698;

														BgL_arg1869z00_2698 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_2674);
														BgL_arg1867z00_2697 =
															(BgL_arg1869z00_2698 - OBJECT_TYPE);
													}
													BgL_oclassz00_2688 =
														VECTOR_REF(BgL_arg1866z00_2696,
														BgL_arg1867z00_2697);
												}
												{	/* Globalize/node.scm 126 */
													bool_t BgL__ortest_1115z00_2689;

													BgL__ortest_1115z00_2689 =
														(BgL_classz00_2672 == BgL_oclassz00_2688);
													if (BgL__ortest_1115z00_2689)
														{	/* Globalize/node.scm 126 */
															BgL_res2076z00_2705 = BgL__ortest_1115z00_2689;
														}
													else
														{	/* Globalize/node.scm 126 */
															long BgL_odepthz00_2690;

															{	/* Globalize/node.scm 126 */
																obj_t BgL_arg1855z00_2691;

																BgL_arg1855z00_2691 = (BgL_oclassz00_2688);
																BgL_odepthz00_2690 =
																	BGL_CLASS_DEPTH(BgL_arg1855z00_2691);
															}
															if ((3L < BgL_odepthz00_2690))
																{	/* Globalize/node.scm 126 */
																	obj_t BgL_arg1853z00_2693;

																	{	/* Globalize/node.scm 126 */
																		obj_t BgL_arg1854z00_2694;

																		BgL_arg1854z00_2694 = (BgL_oclassz00_2688);
																		BgL_arg1853z00_2693 =
																			BGL_CLASS_ANCESTORS_REF
																			(BgL_arg1854z00_2694, 3L);
																	}
																	BgL_res2076z00_2705 =
																		(BgL_arg1853z00_2693 == BgL_classz00_2672);
																}
															else
																{	/* Globalize/node.scm 126 */
																	BgL_res2076z00_2705 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_test2174z00_4154 = BgL_res2076z00_2705;
										}
								}
							}
						}
						if (BgL_test2174z00_4154)
							{	/* Globalize/node.scm 127 */
								bool_t BgL__ortest_1127z00_1867;

								{	/* Globalize/node.scm 127 */
									BgL_svarz00_bglt BgL_oz00_2707;

									BgL_oz00_2707 =
										((BgL_svarz00_bglt)
										(((BgL_variablez00_bglt) COBJECT(BgL_variablez00_12))->
											BgL_valuez00));
									{
										BgL_svarzf2ginfozf2_bglt BgL_auxz00_4181;

										{
											obj_t BgL_auxz00_4182;

											{	/* Globalize/node.scm 127 */
												BgL_objectz00_bglt BgL_tmpz00_4183;

												BgL_tmpz00_4183 = ((BgL_objectz00_bglt) BgL_oz00_2707);
												BgL_auxz00_4182 = BGL_OBJECT_WIDENING(BgL_tmpz00_4183);
											}
											BgL_auxz00_4181 =
												((BgL_svarzf2ginfozf2_bglt) BgL_auxz00_4182);
										}
										BgL__ortest_1127z00_1867 =
											(((BgL_svarzf2ginfozf2_bglt) COBJECT(BgL_auxz00_4181))->
											BgL_celledzf3zf3);
									}
								}
								if (BgL__ortest_1127z00_1867)
									{	/* Globalize/node.scm 127 */
										return BgL__ortest_1127z00_1867;
									}
								else
									{	/* Globalize/node.scm 127 */
										if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
													(((BgL_variablez00_bglt)
															COBJECT(BgL_variablez00_12))->BgL_accessz00),
													((obj_t) CNST_TABLE_REF(1)))))
											{	/* Globalize/node.scm 129 */
												BgL_svarz00_bglt BgL_oz00_2711;

												BgL_oz00_2711 =
													((BgL_svarz00_bglt)
													(((BgL_variablez00_bglt)
															COBJECT(BgL_variablez00_12))->BgL_valuez00));
												{
													BgL_svarzf2ginfozf2_bglt BgL_auxz00_4197;

													{
														obj_t BgL_auxz00_4198;

														{	/* Globalize/node.scm 129 */
															BgL_objectz00_bglt BgL_tmpz00_4199;

															BgL_tmpz00_4199 =
																((BgL_objectz00_bglt) BgL_oz00_2711);
															BgL_auxz00_4198 =
																BGL_OBJECT_WIDENING(BgL_tmpz00_4199);
														}
														BgL_auxz00_4197 =
															((BgL_svarzf2ginfozf2_bglt) BgL_auxz00_4198);
													}
													return
														(((BgL_svarzf2ginfozf2_bglt)
															COBJECT(BgL_auxz00_4197))->BgL_kapturedzf3zf3);
												}
											}
										else
											{	/* Globalize/node.scm 128 */
												return ((bool_t) 0);
											}
									}
							}
						else
							{	/* Globalize/node.scm 126 */
								return ((bool_t) 0);
							}
					}
				else
					{	/* Globalize/node.scm 125 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* glo*! */
	obj_t BGl_gloza2z12zb0zzglobaliza7e_nodeza7(obj_t BgL_nodeza2za2_59,
		obj_t BgL_integratorz00_60)
	{
		{	/* Globalize/node.scm 493 */
			{
				obj_t BgL_nodeza2za2_1874;

				BgL_nodeza2za2_1874 = BgL_nodeza2za2_59;
			BgL_zc3z04anonymousza31613ze3z87_1875:
				if (NULLP(BgL_nodeza2za2_1874))
					{	/* Globalize/node.scm 495 */
						return ((obj_t) CNST_TABLE_REF(2));
					}
				else
					{	/* Globalize/node.scm 495 */
						{	/* Globalize/node.scm 498 */
							BgL_nodez00_bglt BgL_arg1625z00_1877;

							{	/* Globalize/node.scm 498 */
								obj_t BgL_arg1626z00_1878;

								BgL_arg1626z00_1878 = CAR(((obj_t) BgL_nodeza2za2_1874));
								BgL_arg1625z00_1877 =
									BGl_gloz12z12zzglobaliza7e_nodeza7(
									((BgL_nodez00_bglt) BgL_arg1626z00_1878),
									((BgL_variablez00_bglt) BgL_integratorz00_60));
							}
							{	/* Globalize/node.scm 498 */
								obj_t BgL_auxz00_4215;
								obj_t BgL_tmpz00_4213;

								BgL_auxz00_4215 = ((obj_t) BgL_arg1625z00_1877);
								BgL_tmpz00_4213 = ((obj_t) BgL_nodeza2za2_1874);
								SET_CAR(BgL_tmpz00_4213, BgL_auxz00_4215);
							}
						}
						{	/* Globalize/node.scm 499 */
							obj_t BgL_arg1631z00_1879;

							BgL_arg1631z00_1879 = CDR(((obj_t) BgL_nodeza2za2_1874));
							{
								obj_t BgL_nodeza2za2_4220;

								BgL_nodeza2za2_4220 = BgL_arg1631z00_1879;
								BgL_nodeza2za2_1874 = BgL_nodeza2za2_4220;
								goto BgL_zc3z04anonymousza31613ze3z87_1875;
							}
						}
					}
			}
		}

	}



/* make-escaping-bindings */
	BgL_letzd2varzd2_bglt
		BGl_makezd2escapingzd2bindingsz00zzglobaliza7e_nodeza7(obj_t
		BgL_ebindingsz00_61, BgL_nodez00_bglt BgL_nodez00_62,
		BgL_variablez00_bglt BgL_integratorz00_63)
	{
		{	/* Globalize/node.scm 504 */
			{
				obj_t BgL_ebindingsz00_1884;
				obj_t BgL_bindingsz00_1885;
				obj_t BgL_setsz00_1886;

				BgL_ebindingsz00_1884 = BgL_ebindingsz00_61;
				BgL_bindingsz00_1885 = BNIL;
				BgL_setsz00_1886 = BNIL;
			BgL_zc3z04anonymousza31632ze3z87_1887:
				if (NULLP(BgL_ebindingsz00_1884))
					{	/* Globalize/node.scm 512 */
						BgL_letzd2varzd2_bglt BgL_new1179z00_1889;

						{	/* Globalize/node.scm 513 */
							BgL_letzd2varzd2_bglt BgL_new1178z00_1896;

							BgL_new1178z00_1896 =
								((BgL_letzd2varzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_letzd2varzd2_bgl))));
							{	/* Globalize/node.scm 513 */
								long BgL_arg1643z00_1897;

								BgL_arg1643z00_1897 =
									BGL_CLASS_NUM(BGl_letzd2varzd2zzast_nodez00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1178z00_1896),
									BgL_arg1643z00_1897);
							}
							{	/* Globalize/node.scm 513 */
								BgL_objectz00_bglt BgL_tmpz00_4227;

								BgL_tmpz00_4227 = ((BgL_objectz00_bglt) BgL_new1178z00_1896);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4227, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1178z00_1896);
							BgL_new1179z00_1889 = BgL_new1178z00_1896;
						}
						((((BgL_nodez00_bglt) COBJECT(
										((BgL_nodez00_bglt) BgL_new1179z00_1889)))->BgL_locz00) =
							((obj_t) (((BgL_nodez00_bglt) COBJECT(BgL_nodez00_62))->
									BgL_locz00)), BUNSPEC);
						((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
											BgL_new1179z00_1889)))->BgL_typez00) =
							((BgL_typez00_bglt) (((BgL_nodez00_bglt)
										COBJECT(BgL_nodez00_62))->BgL_typez00)), BUNSPEC);
						((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
											BgL_new1179z00_1889)))->BgL_sidezd2effectzd2) =
							((obj_t) BUNSPEC), BUNSPEC);
						((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
											BgL_new1179z00_1889)))->BgL_keyz00) =
							((obj_t) BINT((-1L))), BUNSPEC);
						((((BgL_letzd2varzd2_bglt) COBJECT(BgL_new1179z00_1889))->
								BgL_bindingsz00) = ((obj_t) BgL_bindingsz00_1885), BUNSPEC);
						{
							BgL_nodez00_bglt BgL_auxz00_4243;

							if (NULLP(BgL_setsz00_1886))
								{	/* Globalize/node.scm 516 */
									BgL_auxz00_4243 = BgL_nodez00_62;
								}
							else
								{	/* Globalize/node.scm 518 */
									BgL_sequencez00_bglt BgL_new1181z00_1891;

									{	/* Globalize/node.scm 519 */
										BgL_sequencez00_bglt BgL_new1180z00_1894;

										BgL_new1180z00_1894 =
											((BgL_sequencez00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
														BgL_sequencez00_bgl))));
										{	/* Globalize/node.scm 519 */
											long BgL_arg1642z00_1895;

											{	/* Globalize/node.scm 519 */
												obj_t BgL_classz00_2722;

												BgL_classz00_2722 = BGl_sequencez00zzast_nodez00;
												BgL_arg1642z00_1895 = BGL_CLASS_NUM(BgL_classz00_2722);
											}
											BGL_OBJECT_CLASS_NUM_SET(
												((BgL_objectz00_bglt) BgL_new1180z00_1894),
												BgL_arg1642z00_1895);
										}
										{	/* Globalize/node.scm 519 */
											BgL_objectz00_bglt BgL_tmpz00_4250;

											BgL_tmpz00_4250 =
												((BgL_objectz00_bglt) BgL_new1180z00_1894);
											BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4250, BFALSE);
										}
										((BgL_objectz00_bglt) BgL_new1180z00_1894);
										BgL_new1181z00_1891 = BgL_new1180z00_1894;
									}
									((((BgL_nodez00_bglt) COBJECT(
													((BgL_nodez00_bglt) BgL_new1181z00_1891)))->
											BgL_locz00) =
										((obj_t) (((BgL_nodez00_bglt) COBJECT(BgL_nodez00_62))->
												BgL_locz00)), BUNSPEC);
									((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
														BgL_new1181z00_1891)))->BgL_typez00) =
										((BgL_typez00_bglt) (((BgL_nodez00_bglt)
													COBJECT(BgL_nodez00_62))->BgL_typez00)), BUNSPEC);
									((((BgL_nodezf2effectzf2_bglt)
												COBJECT(((BgL_nodezf2effectzf2_bglt)
														BgL_new1181z00_1891)))->BgL_sidezd2effectzd2) =
										((obj_t) BUNSPEC), BUNSPEC);
									((((BgL_nodezf2effectzf2_bglt)
												COBJECT(((BgL_nodezf2effectzf2_bglt)
														BgL_new1181z00_1891)))->BgL_keyz00) =
										((obj_t) BINT((-1L))), BUNSPEC);
									{
										obj_t BgL_auxz00_4265;

										{	/* Globalize/node.scm 521 */
											obj_t BgL_arg1638z00_1892;

											{	/* Globalize/node.scm 521 */
												obj_t BgL_list1639z00_1893;

												BgL_list1639z00_1893 =
													MAKE_YOUNG_PAIR(((obj_t) BgL_nodez00_62), BNIL);
												BgL_arg1638z00_1892 = BgL_list1639z00_1893;
											}
											BgL_auxz00_4265 =
												BGl_appendzd221011zd2zzglobaliza7e_nodeza7
												(BgL_setsz00_1886, BgL_arg1638z00_1892);
										}
										((((BgL_sequencez00_bglt) COBJECT(BgL_new1181z00_1891))->
												BgL_nodesz00) = ((obj_t) BgL_auxz00_4265), BUNSPEC);
									}
									((((BgL_sequencez00_bglt) COBJECT(BgL_new1181z00_1891))->
											BgL_unsafez00) = ((bool_t) ((bool_t) 0)), BUNSPEC);
									((((BgL_sequencez00_bglt) COBJECT(BgL_new1181z00_1891))->
											BgL_metaz00) = ((obj_t) BNIL), BUNSPEC);
									BgL_auxz00_4243 = ((BgL_nodez00_bglt) BgL_new1181z00_1891);
								}
							((((BgL_letzd2varzd2_bglt) COBJECT(BgL_new1179z00_1889))->
									BgL_bodyz00) = ((BgL_nodez00_bglt) BgL_auxz00_4243), BUNSPEC);
						}
						((((BgL_letzd2varzd2_bglt) COBJECT(BgL_new1179z00_1889))->
								BgL_removablezf3zf3) = ((bool_t) ((bool_t) 1)), BUNSPEC);
						return BgL_new1179z00_1889;
					}
				else
					{	/* Globalize/node.scm 522 */
						obj_t BgL_localz00_1898;

						BgL_localz00_1898 = CAR(((obj_t) BgL_ebindingsz00_1884));
						{	/* Globalize/node.scm 522 */
							obj_t BgL_newz00_1899;

							{	/* Globalize/node.scm 523 */
								obj_t BgL_arg1673z00_1910;

								BgL_arg1673z00_1910 =
									(((BgL_nodez00_bglt) COBJECT(BgL_nodez00_62))->BgL_locz00);
								BgL_newz00_1899 =
									BGl_thezd2closurezd2zzglobaliza7e_freeza7(
									((BgL_variablez00_bglt) BgL_localz00_1898),
									BgL_arg1673z00_1910);
							}
							{	/* Globalize/node.scm 523 */
								obj_t BgL_nsetsz00_1900;

								{	/* Globalize/node.scm 525 */
									obj_t BgL_arg1660z00_1907;
									obj_t BgL_arg1663z00_1908;

									BgL_arg1660z00_1907 =
										(((BgL_nodez00_bglt) COBJECT(BgL_nodez00_62))->BgL_locz00);
									{	/* Globalize/node.scm 526 */
										BgL_sfunz00_bglt BgL_oz00_2733;

										BgL_oz00_2733 =
											((BgL_sfunz00_bglt)
											(((BgL_variablez00_bglt) COBJECT(
														((BgL_variablez00_bglt)
															((BgL_localz00_bglt) BgL_localz00_1898))))->
												BgL_valuez00));
										{
											BgL_sfunzf2ginfozf2_bglt BgL_auxz00_4285;

											{
												obj_t BgL_auxz00_4286;

												{	/* Globalize/node.scm 526 */
													BgL_objectz00_bglt BgL_tmpz00_4287;

													BgL_tmpz00_4287 =
														((BgL_objectz00_bglt) BgL_oz00_2733);
													BgL_auxz00_4286 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_4287);
												}
												BgL_auxz00_4285 =
													((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_4286);
											}
											BgL_arg1663z00_1908 =
												(((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_4285))->
												BgL_kapturedz00);
										}
									}
									BgL_nsetsz00_1900 =
										BGl_makezd2setszd2zzglobaliza7e_nodeza7(BgL_newz00_1899,
										BgL_arg1660z00_1907, BgL_arg1663z00_1908,
										BgL_integratorz00_63);
								}
								{	/* Globalize/node.scm 524 */

									{	/* Globalize/node.scm 528 */
										obj_t BgL_arg1648z00_1901;
										obj_t BgL_arg1649z00_1902;
										obj_t BgL_arg1650z00_1903;

										BgL_arg1648z00_1901 = CDR(((obj_t) BgL_ebindingsz00_1884));
										{	/* Globalize/node.scm 529 */
											obj_t BgL_arg1653z00_1904;

											{	/* Globalize/node.scm 529 */
												BgL_appz00_bglt BgL_arg1655z00_1905;

												BgL_arg1655z00_1905 =
													BGl_azd2makezd2procedurez00zzglobaliza7e_nodeza7(
													((BgL_localz00_bglt) BgL_localz00_1898));
												BgL_arg1653z00_1904 =
													MAKE_YOUNG_PAIR(BgL_newz00_1899,
													((obj_t) BgL_arg1655z00_1905));
											}
											BgL_arg1649z00_1902 =
												MAKE_YOUNG_PAIR(BgL_arg1653z00_1904,
												BgL_bindingsz00_1885);
										}
										if (NULLP(BgL_nsetsz00_1900))
											{	/* Globalize/node.scm 531 */
												BgL_arg1650z00_1903 = BgL_setsz00_1886;
											}
										else
											{	/* Globalize/node.scm 531 */
												BgL_arg1650z00_1903 =
													MAKE_YOUNG_PAIR(BgL_nsetsz00_1900, BgL_setsz00_1886);
											}
										{
											obj_t BgL_setsz00_4305;
											obj_t BgL_bindingsz00_4304;
											obj_t BgL_ebindingsz00_4303;

											BgL_ebindingsz00_4303 = BgL_arg1648z00_1901;
											BgL_bindingsz00_4304 = BgL_arg1649z00_1902;
											BgL_setsz00_4305 = BgL_arg1650z00_1903;
											BgL_setsz00_1886 = BgL_setsz00_4305;
											BgL_bindingsz00_1885 = BgL_bindingsz00_4304;
											BgL_ebindingsz00_1884 = BgL_ebindingsz00_4303;
											goto BgL_zc3z04anonymousza31632ze3z87_1887;
										}
									}
								}
							}
						}
					}
			}
		}

	}



/* globalize-local-fun! */
	obj_t
		BGl_globaliza7ezd2localzd2funz12zb5zzglobaliza7e_nodeza7(BgL_localz00_bglt
		BgL_localz00_64, BgL_variablez00_bglt BgL_integratorz00_65)
	{
		{	/* Globalize/node.scm 538 */
			{	/* Globalize/node.scm 541 */
				BgL_valuez00_bglt BgL_funz00_1912;

				BgL_funz00_1912 =
					(((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_localz00_64)))->BgL_valuez00);
				{	/* Globalize/node.scm 541 */
					obj_t BgL_obodyz00_1913;

					BgL_obodyz00_1913 =
						(((BgL_sfunz00_bglt) COBJECT(
								((BgL_sfunz00_bglt) BgL_funz00_1912)))->BgL_bodyz00);
					{	/* Globalize/node.scm 542 */

						if ((((obj_t) BgL_localz00_64) == ((obj_t) BgL_integratorz00_65)))
							{	/* Globalize/node.scm 544 */
								BgL_nodez00_bglt BgL_arg1674z00_1914;

								BgL_arg1674z00_1914 =
									BGl_gloz12z12zzglobaliza7e_nodeza7(
									((BgL_nodez00_bglt) BgL_obodyz00_1913), BgL_integratorz00_65);
								return
									((((BgL_sfunz00_bglt) COBJECT(
												((BgL_sfunz00_bglt) BgL_funz00_1912)))->BgL_bodyz00) =
									((obj_t) ((obj_t) BgL_arg1674z00_1914)), BUNSPEC);
							}
						else
							{	/* Globalize/node.scm 545 */
								obj_t BgL_celledz00_1915;

								{	/* Globalize/node.scm 545 */
									obj_t BgL_arg1692z00_1935;

									BgL_arg1692z00_1935 =
										(((BgL_sfunz00_bglt) COBJECT(
												((BgL_sfunz00_bglt) BgL_funz00_1912)))->BgL_argsz00);
									BgL_celledz00_1915 =
										BGl_celledzd2bindingszd2zzglobaliza7e_nodeza7
										(BgL_arg1692z00_1935);
								}
								{
									obj_t BgL_l1361z00_1917;

									BgL_l1361z00_1917 = BgL_celledz00_1915;
								BgL_zc3z04anonymousza31675ze3z87_1918:
									if (PAIRP(BgL_l1361z00_1917))
										{	/* Globalize/node.scm 546 */
											{	/* Globalize/node.scm 547 */
												obj_t BgL_wzd2bzd2_1920;

												BgL_wzd2bzd2_1920 = CAR(BgL_l1361z00_1917);
												{	/* Globalize/node.scm 547 */
													obj_t BgL_arg1677z00_1921;
													obj_t BgL_arg1679z00_1922;

													BgL_arg1677z00_1921 =
														CAR(((obj_t) BgL_wzd2bzd2_1920));
													BgL_arg1679z00_1922 =
														CDR(((obj_t) BgL_wzd2bzd2_1920));
													((((BgL_variablez00_bglt) COBJECT(
																	((BgL_variablez00_bglt)
																		((BgL_localz00_bglt)
																			BgL_arg1677z00_1921))))->
															BgL_fastzd2alphazd2) =
														((obj_t) BgL_arg1679z00_1922), BUNSPEC);
												}
											}
											{
												obj_t BgL_l1361z00_4332;

												BgL_l1361z00_4332 = CDR(BgL_l1361z00_1917);
												BgL_l1361z00_1917 = BgL_l1361z00_4332;
												goto BgL_zc3z04anonymousza31675ze3z87_1918;
											}
										}
									else
										{	/* Globalize/node.scm 546 */
											((bool_t) 1);
										}
								}
								{	/* Globalize/node.scm 549 */
									BgL_nodez00_bglt BgL_nbody1z00_1925;

									BgL_nbody1z00_1925 =
										BGl_gloz12z12zzglobaliza7e_nodeza7(
										((BgL_nodez00_bglt) BgL_obodyz00_1913),
										BgL_integratorz00_65);
									{	/* Globalize/node.scm 549 */
										BgL_nodez00_bglt BgL_nbody2z00_1926;

										BgL_nbody2z00_1926 =
											BGl_cellzd2formalszd2zzglobaliza7e_nodeza7
											(BgL_celledz00_1915, BgL_nbody1z00_1925);
										{	/* Globalize/node.scm 550 */

											{
												obj_t BgL_l1363z00_1928;

												BgL_l1363z00_1928 = BgL_celledz00_1915;
											BgL_zc3z04anonymousza31681ze3z87_1929:
												if (PAIRP(BgL_l1363z00_1928))
													{	/* Globalize/node.scm 551 */
														{	/* Globalize/node.scm 552 */
															obj_t BgL_wzd2bzd2_1931;

															BgL_wzd2bzd2_1931 = CAR(BgL_l1363z00_1928);
															{	/* Globalize/node.scm 552 */
																obj_t BgL_arg1686z00_1932;

																BgL_arg1686z00_1932 =
																	CAR(((obj_t) BgL_wzd2bzd2_1931));
																((((BgL_variablez00_bglt) COBJECT(
																				((BgL_variablez00_bglt)
																					((BgL_localz00_bglt)
																						BgL_arg1686z00_1932))))->
																		BgL_fastzd2alphazd2) =
																	((obj_t) BUNSPEC), BUNSPEC);
															}
														}
														{
															obj_t BgL_l1363z00_4345;

															BgL_l1363z00_4345 = CDR(BgL_l1363z00_1928);
															BgL_l1363z00_1928 = BgL_l1363z00_4345;
															goto BgL_zc3z04anonymousza31681ze3z87_1929;
														}
													}
												else
													{	/* Globalize/node.scm 551 */
														((bool_t) 1);
													}
											}
											return
												((((BgL_sfunz00_bglt) COBJECT(
															((BgL_sfunz00_bglt) BgL_funz00_1912)))->
													BgL_bodyz00) =
												((obj_t) ((obj_t) BgL_nbody2z00_1926)), BUNSPEC);
										}
									}
								}
							}
					}
				}
			}
		}

	}



/* a-make-procedure */
	BgL_appz00_bglt
		BGl_azd2makezd2procedurez00zzglobaliza7e_nodeza7(BgL_localz00_bglt
		BgL_localz00_66)
	{
		{	/* Globalize/node.scm 559 */
			{	/* Globalize/node.scm 560 */
				BgL_valuez00_bglt BgL_funz00_1936;

				BgL_funz00_1936 =
					(((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_localz00_66)))->BgL_valuez00);
				{	/* Globalize/node.scm 560 */
					long BgL_arityz00_1937;

					BgL_arityz00_1937 =
						(((BgL_funz00_bglt) COBJECT(
								((BgL_funz00_bglt)
									((BgL_sfunz00_bglt) BgL_funz00_1936))))->BgL_arityz00);
					{	/* Globalize/node.scm 561 */
						obj_t BgL_kapturedz00_1938;

						{	/* Globalize/node.scm 562 */
							BgL_sfunz00_bglt BgL_oz00_2753;

							BgL_oz00_2753 =
								((BgL_sfunz00_bglt)
								(((BgL_variablez00_bglt) COBJECT(
											((BgL_variablez00_bglt) BgL_localz00_66)))->
									BgL_valuez00));
							{
								BgL_sfunzf2ginfozf2_bglt BgL_auxz00_4358;

								{
									obj_t BgL_auxz00_4359;

									{	/* Globalize/node.scm 562 */
										BgL_objectz00_bglt BgL_tmpz00_4360;

										BgL_tmpz00_4360 = ((BgL_objectz00_bglt) BgL_oz00_2753);
										BgL_auxz00_4359 = BGL_OBJECT_WIDENING(BgL_tmpz00_4360);
									}
									BgL_auxz00_4358 =
										((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_4359);
								}
								BgL_kapturedz00_1938 =
									(((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_4358))->
									BgL_kapturedz00);
						}}
						{	/* Globalize/node.scm 563 */
							obj_t BgL_makezd2pzd2_1940;

							if ((BgL_arityz00_1937 < 0L))
								{	/* Globalize/node.scm 564 */
									BgL_makezd2pzd2_1940 = ((obj_t) CNST_TABLE_REF(3));
								}
							else
								{	/* Globalize/node.scm 564 */
									BgL_makezd2pzd2_1940 = ((obj_t) CNST_TABLE_REF(4));
								}
							{	/* Globalize/node.scm 564 */
								obj_t BgL_vz00_1941;

								BgL_vz00_1941 =
									BGl_findzd2globalzf2modulez20zzast_envz00
									(BgL_makezd2pzd2_1940, ((obj_t) CNST_TABLE_REF(5)));
								{	/* Globalize/node.scm 565 */

									{	/* Globalize/node.scm 566 */
										BgL_appz00_bglt BgL_new1183z00_1942;

										{	/* Globalize/node.scm 567 */
											BgL_appz00_bglt BgL_new1182z00_1967;

											BgL_new1182z00_1967 =
												((BgL_appz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
															BgL_appz00_bgl))));
											{	/* Globalize/node.scm 567 */
												long BgL_arg1748z00_1968;

												BgL_arg1748z00_1968 =
													BGL_CLASS_NUM(BGl_appz00zzast_nodez00);
												BGL_OBJECT_CLASS_NUM_SET(
													((BgL_objectz00_bglt) BgL_new1182z00_1967),
													BgL_arg1748z00_1968);
											}
											{	/* Globalize/node.scm 567 */
												BgL_objectz00_bglt BgL_tmpz00_4378;

												BgL_tmpz00_4378 =
													((BgL_objectz00_bglt) BgL_new1182z00_1967);
												BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4378, BFALSE);
											}
											((BgL_objectz00_bglt) BgL_new1182z00_1967);
											BgL_new1183z00_1942 = BgL_new1182z00_1967;
										}
										((((BgL_nodez00_bglt) COBJECT(
														((BgL_nodez00_bglt) BgL_new1183z00_1942)))->
												BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
										((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
															BgL_new1183z00_1942)))->BgL_typez00) =
											((BgL_typez00_bglt) (((BgL_variablez00_bglt)
														COBJECT(((BgL_variablez00_bglt) BgL_vz00_1941)))->
													BgL_typez00)), BUNSPEC);
										((((BgL_nodezf2effectzf2_bglt)
													COBJECT(((BgL_nodezf2effectzf2_bglt)
															BgL_new1183z00_1942)))->BgL_sidezd2effectzd2) =
											((obj_t) BUNSPEC), BUNSPEC);
										((((BgL_nodezf2effectzf2_bglt)
													COBJECT(((BgL_nodezf2effectzf2_bglt)
															BgL_new1183z00_1942)))->BgL_keyz00) =
											((obj_t) BINT((-1L))), BUNSPEC);
										{
											BgL_varz00_bglt BgL_auxz00_4393;

											{	/* Globalize/node.scm 573 */
												BgL_refz00_bglt BgL_new1187z00_1943;

												{	/* Globalize/node.scm 574 */
													BgL_refz00_bglt BgL_new1186z00_1944;

													BgL_new1186z00_1944 =
														((BgL_refz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
																	BgL_refz00_bgl))));
													{	/* Globalize/node.scm 574 */
														long BgL_arg1693z00_1945;

														{	/* Globalize/node.scm 574 */
															obj_t BgL_classz00_2761;

															BgL_classz00_2761 = BGl_refz00zzast_nodez00;
															BgL_arg1693z00_1945 =
																BGL_CLASS_NUM(BgL_classz00_2761);
														}
														BGL_OBJECT_CLASS_NUM_SET(
															((BgL_objectz00_bglt) BgL_new1186z00_1944),
															BgL_arg1693z00_1945);
													}
													{	/* Globalize/node.scm 574 */
														BgL_objectz00_bglt BgL_tmpz00_4398;

														BgL_tmpz00_4398 =
															((BgL_objectz00_bglt) BgL_new1186z00_1944);
														BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4398, BFALSE);
													}
													((BgL_objectz00_bglt) BgL_new1186z00_1944);
													BgL_new1187z00_1943 = BgL_new1186z00_1944;
												}
												((((BgL_nodez00_bglt) COBJECT(
																((BgL_nodez00_bglt) BgL_new1187z00_1943)))->
														BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
												((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
																	BgL_new1187z00_1943)))->BgL_typez00) =
													((BgL_typez00_bglt) (((BgL_variablez00_bglt)
																COBJECT(((BgL_variablez00_bglt)
																		BgL_vz00_1941)))->BgL_typez00)), BUNSPEC);
												((((BgL_varz00_bglt) COBJECT(((BgL_varz00_bglt)
																	BgL_new1187z00_1943)))->BgL_variablez00) =
													((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
															BgL_vz00_1941)), BUNSPEC);
												BgL_auxz00_4393 =
													((BgL_varz00_bglt) BgL_new1187z00_1943);
											}
											((((BgL_appz00_bglt) COBJECT(BgL_new1183z00_1942))->
													BgL_funz00) =
												((BgL_varz00_bglt) BgL_auxz00_4393), BUNSPEC);
										}
										{
											obj_t BgL_auxz00_4413;

											{	/* Globalize/node.scm 577 */
												BgL_refz00_bglt BgL_arg1695z00_1946;
												BgL_literalz00_bglt BgL_arg1696z00_1947;
												BgL_literalz00_bglt BgL_arg1699z00_1948;

												{	/* Globalize/node.scm 577 */
													BgL_refz00_bglt BgL_new1189z00_1952;

													{	/* Globalize/node.scm 578 */
														BgL_refz00_bglt BgL_new1188z00_1954;

														BgL_new1188z00_1954 =
															((BgL_refz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
																		BgL_refz00_bgl))));
														{	/* Globalize/node.scm 578 */
															long BgL_arg1717z00_1955;

															{	/* Globalize/node.scm 578 */
																obj_t BgL_classz00_2766;

																BgL_classz00_2766 = BGl_refz00zzast_nodez00;
																BgL_arg1717z00_1955 =
																	BGL_CLASS_NUM(BgL_classz00_2766);
															}
															BGL_OBJECT_CLASS_NUM_SET(
																((BgL_objectz00_bglt) BgL_new1188z00_1954),
																BgL_arg1717z00_1955);
														}
														{	/* Globalize/node.scm 578 */
															BgL_objectz00_bglt BgL_tmpz00_4418;

															BgL_tmpz00_4418 =
																((BgL_objectz00_bglt) BgL_new1188z00_1954);
															BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4418, BFALSE);
														}
														((BgL_objectz00_bglt) BgL_new1188z00_1954);
														BgL_new1189z00_1952 = BgL_new1188z00_1954;
													}
													((((BgL_nodez00_bglt) COBJECT(
																	((BgL_nodez00_bglt) BgL_new1189z00_1952)))->
															BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
													{
														BgL_typez00_bglt BgL_auxz00_4424;

														{	/* Globalize/node.scm 579 */
															BgL_globalz00_bglt BgL_arg1716z00_1953;

															BgL_arg1716z00_1953 =
																BGl_thezd2globalzd2zzglobaliza7e_localzd2ze3globalz96
																(BgL_localz00_66);
															BgL_auxz00_4424 =
																(((BgL_variablez00_bglt)
																	COBJECT(((BgL_variablez00_bglt)
																			BgL_arg1716z00_1953)))->BgL_typez00);
														}
														((((BgL_nodez00_bglt) COBJECT(
																		((BgL_nodez00_bglt) BgL_new1189z00_1952)))->
																BgL_typez00) =
															((BgL_typez00_bglt) BgL_auxz00_4424), BUNSPEC);
													}
													((((BgL_varz00_bglt) COBJECT(
																	((BgL_varz00_bglt) BgL_new1189z00_1952)))->
															BgL_variablez00) =
														((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
																BGl_thezd2globalzd2zzglobaliza7e_localzd2ze3globalz96
																(BgL_localz00_66))), BUNSPEC);
													BgL_arg1695z00_1946 = BgL_new1189z00_1952;
												}
												{	/* Globalize/node.scm 581 */
													BgL_literalz00_bglt BgL_new1192z00_1956;

													{	/* Globalize/node.scm 582 */
														BgL_literalz00_bglt BgL_new1191z00_1957;

														BgL_new1191z00_1957 =
															((BgL_literalz00_bglt)
															BOBJECT(GC_MALLOC(sizeof(struct
																		BgL_literalz00_bgl))));
														{	/* Globalize/node.scm 582 */
															long BgL_arg1720z00_1958;

															{	/* Globalize/node.scm 582 */
																obj_t BgL_classz00_2771;

																BgL_classz00_2771 = BGl_literalz00zzast_nodez00;
																BgL_arg1720z00_1958 =
																	BGL_CLASS_NUM(BgL_classz00_2771);
															}
															BGL_OBJECT_CLASS_NUM_SET(
																((BgL_objectz00_bglt) BgL_new1191z00_1957),
																BgL_arg1720z00_1958);
														}
														{	/* Globalize/node.scm 582 */
															BgL_objectz00_bglt BgL_tmpz00_4438;

															BgL_tmpz00_4438 =
																((BgL_objectz00_bglt) BgL_new1191z00_1957);
															BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4438, BFALSE);
														}
														((BgL_objectz00_bglt) BgL_new1191z00_1957);
														BgL_new1192z00_1956 = BgL_new1191z00_1957;
													}
													((((BgL_nodez00_bglt) COBJECT(
																	((BgL_nodez00_bglt) BgL_new1192z00_1956)))->
															BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
													((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
																		BgL_new1192z00_1956)))->BgL_typez00) =
														((BgL_typez00_bglt)
															BGl_getzd2typezd2atomz00zztype_typeofz00(BINT
																(BgL_arityz00_1937))), BUNSPEC);
													((((BgL_atomz00_bglt) COBJECT(((BgL_atomz00_bglt)
																		BgL_new1192z00_1956)))->BgL_valuez00) =
														((obj_t) BINT(BgL_arityz00_1937)), BUNSPEC);
													BgL_arg1696z00_1947 = BgL_new1192z00_1956;
												}
												{	/* Globalize/node.scm 585 */
													BgL_literalz00_bglt BgL_new1194z00_1959;

													{	/* Globalize/node.scm 586 */
														BgL_literalz00_bglt BgL_new1193z00_1960;

														BgL_new1193z00_1960 =
															((BgL_literalz00_bglt)
															BOBJECT(GC_MALLOC(sizeof(struct
																		BgL_literalz00_bgl))));
														{	/* Globalize/node.scm 586 */
															long BgL_arg1724z00_1961;

															{	/* Globalize/node.scm 586 */
																obj_t BgL_classz00_2775;

																BgL_classz00_2775 = BGl_literalz00zzast_nodez00;
																BgL_arg1724z00_1961 =
																	BGL_CLASS_NUM(BgL_classz00_2775);
															}
															BGL_OBJECT_CLASS_NUM_SET(
																((BgL_objectz00_bglt) BgL_new1193z00_1960),
																BgL_arg1724z00_1961);
														}
														{	/* Globalize/node.scm 586 */
															BgL_objectz00_bglt BgL_tmpz00_4455;

															BgL_tmpz00_4455 =
																((BgL_objectz00_bglt) BgL_new1193z00_1960);
															BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4455, BFALSE);
														}
														((BgL_objectz00_bglt) BgL_new1193z00_1960);
														BgL_new1194z00_1959 = BgL_new1193z00_1960;
													}
													((((BgL_nodez00_bglt) COBJECT(
																	((BgL_nodez00_bglt) BgL_new1194z00_1959)))->
															BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
													((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
																		BgL_new1194z00_1959)))->BgL_typez00) =
														((BgL_typez00_bglt)
															BGl_getzd2typezd2atomz00zztype_typeofz00(BINT
																(1L))), BUNSPEC);
													((((BgL_atomz00_bglt) COBJECT(((BgL_atomz00_bglt)
																		BgL_new1194z00_1959)))->BgL_valuez00) =
														((obj_t)
															BINT(bgl_list_length(BgL_kapturedz00_1938))),
														BUNSPEC);
													BgL_arg1699z00_1948 = BgL_new1194z00_1959;
												}
												{	/* Globalize/node.scm 577 */
													obj_t BgL_list1700z00_1949;

													{	/* Globalize/node.scm 577 */
														obj_t BgL_arg1703z00_1950;

														{	/* Globalize/node.scm 577 */
															obj_t BgL_arg1715z00_1951;

															BgL_arg1715z00_1951 =
																MAKE_YOUNG_PAIR(
																((obj_t) BgL_arg1699z00_1948), BNIL);
															BgL_arg1703z00_1950 =
																MAKE_YOUNG_PAIR(
																((obj_t) BgL_arg1696z00_1947),
																BgL_arg1715z00_1951);
														}
														BgL_list1700z00_1949 =
															MAKE_YOUNG_PAIR(
															((obj_t) BgL_arg1695z00_1946),
															BgL_arg1703z00_1950);
													}
													BgL_auxz00_4413 = BgL_list1700z00_1949;
											}}
											((((BgL_appz00_bglt) COBJECT(BgL_new1183z00_1942))->
													BgL_argsz00) = ((obj_t) BgL_auxz00_4413), BUNSPEC);
										}
										{
											obj_t BgL_auxz00_4476;

											if (
												((((BgL_sfunz00_bglt) COBJECT(
																((BgL_sfunz00_bglt) BgL_funz00_1936)))->
														BgL_stackablez00) == BTRUE))
												{	/* Globalize/node.scm 570 */
													BgL_valuez00_bglt BgL_gvz00_1964;

													BgL_gvz00_1964 =
														(((BgL_variablez00_bglt) COBJECT(
																((BgL_variablez00_bglt)
																	((BgL_globalz00_bglt) BgL_vz00_1941))))->
														BgL_valuez00);
													{	/* Globalize/node.scm 571 */
														bool_t BgL_test2189z00_4484;

														{	/* Globalize/node.scm 571 */
															obj_t BgL_classz00_2782;

															BgL_classz00_2782 = BGl_funz00zzast_varz00;
															{	/* Globalize/node.scm 571 */
																BgL_objectz00_bglt BgL_arg1858z00_2784;

																{	/* Globalize/node.scm 571 */
																	obj_t BgL_tmpz00_4485;

																	BgL_tmpz00_4485 =
																		((obj_t)
																		((BgL_objectz00_bglt) BgL_gvz00_1964));
																	BgL_arg1858z00_2784 =
																		(BgL_objectz00_bglt) (BgL_tmpz00_4485);
																}
																if (BGL_CONDEXPAND_ISA_ARCH64())
																	{	/* Globalize/node.scm 571 */
																		long BgL_idxz00_2790;

																		BgL_idxz00_2790 =
																			BGL_OBJECT_INHERITANCE_NUM
																			(BgL_arg1858z00_2784);
																		{	/* Globalize/node.scm 571 */
																			obj_t BgL_arg1849z00_2791;

																			{	/* Globalize/node.scm 571 */
																				long BgL_arg1850z00_2792;

																				BgL_arg1850z00_2792 =
																					(BgL_idxz00_2790 + 2L);
																				{	/* Globalize/node.scm 571 */
																					obj_t BgL_vectorz00_2794;

																					BgL_vectorz00_2794 =
																						BGl_za2inheritancesza2z00zz__objectz00;
																					BgL_arg1849z00_2791 =
																						VECTOR_REF(BgL_vectorz00_2794,
																						BgL_arg1850z00_2792);
																			}}
																			BgL_test2189z00_4484 =
																				(BgL_arg1849z00_2791 ==
																				BgL_classz00_2782);
																	}}
																else
																	{	/* Globalize/node.scm 571 */
																		bool_t BgL_res2079z00_2815;

																		{	/* Globalize/node.scm 571 */
																			obj_t BgL_oclassz00_2798;

																			{	/* Globalize/node.scm 571 */
																				obj_t BgL_arg1866z00_2806;
																				long BgL_arg1867z00_2807;

																				BgL_arg1866z00_2806 =
																					(BGl_za2classesza2z00zz__objectz00);
																				{	/* Globalize/node.scm 571 */
																					long BgL_arg1869z00_2808;

																					BgL_arg1869z00_2808 =
																						BGL_OBJECT_CLASS_NUM
																						(BgL_arg1858z00_2784);
																					BgL_arg1867z00_2807 =
																						(BgL_arg1869z00_2808 - OBJECT_TYPE);
																				}
																				BgL_oclassz00_2798 =
																					VECTOR_REF(BgL_arg1866z00_2806,
																					BgL_arg1867z00_2807);
																			}
																			{	/* Globalize/node.scm 571 */
																				bool_t BgL__ortest_1115z00_2799;

																				BgL__ortest_1115z00_2799 =
																					(BgL_classz00_2782 ==
																					BgL_oclassz00_2798);
																				if (BgL__ortest_1115z00_2799)
																					{	/* Globalize/node.scm 571 */
																						BgL_res2079z00_2815 =
																							BgL__ortest_1115z00_2799;
																					}
																				else
																					{	/* Globalize/node.scm 571 */
																						long BgL_odepthz00_2800;

																						{	/* Globalize/node.scm 571 */
																							obj_t BgL_arg1855z00_2801;

																							BgL_arg1855z00_2801 =
																								(BgL_oclassz00_2798);
																							BgL_odepthz00_2800 =
																								BGL_CLASS_DEPTH
																								(BgL_arg1855z00_2801);
																						}
																						if ((2L < BgL_odepthz00_2800))
																							{	/* Globalize/node.scm 571 */
																								obj_t BgL_arg1853z00_2803;

																								{	/* Globalize/node.scm 571 */
																									obj_t BgL_arg1854z00_2804;

																									BgL_arg1854z00_2804 =
																										(BgL_oclassz00_2798);
																									BgL_arg1853z00_2803 =
																										BGL_CLASS_ANCESTORS_REF
																										(BgL_arg1854z00_2804, 2L);
																								}
																								BgL_res2079z00_2815 =
																									(BgL_arg1853z00_2803 ==
																									BgL_classz00_2782);
																							}
																						else
																							{	/* Globalize/node.scm 571 */
																								BgL_res2079z00_2815 =
																									((bool_t) 0);
																							}
																					}
																			}
																		}
																		BgL_test2189z00_4484 = BgL_res2079z00_2815;
																	}
															}
														}
														if (BgL_test2189z00_4484)
															{	/* Globalize/node.scm 571 */
																BgL_auxz00_4476 =
																	(((BgL_funz00_bglt) COBJECT(
																			((BgL_funz00_bglt) BgL_gvz00_1964)))->
																	BgL_stackzd2allocatorzd2);
															}
														else
															{	/* Globalize/node.scm 571 */
																BgL_auxz00_4476 = BFALSE;
															}
													}
												}
											else
												{	/* Globalize/node.scm 569 */
													BgL_auxz00_4476 = BFALSE;
												}
											((((BgL_appz00_bglt) COBJECT(BgL_new1183z00_1942))->
													BgL_stackablez00) =
												((obj_t) BgL_auxz00_4476), BUNSPEC);
										}
										return BgL_new1183z00_1942;
									}
								}
							}
						}
					}
				}
			}
		}

	}



/* make-sets */
	obj_t BGl_makezd2setszd2zzglobaliza7e_nodeza7(obj_t BgL_newz00_67,
		obj_t BgL_locz00_68, obj_t BgL_kapturedz00_69,
		BgL_variablez00_bglt BgL_integratorz00_70)
	{
		{	/* Globalize/node.scm 593 */
			if (NULLP(BgL_kapturedz00_69))
				{	/* Globalize/node.scm 594 */
					return BNIL;
				}
			else
				{
					obj_t BgL_kapturedz00_1974;
					long BgL_indicez00_1975;
					obj_t BgL_setsz00_1976;

					{
						BgL_sequencez00_bglt BgL_auxz00_4513;

						BgL_kapturedz00_1974 = BgL_kapturedz00_69;
						BgL_indicez00_1975 = 0L;
						BgL_setsz00_1976 = BNIL;
					BgL_zc3z04anonymousza31757ze3z87_1977:
						if (NULLP(BgL_kapturedz00_1974))
							{	/* Globalize/node.scm 600 */
								BgL_sequencez00_bglt BgL_new1197z00_1979;

								{	/* Globalize/node.scm 601 */
									BgL_sequencez00_bglt BgL_new1196z00_1981;

									BgL_new1196z00_1981 =
										((BgL_sequencez00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
													BgL_sequencez00_bgl))));
									{	/* Globalize/node.scm 601 */
										long BgL_arg1765z00_1982;

										BgL_arg1765z00_1982 =
											BGL_CLASS_NUM(BGl_sequencez00zzast_nodez00);
										BGL_OBJECT_CLASS_NUM_SET(
											((BgL_objectz00_bglt) BgL_new1196z00_1981),
											BgL_arg1765z00_1982);
									}
									{	/* Globalize/node.scm 601 */
										BgL_objectz00_bglt BgL_tmpz00_4520;

										BgL_tmpz00_4520 =
											((BgL_objectz00_bglt) BgL_new1196z00_1981);
										BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4520, BFALSE);
									}
									((BgL_objectz00_bglt) BgL_new1196z00_1981);
									BgL_new1197z00_1979 = BgL_new1196z00_1981;
								}
								((((BgL_nodez00_bglt) COBJECT(
												((BgL_nodez00_bglt) BgL_new1197z00_1979)))->
										BgL_locz00) = ((obj_t) BgL_locz00_68), BUNSPEC);
								((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
													BgL_new1197z00_1979)))->BgL_typez00) =
									((BgL_typez00_bglt) (((BgL_nodez00_bglt)
												COBJECT(((BgL_nodez00_bglt) CAR(((obj_t)
																BgL_setsz00_1976)))))->BgL_typez00)), BUNSPEC);
								((((BgL_nodezf2effectzf2_bglt)
											COBJECT(((BgL_nodezf2effectzf2_bglt)
													BgL_new1197z00_1979)))->BgL_sidezd2effectzd2) =
									((obj_t) BUNSPEC), BUNSPEC);
								((((BgL_nodezf2effectzf2_bglt)
											COBJECT(((BgL_nodezf2effectzf2_bglt)
													BgL_new1197z00_1979)))->BgL_keyz00) =
									((obj_t) BINT((-1L))), BUNSPEC);
								((((BgL_sequencez00_bglt) COBJECT(BgL_new1197z00_1979))->
										BgL_nodesz00) =
									((obj_t) bgl_reverse_bang(BgL_setsz00_1976)), BUNSPEC);
								((((BgL_sequencez00_bglt) COBJECT(BgL_new1197z00_1979))->
										BgL_unsafez00) = ((bool_t) ((bool_t) 0)), BUNSPEC);
								((((BgL_sequencez00_bglt) COBJECT(BgL_new1197z00_1979))->
										BgL_metaz00) = ((obj_t) BNIL), BUNSPEC);
								BgL_auxz00_4513 = BgL_new1197z00_1979;
							}
						else
							{	/* Globalize/node.scm 604 */
								obj_t BgL_arg1768z00_1983;
								long BgL_arg1770z00_1984;
								obj_t BgL_arg1772z00_1985;

								BgL_arg1768z00_1983 = CDR(((obj_t) BgL_kapturedz00_1974));
								BgL_arg1770z00_1984 = (BgL_indicez00_1975 + 1L);
								{	/* Globalize/node.scm 609 */
									BgL_appz00_bglt BgL_arg1776z00_1986;

									{	/* Globalize/node.scm 609 */
										obj_t BgL_arg1782z00_1987;

										BgL_arg1782z00_1987 = CAR(((obj_t) BgL_kapturedz00_1974));
										BgL_arg1776z00_1986 =
											BGl_azd2procedurezd2setz12z12zzglobaliza7e_nodeza7
											(BgL_locz00_68, BgL_newz00_67, BgL_indicez00_1975,
											BgL_arg1782z00_1987, BgL_integratorz00_70);
									}
									BgL_arg1772z00_1985 =
										MAKE_YOUNG_PAIR(
										((obj_t) BgL_arg1776z00_1986), BgL_setsz00_1976);
								}
								{
									obj_t BgL_setsz00_4551;
									long BgL_indicez00_4550;
									obj_t BgL_kapturedz00_4549;

									BgL_kapturedz00_4549 = BgL_arg1768z00_1983;
									BgL_indicez00_4550 = BgL_arg1770z00_1984;
									BgL_setsz00_4551 = BgL_arg1772z00_1985;
									BgL_setsz00_1976 = BgL_setsz00_4551;
									BgL_indicez00_1975 = BgL_indicez00_4550;
									BgL_kapturedz00_1974 = BgL_kapturedz00_4549;
									goto BgL_zc3z04anonymousza31757ze3z87_1977;
								}
							}
						return ((obj_t) BgL_auxz00_4513);
					}
				}
		}

	}



/* a-procedure-set! */
	BgL_appz00_bglt BGl_azd2procedurezd2setz12z12zzglobaliza7e_nodeza7(obj_t
		BgL_locz00_71, obj_t BgL_newz00_72, long BgL_indicez00_73,
		obj_t BgL_kapturedz00_74, BgL_variablez00_bglt BgL_integratorz00_75)
	{
		{	/* Globalize/node.scm 616 */
			{
				obj_t BgL_varz00_2013;

				{	/* Globalize/node.scm 622 */
					obj_t BgL_vfz00_1990;
					obj_t BgL_vaz00_1991;

					BgL_vfz00_1990 =
						BGl_findzd2globalzf2modulez20zzast_envz00(
						((obj_t) CNST_TABLE_REF(6)), ((obj_t) CNST_TABLE_REF(5)));
					BgL_varz00_2013 = BgL_kapturedz00_74;
				BgL_zc3z04anonymousza31801ze3z87_2014:
					{	/* Globalize/node.scm 618 */
						obj_t BgL_alphaz00_2015;

						BgL_alphaz00_2015 =
							(((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt) BgL_varz00_2013)))->
							BgL_fastzd2alphazd2);
						{	/* Globalize/node.scm 619 */
							bool_t BgL_test2195z00_4560;

							{	/* Globalize/node.scm 619 */
								obj_t BgL_classz00_2827;

								BgL_classz00_2827 = BGl_localz00zzast_varz00;
								if (BGL_OBJECTP(BgL_alphaz00_2015))
									{	/* Globalize/node.scm 619 */
										BgL_objectz00_bglt BgL_arg1858z00_2829;

										BgL_arg1858z00_2829 =
											(BgL_objectz00_bglt) (BgL_alphaz00_2015);
										if (BGL_CONDEXPAND_ISA_ARCH64())
											{	/* Globalize/node.scm 619 */
												long BgL_idxz00_2835;

												BgL_idxz00_2835 =
													BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_2829);
												BgL_test2195z00_4560 =
													(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
														(BgL_idxz00_2835 + 2L)) == BgL_classz00_2827);
											}
										else
											{	/* Globalize/node.scm 619 */
												bool_t BgL_res2080z00_2860;

												{	/* Globalize/node.scm 619 */
													obj_t BgL_oclassz00_2843;

													{	/* Globalize/node.scm 619 */
														obj_t BgL_arg1866z00_2851;
														long BgL_arg1867z00_2852;

														BgL_arg1866z00_2851 =
															(BGl_za2classesza2z00zz__objectz00);
														{	/* Globalize/node.scm 619 */
															long BgL_arg1869z00_2853;

															BgL_arg1869z00_2853 =
																BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_2829);
															BgL_arg1867z00_2852 =
																(BgL_arg1869z00_2853 - OBJECT_TYPE);
														}
														BgL_oclassz00_2843 =
															VECTOR_REF(BgL_arg1866z00_2851,
															BgL_arg1867z00_2852);
													}
													{	/* Globalize/node.scm 619 */
														bool_t BgL__ortest_1115z00_2844;

														BgL__ortest_1115z00_2844 =
															(BgL_classz00_2827 == BgL_oclassz00_2843);
														if (BgL__ortest_1115z00_2844)
															{	/* Globalize/node.scm 619 */
																BgL_res2080z00_2860 = BgL__ortest_1115z00_2844;
															}
														else
															{	/* Globalize/node.scm 619 */
																long BgL_odepthz00_2845;

																{	/* Globalize/node.scm 619 */
																	obj_t BgL_arg1855z00_2846;

																	BgL_arg1855z00_2846 = (BgL_oclassz00_2843);
																	BgL_odepthz00_2845 =
																		BGL_CLASS_DEPTH(BgL_arg1855z00_2846);
																}
																if ((2L < BgL_odepthz00_2845))
																	{	/* Globalize/node.scm 619 */
																		obj_t BgL_arg1853z00_2848;

																		{	/* Globalize/node.scm 619 */
																			obj_t BgL_arg1854z00_2849;

																			BgL_arg1854z00_2849 =
																				(BgL_oclassz00_2843);
																			BgL_arg1853z00_2848 =
																				BGL_CLASS_ANCESTORS_REF
																				(BgL_arg1854z00_2849, 2L);
																		}
																		BgL_res2080z00_2860 =
																			(BgL_arg1853z00_2848 ==
																			BgL_classz00_2827);
																	}
																else
																	{	/* Globalize/node.scm 619 */
																		BgL_res2080z00_2860 = ((bool_t) 0);
																	}
															}
													}
												}
												BgL_test2195z00_4560 = BgL_res2080z00_2860;
											}
									}
								else
									{	/* Globalize/node.scm 619 */
										BgL_test2195z00_4560 = ((bool_t) 0);
									}
							}
							if (BgL_test2195z00_4560)
								{
									obj_t BgL_varz00_4583;

									BgL_varz00_4583 = BgL_alphaz00_2015;
									BgL_varz00_2013 = BgL_varz00_4583;
									goto BgL_zc3z04anonymousza31801ze3z87_2014;
								}
							else
								{	/* Globalize/node.scm 619 */
									BgL_vaz00_1991 = BgL_varz00_2013;
								}
						}
					}
					{	/* Globalize/node.scm 624 */
						BgL_appz00_bglt BgL_new1199z00_1992;

						{	/* Globalize/node.scm 625 */
							BgL_appz00_bglt BgL_new1198z00_2011;

							BgL_new1198z00_2011 =
								((BgL_appz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_appz00_bgl))));
							{	/* Globalize/node.scm 625 */
								long BgL_arg1800z00_2012;

								BgL_arg1800z00_2012 = BGL_CLASS_NUM(BGl_appz00zzast_nodez00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1198z00_2011),
									BgL_arg1800z00_2012);
							}
							{	/* Globalize/node.scm 625 */
								BgL_objectz00_bglt BgL_tmpz00_4588;

								BgL_tmpz00_4588 = ((BgL_objectz00_bglt) BgL_new1198z00_2011);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4588, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1198z00_2011);
							BgL_new1199z00_1992 = BgL_new1198z00_2011;
						}
						((((BgL_nodez00_bglt) COBJECT(
										((BgL_nodez00_bglt) BgL_new1199z00_1992)))->BgL_locz00) =
							((obj_t) BgL_locz00_71), BUNSPEC);
						((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
											BgL_new1199z00_1992)))->BgL_typez00) =
							((BgL_typez00_bglt) (((BgL_variablez00_bglt)
										COBJECT(((BgL_variablez00_bglt) BgL_vfz00_1990)))->
									BgL_typez00)), BUNSPEC);
						((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
											BgL_new1199z00_1992)))->BgL_sidezd2effectzd2) =
							((obj_t) BUNSPEC), BUNSPEC);
						((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
											BgL_new1199z00_1992)))->BgL_keyz00) =
							((obj_t) BINT((-1L))), BUNSPEC);
						{
							BgL_varz00_bglt BgL_auxz00_4603;

							{	/* Globalize/node.scm 627 */
								BgL_refz00_bglt BgL_new1201z00_1993;

								{	/* Globalize/node.scm 628 */
									BgL_refz00_bglt BgL_new1200z00_1994;

									BgL_new1200z00_1994 =
										((BgL_refz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
													BgL_refz00_bgl))));
									{	/* Globalize/node.scm 628 */
										long BgL_arg1783z00_1995;

										{	/* Globalize/node.scm 628 */
											obj_t BgL_classz00_2866;

											BgL_classz00_2866 = BGl_refz00zzast_nodez00;
											BgL_arg1783z00_1995 = BGL_CLASS_NUM(BgL_classz00_2866);
										}
										BGL_OBJECT_CLASS_NUM_SET(
											((BgL_objectz00_bglt) BgL_new1200z00_1994),
											BgL_arg1783z00_1995);
									}
									{	/* Globalize/node.scm 628 */
										BgL_objectz00_bglt BgL_tmpz00_4608;

										BgL_tmpz00_4608 =
											((BgL_objectz00_bglt) BgL_new1200z00_1994);
										BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4608, BFALSE);
									}
									((BgL_objectz00_bglt) BgL_new1200z00_1994);
									BgL_new1201z00_1993 = BgL_new1200z00_1994;
								}
								((((BgL_nodez00_bglt) COBJECT(
												((BgL_nodez00_bglt) BgL_new1201z00_1993)))->
										BgL_locz00) = ((obj_t) BgL_locz00_71), BUNSPEC);
								((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
													BgL_new1201z00_1993)))->BgL_typez00) =
									((BgL_typez00_bglt) (((BgL_variablez00_bglt)
												COBJECT(((BgL_variablez00_bglt) BgL_vfz00_1990)))->
											BgL_typez00)), BUNSPEC);
								((((BgL_varz00_bglt) COBJECT(((BgL_varz00_bglt)
													BgL_new1201z00_1993)))->BgL_variablez00) =
									((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
											BgL_vfz00_1990)), BUNSPEC);
								BgL_auxz00_4603 = ((BgL_varz00_bglt) BgL_new1201z00_1993);
							}
							((((BgL_appz00_bglt) COBJECT(BgL_new1199z00_1992))->BgL_funz00) =
								((BgL_varz00_bglt) BgL_auxz00_4603), BUNSPEC);
						}
						{
							obj_t BgL_auxz00_4623;

							{	/* Globalize/node.scm 631 */
								BgL_refz00_bglt BgL_arg1784z00_1996;
								BgL_literalz00_bglt BgL_arg1785z00_1997;
								BgL_refz00_bglt BgL_arg1786z00_1998;

								{	/* Globalize/node.scm 631 */
									BgL_refz00_bglt BgL_new1203z00_2002;

									{	/* Globalize/node.scm 632 */
										BgL_refz00_bglt BgL_new1202z00_2003;

										BgL_new1202z00_2003 =
											((BgL_refz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
														BgL_refz00_bgl))));
										{	/* Globalize/node.scm 632 */
											long BgL_arg1796z00_2004;

											{	/* Globalize/node.scm 632 */
												obj_t BgL_classz00_2871;

												BgL_classz00_2871 = BGl_refz00zzast_nodez00;
												BgL_arg1796z00_2004 = BGL_CLASS_NUM(BgL_classz00_2871);
											}
											BGL_OBJECT_CLASS_NUM_SET(
												((BgL_objectz00_bglt) BgL_new1202z00_2003),
												BgL_arg1796z00_2004);
										}
										{	/* Globalize/node.scm 632 */
											BgL_objectz00_bglt BgL_tmpz00_4628;

											BgL_tmpz00_4628 =
												((BgL_objectz00_bglt) BgL_new1202z00_2003);
											BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4628, BFALSE);
										}
										((BgL_objectz00_bglt) BgL_new1202z00_2003);
										BgL_new1203z00_2002 = BgL_new1202z00_2003;
									}
									((((BgL_nodez00_bglt) COBJECT(
													((BgL_nodez00_bglt) BgL_new1203z00_2002)))->
											BgL_locz00) = ((obj_t) BgL_locz00_71), BUNSPEC);
									((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
														BgL_new1203z00_2002)))->BgL_typez00) =
										((BgL_typez00_bglt) (((BgL_variablez00_bglt)
													COBJECT(((BgL_variablez00_bglt) BgL_newz00_72)))->
												BgL_typez00)), BUNSPEC);
									((((BgL_varz00_bglt) COBJECT(((BgL_varz00_bglt)
														BgL_new1203z00_2002)))->BgL_variablez00) =
										((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
												BgL_newz00_72)), BUNSPEC);
									BgL_arg1784z00_1996 = BgL_new1203z00_2002;
								}
								{	/* Globalize/node.scm 635 */
									BgL_literalz00_bglt BgL_new1205z00_2005;

									{	/* Globalize/node.scm 636 */
										BgL_literalz00_bglt BgL_new1204z00_2006;

										BgL_new1204z00_2006 =
											((BgL_literalz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
														BgL_literalz00_bgl))));
										{	/* Globalize/node.scm 636 */
											long BgL_arg1797z00_2007;

											{	/* Globalize/node.scm 636 */
												obj_t BgL_classz00_2876;

												BgL_classz00_2876 = BGl_literalz00zzast_nodez00;
												BgL_arg1797z00_2007 = BGL_CLASS_NUM(BgL_classz00_2876);
											}
											BGL_OBJECT_CLASS_NUM_SET(
												((BgL_objectz00_bglt) BgL_new1204z00_2006),
												BgL_arg1797z00_2007);
										}
										{	/* Globalize/node.scm 636 */
											BgL_objectz00_bglt BgL_tmpz00_4645;

											BgL_tmpz00_4645 =
												((BgL_objectz00_bglt) BgL_new1204z00_2006);
											BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4645, BFALSE);
										}
										((BgL_objectz00_bglt) BgL_new1204z00_2006);
										BgL_new1205z00_2005 = BgL_new1204z00_2006;
									}
									((((BgL_nodez00_bglt) COBJECT(
													((BgL_nodez00_bglt) BgL_new1205z00_2005)))->
											BgL_locz00) = ((obj_t) BgL_locz00_71), BUNSPEC);
									((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
														BgL_new1205z00_2005)))->BgL_typez00) =
										((BgL_typez00_bglt)
											BGl_getzd2typezd2atomz00zztype_typeofz00(BINT
												(BgL_indicez00_73))), BUNSPEC);
									((((BgL_atomz00_bglt) COBJECT(((BgL_atomz00_bglt)
														BgL_new1205z00_2005)))->BgL_valuez00) =
										((obj_t) BINT(BgL_indicez00_73)), BUNSPEC);
									BgL_arg1785z00_1997 = BgL_new1205z00_2005;
								}
								{	/* Globalize/node.scm 639 */

									{	/* Globalize/node.scm 640 */
										BgL_refz00_bglt BgL_new1207z00_2008;

										{	/* Globalize/node.scm 641 */
											BgL_refz00_bglt BgL_new1206z00_2009;

											BgL_new1206z00_2009 =
												((BgL_refz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
															BgL_refz00_bgl))));
											{	/* Globalize/node.scm 641 */
												long BgL_arg1799z00_2010;

												{	/* Globalize/node.scm 641 */
													obj_t BgL_classz00_2880;

													BgL_classz00_2880 = BGl_refz00zzast_nodez00;
													BgL_arg1799z00_2010 =
														BGL_CLASS_NUM(BgL_classz00_2880);
												}
												BGL_OBJECT_CLASS_NUM_SET(
													((BgL_objectz00_bglt) BgL_new1206z00_2009),
													BgL_arg1799z00_2010);
											}
											{	/* Globalize/node.scm 641 */
												BgL_objectz00_bglt BgL_tmpz00_4662;

												BgL_tmpz00_4662 =
													((BgL_objectz00_bglt) BgL_new1206z00_2009);
												BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4662, BFALSE);
											}
											((BgL_objectz00_bglt) BgL_new1206z00_2009);
											BgL_new1207z00_2008 = BgL_new1206z00_2009;
										}
										((((BgL_nodez00_bglt) COBJECT(
														((BgL_nodez00_bglt) BgL_new1207z00_2008)))->
												BgL_locz00) = ((obj_t) BgL_locz00_71), BUNSPEC);
										((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
															BgL_new1207z00_2008)))->BgL_typez00) =
											((BgL_typez00_bglt) (((BgL_variablez00_bglt)
														COBJECT(((BgL_variablez00_bglt) BgL_vaz00_1991)))->
													BgL_typez00)), BUNSPEC);
										((((BgL_varz00_bglt) COBJECT(((BgL_varz00_bglt)
															BgL_new1207z00_2008)))->BgL_variablez00) =
											((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
													BgL_vaz00_1991)), BUNSPEC);
										BgL_arg1786z00_1998 = BgL_new1207z00_2008;
								}}
								{	/* Globalize/node.scm 631 */
									obj_t BgL_list1787z00_1999;

									{	/* Globalize/node.scm 631 */
										obj_t BgL_arg1789z00_2000;

										{	/* Globalize/node.scm 631 */
											obj_t BgL_arg1790z00_2001;

											BgL_arg1790z00_2001 =
												MAKE_YOUNG_PAIR(((obj_t) BgL_arg1786z00_1998), BNIL);
											BgL_arg1789z00_2000 =
												MAKE_YOUNG_PAIR(
												((obj_t) BgL_arg1785z00_1997), BgL_arg1790z00_2001);
										}
										BgL_list1787z00_1999 =
											MAKE_YOUNG_PAIR(
											((obj_t) BgL_arg1784z00_1996), BgL_arg1789z00_2000);
									}
									BgL_auxz00_4623 = BgL_list1787z00_1999;
							}}
							((((BgL_appz00_bglt) COBJECT(BgL_new1199z00_1992))->BgL_argsz00) =
								((obj_t) BgL_auxz00_4623), BUNSPEC);
						}
						((((BgL_appz00_bglt) COBJECT(BgL_new1199z00_1992))->
								BgL_stackablez00) = ((obj_t) BFALSE), BUNSPEC);
						return BgL_new1199z00_1992;
					}
				}
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzglobaliza7e_nodeza7(void)
	{
		{	/* Globalize/node.scm 17 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzglobaliza7e_nodeza7(void)
	{
		{	/* Globalize/node.scm 17 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_gloz12zd2envzc0zzglobaliza7e_nodeza7,
				BGl_proc2099z00zzglobaliza7e_nodeza7, BGl_nodez00zzast_nodez00,
				BGl_string2100z00zzglobaliza7e_nodeza7);
		}

	}



/* &glo!1365 */
	obj_t BGl_z62gloz121365z70zzglobaliza7e_nodeza7(obj_t BgL_envz00_3452,
		obj_t BgL_nodez00_3453, obj_t BgL_integratorz00_3454)
	{
		{	/* Globalize/node.scm 134 */
			return
				BGl_errorz00zz__errorz00(
				((obj_t)
					CNST_TABLE_REF(7)), BGl_string2101z00zzglobaliza7e_nodeza7,
				((obj_t) ((BgL_nodez00_bglt) BgL_nodez00_3453)));
		}

	}



/* glo! */
	BgL_nodez00_bglt BGl_gloz12z12zzglobaliza7e_nodeza7(BgL_nodez00_bglt
		BgL_nodez00_13, BgL_variablez00_bglt BgL_integratorz00_14)
	{
		{	/* Globalize/node.scm 134 */
			{	/* Globalize/node.scm 134 */
				obj_t BgL_method1366z00_2023;

				{	/* Globalize/node.scm 134 */
					obj_t BgL_res2086z00_2916;

					{	/* Globalize/node.scm 134 */
						long BgL_objzd2classzd2numz00_2887;

						BgL_objzd2classzd2numz00_2887 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_13));
						{	/* Globalize/node.scm 134 */
							obj_t BgL_arg1862z00_2888;

							BgL_arg1862z00_2888 =
								PROCEDURE_REF(BGl_gloz12zd2envzc0zzglobaliza7e_nodeza7,
								(int) (1L));
							{	/* Globalize/node.scm 134 */
								int BgL_offsetz00_2891;

								BgL_offsetz00_2891 = (int) (BgL_objzd2classzd2numz00_2887);
								{	/* Globalize/node.scm 134 */
									long BgL_offsetz00_2892;

									BgL_offsetz00_2892 =
										((long) (BgL_offsetz00_2891) - OBJECT_TYPE);
									{	/* Globalize/node.scm 134 */
										long BgL_modz00_2893;

										BgL_modz00_2893 =
											(BgL_offsetz00_2892 >> (int) ((long) ((int) (4L))));
										{	/* Globalize/node.scm 134 */
											long BgL_restz00_2895;

											BgL_restz00_2895 =
												(BgL_offsetz00_2892 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(1L <<
																		(int) ((long) ((int) (4L)))))) - 1L))));
											{	/* Globalize/node.scm 134 */

												{	/* Globalize/node.scm 134 */
													obj_t BgL_bucketz00_2897;

													BgL_bucketz00_2897 =
														VECTOR_REF(
														((obj_t) BgL_arg1862z00_2888), BgL_modz00_2893);
													BgL_res2086z00_2916 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_2897), BgL_restz00_2895);
					}}}}}}}}
					BgL_method1366z00_2023 = BgL_res2086z00_2916;
				}
				return
					((BgL_nodez00_bglt)
					BGL_PROCEDURE_CALL2(BgL_method1366z00_2023,
						((obj_t) BgL_nodez00_13), ((obj_t) BgL_integratorz00_14)));
			}
		}

	}



/* &glo! */
	BgL_nodez00_bglt BGl_z62gloz12z70zzglobaliza7e_nodeza7(obj_t BgL_envz00_3455,
		obj_t BgL_nodez00_3456, obj_t BgL_integratorz00_3457)
	{
		{	/* Globalize/node.scm 134 */
			return
				BGl_gloz12z12zzglobaliza7e_nodeza7(
				((BgL_nodez00_bglt) BgL_nodez00_3456),
				((BgL_variablez00_bglt) BgL_integratorz00_3457));
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzglobaliza7e_nodeza7(void)
	{
		{	/* Globalize/node.scm 17 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzglobaliza7e_nodeza7, BGl_atomz00zzast_nodez00,
				BGl_proc2102z00zzglobaliza7e_nodeza7,
				BGl_string2103z00zzglobaliza7e_nodeza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzglobaliza7e_nodeza7, BGl_kwotez00zzast_nodez00,
				BGl_proc2104z00zzglobaliza7e_nodeza7,
				BGl_string2103z00zzglobaliza7e_nodeza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzglobaliza7e_nodeza7, BGl_varz00zzast_nodez00,
				BGl_proc2105z00zzglobaliza7e_nodeza7,
				BGl_string2103z00zzglobaliza7e_nodeza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzglobaliza7e_nodeza7, BGl_closurez00zzast_nodez00,
				BGl_proc2106z00zzglobaliza7e_nodeza7,
				BGl_string2103z00zzglobaliza7e_nodeza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzglobaliza7e_nodeza7, BGl_sequencez00zzast_nodez00,
				BGl_proc2107z00zzglobaliza7e_nodeza7,
				BGl_string2103z00zzglobaliza7e_nodeza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzglobaliza7e_nodeza7, BGl_syncz00zzast_nodez00,
				BGl_proc2108z00zzglobaliza7e_nodeza7,
				BGl_string2103z00zzglobaliza7e_nodeza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzglobaliza7e_nodeza7, BGl_appz00zzast_nodez00,
				BGl_proc2109z00zzglobaliza7e_nodeza7,
				BGl_string2103z00zzglobaliza7e_nodeza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzglobaliza7e_nodeza7, BGl_appzd2lyzd2zzast_nodez00,
				BGl_proc2110z00zzglobaliza7e_nodeza7,
				BGl_string2103z00zzglobaliza7e_nodeza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzglobaliza7e_nodeza7, BGl_funcallz00zzast_nodez00,
				BGl_proc2111z00zzglobaliza7e_nodeza7,
				BGl_string2103z00zzglobaliza7e_nodeza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzglobaliza7e_nodeza7, BGl_externz00zzast_nodez00,
				BGl_proc2112z00zzglobaliza7e_nodeza7,
				BGl_string2103z00zzglobaliza7e_nodeza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzglobaliza7e_nodeza7, BGl_castz00zzast_nodez00,
				BGl_proc2113z00zzglobaliza7e_nodeza7,
				BGl_string2103z00zzglobaliza7e_nodeza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzglobaliza7e_nodeza7, BGl_setqz00zzast_nodez00,
				BGl_proc2114z00zzglobaliza7e_nodeza7,
				BGl_string2103z00zzglobaliza7e_nodeza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzglobaliza7e_nodeza7,
				BGl_conditionalz00zzast_nodez00, BGl_proc2115z00zzglobaliza7e_nodeza7,
				BGl_string2103z00zzglobaliza7e_nodeza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzglobaliza7e_nodeza7, BGl_failz00zzast_nodez00,
				BGl_proc2116z00zzglobaliza7e_nodeza7,
				BGl_string2103z00zzglobaliza7e_nodeza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzglobaliza7e_nodeza7, BGl_switchz00zzast_nodez00,
				BGl_proc2117z00zzglobaliza7e_nodeza7,
				BGl_string2103z00zzglobaliza7e_nodeza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzglobaliza7e_nodeza7,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc2118z00zzglobaliza7e_nodeza7,
				BGl_string2103z00zzglobaliza7e_nodeza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzglobaliza7e_nodeza7,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc2119z00zzglobaliza7e_nodeza7,
				BGl_string2103z00zzglobaliza7e_nodeza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzglobaliza7e_nodeza7,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc2120z00zzglobaliza7e_nodeza7,
				BGl_string2103z00zzglobaliza7e_nodeza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzglobaliza7e_nodeza7,
				BGl_jumpzd2exzd2itz00zzast_nodez00,
				BGl_proc2121z00zzglobaliza7e_nodeza7,
				BGl_string2103z00zzglobaliza7e_nodeza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzglobaliza7e_nodeza7,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc2122z00zzglobaliza7e_nodeza7,
				BGl_string2103z00zzglobaliza7e_nodeza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzglobaliza7e_nodeza7,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc2123z00zzglobaliza7e_nodeza7,
				BGl_string2103z00zzglobaliza7e_nodeza7);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzglobaliza7e_nodeza7,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc2124z00zzglobaliza7e_nodeza7,
				BGl_string2103z00zzglobaliza7e_nodeza7);
		}

	}



/* &glo!-box-set!1410 */
	BgL_nodez00_bglt
		BGl_z62gloz12zd2boxzd2setz121410z62zzglobaliza7e_nodeza7(obj_t
		BgL_envz00_3480, obj_t BgL_nodez00_3481, obj_t BgL_integratorz00_3482)
	{
		{	/* Globalize/node.scm 484 */
			{
				BgL_varz00_bglt BgL_auxz00_4747;

				{	/* Globalize/node.scm 486 */
					BgL_varz00_bglt BgL_arg2004z00_3560;

					BgL_arg2004z00_3560 =
						(((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_3481)))->BgL_varz00);
					BgL_auxz00_4747 =
						((BgL_varz00_bglt)
						BGl_gloz12z12zzglobaliza7e_nodeza7(
							((BgL_nodez00_bglt) BgL_arg2004z00_3560),
							((BgL_variablez00_bglt) BgL_integratorz00_3482)));
				}
				((((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_3481)))->BgL_varz00) =
					((BgL_varz00_bglt) BgL_auxz00_4747), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_4756;

				{	/* Globalize/node.scm 487 */
					BgL_nodez00_bglt BgL_arg2005z00_3561;

					BgL_arg2005z00_3561 =
						(((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_3481)))->BgL_valuez00);
					BgL_auxz00_4756 =
						BGl_gloz12z12zzglobaliza7e_nodeza7(BgL_arg2005z00_3561,
						((BgL_variablez00_bglt) BgL_integratorz00_3482));
				}
				((((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_3481)))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_auxz00_4756), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_3481));
		}

	}



/* &glo!-box-ref1408 */
	BgL_nodez00_bglt BGl_z62gloz12zd2boxzd2ref1408z70zzglobaliza7e_nodeza7(obj_t
		BgL_envz00_3483, obj_t BgL_nodez00_3484, obj_t BgL_integratorz00_3485)
	{
		{	/* Globalize/node.scm 476 */
			{
				BgL_varz00_bglt BgL_auxz00_4765;

				{	/* Globalize/node.scm 478 */
					BgL_varz00_bglt BgL_arg2003z00_3563;

					BgL_arg2003z00_3563 =
						(((BgL_boxzd2refzd2_bglt) COBJECT(
								((BgL_boxzd2refzd2_bglt) BgL_nodez00_3484)))->BgL_varz00);
					BgL_auxz00_4765 =
						((BgL_varz00_bglt)
						BGl_gloz12z12zzglobaliza7e_nodeza7(
							((BgL_nodez00_bglt) BgL_arg2003z00_3563),
							((BgL_variablez00_bglt) BgL_integratorz00_3485)));
				}
				((((BgL_boxzd2refzd2_bglt) COBJECT(
								((BgL_boxzd2refzd2_bglt) BgL_nodez00_3484)))->BgL_varz00) =
					((BgL_varz00_bglt) BgL_auxz00_4765), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_boxzd2refzd2_bglt) BgL_nodez00_3484));
		}

	}



/* &glo!-make-box1406 */
	BgL_nodez00_bglt BGl_z62gloz12zd2makezd2box1406z70zzglobaliza7e_nodeza7(obj_t
		BgL_envz00_3486, obj_t BgL_nodez00_3487, obj_t BgL_integratorz00_3488)
	{
		{	/* Globalize/node.scm 468 */
			{
				BgL_nodez00_bglt BgL_auxz00_4776;

				{	/* Globalize/node.scm 470 */
					BgL_nodez00_bglt BgL_arg2002z00_3565;

					BgL_arg2002z00_3565 =
						(((BgL_makezd2boxzd2_bglt) COBJECT(
								((BgL_makezd2boxzd2_bglt) BgL_nodez00_3487)))->BgL_valuez00);
					BgL_auxz00_4776 =
						BGl_gloz12z12zzglobaliza7e_nodeza7(BgL_arg2002z00_3565,
						((BgL_variablez00_bglt) BgL_integratorz00_3488));
				}
				((((BgL_makezd2boxzd2_bglt) COBJECT(
								((BgL_makezd2boxzd2_bglt) BgL_nodez00_3487)))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_auxz00_4776), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_makezd2boxzd2_bglt) BgL_nodez00_3487));
		}

	}



/* &glo!-jump-ex-it1404 */
	BgL_nodez00_bglt
		BGl_z62gloz12zd2jumpzd2exzd2it1404za2zzglobaliza7e_nodeza7(obj_t
		BgL_envz00_3489, obj_t BgL_nodez00_3490, obj_t BgL_integratorz00_3491)
	{
		{	/* Globalize/node.scm 459 */
			{
				BgL_nodez00_bglt BgL_auxz00_4785;

				{	/* Globalize/node.scm 461 */
					BgL_nodez00_bglt BgL_arg2000z00_3567;

					BgL_arg2000z00_3567 =
						(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_3490)))->BgL_exitz00);
					BgL_auxz00_4785 =
						BGl_gloz12z12zzglobaliza7e_nodeza7(BgL_arg2000z00_3567,
						((BgL_variablez00_bglt) BgL_integratorz00_3491));
				}
				((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_3490)))->
						BgL_exitz00) = ((BgL_nodez00_bglt) BgL_auxz00_4785), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_4792;

				{	/* Globalize/node.scm 462 */
					BgL_nodez00_bglt BgL_arg2001z00_3568;

					BgL_arg2001z00_3568 =
						(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_3490)))->
						BgL_valuez00);
					BgL_auxz00_4792 =
						BGl_gloz12z12zzglobaliza7e_nodeza7(BgL_arg2001z00_3568,
						((BgL_variablez00_bglt) BgL_integratorz00_3491));
				}
				((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_3490)))->
						BgL_valuez00) = ((BgL_nodez00_bglt) BgL_auxz00_4792), BUNSPEC);
			}
			return
				((BgL_nodez00_bglt) ((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_3490));
		}

	}



/* &glo!-set-ex-it1402 */
	BgL_nodez00_bglt
		BGl_z62gloz12zd2setzd2exzd2it1402za2zzglobaliza7e_nodeza7(obj_t
		BgL_envz00_3492, obj_t BgL_nodez00_3493, obj_t BgL_integratorz00_3494)
	{
		{	/* Globalize/node.scm 443 */
			{	/* Globalize/node.scm 445 */
				obj_t BgL_hdlgz00_3570;

				BgL_hdlgz00_3570 =
					(((BgL_sexitz00_bglt) COBJECT(
							((BgL_sexitz00_bglt)
								(((BgL_variablez00_bglt) COBJECT(
											((BgL_variablez00_bglt)
												((BgL_localz00_bglt)
													(((BgL_varz00_bglt) COBJECT(
																(((BgL_setzd2exzd2itz00_bglt) COBJECT(
																			((BgL_setzd2exzd2itz00_bglt)
																				BgL_nodez00_3493)))->BgL_varz00)))->
														BgL_variablez00)))))->BgL_valuez00))))->
					BgL_handlerz00);
				{	/* Globalize/node.scm 450 */
					bool_t BgL_test2200z00_4809;

					{	/* Globalize/node.scm 450 */
						BgL_sfunz00_bglt BgL_oz00_3571;

						BgL_oz00_3571 =
							((BgL_sfunz00_bglt)
							(((BgL_variablez00_bglt) COBJECT(
										((BgL_variablez00_bglt)
											((BgL_localz00_bglt) BgL_hdlgz00_3570))))->BgL_valuez00));
						{
							BgL_sfunzf2ginfozf2_bglt BgL_auxz00_4814;

							{
								obj_t BgL_auxz00_4815;

								{	/* Globalize/node.scm 450 */
									BgL_objectz00_bglt BgL_tmpz00_4816;

									BgL_tmpz00_4816 = ((BgL_objectz00_bglt) BgL_oz00_3571);
									BgL_auxz00_4815 = BGL_OBJECT_WIDENING(BgL_tmpz00_4816);
								}
								BgL_auxz00_4814 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_4815);
							}
							BgL_test2200z00_4809 =
								(((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_4814))->
								BgL_gzf3zf3);
						}
					}
					if (BgL_test2200z00_4809)
						{	/* Globalize/node.scm 451 */
							BgL_valuez00_bglt BgL_arg1987z00_3572;

							BgL_arg1987z00_3572 =
								(((BgL_variablez00_bglt) COBJECT(
										((BgL_variablez00_bglt)
											((BgL_localz00_bglt)
												(((BgL_varz00_bglt) COBJECT(
															(((BgL_setzd2exzd2itz00_bglt) COBJECT(
																		((BgL_setzd2exzd2itz00_bglt)
																			BgL_nodez00_3493)))->BgL_varz00)))->
													BgL_variablez00)))))->BgL_valuez00);
							((((BgL_sexitz00_bglt) COBJECT(((BgL_sexitz00_bglt)
												BgL_arg1987z00_3572)))->BgL_detachedzf3zf3) =
								((bool_t) ((bool_t) 1)), BUNSPEC);
						}
					else
						{	/* Globalize/node.scm 450 */
							BFALSE;
						}
				}
				{
					BgL_nodez00_bglt BgL_auxz00_4829;

					{	/* Globalize/node.scm 452 */
						BgL_nodez00_bglt BgL_arg1991z00_3573;

						BgL_arg1991z00_3573 =
							(((BgL_setzd2exzd2itz00_bglt) COBJECT(
									((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_3493)))->
							BgL_bodyz00);
						BgL_auxz00_4829 =
							BGl_gloz12z12zzglobaliza7e_nodeza7(BgL_arg1991z00_3573,
							((BgL_variablez00_bglt) BgL_integratorz00_3494));
					}
					((((BgL_setzd2exzd2itz00_bglt) COBJECT(
									((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_3493)))->
							BgL_bodyz00) = ((BgL_nodez00_bglt) BgL_auxz00_4829), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_4836;

					{	/* Globalize/node.scm 453 */
						BgL_nodez00_bglt BgL_arg1994z00_3574;

						BgL_arg1994z00_3574 =
							(((BgL_setzd2exzd2itz00_bglt) COBJECT(
									((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_3493)))->
							BgL_onexitz00);
						BgL_auxz00_4836 =
							BGl_gloz12z12zzglobaliza7e_nodeza7(BgL_arg1994z00_3574,
							((BgL_variablez00_bglt) BgL_integratorz00_3494));
					}
					((((BgL_setzd2exzd2itz00_bglt) COBJECT(
									((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_3493)))->
							BgL_onexitz00) = ((BgL_nodez00_bglt) BgL_auxz00_4836), BUNSPEC);
				}
				return
					((BgL_nodez00_bglt) ((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_3493));
			}
		}

	}



/* &glo!-let-var1400 */
	BgL_nodez00_bglt BGl_z62gloz12zd2letzd2var1400z70zzglobaliza7e_nodeza7(obj_t
		BgL_envz00_3495, obj_t BgL_nodez00_3496, obj_t BgL_integratorz00_3497)
	{
		{	/* Globalize/node.scm 418 */
			{	/* Globalize/node.scm 420 */
				obj_t BgL_g1357z00_3576;

				BgL_g1357z00_3576 =
					(((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_nodez00_3496)))->BgL_bindingsz00);
				{
					obj_t BgL_l1355z00_3578;

					BgL_l1355z00_3578 = BgL_g1357z00_3576;
				BgL_zc3z04anonymousza31971ze3z87_3577:
					if (PAIRP(BgL_l1355z00_3578))
						{	/* Globalize/node.scm 420 */
							{	/* Globalize/node.scm 421 */
								obj_t BgL_bindingz00_3579;

								BgL_bindingz00_3579 = CAR(BgL_l1355z00_3578);
								{	/* Globalize/node.scm 421 */
									obj_t BgL_varz00_3580;
									obj_t BgL_valz00_3581;

									BgL_varz00_3580 = CAR(((obj_t) BgL_bindingz00_3579));
									BgL_valz00_3581 = CDR(((obj_t) BgL_bindingz00_3579));
									{	/* Globalize/node.scm 423 */
										BgL_nodez00_bglt BgL_arg1973z00_3582;

										BgL_arg1973z00_3582 =
											BGl_gloz12z12zzglobaliza7e_nodeza7(
											((BgL_nodez00_bglt) BgL_valz00_3581),
											((BgL_variablez00_bglt) BgL_integratorz00_3497));
										{	/* Globalize/node.scm 423 */
											obj_t BgL_auxz00_4859;
											obj_t BgL_tmpz00_4857;

											BgL_auxz00_4859 = ((obj_t) BgL_arg1973z00_3582);
											BgL_tmpz00_4857 = ((obj_t) BgL_bindingz00_3579);
											SET_CDR(BgL_tmpz00_4857, BgL_auxz00_4859);
										}
									}
									if (BGl_celledzf3zf3zzglobaliza7e_nodeza7(
											((BgL_variablez00_bglt) BgL_varz00_3580)))
										{	/* Globalize/node.scm 425 */
											BgL_localz00_bglt BgL_nvarz00_3583;

											BgL_nvarz00_3583 =
												BGl_cellzd2variablezd2zzglobaliza7e_nodeza7(
												((BgL_localz00_bglt) BgL_varz00_3580));
											((((BgL_variablez00_bglt) COBJECT(
															((BgL_variablez00_bglt)
																((BgL_localz00_bglt) BgL_varz00_3580))))->
													BgL_fastzd2alphazd2) =
												((obj_t) ((obj_t) BgL_nvarz00_3583)), BUNSPEC);
											{	/* Globalize/node.scm 428 */
												BgL_makezd2boxzd2_bglt BgL_arg1975z00_3584;

												{	/* Globalize/node.scm 428 */
													obj_t BgL_arg1976z00_3585;

													BgL_arg1976z00_3585 =
														CDR(((obj_t) BgL_bindingz00_3579));
													BgL_arg1975z00_3584 =
														BGl_azd2makezd2cellz00zzglobaliza7e_nodeza7(
														((BgL_nodez00_bglt) BgL_arg1976z00_3585),
														((BgL_variablez00_bglt) BgL_varz00_3580));
												}
												{	/* Globalize/node.scm 427 */
													obj_t BgL_auxz00_4878;
													obj_t BgL_tmpz00_4876;

													BgL_auxz00_4878 = ((obj_t) BgL_arg1975z00_3584);
													BgL_tmpz00_4876 = ((obj_t) BgL_bindingz00_3579);
													SET_CDR(BgL_tmpz00_4876, BgL_auxz00_4878);
												}
											}
										}
									else
										{	/* Globalize/node.scm 424 */
											BFALSE;
										}
								}
							}
							{
								obj_t BgL_l1355z00_4881;

								BgL_l1355z00_4881 = CDR(BgL_l1355z00_3578);
								BgL_l1355z00_3578 = BgL_l1355z00_4881;
								goto BgL_zc3z04anonymousza31971ze3z87_3577;
							}
						}
					else
						{	/* Globalize/node.scm 420 */
							((bool_t) 1);
						}
				}
			}
			{
				BgL_nodez00_bglt BgL_auxz00_4883;

				{	/* Globalize/node.scm 430 */
					BgL_nodez00_bglt BgL_arg1979z00_3586;

					BgL_arg1979z00_3586 =
						(((BgL_letzd2varzd2_bglt) COBJECT(
								((BgL_letzd2varzd2_bglt) BgL_nodez00_3496)))->BgL_bodyz00);
					BgL_auxz00_4883 =
						BGl_gloz12z12zzglobaliza7e_nodeza7(BgL_arg1979z00_3586,
						((BgL_variablez00_bglt) BgL_integratorz00_3497));
				}
				((((BgL_letzd2varzd2_bglt) COBJECT(
								((BgL_letzd2varzd2_bglt) BgL_nodez00_3496)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_4883), BUNSPEC);
			}
			{	/* Globalize/node.scm 431 */
				obj_t BgL_g1360z00_3587;

				BgL_g1360z00_3587 =
					(((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_nodez00_3496)))->BgL_bindingsz00);
				{
					obj_t BgL_l1358z00_3589;

					BgL_l1358z00_3589 = BgL_g1360z00_3587;
				BgL_zc3z04anonymousza31980ze3z87_3588:
					if (PAIRP(BgL_l1358z00_3589))
						{	/* Globalize/node.scm 431 */
							{	/* Globalize/node.scm 432 */
								obj_t BgL_bindingz00_3590;

								BgL_bindingz00_3590 = CAR(BgL_l1358z00_3589);
								{	/* Globalize/node.scm 432 */
									obj_t BgL_varz00_3591;

									BgL_varz00_3591 = CAR(((obj_t) BgL_bindingz00_3590));
									if (BGl_celledzf3zf3zzglobaliza7e_nodeza7(
											((BgL_variablez00_bglt) BgL_varz00_3591)))
										{	/* Globalize/node.scm 434 */
											BgL_localz00_bglt BgL_nvarz00_3592;

											BgL_nvarz00_3592 =
												BGl_cellzd2variablezd2zzglobaliza7e_nodeza7(
												((BgL_localz00_bglt) BgL_varz00_3591));
											{	/* Globalize/node.scm 435 */
												obj_t BgL_arg1983z00_3593;

												BgL_arg1983z00_3593 =
													(((BgL_variablez00_bglt) COBJECT(
															((BgL_variablez00_bglt) BgL_varz00_3591)))->
													BgL_fastzd2alphazd2);
												{	/* Globalize/node.scm 435 */
													obj_t BgL_tmpz00_4904;

													BgL_tmpz00_4904 = ((obj_t) BgL_bindingz00_3590);
													SET_CAR(BgL_tmpz00_4904, BgL_arg1983z00_3593);
												}
											}
											((((BgL_variablez00_bglt) COBJECT(
															((BgL_variablez00_bglt)
																((BgL_localz00_bglt) BgL_varz00_3591))))->
													BgL_fastzd2alphazd2) = ((obj_t) BUNSPEC), BUNSPEC);
										}
									else
										{	/* Globalize/node.scm 433 */
											BFALSE;
										}
								}
							}
							{
								obj_t BgL_l1358z00_4910;

								BgL_l1358z00_4910 = CDR(BgL_l1358z00_3589);
								BgL_l1358z00_3589 = BgL_l1358z00_4910;
								goto BgL_zc3z04anonymousza31980ze3z87_3588;
							}
						}
					else
						{	/* Globalize/node.scm 431 */
							((bool_t) 1);
						}
				}
			}
			return ((BgL_nodez00_bglt) ((BgL_letzd2varzd2_bglt) BgL_nodez00_3496));
		}

	}



/* &glo!-let-fun1398 */
	BgL_nodez00_bglt BGl_z62gloz12zd2letzd2fun1398z70zzglobaliza7e_nodeza7(obj_t
		BgL_envz00_3498, obj_t BgL_nodez00_3499, obj_t BgL_integratorz00_3500)
	{
		{	/* Globalize/node.scm 376 */
			{
				BgL_nodez00_bglt BgL_auxz00_4914;

				{	/* Globalize/node.scm 378 */
					BgL_nodez00_bglt BgL_arg1942z00_3595;

					BgL_arg1942z00_3595 =
						(((BgL_letzd2funzd2_bglt) COBJECT(
								((BgL_letzd2funzd2_bglt) BgL_nodez00_3499)))->BgL_bodyz00);
					BgL_auxz00_4914 =
						BGl_gloz12z12zzglobaliza7e_nodeza7(BgL_arg1942z00_3595,
						((BgL_variablez00_bglt) BgL_integratorz00_3500));
				}
				((((BgL_letzd2funzd2_bglt) COBJECT(
								((BgL_letzd2funzd2_bglt) BgL_nodez00_3499)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_4914), BUNSPEC);
			}
			{
				obj_t BgL_obindingsz00_3597;
				obj_t BgL_nbindingsz00_3598;
				obj_t BgL_ebindingsz00_3599;

				{	/* Globalize/node.scm 379 */
					obj_t BgL_arg1943z00_3610;

					BgL_arg1943z00_3610 =
						(((BgL_letzd2funzd2_bglt) COBJECT(
								((BgL_letzd2funzd2_bglt) BgL_nodez00_3499)))->BgL_localsz00);
					{
						BgL_nodezf2effectzf2_bglt BgL_auxz00_4923;

						BgL_obindingsz00_3597 = BgL_arg1943z00_3610;
						BgL_nbindingsz00_3598 = BNIL;
						BgL_ebindingsz00_3599 = BNIL;
					BgL_liipz00_3596:
						if (NULLP(BgL_obindingsz00_3597))
							{	/* Globalize/node.scm 390 */
								((((BgL_letzd2funzd2_bglt) COBJECT(
												((BgL_letzd2funzd2_bglt) BgL_nodez00_3499)))->
										BgL_localsz00) = ((obj_t) BgL_nbindingsz00_3598), BUNSPEC);
								if (NULLP(BgL_ebindingsz00_3599))
									{	/* Globalize/node.scm 392 */
										BgL_auxz00_4923 =
											((BgL_nodezf2effectzf2_bglt)
											((BgL_letzd2funzd2_bglt) BgL_nodez00_3499));
									}
								else
									{	/* Globalize/node.scm 392 */
										BgL_auxz00_4923 =
											((BgL_nodezf2effectzf2_bglt)
											BGl_makezd2escapingzd2bindingsz00zzglobaliza7e_nodeza7
											(BgL_ebindingsz00_3599,
												((BgL_nodez00_bglt) ((BgL_letzd2funzd2_bglt)
														BgL_nodez00_3499)),
												((BgL_variablez00_bglt) BgL_integratorz00_3500)));
									}
							}
						else
							{	/* Globalize/node.scm 395 */
								bool_t BgL_test2207z00_4937;

								if (
									(CAR(
											((obj_t) BgL_obindingsz00_3597)) ==
										BgL_integratorz00_3500))
									{	/* Globalize/node.scm 395 */
										BgL_test2207z00_4937 = ((bool_t) 0);
									}
								else
									{	/* Globalize/node.scm 396 */
										BgL_localz00_bglt BgL_oz00_3600;

										BgL_oz00_3600 =
											((BgL_localz00_bglt)
											CAR(((obj_t) BgL_obindingsz00_3597)));
										{
											BgL_localzf2ginfozf2_bglt BgL_auxz00_4945;

											{
												obj_t BgL_auxz00_4946;

												{	/* Globalize/node.scm 396 */
													BgL_objectz00_bglt BgL_tmpz00_4947;

													BgL_tmpz00_4947 =
														((BgL_objectz00_bglt) BgL_oz00_3600);
													BgL_auxz00_4946 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_4947);
												}
												BgL_auxz00_4945 =
													((BgL_localzf2ginfozf2_bglt) BgL_auxz00_4946);
											}
											BgL_test2207z00_4937 =
												(((BgL_localzf2ginfozf2_bglt)
													COBJECT(BgL_auxz00_4945))->BgL_escapezf3zf3);
										}
									}
								if (BgL_test2207z00_4937)
									{	/* Globalize/node.scm 397 */
										obj_t BgL_arg1955z00_3601;
										obj_t BgL_arg1956z00_3602;

										BgL_arg1955z00_3601 = CDR(((obj_t) BgL_obindingsz00_3597));
										{	/* Globalize/node.scm 399 */
											obj_t BgL_arg1957z00_3603;

											BgL_arg1957z00_3603 =
												CAR(((obj_t) BgL_obindingsz00_3597));
											BgL_arg1956z00_3602 =
												MAKE_YOUNG_PAIR(BgL_arg1957z00_3603,
												BgL_ebindingsz00_3599);
										}
										{
											obj_t BgL_ebindingsz00_4958;
											obj_t BgL_obindingsz00_4957;

											BgL_obindingsz00_4957 = BgL_arg1955z00_3601;
											BgL_ebindingsz00_4958 = BgL_arg1956z00_3602;
											BgL_ebindingsz00_3599 = BgL_ebindingsz00_4958;
											BgL_obindingsz00_3597 = BgL_obindingsz00_4957;
											goto BgL_liipz00_3596;
										}
									}
								else
									{	/* Globalize/node.scm 395 */
										if (
											(CAR(
													((obj_t) BgL_obindingsz00_3597)) ==
												BgL_integratorz00_3500))
											{	/* Globalize/node.scm 400 */
												{	/* Globalize/node.scm 404 */
													obj_t BgL_arg1962z00_3604;

													{	/* Globalize/node.scm 404 */
														obj_t BgL_arg1963z00_3605;

														BgL_arg1963z00_3605 =
															CAR(((obj_t) BgL_obindingsz00_3597));
														BgL_arg1962z00_3604 =
															BGl_shapez00zztools_shapez00(BgL_arg1963z00_3605);
													}
													BGl_internalzd2errorzd2zztools_errorz00(
														((obj_t)
															CNST_TABLE_REF(8)),
														BGl_string2125z00zzglobaliza7e_nodeza7,
														BgL_arg1962z00_3604);
												}
												{	/* Globalize/node.scm 405 */
													obj_t BgL_arg1965z00_3606;

													BgL_arg1965z00_3606 =
														CDR(((obj_t) BgL_obindingsz00_3597));
													{
														obj_t BgL_obindingsz00_4971;

														BgL_obindingsz00_4971 = BgL_arg1965z00_3606;
														BgL_obindingsz00_3597 = BgL_obindingsz00_4971;
														goto BgL_liipz00_3596;
													}
												}
											}
										else
											{	/* Globalize/node.scm 409 */
												obj_t BgL_localz00_3607;

												BgL_localz00_3607 =
													CAR(((obj_t) BgL_obindingsz00_3597));
												BGl_globaliza7ezd2localzd2funz12zb5zzglobaliza7e_nodeza7
													(((BgL_localz00_bglt) BgL_localz00_3607),
													((BgL_variablez00_bglt) BgL_integratorz00_3500));
												{	/* Globalize/node.scm 411 */
													obj_t BgL_arg1966z00_3608;
													obj_t BgL_arg1967z00_3609;

													BgL_arg1966z00_3608 =
														CDR(((obj_t) BgL_obindingsz00_3597));
													BgL_arg1967z00_3609 =
														MAKE_YOUNG_PAIR(BgL_localz00_3607,
														BgL_nbindingsz00_3598);
													{
														obj_t BgL_nbindingsz00_4981;
														obj_t BgL_obindingsz00_4980;

														BgL_obindingsz00_4980 = BgL_arg1966z00_3608;
														BgL_nbindingsz00_4981 = BgL_arg1967z00_3609;
														BgL_nbindingsz00_3598 = BgL_nbindingsz00_4981;
														BgL_obindingsz00_3597 = BgL_obindingsz00_4980;
														goto BgL_liipz00_3596;
													}
												}
											}
									}
							}
						return ((BgL_nodez00_bglt) BgL_auxz00_4923);
					}
				}
			}
		}

	}



/* &glo!-switch1396 */
	BgL_nodez00_bglt BGl_z62gloz12zd2switch1396za2zzglobaliza7e_nodeza7(obj_t
		BgL_envz00_3501, obj_t BgL_nodez00_3502, obj_t BgL_integratorz00_3503)
	{
		{	/* Globalize/node.scm 365 */
			{
				BgL_nodez00_bglt BgL_auxz00_4983;

				{	/* Globalize/node.scm 367 */
					BgL_nodez00_bglt BgL_arg1934z00_3612;

					BgL_arg1934z00_3612 =
						(((BgL_switchz00_bglt) COBJECT(
								((BgL_switchz00_bglt) BgL_nodez00_3502)))->BgL_testz00);
					BgL_auxz00_4983 =
						BGl_gloz12z12zzglobaliza7e_nodeza7(BgL_arg1934z00_3612,
						((BgL_variablez00_bglt) BgL_integratorz00_3503));
				}
				((((BgL_switchz00_bglt) COBJECT(
								((BgL_switchz00_bglt) BgL_nodez00_3502)))->BgL_testz00) =
					((BgL_nodez00_bglt) BgL_auxz00_4983), BUNSPEC);
			}
			{	/* Globalize/node.scm 368 */
				obj_t BgL_g1354z00_3613;

				BgL_g1354z00_3613 =
					(((BgL_switchz00_bglt) COBJECT(
							((BgL_switchz00_bglt) BgL_nodez00_3502)))->BgL_clausesz00);
				{
					obj_t BgL_l1352z00_3615;

					BgL_l1352z00_3615 = BgL_g1354z00_3613;
				BgL_zc3z04anonymousza31935ze3z87_3614:
					if (PAIRP(BgL_l1352z00_3615))
						{	/* Globalize/node.scm 368 */
							{	/* Globalize/node.scm 369 */
								obj_t BgL_clausez00_3616;

								BgL_clausez00_3616 = CAR(BgL_l1352z00_3615);
								{	/* Globalize/node.scm 369 */
									BgL_nodez00_bglt BgL_arg1938z00_3617;

									{	/* Globalize/node.scm 369 */
										obj_t BgL_arg1939z00_3618;

										BgL_arg1939z00_3618 = CDR(((obj_t) BgL_clausez00_3616));
										BgL_arg1938z00_3617 =
											BGl_gloz12z12zzglobaliza7e_nodeza7(
											((BgL_nodez00_bglt) BgL_arg1939z00_3618),
											((BgL_variablez00_bglt) BgL_integratorz00_3503));
									}
									{	/* Globalize/node.scm 369 */
										obj_t BgL_auxz00_5002;
										obj_t BgL_tmpz00_5000;

										BgL_auxz00_5002 = ((obj_t) BgL_arg1938z00_3617);
										BgL_tmpz00_5000 = ((obj_t) BgL_clausez00_3616);
										SET_CDR(BgL_tmpz00_5000, BgL_auxz00_5002);
									}
								}
							}
							{
								obj_t BgL_l1352z00_5005;

								BgL_l1352z00_5005 = CDR(BgL_l1352z00_3615);
								BgL_l1352z00_3615 = BgL_l1352z00_5005;
								goto BgL_zc3z04anonymousza31935ze3z87_3614;
							}
						}
					else
						{	/* Globalize/node.scm 368 */
							((bool_t) 1);
						}
				}
			}
			return ((BgL_nodez00_bglt) ((BgL_switchz00_bglt) BgL_nodez00_3502));
		}

	}



/* &glo!-fail1394 */
	BgL_nodez00_bglt BGl_z62gloz12zd2fail1394za2zzglobaliza7e_nodeza7(obj_t
		BgL_envz00_3504, obj_t BgL_nodez00_3505, obj_t BgL_integratorz00_3506)
	{
		{	/* Globalize/node.scm 355 */
			{
				BgL_nodez00_bglt BgL_auxz00_5009;

				{	/* Globalize/node.scm 357 */
					BgL_nodez00_bglt BgL_arg1930z00_3620;

					BgL_arg1930z00_3620 =
						(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_3505)))->BgL_procz00);
					BgL_auxz00_5009 =
						BGl_gloz12z12zzglobaliza7e_nodeza7(BgL_arg1930z00_3620,
						((BgL_variablez00_bglt) BgL_integratorz00_3506));
				}
				((((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_3505)))->BgL_procz00) =
					((BgL_nodez00_bglt) BgL_auxz00_5009), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_5016;

				{	/* Globalize/node.scm 358 */
					BgL_nodez00_bglt BgL_arg1932z00_3621;

					BgL_arg1932z00_3621 =
						(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_3505)))->BgL_msgz00);
					BgL_auxz00_5016 =
						BGl_gloz12z12zzglobaliza7e_nodeza7(BgL_arg1932z00_3621,
						((BgL_variablez00_bglt) BgL_integratorz00_3506));
				}
				((((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_3505)))->BgL_msgz00) =
					((BgL_nodez00_bglt) BgL_auxz00_5016), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_5023;

				{	/* Globalize/node.scm 359 */
					BgL_nodez00_bglt BgL_arg1933z00_3622;

					BgL_arg1933z00_3622 =
						(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_3505)))->BgL_objz00);
					BgL_auxz00_5023 =
						BGl_gloz12z12zzglobaliza7e_nodeza7(BgL_arg1933z00_3622,
						((BgL_variablez00_bglt) BgL_integratorz00_3506));
				}
				((((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_3505)))->BgL_objz00) =
					((BgL_nodez00_bglt) BgL_auxz00_5023), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_failz00_bglt) BgL_nodez00_3505));
		}

	}



/* &glo!-conditional1392 */
	BgL_nodez00_bglt BGl_z62gloz12zd2conditional1392za2zzglobaliza7e_nodeza7(obj_t
		BgL_envz00_3507, obj_t BgL_nodez00_3508, obj_t BgL_integratorz00_3509)
	{
		{	/* Globalize/node.scm 345 */
			{
				BgL_nodez00_bglt BgL_auxz00_5032;

				{	/* Globalize/node.scm 347 */
					BgL_nodez00_bglt BgL_arg1927z00_3624;

					BgL_arg1927z00_3624 =
						(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_3508)))->BgL_testz00);
					BgL_auxz00_5032 =
						BGl_gloz12z12zzglobaliza7e_nodeza7(BgL_arg1927z00_3624,
						((BgL_variablez00_bglt) BgL_integratorz00_3509));
				}
				((((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_3508)))->BgL_testz00) =
					((BgL_nodez00_bglt) BgL_auxz00_5032), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_5039;

				{	/* Globalize/node.scm 348 */
					BgL_nodez00_bglt BgL_arg1928z00_3625;

					BgL_arg1928z00_3625 =
						(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_3508)))->BgL_truez00);
					BgL_auxz00_5039 =
						BGl_gloz12z12zzglobaliza7e_nodeza7(BgL_arg1928z00_3625,
						((BgL_variablez00_bglt) BgL_integratorz00_3509));
				}
				((((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_3508)))->BgL_truez00) =
					((BgL_nodez00_bglt) BgL_auxz00_5039), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_5046;

				{	/* Globalize/node.scm 349 */
					BgL_nodez00_bglt BgL_arg1929z00_3626;

					BgL_arg1929z00_3626 =
						(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_3508)))->BgL_falsez00);
					BgL_auxz00_5046 =
						BGl_gloz12z12zzglobaliza7e_nodeza7(BgL_arg1929z00_3626,
						((BgL_variablez00_bglt) BgL_integratorz00_3509));
				}
				((((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_3508)))->BgL_falsez00) =
					((BgL_nodez00_bglt) BgL_auxz00_5046), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_conditionalz00_bglt) BgL_nodez00_3508));
		}

	}



/* &glo!-setq1390 */
	BgL_nodez00_bglt BGl_z62gloz12zd2setq1390za2zzglobaliza7e_nodeza7(obj_t
		BgL_envz00_3510, obj_t BgL_nodez00_3511, obj_t BgL_integratorz00_3512)
	{
		{	/* Globalize/node.scm 307 */
			{
				BgL_nodez00_bglt BgL_auxz00_5055;

				{	/* Globalize/node.scm 309 */
					BgL_nodez00_bglt BgL_arg1906z00_3628;

					BgL_arg1906z00_3628 =
						(((BgL_setqz00_bglt) COBJECT(
								((BgL_setqz00_bglt) BgL_nodez00_3511)))->BgL_valuez00);
					BgL_auxz00_5055 =
						BGl_gloz12z12zzglobaliza7e_nodeza7(BgL_arg1906z00_3628,
						((BgL_variablez00_bglt) BgL_integratorz00_3512));
				}
				((((BgL_setqz00_bglt) COBJECT(
								((BgL_setqz00_bglt) BgL_nodez00_3511)))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_auxz00_5055), BUNSPEC);
			}
			{	/* Globalize/node.scm 310 */
				BgL_variablez00_bglt BgL_varz00_3629;

				BgL_varz00_3629 =
					(((BgL_varz00_bglt) COBJECT(
							(((BgL_setqz00_bglt) COBJECT(
										((BgL_setqz00_bglt) BgL_nodez00_3511)))->BgL_varz00)))->
					BgL_variablez00);
				{	/* Globalize/node.scm 310 */
					BgL_typez00_bglt BgL_vtypez00_3630;

					BgL_vtypez00_3630 =
						(((BgL_variablez00_bglt) COBJECT(BgL_varz00_3629))->BgL_typez00);
					{	/* Globalize/node.scm 311 */

						{	/* Globalize/node.scm 312 */
							obj_t BgL_g1150z00_3631;

							BgL_g1150z00_3631 =
								(((BgL_variablez00_bglt) COBJECT(BgL_varz00_3629))->
								BgL_fastzd2alphazd2);
							{
								obj_t BgL_varz00_3633;
								obj_t BgL_alphaz00_3634;

								BgL_varz00_3633 = ((obj_t) BgL_varz00_3629);
								BgL_alphaz00_3634 = BgL_g1150z00_3631;
							BgL_loopz00_3632:
								{	/* Globalize/node.scm 314 */
									bool_t BgL_test2211z00_5067;

									{	/* Globalize/node.scm 314 */
										obj_t BgL_classz00_3635;

										BgL_classz00_3635 = BGl_localz00zzast_varz00;
										if (BGL_OBJECTP(BgL_alphaz00_3634))
											{	/* Globalize/node.scm 314 */
												BgL_objectz00_bglt BgL_arg1858z00_3636;

												BgL_arg1858z00_3636 =
													(BgL_objectz00_bglt) (BgL_alphaz00_3634);
												if (BGL_CONDEXPAND_ISA_ARCH64())
													{	/* Globalize/node.scm 314 */
														long BgL_idxz00_3637;

														BgL_idxz00_3637 =
															BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_3636);
														BgL_test2211z00_5067 =
															(VECTOR_REF
															(BGl_za2inheritancesza2z00zz__objectz00,
																(BgL_idxz00_3637 + 2L)) == BgL_classz00_3635);
													}
												else
													{	/* Globalize/node.scm 314 */
														bool_t BgL_res2092z00_3640;

														{	/* Globalize/node.scm 314 */
															obj_t BgL_oclassz00_3641;

															{	/* Globalize/node.scm 314 */
																obj_t BgL_arg1866z00_3642;
																long BgL_arg1867z00_3643;

																BgL_arg1866z00_3642 =
																	(BGl_za2classesza2z00zz__objectz00);
																{	/* Globalize/node.scm 314 */
																	long BgL_arg1869z00_3644;

																	BgL_arg1869z00_3644 =
																		BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_3636);
																	BgL_arg1867z00_3643 =
																		(BgL_arg1869z00_3644 - OBJECT_TYPE);
																}
																BgL_oclassz00_3641 =
																	VECTOR_REF(BgL_arg1866z00_3642,
																	BgL_arg1867z00_3643);
															}
															{	/* Globalize/node.scm 314 */
																bool_t BgL__ortest_1115z00_3645;

																BgL__ortest_1115z00_3645 =
																	(BgL_classz00_3635 == BgL_oclassz00_3641);
																if (BgL__ortest_1115z00_3645)
																	{	/* Globalize/node.scm 314 */
																		BgL_res2092z00_3640 =
																			BgL__ortest_1115z00_3645;
																	}
																else
																	{	/* Globalize/node.scm 314 */
																		long BgL_odepthz00_3646;

																		{	/* Globalize/node.scm 314 */
																			obj_t BgL_arg1855z00_3647;

																			BgL_arg1855z00_3647 =
																				(BgL_oclassz00_3641);
																			BgL_odepthz00_3646 =
																				BGL_CLASS_DEPTH(BgL_arg1855z00_3647);
																		}
																		if ((2L < BgL_odepthz00_3646))
																			{	/* Globalize/node.scm 314 */
																				obj_t BgL_arg1853z00_3648;

																				{	/* Globalize/node.scm 314 */
																					obj_t BgL_arg1854z00_3649;

																					BgL_arg1854z00_3649 =
																						(BgL_oclassz00_3641);
																					BgL_arg1853z00_3648 =
																						BGL_CLASS_ANCESTORS_REF
																						(BgL_arg1854z00_3649, 2L);
																				}
																				BgL_res2092z00_3640 =
																					(BgL_arg1853z00_3648 ==
																					BgL_classz00_3635);
																			}
																		else
																			{	/* Globalize/node.scm 314 */
																				BgL_res2092z00_3640 = ((bool_t) 0);
																			}
																	}
															}
														}
														BgL_test2211z00_5067 = BgL_res2092z00_3640;
													}
											}
										else
											{	/* Globalize/node.scm 314 */
												BgL_test2211z00_5067 = ((bool_t) 0);
											}
									}
									if (BgL_test2211z00_5067)
										{	/* Globalize/node.scm 314 */
											{	/* Globalize/node.scm 316 */
												BgL_varz00_bglt BgL_arg1909z00_3650;

												BgL_arg1909z00_3650 =
													(((BgL_setqz00_bglt) COBJECT(
															((BgL_setqz00_bglt) BgL_nodez00_3511)))->
													BgL_varz00);
												((((BgL_varz00_bglt) COBJECT(BgL_arg1909z00_3650))->
														BgL_variablez00) =
													((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
															BgL_alphaz00_3634)), BUNSPEC);
											}
											{	/* Globalize/node.scm 317 */
												obj_t BgL_arg1910z00_3651;

												BgL_arg1910z00_3651 =
													(((BgL_variablez00_bglt) COBJECT(
															((BgL_variablez00_bglt) BgL_alphaz00_3634)))->
													BgL_fastzd2alphazd2);
												{
													obj_t BgL_alphaz00_5097;
													obj_t BgL_varz00_5096;

													BgL_varz00_5096 = BgL_alphaz00_3634;
													BgL_alphaz00_5097 = BgL_arg1910z00_3651;
													BgL_alphaz00_3634 = BgL_alphaz00_5097;
													BgL_varz00_3633 = BgL_varz00_5096;
													goto BgL_loopz00_3632;
												}
											}
										}
									else
										{	/* Globalize/node.scm 318 */
											BgL_variablez00_bglt BgL_varz00_3652;

											BgL_varz00_3652 =
												(((BgL_varz00_bglt) COBJECT(
														(((BgL_setqz00_bglt) COBJECT(
																	((BgL_setqz00_bglt) BgL_nodez00_3511)))->
															BgL_varz00)))->BgL_variablez00);
											{	/* Globalize/node.scm 319 */
												bool_t BgL_test2216z00_5101;

												{	/* Globalize/node.scm 319 */
													bool_t BgL_test2217z00_5102;

													{	/* Globalize/node.scm 319 */
														obj_t BgL_classz00_3653;

														BgL_classz00_3653 = BGl_localz00zzast_varz00;
														{	/* Globalize/node.scm 319 */
															BgL_objectz00_bglt BgL_arg1858z00_3654;

															{	/* Globalize/node.scm 319 */
																obj_t BgL_tmpz00_5103;

																BgL_tmpz00_5103 =
																	((obj_t)
																	((BgL_objectz00_bglt) BgL_varz00_3652));
																BgL_arg1858z00_3654 =
																	(BgL_objectz00_bglt) (BgL_tmpz00_5103);
															}
															if (BGL_CONDEXPAND_ISA_ARCH64())
																{	/* Globalize/node.scm 319 */
																	long BgL_idxz00_3655;

																	BgL_idxz00_3655 =
																		BGL_OBJECT_INHERITANCE_NUM
																		(BgL_arg1858z00_3654);
																	BgL_test2217z00_5102 =
																		(VECTOR_REF
																		(BGl_za2inheritancesza2z00zz__objectz00,
																			(BgL_idxz00_3655 + 2L)) ==
																		BgL_classz00_3653);
																}
															else
																{	/* Globalize/node.scm 319 */
																	bool_t BgL_res2093z00_3658;

																	{	/* Globalize/node.scm 319 */
																		obj_t BgL_oclassz00_3659;

																		{	/* Globalize/node.scm 319 */
																			obj_t BgL_arg1866z00_3660;
																			long BgL_arg1867z00_3661;

																			BgL_arg1866z00_3660 =
																				(BGl_za2classesza2z00zz__objectz00);
																			{	/* Globalize/node.scm 319 */
																				long BgL_arg1869z00_3662;

																				BgL_arg1869z00_3662 =
																					BGL_OBJECT_CLASS_NUM
																					(BgL_arg1858z00_3654);
																				BgL_arg1867z00_3661 =
																					(BgL_arg1869z00_3662 - OBJECT_TYPE);
																			}
																			BgL_oclassz00_3659 =
																				VECTOR_REF(BgL_arg1866z00_3660,
																				BgL_arg1867z00_3661);
																		}
																		{	/* Globalize/node.scm 319 */
																			bool_t BgL__ortest_1115z00_3663;

																			BgL__ortest_1115z00_3663 =
																				(BgL_classz00_3653 ==
																				BgL_oclassz00_3659);
																			if (BgL__ortest_1115z00_3663)
																				{	/* Globalize/node.scm 319 */
																					BgL_res2093z00_3658 =
																						BgL__ortest_1115z00_3663;
																				}
																			else
																				{	/* Globalize/node.scm 319 */
																					long BgL_odepthz00_3664;

																					{	/* Globalize/node.scm 319 */
																						obj_t BgL_arg1855z00_3665;

																						BgL_arg1855z00_3665 =
																							(BgL_oclassz00_3659);
																						BgL_odepthz00_3664 =
																							BGL_CLASS_DEPTH
																							(BgL_arg1855z00_3665);
																					}
																					if ((2L < BgL_odepthz00_3664))
																						{	/* Globalize/node.scm 319 */
																							obj_t BgL_arg1853z00_3666;

																							{	/* Globalize/node.scm 319 */
																								obj_t BgL_arg1854z00_3667;

																								BgL_arg1854z00_3667 =
																									(BgL_oclassz00_3659);
																								BgL_arg1853z00_3666 =
																									BGL_CLASS_ANCESTORS_REF
																									(BgL_arg1854z00_3667, 2L);
																							}
																							BgL_res2093z00_3658 =
																								(BgL_arg1853z00_3666 ==
																								BgL_classz00_3653);
																						}
																					else
																						{	/* Globalize/node.scm 319 */
																							BgL_res2093z00_3658 =
																								((bool_t) 0);
																						}
																				}
																		}
																	}
																	BgL_test2217z00_5102 = BgL_res2093z00_3658;
																}
														}
													}
													if (BgL_test2217z00_5102)
														{	/* Globalize/node.scm 319 */
															BgL_test2216z00_5101 =
																BGl_celledzf3zf3zzglobaliza7e_nodeza7
																(BgL_varz00_3652);
														}
													else
														{	/* Globalize/node.scm 319 */
															BgL_test2216z00_5101 = ((bool_t) 0);
														}
												}
												if (BgL_test2216z00_5101)
													{	/* Globalize/node.scm 320 */
														BgL_localz00_bglt BgL_azd2varzd2_3668;
														obj_t BgL_locz00_3669;

														BgL_azd2varzd2_3668 =
															BGl_makezd2localzd2svarz00zzast_localz00(
															((obj_t)
																CNST_TABLE_REF(9)),
															((BgL_typez00_bglt)
																BGl_za2objza2z00zztype_cachez00));
														BgL_locz00_3669 =
															(((BgL_nodez00_bglt)
																COBJECT(((BgL_nodez00_bglt) ((BgL_setqz00_bglt)
																			BgL_nodez00_3511))))->BgL_locz00);
														{	/* Globalize/node.scm 322 */
															obj_t BgL_vz00_3670;

															BgL_vz00_3670 = ((obj_t) CNST_TABLE_REF(0));
															((((BgL_variablez00_bglt) COBJECT(
																			((BgL_variablez00_bglt)
																				((BgL_localz00_bglt)
																					BgL_varz00_3652))))->BgL_accessz00) =
																((obj_t) BgL_vz00_3670), BUNSPEC);
														}
														{	/* Globalize/node.scm 323 */
															bool_t BgL_arg1913z00_3671;

															BgL_arg1913z00_3671 =
																(((BgL_variablez00_bglt) COBJECT(
																		((BgL_variablez00_bglt)
																			((BgL_localz00_bglt) BgL_varz00_3652))))->
																BgL_userzf3zf3);
															((((BgL_variablez00_bglt)
																		COBJECT(((BgL_variablez00_bglt)
																				BgL_azd2varzd2_3668)))->
																	BgL_userzf3zf3) =
																((bool_t) BgL_arg1913z00_3671), BUNSPEC);
														}
														{	/* Globalize/node.scm 324 */
															BgL_varz00_bglt BgL_arg1915z00_3672;

															BgL_arg1915z00_3672 =
																(((BgL_setqz00_bglt) COBJECT(
																		((BgL_setqz00_bglt) BgL_nodez00_3511)))->
																BgL_varz00);
															{	/* Globalize/node.scm 324 */
																BgL_typez00_bglt BgL_vz00_3673;

																BgL_vz00_3673 =
																	((BgL_typez00_bglt)
																	BGl_za2objza2z00zztype_cachez00);
																((((BgL_nodez00_bglt)
																			COBJECT(((BgL_nodez00_bglt)
																					BgL_arg1915z00_3672)))->BgL_typez00) =
																	((BgL_typez00_bglt) BgL_vz00_3673), BUNSPEC);
															}
														}
														{	/* Globalize/node.scm 325 */
															BgL_svarz00_bglt BgL_tmp1151z00_3674;

															BgL_tmp1151z00_3674 =
																((BgL_svarz00_bglt)
																(((BgL_variablez00_bglt) COBJECT(
																			((BgL_variablez00_bglt)
																				BgL_azd2varzd2_3668)))->BgL_valuez00));
															{	/* Globalize/node.scm 325 */
																BgL_svarzf2ginfozf2_bglt BgL_wide1153z00_3675;

																BgL_wide1153z00_3675 =
																	((BgL_svarzf2ginfozf2_bglt)
																	BOBJECT(GC_MALLOC(sizeof(struct
																				BgL_svarzf2ginfozf2_bgl))));
																{	/* Globalize/node.scm 325 */
																	obj_t BgL_auxz00_5156;
																	BgL_objectz00_bglt BgL_tmpz00_5153;

																	BgL_auxz00_5156 =
																		((obj_t) BgL_wide1153z00_3675);
																	BgL_tmpz00_5153 =
																		((BgL_objectz00_bglt)
																		((BgL_svarz00_bglt) BgL_tmp1151z00_3674));
																	BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5153,
																		BgL_auxz00_5156);
																}
																((BgL_objectz00_bglt)
																	((BgL_svarz00_bglt) BgL_tmp1151z00_3674));
																{	/* Globalize/node.scm 325 */
																	long BgL_arg1916z00_3676;

																	BgL_arg1916z00_3676 =
																		BGL_CLASS_NUM
																		(BGl_svarzf2Ginfozf2zzglobaliza7e_ginfoza7);
																	BGL_OBJECT_CLASS_NUM_SET(((BgL_objectz00_bglt)
																			((BgL_svarz00_bglt) BgL_tmp1151z00_3674)),
																		BgL_arg1916z00_3676);
																}
																((BgL_svarz00_bglt)
																	((BgL_svarz00_bglt) BgL_tmp1151z00_3674));
															}
															{
																BgL_svarzf2ginfozf2_bglt BgL_auxz00_5167;

																{
																	obj_t BgL_auxz00_5168;

																	{	/* Globalize/node.scm 326 */
																		BgL_objectz00_bglt BgL_tmpz00_5169;

																		BgL_tmpz00_5169 =
																			((BgL_objectz00_bglt)
																			((BgL_svarz00_bglt) BgL_tmp1151z00_3674));
																		BgL_auxz00_5168 =
																			BGL_OBJECT_WIDENING(BgL_tmpz00_5169);
																	}
																	BgL_auxz00_5167 =
																		((BgL_svarzf2ginfozf2_bglt)
																		BgL_auxz00_5168);
																}
																((((BgL_svarzf2ginfozf2_bglt)
																			COBJECT(BgL_auxz00_5167))->
																		BgL_kapturedzf3zf3) =
																	((bool_t) ((bool_t) 0)), BUNSPEC);
															}
															{
																BgL_svarzf2ginfozf2_bglt BgL_auxz00_5175;

																{
																	obj_t BgL_auxz00_5176;

																	{	/* Globalize/node.scm 326 */
																		BgL_objectz00_bglt BgL_tmpz00_5177;

																		BgL_tmpz00_5177 =
																			((BgL_objectz00_bglt)
																			((BgL_svarz00_bglt) BgL_tmp1151z00_3674));
																		BgL_auxz00_5176 =
																			BGL_OBJECT_WIDENING(BgL_tmpz00_5177);
																	}
																	BgL_auxz00_5175 =
																		((BgL_svarzf2ginfozf2_bglt)
																		BgL_auxz00_5176);
																}
																((((BgL_svarzf2ginfozf2_bglt)
																			COBJECT(BgL_auxz00_5175))->
																		BgL_freezd2markzd2) =
																	((long) (-10L)), BUNSPEC);
															}
															{
																BgL_svarzf2ginfozf2_bglt BgL_auxz00_5183;

																{
																	obj_t BgL_auxz00_5184;

																	{	/* Globalize/node.scm 326 */
																		BgL_objectz00_bglt BgL_tmpz00_5185;

																		BgL_tmpz00_5185 =
																			((BgL_objectz00_bglt)
																			((BgL_svarz00_bglt) BgL_tmp1151z00_3674));
																		BgL_auxz00_5184 =
																			BGL_OBJECT_WIDENING(BgL_tmpz00_5185);
																	}
																	BgL_auxz00_5183 =
																		((BgL_svarzf2ginfozf2_bglt)
																		BgL_auxz00_5184);
																}
																((((BgL_svarzf2ginfozf2_bglt)
																			COBJECT(BgL_auxz00_5183))->BgL_markz00) =
																	((long) (-10L)), BUNSPEC);
															}
															{
																BgL_svarzf2ginfozf2_bglt BgL_auxz00_5191;

																{
																	obj_t BgL_auxz00_5192;

																	{	/* Globalize/node.scm 326 */
																		BgL_objectz00_bglt BgL_tmpz00_5193;

																		BgL_tmpz00_5193 =
																			((BgL_objectz00_bglt)
																			((BgL_svarz00_bglt) BgL_tmp1151z00_3674));
																		BgL_auxz00_5192 =
																			BGL_OBJECT_WIDENING(BgL_tmpz00_5193);
																	}
																	BgL_auxz00_5191 =
																		((BgL_svarzf2ginfozf2_bglt)
																		BgL_auxz00_5192);
																}
																((((BgL_svarzf2ginfozf2_bglt)
																			COBJECT(BgL_auxz00_5191))->
																		BgL_celledzf3zf3) =
																	((bool_t) ((bool_t) 0)), BUNSPEC);
															}
															{
																BgL_svarzf2ginfozf2_bglt BgL_auxz00_5199;

																{
																	obj_t BgL_auxz00_5200;

																	{	/* Globalize/node.scm 326 */
																		BgL_objectz00_bglt BgL_tmpz00_5201;

																		BgL_tmpz00_5201 =
																			((BgL_objectz00_bglt)
																			((BgL_svarz00_bglt) BgL_tmp1151z00_3674));
																		BgL_auxz00_5200 =
																			BGL_OBJECT_WIDENING(BgL_tmpz00_5201);
																	}
																	BgL_auxz00_5199 =
																		((BgL_svarzf2ginfozf2_bglt)
																		BgL_auxz00_5200);
																}
																((((BgL_svarzf2ginfozf2_bglt)
																			COBJECT(BgL_auxz00_5199))->
																		BgL_stackablez00) =
																	((bool_t) ((bool_t) 1)), BUNSPEC);
															}
															((BgL_svarz00_bglt) BgL_tmp1151z00_3674);
														}
														{	/* Globalize/node.scm 327 */
															BgL_letzd2varzd2_bglt BgL_new1156z00_3677;

															{	/* Globalize/node.scm 328 */
																BgL_letzd2varzd2_bglt BgL_new1155z00_3678;

																BgL_new1155z00_3678 =
																	((BgL_letzd2varzd2_bglt)
																	BOBJECT(GC_MALLOC(sizeof(struct
																				BgL_letzd2varzd2_bgl))));
																{	/* Globalize/node.scm 328 */
																	long BgL_arg1923z00_3679;

																	BgL_arg1923z00_3679 =
																		BGL_CLASS_NUM
																		(BGl_letzd2varzd2zzast_nodez00);
																	BGL_OBJECT_CLASS_NUM_SET(((BgL_objectz00_bglt)
																			BgL_new1155z00_3678),
																		BgL_arg1923z00_3679);
																}
																{	/* Globalize/node.scm 328 */
																	BgL_objectz00_bglt BgL_tmpz00_5212;

																	BgL_tmpz00_5212 =
																		((BgL_objectz00_bglt) BgL_new1155z00_3678);
																	BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5212,
																		BFALSE);
																}
																((BgL_objectz00_bglt) BgL_new1155z00_3678);
																BgL_new1156z00_3677 = BgL_new1155z00_3678;
															}
															((((BgL_nodez00_bglt) COBJECT(
																			((BgL_nodez00_bglt)
																				BgL_new1156z00_3677)))->BgL_locz00) =
																((obj_t) BgL_locz00_3669), BUNSPEC);
															((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
																				BgL_new1156z00_3677)))->BgL_typez00) =
																((BgL_typez00_bglt) ((BgL_typez00_bglt)
																		BGl_za2unspecza2z00zztype_cachez00)),
																BUNSPEC);
															((((BgL_nodezf2effectzf2_bglt)
																		COBJECT(((BgL_nodezf2effectzf2_bglt)
																				BgL_new1156z00_3677)))->
																	BgL_sidezd2effectzd2) =
																((obj_t) BUNSPEC), BUNSPEC);
															((((BgL_nodezf2effectzf2_bglt)
																		COBJECT(((BgL_nodezf2effectzf2_bglt)
																				BgL_new1156z00_3677)))->BgL_keyz00) =
																((obj_t) BINT((-1L))), BUNSPEC);
															{
																obj_t BgL_auxz00_5226;

																{	/* Globalize/node.scm 330 */
																	obj_t BgL_arg1917z00_3680;

																	{	/* Globalize/node.scm 330 */
																		BgL_nodez00_bglt BgL_arg1919z00_3681;

																		BgL_arg1919z00_3681 =
																			(((BgL_setqz00_bglt) COBJECT(
																					((BgL_setqz00_bglt)
																						BgL_nodez00_3511)))->BgL_valuez00);
																		BgL_arg1917z00_3680 =
																			MAKE_YOUNG_PAIR(((obj_t)
																				BgL_azd2varzd2_3668),
																			((obj_t) BgL_arg1919z00_3681));
																	}
																	{	/* Globalize/node.scm 330 */
																		obj_t BgL_list1918z00_3682;

																		BgL_list1918z00_3682 =
																			MAKE_YOUNG_PAIR(BgL_arg1917z00_3680,
																			BNIL);
																		BgL_auxz00_5226 = BgL_list1918z00_3682;
																}}
																((((BgL_letzd2varzd2_bglt)
																			COBJECT(BgL_new1156z00_3677))->
																		BgL_bindingsz00) =
																	((obj_t) BgL_auxz00_5226), BUNSPEC);
															}
															{
																BgL_nodez00_bglt BgL_auxz00_5234;

																{	/* Globalize/node.scm 331 */
																	BgL_boxzd2setz12zc0_bglt BgL_new1158z00_3683;

																	{	/* Globalize/node.scm 332 */
																		BgL_boxzd2setz12zc0_bglt
																			BgL_new1157z00_3684;
																		BgL_new1157z00_3684 =
																			((BgL_boxzd2setz12zc0_bglt)
																			BOBJECT(GC_MALLOC(sizeof(struct
																						BgL_boxzd2setz12zc0_bgl))));
																		{	/* Globalize/node.scm 332 */
																			long BgL_arg1922z00_3685;

																			{	/* Globalize/node.scm 332 */
																				obj_t BgL_classz00_3686;

																				BgL_classz00_3686 =
																					BGl_boxzd2setz12zc0zzast_nodez00;
																				BgL_arg1922z00_3685 =
																					BGL_CLASS_NUM(BgL_classz00_3686);
																			}
																			BGL_OBJECT_CLASS_NUM_SET(
																				((BgL_objectz00_bglt)
																					BgL_new1157z00_3684),
																				BgL_arg1922z00_3685);
																		}
																		{	/* Globalize/node.scm 332 */
																			BgL_objectz00_bglt BgL_tmpz00_5239;

																			BgL_tmpz00_5239 =
																				((BgL_objectz00_bglt)
																				BgL_new1157z00_3684);
																			BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5239,
																				BFALSE);
																		}
																		((BgL_objectz00_bglt) BgL_new1157z00_3684);
																		BgL_new1158z00_3683 = BgL_new1157z00_3684;
																	}
																	((((BgL_nodez00_bglt) COBJECT(
																					((BgL_nodez00_bglt)
																						BgL_new1158z00_3683)))->
																			BgL_locz00) =
																		((obj_t) BgL_locz00_3669), BUNSPEC);
																	((((BgL_nodez00_bglt)
																				COBJECT(((BgL_nodez00_bglt)
																						BgL_new1158z00_3683)))->
																			BgL_typez00) =
																		((BgL_typez00_bglt) ((BgL_typez00_bglt)
																				BGl_za2unspecza2z00zztype_cachez00)),
																		BUNSPEC);
																	((((BgL_boxzd2setz12zc0_bglt)
																				COBJECT(BgL_new1158z00_3683))->
																			BgL_varz00) =
																		((BgL_varz00_bglt) (((BgL_setqz00_bglt)
																					COBJECT(((BgL_setqz00_bglt)
																							BgL_nodez00_3511)))->BgL_varz00)),
																		BUNSPEC);
																	{
																		BgL_nodez00_bglt BgL_auxz00_5251;

																		{	/* Globalize/node.scm 336 */
																			BgL_refz00_bglt BgL_new1160z00_3687;

																			{	/* Globalize/node.scm 337 */
																				BgL_refz00_bglt BgL_new1159z00_3688;

																				BgL_new1159z00_3688 =
																					((BgL_refz00_bglt)
																					BOBJECT(GC_MALLOC(sizeof(struct
																								BgL_refz00_bgl))));
																				{	/* Globalize/node.scm 337 */
																					long BgL_arg1921z00_3689;

																					{	/* Globalize/node.scm 337 */
																						obj_t BgL_classz00_3690;

																						BgL_classz00_3690 =
																							BGl_refz00zzast_nodez00;
																						BgL_arg1921z00_3689 =
																							BGL_CLASS_NUM(BgL_classz00_3690);
																					}
																					BGL_OBJECT_CLASS_NUM_SET(
																						((BgL_objectz00_bglt)
																							BgL_new1159z00_3688),
																						BgL_arg1921z00_3689);
																				}
																				{	/* Globalize/node.scm 337 */
																					BgL_objectz00_bglt BgL_tmpz00_5256;

																					BgL_tmpz00_5256 =
																						((BgL_objectz00_bglt)
																						BgL_new1159z00_3688);
																					BGL_OBJECT_WIDENING_SET
																						(BgL_tmpz00_5256, BFALSE);
																				}
																				((BgL_objectz00_bglt)
																					BgL_new1159z00_3688);
																				BgL_new1160z00_3687 =
																					BgL_new1159z00_3688;
																			}
																			((((BgL_nodez00_bglt) COBJECT(
																							((BgL_nodez00_bglt)
																								BgL_new1160z00_3687)))->
																					BgL_locz00) =
																				((obj_t) BgL_locz00_3669), BUNSPEC);
																			((((BgL_nodez00_bglt)
																						COBJECT(((BgL_nodez00_bglt)
																								BgL_new1160z00_3687)))->
																					BgL_typez00) =
																				((BgL_typez00_bglt) ((
																							(BgL_variablez00_bglt)
																							COBJECT(((BgL_variablez00_bglt)
																									BgL_azd2varzd2_3668)))->
																						BgL_typez00)), BUNSPEC);
																			((((BgL_varz00_bglt)
																						COBJECT(((BgL_varz00_bglt)
																								BgL_new1160z00_3687)))->
																					BgL_variablez00) =
																				((BgL_variablez00_bglt) (
																						(BgL_variablez00_bglt)
																						BgL_azd2varzd2_3668)), BUNSPEC);
																			BgL_auxz00_5251 =
																				((BgL_nodez00_bglt)
																				BgL_new1160z00_3687);
																		}
																		((((BgL_boxzd2setz12zc0_bglt)
																					COBJECT(BgL_new1158z00_3683))->
																				BgL_valuez00) =
																			((BgL_nodez00_bglt) BgL_auxz00_5251),
																			BUNSPEC);
																	}
																	((((BgL_boxzd2setz12zc0_bglt)
																				COBJECT(BgL_new1158z00_3683))->
																			BgL_vtypez00) =
																		((BgL_typez00_bglt)
																			BGl_getzd2bigloozd2definedzd2typezd2zztype_cachez00
																			(BgL_vtypez00_3630)), BUNSPEC);
																	BgL_auxz00_5234 =
																		((BgL_nodez00_bglt) BgL_new1158z00_3683);
																}
																((((BgL_letzd2varzd2_bglt)
																			COBJECT(BgL_new1156z00_3677))->
																		BgL_bodyz00) =
																	((BgL_nodez00_bglt) BgL_auxz00_5234),
																	BUNSPEC);
															}
															((((BgL_letzd2varzd2_bglt)
																		COBJECT(BgL_new1156z00_3677))->
																	BgL_removablezf3zf3) =
																((bool_t) ((bool_t) 1)), BUNSPEC);
															return ((BgL_nodez00_bglt) BgL_new1156z00_3677);
														}
													}
												else
													{	/* Globalize/node.scm 319 */
														return
															((BgL_nodez00_bglt)
															((BgL_setqz00_bglt) BgL_nodez00_3511));
													}
											}
										}
								}
							}
						}
					}
				}
			}
		}

	}



/* &glo!-cast1388 */
	BgL_nodez00_bglt BGl_z62gloz12zd2cast1388za2zzglobaliza7e_nodeza7(obj_t
		BgL_envz00_3513, obj_t BgL_nodez00_3514, obj_t BgL_integratorz00_3515)
	{
		{	/* Globalize/node.scm 299 */
			{	/* Globalize/node.scm 301 */
				BgL_nodez00_bglt BgL_arg1905z00_3692;

				BgL_arg1905z00_3692 =
					(((BgL_castz00_bglt) COBJECT(
							((BgL_castz00_bglt) BgL_nodez00_3514)))->BgL_argz00);
				BGl_gloz12z12zzglobaliza7e_nodeza7(BgL_arg1905z00_3692,
					((BgL_variablez00_bglt) BgL_integratorz00_3515));
			}
			return ((BgL_nodez00_bglt) ((BgL_castz00_bglt) BgL_nodez00_3514));
		}

	}



/* &glo!-extern1386 */
	BgL_nodez00_bglt BGl_z62gloz12zd2extern1386za2zzglobaliza7e_nodeza7(obj_t
		BgL_envz00_3516, obj_t BgL_nodez00_3517, obj_t BgL_integratorz00_3518)
	{
		{	/* Globalize/node.scm 291 */
			BGl_gloza2z12zb0zzglobaliza7e_nodeza7(
				(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt) BgL_nodez00_3517)))->BgL_exprza2za2),
				BgL_integratorz00_3518);
			return ((BgL_nodez00_bglt) ((BgL_externz00_bglt) BgL_nodez00_3517));
		}

	}



/* &glo!-funcall1384 */
	BgL_nodez00_bglt BGl_z62gloz12zd2funcall1384za2zzglobaliza7e_nodeza7(obj_t
		BgL_envz00_3519, obj_t BgL_nodez00_3520, obj_t BgL_integratorz00_3521)
	{
		{	/* Globalize/node.scm 282 */
			{
				BgL_nodez00_bglt BgL_auxz00_5291;

				{	/* Globalize/node.scm 284 */
					BgL_nodez00_bglt BgL_arg1902z00_3695;

					BgL_arg1902z00_3695 =
						(((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_nodez00_3520)))->BgL_funz00);
					BgL_auxz00_5291 =
						BGl_gloz12z12zzglobaliza7e_nodeza7(BgL_arg1902z00_3695,
						((BgL_variablez00_bglt) BgL_integratorz00_3521));
				}
				((((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_nodez00_3520)))->BgL_funz00) =
					((BgL_nodez00_bglt) BgL_auxz00_5291), BUNSPEC);
			}
			BGl_gloza2z12zb0zzglobaliza7e_nodeza7(
				(((BgL_funcallz00_bglt) COBJECT(
							((BgL_funcallz00_bglt) BgL_nodez00_3520)))->BgL_argsz00),
				BgL_integratorz00_3521);
			return ((BgL_nodez00_bglt) ((BgL_funcallz00_bglt) BgL_nodez00_3520));
		}

	}



/* &glo!-app-ly1382 */
	BgL_nodez00_bglt BGl_z62gloz12zd2appzd2ly1382z70zzglobaliza7e_nodeza7(obj_t
		BgL_envz00_3522, obj_t BgL_nodez00_3523, obj_t BgL_integratorz00_3524)
	{
		{	/* Globalize/node.scm 273 */
			{
				BgL_nodez00_bglt BgL_auxz00_5303;

				{	/* Globalize/node.scm 275 */
					BgL_nodez00_bglt BgL_arg1900z00_3697;

					BgL_arg1900z00_3697 =
						(((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_3523)))->BgL_funz00);
					BgL_auxz00_5303 =
						BGl_gloz12z12zzglobaliza7e_nodeza7(BgL_arg1900z00_3697,
						((BgL_variablez00_bglt) BgL_integratorz00_3524));
				}
				((((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_3523)))->BgL_funz00) =
					((BgL_nodez00_bglt) BgL_auxz00_5303), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_5310;

				{	/* Globalize/node.scm 276 */
					BgL_nodez00_bglt BgL_arg1901z00_3698;

					BgL_arg1901z00_3698 =
						(((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_3523)))->BgL_argz00);
					BgL_auxz00_5310 =
						BGl_gloz12z12zzglobaliza7e_nodeza7(BgL_arg1901z00_3698,
						((BgL_variablez00_bglt) BgL_integratorz00_3524));
				}
				((((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_3523)))->BgL_argz00) =
					((BgL_nodez00_bglt) BgL_auxz00_5310), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_appzd2lyzd2_bglt) BgL_nodez00_3523));
		}

	}



/* &glo!-app1380 */
	BgL_nodez00_bglt BGl_z62gloz12zd2app1380za2zzglobaliza7e_nodeza7(obj_t
		BgL_envz00_3525, obj_t BgL_nodez00_3526, obj_t BgL_integratorz00_3527)
	{
		{	/* Globalize/node.scm 208 */
			{	/* Globalize/node.scm 210 */
				obj_t BgL_funz00_3700;

				BgL_funz00_3700 =
					((obj_t)
					(((BgL_varz00_bglt) COBJECT(
								(((BgL_appz00_bglt) COBJECT(
											((BgL_appz00_bglt) BgL_nodez00_3526)))->BgL_funz00)))->
						BgL_variablez00));
				{	/* Globalize/node.scm 210 */
					BgL_valuez00_bglt BgL_infoz00_3701;

					BgL_infoz00_3701 =
						(((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt) BgL_funz00_3700)))->BgL_valuez00);
					{	/* Globalize/node.scm 211 */

						{	/* Globalize/node.scm 220 */
							bool_t BgL_test2221z00_5325;

							{	/* Globalize/node.scm 220 */
								bool_t BgL_test2222z00_5326;

								{	/* Globalize/node.scm 220 */
									obj_t BgL_classz00_3702;

									BgL_classz00_3702 = BGl_localz00zzast_varz00;
									if (BGL_OBJECTP(BgL_funz00_3700))
										{	/* Globalize/node.scm 220 */
											BgL_objectz00_bglt BgL_arg1858z00_3703;

											BgL_arg1858z00_3703 =
												(BgL_objectz00_bglt) (BgL_funz00_3700);
											if (BGL_CONDEXPAND_ISA_ARCH64())
												{	/* Globalize/node.scm 220 */
													long BgL_idxz00_3704;

													BgL_idxz00_3704 =
														BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_3703);
													BgL_test2222z00_5326 =
														(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
															(BgL_idxz00_3704 + 2L)) == BgL_classz00_3702);
												}
											else
												{	/* Globalize/node.scm 220 */
													bool_t BgL_res2089z00_3707;

													{	/* Globalize/node.scm 220 */
														obj_t BgL_oclassz00_3708;

														{	/* Globalize/node.scm 220 */
															obj_t BgL_arg1866z00_3709;
															long BgL_arg1867z00_3710;

															BgL_arg1866z00_3709 =
																(BGl_za2classesza2z00zz__objectz00);
															{	/* Globalize/node.scm 220 */
																long BgL_arg1869z00_3711;

																BgL_arg1869z00_3711 =
																	BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_3703);
																BgL_arg1867z00_3710 =
																	(BgL_arg1869z00_3711 - OBJECT_TYPE);
															}
															BgL_oclassz00_3708 =
																VECTOR_REF(BgL_arg1866z00_3709,
																BgL_arg1867z00_3710);
														}
														{	/* Globalize/node.scm 220 */
															bool_t BgL__ortest_1115z00_3712;

															BgL__ortest_1115z00_3712 =
																(BgL_classz00_3702 == BgL_oclassz00_3708);
															if (BgL__ortest_1115z00_3712)
																{	/* Globalize/node.scm 220 */
																	BgL_res2089z00_3707 =
																		BgL__ortest_1115z00_3712;
																}
															else
																{	/* Globalize/node.scm 220 */
																	long BgL_odepthz00_3713;

																	{	/* Globalize/node.scm 220 */
																		obj_t BgL_arg1855z00_3714;

																		BgL_arg1855z00_3714 = (BgL_oclassz00_3708);
																		BgL_odepthz00_3713 =
																			BGL_CLASS_DEPTH(BgL_arg1855z00_3714);
																	}
																	if ((2L < BgL_odepthz00_3713))
																		{	/* Globalize/node.scm 220 */
																			obj_t BgL_arg1853z00_3715;

																			{	/* Globalize/node.scm 220 */
																				obj_t BgL_arg1854z00_3716;

																				BgL_arg1854z00_3716 =
																					(BgL_oclassz00_3708);
																				BgL_arg1853z00_3715 =
																					BGL_CLASS_ANCESTORS_REF
																					(BgL_arg1854z00_3716, 2L);
																			}
																			BgL_res2089z00_3707 =
																				(BgL_arg1853z00_3715 ==
																				BgL_classz00_3702);
																		}
																	else
																		{	/* Globalize/node.scm 220 */
																			BgL_res2089z00_3707 = ((bool_t) 0);
																		}
																}
														}
													}
													BgL_test2222z00_5326 = BgL_res2089z00_3707;
												}
										}
									else
										{	/* Globalize/node.scm 220 */
											BgL_test2222z00_5326 = ((bool_t) 0);
										}
								}
								if (BgL_test2222z00_5326)
									{	/* Globalize/node.scm 221 */
										bool_t BgL_test2227z00_5349;

										if ((BgL_funz00_3700 == BgL_integratorz00_3527))
											{	/* Globalize/node.scm 222 */
												bool_t BgL_test2229z00_5352;

												{
													BgL_localzf2ginfozf2_bglt BgL_auxz00_5353;

													{
														obj_t BgL_auxz00_5354;

														{	/* Globalize/node.scm 222 */
															BgL_objectz00_bglt BgL_tmpz00_5355;

															BgL_tmpz00_5355 =
																((BgL_objectz00_bglt)
																((BgL_localz00_bglt) BgL_funz00_3700));
															BgL_auxz00_5354 =
																BGL_OBJECT_WIDENING(BgL_tmpz00_5355);
														}
														BgL_auxz00_5353 =
															((BgL_localzf2ginfozf2_bglt) BgL_auxz00_5354);
													}
													BgL_test2229z00_5352 =
														(((BgL_localzf2ginfozf2_bglt)
															COBJECT(BgL_auxz00_5353))->BgL_escapezf3zf3);
												}
												if (BgL_test2229z00_5352)
													{	/* Globalize/node.scm 222 */
														BgL_test2227z00_5349 = ((bool_t) 0);
													}
												else
													{	/* Globalize/node.scm 222 */
														BgL_test2227z00_5349 = ((bool_t) 1);
													}
											}
										else
											{	/* Globalize/node.scm 221 */
												BgL_test2227z00_5349 = ((bool_t) 1);
											}
										if (BgL_test2227z00_5349)
											{
												BgL_sfunzf2ginfozf2_bglt BgL_auxz00_5361;

												{
													obj_t BgL_auxz00_5362;

													{	/* Globalize/node.scm 223 */
														BgL_objectz00_bglt BgL_tmpz00_5363;

														BgL_tmpz00_5363 =
															((BgL_objectz00_bglt)
															((BgL_sfunz00_bglt) BgL_infoz00_3701));
														BgL_auxz00_5362 =
															BGL_OBJECT_WIDENING(BgL_tmpz00_5363);
													}
													BgL_auxz00_5361 =
														((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_5362);
												}
												BgL_test2221z00_5325 =
													(((BgL_sfunzf2ginfozf2_bglt)
														COBJECT(BgL_auxz00_5361))->BgL_gzf3zf3);
											}
										else
											{	/* Globalize/node.scm 221 */
												BgL_test2221z00_5325 = ((bool_t) 0);
											}
									}
								else
									{	/* Globalize/node.scm 220 */
										BgL_test2221z00_5325 = ((bool_t) 0);
									}
							}
							if (BgL_test2221z00_5325)
								{	/* Globalize/node.scm 225 */
									BgL_refz00_bglt BgL_arg1856z00_3717;

									{	/* Globalize/node.scm 225 */
										BgL_refz00_bglt BgL_new1138z00_3718;

										{	/* Globalize/node.scm 226 */
											BgL_refz00_bglt BgL_new1137z00_3719;

											BgL_new1137z00_3719 =
												((BgL_refz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
															BgL_refz00_bgl))));
											{	/* Globalize/node.scm 226 */
												long BgL_arg1857z00_3720;

												BgL_arg1857z00_3720 =
													BGL_CLASS_NUM(BGl_refz00zzast_nodez00);
												BGL_OBJECT_CLASS_NUM_SET(
													((BgL_objectz00_bglt) BgL_new1137z00_3719),
													BgL_arg1857z00_3720);
											}
											{	/* Globalize/node.scm 226 */
												BgL_objectz00_bglt BgL_tmpz00_5373;

												BgL_tmpz00_5373 =
													((BgL_objectz00_bglt) BgL_new1137z00_3719);
												BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5373, BFALSE);
											}
											((BgL_objectz00_bglt) BgL_new1137z00_3719);
											BgL_new1138z00_3718 = BgL_new1137z00_3719;
										}
										((((BgL_nodez00_bglt) COBJECT(
														((BgL_nodez00_bglt) BgL_new1138z00_3718)))->
												BgL_locz00) =
											((obj_t) (((BgL_nodez00_bglt)
														COBJECT(((BgL_nodez00_bglt) ((BgL_appz00_bglt)
																	BgL_nodez00_3526))))->BgL_locz00)), BUNSPEC);
										((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
															BgL_new1138z00_3718)))->BgL_typez00) =
											((BgL_typez00_bglt) (((BgL_nodez00_bglt)
														COBJECT(((BgL_nodez00_bglt) ((BgL_appz00_bglt)
																	BgL_nodez00_3526))))->BgL_typez00)), BUNSPEC);
										((((BgL_varz00_bglt) COBJECT(((BgL_varz00_bglt)
															BgL_new1138z00_3718)))->BgL_variablez00) =
											((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
													BGl_thezd2globalzd2zzglobaliza7e_localzd2ze3globalz96(
														((BgL_localz00_bglt) BgL_funz00_3700)))), BUNSPEC);
										BgL_arg1856z00_3717 = BgL_new1138z00_3718;
									}
									((((BgL_appz00_bglt) COBJECT(
													((BgL_appz00_bglt) BgL_nodez00_3526)))->BgL_funz00) =
										((BgL_varz00_bglt) ((BgL_varz00_bglt) BgL_arg1856z00_3717)),
										BUNSPEC);
								}
							else
								{	/* Globalize/node.scm 220 */
									BFALSE;
								}
						}
						{
							obj_t BgL_nodesz00_3722;

							BgL_nodesz00_3722 =
								(((BgL_appz00_bglt) COBJECT(
										((BgL_appz00_bglt) BgL_nodez00_3526)))->BgL_argsz00);
						BgL_liipz00_3721:
							if (NULLP(BgL_nodesz00_3722))
								{	/* Globalize/node.scm 232 */
									((obj_t) CNST_TABLE_REF(2));
								}
							else
								{	/* Globalize/node.scm 232 */
									{	/* Globalize/node.scm 235 */
										BgL_nodez00_bglt BgL_arg1865z00_3723;

										{	/* Globalize/node.scm 235 */
											obj_t BgL_arg1872z00_3724;

											BgL_arg1872z00_3724 = CAR(((obj_t) BgL_nodesz00_3722));
											BgL_arg1865z00_3723 =
												BGl_gloz12z12zzglobaliza7e_nodeza7(
												((BgL_nodez00_bglt) BgL_arg1872z00_3724),
												((BgL_variablez00_bglt) BgL_integratorz00_3527));
										}
										{	/* Globalize/node.scm 235 */
											obj_t BgL_auxz00_5406;
											obj_t BgL_tmpz00_5404;

											BgL_auxz00_5406 = ((obj_t) BgL_arg1865z00_3723);
											BgL_tmpz00_5404 = ((obj_t) BgL_nodesz00_3722);
											SET_CAR(BgL_tmpz00_5404, BgL_auxz00_5406);
										}
									}
									{	/* Globalize/node.scm 236 */
										obj_t BgL_arg1873z00_3725;

										BgL_arg1873z00_3725 = CDR(((obj_t) BgL_nodesz00_3722));
										{
											obj_t BgL_nodesz00_5411;

											BgL_nodesz00_5411 = BgL_arg1873z00_3725;
											BgL_nodesz00_3722 = BgL_nodesz00_5411;
											goto BgL_liipz00_3721;
										}
									}
								}
						}
						{	/* Globalize/node.scm 238 */
							bool_t BgL_test2231z00_5414;

							{	/* Globalize/node.scm 238 */
								bool_t BgL_test2232z00_5415;

								{	/* Globalize/node.scm 238 */
									obj_t BgL_classz00_3726;

									BgL_classz00_3726 = BGl_globalz00zzast_varz00;
									if (BGL_OBJECTP(BgL_funz00_3700))
										{	/* Globalize/node.scm 238 */
											BgL_objectz00_bglt BgL_arg1858z00_3727;

											BgL_arg1858z00_3727 =
												(BgL_objectz00_bglt) (BgL_funz00_3700);
											if (BGL_CONDEXPAND_ISA_ARCH64())
												{	/* Globalize/node.scm 238 */
													long BgL_idxz00_3728;

													BgL_idxz00_3728 =
														BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_3727);
													BgL_test2232z00_5415 =
														(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
															(BgL_idxz00_3728 + 2L)) == BgL_classz00_3726);
												}
											else
												{	/* Globalize/node.scm 238 */
													bool_t BgL_res2090z00_3731;

													{	/* Globalize/node.scm 238 */
														obj_t BgL_oclassz00_3732;

														{	/* Globalize/node.scm 238 */
															obj_t BgL_arg1866z00_3733;
															long BgL_arg1867z00_3734;

															BgL_arg1866z00_3733 =
																(BGl_za2classesza2z00zz__objectz00);
															{	/* Globalize/node.scm 238 */
																long BgL_arg1869z00_3735;

																BgL_arg1869z00_3735 =
																	BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_3727);
																BgL_arg1867z00_3734 =
																	(BgL_arg1869z00_3735 - OBJECT_TYPE);
															}
															BgL_oclassz00_3732 =
																VECTOR_REF(BgL_arg1866z00_3733,
																BgL_arg1867z00_3734);
														}
														{	/* Globalize/node.scm 238 */
															bool_t BgL__ortest_1115z00_3736;

															BgL__ortest_1115z00_3736 =
																(BgL_classz00_3726 == BgL_oclassz00_3732);
															if (BgL__ortest_1115z00_3736)
																{	/* Globalize/node.scm 238 */
																	BgL_res2090z00_3731 =
																		BgL__ortest_1115z00_3736;
																}
															else
																{	/* Globalize/node.scm 238 */
																	long BgL_odepthz00_3737;

																	{	/* Globalize/node.scm 238 */
																		obj_t BgL_arg1855z00_3738;

																		BgL_arg1855z00_3738 = (BgL_oclassz00_3732);
																		BgL_odepthz00_3737 =
																			BGL_CLASS_DEPTH(BgL_arg1855z00_3738);
																	}
																	if ((2L < BgL_odepthz00_3737))
																		{	/* Globalize/node.scm 238 */
																			obj_t BgL_arg1853z00_3739;

																			{	/* Globalize/node.scm 238 */
																				obj_t BgL_arg1854z00_3740;

																				BgL_arg1854z00_3740 =
																					(BgL_oclassz00_3732);
																				BgL_arg1853z00_3739 =
																					BGL_CLASS_ANCESTORS_REF
																					(BgL_arg1854z00_3740, 2L);
																			}
																			BgL_res2090z00_3731 =
																				(BgL_arg1853z00_3739 ==
																				BgL_classz00_3726);
																		}
																	else
																		{	/* Globalize/node.scm 238 */
																			BgL_res2090z00_3731 = ((bool_t) 0);
																		}
																}
														}
													}
													BgL_test2232z00_5415 = BgL_res2090z00_3731;
												}
										}
									else
										{	/* Globalize/node.scm 238 */
											BgL_test2232z00_5415 = ((bool_t) 0);
										}
								}
								if (BgL_test2232z00_5415)
									{	/* Globalize/node.scm 238 */
										BgL_test2231z00_5414 = ((bool_t) 1);
									}
								else
									{	/* Globalize/node.scm 239 */
										bool_t BgL_test2237z00_5438;

										{
											BgL_sfunzf2ginfozf2_bglt BgL_auxz00_5439;

											{
												obj_t BgL_auxz00_5440;

												{	/* Globalize/node.scm 239 */
													BgL_objectz00_bglt BgL_tmpz00_5441;

													BgL_tmpz00_5441 =
														((BgL_objectz00_bglt)
														((BgL_sfunz00_bglt) BgL_infoz00_3701));
													BgL_auxz00_5440 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_5441);
												}
												BgL_auxz00_5439 =
													((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_5440);
											}
											BgL_test2237z00_5438 =
												(((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_5439))->
												BgL_gzf3zf3);
										}
										if (BgL_test2237z00_5438)
											{	/* Globalize/node.scm 239 */
												if ((BgL_funz00_3700 == BgL_integratorz00_3527))
													{
														BgL_localzf2ginfozf2_bglt BgL_auxz00_5449;

														{
															obj_t BgL_auxz00_5450;

															{	/* Globalize/node.scm 241 */
																BgL_objectz00_bglt BgL_tmpz00_5451;

																BgL_tmpz00_5451 =
																	((BgL_objectz00_bglt)
																	((BgL_localz00_bglt) BgL_funz00_3700));
																BgL_auxz00_5450 =
																	BGL_OBJECT_WIDENING(BgL_tmpz00_5451);
															}
															BgL_auxz00_5449 =
																((BgL_localzf2ginfozf2_bglt) BgL_auxz00_5450);
														}
														BgL_test2231z00_5414 =
															(((BgL_localzf2ginfozf2_bglt)
																COBJECT(BgL_auxz00_5449))->BgL_escapezf3zf3);
													}
												else
													{	/* Globalize/node.scm 240 */
														BgL_test2231z00_5414 = ((bool_t) 0);
													}
											}
										else
											{	/* Globalize/node.scm 239 */
												BgL_test2231z00_5414 = ((bool_t) 1);
											}
									}
							}
							if (BgL_test2231z00_5414)
								{	/* Globalize/node.scm 238 */
									((obj_t) CNST_TABLE_REF(2));
								}
							else
								{	/* Globalize/node.scm 243 */
									bool_t BgL_test2239z00_5459;

									{
										BgL_localzf2ginfozf2_bglt BgL_auxz00_5460;

										{
											obj_t BgL_auxz00_5461;

											{	/* Globalize/node.scm 243 */
												BgL_objectz00_bglt BgL_tmpz00_5462;

												BgL_tmpz00_5462 =
													((BgL_objectz00_bglt)
													((BgL_localz00_bglt) BgL_funz00_3700));
												BgL_auxz00_5461 = BGL_OBJECT_WIDENING(BgL_tmpz00_5462);
											}
											BgL_auxz00_5460 =
												((BgL_localzf2ginfozf2_bglt) BgL_auxz00_5461);
										}
										BgL_test2239z00_5459 =
											(((BgL_localzf2ginfozf2_bglt) COBJECT(BgL_auxz00_5460))->
											BgL_escapezf3zf3);
									}
									if (BgL_test2239z00_5459)
										{
											obj_t BgL_auxz00_5468;

											{	/* Globalize/node.scm 246 */
												BgL_nodez00_bglt BgL_arg1882z00_3741;
												obj_t BgL_arg1884z00_3742;

												{	/* Globalize/node.scm 246 */
													BgL_refz00_bglt BgL_arg1885z00_3743;

													{	/* Globalize/node.scm 246 */
														BgL_refz00_bglt BgL_new1141z00_3744;

														{	/* Globalize/node.scm 249 */
															BgL_refz00_bglt BgL_new1140z00_3745;

															BgL_new1140z00_3745 =
																((BgL_refz00_bglt)
																BOBJECT(GC_MALLOC(sizeof(struct
																			BgL_refz00_bgl))));
															{	/* Globalize/node.scm 249 */
																long BgL_arg1890z00_3746;

																{	/* Globalize/node.scm 249 */
																	obj_t BgL_classz00_3747;

																	BgL_classz00_3747 = BGl_refz00zzast_nodez00;
																	BgL_arg1890z00_3746 =
																		BGL_CLASS_NUM(BgL_classz00_3747);
																}
																BGL_OBJECT_CLASS_NUM_SET(
																	((BgL_objectz00_bglt) BgL_new1140z00_3745),
																	BgL_arg1890z00_3746);
															}
															{	/* Globalize/node.scm 249 */
																BgL_objectz00_bglt BgL_tmpz00_5474;

																BgL_tmpz00_5474 =
																	((BgL_objectz00_bglt) BgL_new1140z00_3745);
																BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5474,
																	BFALSE);
															}
															((BgL_objectz00_bglt) BgL_new1140z00_3745);
															BgL_new1141z00_3744 = BgL_new1140z00_3745;
														}
														((((BgL_nodez00_bglt) COBJECT(
																		((BgL_nodez00_bglt) BgL_new1141z00_3744)))->
																BgL_locz00) =
															((obj_t) (((BgL_nodez00_bglt)
																		COBJECT(((BgL_nodez00_bglt) (
																					(BgL_appz00_bglt)
																					BgL_nodez00_3526))))->BgL_locz00)),
															BUNSPEC);
														{
															BgL_typez00_bglt BgL_auxz00_5483;

															{	/* Globalize/node.scm 248 */
																obj_t BgL_arg1886z00_3748;

																{	/* Globalize/node.scm 248 */
																	obj_t BgL_arg1887z00_3749;

																	BgL_arg1887z00_3749 =
																		(((BgL_nodez00_bglt) COBJECT(
																				((BgL_nodez00_bglt)
																					((BgL_appz00_bglt)
																						BgL_nodez00_3526))))->BgL_locz00);
																	BgL_arg1886z00_3748 =
																		BGl_thezd2closurezd2zzglobaliza7e_freeza7((
																			(BgL_variablez00_bglt) BgL_funz00_3700),
																		BgL_arg1887z00_3749);
																}
																BgL_auxz00_5483 =
																	(((BgL_variablez00_bglt) COBJECT(
																			((BgL_variablez00_bglt)
																				BgL_arg1886z00_3748)))->BgL_typez00);
															}
															((((BgL_nodez00_bglt) COBJECT(
																			((BgL_nodez00_bglt)
																				BgL_new1141z00_3744)))->BgL_typez00) =
																((BgL_typez00_bglt) BgL_auxz00_5483), BUNSPEC);
														}
														{
															BgL_variablez00_bglt BgL_auxz00_5493;

															{	/* Globalize/node.scm 249 */
																obj_t BgL_arg1889z00_3750;

																BgL_arg1889z00_3750 =
																	(((BgL_nodez00_bglt) COBJECT(
																			((BgL_nodez00_bglt)
																				((BgL_appz00_bglt)
																					BgL_nodez00_3526))))->BgL_locz00);
																BgL_auxz00_5493 =
																	((BgL_variablez00_bglt)
																	BGl_thezd2closurezd2zzglobaliza7e_freeza7((
																			(BgL_variablez00_bglt) BgL_funz00_3700),
																		BgL_arg1889z00_3750));
															}
															((((BgL_varz00_bglt) COBJECT(
																			((BgL_varz00_bglt)
																				BgL_new1141z00_3744)))->
																	BgL_variablez00) =
																((BgL_variablez00_bglt) BgL_auxz00_5493),
																BUNSPEC);
														}
														BgL_arg1885z00_3743 = BgL_new1141z00_3744;
													}
													BgL_arg1882z00_3741 =
														BGl_gloz12z12zzglobaliza7e_nodeza7(
														((BgL_nodez00_bglt) BgL_arg1885z00_3743),
														((BgL_variablez00_bglt) BgL_integratorz00_3527));
												}
												BgL_arg1884z00_3742 =
													(((BgL_appz00_bglt) COBJECT(
															((BgL_appz00_bglt) BgL_nodez00_3526)))->
													BgL_argsz00);
												BgL_auxz00_5468 =
													MAKE_YOUNG_PAIR(((obj_t) BgL_arg1882z00_3741),
													BgL_arg1884z00_3742);
											}
											((((BgL_appz00_bglt) COBJECT(
															((BgL_appz00_bglt) BgL_nodez00_3526)))->
													BgL_argsz00) = ((obj_t) BgL_auxz00_5468), BUNSPEC);
										}
									else
										{	/* Globalize/node.scm 255 */
											obj_t BgL_g1142z00_3751;

											{
												BgL_sfunzf2ginfozf2_bglt BgL_auxz00_5510;

												{
													obj_t BgL_auxz00_5511;

													{	/* Globalize/node.scm 256 */
														BgL_objectz00_bglt BgL_tmpz00_5512;

														BgL_tmpz00_5512 =
															((BgL_objectz00_bglt)
															((BgL_sfunz00_bglt) BgL_infoz00_3701));
														BgL_auxz00_5511 =
															BGL_OBJECT_WIDENING(BgL_tmpz00_5512);
													}
													BgL_auxz00_5510 =
														((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_5511);
												}
												BgL_g1142z00_3751 =
													(((BgL_sfunzf2ginfozf2_bglt)
														COBJECT(BgL_auxz00_5510))->BgL_kapturedz00);
											}
											{
												obj_t BgL_newzd2actualszd2_3753;
												obj_t BgL_kapturedz00_3754;

												BgL_newzd2actualszd2_3753 =
													(((BgL_appz00_bglt) COBJECT(
															((BgL_appz00_bglt) BgL_nodez00_3526)))->
													BgL_argsz00);
												BgL_kapturedz00_3754 = BgL_g1142z00_3751;
											BgL_loopz00_3752:
												if (NULLP(BgL_kapturedz00_3754))
													{	/* Globalize/node.scm 257 */
														((((BgL_appz00_bglt) COBJECT(
																		((BgL_appz00_bglt) BgL_nodez00_3526)))->
																BgL_argsz00) =
															((obj_t) BgL_newzd2actualszd2_3753), BUNSPEC);
													}
												else
													{	/* Globalize/node.scm 259 */
														obj_t BgL_kapz00_3755;

														BgL_kapz00_3755 =
															CAR(((obj_t) BgL_kapturedz00_3754));
														{	/* Globalize/node.scm 259 */
															obj_t BgL_alphaz00_3756;

															BgL_alphaz00_3756 =
																(((BgL_variablez00_bglt) COBJECT(
																		((BgL_variablez00_bglt)
																			((BgL_localz00_bglt) BgL_kapz00_3755))))->
																BgL_fastzd2alphazd2);
															{	/* Globalize/node.scm 260 */
																obj_t BgL_varz00_3757;

																{	/* Globalize/node.scm 261 */
																	bool_t BgL_test2241z00_5527;

																	{	/* Globalize/node.scm 261 */
																		obj_t BgL_classz00_3758;

																		BgL_classz00_3758 =
																			BGl_localz00zzast_varz00;
																		if (BGL_OBJECTP(BgL_alphaz00_3756))
																			{	/* Globalize/node.scm 261 */
																				BgL_objectz00_bglt BgL_arg1858z00_3759;

																				BgL_arg1858z00_3759 =
																					(BgL_objectz00_bglt)
																					(BgL_alphaz00_3756);
																				if (BGL_CONDEXPAND_ISA_ARCH64())
																					{	/* Globalize/node.scm 261 */
																						long BgL_idxz00_3760;

																						BgL_idxz00_3760 =
																							BGL_OBJECT_INHERITANCE_NUM
																							(BgL_arg1858z00_3759);
																						BgL_test2241z00_5527 =
																							(VECTOR_REF
																							(BGl_za2inheritancesza2z00zz__objectz00,
																								(BgL_idxz00_3760 + 2L)) ==
																							BgL_classz00_3758);
																					}
																				else
																					{	/* Globalize/node.scm 261 */
																						bool_t BgL_res2091z00_3763;

																						{	/* Globalize/node.scm 261 */
																							obj_t BgL_oclassz00_3764;

																							{	/* Globalize/node.scm 261 */
																								obj_t BgL_arg1866z00_3765;
																								long BgL_arg1867z00_3766;

																								BgL_arg1866z00_3765 =
																									(BGl_za2classesza2z00zz__objectz00);
																								{	/* Globalize/node.scm 261 */
																									long BgL_arg1869z00_3767;

																									BgL_arg1869z00_3767 =
																										BGL_OBJECT_CLASS_NUM
																										(BgL_arg1858z00_3759);
																									BgL_arg1867z00_3766 =
																										(BgL_arg1869z00_3767 -
																										OBJECT_TYPE);
																								}
																								BgL_oclassz00_3764 =
																									VECTOR_REF
																									(BgL_arg1866z00_3765,
																									BgL_arg1867z00_3766);
																							}
																							{	/* Globalize/node.scm 261 */
																								bool_t BgL__ortest_1115z00_3768;

																								BgL__ortest_1115z00_3768 =
																									(BgL_classz00_3758 ==
																									BgL_oclassz00_3764);
																								if (BgL__ortest_1115z00_3768)
																									{	/* Globalize/node.scm 261 */
																										BgL_res2091z00_3763 =
																											BgL__ortest_1115z00_3768;
																									}
																								else
																									{	/* Globalize/node.scm 261 */
																										long BgL_odepthz00_3769;

																										{	/* Globalize/node.scm 261 */
																											obj_t BgL_arg1855z00_3770;

																											BgL_arg1855z00_3770 =
																												(BgL_oclassz00_3764);
																											BgL_odepthz00_3769 =
																												BGL_CLASS_DEPTH
																												(BgL_arg1855z00_3770);
																										}
																										if (
																											(2L < BgL_odepthz00_3769))
																											{	/* Globalize/node.scm 261 */
																												obj_t
																													BgL_arg1853z00_3771;
																												{	/* Globalize/node.scm 261 */
																													obj_t
																														BgL_arg1854z00_3772;
																													BgL_arg1854z00_3772 =
																														(BgL_oclassz00_3764);
																													BgL_arg1853z00_3771 =
																														BGL_CLASS_ANCESTORS_REF
																														(BgL_arg1854z00_3772,
																														2L);
																												}
																												BgL_res2091z00_3763 =
																													(BgL_arg1853z00_3771
																													== BgL_classz00_3758);
																											}
																										else
																											{	/* Globalize/node.scm 261 */
																												BgL_res2091z00_3763 =
																													((bool_t) 0);
																											}
																									}
																							}
																						}
																						BgL_test2241z00_5527 =
																							BgL_res2091z00_3763;
																					}
																			}
																		else
																			{	/* Globalize/node.scm 261 */
																				BgL_test2241z00_5527 = ((bool_t) 0);
																			}
																	}
																	if (BgL_test2241z00_5527)
																		{	/* Globalize/node.scm 261 */
																			BgL_varz00_3757 = BgL_alphaz00_3756;
																		}
																	else
																		{	/* Globalize/node.scm 261 */
																			BgL_varz00_3757 = BgL_kapz00_3755;
																		}
																}
																{	/* Globalize/node.scm 261 */

																	{	/* Globalize/node.scm 262 */
																		obj_t BgL_arg1894z00_3773;
																		obj_t BgL_arg1895z00_3774;

																		{	/* Globalize/node.scm 262 */
																			BgL_refz00_bglt BgL_arg1896z00_3775;

																			{	/* Globalize/node.scm 262 */
																				BgL_refz00_bglt BgL_new1144z00_3776;

																				{	/* Globalize/node.scm 265 */
																					BgL_refz00_bglt BgL_new1143z00_3777;

																					BgL_new1143z00_3777 =
																						((BgL_refz00_bglt)
																						BOBJECT(GC_MALLOC(sizeof(struct
																									BgL_refz00_bgl))));
																					{	/* Globalize/node.scm 265 */
																						long BgL_arg1897z00_3778;

																						BgL_arg1897z00_3778 =
																							BGL_CLASS_NUM
																							(BGl_refz00zzast_nodez00);
																						BGL_OBJECT_CLASS_NUM_SET((
																								(BgL_objectz00_bglt)
																								BgL_new1143z00_3777),
																							BgL_arg1897z00_3778);
																					}
																					{	/* Globalize/node.scm 265 */
																						BgL_objectz00_bglt BgL_tmpz00_5554;

																						BgL_tmpz00_5554 =
																							((BgL_objectz00_bglt)
																							BgL_new1143z00_3777);
																						BGL_OBJECT_WIDENING_SET
																							(BgL_tmpz00_5554, BFALSE);
																					}
																					((BgL_objectz00_bglt)
																						BgL_new1143z00_3777);
																					BgL_new1144z00_3776 =
																						BgL_new1143z00_3777;
																				}
																				((((BgL_nodez00_bglt) COBJECT(
																								((BgL_nodez00_bglt)
																									BgL_new1144z00_3776)))->
																						BgL_locz00) =
																					((obj_t) (((BgL_nodez00_bglt)
																								COBJECT(((BgL_nodez00_bglt) (
																											(BgL_appz00_bglt)
																											BgL_nodez00_3526))))->
																							BgL_locz00)), BUNSPEC);
																				((((BgL_nodez00_bglt)
																							COBJECT(((BgL_nodez00_bglt)
																									BgL_new1144z00_3776)))->
																						BgL_typez00) =
																					((BgL_typez00_bglt) ((
																								(BgL_variablez00_bglt)
																								COBJECT(((BgL_variablez00_bglt)
																										BgL_varz00_3757)))->
																							BgL_typez00)), BUNSPEC);
																				((((BgL_varz00_bglt)
																							COBJECT(((BgL_varz00_bglt)
																									BgL_new1144z00_3776)))->
																						BgL_variablez00) =
																					((BgL_variablez00_bglt) (
																							(BgL_variablez00_bglt)
																							BgL_varz00_3757)), BUNSPEC);
																				BgL_arg1896z00_3775 =
																					BgL_new1144z00_3776;
																			}
																			BgL_arg1894z00_3773 =
																				MAKE_YOUNG_PAIR(
																				((obj_t) BgL_arg1896z00_3775),
																				BgL_newzd2actualszd2_3753);
																		}
																		BgL_arg1895z00_3774 =
																			CDR(((obj_t) BgL_kapturedz00_3754));
																		{
																			obj_t BgL_kapturedz00_5575;
																			obj_t BgL_newzd2actualszd2_5574;

																			BgL_newzd2actualszd2_5574 =
																				BgL_arg1894z00_3773;
																			BgL_kapturedz00_5575 =
																				BgL_arg1895z00_3774;
																			BgL_kapturedz00_3754 =
																				BgL_kapturedz00_5575;
																			BgL_newzd2actualszd2_3753 =
																				BgL_newzd2actualszd2_5574;
																			goto BgL_loopz00_3752;
																		}
																	}
																}
															}
														}
													}
											}
										}
								}
						}
						return ((BgL_nodez00_bglt) ((BgL_appz00_bglt) BgL_nodez00_3526));
					}
				}
			}
		}

	}



/* &glo!-sync1378 */
	BgL_nodez00_bglt BGl_z62gloz12zd2sync1378za2zzglobaliza7e_nodeza7(obj_t
		BgL_envz00_3528, obj_t BgL_nodez00_3529, obj_t BgL_integratorz00_3530)
	{
		{	/* Globalize/node.scm 198 */
			{
				BgL_nodez00_bglt BgL_auxz00_5580;

				{	/* Globalize/node.scm 200 */
					BgL_nodez00_bglt BgL_arg1842z00_3780;

					BgL_arg1842z00_3780 =
						(((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_3529)))->BgL_mutexz00);
					BgL_auxz00_5580 =
						BGl_gloz12z12zzglobaliza7e_nodeza7(BgL_arg1842z00_3780,
						((BgL_variablez00_bglt) BgL_integratorz00_3530));
				}
				((((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_3529)))->BgL_mutexz00) =
					((BgL_nodez00_bglt) BgL_auxz00_5580), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_5587;

				{	/* Globalize/node.scm 201 */
					BgL_nodez00_bglt BgL_arg1845z00_3781;

					BgL_arg1845z00_3781 =
						(((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_3529)))->BgL_prelockz00);
					BgL_auxz00_5587 =
						BGl_gloz12z12zzglobaliza7e_nodeza7(BgL_arg1845z00_3781,
						((BgL_variablez00_bglt) BgL_integratorz00_3530));
				}
				((((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_3529)))->BgL_prelockz00) =
					((BgL_nodez00_bglt) BgL_auxz00_5587), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_5594;

				{	/* Globalize/node.scm 202 */
					BgL_nodez00_bglt BgL_arg1847z00_3782;

					BgL_arg1847z00_3782 =
						(((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_3529)))->BgL_bodyz00);
					BgL_auxz00_5594 =
						BGl_gloz12z12zzglobaliza7e_nodeza7(BgL_arg1847z00_3782,
						((BgL_variablez00_bglt) BgL_integratorz00_3530));
				}
				((((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_3529)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_5594), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_syncz00_bglt) BgL_nodez00_3529));
		}

	}



/* &glo!-sequence1376 */
	BgL_nodez00_bglt BGl_z62gloz12zd2sequence1376za2zzglobaliza7e_nodeza7(obj_t
		BgL_envz00_3531, obj_t BgL_nodez00_3532, obj_t BgL_integratorz00_3533)
	{
		{	/* Globalize/node.scm 190 */
			BGl_gloza2z12zb0zzglobaliza7e_nodeza7(
				(((BgL_sequencez00_bglt) COBJECT(
							((BgL_sequencez00_bglt) BgL_nodez00_3532)))->BgL_nodesz00),
				BgL_integratorz00_3533);
			return ((BgL_nodez00_bglt) ((BgL_sequencez00_bglt) BgL_nodez00_3532));
		}

	}



/* &glo!-closure1374 */
	BgL_nodez00_bglt BGl_z62gloz12zd2closure1374za2zzglobaliza7e_nodeza7(obj_t
		BgL_envz00_3534, obj_t BgL_nodez00_3535, obj_t BgL_integratorz00_3536)
	{
		{	/* Globalize/node.scm 179 */
			{	/* Globalize/node.scm 181 */
				BgL_refz00_bglt BgL_arg1821z00_3785;

				{	/* Globalize/node.scm 181 */
					BgL_refz00_bglt BgL_new1133z00_3786;

					{	/* Globalize/node.scm 182 */
						BgL_refz00_bglt BgL_new1132z00_3787;

						BgL_new1132z00_3787 =
							((BgL_refz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_refz00_bgl))));
						{	/* Globalize/node.scm 182 */
							long BgL_arg1829z00_3788;

							BgL_arg1829z00_3788 = BGL_CLASS_NUM(BGl_refz00zzast_nodez00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1132z00_3787),
								BgL_arg1829z00_3788);
						}
						{	/* Globalize/node.scm 182 */
							BgL_objectz00_bglt BgL_tmpz00_5612;

							BgL_tmpz00_5612 = ((BgL_objectz00_bglt) BgL_new1132z00_3787);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5612, BFALSE);
						}
						((BgL_objectz00_bglt) BgL_new1132z00_3787);
						BgL_new1133z00_3786 = BgL_new1132z00_3787;
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt) BgL_new1133z00_3786)))->BgL_locz00) =
						((obj_t) (((BgL_nodez00_bglt)
									COBJECT(((BgL_nodez00_bglt) ((BgL_closurez00_bglt)
												BgL_nodez00_3535))))->BgL_locz00)), BUNSPEC);
					((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
										BgL_new1133z00_3786)))->BgL_typez00) =
						((BgL_typez00_bglt) ((BgL_typez00_bglt)
								BGl_za2procedureza2z00zztype_cachez00)), BUNSPEC);
					{
						BgL_variablez00_bglt BgL_auxz00_5624;

						{	/* Globalize/node.scm 184 */
							BgL_variablez00_bglt BgL_arg1822z00_3789;
							obj_t BgL_arg1825z00_3790;

							BgL_arg1822z00_3789 =
								(((BgL_varz00_bglt) COBJECT(
										((BgL_varz00_bglt)
											((BgL_closurez00_bglt) BgL_nodez00_3535))))->
								BgL_variablez00);
							BgL_arg1825z00_3790 =
								(((BgL_nodez00_bglt)
									COBJECT(((BgL_nodez00_bglt) ((BgL_closurez00_bglt)
												BgL_nodez00_3535))))->BgL_locz00);
							BgL_auxz00_5624 =
								((BgL_variablez00_bglt)
								BGl_thezd2closurezd2zzglobaliza7e_freeza7(BgL_arg1822z00_3789,
									BgL_arg1825z00_3790));
						}
						((((BgL_varz00_bglt) COBJECT(
										((BgL_varz00_bglt) BgL_new1133z00_3786)))->
								BgL_variablez00) =
							((BgL_variablez00_bglt) BgL_auxz00_5624), BUNSPEC);
					}
					BgL_arg1821z00_3785 = BgL_new1133z00_3786;
				}
				return
					BGl_gloz12z12zzglobaliza7e_nodeza7(
					((BgL_nodez00_bglt) BgL_arg1821z00_3785),
					((BgL_variablez00_bglt) BgL_integratorz00_3536));
			}
		}

	}



/* &glo!-var1372 */
	BgL_nodez00_bglt BGl_z62gloz12zd2var1372za2zzglobaliza7e_nodeza7(obj_t
		BgL_envz00_3537, obj_t BgL_nodez00_3538, obj_t BgL_integratorz00_3539)
	{
		{	/* Globalize/node.scm 151 */
			{	/* Globalize/node.scm 152 */
				BgL_variablez00_bglt BgL_variablez00_3792;

				BgL_variablez00_3792 =
					(((BgL_varz00_bglt) COBJECT(
							((BgL_varz00_bglt) BgL_nodez00_3538)))->BgL_variablez00);
				{	/* Globalize/node.scm 152 */
					BgL_typez00_bglt BgL_vtypez00_3793;

					BgL_vtypez00_3793 =
						(((BgL_variablez00_bglt) COBJECT(BgL_variablez00_3792))->
						BgL_typez00);
					{	/* Globalize/node.scm 153 */

						{
							obj_t BgL_variablez00_3795;

							BgL_variablez00_3795 = ((obj_t) BgL_variablez00_3792);
						BgL_loopz00_3794:
							{	/* Globalize/node.scm 155 */
								obj_t BgL_alphaz00_3796;

								BgL_alphaz00_3796 =
									(((BgL_variablez00_bglt) COBJECT(
											((BgL_variablez00_bglt) BgL_variablez00_3795)))->
									BgL_fastzd2alphazd2);
								{	/* Globalize/node.scm 157 */
									bool_t BgL_test2246z00_5643;

									{	/* Globalize/node.scm 157 */
										obj_t BgL_classz00_3797;

										BgL_classz00_3797 = BGl_localz00zzast_varz00;
										if (BGL_OBJECTP(BgL_alphaz00_3796))
											{	/* Globalize/node.scm 157 */
												BgL_objectz00_bglt BgL_arg1858z00_3798;

												BgL_arg1858z00_3798 =
													(BgL_objectz00_bglt) (BgL_alphaz00_3796);
												if (BGL_CONDEXPAND_ISA_ARCH64())
													{	/* Globalize/node.scm 157 */
														long BgL_idxz00_3799;

														BgL_idxz00_3799 =
															BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_3798);
														BgL_test2246z00_5643 =
															(VECTOR_REF
															(BGl_za2inheritancesza2z00zz__objectz00,
																(BgL_idxz00_3799 + 2L)) == BgL_classz00_3797);
													}
												else
													{	/* Globalize/node.scm 157 */
														bool_t BgL_res2087z00_3802;

														{	/* Globalize/node.scm 157 */
															obj_t BgL_oclassz00_3803;

															{	/* Globalize/node.scm 157 */
																obj_t BgL_arg1866z00_3804;
																long BgL_arg1867z00_3805;

																BgL_arg1866z00_3804 =
																	(BGl_za2classesza2z00zz__objectz00);
																{	/* Globalize/node.scm 157 */
																	long BgL_arg1869z00_3806;

																	BgL_arg1869z00_3806 =
																		BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_3798);
																	BgL_arg1867z00_3805 =
																		(BgL_arg1869z00_3806 - OBJECT_TYPE);
																}
																BgL_oclassz00_3803 =
																	VECTOR_REF(BgL_arg1866z00_3804,
																	BgL_arg1867z00_3805);
															}
															{	/* Globalize/node.scm 157 */
																bool_t BgL__ortest_1115z00_3807;

																BgL__ortest_1115z00_3807 =
																	(BgL_classz00_3797 == BgL_oclassz00_3803);
																if (BgL__ortest_1115z00_3807)
																	{	/* Globalize/node.scm 157 */
																		BgL_res2087z00_3802 =
																			BgL__ortest_1115z00_3807;
																	}
																else
																	{	/* Globalize/node.scm 157 */
																		long BgL_odepthz00_3808;

																		{	/* Globalize/node.scm 157 */
																			obj_t BgL_arg1855z00_3809;

																			BgL_arg1855z00_3809 =
																				(BgL_oclassz00_3803);
																			BgL_odepthz00_3808 =
																				BGL_CLASS_DEPTH(BgL_arg1855z00_3809);
																		}
																		if ((2L < BgL_odepthz00_3808))
																			{	/* Globalize/node.scm 157 */
																				obj_t BgL_arg1853z00_3810;

																				{	/* Globalize/node.scm 157 */
																					obj_t BgL_arg1854z00_3811;

																					BgL_arg1854z00_3811 =
																						(BgL_oclassz00_3803);
																					BgL_arg1853z00_3810 =
																						BGL_CLASS_ANCESTORS_REF
																						(BgL_arg1854z00_3811, 2L);
																				}
																				BgL_res2087z00_3802 =
																					(BgL_arg1853z00_3810 ==
																					BgL_classz00_3797);
																			}
																		else
																			{	/* Globalize/node.scm 157 */
																				BgL_res2087z00_3802 = ((bool_t) 0);
																			}
																	}
															}
														}
														BgL_test2246z00_5643 = BgL_res2087z00_3802;
													}
											}
										else
											{	/* Globalize/node.scm 157 */
												BgL_test2246z00_5643 = ((bool_t) 0);
											}
									}
									if (BgL_test2246z00_5643)
										{	/* Globalize/node.scm 157 */
											((((BgL_varz00_bglt) COBJECT(
															((BgL_varz00_bglt) BgL_nodez00_3538)))->
													BgL_variablez00) =
												((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
														BgL_alphaz00_3796)), BUNSPEC);
											{	/* Globalize/node.scm 159 */
												BgL_typez00_bglt BgL_arg1810z00_3812;

												BgL_arg1810z00_3812 =
													BGl_getzd2bigloozd2definedzd2typezd2zztype_cachez00
													(BgL_vtypez00_3793);
												((((BgL_nodez00_bglt)
															COBJECT(((BgL_nodez00_bglt) ((BgL_varz00_bglt)
																		BgL_nodez00_3538))))->BgL_typez00) =
													((BgL_typez00_bglt) BgL_arg1810z00_3812), BUNSPEC);
											}
											{
												obj_t BgL_variablez00_5673;

												BgL_variablez00_5673 = BgL_alphaz00_3796;
												BgL_variablez00_3795 = BgL_variablez00_5673;
												goto BgL_loopz00_3794;
											}
										}
									else
										{	/* Globalize/node.scm 161 */
											bool_t BgL_test2251z00_5674;

											{	/* Globalize/node.scm 161 */
												obj_t BgL_classz00_3813;

												BgL_classz00_3813 = BGl_globalz00zzast_varz00;
												if (BGL_OBJECTP(BgL_variablez00_3795))
													{	/* Globalize/node.scm 161 */
														BgL_objectz00_bglt BgL_arg1858z00_3814;

														BgL_arg1858z00_3814 =
															(BgL_objectz00_bglt) (BgL_variablez00_3795);
														if (BGL_CONDEXPAND_ISA_ARCH64())
															{	/* Globalize/node.scm 161 */
																long BgL_idxz00_3815;

																BgL_idxz00_3815 =
																	BGL_OBJECT_INHERITANCE_NUM
																	(BgL_arg1858z00_3814);
																BgL_test2251z00_5674 =
																	(VECTOR_REF
																	(BGl_za2inheritancesza2z00zz__objectz00,
																		(BgL_idxz00_3815 + 2L)) ==
																	BgL_classz00_3813);
															}
														else
															{	/* Globalize/node.scm 161 */
																bool_t BgL_res2088z00_3818;

																{	/* Globalize/node.scm 161 */
																	obj_t BgL_oclassz00_3819;

																	{	/* Globalize/node.scm 161 */
																		obj_t BgL_arg1866z00_3820;
																		long BgL_arg1867z00_3821;

																		BgL_arg1866z00_3820 =
																			(BGl_za2classesza2z00zz__objectz00);
																		{	/* Globalize/node.scm 161 */
																			long BgL_arg1869z00_3822;

																			BgL_arg1869z00_3822 =
																				BGL_OBJECT_CLASS_NUM
																				(BgL_arg1858z00_3814);
																			BgL_arg1867z00_3821 =
																				(BgL_arg1869z00_3822 - OBJECT_TYPE);
																		}
																		BgL_oclassz00_3819 =
																			VECTOR_REF(BgL_arg1866z00_3820,
																			BgL_arg1867z00_3821);
																	}
																	{	/* Globalize/node.scm 161 */
																		bool_t BgL__ortest_1115z00_3823;

																		BgL__ortest_1115z00_3823 =
																			(BgL_classz00_3813 == BgL_oclassz00_3819);
																		if (BgL__ortest_1115z00_3823)
																			{	/* Globalize/node.scm 161 */
																				BgL_res2088z00_3818 =
																					BgL__ortest_1115z00_3823;
																			}
																		else
																			{	/* Globalize/node.scm 161 */
																				long BgL_odepthz00_3824;

																				{	/* Globalize/node.scm 161 */
																					obj_t BgL_arg1855z00_3825;

																					BgL_arg1855z00_3825 =
																						(BgL_oclassz00_3819);
																					BgL_odepthz00_3824 =
																						BGL_CLASS_DEPTH
																						(BgL_arg1855z00_3825);
																				}
																				if ((2L < BgL_odepthz00_3824))
																					{	/* Globalize/node.scm 161 */
																						obj_t BgL_arg1853z00_3826;

																						{	/* Globalize/node.scm 161 */
																							obj_t BgL_arg1854z00_3827;

																							BgL_arg1854z00_3827 =
																								(BgL_oclassz00_3819);
																							BgL_arg1853z00_3826 =
																								BGL_CLASS_ANCESTORS_REF
																								(BgL_arg1854z00_3827, 2L);
																						}
																						BgL_res2088z00_3818 =
																							(BgL_arg1853z00_3826 ==
																							BgL_classz00_3813);
																					}
																				else
																					{	/* Globalize/node.scm 161 */
																						BgL_res2088z00_3818 = ((bool_t) 0);
																					}
																			}
																	}
																}
																BgL_test2251z00_5674 = BgL_res2088z00_3818;
															}
													}
												else
													{	/* Globalize/node.scm 161 */
														BgL_test2251z00_5674 = ((bool_t) 0);
													}
											}
											if (BgL_test2251z00_5674)
												{	/* Globalize/node.scm 161 */
													return
														((BgL_nodez00_bglt)
														((BgL_varz00_bglt) BgL_nodez00_3538));
												}
											else
												{	/* Globalize/node.scm 161 */
													if (BGl_celledzf3zf3zzglobaliza7e_nodeza7(
															((BgL_variablez00_bglt) BgL_variablez00_3795)))
														{	/* Globalize/node.scm 165 */
															BgL_typez00_bglt BgL_vtypez00_3828;
															BgL_typez00_bglt BgL_ntypez00_3829;

															BgL_vtypez00_3828 =
																BGl_getzd2bigloozd2definedzd2typezd2zztype_cachez00
																(BgL_vtypez00_3793);
															{	/* Globalize/node.scm 166 */
																BgL_typez00_bglt BgL_arg1818z00_3830;

																BgL_arg1818z00_3830 =
																	(((BgL_nodez00_bglt) COBJECT(
																			((BgL_nodez00_bglt)
																				((BgL_varz00_bglt)
																					BgL_nodez00_3538))))->BgL_typez00);
																BgL_ntypez00_3829 =
																	BGl_getzd2bigloozd2definedzd2typezd2zztype_cachez00
																	(BgL_arg1818z00_3830);
															}
															{	/* Globalize/node.scm 167 */
																BgL_typez00_bglt BgL_vz00_3831;

																BgL_vz00_3831 =
																	((BgL_typez00_bglt)
																	BGl_za2cellza2z00zztype_cachez00);
																((((BgL_nodez00_bglt)
																			COBJECT(((BgL_nodez00_bglt) (
																						(BgL_varz00_bglt)
																						BgL_nodez00_3538))))->BgL_typez00) =
																	((BgL_typez00_bglt) BgL_vz00_3831), BUNSPEC);
															}
															{	/* Globalize/node.scm 168 */
																BgL_boxzd2refzd2_bglt BgL_new1130z00_3832;

																{	/* Globalize/node.scm 169 */
																	BgL_boxzd2refzd2_bglt BgL_new1129z00_3833;

																	BgL_new1129z00_3833 =
																		((BgL_boxzd2refzd2_bglt)
																		BOBJECT(GC_MALLOC(sizeof(struct
																					BgL_boxzd2refzd2_bgl))));
																	{	/* Globalize/node.scm 169 */
																		long BgL_arg1814z00_3834;

																		BgL_arg1814z00_3834 =
																			BGL_CLASS_NUM
																			(BGl_boxzd2refzd2zzast_nodez00);
																		BGL_OBJECT_CLASS_NUM_SET((
																				(BgL_objectz00_bglt)
																				BgL_new1129z00_3833),
																			BgL_arg1814z00_3834);
																	}
																	{	/* Globalize/node.scm 169 */
																		BgL_objectz00_bglt BgL_tmpz00_5715;

																		BgL_tmpz00_5715 =
																			((BgL_objectz00_bglt)
																			BgL_new1129z00_3833);
																		BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5715,
																			BFALSE);
																	}
																	((BgL_objectz00_bglt) BgL_new1129z00_3833);
																	BgL_new1130z00_3832 = BgL_new1129z00_3833;
																}
																((((BgL_nodez00_bglt) COBJECT(
																				((BgL_nodez00_bglt)
																					BgL_new1130z00_3832)))->BgL_locz00) =
																	((obj_t) (((BgL_nodez00_bglt)
																				COBJECT(((BgL_nodez00_bglt) (
																							(BgL_varz00_bglt)
																							BgL_nodez00_3538))))->
																			BgL_locz00)), BUNSPEC);
																((((BgL_nodez00_bglt)
																			COBJECT(((BgL_nodez00_bglt)
																					BgL_new1130z00_3832)))->BgL_typez00) =
																	((BgL_typez00_bglt) BgL_ntypez00_3829),
																	BUNSPEC);
																((((BgL_nodezf2effectzf2_bglt)
																			COBJECT(((BgL_nodezf2effectzf2_bglt)
																					BgL_new1130z00_3832)))->
																		BgL_sidezd2effectzd2) =
																	((obj_t) BUNSPEC), BUNSPEC);
																((((BgL_nodezf2effectzf2_bglt)
																			COBJECT(((BgL_nodezf2effectzf2_bglt)
																					BgL_new1130z00_3832)))->BgL_keyz00) =
																	((obj_t) BINT((-1L))), BUNSPEC);
																((((BgL_boxzd2refzd2_bglt)
																			COBJECT(BgL_new1130z00_3832))->
																		BgL_varz00) =
																	((BgL_varz00_bglt) ((BgL_varz00_bglt)
																			BgL_nodez00_3538)), BUNSPEC);
																((((BgL_boxzd2refzd2_bglt)
																			COBJECT(BgL_new1130z00_3832))->
																		BgL_vtypez00) =
																	((BgL_typez00_bglt) BgL_vtypez00_3828),
																	BUNSPEC);
																return ((BgL_nodez00_bglt) BgL_new1130z00_3832);
															}
														}
													else
														{	/* Globalize/node.scm 163 */
															return
																((BgL_nodez00_bglt)
																((BgL_varz00_bglt) BgL_nodez00_3538));
														}
												}
										}
								}
							}
						}
					}
				}
			}
		}

	}



/* &glo!-kwote1370 */
	BgL_nodez00_bglt BGl_z62gloz12zd2kwote1370za2zzglobaliza7e_nodeza7(obj_t
		BgL_envz00_3540, obj_t BgL_nodez00_3541, obj_t BgL_integratorz00_3542)
	{
		{	/* Globalize/node.scm 145 */
			return ((BgL_nodez00_bglt) ((BgL_kwotez00_bglt) BgL_nodez00_3541));
		}

	}



/* &glo!-atom1368 */
	BgL_nodez00_bglt BGl_z62gloz12zd2atom1368za2zzglobaliza7e_nodeza7(obj_t
		BgL_envz00_3543, obj_t BgL_nodez00_3544, obj_t BgL_integratorz00_3545)
	{
		{	/* Globalize/node.scm 139 */
			return ((BgL_nodez00_bglt) ((BgL_atomz00_bglt) BgL_nodez00_3544));
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzglobaliza7e_nodeza7(void)
	{
		{	/* Globalize/node.scm 17 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(54713316L,
				BSTRING_TO_STRING(BGl_string2126z00zzglobaliza7e_nodeza7));
			BGl_modulezd2initializa7ationz75zztools_shapez00(365925558L,
				BSTRING_TO_STRING(BGl_string2126z00zzglobaliza7e_nodeza7));
			BGl_modulezd2initializa7ationz75zztype_typez00(515343395L,
				BSTRING_TO_STRING(BGl_string2126z00zzglobaliza7e_nodeza7));
			BGl_modulezd2initializa7ationz75zztype_cachez00(489890788L,
				BSTRING_TO_STRING(BGl_string2126z00zzglobaliza7e_nodeza7));
			BGl_modulezd2initializa7ationz75zztype_typeofz00(398780265L,
				BSTRING_TO_STRING(BGl_string2126z00zzglobaliza7e_nodeza7));
			BGl_modulezd2initializa7ationz75zzast_varz00(90839984L,
				BSTRING_TO_STRING(BGl_string2126z00zzglobaliza7e_nodeza7));
			BGl_modulezd2initializa7ationz75zzast_nodez00(469732712L,
				BSTRING_TO_STRING(BGl_string2126z00zzglobaliza7e_nodeza7));
			BGl_modulezd2initializa7ationz75zzglobaliza7e_ginfoza7(0L,
				BSTRING_TO_STRING(BGl_string2126z00zzglobaliza7e_nodeza7));
			BGl_modulezd2initializa7ationz75zzast_sexpz00(163122759L,
				BSTRING_TO_STRING(BGl_string2126z00zzglobaliza7e_nodeza7));
			BGl_modulezd2initializa7ationz75zzast_envz00(146730773L,
				BSTRING_TO_STRING(BGl_string2126z00zzglobaliza7e_nodeza7));
			BGl_modulezd2initializa7ationz75zzast_localz00(315247917L,
				BSTRING_TO_STRING(BGl_string2126z00zzglobaliza7e_nodeza7));
			BGl_modulezd2initializa7ationz75zzglobaliza7e_freeza7(244215788L,
				BSTRING_TO_STRING(BGl_string2126z00zzglobaliza7e_nodeza7));
			BGl_modulezd2initializa7ationz75zzglobaliza7e_localzd2ze3globalz96
				(115338080L, BSTRING_TO_STRING(BGl_string2126z00zzglobaliza7e_nodeza7));
			return BGl_modulezd2initializa7ationz75zztools_errorz00(300504031L,
				BSTRING_TO_STRING(BGl_string2126z00zzglobaliza7e_nodeza7));
		}

	}

#ifdef __cplusplus
}
#endif
