/*===========================================================================*/
/*   (Integrate/iinfo.scm)                                                   */
/*   Bigloo (4.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Jan 27 07:45:49 AM CET 2025     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.6a/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.6a/lib/bigloo/4.6a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -stdc -indent Integrate/iinfo.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL_INTEGRATE_INFO_TYPE_DEFINITIONS
#define BGL_INTEGRATE_INFO_TYPE_DEFINITIONS

/* object type definitions */
	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_svarz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}              *BgL_svarz00_bglt;

	typedef struct BgL_sexitz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_handlerz00;
		bool_t BgL_detachedzf3zf3;
	}               *BgL_sexitz00_bglt;

	typedef struct BgL_svarzf2iinfozf2_bgl
	{
		obj_t BgL_fzd2markzd2;
		obj_t BgL_uzd2markzd2;
		bool_t BgL_kapturedzf3zf3;
		bool_t BgL_celledzf3zf3;
		obj_t BgL_xhdlz00;
	}                      *BgL_svarzf2iinfozf2_bglt;

	typedef struct BgL_sexitzf2iinfozf2_bgl
	{
		obj_t BgL_fzd2markzd2;
		obj_t BgL_uzd2markzd2;
		bool_t BgL_kapturedzf3zf3;
		bool_t BgL_celledzf3zf3;
	}                       *BgL_sexitzf2iinfozf2_bglt;

	typedef struct BgL_sfunzf2iinfozf2_bgl
	{
		obj_t BgL_ownerz00;
		obj_t BgL_freez00;
		obj_t BgL_boundz00;
		obj_t BgL_cfromz00;
		obj_t BgL_ctoz00;
		obj_t BgL_kz00;
		obj_t BgL_kza2za2;
		obj_t BgL_uz00;
		obj_t BgL_cnz00;
		obj_t BgL_ctz00;
		obj_t BgL_kontz00;
		bool_t BgL_gzf3zf3;
		bool_t BgL_forcegzf3zf3;
		obj_t BgL_lz00;
		obj_t BgL_ledz00;
		obj_t BgL_istampz00;
		obj_t BgL_globalz00;
		obj_t BgL_kapturedz00;
		obj_t BgL_tailzd2coercionzd2;
		bool_t BgL_xhdlzf3zf3;
		obj_t BgL_xhdlsz00;
	}                      *BgL_sfunzf2iinfozf2_bglt;


#endif													// BGL_INTEGRATE_INFO_TYPE_DEFINITIONS
#endif													// BGL_MODULE_TYPE_DEFINITIONS

	static obj_t BGl_z62lambda1848z62zzintegrate_infoz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1687z62zzintegrate_infoz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1849z62zzintegrate_infoz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1688z62zzintegrate_infoz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Iinfozd2Kza2z82zzintegrate_infoz00(BgL_sfunz00_bglt);
	static obj_t
		BGl_z62sfunzf2Iinfozd2argszd2retescapezd2setz12z50zzintegrate_infoz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_svarzf2Iinfozd2kapturedzf3zd2setz12z13zzintegrate_infoz00
		(BgL_svarz00_bglt, bool_t);
	static obj_t BGl_z62svarzf2Iinfozd2loczd2setz12z82zzintegrate_infoz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_svarzf2Iinfozd2locz20zzintegrate_infoz00(BgL_svarz00_bglt);
	static obj_t BGl_z62zc3z04anonymousza31773ze3ze5zzintegrate_infoz00(obj_t);
	static obj_t BGl_z62lambda1771z62zzintegrate_infoz00(obj_t, obj_t);
	static obj_t
		BGl_z62sfunzf2Iinfozd2stackzd2allocatorz90zzintegrate_infoz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1772z62zzintegrate_infoz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Iinfozd2Cnzd2setz12ze0zzintegrate_infoz00(BgL_sfunz00_bglt,
		obj_t);
	static obj_t BGl_z62sfunzf2Iinfozd2bodyzd2setz12z82zzintegrate_infoz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62lambda1696z62zzintegrate_infoz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1858z62zzintegrate_infoz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1697z62zzintegrate_infoz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1859z62zzintegrate_infoz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62sfunzf2Iinfozd2ownerz42zzintegrate_infoz00(obj_t, obj_t);
	static obj_t BGl_z62sexitzf2Iinfozd2handlerz42zzintegrate_infoz00(obj_t,
		obj_t);
	static obj_t BGl_z62sfunzf2Iinfozd2classzd2setz12z82zzintegrate_infoz00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_classzd2nilzd2initz12z12zz__objectz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Iinfozd2argszd2noescapezd2setz12z32zzintegrate_infoz00
		(BgL_sfunz00_bglt, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzintegrate_infoz00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Iinfozd2Kz20zzintegrate_infoz00(BgL_sfunz00_bglt);
	static obj_t BGl_z62sfunzf2Iinfozd2ctoz42zzintegrate_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Iinfozd2Lz20zzintegrate_infoz00(BgL_sfunz00_bglt);
	static obj_t BGl_z62sfunzf2Iinfozd2argszd2setz12z82zzintegrate_infoz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62lambda1785z62zzintegrate_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_sexitz00_bglt
		BGl_makezd2sexitzf2Iinfoz20zzintegrate_infoz00(obj_t, bool_t, obj_t, obj_t,
		bool_t, bool_t);
	static obj_t BGl_z62lambda1786z62zzintegrate_infoz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Iinfozd2Uz20zzintegrate_infoz00(BgL_sfunz00_bglt);
	static obj_t BGl_z62svarzf2Iinfozf3z63zzintegrate_infoz00(obj_t, obj_t);
	static obj_t
		BGl_z62sfunzf2Iinfozd2argszd2retescapez90zzintegrate_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Iinfozd2tailzd2coercionzd2setz12z32zzintegrate_infoz00
		(BgL_sfunz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_svarzf2Iinfozd2uzd2markzd2setz12z32zzintegrate_infoz00(BgL_svarz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Iinfozd2bodyzd2setz12ze0zzintegrate_infoz00(BgL_sfunz00_bglt,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31759ze3ze5zzintegrate_infoz00(obj_t);
	static obj_t
		BGl_z62sfunzf2Iinfozd2strengthzd2setz12z82zzintegrate_infoz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_sfunzf2Iinfozd2xhdlzf3zd3zzintegrate_infoz00(BgL_sfunz00_bglt);
	static obj_t BGl_z62sfunzf2Iinfozd2stackablez42zzintegrate_infoz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1877z62zzintegrate_infoz00(obj_t, obj_t);
	static obj_t
		BGl_z62sfunzf2Iinfozd2globalzd2setz12z82zzintegrate_infoz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62lambda1878z62zzintegrate_infoz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1798z62zzintegrate_infoz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1799z62zzintegrate_infoz00(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	static obj_t
		BGl_z62sexitzf2Iinfozd2celledzf3zd2setz12z71zzintegrate_infoz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62sfunzf2Iinfozd2forceGzf3zb1zzintegrate_infoz00(obj_t,
		obj_t);
	static obj_t BGl_z62sfunzf2Iinfozd2Ledz42zzintegrate_infoz00(obj_t, obj_t);
	static obj_t BGl_z62sfunzf2Iinfozd2classz42zzintegrate_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sexitzf2Iinfozd2uzd2markzf2zzintegrate_infoz00(BgL_sexitz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Iinfozd2ownerzd2setz12ze0zzintegrate_infoz00(BgL_sfunz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Iinfozd2argszd2setz12ze0zzintegrate_infoz00(BgL_sfunz00_bglt,
		obj_t);
	static obj_t
		BGl_z62svarzf2Iinfozd2celledzf3zd2setz12z71zzintegrate_infoz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Iinfozd2dssslzd2keywordszd2setz12z32zzintegrate_infoz00
		(BgL_sfunz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Iinfozd2tailzd2coercionzf2zzintegrate_infoz00(BgL_sfunz00_bglt);
	static obj_t
		BGl_z62sfunzf2Iinfozd2xhdlzf3zd2setz12z71zzintegrate_infoz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_sfunz00zzast_varz00;
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Iinfozd2Ledzd2setz12ze0zzintegrate_infoz00(BgL_sfunz00_bglt,
		obj_t);
	static obj_t BGl_z62lambda1887z62zzintegrate_infoz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1888z62zzintegrate_infoz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Iinfozd2stackzd2allocatorzd2setz12z32zzintegrate_infoz00
		(BgL_sfunz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_svarzf2Iinfozd2fzd2markzf2zzintegrate_infoz00(BgL_svarz00_bglt);
	static obj_t BGl_toplevelzd2initzd2zzintegrate_infoz00(void);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Iinfozd2xhdlsz20zzintegrate_infoz00(BgL_sfunz00_bglt);
	static obj_t
		BGl_z62sfunzf2Iinfozd2stackzd2allocatorzd2setz12z50zzintegrate_infoz00
		(obj_t, obj_t, obj_t);
	static obj_t
		BGl_z62sfunzf2Iinfozd2stackablezd2setz12z82zzintegrate_infoz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Iinfozd2stackablez20zzintegrate_infoz00(BgL_sfunz00_bglt);
	static obj_t
		BGl_z62sexitzf2Iinfozd2fzd2markzd2setz12z50zzintegrate_infoz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62lambda1894z62zzintegrate_infoz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1895z62zzintegrate_infoz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Iinfozd2boundz20zzintegrate_infoz00(BgL_sfunz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Iinfozd2kapturedzd2setz12ze0zzintegrate_infoz00(BgL_sfunz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Iinfozd2failsafez20zzintegrate_infoz00(BgL_sfunz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Iinfozd2xhdlszd2setz12ze0zzintegrate_infoz00(BgL_sfunz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Iinfozd2sidezd2effectzf2zzintegrate_infoz00(BgL_sfunz00_bglt);
	static obj_t BGl_z62sfunzf2Iinfozd2argszd2namez90zzintegrate_infoz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sexitzf2Iinfozd2handlerzd2setz12ze0zzintegrate_infoz00
		(BgL_sexitz00_bglt, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31689ze3ze5zzintegrate_infoz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Iinfozd2argszd2retescapezd2setz12z32zzintegrate_infoz00
		(BgL_sfunz00_bglt, obj_t);
	static obj_t BGl_genericzd2initzd2zzintegrate_infoz00(void);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Iinfozd2argszd2retescapezf2zzintegrate_infoz00(BgL_sfunz00_bglt);
	extern obj_t BGl_sexitz00zzast_varz00;
	BGL_IMPORT obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t,
		bool_t, bool_t, obj_t, obj_t, obj_t);
	static obj_t BGl_objectzd2initzd2zzintegrate_infoz00(void);
	static obj_t BGl_z62zc3z04anonymousza31787ze3ze5zzintegrate_infoz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza31698ze3ze5zzintegrate_infoz00(obj_t);
	BGL_EXPORTED_DEF obj_t BGl_sfunzf2Iinfozf2zzintegrate_infoz00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Iinfozd2argszd2namezf2zzintegrate_infoz00(BgL_sfunz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Iinfozd2keysz20zzintegrate_infoz00(BgL_sfunz00_bglt);
	static obj_t BGl_z62sfunzf2Iinfozd2keysz42zzintegrate_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_sexitzf2Iinfozf3z01zzintegrate_infoz00(obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Iinfozd2propertyz20zzintegrate_infoz00(BgL_sfunz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Iinfozd2ctoz20zzintegrate_infoz00(BgL_sfunz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Iinfozd2argszd2noescapezf2zzintegrate_infoz00(BgL_sfunz00_bglt);
	static obj_t BGl_z62sfunzf2Iinfozd2ownerzd2setz12z82zzintegrate_infoz00(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62sfunzf2Iinfozd2dssslzd2keywordsz90zzintegrate_infoz00(obj_t, obj_t);
	static obj_t BGl_z62sfunzf2Iinfozd2strengthz42zzintegrate_infoz00(obj_t,
		obj_t);
	static BgL_sexitz00_bglt
		BGl_z62makezd2sexitzf2Iinfoz42zzintegrate_infoz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_svarzf2Iinfozd2loczd2setz12ze0zzintegrate_infoz00(BgL_svarz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Iinfozd2stackablezd2setz12ze0zzintegrate_infoz00
		(BgL_sfunz00_bglt, obj_t);
	static obj_t
		BGl_z62sfunzf2Iinfozd2propertyzd2setz12z82zzintegrate_infoz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Iinfozd2thezd2closurezf2zzintegrate_infoz00(BgL_sfunz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_sexitzf2Iinfozd2handlerz20zzintegrate_infoz00(BgL_sexitz00_bglt);
	static obj_t BGl_z62sfunzf2Iinfozd2effectz42zzintegrate_infoz00(obj_t, obj_t);
	static obj_t BGl_z62sfunzf2Iinfozd2Uzd2setz12z82zzintegrate_infoz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62sfunzf2Iinfozd2xhdlzf3zb1zzintegrate_infoz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Iinfozd2Ledz20zzintegrate_infoz00(BgL_sfunz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Iinfozd2cfromz20zzintegrate_infoz00(BgL_sfunz00_bglt);
	static obj_t BGl_z62zc3z04anonymousza31403ze3ze5zzintegrate_infoz00(obj_t);
	static obj_t BGl_z62sfunzf2Iinfozd2xhdlszd2setz12z82zzintegrate_infoz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Iinfozd2istampzd2setz12ze0zzintegrate_infoz00(BgL_sfunz00_bglt,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31879ze3ze5zzintegrate_infoz00(obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t BGl_z62sexitzf2Iinfozd2fzd2markz90zzintegrate_infoz00(obj_t,
		obj_t);
	static obj_t BGl_z62sfunzf2Iinfozd2predicatezd2ofz90zzintegrate_infoz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Iinfozd2Kzd2setz12ze0zzintegrate_infoz00(BgL_sfunz00_bglt,
		obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62sfunzf2Iinfozd2xhdlsz42zzintegrate_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Iinfozd2predicatezd2ofzd2setz12z32zzintegrate_infoz00
		(BgL_sfunz00_bglt, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31896ze3ze5zzintegrate_infoz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Iinfozd2bodyz20zzintegrate_infoz00(BgL_sfunz00_bglt);
	static obj_t BGl_z62svarzf2Iinfozd2xhdlzd2setz12z82zzintegrate_infoz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_svarzf2Iinfozd2xhdlz20zzintegrate_infoz00(BgL_svarz00_bglt);
	static obj_t BGl_z62sfunzf2Iinfozd2bodyz42zzintegrate_infoz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzintegrate_infoz00(void);
	static obj_t BGl_z62svarzf2Iinfozd2xhdlz42zzintegrate_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sexitzf2Iinfozd2uzd2markzd2setz12z32zzintegrate_infoz00
		(BgL_sexitz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sexitzf2Iinfozd2detachedzf3zd2setz12z13zzintegrate_infoz00
		(BgL_sexitz00_bglt, bool_t);
	static obj_t BGl_z62sfunzf2Iinfozd2boundz42zzintegrate_infoz00(obj_t, obj_t);
	static obj_t BGl_z62sfunzf2Iinfozd2kapturedz42zzintegrate_infoz00(obj_t,
		obj_t);
	static obj_t BGl_z62svarzf2Iinfozd2celledzf3zb1zzintegrate_infoz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Iinfozd2dssslzd2keywordszf2zzintegrate_infoz00(BgL_sfunz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Iinfozd2forceGzf3zd2setz12z13zzintegrate_infoz00
		(BgL_sfunz00_bglt, bool_t);
	static obj_t BGl_z62zc3z04anonymousza31889ze3ze5zzintegrate_infoz00(obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_sfunzf2Iinfozd2topzf3zd3zzintegrate_infoz00(BgL_sfunz00_bglt);
	static obj_t BGl_z62sfunzf2Iinfozd2topzf3zb1zzintegrate_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_svarzf2Iinfozd2fzd2markzd2setz12z32zzintegrate_infoz00(BgL_svarz00_bglt,
		obj_t);
	static obj_t BGl_z62sfunzf2Iinfozd2kontzd2setz12z82zzintegrate_infoz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Iinfozd2Gzf3zd2setz12z13zzintegrate_infoz00(BgL_sfunz00_bglt,
		bool_t);
	static obj_t
		BGl_z62sfunzf2Iinfozd2thezd2closurezd2globalzd2setz12z82zzintegrate_infoz00
		(obj_t, obj_t, obj_t);
	static BgL_sfunz00_bglt
		BGl_z62sfunzf2Iinfozd2nilz42zzintegrate_infoz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Iinfozd2strengthzd2setz12ze0zzintegrate_infoz00(BgL_sfunz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_svarzf2Iinfozd2xhdlzd2setz12ze0zzintegrate_infoz00(BgL_svarz00_bglt,
		obj_t);
	static obj_t
		BGl_z62svarzf2Iinfozd2uzd2markzd2setz12z50zzintegrate_infoz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sexitzf2Iinfozd2celledzf3zd2setz12z13zzintegrate_infoz00
		(BgL_sexitz00_bglt, bool_t);
	static obj_t BGl_z62sfunzf2Iinfozd2Kza2zd2setz12z20zzintegrate_infoz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62sfunzf2Iinfozd2optionalsz42zzintegrate_infoz00(obj_t,
		obj_t);
	static obj_t
		BGl_z62sexitzf2Iinfozd2detachedzf3zd2setz12z71zzintegrate_infoz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Iinfozd2cfromzd2setz12ze0zzintegrate_infoz00(BgL_sfunz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL bool_t BGl_sfunzf2Iinfozf3z01zzintegrate_infoz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Iinfozd2kontzd2setz12ze0zzintegrate_infoz00(BgL_sfunz00_bglt,
		obj_t);
	static obj_t BGl_z62sfunzf2Iinfozd2Cnz42zzintegrate_infoz00(obj_t, obj_t);
	static obj_t BGl_z62sfunzf2Iinfozd2Ctz42zzintegrate_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_sfunz00_bglt
		BGl_makezd2sfunzf2Iinfoz20zzintegrate_infoz00(long, obj_t, obj_t, obj_t,
		bool_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, bool_t, bool_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, bool_t, obj_t);
	static obj_t BGl_z62sfunzf2Iinfozd2locz42zzintegrate_infoz00(obj_t, obj_t);
	static BgL_sfunz00_bglt
		BGl_z62makezd2sfunzf2Iinfoz42zzintegrate_infoz00(obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Iinfozd2boundzd2setz12ze0zzintegrate_infoz00(BgL_sfunz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Iinfozd2optionalsz20zzintegrate_infoz00(BgL_sfunz00_bglt);
	static obj_t BGl_z62sfunzf2Iinfozd2cfromz42zzintegrate_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_sexitzf2Iinfozd2detachedzf3zd3zzintegrate_infoz00(BgL_sexitz00_bglt);
	BGL_EXPORTED_DEF obj_t BGl_sexitzf2Iinfozf2zzintegrate_infoz00 = BUNSPEC;
	static obj_t BGl_z62sfunzf2Iinfozd2sidezd2effectz90zzintegrate_infoz00(obj_t,
		obj_t);
	static obj_t BGl_z62sfunzf2Iinfozd2ctozd2setz12z82zzintegrate_infoz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Iinfozd2Lzd2setz12ze0zzintegrate_infoz00(BgL_sfunz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Iinfozd2effectzd2setz12ze0zzintegrate_infoz00(BgL_sfunz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_svarzf2Iinfozd2uzd2markzf2zzintegrate_infoz00(BgL_svarz00_bglt);
	static obj_t
		BGl_z62sfunzf2Iinfozd2thezd2closurezd2globalz42zzintegrate_infoz00(obj_t,
		obj_t);
	extern obj_t BGl_svarz00zzast_varz00;
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Iinfozd2strengthz20zzintegrate_infoz00(BgL_sfunz00_bglt);
	static obj_t BGl_z62sfunzf2Iinfozd2Kz42zzintegrate_infoz00(obj_t, obj_t);
	static obj_t BGl_z62sfunzf2Iinfozd2Lz42zzintegrate_infoz00(obj_t, obj_t);
	static obj_t BGl_z62sfunzf2Iinfozd2Uz42zzintegrate_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Iinfozd2kontz20zzintegrate_infoz00(BgL_sfunz00_bglt);
	static obj_t BGl_z62sfunzf2Iinfozd2kontz42zzintegrate_infoz00(obj_t, obj_t);
	static obj_t BGl_z62svarzf2Iinfozd2fzd2markz90zzintegrate_infoz00(obj_t,
		obj_t);
	static obj_t BGl_z62sfunzf2Iinfozd2Gzf3zb1zzintegrate_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Iinfozd2argsz20zzintegrate_infoz00(BgL_sfunz00_bglt);
	static obj_t BGl_z62sfunzf2Iinfozd2argsz42zzintegrate_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_sfunzf2Iinfozd2forceGzf3zd3zzintegrate_infoz00(BgL_sfunz00_bglt);
	static obj_t BGl_z62sfunzf2Iinfozd2Ctzd2setz12z82zzintegrate_infoz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31419ze3ze5zzintegrate_infoz00(obj_t);
	static obj_t BGl_z62svarzf2Iinfozd2kapturedzf3zb1zzintegrate_infoz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Iinfozd2thezd2closurezd2setz12z32zzintegrate_infoz00
		(BgL_sfunz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Iinfozd2istampz20zzintegrate_infoz00(BgL_sfunz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Iinfozd2globalz20zzintegrate_infoz00(BgL_sfunz00_bglt);
	static obj_t BGl_z62sfunzf2Iinfozd2cfromzd2setz12z82zzintegrate_infoz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Iinfozd2sidezd2effectzd2setz12z32zzintegrate_infoz00
		(BgL_sfunz00_bglt, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31800ze3ze5zzintegrate_infoz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Iinfozd2propertyzd2setz12ze0zzintegrate_infoz00(BgL_sfunz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL BgL_sfunz00_bglt
		BGl_sfunzf2Iinfozd2nilz20zzintegrate_infoz00(void);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzintegrate_infoz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	static obj_t BGl_z62sfunzf2Iinfozd2thezd2closurez90zzintegrate_infoz00(obj_t,
		obj_t);
	static obj_t BGl_z62sfunzf2Iinfozd2Cnzd2setz12z82zzintegrate_infoz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_svarzf2Iinfozf2zzintegrate_infoz00 = BUNSPEC;
	static obj_t BGl_z62sfunzf2Iinfozd2boundzd2setz12z82zzintegrate_infoz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_svarzf2Iinfozd2kapturedzf3zd3zzintegrate_infoz00(BgL_svarz00_bglt);
	static obj_t BGl_z62lambda1401z62zzintegrate_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Iinfozd2kapturedz20zzintegrate_infoz00(BgL_sfunz00_bglt);
	static obj_t BGl_z62lambda1402z62zzintegrate_infoz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_svarzf2Iinfozd2celledzf3zd2setz12z13zzintegrate_infoz00
		(BgL_svarz00_bglt, bool_t);
	static obj_t BGl_z62sexitzf2Iinfozd2detachedzf3zb1zzintegrate_infoz00(obj_t,
		obj_t);
	static obj_t
		BGl_z62sfunzf2Iinfozd2istampzd2setz12z82zzintegrate_infoz00(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62sfunzf2Iinfozd2failsafezd2setz12z82zzintegrate_infoz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62sfunzf2Iinfozd2Kza2ze0zzintegrate_infoz00(obj_t, obj_t);
	static obj_t BGl_z62sfunzf2Iinfozd2loczd2setz12z82zzintegrate_infoz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Iinfozd2locz20zzintegrate_infoz00(BgL_sfunz00_bglt);
	static obj_t BGl_z62zc3z04anonymousza31608ze3ze5zzintegrate_infoz00(obj_t);
	static obj_t BGl_z62lambda1417z62zzintegrate_infoz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1418z62zzintegrate_infoz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sexitzf2Iinfozd2fzd2markzd2setz12z32zzintegrate_infoz00
		(BgL_sexitz00_bglt, obj_t);
	static obj_t BGl_z62sexitzf2Iinfozd2uzd2markz90zzintegrate_infoz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31536ze3ze5zzintegrate_infoz00(obj_t,
		obj_t);
	static obj_t
		BGl_z62sfunzf2Iinfozd2argszd2noescapezd2setz12z50zzintegrate_infoz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62sexitzf2Iinfozf3z63zzintegrate_infoz00(obj_t, obj_t);
	static obj_t BGl_cnstzd2initzd2zzintegrate_infoz00(void);
	static obj_t BGl_libraryzd2moduleszd2initz00zzintegrate_infoz00(void);
	static obj_t
		BGl_z62sfunzf2Iinfozd2topzf3zd2setz12z71zzintegrate_infoz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62sfunzf2Iinfozf3z63zzintegrate_infoz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t,
		long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t
		BGl_z62svarzf2Iinfozd2fzd2markzd2setz12z50zzintegrate_infoz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzintegrate_infoz00(void);
	static obj_t BGl_z62sexitzf2Iinfozd2celledzf3zb1zzintegrate_infoz00(obj_t,
		obj_t);
	static obj_t BGl_gczd2rootszd2initz00zzintegrate_infoz00(void);
	static BgL_sexitz00_bglt BGl_z62lambda1517z62zzintegrate_infoz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t
		BGl_z62sfunzf2Iinfozd2tailzd2coercionzd2setz12z50zzintegrate_infoz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62sfunzf2Iinfozd2Kzd2setz12z82zzintegrate_infoz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Iinfozd2ctozd2setz12ze0zzintegrate_infoz00(BgL_sfunz00_bglt,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31910ze3ze5zzintegrate_infoz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza31821ze3ze5zzintegrate_infoz00(obj_t);
	static obj_t BGl_z62sfunzf2Iinfozd2freezd2setz12z82zzintegrate_infoz00(obj_t,
		obj_t, obj_t);
	static BgL_svarz00_bglt BGl_z62lambda1361z62zzintegrate_infoz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1606z62zzintegrate_infoz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31368ze3ze5zzintegrate_infoz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1607z62zzintegrate_infoz00(obj_t, obj_t, obj_t);
	static BgL_svarz00_bglt BGl_z62lambda1366z62zzintegrate_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Iinfozd2topzf3zd2setz12z13zzintegrate_infoz00(BgL_sfunz00_bglt,
		bool_t);
	static BgL_svarz00_bglt BGl_z62lambda1369z62zzintegrate_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sexitzf2Iinfozd2fzd2markzf2zzintegrate_infoz00(BgL_sexitz00_bglt);
	static obj_t BGl_z62zc3z04anonymousza31903ze3ze5zzintegrate_infoz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza31733ze3ze5zzintegrate_infoz00(obj_t);
	static BgL_sexitz00_bglt BGl_z62lambda1533z62zzintegrate_infoz00(obj_t,
		obj_t);
	static BgL_svarz00_bglt
		BGl_z62svarzf2Iinfozd2nilz42zzintegrate_infoz00(obj_t);
	BGL_EXPORTED_DECL long
		BGl_sfunzf2Iinfozd2arityz20zzintegrate_infoz00(BgL_sfunz00_bglt);
	static BgL_sexitz00_bglt BGl_z62lambda1537z62zzintegrate_infoz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Iinfozd2globalzd2setz12ze0zzintegrate_infoz00(BgL_sfunz00_bglt,
		obj_t);
	static obj_t
		BGl_z62sfunzf2Iinfozd2predicatezd2ofzd2setz12z50zzintegrate_infoz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Iinfozd2freezd2setz12ze0zzintegrate_infoz00(BgL_sfunz00_bglt,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31483ze3ze5zzintegrate_infoz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza31807ze3ze5zzintegrate_infoz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza31386ze3ze5zzintegrate_infoz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza31629ze3ze5zzintegrate_infoz00(obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_svarzf2Iinfozd2celledzf3zd3zzintegrate_infoz00(BgL_svarz00_bglt);
	static obj_t BGl_z62lambda1384z62zzintegrate_infoz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1627z62zzintegrate_infoz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1385z62zzintegrate_infoz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1628z62zzintegrate_infoz00(obj_t, obj_t, obj_t);
	static obj_t
		BGl_z62sfunzf2Iinfozd2thezd2closurezd2setz12z50zzintegrate_infoz00(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62sfunzf2Iinfozd2effectzd2setz12z82zzintegrate_infoz00(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62sfunzf2Iinfozd2tailzd2coercionz90zzintegrate_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_sexitzf2Iinfozd2kapturedzf3zd3zzintegrate_infoz00(BgL_sexitz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Iinfozd2Cnz20zzintegrate_infoz00(BgL_sfunz00_bglt);
	BGL_EXPORTED_DECL bool_t BGl_svarzf2Iinfozf3z01zzintegrate_infoz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Iinfozd2predicatezd2ofzf2zzintegrate_infoz00(BgL_sfunz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Iinfozd2Ctz20zzintegrate_infoz00(BgL_sfunz00_bglt);
	BGL_EXPORTED_DECL BgL_svarz00_bglt
		BGl_makezd2svarzf2Iinfoz20zzintegrate_infoz00(obj_t, obj_t, obj_t, bool_t,
		bool_t, obj_t);
	static obj_t
		BGl_z62sfunzf2Iinfozd2sidezd2effectzd2setz12z50zzintegrate_infoz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Iinfozd2thezd2closurezd2globalzd2setz12ze0zzintegrate_infoz00
		(BgL_sfunz00_bglt, obj_t);
	static obj_t BGl_z62svarzf2Iinfozd2locz42zzintegrate_infoz00(obj_t, obj_t);
	static BgL_svarz00_bglt
		BGl_z62makezd2svarzf2Iinfoz42zzintegrate_infoz00(obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31654ze3ze5zzintegrate_infoz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31719ze3ze5zzintegrate_infoz00(obj_t);
	static obj_t BGl_z62lambda1717z62zzintegrate_infoz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1718z62zzintegrate_infoz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Iinfozd2ownerz20zzintegrate_infoz00(BgL_sfunz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Iinfozd2Kza2zd2setz12z42zzintegrate_infoz00(BgL_sfunz00_bglt,
		obj_t);
	static obj_t
		BGl_z62sexitzf2Iinfozd2uzd2markzd2setz12z50zzintegrate_infoz00(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62sfunzf2Iinfozd2kapturedzd2setz12z82zzintegrate_infoz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31493ze3ze5zzintegrate_infoz00(obj_t);
	static obj_t BGl_z62lambda1481z62zzintegrate_infoz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1805z62zzintegrate_infoz00(obj_t, obj_t);
	static BgL_sfunz00_bglt BGl_z62lambda1643z62zzintegrate_infoz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1482z62zzintegrate_infoz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1806z62zzintegrate_infoz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Iinfozd2thezd2closurezd2globalz20zzintegrate_infoz00
		(BgL_sfunz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_sexitzf2Iinfozd2kapturedzf3zd2setz12z13zzintegrate_infoz00
		(BgL_sexitz00_bglt, bool_t);
	static obj_t BGl_z62sfunzf2Iinfozd2Lzd2setz12z82zzintegrate_infoz00(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62sexitzf2Iinfozd2handlerzd2setz12z82zzintegrate_infoz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62svarzf2Iinfozd2uzd2markz90zzintegrate_infoz00(obj_t,
		obj_t);
	static obj_t
		BGl_z62sfunzf2Iinfozd2forceGzf3zd2setz12z71zzintegrate_infoz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62sfunzf2Iinfozd2Ledzd2setz12z82zzintegrate_infoz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Iinfozd2loczd2setz12ze0zzintegrate_infoz00(BgL_sfunz00_bglt,
		obj_t);
	static obj_t
		BGl_z62svarzf2Iinfozd2kapturedzf3zd2setz12z71zzintegrate_infoz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31850ze3ze5zzintegrate_infoz00(obj_t);
	BGL_IMPORT obj_t BGl_classzd2superzd2zz__objectz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza31591ze3ze5zzintegrate_infoz00(obj_t);
	static obj_t BGl_z62lambda1731z62zzintegrate_infoz00(obj_t, obj_t);
	static BgL_sfunz00_bglt BGl_z62lambda1650z62zzintegrate_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_sfunzf2Iinfozd2Gzf3zd3zzintegrate_infoz00(BgL_sfunz00_bglt);
	static obj_t BGl_z62lambda1732z62zzintegrate_infoz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1491z62zzintegrate_infoz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1492z62zzintegrate_infoz00(obj_t, obj_t, obj_t);
	static BgL_sfunz00_bglt BGl_z62lambda1655z62zzintegrate_infoz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1575z62zzintegrate_infoz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1576z62zzintegrate_infoz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1819z62zzintegrate_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Iinfozd2effectz20zzintegrate_infoz00(BgL_sfunz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Iinfozd2Uzd2setz12ze0zzintegrate_infoz00(BgL_sfunz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Iinfozd2classzd2setz12ze0zzintegrate_infoz00(BgL_sfunz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Iinfozd2classz20zzintegrate_infoz00(BgL_sfunz00_bglt);
	static obj_t BGl_z62sfunzf2Iinfozd2failsafez42zzintegrate_infoz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Iinfozd2freez20zzintegrate_infoz00(BgL_sfunz00_bglt);
	static obj_t BGl_z62lambda1820z62zzintegrate_infoz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1901z62zzintegrate_infoz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1902z62zzintegrate_infoz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62sfunzf2Iinfozd2freez42zzintegrate_infoz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1908z62zzintegrate_infoz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1909z62zzintegrate_infoz00(obj_t, obj_t, obj_t);
	static obj_t
		BGl_z62sfunzf2Iinfozd2argszd2noescapez90zzintegrate_infoz00(obj_t, obj_t);
	static obj_t
		BGl_z62sfunzf2Iinfozd2dssslzd2keywordszd2setz12z50zzintegrate_infoz00(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62sexitzf2Iinfozd2kapturedzf3zd2setz12z71zzintegrate_infoz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62lambda1589z62zzintegrate_infoz00(obj_t, obj_t);
	static obj_t BGl_z62sfunzf2Iinfozd2istampz42zzintegrate_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Iinfozd2failsafezd2setz12ze0zzintegrate_infoz00(BgL_sfunz00_bglt,
		obj_t);
	static obj_t BGl_z62sexitzf2Iinfozd2kapturedzf3zb1zzintegrate_infoz00(obj_t,
		obj_t);
	static obj_t BGl_z62sfunzf2Iinfozd2globalz42zzintegrate_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_sexitzf2Iinfozd2celledzf3zd3zzintegrate_infoz00(BgL_sexitz00_bglt);
	BGL_EXPORTED_DECL BgL_svarz00_bglt
		BGl_svarzf2Iinfozd2nilz20zzintegrate_infoz00(void);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Iinfozd2stackzd2allocatorzf2zzintegrate_infoz00
		(BgL_sfunz00_bglt);
	static obj_t BGl_z62zc3z04anonymousza31860ze3ze5zzintegrate_infoz00(obj_t);
	static obj_t BGl_z62lambda1830z62zzintegrate_infoz00(obj_t, obj_t);
	static obj_t BGl_z62sfunzf2Iinfozd2Gzf3zd2setz12z71zzintegrate_infoz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62lambda1831z62zzintegrate_infoz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1590z62zzintegrate_infoz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31577ze3ze5zzintegrate_infoz00(obj_t);
	static obj_t BGl_z62lambda1916z62zzintegrate_infoz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1674z62zzintegrate_infoz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1917z62zzintegrate_infoz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1675z62zzintegrate_infoz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1757z62zzintegrate_infoz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1758z62zzintegrate_infoz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62sfunzf2Iinfozd2arityz42zzintegrate_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Iinfozd2Ctzd2setz12ze0zzintegrate_infoz00(BgL_sfunz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL BgL_sexitz00_bglt
		BGl_sexitzf2Iinfozd2nilz20zzintegrate_infoz00(void);
	static BgL_sexitz00_bglt
		BGl_z62sexitzf2Iinfozd2nilz42zzintegrate_infoz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza31926ze3ze5zzintegrate_infoz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza31918ze3ze5zzintegrate_infoz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzf2Iinfozd2xhdlzf3zd2setz12z13zzintegrate_infoz00(BgL_sfunz00_bglt,
		bool_t);
	static obj_t BGl_z62lambda1924z62zzintegrate_infoz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1925z62zzintegrate_infoz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62sfunzf2Iinfozd2propertyz42zzintegrate_infoz00(obj_t,
		obj_t);
	static obj_t __cnst[34];


	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2031z00zzintegrate_infoz00,
		BgL_bgl_za762lambda1688za7622096z00,
		BGl_z62lambda1688z62zzintegrate_infoz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2032z00zzintegrate_infoz00,
		BgL_bgl_za762lambda1687za7622097z00,
		BGl_z62lambda1687z62zzintegrate_infoz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2033z00zzintegrate_infoz00,
		BgL_bgl_za762za7c3za704anonymo2098za7,
		BGl_z62zc3z04anonymousza31698ze3ze5zzintegrate_infoz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2034z00zzintegrate_infoz00,
		BgL_bgl_za762lambda1697za7622099z00,
		BGl_z62lambda1697z62zzintegrate_infoz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Iinfozd2kapturedzd2setz12zd2envz32zzintegrate_infoz00,
		BgL_bgl_za762sfunza7f2iinfoza72100za7,
		BGl_z62sfunzf2Iinfozd2kapturedzd2setz12z82zzintegrate_infoz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2035z00zzintegrate_infoz00,
		BgL_bgl_za762lambda1696za7622101z00,
		BGl_z62lambda1696z62zzintegrate_infoz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2036z00zzintegrate_infoz00,
		BgL_bgl_za762za7c3za704anonymo2102za7,
		BGl_z62zc3z04anonymousza31719ze3ze5zzintegrate_infoz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2037z00zzintegrate_infoz00,
		BgL_bgl_za762lambda1718za7622103z00,
		BGl_z62lambda1718z62zzintegrate_infoz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2038z00zzintegrate_infoz00,
		BgL_bgl_za762lambda1717za7622104z00,
		BGl_z62lambda1717z62zzintegrate_infoz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2039z00zzintegrate_infoz00,
		BgL_bgl_za762za7c3za704anonymo2105za7,
		BGl_z62zc3z04anonymousza31733ze3ze5zzintegrate_infoz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Iinfozd2Kzd2envzf2zzintegrate_infoz00,
		BgL_bgl_za762sfunza7f2iinfoza72106za7,
		BGl_z62sfunzf2Iinfozd2Kz42zzintegrate_infoz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2040z00zzintegrate_infoz00,
		BgL_bgl_za762lambda1732za7622107z00,
		BGl_z62lambda1732z62zzintegrate_infoz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2041z00zzintegrate_infoz00,
		BgL_bgl_za762lambda1731za7622108z00,
		BGl_z62lambda1731z62zzintegrate_infoz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2042z00zzintegrate_infoz00,
		BgL_bgl_za762za7c3za704anonymo2109za7,
		BGl_z62zc3z04anonymousza31759ze3ze5zzintegrate_infoz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2043z00zzintegrate_infoz00,
		BgL_bgl_za762lambda1758za7622110z00,
		BGl_z62lambda1758z62zzintegrate_infoz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2044z00zzintegrate_infoz00,
		BgL_bgl_za762lambda1757za7622111z00,
		BGl_z62lambda1757z62zzintegrate_infoz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2045z00zzintegrate_infoz00,
		BgL_bgl_za762za7c3za704anonymo2112za7,
		BGl_z62zc3z04anonymousza31773ze3ze5zzintegrate_infoz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2046z00zzintegrate_infoz00,
		BgL_bgl_za762lambda1772za7622113z00,
		BGl_z62lambda1772z62zzintegrate_infoz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2047z00zzintegrate_infoz00,
		BgL_bgl_za762lambda1771za7622114z00,
		BGl_z62lambda1771z62zzintegrate_infoz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2048z00zzintegrate_infoz00,
		BgL_bgl_za762za7c3za704anonymo2115za7,
		BGl_z62zc3z04anonymousza31787ze3ze5zzintegrate_infoz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Iinfozd2propertyzd2setz12zd2envz32zzintegrate_infoz00,
		BgL_bgl_za762sfunza7f2iinfoza72116za7,
		BGl_z62sfunzf2Iinfozd2propertyzd2setz12z82zzintegrate_infoz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2049z00zzintegrate_infoz00,
		BgL_bgl_za762lambda1786za7622117z00,
		BGl_z62lambda1786z62zzintegrate_infoz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Iinfozd2tailzd2coercionzd2setz12zd2envze0zzintegrate_infoz00,
		BgL_bgl_za762sfunza7f2iinfoza72118za7,
		BGl_z62sfunzf2Iinfozd2tailzd2coercionzd2setz12z50zzintegrate_infoz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Iinfozd2stackzd2allocatorzd2envz20zzintegrate_infoz00,
		BgL_bgl_za762sfunza7f2iinfoza72119za7,
		BGl_z62sfunzf2Iinfozd2stackzd2allocatorz90zzintegrate_infoz00, 0L, BUNSPEC,
		1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sexitzf2Iinfozd2nilzd2envzf2zzintegrate_infoz00,
		BgL_bgl_za762sexitza7f2iinfo2120z00,
		BGl_z62sexitzf2Iinfozd2nilz42zzintegrate_infoz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2050z00zzintegrate_infoz00,
		BgL_bgl_za762lambda1785za7622121z00,
		BGl_z62lambda1785z62zzintegrate_infoz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2051z00zzintegrate_infoz00,
		BgL_bgl_za762za7c3za704anonymo2122za7,
		BGl_z62zc3z04anonymousza31800ze3ze5zzintegrate_infoz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2052z00zzintegrate_infoz00,
		BgL_bgl_za762lambda1799za7622123z00,
		BGl_z62lambda1799z62zzintegrate_infoz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2053z00zzintegrate_infoz00,
		BgL_bgl_za762lambda1798za7622124z00,
		BGl_z62lambda1798z62zzintegrate_infoz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2054z00zzintegrate_infoz00,
		BgL_bgl_za762za7c3za704anonymo2125za7,
		BGl_z62zc3z04anonymousza31807ze3ze5zzintegrate_infoz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2055z00zzintegrate_infoz00,
		BgL_bgl_za762lambda1806za7622126z00,
		BGl_z62lambda1806z62zzintegrate_infoz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2056z00zzintegrate_infoz00,
		BgL_bgl_za762lambda1805za7622127z00,
		BGl_z62lambda1805z62zzintegrate_infoz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2057z00zzintegrate_infoz00,
		BgL_bgl_za762za7c3za704anonymo2128za7,
		BGl_z62zc3z04anonymousza31821ze3ze5zzintegrate_infoz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_svarzf2Iinfozd2kapturedzf3zd2envz01zzintegrate_infoz00,
		BgL_bgl_za762svarza7f2iinfoza72129za7,
		BGl_z62svarzf2Iinfozd2kapturedzf3zb1zzintegrate_infoz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2058z00zzintegrate_infoz00,
		BgL_bgl_za762lambda1820za7622130z00,
		BGl_z62lambda1820z62zzintegrate_infoz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2059z00zzintegrate_infoz00,
		BgL_bgl_za762lambda1819za7622131z00,
		BGl_z62lambda1819z62zzintegrate_infoz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2060z00zzintegrate_infoz00,
		BgL_bgl_za762lambda1831za7622132z00,
		BGl_z62lambda1831z62zzintegrate_infoz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2061z00zzintegrate_infoz00,
		BgL_bgl_za762lambda1830za7622133z00,
		BGl_z62lambda1830z62zzintegrate_infoz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2062z00zzintegrate_infoz00,
		BgL_bgl_za762za7c3za704anonymo2134za7,
		BGl_z62zc3z04anonymousza31850ze3ze5zzintegrate_infoz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2063z00zzintegrate_infoz00,
		BgL_bgl_za762lambda1849za7622135z00,
		BGl_z62lambda1849z62zzintegrate_infoz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2064z00zzintegrate_infoz00,
		BgL_bgl_za762lambda1848za7622136z00,
		BGl_z62lambda1848z62zzintegrate_infoz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2065z00zzintegrate_infoz00,
		BgL_bgl_za762za7c3za704anonymo2137za7,
		BGl_z62zc3z04anonymousza31860ze3ze5zzintegrate_infoz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2066z00zzintegrate_infoz00,
		BgL_bgl_za762lambda1859za7622138z00,
		BGl_z62lambda1859z62zzintegrate_infoz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2067z00zzintegrate_infoz00,
		BgL_bgl_za762lambda1858za7622139z00,
		BGl_z62lambda1858z62zzintegrate_infoz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2068z00zzintegrate_infoz00,
		BgL_bgl_za762za7c3za704anonymo2140za7,
		BGl_z62zc3z04anonymousza31879ze3ze5zzintegrate_infoz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2069z00zzintegrate_infoz00,
		BgL_bgl_za762lambda1878za7622141z00,
		BGl_z62lambda1878z62zzintegrate_infoz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Iinfozd2xhdlszd2envzf2zzintegrate_infoz00,
		BgL_bgl_za762sfunza7f2iinfoza72142za7,
		BGl_z62sfunzf2Iinfozd2xhdlsz42zzintegrate_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Iinfozd2strengthzd2setz12zd2envz32zzintegrate_infoz00,
		BgL_bgl_za762sfunza7f2iinfoza72143za7,
		BGl_z62sfunzf2Iinfozd2strengthzd2setz12z82zzintegrate_infoz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Iinfozd2effectzd2envzf2zzintegrate_infoz00,
		BgL_bgl_za762sfunza7f2iinfoza72144za7,
		BGl_z62sfunzf2Iinfozd2effectz42zzintegrate_infoz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2070z00zzintegrate_infoz00,
		BgL_bgl_za762lambda1877za7622145z00,
		BGl_z62lambda1877z62zzintegrate_infoz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2071z00zzintegrate_infoz00,
		BgL_bgl_za762za7c3za704anonymo2146za7,
		BGl_z62zc3z04anonymousza31889ze3ze5zzintegrate_infoz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Iinfozd2failsafezd2envzf2zzintegrate_infoz00,
		BgL_bgl_za762sfunza7f2iinfoza72147za7,
		BGl_z62sfunzf2Iinfozd2failsafez42zzintegrate_infoz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2072z00zzintegrate_infoz00,
		BgL_bgl_za762lambda1888za7622148z00,
		BGl_z62lambda1888z62zzintegrate_infoz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2073z00zzintegrate_infoz00,
		BgL_bgl_za762lambda1887za7622149z00,
		BGl_z62lambda1887z62zzintegrate_infoz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2074z00zzintegrate_infoz00,
		BgL_bgl_za762za7c3za704anonymo2150za7,
		BGl_z62zc3z04anonymousza31896ze3ze5zzintegrate_infoz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2075z00zzintegrate_infoz00,
		BgL_bgl_za762lambda1895za7622151z00,
		BGl_z62lambda1895z62zzintegrate_infoz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2076z00zzintegrate_infoz00,
		BgL_bgl_za762lambda1894za7622152z00,
		BGl_z62lambda1894z62zzintegrate_infoz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2077z00zzintegrate_infoz00,
		BgL_bgl_za762za7c3za704anonymo2153za7,
		BGl_z62zc3z04anonymousza31903ze3ze5zzintegrate_infoz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2078z00zzintegrate_infoz00,
		BgL_bgl_za762lambda1902za7622154z00,
		BGl_z62lambda1902z62zzintegrate_infoz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2079z00zzintegrate_infoz00,
		BgL_bgl_za762lambda1901za7622155z00,
		BGl_z62lambda1901z62zzintegrate_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Iinfozd2Lzd2envzf2zzintegrate_infoz00,
		BgL_bgl_za762sfunza7f2iinfoza72156za7,
		BGl_z62sfunzf2Iinfozd2Lz42zzintegrate_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Iinfozd2cfromzd2setz12zd2envz32zzintegrate_infoz00,
		BgL_bgl_za762sfunza7f2iinfoza72157za7,
		BGl_z62sfunzf2Iinfozd2cfromzd2setz12z82zzintegrate_infoz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Iinfozd2failsafezd2setz12zd2envz32zzintegrate_infoz00,
		BgL_bgl_za762sfunza7f2iinfoza72158za7,
		BGl_z62sfunzf2Iinfozd2failsafezd2setz12z82zzintegrate_infoz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2080z00zzintegrate_infoz00,
		BgL_bgl_za762za7c3za704anonymo2159za7,
		BGl_z62zc3z04anonymousza31910ze3ze5zzintegrate_infoz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2081z00zzintegrate_infoz00,
		BgL_bgl_za762lambda1909za7622160z00,
		BGl_z62lambda1909z62zzintegrate_infoz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2082z00zzintegrate_infoz00,
		BgL_bgl_za762lambda1908za7622161z00,
		BGl_z62lambda1908z62zzintegrate_infoz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2083z00zzintegrate_infoz00,
		BgL_bgl_za762za7c3za704anonymo2162za7,
		BGl_z62zc3z04anonymousza31918ze3ze5zzintegrate_infoz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2svarzf2Iinfozd2envzf2zzintegrate_infoz00,
		BgL_bgl_za762makeza7d2svarza7f2163za7,
		BGl_z62makezd2svarzf2Iinfoz42zzintegrate_infoz00, 0L, BUNSPEC, 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2084z00zzintegrate_infoz00,
		BgL_bgl_za762lambda1917za7622164z00,
		BGl_z62lambda1917z62zzintegrate_infoz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2085z00zzintegrate_infoz00,
		BgL_bgl_za762lambda1916za7622165z00,
		BGl_z62lambda1916z62zzintegrate_infoz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2086z00zzintegrate_infoz00,
		BgL_bgl_za762za7c3za704anonymo2166za7,
		BGl_z62zc3z04anonymousza31926ze3ze5zzintegrate_infoz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string2093z00zzintegrate_infoz00,
		BgL_bgl_string2093za700za7za7i2167za7, "integrate_info", 14);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2087z00zzintegrate_infoz00,
		BgL_bgl_za762lambda1925za7622168z00,
		BGl_z62lambda1925z62zzintegrate_infoz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2094z00zzintegrate_infoz00,
		BgL_bgl_string2094za700za7za7i2169za7,
		"_ sfun/Iinfo pair-nil xhdls xhdl? tail-coercion kaptured global istamp Led L forceG? G? kont Ct Cn U K* K cto cfrom bound free owner sexit/Iinfo integrate_info svar/Iinfo xhdl celled? bool kaptured? u-mark obj f-mark ",
		217);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2088z00zzintegrate_infoz00,
		BgL_bgl_za762lambda1924za7622170z00,
		BGl_z62lambda1924z62zzintegrate_infoz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2089z00zzintegrate_infoz00,
		BgL_bgl_za762lambda1655za7622171z00,
		BGl_z62lambda1655z62zzintegrate_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Iinfozd2optionalszd2envzf2zzintegrate_infoz00,
		BgL_bgl_za762sfunza7f2iinfoza72172za7,
		BGl_z62sfunzf2Iinfozd2optionalsz42zzintegrate_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Iinfozd2argszd2namezd2envz20zzintegrate_infoz00,
		BgL_bgl_za762sfunza7f2iinfoza72173za7,
		BGl_z62sfunzf2Iinfozd2argszd2namez90zzintegrate_infoz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2090z00zzintegrate_infoz00,
		BgL_bgl_za762za7c3za704anonymo2174za7,
		BGl_z62zc3z04anonymousza31654ze3ze5zzintegrate_infoz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2091z00zzintegrate_infoz00,
		BgL_bgl_za762lambda1650za7622175z00,
		BGl_z62lambda1650z62zzintegrate_infoz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2092z00zzintegrate_infoz00,
		BgL_bgl_za762lambda1643za7622176z00,
		BGl_z62lambda1643z62zzintegrate_infoz00, 0L, BUNSPEC, 43);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Iinfozd2kapturedzd2envzf2zzintegrate_infoz00,
		BgL_bgl_za762sfunza7f2iinfoza72177za7,
		BGl_z62sfunzf2Iinfozd2kapturedz42zzintegrate_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sexitzf2Iinfozf3zd2envzd3zzintegrate_infoz00,
		BgL_bgl_za762sexitza7f2iinfo2178z00,
		BGl_z62sexitzf2Iinfozf3z63zzintegrate_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sexitzf2Iinfozd2fzd2markzd2envz20zzintegrate_infoz00,
		BgL_bgl_za762sexitza7f2iinfo2179z00,
		BGl_z62sexitzf2Iinfozd2fzd2markz90zzintegrate_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Iinfozd2topzf3zd2envz01zzintegrate_infoz00,
		BgL_bgl_za762sfunza7f2iinfoza72180za7,
		BGl_z62sfunzf2Iinfozd2topzf3zb1zzintegrate_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Iinfozd2Kza2zd2envz50zzintegrate_infoz00,
		BgL_bgl_za762sfunza7f2iinfoza72181za7,
		BGl_z62sfunzf2Iinfozd2Kza2ze0zzintegrate_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Iinfozd2Gzf3zd2envz01zzintegrate_infoz00,
		BgL_bgl_za762sfunza7f2iinfoza72182za7,
		BGl_z62sfunzf2Iinfozd2Gzf3zb1zzintegrate_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_svarzf2Iinfozd2xhdlzd2setz12zd2envz32zzintegrate_infoz00,
		BgL_bgl_za762svarza7f2iinfoza72183za7,
		BGl_z62svarzf2Iinfozd2xhdlzd2setz12z82zzintegrate_infoz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Iinfozd2thezd2closurezd2envz20zzintegrate_infoz00,
		BgL_bgl_za762sfunza7f2iinfoza72184za7,
		BGl_z62sfunzf2Iinfozd2thezd2closurez90zzintegrate_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Iinfozd2classzd2envzf2zzintegrate_infoz00,
		BgL_bgl_za762sfunza7f2iinfoza72185za7,
		BGl_z62sfunzf2Iinfozd2classz42zzintegrate_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Iinfozd2globalzd2envzf2zzintegrate_infoz00,
		BgL_bgl_za762sfunza7f2iinfoza72186za7,
		BGl_z62sfunzf2Iinfozd2globalz42zzintegrate_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_sfunzf2Iinfozf3zd2envzd3zzintegrate_infoz00,
		BgL_bgl_za762sfunza7f2iinfoza72187za7,
		BGl_z62sfunzf2Iinfozf3z63zzintegrate_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Iinfozd2Uzd2envzf2zzintegrate_infoz00,
		BgL_bgl_za762sfunza7f2iinfoza72188za7,
		BGl_z62sfunzf2Iinfozd2Uz42zzintegrate_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Iinfozd2Ctzd2envzf2zzintegrate_infoz00,
		BgL_bgl_za762sfunza7f2iinfoza72189za7,
		BGl_z62sfunzf2Iinfozd2Ctz42zzintegrate_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Iinfozd2sidezd2effectzd2setz12zd2envze0zzintegrate_infoz00,
		BgL_bgl_za762sfunza7f2iinfoza72190za7,
		BGl_z62sfunzf2Iinfozd2sidezd2effectzd2setz12z50zzintegrate_infoz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Iinfozd2Kza2zd2setz12zd2envz90zzintegrate_infoz00,
		BgL_bgl_za762sfunza7f2iinfoza72191za7,
		BGl_z62sfunzf2Iinfozd2Kza2zd2setz12z20zzintegrate_infoz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Iinfozd2boundzd2setz12zd2envz32zzintegrate_infoz00,
		BgL_bgl_za762sfunza7f2iinfoza72192za7,
		BGl_z62sfunzf2Iinfozd2boundzd2setz12z82zzintegrate_infoz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Iinfozd2keyszd2envzf2zzintegrate_infoz00,
		BgL_bgl_za762sfunza7f2iinfoza72193za7,
		BGl_z62sfunzf2Iinfozd2keysz42zzintegrate_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Iinfozd2ctozd2setz12zd2envz32zzintegrate_infoz00,
		BgL_bgl_za762sfunza7f2iinfoza72194za7,
		BGl_z62sfunzf2Iinfozd2ctozd2setz12z82zzintegrate_infoz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sexitzf2Iinfozd2detachedzf3zd2envz01zzintegrate_infoz00,
		BgL_bgl_za762sexitza7f2iinfo2195z00,
		BGl_z62sexitzf2Iinfozd2detachedzf3zb1zzintegrate_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Iinfozd2ownerzd2setz12zd2envz32zzintegrate_infoz00,
		BgL_bgl_za762sfunza7f2iinfoza72196za7,
		BGl_z62sfunzf2Iinfozd2ownerzd2setz12z82zzintegrate_infoz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_svarzf2Iinfozd2loczd2envzf2zzintegrate_infoz00,
		BgL_bgl_za762svarza7f2iinfoza72197za7,
		BGl_z62svarzf2Iinfozd2locz42zzintegrate_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Iinfozd2stackablezd2setz12zd2envz32zzintegrate_infoz00,
		BgL_bgl_za762sfunza7f2iinfoza72198za7,
		BGl_z62sfunzf2Iinfozd2stackablezd2setz12z82zzintegrate_infoz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sexitzf2Iinfozd2fzd2markzd2setz12zd2envze0zzintegrate_infoz00,
		BgL_bgl_za762sexitza7f2iinfo2199z00,
		BGl_z62sexitzf2Iinfozd2fzd2markzd2setz12z50zzintegrate_infoz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Iinfozd2Uzd2setz12zd2envz32zzintegrate_infoz00,
		BgL_bgl_za762sfunza7f2iinfoza72200za7,
		BGl_z62sfunzf2Iinfozd2Uzd2setz12z82zzintegrate_infoz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sexitzf2Iinfozd2celledzf3zd2setz12zd2envzc1zzintegrate_infoz00,
		BgL_bgl_za762sexitza7f2iinfo2201z00,
		BGl_z62sexitzf2Iinfozd2celledzf3zd2setz12z71zzintegrate_infoz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Iinfozd2xhdlszd2setz12zd2envz32zzintegrate_infoz00,
		BgL_bgl_za762sfunza7f2iinfoza72202za7,
		BGl_z62sfunzf2Iinfozd2xhdlszd2setz12z82zzintegrate_infoz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_svarzf2Iinfozd2celledzf3zd2envz01zzintegrate_infoz00,
		BgL_bgl_za762svarza7f2iinfoza72203za7,
		BGl_z62svarzf2Iinfozd2celledzf3zb1zzintegrate_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sexitzf2Iinfozd2kapturedzf3zd2envz01zzintegrate_infoz00,
		BgL_bgl_za762sexitza7f2iinfo2204z00,
		BGl_z62sexitzf2Iinfozd2kapturedzf3zb1zzintegrate_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sexitzf2Iinfozd2detachedzf3zd2setz12zd2envzc1zzintegrate_infoz00,
		BgL_bgl_za762sexitza7f2iinfo2205z00,
		BGl_z62sexitzf2Iinfozd2detachedzf3zd2setz12z71zzintegrate_infoz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sexitzf2Iinfozd2uzd2markzd2envz20zzintegrate_infoz00,
		BgL_bgl_za762sexitza7f2iinfo2206z00,
		BGl_z62sexitzf2Iinfozd2uzd2markz90zzintegrate_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_svarzf2Iinfozd2celledzf3zd2setz12zd2envzc1zzintegrate_infoz00,
		BgL_bgl_za762svarza7f2iinfoza72207za7,
		BGl_z62svarzf2Iinfozd2celledzf3zd2setz12z71zzintegrate_infoz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Iinfozd2propertyzd2envzf2zzintegrate_infoz00,
		BgL_bgl_za762sfunza7f2iinfoza72208za7,
		BGl_z62sfunzf2Iinfozd2propertyz42zzintegrate_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Iinfozd2loczd2setz12zd2envz32zzintegrate_infoz00,
		BgL_bgl_za762sfunza7f2iinfoza72209za7,
		BGl_z62sfunzf2Iinfozd2loczd2setz12z82zzintegrate_infoz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Iinfozd2stackzd2allocatorzd2setz12zd2envze0zzintegrate_infoz00,
		BgL_bgl_za762sfunza7f2iinfoza72210za7,
		BGl_z62sfunzf2Iinfozd2stackzd2allocatorzd2setz12z50zzintegrate_infoz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_svarzf2Iinfozd2fzd2markzd2envz20zzintegrate_infoz00,
		BgL_bgl_za762svarza7f2iinfoza72211za7,
		BGl_z62svarzf2Iinfozd2fzd2markz90zzintegrate_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Iinfozd2arityzd2envzf2zzintegrate_infoz00,
		BgL_bgl_za762sfunza7f2iinfoza72212za7,
		BGl_z62sfunzf2Iinfozd2arityz42zzintegrate_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Iinfozd2classzd2setz12zd2envz32zzintegrate_infoz00,
		BgL_bgl_za762sfunza7f2iinfoza72213za7,
		BGl_z62sfunzf2Iinfozd2classzd2setz12z82zzintegrate_infoz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Iinfozd2Ledzd2envzf2zzintegrate_infoz00,
		BgL_bgl_za762sfunza7f2iinfoza72214za7,
		BGl_z62sfunzf2Iinfozd2Ledz42zzintegrate_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2sexitzf2Iinfozd2envzf2zzintegrate_infoz00,
		BgL_bgl_za762makeza7d2sexitza72215za7,
		BGl_z62makezd2sexitzf2Iinfoz42zzintegrate_infoz00, 0L, BUNSPEC, 6);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Iinfozd2Cnzd2envzf2zzintegrate_infoz00,
		BgL_bgl_za762sfunza7f2iinfoza72216za7,
		BGl_z62sfunzf2Iinfozd2Cnz42zzintegrate_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Iinfozd2argszd2retescapezd2envz20zzintegrate_infoz00,
		BgL_bgl_za762sfunza7f2iinfoza72217za7,
		BGl_z62sfunzf2Iinfozd2argszd2retescapez90zzintegrate_infoz00, 0L, BUNSPEC,
		1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Iinfozd2nilzd2envzf2zzintegrate_infoz00,
		BgL_bgl_za762sfunza7f2iinfoza72218za7,
		BGl_z62sfunzf2Iinfozd2nilz42zzintegrate_infoz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Iinfozd2Kzd2setz12zd2envz32zzintegrate_infoz00,
		BgL_bgl_za762sfunza7f2iinfoza72219za7,
		BGl_z62sfunzf2Iinfozd2Kzd2setz12z82zzintegrate_infoz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_svarzf2Iinfozd2uzd2markzd2setz12zd2envze0zzintegrate_infoz00,
		BgL_bgl_za762svarza7f2iinfoza72220za7,
		BGl_z62svarzf2Iinfozd2uzd2markzd2setz12z50zzintegrate_infoz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Iinfozd2predicatezd2ofzd2setz12zd2envze0zzintegrate_infoz00,
		BgL_bgl_za762sfunza7f2iinfoza72221za7,
		BGl_z62sfunzf2Iinfozd2predicatezd2ofzd2setz12z50zzintegrate_infoz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Iinfozd2xhdlzf3zd2envz01zzintegrate_infoz00,
		BgL_bgl_za762sfunza7f2iinfoza72222za7,
		BGl_z62sfunzf2Iinfozd2xhdlzf3zb1zzintegrate_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Iinfozd2ctozd2envzf2zzintegrate_infoz00,
		BgL_bgl_za762sfunza7f2iinfoza72223za7,
		BGl_z62sfunzf2Iinfozd2ctoz42zzintegrate_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Iinfozd2argszd2setz12zd2envz32zzintegrate_infoz00,
		BgL_bgl_za762sfunza7f2iinfoza72224za7,
		BGl_z62sfunzf2Iinfozd2argszd2setz12z82zzintegrate_infoz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Iinfozd2thezd2closurezd2globalzd2envzf2zzintegrate_infoz00,
		BgL_bgl_za762sfunza7f2iinfoza72225za7,
		BGl_z62sfunzf2Iinfozd2thezd2closurezd2globalz42zzintegrate_infoz00, 0L,
		BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Iinfozd2Ledzd2setz12zd2envz32zzintegrate_infoz00,
		BgL_bgl_za762sfunza7f2iinfoza72226za7,
		BGl_z62sfunzf2Iinfozd2Ledzd2setz12z82zzintegrate_infoz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Iinfozd2kontzd2envzf2zzintegrate_infoz00,
		BgL_bgl_za762sfunza7f2iinfoza72227za7,
		BGl_z62sfunzf2Iinfozd2kontz42zzintegrate_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Iinfozd2sidezd2effectzd2envz20zzintegrate_infoz00,
		BgL_bgl_za762sfunza7f2iinfoza72228za7,
		BGl_z62sfunzf2Iinfozd2sidezd2effectz90zzintegrate_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_svarzf2Iinfozf3zd2envzd3zzintegrate_infoz00,
		BgL_bgl_za762svarza7f2iinfoza72229za7,
		BGl_z62svarzf2Iinfozf3z63zzintegrate_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sexitzf2Iinfozd2celledzf3zd2envz01zzintegrate_infoz00,
		BgL_bgl_za762sexitza7f2iinfo2230z00,
		BGl_z62sexitzf2Iinfozd2celledzf3zb1zzintegrate_infoz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1993z00zzintegrate_infoz00,
		BgL_bgl_za762za7c3za704anonymo2231za7,
		BGl_z62zc3z04anonymousza31386ze3ze5zzintegrate_infoz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1994z00zzintegrate_infoz00,
		BgL_bgl_za762lambda1385za7622232z00,
		BGl_z62lambda1385z62zzintegrate_infoz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Iinfozd2bodyzd2setz12zd2envz32zzintegrate_infoz00,
		BgL_bgl_za762sfunza7f2iinfoza72233za7,
		BGl_z62sfunzf2Iinfozd2bodyzd2setz12z82zzintegrate_infoz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1995z00zzintegrate_infoz00,
		BgL_bgl_za762lambda1384za7622234z00,
		BGl_z62lambda1384z62zzintegrate_infoz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1996z00zzintegrate_infoz00,
		BgL_bgl_za762za7c3za704anonymo2235za7,
		BGl_z62zc3z04anonymousza31403ze3ze5zzintegrate_infoz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1997z00zzintegrate_infoz00,
		BgL_bgl_za762lambda1402za7622236z00,
		BGl_z62lambda1402z62zzintegrate_infoz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1998z00zzintegrate_infoz00,
		BgL_bgl_za762lambda1401za7622237z00,
		BGl_z62lambda1401z62zzintegrate_infoz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1999z00zzintegrate_infoz00,
		BgL_bgl_za762za7c3za704anonymo2238za7,
		BGl_z62zc3z04anonymousza31419ze3ze5zzintegrate_infoz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Iinfozd2bodyzd2envzf2zzintegrate_infoz00,
		BgL_bgl_za762sfunza7f2iinfoza72239za7,
		BGl_z62sfunzf2Iinfozd2bodyz42zzintegrate_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Iinfozd2Ctzd2setz12zd2envz32zzintegrate_infoz00,
		BgL_bgl_za762sfunza7f2iinfoza72240za7,
		BGl_z62sfunzf2Iinfozd2Ctzd2setz12z82zzintegrate_infoz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Iinfozd2dssslzd2keywordszd2setz12zd2envze0zzintegrate_infoz00,
		BgL_bgl_za762sfunza7f2iinfoza72241za7,
		BGl_z62sfunzf2Iinfozd2dssslzd2keywordszd2setz12z50zzintegrate_infoz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Iinfozd2xhdlzf3zd2setz12zd2envzc1zzintegrate_infoz00,
		BgL_bgl_za762sfunza7f2iinfoza72242za7,
		BGl_z62sfunzf2Iinfozd2xhdlzf3zd2setz12z71zzintegrate_infoz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sexitzf2Iinfozd2kapturedzf3zd2setz12zd2envzc1zzintegrate_infoz00,
		BgL_bgl_za762sexitza7f2iinfo2243z00,
		BGl_z62sexitzf2Iinfozd2kapturedzf3zd2setz12z71zzintegrate_infoz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_svarzf2Iinfozd2uzd2markzd2envz20zzintegrate_infoz00,
		BgL_bgl_za762svarza7f2iinfoza72244za7,
		BGl_z62svarzf2Iinfozd2uzd2markz90zzintegrate_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Iinfozd2dssslzd2keywordszd2envz20zzintegrate_infoz00,
		BgL_bgl_za762sfunza7f2iinfoza72245za7,
		BGl_z62sfunzf2Iinfozd2dssslzd2keywordsz90zzintegrate_infoz00, 0L, BUNSPEC,
		1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_svarzf2Iinfozd2kapturedzf3zd2setz12zd2envzc1zzintegrate_infoz00,
		BgL_bgl_za762svarza7f2iinfoza72246za7,
		BGl_z62svarzf2Iinfozd2kapturedzf3zd2setz12z71zzintegrate_infoz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Iinfozd2globalzd2setz12zd2envz32zzintegrate_infoz00,
		BgL_bgl_za762sfunza7f2iinfoza72247za7,
		BGl_z62sfunzf2Iinfozd2globalzd2setz12z82zzintegrate_infoz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Iinfozd2argszd2envzf2zzintegrate_infoz00,
		BgL_bgl_za762sfunza7f2iinfoza72248za7,
		BGl_z62sfunzf2Iinfozd2argsz42zzintegrate_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sexitzf2Iinfozd2handlerzd2envzf2zzintegrate_infoz00,
		BgL_bgl_za762sexitza7f2iinfo2249z00,
		BGl_z62sexitzf2Iinfozd2handlerz42zzintegrate_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Iinfozd2forceGzf3zd2envz01zzintegrate_infoz00,
		BgL_bgl_za762sfunza7f2iinfoza72250za7,
		BGl_z62sfunzf2Iinfozd2forceGzf3zb1zzintegrate_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Iinfozd2cfromzd2envzf2zzintegrate_infoz00,
		BgL_bgl_za762sfunza7f2iinfoza72251za7,
		BGl_z62sfunzf2Iinfozd2cfromz42zzintegrate_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Iinfozd2boundzd2envzf2zzintegrate_infoz00,
		BgL_bgl_za762sfunza7f2iinfoza72252za7,
		BGl_z62sfunzf2Iinfozd2boundz42zzintegrate_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Iinfozd2freezd2envzf2zzintegrate_infoz00,
		BgL_bgl_za762sfunza7f2iinfoza72253za7,
		BGl_z62sfunzf2Iinfozd2freez42zzintegrate_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Iinfozd2thezd2closurezd2setz12zd2envze0zzintegrate_infoz00,
		BgL_bgl_za762sfunza7f2iinfoza72254za7,
		BGl_z62sfunzf2Iinfozd2thezd2closurezd2setz12z50zzintegrate_infoz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Iinfozd2argszd2retescapezd2setz12zd2envze0zzintegrate_infoz00,
		BgL_bgl_za762sfunza7f2iinfoza72255za7,
		BGl_z62sfunzf2Iinfozd2argszd2retescapezd2setz12z50zzintegrate_infoz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Iinfozd2predicatezd2ofzd2envz20zzintegrate_infoz00,
		BgL_bgl_za762sfunza7f2iinfoza72256za7,
		BGl_z62sfunzf2Iinfozd2predicatezd2ofz90zzintegrate_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Iinfozd2kontzd2setz12zd2envz32zzintegrate_infoz00,
		BgL_bgl_za762sfunza7f2iinfoza72257za7,
		BGl_z62sfunzf2Iinfozd2kontzd2setz12z82zzintegrate_infoz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2sfunzf2Iinfozd2envzf2zzintegrate_infoz00,
		BgL_bgl_za762makeza7d2sfunza7f2258za7,
		BGl_z62makezd2sfunzf2Iinfoz42zzintegrate_infoz00, 0L, BUNSPEC, 43);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Iinfozd2thezd2closurezd2globalzd2setz12zd2envz32zzintegrate_infoz00,
		BgL_bgl_za762sfunza7f2iinfoza72259za7,
		BGl_z62sfunzf2Iinfozd2thezd2closurezd2globalzd2setz12z82zzintegrate_infoz00,
		0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Iinfozd2ownerzd2envzf2zzintegrate_infoz00,
		BgL_bgl_za762sfunza7f2iinfoza72260za7,
		BGl_z62sfunzf2Iinfozd2ownerz42zzintegrate_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Iinfozd2Lzd2setz12zd2envz32zzintegrate_infoz00,
		BgL_bgl_za762sfunza7f2iinfoza72261za7,
		BGl_z62sfunzf2Iinfozd2Lzd2setz12z82zzintegrate_infoz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Iinfozd2argszd2noescapezd2envz20zzintegrate_infoz00,
		BgL_bgl_za762sfunza7f2iinfoza72262za7,
		BGl_z62sfunzf2Iinfozd2argszd2noescapez90zzintegrate_infoz00, 0L, BUNSPEC,
		1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Iinfozd2tailzd2coercionzd2envz20zzintegrate_infoz00,
		BgL_bgl_za762sfunza7f2iinfoza72263za7,
		BGl_z62sfunzf2Iinfozd2tailzd2coercionz90zzintegrate_infoz00, 0L, BUNSPEC,
		1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Iinfozd2topzf3zd2setz12zd2envzc1zzintegrate_infoz00,
		BgL_bgl_za762sfunza7f2iinfoza72264za7,
		BGl_z62sfunzf2Iinfozd2topzf3zd2setz12z71zzintegrate_infoz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Iinfozd2forceGzf3zd2setz12zd2envzc1zzintegrate_infoz00,
		BgL_bgl_za762sfunza7f2iinfoza72265za7,
		BGl_z62sfunzf2Iinfozd2forceGzf3zd2setz12z71zzintegrate_infoz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_svarzf2Iinfozd2loczd2setz12zd2envz32zzintegrate_infoz00,
		BgL_bgl_za762svarza7f2iinfoza72266za7,
		BGl_z62svarzf2Iinfozd2loczd2setz12z82zzintegrate_infoz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Iinfozd2freezd2setz12zd2envz32zzintegrate_infoz00,
		BgL_bgl_za762sfunza7f2iinfoza72267za7,
		BGl_z62sfunzf2Iinfozd2freezd2setz12z82zzintegrate_infoz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Iinfozd2argszd2noescapezd2setz12zd2envze0zzintegrate_infoz00,
		BgL_bgl_za762sfunza7f2iinfoza72268za7,
		BGl_z62sfunzf2Iinfozd2argszd2noescapezd2setz12z50zzintegrate_infoz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Iinfozd2istampzd2setz12zd2envz32zzintegrate_infoz00,
		BgL_bgl_za762sfunza7f2iinfoza72269za7,
		BGl_z62sfunzf2Iinfozd2istampzd2setz12z82zzintegrate_infoz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sexitzf2Iinfozd2handlerzd2setz12zd2envz32zzintegrate_infoz00,
		BgL_bgl_za762sexitza7f2iinfo2270z00,
		BGl_z62sexitzf2Iinfozd2handlerzd2setz12z82zzintegrate_infoz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Iinfozd2istampzd2envzf2zzintegrate_infoz00,
		BgL_bgl_za762sfunza7f2iinfoza72271za7,
		BGl_z62sfunzf2Iinfozd2istampz42zzintegrate_infoz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2000z00zzintegrate_infoz00,
		BgL_bgl_za762lambda1418za7622272z00,
		BGl_z62lambda1418z62zzintegrate_infoz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2001z00zzintegrate_infoz00,
		BgL_bgl_za762lambda1417za7622273z00,
		BGl_z62lambda1417z62zzintegrate_infoz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2002z00zzintegrate_infoz00,
		BgL_bgl_za762za7c3za704anonymo2274za7,
		BGl_z62zc3z04anonymousza31483ze3ze5zzintegrate_infoz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2003z00zzintegrate_infoz00,
		BgL_bgl_za762lambda1482za7622275z00,
		BGl_z62lambda1482z62zzintegrate_infoz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2004z00zzintegrate_infoz00,
		BgL_bgl_za762lambda1481za7622276z00,
		BGl_z62lambda1481z62zzintegrate_infoz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2005z00zzintegrate_infoz00,
		BgL_bgl_za762za7c3za704anonymo2277za7,
		BGl_z62zc3z04anonymousza31493ze3ze5zzintegrate_infoz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2006z00zzintegrate_infoz00,
		BgL_bgl_za762lambda1492za7622278z00,
		BGl_z62lambda1492z62zzintegrate_infoz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2007z00zzintegrate_infoz00,
		BgL_bgl_za762lambda1491za7622279z00,
		BGl_z62lambda1491z62zzintegrate_infoz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2008z00zzintegrate_infoz00,
		BgL_bgl_za762lambda1369za7622280z00,
		BGl_z62lambda1369z62zzintegrate_infoz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2009z00zzintegrate_infoz00,
		BgL_bgl_za762za7c3za704anonymo2281za7,
		BGl_z62zc3z04anonymousza31368ze3ze5zzintegrate_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_svarzf2Iinfozd2nilzd2envzf2zzintegrate_infoz00,
		BgL_bgl_za762svarza7f2iinfoza72282za7,
		BGl_z62svarzf2Iinfozd2nilz42zzintegrate_infoz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_svarzf2Iinfozd2xhdlzd2envzf2zzintegrate_infoz00,
		BgL_bgl_za762svarza7f2iinfoza72283za7,
		BGl_z62svarzf2Iinfozd2xhdlz42zzintegrate_infoz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2010z00zzintegrate_infoz00,
		BgL_bgl_za762lambda1366za7622284z00,
		BGl_z62lambda1366z62zzintegrate_infoz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2011z00zzintegrate_infoz00,
		BgL_bgl_za762lambda1361za7622285z00,
		BGl_z62lambda1361z62zzintegrate_infoz00, 0L, BUNSPEC, 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2012z00zzintegrate_infoz00,
		BgL_bgl_za762za7c3za704anonymo2286za7,
		BGl_z62zc3z04anonymousza31577ze3ze5zzintegrate_infoz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2013z00zzintegrate_infoz00,
		BgL_bgl_za762lambda1576za7622287z00,
		BGl_z62lambda1576z62zzintegrate_infoz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2014z00zzintegrate_infoz00,
		BgL_bgl_za762lambda1575za7622288z00,
		BGl_z62lambda1575z62zzintegrate_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sexitzf2Iinfozd2uzd2markzd2setz12zd2envze0zzintegrate_infoz00,
		BgL_bgl_za762sexitza7f2iinfo2289z00,
		BGl_z62sexitzf2Iinfozd2uzd2markzd2setz12z50zzintegrate_infoz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2015z00zzintegrate_infoz00,
		BgL_bgl_za762za7c3za704anonymo2290za7,
		BGl_z62zc3z04anonymousza31591ze3ze5zzintegrate_infoz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2016z00zzintegrate_infoz00,
		BgL_bgl_za762lambda1590za7622291z00,
		BGl_z62lambda1590z62zzintegrate_infoz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2017z00zzintegrate_infoz00,
		BgL_bgl_za762lambda1589za7622292z00,
		BGl_z62lambda1589z62zzintegrate_infoz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2018z00zzintegrate_infoz00,
		BgL_bgl_za762za7c3za704anonymo2293za7,
		BGl_z62zc3z04anonymousza31608ze3ze5zzintegrate_infoz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2019z00zzintegrate_infoz00,
		BgL_bgl_za762lambda1607za7622294z00,
		BGl_z62lambda1607z62zzintegrate_infoz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Iinfozd2effectzd2setz12zd2envz32zzintegrate_infoz00,
		BgL_bgl_za762sfunza7f2iinfoza72295za7,
		BGl_z62sfunzf2Iinfozd2effectzd2setz12z82zzintegrate_infoz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Iinfozd2strengthzd2envzf2zzintegrate_infoz00,
		BgL_bgl_za762sfunza7f2iinfoza72296za7,
		BGl_z62sfunzf2Iinfozd2strengthz42zzintegrate_infoz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2020z00zzintegrate_infoz00,
		BgL_bgl_za762lambda1606za7622297z00,
		BGl_z62lambda1606z62zzintegrate_infoz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2021z00zzintegrate_infoz00,
		BgL_bgl_za762za7c3za704anonymo2298za7,
		BGl_z62zc3z04anonymousza31629ze3ze5zzintegrate_infoz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2022z00zzintegrate_infoz00,
		BgL_bgl_za762lambda1628za7622299z00,
		BGl_z62lambda1628z62zzintegrate_infoz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2023z00zzintegrate_infoz00,
		BgL_bgl_za762lambda1627za7622300z00,
		BGl_z62lambda1627z62zzintegrate_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_svarzf2Iinfozd2fzd2markzd2setz12zd2envze0zzintegrate_infoz00,
		BgL_bgl_za762svarza7f2iinfoza72301za7,
		BGl_z62svarzf2Iinfozd2fzd2markzd2setz12z50zzintegrate_infoz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2024z00zzintegrate_infoz00,
		BgL_bgl_za762lambda1537za7622302z00,
		BGl_z62lambda1537z62zzintegrate_infoz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2025z00zzintegrate_infoz00,
		BgL_bgl_za762za7c3za704anonymo2303za7,
		BGl_z62zc3z04anonymousza31536ze3ze5zzintegrate_infoz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2026z00zzintegrate_infoz00,
		BgL_bgl_za762lambda1533za7622304z00,
		BGl_z62lambda1533z62zzintegrate_infoz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2027z00zzintegrate_infoz00,
		BgL_bgl_za762lambda1517za7622305z00,
		BGl_z62lambda1517z62zzintegrate_infoz00, 0L, BUNSPEC, 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2028z00zzintegrate_infoz00,
		BgL_bgl_za762lambda1675za7622306z00,
		BGl_z62lambda1675z62zzintegrate_infoz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2029z00zzintegrate_infoz00,
		BgL_bgl_za762lambda1674za7622307z00,
		BGl_z62lambda1674z62zzintegrate_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Iinfozd2loczd2envzf2zzintegrate_infoz00,
		BgL_bgl_za762sfunza7f2iinfoza72308za7,
		BGl_z62sfunzf2Iinfozd2locz42zzintegrate_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Iinfozd2Gzf3zd2setz12zd2envzc1zzintegrate_infoz00,
		BgL_bgl_za762sfunza7f2iinfoza72309za7,
		BGl_z62sfunzf2Iinfozd2Gzf3zd2setz12z71zzintegrate_infoz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Iinfozd2stackablezd2envzf2zzintegrate_infoz00,
		BgL_bgl_za762sfunza7f2iinfoza72310za7,
		BGl_z62sfunzf2Iinfozd2stackablez42zzintegrate_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzf2Iinfozd2Cnzd2setz12zd2envz32zzintegrate_infoz00,
		BgL_bgl_za762sfunza7f2iinfoza72311za7,
		BGl_z62sfunzf2Iinfozd2Cnzd2setz12z82zzintegrate_infoz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2030z00zzintegrate_infoz00,
		BgL_bgl_za762za7c3za704anonymo2312za7,
		BGl_z62zc3z04anonymousza31689ze3ze5zzintegrate_infoz00, 0L, BUNSPEC, 0);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zzintegrate_infoz00));
		     ADD_ROOT((void *) (&BGl_sfunzf2Iinfozf2zzintegrate_infoz00));
		     ADD_ROOT((void *) (&BGl_sexitzf2Iinfozf2zzintegrate_infoz00));
		     ADD_ROOT((void *) (&BGl_svarzf2Iinfozf2zzintegrate_infoz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzintegrate_infoz00(long
		BgL_checksumz00_3652, char *BgL_fromz00_3653)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzintegrate_infoz00))
				{
					BGl_requirezd2initializa7ationz75zzintegrate_infoz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzintegrate_infoz00();
					BGl_libraryzd2moduleszd2initz00zzintegrate_infoz00();
					BGl_cnstzd2initzd2zzintegrate_infoz00();
					BGl_importedzd2moduleszd2initz00zzintegrate_infoz00();
					BGl_objectzd2initzd2zzintegrate_infoz00();
					return BGl_toplevelzd2initzd2zzintegrate_infoz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzintegrate_infoz00(void)
	{
		{	/* Integrate/iinfo.scm 15 */
			BGl_modulezd2initializa7ationz75zz__objectz00(0L, "integrate_info");
			BGl_modulezd2initializa7ationz75zz__readerz00(0L, "integrate_info");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(0L,
				"integrate_info");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(0L,
				"integrate_info");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(0L,
				"integrate_info");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(0L,
				"integrate_info");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(0L,
				"integrate_info");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzintegrate_infoz00(void)
	{
		{	/* Integrate/iinfo.scm 15 */
			{	/* Integrate/iinfo.scm 15 */
				obj_t BgL_cportz00_3447;

				{	/* Integrate/iinfo.scm 15 */
					obj_t BgL_stringz00_3454;

					BgL_stringz00_3454 = BGl_string2094z00zzintegrate_infoz00;
					{	/* Integrate/iinfo.scm 15 */
						obj_t BgL_startz00_3455;

						BgL_startz00_3455 = BINT(0L);
						{	/* Integrate/iinfo.scm 15 */
							obj_t BgL_endz00_3456;

							BgL_endz00_3456 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_3454)));
							{	/* Integrate/iinfo.scm 15 */

								BgL_cportz00_3447 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_3454, BgL_startz00_3455, BgL_endz00_3456);
				}}}}
				{
					long BgL_iz00_3448;

					BgL_iz00_3448 = 33L;
				BgL_loopz00_3449:
					if ((BgL_iz00_3448 == (-1L)))
						{	/* Integrate/iinfo.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Integrate/iinfo.scm 15 */
							{	/* Integrate/iinfo.scm 15 */
								obj_t BgL_arg2095z00_3450;

								{	/* Integrate/iinfo.scm 15 */

									{	/* Integrate/iinfo.scm 15 */
										obj_t BgL_locationz00_3452;

										BgL_locationz00_3452 = BBOOL(((bool_t) 0));
										{	/* Integrate/iinfo.scm 15 */

											BgL_arg2095z00_3450 =
												BGl_readz00zz__readerz00(BgL_cportz00_3447,
												BgL_locationz00_3452);
										}
									}
								}
								{	/* Integrate/iinfo.scm 15 */
									int BgL_tmpz00_3679;

									BgL_tmpz00_3679 = (int) (BgL_iz00_3448);
									CNST_TABLE_SET(BgL_tmpz00_3679, BgL_arg2095z00_3450);
							}}
							{	/* Integrate/iinfo.scm 15 */
								int BgL_auxz00_3453;

								BgL_auxz00_3453 = (int) ((BgL_iz00_3448 - 1L));
								{
									long BgL_iz00_3684;

									BgL_iz00_3684 = (long) (BgL_auxz00_3453);
									BgL_iz00_3448 = BgL_iz00_3684;
									goto BgL_loopz00_3449;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzintegrate_infoz00(void)
	{
		{	/* Integrate/iinfo.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzintegrate_infoz00(void)
	{
		{	/* Integrate/iinfo.scm 15 */
			return BUNSPEC;
		}

	}



/* make-svar/Iinfo */
	BGL_EXPORTED_DEF BgL_svarz00_bglt
		BGl_makezd2svarzf2Iinfoz20zzintegrate_infoz00(obj_t BgL_loc1227z00_3,
		obj_t BgL_fzd2mark1228zd2_4, obj_t BgL_uzd2mark1229zd2_5,
		bool_t BgL_kapturedzf31230zf3_6, bool_t BgL_celledzf31231zf3_7,
		obj_t BgL_xhdl1232z00_8)
	{
		{	/* Integrate/iinfo.sch 141 */
			{	/* Integrate/iinfo.sch 141 */
				BgL_svarz00_bglt BgL_new1178z00_3458;

				{	/* Integrate/iinfo.sch 141 */
					BgL_svarz00_bglt BgL_tmp1176z00_3459;
					BgL_svarzf2iinfozf2_bglt BgL_wide1177z00_3460;

					{
						BgL_svarz00_bglt BgL_auxz00_3687;

						{	/* Integrate/iinfo.sch 141 */
							BgL_svarz00_bglt BgL_new1175z00_3461;

							BgL_new1175z00_3461 =
								((BgL_svarz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_svarz00_bgl))));
							{	/* Integrate/iinfo.sch 141 */
								long BgL_arg1333z00_3462;

								BgL_arg1333z00_3462 = BGL_CLASS_NUM(BGl_svarz00zzast_varz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1175z00_3461),
									BgL_arg1333z00_3462);
							}
							{	/* Integrate/iinfo.sch 141 */
								BgL_objectz00_bglt BgL_tmpz00_3692;

								BgL_tmpz00_3692 = ((BgL_objectz00_bglt) BgL_new1175z00_3461);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3692, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1175z00_3461);
							BgL_auxz00_3687 = BgL_new1175z00_3461;
						}
						BgL_tmp1176z00_3459 = ((BgL_svarz00_bglt) BgL_auxz00_3687);
					}
					BgL_wide1177z00_3460 =
						((BgL_svarzf2iinfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_svarzf2iinfozf2_bgl))));
					{	/* Integrate/iinfo.sch 141 */
						obj_t BgL_auxz00_3700;
						BgL_objectz00_bglt BgL_tmpz00_3698;

						BgL_auxz00_3700 = ((obj_t) BgL_wide1177z00_3460);
						BgL_tmpz00_3698 = ((BgL_objectz00_bglt) BgL_tmp1176z00_3459);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3698, BgL_auxz00_3700);
					}
					((BgL_objectz00_bglt) BgL_tmp1176z00_3459);
					{	/* Integrate/iinfo.sch 141 */
						long BgL_arg1332z00_3463;

						BgL_arg1332z00_3463 =
							BGL_CLASS_NUM(BGl_svarzf2Iinfozf2zzintegrate_infoz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1176z00_3459), BgL_arg1332z00_3463);
					}
					BgL_new1178z00_3458 = ((BgL_svarz00_bglt) BgL_tmp1176z00_3459);
				}
				((((BgL_svarz00_bglt) COBJECT(
								((BgL_svarz00_bglt) BgL_new1178z00_3458)))->BgL_locz00) =
					((obj_t) BgL_loc1227z00_3), BUNSPEC);
				{
					BgL_svarzf2iinfozf2_bglt BgL_auxz00_3710;

					{
						obj_t BgL_auxz00_3711;

						{	/* Integrate/iinfo.sch 141 */
							BgL_objectz00_bglt BgL_tmpz00_3712;

							BgL_tmpz00_3712 = ((BgL_objectz00_bglt) BgL_new1178z00_3458);
							BgL_auxz00_3711 = BGL_OBJECT_WIDENING(BgL_tmpz00_3712);
						}
						BgL_auxz00_3710 = ((BgL_svarzf2iinfozf2_bglt) BgL_auxz00_3711);
					}
					((((BgL_svarzf2iinfozf2_bglt) COBJECT(BgL_auxz00_3710))->
							BgL_fzd2markzd2) = ((obj_t) BgL_fzd2mark1228zd2_4), BUNSPEC);
				}
				{
					BgL_svarzf2iinfozf2_bglt BgL_auxz00_3717;

					{
						obj_t BgL_auxz00_3718;

						{	/* Integrate/iinfo.sch 141 */
							BgL_objectz00_bglt BgL_tmpz00_3719;

							BgL_tmpz00_3719 = ((BgL_objectz00_bglt) BgL_new1178z00_3458);
							BgL_auxz00_3718 = BGL_OBJECT_WIDENING(BgL_tmpz00_3719);
						}
						BgL_auxz00_3717 = ((BgL_svarzf2iinfozf2_bglt) BgL_auxz00_3718);
					}
					((((BgL_svarzf2iinfozf2_bglt) COBJECT(BgL_auxz00_3717))->
							BgL_uzd2markzd2) = ((obj_t) BgL_uzd2mark1229zd2_5), BUNSPEC);
				}
				{
					BgL_svarzf2iinfozf2_bglt BgL_auxz00_3724;

					{
						obj_t BgL_auxz00_3725;

						{	/* Integrate/iinfo.sch 141 */
							BgL_objectz00_bglt BgL_tmpz00_3726;

							BgL_tmpz00_3726 = ((BgL_objectz00_bglt) BgL_new1178z00_3458);
							BgL_auxz00_3725 = BGL_OBJECT_WIDENING(BgL_tmpz00_3726);
						}
						BgL_auxz00_3724 = ((BgL_svarzf2iinfozf2_bglt) BgL_auxz00_3725);
					}
					((((BgL_svarzf2iinfozf2_bglt) COBJECT(BgL_auxz00_3724))->
							BgL_kapturedzf3zf3) =
						((bool_t) BgL_kapturedzf31230zf3_6), BUNSPEC);
				}
				{
					BgL_svarzf2iinfozf2_bglt BgL_auxz00_3731;

					{
						obj_t BgL_auxz00_3732;

						{	/* Integrate/iinfo.sch 141 */
							BgL_objectz00_bglt BgL_tmpz00_3733;

							BgL_tmpz00_3733 = ((BgL_objectz00_bglt) BgL_new1178z00_3458);
							BgL_auxz00_3732 = BGL_OBJECT_WIDENING(BgL_tmpz00_3733);
						}
						BgL_auxz00_3731 = ((BgL_svarzf2iinfozf2_bglt) BgL_auxz00_3732);
					}
					((((BgL_svarzf2iinfozf2_bglt) COBJECT(BgL_auxz00_3731))->
							BgL_celledzf3zf3) = ((bool_t) BgL_celledzf31231zf3_7), BUNSPEC);
				}
				{
					BgL_svarzf2iinfozf2_bglt BgL_auxz00_3738;

					{
						obj_t BgL_auxz00_3739;

						{	/* Integrate/iinfo.sch 141 */
							BgL_objectz00_bglt BgL_tmpz00_3740;

							BgL_tmpz00_3740 = ((BgL_objectz00_bglt) BgL_new1178z00_3458);
							BgL_auxz00_3739 = BGL_OBJECT_WIDENING(BgL_tmpz00_3740);
						}
						BgL_auxz00_3738 = ((BgL_svarzf2iinfozf2_bglt) BgL_auxz00_3739);
					}
					((((BgL_svarzf2iinfozf2_bglt) COBJECT(BgL_auxz00_3738))->
							BgL_xhdlz00) = ((obj_t) BgL_xhdl1232z00_8), BUNSPEC);
				}
				return BgL_new1178z00_3458;
			}
		}

	}



/* &make-svar/Iinfo */
	BgL_svarz00_bglt BGl_z62makezd2svarzf2Iinfoz42zzintegrate_infoz00(obj_t
		BgL_envz00_2763, obj_t BgL_loc1227z00_2764, obj_t BgL_fzd2mark1228zd2_2765,
		obj_t BgL_uzd2mark1229zd2_2766, obj_t BgL_kapturedzf31230zf3_2767,
		obj_t BgL_celledzf31231zf3_2768, obj_t BgL_xhdl1232z00_2769)
	{
		{	/* Integrate/iinfo.sch 141 */
			return
				BGl_makezd2svarzf2Iinfoz20zzintegrate_infoz00(BgL_loc1227z00_2764,
				BgL_fzd2mark1228zd2_2765, BgL_uzd2mark1229zd2_2766,
				CBOOL(BgL_kapturedzf31230zf3_2767), CBOOL(BgL_celledzf31231zf3_2768),
				BgL_xhdl1232z00_2769);
		}

	}



/* svar/Iinfo? */
	BGL_EXPORTED_DEF bool_t BGl_svarzf2Iinfozf3z01zzintegrate_infoz00(obj_t
		BgL_objz00_9)
	{
		{	/* Integrate/iinfo.sch 142 */
			{	/* Integrate/iinfo.sch 142 */
				obj_t BgL_classz00_3464;

				BgL_classz00_3464 = BGl_svarzf2Iinfozf2zzintegrate_infoz00;
				if (BGL_OBJECTP(BgL_objz00_9))
					{	/* Integrate/iinfo.sch 142 */
						BgL_objectz00_bglt BgL_arg1858z00_3465;

						BgL_arg1858z00_3465 = (BgL_objectz00_bglt) (BgL_objz00_9);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Integrate/iinfo.sch 142 */
								long BgL_idxz00_3466;

								BgL_idxz00_3466 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_3465);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_3466 + 3L)) == BgL_classz00_3464);
							}
						else
							{	/* Integrate/iinfo.sch 142 */
								bool_t BgL_res1990z00_3469;

								{	/* Integrate/iinfo.sch 142 */
									obj_t BgL_oclassz00_3470;

									{	/* Integrate/iinfo.sch 142 */
										obj_t BgL_arg1866z00_3471;
										long BgL_arg1867z00_3472;

										BgL_arg1866z00_3471 = (BGl_za2classesza2z00zz__objectz00);
										{	/* Integrate/iinfo.sch 142 */
											long BgL_arg1869z00_3473;

											BgL_arg1869z00_3473 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_3465);
											BgL_arg1867z00_3472 = (BgL_arg1869z00_3473 - OBJECT_TYPE);
										}
										BgL_oclassz00_3470 =
											VECTOR_REF(BgL_arg1866z00_3471, BgL_arg1867z00_3472);
									}
									{	/* Integrate/iinfo.sch 142 */
										bool_t BgL__ortest_1115z00_3474;

										BgL__ortest_1115z00_3474 =
											(BgL_classz00_3464 == BgL_oclassz00_3470);
										if (BgL__ortest_1115z00_3474)
											{	/* Integrate/iinfo.sch 142 */
												BgL_res1990z00_3469 = BgL__ortest_1115z00_3474;
											}
										else
											{	/* Integrate/iinfo.sch 142 */
												long BgL_odepthz00_3475;

												{	/* Integrate/iinfo.sch 142 */
													obj_t BgL_arg1855z00_3476;

													BgL_arg1855z00_3476 = (BgL_oclassz00_3470);
													BgL_odepthz00_3475 =
														BGL_CLASS_DEPTH(BgL_arg1855z00_3476);
												}
												if ((3L < BgL_odepthz00_3475))
													{	/* Integrate/iinfo.sch 142 */
														obj_t BgL_arg1853z00_3477;

														{	/* Integrate/iinfo.sch 142 */
															obj_t BgL_arg1854z00_3478;

															BgL_arg1854z00_3478 = (BgL_oclassz00_3470);
															BgL_arg1853z00_3477 =
																BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_3478,
																3L);
														}
														BgL_res1990z00_3469 =
															(BgL_arg1853z00_3477 == BgL_classz00_3464);
													}
												else
													{	/* Integrate/iinfo.sch 142 */
														BgL_res1990z00_3469 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res1990z00_3469;
							}
					}
				else
					{	/* Integrate/iinfo.sch 142 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &svar/Iinfo? */
	obj_t BGl_z62svarzf2Iinfozf3z63zzintegrate_infoz00(obj_t BgL_envz00_2770,
		obj_t BgL_objz00_2771)
	{
		{	/* Integrate/iinfo.sch 142 */
			return BBOOL(BGl_svarzf2Iinfozf3z01zzintegrate_infoz00(BgL_objz00_2771));
		}

	}



/* svar/Iinfo-nil */
	BGL_EXPORTED_DEF BgL_svarz00_bglt
		BGl_svarzf2Iinfozd2nilz20zzintegrate_infoz00(void)
	{
		{	/* Integrate/iinfo.sch 143 */
			{	/* Integrate/iinfo.sch 143 */
				obj_t BgL_classz00_2345;

				BgL_classz00_2345 = BGl_svarzf2Iinfozf2zzintegrate_infoz00;
				{	/* Integrate/iinfo.sch 143 */
					obj_t BgL__ortest_1117z00_2346;

					BgL__ortest_1117z00_2346 = BGL_CLASS_NIL(BgL_classz00_2345);
					if (CBOOL(BgL__ortest_1117z00_2346))
						{	/* Integrate/iinfo.sch 143 */
							return ((BgL_svarz00_bglt) BgL__ortest_1117z00_2346);
						}
					else
						{	/* Integrate/iinfo.sch 143 */
							return
								((BgL_svarz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2345));
						}
				}
			}
		}

	}



/* &svar/Iinfo-nil */
	BgL_svarz00_bglt BGl_z62svarzf2Iinfozd2nilz42zzintegrate_infoz00(obj_t
		BgL_envz00_2772)
	{
		{	/* Integrate/iinfo.sch 143 */
			return BGl_svarzf2Iinfozd2nilz20zzintegrate_infoz00();
		}

	}



/* svar/Iinfo-xhdl */
	BGL_EXPORTED_DEF obj_t
		BGl_svarzf2Iinfozd2xhdlz20zzintegrate_infoz00(BgL_svarz00_bglt BgL_oz00_10)
	{
		{	/* Integrate/iinfo.sch 144 */
			{
				BgL_svarzf2iinfozf2_bglt BgL_auxz00_3779;

				{
					obj_t BgL_auxz00_3780;

					{	/* Integrate/iinfo.sch 144 */
						BgL_objectz00_bglt BgL_tmpz00_3781;

						BgL_tmpz00_3781 = ((BgL_objectz00_bglt) BgL_oz00_10);
						BgL_auxz00_3780 = BGL_OBJECT_WIDENING(BgL_tmpz00_3781);
					}
					BgL_auxz00_3779 = ((BgL_svarzf2iinfozf2_bglt) BgL_auxz00_3780);
				}
				return
					(((BgL_svarzf2iinfozf2_bglt) COBJECT(BgL_auxz00_3779))->BgL_xhdlz00);
			}
		}

	}



/* &svar/Iinfo-xhdl */
	obj_t BGl_z62svarzf2Iinfozd2xhdlz42zzintegrate_infoz00(obj_t BgL_envz00_2773,
		obj_t BgL_oz00_2774)
	{
		{	/* Integrate/iinfo.sch 144 */
			return
				BGl_svarzf2Iinfozd2xhdlz20zzintegrate_infoz00(
				((BgL_svarz00_bglt) BgL_oz00_2774));
		}

	}



/* svar/Iinfo-xhdl-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_svarzf2Iinfozd2xhdlzd2setz12ze0zzintegrate_infoz00(BgL_svarz00_bglt
		BgL_oz00_11, obj_t BgL_vz00_12)
	{
		{	/* Integrate/iinfo.sch 145 */
			{
				BgL_svarzf2iinfozf2_bglt BgL_auxz00_3788;

				{
					obj_t BgL_auxz00_3789;

					{	/* Integrate/iinfo.sch 145 */
						BgL_objectz00_bglt BgL_tmpz00_3790;

						BgL_tmpz00_3790 = ((BgL_objectz00_bglt) BgL_oz00_11);
						BgL_auxz00_3789 = BGL_OBJECT_WIDENING(BgL_tmpz00_3790);
					}
					BgL_auxz00_3788 = ((BgL_svarzf2iinfozf2_bglt) BgL_auxz00_3789);
				}
				return
					((((BgL_svarzf2iinfozf2_bglt) COBJECT(BgL_auxz00_3788))->
						BgL_xhdlz00) = ((obj_t) BgL_vz00_12), BUNSPEC);
			}
		}

	}



/* &svar/Iinfo-xhdl-set! */
	obj_t BGl_z62svarzf2Iinfozd2xhdlzd2setz12z82zzintegrate_infoz00(obj_t
		BgL_envz00_2775, obj_t BgL_oz00_2776, obj_t BgL_vz00_2777)
	{
		{	/* Integrate/iinfo.sch 145 */
			return
				BGl_svarzf2Iinfozd2xhdlzd2setz12ze0zzintegrate_infoz00(
				((BgL_svarz00_bglt) BgL_oz00_2776), BgL_vz00_2777);
		}

	}



/* svar/Iinfo-celled? */
	BGL_EXPORTED_DEF bool_t
		BGl_svarzf2Iinfozd2celledzf3zd3zzintegrate_infoz00(BgL_svarz00_bglt
		BgL_oz00_13)
	{
		{	/* Integrate/iinfo.sch 146 */
			{
				BgL_svarzf2iinfozf2_bglt BgL_auxz00_3797;

				{
					obj_t BgL_auxz00_3798;

					{	/* Integrate/iinfo.sch 146 */
						BgL_objectz00_bglt BgL_tmpz00_3799;

						BgL_tmpz00_3799 = ((BgL_objectz00_bglt) BgL_oz00_13);
						BgL_auxz00_3798 = BGL_OBJECT_WIDENING(BgL_tmpz00_3799);
					}
					BgL_auxz00_3797 = ((BgL_svarzf2iinfozf2_bglt) BgL_auxz00_3798);
				}
				return
					(((BgL_svarzf2iinfozf2_bglt) COBJECT(BgL_auxz00_3797))->
					BgL_celledzf3zf3);
			}
		}

	}



/* &svar/Iinfo-celled? */
	obj_t BGl_z62svarzf2Iinfozd2celledzf3zb1zzintegrate_infoz00(obj_t
		BgL_envz00_2778, obj_t BgL_oz00_2779)
	{
		{	/* Integrate/iinfo.sch 146 */
			return
				BBOOL(BGl_svarzf2Iinfozd2celledzf3zd3zzintegrate_infoz00(
					((BgL_svarz00_bglt) BgL_oz00_2779)));
		}

	}



/* svar/Iinfo-celled?-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_svarzf2Iinfozd2celledzf3zd2setz12z13zzintegrate_infoz00(BgL_svarz00_bglt
		BgL_oz00_14, bool_t BgL_vz00_15)
	{
		{	/* Integrate/iinfo.sch 147 */
			{
				BgL_svarzf2iinfozf2_bglt BgL_auxz00_3807;

				{
					obj_t BgL_auxz00_3808;

					{	/* Integrate/iinfo.sch 147 */
						BgL_objectz00_bglt BgL_tmpz00_3809;

						BgL_tmpz00_3809 = ((BgL_objectz00_bglt) BgL_oz00_14);
						BgL_auxz00_3808 = BGL_OBJECT_WIDENING(BgL_tmpz00_3809);
					}
					BgL_auxz00_3807 = ((BgL_svarzf2iinfozf2_bglt) BgL_auxz00_3808);
				}
				return
					((((BgL_svarzf2iinfozf2_bglt) COBJECT(BgL_auxz00_3807))->
						BgL_celledzf3zf3) = ((bool_t) BgL_vz00_15), BUNSPEC);
			}
		}

	}



/* &svar/Iinfo-celled?-set! */
	obj_t BGl_z62svarzf2Iinfozd2celledzf3zd2setz12z71zzintegrate_infoz00(obj_t
		BgL_envz00_2780, obj_t BgL_oz00_2781, obj_t BgL_vz00_2782)
	{
		{	/* Integrate/iinfo.sch 147 */
			return
				BGl_svarzf2Iinfozd2celledzf3zd2setz12z13zzintegrate_infoz00(
				((BgL_svarz00_bglt) BgL_oz00_2781), CBOOL(BgL_vz00_2782));
		}

	}



/* svar/Iinfo-kaptured? */
	BGL_EXPORTED_DEF bool_t
		BGl_svarzf2Iinfozd2kapturedzf3zd3zzintegrate_infoz00(BgL_svarz00_bglt
		BgL_oz00_16)
	{
		{	/* Integrate/iinfo.sch 148 */
			{
				BgL_svarzf2iinfozf2_bglt BgL_auxz00_3817;

				{
					obj_t BgL_auxz00_3818;

					{	/* Integrate/iinfo.sch 148 */
						BgL_objectz00_bglt BgL_tmpz00_3819;

						BgL_tmpz00_3819 = ((BgL_objectz00_bglt) BgL_oz00_16);
						BgL_auxz00_3818 = BGL_OBJECT_WIDENING(BgL_tmpz00_3819);
					}
					BgL_auxz00_3817 = ((BgL_svarzf2iinfozf2_bglt) BgL_auxz00_3818);
				}
				return
					(((BgL_svarzf2iinfozf2_bglt) COBJECT(BgL_auxz00_3817))->
					BgL_kapturedzf3zf3);
			}
		}

	}



/* &svar/Iinfo-kaptured? */
	obj_t BGl_z62svarzf2Iinfozd2kapturedzf3zb1zzintegrate_infoz00(obj_t
		BgL_envz00_2783, obj_t BgL_oz00_2784)
	{
		{	/* Integrate/iinfo.sch 148 */
			return
				BBOOL(BGl_svarzf2Iinfozd2kapturedzf3zd3zzintegrate_infoz00(
					((BgL_svarz00_bglt) BgL_oz00_2784)));
		}

	}



/* svar/Iinfo-kaptured?-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_svarzf2Iinfozd2kapturedzf3zd2setz12z13zzintegrate_infoz00
		(BgL_svarz00_bglt BgL_oz00_17, bool_t BgL_vz00_18)
	{
		{	/* Integrate/iinfo.sch 149 */
			{
				BgL_svarzf2iinfozf2_bglt BgL_auxz00_3827;

				{
					obj_t BgL_auxz00_3828;

					{	/* Integrate/iinfo.sch 149 */
						BgL_objectz00_bglt BgL_tmpz00_3829;

						BgL_tmpz00_3829 = ((BgL_objectz00_bglt) BgL_oz00_17);
						BgL_auxz00_3828 = BGL_OBJECT_WIDENING(BgL_tmpz00_3829);
					}
					BgL_auxz00_3827 = ((BgL_svarzf2iinfozf2_bglt) BgL_auxz00_3828);
				}
				return
					((((BgL_svarzf2iinfozf2_bglt) COBJECT(BgL_auxz00_3827))->
						BgL_kapturedzf3zf3) = ((bool_t) BgL_vz00_18), BUNSPEC);
			}
		}

	}



/* &svar/Iinfo-kaptured?-set! */
	obj_t BGl_z62svarzf2Iinfozd2kapturedzf3zd2setz12z71zzintegrate_infoz00(obj_t
		BgL_envz00_2785, obj_t BgL_oz00_2786, obj_t BgL_vz00_2787)
	{
		{	/* Integrate/iinfo.sch 149 */
			return
				BGl_svarzf2Iinfozd2kapturedzf3zd2setz12z13zzintegrate_infoz00(
				((BgL_svarz00_bglt) BgL_oz00_2786), CBOOL(BgL_vz00_2787));
		}

	}



/* svar/Iinfo-u-mark */
	BGL_EXPORTED_DEF obj_t
		BGl_svarzf2Iinfozd2uzd2markzf2zzintegrate_infoz00(BgL_svarz00_bglt
		BgL_oz00_19)
	{
		{	/* Integrate/iinfo.sch 150 */
			{
				BgL_svarzf2iinfozf2_bglt BgL_auxz00_3837;

				{
					obj_t BgL_auxz00_3838;

					{	/* Integrate/iinfo.sch 150 */
						BgL_objectz00_bglt BgL_tmpz00_3839;

						BgL_tmpz00_3839 = ((BgL_objectz00_bglt) BgL_oz00_19);
						BgL_auxz00_3838 = BGL_OBJECT_WIDENING(BgL_tmpz00_3839);
					}
					BgL_auxz00_3837 = ((BgL_svarzf2iinfozf2_bglt) BgL_auxz00_3838);
				}
				return
					(((BgL_svarzf2iinfozf2_bglt) COBJECT(BgL_auxz00_3837))->
					BgL_uzd2markzd2);
			}
		}

	}



/* &svar/Iinfo-u-mark */
	obj_t BGl_z62svarzf2Iinfozd2uzd2markz90zzintegrate_infoz00(obj_t
		BgL_envz00_2788, obj_t BgL_oz00_2789)
	{
		{	/* Integrate/iinfo.sch 150 */
			return
				BGl_svarzf2Iinfozd2uzd2markzf2zzintegrate_infoz00(
				((BgL_svarz00_bglt) BgL_oz00_2789));
		}

	}



/* svar/Iinfo-u-mark-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_svarzf2Iinfozd2uzd2markzd2setz12z32zzintegrate_infoz00(BgL_svarz00_bglt
		BgL_oz00_20, obj_t BgL_vz00_21)
	{
		{	/* Integrate/iinfo.sch 151 */
			{
				BgL_svarzf2iinfozf2_bglt BgL_auxz00_3846;

				{
					obj_t BgL_auxz00_3847;

					{	/* Integrate/iinfo.sch 151 */
						BgL_objectz00_bglt BgL_tmpz00_3848;

						BgL_tmpz00_3848 = ((BgL_objectz00_bglt) BgL_oz00_20);
						BgL_auxz00_3847 = BGL_OBJECT_WIDENING(BgL_tmpz00_3848);
					}
					BgL_auxz00_3846 = ((BgL_svarzf2iinfozf2_bglt) BgL_auxz00_3847);
				}
				return
					((((BgL_svarzf2iinfozf2_bglt) COBJECT(BgL_auxz00_3846))->
						BgL_uzd2markzd2) = ((obj_t) BgL_vz00_21), BUNSPEC);
			}
		}

	}



/* &svar/Iinfo-u-mark-set! */
	obj_t BGl_z62svarzf2Iinfozd2uzd2markzd2setz12z50zzintegrate_infoz00(obj_t
		BgL_envz00_2790, obj_t BgL_oz00_2791, obj_t BgL_vz00_2792)
	{
		{	/* Integrate/iinfo.sch 151 */
			return
				BGl_svarzf2Iinfozd2uzd2markzd2setz12z32zzintegrate_infoz00(
				((BgL_svarz00_bglt) BgL_oz00_2791), BgL_vz00_2792);
		}

	}



/* svar/Iinfo-f-mark */
	BGL_EXPORTED_DEF obj_t
		BGl_svarzf2Iinfozd2fzd2markzf2zzintegrate_infoz00(BgL_svarz00_bglt
		BgL_oz00_22)
	{
		{	/* Integrate/iinfo.sch 152 */
			{
				BgL_svarzf2iinfozf2_bglt BgL_auxz00_3855;

				{
					obj_t BgL_auxz00_3856;

					{	/* Integrate/iinfo.sch 152 */
						BgL_objectz00_bglt BgL_tmpz00_3857;

						BgL_tmpz00_3857 = ((BgL_objectz00_bglt) BgL_oz00_22);
						BgL_auxz00_3856 = BGL_OBJECT_WIDENING(BgL_tmpz00_3857);
					}
					BgL_auxz00_3855 = ((BgL_svarzf2iinfozf2_bglt) BgL_auxz00_3856);
				}
				return
					(((BgL_svarzf2iinfozf2_bglt) COBJECT(BgL_auxz00_3855))->
					BgL_fzd2markzd2);
			}
		}

	}



/* &svar/Iinfo-f-mark */
	obj_t BGl_z62svarzf2Iinfozd2fzd2markz90zzintegrate_infoz00(obj_t
		BgL_envz00_2793, obj_t BgL_oz00_2794)
	{
		{	/* Integrate/iinfo.sch 152 */
			return
				BGl_svarzf2Iinfozd2fzd2markzf2zzintegrate_infoz00(
				((BgL_svarz00_bglt) BgL_oz00_2794));
		}

	}



/* svar/Iinfo-f-mark-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_svarzf2Iinfozd2fzd2markzd2setz12z32zzintegrate_infoz00(BgL_svarz00_bglt
		BgL_oz00_23, obj_t BgL_vz00_24)
	{
		{	/* Integrate/iinfo.sch 153 */
			{
				BgL_svarzf2iinfozf2_bglt BgL_auxz00_3864;

				{
					obj_t BgL_auxz00_3865;

					{	/* Integrate/iinfo.sch 153 */
						BgL_objectz00_bglt BgL_tmpz00_3866;

						BgL_tmpz00_3866 = ((BgL_objectz00_bglt) BgL_oz00_23);
						BgL_auxz00_3865 = BGL_OBJECT_WIDENING(BgL_tmpz00_3866);
					}
					BgL_auxz00_3864 = ((BgL_svarzf2iinfozf2_bglt) BgL_auxz00_3865);
				}
				return
					((((BgL_svarzf2iinfozf2_bglt) COBJECT(BgL_auxz00_3864))->
						BgL_fzd2markzd2) = ((obj_t) BgL_vz00_24), BUNSPEC);
			}
		}

	}



/* &svar/Iinfo-f-mark-set! */
	obj_t BGl_z62svarzf2Iinfozd2fzd2markzd2setz12z50zzintegrate_infoz00(obj_t
		BgL_envz00_2795, obj_t BgL_oz00_2796, obj_t BgL_vz00_2797)
	{
		{	/* Integrate/iinfo.sch 153 */
			return
				BGl_svarzf2Iinfozd2fzd2markzd2setz12z32zzintegrate_infoz00(
				((BgL_svarz00_bglt) BgL_oz00_2796), BgL_vz00_2797);
		}

	}



/* svar/Iinfo-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_svarzf2Iinfozd2locz20zzintegrate_infoz00(BgL_svarz00_bglt BgL_oz00_25)
	{
		{	/* Integrate/iinfo.sch 154 */
			return
				(((BgL_svarz00_bglt) COBJECT(
						((BgL_svarz00_bglt) BgL_oz00_25)))->BgL_locz00);
		}

	}



/* &svar/Iinfo-loc */
	obj_t BGl_z62svarzf2Iinfozd2locz42zzintegrate_infoz00(obj_t BgL_envz00_2798,
		obj_t BgL_oz00_2799)
	{
		{	/* Integrate/iinfo.sch 154 */
			return
				BGl_svarzf2Iinfozd2locz20zzintegrate_infoz00(
				((BgL_svarz00_bglt) BgL_oz00_2799));
		}

	}



/* svar/Iinfo-loc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_svarzf2Iinfozd2loczd2setz12ze0zzintegrate_infoz00(BgL_svarz00_bglt
		BgL_oz00_26, obj_t BgL_vz00_27)
	{
		{	/* Integrate/iinfo.sch 155 */
			return
				((((BgL_svarz00_bglt) COBJECT(
							((BgL_svarz00_bglt) BgL_oz00_26)))->BgL_locz00) =
				((obj_t) BgL_vz00_27), BUNSPEC);
		}

	}



/* &svar/Iinfo-loc-set! */
	obj_t BGl_z62svarzf2Iinfozd2loczd2setz12z82zzintegrate_infoz00(obj_t
		BgL_envz00_2800, obj_t BgL_oz00_2801, obj_t BgL_vz00_2802)
	{
		{	/* Integrate/iinfo.sch 155 */
			return
				BGl_svarzf2Iinfozd2loczd2setz12ze0zzintegrate_infoz00(
				((BgL_svarz00_bglt) BgL_oz00_2801), BgL_vz00_2802);
		}

	}



/* make-sexit/Iinfo */
	BGL_EXPORTED_DEF BgL_sexitz00_bglt
		BGl_makezd2sexitzf2Iinfoz20zzintegrate_infoz00(obj_t BgL_handler1220z00_28,
		bool_t BgL_detachedzf31221zf3_29, obj_t BgL_fzd2mark1222zd2_30,
		obj_t BgL_uzd2mark1223zd2_31, bool_t BgL_kapturedzf31224zf3_32,
		bool_t BgL_celledzf31225zf3_33)
	{
		{	/* Integrate/iinfo.sch 158 */
			{	/* Integrate/iinfo.sch 158 */
				BgL_sexitz00_bglt BgL_new1182z00_3479;

				{	/* Integrate/iinfo.sch 158 */
					BgL_sexitz00_bglt BgL_tmp1180z00_3480;
					BgL_sexitzf2iinfozf2_bglt BgL_wide1181z00_3481;

					{
						BgL_sexitz00_bglt BgL_auxz00_3881;

						{	/* Integrate/iinfo.sch 158 */
							BgL_sexitz00_bglt BgL_new1179z00_3482;

							BgL_new1179z00_3482 =
								((BgL_sexitz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_sexitz00_bgl))));
							{	/* Integrate/iinfo.sch 158 */
								long BgL_arg1338z00_3483;

								BgL_arg1338z00_3483 = BGL_CLASS_NUM(BGl_sexitz00zzast_varz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1179z00_3482),
									BgL_arg1338z00_3483);
							}
							{	/* Integrate/iinfo.sch 158 */
								BgL_objectz00_bglt BgL_tmpz00_3886;

								BgL_tmpz00_3886 = ((BgL_objectz00_bglt) BgL_new1179z00_3482);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3886, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1179z00_3482);
							BgL_auxz00_3881 = BgL_new1179z00_3482;
						}
						BgL_tmp1180z00_3480 = ((BgL_sexitz00_bglt) BgL_auxz00_3881);
					}
					BgL_wide1181z00_3481 =
						((BgL_sexitzf2iinfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_sexitzf2iinfozf2_bgl))));
					{	/* Integrate/iinfo.sch 158 */
						obj_t BgL_auxz00_3894;
						BgL_objectz00_bglt BgL_tmpz00_3892;

						BgL_auxz00_3894 = ((obj_t) BgL_wide1181z00_3481);
						BgL_tmpz00_3892 = ((BgL_objectz00_bglt) BgL_tmp1180z00_3480);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3892, BgL_auxz00_3894);
					}
					((BgL_objectz00_bglt) BgL_tmp1180z00_3480);
					{	/* Integrate/iinfo.sch 158 */
						long BgL_arg1336z00_3484;

						BgL_arg1336z00_3484 =
							BGL_CLASS_NUM(BGl_sexitzf2Iinfozf2zzintegrate_infoz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1180z00_3480), BgL_arg1336z00_3484);
					}
					BgL_new1182z00_3479 = ((BgL_sexitz00_bglt) BgL_tmp1180z00_3480);
				}
				((((BgL_sexitz00_bglt) COBJECT(
								((BgL_sexitz00_bglt) BgL_new1182z00_3479)))->BgL_handlerz00) =
					((obj_t) BgL_handler1220z00_28), BUNSPEC);
				((((BgL_sexitz00_bglt) COBJECT(((BgL_sexitz00_bglt)
									BgL_new1182z00_3479)))->BgL_detachedzf3zf3) =
					((bool_t) BgL_detachedzf31221zf3_29), BUNSPEC);
				{
					BgL_sexitzf2iinfozf2_bglt BgL_auxz00_3906;

					{
						obj_t BgL_auxz00_3907;

						{	/* Integrate/iinfo.sch 158 */
							BgL_objectz00_bglt BgL_tmpz00_3908;

							BgL_tmpz00_3908 = ((BgL_objectz00_bglt) BgL_new1182z00_3479);
							BgL_auxz00_3907 = BGL_OBJECT_WIDENING(BgL_tmpz00_3908);
						}
						BgL_auxz00_3906 = ((BgL_sexitzf2iinfozf2_bglt) BgL_auxz00_3907);
					}
					((((BgL_sexitzf2iinfozf2_bglt) COBJECT(BgL_auxz00_3906))->
							BgL_fzd2markzd2) = ((obj_t) BgL_fzd2mark1222zd2_30), BUNSPEC);
				}
				{
					BgL_sexitzf2iinfozf2_bglt BgL_auxz00_3913;

					{
						obj_t BgL_auxz00_3914;

						{	/* Integrate/iinfo.sch 158 */
							BgL_objectz00_bglt BgL_tmpz00_3915;

							BgL_tmpz00_3915 = ((BgL_objectz00_bglt) BgL_new1182z00_3479);
							BgL_auxz00_3914 = BGL_OBJECT_WIDENING(BgL_tmpz00_3915);
						}
						BgL_auxz00_3913 = ((BgL_sexitzf2iinfozf2_bglt) BgL_auxz00_3914);
					}
					((((BgL_sexitzf2iinfozf2_bglt) COBJECT(BgL_auxz00_3913))->
							BgL_uzd2markzd2) = ((obj_t) BgL_uzd2mark1223zd2_31), BUNSPEC);
				}
				{
					BgL_sexitzf2iinfozf2_bglt BgL_auxz00_3920;

					{
						obj_t BgL_auxz00_3921;

						{	/* Integrate/iinfo.sch 158 */
							BgL_objectz00_bglt BgL_tmpz00_3922;

							BgL_tmpz00_3922 = ((BgL_objectz00_bglt) BgL_new1182z00_3479);
							BgL_auxz00_3921 = BGL_OBJECT_WIDENING(BgL_tmpz00_3922);
						}
						BgL_auxz00_3920 = ((BgL_sexitzf2iinfozf2_bglt) BgL_auxz00_3921);
					}
					((((BgL_sexitzf2iinfozf2_bglt) COBJECT(BgL_auxz00_3920))->
							BgL_kapturedzf3zf3) =
						((bool_t) BgL_kapturedzf31224zf3_32), BUNSPEC);
				}
				{
					BgL_sexitzf2iinfozf2_bglt BgL_auxz00_3927;

					{
						obj_t BgL_auxz00_3928;

						{	/* Integrate/iinfo.sch 158 */
							BgL_objectz00_bglt BgL_tmpz00_3929;

							BgL_tmpz00_3929 = ((BgL_objectz00_bglt) BgL_new1182z00_3479);
							BgL_auxz00_3928 = BGL_OBJECT_WIDENING(BgL_tmpz00_3929);
						}
						BgL_auxz00_3927 = ((BgL_sexitzf2iinfozf2_bglt) BgL_auxz00_3928);
					}
					((((BgL_sexitzf2iinfozf2_bglt) COBJECT(BgL_auxz00_3927))->
							BgL_celledzf3zf3) = ((bool_t) BgL_celledzf31225zf3_33), BUNSPEC);
				}
				return BgL_new1182z00_3479;
			}
		}

	}



/* &make-sexit/Iinfo */
	BgL_sexitz00_bglt BGl_z62makezd2sexitzf2Iinfoz42zzintegrate_infoz00(obj_t
		BgL_envz00_2803, obj_t BgL_handler1220z00_2804,
		obj_t BgL_detachedzf31221zf3_2805, obj_t BgL_fzd2mark1222zd2_2806,
		obj_t BgL_uzd2mark1223zd2_2807, obj_t BgL_kapturedzf31224zf3_2808,
		obj_t BgL_celledzf31225zf3_2809)
	{
		{	/* Integrate/iinfo.sch 158 */
			return
				BGl_makezd2sexitzf2Iinfoz20zzintegrate_infoz00(BgL_handler1220z00_2804,
				CBOOL(BgL_detachedzf31221zf3_2805), BgL_fzd2mark1222zd2_2806,
				BgL_uzd2mark1223zd2_2807, CBOOL(BgL_kapturedzf31224zf3_2808),
				CBOOL(BgL_celledzf31225zf3_2809));
		}

	}



/* sexit/Iinfo? */
	BGL_EXPORTED_DEF bool_t BGl_sexitzf2Iinfozf3z01zzintegrate_infoz00(obj_t
		BgL_objz00_34)
	{
		{	/* Integrate/iinfo.sch 159 */
			{	/* Integrate/iinfo.sch 159 */
				obj_t BgL_classz00_3485;

				BgL_classz00_3485 = BGl_sexitzf2Iinfozf2zzintegrate_infoz00;
				if (BGL_OBJECTP(BgL_objz00_34))
					{	/* Integrate/iinfo.sch 159 */
						BgL_objectz00_bglt BgL_arg1858z00_3486;

						BgL_arg1858z00_3486 = (BgL_objectz00_bglt) (BgL_objz00_34);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Integrate/iinfo.sch 159 */
								long BgL_idxz00_3487;

								BgL_idxz00_3487 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_3486);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_3487 + 3L)) == BgL_classz00_3485);
							}
						else
							{	/* Integrate/iinfo.sch 159 */
								bool_t BgL_res1991z00_3490;

								{	/* Integrate/iinfo.sch 159 */
									obj_t BgL_oclassz00_3491;

									{	/* Integrate/iinfo.sch 159 */
										obj_t BgL_arg1866z00_3492;
										long BgL_arg1867z00_3493;

										BgL_arg1866z00_3492 = (BGl_za2classesza2z00zz__objectz00);
										{	/* Integrate/iinfo.sch 159 */
											long BgL_arg1869z00_3494;

											BgL_arg1869z00_3494 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_3486);
											BgL_arg1867z00_3493 = (BgL_arg1869z00_3494 - OBJECT_TYPE);
										}
										BgL_oclassz00_3491 =
											VECTOR_REF(BgL_arg1866z00_3492, BgL_arg1867z00_3493);
									}
									{	/* Integrate/iinfo.sch 159 */
										bool_t BgL__ortest_1115z00_3495;

										BgL__ortest_1115z00_3495 =
											(BgL_classz00_3485 == BgL_oclassz00_3491);
										if (BgL__ortest_1115z00_3495)
											{	/* Integrate/iinfo.sch 159 */
												BgL_res1991z00_3490 = BgL__ortest_1115z00_3495;
											}
										else
											{	/* Integrate/iinfo.sch 159 */
												long BgL_odepthz00_3496;

												{	/* Integrate/iinfo.sch 159 */
													obj_t BgL_arg1855z00_3497;

													BgL_arg1855z00_3497 = (BgL_oclassz00_3491);
													BgL_odepthz00_3496 =
														BGL_CLASS_DEPTH(BgL_arg1855z00_3497);
												}
												if ((3L < BgL_odepthz00_3496))
													{	/* Integrate/iinfo.sch 159 */
														obj_t BgL_arg1853z00_3498;

														{	/* Integrate/iinfo.sch 159 */
															obj_t BgL_arg1854z00_3499;

															BgL_arg1854z00_3499 = (BgL_oclassz00_3491);
															BgL_arg1853z00_3498 =
																BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_3499,
																3L);
														}
														BgL_res1991z00_3490 =
															(BgL_arg1853z00_3498 == BgL_classz00_3485);
													}
												else
													{	/* Integrate/iinfo.sch 159 */
														BgL_res1991z00_3490 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res1991z00_3490;
							}
					}
				else
					{	/* Integrate/iinfo.sch 159 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &sexit/Iinfo? */
	obj_t BGl_z62sexitzf2Iinfozf3z63zzintegrate_infoz00(obj_t BgL_envz00_2810,
		obj_t BgL_objz00_2811)
	{
		{	/* Integrate/iinfo.sch 159 */
			return BBOOL(BGl_sexitzf2Iinfozf3z01zzintegrate_infoz00(BgL_objz00_2811));
		}

	}



/* sexit/Iinfo-nil */
	BGL_EXPORTED_DEF BgL_sexitz00_bglt
		BGl_sexitzf2Iinfozd2nilz20zzintegrate_infoz00(void)
	{
		{	/* Integrate/iinfo.sch 160 */
			{	/* Integrate/iinfo.sch 160 */
				obj_t BgL_classz00_2409;

				BgL_classz00_2409 = BGl_sexitzf2Iinfozf2zzintegrate_infoz00;
				{	/* Integrate/iinfo.sch 160 */
					obj_t BgL__ortest_1117z00_2410;

					BgL__ortest_1117z00_2410 = BGL_CLASS_NIL(BgL_classz00_2409);
					if (CBOOL(BgL__ortest_1117z00_2410))
						{	/* Integrate/iinfo.sch 160 */
							return ((BgL_sexitz00_bglt) BgL__ortest_1117z00_2410);
						}
					else
						{	/* Integrate/iinfo.sch 160 */
							return
								((BgL_sexitz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2409));
						}
				}
			}
		}

	}



/* &sexit/Iinfo-nil */
	BgL_sexitz00_bglt BGl_z62sexitzf2Iinfozd2nilz42zzintegrate_infoz00(obj_t
		BgL_envz00_2812)
	{
		{	/* Integrate/iinfo.sch 160 */
			return BGl_sexitzf2Iinfozd2nilz20zzintegrate_infoz00();
		}

	}



/* sexit/Iinfo-celled? */
	BGL_EXPORTED_DEF bool_t
		BGl_sexitzf2Iinfozd2celledzf3zd3zzintegrate_infoz00(BgL_sexitz00_bglt
		BgL_oz00_35)
	{
		{	/* Integrate/iinfo.sch 161 */
			{
				BgL_sexitzf2iinfozf2_bglt BgL_auxz00_3969;

				{
					obj_t BgL_auxz00_3970;

					{	/* Integrate/iinfo.sch 161 */
						BgL_objectz00_bglt BgL_tmpz00_3971;

						BgL_tmpz00_3971 = ((BgL_objectz00_bglt) BgL_oz00_35);
						BgL_auxz00_3970 = BGL_OBJECT_WIDENING(BgL_tmpz00_3971);
					}
					BgL_auxz00_3969 = ((BgL_sexitzf2iinfozf2_bglt) BgL_auxz00_3970);
				}
				return
					(((BgL_sexitzf2iinfozf2_bglt) COBJECT(BgL_auxz00_3969))->
					BgL_celledzf3zf3);
			}
		}

	}



/* &sexit/Iinfo-celled? */
	obj_t BGl_z62sexitzf2Iinfozd2celledzf3zb1zzintegrate_infoz00(obj_t
		BgL_envz00_2813, obj_t BgL_oz00_2814)
	{
		{	/* Integrate/iinfo.sch 161 */
			return
				BBOOL(BGl_sexitzf2Iinfozd2celledzf3zd3zzintegrate_infoz00(
					((BgL_sexitz00_bglt) BgL_oz00_2814)));
		}

	}



/* sexit/Iinfo-celled?-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sexitzf2Iinfozd2celledzf3zd2setz12z13zzintegrate_infoz00
		(BgL_sexitz00_bglt BgL_oz00_36, bool_t BgL_vz00_37)
	{
		{	/* Integrate/iinfo.sch 162 */
			{
				BgL_sexitzf2iinfozf2_bglt BgL_auxz00_3979;

				{
					obj_t BgL_auxz00_3980;

					{	/* Integrate/iinfo.sch 162 */
						BgL_objectz00_bglt BgL_tmpz00_3981;

						BgL_tmpz00_3981 = ((BgL_objectz00_bglt) BgL_oz00_36);
						BgL_auxz00_3980 = BGL_OBJECT_WIDENING(BgL_tmpz00_3981);
					}
					BgL_auxz00_3979 = ((BgL_sexitzf2iinfozf2_bglt) BgL_auxz00_3980);
				}
				return
					((((BgL_sexitzf2iinfozf2_bglt) COBJECT(BgL_auxz00_3979))->
						BgL_celledzf3zf3) = ((bool_t) BgL_vz00_37), BUNSPEC);
			}
		}

	}



/* &sexit/Iinfo-celled?-set! */
	obj_t BGl_z62sexitzf2Iinfozd2celledzf3zd2setz12z71zzintegrate_infoz00(obj_t
		BgL_envz00_2815, obj_t BgL_oz00_2816, obj_t BgL_vz00_2817)
	{
		{	/* Integrate/iinfo.sch 162 */
			return
				BGl_sexitzf2Iinfozd2celledzf3zd2setz12z13zzintegrate_infoz00(
				((BgL_sexitz00_bglt) BgL_oz00_2816), CBOOL(BgL_vz00_2817));
		}

	}



/* sexit/Iinfo-kaptured? */
	BGL_EXPORTED_DEF bool_t
		BGl_sexitzf2Iinfozd2kapturedzf3zd3zzintegrate_infoz00(BgL_sexitz00_bglt
		BgL_oz00_38)
	{
		{	/* Integrate/iinfo.sch 163 */
			{
				BgL_sexitzf2iinfozf2_bglt BgL_auxz00_3989;

				{
					obj_t BgL_auxz00_3990;

					{	/* Integrate/iinfo.sch 163 */
						BgL_objectz00_bglt BgL_tmpz00_3991;

						BgL_tmpz00_3991 = ((BgL_objectz00_bglt) BgL_oz00_38);
						BgL_auxz00_3990 = BGL_OBJECT_WIDENING(BgL_tmpz00_3991);
					}
					BgL_auxz00_3989 = ((BgL_sexitzf2iinfozf2_bglt) BgL_auxz00_3990);
				}
				return
					(((BgL_sexitzf2iinfozf2_bglt) COBJECT(BgL_auxz00_3989))->
					BgL_kapturedzf3zf3);
			}
		}

	}



/* &sexit/Iinfo-kaptured? */
	obj_t BGl_z62sexitzf2Iinfozd2kapturedzf3zb1zzintegrate_infoz00(obj_t
		BgL_envz00_2818, obj_t BgL_oz00_2819)
	{
		{	/* Integrate/iinfo.sch 163 */
			return
				BBOOL(BGl_sexitzf2Iinfozd2kapturedzf3zd3zzintegrate_infoz00(
					((BgL_sexitz00_bglt) BgL_oz00_2819)));
		}

	}



/* sexit/Iinfo-kaptured?-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sexitzf2Iinfozd2kapturedzf3zd2setz12z13zzintegrate_infoz00
		(BgL_sexitz00_bglt BgL_oz00_39, bool_t BgL_vz00_40)
	{
		{	/* Integrate/iinfo.sch 164 */
			{
				BgL_sexitzf2iinfozf2_bglt BgL_auxz00_3999;

				{
					obj_t BgL_auxz00_4000;

					{	/* Integrate/iinfo.sch 164 */
						BgL_objectz00_bglt BgL_tmpz00_4001;

						BgL_tmpz00_4001 = ((BgL_objectz00_bglt) BgL_oz00_39);
						BgL_auxz00_4000 = BGL_OBJECT_WIDENING(BgL_tmpz00_4001);
					}
					BgL_auxz00_3999 = ((BgL_sexitzf2iinfozf2_bglt) BgL_auxz00_4000);
				}
				return
					((((BgL_sexitzf2iinfozf2_bglt) COBJECT(BgL_auxz00_3999))->
						BgL_kapturedzf3zf3) = ((bool_t) BgL_vz00_40), BUNSPEC);
			}
		}

	}



/* &sexit/Iinfo-kaptured?-set! */
	obj_t BGl_z62sexitzf2Iinfozd2kapturedzf3zd2setz12z71zzintegrate_infoz00(obj_t
		BgL_envz00_2820, obj_t BgL_oz00_2821, obj_t BgL_vz00_2822)
	{
		{	/* Integrate/iinfo.sch 164 */
			return
				BGl_sexitzf2Iinfozd2kapturedzf3zd2setz12z13zzintegrate_infoz00(
				((BgL_sexitz00_bglt) BgL_oz00_2821), CBOOL(BgL_vz00_2822));
		}

	}



/* sexit/Iinfo-u-mark */
	BGL_EXPORTED_DEF obj_t
		BGl_sexitzf2Iinfozd2uzd2markzf2zzintegrate_infoz00(BgL_sexitz00_bglt
		BgL_oz00_41)
	{
		{	/* Integrate/iinfo.sch 165 */
			{
				BgL_sexitzf2iinfozf2_bglt BgL_auxz00_4009;

				{
					obj_t BgL_auxz00_4010;

					{	/* Integrate/iinfo.sch 165 */
						BgL_objectz00_bglt BgL_tmpz00_4011;

						BgL_tmpz00_4011 = ((BgL_objectz00_bglt) BgL_oz00_41);
						BgL_auxz00_4010 = BGL_OBJECT_WIDENING(BgL_tmpz00_4011);
					}
					BgL_auxz00_4009 = ((BgL_sexitzf2iinfozf2_bglt) BgL_auxz00_4010);
				}
				return
					(((BgL_sexitzf2iinfozf2_bglt) COBJECT(BgL_auxz00_4009))->
					BgL_uzd2markzd2);
			}
		}

	}



/* &sexit/Iinfo-u-mark */
	obj_t BGl_z62sexitzf2Iinfozd2uzd2markz90zzintegrate_infoz00(obj_t
		BgL_envz00_2823, obj_t BgL_oz00_2824)
	{
		{	/* Integrate/iinfo.sch 165 */
			return
				BGl_sexitzf2Iinfozd2uzd2markzf2zzintegrate_infoz00(
				((BgL_sexitz00_bglt) BgL_oz00_2824));
		}

	}



/* sexit/Iinfo-u-mark-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sexitzf2Iinfozd2uzd2markzd2setz12z32zzintegrate_infoz00
		(BgL_sexitz00_bglt BgL_oz00_42, obj_t BgL_vz00_43)
	{
		{	/* Integrate/iinfo.sch 166 */
			{
				BgL_sexitzf2iinfozf2_bglt BgL_auxz00_4018;

				{
					obj_t BgL_auxz00_4019;

					{	/* Integrate/iinfo.sch 166 */
						BgL_objectz00_bglt BgL_tmpz00_4020;

						BgL_tmpz00_4020 = ((BgL_objectz00_bglt) BgL_oz00_42);
						BgL_auxz00_4019 = BGL_OBJECT_WIDENING(BgL_tmpz00_4020);
					}
					BgL_auxz00_4018 = ((BgL_sexitzf2iinfozf2_bglt) BgL_auxz00_4019);
				}
				return
					((((BgL_sexitzf2iinfozf2_bglt) COBJECT(BgL_auxz00_4018))->
						BgL_uzd2markzd2) = ((obj_t) BgL_vz00_43), BUNSPEC);
			}
		}

	}



/* &sexit/Iinfo-u-mark-set! */
	obj_t BGl_z62sexitzf2Iinfozd2uzd2markzd2setz12z50zzintegrate_infoz00(obj_t
		BgL_envz00_2825, obj_t BgL_oz00_2826, obj_t BgL_vz00_2827)
	{
		{	/* Integrate/iinfo.sch 166 */
			return
				BGl_sexitzf2Iinfozd2uzd2markzd2setz12z32zzintegrate_infoz00(
				((BgL_sexitz00_bglt) BgL_oz00_2826), BgL_vz00_2827);
		}

	}



/* sexit/Iinfo-f-mark */
	BGL_EXPORTED_DEF obj_t
		BGl_sexitzf2Iinfozd2fzd2markzf2zzintegrate_infoz00(BgL_sexitz00_bglt
		BgL_oz00_44)
	{
		{	/* Integrate/iinfo.sch 167 */
			{
				BgL_sexitzf2iinfozf2_bglt BgL_auxz00_4027;

				{
					obj_t BgL_auxz00_4028;

					{	/* Integrate/iinfo.sch 167 */
						BgL_objectz00_bglt BgL_tmpz00_4029;

						BgL_tmpz00_4029 = ((BgL_objectz00_bglt) BgL_oz00_44);
						BgL_auxz00_4028 = BGL_OBJECT_WIDENING(BgL_tmpz00_4029);
					}
					BgL_auxz00_4027 = ((BgL_sexitzf2iinfozf2_bglt) BgL_auxz00_4028);
				}
				return
					(((BgL_sexitzf2iinfozf2_bglt) COBJECT(BgL_auxz00_4027))->
					BgL_fzd2markzd2);
			}
		}

	}



/* &sexit/Iinfo-f-mark */
	obj_t BGl_z62sexitzf2Iinfozd2fzd2markz90zzintegrate_infoz00(obj_t
		BgL_envz00_2828, obj_t BgL_oz00_2829)
	{
		{	/* Integrate/iinfo.sch 167 */
			return
				BGl_sexitzf2Iinfozd2fzd2markzf2zzintegrate_infoz00(
				((BgL_sexitz00_bglt) BgL_oz00_2829));
		}

	}



/* sexit/Iinfo-f-mark-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sexitzf2Iinfozd2fzd2markzd2setz12z32zzintegrate_infoz00
		(BgL_sexitz00_bglt BgL_oz00_45, obj_t BgL_vz00_46)
	{
		{	/* Integrate/iinfo.sch 168 */
			{
				BgL_sexitzf2iinfozf2_bglt BgL_auxz00_4036;

				{
					obj_t BgL_auxz00_4037;

					{	/* Integrate/iinfo.sch 168 */
						BgL_objectz00_bglt BgL_tmpz00_4038;

						BgL_tmpz00_4038 = ((BgL_objectz00_bglt) BgL_oz00_45);
						BgL_auxz00_4037 = BGL_OBJECT_WIDENING(BgL_tmpz00_4038);
					}
					BgL_auxz00_4036 = ((BgL_sexitzf2iinfozf2_bglt) BgL_auxz00_4037);
				}
				return
					((((BgL_sexitzf2iinfozf2_bglt) COBJECT(BgL_auxz00_4036))->
						BgL_fzd2markzd2) = ((obj_t) BgL_vz00_46), BUNSPEC);
			}
		}

	}



/* &sexit/Iinfo-f-mark-set! */
	obj_t BGl_z62sexitzf2Iinfozd2fzd2markzd2setz12z50zzintegrate_infoz00(obj_t
		BgL_envz00_2830, obj_t BgL_oz00_2831, obj_t BgL_vz00_2832)
	{
		{	/* Integrate/iinfo.sch 168 */
			return
				BGl_sexitzf2Iinfozd2fzd2markzd2setz12z32zzintegrate_infoz00(
				((BgL_sexitz00_bglt) BgL_oz00_2831), BgL_vz00_2832);
		}

	}



/* sexit/Iinfo-detached? */
	BGL_EXPORTED_DEF bool_t
		BGl_sexitzf2Iinfozd2detachedzf3zd3zzintegrate_infoz00(BgL_sexitz00_bglt
		BgL_oz00_47)
	{
		{	/* Integrate/iinfo.sch 169 */
			return
				(((BgL_sexitz00_bglt) COBJECT(
						((BgL_sexitz00_bglt) BgL_oz00_47)))->BgL_detachedzf3zf3);
		}

	}



/* &sexit/Iinfo-detached? */
	obj_t BGl_z62sexitzf2Iinfozd2detachedzf3zb1zzintegrate_infoz00(obj_t
		BgL_envz00_2833, obj_t BgL_oz00_2834)
	{
		{	/* Integrate/iinfo.sch 169 */
			return
				BBOOL(BGl_sexitzf2Iinfozd2detachedzf3zd3zzintegrate_infoz00(
					((BgL_sexitz00_bglt) BgL_oz00_2834)));
		}

	}



/* sexit/Iinfo-detached?-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sexitzf2Iinfozd2detachedzf3zd2setz12z13zzintegrate_infoz00
		(BgL_sexitz00_bglt BgL_oz00_48, bool_t BgL_vz00_49)
	{
		{	/* Integrate/iinfo.sch 170 */
			return
				((((BgL_sexitz00_bglt) COBJECT(
							((BgL_sexitz00_bglt) BgL_oz00_48)))->BgL_detachedzf3zf3) =
				((bool_t) BgL_vz00_49), BUNSPEC);
		}

	}



/* &sexit/Iinfo-detached?-set! */
	obj_t BGl_z62sexitzf2Iinfozd2detachedzf3zd2setz12z71zzintegrate_infoz00(obj_t
		BgL_envz00_2835, obj_t BgL_oz00_2836, obj_t BgL_vz00_2837)
	{
		{	/* Integrate/iinfo.sch 170 */
			return
				BGl_sexitzf2Iinfozd2detachedzf3zd2setz12z13zzintegrate_infoz00(
				((BgL_sexitz00_bglt) BgL_oz00_2836), CBOOL(BgL_vz00_2837));
		}

	}



/* sexit/Iinfo-handler */
	BGL_EXPORTED_DEF obj_t
		BGl_sexitzf2Iinfozd2handlerz20zzintegrate_infoz00(BgL_sexitz00_bglt
		BgL_oz00_50)
	{
		{	/* Integrate/iinfo.sch 171 */
			return
				(((BgL_sexitz00_bglt) COBJECT(
						((BgL_sexitz00_bglt) BgL_oz00_50)))->BgL_handlerz00);
		}

	}



/* &sexit/Iinfo-handler */
	obj_t BGl_z62sexitzf2Iinfozd2handlerz42zzintegrate_infoz00(obj_t
		BgL_envz00_2838, obj_t BgL_oz00_2839)
	{
		{	/* Integrate/iinfo.sch 171 */
			return
				BGl_sexitzf2Iinfozd2handlerz20zzintegrate_infoz00(
				((BgL_sexitz00_bglt) BgL_oz00_2839));
		}

	}



/* sexit/Iinfo-handler-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sexitzf2Iinfozd2handlerzd2setz12ze0zzintegrate_infoz00(BgL_sexitz00_bglt
		BgL_oz00_51, obj_t BgL_vz00_52)
	{
		{	/* Integrate/iinfo.sch 172 */
			return
				((((BgL_sexitz00_bglt) COBJECT(
							((BgL_sexitz00_bglt) BgL_oz00_51)))->BgL_handlerz00) =
				((obj_t) BgL_vz00_52), BUNSPEC);
		}

	}



/* &sexit/Iinfo-handler-set! */
	obj_t BGl_z62sexitzf2Iinfozd2handlerzd2setz12z82zzintegrate_infoz00(obj_t
		BgL_envz00_2840, obj_t BgL_oz00_2841, obj_t BgL_vz00_2842)
	{
		{	/* Integrate/iinfo.sch 172 */
			return
				BGl_sexitzf2Iinfozd2handlerzd2setz12ze0zzintegrate_infoz00(
				((BgL_sexitz00_bglt) BgL_oz00_2841), BgL_vz00_2842);
		}

	}



/* make-sfun/Iinfo */
	BGL_EXPORTED_DEF BgL_sfunz00_bglt
		BGl_makezd2sfunzf2Iinfoz20zzintegrate_infoz00(long BgL_arity1176z00_53,
		obj_t BgL_sidezd2effect1177zd2_54, obj_t BgL_predicatezd2of1178zd2_55,
		obj_t BgL_stackzd2allocator1179zd2_56, bool_t BgL_topzf31180zf3_57,
		obj_t BgL_thezd2closure1181zd2_58, obj_t BgL_effect1182z00_59,
		obj_t BgL_failsafe1183z00_60, obj_t BgL_argszd2noescape1184zd2_61,
		obj_t BgL_argszd2retescape1185zd2_62, obj_t BgL_property1186z00_63,
		obj_t BgL_args1187z00_64, obj_t BgL_argszd2name1188zd2_65,
		obj_t BgL_body1189z00_66, obj_t BgL_class1190z00_67,
		obj_t BgL_dssslzd2keywords1191zd2_68, obj_t BgL_loc1192z00_69,
		obj_t BgL_optionals1193z00_70, obj_t BgL_keys1194z00_71,
		obj_t BgL_thezd2closurezd2global1195z00_72, obj_t BgL_strength1196z00_73,
		obj_t BgL_stackable1197z00_74, obj_t BgL_owner1198z00_75,
		obj_t BgL_free1199z00_76, obj_t BgL_bound1200z00_77,
		obj_t BgL_cfrom1201z00_78, obj_t BgL_cto1202z00_79, obj_t BgL_k1203z00_80,
		obj_t BgL_kza21204za2_81, obj_t BgL_u1205z00_82, obj_t BgL_cn1206z00_83,
		obj_t BgL_ct1207z00_84, obj_t BgL_kont1208z00_85, bool_t BgL_gzf31209zf3_86,
		bool_t BgL_forcegzf31210zf3_87, obj_t BgL_l1211z00_88,
		obj_t BgL_led1212z00_89, obj_t BgL_istamp1213z00_90,
		obj_t BgL_global1214z00_91, obj_t BgL_kaptured1215z00_92,
		obj_t BgL_tailzd2coercion1216zd2_93, bool_t BgL_xhdlzf31217zf3_94,
		obj_t BgL_xhdls1218z00_95)
	{
		{	/* Integrate/iinfo.sch 175 */
			{	/* Integrate/iinfo.sch 175 */
				BgL_sfunz00_bglt BgL_new1186z00_3500;

				{	/* Integrate/iinfo.sch 175 */
					BgL_sfunz00_bglt BgL_tmp1184z00_3501;
					BgL_sfunzf2iinfozf2_bglt BgL_wide1185z00_3502;

					{
						BgL_sfunz00_bglt BgL_auxz00_4063;

						{	/* Integrate/iinfo.sch 175 */
							BgL_sfunz00_bglt BgL_new1183z00_3503;

							BgL_new1183z00_3503 =
								((BgL_sfunz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_sfunz00_bgl))));
							{	/* Integrate/iinfo.sch 175 */
								long BgL_arg1340z00_3504;

								BgL_arg1340z00_3504 = BGL_CLASS_NUM(BGl_sfunz00zzast_varz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1183z00_3503),
									BgL_arg1340z00_3504);
							}
							{	/* Integrate/iinfo.sch 175 */
								BgL_objectz00_bglt BgL_tmpz00_4068;

								BgL_tmpz00_4068 = ((BgL_objectz00_bglt) BgL_new1183z00_3503);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4068, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1183z00_3503);
							BgL_auxz00_4063 = BgL_new1183z00_3503;
						}
						BgL_tmp1184z00_3501 = ((BgL_sfunz00_bglt) BgL_auxz00_4063);
					}
					BgL_wide1185z00_3502 =
						((BgL_sfunzf2iinfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_sfunzf2iinfozf2_bgl))));
					{	/* Integrate/iinfo.sch 175 */
						obj_t BgL_auxz00_4076;
						BgL_objectz00_bglt BgL_tmpz00_4074;

						BgL_auxz00_4076 = ((obj_t) BgL_wide1185z00_3502);
						BgL_tmpz00_4074 = ((BgL_objectz00_bglt) BgL_tmp1184z00_3501);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4074, BgL_auxz00_4076);
					}
					((BgL_objectz00_bglt) BgL_tmp1184z00_3501);
					{	/* Integrate/iinfo.sch 175 */
						long BgL_arg1339z00_3505;

						BgL_arg1339z00_3505 =
							BGL_CLASS_NUM(BGl_sfunzf2Iinfozf2zzintegrate_infoz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1184z00_3501), BgL_arg1339z00_3505);
					}
					BgL_new1186z00_3500 = ((BgL_sfunz00_bglt) BgL_tmp1184z00_3501);
				}
				((((BgL_funz00_bglt) COBJECT(
								((BgL_funz00_bglt) BgL_new1186z00_3500)))->BgL_arityz00) =
					((long) BgL_arity1176z00_53), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) BgL_new1186z00_3500)))->
						BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1177zd2_54), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) BgL_new1186z00_3500)))->
						BgL_predicatezd2ofzd2) =
					((obj_t) BgL_predicatezd2of1178zd2_55), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) BgL_new1186z00_3500)))->
						BgL_stackzd2allocatorzd2) =
					((obj_t) BgL_stackzd2allocator1179zd2_56), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) BgL_new1186z00_3500)))->
						BgL_topzf3zf3) = ((bool_t) BgL_topzf31180zf3_57), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) BgL_new1186z00_3500)))->
						BgL_thezd2closurezd2) =
					((obj_t) BgL_thezd2closure1181zd2_58), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) BgL_new1186z00_3500)))->
						BgL_effectz00) = ((obj_t) BgL_effect1182z00_59), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) BgL_new1186z00_3500)))->
						BgL_failsafez00) = ((obj_t) BgL_failsafe1183z00_60), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) BgL_new1186z00_3500)))->
						BgL_argszd2noescapezd2) =
					((obj_t) BgL_argszd2noescape1184zd2_61), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) BgL_new1186z00_3500)))->
						BgL_argszd2retescapezd2) =
					((obj_t) BgL_argszd2retescape1185zd2_62), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
									BgL_new1186z00_3500)))->BgL_propertyz00) =
					((obj_t) BgL_property1186z00_63), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
									BgL_new1186z00_3500)))->BgL_argsz00) =
					((obj_t) BgL_args1187z00_64), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
									BgL_new1186z00_3500)))->BgL_argszd2namezd2) =
					((obj_t) BgL_argszd2name1188zd2_65), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
									BgL_new1186z00_3500)))->BgL_bodyz00) =
					((obj_t) BgL_body1189z00_66), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
									BgL_new1186z00_3500)))->BgL_classz00) =
					((obj_t) BgL_class1190z00_67), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
									BgL_new1186z00_3500)))->BgL_dssslzd2keywordszd2) =
					((obj_t) BgL_dssslzd2keywords1191zd2_68), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
									BgL_new1186z00_3500)))->BgL_locz00) =
					((obj_t) BgL_loc1192z00_69), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
									BgL_new1186z00_3500)))->BgL_optionalsz00) =
					((obj_t) BgL_optionals1193z00_70), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
									BgL_new1186z00_3500)))->BgL_keysz00) =
					((obj_t) BgL_keys1194z00_71), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
									BgL_new1186z00_3500)))->BgL_thezd2closurezd2globalz00) =
					((obj_t) BgL_thezd2closurezd2global1195z00_72), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
									BgL_new1186z00_3500)))->BgL_strengthz00) =
					((obj_t) BgL_strength1196z00_73), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
									BgL_new1186z00_3500)))->BgL_stackablez00) =
					((obj_t) BgL_stackable1197z00_74), BUNSPEC);
				{
					BgL_sfunzf2iinfozf2_bglt BgL_auxz00_4128;

					{
						obj_t BgL_auxz00_4129;

						{	/* Integrate/iinfo.sch 175 */
							BgL_objectz00_bglt BgL_tmpz00_4130;

							BgL_tmpz00_4130 = ((BgL_objectz00_bglt) BgL_new1186z00_3500);
							BgL_auxz00_4129 = BGL_OBJECT_WIDENING(BgL_tmpz00_4130);
						}
						BgL_auxz00_4128 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_4129);
					}
					((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_4128))->
							BgL_ownerz00) = ((obj_t) BgL_owner1198z00_75), BUNSPEC);
				}
				{
					BgL_sfunzf2iinfozf2_bglt BgL_auxz00_4135;

					{
						obj_t BgL_auxz00_4136;

						{	/* Integrate/iinfo.sch 175 */
							BgL_objectz00_bglt BgL_tmpz00_4137;

							BgL_tmpz00_4137 = ((BgL_objectz00_bglt) BgL_new1186z00_3500);
							BgL_auxz00_4136 = BGL_OBJECT_WIDENING(BgL_tmpz00_4137);
						}
						BgL_auxz00_4135 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_4136);
					}
					((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_4135))->
							BgL_freez00) = ((obj_t) BgL_free1199z00_76), BUNSPEC);
				}
				{
					BgL_sfunzf2iinfozf2_bglt BgL_auxz00_4142;

					{
						obj_t BgL_auxz00_4143;

						{	/* Integrate/iinfo.sch 175 */
							BgL_objectz00_bglt BgL_tmpz00_4144;

							BgL_tmpz00_4144 = ((BgL_objectz00_bglt) BgL_new1186z00_3500);
							BgL_auxz00_4143 = BGL_OBJECT_WIDENING(BgL_tmpz00_4144);
						}
						BgL_auxz00_4142 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_4143);
					}
					((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_4142))->
							BgL_boundz00) = ((obj_t) BgL_bound1200z00_77), BUNSPEC);
				}
				{
					BgL_sfunzf2iinfozf2_bglt BgL_auxz00_4149;

					{
						obj_t BgL_auxz00_4150;

						{	/* Integrate/iinfo.sch 175 */
							BgL_objectz00_bglt BgL_tmpz00_4151;

							BgL_tmpz00_4151 = ((BgL_objectz00_bglt) BgL_new1186z00_3500);
							BgL_auxz00_4150 = BGL_OBJECT_WIDENING(BgL_tmpz00_4151);
						}
						BgL_auxz00_4149 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_4150);
					}
					((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_4149))->
							BgL_cfromz00) = ((obj_t) BgL_cfrom1201z00_78), BUNSPEC);
				}
				{
					BgL_sfunzf2iinfozf2_bglt BgL_auxz00_4156;

					{
						obj_t BgL_auxz00_4157;

						{	/* Integrate/iinfo.sch 175 */
							BgL_objectz00_bglt BgL_tmpz00_4158;

							BgL_tmpz00_4158 = ((BgL_objectz00_bglt) BgL_new1186z00_3500);
							BgL_auxz00_4157 = BGL_OBJECT_WIDENING(BgL_tmpz00_4158);
						}
						BgL_auxz00_4156 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_4157);
					}
					((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_4156))->BgL_ctoz00) =
						((obj_t) BgL_cto1202z00_79), BUNSPEC);
				}
				{
					BgL_sfunzf2iinfozf2_bglt BgL_auxz00_4163;

					{
						obj_t BgL_auxz00_4164;

						{	/* Integrate/iinfo.sch 175 */
							BgL_objectz00_bglt BgL_tmpz00_4165;

							BgL_tmpz00_4165 = ((BgL_objectz00_bglt) BgL_new1186z00_3500);
							BgL_auxz00_4164 = BGL_OBJECT_WIDENING(BgL_tmpz00_4165);
						}
						BgL_auxz00_4163 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_4164);
					}
					((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_4163))->BgL_kz00) =
						((obj_t) BgL_k1203z00_80), BUNSPEC);
				}
				{
					BgL_sfunzf2iinfozf2_bglt BgL_auxz00_4170;

					{
						obj_t BgL_auxz00_4171;

						{	/* Integrate/iinfo.sch 175 */
							BgL_objectz00_bglt BgL_tmpz00_4172;

							BgL_tmpz00_4172 = ((BgL_objectz00_bglt) BgL_new1186z00_3500);
							BgL_auxz00_4171 = BGL_OBJECT_WIDENING(BgL_tmpz00_4172);
						}
						BgL_auxz00_4170 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_4171);
					}
					((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_4170))->
							BgL_kza2za2) = ((obj_t) BgL_kza21204za2_81), BUNSPEC);
				}
				{
					BgL_sfunzf2iinfozf2_bglt BgL_auxz00_4177;

					{
						obj_t BgL_auxz00_4178;

						{	/* Integrate/iinfo.sch 175 */
							BgL_objectz00_bglt BgL_tmpz00_4179;

							BgL_tmpz00_4179 = ((BgL_objectz00_bglt) BgL_new1186z00_3500);
							BgL_auxz00_4178 = BGL_OBJECT_WIDENING(BgL_tmpz00_4179);
						}
						BgL_auxz00_4177 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_4178);
					}
					((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_4177))->BgL_uz00) =
						((obj_t) BgL_u1205z00_82), BUNSPEC);
				}
				{
					BgL_sfunzf2iinfozf2_bglt BgL_auxz00_4184;

					{
						obj_t BgL_auxz00_4185;

						{	/* Integrate/iinfo.sch 175 */
							BgL_objectz00_bglt BgL_tmpz00_4186;

							BgL_tmpz00_4186 = ((BgL_objectz00_bglt) BgL_new1186z00_3500);
							BgL_auxz00_4185 = BGL_OBJECT_WIDENING(BgL_tmpz00_4186);
						}
						BgL_auxz00_4184 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_4185);
					}
					((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_4184))->BgL_cnz00) =
						((obj_t) BgL_cn1206z00_83), BUNSPEC);
				}
				{
					BgL_sfunzf2iinfozf2_bglt BgL_auxz00_4191;

					{
						obj_t BgL_auxz00_4192;

						{	/* Integrate/iinfo.sch 175 */
							BgL_objectz00_bglt BgL_tmpz00_4193;

							BgL_tmpz00_4193 = ((BgL_objectz00_bglt) BgL_new1186z00_3500);
							BgL_auxz00_4192 = BGL_OBJECT_WIDENING(BgL_tmpz00_4193);
						}
						BgL_auxz00_4191 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_4192);
					}
					((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_4191))->BgL_ctz00) =
						((obj_t) BgL_ct1207z00_84), BUNSPEC);
				}
				{
					BgL_sfunzf2iinfozf2_bglt BgL_auxz00_4198;

					{
						obj_t BgL_auxz00_4199;

						{	/* Integrate/iinfo.sch 175 */
							BgL_objectz00_bglt BgL_tmpz00_4200;

							BgL_tmpz00_4200 = ((BgL_objectz00_bglt) BgL_new1186z00_3500);
							BgL_auxz00_4199 = BGL_OBJECT_WIDENING(BgL_tmpz00_4200);
						}
						BgL_auxz00_4198 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_4199);
					}
					((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_4198))->
							BgL_kontz00) = ((obj_t) BgL_kont1208z00_85), BUNSPEC);
				}
				{
					BgL_sfunzf2iinfozf2_bglt BgL_auxz00_4205;

					{
						obj_t BgL_auxz00_4206;

						{	/* Integrate/iinfo.sch 175 */
							BgL_objectz00_bglt BgL_tmpz00_4207;

							BgL_tmpz00_4207 = ((BgL_objectz00_bglt) BgL_new1186z00_3500);
							BgL_auxz00_4206 = BGL_OBJECT_WIDENING(BgL_tmpz00_4207);
						}
						BgL_auxz00_4205 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_4206);
					}
					((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_4205))->
							BgL_gzf3zf3) = ((bool_t) BgL_gzf31209zf3_86), BUNSPEC);
				}
				{
					BgL_sfunzf2iinfozf2_bglt BgL_auxz00_4212;

					{
						obj_t BgL_auxz00_4213;

						{	/* Integrate/iinfo.sch 175 */
							BgL_objectz00_bglt BgL_tmpz00_4214;

							BgL_tmpz00_4214 = ((BgL_objectz00_bglt) BgL_new1186z00_3500);
							BgL_auxz00_4213 = BGL_OBJECT_WIDENING(BgL_tmpz00_4214);
						}
						BgL_auxz00_4212 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_4213);
					}
					((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_4212))->
							BgL_forcegzf3zf3) = ((bool_t) BgL_forcegzf31210zf3_87), BUNSPEC);
				}
				{
					BgL_sfunzf2iinfozf2_bglt BgL_auxz00_4219;

					{
						obj_t BgL_auxz00_4220;

						{	/* Integrate/iinfo.sch 175 */
							BgL_objectz00_bglt BgL_tmpz00_4221;

							BgL_tmpz00_4221 = ((BgL_objectz00_bglt) BgL_new1186z00_3500);
							BgL_auxz00_4220 = BGL_OBJECT_WIDENING(BgL_tmpz00_4221);
						}
						BgL_auxz00_4219 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_4220);
					}
					((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_4219))->BgL_lz00) =
						((obj_t) BgL_l1211z00_88), BUNSPEC);
				}
				{
					BgL_sfunzf2iinfozf2_bglt BgL_auxz00_4226;

					{
						obj_t BgL_auxz00_4227;

						{	/* Integrate/iinfo.sch 175 */
							BgL_objectz00_bglt BgL_tmpz00_4228;

							BgL_tmpz00_4228 = ((BgL_objectz00_bglt) BgL_new1186z00_3500);
							BgL_auxz00_4227 = BGL_OBJECT_WIDENING(BgL_tmpz00_4228);
						}
						BgL_auxz00_4226 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_4227);
					}
					((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_4226))->BgL_ledz00) =
						((obj_t) BgL_led1212z00_89), BUNSPEC);
				}
				{
					BgL_sfunzf2iinfozf2_bglt BgL_auxz00_4233;

					{
						obj_t BgL_auxz00_4234;

						{	/* Integrate/iinfo.sch 175 */
							BgL_objectz00_bglt BgL_tmpz00_4235;

							BgL_tmpz00_4235 = ((BgL_objectz00_bglt) BgL_new1186z00_3500);
							BgL_auxz00_4234 = BGL_OBJECT_WIDENING(BgL_tmpz00_4235);
						}
						BgL_auxz00_4233 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_4234);
					}
					((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_4233))->
							BgL_istampz00) = ((obj_t) BgL_istamp1213z00_90), BUNSPEC);
				}
				{
					BgL_sfunzf2iinfozf2_bglt BgL_auxz00_4240;

					{
						obj_t BgL_auxz00_4241;

						{	/* Integrate/iinfo.sch 175 */
							BgL_objectz00_bglt BgL_tmpz00_4242;

							BgL_tmpz00_4242 = ((BgL_objectz00_bglt) BgL_new1186z00_3500);
							BgL_auxz00_4241 = BGL_OBJECT_WIDENING(BgL_tmpz00_4242);
						}
						BgL_auxz00_4240 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_4241);
					}
					((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_4240))->
							BgL_globalz00) = ((obj_t) BgL_global1214z00_91), BUNSPEC);
				}
				{
					BgL_sfunzf2iinfozf2_bglt BgL_auxz00_4247;

					{
						obj_t BgL_auxz00_4248;

						{	/* Integrate/iinfo.sch 175 */
							BgL_objectz00_bglt BgL_tmpz00_4249;

							BgL_tmpz00_4249 = ((BgL_objectz00_bglt) BgL_new1186z00_3500);
							BgL_auxz00_4248 = BGL_OBJECT_WIDENING(BgL_tmpz00_4249);
						}
						BgL_auxz00_4247 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_4248);
					}
					((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_4247))->
							BgL_kapturedz00) = ((obj_t) BgL_kaptured1215z00_92), BUNSPEC);
				}
				{
					BgL_sfunzf2iinfozf2_bglt BgL_auxz00_4254;

					{
						obj_t BgL_auxz00_4255;

						{	/* Integrate/iinfo.sch 175 */
							BgL_objectz00_bglt BgL_tmpz00_4256;

							BgL_tmpz00_4256 = ((BgL_objectz00_bglt) BgL_new1186z00_3500);
							BgL_auxz00_4255 = BGL_OBJECT_WIDENING(BgL_tmpz00_4256);
						}
						BgL_auxz00_4254 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_4255);
					}
					((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_4254))->
							BgL_tailzd2coercionzd2) =
						((obj_t) BgL_tailzd2coercion1216zd2_93), BUNSPEC);
				}
				{
					BgL_sfunzf2iinfozf2_bglt BgL_auxz00_4261;

					{
						obj_t BgL_auxz00_4262;

						{	/* Integrate/iinfo.sch 175 */
							BgL_objectz00_bglt BgL_tmpz00_4263;

							BgL_tmpz00_4263 = ((BgL_objectz00_bglt) BgL_new1186z00_3500);
							BgL_auxz00_4262 = BGL_OBJECT_WIDENING(BgL_tmpz00_4263);
						}
						BgL_auxz00_4261 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_4262);
					}
					((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_4261))->
							BgL_xhdlzf3zf3) = ((bool_t) BgL_xhdlzf31217zf3_94), BUNSPEC);
				}
				{
					BgL_sfunzf2iinfozf2_bglt BgL_auxz00_4268;

					{
						obj_t BgL_auxz00_4269;

						{	/* Integrate/iinfo.sch 175 */
							BgL_objectz00_bglt BgL_tmpz00_4270;

							BgL_tmpz00_4270 = ((BgL_objectz00_bglt) BgL_new1186z00_3500);
							BgL_auxz00_4269 = BGL_OBJECT_WIDENING(BgL_tmpz00_4270);
						}
						BgL_auxz00_4268 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_4269);
					}
					((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_4268))->
							BgL_xhdlsz00) = ((obj_t) BgL_xhdls1218z00_95), BUNSPEC);
				}
				return BgL_new1186z00_3500;
			}
		}

	}



/* &make-sfun/Iinfo */
	BgL_sfunz00_bglt BGl_z62makezd2sfunzf2Iinfoz42zzintegrate_infoz00(obj_t
		BgL_envz00_2843, obj_t BgL_arity1176z00_2844,
		obj_t BgL_sidezd2effect1177zd2_2845, obj_t BgL_predicatezd2of1178zd2_2846,
		obj_t BgL_stackzd2allocator1179zd2_2847, obj_t BgL_topzf31180zf3_2848,
		obj_t BgL_thezd2closure1181zd2_2849, obj_t BgL_effect1182z00_2850,
		obj_t BgL_failsafe1183z00_2851, obj_t BgL_argszd2noescape1184zd2_2852,
		obj_t BgL_argszd2retescape1185zd2_2853, obj_t BgL_property1186z00_2854,
		obj_t BgL_args1187z00_2855, obj_t BgL_argszd2name1188zd2_2856,
		obj_t BgL_body1189z00_2857, obj_t BgL_class1190z00_2858,
		obj_t BgL_dssslzd2keywords1191zd2_2859, obj_t BgL_loc1192z00_2860,
		obj_t BgL_optionals1193z00_2861, obj_t BgL_keys1194z00_2862,
		obj_t BgL_thezd2closurezd2global1195z00_2863,
		obj_t BgL_strength1196z00_2864, obj_t BgL_stackable1197z00_2865,
		obj_t BgL_owner1198z00_2866, obj_t BgL_free1199z00_2867,
		obj_t BgL_bound1200z00_2868, obj_t BgL_cfrom1201z00_2869,
		obj_t BgL_cto1202z00_2870, obj_t BgL_k1203z00_2871,
		obj_t BgL_kza21204za2_2872, obj_t BgL_u1205z00_2873,
		obj_t BgL_cn1206z00_2874, obj_t BgL_ct1207z00_2875,
		obj_t BgL_kont1208z00_2876, obj_t BgL_gzf31209zf3_2877,
		obj_t BgL_forcegzf31210zf3_2878, obj_t BgL_l1211z00_2879,
		obj_t BgL_led1212z00_2880, obj_t BgL_istamp1213z00_2881,
		obj_t BgL_global1214z00_2882, obj_t BgL_kaptured1215z00_2883,
		obj_t BgL_tailzd2coercion1216zd2_2884, obj_t BgL_xhdlzf31217zf3_2885,
		obj_t BgL_xhdls1218z00_2886)
	{
		{	/* Integrate/iinfo.sch 175 */
			return
				BGl_makezd2sfunzf2Iinfoz20zzintegrate_infoz00(
				(long) CINT(BgL_arity1176z00_2844), BgL_sidezd2effect1177zd2_2845,
				BgL_predicatezd2of1178zd2_2846, BgL_stackzd2allocator1179zd2_2847,
				CBOOL(BgL_topzf31180zf3_2848), BgL_thezd2closure1181zd2_2849,
				BgL_effect1182z00_2850, BgL_failsafe1183z00_2851,
				BgL_argszd2noescape1184zd2_2852, BgL_argszd2retescape1185zd2_2853,
				BgL_property1186z00_2854, BgL_args1187z00_2855,
				BgL_argszd2name1188zd2_2856, BgL_body1189z00_2857,
				BgL_class1190z00_2858, BgL_dssslzd2keywords1191zd2_2859,
				BgL_loc1192z00_2860, BgL_optionals1193z00_2861, BgL_keys1194z00_2862,
				BgL_thezd2closurezd2global1195z00_2863, BgL_strength1196z00_2864,
				BgL_stackable1197z00_2865, BgL_owner1198z00_2866, BgL_free1199z00_2867,
				BgL_bound1200z00_2868, BgL_cfrom1201z00_2869, BgL_cto1202z00_2870,
				BgL_k1203z00_2871, BgL_kza21204za2_2872, BgL_u1205z00_2873,
				BgL_cn1206z00_2874, BgL_ct1207z00_2875, BgL_kont1208z00_2876,
				CBOOL(BgL_gzf31209zf3_2877), CBOOL(BgL_forcegzf31210zf3_2878),
				BgL_l1211z00_2879, BgL_led1212z00_2880, BgL_istamp1213z00_2881,
				BgL_global1214z00_2882, BgL_kaptured1215z00_2883,
				BgL_tailzd2coercion1216zd2_2884, CBOOL(BgL_xhdlzf31217zf3_2885),
				BgL_xhdls1218z00_2886);
		}

	}



/* sfun/Iinfo? */
	BGL_EXPORTED_DEF bool_t BGl_sfunzf2Iinfozf3z01zzintegrate_infoz00(obj_t
		BgL_objz00_96)
	{
		{	/* Integrate/iinfo.sch 176 */
			{	/* Integrate/iinfo.sch 176 */
				obj_t BgL_classz00_3506;

				BgL_classz00_3506 = BGl_sfunzf2Iinfozf2zzintegrate_infoz00;
				if (BGL_OBJECTP(BgL_objz00_96))
					{	/* Integrate/iinfo.sch 176 */
						BgL_objectz00_bglt BgL_arg1858z00_3507;

						BgL_arg1858z00_3507 = (BgL_objectz00_bglt) (BgL_objz00_96);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Integrate/iinfo.sch 176 */
								long BgL_idxz00_3508;

								BgL_idxz00_3508 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_3507);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_3508 + 4L)) == BgL_classz00_3506);
							}
						else
							{	/* Integrate/iinfo.sch 176 */
								bool_t BgL_res1992z00_3511;

								{	/* Integrate/iinfo.sch 176 */
									obj_t BgL_oclassz00_3512;

									{	/* Integrate/iinfo.sch 176 */
										obj_t BgL_arg1866z00_3513;
										long BgL_arg1867z00_3514;

										BgL_arg1866z00_3513 = (BGl_za2classesza2z00zz__objectz00);
										{	/* Integrate/iinfo.sch 176 */
											long BgL_arg1869z00_3515;

											BgL_arg1869z00_3515 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_3507);
											BgL_arg1867z00_3514 = (BgL_arg1869z00_3515 - OBJECT_TYPE);
										}
										BgL_oclassz00_3512 =
											VECTOR_REF(BgL_arg1866z00_3513, BgL_arg1867z00_3514);
									}
									{	/* Integrate/iinfo.sch 176 */
										bool_t BgL__ortest_1115z00_3516;

										BgL__ortest_1115z00_3516 =
											(BgL_classz00_3506 == BgL_oclassz00_3512);
										if (BgL__ortest_1115z00_3516)
											{	/* Integrate/iinfo.sch 176 */
												BgL_res1992z00_3511 = BgL__ortest_1115z00_3516;
											}
										else
											{	/* Integrate/iinfo.sch 176 */
												long BgL_odepthz00_3517;

												{	/* Integrate/iinfo.sch 176 */
													obj_t BgL_arg1855z00_3518;

													BgL_arg1855z00_3518 = (BgL_oclassz00_3512);
													BgL_odepthz00_3517 =
														BGL_CLASS_DEPTH(BgL_arg1855z00_3518);
												}
												if ((4L < BgL_odepthz00_3517))
													{	/* Integrate/iinfo.sch 176 */
														obj_t BgL_arg1853z00_3519;

														{	/* Integrate/iinfo.sch 176 */
															obj_t BgL_arg1854z00_3520;

															BgL_arg1854z00_3520 = (BgL_oclassz00_3512);
															BgL_arg1853z00_3519 =
																BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_3520,
																4L);
														}
														BgL_res1992z00_3511 =
															(BgL_arg1853z00_3519 == BgL_classz00_3506);
													}
												else
													{	/* Integrate/iinfo.sch 176 */
														BgL_res1992z00_3511 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res1992z00_3511;
							}
					}
				else
					{	/* Integrate/iinfo.sch 176 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &sfun/Iinfo? */
	obj_t BGl_z62sfunzf2Iinfozf3z63zzintegrate_infoz00(obj_t BgL_envz00_2887,
		obj_t BgL_objz00_2888)
	{
		{	/* Integrate/iinfo.sch 176 */
			return BBOOL(BGl_sfunzf2Iinfozf3z01zzintegrate_infoz00(BgL_objz00_2888));
		}

	}



/* sfun/Iinfo-nil */
	BGL_EXPORTED_DEF BgL_sfunz00_bglt
		BGl_sfunzf2Iinfozd2nilz20zzintegrate_infoz00(void)
	{
		{	/* Integrate/iinfo.sch 177 */
			{	/* Integrate/iinfo.sch 177 */
				obj_t BgL_classz00_2488;

				BgL_classz00_2488 = BGl_sfunzf2Iinfozf2zzintegrate_infoz00;
				{	/* Integrate/iinfo.sch 177 */
					obj_t BgL__ortest_1117z00_2489;

					BgL__ortest_1117z00_2489 = BGL_CLASS_NIL(BgL_classz00_2488);
					if (CBOOL(BgL__ortest_1117z00_2489))
						{	/* Integrate/iinfo.sch 177 */
							return ((BgL_sfunz00_bglt) BgL__ortest_1117z00_2489);
						}
					else
						{	/* Integrate/iinfo.sch 177 */
							return
								((BgL_sfunz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2488));
						}
				}
			}
		}

	}



/* &sfun/Iinfo-nil */
	BgL_sfunz00_bglt BGl_z62sfunzf2Iinfozd2nilz42zzintegrate_infoz00(obj_t
		BgL_envz00_2889)
	{
		{	/* Integrate/iinfo.sch 177 */
			return BGl_sfunzf2Iinfozd2nilz20zzintegrate_infoz00();
		}

	}



/* sfun/Iinfo-xhdls */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Iinfozd2xhdlsz20zzintegrate_infoz00(BgL_sfunz00_bglt BgL_oz00_97)
	{
		{	/* Integrate/iinfo.sch 178 */
			{
				BgL_sfunzf2iinfozf2_bglt BgL_auxz00_4312;

				{
					obj_t BgL_auxz00_4313;

					{	/* Integrate/iinfo.sch 178 */
						BgL_objectz00_bglt BgL_tmpz00_4314;

						BgL_tmpz00_4314 = ((BgL_objectz00_bglt) BgL_oz00_97);
						BgL_auxz00_4313 = BGL_OBJECT_WIDENING(BgL_tmpz00_4314);
					}
					BgL_auxz00_4312 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_4313);
				}
				return
					(((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_4312))->BgL_xhdlsz00);
			}
		}

	}



/* &sfun/Iinfo-xhdls */
	obj_t BGl_z62sfunzf2Iinfozd2xhdlsz42zzintegrate_infoz00(obj_t BgL_envz00_2890,
		obj_t BgL_oz00_2891)
	{
		{	/* Integrate/iinfo.sch 178 */
			return
				BGl_sfunzf2Iinfozd2xhdlsz20zzintegrate_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_2891));
		}

	}



/* sfun/Iinfo-xhdls-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Iinfozd2xhdlszd2setz12ze0zzintegrate_infoz00(BgL_sfunz00_bglt
		BgL_oz00_98, obj_t BgL_vz00_99)
	{
		{	/* Integrate/iinfo.sch 179 */
			{
				BgL_sfunzf2iinfozf2_bglt BgL_auxz00_4321;

				{
					obj_t BgL_auxz00_4322;

					{	/* Integrate/iinfo.sch 179 */
						BgL_objectz00_bglt BgL_tmpz00_4323;

						BgL_tmpz00_4323 = ((BgL_objectz00_bglt) BgL_oz00_98);
						BgL_auxz00_4322 = BGL_OBJECT_WIDENING(BgL_tmpz00_4323);
					}
					BgL_auxz00_4321 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_4322);
				}
				return
					((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_4321))->
						BgL_xhdlsz00) = ((obj_t) BgL_vz00_99), BUNSPEC);
			}
		}

	}



/* &sfun/Iinfo-xhdls-set! */
	obj_t BGl_z62sfunzf2Iinfozd2xhdlszd2setz12z82zzintegrate_infoz00(obj_t
		BgL_envz00_2892, obj_t BgL_oz00_2893, obj_t BgL_vz00_2894)
	{
		{	/* Integrate/iinfo.sch 179 */
			return
				BGl_sfunzf2Iinfozd2xhdlszd2setz12ze0zzintegrate_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_2893), BgL_vz00_2894);
		}

	}



/* sfun/Iinfo-xhdl? */
	BGL_EXPORTED_DEF bool_t
		BGl_sfunzf2Iinfozd2xhdlzf3zd3zzintegrate_infoz00(BgL_sfunz00_bglt
		BgL_oz00_100)
	{
		{	/* Integrate/iinfo.sch 180 */
			{
				BgL_sfunzf2iinfozf2_bglt BgL_auxz00_4330;

				{
					obj_t BgL_auxz00_4331;

					{	/* Integrate/iinfo.sch 180 */
						BgL_objectz00_bglt BgL_tmpz00_4332;

						BgL_tmpz00_4332 = ((BgL_objectz00_bglt) BgL_oz00_100);
						BgL_auxz00_4331 = BGL_OBJECT_WIDENING(BgL_tmpz00_4332);
					}
					BgL_auxz00_4330 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_4331);
				}
				return
					(((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_4330))->
					BgL_xhdlzf3zf3);
			}
		}

	}



/* &sfun/Iinfo-xhdl? */
	obj_t BGl_z62sfunzf2Iinfozd2xhdlzf3zb1zzintegrate_infoz00(obj_t
		BgL_envz00_2895, obj_t BgL_oz00_2896)
	{
		{	/* Integrate/iinfo.sch 180 */
			return
				BBOOL(BGl_sfunzf2Iinfozd2xhdlzf3zd3zzintegrate_infoz00(
					((BgL_sfunz00_bglt) BgL_oz00_2896)));
		}

	}



/* sfun/Iinfo-xhdl?-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Iinfozd2xhdlzf3zd2setz12z13zzintegrate_infoz00(BgL_sfunz00_bglt
		BgL_oz00_101, bool_t BgL_vz00_102)
	{
		{	/* Integrate/iinfo.sch 181 */
			{
				BgL_sfunzf2iinfozf2_bglt BgL_auxz00_4340;

				{
					obj_t BgL_auxz00_4341;

					{	/* Integrate/iinfo.sch 181 */
						BgL_objectz00_bglt BgL_tmpz00_4342;

						BgL_tmpz00_4342 = ((BgL_objectz00_bglt) BgL_oz00_101);
						BgL_auxz00_4341 = BGL_OBJECT_WIDENING(BgL_tmpz00_4342);
					}
					BgL_auxz00_4340 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_4341);
				}
				return
					((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_4340))->
						BgL_xhdlzf3zf3) = ((bool_t) BgL_vz00_102), BUNSPEC);
			}
		}

	}



/* &sfun/Iinfo-xhdl?-set! */
	obj_t BGl_z62sfunzf2Iinfozd2xhdlzf3zd2setz12z71zzintegrate_infoz00(obj_t
		BgL_envz00_2897, obj_t BgL_oz00_2898, obj_t BgL_vz00_2899)
	{
		{	/* Integrate/iinfo.sch 181 */
			return
				BGl_sfunzf2Iinfozd2xhdlzf3zd2setz12z13zzintegrate_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_2898), CBOOL(BgL_vz00_2899));
		}

	}



/* sfun/Iinfo-tail-coercion */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Iinfozd2tailzd2coercionzf2zzintegrate_infoz00(BgL_sfunz00_bglt
		BgL_oz00_103)
	{
		{	/* Integrate/iinfo.sch 182 */
			{
				BgL_sfunzf2iinfozf2_bglt BgL_auxz00_4350;

				{
					obj_t BgL_auxz00_4351;

					{	/* Integrate/iinfo.sch 182 */
						BgL_objectz00_bglt BgL_tmpz00_4352;

						BgL_tmpz00_4352 = ((BgL_objectz00_bglt) BgL_oz00_103);
						BgL_auxz00_4351 = BGL_OBJECT_WIDENING(BgL_tmpz00_4352);
					}
					BgL_auxz00_4350 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_4351);
				}
				return
					(((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_4350))->
					BgL_tailzd2coercionzd2);
			}
		}

	}



/* &sfun/Iinfo-tail-coercion */
	obj_t BGl_z62sfunzf2Iinfozd2tailzd2coercionz90zzintegrate_infoz00(obj_t
		BgL_envz00_2900, obj_t BgL_oz00_2901)
	{
		{	/* Integrate/iinfo.sch 182 */
			return
				BGl_sfunzf2Iinfozd2tailzd2coercionzf2zzintegrate_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_2901));
		}

	}



/* sfun/Iinfo-tail-coercion-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Iinfozd2tailzd2coercionzd2setz12z32zzintegrate_infoz00
		(BgL_sfunz00_bglt BgL_oz00_104, obj_t BgL_vz00_105)
	{
		{	/* Integrate/iinfo.sch 183 */
			{
				BgL_sfunzf2iinfozf2_bglt BgL_auxz00_4359;

				{
					obj_t BgL_auxz00_4360;

					{	/* Integrate/iinfo.sch 183 */
						BgL_objectz00_bglt BgL_tmpz00_4361;

						BgL_tmpz00_4361 = ((BgL_objectz00_bglt) BgL_oz00_104);
						BgL_auxz00_4360 = BGL_OBJECT_WIDENING(BgL_tmpz00_4361);
					}
					BgL_auxz00_4359 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_4360);
				}
				return
					((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_4359))->
						BgL_tailzd2coercionzd2) = ((obj_t) BgL_vz00_105), BUNSPEC);
			}
		}

	}



/* &sfun/Iinfo-tail-coercion-set! */
	obj_t
		BGl_z62sfunzf2Iinfozd2tailzd2coercionzd2setz12z50zzintegrate_infoz00(obj_t
		BgL_envz00_2902, obj_t BgL_oz00_2903, obj_t BgL_vz00_2904)
	{
		{	/* Integrate/iinfo.sch 183 */
			return
				BGl_sfunzf2Iinfozd2tailzd2coercionzd2setz12z32zzintegrate_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_2903), BgL_vz00_2904);
		}

	}



/* sfun/Iinfo-kaptured */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Iinfozd2kapturedz20zzintegrate_infoz00(BgL_sfunz00_bglt
		BgL_oz00_106)
	{
		{	/* Integrate/iinfo.sch 184 */
			{
				BgL_sfunzf2iinfozf2_bglt BgL_auxz00_4368;

				{
					obj_t BgL_auxz00_4369;

					{	/* Integrate/iinfo.sch 184 */
						BgL_objectz00_bglt BgL_tmpz00_4370;

						BgL_tmpz00_4370 = ((BgL_objectz00_bglt) BgL_oz00_106);
						BgL_auxz00_4369 = BGL_OBJECT_WIDENING(BgL_tmpz00_4370);
					}
					BgL_auxz00_4368 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_4369);
				}
				return
					(((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_4368))->
					BgL_kapturedz00);
			}
		}

	}



/* &sfun/Iinfo-kaptured */
	obj_t BGl_z62sfunzf2Iinfozd2kapturedz42zzintegrate_infoz00(obj_t
		BgL_envz00_2905, obj_t BgL_oz00_2906)
	{
		{	/* Integrate/iinfo.sch 184 */
			return
				BGl_sfunzf2Iinfozd2kapturedz20zzintegrate_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_2906));
		}

	}



/* sfun/Iinfo-kaptured-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Iinfozd2kapturedzd2setz12ze0zzintegrate_infoz00(BgL_sfunz00_bglt
		BgL_oz00_107, obj_t BgL_vz00_108)
	{
		{	/* Integrate/iinfo.sch 185 */
			{
				BgL_sfunzf2iinfozf2_bglt BgL_auxz00_4377;

				{
					obj_t BgL_auxz00_4378;

					{	/* Integrate/iinfo.sch 185 */
						BgL_objectz00_bglt BgL_tmpz00_4379;

						BgL_tmpz00_4379 = ((BgL_objectz00_bglt) BgL_oz00_107);
						BgL_auxz00_4378 = BGL_OBJECT_WIDENING(BgL_tmpz00_4379);
					}
					BgL_auxz00_4377 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_4378);
				}
				return
					((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_4377))->
						BgL_kapturedz00) = ((obj_t) BgL_vz00_108), BUNSPEC);
			}
		}

	}



/* &sfun/Iinfo-kaptured-set! */
	obj_t BGl_z62sfunzf2Iinfozd2kapturedzd2setz12z82zzintegrate_infoz00(obj_t
		BgL_envz00_2907, obj_t BgL_oz00_2908, obj_t BgL_vz00_2909)
	{
		{	/* Integrate/iinfo.sch 185 */
			return
				BGl_sfunzf2Iinfozd2kapturedzd2setz12ze0zzintegrate_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_2908), BgL_vz00_2909);
		}

	}



/* sfun/Iinfo-global */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Iinfozd2globalz20zzintegrate_infoz00(BgL_sfunz00_bglt
		BgL_oz00_109)
	{
		{	/* Integrate/iinfo.sch 186 */
			{
				BgL_sfunzf2iinfozf2_bglt BgL_auxz00_4386;

				{
					obj_t BgL_auxz00_4387;

					{	/* Integrate/iinfo.sch 186 */
						BgL_objectz00_bglt BgL_tmpz00_4388;

						BgL_tmpz00_4388 = ((BgL_objectz00_bglt) BgL_oz00_109);
						BgL_auxz00_4387 = BGL_OBJECT_WIDENING(BgL_tmpz00_4388);
					}
					BgL_auxz00_4386 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_4387);
				}
				return
					(((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_4386))->
					BgL_globalz00);
			}
		}

	}



/* &sfun/Iinfo-global */
	obj_t BGl_z62sfunzf2Iinfozd2globalz42zzintegrate_infoz00(obj_t
		BgL_envz00_2910, obj_t BgL_oz00_2911)
	{
		{	/* Integrate/iinfo.sch 186 */
			return
				BGl_sfunzf2Iinfozd2globalz20zzintegrate_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_2911));
		}

	}



/* sfun/Iinfo-global-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Iinfozd2globalzd2setz12ze0zzintegrate_infoz00(BgL_sfunz00_bglt
		BgL_oz00_110, obj_t BgL_vz00_111)
	{
		{	/* Integrate/iinfo.sch 187 */
			{
				BgL_sfunzf2iinfozf2_bglt BgL_auxz00_4395;

				{
					obj_t BgL_auxz00_4396;

					{	/* Integrate/iinfo.sch 187 */
						BgL_objectz00_bglt BgL_tmpz00_4397;

						BgL_tmpz00_4397 = ((BgL_objectz00_bglt) BgL_oz00_110);
						BgL_auxz00_4396 = BGL_OBJECT_WIDENING(BgL_tmpz00_4397);
					}
					BgL_auxz00_4395 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_4396);
				}
				return
					((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_4395))->
						BgL_globalz00) = ((obj_t) BgL_vz00_111), BUNSPEC);
			}
		}

	}



/* &sfun/Iinfo-global-set! */
	obj_t BGl_z62sfunzf2Iinfozd2globalzd2setz12z82zzintegrate_infoz00(obj_t
		BgL_envz00_2912, obj_t BgL_oz00_2913, obj_t BgL_vz00_2914)
	{
		{	/* Integrate/iinfo.sch 187 */
			return
				BGl_sfunzf2Iinfozd2globalzd2setz12ze0zzintegrate_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_2913), BgL_vz00_2914);
		}

	}



/* sfun/Iinfo-istamp */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Iinfozd2istampz20zzintegrate_infoz00(BgL_sfunz00_bglt
		BgL_oz00_112)
	{
		{	/* Integrate/iinfo.sch 188 */
			{
				BgL_sfunzf2iinfozf2_bglt BgL_auxz00_4404;

				{
					obj_t BgL_auxz00_4405;

					{	/* Integrate/iinfo.sch 188 */
						BgL_objectz00_bglt BgL_tmpz00_4406;

						BgL_tmpz00_4406 = ((BgL_objectz00_bglt) BgL_oz00_112);
						BgL_auxz00_4405 = BGL_OBJECT_WIDENING(BgL_tmpz00_4406);
					}
					BgL_auxz00_4404 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_4405);
				}
				return
					(((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_4404))->
					BgL_istampz00);
			}
		}

	}



/* &sfun/Iinfo-istamp */
	obj_t BGl_z62sfunzf2Iinfozd2istampz42zzintegrate_infoz00(obj_t
		BgL_envz00_2915, obj_t BgL_oz00_2916)
	{
		{	/* Integrate/iinfo.sch 188 */
			return
				BGl_sfunzf2Iinfozd2istampz20zzintegrate_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_2916));
		}

	}



/* sfun/Iinfo-istamp-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Iinfozd2istampzd2setz12ze0zzintegrate_infoz00(BgL_sfunz00_bglt
		BgL_oz00_113, obj_t BgL_vz00_114)
	{
		{	/* Integrate/iinfo.sch 189 */
			{
				BgL_sfunzf2iinfozf2_bglt BgL_auxz00_4413;

				{
					obj_t BgL_auxz00_4414;

					{	/* Integrate/iinfo.sch 189 */
						BgL_objectz00_bglt BgL_tmpz00_4415;

						BgL_tmpz00_4415 = ((BgL_objectz00_bglt) BgL_oz00_113);
						BgL_auxz00_4414 = BGL_OBJECT_WIDENING(BgL_tmpz00_4415);
					}
					BgL_auxz00_4413 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_4414);
				}
				return
					((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_4413))->
						BgL_istampz00) = ((obj_t) BgL_vz00_114), BUNSPEC);
			}
		}

	}



/* &sfun/Iinfo-istamp-set! */
	obj_t BGl_z62sfunzf2Iinfozd2istampzd2setz12z82zzintegrate_infoz00(obj_t
		BgL_envz00_2917, obj_t BgL_oz00_2918, obj_t BgL_vz00_2919)
	{
		{	/* Integrate/iinfo.sch 189 */
			return
				BGl_sfunzf2Iinfozd2istampzd2setz12ze0zzintegrate_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_2918), BgL_vz00_2919);
		}

	}



/* sfun/Iinfo-Led */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Iinfozd2Ledz20zzintegrate_infoz00(BgL_sfunz00_bglt BgL_oz00_115)
	{
		{	/* Integrate/iinfo.sch 190 */
			{
				BgL_sfunzf2iinfozf2_bglt BgL_auxz00_4422;

				{
					obj_t BgL_auxz00_4423;

					{	/* Integrate/iinfo.sch 190 */
						BgL_objectz00_bglt BgL_tmpz00_4424;

						BgL_tmpz00_4424 = ((BgL_objectz00_bglt) BgL_oz00_115);
						BgL_auxz00_4423 = BGL_OBJECT_WIDENING(BgL_tmpz00_4424);
					}
					BgL_auxz00_4422 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_4423);
				}
				return
					(((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_4422))->BgL_ledz00);
			}
		}

	}



/* &sfun/Iinfo-Led */
	obj_t BGl_z62sfunzf2Iinfozd2Ledz42zzintegrate_infoz00(obj_t BgL_envz00_2920,
		obj_t BgL_oz00_2921)
	{
		{	/* Integrate/iinfo.sch 190 */
			return
				BGl_sfunzf2Iinfozd2Ledz20zzintegrate_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_2921));
		}

	}



/* sfun/Iinfo-Led-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Iinfozd2Ledzd2setz12ze0zzintegrate_infoz00(BgL_sfunz00_bglt
		BgL_oz00_116, obj_t BgL_vz00_117)
	{
		{	/* Integrate/iinfo.sch 191 */
			{
				BgL_sfunzf2iinfozf2_bglt BgL_auxz00_4431;

				{
					obj_t BgL_auxz00_4432;

					{	/* Integrate/iinfo.sch 191 */
						BgL_objectz00_bglt BgL_tmpz00_4433;

						BgL_tmpz00_4433 = ((BgL_objectz00_bglt) BgL_oz00_116);
						BgL_auxz00_4432 = BGL_OBJECT_WIDENING(BgL_tmpz00_4433);
					}
					BgL_auxz00_4431 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_4432);
				}
				return
					((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_4431))->BgL_ledz00) =
					((obj_t) BgL_vz00_117), BUNSPEC);
			}
		}

	}



/* &sfun/Iinfo-Led-set! */
	obj_t BGl_z62sfunzf2Iinfozd2Ledzd2setz12z82zzintegrate_infoz00(obj_t
		BgL_envz00_2922, obj_t BgL_oz00_2923, obj_t BgL_vz00_2924)
	{
		{	/* Integrate/iinfo.sch 191 */
			return
				BGl_sfunzf2Iinfozd2Ledzd2setz12ze0zzintegrate_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_2923), BgL_vz00_2924);
		}

	}



/* sfun/Iinfo-L */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Iinfozd2Lz20zzintegrate_infoz00(BgL_sfunz00_bglt BgL_oz00_118)
	{
		{	/* Integrate/iinfo.sch 192 */
			{
				BgL_sfunzf2iinfozf2_bglt BgL_auxz00_4440;

				{
					obj_t BgL_auxz00_4441;

					{	/* Integrate/iinfo.sch 192 */
						BgL_objectz00_bglt BgL_tmpz00_4442;

						BgL_tmpz00_4442 = ((BgL_objectz00_bglt) BgL_oz00_118);
						BgL_auxz00_4441 = BGL_OBJECT_WIDENING(BgL_tmpz00_4442);
					}
					BgL_auxz00_4440 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_4441);
				}
				return
					(((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_4440))->BgL_lz00);
			}
		}

	}



/* &sfun/Iinfo-L */
	obj_t BGl_z62sfunzf2Iinfozd2Lz42zzintegrate_infoz00(obj_t BgL_envz00_2925,
		obj_t BgL_oz00_2926)
	{
		{	/* Integrate/iinfo.sch 192 */
			return
				BGl_sfunzf2Iinfozd2Lz20zzintegrate_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_2926));
		}

	}



/* sfun/Iinfo-L-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Iinfozd2Lzd2setz12ze0zzintegrate_infoz00(BgL_sfunz00_bglt
		BgL_oz00_119, obj_t BgL_vz00_120)
	{
		{	/* Integrate/iinfo.sch 193 */
			{
				BgL_sfunzf2iinfozf2_bglt BgL_auxz00_4449;

				{
					obj_t BgL_auxz00_4450;

					{	/* Integrate/iinfo.sch 193 */
						BgL_objectz00_bglt BgL_tmpz00_4451;

						BgL_tmpz00_4451 = ((BgL_objectz00_bglt) BgL_oz00_119);
						BgL_auxz00_4450 = BGL_OBJECT_WIDENING(BgL_tmpz00_4451);
					}
					BgL_auxz00_4449 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_4450);
				}
				return
					((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_4449))->BgL_lz00) =
					((obj_t) BgL_vz00_120), BUNSPEC);
			}
		}

	}



/* &sfun/Iinfo-L-set! */
	obj_t BGl_z62sfunzf2Iinfozd2Lzd2setz12z82zzintegrate_infoz00(obj_t
		BgL_envz00_2927, obj_t BgL_oz00_2928, obj_t BgL_vz00_2929)
	{
		{	/* Integrate/iinfo.sch 193 */
			return
				BGl_sfunzf2Iinfozd2Lzd2setz12ze0zzintegrate_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_2928), BgL_vz00_2929);
		}

	}



/* sfun/Iinfo-forceG? */
	BGL_EXPORTED_DEF bool_t
		BGl_sfunzf2Iinfozd2forceGzf3zd3zzintegrate_infoz00(BgL_sfunz00_bglt
		BgL_oz00_121)
	{
		{	/* Integrate/iinfo.sch 194 */
			{
				BgL_sfunzf2iinfozf2_bglt BgL_auxz00_4458;

				{
					obj_t BgL_auxz00_4459;

					{	/* Integrate/iinfo.sch 194 */
						BgL_objectz00_bglt BgL_tmpz00_4460;

						BgL_tmpz00_4460 = ((BgL_objectz00_bglt) BgL_oz00_121);
						BgL_auxz00_4459 = BGL_OBJECT_WIDENING(BgL_tmpz00_4460);
					}
					BgL_auxz00_4458 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_4459);
				}
				return
					(((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_4458))->
					BgL_forcegzf3zf3);
			}
		}

	}



/* &sfun/Iinfo-forceG? */
	obj_t BGl_z62sfunzf2Iinfozd2forceGzf3zb1zzintegrate_infoz00(obj_t
		BgL_envz00_2930, obj_t BgL_oz00_2931)
	{
		{	/* Integrate/iinfo.sch 194 */
			return
				BBOOL(BGl_sfunzf2Iinfozd2forceGzf3zd3zzintegrate_infoz00(
					((BgL_sfunz00_bglt) BgL_oz00_2931)));
		}

	}



/* sfun/Iinfo-forceG?-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Iinfozd2forceGzf3zd2setz12z13zzintegrate_infoz00(BgL_sfunz00_bglt
		BgL_oz00_122, bool_t BgL_vz00_123)
	{
		{	/* Integrate/iinfo.sch 195 */
			{
				BgL_sfunzf2iinfozf2_bglt BgL_auxz00_4468;

				{
					obj_t BgL_auxz00_4469;

					{	/* Integrate/iinfo.sch 195 */
						BgL_objectz00_bglt BgL_tmpz00_4470;

						BgL_tmpz00_4470 = ((BgL_objectz00_bglt) BgL_oz00_122);
						BgL_auxz00_4469 = BGL_OBJECT_WIDENING(BgL_tmpz00_4470);
					}
					BgL_auxz00_4468 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_4469);
				}
				return
					((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_4468))->
						BgL_forcegzf3zf3) = ((bool_t) BgL_vz00_123), BUNSPEC);
			}
		}

	}



/* &sfun/Iinfo-forceG?-set! */
	obj_t BGl_z62sfunzf2Iinfozd2forceGzf3zd2setz12z71zzintegrate_infoz00(obj_t
		BgL_envz00_2932, obj_t BgL_oz00_2933, obj_t BgL_vz00_2934)
	{
		{	/* Integrate/iinfo.sch 195 */
			return
				BGl_sfunzf2Iinfozd2forceGzf3zd2setz12z13zzintegrate_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_2933), CBOOL(BgL_vz00_2934));
		}

	}



/* sfun/Iinfo-G? */
	BGL_EXPORTED_DEF bool_t
		BGl_sfunzf2Iinfozd2Gzf3zd3zzintegrate_infoz00(BgL_sfunz00_bglt BgL_oz00_124)
	{
		{	/* Integrate/iinfo.sch 196 */
			{
				BgL_sfunzf2iinfozf2_bglt BgL_auxz00_4478;

				{
					obj_t BgL_auxz00_4479;

					{	/* Integrate/iinfo.sch 196 */
						BgL_objectz00_bglt BgL_tmpz00_4480;

						BgL_tmpz00_4480 = ((BgL_objectz00_bglt) BgL_oz00_124);
						BgL_auxz00_4479 = BGL_OBJECT_WIDENING(BgL_tmpz00_4480);
					}
					BgL_auxz00_4478 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_4479);
				}
				return
					(((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_4478))->BgL_gzf3zf3);
			}
		}

	}



/* &sfun/Iinfo-G? */
	obj_t BGl_z62sfunzf2Iinfozd2Gzf3zb1zzintegrate_infoz00(obj_t BgL_envz00_2935,
		obj_t BgL_oz00_2936)
	{
		{	/* Integrate/iinfo.sch 196 */
			return
				BBOOL(BGl_sfunzf2Iinfozd2Gzf3zd3zzintegrate_infoz00(
					((BgL_sfunz00_bglt) BgL_oz00_2936)));
		}

	}



/* sfun/Iinfo-G?-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Iinfozd2Gzf3zd2setz12z13zzintegrate_infoz00(BgL_sfunz00_bglt
		BgL_oz00_125, bool_t BgL_vz00_126)
	{
		{	/* Integrate/iinfo.sch 197 */
			{
				BgL_sfunzf2iinfozf2_bglt BgL_auxz00_4488;

				{
					obj_t BgL_auxz00_4489;

					{	/* Integrate/iinfo.sch 197 */
						BgL_objectz00_bglt BgL_tmpz00_4490;

						BgL_tmpz00_4490 = ((BgL_objectz00_bglt) BgL_oz00_125);
						BgL_auxz00_4489 = BGL_OBJECT_WIDENING(BgL_tmpz00_4490);
					}
					BgL_auxz00_4488 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_4489);
				}
				return
					((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_4488))->
						BgL_gzf3zf3) = ((bool_t) BgL_vz00_126), BUNSPEC);
			}
		}

	}



/* &sfun/Iinfo-G?-set! */
	obj_t BGl_z62sfunzf2Iinfozd2Gzf3zd2setz12z71zzintegrate_infoz00(obj_t
		BgL_envz00_2937, obj_t BgL_oz00_2938, obj_t BgL_vz00_2939)
	{
		{	/* Integrate/iinfo.sch 197 */
			return
				BGl_sfunzf2Iinfozd2Gzf3zd2setz12z13zzintegrate_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_2938), CBOOL(BgL_vz00_2939));
		}

	}



/* sfun/Iinfo-kont */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Iinfozd2kontz20zzintegrate_infoz00(BgL_sfunz00_bglt BgL_oz00_127)
	{
		{	/* Integrate/iinfo.sch 198 */
			{
				BgL_sfunzf2iinfozf2_bglt BgL_auxz00_4498;

				{
					obj_t BgL_auxz00_4499;

					{	/* Integrate/iinfo.sch 198 */
						BgL_objectz00_bglt BgL_tmpz00_4500;

						BgL_tmpz00_4500 = ((BgL_objectz00_bglt) BgL_oz00_127);
						BgL_auxz00_4499 = BGL_OBJECT_WIDENING(BgL_tmpz00_4500);
					}
					BgL_auxz00_4498 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_4499);
				}
				return
					(((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_4498))->BgL_kontz00);
			}
		}

	}



/* &sfun/Iinfo-kont */
	obj_t BGl_z62sfunzf2Iinfozd2kontz42zzintegrate_infoz00(obj_t BgL_envz00_2940,
		obj_t BgL_oz00_2941)
	{
		{	/* Integrate/iinfo.sch 198 */
			return
				BGl_sfunzf2Iinfozd2kontz20zzintegrate_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_2941));
		}

	}



/* sfun/Iinfo-kont-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Iinfozd2kontzd2setz12ze0zzintegrate_infoz00(BgL_sfunz00_bglt
		BgL_oz00_128, obj_t BgL_vz00_129)
	{
		{	/* Integrate/iinfo.sch 199 */
			{
				BgL_sfunzf2iinfozf2_bglt BgL_auxz00_4507;

				{
					obj_t BgL_auxz00_4508;

					{	/* Integrate/iinfo.sch 199 */
						BgL_objectz00_bglt BgL_tmpz00_4509;

						BgL_tmpz00_4509 = ((BgL_objectz00_bglt) BgL_oz00_128);
						BgL_auxz00_4508 = BGL_OBJECT_WIDENING(BgL_tmpz00_4509);
					}
					BgL_auxz00_4507 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_4508);
				}
				return
					((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_4507))->
						BgL_kontz00) = ((obj_t) BgL_vz00_129), BUNSPEC);
			}
		}

	}



/* &sfun/Iinfo-kont-set! */
	obj_t BGl_z62sfunzf2Iinfozd2kontzd2setz12z82zzintegrate_infoz00(obj_t
		BgL_envz00_2942, obj_t BgL_oz00_2943, obj_t BgL_vz00_2944)
	{
		{	/* Integrate/iinfo.sch 199 */
			return
				BGl_sfunzf2Iinfozd2kontzd2setz12ze0zzintegrate_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_2943), BgL_vz00_2944);
		}

	}



/* sfun/Iinfo-Ct */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Iinfozd2Ctz20zzintegrate_infoz00(BgL_sfunz00_bglt BgL_oz00_130)
	{
		{	/* Integrate/iinfo.sch 200 */
			{
				BgL_sfunzf2iinfozf2_bglt BgL_auxz00_4516;

				{
					obj_t BgL_auxz00_4517;

					{	/* Integrate/iinfo.sch 200 */
						BgL_objectz00_bglt BgL_tmpz00_4518;

						BgL_tmpz00_4518 = ((BgL_objectz00_bglt) BgL_oz00_130);
						BgL_auxz00_4517 = BGL_OBJECT_WIDENING(BgL_tmpz00_4518);
					}
					BgL_auxz00_4516 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_4517);
				}
				return
					(((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_4516))->BgL_ctz00);
			}
		}

	}



/* &sfun/Iinfo-Ct */
	obj_t BGl_z62sfunzf2Iinfozd2Ctz42zzintegrate_infoz00(obj_t BgL_envz00_2945,
		obj_t BgL_oz00_2946)
	{
		{	/* Integrate/iinfo.sch 200 */
			return
				BGl_sfunzf2Iinfozd2Ctz20zzintegrate_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_2946));
		}

	}



/* sfun/Iinfo-Ct-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Iinfozd2Ctzd2setz12ze0zzintegrate_infoz00(BgL_sfunz00_bglt
		BgL_oz00_131, obj_t BgL_vz00_132)
	{
		{	/* Integrate/iinfo.sch 201 */
			{
				BgL_sfunzf2iinfozf2_bglt BgL_auxz00_4525;

				{
					obj_t BgL_auxz00_4526;

					{	/* Integrate/iinfo.sch 201 */
						BgL_objectz00_bglt BgL_tmpz00_4527;

						BgL_tmpz00_4527 = ((BgL_objectz00_bglt) BgL_oz00_131);
						BgL_auxz00_4526 = BGL_OBJECT_WIDENING(BgL_tmpz00_4527);
					}
					BgL_auxz00_4525 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_4526);
				}
				return
					((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_4525))->BgL_ctz00) =
					((obj_t) BgL_vz00_132), BUNSPEC);
			}
		}

	}



/* &sfun/Iinfo-Ct-set! */
	obj_t BGl_z62sfunzf2Iinfozd2Ctzd2setz12z82zzintegrate_infoz00(obj_t
		BgL_envz00_2947, obj_t BgL_oz00_2948, obj_t BgL_vz00_2949)
	{
		{	/* Integrate/iinfo.sch 201 */
			return
				BGl_sfunzf2Iinfozd2Ctzd2setz12ze0zzintegrate_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_2948), BgL_vz00_2949);
		}

	}



/* sfun/Iinfo-Cn */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Iinfozd2Cnz20zzintegrate_infoz00(BgL_sfunz00_bglt BgL_oz00_133)
	{
		{	/* Integrate/iinfo.sch 202 */
			{
				BgL_sfunzf2iinfozf2_bglt BgL_auxz00_4534;

				{
					obj_t BgL_auxz00_4535;

					{	/* Integrate/iinfo.sch 202 */
						BgL_objectz00_bglt BgL_tmpz00_4536;

						BgL_tmpz00_4536 = ((BgL_objectz00_bglt) BgL_oz00_133);
						BgL_auxz00_4535 = BGL_OBJECT_WIDENING(BgL_tmpz00_4536);
					}
					BgL_auxz00_4534 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_4535);
				}
				return
					(((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_4534))->BgL_cnz00);
			}
		}

	}



/* &sfun/Iinfo-Cn */
	obj_t BGl_z62sfunzf2Iinfozd2Cnz42zzintegrate_infoz00(obj_t BgL_envz00_2950,
		obj_t BgL_oz00_2951)
	{
		{	/* Integrate/iinfo.sch 202 */
			return
				BGl_sfunzf2Iinfozd2Cnz20zzintegrate_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_2951));
		}

	}



/* sfun/Iinfo-Cn-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Iinfozd2Cnzd2setz12ze0zzintegrate_infoz00(BgL_sfunz00_bglt
		BgL_oz00_134, obj_t BgL_vz00_135)
	{
		{	/* Integrate/iinfo.sch 203 */
			{
				BgL_sfunzf2iinfozf2_bglt BgL_auxz00_4543;

				{
					obj_t BgL_auxz00_4544;

					{	/* Integrate/iinfo.sch 203 */
						BgL_objectz00_bglt BgL_tmpz00_4545;

						BgL_tmpz00_4545 = ((BgL_objectz00_bglt) BgL_oz00_134);
						BgL_auxz00_4544 = BGL_OBJECT_WIDENING(BgL_tmpz00_4545);
					}
					BgL_auxz00_4543 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_4544);
				}
				return
					((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_4543))->BgL_cnz00) =
					((obj_t) BgL_vz00_135), BUNSPEC);
			}
		}

	}



/* &sfun/Iinfo-Cn-set! */
	obj_t BGl_z62sfunzf2Iinfozd2Cnzd2setz12z82zzintegrate_infoz00(obj_t
		BgL_envz00_2952, obj_t BgL_oz00_2953, obj_t BgL_vz00_2954)
	{
		{	/* Integrate/iinfo.sch 203 */
			return
				BGl_sfunzf2Iinfozd2Cnzd2setz12ze0zzintegrate_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_2953), BgL_vz00_2954);
		}

	}



/* sfun/Iinfo-U */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Iinfozd2Uz20zzintegrate_infoz00(BgL_sfunz00_bglt BgL_oz00_136)
	{
		{	/* Integrate/iinfo.sch 204 */
			{
				BgL_sfunzf2iinfozf2_bglt BgL_auxz00_4552;

				{
					obj_t BgL_auxz00_4553;

					{	/* Integrate/iinfo.sch 204 */
						BgL_objectz00_bglt BgL_tmpz00_4554;

						BgL_tmpz00_4554 = ((BgL_objectz00_bglt) BgL_oz00_136);
						BgL_auxz00_4553 = BGL_OBJECT_WIDENING(BgL_tmpz00_4554);
					}
					BgL_auxz00_4552 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_4553);
				}
				return
					(((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_4552))->BgL_uz00);
			}
		}

	}



/* &sfun/Iinfo-U */
	obj_t BGl_z62sfunzf2Iinfozd2Uz42zzintegrate_infoz00(obj_t BgL_envz00_2955,
		obj_t BgL_oz00_2956)
	{
		{	/* Integrate/iinfo.sch 204 */
			return
				BGl_sfunzf2Iinfozd2Uz20zzintegrate_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_2956));
		}

	}



/* sfun/Iinfo-U-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Iinfozd2Uzd2setz12ze0zzintegrate_infoz00(BgL_sfunz00_bglt
		BgL_oz00_137, obj_t BgL_vz00_138)
	{
		{	/* Integrate/iinfo.sch 205 */
			{
				BgL_sfunzf2iinfozf2_bglt BgL_auxz00_4561;

				{
					obj_t BgL_auxz00_4562;

					{	/* Integrate/iinfo.sch 205 */
						BgL_objectz00_bglt BgL_tmpz00_4563;

						BgL_tmpz00_4563 = ((BgL_objectz00_bglt) BgL_oz00_137);
						BgL_auxz00_4562 = BGL_OBJECT_WIDENING(BgL_tmpz00_4563);
					}
					BgL_auxz00_4561 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_4562);
				}
				return
					((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_4561))->BgL_uz00) =
					((obj_t) BgL_vz00_138), BUNSPEC);
			}
		}

	}



/* &sfun/Iinfo-U-set! */
	obj_t BGl_z62sfunzf2Iinfozd2Uzd2setz12z82zzintegrate_infoz00(obj_t
		BgL_envz00_2957, obj_t BgL_oz00_2958, obj_t BgL_vz00_2959)
	{
		{	/* Integrate/iinfo.sch 205 */
			return
				BGl_sfunzf2Iinfozd2Uzd2setz12ze0zzintegrate_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_2958), BgL_vz00_2959);
		}

	}



/* sfun/Iinfo-K* */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Iinfozd2Kza2z82zzintegrate_infoz00(BgL_sfunz00_bglt BgL_oz00_139)
	{
		{	/* Integrate/iinfo.sch 206 */
			{
				BgL_sfunzf2iinfozf2_bglt BgL_auxz00_4570;

				{
					obj_t BgL_auxz00_4571;

					{	/* Integrate/iinfo.sch 206 */
						BgL_objectz00_bglt BgL_tmpz00_4572;

						BgL_tmpz00_4572 = ((BgL_objectz00_bglt) BgL_oz00_139);
						BgL_auxz00_4571 = BGL_OBJECT_WIDENING(BgL_tmpz00_4572);
					}
					BgL_auxz00_4570 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_4571);
				}
				return
					(((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_4570))->BgL_kza2za2);
			}
		}

	}



/* &sfun/Iinfo-K* */
	obj_t BGl_z62sfunzf2Iinfozd2Kza2ze0zzintegrate_infoz00(obj_t BgL_envz00_2960,
		obj_t BgL_oz00_2961)
	{
		{	/* Integrate/iinfo.sch 206 */
			return
				BGl_sfunzf2Iinfozd2Kza2z82zzintegrate_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_2961));
		}

	}



/* sfun/Iinfo-K*-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Iinfozd2Kza2zd2setz12z42zzintegrate_infoz00(BgL_sfunz00_bglt
		BgL_oz00_140, obj_t BgL_vz00_141)
	{
		{	/* Integrate/iinfo.sch 207 */
			{
				BgL_sfunzf2iinfozf2_bglt BgL_auxz00_4579;

				{
					obj_t BgL_auxz00_4580;

					{	/* Integrate/iinfo.sch 207 */
						BgL_objectz00_bglt BgL_tmpz00_4581;

						BgL_tmpz00_4581 = ((BgL_objectz00_bglt) BgL_oz00_140);
						BgL_auxz00_4580 = BGL_OBJECT_WIDENING(BgL_tmpz00_4581);
					}
					BgL_auxz00_4579 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_4580);
				}
				return
					((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_4579))->
						BgL_kza2za2) = ((obj_t) BgL_vz00_141), BUNSPEC);
			}
		}

	}



/* &sfun/Iinfo-K*-set! */
	obj_t BGl_z62sfunzf2Iinfozd2Kza2zd2setz12z20zzintegrate_infoz00(obj_t
		BgL_envz00_2962, obj_t BgL_oz00_2963, obj_t BgL_vz00_2964)
	{
		{	/* Integrate/iinfo.sch 207 */
			return
				BGl_sfunzf2Iinfozd2Kza2zd2setz12z42zzintegrate_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_2963), BgL_vz00_2964);
		}

	}



/* sfun/Iinfo-K */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Iinfozd2Kz20zzintegrate_infoz00(BgL_sfunz00_bglt BgL_oz00_142)
	{
		{	/* Integrate/iinfo.sch 208 */
			{
				BgL_sfunzf2iinfozf2_bglt BgL_auxz00_4588;

				{
					obj_t BgL_auxz00_4589;

					{	/* Integrate/iinfo.sch 208 */
						BgL_objectz00_bglt BgL_tmpz00_4590;

						BgL_tmpz00_4590 = ((BgL_objectz00_bglt) BgL_oz00_142);
						BgL_auxz00_4589 = BGL_OBJECT_WIDENING(BgL_tmpz00_4590);
					}
					BgL_auxz00_4588 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_4589);
				}
				return
					(((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_4588))->BgL_kz00);
			}
		}

	}



/* &sfun/Iinfo-K */
	obj_t BGl_z62sfunzf2Iinfozd2Kz42zzintegrate_infoz00(obj_t BgL_envz00_2965,
		obj_t BgL_oz00_2966)
	{
		{	/* Integrate/iinfo.sch 208 */
			return
				BGl_sfunzf2Iinfozd2Kz20zzintegrate_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_2966));
		}

	}



/* sfun/Iinfo-K-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Iinfozd2Kzd2setz12ze0zzintegrate_infoz00(BgL_sfunz00_bglt
		BgL_oz00_143, obj_t BgL_vz00_144)
	{
		{	/* Integrate/iinfo.sch 209 */
			{
				BgL_sfunzf2iinfozf2_bglt BgL_auxz00_4597;

				{
					obj_t BgL_auxz00_4598;

					{	/* Integrate/iinfo.sch 209 */
						BgL_objectz00_bglt BgL_tmpz00_4599;

						BgL_tmpz00_4599 = ((BgL_objectz00_bglt) BgL_oz00_143);
						BgL_auxz00_4598 = BGL_OBJECT_WIDENING(BgL_tmpz00_4599);
					}
					BgL_auxz00_4597 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_4598);
				}
				return
					((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_4597))->BgL_kz00) =
					((obj_t) BgL_vz00_144), BUNSPEC);
			}
		}

	}



/* &sfun/Iinfo-K-set! */
	obj_t BGl_z62sfunzf2Iinfozd2Kzd2setz12z82zzintegrate_infoz00(obj_t
		BgL_envz00_2967, obj_t BgL_oz00_2968, obj_t BgL_vz00_2969)
	{
		{	/* Integrate/iinfo.sch 209 */
			return
				BGl_sfunzf2Iinfozd2Kzd2setz12ze0zzintegrate_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_2968), BgL_vz00_2969);
		}

	}



/* sfun/Iinfo-cto */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Iinfozd2ctoz20zzintegrate_infoz00(BgL_sfunz00_bglt BgL_oz00_145)
	{
		{	/* Integrate/iinfo.sch 210 */
			{
				BgL_sfunzf2iinfozf2_bglt BgL_auxz00_4606;

				{
					obj_t BgL_auxz00_4607;

					{	/* Integrate/iinfo.sch 210 */
						BgL_objectz00_bglt BgL_tmpz00_4608;

						BgL_tmpz00_4608 = ((BgL_objectz00_bglt) BgL_oz00_145);
						BgL_auxz00_4607 = BGL_OBJECT_WIDENING(BgL_tmpz00_4608);
					}
					BgL_auxz00_4606 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_4607);
				}
				return
					(((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_4606))->BgL_ctoz00);
			}
		}

	}



/* &sfun/Iinfo-cto */
	obj_t BGl_z62sfunzf2Iinfozd2ctoz42zzintegrate_infoz00(obj_t BgL_envz00_2970,
		obj_t BgL_oz00_2971)
	{
		{	/* Integrate/iinfo.sch 210 */
			return
				BGl_sfunzf2Iinfozd2ctoz20zzintegrate_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_2971));
		}

	}



/* sfun/Iinfo-cto-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Iinfozd2ctozd2setz12ze0zzintegrate_infoz00(BgL_sfunz00_bglt
		BgL_oz00_146, obj_t BgL_vz00_147)
	{
		{	/* Integrate/iinfo.sch 211 */
			{
				BgL_sfunzf2iinfozf2_bglt BgL_auxz00_4615;

				{
					obj_t BgL_auxz00_4616;

					{	/* Integrate/iinfo.sch 211 */
						BgL_objectz00_bglt BgL_tmpz00_4617;

						BgL_tmpz00_4617 = ((BgL_objectz00_bglt) BgL_oz00_146);
						BgL_auxz00_4616 = BGL_OBJECT_WIDENING(BgL_tmpz00_4617);
					}
					BgL_auxz00_4615 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_4616);
				}
				return
					((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_4615))->BgL_ctoz00) =
					((obj_t) BgL_vz00_147), BUNSPEC);
			}
		}

	}



/* &sfun/Iinfo-cto-set! */
	obj_t BGl_z62sfunzf2Iinfozd2ctozd2setz12z82zzintegrate_infoz00(obj_t
		BgL_envz00_2972, obj_t BgL_oz00_2973, obj_t BgL_vz00_2974)
	{
		{	/* Integrate/iinfo.sch 211 */
			return
				BGl_sfunzf2Iinfozd2ctozd2setz12ze0zzintegrate_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_2973), BgL_vz00_2974);
		}

	}



/* sfun/Iinfo-cfrom */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Iinfozd2cfromz20zzintegrate_infoz00(BgL_sfunz00_bglt
		BgL_oz00_148)
	{
		{	/* Integrate/iinfo.sch 212 */
			{
				BgL_sfunzf2iinfozf2_bglt BgL_auxz00_4624;

				{
					obj_t BgL_auxz00_4625;

					{	/* Integrate/iinfo.sch 212 */
						BgL_objectz00_bglt BgL_tmpz00_4626;

						BgL_tmpz00_4626 = ((BgL_objectz00_bglt) BgL_oz00_148);
						BgL_auxz00_4625 = BGL_OBJECT_WIDENING(BgL_tmpz00_4626);
					}
					BgL_auxz00_4624 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_4625);
				}
				return
					(((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_4624))->BgL_cfromz00);
			}
		}

	}



/* &sfun/Iinfo-cfrom */
	obj_t BGl_z62sfunzf2Iinfozd2cfromz42zzintegrate_infoz00(obj_t BgL_envz00_2975,
		obj_t BgL_oz00_2976)
	{
		{	/* Integrate/iinfo.sch 212 */
			return
				BGl_sfunzf2Iinfozd2cfromz20zzintegrate_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_2976));
		}

	}



/* sfun/Iinfo-cfrom-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Iinfozd2cfromzd2setz12ze0zzintegrate_infoz00(BgL_sfunz00_bglt
		BgL_oz00_149, obj_t BgL_vz00_150)
	{
		{	/* Integrate/iinfo.sch 213 */
			{
				BgL_sfunzf2iinfozf2_bglt BgL_auxz00_4633;

				{
					obj_t BgL_auxz00_4634;

					{	/* Integrate/iinfo.sch 213 */
						BgL_objectz00_bglt BgL_tmpz00_4635;

						BgL_tmpz00_4635 = ((BgL_objectz00_bglt) BgL_oz00_149);
						BgL_auxz00_4634 = BGL_OBJECT_WIDENING(BgL_tmpz00_4635);
					}
					BgL_auxz00_4633 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_4634);
				}
				return
					((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_4633))->
						BgL_cfromz00) = ((obj_t) BgL_vz00_150), BUNSPEC);
			}
		}

	}



/* &sfun/Iinfo-cfrom-set! */
	obj_t BGl_z62sfunzf2Iinfozd2cfromzd2setz12z82zzintegrate_infoz00(obj_t
		BgL_envz00_2977, obj_t BgL_oz00_2978, obj_t BgL_vz00_2979)
	{
		{	/* Integrate/iinfo.sch 213 */
			return
				BGl_sfunzf2Iinfozd2cfromzd2setz12ze0zzintegrate_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_2978), BgL_vz00_2979);
		}

	}



/* sfun/Iinfo-bound */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Iinfozd2boundz20zzintegrate_infoz00(BgL_sfunz00_bglt
		BgL_oz00_151)
	{
		{	/* Integrate/iinfo.sch 214 */
			{
				BgL_sfunzf2iinfozf2_bglt BgL_auxz00_4642;

				{
					obj_t BgL_auxz00_4643;

					{	/* Integrate/iinfo.sch 214 */
						BgL_objectz00_bglt BgL_tmpz00_4644;

						BgL_tmpz00_4644 = ((BgL_objectz00_bglt) BgL_oz00_151);
						BgL_auxz00_4643 = BGL_OBJECT_WIDENING(BgL_tmpz00_4644);
					}
					BgL_auxz00_4642 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_4643);
				}
				return
					(((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_4642))->BgL_boundz00);
			}
		}

	}



/* &sfun/Iinfo-bound */
	obj_t BGl_z62sfunzf2Iinfozd2boundz42zzintegrate_infoz00(obj_t BgL_envz00_2980,
		obj_t BgL_oz00_2981)
	{
		{	/* Integrate/iinfo.sch 214 */
			return
				BGl_sfunzf2Iinfozd2boundz20zzintegrate_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_2981));
		}

	}



/* sfun/Iinfo-bound-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Iinfozd2boundzd2setz12ze0zzintegrate_infoz00(BgL_sfunz00_bglt
		BgL_oz00_152, obj_t BgL_vz00_153)
	{
		{	/* Integrate/iinfo.sch 215 */
			{
				BgL_sfunzf2iinfozf2_bglt BgL_auxz00_4651;

				{
					obj_t BgL_auxz00_4652;

					{	/* Integrate/iinfo.sch 215 */
						BgL_objectz00_bglt BgL_tmpz00_4653;

						BgL_tmpz00_4653 = ((BgL_objectz00_bglt) BgL_oz00_152);
						BgL_auxz00_4652 = BGL_OBJECT_WIDENING(BgL_tmpz00_4653);
					}
					BgL_auxz00_4651 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_4652);
				}
				return
					((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_4651))->
						BgL_boundz00) = ((obj_t) BgL_vz00_153), BUNSPEC);
			}
		}

	}



/* &sfun/Iinfo-bound-set! */
	obj_t BGl_z62sfunzf2Iinfozd2boundzd2setz12z82zzintegrate_infoz00(obj_t
		BgL_envz00_2982, obj_t BgL_oz00_2983, obj_t BgL_vz00_2984)
	{
		{	/* Integrate/iinfo.sch 215 */
			return
				BGl_sfunzf2Iinfozd2boundzd2setz12ze0zzintegrate_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_2983), BgL_vz00_2984);
		}

	}



/* sfun/Iinfo-free */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Iinfozd2freez20zzintegrate_infoz00(BgL_sfunz00_bglt BgL_oz00_154)
	{
		{	/* Integrate/iinfo.sch 216 */
			{
				BgL_sfunzf2iinfozf2_bglt BgL_auxz00_4660;

				{
					obj_t BgL_auxz00_4661;

					{	/* Integrate/iinfo.sch 216 */
						BgL_objectz00_bglt BgL_tmpz00_4662;

						BgL_tmpz00_4662 = ((BgL_objectz00_bglt) BgL_oz00_154);
						BgL_auxz00_4661 = BGL_OBJECT_WIDENING(BgL_tmpz00_4662);
					}
					BgL_auxz00_4660 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_4661);
				}
				return
					(((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_4660))->BgL_freez00);
			}
		}

	}



/* &sfun/Iinfo-free */
	obj_t BGl_z62sfunzf2Iinfozd2freez42zzintegrate_infoz00(obj_t BgL_envz00_2985,
		obj_t BgL_oz00_2986)
	{
		{	/* Integrate/iinfo.sch 216 */
			return
				BGl_sfunzf2Iinfozd2freez20zzintegrate_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_2986));
		}

	}



/* sfun/Iinfo-free-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Iinfozd2freezd2setz12ze0zzintegrate_infoz00(BgL_sfunz00_bglt
		BgL_oz00_155, obj_t BgL_vz00_156)
	{
		{	/* Integrate/iinfo.sch 217 */
			{
				BgL_sfunzf2iinfozf2_bglt BgL_auxz00_4669;

				{
					obj_t BgL_auxz00_4670;

					{	/* Integrate/iinfo.sch 217 */
						BgL_objectz00_bglt BgL_tmpz00_4671;

						BgL_tmpz00_4671 = ((BgL_objectz00_bglt) BgL_oz00_155);
						BgL_auxz00_4670 = BGL_OBJECT_WIDENING(BgL_tmpz00_4671);
					}
					BgL_auxz00_4669 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_4670);
				}
				return
					((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_4669))->
						BgL_freez00) = ((obj_t) BgL_vz00_156), BUNSPEC);
			}
		}

	}



/* &sfun/Iinfo-free-set! */
	obj_t BGl_z62sfunzf2Iinfozd2freezd2setz12z82zzintegrate_infoz00(obj_t
		BgL_envz00_2987, obj_t BgL_oz00_2988, obj_t BgL_vz00_2989)
	{
		{	/* Integrate/iinfo.sch 217 */
			return
				BGl_sfunzf2Iinfozd2freezd2setz12ze0zzintegrate_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_2988), BgL_vz00_2989);
		}

	}



/* sfun/Iinfo-owner */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Iinfozd2ownerz20zzintegrate_infoz00(BgL_sfunz00_bglt
		BgL_oz00_157)
	{
		{	/* Integrate/iinfo.sch 218 */
			{
				BgL_sfunzf2iinfozf2_bglt BgL_auxz00_4678;

				{
					obj_t BgL_auxz00_4679;

					{	/* Integrate/iinfo.sch 218 */
						BgL_objectz00_bglt BgL_tmpz00_4680;

						BgL_tmpz00_4680 = ((BgL_objectz00_bglt) BgL_oz00_157);
						BgL_auxz00_4679 = BGL_OBJECT_WIDENING(BgL_tmpz00_4680);
					}
					BgL_auxz00_4678 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_4679);
				}
				return
					(((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_4678))->BgL_ownerz00);
			}
		}

	}



/* &sfun/Iinfo-owner */
	obj_t BGl_z62sfunzf2Iinfozd2ownerz42zzintegrate_infoz00(obj_t BgL_envz00_2990,
		obj_t BgL_oz00_2991)
	{
		{	/* Integrate/iinfo.sch 218 */
			return
				BGl_sfunzf2Iinfozd2ownerz20zzintegrate_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_2991));
		}

	}



/* sfun/Iinfo-owner-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Iinfozd2ownerzd2setz12ze0zzintegrate_infoz00(BgL_sfunz00_bglt
		BgL_oz00_158, obj_t BgL_vz00_159)
	{
		{	/* Integrate/iinfo.sch 219 */
			{
				BgL_sfunzf2iinfozf2_bglt BgL_auxz00_4687;

				{
					obj_t BgL_auxz00_4688;

					{	/* Integrate/iinfo.sch 219 */
						BgL_objectz00_bglt BgL_tmpz00_4689;

						BgL_tmpz00_4689 = ((BgL_objectz00_bglt) BgL_oz00_158);
						BgL_auxz00_4688 = BGL_OBJECT_WIDENING(BgL_tmpz00_4689);
					}
					BgL_auxz00_4687 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_4688);
				}
				return
					((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_4687))->
						BgL_ownerz00) = ((obj_t) BgL_vz00_159), BUNSPEC);
			}
		}

	}



/* &sfun/Iinfo-owner-set! */
	obj_t BGl_z62sfunzf2Iinfozd2ownerzd2setz12z82zzintegrate_infoz00(obj_t
		BgL_envz00_2992, obj_t BgL_oz00_2993, obj_t BgL_vz00_2994)
	{
		{	/* Integrate/iinfo.sch 219 */
			return
				BGl_sfunzf2Iinfozd2ownerzd2setz12ze0zzintegrate_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_2993), BgL_vz00_2994);
		}

	}



/* sfun/Iinfo-stackable */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Iinfozd2stackablez20zzintegrate_infoz00(BgL_sfunz00_bglt
		BgL_oz00_160)
	{
		{	/* Integrate/iinfo.sch 220 */
			return
				(((BgL_sfunz00_bglt) COBJECT(
						((BgL_sfunz00_bglt) BgL_oz00_160)))->BgL_stackablez00);
		}

	}



/* &sfun/Iinfo-stackable */
	obj_t BGl_z62sfunzf2Iinfozd2stackablez42zzintegrate_infoz00(obj_t
		BgL_envz00_2995, obj_t BgL_oz00_2996)
	{
		{	/* Integrate/iinfo.sch 220 */
			return
				BGl_sfunzf2Iinfozd2stackablez20zzintegrate_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_2996));
		}

	}



/* sfun/Iinfo-stackable-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Iinfozd2stackablezd2setz12ze0zzintegrate_infoz00(BgL_sfunz00_bglt
		BgL_oz00_161, obj_t BgL_vz00_162)
	{
		{	/* Integrate/iinfo.sch 221 */
			return
				((((BgL_sfunz00_bglt) COBJECT(
							((BgL_sfunz00_bglt) BgL_oz00_161)))->BgL_stackablez00) =
				((obj_t) BgL_vz00_162), BUNSPEC);
		}

	}



/* &sfun/Iinfo-stackable-set! */
	obj_t BGl_z62sfunzf2Iinfozd2stackablezd2setz12z82zzintegrate_infoz00(obj_t
		BgL_envz00_2997, obj_t BgL_oz00_2998, obj_t BgL_vz00_2999)
	{
		{	/* Integrate/iinfo.sch 221 */
			return
				BGl_sfunzf2Iinfozd2stackablezd2setz12ze0zzintegrate_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_2998), BgL_vz00_2999);
		}

	}



/* sfun/Iinfo-strength */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Iinfozd2strengthz20zzintegrate_infoz00(BgL_sfunz00_bglt
		BgL_oz00_163)
	{
		{	/* Integrate/iinfo.sch 222 */
			return
				(((BgL_sfunz00_bglt) COBJECT(
						((BgL_sfunz00_bglt) BgL_oz00_163)))->BgL_strengthz00);
		}

	}



/* &sfun/Iinfo-strength */
	obj_t BGl_z62sfunzf2Iinfozd2strengthz42zzintegrate_infoz00(obj_t
		BgL_envz00_3000, obj_t BgL_oz00_3001)
	{
		{	/* Integrate/iinfo.sch 222 */
			return
				BGl_sfunzf2Iinfozd2strengthz20zzintegrate_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_3001));
		}

	}



/* sfun/Iinfo-strength-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Iinfozd2strengthzd2setz12ze0zzintegrate_infoz00(BgL_sfunz00_bglt
		BgL_oz00_164, obj_t BgL_vz00_165)
	{
		{	/* Integrate/iinfo.sch 223 */
			return
				((((BgL_sfunz00_bglt) COBJECT(
							((BgL_sfunz00_bglt) BgL_oz00_164)))->BgL_strengthz00) =
				((obj_t) BgL_vz00_165), BUNSPEC);
		}

	}



/* &sfun/Iinfo-strength-set! */
	obj_t BGl_z62sfunzf2Iinfozd2strengthzd2setz12z82zzintegrate_infoz00(obj_t
		BgL_envz00_3002, obj_t BgL_oz00_3003, obj_t BgL_vz00_3004)
	{
		{	/* Integrate/iinfo.sch 223 */
			return
				BGl_sfunzf2Iinfozd2strengthzd2setz12ze0zzintegrate_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_3003), BgL_vz00_3004);
		}

	}



/* sfun/Iinfo-the-closure-global */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Iinfozd2thezd2closurezd2globalz20zzintegrate_infoz00
		(BgL_sfunz00_bglt BgL_oz00_166)
	{
		{	/* Integrate/iinfo.sch 224 */
			return
				(((BgL_sfunz00_bglt) COBJECT(
						((BgL_sfunz00_bglt) BgL_oz00_166)))->BgL_thezd2closurezd2globalz00);
		}

	}



/* &sfun/Iinfo-the-closure-global */
	obj_t BGl_z62sfunzf2Iinfozd2thezd2closurezd2globalz42zzintegrate_infoz00(obj_t
		BgL_envz00_3005, obj_t BgL_oz00_3006)
	{
		{	/* Integrate/iinfo.sch 224 */
			return
				BGl_sfunzf2Iinfozd2thezd2closurezd2globalz20zzintegrate_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_3006));
		}

	}



/* sfun/Iinfo-the-closure-global-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Iinfozd2thezd2closurezd2globalzd2setz12ze0zzintegrate_infoz00
		(BgL_sfunz00_bglt BgL_oz00_167, obj_t BgL_vz00_168)
	{
		{	/* Integrate/iinfo.sch 225 */
			return
				((((BgL_sfunz00_bglt) COBJECT(
							((BgL_sfunz00_bglt) BgL_oz00_167)))->
					BgL_thezd2closurezd2globalz00) = ((obj_t) BgL_vz00_168), BUNSPEC);
		}

	}



/* &sfun/Iinfo-the-closure-global-set! */
	obj_t
		BGl_z62sfunzf2Iinfozd2thezd2closurezd2globalzd2setz12z82zzintegrate_infoz00
		(obj_t BgL_envz00_3007, obj_t BgL_oz00_3008, obj_t BgL_vz00_3009)
	{
		{	/* Integrate/iinfo.sch 225 */
			return
				BGl_sfunzf2Iinfozd2thezd2closurezd2globalzd2setz12ze0zzintegrate_infoz00
				(((BgL_sfunz00_bglt) BgL_oz00_3008), BgL_vz00_3009);
		}

	}



/* sfun/Iinfo-keys */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Iinfozd2keysz20zzintegrate_infoz00(BgL_sfunz00_bglt BgL_oz00_169)
	{
		{	/* Integrate/iinfo.sch 226 */
			return
				(((BgL_sfunz00_bglt) COBJECT(
						((BgL_sfunz00_bglt) BgL_oz00_169)))->BgL_keysz00);
		}

	}



/* &sfun/Iinfo-keys */
	obj_t BGl_z62sfunzf2Iinfozd2keysz42zzintegrate_infoz00(obj_t BgL_envz00_3010,
		obj_t BgL_oz00_3011)
	{
		{	/* Integrate/iinfo.sch 226 */
			return
				BGl_sfunzf2Iinfozd2keysz20zzintegrate_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_3011));
		}

	}



/* sfun/Iinfo-optionals */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Iinfozd2optionalsz20zzintegrate_infoz00(BgL_sfunz00_bglt
		BgL_oz00_172)
	{
		{	/* Integrate/iinfo.sch 228 */
			return
				(((BgL_sfunz00_bglt) COBJECT(
						((BgL_sfunz00_bglt) BgL_oz00_172)))->BgL_optionalsz00);
		}

	}



/* &sfun/Iinfo-optionals */
	obj_t BGl_z62sfunzf2Iinfozd2optionalsz42zzintegrate_infoz00(obj_t
		BgL_envz00_3012, obj_t BgL_oz00_3013)
	{
		{	/* Integrate/iinfo.sch 228 */
			return
				BGl_sfunzf2Iinfozd2optionalsz20zzintegrate_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_3013));
		}

	}



/* sfun/Iinfo-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Iinfozd2locz20zzintegrate_infoz00(BgL_sfunz00_bglt BgL_oz00_175)
	{
		{	/* Integrate/iinfo.sch 230 */
			return
				(((BgL_sfunz00_bglt) COBJECT(
						((BgL_sfunz00_bglt) BgL_oz00_175)))->BgL_locz00);
		}

	}



/* &sfun/Iinfo-loc */
	obj_t BGl_z62sfunzf2Iinfozd2locz42zzintegrate_infoz00(obj_t BgL_envz00_3014,
		obj_t BgL_oz00_3015)
	{
		{	/* Integrate/iinfo.sch 230 */
			return
				BGl_sfunzf2Iinfozd2locz20zzintegrate_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_3015));
		}

	}



/* sfun/Iinfo-loc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Iinfozd2loczd2setz12ze0zzintegrate_infoz00(BgL_sfunz00_bglt
		BgL_oz00_176, obj_t BgL_vz00_177)
	{
		{	/* Integrate/iinfo.sch 231 */
			return
				((((BgL_sfunz00_bglt) COBJECT(
							((BgL_sfunz00_bglt) BgL_oz00_176)))->BgL_locz00) =
				((obj_t) BgL_vz00_177), BUNSPEC);
		}

	}



/* &sfun/Iinfo-loc-set! */
	obj_t BGl_z62sfunzf2Iinfozd2loczd2setz12z82zzintegrate_infoz00(obj_t
		BgL_envz00_3016, obj_t BgL_oz00_3017, obj_t BgL_vz00_3018)
	{
		{	/* Integrate/iinfo.sch 231 */
			return
				BGl_sfunzf2Iinfozd2loczd2setz12ze0zzintegrate_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_3017), BgL_vz00_3018);
		}

	}



/* sfun/Iinfo-dsssl-keywords */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Iinfozd2dssslzd2keywordszf2zzintegrate_infoz00(BgL_sfunz00_bglt
		BgL_oz00_178)
	{
		{	/* Integrate/iinfo.sch 232 */
			return
				(((BgL_sfunz00_bglt) COBJECT(
						((BgL_sfunz00_bglt) BgL_oz00_178)))->BgL_dssslzd2keywordszd2);
		}

	}



/* &sfun/Iinfo-dsssl-keywords */
	obj_t BGl_z62sfunzf2Iinfozd2dssslzd2keywordsz90zzintegrate_infoz00(obj_t
		BgL_envz00_3019, obj_t BgL_oz00_3020)
	{
		{	/* Integrate/iinfo.sch 232 */
			return
				BGl_sfunzf2Iinfozd2dssslzd2keywordszf2zzintegrate_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_3020));
		}

	}



/* sfun/Iinfo-dsssl-keywords-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Iinfozd2dssslzd2keywordszd2setz12z32zzintegrate_infoz00
		(BgL_sfunz00_bglt BgL_oz00_179, obj_t BgL_vz00_180)
	{
		{	/* Integrate/iinfo.sch 233 */
			return
				((((BgL_sfunz00_bglt) COBJECT(
							((BgL_sfunz00_bglt) BgL_oz00_179)))->BgL_dssslzd2keywordszd2) =
				((obj_t) BgL_vz00_180), BUNSPEC);
		}

	}



/* &sfun/Iinfo-dsssl-keywords-set! */
	obj_t
		BGl_z62sfunzf2Iinfozd2dssslzd2keywordszd2setz12z50zzintegrate_infoz00(obj_t
		BgL_envz00_3021, obj_t BgL_oz00_3022, obj_t BgL_vz00_3023)
	{
		{	/* Integrate/iinfo.sch 233 */
			return
				BGl_sfunzf2Iinfozd2dssslzd2keywordszd2setz12z32zzintegrate_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_3022), BgL_vz00_3023);
		}

	}



/* sfun/Iinfo-class */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Iinfozd2classz20zzintegrate_infoz00(BgL_sfunz00_bglt
		BgL_oz00_181)
	{
		{	/* Integrate/iinfo.sch 234 */
			return
				(((BgL_sfunz00_bglt) COBJECT(
						((BgL_sfunz00_bglt) BgL_oz00_181)))->BgL_classz00);
		}

	}



/* &sfun/Iinfo-class */
	obj_t BGl_z62sfunzf2Iinfozd2classz42zzintegrate_infoz00(obj_t BgL_envz00_3024,
		obj_t BgL_oz00_3025)
	{
		{	/* Integrate/iinfo.sch 234 */
			return
				BGl_sfunzf2Iinfozd2classz20zzintegrate_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_3025));
		}

	}



/* sfun/Iinfo-class-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Iinfozd2classzd2setz12ze0zzintegrate_infoz00(BgL_sfunz00_bglt
		BgL_oz00_182, obj_t BgL_vz00_183)
	{
		{	/* Integrate/iinfo.sch 235 */
			return
				((((BgL_sfunz00_bglt) COBJECT(
							((BgL_sfunz00_bglt) BgL_oz00_182)))->BgL_classz00) =
				((obj_t) BgL_vz00_183), BUNSPEC);
		}

	}



/* &sfun/Iinfo-class-set! */
	obj_t BGl_z62sfunzf2Iinfozd2classzd2setz12z82zzintegrate_infoz00(obj_t
		BgL_envz00_3026, obj_t BgL_oz00_3027, obj_t BgL_vz00_3028)
	{
		{	/* Integrate/iinfo.sch 235 */
			return
				BGl_sfunzf2Iinfozd2classzd2setz12ze0zzintegrate_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_3027), BgL_vz00_3028);
		}

	}



/* sfun/Iinfo-body */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Iinfozd2bodyz20zzintegrate_infoz00(BgL_sfunz00_bglt BgL_oz00_184)
	{
		{	/* Integrate/iinfo.sch 236 */
			return
				(((BgL_sfunz00_bglt) COBJECT(
						((BgL_sfunz00_bglt) BgL_oz00_184)))->BgL_bodyz00);
		}

	}



/* &sfun/Iinfo-body */
	obj_t BGl_z62sfunzf2Iinfozd2bodyz42zzintegrate_infoz00(obj_t BgL_envz00_3029,
		obj_t BgL_oz00_3030)
	{
		{	/* Integrate/iinfo.sch 236 */
			return
				BGl_sfunzf2Iinfozd2bodyz20zzintegrate_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_3030));
		}

	}



/* sfun/Iinfo-body-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Iinfozd2bodyzd2setz12ze0zzintegrate_infoz00(BgL_sfunz00_bglt
		BgL_oz00_185, obj_t BgL_vz00_186)
	{
		{	/* Integrate/iinfo.sch 237 */
			return
				((((BgL_sfunz00_bglt) COBJECT(
							((BgL_sfunz00_bglt) BgL_oz00_185)))->BgL_bodyz00) =
				((obj_t) BgL_vz00_186), BUNSPEC);
		}

	}



/* &sfun/Iinfo-body-set! */
	obj_t BGl_z62sfunzf2Iinfozd2bodyzd2setz12z82zzintegrate_infoz00(obj_t
		BgL_envz00_3031, obj_t BgL_oz00_3032, obj_t BgL_vz00_3033)
	{
		{	/* Integrate/iinfo.sch 237 */
			return
				BGl_sfunzf2Iinfozd2bodyzd2setz12ze0zzintegrate_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_3032), BgL_vz00_3033);
		}

	}



/* sfun/Iinfo-args-name */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Iinfozd2argszd2namezf2zzintegrate_infoz00(BgL_sfunz00_bglt
		BgL_oz00_187)
	{
		{	/* Integrate/iinfo.sch 238 */
			return
				(((BgL_sfunz00_bglt) COBJECT(
						((BgL_sfunz00_bglt) BgL_oz00_187)))->BgL_argszd2namezd2);
		}

	}



/* &sfun/Iinfo-args-name */
	obj_t BGl_z62sfunzf2Iinfozd2argszd2namez90zzintegrate_infoz00(obj_t
		BgL_envz00_3034, obj_t BgL_oz00_3035)
	{
		{	/* Integrate/iinfo.sch 238 */
			return
				BGl_sfunzf2Iinfozd2argszd2namezf2zzintegrate_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_3035));
		}

	}



/* sfun/Iinfo-args */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Iinfozd2argsz20zzintegrate_infoz00(BgL_sfunz00_bglt BgL_oz00_190)
	{
		{	/* Integrate/iinfo.sch 240 */
			return
				(((BgL_sfunz00_bglt) COBJECT(
						((BgL_sfunz00_bglt) BgL_oz00_190)))->BgL_argsz00);
		}

	}



/* &sfun/Iinfo-args */
	obj_t BGl_z62sfunzf2Iinfozd2argsz42zzintegrate_infoz00(obj_t BgL_envz00_3036,
		obj_t BgL_oz00_3037)
	{
		{	/* Integrate/iinfo.sch 240 */
			return
				BGl_sfunzf2Iinfozd2argsz20zzintegrate_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_3037));
		}

	}



/* sfun/Iinfo-args-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Iinfozd2argszd2setz12ze0zzintegrate_infoz00(BgL_sfunz00_bglt
		BgL_oz00_191, obj_t BgL_vz00_192)
	{
		{	/* Integrate/iinfo.sch 241 */
			return
				((((BgL_sfunz00_bglt) COBJECT(
							((BgL_sfunz00_bglt) BgL_oz00_191)))->BgL_argsz00) =
				((obj_t) BgL_vz00_192), BUNSPEC);
		}

	}



/* &sfun/Iinfo-args-set! */
	obj_t BGl_z62sfunzf2Iinfozd2argszd2setz12z82zzintegrate_infoz00(obj_t
		BgL_envz00_3038, obj_t BgL_oz00_3039, obj_t BgL_vz00_3040)
	{
		{	/* Integrate/iinfo.sch 241 */
			return
				BGl_sfunzf2Iinfozd2argszd2setz12ze0zzintegrate_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_3039), BgL_vz00_3040);
		}

	}



/* sfun/Iinfo-property */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Iinfozd2propertyz20zzintegrate_infoz00(BgL_sfunz00_bglt
		BgL_oz00_193)
	{
		{	/* Integrate/iinfo.sch 242 */
			return
				(((BgL_sfunz00_bglt) COBJECT(
						((BgL_sfunz00_bglt) BgL_oz00_193)))->BgL_propertyz00);
		}

	}



/* &sfun/Iinfo-property */
	obj_t BGl_z62sfunzf2Iinfozd2propertyz42zzintegrate_infoz00(obj_t
		BgL_envz00_3041, obj_t BgL_oz00_3042)
	{
		{	/* Integrate/iinfo.sch 242 */
			return
				BGl_sfunzf2Iinfozd2propertyz20zzintegrate_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_3042));
		}

	}



/* sfun/Iinfo-property-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Iinfozd2propertyzd2setz12ze0zzintegrate_infoz00(BgL_sfunz00_bglt
		BgL_oz00_194, obj_t BgL_vz00_195)
	{
		{	/* Integrate/iinfo.sch 243 */
			return
				((((BgL_sfunz00_bglt) COBJECT(
							((BgL_sfunz00_bglt) BgL_oz00_194)))->BgL_propertyz00) =
				((obj_t) BgL_vz00_195), BUNSPEC);
		}

	}



/* &sfun/Iinfo-property-set! */
	obj_t BGl_z62sfunzf2Iinfozd2propertyzd2setz12z82zzintegrate_infoz00(obj_t
		BgL_envz00_3043, obj_t BgL_oz00_3044, obj_t BgL_vz00_3045)
	{
		{	/* Integrate/iinfo.sch 243 */
			return
				BGl_sfunzf2Iinfozd2propertyzd2setz12ze0zzintegrate_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_3044), BgL_vz00_3045);
		}

	}



/* sfun/Iinfo-args-retescape */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Iinfozd2argszd2retescapezf2zzintegrate_infoz00(BgL_sfunz00_bglt
		BgL_oz00_196)
	{
		{	/* Integrate/iinfo.sch 244 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_196)))->BgL_argszd2retescapezd2);
		}

	}



/* &sfun/Iinfo-args-retescape */
	obj_t BGl_z62sfunzf2Iinfozd2argszd2retescapez90zzintegrate_infoz00(obj_t
		BgL_envz00_3046, obj_t BgL_oz00_3047)
	{
		{	/* Integrate/iinfo.sch 244 */
			return
				BGl_sfunzf2Iinfozd2argszd2retescapezf2zzintegrate_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_3047));
		}

	}



/* sfun/Iinfo-args-retescape-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Iinfozd2argszd2retescapezd2setz12z32zzintegrate_infoz00
		(BgL_sfunz00_bglt BgL_oz00_197, obj_t BgL_vz00_198)
	{
		{	/* Integrate/iinfo.sch 245 */
			return
				((((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt) BgL_oz00_197)))->BgL_argszd2retescapezd2) =
				((obj_t) BgL_vz00_198), BUNSPEC);
		}

	}



/* &sfun/Iinfo-args-retescape-set! */
	obj_t
		BGl_z62sfunzf2Iinfozd2argszd2retescapezd2setz12z50zzintegrate_infoz00(obj_t
		BgL_envz00_3048, obj_t BgL_oz00_3049, obj_t BgL_vz00_3050)
	{
		{	/* Integrate/iinfo.sch 245 */
			return
				BGl_sfunzf2Iinfozd2argszd2retescapezd2setz12z32zzintegrate_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_3049), BgL_vz00_3050);
		}

	}



/* sfun/Iinfo-args-noescape */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Iinfozd2argszd2noescapezf2zzintegrate_infoz00(BgL_sfunz00_bglt
		BgL_oz00_199)
	{
		{	/* Integrate/iinfo.sch 246 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_199)))->BgL_argszd2noescapezd2);
		}

	}



/* &sfun/Iinfo-args-noescape */
	obj_t BGl_z62sfunzf2Iinfozd2argszd2noescapez90zzintegrate_infoz00(obj_t
		BgL_envz00_3051, obj_t BgL_oz00_3052)
	{
		{	/* Integrate/iinfo.sch 246 */
			return
				BGl_sfunzf2Iinfozd2argszd2noescapezf2zzintegrate_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_3052));
		}

	}



/* sfun/Iinfo-args-noescape-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Iinfozd2argszd2noescapezd2setz12z32zzintegrate_infoz00
		(BgL_sfunz00_bglt BgL_oz00_200, obj_t BgL_vz00_201)
	{
		{	/* Integrate/iinfo.sch 247 */
			return
				((((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt) BgL_oz00_200)))->BgL_argszd2noescapezd2) =
				((obj_t) BgL_vz00_201), BUNSPEC);
		}

	}



/* &sfun/Iinfo-args-noescape-set! */
	obj_t
		BGl_z62sfunzf2Iinfozd2argszd2noescapezd2setz12z50zzintegrate_infoz00(obj_t
		BgL_envz00_3053, obj_t BgL_oz00_3054, obj_t BgL_vz00_3055)
	{
		{	/* Integrate/iinfo.sch 247 */
			return
				BGl_sfunzf2Iinfozd2argszd2noescapezd2setz12z32zzintegrate_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_3054), BgL_vz00_3055);
		}

	}



/* sfun/Iinfo-failsafe */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Iinfozd2failsafez20zzintegrate_infoz00(BgL_sfunz00_bglt
		BgL_oz00_202)
	{
		{	/* Integrate/iinfo.sch 248 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_202)))->BgL_failsafez00);
		}

	}



/* &sfun/Iinfo-failsafe */
	obj_t BGl_z62sfunzf2Iinfozd2failsafez42zzintegrate_infoz00(obj_t
		BgL_envz00_3056, obj_t BgL_oz00_3057)
	{
		{	/* Integrate/iinfo.sch 248 */
			return
				BGl_sfunzf2Iinfozd2failsafez20zzintegrate_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_3057));
		}

	}



/* sfun/Iinfo-failsafe-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Iinfozd2failsafezd2setz12ze0zzintegrate_infoz00(BgL_sfunz00_bglt
		BgL_oz00_203, obj_t BgL_vz00_204)
	{
		{	/* Integrate/iinfo.sch 249 */
			return
				((((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt) BgL_oz00_203)))->BgL_failsafez00) =
				((obj_t) BgL_vz00_204), BUNSPEC);
		}

	}



/* &sfun/Iinfo-failsafe-set! */
	obj_t BGl_z62sfunzf2Iinfozd2failsafezd2setz12z82zzintegrate_infoz00(obj_t
		BgL_envz00_3058, obj_t BgL_oz00_3059, obj_t BgL_vz00_3060)
	{
		{	/* Integrate/iinfo.sch 249 */
			return
				BGl_sfunzf2Iinfozd2failsafezd2setz12ze0zzintegrate_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_3059), BgL_vz00_3060);
		}

	}



/* sfun/Iinfo-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Iinfozd2effectz20zzintegrate_infoz00(BgL_sfunz00_bglt
		BgL_oz00_205)
	{
		{	/* Integrate/iinfo.sch 250 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_205)))->BgL_effectz00);
		}

	}



/* &sfun/Iinfo-effect */
	obj_t BGl_z62sfunzf2Iinfozd2effectz42zzintegrate_infoz00(obj_t
		BgL_envz00_3061, obj_t BgL_oz00_3062)
	{
		{	/* Integrate/iinfo.sch 250 */
			return
				BGl_sfunzf2Iinfozd2effectz20zzintegrate_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_3062));
		}

	}



/* sfun/Iinfo-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Iinfozd2effectzd2setz12ze0zzintegrate_infoz00(BgL_sfunz00_bglt
		BgL_oz00_206, obj_t BgL_vz00_207)
	{
		{	/* Integrate/iinfo.sch 251 */
			return
				((((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt) BgL_oz00_206)))->BgL_effectz00) =
				((obj_t) BgL_vz00_207), BUNSPEC);
		}

	}



/* &sfun/Iinfo-effect-set! */
	obj_t BGl_z62sfunzf2Iinfozd2effectzd2setz12z82zzintegrate_infoz00(obj_t
		BgL_envz00_3063, obj_t BgL_oz00_3064, obj_t BgL_vz00_3065)
	{
		{	/* Integrate/iinfo.sch 251 */
			return
				BGl_sfunzf2Iinfozd2effectzd2setz12ze0zzintegrate_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_3064), BgL_vz00_3065);
		}

	}



/* sfun/Iinfo-the-closure */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Iinfozd2thezd2closurezf2zzintegrate_infoz00(BgL_sfunz00_bglt
		BgL_oz00_208)
	{
		{	/* Integrate/iinfo.sch 252 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_208)))->BgL_thezd2closurezd2);
		}

	}



/* &sfun/Iinfo-the-closure */
	obj_t BGl_z62sfunzf2Iinfozd2thezd2closurez90zzintegrate_infoz00(obj_t
		BgL_envz00_3066, obj_t BgL_oz00_3067)
	{
		{	/* Integrate/iinfo.sch 252 */
			return
				BGl_sfunzf2Iinfozd2thezd2closurezf2zzintegrate_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_3067));
		}

	}



/* sfun/Iinfo-the-closure-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Iinfozd2thezd2closurezd2setz12z32zzintegrate_infoz00
		(BgL_sfunz00_bglt BgL_oz00_209, obj_t BgL_vz00_210)
	{
		{	/* Integrate/iinfo.sch 253 */
			return
				((((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt) BgL_oz00_209)))->BgL_thezd2closurezd2) =
				((obj_t) BgL_vz00_210), BUNSPEC);
		}

	}



/* &sfun/Iinfo-the-closure-set! */
	obj_t BGl_z62sfunzf2Iinfozd2thezd2closurezd2setz12z50zzintegrate_infoz00(obj_t
		BgL_envz00_3068, obj_t BgL_oz00_3069, obj_t BgL_vz00_3070)
	{
		{	/* Integrate/iinfo.sch 253 */
			return
				BGl_sfunzf2Iinfozd2thezd2closurezd2setz12z32zzintegrate_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_3069), BgL_vz00_3070);
		}

	}



/* sfun/Iinfo-top? */
	BGL_EXPORTED_DEF bool_t
		BGl_sfunzf2Iinfozd2topzf3zd3zzintegrate_infoz00(BgL_sfunz00_bglt
		BgL_oz00_211)
	{
		{	/* Integrate/iinfo.sch 254 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_211)))->BgL_topzf3zf3);
		}

	}



/* &sfun/Iinfo-top? */
	obj_t BGl_z62sfunzf2Iinfozd2topzf3zb1zzintegrate_infoz00(obj_t
		BgL_envz00_3071, obj_t BgL_oz00_3072)
	{
		{	/* Integrate/iinfo.sch 254 */
			return
				BBOOL(BGl_sfunzf2Iinfozd2topzf3zd3zzintegrate_infoz00(
					((BgL_sfunz00_bglt) BgL_oz00_3072)));
		}

	}



/* sfun/Iinfo-top?-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Iinfozd2topzf3zd2setz12z13zzintegrate_infoz00(BgL_sfunz00_bglt
		BgL_oz00_212, bool_t BgL_vz00_213)
	{
		{	/* Integrate/iinfo.sch 255 */
			return
				((((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt) BgL_oz00_212)))->BgL_topzf3zf3) =
				((bool_t) BgL_vz00_213), BUNSPEC);
		}

	}



/* &sfun/Iinfo-top?-set! */
	obj_t BGl_z62sfunzf2Iinfozd2topzf3zd2setz12z71zzintegrate_infoz00(obj_t
		BgL_envz00_3073, obj_t BgL_oz00_3074, obj_t BgL_vz00_3075)
	{
		{	/* Integrate/iinfo.sch 255 */
			return
				BGl_sfunzf2Iinfozd2topzf3zd2setz12z13zzintegrate_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_3074), CBOOL(BgL_vz00_3075));
		}

	}



/* sfun/Iinfo-stack-allocator */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Iinfozd2stackzd2allocatorzf2zzintegrate_infoz00(BgL_sfunz00_bglt
		BgL_oz00_214)
	{
		{	/* Integrate/iinfo.sch 256 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_214)))->BgL_stackzd2allocatorzd2);
		}

	}



/* &sfun/Iinfo-stack-allocator */
	obj_t BGl_z62sfunzf2Iinfozd2stackzd2allocatorz90zzintegrate_infoz00(obj_t
		BgL_envz00_3076, obj_t BgL_oz00_3077)
	{
		{	/* Integrate/iinfo.sch 256 */
			return
				BGl_sfunzf2Iinfozd2stackzd2allocatorzf2zzintegrate_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_3077));
		}

	}



/* sfun/Iinfo-stack-allocator-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Iinfozd2stackzd2allocatorzd2setz12z32zzintegrate_infoz00
		(BgL_sfunz00_bglt BgL_oz00_215, obj_t BgL_vz00_216)
	{
		{	/* Integrate/iinfo.sch 257 */
			return
				((((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt) BgL_oz00_215)))->BgL_stackzd2allocatorzd2) =
				((obj_t) BgL_vz00_216), BUNSPEC);
		}

	}



/* &sfun/Iinfo-stack-allocator-set! */
	obj_t
		BGl_z62sfunzf2Iinfozd2stackzd2allocatorzd2setz12z50zzintegrate_infoz00(obj_t
		BgL_envz00_3078, obj_t BgL_oz00_3079, obj_t BgL_vz00_3080)
	{
		{	/* Integrate/iinfo.sch 257 */
			return
				BGl_sfunzf2Iinfozd2stackzd2allocatorzd2setz12z32zzintegrate_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_3079), BgL_vz00_3080);
		}

	}



/* sfun/Iinfo-predicate-of */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Iinfozd2predicatezd2ofzf2zzintegrate_infoz00(BgL_sfunz00_bglt
		BgL_oz00_217)
	{
		{	/* Integrate/iinfo.sch 258 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_217)))->BgL_predicatezd2ofzd2);
		}

	}



/* &sfun/Iinfo-predicate-of */
	obj_t BGl_z62sfunzf2Iinfozd2predicatezd2ofz90zzintegrate_infoz00(obj_t
		BgL_envz00_3081, obj_t BgL_oz00_3082)
	{
		{	/* Integrate/iinfo.sch 258 */
			return
				BGl_sfunzf2Iinfozd2predicatezd2ofzf2zzintegrate_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_3082));
		}

	}



/* sfun/Iinfo-predicate-of-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Iinfozd2predicatezd2ofzd2setz12z32zzintegrate_infoz00
		(BgL_sfunz00_bglt BgL_oz00_218, obj_t BgL_vz00_219)
	{
		{	/* Integrate/iinfo.sch 259 */
			return
				((((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt) BgL_oz00_218)))->BgL_predicatezd2ofzd2) =
				((obj_t) BgL_vz00_219), BUNSPEC);
		}

	}



/* &sfun/Iinfo-predicate-of-set! */
	obj_t
		BGl_z62sfunzf2Iinfozd2predicatezd2ofzd2setz12z50zzintegrate_infoz00(obj_t
		BgL_envz00_3083, obj_t BgL_oz00_3084, obj_t BgL_vz00_3085)
	{
		{	/* Integrate/iinfo.sch 259 */
			return
				BGl_sfunzf2Iinfozd2predicatezd2ofzd2setz12z32zzintegrate_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_3084), BgL_vz00_3085);
		}

	}



/* sfun/Iinfo-side-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Iinfozd2sidezd2effectzf2zzintegrate_infoz00(BgL_sfunz00_bglt
		BgL_oz00_220)
	{
		{	/* Integrate/iinfo.sch 260 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_220)))->BgL_sidezd2effectzd2);
		}

	}



/* &sfun/Iinfo-side-effect */
	obj_t BGl_z62sfunzf2Iinfozd2sidezd2effectz90zzintegrate_infoz00(obj_t
		BgL_envz00_3086, obj_t BgL_oz00_3087)
	{
		{	/* Integrate/iinfo.sch 260 */
			return
				BGl_sfunzf2Iinfozd2sidezd2effectzf2zzintegrate_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_3087));
		}

	}



/* sfun/Iinfo-side-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzf2Iinfozd2sidezd2effectzd2setz12z32zzintegrate_infoz00
		(BgL_sfunz00_bglt BgL_oz00_221, obj_t BgL_vz00_222)
	{
		{	/* Integrate/iinfo.sch 261 */
			return
				((((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt) BgL_oz00_221)))->BgL_sidezd2effectzd2) =
				((obj_t) BgL_vz00_222), BUNSPEC);
		}

	}



/* &sfun/Iinfo-side-effect-set! */
	obj_t BGl_z62sfunzf2Iinfozd2sidezd2effectzd2setz12z50zzintegrate_infoz00(obj_t
		BgL_envz00_3088, obj_t BgL_oz00_3089, obj_t BgL_vz00_3090)
	{
		{	/* Integrate/iinfo.sch 261 */
			return
				BGl_sfunzf2Iinfozd2sidezd2effectzd2setz12z32zzintegrate_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_3089), BgL_vz00_3090);
		}

	}



/* sfun/Iinfo-arity */
	BGL_EXPORTED_DEF long
		BGl_sfunzf2Iinfozd2arityz20zzintegrate_infoz00(BgL_sfunz00_bglt
		BgL_oz00_223)
	{
		{	/* Integrate/iinfo.sch 262 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_223)))->BgL_arityz00);
		}

	}



/* &sfun/Iinfo-arity */
	obj_t BGl_z62sfunzf2Iinfozd2arityz42zzintegrate_infoz00(obj_t BgL_envz00_3091,
		obj_t BgL_oz00_3092)
	{
		{	/* Integrate/iinfo.sch 262 */
			return
				BINT(BGl_sfunzf2Iinfozd2arityz20zzintegrate_infoz00(
					((BgL_sfunz00_bglt) BgL_oz00_3092)));
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzintegrate_infoz00(void)
	{
		{	/* Integrate/iinfo.scm 15 */
			{	/* Integrate/iinfo.scm 23 */
				obj_t BgL_arg1359z00_1602;
				obj_t BgL_arg1360z00_1603;

				{	/* Integrate/iinfo.scm 23 */
					obj_t BgL_v1319z00_1630;

					BgL_v1319z00_1630 = create_vector(5L);
					{	/* Integrate/iinfo.scm 23 */
						obj_t BgL_arg1379z00_1631;

						BgL_arg1379z00_1631 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(0)), BGl_proc1995z00zzintegrate_infoz00,
							BGl_proc1994z00zzintegrate_infoz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc1993z00zzintegrate_infoz00,
							((obj_t) CNST_TABLE_REF(1)));
						VECTOR_SET(BgL_v1319z00_1630, 0L, BgL_arg1379z00_1631);
					}
					{	/* Integrate/iinfo.scm 23 */
						obj_t BgL_arg1388z00_1644;

						BgL_arg1388z00_1644 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(2)), BGl_proc1998z00zzintegrate_infoz00,
							BGl_proc1997z00zzintegrate_infoz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc1996z00zzintegrate_infoz00,
							((obj_t) CNST_TABLE_REF(1)));
						VECTOR_SET(BgL_v1319z00_1630, 1L, BgL_arg1388z00_1644);
					}
					{	/* Integrate/iinfo.scm 23 */
						obj_t BgL_arg1406z00_1657;

						BgL_arg1406z00_1657 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(3)), BGl_proc2001z00zzintegrate_infoz00,
							BGl_proc2000z00zzintegrate_infoz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc1999z00zzintegrate_infoz00,
							((obj_t) CNST_TABLE_REF(4)));
						VECTOR_SET(BgL_v1319z00_1630, 2L, BgL_arg1406z00_1657);
					}
					{	/* Integrate/iinfo.scm 23 */
						obj_t BgL_arg1446z00_1670;

						BgL_arg1446z00_1670 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(5)), BGl_proc2004z00zzintegrate_infoz00,
							BGl_proc2003z00zzintegrate_infoz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2002z00zzintegrate_infoz00,
							((obj_t) CNST_TABLE_REF(4)));
						VECTOR_SET(BgL_v1319z00_1630, 3L, BgL_arg1446z00_1670);
					}
					{	/* Integrate/iinfo.scm 23 */
						obj_t BgL_arg1484z00_1683;

						BgL_arg1484z00_1683 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(6)), BGl_proc2007z00zzintegrate_infoz00,
							BGl_proc2006z00zzintegrate_infoz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2005z00zzintegrate_infoz00,
							((obj_t) CNST_TABLE_REF(1)));
						VECTOR_SET(BgL_v1319z00_1630, 4L, BgL_arg1484z00_1683);
					}
					BgL_arg1359z00_1602 = BgL_v1319z00_1630;
				}
				{	/* Integrate/iinfo.scm 23 */
					obj_t BgL_v1320z00_1696;

					BgL_v1320z00_1696 = create_vector(0L);
					BgL_arg1360z00_1603 = BgL_v1320z00_1696;
				}
				BGl_svarzf2Iinfozf2zzintegrate_infoz00 =
					BGl_registerzd2classz12zc0zz__objectz00(
					((obj_t)
						CNST_TABLE_REF(7)),
					((obj_t)
						CNST_TABLE_REF(8)), BGl_svarz00zzast_varz00, 59340L,
					BGl_proc2011z00zzintegrate_infoz00,
					BGl_proc2010z00zzintegrate_infoz00, BFALSE,
					BGl_proc2009z00zzintegrate_infoz00,
					BGl_proc2008z00zzintegrate_infoz00, BgL_arg1359z00_1602,
					BgL_arg1360z00_1603);
			}
			{	/* Integrate/iinfo.scm 35 */
				obj_t BgL_arg1515z00_1705;
				obj_t BgL_arg1516z00_1706;

				{	/* Integrate/iinfo.scm 35 */
					obj_t BgL_v1321z00_1733;

					BgL_v1321z00_1733 = create_vector(4L);
					{	/* Integrate/iinfo.scm 35 */
						obj_t BgL_arg1554z00_1734;

						BgL_arg1554z00_1734 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(0)), BGl_proc2014z00zzintegrate_infoz00,
							BGl_proc2013z00zzintegrate_infoz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2012z00zzintegrate_infoz00,
							((obj_t) CNST_TABLE_REF(1)));
						VECTOR_SET(BgL_v1321z00_1733, 0L, BgL_arg1554z00_1734);
					}
					{	/* Integrate/iinfo.scm 35 */
						obj_t BgL_arg1578z00_1747;

						BgL_arg1578z00_1747 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(2)), BGl_proc2017z00zzintegrate_infoz00,
							BGl_proc2016z00zzintegrate_infoz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2015z00zzintegrate_infoz00,
							((obj_t) CNST_TABLE_REF(1)));
						VECTOR_SET(BgL_v1321z00_1733, 1L, BgL_arg1578z00_1747);
					}
					{	/* Integrate/iinfo.scm 35 */
						obj_t BgL_arg1592z00_1760;

						BgL_arg1592z00_1760 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(3)), BGl_proc2020z00zzintegrate_infoz00,
							BGl_proc2019z00zzintegrate_infoz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2018z00zzintegrate_infoz00,
							((obj_t) CNST_TABLE_REF(4)));
						VECTOR_SET(BgL_v1321z00_1733, 2L, BgL_arg1592z00_1760);
					}
					{	/* Integrate/iinfo.scm 35 */
						obj_t BgL_arg1611z00_1773;

						BgL_arg1611z00_1773 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(5)), BGl_proc2023z00zzintegrate_infoz00,
							BGl_proc2022z00zzintegrate_infoz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2021z00zzintegrate_infoz00,
							((obj_t) CNST_TABLE_REF(4)));
						VECTOR_SET(BgL_v1321z00_1733, 3L, BgL_arg1611z00_1773);
					}
					BgL_arg1515z00_1705 = BgL_v1321z00_1733;
				}
				{	/* Integrate/iinfo.scm 35 */
					obj_t BgL_v1322z00_1786;

					BgL_v1322z00_1786 = create_vector(0L);
					BgL_arg1516z00_1706 = BgL_v1322z00_1786;
				}
				BGl_sexitzf2Iinfozf2zzintegrate_infoz00 =
					BGl_registerzd2classz12zc0zz__objectz00(
					((obj_t)
						CNST_TABLE_REF(9)),
					((obj_t)
						CNST_TABLE_REF(8)), BGl_sexitz00zzast_varz00, 16223L,
					BGl_proc2027z00zzintegrate_infoz00,
					BGl_proc2026z00zzintegrate_infoz00, BFALSE,
					BGl_proc2025z00zzintegrate_infoz00,
					BGl_proc2024z00zzintegrate_infoz00, BgL_arg1515z00_1705,
					BgL_arg1516z00_1706);
			}
			{	/* Integrate/iinfo.scm 45 */
				obj_t BgL_arg1638z00_1795;
				obj_t BgL_arg1642z00_1796;

				{	/* Integrate/iinfo.scm 45 */
					obj_t BgL_v1323z00_1860;

					BgL_v1323z00_1860 = create_vector(21L);
					{	/* Integrate/iinfo.scm 45 */
						obj_t BgL_arg1663z00_1861;

						BgL_arg1663z00_1861 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(10)), BGl_proc2029z00zzintegrate_infoz00,
							BGl_proc2028z00zzintegrate_infoz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, ((obj_t) CNST_TABLE_REF(1)));
						VECTOR_SET(BgL_v1323z00_1860, 0L, BgL_arg1663z00_1861);
					}
					{	/* Integrate/iinfo.scm 45 */
						obj_t BgL_arg1677z00_1871;

						BgL_arg1677z00_1871 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(11)), BGl_proc2032z00zzintegrate_infoz00,
							BGl_proc2031z00zzintegrate_infoz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2030z00zzintegrate_infoz00,
							((obj_t) CNST_TABLE_REF(1)));
						VECTOR_SET(BgL_v1323z00_1860, 1L, BgL_arg1677z00_1871);
					}
					{	/* Integrate/iinfo.scm 45 */
						obj_t BgL_arg1691z00_1884;

						BgL_arg1691z00_1884 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(12)), BGl_proc2035z00zzintegrate_infoz00,
							BGl_proc2034z00zzintegrate_infoz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2033z00zzintegrate_infoz00,
							((obj_t) CNST_TABLE_REF(1)));
						VECTOR_SET(BgL_v1323z00_1860, 2L, BgL_arg1691z00_1884);
					}
					{	/* Integrate/iinfo.scm 45 */
						obj_t BgL_arg1699z00_1897;

						BgL_arg1699z00_1897 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(13)), BGl_proc2038z00zzintegrate_infoz00,
							BGl_proc2037z00zzintegrate_infoz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2036z00zzintegrate_infoz00,
							((obj_t) CNST_TABLE_REF(1)));
						VECTOR_SET(BgL_v1323z00_1860, 3L, BgL_arg1699z00_1897);
					}
					{	/* Integrate/iinfo.scm 45 */
						obj_t BgL_arg1720z00_1910;

						BgL_arg1720z00_1910 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(14)), BGl_proc2041z00zzintegrate_infoz00,
							BGl_proc2040z00zzintegrate_infoz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2039z00zzintegrate_infoz00,
							((obj_t) CNST_TABLE_REF(1)));
						VECTOR_SET(BgL_v1323z00_1860, 4L, BgL_arg1720z00_1910);
					}
					{	/* Integrate/iinfo.scm 45 */
						obj_t BgL_arg1746z00_1923;

						BgL_arg1746z00_1923 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(15)), BGl_proc2044z00zzintegrate_infoz00,
							BGl_proc2043z00zzintegrate_infoz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2042z00zzintegrate_infoz00,
							((obj_t) CNST_TABLE_REF(1)));
						VECTOR_SET(BgL_v1323z00_1860, 5L, BgL_arg1746z00_1923);
					}
					{	/* Integrate/iinfo.scm 45 */
						obj_t BgL_arg1763z00_1936;

						BgL_arg1763z00_1936 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(16)), BGl_proc2047z00zzintegrate_infoz00,
							BGl_proc2046z00zzintegrate_infoz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2045z00zzintegrate_infoz00,
							((obj_t) CNST_TABLE_REF(1)));
						VECTOR_SET(BgL_v1323z00_1860, 6L, BgL_arg1763z00_1936);
					}
					{	/* Integrate/iinfo.scm 45 */
						obj_t BgL_arg1776z00_1949;

						BgL_arg1776z00_1949 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(17)), BGl_proc2050z00zzintegrate_infoz00,
							BGl_proc2049z00zzintegrate_infoz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2048z00zzintegrate_infoz00,
							((obj_t) CNST_TABLE_REF(1)));
						VECTOR_SET(BgL_v1323z00_1860, 7L, BgL_arg1776z00_1949);
					}
					{	/* Integrate/iinfo.scm 45 */
						obj_t BgL_arg1789z00_1962;

						BgL_arg1789z00_1962 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(18)), BGl_proc2053z00zzintegrate_infoz00,
							BGl_proc2052z00zzintegrate_infoz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2051z00zzintegrate_infoz00,
							((obj_t) CNST_TABLE_REF(1)));
						VECTOR_SET(BgL_v1323z00_1860, 8L, BgL_arg1789z00_1962);
					}
					{	/* Integrate/iinfo.scm 45 */
						obj_t BgL_arg1801z00_1975;

						BgL_arg1801z00_1975 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(19)), BGl_proc2056z00zzintegrate_infoz00,
							BGl_proc2055z00zzintegrate_infoz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2054z00zzintegrate_infoz00,
							((obj_t) CNST_TABLE_REF(1)));
						VECTOR_SET(BgL_v1323z00_1860, 9L, BgL_arg1801z00_1975);
					}
					{	/* Integrate/iinfo.scm 45 */
						obj_t BgL_arg1810z00_1988;

						BgL_arg1810z00_1988 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(20)), BGl_proc2059z00zzintegrate_infoz00,
							BGl_proc2058z00zzintegrate_infoz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2057z00zzintegrate_infoz00,
							((obj_t) CNST_TABLE_REF(1)));
						VECTOR_SET(BgL_v1323z00_1860, 10L, BgL_arg1810z00_1988);
					}
					{	/* Integrate/iinfo.scm 45 */
						obj_t BgL_arg1822z00_2001;

						BgL_arg1822z00_2001 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(21)), BGl_proc2061z00zzintegrate_infoz00,
							BGl_proc2060z00zzintegrate_infoz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, ((obj_t) CNST_TABLE_REF(4)));
						VECTOR_SET(BgL_v1323z00_1860, 11L, BgL_arg1822z00_2001);
					}
					{	/* Integrate/iinfo.scm 45 */
						obj_t BgL_arg1834z00_2011;

						BgL_arg1834z00_2011 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(22)), BGl_proc2064z00zzintegrate_infoz00,
							BGl_proc2063z00zzintegrate_infoz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2062z00zzintegrate_infoz00,
							((obj_t) CNST_TABLE_REF(4)));
						VECTOR_SET(BgL_v1323z00_1860, 12L, BgL_arg1834z00_2011);
					}
					{	/* Integrate/iinfo.scm 45 */
						obj_t BgL_arg1851z00_2024;

						BgL_arg1851z00_2024 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(23)), BGl_proc2067z00zzintegrate_infoz00,
							BGl_proc2066z00zzintegrate_infoz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2065z00zzintegrate_infoz00,
							((obj_t) CNST_TABLE_REF(1)));
						VECTOR_SET(BgL_v1323z00_1860, 13L, BgL_arg1851z00_2024);
					}
					{	/* Integrate/iinfo.scm 45 */
						obj_t BgL_arg1865z00_2037;

						BgL_arg1865z00_2037 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(24)), BGl_proc2070z00zzintegrate_infoz00,
							BGl_proc2069z00zzintegrate_infoz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2068z00zzintegrate_infoz00,
							((obj_t) CNST_TABLE_REF(1)));
						VECTOR_SET(BgL_v1323z00_1860, 14L, BgL_arg1865z00_2037);
					}
					{	/* Integrate/iinfo.scm 45 */
						obj_t BgL_arg1882z00_2050;

						BgL_arg1882z00_2050 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(25)), BGl_proc2073z00zzintegrate_infoz00,
							BGl_proc2072z00zzintegrate_infoz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2071z00zzintegrate_infoz00,
							((obj_t) CNST_TABLE_REF(1)));
						VECTOR_SET(BgL_v1323z00_1860, 15L, BgL_arg1882z00_2050);
					}
					{	/* Integrate/iinfo.scm 45 */
						obj_t BgL_arg1890z00_2063;

						BgL_arg1890z00_2063 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(26)), BGl_proc2076z00zzintegrate_infoz00,
							BGl_proc2075z00zzintegrate_infoz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2074z00zzintegrate_infoz00,
							((obj_t) CNST_TABLE_REF(1)));
						VECTOR_SET(BgL_v1323z00_1860, 16L, BgL_arg1890z00_2063);
					}
					{	/* Integrate/iinfo.scm 45 */
						obj_t BgL_arg1897z00_2076;

						BgL_arg1897z00_2076 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(27)), BGl_proc2079z00zzintegrate_infoz00,
							BGl_proc2078z00zzintegrate_infoz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2077z00zzintegrate_infoz00,
							((obj_t) CNST_TABLE_REF(1)));
						VECTOR_SET(BgL_v1323z00_1860, 17L, BgL_arg1897z00_2076);
					}
					{	/* Integrate/iinfo.scm 45 */
						obj_t BgL_arg1904z00_2089;

						BgL_arg1904z00_2089 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(28)), BGl_proc2082z00zzintegrate_infoz00,
							BGl_proc2081z00zzintegrate_infoz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2080z00zzintegrate_infoz00,
							((obj_t) CNST_TABLE_REF(1)));
						VECTOR_SET(BgL_v1323z00_1860, 18L, BgL_arg1904z00_2089);
					}
					{	/* Integrate/iinfo.scm 45 */
						obj_t BgL_arg1911z00_2102;

						BgL_arg1911z00_2102 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(29)), BGl_proc2085z00zzintegrate_infoz00,
							BGl_proc2084z00zzintegrate_infoz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2083z00zzintegrate_infoz00,
							((obj_t) CNST_TABLE_REF(4)));
						VECTOR_SET(BgL_v1323z00_1860, 19L, BgL_arg1911z00_2102);
					}
					{	/* Integrate/iinfo.scm 45 */
						obj_t BgL_arg1919z00_2115;

						BgL_arg1919z00_2115 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(30)), BGl_proc2088z00zzintegrate_infoz00,
							BGl_proc2087z00zzintegrate_infoz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2086z00zzintegrate_infoz00,
							((obj_t) CNST_TABLE_REF(31)));
						VECTOR_SET(BgL_v1323z00_1860, 20L, BgL_arg1919z00_2115);
					}
					BgL_arg1638z00_1795 = BgL_v1323z00_1860;
				}
				{	/* Integrate/iinfo.scm 45 */
					obj_t BgL_v1324z00_2128;

					BgL_v1324z00_2128 = create_vector(0L);
					BgL_arg1642z00_1796 = BgL_v1324z00_2128;
				}
				return (BGl_sfunzf2Iinfozf2zzintegrate_infoz00 =
					BGl_registerzd2classz12zc0zz__objectz00(
						((obj_t)
							CNST_TABLE_REF(32)),
						((obj_t)
							CNST_TABLE_REF(8)), BGl_sfunz00zzast_varz00, 11418L,
						BGl_proc2092z00zzintegrate_infoz00,
						BGl_proc2091z00zzintegrate_infoz00, BFALSE,
						BGl_proc2090z00zzintegrate_infoz00,
						BGl_proc2089z00zzintegrate_infoz00, BgL_arg1638z00_1795,
						BgL_arg1642z00_1796), BUNSPEC);
			}
		}

	}



/* &lambda1655 */
	BgL_sfunz00_bglt BGl_z62lambda1655z62zzintegrate_infoz00(obj_t
		BgL_envz00_3193, obj_t BgL_o1174z00_3194)
	{
		{	/* Integrate/iinfo.scm 45 */
			{	/* Integrate/iinfo.scm 45 */
				long BgL_arg1656z00_3522;

				{	/* Integrate/iinfo.scm 45 */
					obj_t BgL_arg1657z00_3523;

					{	/* Integrate/iinfo.scm 45 */
						obj_t BgL_arg1660z00_3524;

						{	/* Integrate/iinfo.scm 45 */
							obj_t BgL_arg1866z00_3525;
							long BgL_arg1867z00_3526;

							BgL_arg1866z00_3525 = (BGl_za2classesza2z00zz__objectz00);
							{	/* Integrate/iinfo.scm 45 */
								long BgL_arg1869z00_3527;

								BgL_arg1869z00_3527 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_sfunz00_bglt) BgL_o1174z00_3194)));
								BgL_arg1867z00_3526 = (BgL_arg1869z00_3527 - OBJECT_TYPE);
							}
							BgL_arg1660z00_3524 =
								VECTOR_REF(BgL_arg1866z00_3525, BgL_arg1867z00_3526);
						}
						BgL_arg1657z00_3523 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg1660z00_3524);
					}
					{	/* Integrate/iinfo.scm 45 */
						obj_t BgL_tmpz00_5067;

						BgL_tmpz00_5067 = ((obj_t) BgL_arg1657z00_3523);
						BgL_arg1656z00_3522 = BGL_CLASS_NUM(BgL_tmpz00_5067);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_sfunz00_bglt) BgL_o1174z00_3194)), BgL_arg1656z00_3522);
			}
			{	/* Integrate/iinfo.scm 45 */
				BgL_objectz00_bglt BgL_tmpz00_5073;

				BgL_tmpz00_5073 =
					((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_o1174z00_3194));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5073, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_o1174z00_3194));
			return ((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt) BgL_o1174z00_3194));
		}

	}



/* &<@anonymous:1654> */
	obj_t BGl_z62zc3z04anonymousza31654ze3ze5zzintegrate_infoz00(obj_t
		BgL_envz00_3195, obj_t BgL_new1173z00_3196)
	{
		{	/* Integrate/iinfo.scm 45 */
			{
				BgL_sfunz00_bglt BgL_auxz00_5081;

				((((BgL_funz00_bglt) COBJECT(
								((BgL_funz00_bglt)
									((BgL_sfunz00_bglt) BgL_new1173z00_3196))))->BgL_arityz00) =
					((long) 0L), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1173z00_3196))))->BgL_sidezd2effectzd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1173z00_3196))))->BgL_predicatezd2ofzd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1173z00_3196))))->BgL_stackzd2allocatorzd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1173z00_3196))))->BgL_topzf3zf3) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1173z00_3196))))->BgL_thezd2closurezd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1173z00_3196))))->BgL_effectz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1173z00_3196))))->BgL_failsafez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1173z00_3196))))->BgL_argszd2noescapezd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1173z00_3196))))->BgL_argszd2retescapezd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1173z00_3196))))->BgL_propertyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1173z00_3196))))->BgL_argsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1173z00_3196))))->BgL_argszd2namezd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1173z00_3196))))->BgL_bodyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1173z00_3196))))->BgL_classz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1173z00_3196))))->BgL_dssslzd2keywordszd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1173z00_3196))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1173z00_3196))))->BgL_optionalsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1173z00_3196))))->BgL_keysz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1173z00_3196))))->BgL_thezd2closurezd2globalz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1173z00_3196))))->BgL_strengthz00) =
					((obj_t) ((obj_t) CNST_TABLE_REF(33))), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1173z00_3196))))->BgL_stackablez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_sfunzf2iinfozf2_bglt BgL_auxz00_5150;

					{
						obj_t BgL_auxz00_5151;

						{	/* Integrate/iinfo.scm 45 */
							BgL_objectz00_bglt BgL_tmpz00_5152;

							BgL_tmpz00_5152 =
								((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_new1173z00_3196));
							BgL_auxz00_5151 = BGL_OBJECT_WIDENING(BgL_tmpz00_5152);
						}
						BgL_auxz00_5150 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_5151);
					}
					((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_5150))->
							BgL_ownerz00) = ((obj_t) BUNSPEC), BUNSPEC);
				}
				{
					BgL_sfunzf2iinfozf2_bglt BgL_auxz00_5158;

					{
						obj_t BgL_auxz00_5159;

						{	/* Integrate/iinfo.scm 45 */
							BgL_objectz00_bglt BgL_tmpz00_5160;

							BgL_tmpz00_5160 =
								((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_new1173z00_3196));
							BgL_auxz00_5159 = BGL_OBJECT_WIDENING(BgL_tmpz00_5160);
						}
						BgL_auxz00_5158 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_5159);
					}
					((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_5158))->
							BgL_freez00) = ((obj_t) BUNSPEC), BUNSPEC);
				}
				{
					BgL_sfunzf2iinfozf2_bglt BgL_auxz00_5166;

					{
						obj_t BgL_auxz00_5167;

						{	/* Integrate/iinfo.scm 45 */
							BgL_objectz00_bglt BgL_tmpz00_5168;

							BgL_tmpz00_5168 =
								((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_new1173z00_3196));
							BgL_auxz00_5167 = BGL_OBJECT_WIDENING(BgL_tmpz00_5168);
						}
						BgL_auxz00_5166 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_5167);
					}
					((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_5166))->
							BgL_boundz00) = ((obj_t) BUNSPEC), BUNSPEC);
				}
				{
					BgL_sfunzf2iinfozf2_bglt BgL_auxz00_5174;

					{
						obj_t BgL_auxz00_5175;

						{	/* Integrate/iinfo.scm 45 */
							BgL_objectz00_bglt BgL_tmpz00_5176;

							BgL_tmpz00_5176 =
								((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_new1173z00_3196));
							BgL_auxz00_5175 = BGL_OBJECT_WIDENING(BgL_tmpz00_5176);
						}
						BgL_auxz00_5174 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_5175);
					}
					((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_5174))->
							BgL_cfromz00) = ((obj_t) BUNSPEC), BUNSPEC);
				}
				{
					BgL_sfunzf2iinfozf2_bglt BgL_auxz00_5182;

					{
						obj_t BgL_auxz00_5183;

						{	/* Integrate/iinfo.scm 45 */
							BgL_objectz00_bglt BgL_tmpz00_5184;

							BgL_tmpz00_5184 =
								((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_new1173z00_3196));
							BgL_auxz00_5183 = BGL_OBJECT_WIDENING(BgL_tmpz00_5184);
						}
						BgL_auxz00_5182 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_5183);
					}
					((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_5182))->BgL_ctoz00) =
						((obj_t) BUNSPEC), BUNSPEC);
				}
				{
					BgL_sfunzf2iinfozf2_bglt BgL_auxz00_5190;

					{
						obj_t BgL_auxz00_5191;

						{	/* Integrate/iinfo.scm 45 */
							BgL_objectz00_bglt BgL_tmpz00_5192;

							BgL_tmpz00_5192 =
								((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_new1173z00_3196));
							BgL_auxz00_5191 = BGL_OBJECT_WIDENING(BgL_tmpz00_5192);
						}
						BgL_auxz00_5190 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_5191);
					}
					((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_5190))->BgL_kz00) =
						((obj_t) BUNSPEC), BUNSPEC);
				}
				{
					BgL_sfunzf2iinfozf2_bglt BgL_auxz00_5198;

					{
						obj_t BgL_auxz00_5199;

						{	/* Integrate/iinfo.scm 45 */
							BgL_objectz00_bglt BgL_tmpz00_5200;

							BgL_tmpz00_5200 =
								((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_new1173z00_3196));
							BgL_auxz00_5199 = BGL_OBJECT_WIDENING(BgL_tmpz00_5200);
						}
						BgL_auxz00_5198 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_5199);
					}
					((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_5198))->
							BgL_kza2za2) = ((obj_t) BUNSPEC), BUNSPEC);
				}
				{
					BgL_sfunzf2iinfozf2_bglt BgL_auxz00_5206;

					{
						obj_t BgL_auxz00_5207;

						{	/* Integrate/iinfo.scm 45 */
							BgL_objectz00_bglt BgL_tmpz00_5208;

							BgL_tmpz00_5208 =
								((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_new1173z00_3196));
							BgL_auxz00_5207 = BGL_OBJECT_WIDENING(BgL_tmpz00_5208);
						}
						BgL_auxz00_5206 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_5207);
					}
					((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_5206))->BgL_uz00) =
						((obj_t) BUNSPEC), BUNSPEC);
				}
				{
					BgL_sfunzf2iinfozf2_bglt BgL_auxz00_5214;

					{
						obj_t BgL_auxz00_5215;

						{	/* Integrate/iinfo.scm 45 */
							BgL_objectz00_bglt BgL_tmpz00_5216;

							BgL_tmpz00_5216 =
								((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_new1173z00_3196));
							BgL_auxz00_5215 = BGL_OBJECT_WIDENING(BgL_tmpz00_5216);
						}
						BgL_auxz00_5214 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_5215);
					}
					((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_5214))->BgL_cnz00) =
						((obj_t) BUNSPEC), BUNSPEC);
				}
				{
					BgL_sfunzf2iinfozf2_bglt BgL_auxz00_5222;

					{
						obj_t BgL_auxz00_5223;

						{	/* Integrate/iinfo.scm 45 */
							BgL_objectz00_bglt BgL_tmpz00_5224;

							BgL_tmpz00_5224 =
								((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_new1173z00_3196));
							BgL_auxz00_5223 = BGL_OBJECT_WIDENING(BgL_tmpz00_5224);
						}
						BgL_auxz00_5222 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_5223);
					}
					((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_5222))->BgL_ctz00) =
						((obj_t) BUNSPEC), BUNSPEC);
				}
				{
					BgL_sfunzf2iinfozf2_bglt BgL_auxz00_5230;

					{
						obj_t BgL_auxz00_5231;

						{	/* Integrate/iinfo.scm 45 */
							BgL_objectz00_bglt BgL_tmpz00_5232;

							BgL_tmpz00_5232 =
								((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_new1173z00_3196));
							BgL_auxz00_5231 = BGL_OBJECT_WIDENING(BgL_tmpz00_5232);
						}
						BgL_auxz00_5230 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_5231);
					}
					((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_5230))->
							BgL_kontz00) = ((obj_t) BUNSPEC), BUNSPEC);
				}
				{
					BgL_sfunzf2iinfozf2_bglt BgL_auxz00_5238;

					{
						obj_t BgL_auxz00_5239;

						{	/* Integrate/iinfo.scm 45 */
							BgL_objectz00_bglt BgL_tmpz00_5240;

							BgL_tmpz00_5240 =
								((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_new1173z00_3196));
							BgL_auxz00_5239 = BGL_OBJECT_WIDENING(BgL_tmpz00_5240);
						}
						BgL_auxz00_5238 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_5239);
					}
					((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_5238))->
							BgL_gzf3zf3) = ((bool_t) ((bool_t) 0)), BUNSPEC);
				}
				{
					BgL_sfunzf2iinfozf2_bglt BgL_auxz00_5246;

					{
						obj_t BgL_auxz00_5247;

						{	/* Integrate/iinfo.scm 45 */
							BgL_objectz00_bglt BgL_tmpz00_5248;

							BgL_tmpz00_5248 =
								((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_new1173z00_3196));
							BgL_auxz00_5247 = BGL_OBJECT_WIDENING(BgL_tmpz00_5248);
						}
						BgL_auxz00_5246 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_5247);
					}
					((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_5246))->
							BgL_forcegzf3zf3) = ((bool_t) ((bool_t) 0)), BUNSPEC);
				}
				{
					BgL_sfunzf2iinfozf2_bglt BgL_auxz00_5254;

					{
						obj_t BgL_auxz00_5255;

						{	/* Integrate/iinfo.scm 45 */
							BgL_objectz00_bglt BgL_tmpz00_5256;

							BgL_tmpz00_5256 =
								((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_new1173z00_3196));
							BgL_auxz00_5255 = BGL_OBJECT_WIDENING(BgL_tmpz00_5256);
						}
						BgL_auxz00_5254 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_5255);
					}
					((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_5254))->BgL_lz00) =
						((obj_t) BUNSPEC), BUNSPEC);
				}
				{
					BgL_sfunzf2iinfozf2_bglt BgL_auxz00_5262;

					{
						obj_t BgL_auxz00_5263;

						{	/* Integrate/iinfo.scm 45 */
							BgL_objectz00_bglt BgL_tmpz00_5264;

							BgL_tmpz00_5264 =
								((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_new1173z00_3196));
							BgL_auxz00_5263 = BGL_OBJECT_WIDENING(BgL_tmpz00_5264);
						}
						BgL_auxz00_5262 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_5263);
					}
					((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_5262))->BgL_ledz00) =
						((obj_t) BUNSPEC), BUNSPEC);
				}
				{
					BgL_sfunzf2iinfozf2_bglt BgL_auxz00_5270;

					{
						obj_t BgL_auxz00_5271;

						{	/* Integrate/iinfo.scm 45 */
							BgL_objectz00_bglt BgL_tmpz00_5272;

							BgL_tmpz00_5272 =
								((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_new1173z00_3196));
							BgL_auxz00_5271 = BGL_OBJECT_WIDENING(BgL_tmpz00_5272);
						}
						BgL_auxz00_5270 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_5271);
					}
					((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_5270))->
							BgL_istampz00) = ((obj_t) BUNSPEC), BUNSPEC);
				}
				{
					BgL_sfunzf2iinfozf2_bglt BgL_auxz00_5278;

					{
						obj_t BgL_auxz00_5279;

						{	/* Integrate/iinfo.scm 45 */
							BgL_objectz00_bglt BgL_tmpz00_5280;

							BgL_tmpz00_5280 =
								((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_new1173z00_3196));
							BgL_auxz00_5279 = BGL_OBJECT_WIDENING(BgL_tmpz00_5280);
						}
						BgL_auxz00_5278 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_5279);
					}
					((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_5278))->
							BgL_globalz00) = ((obj_t) BUNSPEC), BUNSPEC);
				}
				{
					BgL_sfunzf2iinfozf2_bglt BgL_auxz00_5286;

					{
						obj_t BgL_auxz00_5287;

						{	/* Integrate/iinfo.scm 45 */
							BgL_objectz00_bglt BgL_tmpz00_5288;

							BgL_tmpz00_5288 =
								((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_new1173z00_3196));
							BgL_auxz00_5287 = BGL_OBJECT_WIDENING(BgL_tmpz00_5288);
						}
						BgL_auxz00_5286 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_5287);
					}
					((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_5286))->
							BgL_kapturedz00) = ((obj_t) BUNSPEC), BUNSPEC);
				}
				{
					BgL_sfunzf2iinfozf2_bglt BgL_auxz00_5294;

					{
						obj_t BgL_auxz00_5295;

						{	/* Integrate/iinfo.scm 45 */
							BgL_objectz00_bglt BgL_tmpz00_5296;

							BgL_tmpz00_5296 =
								((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_new1173z00_3196));
							BgL_auxz00_5295 = BGL_OBJECT_WIDENING(BgL_tmpz00_5296);
						}
						BgL_auxz00_5294 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_5295);
					}
					((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_5294))->
							BgL_tailzd2coercionzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				}
				{
					BgL_sfunzf2iinfozf2_bglt BgL_auxz00_5302;

					{
						obj_t BgL_auxz00_5303;

						{	/* Integrate/iinfo.scm 45 */
							BgL_objectz00_bglt BgL_tmpz00_5304;

							BgL_tmpz00_5304 =
								((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_new1173z00_3196));
							BgL_auxz00_5303 = BGL_OBJECT_WIDENING(BgL_tmpz00_5304);
						}
						BgL_auxz00_5302 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_5303);
					}
					((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_5302))->
							BgL_xhdlzf3zf3) = ((bool_t) ((bool_t) 0)), BUNSPEC);
				}
				{
					BgL_sfunzf2iinfozf2_bglt BgL_auxz00_5310;

					{
						obj_t BgL_auxz00_5311;

						{	/* Integrate/iinfo.scm 45 */
							BgL_objectz00_bglt BgL_tmpz00_5312;

							BgL_tmpz00_5312 =
								((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_new1173z00_3196));
							BgL_auxz00_5311 = BGL_OBJECT_WIDENING(BgL_tmpz00_5312);
						}
						BgL_auxz00_5310 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_5311);
					}
					((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_5310))->
							BgL_xhdlsz00) = ((obj_t) BNIL), BUNSPEC);
				}
				BgL_auxz00_5081 = ((BgL_sfunz00_bglt) BgL_new1173z00_3196);
				return ((obj_t) BgL_auxz00_5081);
			}
		}

	}



/* &lambda1650 */
	BgL_sfunz00_bglt BGl_z62lambda1650z62zzintegrate_infoz00(obj_t
		BgL_envz00_3197, obj_t BgL_o1170z00_3198)
	{
		{	/* Integrate/iinfo.scm 45 */
			{	/* Integrate/iinfo.scm 45 */
				BgL_sfunzf2iinfozf2_bglt BgL_wide1172z00_3530;

				BgL_wide1172z00_3530 =
					((BgL_sfunzf2iinfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_sfunzf2iinfozf2_bgl))));
				{	/* Integrate/iinfo.scm 45 */
					obj_t BgL_auxz00_5325;
					BgL_objectz00_bglt BgL_tmpz00_5321;

					BgL_auxz00_5325 = ((obj_t) BgL_wide1172z00_3530);
					BgL_tmpz00_5321 =
						((BgL_objectz00_bglt)
						((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt) BgL_o1170z00_3198)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5321, BgL_auxz00_5325);
				}
				((BgL_objectz00_bglt)
					((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt) BgL_o1170z00_3198)));
				{	/* Integrate/iinfo.scm 45 */
					long BgL_arg1653z00_3531;

					BgL_arg1653z00_3531 =
						BGL_CLASS_NUM(BGl_sfunzf2Iinfozf2zzintegrate_infoz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_sfunz00_bglt)
								((BgL_sfunz00_bglt) BgL_o1170z00_3198))), BgL_arg1653z00_3531);
				}
				return
					((BgL_sfunz00_bglt)
					((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt) BgL_o1170z00_3198)));
			}
		}

	}



/* &lambda1643 */
	BgL_sfunz00_bglt BGl_z62lambda1643z62zzintegrate_infoz00(obj_t
		BgL_envz00_3199, obj_t BgL_arity1127z00_3200,
		obj_t BgL_sidezd2effect1128zd2_3201, obj_t BgL_predicatezd2of1129zd2_3202,
		obj_t BgL_stackzd2allocator1130zd2_3203, obj_t BgL_topzf31131zf3_3204,
		obj_t BgL_thezd2closure1132zd2_3205, obj_t BgL_effect1133z00_3206,
		obj_t BgL_failsafe1134z00_3207, obj_t BgL_argszd2noescape1135zd2_3208,
		obj_t BgL_argszd2retescape1136zd2_3209, obj_t BgL_property1137z00_3210,
		obj_t BgL_args1138z00_3211, obj_t BgL_argszd2name1139zd2_3212,
		obj_t BgL_body1140z00_3213, obj_t BgL_class1141z00_3214,
		obj_t BgL_dssslzd2keywords1142zd2_3215, obj_t BgL_loc1143z00_3216,
		obj_t BgL_optionals1144z00_3217, obj_t BgL_keys1145z00_3218,
		obj_t BgL_thezd2closurezd2global1146z00_3219,
		obj_t BgL_strength1147z00_3220, obj_t BgL_stackable1148z00_3221,
		obj_t BgL_owner1149z00_3222, obj_t BgL_free1150z00_3223,
		obj_t BgL_bound1151z00_3224, obj_t BgL_cfrom1152z00_3225,
		obj_t BgL_cto1153z00_3226, obj_t BgL_k1154z00_3227,
		obj_t BgL_kza21155za2_3228, obj_t BgL_u1156z00_3229,
		obj_t BgL_cn1157z00_3230, obj_t BgL_ct1158z00_3231,
		obj_t BgL_kont1159z00_3232, obj_t BgL_gzf31160zf3_3233,
		obj_t BgL_forcegzf31161zf3_3234, obj_t BgL_l1162z00_3235,
		obj_t BgL_led1163z00_3236, obj_t BgL_istamp1164z00_3237,
		obj_t BgL_global1165z00_3238, obj_t BgL_kaptured1166z00_3239,
		obj_t BgL_tailzd2coercion1167zd2_3240, obj_t BgL_xhdlzf31168zf3_3241,
		obj_t BgL_xhdls1169z00_3242)
	{
		{	/* Integrate/iinfo.scm 45 */
			{	/* Integrate/iinfo.scm 45 */
				long BgL_arity1127z00_3532;
				bool_t BgL_topzf31131zf3_3533;
				bool_t BgL_gzf31160zf3_3535;
				bool_t BgL_forcegzf31161zf3_3536;
				bool_t BgL_xhdlzf31168zf3_3537;

				BgL_arity1127z00_3532 = (long) CINT(BgL_arity1127z00_3200);
				BgL_topzf31131zf3_3533 = CBOOL(BgL_topzf31131zf3_3204);
				BgL_gzf31160zf3_3535 = CBOOL(BgL_gzf31160zf3_3233);
				BgL_forcegzf31161zf3_3536 = CBOOL(BgL_forcegzf31161zf3_3234);
				BgL_xhdlzf31168zf3_3537 = CBOOL(BgL_xhdlzf31168zf3_3241);
				{	/* Integrate/iinfo.scm 45 */
					BgL_sfunz00_bglt BgL_new1201z00_3539;

					{	/* Integrate/iinfo.scm 45 */
						BgL_sfunz00_bglt BgL_tmp1199z00_3540;
						BgL_sfunzf2iinfozf2_bglt BgL_wide1200z00_3541;

						{
							BgL_sfunz00_bglt BgL_auxz00_5344;

							{	/* Integrate/iinfo.scm 45 */
								BgL_sfunz00_bglt BgL_new1198z00_3542;

								BgL_new1198z00_3542 =
									((BgL_sfunz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_sfunz00_bgl))));
								{	/* Integrate/iinfo.scm 45 */
									long BgL_arg1649z00_3543;

									BgL_arg1649z00_3543 = BGL_CLASS_NUM(BGl_sfunz00zzast_varz00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1198z00_3542),
										BgL_arg1649z00_3543);
								}
								{	/* Integrate/iinfo.scm 45 */
									BgL_objectz00_bglt BgL_tmpz00_5349;

									BgL_tmpz00_5349 = ((BgL_objectz00_bglt) BgL_new1198z00_3542);
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5349, BFALSE);
								}
								((BgL_objectz00_bglt) BgL_new1198z00_3542);
								BgL_auxz00_5344 = BgL_new1198z00_3542;
							}
							BgL_tmp1199z00_3540 = ((BgL_sfunz00_bglt) BgL_auxz00_5344);
						}
						BgL_wide1200z00_3541 =
							((BgL_sfunzf2iinfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_sfunzf2iinfozf2_bgl))));
						{	/* Integrate/iinfo.scm 45 */
							obj_t BgL_auxz00_5357;
							BgL_objectz00_bglt BgL_tmpz00_5355;

							BgL_auxz00_5357 = ((obj_t) BgL_wide1200z00_3541);
							BgL_tmpz00_5355 = ((BgL_objectz00_bglt) BgL_tmp1199z00_3540);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5355, BgL_auxz00_5357);
						}
						((BgL_objectz00_bglt) BgL_tmp1199z00_3540);
						{	/* Integrate/iinfo.scm 45 */
							long BgL_arg1648z00_3544;

							BgL_arg1648z00_3544 =
								BGL_CLASS_NUM(BGl_sfunzf2Iinfozf2zzintegrate_infoz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_tmp1199z00_3540),
								BgL_arg1648z00_3544);
						}
						BgL_new1201z00_3539 = ((BgL_sfunz00_bglt) BgL_tmp1199z00_3540);
					}
					((((BgL_funz00_bglt) COBJECT(
									((BgL_funz00_bglt) BgL_new1201z00_3539)))->BgL_arityz00) =
						((long) BgL_arity1127z00_3532), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
										BgL_new1201z00_3539)))->BgL_sidezd2effectzd2) =
						((obj_t) BgL_sidezd2effect1128zd2_3201), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
										BgL_new1201z00_3539)))->BgL_predicatezd2ofzd2) =
						((obj_t) BgL_predicatezd2of1129zd2_3202), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
										BgL_new1201z00_3539)))->BgL_stackzd2allocatorzd2) =
						((obj_t) BgL_stackzd2allocator1130zd2_3203), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
										BgL_new1201z00_3539)))->BgL_topzf3zf3) =
						((bool_t) BgL_topzf31131zf3_3533), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
										BgL_new1201z00_3539)))->BgL_thezd2closurezd2) =
						((obj_t) BgL_thezd2closure1132zd2_3205), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
										BgL_new1201z00_3539)))->BgL_effectz00) =
						((obj_t) BgL_effect1133z00_3206), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
										BgL_new1201z00_3539)))->BgL_failsafez00) =
						((obj_t) BgL_failsafe1134z00_3207), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
										BgL_new1201z00_3539)))->BgL_argszd2noescapezd2) =
						((obj_t) BgL_argszd2noescape1135zd2_3208), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
										BgL_new1201z00_3539)))->BgL_argszd2retescapezd2) =
						((obj_t) BgL_argszd2retescape1136zd2_3209), BUNSPEC);
					((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
										BgL_new1201z00_3539)))->BgL_propertyz00) =
						((obj_t) BgL_property1137z00_3210), BUNSPEC);
					((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
										BgL_new1201z00_3539)))->BgL_argsz00) =
						((obj_t) BgL_args1138z00_3211), BUNSPEC);
					((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
										BgL_new1201z00_3539)))->BgL_argszd2namezd2) =
						((obj_t) BgL_argszd2name1139zd2_3212), BUNSPEC);
					((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
										BgL_new1201z00_3539)))->BgL_bodyz00) =
						((obj_t) BgL_body1140z00_3213), BUNSPEC);
					((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
										BgL_new1201z00_3539)))->BgL_classz00) =
						((obj_t) BgL_class1141z00_3214), BUNSPEC);
					((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
										BgL_new1201z00_3539)))->BgL_dssslzd2keywordszd2) =
						((obj_t) BgL_dssslzd2keywords1142zd2_3215), BUNSPEC);
					((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
										BgL_new1201z00_3539)))->BgL_locz00) =
						((obj_t) BgL_loc1143z00_3216), BUNSPEC);
					((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
										BgL_new1201z00_3539)))->BgL_optionalsz00) =
						((obj_t) BgL_optionals1144z00_3217), BUNSPEC);
					((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
										BgL_new1201z00_3539)))->BgL_keysz00) =
						((obj_t) BgL_keys1145z00_3218), BUNSPEC);
					((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
										BgL_new1201z00_3539)))->BgL_thezd2closurezd2globalz00) =
						((obj_t) BgL_thezd2closurezd2global1146z00_3219), BUNSPEC);
					((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
										BgL_new1201z00_3539)))->BgL_strengthz00) =
						((obj_t) ((obj_t) BgL_strength1147z00_3220)), BUNSPEC);
					((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
										BgL_new1201z00_3539)))->BgL_stackablez00) =
						((obj_t) BgL_stackable1148z00_3221), BUNSPEC);
					{
						BgL_sfunzf2iinfozf2_bglt BgL_auxz00_5410;

						{
							obj_t BgL_auxz00_5411;

							{	/* Integrate/iinfo.scm 45 */
								BgL_objectz00_bglt BgL_tmpz00_5412;

								BgL_tmpz00_5412 = ((BgL_objectz00_bglt) BgL_new1201z00_3539);
								BgL_auxz00_5411 = BGL_OBJECT_WIDENING(BgL_tmpz00_5412);
							}
							BgL_auxz00_5410 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_5411);
						}
						((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_5410))->
								BgL_ownerz00) = ((obj_t) BgL_owner1149z00_3222), BUNSPEC);
					}
					{
						BgL_sfunzf2iinfozf2_bglt BgL_auxz00_5417;

						{
							obj_t BgL_auxz00_5418;

							{	/* Integrate/iinfo.scm 45 */
								BgL_objectz00_bglt BgL_tmpz00_5419;

								BgL_tmpz00_5419 = ((BgL_objectz00_bglt) BgL_new1201z00_3539);
								BgL_auxz00_5418 = BGL_OBJECT_WIDENING(BgL_tmpz00_5419);
							}
							BgL_auxz00_5417 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_5418);
						}
						((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_5417))->
								BgL_freez00) = ((obj_t) BgL_free1150z00_3223), BUNSPEC);
					}
					{
						BgL_sfunzf2iinfozf2_bglt BgL_auxz00_5424;

						{
							obj_t BgL_auxz00_5425;

							{	/* Integrate/iinfo.scm 45 */
								BgL_objectz00_bglt BgL_tmpz00_5426;

								BgL_tmpz00_5426 = ((BgL_objectz00_bglt) BgL_new1201z00_3539);
								BgL_auxz00_5425 = BGL_OBJECT_WIDENING(BgL_tmpz00_5426);
							}
							BgL_auxz00_5424 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_5425);
						}
						((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_5424))->
								BgL_boundz00) = ((obj_t) BgL_bound1151z00_3224), BUNSPEC);
					}
					{
						BgL_sfunzf2iinfozf2_bglt BgL_auxz00_5431;

						{
							obj_t BgL_auxz00_5432;

							{	/* Integrate/iinfo.scm 45 */
								BgL_objectz00_bglt BgL_tmpz00_5433;

								BgL_tmpz00_5433 = ((BgL_objectz00_bglt) BgL_new1201z00_3539);
								BgL_auxz00_5432 = BGL_OBJECT_WIDENING(BgL_tmpz00_5433);
							}
							BgL_auxz00_5431 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_5432);
						}
						((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_5431))->
								BgL_cfromz00) = ((obj_t) BgL_cfrom1152z00_3225), BUNSPEC);
					}
					{
						BgL_sfunzf2iinfozf2_bglt BgL_auxz00_5438;

						{
							obj_t BgL_auxz00_5439;

							{	/* Integrate/iinfo.scm 45 */
								BgL_objectz00_bglt BgL_tmpz00_5440;

								BgL_tmpz00_5440 = ((BgL_objectz00_bglt) BgL_new1201z00_3539);
								BgL_auxz00_5439 = BGL_OBJECT_WIDENING(BgL_tmpz00_5440);
							}
							BgL_auxz00_5438 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_5439);
						}
						((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_5438))->
								BgL_ctoz00) = ((obj_t) BgL_cto1153z00_3226), BUNSPEC);
					}
					{
						BgL_sfunzf2iinfozf2_bglt BgL_auxz00_5445;

						{
							obj_t BgL_auxz00_5446;

							{	/* Integrate/iinfo.scm 45 */
								BgL_objectz00_bglt BgL_tmpz00_5447;

								BgL_tmpz00_5447 = ((BgL_objectz00_bglt) BgL_new1201z00_3539);
								BgL_auxz00_5446 = BGL_OBJECT_WIDENING(BgL_tmpz00_5447);
							}
							BgL_auxz00_5445 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_5446);
						}
						((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_5445))->BgL_kz00) =
							((obj_t) BgL_k1154z00_3227), BUNSPEC);
					}
					{
						BgL_sfunzf2iinfozf2_bglt BgL_auxz00_5452;

						{
							obj_t BgL_auxz00_5453;

							{	/* Integrate/iinfo.scm 45 */
								BgL_objectz00_bglt BgL_tmpz00_5454;

								BgL_tmpz00_5454 = ((BgL_objectz00_bglt) BgL_new1201z00_3539);
								BgL_auxz00_5453 = BGL_OBJECT_WIDENING(BgL_tmpz00_5454);
							}
							BgL_auxz00_5452 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_5453);
						}
						((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_5452))->
								BgL_kza2za2) = ((obj_t) BgL_kza21155za2_3228), BUNSPEC);
					}
					{
						BgL_sfunzf2iinfozf2_bglt BgL_auxz00_5459;

						{
							obj_t BgL_auxz00_5460;

							{	/* Integrate/iinfo.scm 45 */
								BgL_objectz00_bglt BgL_tmpz00_5461;

								BgL_tmpz00_5461 = ((BgL_objectz00_bglt) BgL_new1201z00_3539);
								BgL_auxz00_5460 = BGL_OBJECT_WIDENING(BgL_tmpz00_5461);
							}
							BgL_auxz00_5459 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_5460);
						}
						((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_5459))->BgL_uz00) =
							((obj_t) BgL_u1156z00_3229), BUNSPEC);
					}
					{
						BgL_sfunzf2iinfozf2_bglt BgL_auxz00_5466;

						{
							obj_t BgL_auxz00_5467;

							{	/* Integrate/iinfo.scm 45 */
								BgL_objectz00_bglt BgL_tmpz00_5468;

								BgL_tmpz00_5468 = ((BgL_objectz00_bglt) BgL_new1201z00_3539);
								BgL_auxz00_5467 = BGL_OBJECT_WIDENING(BgL_tmpz00_5468);
							}
							BgL_auxz00_5466 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_5467);
						}
						((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_5466))->
								BgL_cnz00) = ((obj_t) BgL_cn1157z00_3230), BUNSPEC);
					}
					{
						BgL_sfunzf2iinfozf2_bglt BgL_auxz00_5473;

						{
							obj_t BgL_auxz00_5474;

							{	/* Integrate/iinfo.scm 45 */
								BgL_objectz00_bglt BgL_tmpz00_5475;

								BgL_tmpz00_5475 = ((BgL_objectz00_bglt) BgL_new1201z00_3539);
								BgL_auxz00_5474 = BGL_OBJECT_WIDENING(BgL_tmpz00_5475);
							}
							BgL_auxz00_5473 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_5474);
						}
						((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_5473))->
								BgL_ctz00) = ((obj_t) BgL_ct1158z00_3231), BUNSPEC);
					}
					{
						BgL_sfunzf2iinfozf2_bglt BgL_auxz00_5480;

						{
							obj_t BgL_auxz00_5481;

							{	/* Integrate/iinfo.scm 45 */
								BgL_objectz00_bglt BgL_tmpz00_5482;

								BgL_tmpz00_5482 = ((BgL_objectz00_bglt) BgL_new1201z00_3539);
								BgL_auxz00_5481 = BGL_OBJECT_WIDENING(BgL_tmpz00_5482);
							}
							BgL_auxz00_5480 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_5481);
						}
						((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_5480))->
								BgL_kontz00) = ((obj_t) BgL_kont1159z00_3232), BUNSPEC);
					}
					{
						BgL_sfunzf2iinfozf2_bglt BgL_auxz00_5487;

						{
							obj_t BgL_auxz00_5488;

							{	/* Integrate/iinfo.scm 45 */
								BgL_objectz00_bglt BgL_tmpz00_5489;

								BgL_tmpz00_5489 = ((BgL_objectz00_bglt) BgL_new1201z00_3539);
								BgL_auxz00_5488 = BGL_OBJECT_WIDENING(BgL_tmpz00_5489);
							}
							BgL_auxz00_5487 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_5488);
						}
						((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_5487))->
								BgL_gzf3zf3) = ((bool_t) BgL_gzf31160zf3_3535), BUNSPEC);
					}
					{
						BgL_sfunzf2iinfozf2_bglt BgL_auxz00_5494;

						{
							obj_t BgL_auxz00_5495;

							{	/* Integrate/iinfo.scm 45 */
								BgL_objectz00_bglt BgL_tmpz00_5496;

								BgL_tmpz00_5496 = ((BgL_objectz00_bglt) BgL_new1201z00_3539);
								BgL_auxz00_5495 = BGL_OBJECT_WIDENING(BgL_tmpz00_5496);
							}
							BgL_auxz00_5494 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_5495);
						}
						((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_5494))->
								BgL_forcegzf3zf3) =
							((bool_t) BgL_forcegzf31161zf3_3536), BUNSPEC);
					}
					{
						BgL_sfunzf2iinfozf2_bglt BgL_auxz00_5501;

						{
							obj_t BgL_auxz00_5502;

							{	/* Integrate/iinfo.scm 45 */
								BgL_objectz00_bglt BgL_tmpz00_5503;

								BgL_tmpz00_5503 = ((BgL_objectz00_bglt) BgL_new1201z00_3539);
								BgL_auxz00_5502 = BGL_OBJECT_WIDENING(BgL_tmpz00_5503);
							}
							BgL_auxz00_5501 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_5502);
						}
						((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_5501))->BgL_lz00) =
							((obj_t) BgL_l1162z00_3235), BUNSPEC);
					}
					{
						BgL_sfunzf2iinfozf2_bglt BgL_auxz00_5508;

						{
							obj_t BgL_auxz00_5509;

							{	/* Integrate/iinfo.scm 45 */
								BgL_objectz00_bglt BgL_tmpz00_5510;

								BgL_tmpz00_5510 = ((BgL_objectz00_bglt) BgL_new1201z00_3539);
								BgL_auxz00_5509 = BGL_OBJECT_WIDENING(BgL_tmpz00_5510);
							}
							BgL_auxz00_5508 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_5509);
						}
						((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_5508))->
								BgL_ledz00) = ((obj_t) BgL_led1163z00_3236), BUNSPEC);
					}
					{
						BgL_sfunzf2iinfozf2_bglt BgL_auxz00_5515;

						{
							obj_t BgL_auxz00_5516;

							{	/* Integrate/iinfo.scm 45 */
								BgL_objectz00_bglt BgL_tmpz00_5517;

								BgL_tmpz00_5517 = ((BgL_objectz00_bglt) BgL_new1201z00_3539);
								BgL_auxz00_5516 = BGL_OBJECT_WIDENING(BgL_tmpz00_5517);
							}
							BgL_auxz00_5515 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_5516);
						}
						((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_5515))->
								BgL_istampz00) = ((obj_t) BgL_istamp1164z00_3237), BUNSPEC);
					}
					{
						BgL_sfunzf2iinfozf2_bglt BgL_auxz00_5522;

						{
							obj_t BgL_auxz00_5523;

							{	/* Integrate/iinfo.scm 45 */
								BgL_objectz00_bglt BgL_tmpz00_5524;

								BgL_tmpz00_5524 = ((BgL_objectz00_bglt) BgL_new1201z00_3539);
								BgL_auxz00_5523 = BGL_OBJECT_WIDENING(BgL_tmpz00_5524);
							}
							BgL_auxz00_5522 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_5523);
						}
						((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_5522))->
								BgL_globalz00) = ((obj_t) BgL_global1165z00_3238), BUNSPEC);
					}
					{
						BgL_sfunzf2iinfozf2_bglt BgL_auxz00_5529;

						{
							obj_t BgL_auxz00_5530;

							{	/* Integrate/iinfo.scm 45 */
								BgL_objectz00_bglt BgL_tmpz00_5531;

								BgL_tmpz00_5531 = ((BgL_objectz00_bglt) BgL_new1201z00_3539);
								BgL_auxz00_5530 = BGL_OBJECT_WIDENING(BgL_tmpz00_5531);
							}
							BgL_auxz00_5529 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_5530);
						}
						((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_5529))->
								BgL_kapturedz00) = ((obj_t) BgL_kaptured1166z00_3239), BUNSPEC);
					}
					{
						BgL_sfunzf2iinfozf2_bglt BgL_auxz00_5536;

						{
							obj_t BgL_auxz00_5537;

							{	/* Integrate/iinfo.scm 45 */
								BgL_objectz00_bglt BgL_tmpz00_5538;

								BgL_tmpz00_5538 = ((BgL_objectz00_bglt) BgL_new1201z00_3539);
								BgL_auxz00_5537 = BGL_OBJECT_WIDENING(BgL_tmpz00_5538);
							}
							BgL_auxz00_5536 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_5537);
						}
						((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_5536))->
								BgL_tailzd2coercionzd2) =
							((obj_t) BgL_tailzd2coercion1167zd2_3240), BUNSPEC);
					}
					{
						BgL_sfunzf2iinfozf2_bglt BgL_auxz00_5543;

						{
							obj_t BgL_auxz00_5544;

							{	/* Integrate/iinfo.scm 45 */
								BgL_objectz00_bglt BgL_tmpz00_5545;

								BgL_tmpz00_5545 = ((BgL_objectz00_bglt) BgL_new1201z00_3539);
								BgL_auxz00_5544 = BGL_OBJECT_WIDENING(BgL_tmpz00_5545);
							}
							BgL_auxz00_5543 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_5544);
						}
						((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_5543))->
								BgL_xhdlzf3zf3) = ((bool_t) BgL_xhdlzf31168zf3_3537), BUNSPEC);
					}
					{
						BgL_sfunzf2iinfozf2_bglt BgL_auxz00_5550;

						{
							obj_t BgL_auxz00_5551;

							{	/* Integrate/iinfo.scm 45 */
								BgL_objectz00_bglt BgL_tmpz00_5552;

								BgL_tmpz00_5552 = ((BgL_objectz00_bglt) BgL_new1201z00_3539);
								BgL_auxz00_5551 = BGL_OBJECT_WIDENING(BgL_tmpz00_5552);
							}
							BgL_auxz00_5550 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_5551);
						}
						((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_5550))->
								BgL_xhdlsz00) =
							((obj_t) ((obj_t) BgL_xhdls1169z00_3242)), BUNSPEC);
					}
					return BgL_new1201z00_3539;
				}
			}
		}

	}



/* &<@anonymous:1926> */
	obj_t BGl_z62zc3z04anonymousza31926ze3ze5zzintegrate_infoz00(obj_t
		BgL_envz00_3243)
	{
		{	/* Integrate/iinfo.scm 45 */
			return BNIL;
		}

	}



/* &lambda1925 */
	obj_t BGl_z62lambda1925z62zzintegrate_infoz00(obj_t BgL_envz00_3244,
		obj_t BgL_oz00_3245, obj_t BgL_vz00_3246)
	{
		{	/* Integrate/iinfo.scm 45 */
			{
				BgL_sfunzf2iinfozf2_bglt BgL_auxz00_5558;

				{
					obj_t BgL_auxz00_5559;

					{	/* Integrate/iinfo.scm 45 */
						BgL_objectz00_bglt BgL_tmpz00_5560;

						BgL_tmpz00_5560 =
							((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_oz00_3245));
						BgL_auxz00_5559 = BGL_OBJECT_WIDENING(BgL_tmpz00_5560);
					}
					BgL_auxz00_5558 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_5559);
				}
				return
					((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_5558))->
						BgL_xhdlsz00) = ((obj_t) ((obj_t) BgL_vz00_3246)), BUNSPEC);
			}
		}

	}



/* &lambda1924 */
	obj_t BGl_z62lambda1924z62zzintegrate_infoz00(obj_t BgL_envz00_3247,
		obj_t BgL_oz00_3248)
	{
		{	/* Integrate/iinfo.scm 45 */
			{
				BgL_sfunzf2iinfozf2_bglt BgL_auxz00_5567;

				{
					obj_t BgL_auxz00_5568;

					{	/* Integrate/iinfo.scm 45 */
						BgL_objectz00_bglt BgL_tmpz00_5569;

						BgL_tmpz00_5569 =
							((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_oz00_3248));
						BgL_auxz00_5568 = BGL_OBJECT_WIDENING(BgL_tmpz00_5569);
					}
					BgL_auxz00_5567 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_5568);
				}
				return
					(((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_5567))->BgL_xhdlsz00);
			}
		}

	}



/* &<@anonymous:1918> */
	obj_t BGl_z62zc3z04anonymousza31918ze3ze5zzintegrate_infoz00(obj_t
		BgL_envz00_3249)
	{
		{	/* Integrate/iinfo.scm 45 */
			return BBOOL(((bool_t) 0));
		}

	}



/* &lambda1917 */
	obj_t BGl_z62lambda1917z62zzintegrate_infoz00(obj_t BgL_envz00_3250,
		obj_t BgL_oz00_3251, obj_t BgL_vz00_3252)
	{
		{	/* Integrate/iinfo.scm 45 */
			{	/* Integrate/iinfo.scm 45 */
				bool_t BgL_vz00_3549;

				BgL_vz00_3549 = CBOOL(BgL_vz00_3252);
				{
					BgL_sfunzf2iinfozf2_bglt BgL_auxz00_5577;

					{
						obj_t BgL_auxz00_5578;

						{	/* Integrate/iinfo.scm 45 */
							BgL_objectz00_bglt BgL_tmpz00_5579;

							BgL_tmpz00_5579 =
								((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_oz00_3251));
							BgL_auxz00_5578 = BGL_OBJECT_WIDENING(BgL_tmpz00_5579);
						}
						BgL_auxz00_5577 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_5578);
					}
					return
						((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_5577))->
							BgL_xhdlzf3zf3) = ((bool_t) BgL_vz00_3549), BUNSPEC);
				}
			}
		}

	}



/* &lambda1916 */
	obj_t BGl_z62lambda1916z62zzintegrate_infoz00(obj_t BgL_envz00_3253,
		obj_t BgL_oz00_3254)
	{
		{	/* Integrate/iinfo.scm 45 */
			{	/* Integrate/iinfo.scm 45 */
				bool_t BgL_tmpz00_5585;

				{
					BgL_sfunzf2iinfozf2_bglt BgL_auxz00_5586;

					{
						obj_t BgL_auxz00_5587;

						{	/* Integrate/iinfo.scm 45 */
							BgL_objectz00_bglt BgL_tmpz00_5588;

							BgL_tmpz00_5588 =
								((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_oz00_3254));
							BgL_auxz00_5587 = BGL_OBJECT_WIDENING(BgL_tmpz00_5588);
						}
						BgL_auxz00_5586 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_5587);
					}
					BgL_tmpz00_5585 =
						(((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_5586))->
						BgL_xhdlzf3zf3);
				}
				return BBOOL(BgL_tmpz00_5585);
			}
		}

	}



/* &<@anonymous:1910> */
	obj_t BGl_z62zc3z04anonymousza31910ze3ze5zzintegrate_infoz00(obj_t
		BgL_envz00_3255)
	{
		{	/* Integrate/iinfo.scm 45 */
			return BUNSPEC;
		}

	}



/* &lambda1909 */
	obj_t BGl_z62lambda1909z62zzintegrate_infoz00(obj_t BgL_envz00_3256,
		obj_t BgL_oz00_3257, obj_t BgL_vz00_3258)
	{
		{	/* Integrate/iinfo.scm 45 */
			{
				BgL_sfunzf2iinfozf2_bglt BgL_auxz00_5595;

				{
					obj_t BgL_auxz00_5596;

					{	/* Integrate/iinfo.scm 45 */
						BgL_objectz00_bglt BgL_tmpz00_5597;

						BgL_tmpz00_5597 =
							((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_oz00_3257));
						BgL_auxz00_5596 = BGL_OBJECT_WIDENING(BgL_tmpz00_5597);
					}
					BgL_auxz00_5595 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_5596);
				}
				return
					((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_5595))->
						BgL_tailzd2coercionzd2) = ((obj_t) BgL_vz00_3258), BUNSPEC);
			}
		}

	}



/* &lambda1908 */
	obj_t BGl_z62lambda1908z62zzintegrate_infoz00(obj_t BgL_envz00_3259,
		obj_t BgL_oz00_3260)
	{
		{	/* Integrate/iinfo.scm 45 */
			{
				BgL_sfunzf2iinfozf2_bglt BgL_auxz00_5603;

				{
					obj_t BgL_auxz00_5604;

					{	/* Integrate/iinfo.scm 45 */
						BgL_objectz00_bglt BgL_tmpz00_5605;

						BgL_tmpz00_5605 =
							((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_oz00_3260));
						BgL_auxz00_5604 = BGL_OBJECT_WIDENING(BgL_tmpz00_5605);
					}
					BgL_auxz00_5603 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_5604);
				}
				return
					(((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_5603))->
					BgL_tailzd2coercionzd2);
			}
		}

	}



/* &<@anonymous:1903> */
	obj_t BGl_z62zc3z04anonymousza31903ze3ze5zzintegrate_infoz00(obj_t
		BgL_envz00_3261)
	{
		{	/* Integrate/iinfo.scm 45 */
			return BUNSPEC;
		}

	}



/* &lambda1902 */
	obj_t BGl_z62lambda1902z62zzintegrate_infoz00(obj_t BgL_envz00_3262,
		obj_t BgL_oz00_3263, obj_t BgL_vz00_3264)
	{
		{	/* Integrate/iinfo.scm 45 */
			{
				BgL_sfunzf2iinfozf2_bglt BgL_auxz00_5611;

				{
					obj_t BgL_auxz00_5612;

					{	/* Integrate/iinfo.scm 45 */
						BgL_objectz00_bglt BgL_tmpz00_5613;

						BgL_tmpz00_5613 =
							((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_oz00_3263));
						BgL_auxz00_5612 = BGL_OBJECT_WIDENING(BgL_tmpz00_5613);
					}
					BgL_auxz00_5611 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_5612);
				}
				return
					((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_5611))->
						BgL_kapturedz00) = ((obj_t) BgL_vz00_3264), BUNSPEC);
			}
		}

	}



/* &lambda1901 */
	obj_t BGl_z62lambda1901z62zzintegrate_infoz00(obj_t BgL_envz00_3265,
		obj_t BgL_oz00_3266)
	{
		{	/* Integrate/iinfo.scm 45 */
			{
				BgL_sfunzf2iinfozf2_bglt BgL_auxz00_5619;

				{
					obj_t BgL_auxz00_5620;

					{	/* Integrate/iinfo.scm 45 */
						BgL_objectz00_bglt BgL_tmpz00_5621;

						BgL_tmpz00_5621 =
							((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_oz00_3266));
						BgL_auxz00_5620 = BGL_OBJECT_WIDENING(BgL_tmpz00_5621);
					}
					BgL_auxz00_5619 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_5620);
				}
				return
					(((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_5619))->
					BgL_kapturedz00);
			}
		}

	}



/* &<@anonymous:1896> */
	obj_t BGl_z62zc3z04anonymousza31896ze3ze5zzintegrate_infoz00(obj_t
		BgL_envz00_3267)
	{
		{	/* Integrate/iinfo.scm 45 */
			return BUNSPEC;
		}

	}



/* &lambda1895 */
	obj_t BGl_z62lambda1895z62zzintegrate_infoz00(obj_t BgL_envz00_3268,
		obj_t BgL_oz00_3269, obj_t BgL_vz00_3270)
	{
		{	/* Integrate/iinfo.scm 45 */
			{
				BgL_sfunzf2iinfozf2_bglt BgL_auxz00_5627;

				{
					obj_t BgL_auxz00_5628;

					{	/* Integrate/iinfo.scm 45 */
						BgL_objectz00_bglt BgL_tmpz00_5629;

						BgL_tmpz00_5629 =
							((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_oz00_3269));
						BgL_auxz00_5628 = BGL_OBJECT_WIDENING(BgL_tmpz00_5629);
					}
					BgL_auxz00_5627 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_5628);
				}
				return
					((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_5627))->
						BgL_globalz00) = ((obj_t) BgL_vz00_3270), BUNSPEC);
			}
		}

	}



/* &lambda1894 */
	obj_t BGl_z62lambda1894z62zzintegrate_infoz00(obj_t BgL_envz00_3271,
		obj_t BgL_oz00_3272)
	{
		{	/* Integrate/iinfo.scm 45 */
			{
				BgL_sfunzf2iinfozf2_bglt BgL_auxz00_5635;

				{
					obj_t BgL_auxz00_5636;

					{	/* Integrate/iinfo.scm 45 */
						BgL_objectz00_bglt BgL_tmpz00_5637;

						BgL_tmpz00_5637 =
							((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_oz00_3272));
						BgL_auxz00_5636 = BGL_OBJECT_WIDENING(BgL_tmpz00_5637);
					}
					BgL_auxz00_5635 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_5636);
				}
				return
					(((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_5635))->
					BgL_globalz00);
			}
		}

	}



/* &<@anonymous:1889> */
	obj_t BGl_z62zc3z04anonymousza31889ze3ze5zzintegrate_infoz00(obj_t
		BgL_envz00_3273)
	{
		{	/* Integrate/iinfo.scm 45 */
			return BUNSPEC;
		}

	}



/* &lambda1888 */
	obj_t BGl_z62lambda1888z62zzintegrate_infoz00(obj_t BgL_envz00_3274,
		obj_t BgL_oz00_3275, obj_t BgL_vz00_3276)
	{
		{	/* Integrate/iinfo.scm 45 */
			{
				BgL_sfunzf2iinfozf2_bglt BgL_auxz00_5643;

				{
					obj_t BgL_auxz00_5644;

					{	/* Integrate/iinfo.scm 45 */
						BgL_objectz00_bglt BgL_tmpz00_5645;

						BgL_tmpz00_5645 =
							((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_oz00_3275));
						BgL_auxz00_5644 = BGL_OBJECT_WIDENING(BgL_tmpz00_5645);
					}
					BgL_auxz00_5643 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_5644);
				}
				return
					((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_5643))->
						BgL_istampz00) = ((obj_t) BgL_vz00_3276), BUNSPEC);
			}
		}

	}



/* &lambda1887 */
	obj_t BGl_z62lambda1887z62zzintegrate_infoz00(obj_t BgL_envz00_3277,
		obj_t BgL_oz00_3278)
	{
		{	/* Integrate/iinfo.scm 45 */
			{
				BgL_sfunzf2iinfozf2_bglt BgL_auxz00_5651;

				{
					obj_t BgL_auxz00_5652;

					{	/* Integrate/iinfo.scm 45 */
						BgL_objectz00_bglt BgL_tmpz00_5653;

						BgL_tmpz00_5653 =
							((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_oz00_3278));
						BgL_auxz00_5652 = BGL_OBJECT_WIDENING(BgL_tmpz00_5653);
					}
					BgL_auxz00_5651 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_5652);
				}
				return
					(((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_5651))->
					BgL_istampz00);
			}
		}

	}



/* &<@anonymous:1879> */
	obj_t BGl_z62zc3z04anonymousza31879ze3ze5zzintegrate_infoz00(obj_t
		BgL_envz00_3279)
	{
		{	/* Integrate/iinfo.scm 45 */
			return BNIL;
		}

	}



/* &lambda1878 */
	obj_t BGl_z62lambda1878z62zzintegrate_infoz00(obj_t BgL_envz00_3280,
		obj_t BgL_oz00_3281, obj_t BgL_vz00_3282)
	{
		{	/* Integrate/iinfo.scm 45 */
			{
				BgL_sfunzf2iinfozf2_bglt BgL_auxz00_5659;

				{
					obj_t BgL_auxz00_5660;

					{	/* Integrate/iinfo.scm 45 */
						BgL_objectz00_bglt BgL_tmpz00_5661;

						BgL_tmpz00_5661 =
							((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_oz00_3281));
						BgL_auxz00_5660 = BGL_OBJECT_WIDENING(BgL_tmpz00_5661);
					}
					BgL_auxz00_5659 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_5660);
				}
				return
					((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_5659))->BgL_ledz00) =
					((obj_t) BgL_vz00_3282), BUNSPEC);
			}
		}

	}



/* &lambda1877 */
	obj_t BGl_z62lambda1877z62zzintegrate_infoz00(obj_t BgL_envz00_3283,
		obj_t BgL_oz00_3284)
	{
		{	/* Integrate/iinfo.scm 45 */
			{
				BgL_sfunzf2iinfozf2_bglt BgL_auxz00_5667;

				{
					obj_t BgL_auxz00_5668;

					{	/* Integrate/iinfo.scm 45 */
						BgL_objectz00_bglt BgL_tmpz00_5669;

						BgL_tmpz00_5669 =
							((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_oz00_3284));
						BgL_auxz00_5668 = BGL_OBJECT_WIDENING(BgL_tmpz00_5669);
					}
					BgL_auxz00_5667 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_5668);
				}
				return
					(((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_5667))->BgL_ledz00);
			}
		}

	}



/* &<@anonymous:1860> */
	obj_t BGl_z62zc3z04anonymousza31860ze3ze5zzintegrate_infoz00(obj_t
		BgL_envz00_3285)
	{
		{	/* Integrate/iinfo.scm 45 */
			return BUNSPEC;
		}

	}



/* &lambda1859 */
	obj_t BGl_z62lambda1859z62zzintegrate_infoz00(obj_t BgL_envz00_3286,
		obj_t BgL_oz00_3287, obj_t BgL_vz00_3288)
	{
		{	/* Integrate/iinfo.scm 45 */
			{
				BgL_sfunzf2iinfozf2_bglt BgL_auxz00_5675;

				{
					obj_t BgL_auxz00_5676;

					{	/* Integrate/iinfo.scm 45 */
						BgL_objectz00_bglt BgL_tmpz00_5677;

						BgL_tmpz00_5677 =
							((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_oz00_3287));
						BgL_auxz00_5676 = BGL_OBJECT_WIDENING(BgL_tmpz00_5677);
					}
					BgL_auxz00_5675 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_5676);
				}
				return
					((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_5675))->BgL_lz00) =
					((obj_t) BgL_vz00_3288), BUNSPEC);
			}
		}

	}



/* &lambda1858 */
	obj_t BGl_z62lambda1858z62zzintegrate_infoz00(obj_t BgL_envz00_3289,
		obj_t BgL_oz00_3290)
	{
		{	/* Integrate/iinfo.scm 45 */
			{
				BgL_sfunzf2iinfozf2_bglt BgL_auxz00_5683;

				{
					obj_t BgL_auxz00_5684;

					{	/* Integrate/iinfo.scm 45 */
						BgL_objectz00_bglt BgL_tmpz00_5685;

						BgL_tmpz00_5685 =
							((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_oz00_3290));
						BgL_auxz00_5684 = BGL_OBJECT_WIDENING(BgL_tmpz00_5685);
					}
					BgL_auxz00_5683 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_5684);
				}
				return
					(((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_5683))->BgL_lz00);
			}
		}

	}



/* &<@anonymous:1850> */
	obj_t BGl_z62zc3z04anonymousza31850ze3ze5zzintegrate_infoz00(obj_t
		BgL_envz00_3291)
	{
		{	/* Integrate/iinfo.scm 45 */
			return BBOOL(((bool_t) 0));
		}

	}



/* &lambda1849 */
	obj_t BGl_z62lambda1849z62zzintegrate_infoz00(obj_t BgL_envz00_3292,
		obj_t BgL_oz00_3293, obj_t BgL_vz00_3294)
	{
		{	/* Integrate/iinfo.scm 45 */
			{	/* Integrate/iinfo.scm 45 */
				bool_t BgL_vz00_3564;

				BgL_vz00_3564 = CBOOL(BgL_vz00_3294);
				{
					BgL_sfunzf2iinfozf2_bglt BgL_auxz00_5693;

					{
						obj_t BgL_auxz00_5694;

						{	/* Integrate/iinfo.scm 45 */
							BgL_objectz00_bglt BgL_tmpz00_5695;

							BgL_tmpz00_5695 =
								((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_oz00_3293));
							BgL_auxz00_5694 = BGL_OBJECT_WIDENING(BgL_tmpz00_5695);
						}
						BgL_auxz00_5693 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_5694);
					}
					return
						((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_5693))->
							BgL_forcegzf3zf3) = ((bool_t) BgL_vz00_3564), BUNSPEC);
				}
			}
		}

	}



/* &lambda1848 */
	obj_t BGl_z62lambda1848z62zzintegrate_infoz00(obj_t BgL_envz00_3295,
		obj_t BgL_oz00_3296)
	{
		{	/* Integrate/iinfo.scm 45 */
			{	/* Integrate/iinfo.scm 45 */
				bool_t BgL_tmpz00_5701;

				{
					BgL_sfunzf2iinfozf2_bglt BgL_auxz00_5702;

					{
						obj_t BgL_auxz00_5703;

						{	/* Integrate/iinfo.scm 45 */
							BgL_objectz00_bglt BgL_tmpz00_5704;

							BgL_tmpz00_5704 =
								((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_oz00_3296));
							BgL_auxz00_5703 = BGL_OBJECT_WIDENING(BgL_tmpz00_5704);
						}
						BgL_auxz00_5702 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_5703);
					}
					BgL_tmpz00_5701 =
						(((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_5702))->
						BgL_forcegzf3zf3);
				}
				return BBOOL(BgL_tmpz00_5701);
			}
		}

	}



/* &lambda1831 */
	obj_t BGl_z62lambda1831z62zzintegrate_infoz00(obj_t BgL_envz00_3297,
		obj_t BgL_oz00_3298, obj_t BgL_vz00_3299)
	{
		{	/* Integrate/iinfo.scm 45 */
			{	/* Integrate/iinfo.scm 45 */
				bool_t BgL_vz00_3567;

				BgL_vz00_3567 = CBOOL(BgL_vz00_3299);
				{
					BgL_sfunzf2iinfozf2_bglt BgL_auxz00_5712;

					{
						obj_t BgL_auxz00_5713;

						{	/* Integrate/iinfo.scm 45 */
							BgL_objectz00_bglt BgL_tmpz00_5714;

							BgL_tmpz00_5714 =
								((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_oz00_3298));
							BgL_auxz00_5713 = BGL_OBJECT_WIDENING(BgL_tmpz00_5714);
						}
						BgL_auxz00_5712 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_5713);
					}
					return
						((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_5712))->
							BgL_gzf3zf3) = ((bool_t) BgL_vz00_3567), BUNSPEC);
				}
			}
		}

	}



/* &lambda1830 */
	obj_t BGl_z62lambda1830z62zzintegrate_infoz00(obj_t BgL_envz00_3300,
		obj_t BgL_oz00_3301)
	{
		{	/* Integrate/iinfo.scm 45 */
			{	/* Integrate/iinfo.scm 45 */
				bool_t BgL_tmpz00_5720;

				{
					BgL_sfunzf2iinfozf2_bglt BgL_auxz00_5721;

					{
						obj_t BgL_auxz00_5722;

						{	/* Integrate/iinfo.scm 45 */
							BgL_objectz00_bglt BgL_tmpz00_5723;

							BgL_tmpz00_5723 =
								((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_oz00_3301));
							BgL_auxz00_5722 = BGL_OBJECT_WIDENING(BgL_tmpz00_5723);
						}
						BgL_auxz00_5721 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_5722);
					}
					BgL_tmpz00_5720 =
						(((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_5721))->
						BgL_gzf3zf3);
				}
				return BBOOL(BgL_tmpz00_5720);
			}
		}

	}



/* &<@anonymous:1821> */
	obj_t BGl_z62zc3z04anonymousza31821ze3ze5zzintegrate_infoz00(obj_t
		BgL_envz00_3302)
	{
		{	/* Integrate/iinfo.scm 45 */
			return BNIL;
		}

	}



/* &lambda1820 */
	obj_t BGl_z62lambda1820z62zzintegrate_infoz00(obj_t BgL_envz00_3303,
		obj_t BgL_oz00_3304, obj_t BgL_vz00_3305)
	{
		{	/* Integrate/iinfo.scm 45 */
			{
				BgL_sfunzf2iinfozf2_bglt BgL_auxz00_5730;

				{
					obj_t BgL_auxz00_5731;

					{	/* Integrate/iinfo.scm 45 */
						BgL_objectz00_bglt BgL_tmpz00_5732;

						BgL_tmpz00_5732 =
							((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_oz00_3304));
						BgL_auxz00_5731 = BGL_OBJECT_WIDENING(BgL_tmpz00_5732);
					}
					BgL_auxz00_5730 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_5731);
				}
				return
					((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_5730))->
						BgL_kontz00) = ((obj_t) BgL_vz00_3305), BUNSPEC);
			}
		}

	}



/* &lambda1819 */
	obj_t BGl_z62lambda1819z62zzintegrate_infoz00(obj_t BgL_envz00_3306,
		obj_t BgL_oz00_3307)
	{
		{	/* Integrate/iinfo.scm 45 */
			{
				BgL_sfunzf2iinfozf2_bglt BgL_auxz00_5738;

				{
					obj_t BgL_auxz00_5739;

					{	/* Integrate/iinfo.scm 45 */
						BgL_objectz00_bglt BgL_tmpz00_5740;

						BgL_tmpz00_5740 =
							((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_oz00_3307));
						BgL_auxz00_5739 = BGL_OBJECT_WIDENING(BgL_tmpz00_5740);
					}
					BgL_auxz00_5738 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_5739);
				}
				return
					(((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_5738))->BgL_kontz00);
			}
		}

	}



/* &<@anonymous:1807> */
	obj_t BGl_z62zc3z04anonymousza31807ze3ze5zzintegrate_infoz00(obj_t
		BgL_envz00_3308)
	{
		{	/* Integrate/iinfo.scm 45 */
			return BNIL;
		}

	}



/* &lambda1806 */
	obj_t BGl_z62lambda1806z62zzintegrate_infoz00(obj_t BgL_envz00_3309,
		obj_t BgL_oz00_3310, obj_t BgL_vz00_3311)
	{
		{	/* Integrate/iinfo.scm 45 */
			{
				BgL_sfunzf2iinfozf2_bglt BgL_auxz00_5746;

				{
					obj_t BgL_auxz00_5747;

					{	/* Integrate/iinfo.scm 45 */
						BgL_objectz00_bglt BgL_tmpz00_5748;

						BgL_tmpz00_5748 =
							((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_oz00_3310));
						BgL_auxz00_5747 = BGL_OBJECT_WIDENING(BgL_tmpz00_5748);
					}
					BgL_auxz00_5746 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_5747);
				}
				return
					((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_5746))->BgL_ctz00) =
					((obj_t) BgL_vz00_3311), BUNSPEC);
			}
		}

	}



/* &lambda1805 */
	obj_t BGl_z62lambda1805z62zzintegrate_infoz00(obj_t BgL_envz00_3312,
		obj_t BgL_oz00_3313)
	{
		{	/* Integrate/iinfo.scm 45 */
			{
				BgL_sfunzf2iinfozf2_bglt BgL_auxz00_5754;

				{
					obj_t BgL_auxz00_5755;

					{	/* Integrate/iinfo.scm 45 */
						BgL_objectz00_bglt BgL_tmpz00_5756;

						BgL_tmpz00_5756 =
							((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_oz00_3313));
						BgL_auxz00_5755 = BGL_OBJECT_WIDENING(BgL_tmpz00_5756);
					}
					BgL_auxz00_5754 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_5755);
				}
				return
					(((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_5754))->BgL_ctz00);
			}
		}

	}



/* &<@anonymous:1800> */
	obj_t BGl_z62zc3z04anonymousza31800ze3ze5zzintegrate_infoz00(obj_t
		BgL_envz00_3314)
	{
		{	/* Integrate/iinfo.scm 45 */
			return BNIL;
		}

	}



/* &lambda1799 */
	obj_t BGl_z62lambda1799z62zzintegrate_infoz00(obj_t BgL_envz00_3315,
		obj_t BgL_oz00_3316, obj_t BgL_vz00_3317)
	{
		{	/* Integrate/iinfo.scm 45 */
			{
				BgL_sfunzf2iinfozf2_bglt BgL_auxz00_5762;

				{
					obj_t BgL_auxz00_5763;

					{	/* Integrate/iinfo.scm 45 */
						BgL_objectz00_bglt BgL_tmpz00_5764;

						BgL_tmpz00_5764 =
							((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_oz00_3316));
						BgL_auxz00_5763 = BGL_OBJECT_WIDENING(BgL_tmpz00_5764);
					}
					BgL_auxz00_5762 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_5763);
				}
				return
					((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_5762))->BgL_cnz00) =
					((obj_t) BgL_vz00_3317), BUNSPEC);
			}
		}

	}



/* &lambda1798 */
	obj_t BGl_z62lambda1798z62zzintegrate_infoz00(obj_t BgL_envz00_3318,
		obj_t BgL_oz00_3319)
	{
		{	/* Integrate/iinfo.scm 45 */
			{
				BgL_sfunzf2iinfozf2_bglt BgL_auxz00_5770;

				{
					obj_t BgL_auxz00_5771;

					{	/* Integrate/iinfo.scm 45 */
						BgL_objectz00_bglt BgL_tmpz00_5772;

						BgL_tmpz00_5772 =
							((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_oz00_3319));
						BgL_auxz00_5771 = BGL_OBJECT_WIDENING(BgL_tmpz00_5772);
					}
					BgL_auxz00_5770 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_5771);
				}
				return
					(((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_5770))->BgL_cnz00);
			}
		}

	}



/* &<@anonymous:1787> */
	obj_t BGl_z62zc3z04anonymousza31787ze3ze5zzintegrate_infoz00(obj_t
		BgL_envz00_3320)
	{
		{	/* Integrate/iinfo.scm 45 */
			return BUNSPEC;
		}

	}



/* &lambda1786 */
	obj_t BGl_z62lambda1786z62zzintegrate_infoz00(obj_t BgL_envz00_3321,
		obj_t BgL_oz00_3322, obj_t BgL_vz00_3323)
	{
		{	/* Integrate/iinfo.scm 45 */
			{
				BgL_sfunzf2iinfozf2_bglt BgL_auxz00_5778;

				{
					obj_t BgL_auxz00_5779;

					{	/* Integrate/iinfo.scm 45 */
						BgL_objectz00_bglt BgL_tmpz00_5780;

						BgL_tmpz00_5780 =
							((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_oz00_3322));
						BgL_auxz00_5779 = BGL_OBJECT_WIDENING(BgL_tmpz00_5780);
					}
					BgL_auxz00_5778 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_5779);
				}
				return
					((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_5778))->BgL_uz00) =
					((obj_t) BgL_vz00_3323), BUNSPEC);
			}
		}

	}



/* &lambda1785 */
	obj_t BGl_z62lambda1785z62zzintegrate_infoz00(obj_t BgL_envz00_3324,
		obj_t BgL_oz00_3325)
	{
		{	/* Integrate/iinfo.scm 45 */
			{
				BgL_sfunzf2iinfozf2_bglt BgL_auxz00_5786;

				{
					obj_t BgL_auxz00_5787;

					{	/* Integrate/iinfo.scm 45 */
						BgL_objectz00_bglt BgL_tmpz00_5788;

						BgL_tmpz00_5788 =
							((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_oz00_3325));
						BgL_auxz00_5787 = BGL_OBJECT_WIDENING(BgL_tmpz00_5788);
					}
					BgL_auxz00_5786 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_5787);
				}
				return
					(((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_5786))->BgL_uz00);
			}
		}

	}



/* &<@anonymous:1773> */
	obj_t BGl_z62zc3z04anonymousza31773ze3ze5zzintegrate_infoz00(obj_t
		BgL_envz00_3326)
	{
		{	/* Integrate/iinfo.scm 45 */
			return BNIL;
		}

	}



/* &lambda1772 */
	obj_t BGl_z62lambda1772z62zzintegrate_infoz00(obj_t BgL_envz00_3327,
		obj_t BgL_oz00_3328, obj_t BgL_vz00_3329)
	{
		{	/* Integrate/iinfo.scm 45 */
			{
				BgL_sfunzf2iinfozf2_bglt BgL_auxz00_5794;

				{
					obj_t BgL_auxz00_5795;

					{	/* Integrate/iinfo.scm 45 */
						BgL_objectz00_bglt BgL_tmpz00_5796;

						BgL_tmpz00_5796 =
							((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_oz00_3328));
						BgL_auxz00_5795 = BGL_OBJECT_WIDENING(BgL_tmpz00_5796);
					}
					BgL_auxz00_5794 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_5795);
				}
				return
					((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_5794))->
						BgL_kza2za2) = ((obj_t) BgL_vz00_3329), BUNSPEC);
			}
		}

	}



/* &lambda1771 */
	obj_t BGl_z62lambda1771z62zzintegrate_infoz00(obj_t BgL_envz00_3330,
		obj_t BgL_oz00_3331)
	{
		{	/* Integrate/iinfo.scm 45 */
			{
				BgL_sfunzf2iinfozf2_bglt BgL_auxz00_5802;

				{
					obj_t BgL_auxz00_5803;

					{	/* Integrate/iinfo.scm 45 */
						BgL_objectz00_bglt BgL_tmpz00_5804;

						BgL_tmpz00_5804 =
							((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_oz00_3331));
						BgL_auxz00_5803 = BGL_OBJECT_WIDENING(BgL_tmpz00_5804);
					}
					BgL_auxz00_5802 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_5803);
				}
				return
					(((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_5802))->BgL_kza2za2);
			}
		}

	}



/* &<@anonymous:1759> */
	obj_t BGl_z62zc3z04anonymousza31759ze3ze5zzintegrate_infoz00(obj_t
		BgL_envz00_3332)
	{
		{	/* Integrate/iinfo.scm 45 */
			return BNIL;
		}

	}



/* &lambda1758 */
	obj_t BGl_z62lambda1758z62zzintegrate_infoz00(obj_t BgL_envz00_3333,
		obj_t BgL_oz00_3334, obj_t BgL_vz00_3335)
	{
		{	/* Integrate/iinfo.scm 45 */
			{
				BgL_sfunzf2iinfozf2_bglt BgL_auxz00_5810;

				{
					obj_t BgL_auxz00_5811;

					{	/* Integrate/iinfo.scm 45 */
						BgL_objectz00_bglt BgL_tmpz00_5812;

						BgL_tmpz00_5812 =
							((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_oz00_3334));
						BgL_auxz00_5811 = BGL_OBJECT_WIDENING(BgL_tmpz00_5812);
					}
					BgL_auxz00_5810 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_5811);
				}
				return
					((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_5810))->BgL_kz00) =
					((obj_t) BgL_vz00_3335), BUNSPEC);
			}
		}

	}



/* &lambda1757 */
	obj_t BGl_z62lambda1757z62zzintegrate_infoz00(obj_t BgL_envz00_3336,
		obj_t BgL_oz00_3337)
	{
		{	/* Integrate/iinfo.scm 45 */
			{
				BgL_sfunzf2iinfozf2_bglt BgL_auxz00_5818;

				{
					obj_t BgL_auxz00_5819;

					{	/* Integrate/iinfo.scm 45 */
						BgL_objectz00_bglt BgL_tmpz00_5820;

						BgL_tmpz00_5820 =
							((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_oz00_3337));
						BgL_auxz00_5819 = BGL_OBJECT_WIDENING(BgL_tmpz00_5820);
					}
					BgL_auxz00_5818 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_5819);
				}
				return
					(((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_5818))->BgL_kz00);
			}
		}

	}



/* &<@anonymous:1733> */
	obj_t BGl_z62zc3z04anonymousza31733ze3ze5zzintegrate_infoz00(obj_t
		BgL_envz00_3338)
	{
		{	/* Integrate/iinfo.scm 45 */
			return BUNSPEC;
		}

	}



/* &lambda1732 */
	obj_t BGl_z62lambda1732z62zzintegrate_infoz00(obj_t BgL_envz00_3339,
		obj_t BgL_oz00_3340, obj_t BgL_vz00_3341)
	{
		{	/* Integrate/iinfo.scm 45 */
			{
				BgL_sfunzf2iinfozf2_bglt BgL_auxz00_5826;

				{
					obj_t BgL_auxz00_5827;

					{	/* Integrate/iinfo.scm 45 */
						BgL_objectz00_bglt BgL_tmpz00_5828;

						BgL_tmpz00_5828 =
							((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_oz00_3340));
						BgL_auxz00_5827 = BGL_OBJECT_WIDENING(BgL_tmpz00_5828);
					}
					BgL_auxz00_5826 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_5827);
				}
				return
					((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_5826))->BgL_ctoz00) =
					((obj_t) BgL_vz00_3341), BUNSPEC);
			}
		}

	}



/* &lambda1731 */
	obj_t BGl_z62lambda1731z62zzintegrate_infoz00(obj_t BgL_envz00_3342,
		obj_t BgL_oz00_3343)
	{
		{	/* Integrate/iinfo.scm 45 */
			{
				BgL_sfunzf2iinfozf2_bglt BgL_auxz00_5834;

				{
					obj_t BgL_auxz00_5835;

					{	/* Integrate/iinfo.scm 45 */
						BgL_objectz00_bglt BgL_tmpz00_5836;

						BgL_tmpz00_5836 =
							((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_oz00_3343));
						BgL_auxz00_5835 = BGL_OBJECT_WIDENING(BgL_tmpz00_5836);
					}
					BgL_auxz00_5834 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_5835);
				}
				return
					(((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_5834))->BgL_ctoz00);
			}
		}

	}



/* &<@anonymous:1719> */
	obj_t BGl_z62zc3z04anonymousza31719ze3ze5zzintegrate_infoz00(obj_t
		BgL_envz00_3344)
	{
		{	/* Integrate/iinfo.scm 45 */
			return BNIL;
		}

	}



/* &lambda1718 */
	obj_t BGl_z62lambda1718z62zzintegrate_infoz00(obj_t BgL_envz00_3345,
		obj_t BgL_oz00_3346, obj_t BgL_vz00_3347)
	{
		{	/* Integrate/iinfo.scm 45 */
			{
				BgL_sfunzf2iinfozf2_bglt BgL_auxz00_5842;

				{
					obj_t BgL_auxz00_5843;

					{	/* Integrate/iinfo.scm 45 */
						BgL_objectz00_bglt BgL_tmpz00_5844;

						BgL_tmpz00_5844 =
							((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_oz00_3346));
						BgL_auxz00_5843 = BGL_OBJECT_WIDENING(BgL_tmpz00_5844);
					}
					BgL_auxz00_5842 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_5843);
				}
				return
					((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_5842))->
						BgL_cfromz00) = ((obj_t) BgL_vz00_3347), BUNSPEC);
			}
		}

	}



/* &lambda1717 */
	obj_t BGl_z62lambda1717z62zzintegrate_infoz00(obj_t BgL_envz00_3348,
		obj_t BgL_oz00_3349)
	{
		{	/* Integrate/iinfo.scm 45 */
			{
				BgL_sfunzf2iinfozf2_bglt BgL_auxz00_5850;

				{
					obj_t BgL_auxz00_5851;

					{	/* Integrate/iinfo.scm 45 */
						BgL_objectz00_bglt BgL_tmpz00_5852;

						BgL_tmpz00_5852 =
							((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_oz00_3349));
						BgL_auxz00_5851 = BGL_OBJECT_WIDENING(BgL_tmpz00_5852);
					}
					BgL_auxz00_5850 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_5851);
				}
				return
					(((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_5850))->BgL_cfromz00);
			}
		}

	}



/* &<@anonymous:1698> */
	obj_t BGl_z62zc3z04anonymousza31698ze3ze5zzintegrate_infoz00(obj_t
		BgL_envz00_3350)
	{
		{	/* Integrate/iinfo.scm 45 */
			return BNIL;
		}

	}



/* &lambda1697 */
	obj_t BGl_z62lambda1697z62zzintegrate_infoz00(obj_t BgL_envz00_3351,
		obj_t BgL_oz00_3352, obj_t BgL_vz00_3353)
	{
		{	/* Integrate/iinfo.scm 45 */
			{
				BgL_sfunzf2iinfozf2_bglt BgL_auxz00_5858;

				{
					obj_t BgL_auxz00_5859;

					{	/* Integrate/iinfo.scm 45 */
						BgL_objectz00_bglt BgL_tmpz00_5860;

						BgL_tmpz00_5860 =
							((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_oz00_3352));
						BgL_auxz00_5859 = BGL_OBJECT_WIDENING(BgL_tmpz00_5860);
					}
					BgL_auxz00_5858 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_5859);
				}
				return
					((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_5858))->
						BgL_boundz00) = ((obj_t) BgL_vz00_3353), BUNSPEC);
			}
		}

	}



/* &lambda1696 */
	obj_t BGl_z62lambda1696z62zzintegrate_infoz00(obj_t BgL_envz00_3354,
		obj_t BgL_oz00_3355)
	{
		{	/* Integrate/iinfo.scm 45 */
			{
				BgL_sfunzf2iinfozf2_bglt BgL_auxz00_5866;

				{
					obj_t BgL_auxz00_5867;

					{	/* Integrate/iinfo.scm 45 */
						BgL_objectz00_bglt BgL_tmpz00_5868;

						BgL_tmpz00_5868 =
							((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_oz00_3355));
						BgL_auxz00_5867 = BGL_OBJECT_WIDENING(BgL_tmpz00_5868);
					}
					BgL_auxz00_5866 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_5867);
				}
				return
					(((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_5866))->BgL_boundz00);
			}
		}

	}



/* &<@anonymous:1689> */
	obj_t BGl_z62zc3z04anonymousza31689ze3ze5zzintegrate_infoz00(obj_t
		BgL_envz00_3356)
	{
		{	/* Integrate/iinfo.scm 45 */
			return BUNSPEC;
		}

	}



/* &lambda1688 */
	obj_t BGl_z62lambda1688z62zzintegrate_infoz00(obj_t BgL_envz00_3357,
		obj_t BgL_oz00_3358, obj_t BgL_vz00_3359)
	{
		{	/* Integrate/iinfo.scm 45 */
			{
				BgL_sfunzf2iinfozf2_bglt BgL_auxz00_5874;

				{
					obj_t BgL_auxz00_5875;

					{	/* Integrate/iinfo.scm 45 */
						BgL_objectz00_bglt BgL_tmpz00_5876;

						BgL_tmpz00_5876 =
							((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_oz00_3358));
						BgL_auxz00_5875 = BGL_OBJECT_WIDENING(BgL_tmpz00_5876);
					}
					BgL_auxz00_5874 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_5875);
				}
				return
					((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_5874))->
						BgL_freez00) = ((obj_t) BgL_vz00_3359), BUNSPEC);
			}
		}

	}



/* &lambda1687 */
	obj_t BGl_z62lambda1687z62zzintegrate_infoz00(obj_t BgL_envz00_3360,
		obj_t BgL_oz00_3361)
	{
		{	/* Integrate/iinfo.scm 45 */
			{
				BgL_sfunzf2iinfozf2_bglt BgL_auxz00_5882;

				{
					obj_t BgL_auxz00_5883;

					{	/* Integrate/iinfo.scm 45 */
						BgL_objectz00_bglt BgL_tmpz00_5884;

						BgL_tmpz00_5884 =
							((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_oz00_3361));
						BgL_auxz00_5883 = BGL_OBJECT_WIDENING(BgL_tmpz00_5884);
					}
					BgL_auxz00_5882 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_5883);
				}
				return
					(((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_5882))->BgL_freez00);
			}
		}

	}



/* &lambda1675 */
	obj_t BGl_z62lambda1675z62zzintegrate_infoz00(obj_t BgL_envz00_3362,
		obj_t BgL_oz00_3363, obj_t BgL_vz00_3364)
	{
		{	/* Integrate/iinfo.scm 45 */
			{
				BgL_sfunzf2iinfozf2_bglt BgL_auxz00_5890;

				{
					obj_t BgL_auxz00_5891;

					{	/* Integrate/iinfo.scm 45 */
						BgL_objectz00_bglt BgL_tmpz00_5892;

						BgL_tmpz00_5892 =
							((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_oz00_3363));
						BgL_auxz00_5891 = BGL_OBJECT_WIDENING(BgL_tmpz00_5892);
					}
					BgL_auxz00_5890 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_5891);
				}
				return
					((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_5890))->
						BgL_ownerz00) = ((obj_t) BgL_vz00_3364), BUNSPEC);
			}
		}

	}



/* &lambda1674 */
	obj_t BGl_z62lambda1674z62zzintegrate_infoz00(obj_t BgL_envz00_3365,
		obj_t BgL_oz00_3366)
	{
		{	/* Integrate/iinfo.scm 45 */
			{
				BgL_sfunzf2iinfozf2_bglt BgL_auxz00_5898;

				{
					obj_t BgL_auxz00_5899;

					{	/* Integrate/iinfo.scm 45 */
						BgL_objectz00_bglt BgL_tmpz00_5900;

						BgL_tmpz00_5900 =
							((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_oz00_3366));
						BgL_auxz00_5899 = BGL_OBJECT_WIDENING(BgL_tmpz00_5900);
					}
					BgL_auxz00_5898 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_5899);
				}
				return
					(((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_5898))->BgL_ownerz00);
			}
		}

	}



/* &lambda1537 */
	BgL_sexitz00_bglt BGl_z62lambda1537z62zzintegrate_infoz00(obj_t
		BgL_envz00_3367, obj_t BgL_o1125z00_3368)
	{
		{	/* Integrate/iinfo.scm 35 */
			{	/* Integrate/iinfo.scm 35 */
				long BgL_arg1543z00_3592;

				{	/* Integrate/iinfo.scm 35 */
					obj_t BgL_arg1545z00_3593;

					{	/* Integrate/iinfo.scm 35 */
						obj_t BgL_arg1553z00_3594;

						{	/* Integrate/iinfo.scm 35 */
							obj_t BgL_arg1866z00_3595;
							long BgL_arg1867z00_3596;

							BgL_arg1866z00_3595 = (BGl_za2classesza2z00zz__objectz00);
							{	/* Integrate/iinfo.scm 35 */
								long BgL_arg1869z00_3597;

								BgL_arg1869z00_3597 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_sexitz00_bglt) BgL_o1125z00_3368)));
								BgL_arg1867z00_3596 = (BgL_arg1869z00_3597 - OBJECT_TYPE);
							}
							BgL_arg1553z00_3594 =
								VECTOR_REF(BgL_arg1866z00_3595, BgL_arg1867z00_3596);
						}
						BgL_arg1545z00_3593 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg1553z00_3594);
					}
					{	/* Integrate/iinfo.scm 35 */
						obj_t BgL_tmpz00_5913;

						BgL_tmpz00_5913 = ((obj_t) BgL_arg1545z00_3593);
						BgL_arg1543z00_3592 = BGL_CLASS_NUM(BgL_tmpz00_5913);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_sexitz00_bglt) BgL_o1125z00_3368)), BgL_arg1543z00_3592);
			}
			{	/* Integrate/iinfo.scm 35 */
				BgL_objectz00_bglt BgL_tmpz00_5919;

				BgL_tmpz00_5919 =
					((BgL_objectz00_bglt) ((BgL_sexitz00_bglt) BgL_o1125z00_3368));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5919, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_sexitz00_bglt) BgL_o1125z00_3368));
			return ((BgL_sexitz00_bglt) ((BgL_sexitz00_bglt) BgL_o1125z00_3368));
		}

	}



/* &<@anonymous:1536> */
	obj_t BGl_z62zc3z04anonymousza31536ze3ze5zzintegrate_infoz00(obj_t
		BgL_envz00_3369, obj_t BgL_new1124z00_3370)
	{
		{	/* Integrate/iinfo.scm 35 */
			{
				BgL_sexitz00_bglt BgL_auxz00_5927;

				((((BgL_sexitz00_bglt) COBJECT(
								((BgL_sexitz00_bglt)
									((BgL_sexitz00_bglt) BgL_new1124z00_3370))))->
						BgL_handlerz00) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sexitz00_bglt) COBJECT(((BgL_sexitz00_bglt) ((BgL_sexitz00_bglt)
										BgL_new1124z00_3370))))->BgL_detachedzf3zf3) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				{
					BgL_sexitzf2iinfozf2_bglt BgL_auxz00_5934;

					{
						obj_t BgL_auxz00_5935;

						{	/* Integrate/iinfo.scm 35 */
							BgL_objectz00_bglt BgL_tmpz00_5936;

							BgL_tmpz00_5936 =
								((BgL_objectz00_bglt)
								((BgL_sexitz00_bglt) BgL_new1124z00_3370));
							BgL_auxz00_5935 = BGL_OBJECT_WIDENING(BgL_tmpz00_5936);
						}
						BgL_auxz00_5934 = ((BgL_sexitzf2iinfozf2_bglt) BgL_auxz00_5935);
					}
					((((BgL_sexitzf2iinfozf2_bglt) COBJECT(BgL_auxz00_5934))->
							BgL_fzd2markzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				}
				{
					BgL_sexitzf2iinfozf2_bglt BgL_auxz00_5942;

					{
						obj_t BgL_auxz00_5943;

						{	/* Integrate/iinfo.scm 35 */
							BgL_objectz00_bglt BgL_tmpz00_5944;

							BgL_tmpz00_5944 =
								((BgL_objectz00_bglt)
								((BgL_sexitz00_bglt) BgL_new1124z00_3370));
							BgL_auxz00_5943 = BGL_OBJECT_WIDENING(BgL_tmpz00_5944);
						}
						BgL_auxz00_5942 = ((BgL_sexitzf2iinfozf2_bglt) BgL_auxz00_5943);
					}
					((((BgL_sexitzf2iinfozf2_bglt) COBJECT(BgL_auxz00_5942))->
							BgL_uzd2markzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				}
				{
					BgL_sexitzf2iinfozf2_bglt BgL_auxz00_5950;

					{
						obj_t BgL_auxz00_5951;

						{	/* Integrate/iinfo.scm 35 */
							BgL_objectz00_bglt BgL_tmpz00_5952;

							BgL_tmpz00_5952 =
								((BgL_objectz00_bglt)
								((BgL_sexitz00_bglt) BgL_new1124z00_3370));
							BgL_auxz00_5951 = BGL_OBJECT_WIDENING(BgL_tmpz00_5952);
						}
						BgL_auxz00_5950 = ((BgL_sexitzf2iinfozf2_bglt) BgL_auxz00_5951);
					}
					((((BgL_sexitzf2iinfozf2_bglt) COBJECT(BgL_auxz00_5950))->
							BgL_kapturedzf3zf3) = ((bool_t) ((bool_t) 0)), BUNSPEC);
				}
				{
					BgL_sexitzf2iinfozf2_bglt BgL_auxz00_5958;

					{
						obj_t BgL_auxz00_5959;

						{	/* Integrate/iinfo.scm 35 */
							BgL_objectz00_bglt BgL_tmpz00_5960;

							BgL_tmpz00_5960 =
								((BgL_objectz00_bglt)
								((BgL_sexitz00_bglt) BgL_new1124z00_3370));
							BgL_auxz00_5959 = BGL_OBJECT_WIDENING(BgL_tmpz00_5960);
						}
						BgL_auxz00_5958 = ((BgL_sexitzf2iinfozf2_bglt) BgL_auxz00_5959);
					}
					((((BgL_sexitzf2iinfozf2_bglt) COBJECT(BgL_auxz00_5958))->
							BgL_celledzf3zf3) = ((bool_t) ((bool_t) 0)), BUNSPEC);
				}
				BgL_auxz00_5927 = ((BgL_sexitz00_bglt) BgL_new1124z00_3370);
				return ((obj_t) BgL_auxz00_5927);
			}
		}

	}



/* &lambda1533 */
	BgL_sexitz00_bglt BGl_z62lambda1533z62zzintegrate_infoz00(obj_t
		BgL_envz00_3371, obj_t BgL_o1121z00_3372)
	{
		{	/* Integrate/iinfo.scm 35 */
			{	/* Integrate/iinfo.scm 35 */
				BgL_sexitzf2iinfozf2_bglt BgL_wide1123z00_3600;

				BgL_wide1123z00_3600 =
					((BgL_sexitzf2iinfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_sexitzf2iinfozf2_bgl))));
				{	/* Integrate/iinfo.scm 35 */
					obj_t BgL_auxz00_5973;
					BgL_objectz00_bglt BgL_tmpz00_5969;

					BgL_auxz00_5973 = ((obj_t) BgL_wide1123z00_3600);
					BgL_tmpz00_5969 =
						((BgL_objectz00_bglt)
						((BgL_sexitz00_bglt) ((BgL_sexitz00_bglt) BgL_o1121z00_3372)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5969, BgL_auxz00_5973);
				}
				((BgL_objectz00_bglt)
					((BgL_sexitz00_bglt) ((BgL_sexitz00_bglt) BgL_o1121z00_3372)));
				{	/* Integrate/iinfo.scm 35 */
					long BgL_arg1535z00_3601;

					BgL_arg1535z00_3601 =
						BGL_CLASS_NUM(BGl_sexitzf2Iinfozf2zzintegrate_infoz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_sexitz00_bglt)
								((BgL_sexitz00_bglt) BgL_o1121z00_3372))), BgL_arg1535z00_3601);
				}
				return
					((BgL_sexitz00_bglt)
					((BgL_sexitz00_bglt) ((BgL_sexitz00_bglt) BgL_o1121z00_3372)));
			}
		}

	}



/* &lambda1517 */
	BgL_sexitz00_bglt BGl_z62lambda1517z62zzintegrate_infoz00(obj_t
		BgL_envz00_3373, obj_t BgL_handler1115z00_3374,
		obj_t BgL_detachedzf31116zf3_3375, obj_t BgL_fzd2mark1117zd2_3376,
		obj_t BgL_uzd2mark1118zd2_3377, obj_t BgL_kapturedzf31119zf3_3378,
		obj_t BgL_celledzf31120zf3_3379)
	{
		{	/* Integrate/iinfo.scm 35 */
			{	/* Integrate/iinfo.scm 35 */
				bool_t BgL_detachedzf31116zf3_3602;
				bool_t BgL_kapturedzf31119zf3_3603;
				bool_t BgL_celledzf31120zf3_3604;

				BgL_detachedzf31116zf3_3602 = CBOOL(BgL_detachedzf31116zf3_3375);
				BgL_kapturedzf31119zf3_3603 = CBOOL(BgL_kapturedzf31119zf3_3378);
				BgL_celledzf31120zf3_3604 = CBOOL(BgL_celledzf31120zf3_3379);
				{	/* Integrate/iinfo.scm 35 */
					BgL_sexitz00_bglt BgL_new1196z00_3605;

					{	/* Integrate/iinfo.scm 35 */
						BgL_sexitz00_bglt BgL_tmp1194z00_3606;
						BgL_sexitzf2iinfozf2_bglt BgL_wide1195z00_3607;

						{
							BgL_sexitz00_bglt BgL_auxz00_5990;

							{	/* Integrate/iinfo.scm 35 */
								BgL_sexitz00_bglt BgL_new1193z00_3608;

								BgL_new1193z00_3608 =
									((BgL_sexitz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_sexitz00_bgl))));
								{	/* Integrate/iinfo.scm 35 */
									long BgL_arg1532z00_3609;

									BgL_arg1532z00_3609 = BGL_CLASS_NUM(BGl_sexitz00zzast_varz00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1193z00_3608),
										BgL_arg1532z00_3609);
								}
								{	/* Integrate/iinfo.scm 35 */
									BgL_objectz00_bglt BgL_tmpz00_5995;

									BgL_tmpz00_5995 = ((BgL_objectz00_bglt) BgL_new1193z00_3608);
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5995, BFALSE);
								}
								((BgL_objectz00_bglt) BgL_new1193z00_3608);
								BgL_auxz00_5990 = BgL_new1193z00_3608;
							}
							BgL_tmp1194z00_3606 = ((BgL_sexitz00_bglt) BgL_auxz00_5990);
						}
						BgL_wide1195z00_3607 =
							((BgL_sexitzf2iinfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_sexitzf2iinfozf2_bgl))));
						{	/* Integrate/iinfo.scm 35 */
							obj_t BgL_auxz00_6003;
							BgL_objectz00_bglt BgL_tmpz00_6001;

							BgL_auxz00_6003 = ((obj_t) BgL_wide1195z00_3607);
							BgL_tmpz00_6001 = ((BgL_objectz00_bglt) BgL_tmp1194z00_3606);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6001, BgL_auxz00_6003);
						}
						((BgL_objectz00_bglt) BgL_tmp1194z00_3606);
						{	/* Integrate/iinfo.scm 35 */
							long BgL_arg1530z00_3610;

							BgL_arg1530z00_3610 =
								BGL_CLASS_NUM(BGl_sexitzf2Iinfozf2zzintegrate_infoz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_tmp1194z00_3606),
								BgL_arg1530z00_3610);
						}
						BgL_new1196z00_3605 = ((BgL_sexitz00_bglt) BgL_tmp1194z00_3606);
					}
					((((BgL_sexitz00_bglt) COBJECT(
									((BgL_sexitz00_bglt) BgL_new1196z00_3605)))->BgL_handlerz00) =
						((obj_t) BgL_handler1115z00_3374), BUNSPEC);
					((((BgL_sexitz00_bglt) COBJECT(((BgL_sexitz00_bglt)
										BgL_new1196z00_3605)))->BgL_detachedzf3zf3) =
						((bool_t) BgL_detachedzf31116zf3_3602), BUNSPEC);
					{
						BgL_sexitzf2iinfozf2_bglt BgL_auxz00_6015;

						{
							obj_t BgL_auxz00_6016;

							{	/* Integrate/iinfo.scm 35 */
								BgL_objectz00_bglt BgL_tmpz00_6017;

								BgL_tmpz00_6017 = ((BgL_objectz00_bglt) BgL_new1196z00_3605);
								BgL_auxz00_6016 = BGL_OBJECT_WIDENING(BgL_tmpz00_6017);
							}
							BgL_auxz00_6015 = ((BgL_sexitzf2iinfozf2_bglt) BgL_auxz00_6016);
						}
						((((BgL_sexitzf2iinfozf2_bglt) COBJECT(BgL_auxz00_6015))->
								BgL_fzd2markzd2) = ((obj_t) BgL_fzd2mark1117zd2_3376), BUNSPEC);
					}
					{
						BgL_sexitzf2iinfozf2_bglt BgL_auxz00_6022;

						{
							obj_t BgL_auxz00_6023;

							{	/* Integrate/iinfo.scm 35 */
								BgL_objectz00_bglt BgL_tmpz00_6024;

								BgL_tmpz00_6024 = ((BgL_objectz00_bglt) BgL_new1196z00_3605);
								BgL_auxz00_6023 = BGL_OBJECT_WIDENING(BgL_tmpz00_6024);
							}
							BgL_auxz00_6022 = ((BgL_sexitzf2iinfozf2_bglt) BgL_auxz00_6023);
						}
						((((BgL_sexitzf2iinfozf2_bglt) COBJECT(BgL_auxz00_6022))->
								BgL_uzd2markzd2) = ((obj_t) BgL_uzd2mark1118zd2_3377), BUNSPEC);
					}
					{
						BgL_sexitzf2iinfozf2_bglt BgL_auxz00_6029;

						{
							obj_t BgL_auxz00_6030;

							{	/* Integrate/iinfo.scm 35 */
								BgL_objectz00_bglt BgL_tmpz00_6031;

								BgL_tmpz00_6031 = ((BgL_objectz00_bglt) BgL_new1196z00_3605);
								BgL_auxz00_6030 = BGL_OBJECT_WIDENING(BgL_tmpz00_6031);
							}
							BgL_auxz00_6029 = ((BgL_sexitzf2iinfozf2_bglt) BgL_auxz00_6030);
						}
						((((BgL_sexitzf2iinfozf2_bglt) COBJECT(BgL_auxz00_6029))->
								BgL_kapturedzf3zf3) =
							((bool_t) BgL_kapturedzf31119zf3_3603), BUNSPEC);
					}
					{
						BgL_sexitzf2iinfozf2_bglt BgL_auxz00_6036;

						{
							obj_t BgL_auxz00_6037;

							{	/* Integrate/iinfo.scm 35 */
								BgL_objectz00_bglt BgL_tmpz00_6038;

								BgL_tmpz00_6038 = ((BgL_objectz00_bglt) BgL_new1196z00_3605);
								BgL_auxz00_6037 = BGL_OBJECT_WIDENING(BgL_tmpz00_6038);
							}
							BgL_auxz00_6036 = ((BgL_sexitzf2iinfozf2_bglt) BgL_auxz00_6037);
						}
						((((BgL_sexitzf2iinfozf2_bglt) COBJECT(BgL_auxz00_6036))->
								BgL_celledzf3zf3) =
							((bool_t) BgL_celledzf31120zf3_3604), BUNSPEC);
					}
					return BgL_new1196z00_3605;
				}
			}
		}

	}



/* &<@anonymous:1629> */
	obj_t BGl_z62zc3z04anonymousza31629ze3ze5zzintegrate_infoz00(obj_t
		BgL_envz00_3380)
	{
		{	/* Integrate/iinfo.scm 35 */
			return BBOOL(((bool_t) 0));
		}

	}



/* &lambda1628 */
	obj_t BGl_z62lambda1628z62zzintegrate_infoz00(obj_t BgL_envz00_3381,
		obj_t BgL_oz00_3382, obj_t BgL_vz00_3383)
	{
		{	/* Integrate/iinfo.scm 35 */
			{	/* Integrate/iinfo.scm 35 */
				bool_t BgL_vz00_3612;

				BgL_vz00_3612 = CBOOL(BgL_vz00_3383);
				{
					BgL_sexitzf2iinfozf2_bglt BgL_auxz00_6045;

					{
						obj_t BgL_auxz00_6046;

						{	/* Integrate/iinfo.scm 35 */
							BgL_objectz00_bglt BgL_tmpz00_6047;

							BgL_tmpz00_6047 =
								((BgL_objectz00_bglt) ((BgL_sexitz00_bglt) BgL_oz00_3382));
							BgL_auxz00_6046 = BGL_OBJECT_WIDENING(BgL_tmpz00_6047);
						}
						BgL_auxz00_6045 = ((BgL_sexitzf2iinfozf2_bglt) BgL_auxz00_6046);
					}
					return
						((((BgL_sexitzf2iinfozf2_bglt) COBJECT(BgL_auxz00_6045))->
							BgL_celledzf3zf3) = ((bool_t) BgL_vz00_3612), BUNSPEC);
				}
			}
		}

	}



/* &lambda1627 */
	obj_t BGl_z62lambda1627z62zzintegrate_infoz00(obj_t BgL_envz00_3384,
		obj_t BgL_oz00_3385)
	{
		{	/* Integrate/iinfo.scm 35 */
			{	/* Integrate/iinfo.scm 35 */
				bool_t BgL_tmpz00_6053;

				{
					BgL_sexitzf2iinfozf2_bglt BgL_auxz00_6054;

					{
						obj_t BgL_auxz00_6055;

						{	/* Integrate/iinfo.scm 35 */
							BgL_objectz00_bglt BgL_tmpz00_6056;

							BgL_tmpz00_6056 =
								((BgL_objectz00_bglt) ((BgL_sexitz00_bglt) BgL_oz00_3385));
							BgL_auxz00_6055 = BGL_OBJECT_WIDENING(BgL_tmpz00_6056);
						}
						BgL_auxz00_6054 = ((BgL_sexitzf2iinfozf2_bglt) BgL_auxz00_6055);
					}
					BgL_tmpz00_6053 =
						(((BgL_sexitzf2iinfozf2_bglt) COBJECT(BgL_auxz00_6054))->
						BgL_celledzf3zf3);
				}
				return BBOOL(BgL_tmpz00_6053);
			}
		}

	}



/* &<@anonymous:1608> */
	obj_t BGl_z62zc3z04anonymousza31608ze3ze5zzintegrate_infoz00(obj_t
		BgL_envz00_3386)
	{
		{	/* Integrate/iinfo.scm 35 */
			return BBOOL(((bool_t) 0));
		}

	}



/* &lambda1607 */
	obj_t BGl_z62lambda1607z62zzintegrate_infoz00(obj_t BgL_envz00_3387,
		obj_t BgL_oz00_3388, obj_t BgL_vz00_3389)
	{
		{	/* Integrate/iinfo.scm 35 */
			{	/* Integrate/iinfo.scm 35 */
				bool_t BgL_vz00_3615;

				BgL_vz00_3615 = CBOOL(BgL_vz00_3389);
				{
					BgL_sexitzf2iinfozf2_bglt BgL_auxz00_6065;

					{
						obj_t BgL_auxz00_6066;

						{	/* Integrate/iinfo.scm 35 */
							BgL_objectz00_bglt BgL_tmpz00_6067;

							BgL_tmpz00_6067 =
								((BgL_objectz00_bglt) ((BgL_sexitz00_bglt) BgL_oz00_3388));
							BgL_auxz00_6066 = BGL_OBJECT_WIDENING(BgL_tmpz00_6067);
						}
						BgL_auxz00_6065 = ((BgL_sexitzf2iinfozf2_bglt) BgL_auxz00_6066);
					}
					return
						((((BgL_sexitzf2iinfozf2_bglt) COBJECT(BgL_auxz00_6065))->
							BgL_kapturedzf3zf3) = ((bool_t) BgL_vz00_3615), BUNSPEC);
				}
			}
		}

	}



/* &lambda1606 */
	obj_t BGl_z62lambda1606z62zzintegrate_infoz00(obj_t BgL_envz00_3390,
		obj_t BgL_oz00_3391)
	{
		{	/* Integrate/iinfo.scm 35 */
			{	/* Integrate/iinfo.scm 35 */
				bool_t BgL_tmpz00_6073;

				{
					BgL_sexitzf2iinfozf2_bglt BgL_auxz00_6074;

					{
						obj_t BgL_auxz00_6075;

						{	/* Integrate/iinfo.scm 35 */
							BgL_objectz00_bglt BgL_tmpz00_6076;

							BgL_tmpz00_6076 =
								((BgL_objectz00_bglt) ((BgL_sexitz00_bglt) BgL_oz00_3391));
							BgL_auxz00_6075 = BGL_OBJECT_WIDENING(BgL_tmpz00_6076);
						}
						BgL_auxz00_6074 = ((BgL_sexitzf2iinfozf2_bglt) BgL_auxz00_6075);
					}
					BgL_tmpz00_6073 =
						(((BgL_sexitzf2iinfozf2_bglt) COBJECT(BgL_auxz00_6074))->
						BgL_kapturedzf3zf3);
				}
				return BBOOL(BgL_tmpz00_6073);
			}
		}

	}



/* &<@anonymous:1591> */
	obj_t BGl_z62zc3z04anonymousza31591ze3ze5zzintegrate_infoz00(obj_t
		BgL_envz00_3392)
	{
		{	/* Integrate/iinfo.scm 35 */
			return BUNSPEC;
		}

	}



/* &lambda1590 */
	obj_t BGl_z62lambda1590z62zzintegrate_infoz00(obj_t BgL_envz00_3393,
		obj_t BgL_oz00_3394, obj_t BgL_vz00_3395)
	{
		{	/* Integrate/iinfo.scm 35 */
			{
				BgL_sexitzf2iinfozf2_bglt BgL_auxz00_6083;

				{
					obj_t BgL_auxz00_6084;

					{	/* Integrate/iinfo.scm 35 */
						BgL_objectz00_bglt BgL_tmpz00_6085;

						BgL_tmpz00_6085 =
							((BgL_objectz00_bglt) ((BgL_sexitz00_bglt) BgL_oz00_3394));
						BgL_auxz00_6084 = BGL_OBJECT_WIDENING(BgL_tmpz00_6085);
					}
					BgL_auxz00_6083 = ((BgL_sexitzf2iinfozf2_bglt) BgL_auxz00_6084);
				}
				return
					((((BgL_sexitzf2iinfozf2_bglt) COBJECT(BgL_auxz00_6083))->
						BgL_uzd2markzd2) = ((obj_t) BgL_vz00_3395), BUNSPEC);
			}
		}

	}



/* &lambda1589 */
	obj_t BGl_z62lambda1589z62zzintegrate_infoz00(obj_t BgL_envz00_3396,
		obj_t BgL_oz00_3397)
	{
		{	/* Integrate/iinfo.scm 35 */
			{
				BgL_sexitzf2iinfozf2_bglt BgL_auxz00_6091;

				{
					obj_t BgL_auxz00_6092;

					{	/* Integrate/iinfo.scm 35 */
						BgL_objectz00_bglt BgL_tmpz00_6093;

						BgL_tmpz00_6093 =
							((BgL_objectz00_bglt) ((BgL_sexitz00_bglt) BgL_oz00_3397));
						BgL_auxz00_6092 = BGL_OBJECT_WIDENING(BgL_tmpz00_6093);
					}
					BgL_auxz00_6091 = ((BgL_sexitzf2iinfozf2_bglt) BgL_auxz00_6092);
				}
				return
					(((BgL_sexitzf2iinfozf2_bglt) COBJECT(BgL_auxz00_6091))->
					BgL_uzd2markzd2);
			}
		}

	}



/* &<@anonymous:1577> */
	obj_t BGl_z62zc3z04anonymousza31577ze3ze5zzintegrate_infoz00(obj_t
		BgL_envz00_3398)
	{
		{	/* Integrate/iinfo.scm 35 */
			return BUNSPEC;
		}

	}



/* &lambda1576 */
	obj_t BGl_z62lambda1576z62zzintegrate_infoz00(obj_t BgL_envz00_3399,
		obj_t BgL_oz00_3400, obj_t BgL_vz00_3401)
	{
		{	/* Integrate/iinfo.scm 35 */
			{
				BgL_sexitzf2iinfozf2_bglt BgL_auxz00_6099;

				{
					obj_t BgL_auxz00_6100;

					{	/* Integrate/iinfo.scm 35 */
						BgL_objectz00_bglt BgL_tmpz00_6101;

						BgL_tmpz00_6101 =
							((BgL_objectz00_bglt) ((BgL_sexitz00_bglt) BgL_oz00_3400));
						BgL_auxz00_6100 = BGL_OBJECT_WIDENING(BgL_tmpz00_6101);
					}
					BgL_auxz00_6099 = ((BgL_sexitzf2iinfozf2_bglt) BgL_auxz00_6100);
				}
				return
					((((BgL_sexitzf2iinfozf2_bglt) COBJECT(BgL_auxz00_6099))->
						BgL_fzd2markzd2) = ((obj_t) BgL_vz00_3401), BUNSPEC);
			}
		}

	}



/* &lambda1575 */
	obj_t BGl_z62lambda1575z62zzintegrate_infoz00(obj_t BgL_envz00_3402,
		obj_t BgL_oz00_3403)
	{
		{	/* Integrate/iinfo.scm 35 */
			{
				BgL_sexitzf2iinfozf2_bglt BgL_auxz00_6107;

				{
					obj_t BgL_auxz00_6108;

					{	/* Integrate/iinfo.scm 35 */
						BgL_objectz00_bglt BgL_tmpz00_6109;

						BgL_tmpz00_6109 =
							((BgL_objectz00_bglt) ((BgL_sexitz00_bglt) BgL_oz00_3403));
						BgL_auxz00_6108 = BGL_OBJECT_WIDENING(BgL_tmpz00_6109);
					}
					BgL_auxz00_6107 = ((BgL_sexitzf2iinfozf2_bglt) BgL_auxz00_6108);
				}
				return
					(((BgL_sexitzf2iinfozf2_bglt) COBJECT(BgL_auxz00_6107))->
					BgL_fzd2markzd2);
			}
		}

	}



/* &lambda1369 */
	BgL_svarz00_bglt BGl_z62lambda1369z62zzintegrate_infoz00(obj_t
		BgL_envz00_3404, obj_t BgL_o1113z00_3405)
	{
		{	/* Integrate/iinfo.scm 23 */
			{	/* Integrate/iinfo.scm 23 */
				long BgL_arg1370z00_3622;

				{	/* Integrate/iinfo.scm 23 */
					obj_t BgL_arg1371z00_3623;

					{	/* Integrate/iinfo.scm 23 */
						obj_t BgL_arg1376z00_3624;

						{	/* Integrate/iinfo.scm 23 */
							obj_t BgL_arg1866z00_3625;
							long BgL_arg1867z00_3626;

							BgL_arg1866z00_3625 = (BGl_za2classesza2z00zz__objectz00);
							{	/* Integrate/iinfo.scm 23 */
								long BgL_arg1869z00_3627;

								BgL_arg1869z00_3627 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_svarz00_bglt) BgL_o1113z00_3405)));
								BgL_arg1867z00_3626 = (BgL_arg1869z00_3627 - OBJECT_TYPE);
							}
							BgL_arg1376z00_3624 =
								VECTOR_REF(BgL_arg1866z00_3625, BgL_arg1867z00_3626);
						}
						BgL_arg1371z00_3623 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg1376z00_3624);
					}
					{	/* Integrate/iinfo.scm 23 */
						obj_t BgL_tmpz00_6122;

						BgL_tmpz00_6122 = ((obj_t) BgL_arg1371z00_3623);
						BgL_arg1370z00_3622 = BGL_CLASS_NUM(BgL_tmpz00_6122);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_svarz00_bglt) BgL_o1113z00_3405)), BgL_arg1370z00_3622);
			}
			{	/* Integrate/iinfo.scm 23 */
				BgL_objectz00_bglt BgL_tmpz00_6128;

				BgL_tmpz00_6128 =
					((BgL_objectz00_bglt) ((BgL_svarz00_bglt) BgL_o1113z00_3405));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6128, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_svarz00_bglt) BgL_o1113z00_3405));
			return ((BgL_svarz00_bglt) ((BgL_svarz00_bglt) BgL_o1113z00_3405));
		}

	}



/* &<@anonymous:1368> */
	obj_t BGl_z62zc3z04anonymousza31368ze3ze5zzintegrate_infoz00(obj_t
		BgL_envz00_3406, obj_t BgL_new1112z00_3407)
	{
		{	/* Integrate/iinfo.scm 23 */
			{
				BgL_svarz00_bglt BgL_auxz00_6136;

				((((BgL_svarz00_bglt) COBJECT(
								((BgL_svarz00_bglt)
									((BgL_svarz00_bglt) BgL_new1112z00_3407))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_svarzf2iinfozf2_bglt BgL_auxz00_6140;

					{
						obj_t BgL_auxz00_6141;

						{	/* Integrate/iinfo.scm 23 */
							BgL_objectz00_bglt BgL_tmpz00_6142;

							BgL_tmpz00_6142 =
								((BgL_objectz00_bglt) ((BgL_svarz00_bglt) BgL_new1112z00_3407));
							BgL_auxz00_6141 = BGL_OBJECT_WIDENING(BgL_tmpz00_6142);
						}
						BgL_auxz00_6140 = ((BgL_svarzf2iinfozf2_bglt) BgL_auxz00_6141);
					}
					((((BgL_svarzf2iinfozf2_bglt) COBJECT(BgL_auxz00_6140))->
							BgL_fzd2markzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				}
				{
					BgL_svarzf2iinfozf2_bglt BgL_auxz00_6148;

					{
						obj_t BgL_auxz00_6149;

						{	/* Integrate/iinfo.scm 23 */
							BgL_objectz00_bglt BgL_tmpz00_6150;

							BgL_tmpz00_6150 =
								((BgL_objectz00_bglt) ((BgL_svarz00_bglt) BgL_new1112z00_3407));
							BgL_auxz00_6149 = BGL_OBJECT_WIDENING(BgL_tmpz00_6150);
						}
						BgL_auxz00_6148 = ((BgL_svarzf2iinfozf2_bglt) BgL_auxz00_6149);
					}
					((((BgL_svarzf2iinfozf2_bglt) COBJECT(BgL_auxz00_6148))->
							BgL_uzd2markzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				}
				{
					BgL_svarzf2iinfozf2_bglt BgL_auxz00_6156;

					{
						obj_t BgL_auxz00_6157;

						{	/* Integrate/iinfo.scm 23 */
							BgL_objectz00_bglt BgL_tmpz00_6158;

							BgL_tmpz00_6158 =
								((BgL_objectz00_bglt) ((BgL_svarz00_bglt) BgL_new1112z00_3407));
							BgL_auxz00_6157 = BGL_OBJECT_WIDENING(BgL_tmpz00_6158);
						}
						BgL_auxz00_6156 = ((BgL_svarzf2iinfozf2_bglt) BgL_auxz00_6157);
					}
					((((BgL_svarzf2iinfozf2_bglt) COBJECT(BgL_auxz00_6156))->
							BgL_kapturedzf3zf3) = ((bool_t) ((bool_t) 0)), BUNSPEC);
				}
				{
					BgL_svarzf2iinfozf2_bglt BgL_auxz00_6164;

					{
						obj_t BgL_auxz00_6165;

						{	/* Integrate/iinfo.scm 23 */
							BgL_objectz00_bglt BgL_tmpz00_6166;

							BgL_tmpz00_6166 =
								((BgL_objectz00_bglt) ((BgL_svarz00_bglt) BgL_new1112z00_3407));
							BgL_auxz00_6165 = BGL_OBJECT_WIDENING(BgL_tmpz00_6166);
						}
						BgL_auxz00_6164 = ((BgL_svarzf2iinfozf2_bglt) BgL_auxz00_6165);
					}
					((((BgL_svarzf2iinfozf2_bglt) COBJECT(BgL_auxz00_6164))->
							BgL_celledzf3zf3) = ((bool_t) ((bool_t) 0)), BUNSPEC);
				}
				{
					BgL_svarzf2iinfozf2_bglt BgL_auxz00_6172;

					{
						obj_t BgL_auxz00_6173;

						{	/* Integrate/iinfo.scm 23 */
							BgL_objectz00_bglt BgL_tmpz00_6174;

							BgL_tmpz00_6174 =
								((BgL_objectz00_bglt) ((BgL_svarz00_bglt) BgL_new1112z00_3407));
							BgL_auxz00_6173 = BGL_OBJECT_WIDENING(BgL_tmpz00_6174);
						}
						BgL_auxz00_6172 = ((BgL_svarzf2iinfozf2_bglt) BgL_auxz00_6173);
					}
					((((BgL_svarzf2iinfozf2_bglt) COBJECT(BgL_auxz00_6172))->
							BgL_xhdlz00) = ((obj_t) BUNSPEC), BUNSPEC);
				}
				BgL_auxz00_6136 = ((BgL_svarz00_bglt) BgL_new1112z00_3407);
				return ((obj_t) BgL_auxz00_6136);
			}
		}

	}



/* &lambda1366 */
	BgL_svarz00_bglt BGl_z62lambda1366z62zzintegrate_infoz00(obj_t
		BgL_envz00_3408, obj_t BgL_o1109z00_3409)
	{
		{	/* Integrate/iinfo.scm 23 */
			{	/* Integrate/iinfo.scm 23 */
				BgL_svarzf2iinfozf2_bglt BgL_wide1111z00_3630;

				BgL_wide1111z00_3630 =
					((BgL_svarzf2iinfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_svarzf2iinfozf2_bgl))));
				{	/* Integrate/iinfo.scm 23 */
					obj_t BgL_auxz00_6187;
					BgL_objectz00_bglt BgL_tmpz00_6183;

					BgL_auxz00_6187 = ((obj_t) BgL_wide1111z00_3630);
					BgL_tmpz00_6183 =
						((BgL_objectz00_bglt)
						((BgL_svarz00_bglt) ((BgL_svarz00_bglt) BgL_o1109z00_3409)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6183, BgL_auxz00_6187);
				}
				((BgL_objectz00_bglt)
					((BgL_svarz00_bglt) ((BgL_svarz00_bglt) BgL_o1109z00_3409)));
				{	/* Integrate/iinfo.scm 23 */
					long BgL_arg1367z00_3631;

					BgL_arg1367z00_3631 =
						BGL_CLASS_NUM(BGl_svarzf2Iinfozf2zzintegrate_infoz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_svarz00_bglt)
								((BgL_svarz00_bglt) BgL_o1109z00_3409))), BgL_arg1367z00_3631);
				}
				return
					((BgL_svarz00_bglt)
					((BgL_svarz00_bglt) ((BgL_svarz00_bglt) BgL_o1109z00_3409)));
			}
		}

	}



/* &lambda1361 */
	BgL_svarz00_bglt BGl_z62lambda1361z62zzintegrate_infoz00(obj_t
		BgL_envz00_3410, obj_t BgL_loc1103z00_3411, obj_t BgL_fzd2mark1104zd2_3412,
		obj_t BgL_uzd2mark1105zd2_3413, obj_t BgL_kapturedzf31106zf3_3414,
		obj_t BgL_celledzf31107zf3_3415, obj_t BgL_xhdl1108z00_3416)
	{
		{	/* Integrate/iinfo.scm 23 */
			{	/* Integrate/iinfo.scm 23 */
				bool_t BgL_kapturedzf31106zf3_3632;
				bool_t BgL_celledzf31107zf3_3633;

				BgL_kapturedzf31106zf3_3632 = CBOOL(BgL_kapturedzf31106zf3_3414);
				BgL_celledzf31107zf3_3633 = CBOOL(BgL_celledzf31107zf3_3415);
				{	/* Integrate/iinfo.scm 23 */
					BgL_svarz00_bglt BgL_new1191z00_3634;

					{	/* Integrate/iinfo.scm 23 */
						BgL_svarz00_bglt BgL_tmp1188z00_3635;
						BgL_svarzf2iinfozf2_bglt BgL_wide1189z00_3636;

						{
							BgL_svarz00_bglt BgL_auxz00_6203;

							{	/* Integrate/iinfo.scm 23 */
								BgL_svarz00_bglt BgL_new1187z00_3637;

								BgL_new1187z00_3637 =
									((BgL_svarz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_svarz00_bgl))));
								{	/* Integrate/iinfo.scm 23 */
									long BgL_arg1365z00_3638;

									BgL_arg1365z00_3638 = BGL_CLASS_NUM(BGl_svarz00zzast_varz00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1187z00_3637),
										BgL_arg1365z00_3638);
								}
								{	/* Integrate/iinfo.scm 23 */
									BgL_objectz00_bglt BgL_tmpz00_6208;

									BgL_tmpz00_6208 = ((BgL_objectz00_bglt) BgL_new1187z00_3637);
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6208, BFALSE);
								}
								((BgL_objectz00_bglt) BgL_new1187z00_3637);
								BgL_auxz00_6203 = BgL_new1187z00_3637;
							}
							BgL_tmp1188z00_3635 = ((BgL_svarz00_bglt) BgL_auxz00_6203);
						}
						BgL_wide1189z00_3636 =
							((BgL_svarzf2iinfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_svarzf2iinfozf2_bgl))));
						{	/* Integrate/iinfo.scm 23 */
							obj_t BgL_auxz00_6216;
							BgL_objectz00_bglt BgL_tmpz00_6214;

							BgL_auxz00_6216 = ((obj_t) BgL_wide1189z00_3636);
							BgL_tmpz00_6214 = ((BgL_objectz00_bglt) BgL_tmp1188z00_3635);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6214, BgL_auxz00_6216);
						}
						((BgL_objectz00_bglt) BgL_tmp1188z00_3635);
						{	/* Integrate/iinfo.scm 23 */
							long BgL_arg1364z00_3639;

							BgL_arg1364z00_3639 =
								BGL_CLASS_NUM(BGl_svarzf2Iinfozf2zzintegrate_infoz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_tmp1188z00_3635),
								BgL_arg1364z00_3639);
						}
						BgL_new1191z00_3634 = ((BgL_svarz00_bglt) BgL_tmp1188z00_3635);
					}
					((((BgL_svarz00_bglt) COBJECT(
									((BgL_svarz00_bglt) BgL_new1191z00_3634)))->BgL_locz00) =
						((obj_t) BgL_loc1103z00_3411), BUNSPEC);
					{
						BgL_svarzf2iinfozf2_bglt BgL_auxz00_6226;

						{
							obj_t BgL_auxz00_6227;

							{	/* Integrate/iinfo.scm 23 */
								BgL_objectz00_bglt BgL_tmpz00_6228;

								BgL_tmpz00_6228 = ((BgL_objectz00_bglt) BgL_new1191z00_3634);
								BgL_auxz00_6227 = BGL_OBJECT_WIDENING(BgL_tmpz00_6228);
							}
							BgL_auxz00_6226 = ((BgL_svarzf2iinfozf2_bglt) BgL_auxz00_6227);
						}
						((((BgL_svarzf2iinfozf2_bglt) COBJECT(BgL_auxz00_6226))->
								BgL_fzd2markzd2) = ((obj_t) BgL_fzd2mark1104zd2_3412), BUNSPEC);
					}
					{
						BgL_svarzf2iinfozf2_bglt BgL_auxz00_6233;

						{
							obj_t BgL_auxz00_6234;

							{	/* Integrate/iinfo.scm 23 */
								BgL_objectz00_bglt BgL_tmpz00_6235;

								BgL_tmpz00_6235 = ((BgL_objectz00_bglt) BgL_new1191z00_3634);
								BgL_auxz00_6234 = BGL_OBJECT_WIDENING(BgL_tmpz00_6235);
							}
							BgL_auxz00_6233 = ((BgL_svarzf2iinfozf2_bglt) BgL_auxz00_6234);
						}
						((((BgL_svarzf2iinfozf2_bglt) COBJECT(BgL_auxz00_6233))->
								BgL_uzd2markzd2) = ((obj_t) BgL_uzd2mark1105zd2_3413), BUNSPEC);
					}
					{
						BgL_svarzf2iinfozf2_bglt BgL_auxz00_6240;

						{
							obj_t BgL_auxz00_6241;

							{	/* Integrate/iinfo.scm 23 */
								BgL_objectz00_bglt BgL_tmpz00_6242;

								BgL_tmpz00_6242 = ((BgL_objectz00_bglt) BgL_new1191z00_3634);
								BgL_auxz00_6241 = BGL_OBJECT_WIDENING(BgL_tmpz00_6242);
							}
							BgL_auxz00_6240 = ((BgL_svarzf2iinfozf2_bglt) BgL_auxz00_6241);
						}
						((((BgL_svarzf2iinfozf2_bglt) COBJECT(BgL_auxz00_6240))->
								BgL_kapturedzf3zf3) =
							((bool_t) BgL_kapturedzf31106zf3_3632), BUNSPEC);
					}
					{
						BgL_svarzf2iinfozf2_bglt BgL_auxz00_6247;

						{
							obj_t BgL_auxz00_6248;

							{	/* Integrate/iinfo.scm 23 */
								BgL_objectz00_bglt BgL_tmpz00_6249;

								BgL_tmpz00_6249 = ((BgL_objectz00_bglt) BgL_new1191z00_3634);
								BgL_auxz00_6248 = BGL_OBJECT_WIDENING(BgL_tmpz00_6249);
							}
							BgL_auxz00_6247 = ((BgL_svarzf2iinfozf2_bglt) BgL_auxz00_6248);
						}
						((((BgL_svarzf2iinfozf2_bglt) COBJECT(BgL_auxz00_6247))->
								BgL_celledzf3zf3) =
							((bool_t) BgL_celledzf31107zf3_3633), BUNSPEC);
					}
					{
						BgL_svarzf2iinfozf2_bglt BgL_auxz00_6254;

						{
							obj_t BgL_auxz00_6255;

							{	/* Integrate/iinfo.scm 23 */
								BgL_objectz00_bglt BgL_tmpz00_6256;

								BgL_tmpz00_6256 = ((BgL_objectz00_bglt) BgL_new1191z00_3634);
								BgL_auxz00_6255 = BGL_OBJECT_WIDENING(BgL_tmpz00_6256);
							}
							BgL_auxz00_6254 = ((BgL_svarzf2iinfozf2_bglt) BgL_auxz00_6255);
						}
						((((BgL_svarzf2iinfozf2_bglt) COBJECT(BgL_auxz00_6254))->
								BgL_xhdlz00) = ((obj_t) BgL_xhdl1108z00_3416), BUNSPEC);
					}
					return BgL_new1191z00_3634;
				}
			}
		}

	}



/* &<@anonymous:1493> */
	obj_t BGl_z62zc3z04anonymousza31493ze3ze5zzintegrate_infoz00(obj_t
		BgL_envz00_3417)
	{
		{	/* Integrate/iinfo.scm 23 */
			return BBOOL(((bool_t) 0));
		}

	}



/* &lambda1492 */
	obj_t BGl_z62lambda1492z62zzintegrate_infoz00(obj_t BgL_envz00_3418,
		obj_t BgL_oz00_3419, obj_t BgL_vz00_3420)
	{
		{	/* Integrate/iinfo.scm 23 */
			{
				BgL_svarzf2iinfozf2_bglt BgL_auxz00_6262;

				{
					obj_t BgL_auxz00_6263;

					{	/* Integrate/iinfo.scm 23 */
						BgL_objectz00_bglt BgL_tmpz00_6264;

						BgL_tmpz00_6264 =
							((BgL_objectz00_bglt) ((BgL_svarz00_bglt) BgL_oz00_3419));
						BgL_auxz00_6263 = BGL_OBJECT_WIDENING(BgL_tmpz00_6264);
					}
					BgL_auxz00_6262 = ((BgL_svarzf2iinfozf2_bglt) BgL_auxz00_6263);
				}
				return
					((((BgL_svarzf2iinfozf2_bglt) COBJECT(BgL_auxz00_6262))->
						BgL_xhdlz00) = ((obj_t) BgL_vz00_3420), BUNSPEC);
			}
		}

	}



/* &lambda1491 */
	obj_t BGl_z62lambda1491z62zzintegrate_infoz00(obj_t BgL_envz00_3421,
		obj_t BgL_oz00_3422)
	{
		{	/* Integrate/iinfo.scm 23 */
			{
				BgL_svarzf2iinfozf2_bglt BgL_auxz00_6270;

				{
					obj_t BgL_auxz00_6271;

					{	/* Integrate/iinfo.scm 23 */
						BgL_objectz00_bglt BgL_tmpz00_6272;

						BgL_tmpz00_6272 =
							((BgL_objectz00_bglt) ((BgL_svarz00_bglt) BgL_oz00_3422));
						BgL_auxz00_6271 = BGL_OBJECT_WIDENING(BgL_tmpz00_6272);
					}
					BgL_auxz00_6270 = ((BgL_svarzf2iinfozf2_bglt) BgL_auxz00_6271);
				}
				return
					(((BgL_svarzf2iinfozf2_bglt) COBJECT(BgL_auxz00_6270))->BgL_xhdlz00);
			}
		}

	}



/* &<@anonymous:1483> */
	obj_t BGl_z62zc3z04anonymousza31483ze3ze5zzintegrate_infoz00(obj_t
		BgL_envz00_3423)
	{
		{	/* Integrate/iinfo.scm 23 */
			return BBOOL(((bool_t) 0));
		}

	}



/* &lambda1482 */
	obj_t BGl_z62lambda1482z62zzintegrate_infoz00(obj_t BgL_envz00_3424,
		obj_t BgL_oz00_3425, obj_t BgL_vz00_3426)
	{
		{	/* Integrate/iinfo.scm 23 */
			{	/* Integrate/iinfo.scm 23 */
				bool_t BgL_vz00_3643;

				BgL_vz00_3643 = CBOOL(BgL_vz00_3426);
				{
					BgL_svarzf2iinfozf2_bglt BgL_auxz00_6280;

					{
						obj_t BgL_auxz00_6281;

						{	/* Integrate/iinfo.scm 23 */
							BgL_objectz00_bglt BgL_tmpz00_6282;

							BgL_tmpz00_6282 =
								((BgL_objectz00_bglt) ((BgL_svarz00_bglt) BgL_oz00_3425));
							BgL_auxz00_6281 = BGL_OBJECT_WIDENING(BgL_tmpz00_6282);
						}
						BgL_auxz00_6280 = ((BgL_svarzf2iinfozf2_bglt) BgL_auxz00_6281);
					}
					return
						((((BgL_svarzf2iinfozf2_bglt) COBJECT(BgL_auxz00_6280))->
							BgL_celledzf3zf3) = ((bool_t) BgL_vz00_3643), BUNSPEC);
				}
			}
		}

	}



/* &lambda1481 */
	obj_t BGl_z62lambda1481z62zzintegrate_infoz00(obj_t BgL_envz00_3427,
		obj_t BgL_oz00_3428)
	{
		{	/* Integrate/iinfo.scm 23 */
			{	/* Integrate/iinfo.scm 23 */
				bool_t BgL_tmpz00_6288;

				{
					BgL_svarzf2iinfozf2_bglt BgL_auxz00_6289;

					{
						obj_t BgL_auxz00_6290;

						{	/* Integrate/iinfo.scm 23 */
							BgL_objectz00_bglt BgL_tmpz00_6291;

							BgL_tmpz00_6291 =
								((BgL_objectz00_bglt) ((BgL_svarz00_bglt) BgL_oz00_3428));
							BgL_auxz00_6290 = BGL_OBJECT_WIDENING(BgL_tmpz00_6291);
						}
						BgL_auxz00_6289 = ((BgL_svarzf2iinfozf2_bglt) BgL_auxz00_6290);
					}
					BgL_tmpz00_6288 =
						(((BgL_svarzf2iinfozf2_bglt) COBJECT(BgL_auxz00_6289))->
						BgL_celledzf3zf3);
				}
				return BBOOL(BgL_tmpz00_6288);
			}
		}

	}



/* &<@anonymous:1419> */
	obj_t BGl_z62zc3z04anonymousza31419ze3ze5zzintegrate_infoz00(obj_t
		BgL_envz00_3429)
	{
		{	/* Integrate/iinfo.scm 23 */
			return BBOOL(((bool_t) 0));
		}

	}



/* &lambda1418 */
	obj_t BGl_z62lambda1418z62zzintegrate_infoz00(obj_t BgL_envz00_3430,
		obj_t BgL_oz00_3431, obj_t BgL_vz00_3432)
	{
		{	/* Integrate/iinfo.scm 23 */
			{	/* Integrate/iinfo.scm 23 */
				bool_t BgL_vz00_3646;

				BgL_vz00_3646 = CBOOL(BgL_vz00_3432);
				{
					BgL_svarzf2iinfozf2_bglt BgL_auxz00_6300;

					{
						obj_t BgL_auxz00_6301;

						{	/* Integrate/iinfo.scm 23 */
							BgL_objectz00_bglt BgL_tmpz00_6302;

							BgL_tmpz00_6302 =
								((BgL_objectz00_bglt) ((BgL_svarz00_bglt) BgL_oz00_3431));
							BgL_auxz00_6301 = BGL_OBJECT_WIDENING(BgL_tmpz00_6302);
						}
						BgL_auxz00_6300 = ((BgL_svarzf2iinfozf2_bglt) BgL_auxz00_6301);
					}
					return
						((((BgL_svarzf2iinfozf2_bglt) COBJECT(BgL_auxz00_6300))->
							BgL_kapturedzf3zf3) = ((bool_t) BgL_vz00_3646), BUNSPEC);
				}
			}
		}

	}



/* &lambda1417 */
	obj_t BGl_z62lambda1417z62zzintegrate_infoz00(obj_t BgL_envz00_3433,
		obj_t BgL_oz00_3434)
	{
		{	/* Integrate/iinfo.scm 23 */
			{	/* Integrate/iinfo.scm 23 */
				bool_t BgL_tmpz00_6308;

				{
					BgL_svarzf2iinfozf2_bglt BgL_auxz00_6309;

					{
						obj_t BgL_auxz00_6310;

						{	/* Integrate/iinfo.scm 23 */
							BgL_objectz00_bglt BgL_tmpz00_6311;

							BgL_tmpz00_6311 =
								((BgL_objectz00_bglt) ((BgL_svarz00_bglt) BgL_oz00_3434));
							BgL_auxz00_6310 = BGL_OBJECT_WIDENING(BgL_tmpz00_6311);
						}
						BgL_auxz00_6309 = ((BgL_svarzf2iinfozf2_bglt) BgL_auxz00_6310);
					}
					BgL_tmpz00_6308 =
						(((BgL_svarzf2iinfozf2_bglt) COBJECT(BgL_auxz00_6309))->
						BgL_kapturedzf3zf3);
				}
				return BBOOL(BgL_tmpz00_6308);
			}
		}

	}



/* &<@anonymous:1403> */
	obj_t BGl_z62zc3z04anonymousza31403ze3ze5zzintegrate_infoz00(obj_t
		BgL_envz00_3435)
	{
		{	/* Integrate/iinfo.scm 23 */
			return BUNSPEC;
		}

	}



/* &lambda1402 */
	obj_t BGl_z62lambda1402z62zzintegrate_infoz00(obj_t BgL_envz00_3436,
		obj_t BgL_oz00_3437, obj_t BgL_vz00_3438)
	{
		{	/* Integrate/iinfo.scm 23 */
			{
				BgL_svarzf2iinfozf2_bglt BgL_auxz00_6318;

				{
					obj_t BgL_auxz00_6319;

					{	/* Integrate/iinfo.scm 23 */
						BgL_objectz00_bglt BgL_tmpz00_6320;

						BgL_tmpz00_6320 =
							((BgL_objectz00_bglt) ((BgL_svarz00_bglt) BgL_oz00_3437));
						BgL_auxz00_6319 = BGL_OBJECT_WIDENING(BgL_tmpz00_6320);
					}
					BgL_auxz00_6318 = ((BgL_svarzf2iinfozf2_bglt) BgL_auxz00_6319);
				}
				return
					((((BgL_svarzf2iinfozf2_bglt) COBJECT(BgL_auxz00_6318))->
						BgL_uzd2markzd2) = ((obj_t) BgL_vz00_3438), BUNSPEC);
			}
		}

	}



/* &lambda1401 */
	obj_t BGl_z62lambda1401z62zzintegrate_infoz00(obj_t BgL_envz00_3439,
		obj_t BgL_oz00_3440)
	{
		{	/* Integrate/iinfo.scm 23 */
			{
				BgL_svarzf2iinfozf2_bglt BgL_auxz00_6326;

				{
					obj_t BgL_auxz00_6327;

					{	/* Integrate/iinfo.scm 23 */
						BgL_objectz00_bglt BgL_tmpz00_6328;

						BgL_tmpz00_6328 =
							((BgL_objectz00_bglt) ((BgL_svarz00_bglt) BgL_oz00_3440));
						BgL_auxz00_6327 = BGL_OBJECT_WIDENING(BgL_tmpz00_6328);
					}
					BgL_auxz00_6326 = ((BgL_svarzf2iinfozf2_bglt) BgL_auxz00_6327);
				}
				return
					(((BgL_svarzf2iinfozf2_bglt) COBJECT(BgL_auxz00_6326))->
					BgL_uzd2markzd2);
			}
		}

	}



/* &<@anonymous:1386> */
	obj_t BGl_z62zc3z04anonymousza31386ze3ze5zzintegrate_infoz00(obj_t
		BgL_envz00_3441)
	{
		{	/* Integrate/iinfo.scm 23 */
			return BUNSPEC;
		}

	}



/* &lambda1385 */
	obj_t BGl_z62lambda1385z62zzintegrate_infoz00(obj_t BgL_envz00_3442,
		obj_t BgL_oz00_3443, obj_t BgL_vz00_3444)
	{
		{	/* Integrate/iinfo.scm 23 */
			{
				BgL_svarzf2iinfozf2_bglt BgL_auxz00_6334;

				{
					obj_t BgL_auxz00_6335;

					{	/* Integrate/iinfo.scm 23 */
						BgL_objectz00_bglt BgL_tmpz00_6336;

						BgL_tmpz00_6336 =
							((BgL_objectz00_bglt) ((BgL_svarz00_bglt) BgL_oz00_3443));
						BgL_auxz00_6335 = BGL_OBJECT_WIDENING(BgL_tmpz00_6336);
					}
					BgL_auxz00_6334 = ((BgL_svarzf2iinfozf2_bglt) BgL_auxz00_6335);
				}
				return
					((((BgL_svarzf2iinfozf2_bglt) COBJECT(BgL_auxz00_6334))->
						BgL_fzd2markzd2) = ((obj_t) BgL_vz00_3444), BUNSPEC);
			}
		}

	}



/* &lambda1384 */
	obj_t BGl_z62lambda1384z62zzintegrate_infoz00(obj_t BgL_envz00_3445,
		obj_t BgL_oz00_3446)
	{
		{	/* Integrate/iinfo.scm 23 */
			{
				BgL_svarzf2iinfozf2_bglt BgL_auxz00_6342;

				{
					obj_t BgL_auxz00_6343;

					{	/* Integrate/iinfo.scm 23 */
						BgL_objectz00_bglt BgL_tmpz00_6344;

						BgL_tmpz00_6344 =
							((BgL_objectz00_bglt) ((BgL_svarz00_bglt) BgL_oz00_3446));
						BgL_auxz00_6343 = BGL_OBJECT_WIDENING(BgL_tmpz00_6344);
					}
					BgL_auxz00_6342 = ((BgL_svarzf2iinfozf2_bglt) BgL_auxz00_6343);
				}
				return
					(((BgL_svarzf2iinfozf2_bglt) COBJECT(BgL_auxz00_6342))->
					BgL_fzd2markzd2);
			}
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzintegrate_infoz00(void)
	{
		{	/* Integrate/iinfo.scm 15 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzintegrate_infoz00(void)
	{
		{	/* Integrate/iinfo.scm 15 */
			return BUNSPEC;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzintegrate_infoz00(void)
	{
		{	/* Integrate/iinfo.scm 15 */
			BGl_modulezd2initializa7ationz75zztype_typez00(515343395L,
				BSTRING_TO_STRING(BGl_string2093z00zzintegrate_infoz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(90839984L,
				BSTRING_TO_STRING(BGl_string2093z00zzintegrate_infoz00));
			return
				BGl_modulezd2initializa7ationz75zzast_nodez00(469732712L,
				BSTRING_TO_STRING(BGl_string2093z00zzintegrate_infoz00));
		}

	}

#ifdef __cplusplus
}
#endif
