/*===========================================================================*/
/*   (Integrate/node.scm)                                                    */
/*   Bigloo (4.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Jan 27 07:45:49 AM CET 2025     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.6a/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.6a/lib/bigloo/4.6a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -stdc -indent Integrate/node.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL_INTEGRATE_NODE_TYPE_DEFINITIONS
#define BGL_INTEGRATE_NODE_TYPE_DEFINITIONS

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_nullz00;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_svarz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}              *BgL_svarz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_nodezf2effectzf2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
	}                       *BgL_nodezf2effectzf2_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_refz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_refz00_bglt;

	typedef struct BgL_closurez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}                 *BgL_closurez00_bglt;

	typedef struct BgL_kwotez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}               *BgL_kwotez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
		obj_t BgL_metaz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_stackablez00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_switchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_switchz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		struct BgL_nodez00_bgl *BgL_onexitz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		obj_t BgL_stackablez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}              *BgL_syncz00_bglt;

	typedef struct BgL_svarzf2iinfozf2_bgl
	{
		obj_t BgL_fzd2markzd2;
		obj_t BgL_uzd2markzd2;
		bool_t BgL_kapturedzf3zf3;
		bool_t BgL_celledzf3zf3;
		obj_t BgL_xhdlz00;
	}                      *BgL_svarzf2iinfozf2_bglt;

	typedef struct BgL_sfunzf2iinfozf2_bgl
	{
		obj_t BgL_ownerz00;
		obj_t BgL_freez00;
		obj_t BgL_boundz00;
		obj_t BgL_cfromz00;
		obj_t BgL_ctoz00;
		obj_t BgL_kz00;
		obj_t BgL_kza2za2;
		obj_t BgL_uz00;
		obj_t BgL_cnz00;
		obj_t BgL_ctz00;
		obj_t BgL_kontz00;
		bool_t BgL_gzf3zf3;
		bool_t BgL_forcegzf3zf3;
		obj_t BgL_lz00;
		obj_t BgL_ledz00;
		obj_t BgL_istampz00;
		obj_t BgL_globalz00;
		obj_t BgL_kapturedz00;
		obj_t BgL_tailzd2coercionzd2;
		bool_t BgL_xhdlzf3zf3;
		obj_t BgL_xhdlsz00;
	}                      *BgL_sfunzf2iinfozf2_bglt;


#endif													// BGL_INTEGRATE_NODE_TYPE_DEFINITIONS
#endif													// BGL_MODULE_TYPE_DEFINITIONS

	static BgL_nodez00_bglt BGl_z62gloz12zd2app1335za2zzintegrate_nodez00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_setqz00zzast_nodez00;
	static obj_t BGl_z62integratezd2celledzf3z43zzintegrate_nodez00(obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62gloz12z70zzintegrate_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzintegrate_nodez00 = BUNSPEC;
	extern obj_t BGl_closurez00zzast_nodez00;
	extern obj_t BGl_syncz00zzast_nodez00;
	extern obj_t
		BGl_thezd2globalzd2zzintegrate_localzd2ze3globalz31(BgL_localz00_bglt);
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	static BgL_nodez00_bglt BGl_gloz12z12zzintegrate_nodez00(BgL_nodez00_bglt,
		BgL_variablez00_bglt);
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_atomz00zzast_nodez00;
	static obj_t BGl_toplevelzd2initzd2zzintegrate_nodez00(void);
	extern obj_t BGl_sequencez00zzast_nodez00;
	static BgL_nodez00_bglt BGl_z62gloz12zd2atom1323za2zzintegrate_nodez00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	static obj_t BGl_genericzd2initzd2zzintegrate_nodez00(void);
	extern obj_t BGl_za2cellza2z00zztype_cachez00;
	static obj_t BGl_objectzd2initzd2zzintegrate_nodez00(void);
	static BgL_nodez00_bglt
		BGl_z62gloz12zd2conditional1347za2zzintegrate_nodez00(obj_t, obj_t, obj_t);
	extern obj_t BGl_sfunzf2Iinfozf2zzintegrate_infoz00;
	extern obj_t BGl_castz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62gloz12zd2letzd2fun1353z70zzintegrate_nodez00(obj_t, obj_t, obj_t);
	static BgL_localz00_bglt
		BGl_cellzd2variablezd2zzintegrate_nodez00(BgL_localz00_bglt);
	static obj_t BGl_z62gloz121319z70zzintegrate_nodez00(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	extern obj_t BGl_refz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62gloz12zd2appzd2ly1337z70zzintegrate_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_appendzd221011zd2zzintegrate_nodez00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzintegrate_nodez00(void);
	static obj_t BGl_z62integratezd2globaliza7ez12z05zzintegrate_nodez00(obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_externz00zzast_nodez00;
	extern BgL_typez00_bglt
		BGl_getzd2bigloozd2typez00zztype_cachez00(BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_integratezd2globaliza7ez12z67zzintegrate_nodez00(BgL_nodez00_bglt,
		BgL_variablez00_bglt, obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62gloz12zd2extern1341za2zzintegrate_nodez00(obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt BGl_cellzd2formalszd2zzintegrate_nodez00(obj_t,
		BgL_nodez00_bglt);
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	static BgL_nodez00_bglt
		BGl_z62gloz12zd2switch1351za2zzintegrate_nodez00(obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62gloz12zd2kwote1325za2zzintegrate_nodez00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62gloz12zd2setzd2exzd2it1357za2zzintegrate_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzintegrate_nodez00(long, char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zzintegrate_localzd2ze3globalz31(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzintegrate_infoz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_localz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typeofz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_svarzf2Iinfozf2zzintegrate_infoz00;
	extern obj_t BGl_appz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62gloz12zd2funcall1339za2zzintegrate_nodez00(obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62gloz12zd2cast1343za2zzintegrate_nodez00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	BGL_EXPORTED_DECL bool_t
		BGl_integratezd2celledzf3z21zzintegrate_nodez00(BgL_localz00_bglt);
	static BgL_nodez00_bglt
		BGl_z62gloz12zd2letzd2var1355z70zzintegrate_nodez00(obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62gloz12zd2setq1345za2zzintegrate_nodez00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_tprintz00zz__r4_output_6_10_3z00(obj_t, obj_t);
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_kwotez00zzast_nodez00;
	extern obj_t BGl_localz00zzast_varz00;
	static obj_t BGl_gloza2z12zb0zzintegrate_nodez00(obj_t, obj_t);
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzintegrate_nodez00(void);
	static obj_t BGl_libraryzd2moduleszd2initz00zzintegrate_nodez00(void);
	static BgL_nodez00_bglt BGl_z62gloz12zd2sync1333za2zzintegrate_nodez00(obj_t,
		obj_t, obj_t);
	extern BgL_localz00_bglt BGl_makezd2localzd2svarz00zzast_localz00(obj_t,
		BgL_typez00_bglt);
	static BgL_nodez00_bglt
		BGl_z62gloz12zd2closure1329za2zzintegrate_nodez00(obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62gloz12zd2fail1349za2zzintegrate_nodez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzintegrate_nodez00(void);
	static obj_t BGl_gczd2rootszd2initz00zzintegrate_nodez00(void);
	static obj_t BGl_celledzd2bindingszd2zzintegrate_nodez00(obj_t);
	static BgL_nodez00_bglt
		BGl_z62gloz12zd2boxzd2ref1363z70zzintegrate_nodez00(obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62gloz12zd2boxzd2setz121365z62zzintegrate_nodez00(obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62gloz12zd2makezd2box1361z70zzintegrate_nodez00(obj_t, obj_t, obj_t);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	extern obj_t BGl_za2unspecza2z00zztype_cachez00;
	static obj_t
		BGl_globaliza7ezd2localzd2funz12zb5zzintegrate_nodez00(BgL_localz00_bglt,
		BgL_variablez00_bglt);
	static BgL_nodez00_bglt BGl_z62gloz12zd2var1327za2zzintegrate_nodez00(obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62gloz12zd2jumpzd2exzd2it1359za2zzintegrate_nodez00(obj_t, obj_t,
		obj_t);
	static BgL_makezd2boxzd2_bglt
		BGl_azd2makezd2cellz00zzintegrate_nodez00(BgL_nodez00_bglt,
		BgL_variablez00_bglt);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_switchz00zzast_nodez00;
	extern obj_t BGl_conditionalz00zzast_nodez00;
	extern obj_t BGl_funcallz00zzast_nodez00;
	extern obj_t BGl_globalz00zzast_varz00;
	static BgL_nodez00_bglt
		BGl_z62gloz12zd2sequence1331za2zzintegrate_nodez00(obj_t, obj_t, obj_t);
	static obj_t __cnst[5];


	   
		 
		DEFINE_STATIC_BGL_GENERIC(BGl_gloz12zd2envzc0zzintegrate_nodez00,
		BgL_bgl_za762gloza712za770za7za7in2006za7,
		BGl_z62gloz12z70zzintegrate_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string1969z00zzintegrate_nodez00,
		BgL_bgl_string1969za700za7za7i2007za7, "glo!1319", 8);
	      DEFINE_STRING(BGl_string1970z00zzintegrate_nodez00,
		BgL_bgl_string1970za700za7za7i2008za7, "No method for this object", 25);
	      DEFINE_STRING(BGl_string1972z00zzintegrate_nodez00,
		BgL_bgl_string1972za700za7za7i2009za7, "glo!", 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1968z00zzintegrate_nodez00,
		BgL_bgl_za762gloza7121319za7702010za7,
		BGl_z62gloz121319z70zzintegrate_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1971z00zzintegrate_nodez00,
		BgL_bgl_za762gloza712za7d2atom2011za7,
		BGl_z62gloz12zd2atom1323za2zzintegrate_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1973z00zzintegrate_nodez00,
		BgL_bgl_za762gloza712za7d2kwot2012za7,
		BGl_z62gloz12zd2kwote1325za2zzintegrate_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1974z00zzintegrate_nodez00,
		BgL_bgl_za762gloza712za7d2var12013za7,
		BGl_z62gloz12zd2var1327za2zzintegrate_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1975z00zzintegrate_nodez00,
		BgL_bgl_za762gloza712za7d2clos2014za7,
		BGl_z62gloz12zd2closure1329za2zzintegrate_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1976z00zzintegrate_nodez00,
		BgL_bgl_za762gloza712za7d2sequ2015za7,
		BGl_z62gloz12zd2sequence1331za2zzintegrate_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1977z00zzintegrate_nodez00,
		BgL_bgl_za762gloza712za7d2sync2016za7,
		BGl_z62gloz12zd2sync1333za2zzintegrate_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1978z00zzintegrate_nodez00,
		BgL_bgl_za762gloza712za7d2app12017za7,
		BGl_z62gloz12zd2app1335za2zzintegrate_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1979z00zzintegrate_nodez00,
		BgL_bgl_za762gloza712za7d2appza72018z00,
		BGl_z62gloz12zd2appzd2ly1337z70zzintegrate_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_integratezd2celledzf3zd2envzf3zzintegrate_nodez00,
		BgL_bgl_za762integrateza7d2c2019z00,
		BGl_z62integratezd2celledzf3z43zzintegrate_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_integratezd2globaliza7ez12zd2envzb5zzintegrate_nodez00,
		BgL_bgl_za762integrateza7d2g2020z00,
		BGl_z62integratezd2globaliza7ez12z05zzintegrate_nodez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1980z00zzintegrate_nodez00,
		BgL_bgl_za762gloza712za7d2func2021za7,
		BGl_z62gloz12zd2funcall1339za2zzintegrate_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1981z00zzintegrate_nodez00,
		BgL_bgl_za762gloza712za7d2exte2022za7,
		BGl_z62gloz12zd2extern1341za2zzintegrate_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1982z00zzintegrate_nodez00,
		BgL_bgl_za762gloza712za7d2cast2023za7,
		BGl_z62gloz12zd2cast1343za2zzintegrate_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1983z00zzintegrate_nodez00,
		BgL_bgl_za762gloza712za7d2setq2024za7,
		BGl_z62gloz12zd2setq1345za2zzintegrate_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1984z00zzintegrate_nodez00,
		BgL_bgl_za762gloza712za7d2cond2025za7,
		BGl_z62gloz12zd2conditional1347za2zzintegrate_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1985z00zzintegrate_nodez00,
		BgL_bgl_za762gloza712za7d2fail2026za7,
		BGl_z62gloz12zd2fail1349za2zzintegrate_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1986z00zzintegrate_nodez00,
		BgL_bgl_za762gloza712za7d2swit2027za7,
		BGl_z62gloz12zd2switch1351za2zzintegrate_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1987z00zzintegrate_nodez00,
		BgL_bgl_za762gloza712za7d2letza72028z00,
		BGl_z62gloz12zd2letzd2fun1353z70zzintegrate_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string1994z00zzintegrate_nodez00,
		BgL_bgl_string1994za700za7za7i2029za7, "box-ref=", 8);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1988z00zzintegrate_nodez00,
		BgL_bgl_za762gloza712za7d2letza72030z00,
		BGl_z62gloz12zd2letzd2var1355z70zzintegrate_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string1995z00zzintegrate_nodez00,
		BgL_bgl_string1995za700za7za7i2031za7, ":", 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1989z00zzintegrate_nodez00,
		BgL_bgl_za762gloza712za7d2setza72032z00,
		BGl_z62gloz12zd2setzd2exzd2it1357za2zzintegrate_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string1996z00zzintegrate_nodez00,
		BgL_bgl_string1996za700za7za7i2033za7, ",", 1);
	      DEFINE_STRING(BGl_string1997z00zzintegrate_nodez00,
		BgL_bgl_string1997za700za7za7i2034za7, "Integrate/node.scm", 18);
	      DEFINE_STRING(BGl_string1998z00zzintegrate_nodez00,
		BgL_bgl_string1998za700za7za7i2035za7, "access=", 7);
	      DEFINE_STRING(BGl_string1999z00zzintegrate_nodez00,
		BgL_bgl_string1999za700za7za7i2036za7, "integration", 11);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1990z00zzintegrate_nodez00,
		BgL_bgl_za762gloza712za7d2jump2037za7,
		BGl_z62gloz12zd2jumpzd2exzd2it1359za2zzintegrate_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1991z00zzintegrate_nodez00,
		BgL_bgl_za762gloza712za7d2make2038za7,
		BGl_z62gloz12zd2makezd2box1361z70zzintegrate_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1992z00zzintegrate_nodez00,
		BgL_bgl_za762gloza712za7d2boxza72039z00,
		BGl_z62gloz12zd2boxzd2ref1363z70zzintegrate_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1993z00zzintegrate_nodez00,
		BgL_bgl_za762gloza712za7d2boxza72040z00,
		BGl_z62gloz12zd2boxzd2setz121365z62zzintegrate_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2000z00zzintegrate_nodez00,
		BgL_bgl_string2000za700za7za7i2041za7, "box-ref", 7);
	      DEFINE_STRING(BGl_string2001z00zzintegrate_nodez00,
		BgL_bgl_string2001za700za7za7i2042za7, "node-free", 9);
	      DEFINE_STRING(BGl_string2002z00zzintegrate_nodez00,
		BgL_bgl_string2002za700za7za7i2043za7, "Unexepected `closure' node", 26);
	      DEFINE_STRING(BGl_string2003z00zzintegrate_nodez00,
		BgL_bgl_string2003za700za7za7i2044za7, "integrate_node", 14);
	      DEFINE_STRING(BGl_string2004z00zzintegrate_nodez00,
		BgL_bgl_string2004za700za7za7i2045za7,
		"aux glo!1319 done (write cell-integrate) cell-integrate ", 56);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zzintegrate_nodez00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzintegrate_nodez00(long
		BgL_checksumz00_3320, char *BgL_fromz00_3321)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzintegrate_nodez00))
				{
					BGl_requirezd2initializa7ationz75zzintegrate_nodez00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzintegrate_nodez00();
					BGl_libraryzd2moduleszd2initz00zzintegrate_nodez00();
					BGl_cnstzd2initzd2zzintegrate_nodez00();
					BGl_importedzd2moduleszd2initz00zzintegrate_nodez00();
					BGl_genericzd2initzd2zzintegrate_nodez00();
					BGl_methodzd2initzd2zzintegrate_nodez00();
					return BGl_toplevelzd2initzd2zzintegrate_nodez00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzintegrate_nodez00(void)
	{
		{	/* Integrate/node.scm 15 */
			BGl_modulezd2initializa7ationz75zz__objectz00(0L, "integrate_node");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(0L,
				"integrate_node");
			BGl_modulezd2initializa7ationz75zz__readerz00(0L, "integrate_node");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(0L,
				"integrate_node");
			BGl_modulezd2initializa7ationz75zz__errorz00(0L, "integrate_node");
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(0L,
				"integrate_node");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(0L,
				"integrate_node");
			BGl_modulezd2initializa7ationz75zz__bitz00(0L, "integrate_node");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(0L,
				"integrate_node");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(0L,
				"integrate_node");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(0L,
				"integrate_node");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzintegrate_nodez00(void)
	{
		{	/* Integrate/node.scm 15 */
			{	/* Integrate/node.scm 15 */
				obj_t BgL_cportz00_3041;

				{	/* Integrate/node.scm 15 */
					obj_t BgL_stringz00_3048;

					BgL_stringz00_3048 = BGl_string2004z00zzintegrate_nodez00;
					{	/* Integrate/node.scm 15 */
						obj_t BgL_startz00_3049;

						BgL_startz00_3049 = BINT(0L);
						{	/* Integrate/node.scm 15 */
							obj_t BgL_endz00_3050;

							BgL_endz00_3050 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_3048)));
							{	/* Integrate/node.scm 15 */

								BgL_cportz00_3041 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_3048, BgL_startz00_3049, BgL_endz00_3050);
				}}}}
				{
					long BgL_iz00_3042;

					BgL_iz00_3042 = 4L;
				BgL_loopz00_3043:
					if ((BgL_iz00_3042 == (-1L)))
						{	/* Integrate/node.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Integrate/node.scm 15 */
							{	/* Integrate/node.scm 15 */
								obj_t BgL_arg2005z00_3044;

								{	/* Integrate/node.scm 15 */

									{	/* Integrate/node.scm 15 */
										obj_t BgL_locationz00_3046;

										BgL_locationz00_3046 = BBOOL(((bool_t) 0));
										{	/* Integrate/node.scm 15 */

											BgL_arg2005z00_3044 =
												BGl_readz00zz__readerz00(BgL_cportz00_3041,
												BgL_locationz00_3046);
										}
									}
								}
								{	/* Integrate/node.scm 15 */
									int BgL_tmpz00_3352;

									BgL_tmpz00_3352 = (int) (BgL_iz00_3042);
									CNST_TABLE_SET(BgL_tmpz00_3352, BgL_arg2005z00_3044);
							}}
							{	/* Integrate/node.scm 15 */
								int BgL_auxz00_3047;

								BgL_auxz00_3047 = (int) ((BgL_iz00_3042 - 1L));
								{
									long BgL_iz00_3357;

									BgL_iz00_3357 = (long) (BgL_auxz00_3047);
									BgL_iz00_3042 = BgL_iz00_3357;
									goto BgL_loopz00_3043;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzintegrate_nodez00(void)
	{
		{	/* Integrate/node.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzintegrate_nodez00(void)
	{
		{	/* Integrate/node.scm 15 */
			return BUNSPEC;
		}

	}



/* append-21011 */
	obj_t BGl_appendzd221011zd2zzintegrate_nodez00(obj_t BgL_l1z00_1,
		obj_t BgL_l2z00_2)
	{
		{
			if (NULLP(BgL_l1z00_1))
				{
					return BgL_l2z00_2;
				}
			else
				{
					obj_t BgL_headz00_1624;

					BgL_headz00_1624 = MAKE_YOUNG_PAIR(BNIL, BgL_l2z00_2);
					{
						obj_t BgL_prevz00_1625;
						obj_t BgL_tailz00_1626;

						BgL_prevz00_1625 = BgL_headz00_1624;
						BgL_tailz00_1626 = BgL_l1z00_1;
					BgL_loopz00_1627:
						if (PAIRP(BgL_tailz00_1626))
							{
								obj_t BgL_newzd2prevzd2_1629;

								BgL_newzd2prevzd2_1629 =
									MAKE_YOUNG_PAIR(CAR(BgL_tailz00_1626), BgL_l2z00_2);
								SET_CDR(BgL_prevz00_1625, BgL_newzd2prevzd2_1629);
								{
									obj_t BgL_tailz00_3369;
									obj_t BgL_prevz00_3368;

									BgL_prevz00_3368 = BgL_newzd2prevzd2_1629;
									BgL_tailz00_3369 = CDR(BgL_tailz00_1626);
									BgL_tailz00_1626 = BgL_tailz00_3369;
									BgL_prevz00_1625 = BgL_prevz00_3368;
									goto BgL_loopz00_1627;
								}
							}
						else
							{
								BNIL;
							}
						return CDR(BgL_headz00_1624);
					}
				}
		}

	}



/* integrate-globalize! */
	BGL_EXPORTED_DEF obj_t
		BGl_integratezd2globaliza7ez12z67zzintegrate_nodez00(BgL_nodez00_bglt
		BgL_astz00_3, BgL_variablez00_bglt BgL_integratorz00_4,
		obj_t BgL_whatzf2byza2z50_5)
	{
		{	/* Integrate/node.scm 36 */
			{	/* Integrate/node.scm 42 */
				BgL_valuez00_bglt BgL_funz00_1632;

				BgL_funz00_1632 =
					(((BgL_variablez00_bglt) COBJECT(BgL_integratorz00_4))->BgL_valuez00);
				{	/* Integrate/node.scm 42 */
					obj_t BgL_celledz00_1633;

					{	/* Integrate/node.scm 43 */
						obj_t BgL_arg1388z00_1654;

						BgL_arg1388z00_1654 =
							(((BgL_sfunz00_bglt) COBJECT(
									((BgL_sfunz00_bglt) BgL_funz00_1632)))->BgL_argsz00);
						BgL_celledz00_1633 =
							BGl_celledzd2bindingszd2zzintegrate_nodez00(BgL_arg1388z00_1654);
					}
					{	/* Integrate/node.scm 43 */
						obj_t BgL_whatzf2byza2z50_1634;

						BgL_whatzf2byza2z50_1634 =
							BGl_appendzd221011zd2zzintegrate_nodez00(BgL_celledz00_1633,
							BgL_whatzf2byza2z50_5);
						{	/* Integrate/node.scm 44 */

							{
								obj_t BgL_l1294z00_1636;

								BgL_l1294z00_1636 = BgL_whatzf2byza2z50_1634;
							BgL_zc3z04anonymousza31372ze3z87_1637:
								if (PAIRP(BgL_l1294z00_1636))
									{	/* Integrate/node.scm 46 */
										{	/* Integrate/node.scm 47 */
											obj_t BgL_wzd2bzd2_1639;

											BgL_wzd2bzd2_1639 = CAR(BgL_l1294z00_1636);
											{	/* Integrate/node.scm 47 */
												obj_t BgL_arg1376z00_1640;
												obj_t BgL_arg1379z00_1641;

												BgL_arg1376z00_1640 = CAR(((obj_t) BgL_wzd2bzd2_1639));
												BgL_arg1379z00_1641 = CDR(((obj_t) BgL_wzd2bzd2_1639));
												((((BgL_variablez00_bglt) COBJECT(
																((BgL_variablez00_bglt)
																	((BgL_localz00_bglt) BgL_arg1376z00_1640))))->
														BgL_fastzd2alphazd2) =
													((obj_t) BgL_arg1379z00_1641), BUNSPEC);
											}
										}
										{
											obj_t BgL_l1294z00_3387;

											BgL_l1294z00_3387 = CDR(BgL_l1294z00_1636);
											BgL_l1294z00_1636 = BgL_l1294z00_3387;
											goto BgL_zc3z04anonymousza31372ze3z87_1637;
										}
									}
								else
									{	/* Integrate/node.scm 46 */
										((bool_t) 1);
									}
							}
							{	/* Integrate/node.scm 49 */
								BgL_nodez00_bglt BgL_resz00_1644;

								BgL_resz00_1644 =
									BGl_cellzd2formalszd2zzintegrate_nodez00(BgL_celledz00_1633,
									BGl_gloz12z12zzintegrate_nodez00(BgL_astz00_3,
										BgL_integratorz00_4));
								{
									obj_t BgL_l1296z00_1646;

									BgL_l1296z00_1646 = BgL_whatzf2byza2z50_1634;
								BgL_zc3z04anonymousza31381ze3z87_1647:
									if (PAIRP(BgL_l1296z00_1646))
										{	/* Integrate/node.scm 51 */
											{	/* Integrate/node.scm 52 */
												obj_t BgL_wzd2bzd2_1649;

												BgL_wzd2bzd2_1649 = CAR(BgL_l1296z00_1646);
												{	/* Integrate/node.scm 52 */
													obj_t BgL_arg1383z00_1650;

													BgL_arg1383z00_1650 =
														CAR(((obj_t) BgL_wzd2bzd2_1649));
													((((BgL_variablez00_bglt) COBJECT(
																	((BgL_variablez00_bglt)
																		((BgL_localz00_bglt)
																			BgL_arg1383z00_1650))))->
															BgL_fastzd2alphazd2) =
														((obj_t) BUNSPEC), BUNSPEC);
												}
											}
											{
												obj_t BgL_l1296z00_3399;

												BgL_l1296z00_3399 = CDR(BgL_l1296z00_1646);
												BgL_l1296z00_1646 = BgL_l1296z00_3399;
												goto BgL_zc3z04anonymousza31381ze3z87_1647;
											}
										}
									else
										{	/* Integrate/node.scm 51 */
											((bool_t) 1);
										}
								}
								return ((obj_t) BgL_resz00_1644);
							}
						}
					}
				}
			}
		}

	}



/* &integrate-globalize! */
	obj_t BGl_z62integratezd2globaliza7ez12z05zzintegrate_nodez00(obj_t
		BgL_envz00_2940, obj_t BgL_astz00_2941, obj_t BgL_integratorz00_2942,
		obj_t BgL_whatzf2byza2z50_2943)
	{
		{	/* Integrate/node.scm 36 */
			return
				BGl_integratezd2globaliza7ez12z67zzintegrate_nodez00(
				((BgL_nodez00_bglt) BgL_astz00_2941),
				((BgL_variablez00_bglt) BgL_integratorz00_2942),
				BgL_whatzf2byza2z50_2943);
		}

	}



/* celled-bindings */
	obj_t BGl_celledzd2bindingszd2zzintegrate_nodez00(obj_t BgL_formalsz00_6)
	{
		{	/* Integrate/node.scm 59 */
			{
				obj_t BgL_celledz00_1657;
				obj_t BgL_formalsz00_1658;

				BgL_celledz00_1657 = BNIL;
				BgL_formalsz00_1658 = BgL_formalsz00_6;
			BgL_zc3z04anonymousza31389ze3z87_1659:
				if (NULLP(BgL_formalsz00_1658))
					{	/* Integrate/node.scm 63 */
						return BgL_celledz00_1657;
					}
				else
					{	/* Integrate/node.scm 65 */
						bool_t BgL_test2053z00_3407;

						{	/* Integrate/node.scm 65 */
							obj_t BgL_arg1406z00_1669;

							BgL_arg1406z00_1669 = CAR(((obj_t) BgL_formalsz00_1658));
							BgL_test2053z00_3407 =
								BGl_integratezd2celledzf3z21zzintegrate_nodez00(
								((BgL_localz00_bglt) BgL_arg1406z00_1669));
						}
						if (BgL_test2053z00_3407)
							{	/* Integrate/node.scm 68 */
								obj_t BgL_ovarz00_1663;

								BgL_ovarz00_1663 = CAR(((obj_t) BgL_formalsz00_1658));
								{	/* Integrate/node.scm 68 */
									BgL_localz00_bglt BgL_nvarz00_1664;

									BgL_nvarz00_1664 =
										BGl_cellzd2variablezd2zzintegrate_nodez00(
										((BgL_localz00_bglt) BgL_ovarz00_1663));
									{	/* Integrate/node.scm 69 */

										{	/* Integrate/node.scm 70 */
											obj_t BgL_arg1400z00_1665;
											obj_t BgL_arg1401z00_1666;

											{	/* Integrate/node.scm 70 */
												obj_t BgL_arg1402z00_1667;

												BgL_arg1402z00_1667 =
													MAKE_YOUNG_PAIR(BgL_ovarz00_1663,
													((obj_t) BgL_nvarz00_1664));
												BgL_arg1400z00_1665 =
													MAKE_YOUNG_PAIR(BgL_arg1402z00_1667,
													BgL_celledz00_1657);
											}
											BgL_arg1401z00_1666 = CDR(((obj_t) BgL_formalsz00_1658));
											{
												obj_t BgL_formalsz00_3422;
												obj_t BgL_celledz00_3421;

												BgL_celledz00_3421 = BgL_arg1400z00_1665;
												BgL_formalsz00_3422 = BgL_arg1401z00_1666;
												BgL_formalsz00_1658 = BgL_formalsz00_3422;
												BgL_celledz00_1657 = BgL_celledz00_3421;
												goto BgL_zc3z04anonymousza31389ze3z87_1659;
											}
										}
									}
								}
							}
						else
							{	/* Integrate/node.scm 66 */
								obj_t BgL_arg1403z00_1668;

								BgL_arg1403z00_1668 = CDR(((obj_t) BgL_formalsz00_1658));
								{
									obj_t BgL_formalsz00_3425;

									BgL_formalsz00_3425 = BgL_arg1403z00_1668;
									BgL_formalsz00_1658 = BgL_formalsz00_3425;
									goto BgL_zc3z04anonymousza31389ze3z87_1659;
								}
							}
					}
			}
		}

	}



/* cell-variable */
	BgL_localz00_bglt BGl_cellzd2variablezd2zzintegrate_nodez00(BgL_localz00_bglt
		BgL_localz00_7)
	{
		{	/* Integrate/node.scm 75 */
			{	/* Integrate/node.scm 76 */
				BgL_localz00_bglt BgL_varz00_1671;

				{	/* Integrate/node.scm 76 */
					obj_t BgL_arg1415z00_1677;

					BgL_arg1415z00_1677 =
						(((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt) BgL_localz00_7)))->BgL_idz00);
					BgL_varz00_1671 =
						BGl_makezd2localzd2svarz00zzast_localz00(BgL_arg1415z00_1677,
						((BgL_typez00_bglt) BGl_za2cellza2z00zztype_cachez00));
				}
				{	/* Integrate/node.scm 77 */
					obj_t BgL_vz00_2277;

					BgL_vz00_2277 = ((obj_t) CNST_TABLE_REF(0));
					((((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt) BgL_varz00_1671)))->BgL_accessz00) =
						((obj_t) BgL_vz00_2277), BUNSPEC);
				}
				{	/* Integrate/node.scm 78 */
					BgL_svarz00_bglt BgL_tmp1110z00_1672;

					BgL_tmp1110z00_1672 =
						((BgL_svarz00_bglt)
						(((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt) BgL_varz00_1671)))->BgL_valuez00));
					{	/* Integrate/node.scm 78 */
						BgL_svarzf2iinfozf2_bglt BgL_wide1112z00_1674;

						BgL_wide1112z00_1674 =
							((BgL_svarzf2iinfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_svarzf2iinfozf2_bgl))));
						{	/* Integrate/node.scm 78 */
							obj_t BgL_auxz00_3441;
							BgL_objectz00_bglt BgL_tmpz00_3438;

							BgL_auxz00_3441 = ((obj_t) BgL_wide1112z00_1674);
							BgL_tmpz00_3438 =
								((BgL_objectz00_bglt) ((BgL_svarz00_bglt) BgL_tmp1110z00_1672));
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3438, BgL_auxz00_3441);
						}
						((BgL_objectz00_bglt) ((BgL_svarz00_bglt) BgL_tmp1110z00_1672));
						{	/* Integrate/node.scm 78 */
							long BgL_arg1414z00_1675;

							BgL_arg1414z00_1675 =
								BGL_CLASS_NUM(BGl_svarzf2Iinfozf2zzintegrate_infoz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt)
									((BgL_svarz00_bglt) BgL_tmp1110z00_1672)),
								BgL_arg1414z00_1675);
						}
						((BgL_svarz00_bglt) ((BgL_svarz00_bglt) BgL_tmp1110z00_1672));
					}
					{
						BgL_svarzf2iinfozf2_bglt BgL_auxz00_3452;

						{
							obj_t BgL_auxz00_3453;

							{	/* Integrate/node.scm 79 */
								BgL_objectz00_bglt BgL_tmpz00_3454;

								BgL_tmpz00_3454 =
									((BgL_objectz00_bglt)
									((BgL_svarz00_bglt) BgL_tmp1110z00_1672));
								BgL_auxz00_3453 = BGL_OBJECT_WIDENING(BgL_tmpz00_3454);
							}
							BgL_auxz00_3452 = ((BgL_svarzf2iinfozf2_bglt) BgL_auxz00_3453);
						}
						((((BgL_svarzf2iinfozf2_bglt) COBJECT(BgL_auxz00_3452))->
								BgL_fzd2markzd2) = ((obj_t) BUNSPEC), BUNSPEC);
					}
					{
						BgL_svarzf2iinfozf2_bglt BgL_auxz00_3460;

						{
							obj_t BgL_auxz00_3461;

							{	/* Integrate/node.scm 79 */
								BgL_objectz00_bglt BgL_tmpz00_3462;

								BgL_tmpz00_3462 =
									((BgL_objectz00_bglt)
									((BgL_svarz00_bglt) BgL_tmp1110z00_1672));
								BgL_auxz00_3461 = BGL_OBJECT_WIDENING(BgL_tmpz00_3462);
							}
							BgL_auxz00_3460 = ((BgL_svarzf2iinfozf2_bglt) BgL_auxz00_3461);
						}
						((((BgL_svarzf2iinfozf2_bglt) COBJECT(BgL_auxz00_3460))->
								BgL_uzd2markzd2) = ((obj_t) BUNSPEC), BUNSPEC);
					}
					{
						BgL_svarzf2iinfozf2_bglt BgL_auxz00_3468;

						{
							obj_t BgL_auxz00_3469;

							{	/* Integrate/node.scm 80 */
								BgL_objectz00_bglt BgL_tmpz00_3470;

								BgL_tmpz00_3470 =
									((BgL_objectz00_bglt)
									((BgL_svarz00_bglt) BgL_tmp1110z00_1672));
								BgL_auxz00_3469 = BGL_OBJECT_WIDENING(BgL_tmpz00_3470);
							}
							BgL_auxz00_3468 = ((BgL_svarzf2iinfozf2_bglt) BgL_auxz00_3469);
						}
						((((BgL_svarzf2iinfozf2_bglt) COBJECT(BgL_auxz00_3468))->
								BgL_kapturedzf3zf3) = ((bool_t) ((bool_t) 1)), BUNSPEC);
					}
					{
						BgL_svarzf2iinfozf2_bglt BgL_auxz00_3476;

						{
							obj_t BgL_auxz00_3477;

							{	/* Integrate/node.scm 79 */
								BgL_objectz00_bglt BgL_tmpz00_3478;

								BgL_tmpz00_3478 =
									((BgL_objectz00_bglt)
									((BgL_svarz00_bglt) BgL_tmp1110z00_1672));
								BgL_auxz00_3477 = BGL_OBJECT_WIDENING(BgL_tmpz00_3478);
							}
							BgL_auxz00_3476 = ((BgL_svarzf2iinfozf2_bglt) BgL_auxz00_3477);
						}
						((((BgL_svarzf2iinfozf2_bglt) COBJECT(BgL_auxz00_3476))->
								BgL_celledzf3zf3) = ((bool_t) ((bool_t) 1)), BUNSPEC);
					}
					{
						BgL_svarzf2iinfozf2_bglt BgL_auxz00_3484;

						{
							obj_t BgL_auxz00_3485;

							{	/* Integrate/node.scm 79 */
								BgL_objectz00_bglt BgL_tmpz00_3486;

								BgL_tmpz00_3486 =
									((BgL_objectz00_bglt)
									((BgL_svarz00_bglt) BgL_tmp1110z00_1672));
								BgL_auxz00_3485 = BGL_OBJECT_WIDENING(BgL_tmpz00_3486);
							}
							BgL_auxz00_3484 = ((BgL_svarzf2iinfozf2_bglt) BgL_auxz00_3485);
						}
						((((BgL_svarzf2iinfozf2_bglt) COBJECT(BgL_auxz00_3484))->
								BgL_xhdlz00) = ((obj_t) BFALSE), BUNSPEC);
					}
					((BgL_svarz00_bglt) BgL_tmp1110z00_1672);
				}
				return BgL_varz00_1671;
			}
		}

	}



/* cell-formals */
	BgL_nodez00_bglt BGl_cellzd2formalszd2zzintegrate_nodez00(obj_t
		BgL_celledz00_8, BgL_nodez00_bglt BgL_bodyz00_9)
	{
		{	/* Integrate/node.scm 86 */
			if (NULLP(BgL_celledz00_8))
				{	/* Integrate/node.scm 87 */
					return BgL_bodyz00_9;
				}
			else
				{	/* Integrate/node.scm 89 */
					obj_t BgL_locz00_1679;

					BgL_locz00_1679 =
						(((BgL_nodez00_bglt) COBJECT(BgL_bodyz00_9))->BgL_locz00);
					{	/* Integrate/node.scm 90 */
						BgL_letzd2varzd2_bglt BgL_new1116z00_1680;

						{	/* Integrate/node.scm 91 */
							BgL_letzd2varzd2_bglt BgL_new1115z00_1702;

							BgL_new1115z00_1702 =
								((BgL_letzd2varzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_letzd2varzd2_bgl))));
							{	/* Integrate/node.scm 91 */
								long BgL_arg1506z00_1703;

								BgL_arg1506z00_1703 =
									BGL_CLASS_NUM(BGl_letzd2varzd2zzast_nodez00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1115z00_1702),
									BgL_arg1506z00_1703);
							}
							{	/* Integrate/node.scm 91 */
								BgL_objectz00_bglt BgL_tmpz00_3500;

								BgL_tmpz00_3500 = ((BgL_objectz00_bglt) BgL_new1115z00_1702);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3500, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1115z00_1702);
							BgL_new1116z00_1680 = BgL_new1115z00_1702;
						}
						((((BgL_nodez00_bglt) COBJECT(
										((BgL_nodez00_bglt) BgL_new1116z00_1680)))->BgL_locz00) =
							((obj_t) BgL_locz00_1679), BUNSPEC);
						((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
											BgL_new1116z00_1680)))->BgL_typez00) =
							((BgL_typez00_bglt) (((BgL_nodez00_bglt) COBJECT(BgL_bodyz00_9))->
									BgL_typez00)), BUNSPEC);
						((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
											BgL_new1116z00_1680)))->BgL_sidezd2effectzd2) =
							((obj_t) BUNSPEC), BUNSPEC);
						((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
											BgL_new1116z00_1680)))->BgL_keyz00) =
							((obj_t) BINT((-1L))), BUNSPEC);
						{
							obj_t BgL_auxz00_3514;

							{	/* Integrate/node.scm 94 */
								obj_t BgL_head1300z00_1683;

								BgL_head1300z00_1683 = MAKE_YOUNG_PAIR(BNIL, BNIL);
								{
									obj_t BgL_l1298z00_1685;
									obj_t BgL_tail1301z00_1686;

									BgL_l1298z00_1685 = BgL_celledz00_8;
									BgL_tail1301z00_1686 = BgL_head1300z00_1683;
								BgL_zc3z04anonymousza31422ze3z87_1687:
									if (NULLP(BgL_l1298z00_1685))
										{	/* Integrate/node.scm 94 */
											BgL_auxz00_3514 = CDR(BgL_head1300z00_1683);
										}
									else
										{	/* Integrate/node.scm 94 */
											obj_t BgL_newtail1302z00_1689;

											{	/* Integrate/node.scm 94 */
												obj_t BgL_arg1457z00_1691;

												{	/* Integrate/node.scm 94 */
													obj_t BgL_ozd2nzd2_1692;

													BgL_ozd2nzd2_1692 = CAR(((obj_t) BgL_l1298z00_1685));
													{	/* Integrate/node.scm 95 */
														obj_t BgL_arg1471z00_1693;
														BgL_makezd2boxzd2_bglt BgL_arg1480z00_1694;

														BgL_arg1471z00_1693 =
															CDR(((obj_t) BgL_ozd2nzd2_1692));
														{	/* Integrate/node.scm 96 */
															BgL_refz00_bglt BgL_arg1484z00_1695;
															obj_t BgL_arg1487z00_1696;

															{	/* Integrate/node.scm 96 */
																BgL_refz00_bglt BgL_new1120z00_1697;

																{	/* Integrate/node.scm 99 */
																	BgL_refz00_bglt BgL_new1118z00_1699;

																	BgL_new1118z00_1699 =
																		((BgL_refz00_bglt)
																		BOBJECT(GC_MALLOC(sizeof(struct
																					BgL_refz00_bgl))));
																	{	/* Integrate/node.scm 99 */
																		long BgL_arg1490z00_1700;

																		{	/* Integrate/node.scm 99 */
																			obj_t BgL_classz00_2297;

																			BgL_classz00_2297 =
																				BGl_refz00zzast_nodez00;
																			BgL_arg1490z00_1700 =
																				BGL_CLASS_NUM(BgL_classz00_2297);
																		}
																		BGL_OBJECT_CLASS_NUM_SET(
																			((BgL_objectz00_bglt)
																				BgL_new1118z00_1699),
																			BgL_arg1490z00_1700);
																	}
																	{	/* Integrate/node.scm 99 */
																		BgL_objectz00_bglt BgL_tmpz00_3527;

																		BgL_tmpz00_3527 =
																			((BgL_objectz00_bglt)
																			BgL_new1118z00_1699);
																		BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3527,
																			BFALSE);
																	}
																	((BgL_objectz00_bglt) BgL_new1118z00_1699);
																	BgL_new1120z00_1697 = BgL_new1118z00_1699;
																}
																((((BgL_nodez00_bglt) COBJECT(
																				((BgL_nodez00_bglt)
																					BgL_new1120z00_1697)))->BgL_locz00) =
																	((obj_t) BgL_locz00_1679), BUNSPEC);
																((((BgL_nodez00_bglt)
																			COBJECT(((BgL_nodez00_bglt)
																					BgL_new1120z00_1697)))->BgL_typez00) =
																	((BgL_typez00_bglt) (((BgL_variablez00_bglt)
																				COBJECT(((BgL_variablez00_bglt)
																						CAR(((obj_t)
																								BgL_ozd2nzd2_1692)))))->
																			BgL_typez00)), BUNSPEC);
																((((BgL_varz00_bglt) COBJECT(((BgL_varz00_bglt)
																					BgL_new1120z00_1697)))->
																		BgL_variablez00) =
																	((BgL_variablez00_bglt) (
																			(BgL_variablez00_bglt) CAR(((obj_t)
																					BgL_ozd2nzd2_1692)))), BUNSPEC);
																BgL_arg1484z00_1695 = BgL_new1120z00_1697;
															}
															BgL_arg1487z00_1696 =
																CAR(((obj_t) BgL_ozd2nzd2_1692));
															BgL_arg1480z00_1694 =
																BGl_azd2makezd2cellz00zzintegrate_nodez00(
																((BgL_nodez00_bglt) BgL_arg1484z00_1695),
																((BgL_variablez00_bglt) BgL_arg1487z00_1696));
														}
														BgL_arg1457z00_1691 =
															MAKE_YOUNG_PAIR(BgL_arg1471z00_1693,
															((obj_t) BgL_arg1480z00_1694));
												}}
												BgL_newtail1302z00_1689 =
													MAKE_YOUNG_PAIR(BgL_arg1457z00_1691, BNIL);
											}
											SET_CDR(BgL_tail1301z00_1686, BgL_newtail1302z00_1689);
											{	/* Integrate/node.scm 94 */
												obj_t BgL_arg1446z00_1690;

												BgL_arg1446z00_1690 = CDR(((obj_t) BgL_l1298z00_1685));
												{
													obj_t BgL_tail1301z00_3556;
													obj_t BgL_l1298z00_3555;

													BgL_l1298z00_3555 = BgL_arg1446z00_1690;
													BgL_tail1301z00_3556 = BgL_newtail1302z00_1689;
													BgL_tail1301z00_1686 = BgL_tail1301z00_3556;
													BgL_l1298z00_1685 = BgL_l1298z00_3555;
													goto BgL_zc3z04anonymousza31422ze3z87_1687;
												}
											}
										}
								}
							}
							((((BgL_letzd2varzd2_bglt) COBJECT(BgL_new1116z00_1680))->
									BgL_bindingsz00) = ((obj_t) BgL_auxz00_3514), BUNSPEC);
						}
						((((BgL_letzd2varzd2_bglt) COBJECT(BgL_new1116z00_1680))->
								BgL_bodyz00) = ((BgL_nodez00_bglt) BgL_bodyz00_9), BUNSPEC);
						((((BgL_letzd2varzd2_bglt) COBJECT(BgL_new1116z00_1680))->
								BgL_removablezf3zf3) = ((bool_t) ((bool_t) 1)), BUNSPEC);
						return ((BgL_nodez00_bglt) BgL_new1116z00_1680);
					}
				}
		}

	}



/* a-make-cell */
	BgL_makezd2boxzd2_bglt
		BGl_azd2makezd2cellz00zzintegrate_nodez00(BgL_nodez00_bglt BgL_nodez00_10,
		BgL_variablez00_bglt BgL_variablez00_11)
	{
		{	/* Integrate/node.scm 106 */
			{	/* Integrate/node.scm 110 */
				obj_t BgL_vz00_2308;

				BgL_vz00_2308 = ((obj_t) CNST_TABLE_REF(0));
				((((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt)
									((BgL_localz00_bglt) BgL_variablez00_11))))->BgL_accessz00) =
					((obj_t) BgL_vz00_2308), BUNSPEC);
			}
			{	/* Integrate/node.scm 111 */
				BgL_valuez00_bglt BgL_arg1511z00_1705;

				BgL_arg1511z00_1705 =
					(((BgL_variablez00_bglt) COBJECT(BgL_variablez00_11))->BgL_valuez00);
				{
					BgL_svarzf2iinfozf2_bglt BgL_auxz00_3567;

					{
						obj_t BgL_auxz00_3568;

						{	/* Integrate/node.scm 111 */
							BgL_objectz00_bglt BgL_tmpz00_3569;

							BgL_tmpz00_3569 =
								((BgL_objectz00_bglt) ((BgL_svarz00_bglt) BgL_arg1511z00_1705));
							BgL_auxz00_3568 = BGL_OBJECT_WIDENING(BgL_tmpz00_3569);
						}
						BgL_auxz00_3567 = ((BgL_svarzf2iinfozf2_bglt) BgL_auxz00_3568);
					}
					((((BgL_svarzf2iinfozf2_bglt) COBJECT(BgL_auxz00_3567))->
							BgL_celledzf3zf3) = ((bool_t) ((bool_t) 1)), BUNSPEC);
				}
			}
			{	/* Integrate/node.scm 112 */
				BgL_makezd2boxzd2_bglt BgL_new1124z00_1706;

				{	/* Integrate/node.scm 115 */
					BgL_makezd2boxzd2_bglt BgL_new1123z00_1708;

					BgL_new1123z00_1708 =
						((BgL_makezd2boxzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_makezd2boxzd2_bgl))));
					{	/* Integrate/node.scm 115 */
						long BgL_arg1513z00_1709;

						BgL_arg1513z00_1709 = BGL_CLASS_NUM(BGl_makezd2boxzd2zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1123z00_1708), BgL_arg1513z00_1709);
					}
					{	/* Integrate/node.scm 115 */
						BgL_objectz00_bglt BgL_tmpz00_3579;

						BgL_tmpz00_3579 = ((BgL_objectz00_bglt) BgL_new1123z00_1708);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3579, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1123z00_1708);
					BgL_new1124z00_1706 = BgL_new1123z00_1708;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1124z00_1706)))->BgL_locz00) =
					((obj_t) (((BgL_nodez00_bglt) COBJECT(BgL_nodez00_10))->BgL_locz00)),
					BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1124z00_1706)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt)
							BGl_za2cellza2z00zztype_cachez00)), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1124z00_1706)))->BgL_sidezd2effectzd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1124z00_1706)))->BgL_keyz00) =
					((obj_t) BINT((-1L))), BUNSPEC);
				((((BgL_makezd2boxzd2_bglt) COBJECT(BgL_new1124z00_1706))->
						BgL_valuez00) = ((BgL_nodez00_bglt) BgL_nodez00_10), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_3595;

					{	/* Integrate/node.scm 114 */
						BgL_typez00_bglt BgL_arg1512z00_1707;

						BgL_arg1512z00_1707 =
							(((BgL_variablez00_bglt) COBJECT(BgL_variablez00_11))->
							BgL_typez00);
						BgL_auxz00_3595 =
							BGl_getzd2bigloozd2typez00zztype_cachez00(BgL_arg1512z00_1707);
					}
					((((BgL_makezd2boxzd2_bglt) COBJECT(BgL_new1124z00_1706))->
							BgL_vtypez00) = ((BgL_typez00_bglt) BgL_auxz00_3595), BUNSPEC);
				}
				((((BgL_makezd2boxzd2_bglt) COBJECT(BgL_new1124z00_1706))->
						BgL_stackablez00) = ((obj_t) BTRUE), BUNSPEC);
				return BgL_new1124z00_1706;
			}
		}

	}



/* integrate-celled? */
	BGL_EXPORTED_DEF bool_t
		BGl_integratezd2celledzf3z21zzintegrate_nodez00(BgL_localz00_bglt
		BgL_variablez00_12)
	{
		{	/* Integrate/node.scm 122 */
			{	/* Integrate/node.scm 133 */
				bool_t BgL_test2056z00_3600;

				{	/* Integrate/node.scm 133 */
					BgL_valuez00_bglt BgL_arg1532z00_1716;

					BgL_arg1532z00_1716 =
						(((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt) BgL_variablez00_12)))->BgL_valuez00);
					{	/* Integrate/node.scm 133 */
						obj_t BgL_classz00_2319;

						BgL_classz00_2319 = BGl_svarzf2Iinfozf2zzintegrate_infoz00;
						{	/* Integrate/node.scm 133 */
							BgL_objectz00_bglt BgL_arg1858z00_2321;

							{	/* Integrate/node.scm 133 */
								obj_t BgL_tmpz00_3603;

								BgL_tmpz00_3603 =
									((obj_t) ((BgL_objectz00_bglt) BgL_arg1532z00_1716));
								BgL_arg1858z00_2321 = (BgL_objectz00_bglt) (BgL_tmpz00_3603);
							}
							if (BGL_CONDEXPAND_ISA_ARCH64())
								{	/* Integrate/node.scm 133 */
									long BgL_idxz00_2327;

									BgL_idxz00_2327 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_2321);
									BgL_test2056z00_3600 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_2327 + 3L)) == BgL_classz00_2319);
								}
							else
								{	/* Integrate/node.scm 133 */
									bool_t BgL_res1949z00_2352;

									{	/* Integrate/node.scm 133 */
										obj_t BgL_oclassz00_2335;

										{	/* Integrate/node.scm 133 */
											obj_t BgL_arg1866z00_2343;
											long BgL_arg1867z00_2344;

											BgL_arg1866z00_2343 = (BGl_za2classesza2z00zz__objectz00);
											{	/* Integrate/node.scm 133 */
												long BgL_arg1869z00_2345;

												BgL_arg1869z00_2345 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_2321);
												BgL_arg1867z00_2344 =
													(BgL_arg1869z00_2345 - OBJECT_TYPE);
											}
											BgL_oclassz00_2335 =
												VECTOR_REF(BgL_arg1866z00_2343, BgL_arg1867z00_2344);
										}
										{	/* Integrate/node.scm 133 */
											bool_t BgL__ortest_1115z00_2336;

											BgL__ortest_1115z00_2336 =
												(BgL_classz00_2319 == BgL_oclassz00_2335);
											if (BgL__ortest_1115z00_2336)
												{	/* Integrate/node.scm 133 */
													BgL_res1949z00_2352 = BgL__ortest_1115z00_2336;
												}
											else
												{	/* Integrate/node.scm 133 */
													long BgL_odepthz00_2337;

													{	/* Integrate/node.scm 133 */
														obj_t BgL_arg1855z00_2338;

														BgL_arg1855z00_2338 = (BgL_oclassz00_2335);
														BgL_odepthz00_2337 =
															BGL_CLASS_DEPTH(BgL_arg1855z00_2338);
													}
													if ((3L < BgL_odepthz00_2337))
														{	/* Integrate/node.scm 133 */
															obj_t BgL_arg1853z00_2340;

															{	/* Integrate/node.scm 133 */
																obj_t BgL_arg1854z00_2341;

																BgL_arg1854z00_2341 = (BgL_oclassz00_2335);
																BgL_arg1853z00_2340 =
																	BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_2341,
																	3L);
															}
															BgL_res1949z00_2352 =
																(BgL_arg1853z00_2340 == BgL_classz00_2319);
														}
													else
														{	/* Integrate/node.scm 133 */
															BgL_res1949z00_2352 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_test2056z00_3600 = BgL_res1949z00_2352;
								}
						}
					}
				}
				if (BgL_test2056z00_3600)
					{	/* Integrate/node.scm 134 */
						bool_t BgL__ortest_1126z00_1711;

						{	/* Integrate/node.scm 134 */
							BgL_svarz00_bglt BgL_oz00_2354;

							BgL_oz00_2354 =
								((BgL_svarz00_bglt)
								(((BgL_variablez00_bglt) COBJECT(
											((BgL_variablez00_bglt) BgL_variablez00_12)))->
									BgL_valuez00));
							{
								BgL_svarzf2iinfozf2_bglt BgL_auxz00_3629;

								{
									obj_t BgL_auxz00_3630;

									{	/* Integrate/node.scm 134 */
										BgL_objectz00_bglt BgL_tmpz00_3631;

										BgL_tmpz00_3631 = ((BgL_objectz00_bglt) BgL_oz00_2354);
										BgL_auxz00_3630 = BGL_OBJECT_WIDENING(BgL_tmpz00_3631);
									}
									BgL_auxz00_3629 =
										((BgL_svarzf2iinfozf2_bglt) BgL_auxz00_3630);
								}
								BgL__ortest_1126z00_1711 =
									(((BgL_svarzf2iinfozf2_bglt) COBJECT(BgL_auxz00_3629))->
									BgL_celledzf3zf3);
							}
						}
						if (BgL__ortest_1126z00_1711)
							{	/* Integrate/node.scm 134 */
								return BgL__ortest_1126z00_1711;
							}
						else
							{	/* Integrate/node.scm 134 */
								if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
											(((BgL_variablez00_bglt) COBJECT(
														((BgL_variablez00_bglt) BgL_variablez00_12)))->
												BgL_accessz00), ((obj_t) CNST_TABLE_REF(1)))))
									{	/* Integrate/node.scm 136 */
										BgL_svarz00_bglt BgL_oz00_2358;

										BgL_oz00_2358 =
											((BgL_svarz00_bglt)
											(((BgL_variablez00_bglt) COBJECT(
														((BgL_variablez00_bglt) BgL_variablez00_12)))->
												BgL_valuez00));
										{
											BgL_svarzf2iinfozf2_bglt BgL_auxz00_3647;

											{
												obj_t BgL_auxz00_3648;

												{	/* Integrate/node.scm 136 */
													BgL_objectz00_bglt BgL_tmpz00_3649;

													BgL_tmpz00_3649 =
														((BgL_objectz00_bglt) BgL_oz00_2358);
													BgL_auxz00_3648 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_3649);
												}
												BgL_auxz00_3647 =
													((BgL_svarzf2iinfozf2_bglt) BgL_auxz00_3648);
											}
											return
												(((BgL_svarzf2iinfozf2_bglt) COBJECT(BgL_auxz00_3647))->
												BgL_kapturedzf3zf3);
										}
									}
								else
									{	/* Integrate/node.scm 135 */
										return ((bool_t) 0);
									}
							}
					}
				else
					{	/* Integrate/node.scm 133 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &integrate-celled? */
	obj_t BGl_z62integratezd2celledzf3z43zzintegrate_nodez00(obj_t
		BgL_envz00_2944, obj_t BgL_variablez00_2945)
	{
		{	/* Integrate/node.scm 122 */
			return
				BBOOL(BGl_integratezd2celledzf3z21zzintegrate_nodez00(
					((BgL_localz00_bglt) BgL_variablez00_2945)));
		}

	}



/* glo*! */
	obj_t BGl_gloza2z12zb0zzintegrate_nodez00(obj_t BgL_nodeza2za2_59,
		obj_t BgL_integratorz00_60)
	{
		{	/* Integrate/node.scm 439 */
			{
				obj_t BgL_nodeza2za2_1718;

				BgL_nodeza2za2_1718 = BgL_nodeza2za2_59;
			BgL_zc3z04anonymousza31533ze3z87_1719:
				if (NULLP(BgL_nodeza2za2_1718))
					{	/* Integrate/node.scm 441 */
						return ((obj_t) CNST_TABLE_REF(2));
					}
				else
					{	/* Integrate/node.scm 441 */
						{	/* Integrate/node.scm 444 */
							BgL_nodez00_bglt BgL_arg1535z00_1721;

							{	/* Integrate/node.scm 444 */
								obj_t BgL_arg1543z00_1722;

								BgL_arg1543z00_1722 = CAR(((obj_t) BgL_nodeza2za2_1718));
								BgL_arg1535z00_1721 =
									BGl_gloz12z12zzintegrate_nodez00(
									((BgL_nodez00_bglt) BgL_arg1543z00_1722),
									((BgL_variablez00_bglt) BgL_integratorz00_60));
							}
							{	/* Integrate/node.scm 444 */
								obj_t BgL_auxz00_3668;
								obj_t BgL_tmpz00_3666;

								BgL_auxz00_3668 = ((obj_t) BgL_arg1535z00_1721);
								BgL_tmpz00_3666 = ((obj_t) BgL_nodeza2za2_1718);
								SET_CAR(BgL_tmpz00_3666, BgL_auxz00_3668);
							}
						}
						{	/* Integrate/node.scm 445 */
							obj_t BgL_arg1545z00_1723;

							BgL_arg1545z00_1723 = CDR(((obj_t) BgL_nodeza2za2_1718));
							{
								obj_t BgL_nodeza2za2_3673;

								BgL_nodeza2za2_3673 = BgL_arg1545z00_1723;
								BgL_nodeza2za2_1718 = BgL_nodeza2za2_3673;
								goto BgL_zc3z04anonymousza31533ze3z87_1719;
							}
						}
					}
			}
		}

	}



/* globalize-local-fun! */
	obj_t BGl_globaliza7ezd2localzd2funz12zb5zzintegrate_nodez00(BgL_localz00_bglt
		BgL_localz00_61, BgL_variablez00_bglt BgL_integratorz00_62)
	{
		{	/* Integrate/node.scm 450 */
			{	/* Integrate/node.scm 453 */
				BgL_valuez00_bglt BgL_funz00_1725;

				BgL_funz00_1725 =
					(((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_localz00_61)))->BgL_valuez00);
				{	/* Integrate/node.scm 453 */
					obj_t BgL_obodyz00_1726;

					BgL_obodyz00_1726 =
						(((BgL_sfunz00_bglt) COBJECT(
								((BgL_sfunz00_bglt) BgL_funz00_1725)))->BgL_bodyz00);
					{	/* Integrate/node.scm 454 */

						if ((((obj_t) BgL_localz00_61) == ((obj_t) BgL_integratorz00_62)))
							{	/* Integrate/node.scm 457 */
								BgL_nodez00_bglt BgL_arg1553z00_1727;

								BgL_arg1553z00_1727 =
									BGl_gloz12z12zzintegrate_nodez00(
									((BgL_nodez00_bglt) BgL_obodyz00_1726), BgL_integratorz00_62);
								return
									((((BgL_sfunz00_bglt) COBJECT(
												((BgL_sfunz00_bglt) BgL_funz00_1725)))->BgL_bodyz00) =
									((obj_t) ((obj_t) BgL_arg1553z00_1727)), BUNSPEC);
							}
						else
							{	/* Integrate/node.scm 458 */
								bool_t BgL_test2064z00_3687;

								{	/* Integrate/node.scm 458 */
									bool_t BgL_test2065z00_3688;

									{	/* Integrate/node.scm 458 */
										obj_t BgL_classz00_2366;

										BgL_classz00_2366 = BGl_sfunzf2Iinfozf2zzintegrate_infoz00;
										{	/* Integrate/node.scm 458 */
											BgL_objectz00_bglt BgL_arg1858z00_2368;

											{	/* Integrate/node.scm 458 */
												obj_t BgL_tmpz00_3689;

												BgL_tmpz00_3689 =
													((obj_t) ((BgL_objectz00_bglt) BgL_funz00_1725));
												BgL_arg1858z00_2368 =
													(BgL_objectz00_bglt) (BgL_tmpz00_3689);
											}
											if (BGL_CONDEXPAND_ISA_ARCH64())
												{	/* Integrate/node.scm 458 */
													long BgL_idxz00_2374;

													BgL_idxz00_2374 =
														BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_2368);
													BgL_test2065z00_3688 =
														(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
															(BgL_idxz00_2374 + 4L)) == BgL_classz00_2366);
												}
											else
												{	/* Integrate/node.scm 458 */
													bool_t BgL_res1950z00_2399;

													{	/* Integrate/node.scm 458 */
														obj_t BgL_oclassz00_2382;

														{	/* Integrate/node.scm 458 */
															obj_t BgL_arg1866z00_2390;
															long BgL_arg1867z00_2391;

															BgL_arg1866z00_2390 =
																(BGl_za2classesza2z00zz__objectz00);
															{	/* Integrate/node.scm 458 */
																long BgL_arg1869z00_2392;

																BgL_arg1869z00_2392 =
																	BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_2368);
																BgL_arg1867z00_2391 =
																	(BgL_arg1869z00_2392 - OBJECT_TYPE);
															}
															BgL_oclassz00_2382 =
																VECTOR_REF(BgL_arg1866z00_2390,
																BgL_arg1867z00_2391);
														}
														{	/* Integrate/node.scm 458 */
															bool_t BgL__ortest_1115z00_2383;

															BgL__ortest_1115z00_2383 =
																(BgL_classz00_2366 == BgL_oclassz00_2382);
															if (BgL__ortest_1115z00_2383)
																{	/* Integrate/node.scm 458 */
																	BgL_res1950z00_2399 =
																		BgL__ortest_1115z00_2383;
																}
															else
																{	/* Integrate/node.scm 458 */
																	long BgL_odepthz00_2384;

																	{	/* Integrate/node.scm 458 */
																		obj_t BgL_arg1855z00_2385;

																		BgL_arg1855z00_2385 = (BgL_oclassz00_2382);
																		BgL_odepthz00_2384 =
																			BGL_CLASS_DEPTH(BgL_arg1855z00_2385);
																	}
																	if ((4L < BgL_odepthz00_2384))
																		{	/* Integrate/node.scm 458 */
																			obj_t BgL_arg1853z00_2387;

																			{	/* Integrate/node.scm 458 */
																				obj_t BgL_arg1854z00_2388;

																				BgL_arg1854z00_2388 =
																					(BgL_oclassz00_2382);
																				BgL_arg1853z00_2387 =
																					BGL_CLASS_ANCESTORS_REF
																					(BgL_arg1854z00_2388, 4L);
																			}
																			BgL_res1950z00_2399 =
																				(BgL_arg1853z00_2387 ==
																				BgL_classz00_2366);
																		}
																	else
																		{	/* Integrate/node.scm 458 */
																			BgL_res1950z00_2399 = ((bool_t) 0);
																		}
																}
														}
													}
													BgL_test2065z00_3688 = BgL_res1950z00_2399;
												}
										}
									}
									if (BgL_test2065z00_3688)
										{
											BgL_sfunzf2iinfozf2_bglt BgL_auxz00_3712;

											{
												obj_t BgL_auxz00_3713;

												{	/* Integrate/node.scm 458 */
													BgL_objectz00_bglt BgL_tmpz00_3714;

													BgL_tmpz00_3714 =
														((BgL_objectz00_bglt)
														((BgL_sfunz00_bglt) BgL_funz00_1725));
													BgL_auxz00_3713 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_3714);
												}
												BgL_auxz00_3712 =
													((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_3713);
											}
											BgL_test2064z00_3687 =
												(((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_3712))->
												BgL_gzf3zf3);
										}
									else
										{	/* Integrate/node.scm 458 */
											BgL_test2064z00_3687 = ((bool_t) 0);
										}
								}
								if (BgL_test2064z00_3687)
									{	/* Integrate/node.scm 458 */
										return BUNSPEC;
									}
								else
									{	/* Integrate/node.scm 461 */
										obj_t BgL_celledz00_1730;

										{	/* Integrate/node.scm 461 */
											obj_t BgL_arg1581z00_1750;

											BgL_arg1581z00_1750 =
												(((BgL_sfunz00_bglt) COBJECT(
														((BgL_sfunz00_bglt) BgL_funz00_1725)))->
												BgL_argsz00);
											BgL_celledz00_1730 =
												BGl_celledzd2bindingszd2zzintegrate_nodez00
												(BgL_arg1581z00_1750);
										}
										{
											obj_t BgL_l1315z00_1732;

											BgL_l1315z00_1732 = BgL_celledz00_1730;
										BgL_zc3z04anonymousza31556ze3z87_1733:
											if (PAIRP(BgL_l1315z00_1732))
												{	/* Integrate/node.scm 462 */
													{	/* Integrate/node.scm 463 */
														obj_t BgL_wzd2bzd2_1735;

														BgL_wzd2bzd2_1735 = CAR(BgL_l1315z00_1732);
														{	/* Integrate/node.scm 463 */
															obj_t BgL_arg1558z00_1736;
															obj_t BgL_arg1560z00_1737;

															BgL_arg1558z00_1736 =
																CAR(((obj_t) BgL_wzd2bzd2_1735));
															BgL_arg1560z00_1737 =
																CDR(((obj_t) BgL_wzd2bzd2_1735));
															((((BgL_variablez00_bglt) COBJECT(
																			((BgL_variablez00_bglt)
																				BgL_arg1558z00_1736)))->
																	BgL_fastzd2alphazd2) =
																((obj_t) BgL_arg1560z00_1737), BUNSPEC);
														}
													}
													{
														obj_t BgL_l1315z00_3732;

														BgL_l1315z00_3732 = CDR(BgL_l1315z00_1732);
														BgL_l1315z00_1732 = BgL_l1315z00_3732;
														goto BgL_zc3z04anonymousza31556ze3z87_1733;
													}
												}
											else
												{	/* Integrate/node.scm 462 */
													((bool_t) 1);
												}
										}
										{	/* Integrate/node.scm 465 */
											BgL_nodez00_bglt BgL_nbody1z00_1740;

											BgL_nbody1z00_1740 =
												BGl_gloz12z12zzintegrate_nodez00(
												((BgL_nodez00_bglt) BgL_obodyz00_1726),
												BgL_integratorz00_62);
											{	/* Integrate/node.scm 465 */
												BgL_nodez00_bglt BgL_nbody2z00_1741;

												BgL_nbody2z00_1741 =
													BGl_cellzd2formalszd2zzintegrate_nodez00
													(BgL_celledz00_1730, BgL_nbody1z00_1740);
												{	/* Integrate/node.scm 466 */

													{
														obj_t BgL_l1317z00_1743;

														BgL_l1317z00_1743 = BgL_celledz00_1730;
													BgL_zc3z04anonymousza31575ze3z87_1744:
														if (PAIRP(BgL_l1317z00_1743))
															{	/* Integrate/node.scm 467 */
																{	/* Integrate/node.scm 468 */
																	obj_t BgL_wzd2bzd2_1746;

																	BgL_wzd2bzd2_1746 = CAR(BgL_l1317z00_1743);
																	{	/* Integrate/node.scm 468 */
																		obj_t BgL_arg1577z00_1747;

																		BgL_arg1577z00_1747 =
																			CAR(((obj_t) BgL_wzd2bzd2_1746));
																		((((BgL_variablez00_bglt) COBJECT(
																						((BgL_variablez00_bglt)
																							BgL_arg1577z00_1747)))->
																				BgL_fastzd2alphazd2) =
																			((obj_t) BUNSPEC), BUNSPEC);
																	}
																}
																{
																	obj_t BgL_l1317z00_3744;

																	BgL_l1317z00_3744 = CDR(BgL_l1317z00_1743);
																	BgL_l1317z00_1743 = BgL_l1317z00_3744;
																	goto BgL_zc3z04anonymousza31575ze3z87_1744;
																}
															}
														else
															{	/* Integrate/node.scm 467 */
																((bool_t) 1);
															}
													}
													return
														((((BgL_sfunz00_bglt) COBJECT(
																	((BgL_sfunz00_bglt) BgL_funz00_1725)))->
															BgL_bodyz00) =
														((obj_t) ((obj_t) BgL_nbody2z00_1741)), BUNSPEC);
												}
											}
										}
									}
							}
					}
				}
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzintegrate_nodez00(void)
	{
		{	/* Integrate/node.scm 15 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzintegrate_nodez00(void)
	{
		{	/* Integrate/node.scm 15 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_gloz12zd2envzc0zzintegrate_nodez00,
				BGl_proc1968z00zzintegrate_nodez00, BGl_nodez00zzast_nodez00,
				BGl_string1969z00zzintegrate_nodez00);
		}

	}



/* &glo!1319 */
	obj_t BGl_z62gloz121319z70zzintegrate_nodez00(obj_t BgL_envz00_2947,
		obj_t BgL_nodez00_2948, obj_t BgL_integratorz00_2949)
	{
		{	/* Integrate/node.scm 141 */
			return
				BGl_errorz00zz__errorz00(
				((obj_t)
					CNST_TABLE_REF(3)), BGl_string1970z00zzintegrate_nodez00,
				((obj_t) ((BgL_nodez00_bglt) BgL_nodez00_2948)));
		}

	}



/* glo! */
	BgL_nodez00_bglt BGl_gloz12z12zzintegrate_nodez00(BgL_nodez00_bglt
		BgL_nodez00_13, BgL_variablez00_bglt BgL_integratorz00_14)
	{
		{	/* Integrate/node.scm 141 */
			{	/* Integrate/node.scm 141 */
				obj_t BgL_method1320z00_1757;

				{	/* Integrate/node.scm 141 */
					obj_t BgL_res1955z00_2443;

					{	/* Integrate/node.scm 141 */
						long BgL_objzd2classzd2numz00_2414;

						BgL_objzd2classzd2numz00_2414 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_13));
						{	/* Integrate/node.scm 141 */
							obj_t BgL_arg1862z00_2415;

							BgL_arg1862z00_2415 =
								PROCEDURE_REF(BGl_gloz12zd2envzc0zzintegrate_nodez00,
								(int) (1L));
							{	/* Integrate/node.scm 141 */
								int BgL_offsetz00_2418;

								BgL_offsetz00_2418 = (int) (BgL_objzd2classzd2numz00_2414);
								{	/* Integrate/node.scm 141 */
									long BgL_offsetz00_2419;

									BgL_offsetz00_2419 =
										((long) (BgL_offsetz00_2418) - OBJECT_TYPE);
									{	/* Integrate/node.scm 141 */
										long BgL_modz00_2420;

										BgL_modz00_2420 =
											(BgL_offsetz00_2419 >> (int) ((long) ((int) (4L))));
										{	/* Integrate/node.scm 141 */
											long BgL_restz00_2422;

											BgL_restz00_2422 =
												(BgL_offsetz00_2419 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(1L <<
																		(int) ((long) ((int) (4L)))))) - 1L))));
											{	/* Integrate/node.scm 141 */

												{	/* Integrate/node.scm 141 */
													obj_t BgL_bucketz00_2424;

													BgL_bucketz00_2424 =
														VECTOR_REF(
														((obj_t) BgL_arg1862z00_2415), BgL_modz00_2420);
													BgL_res1955z00_2443 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_2424), BgL_restz00_2422);
					}}}}}}}}
					BgL_method1320z00_1757 = BgL_res1955z00_2443;
				}
				return
					((BgL_nodez00_bglt)
					BGL_PROCEDURE_CALL2(BgL_method1320z00_1757,
						((obj_t) BgL_nodez00_13), ((obj_t) BgL_integratorz00_14)));
			}
		}

	}



/* &glo! */
	BgL_nodez00_bglt BGl_z62gloz12z70zzintegrate_nodez00(obj_t BgL_envz00_2950,
		obj_t BgL_nodez00_2951, obj_t BgL_integratorz00_2952)
	{
		{	/* Integrate/node.scm 141 */
			return
				BGl_gloz12z12zzintegrate_nodez00(
				((BgL_nodez00_bglt) BgL_nodez00_2951),
				((BgL_variablez00_bglt) BgL_integratorz00_2952));
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzintegrate_nodez00(void)
	{
		{	/* Integrate/node.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzintegrate_nodez00, BGl_atomz00zzast_nodez00,
				BGl_proc1971z00zzintegrate_nodez00,
				BGl_string1972z00zzintegrate_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzintegrate_nodez00, BGl_kwotez00zzast_nodez00,
				BGl_proc1973z00zzintegrate_nodez00,
				BGl_string1972z00zzintegrate_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzintegrate_nodez00, BGl_varz00zzast_nodez00,
				BGl_proc1974z00zzintegrate_nodez00,
				BGl_string1972z00zzintegrate_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzintegrate_nodez00, BGl_closurez00zzast_nodez00,
				BGl_proc1975z00zzintegrate_nodez00,
				BGl_string1972z00zzintegrate_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzintegrate_nodez00, BGl_sequencez00zzast_nodez00,
				BGl_proc1976z00zzintegrate_nodez00,
				BGl_string1972z00zzintegrate_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzintegrate_nodez00, BGl_syncz00zzast_nodez00,
				BGl_proc1977z00zzintegrate_nodez00,
				BGl_string1972z00zzintegrate_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzintegrate_nodez00, BGl_appz00zzast_nodez00,
				BGl_proc1978z00zzintegrate_nodez00,
				BGl_string1972z00zzintegrate_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzintegrate_nodez00, BGl_appzd2lyzd2zzast_nodez00,
				BGl_proc1979z00zzintegrate_nodez00,
				BGl_string1972z00zzintegrate_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzintegrate_nodez00, BGl_funcallz00zzast_nodez00,
				BGl_proc1980z00zzintegrate_nodez00,
				BGl_string1972z00zzintegrate_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzintegrate_nodez00, BGl_externz00zzast_nodez00,
				BGl_proc1981z00zzintegrate_nodez00,
				BGl_string1972z00zzintegrate_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzintegrate_nodez00, BGl_castz00zzast_nodez00,
				BGl_proc1982z00zzintegrate_nodez00,
				BGl_string1972z00zzintegrate_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzintegrate_nodez00, BGl_setqz00zzast_nodez00,
				BGl_proc1983z00zzintegrate_nodez00,
				BGl_string1972z00zzintegrate_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzintegrate_nodez00,
				BGl_conditionalz00zzast_nodez00, BGl_proc1984z00zzintegrate_nodez00,
				BGl_string1972z00zzintegrate_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzintegrate_nodez00, BGl_failz00zzast_nodez00,
				BGl_proc1985z00zzintegrate_nodez00,
				BGl_string1972z00zzintegrate_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzintegrate_nodez00, BGl_switchz00zzast_nodez00,
				BGl_proc1986z00zzintegrate_nodez00,
				BGl_string1972z00zzintegrate_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzintegrate_nodez00, BGl_letzd2funzd2zzast_nodez00,
				BGl_proc1987z00zzintegrate_nodez00,
				BGl_string1972z00zzintegrate_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzintegrate_nodez00, BGl_letzd2varzd2zzast_nodez00,
				BGl_proc1988z00zzintegrate_nodez00,
				BGl_string1972z00zzintegrate_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzintegrate_nodez00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc1989z00zzintegrate_nodez00,
				BGl_string1972z00zzintegrate_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzintegrate_nodez00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc1990z00zzintegrate_nodez00,
				BGl_string1972z00zzintegrate_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzintegrate_nodez00, BGl_makezd2boxzd2zzast_nodez00,
				BGl_proc1991z00zzintegrate_nodez00,
				BGl_string1972z00zzintegrate_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzintegrate_nodez00, BGl_boxzd2refzd2zzast_nodez00,
				BGl_proc1992z00zzintegrate_nodez00,
				BGl_string1972z00zzintegrate_nodez00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzintegrate_nodez00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc1993z00zzintegrate_nodez00,
				BGl_string1972z00zzintegrate_nodez00);
		}

	}



/* &glo!-box-set!1365 */
	BgL_nodez00_bglt BGl_z62gloz12zd2boxzd2setz121365z62zzintegrate_nodez00(obj_t
		BgL_envz00_2975, obj_t BgL_nodez00_2976, obj_t BgL_integratorz00_2977)
	{
		{	/* Integrate/node.scm 429 */
			{
				BgL_varz00_bglt BgL_auxz00_3813;

				{	/* Tools/trace.sch 53 */
					BgL_varz00_bglt BgL_arg1876z00_3055;

					BgL_arg1876z00_3055 =
						(((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2976)))->BgL_varz00);
					BgL_auxz00_3813 =
						((BgL_varz00_bglt)
						BGl_gloz12z12zzintegrate_nodez00(
							((BgL_nodez00_bglt) BgL_arg1876z00_3055),
							((BgL_variablez00_bglt) BgL_integratorz00_2977)));
				}
				((((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2976)))->BgL_varz00) =
					((BgL_varz00_bglt) BgL_auxz00_3813), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_3822;

				{	/* Tools/trace.sch 53 */
					BgL_nodez00_bglt BgL_arg1878z00_3056;

					BgL_arg1878z00_3056 =
						(((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2976)))->BgL_valuez00);
					BgL_auxz00_3822 =
						BGl_gloz12z12zzintegrate_nodez00(BgL_arg1878z00_3056,
						((BgL_variablez00_bglt) BgL_integratorz00_2977));
				}
				((((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2976)))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_auxz00_3822), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2976));
		}

	}



/* &glo!-box-ref1363 */
	BgL_nodez00_bglt BGl_z62gloz12zd2boxzd2ref1363z70zzintegrate_nodez00(obj_t
		BgL_envz00_2978, obj_t BgL_nodez00_2979, obj_t BgL_integratorz00_2980)
	{
		{	/* Integrate/node.scm 415 */
			{	/* Tools/trace.sch 53 */
				bool_t BgL_test2071z00_3831;

				{	/* Tools/trace.sch 53 */
					BgL_variablez00_bglt BgL_arg1865z00_3058;

					BgL_arg1865z00_3058 =
						(((BgL_varz00_bglt) COBJECT(
								(((BgL_boxzd2refzd2_bglt) COBJECT(
											((BgL_boxzd2refzd2_bglt) BgL_nodez00_2979)))->
									BgL_varz00)))->BgL_variablez00);
					BgL_test2071z00_3831 =
						BGl_integratezd2celledzf3z21zzintegrate_nodez00(((BgL_localz00_bglt)
							BgL_arg1865z00_3058));
				}
				if (BgL_test2071z00_3831)
					{	/* Tools/trace.sch 53 */
						BgL_variablez00_bglt BgL_vz00_3059;

						BgL_vz00_3059 =
							(((BgL_varz00_bglt) COBJECT(
									(((BgL_boxzd2refzd2_bglt) COBJECT(
												((BgL_boxzd2refzd2_bglt) BgL_nodez00_2979)))->
										BgL_varz00)))->BgL_variablez00);
						{	/* Tools/trace.sch 53 */
							obj_t BgL_arg1814z00_3060;
							obj_t BgL_arg1818z00_3061;

							{	/* Tools/trace.sch 53 */
								obj_t BgL_tmpz00_3840;

								BgL_tmpz00_3840 = BGL_CURRENT_DYNAMIC_ENV();
								BgL_arg1814z00_3060 =
									BGL_ENV_CURRENT_ERROR_PORT(BgL_tmpz00_3840);
							}
							BgL_arg1818z00_3061 =
								BGl_shapez00zztools_shapez00(
								((obj_t) ((BgL_boxzd2refzd2_bglt) BgL_nodez00_2979)));
							{	/* Tools/trace.sch 53 */
								obj_t BgL_list1819z00_3062;

								{	/* Tools/trace.sch 53 */
									obj_t BgL_arg1821z00_3063;

									{	/* Tools/trace.sch 53 */
										obj_t BgL_arg1822z00_3064;

										{	/* Tools/trace.sch 53 */
											obj_t BgL_arg1825z00_3065;

											{	/* Tools/trace.sch 53 */
												obj_t BgL_arg1829z00_3066;

												{	/* Tools/trace.sch 53 */
													obj_t BgL_arg1834z00_3067;

													BgL_arg1834z00_3067 =
														MAKE_YOUNG_PAIR(BgL_arg1818z00_3061, BNIL);
													BgL_arg1829z00_3066 =
														MAKE_YOUNG_PAIR
														(BGl_string1994z00zzintegrate_nodez00,
														BgL_arg1834z00_3067);
												}
												BgL_arg1825z00_3065 =
													MAKE_YOUNG_PAIR(BGl_string1995z00zzintegrate_nodez00,
													BgL_arg1829z00_3066);
											}
											BgL_arg1822z00_3064 =
												MAKE_YOUNG_PAIR(BINT(420L), BgL_arg1825z00_3065);
										}
										BgL_arg1821z00_3063 =
											MAKE_YOUNG_PAIR(BGl_string1996z00zzintegrate_nodez00,
											BgL_arg1822z00_3064);
									}
									BgL_list1819z00_3062 =
										MAKE_YOUNG_PAIR(BGl_string1997z00zzintegrate_nodez00,
										BgL_arg1821z00_3063);
								}
								BGl_tprintz00zz__r4_output_6_10_3z00(BgL_arg1814z00_3060,
									BgL_list1819z00_3062);
							}
						}
						{	/* Tools/trace.sch 53 */
							obj_t BgL_arg1842z00_3068;
							obj_t BgL_arg1845z00_3069;

							{	/* Tools/trace.sch 53 */
								obj_t BgL_tmpz00_3854;

								BgL_tmpz00_3854 = BGL_CURRENT_DYNAMIC_ENV();
								BgL_arg1842z00_3068 =
									BGL_ENV_CURRENT_ERROR_PORT(BgL_tmpz00_3854);
							}
							BgL_arg1845z00_3069 =
								(((BgL_variablez00_bglt) COBJECT(BgL_vz00_3059))->
								BgL_accessz00);
							{	/* Tools/trace.sch 53 */
								obj_t BgL_list1846z00_3070;

								{	/* Tools/trace.sch 53 */
									obj_t BgL_arg1847z00_3071;

									{	/* Tools/trace.sch 53 */
										obj_t BgL_arg1848z00_3072;

										{	/* Tools/trace.sch 53 */
											obj_t BgL_arg1851z00_3073;

											{	/* Tools/trace.sch 53 */
												obj_t BgL_arg1852z00_3074;

												{	/* Tools/trace.sch 53 */
													obj_t BgL_arg1856z00_3075;

													BgL_arg1856z00_3075 =
														MAKE_YOUNG_PAIR(BgL_arg1845z00_3069, BNIL);
													BgL_arg1852z00_3074 =
														MAKE_YOUNG_PAIR
														(BGl_string1998z00zzintegrate_nodez00,
														BgL_arg1856z00_3075);
												}
												BgL_arg1851z00_3073 =
													MAKE_YOUNG_PAIR(BGl_string1995z00zzintegrate_nodez00,
													BgL_arg1852z00_3074);
											}
											BgL_arg1848z00_3072 =
												MAKE_YOUNG_PAIR(BINT(421L), BgL_arg1851z00_3073);
										}
										BgL_arg1847z00_3071 =
											MAKE_YOUNG_PAIR(BGl_string1996z00zzintegrate_nodez00,
											BgL_arg1848z00_3072);
									}
									BgL_list1846z00_3070 =
										MAKE_YOUNG_PAIR(BGl_string1997z00zzintegrate_nodez00,
										BgL_arg1847z00_3071);
								}
								BGl_tprintz00zz__r4_output_6_10_3z00(BgL_arg1842z00_3068,
									BgL_list1846z00_3070);
							}
						}
						{	/* Tools/trace.sch 53 */
							obj_t BgL_arg1857z00_3076;

							BgL_arg1857z00_3076 =
								BGl_shapez00zztools_shapez00(
								((obj_t) ((BgL_boxzd2refzd2_bglt) BgL_nodez00_2979)));
							BGl_errorz00zz__errorz00(BGl_string1999z00zzintegrate_nodez00,
								BGl_string2000z00zzintegrate_nodez00, BgL_arg1857z00_3076);
						}
					}
				else
					{	/* Tools/trace.sch 53 */
						BFALSE;
					}
			}
			{
				BgL_varz00_bglt BgL_auxz00_3870;

				{	/* Tools/trace.sch 53 */
					BgL_varz00_bglt BgL_arg1873z00_3077;

					BgL_arg1873z00_3077 =
						(((BgL_boxzd2refzd2_bglt) COBJECT(
								((BgL_boxzd2refzd2_bglt) BgL_nodez00_2979)))->BgL_varz00);
					BgL_auxz00_3870 =
						((BgL_varz00_bglt)
						BGl_gloz12z12zzintegrate_nodez00(
							((BgL_nodez00_bglt) BgL_arg1873z00_3077),
							((BgL_variablez00_bglt) BgL_integratorz00_2980)));
				}
				((((BgL_boxzd2refzd2_bglt) COBJECT(
								((BgL_boxzd2refzd2_bglt) BgL_nodez00_2979)))->BgL_varz00) =
					((BgL_varz00_bglt) BgL_auxz00_3870), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_boxzd2refzd2_bglt) BgL_nodez00_2979));
		}

	}



/* &glo!-make-box1361 */
	BgL_nodez00_bglt BGl_z62gloz12zd2makezd2box1361z70zzintegrate_nodez00(obj_t
		BgL_envz00_2981, obj_t BgL_nodez00_2982, obj_t BgL_integratorz00_2983)
	{
		{	/* Integrate/node.scm 407 */
			{
				BgL_nodez00_bglt BgL_auxz00_3881;

				{	/* Integrate/node.scm 409 */
					BgL_nodez00_bglt BgL_arg1803z00_3079;

					BgL_arg1803z00_3079 =
						(((BgL_makezd2boxzd2_bglt) COBJECT(
								((BgL_makezd2boxzd2_bglt) BgL_nodez00_2982)))->BgL_valuez00);
					BgL_auxz00_3881 =
						BGl_gloz12z12zzintegrate_nodez00(BgL_arg1803z00_3079,
						((BgL_variablez00_bglt) BgL_integratorz00_2983));
				}
				((((BgL_makezd2boxzd2_bglt) COBJECT(
								((BgL_makezd2boxzd2_bglt) BgL_nodez00_2982)))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_auxz00_3881), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_makezd2boxzd2_bglt) BgL_nodez00_2982));
		}

	}



/* &glo!-jump-ex-it1359 */
	BgL_nodez00_bglt
		BGl_z62gloz12zd2jumpzd2exzd2it1359za2zzintegrate_nodez00(obj_t
		BgL_envz00_2984, obj_t BgL_nodez00_2985, obj_t BgL_integratorz00_2986)
	{
		{	/* Integrate/node.scm 398 */
			{
				BgL_nodez00_bglt BgL_auxz00_3890;

				{	/* Integrate/node.scm 400 */
					BgL_nodez00_bglt BgL_arg1801z00_3081;

					BgL_arg1801z00_3081 =
						(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2985)))->BgL_exitz00);
					BgL_auxz00_3890 =
						BGl_gloz12z12zzintegrate_nodez00(BgL_arg1801z00_3081,
						((BgL_variablez00_bglt) BgL_integratorz00_2986));
				}
				((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2985)))->
						BgL_exitz00) = ((BgL_nodez00_bglt) BgL_auxz00_3890), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_3897;

				{	/* Integrate/node.scm 401 */
					BgL_nodez00_bglt BgL_arg1802z00_3082;

					BgL_arg1802z00_3082 =
						(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2985)))->
						BgL_valuez00);
					BgL_auxz00_3897 =
						BGl_gloz12z12zzintegrate_nodez00(BgL_arg1802z00_3082,
						((BgL_variablez00_bglt) BgL_integratorz00_2986));
				}
				((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2985)))->
						BgL_valuez00) = ((BgL_nodez00_bglt) BgL_auxz00_3897), BUNSPEC);
			}
			return
				((BgL_nodez00_bglt) ((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2985));
		}

	}



/* &glo!-set-ex-it1357 */
	BgL_nodez00_bglt BGl_z62gloz12zd2setzd2exzd2it1357za2zzintegrate_nodez00(obj_t
		BgL_envz00_2987, obj_t BgL_nodez00_2988, obj_t BgL_integratorz00_2989)
	{
		{	/* Integrate/node.scm 389 */
			{
				BgL_nodez00_bglt BgL_auxz00_3906;

				{	/* Integrate/node.scm 391 */
					BgL_nodez00_bglt BgL_arg1799z00_3084;

					BgL_arg1799z00_3084 =
						(((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2988)))->
						BgL_onexitz00);
					BgL_auxz00_3906 =
						BGl_gloz12z12zzintegrate_nodez00(BgL_arg1799z00_3084,
						((BgL_variablez00_bglt) BgL_integratorz00_2989));
				}
				((((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2988)))->
						BgL_onexitz00) = ((BgL_nodez00_bglt) BgL_auxz00_3906), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_3913;

				{	/* Integrate/node.scm 392 */
					BgL_nodez00_bglt BgL_arg1800z00_3085;

					BgL_arg1800z00_3085 =
						(((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2988)))->BgL_bodyz00);
					BgL_auxz00_3913 =
						BGl_gloz12z12zzintegrate_nodez00(BgL_arg1800z00_3085,
						((BgL_variablez00_bglt) BgL_integratorz00_2989));
				}
				((((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2988)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3913), BUNSPEC);
			}
			return
				((BgL_nodez00_bglt) ((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2988));
		}

	}



/* &glo!-let-var1355 */
	BgL_nodez00_bglt BGl_z62gloz12zd2letzd2var1355z70zzintegrate_nodez00(obj_t
		BgL_envz00_2990, obj_t BgL_nodez00_2991, obj_t BgL_integratorz00_2992)
	{
		{	/* Integrate/node.scm 364 */
			{	/* Integrate/node.scm 366 */
				obj_t BgL_g1311z00_3087;

				BgL_g1311z00_3087 =
					(((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_nodez00_2991)))->BgL_bindingsz00);
				{
					obj_t BgL_l1309z00_3089;

					BgL_l1309z00_3089 = BgL_g1311z00_3087;
				BgL_zc3z04anonymousza31777ze3z87_3088:
					if (PAIRP(BgL_l1309z00_3089))
						{	/* Integrate/node.scm 366 */
							{	/* Integrate/node.scm 367 */
								obj_t BgL_bindingz00_3090;

								BgL_bindingz00_3090 = CAR(BgL_l1309z00_3089);
								{	/* Integrate/node.scm 367 */
									obj_t BgL_varz00_3091;
									obj_t BgL_valz00_3092;

									BgL_varz00_3091 = CAR(((obj_t) BgL_bindingz00_3090));
									BgL_valz00_3092 = CDR(((obj_t) BgL_bindingz00_3090));
									{	/* Integrate/node.scm 369 */
										BgL_nodez00_bglt BgL_arg1782z00_3093;

										BgL_arg1782z00_3093 =
											BGl_gloz12z12zzintegrate_nodez00(
											((BgL_nodez00_bglt) BgL_valz00_3092),
											((BgL_variablez00_bglt) BgL_integratorz00_2992));
										{	/* Integrate/node.scm 369 */
											obj_t BgL_auxz00_3936;
											obj_t BgL_tmpz00_3934;

											BgL_auxz00_3936 = ((obj_t) BgL_arg1782z00_3093);
											BgL_tmpz00_3934 = ((obj_t) BgL_bindingz00_3090);
											SET_CDR(BgL_tmpz00_3934, BgL_auxz00_3936);
										}
									}
									if (BGl_integratezd2celledzf3z21zzintegrate_nodez00(
											((BgL_localz00_bglt) BgL_varz00_3091)))
										{	/* Integrate/node.scm 371 */
											BgL_localz00_bglt BgL_nvarz00_3094;

											BgL_nvarz00_3094 =
												BGl_cellzd2variablezd2zzintegrate_nodez00(
												((BgL_localz00_bglt) BgL_varz00_3091));
											((((BgL_variablez00_bglt) COBJECT(
															((BgL_variablez00_bglt)
																((BgL_localz00_bglt) BgL_varz00_3091))))->
													BgL_fastzd2alphazd2) =
												((obj_t) ((obj_t) BgL_nvarz00_3094)), BUNSPEC);
											{	/* Integrate/node.scm 374 */
												BgL_makezd2boxzd2_bglt BgL_arg1784z00_3095;

												{	/* Integrate/node.scm 374 */
													obj_t BgL_arg1785z00_3096;

													BgL_arg1785z00_3096 =
														CDR(((obj_t) BgL_bindingz00_3090));
													BgL_arg1784z00_3095 =
														BGl_azd2makezd2cellz00zzintegrate_nodez00(
														((BgL_nodez00_bglt) BgL_arg1785z00_3096),
														((BgL_variablez00_bglt) BgL_varz00_3091));
												}
												{	/* Integrate/node.scm 373 */
													obj_t BgL_auxz00_3955;
													obj_t BgL_tmpz00_3953;

													BgL_auxz00_3955 = ((obj_t) BgL_arg1784z00_3095);
													BgL_tmpz00_3953 = ((obj_t) BgL_bindingz00_3090);
													SET_CDR(BgL_tmpz00_3953, BgL_auxz00_3955);
												}
											}
										}
									else
										{	/* Integrate/node.scm 370 */
											BFALSE;
										}
								}
							}
							{
								obj_t BgL_l1309z00_3958;

								BgL_l1309z00_3958 = CDR(BgL_l1309z00_3089);
								BgL_l1309z00_3089 = BgL_l1309z00_3958;
								goto BgL_zc3z04anonymousza31777ze3z87_3088;
							}
						}
					else
						{	/* Integrate/node.scm 366 */
							((bool_t) 1);
						}
				}
			}
			{
				BgL_nodez00_bglt BgL_auxz00_3960;

				{	/* Integrate/node.scm 376 */
					BgL_nodez00_bglt BgL_arg1789z00_3097;

					BgL_arg1789z00_3097 =
						(((BgL_letzd2varzd2_bglt) COBJECT(
								((BgL_letzd2varzd2_bglt) BgL_nodez00_2991)))->BgL_bodyz00);
					BgL_auxz00_3960 =
						BGl_gloz12z12zzintegrate_nodez00(BgL_arg1789z00_3097,
						((BgL_variablez00_bglt) BgL_integratorz00_2992));
				}
				((((BgL_letzd2varzd2_bglt) COBJECT(
								((BgL_letzd2varzd2_bglt) BgL_nodez00_2991)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3960), BUNSPEC);
			}
			{	/* Integrate/node.scm 377 */
				obj_t BgL_g1314z00_3098;

				BgL_g1314z00_3098 =
					(((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_nodez00_2991)))->BgL_bindingsz00);
				{
					obj_t BgL_l1312z00_3100;

					BgL_l1312z00_3100 = BgL_g1314z00_3098;
				BgL_zc3z04anonymousza31790ze3z87_3099:
					if (PAIRP(BgL_l1312z00_3100))
						{	/* Integrate/node.scm 377 */
							{	/* Integrate/node.scm 378 */
								obj_t BgL_bindingz00_3101;

								BgL_bindingz00_3101 = CAR(BgL_l1312z00_3100);
								{	/* Integrate/node.scm 378 */
									obj_t BgL_varz00_3102;

									BgL_varz00_3102 = CAR(((obj_t) BgL_bindingz00_3101));
									if (BGl_integratezd2celledzf3z21zzintegrate_nodez00(
											((BgL_localz00_bglt) BgL_varz00_3102)))
										{	/* Integrate/node.scm 380 */
											BgL_localz00_bglt BgL_nvarz00_3103;

											BgL_nvarz00_3103 =
												BGl_cellzd2variablezd2zzintegrate_nodez00(
												((BgL_localz00_bglt) BgL_varz00_3102));
											{	/* Integrate/node.scm 381 */
												obj_t BgL_arg1796z00_3104;

												BgL_arg1796z00_3104 =
													(((BgL_variablez00_bglt) COBJECT(
															((BgL_variablez00_bglt) BgL_varz00_3102)))->
													BgL_fastzd2alphazd2);
												{	/* Integrate/node.scm 381 */
													obj_t BgL_tmpz00_3981;

													BgL_tmpz00_3981 = ((obj_t) BgL_bindingz00_3101);
													SET_CAR(BgL_tmpz00_3981, BgL_arg1796z00_3104);
												}
											}
											((((BgL_variablez00_bglt) COBJECT(
															((BgL_variablez00_bglt)
																((BgL_localz00_bglt) BgL_varz00_3102))))->
													BgL_fastzd2alphazd2) = ((obj_t) BUNSPEC), BUNSPEC);
										}
									else
										{	/* Integrate/node.scm 379 */
											BFALSE;
										}
								}
							}
							{
								obj_t BgL_l1312z00_3987;

								BgL_l1312z00_3987 = CDR(BgL_l1312z00_3100);
								BgL_l1312z00_3100 = BgL_l1312z00_3987;
								goto BgL_zc3z04anonymousza31790ze3z87_3099;
							}
						}
					else
						{	/* Integrate/node.scm 377 */
							((bool_t) 1);
						}
				}
			}
			return ((BgL_nodez00_bglt) ((BgL_letzd2varzd2_bglt) BgL_nodez00_2991));
		}

	}



/* &glo!-let-fun1353 */
	BgL_nodez00_bglt BGl_z62gloz12zd2letzd2fun1353z70zzintegrate_nodez00(obj_t
		BgL_envz00_2993, obj_t BgL_nodez00_2994, obj_t BgL_integratorz00_2995)
	{
		{	/* Integrate/node.scm 353 */
			{
				BgL_nodez00_bglt BgL_auxz00_3991;

				{	/* Integrate/node.scm 355 */
					BgL_nodez00_bglt BgL_arg1770z00_3106;

					BgL_arg1770z00_3106 =
						(((BgL_letzd2funzd2_bglt) COBJECT(
								((BgL_letzd2funzd2_bglt) BgL_nodez00_2994)))->BgL_bodyz00);
					BgL_auxz00_3991 =
						BGl_gloz12z12zzintegrate_nodez00(BgL_arg1770z00_3106,
						((BgL_variablez00_bglt) BgL_integratorz00_2995));
				}
				((((BgL_letzd2funzd2_bglt) COBJECT(
								((BgL_letzd2funzd2_bglt) BgL_nodez00_2994)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3991), BUNSPEC);
			}
			{	/* Integrate/node.scm 356 */
				obj_t BgL_g1308z00_3107;

				BgL_g1308z00_3107 =
					(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nodez00_2994)))->BgL_localsz00);
				{
					obj_t BgL_l1306z00_3109;

					BgL_l1306z00_3109 = BgL_g1308z00_3107;
				BgL_zc3z04anonymousza31771ze3z87_3108:
					if (PAIRP(BgL_l1306z00_3109))
						{	/* Integrate/node.scm 356 */
							{	/* Integrate/node.scm 357 */
								obj_t BgL_localz00_3110;

								BgL_localz00_3110 = CAR(BgL_l1306z00_3109);
								BGl_globaliza7ezd2localzd2funz12zb5zzintegrate_nodez00(
									((BgL_localz00_bglt) BgL_localz00_3110),
									((BgL_variablez00_bglt) BgL_integratorz00_2995));
							}
							{
								obj_t BgL_l1306z00_4006;

								BgL_l1306z00_4006 = CDR(BgL_l1306z00_3109);
								BgL_l1306z00_3109 = BgL_l1306z00_4006;
								goto BgL_zc3z04anonymousza31771ze3z87_3108;
							}
						}
					else
						{	/* Integrate/node.scm 356 */
							((bool_t) 1);
						}
				}
			}
			return ((BgL_nodez00_bglt) ((BgL_letzd2funzd2_bglt) BgL_nodez00_2994));
		}

	}



/* &glo!-switch1351 */
	BgL_nodez00_bglt BGl_z62gloz12zd2switch1351za2zzintegrate_nodez00(obj_t
		BgL_envz00_2996, obj_t BgL_nodez00_2997, obj_t BgL_integratorz00_2998)
	{
		{	/* Integrate/node.scm 342 */
			{
				BgL_nodez00_bglt BgL_auxz00_4010;

				{	/* Integrate/node.scm 344 */
					BgL_nodez00_bglt BgL_arg1757z00_3112;

					BgL_arg1757z00_3112 =
						(((BgL_switchz00_bglt) COBJECT(
								((BgL_switchz00_bglt) BgL_nodez00_2997)))->BgL_testz00);
					BgL_auxz00_4010 =
						BGl_gloz12z12zzintegrate_nodez00(BgL_arg1757z00_3112,
						((BgL_variablez00_bglt) BgL_integratorz00_2998));
				}
				((((BgL_switchz00_bglt) COBJECT(
								((BgL_switchz00_bglt) BgL_nodez00_2997)))->BgL_testz00) =
					((BgL_nodez00_bglt) BgL_auxz00_4010), BUNSPEC);
			}
			{	/* Integrate/node.scm 345 */
				obj_t BgL_g1305z00_3113;

				BgL_g1305z00_3113 =
					(((BgL_switchz00_bglt) COBJECT(
							((BgL_switchz00_bglt) BgL_nodez00_2997)))->BgL_clausesz00);
				{
					obj_t BgL_l1303z00_3115;

					BgL_l1303z00_3115 = BgL_g1305z00_3113;
				BgL_zc3z04anonymousza31758ze3z87_3114:
					if (PAIRP(BgL_l1303z00_3115))
						{	/* Integrate/node.scm 345 */
							{	/* Integrate/node.scm 346 */
								obj_t BgL_clausez00_3116;

								BgL_clausez00_3116 = CAR(BgL_l1303z00_3115);
								{	/* Integrate/node.scm 346 */
									BgL_nodez00_bglt BgL_arg1763z00_3117;

									{	/* Integrate/node.scm 346 */
										obj_t BgL_arg1765z00_3118;

										BgL_arg1765z00_3118 = CDR(((obj_t) BgL_clausez00_3116));
										BgL_arg1763z00_3117 =
											BGl_gloz12z12zzintegrate_nodez00(
											((BgL_nodez00_bglt) BgL_arg1765z00_3118),
											((BgL_variablez00_bglt) BgL_integratorz00_2998));
									}
									{	/* Integrate/node.scm 346 */
										obj_t BgL_auxz00_4029;
										obj_t BgL_tmpz00_4027;

										BgL_auxz00_4029 = ((obj_t) BgL_arg1763z00_3117);
										BgL_tmpz00_4027 = ((obj_t) BgL_clausez00_3116);
										SET_CDR(BgL_tmpz00_4027, BgL_auxz00_4029);
									}
								}
							}
							{
								obj_t BgL_l1303z00_4032;

								BgL_l1303z00_4032 = CDR(BgL_l1303z00_3115);
								BgL_l1303z00_3115 = BgL_l1303z00_4032;
								goto BgL_zc3z04anonymousza31758ze3z87_3114;
							}
						}
					else
						{	/* Integrate/node.scm 345 */
							((bool_t) 1);
						}
				}
			}
			return ((BgL_nodez00_bglt) ((BgL_switchz00_bglt) BgL_nodez00_2997));
		}

	}



/* &glo!-fail1349 */
	BgL_nodez00_bglt BGl_z62gloz12zd2fail1349za2zzintegrate_nodez00(obj_t
		BgL_envz00_2999, obj_t BgL_nodez00_3000, obj_t BgL_integratorz00_3001)
	{
		{	/* Integrate/node.scm 332 */
			{
				BgL_nodez00_bglt BgL_auxz00_4036;

				{	/* Integrate/node.scm 334 */
					BgL_nodez00_bglt BgL_arg1748z00_3120;

					BgL_arg1748z00_3120 =
						(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_3000)))->BgL_procz00);
					BgL_auxz00_4036 =
						BGl_gloz12z12zzintegrate_nodez00(BgL_arg1748z00_3120,
						((BgL_variablez00_bglt) BgL_integratorz00_3001));
				}
				((((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_3000)))->BgL_procz00) =
					((BgL_nodez00_bglt) BgL_auxz00_4036), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_4043;

				{	/* Integrate/node.scm 335 */
					BgL_nodez00_bglt BgL_arg1755z00_3121;

					BgL_arg1755z00_3121 =
						(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_3000)))->BgL_msgz00);
					BgL_auxz00_4043 =
						BGl_gloz12z12zzintegrate_nodez00(BgL_arg1755z00_3121,
						((BgL_variablez00_bglt) BgL_integratorz00_3001));
				}
				((((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_3000)))->BgL_msgz00) =
					((BgL_nodez00_bglt) BgL_auxz00_4043), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_4050;

				{	/* Integrate/node.scm 336 */
					BgL_nodez00_bglt BgL_arg1756z00_3122;

					BgL_arg1756z00_3122 =
						(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_3000)))->BgL_objz00);
					BgL_auxz00_4050 =
						BGl_gloz12z12zzintegrate_nodez00(BgL_arg1756z00_3122,
						((BgL_variablez00_bglt) BgL_integratorz00_3001));
				}
				((((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_3000)))->BgL_objz00) =
					((BgL_nodez00_bglt) BgL_auxz00_4050), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_failz00_bglt) BgL_nodez00_3000));
		}

	}



/* &glo!-conditional1347 */
	BgL_nodez00_bglt BGl_z62gloz12zd2conditional1347za2zzintegrate_nodez00(obj_t
		BgL_envz00_3002, obj_t BgL_nodez00_3003, obj_t BgL_integratorz00_3004)
	{
		{	/* Integrate/node.scm 322 */
			{
				BgL_nodez00_bglt BgL_auxz00_4059;

				{	/* Integrate/node.scm 324 */
					BgL_nodez00_bglt BgL_arg1729z00_3124;

					BgL_arg1729z00_3124 =
						(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_3003)))->BgL_testz00);
					BgL_auxz00_4059 =
						BGl_gloz12z12zzintegrate_nodez00(BgL_arg1729z00_3124,
						((BgL_variablez00_bglt) BgL_integratorz00_3004));
				}
				((((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_3003)))->BgL_testz00) =
					((BgL_nodez00_bglt) BgL_auxz00_4059), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_4066;

				{	/* Integrate/node.scm 325 */
					BgL_nodez00_bglt BgL_arg1730z00_3125;

					BgL_arg1730z00_3125 =
						(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_3003)))->BgL_truez00);
					BgL_auxz00_4066 =
						BGl_gloz12z12zzintegrate_nodez00(BgL_arg1730z00_3125,
						((BgL_variablez00_bglt) BgL_integratorz00_3004));
				}
				((((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_3003)))->BgL_truez00) =
					((BgL_nodez00_bglt) BgL_auxz00_4066), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_4073;

				{	/* Integrate/node.scm 326 */
					BgL_nodez00_bglt BgL_arg1746z00_3126;

					BgL_arg1746z00_3126 =
						(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_3003)))->BgL_falsez00);
					BgL_auxz00_4073 =
						BGl_gloz12z12zzintegrate_nodez00(BgL_arg1746z00_3126,
						((BgL_variablez00_bglt) BgL_integratorz00_3004));
				}
				((((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_3003)))->BgL_falsez00) =
					((BgL_nodez00_bglt) BgL_auxz00_4073), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_conditionalz00_bglt) BgL_nodez00_3003));
		}

	}



/* &glo!-setq1345 */
	BgL_nodez00_bglt BGl_z62gloz12zd2setq1345za2zzintegrate_nodez00(obj_t
		BgL_envz00_3005, obj_t BgL_nodez00_3006, obj_t BgL_integratorz00_3007)
	{
		{	/* Integrate/node.scm 285 */
			{
				BgL_nodez00_bglt BgL_auxz00_4082;

				{	/* Integrate/node.scm 287 */
					BgL_nodez00_bglt BgL_arg1679z00_3128;

					BgL_arg1679z00_3128 =
						(((BgL_setqz00_bglt) COBJECT(
								((BgL_setqz00_bglt) BgL_nodez00_3006)))->BgL_valuez00);
					BgL_auxz00_4082 =
						BGl_gloz12z12zzintegrate_nodez00(BgL_arg1679z00_3128,
						((BgL_variablez00_bglt) BgL_integratorz00_3007));
				}
				((((BgL_setqz00_bglt) COBJECT(
								((BgL_setqz00_bglt) BgL_nodez00_3006)))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_auxz00_4082), BUNSPEC);
			}
			{	/* Integrate/node.scm 288 */
				BgL_variablez00_bglt BgL_varz00_3129;

				BgL_varz00_3129 =
					(((BgL_varz00_bglt) COBJECT(
							(((BgL_setqz00_bglt) COBJECT(
										((BgL_setqz00_bglt) BgL_nodez00_3006)))->BgL_varz00)))->
					BgL_variablez00);
				{	/* Integrate/node.scm 288 */
					BgL_typez00_bglt BgL_vtypez00_3130;

					BgL_vtypez00_3130 =
						(((BgL_variablez00_bglt) COBJECT(BgL_varz00_3129))->BgL_typez00);
					{	/* Integrate/node.scm 289 */

						{	/* Integrate/node.scm 290 */
							obj_t BgL_g1144z00_3131;

							BgL_g1144z00_3131 =
								(((BgL_variablez00_bglt) COBJECT(BgL_varz00_3129))->
								BgL_fastzd2alphazd2);
							{
								obj_t BgL_varz00_3133;
								obj_t BgL_alphaz00_3134;

								BgL_varz00_3133 = ((obj_t) BgL_varz00_3129);
								BgL_alphaz00_3134 = BgL_g1144z00_3131;
							BgL_loopz00_3132:
								{	/* Integrate/node.scm 292 */
									bool_t BgL_test2078z00_4094;

									{	/* Integrate/node.scm 292 */
										obj_t BgL_classz00_3135;

										BgL_classz00_3135 = BGl_localz00zzast_varz00;
										if (BGL_OBJECTP(BgL_alphaz00_3134))
											{	/* Integrate/node.scm 292 */
												BgL_objectz00_bglt BgL_arg1858z00_3136;

												BgL_arg1858z00_3136 =
													(BgL_objectz00_bglt) (BgL_alphaz00_3134);
												if (BGL_CONDEXPAND_ISA_ARCH64())
													{	/* Integrate/node.scm 292 */
														long BgL_idxz00_3137;

														BgL_idxz00_3137 =
															BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_3136);
														BgL_test2078z00_4094 =
															(VECTOR_REF
															(BGl_za2inheritancesza2z00zz__objectz00,
																(BgL_idxz00_3137 + 2L)) == BgL_classz00_3135);
													}
												else
													{	/* Integrate/node.scm 292 */
														bool_t BgL_res1961z00_3140;

														{	/* Integrate/node.scm 292 */
															obj_t BgL_oclassz00_3141;

															{	/* Integrate/node.scm 292 */
																obj_t BgL_arg1866z00_3142;
																long BgL_arg1867z00_3143;

																BgL_arg1866z00_3142 =
																	(BGl_za2classesza2z00zz__objectz00);
																{	/* Integrate/node.scm 292 */
																	long BgL_arg1869z00_3144;

																	BgL_arg1869z00_3144 =
																		BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_3136);
																	BgL_arg1867z00_3143 =
																		(BgL_arg1869z00_3144 - OBJECT_TYPE);
																}
																BgL_oclassz00_3141 =
																	VECTOR_REF(BgL_arg1866z00_3142,
																	BgL_arg1867z00_3143);
															}
															{	/* Integrate/node.scm 292 */
																bool_t BgL__ortest_1115z00_3145;

																BgL__ortest_1115z00_3145 =
																	(BgL_classz00_3135 == BgL_oclassz00_3141);
																if (BgL__ortest_1115z00_3145)
																	{	/* Integrate/node.scm 292 */
																		BgL_res1961z00_3140 =
																			BgL__ortest_1115z00_3145;
																	}
																else
																	{	/* Integrate/node.scm 292 */
																		long BgL_odepthz00_3146;

																		{	/* Integrate/node.scm 292 */
																			obj_t BgL_arg1855z00_3147;

																			BgL_arg1855z00_3147 =
																				(BgL_oclassz00_3141);
																			BgL_odepthz00_3146 =
																				BGL_CLASS_DEPTH(BgL_arg1855z00_3147);
																		}
																		if ((2L < BgL_odepthz00_3146))
																			{	/* Integrate/node.scm 292 */
																				obj_t BgL_arg1853z00_3148;

																				{	/* Integrate/node.scm 292 */
																					obj_t BgL_arg1854z00_3149;

																					BgL_arg1854z00_3149 =
																						(BgL_oclassz00_3141);
																					BgL_arg1853z00_3148 =
																						BGL_CLASS_ANCESTORS_REF
																						(BgL_arg1854z00_3149, 2L);
																				}
																				BgL_res1961z00_3140 =
																					(BgL_arg1853z00_3148 ==
																					BgL_classz00_3135);
																			}
																		else
																			{	/* Integrate/node.scm 292 */
																				BgL_res1961z00_3140 = ((bool_t) 0);
																			}
																	}
															}
														}
														BgL_test2078z00_4094 = BgL_res1961z00_3140;
													}
											}
										else
											{	/* Integrate/node.scm 292 */
												BgL_test2078z00_4094 = ((bool_t) 0);
											}
									}
									if (BgL_test2078z00_4094)
										{	/* Integrate/node.scm 292 */
											{	/* Integrate/node.scm 294 */
												BgL_varz00_bglt BgL_arg1686z00_3150;

												BgL_arg1686z00_3150 =
													(((BgL_setqz00_bglt) COBJECT(
															((BgL_setqz00_bglt) BgL_nodez00_3006)))->
													BgL_varz00);
												((((BgL_varz00_bglt) COBJECT(BgL_arg1686z00_3150))->
														BgL_variablez00) =
													((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
															BgL_alphaz00_3134)), BUNSPEC);
											}
											{	/* Integrate/node.scm 295 */
												obj_t BgL_arg1691z00_3151;

												BgL_arg1691z00_3151 =
													(((BgL_variablez00_bglt) COBJECT(
															((BgL_variablez00_bglt) BgL_alphaz00_3134)))->
													BgL_fastzd2alphazd2);
												{
													obj_t BgL_alphaz00_4124;
													obj_t BgL_varz00_4123;

													BgL_varz00_4123 = BgL_alphaz00_3134;
													BgL_alphaz00_4124 = BgL_arg1691z00_3151;
													BgL_alphaz00_3134 = BgL_alphaz00_4124;
													BgL_varz00_3133 = BgL_varz00_4123;
													goto BgL_loopz00_3132;
												}
											}
										}
									else
										{	/* Integrate/node.scm 296 */
											BgL_variablez00_bglt BgL_varz00_3152;

											BgL_varz00_3152 =
												(((BgL_varz00_bglt) COBJECT(
														(((BgL_setqz00_bglt) COBJECT(
																	((BgL_setqz00_bglt) BgL_nodez00_3006)))->
															BgL_varz00)))->BgL_variablez00);
											{	/* Integrate/node.scm 297 */
												bool_t BgL_test2083z00_4128;

												{	/* Integrate/node.scm 297 */
													bool_t BgL_test2084z00_4129;

													{	/* Integrate/node.scm 297 */
														obj_t BgL_classz00_3153;

														BgL_classz00_3153 = BGl_localz00zzast_varz00;
														{	/* Integrate/node.scm 297 */
															BgL_objectz00_bglt BgL_arg1858z00_3154;

															{	/* Integrate/node.scm 297 */
																obj_t BgL_tmpz00_4130;

																BgL_tmpz00_4130 =
																	((obj_t)
																	((BgL_objectz00_bglt) BgL_varz00_3152));
																BgL_arg1858z00_3154 =
																	(BgL_objectz00_bglt) (BgL_tmpz00_4130);
															}
															if (BGL_CONDEXPAND_ISA_ARCH64())
																{	/* Integrate/node.scm 297 */
																	long BgL_idxz00_3155;

																	BgL_idxz00_3155 =
																		BGL_OBJECT_INHERITANCE_NUM
																		(BgL_arg1858z00_3154);
																	BgL_test2084z00_4129 =
																		(VECTOR_REF
																		(BGl_za2inheritancesza2z00zz__objectz00,
																			(BgL_idxz00_3155 + 2L)) ==
																		BgL_classz00_3153);
																}
															else
																{	/* Integrate/node.scm 297 */
																	bool_t BgL_res1962z00_3158;

																	{	/* Integrate/node.scm 297 */
																		obj_t BgL_oclassz00_3159;

																		{	/* Integrate/node.scm 297 */
																			obj_t BgL_arg1866z00_3160;
																			long BgL_arg1867z00_3161;

																			BgL_arg1866z00_3160 =
																				(BGl_za2classesza2z00zz__objectz00);
																			{	/* Integrate/node.scm 297 */
																				long BgL_arg1869z00_3162;

																				BgL_arg1869z00_3162 =
																					BGL_OBJECT_CLASS_NUM
																					(BgL_arg1858z00_3154);
																				BgL_arg1867z00_3161 =
																					(BgL_arg1869z00_3162 - OBJECT_TYPE);
																			}
																			BgL_oclassz00_3159 =
																				VECTOR_REF(BgL_arg1866z00_3160,
																				BgL_arg1867z00_3161);
																		}
																		{	/* Integrate/node.scm 297 */
																			bool_t BgL__ortest_1115z00_3163;

																			BgL__ortest_1115z00_3163 =
																				(BgL_classz00_3153 ==
																				BgL_oclassz00_3159);
																			if (BgL__ortest_1115z00_3163)
																				{	/* Integrate/node.scm 297 */
																					BgL_res1962z00_3158 =
																						BgL__ortest_1115z00_3163;
																				}
																			else
																				{	/* Integrate/node.scm 297 */
																					long BgL_odepthz00_3164;

																					{	/* Integrate/node.scm 297 */
																						obj_t BgL_arg1855z00_3165;

																						BgL_arg1855z00_3165 =
																							(BgL_oclassz00_3159);
																						BgL_odepthz00_3164 =
																							BGL_CLASS_DEPTH
																							(BgL_arg1855z00_3165);
																					}
																					if ((2L < BgL_odepthz00_3164))
																						{	/* Integrate/node.scm 297 */
																							obj_t BgL_arg1853z00_3166;

																							{	/* Integrate/node.scm 297 */
																								obj_t BgL_arg1854z00_3167;

																								BgL_arg1854z00_3167 =
																									(BgL_oclassz00_3159);
																								BgL_arg1853z00_3166 =
																									BGL_CLASS_ANCESTORS_REF
																									(BgL_arg1854z00_3167, 2L);
																							}
																							BgL_res1962z00_3158 =
																								(BgL_arg1853z00_3166 ==
																								BgL_classz00_3153);
																						}
																					else
																						{	/* Integrate/node.scm 297 */
																							BgL_res1962z00_3158 =
																								((bool_t) 0);
																						}
																				}
																		}
																	}
																	BgL_test2084z00_4129 = BgL_res1962z00_3158;
																}
														}
													}
													if (BgL_test2084z00_4129)
														{	/* Integrate/node.scm 297 */
															BgL_test2083z00_4128 =
																BGl_integratezd2celledzf3z21zzintegrate_nodez00(
																((BgL_localz00_bglt) BgL_varz00_3152));
														}
													else
														{	/* Integrate/node.scm 297 */
															BgL_test2083z00_4128 = ((bool_t) 0);
														}
												}
												if (BgL_test2083z00_4128)
													{	/* Integrate/node.scm 298 */
														BgL_localz00_bglt BgL_azd2varzd2_3168;
														obj_t BgL_locz00_3169;

														BgL_azd2varzd2_3168 =
															BGl_makezd2localzd2svarz00zzast_localz00(
															((obj_t)
																CNST_TABLE_REF(4)),
															((BgL_typez00_bglt)
																BGl_za2objza2z00zztype_cachez00));
														BgL_locz00_3169 =
															(((BgL_nodez00_bglt)
																COBJECT(((BgL_nodez00_bglt) ((BgL_setqz00_bglt)
																			BgL_nodez00_3006))))->BgL_locz00);
														{	/* Integrate/node.scm 300 */
															obj_t BgL_vz00_3170;

															BgL_vz00_3170 = ((obj_t) CNST_TABLE_REF(0));
															((((BgL_variablez00_bglt) COBJECT(
																			((BgL_variablez00_bglt)
																				((BgL_localz00_bglt)
																					BgL_varz00_3152))))->BgL_accessz00) =
																((obj_t) BgL_vz00_3170), BUNSPEC);
														}
														{	/* Integrate/node.scm 301 */
															BgL_varz00_bglt BgL_arg1695z00_3171;

															BgL_arg1695z00_3171 =
																(((BgL_setqz00_bglt) COBJECT(
																		((BgL_setqz00_bglt) BgL_nodez00_3006)))->
																BgL_varz00);
															{	/* Integrate/node.scm 301 */
																BgL_typez00_bglt BgL_vz00_3172;

																BgL_vz00_3172 =
																	((BgL_typez00_bglt)
																	BGl_za2objza2z00zztype_cachez00);
																((((BgL_nodez00_bglt)
																			COBJECT(((BgL_nodez00_bglt)
																					BgL_arg1695z00_3171)))->BgL_typez00) =
																	((BgL_typez00_bglt) BgL_vz00_3172), BUNSPEC);
															}
														}
														{	/* Integrate/node.scm 302 */
															BgL_svarz00_bglt BgL_tmp1145z00_3173;

															BgL_tmp1145z00_3173 =
																((BgL_svarz00_bglt)
																(((BgL_variablez00_bglt) COBJECT(
																			((BgL_variablez00_bglt)
																				BgL_azd2varzd2_3168)))->BgL_valuez00));
															{	/* Integrate/node.scm 302 */
																BgL_svarzf2iinfozf2_bglt BgL_wide1147z00_3174;

																BgL_wide1147z00_3174 =
																	((BgL_svarzf2iinfozf2_bglt)
																	BOBJECT(GC_MALLOC(sizeof(struct
																				BgL_svarzf2iinfozf2_bgl))));
																{	/* Integrate/node.scm 302 */
																	obj_t BgL_auxz00_4179;
																	BgL_objectz00_bglt BgL_tmpz00_4176;

																	BgL_auxz00_4179 =
																		((obj_t) BgL_wide1147z00_3174);
																	BgL_tmpz00_4176 =
																		((BgL_objectz00_bglt)
																		((BgL_svarz00_bglt) BgL_tmp1145z00_3173));
																	BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4176,
																		BgL_auxz00_4179);
																}
																((BgL_objectz00_bglt)
																	((BgL_svarz00_bglt) BgL_tmp1145z00_3173));
																{	/* Integrate/node.scm 302 */
																	long BgL_arg1696z00_3175;

																	BgL_arg1696z00_3175 =
																		BGL_CLASS_NUM
																		(BGl_svarzf2Iinfozf2zzintegrate_infoz00);
																	BGL_OBJECT_CLASS_NUM_SET(((BgL_objectz00_bglt)
																			((BgL_svarz00_bglt) BgL_tmp1145z00_3173)),
																		BgL_arg1696z00_3175);
																}
																((BgL_svarz00_bglt)
																	((BgL_svarz00_bglt) BgL_tmp1145z00_3173));
															}
															{
																BgL_svarzf2iinfozf2_bglt BgL_auxz00_4190;

																{
																	obj_t BgL_auxz00_4191;

																	{	/* Integrate/node.scm 303 */
																		BgL_objectz00_bglt BgL_tmpz00_4192;

																		BgL_tmpz00_4192 =
																			((BgL_objectz00_bglt)
																			((BgL_svarz00_bglt) BgL_tmp1145z00_3173));
																		BgL_auxz00_4191 =
																			BGL_OBJECT_WIDENING(BgL_tmpz00_4192);
																	}
																	BgL_auxz00_4190 =
																		((BgL_svarzf2iinfozf2_bglt)
																		BgL_auxz00_4191);
																}
																((((BgL_svarzf2iinfozf2_bglt)
																			COBJECT(BgL_auxz00_4190))->
																		BgL_fzd2markzd2) =
																	((obj_t) BUNSPEC), BUNSPEC);
															}
															{
																BgL_svarzf2iinfozf2_bglt BgL_auxz00_4198;

																{
																	obj_t BgL_auxz00_4199;

																	{	/* Integrate/node.scm 303 */
																		BgL_objectz00_bglt BgL_tmpz00_4200;

																		BgL_tmpz00_4200 =
																			((BgL_objectz00_bglt)
																			((BgL_svarz00_bglt) BgL_tmp1145z00_3173));
																		BgL_auxz00_4199 =
																			BGL_OBJECT_WIDENING(BgL_tmpz00_4200);
																	}
																	BgL_auxz00_4198 =
																		((BgL_svarzf2iinfozf2_bglt)
																		BgL_auxz00_4199);
																}
																((((BgL_svarzf2iinfozf2_bglt)
																			COBJECT(BgL_auxz00_4198))->
																		BgL_uzd2markzd2) =
																	((obj_t) BUNSPEC), BUNSPEC);
															}
															{
																BgL_svarzf2iinfozf2_bglt BgL_auxz00_4206;

																{
																	obj_t BgL_auxz00_4207;

																	{	/* Integrate/node.scm 303 */
																		BgL_objectz00_bglt BgL_tmpz00_4208;

																		BgL_tmpz00_4208 =
																			((BgL_objectz00_bglt)
																			((BgL_svarz00_bglt) BgL_tmp1145z00_3173));
																		BgL_auxz00_4207 =
																			BGL_OBJECT_WIDENING(BgL_tmpz00_4208);
																	}
																	BgL_auxz00_4206 =
																		((BgL_svarzf2iinfozf2_bglt)
																		BgL_auxz00_4207);
																}
																((((BgL_svarzf2iinfozf2_bglt)
																			COBJECT(BgL_auxz00_4206))->
																		BgL_kapturedzf3zf3) =
																	((bool_t) ((bool_t) 0)), BUNSPEC);
															}
															{
																BgL_svarzf2iinfozf2_bglt BgL_auxz00_4214;

																{
																	obj_t BgL_auxz00_4215;

																	{	/* Integrate/node.scm 303 */
																		BgL_objectz00_bglt BgL_tmpz00_4216;

																		BgL_tmpz00_4216 =
																			((BgL_objectz00_bglt)
																			((BgL_svarz00_bglt) BgL_tmp1145z00_3173));
																		BgL_auxz00_4215 =
																			BGL_OBJECT_WIDENING(BgL_tmpz00_4216);
																	}
																	BgL_auxz00_4214 =
																		((BgL_svarzf2iinfozf2_bglt)
																		BgL_auxz00_4215);
																}
																((((BgL_svarzf2iinfozf2_bglt)
																			COBJECT(BgL_auxz00_4214))->
																		BgL_celledzf3zf3) =
																	((bool_t) ((bool_t) 0)), BUNSPEC);
															}
															{
																BgL_svarzf2iinfozf2_bglt BgL_auxz00_4222;

																{
																	obj_t BgL_auxz00_4223;

																	{	/* Integrate/node.scm 303 */
																		BgL_objectz00_bglt BgL_tmpz00_4224;

																		BgL_tmpz00_4224 =
																			((BgL_objectz00_bglt)
																			((BgL_svarz00_bglt) BgL_tmp1145z00_3173));
																		BgL_auxz00_4223 =
																			BGL_OBJECT_WIDENING(BgL_tmpz00_4224);
																	}
																	BgL_auxz00_4222 =
																		((BgL_svarzf2iinfozf2_bglt)
																		BgL_auxz00_4223);
																}
																((((BgL_svarzf2iinfozf2_bglt)
																			COBJECT(BgL_auxz00_4222))->BgL_xhdlz00) =
																	((obj_t) BFALSE), BUNSPEC);
															}
															((BgL_svarz00_bglt) BgL_tmp1145z00_3173);
														}
														{	/* Integrate/node.scm 304 */
															BgL_letzd2varzd2_bglt BgL_new1150z00_3176;

															{	/* Integrate/node.scm 305 */
																BgL_letzd2varzd2_bglt BgL_new1149z00_3177;

																BgL_new1149z00_3177 =
																	((BgL_letzd2varzd2_bglt)
																	BOBJECT(GC_MALLOC(sizeof(struct
																				BgL_letzd2varzd2_bgl))));
																{	/* Integrate/node.scm 305 */
																	long BgL_arg1717z00_3178;

																	BgL_arg1717z00_3178 =
																		BGL_CLASS_NUM
																		(BGl_letzd2varzd2zzast_nodez00);
																	BGL_OBJECT_CLASS_NUM_SET(((BgL_objectz00_bglt)
																			BgL_new1149z00_3177),
																		BgL_arg1717z00_3178);
																}
																{	/* Integrate/node.scm 305 */
																	BgL_objectz00_bglt BgL_tmpz00_4235;

																	BgL_tmpz00_4235 =
																		((BgL_objectz00_bglt) BgL_new1149z00_3177);
																	BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4235,
																		BFALSE);
																}
																((BgL_objectz00_bglt) BgL_new1149z00_3177);
																BgL_new1150z00_3176 = BgL_new1149z00_3177;
															}
															((((BgL_nodez00_bglt) COBJECT(
																			((BgL_nodez00_bglt)
																				BgL_new1150z00_3176)))->BgL_locz00) =
																((obj_t) BgL_locz00_3169), BUNSPEC);
															((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
																				BgL_new1150z00_3176)))->BgL_typez00) =
																((BgL_typez00_bglt) ((BgL_typez00_bglt)
																		BGl_za2unspecza2z00zztype_cachez00)),
																BUNSPEC);
															((((BgL_nodezf2effectzf2_bglt)
																		COBJECT(((BgL_nodezf2effectzf2_bglt)
																				BgL_new1150z00_3176)))->
																	BgL_sidezd2effectzd2) =
																((obj_t) BUNSPEC), BUNSPEC);
															((((BgL_nodezf2effectzf2_bglt)
																		COBJECT(((BgL_nodezf2effectzf2_bglt)
																				BgL_new1150z00_3176)))->BgL_keyz00) =
																((obj_t) BINT((-1L))), BUNSPEC);
															{
																obj_t BgL_auxz00_4249;

																{	/* Integrate/node.scm 307 */
																	obj_t BgL_arg1699z00_3179;

																	{	/* Integrate/node.scm 307 */
																		BgL_nodez00_bglt BgL_arg1703z00_3180;

																		BgL_arg1703z00_3180 =
																			(((BgL_setqz00_bglt) COBJECT(
																					((BgL_setqz00_bglt)
																						BgL_nodez00_3006)))->BgL_valuez00);
																		BgL_arg1699z00_3179 =
																			MAKE_YOUNG_PAIR(((obj_t)
																				BgL_azd2varzd2_3168),
																			((obj_t) BgL_arg1703z00_3180));
																	}
																	{	/* Integrate/node.scm 307 */
																		obj_t BgL_list1700z00_3181;

																		BgL_list1700z00_3181 =
																			MAKE_YOUNG_PAIR(BgL_arg1699z00_3179,
																			BNIL);
																		BgL_auxz00_4249 = BgL_list1700z00_3181;
																}}
																((((BgL_letzd2varzd2_bglt)
																			COBJECT(BgL_new1150z00_3176))->
																		BgL_bindingsz00) =
																	((obj_t) BgL_auxz00_4249), BUNSPEC);
															}
															{
																BgL_nodez00_bglt BgL_auxz00_4257;

																{	/* Integrate/node.scm 308 */
																	BgL_boxzd2setz12zc0_bglt BgL_new1152z00_3182;

																	{	/* Integrate/node.scm 309 */
																		BgL_boxzd2setz12zc0_bglt
																			BgL_new1151z00_3183;
																		BgL_new1151z00_3183 =
																			((BgL_boxzd2setz12zc0_bglt)
																			BOBJECT(GC_MALLOC(sizeof(struct
																						BgL_boxzd2setz12zc0_bgl))));
																		{	/* Integrate/node.scm 309 */
																			long BgL_arg1716z00_3184;

																			{	/* Integrate/node.scm 309 */
																				obj_t BgL_classz00_3185;

																				BgL_classz00_3185 =
																					BGl_boxzd2setz12zc0zzast_nodez00;
																				BgL_arg1716z00_3184 =
																					BGL_CLASS_NUM(BgL_classz00_3185);
																			}
																			BGL_OBJECT_CLASS_NUM_SET(
																				((BgL_objectz00_bglt)
																					BgL_new1151z00_3183),
																				BgL_arg1716z00_3184);
																		}
																		{	/* Integrate/node.scm 309 */
																			BgL_objectz00_bglt BgL_tmpz00_4262;

																			BgL_tmpz00_4262 =
																				((BgL_objectz00_bglt)
																				BgL_new1151z00_3183);
																			BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4262,
																				BFALSE);
																		}
																		((BgL_objectz00_bglt) BgL_new1151z00_3183);
																		BgL_new1152z00_3182 = BgL_new1151z00_3183;
																	}
																	((((BgL_nodez00_bglt) COBJECT(
																					((BgL_nodez00_bglt)
																						BgL_new1152z00_3182)))->
																			BgL_locz00) =
																		((obj_t) BgL_locz00_3169), BUNSPEC);
																	((((BgL_nodez00_bglt)
																				COBJECT(((BgL_nodez00_bglt)
																						BgL_new1152z00_3182)))->
																			BgL_typez00) =
																		((BgL_typez00_bglt) ((BgL_typez00_bglt)
																				BGl_za2unspecza2z00zztype_cachez00)),
																		BUNSPEC);
																	((((BgL_boxzd2setz12zc0_bglt)
																				COBJECT(BgL_new1152z00_3182))->
																			BgL_varz00) =
																		((BgL_varz00_bglt) (((BgL_setqz00_bglt)
																					COBJECT(((BgL_setqz00_bglt)
																							BgL_nodez00_3006)))->BgL_varz00)),
																		BUNSPEC);
																	{
																		BgL_nodez00_bglt BgL_auxz00_4274;

																		{	/* Integrate/node.scm 313 */
																			BgL_refz00_bglt BgL_new1154z00_3186;

																			{	/* Integrate/node.scm 314 */
																				BgL_refz00_bglt BgL_new1153z00_3187;

																				BgL_new1153z00_3187 =
																					((BgL_refz00_bglt)
																					BOBJECT(GC_MALLOC(sizeof(struct
																								BgL_refz00_bgl))));
																				{	/* Integrate/node.scm 314 */
																					long BgL_arg1715z00_3188;

																					{	/* Integrate/node.scm 314 */
																						obj_t BgL_classz00_3189;

																						BgL_classz00_3189 =
																							BGl_refz00zzast_nodez00;
																						BgL_arg1715z00_3188 =
																							BGL_CLASS_NUM(BgL_classz00_3189);
																					}
																					BGL_OBJECT_CLASS_NUM_SET(
																						((BgL_objectz00_bglt)
																							BgL_new1153z00_3187),
																						BgL_arg1715z00_3188);
																				}
																				{	/* Integrate/node.scm 314 */
																					BgL_objectz00_bglt BgL_tmpz00_4279;

																					BgL_tmpz00_4279 =
																						((BgL_objectz00_bglt)
																						BgL_new1153z00_3187);
																					BGL_OBJECT_WIDENING_SET
																						(BgL_tmpz00_4279, BFALSE);
																				}
																				((BgL_objectz00_bglt)
																					BgL_new1153z00_3187);
																				BgL_new1154z00_3186 =
																					BgL_new1153z00_3187;
																			}
																			((((BgL_nodez00_bglt) COBJECT(
																							((BgL_nodez00_bglt)
																								BgL_new1154z00_3186)))->
																					BgL_locz00) =
																				((obj_t) BgL_locz00_3169), BUNSPEC);
																			((((BgL_nodez00_bglt)
																						COBJECT(((BgL_nodez00_bglt)
																								BgL_new1154z00_3186)))->
																					BgL_typez00) =
																				((BgL_typez00_bglt) ((
																							(BgL_variablez00_bglt)
																							COBJECT(((BgL_variablez00_bglt)
																									BgL_azd2varzd2_3168)))->
																						BgL_typez00)), BUNSPEC);
																			((((BgL_varz00_bglt)
																						COBJECT(((BgL_varz00_bglt)
																								BgL_new1154z00_3186)))->
																					BgL_variablez00) =
																				((BgL_variablez00_bglt) (
																						(BgL_variablez00_bglt)
																						BgL_azd2varzd2_3168)), BUNSPEC);
																			BgL_auxz00_4274 =
																				((BgL_nodez00_bglt)
																				BgL_new1154z00_3186);
																		}
																		((((BgL_boxzd2setz12zc0_bglt)
																					COBJECT(BgL_new1152z00_3182))->
																				BgL_valuez00) =
																			((BgL_nodez00_bglt) BgL_auxz00_4274),
																			BUNSPEC);
																	}
																	((((BgL_boxzd2setz12zc0_bglt)
																				COBJECT(BgL_new1152z00_3182))->
																			BgL_vtypez00) =
																		((BgL_typez00_bglt)
																			BGl_getzd2bigloozd2typez00zztype_cachez00
																			(BgL_vtypez00_3130)), BUNSPEC);
																	BgL_auxz00_4257 =
																		((BgL_nodez00_bglt) BgL_new1152z00_3182);
																}
																((((BgL_letzd2varzd2_bglt)
																			COBJECT(BgL_new1150z00_3176))->
																		BgL_bodyz00) =
																	((BgL_nodez00_bglt) BgL_auxz00_4257),
																	BUNSPEC);
															}
															((((BgL_letzd2varzd2_bglt)
																		COBJECT(BgL_new1150z00_3176))->
																	BgL_removablezf3zf3) =
																((bool_t) ((bool_t) 1)), BUNSPEC);
															return ((BgL_nodez00_bglt) BgL_new1150z00_3176);
														}
													}
												else
													{	/* Integrate/node.scm 297 */
														return
															((BgL_nodez00_bglt)
															((BgL_setqz00_bglt) BgL_nodez00_3006));
													}
											}
										}
								}
							}
						}
					}
				}
			}
		}

	}



/* &glo!-cast1343 */
	BgL_nodez00_bglt BGl_z62gloz12zd2cast1343za2zzintegrate_nodez00(obj_t
		BgL_envz00_3008, obj_t BgL_nodez00_3009, obj_t BgL_integratorz00_3010)
	{
		{	/* Integrate/node.scm 277 */
			{	/* Integrate/node.scm 279 */
				BgL_nodez00_bglt BgL_arg1677z00_3191;

				BgL_arg1677z00_3191 =
					(((BgL_castz00_bglt) COBJECT(
							((BgL_castz00_bglt) BgL_nodez00_3009)))->BgL_argz00);
				BGl_gloz12z12zzintegrate_nodez00(BgL_arg1677z00_3191,
					((BgL_variablez00_bglt) BgL_integratorz00_3010));
			}
			return ((BgL_nodez00_bglt) ((BgL_castz00_bglt) BgL_nodez00_3009));
		}

	}



/* &glo!-extern1341 */
	BgL_nodez00_bglt BGl_z62gloz12zd2extern1341za2zzintegrate_nodez00(obj_t
		BgL_envz00_3011, obj_t BgL_nodez00_3012, obj_t BgL_integratorz00_3013)
	{
		{	/* Integrate/node.scm 269 */
			BGl_gloza2z12zb0zzintegrate_nodez00(
				(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt) BgL_nodez00_3012)))->BgL_exprza2za2),
				BgL_integratorz00_3013);
			return ((BgL_nodez00_bglt) ((BgL_externz00_bglt) BgL_nodez00_3012));
		}

	}



/* &glo!-funcall1339 */
	BgL_nodez00_bglt BGl_z62gloz12zd2funcall1339za2zzintegrate_nodez00(obj_t
		BgL_envz00_3014, obj_t BgL_nodez00_3015, obj_t BgL_integratorz00_3016)
	{
		{	/* Integrate/node.scm 260 */
			{
				BgL_nodez00_bglt BgL_auxz00_4314;

				{	/* Integrate/node.scm 262 */
					BgL_nodez00_bglt BgL_arg1673z00_3194;

					BgL_arg1673z00_3194 =
						(((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_nodez00_3015)))->BgL_funz00);
					BgL_auxz00_4314 =
						BGl_gloz12z12zzintegrate_nodez00(BgL_arg1673z00_3194,
						((BgL_variablez00_bglt) BgL_integratorz00_3016));
				}
				((((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_nodez00_3015)))->BgL_funz00) =
					((BgL_nodez00_bglt) BgL_auxz00_4314), BUNSPEC);
			}
			BGl_gloza2z12zb0zzintegrate_nodez00(
				(((BgL_funcallz00_bglt) COBJECT(
							((BgL_funcallz00_bglt) BgL_nodez00_3015)))->BgL_argsz00),
				BgL_integratorz00_3016);
			return ((BgL_nodez00_bglt) ((BgL_funcallz00_bglt) BgL_nodez00_3015));
		}

	}



/* &glo!-app-ly1337 */
	BgL_nodez00_bglt BGl_z62gloz12zd2appzd2ly1337z70zzintegrate_nodez00(obj_t
		BgL_envz00_3017, obj_t BgL_nodez00_3018, obj_t BgL_integratorz00_3019)
	{
		{	/* Integrate/node.scm 251 */
			{
				BgL_nodez00_bglt BgL_auxz00_4326;

				{	/* Integrate/node.scm 253 */
					BgL_nodez00_bglt BgL_arg1663z00_3196;

					BgL_arg1663z00_3196 =
						(((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_3018)))->BgL_funz00);
					BgL_auxz00_4326 =
						BGl_gloz12z12zzintegrate_nodez00(BgL_arg1663z00_3196,
						((BgL_variablez00_bglt) BgL_integratorz00_3019));
				}
				((((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_3018)))->BgL_funz00) =
					((BgL_nodez00_bglt) BgL_auxz00_4326), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_4333;

				{	/* Integrate/node.scm 254 */
					BgL_nodez00_bglt BgL_arg1664z00_3197;

					BgL_arg1664z00_3197 =
						(((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_3018)))->BgL_argz00);
					BgL_auxz00_4333 =
						BGl_gloz12z12zzintegrate_nodez00(BgL_arg1664z00_3197,
						((BgL_variablez00_bglt) BgL_integratorz00_3019));
				}
				((((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_3018)))->BgL_argz00) =
					((BgL_nodez00_bglt) BgL_auxz00_4333), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_appzd2lyzd2_bglt) BgL_nodez00_3018));
		}

	}



/* &glo!-app1335 */
	BgL_nodez00_bglt BGl_z62gloz12zd2app1335za2zzintegrate_nodez00(obj_t
		BgL_envz00_3020, obj_t BgL_nodez00_3021, obj_t BgL_integratorz00_3022)
	{
		{	/* Integrate/node.scm 211 */
			{	/* Integrate/node.scm 213 */
				BgL_variablez00_bglt BgL_funz00_3199;

				BgL_funz00_3199 =
					(((BgL_varz00_bglt) COBJECT(
							(((BgL_appz00_bglt) COBJECT(
										((BgL_appz00_bglt) BgL_nodez00_3021)))->BgL_funz00)))->
					BgL_variablez00);
				{	/* Integrate/node.scm 213 */
					BgL_valuez00_bglt BgL_infoz00_3200;

					BgL_infoz00_3200 =
						(((BgL_variablez00_bglt) COBJECT(BgL_funz00_3199))->BgL_valuez00);
					{	/* Integrate/node.scm 214 */

						{	/* Integrate/node.scm 216 */
							bool_t BgL_test2088z00_4346;

							{	/* Integrate/node.scm 216 */
								bool_t BgL_test2089z00_4347;

								{	/* Integrate/node.scm 216 */
									obj_t BgL_classz00_3201;

									BgL_classz00_3201 = BGl_localz00zzast_varz00;
									{	/* Integrate/node.scm 216 */
										BgL_objectz00_bglt BgL_arg1858z00_3202;

										{	/* Integrate/node.scm 216 */
											obj_t BgL_tmpz00_4348;

											BgL_tmpz00_4348 =
												((obj_t) ((BgL_objectz00_bglt) BgL_funz00_3199));
											BgL_arg1858z00_3202 =
												(BgL_objectz00_bglt) (BgL_tmpz00_4348);
										}
										if (BGL_CONDEXPAND_ISA_ARCH64())
											{	/* Integrate/node.scm 216 */
												long BgL_idxz00_3203;

												BgL_idxz00_3203 =
													BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_3202);
												BgL_test2089z00_4347 =
													(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
														(BgL_idxz00_3203 + 2L)) == BgL_classz00_3201);
											}
										else
											{	/* Integrate/node.scm 216 */
												bool_t BgL_res1958z00_3206;

												{	/* Integrate/node.scm 216 */
													obj_t BgL_oclassz00_3207;

													{	/* Integrate/node.scm 216 */
														obj_t BgL_arg1866z00_3208;
														long BgL_arg1867z00_3209;

														BgL_arg1866z00_3208 =
															(BGl_za2classesza2z00zz__objectz00);
														{	/* Integrate/node.scm 216 */
															long BgL_arg1869z00_3210;

															BgL_arg1869z00_3210 =
																BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_3202);
															BgL_arg1867z00_3209 =
																(BgL_arg1869z00_3210 - OBJECT_TYPE);
														}
														BgL_oclassz00_3207 =
															VECTOR_REF(BgL_arg1866z00_3208,
															BgL_arg1867z00_3209);
													}
													{	/* Integrate/node.scm 216 */
														bool_t BgL__ortest_1115z00_3211;

														BgL__ortest_1115z00_3211 =
															(BgL_classz00_3201 == BgL_oclassz00_3207);
														if (BgL__ortest_1115z00_3211)
															{	/* Integrate/node.scm 216 */
																BgL_res1958z00_3206 = BgL__ortest_1115z00_3211;
															}
														else
															{	/* Integrate/node.scm 216 */
																long BgL_odepthz00_3212;

																{	/* Integrate/node.scm 216 */
																	obj_t BgL_arg1855z00_3213;

																	BgL_arg1855z00_3213 = (BgL_oclassz00_3207);
																	BgL_odepthz00_3212 =
																		BGL_CLASS_DEPTH(BgL_arg1855z00_3213);
																}
																if ((2L < BgL_odepthz00_3212))
																	{	/* Integrate/node.scm 216 */
																		obj_t BgL_arg1853z00_3214;

																		{	/* Integrate/node.scm 216 */
																			obj_t BgL_arg1854z00_3215;

																			BgL_arg1854z00_3215 =
																				(BgL_oclassz00_3207);
																			BgL_arg1853z00_3214 =
																				BGL_CLASS_ANCESTORS_REF
																				(BgL_arg1854z00_3215, 2L);
																		}
																		BgL_res1958z00_3206 =
																			(BgL_arg1853z00_3214 ==
																			BgL_classz00_3201);
																	}
																else
																	{	/* Integrate/node.scm 216 */
																		BgL_res1958z00_3206 = ((bool_t) 0);
																	}
															}
													}
												}
												BgL_test2089z00_4347 = BgL_res1958z00_3206;
											}
									}
								}
								if (BgL_test2089z00_4347)
									{
										BgL_sfunzf2iinfozf2_bglt BgL_auxz00_4371;

										{
											obj_t BgL_auxz00_4372;

											{	/* Integrate/node.scm 216 */
												BgL_objectz00_bglt BgL_tmpz00_4373;

												BgL_tmpz00_4373 =
													((BgL_objectz00_bglt)
													((BgL_sfunz00_bglt) BgL_infoz00_3200));
												BgL_auxz00_4372 = BGL_OBJECT_WIDENING(BgL_tmpz00_4373);
											}
											BgL_auxz00_4371 =
												((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_4372);
										}
										BgL_test2088z00_4346 =
											(((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_4371))->
											BgL_gzf3zf3);
									}
								else
									{	/* Integrate/node.scm 216 */
										BgL_test2088z00_4346 = ((bool_t) 0);
									}
							}
							if (BgL_test2088z00_4346)
								{	/* Integrate/node.scm 218 */
									BgL_refz00_bglt BgL_arg1631z00_3216;

									{	/* Integrate/node.scm 218 */
										BgL_refz00_bglt BgL_new1135z00_3217;

										{	/* Integrate/node.scm 219 */
											BgL_refz00_bglt BgL_new1133z00_3218;

											BgL_new1133z00_3218 =
												((BgL_refz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
															BgL_refz00_bgl))));
											{	/* Integrate/node.scm 219 */
												long BgL_arg1633z00_3219;

												BgL_arg1633z00_3219 =
													BGL_CLASS_NUM(BGl_refz00zzast_nodez00);
												BGL_OBJECT_CLASS_NUM_SET(
													((BgL_objectz00_bglt) BgL_new1133z00_3218),
													BgL_arg1633z00_3219);
											}
											{	/* Integrate/node.scm 219 */
												BgL_objectz00_bglt BgL_tmpz00_4383;

												BgL_tmpz00_4383 =
													((BgL_objectz00_bglt) BgL_new1133z00_3218);
												BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4383, BFALSE);
											}
											((BgL_objectz00_bglt) BgL_new1133z00_3218);
											BgL_new1135z00_3217 = BgL_new1133z00_3218;
										}
										((((BgL_nodez00_bglt) COBJECT(
														((BgL_nodez00_bglt) BgL_new1135z00_3217)))->
												BgL_locz00) =
											((obj_t) (((BgL_nodez00_bglt)
														COBJECT(((BgL_nodez00_bglt) ((BgL_appz00_bglt)
																	BgL_nodez00_3021))))->BgL_locz00)), BUNSPEC);
										{
											BgL_typez00_bglt BgL_auxz00_4392;

											{	/* Integrate/node.scm 220 */
												obj_t BgL_arg1632z00_3220;

												BgL_arg1632z00_3220 =
													BGl_thezd2globalzd2zzintegrate_localzd2ze3globalz31(
													((BgL_localz00_bglt) BgL_funz00_3199));
												BgL_auxz00_4392 =
													(((BgL_variablez00_bglt) COBJECT(
															((BgL_variablez00_bglt) BgL_arg1632z00_3220)))->
													BgL_typez00);
											}
											((((BgL_nodez00_bglt) COBJECT(
															((BgL_nodez00_bglt) BgL_new1135z00_3217)))->
													BgL_typez00) =
												((BgL_typez00_bglt) BgL_auxz00_4392), BUNSPEC);
										}
										((((BgL_varz00_bglt) COBJECT(
														((BgL_varz00_bglt) BgL_new1135z00_3217)))->
												BgL_variablez00) =
											((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
													BGl_thezd2globalzd2zzintegrate_localzd2ze3globalz31((
															(BgL_localz00_bglt) BgL_funz00_3199)))), BUNSPEC);
										BgL_arg1631z00_3216 = BgL_new1135z00_3217;
									}
									((((BgL_appz00_bglt) COBJECT(
													((BgL_appz00_bglt) BgL_nodez00_3021)))->BgL_funz00) =
										((BgL_varz00_bglt) ((BgL_varz00_bglt) BgL_arg1631z00_3216)),
										BUNSPEC);
								}
							else
								{	/* Integrate/node.scm 216 */
									BFALSE;
								}
						}
						{
							obj_t BgL_nodesz00_3222;

							BgL_nodesz00_3222 =
								(((BgL_appz00_bglt) COBJECT(
										((BgL_appz00_bglt) BgL_nodez00_3021)))->BgL_argsz00);
						BgL_liipz00_3221:
							if (NULLP(BgL_nodesz00_3222))
								{	/* Integrate/node.scm 225 */
									((obj_t) CNST_TABLE_REF(2));
								}
							else
								{	/* Integrate/node.scm 225 */
									{	/* Integrate/node.scm 228 */
										BgL_nodez00_bglt BgL_arg1638z00_3223;

										{	/* Integrate/node.scm 228 */
											obj_t BgL_arg1642z00_3224;

											BgL_arg1642z00_3224 = CAR(((obj_t) BgL_nodesz00_3222));
											BgL_arg1638z00_3223 =
												BGl_gloz12z12zzintegrate_nodez00(
												((BgL_nodez00_bglt) BgL_arg1642z00_3224),
												((BgL_variablez00_bglt) BgL_integratorz00_3022));
										}
										{	/* Integrate/node.scm 228 */
											obj_t BgL_auxz00_4418;
											obj_t BgL_tmpz00_4416;

											BgL_auxz00_4418 = ((obj_t) BgL_arg1638z00_3223);
											BgL_tmpz00_4416 = ((obj_t) BgL_nodesz00_3222);
											SET_CAR(BgL_tmpz00_4416, BgL_auxz00_4418);
										}
									}
									{	/* Integrate/node.scm 229 */
										obj_t BgL_arg1643z00_3225;

										BgL_arg1643z00_3225 = CDR(((obj_t) BgL_nodesz00_3222));
										{
											obj_t BgL_nodesz00_4423;

											BgL_nodesz00_4423 = BgL_arg1643z00_3225;
											BgL_nodesz00_3222 = BgL_nodesz00_4423;
											goto BgL_liipz00_3221;
										}
									}
								}
						}
						{	/* Integrate/node.scm 230 */
							bool_t BgL_test2094z00_4426;

							{	/* Integrate/node.scm 230 */
								bool_t BgL_test2095z00_4427;

								{	/* Integrate/node.scm 230 */
									obj_t BgL_classz00_3226;

									BgL_classz00_3226 = BGl_globalz00zzast_varz00;
									{	/* Integrate/node.scm 230 */
										BgL_objectz00_bglt BgL_arg1858z00_3227;

										{	/* Integrate/node.scm 230 */
											obj_t BgL_tmpz00_4428;

											BgL_tmpz00_4428 =
												((obj_t) ((BgL_objectz00_bglt) BgL_funz00_3199));
											BgL_arg1858z00_3227 =
												(BgL_objectz00_bglt) (BgL_tmpz00_4428);
										}
										if (BGL_CONDEXPAND_ISA_ARCH64())
											{	/* Integrate/node.scm 230 */
												long BgL_idxz00_3228;

												BgL_idxz00_3228 =
													BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_3227);
												BgL_test2095z00_4427 =
													(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
														(BgL_idxz00_3228 + 2L)) == BgL_classz00_3226);
											}
										else
											{	/* Integrate/node.scm 230 */
												bool_t BgL_res1959z00_3231;

												{	/* Integrate/node.scm 230 */
													obj_t BgL_oclassz00_3232;

													{	/* Integrate/node.scm 230 */
														obj_t BgL_arg1866z00_3233;
														long BgL_arg1867z00_3234;

														BgL_arg1866z00_3233 =
															(BGl_za2classesza2z00zz__objectz00);
														{	/* Integrate/node.scm 230 */
															long BgL_arg1869z00_3235;

															BgL_arg1869z00_3235 =
																BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_3227);
															BgL_arg1867z00_3234 =
																(BgL_arg1869z00_3235 - OBJECT_TYPE);
														}
														BgL_oclassz00_3232 =
															VECTOR_REF(BgL_arg1866z00_3233,
															BgL_arg1867z00_3234);
													}
													{	/* Integrate/node.scm 230 */
														bool_t BgL__ortest_1115z00_3236;

														BgL__ortest_1115z00_3236 =
															(BgL_classz00_3226 == BgL_oclassz00_3232);
														if (BgL__ortest_1115z00_3236)
															{	/* Integrate/node.scm 230 */
																BgL_res1959z00_3231 = BgL__ortest_1115z00_3236;
															}
														else
															{	/* Integrate/node.scm 230 */
																long BgL_odepthz00_3237;

																{	/* Integrate/node.scm 230 */
																	obj_t BgL_arg1855z00_3238;

																	BgL_arg1855z00_3238 = (BgL_oclassz00_3232);
																	BgL_odepthz00_3237 =
																		BGL_CLASS_DEPTH(BgL_arg1855z00_3238);
																}
																if ((2L < BgL_odepthz00_3237))
																	{	/* Integrate/node.scm 230 */
																		obj_t BgL_arg1853z00_3239;

																		{	/* Integrate/node.scm 230 */
																			obj_t BgL_arg1854z00_3240;

																			BgL_arg1854z00_3240 =
																				(BgL_oclassz00_3232);
																			BgL_arg1853z00_3239 =
																				BGL_CLASS_ANCESTORS_REF
																				(BgL_arg1854z00_3240, 2L);
																		}
																		BgL_res1959z00_3231 =
																			(BgL_arg1853z00_3239 ==
																			BgL_classz00_3226);
																	}
																else
																	{	/* Integrate/node.scm 230 */
																		BgL_res1959z00_3231 = ((bool_t) 0);
																	}
															}
													}
												}
												BgL_test2095z00_4427 = BgL_res1959z00_3231;
											}
									}
								}
								if (BgL_test2095z00_4427)
									{	/* Integrate/node.scm 230 */
										BgL_test2094z00_4426 = ((bool_t) 1);
									}
								else
									{	/* Integrate/node.scm 230 */
										bool_t BgL_test2099z00_4451;

										{
											BgL_sfunzf2iinfozf2_bglt BgL_auxz00_4452;

											{
												obj_t BgL_auxz00_4453;

												{	/* Integrate/node.scm 230 */
													BgL_objectz00_bglt BgL_tmpz00_4454;

													BgL_tmpz00_4454 =
														((BgL_objectz00_bglt)
														((BgL_sfunz00_bglt) BgL_infoz00_3200));
													BgL_auxz00_4453 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_4454);
												}
												BgL_auxz00_4452 =
													((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_4453);
											}
											BgL_test2099z00_4451 =
												(((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_4452))->
												BgL_gzf3zf3);
										}
										if (BgL_test2099z00_4451)
											{	/* Integrate/node.scm 230 */
												BgL_test2094z00_4426 = ((bool_t) 0);
											}
										else
											{	/* Integrate/node.scm 230 */
												BgL_test2094z00_4426 = ((bool_t) 1);
											}
									}
							}
							if (BgL_test2094z00_4426)
								{	/* Integrate/node.scm 230 */
									BFALSE;
								}
							else
								{	/* Integrate/node.scm 233 */
									obj_t BgL_g1136z00_3241;

									{
										BgL_sfunzf2iinfozf2_bglt BgL_auxz00_4460;

										{
											obj_t BgL_auxz00_4461;

											{	/* Integrate/node.scm 234 */
												BgL_objectz00_bglt BgL_tmpz00_4462;

												BgL_tmpz00_4462 =
													((BgL_objectz00_bglt)
													((BgL_sfunz00_bglt) BgL_infoz00_3200));
												BgL_auxz00_4461 = BGL_OBJECT_WIDENING(BgL_tmpz00_4462);
											}
											BgL_auxz00_4460 =
												((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_4461);
										}
										BgL_g1136z00_3241 =
											(((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_4460))->
											BgL_kapturedz00);
									}
									{
										obj_t BgL_newzd2actualszd2_3243;
										obj_t BgL_kapturedz00_3244;

										BgL_newzd2actualszd2_3243 =
											(((BgL_appz00_bglt) COBJECT(
													((BgL_appz00_bglt) BgL_nodez00_3021)))->BgL_argsz00);
										BgL_kapturedz00_3244 = BgL_g1136z00_3241;
									BgL_loopz00_3242:
										if (NULLP(BgL_kapturedz00_3244))
											{	/* Integrate/node.scm 235 */
												((((BgL_appz00_bglt) COBJECT(
																((BgL_appz00_bglt) BgL_nodez00_3021)))->
														BgL_argsz00) =
													((obj_t) BgL_newzd2actualszd2_3243), BUNSPEC);
											}
										else
											{	/* Integrate/node.scm 237 */
												obj_t BgL_kapz00_3245;

												BgL_kapz00_3245 = CAR(((obj_t) BgL_kapturedz00_3244));
												{	/* Integrate/node.scm 237 */
													obj_t BgL_alphaz00_3246;

													BgL_alphaz00_3246 =
														(((BgL_variablez00_bglt) COBJECT(
																((BgL_variablez00_bglt)
																	((BgL_localz00_bglt) BgL_kapz00_3245))))->
														BgL_fastzd2alphazd2);
													{	/* Integrate/node.scm 238 */
														obj_t BgL_varz00_3247;

														{	/* Integrate/node.scm 239 */
															bool_t BgL_test2101z00_4477;

															{	/* Integrate/node.scm 239 */
																obj_t BgL_classz00_3248;

																BgL_classz00_3248 = BGl_localz00zzast_varz00;
																if (BGL_OBJECTP(BgL_alphaz00_3246))
																	{	/* Integrate/node.scm 239 */
																		BgL_objectz00_bglt BgL_arg1858z00_3249;

																		BgL_arg1858z00_3249 =
																			(BgL_objectz00_bglt) (BgL_alphaz00_3246);
																		if (BGL_CONDEXPAND_ISA_ARCH64())
																			{	/* Integrate/node.scm 239 */
																				long BgL_idxz00_3250;

																				BgL_idxz00_3250 =
																					BGL_OBJECT_INHERITANCE_NUM
																					(BgL_arg1858z00_3249);
																				BgL_test2101z00_4477 =
																					(VECTOR_REF
																					(BGl_za2inheritancesza2z00zz__objectz00,
																						(BgL_idxz00_3250 + 2L)) ==
																					BgL_classz00_3248);
																			}
																		else
																			{	/* Integrate/node.scm 239 */
																				bool_t BgL_res1960z00_3253;

																				{	/* Integrate/node.scm 239 */
																					obj_t BgL_oclassz00_3254;

																					{	/* Integrate/node.scm 239 */
																						obj_t BgL_arg1866z00_3255;
																						long BgL_arg1867z00_3256;

																						BgL_arg1866z00_3255 =
																							(BGl_za2classesza2z00zz__objectz00);
																						{	/* Integrate/node.scm 239 */
																							long BgL_arg1869z00_3257;

																							BgL_arg1869z00_3257 =
																								BGL_OBJECT_CLASS_NUM
																								(BgL_arg1858z00_3249);
																							BgL_arg1867z00_3256 =
																								(BgL_arg1869z00_3257 -
																								OBJECT_TYPE);
																						}
																						BgL_oclassz00_3254 =
																							VECTOR_REF(BgL_arg1866z00_3255,
																							BgL_arg1867z00_3256);
																					}
																					{	/* Integrate/node.scm 239 */
																						bool_t BgL__ortest_1115z00_3258;

																						BgL__ortest_1115z00_3258 =
																							(BgL_classz00_3248 ==
																							BgL_oclassz00_3254);
																						if (BgL__ortest_1115z00_3258)
																							{	/* Integrate/node.scm 239 */
																								BgL_res1960z00_3253 =
																									BgL__ortest_1115z00_3258;
																							}
																						else
																							{	/* Integrate/node.scm 239 */
																								long BgL_odepthz00_3259;

																								{	/* Integrate/node.scm 239 */
																									obj_t BgL_arg1855z00_3260;

																									BgL_arg1855z00_3260 =
																										(BgL_oclassz00_3254);
																									BgL_odepthz00_3259 =
																										BGL_CLASS_DEPTH
																										(BgL_arg1855z00_3260);
																								}
																								if ((2L < BgL_odepthz00_3259))
																									{	/* Integrate/node.scm 239 */
																										obj_t BgL_arg1853z00_3261;

																										{	/* Integrate/node.scm 239 */
																											obj_t BgL_arg1854z00_3262;

																											BgL_arg1854z00_3262 =
																												(BgL_oclassz00_3254);
																											BgL_arg1853z00_3261 =
																												BGL_CLASS_ANCESTORS_REF
																												(BgL_arg1854z00_3262,
																												2L);
																										}
																										BgL_res1960z00_3253 =
																											(BgL_arg1853z00_3261 ==
																											BgL_classz00_3248);
																									}
																								else
																									{	/* Integrate/node.scm 239 */
																										BgL_res1960z00_3253 =
																											((bool_t) 0);
																									}
																							}
																					}
																				}
																				BgL_test2101z00_4477 =
																					BgL_res1960z00_3253;
																			}
																	}
																else
																	{	/* Integrate/node.scm 239 */
																		BgL_test2101z00_4477 = ((bool_t) 0);
																	}
															}
															if (BgL_test2101z00_4477)
																{	/* Integrate/node.scm 239 */
																	BgL_varz00_3247 = BgL_alphaz00_3246;
																}
															else
																{	/* Integrate/node.scm 239 */
																	BgL_varz00_3247 = BgL_kapz00_3245;
																}
														}
														{	/* Integrate/node.scm 239 */

															{	/* Integrate/node.scm 240 */
																obj_t BgL_arg1653z00_3263;
																obj_t BgL_arg1655z00_3264;

																{	/* Integrate/node.scm 240 */
																	BgL_refz00_bglt BgL_arg1656z00_3265;

																	{	/* Integrate/node.scm 240 */
																		BgL_refz00_bglt BgL_new1138z00_3266;

																		{	/* Integrate/node.scm 243 */
																			BgL_refz00_bglt BgL_new1137z00_3267;

																			BgL_new1137z00_3267 =
																				((BgL_refz00_bglt)
																				BOBJECT(GC_MALLOC(sizeof(struct
																							BgL_refz00_bgl))));
																			{	/* Integrate/node.scm 243 */
																				long BgL_arg1657z00_3268;

																				BgL_arg1657z00_3268 =
																					BGL_CLASS_NUM
																					(BGl_refz00zzast_nodez00);
																				BGL_OBJECT_CLASS_NUM_SET((
																						(BgL_objectz00_bglt)
																						BgL_new1137z00_3267),
																					BgL_arg1657z00_3268);
																			}
																			{	/* Integrate/node.scm 243 */
																				BgL_objectz00_bglt BgL_tmpz00_4504;

																				BgL_tmpz00_4504 =
																					((BgL_objectz00_bglt)
																					BgL_new1137z00_3267);
																				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4504,
																					BFALSE);
																			}
																			((BgL_objectz00_bglt)
																				BgL_new1137z00_3267);
																			BgL_new1138z00_3266 = BgL_new1137z00_3267;
																		}
																		((((BgL_nodez00_bglt) COBJECT(
																						((BgL_nodez00_bglt)
																							BgL_new1138z00_3266)))->
																				BgL_locz00) =
																			((obj_t) (((BgL_nodez00_bglt)
																						COBJECT(((BgL_nodez00_bglt) (
																									(BgL_appz00_bglt)
																									BgL_nodez00_3021))))->
																					BgL_locz00)), BUNSPEC);
																		((((BgL_nodez00_bglt)
																					COBJECT(((BgL_nodez00_bglt)
																							BgL_new1138z00_3266)))->
																				BgL_typez00) =
																			((BgL_typez00_bglt) ((
																						(BgL_variablez00_bglt)
																						COBJECT(((BgL_variablez00_bglt)
																								BgL_varz00_3247)))->
																					BgL_typez00)), BUNSPEC);
																		((((BgL_varz00_bglt)
																					COBJECT(((BgL_varz00_bglt)
																							BgL_new1138z00_3266)))->
																				BgL_variablez00) =
																			((BgL_variablez00_bglt) (
																					(BgL_variablez00_bglt)
																					BgL_varz00_3247)), BUNSPEC);
																		BgL_arg1656z00_3265 = BgL_new1138z00_3266;
																	}
																	BgL_arg1653z00_3263 =
																		MAKE_YOUNG_PAIR(
																		((obj_t) BgL_arg1656z00_3265),
																		BgL_newzd2actualszd2_3243);
																}
																BgL_arg1655z00_3264 =
																	CDR(((obj_t) BgL_kapturedz00_3244));
																{
																	obj_t BgL_kapturedz00_4525;
																	obj_t BgL_newzd2actualszd2_4524;

																	BgL_newzd2actualszd2_4524 =
																		BgL_arg1653z00_3263;
																	BgL_kapturedz00_4525 = BgL_arg1655z00_3264;
																	BgL_kapturedz00_3244 = BgL_kapturedz00_4525;
																	BgL_newzd2actualszd2_3243 =
																		BgL_newzd2actualszd2_4524;
																	goto BgL_loopz00_3242;
																}
															}
														}
													}
												}
											}
									}
								}
						}
						return ((BgL_nodez00_bglt) ((BgL_appz00_bglt) BgL_nodez00_3021));
					}
				}
			}
		}

	}



/* &glo!-sync1333 */
	BgL_nodez00_bglt BGl_z62gloz12zd2sync1333za2zzintegrate_nodez00(obj_t
		BgL_envz00_3023, obj_t BgL_nodez00_3024, obj_t BgL_integratorz00_3025)
	{
		{	/* Integrate/node.scm 201 */
			{
				BgL_nodez00_bglt BgL_auxz00_4530;

				{	/* Integrate/node.scm 203 */
					BgL_nodez00_bglt BgL_arg1611z00_3270;

					BgL_arg1611z00_3270 =
						(((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_3024)))->BgL_mutexz00);
					BgL_auxz00_4530 =
						BGl_gloz12z12zzintegrate_nodez00(BgL_arg1611z00_3270,
						((BgL_variablez00_bglt) BgL_integratorz00_3025));
				}
				((((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_3024)))->BgL_mutexz00) =
					((BgL_nodez00_bglt) BgL_auxz00_4530), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_4537;

				{	/* Integrate/node.scm 204 */
					BgL_nodez00_bglt BgL_arg1612z00_3271;

					BgL_arg1612z00_3271 =
						(((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_3024)))->BgL_prelockz00);
					BgL_auxz00_4537 =
						BGl_gloz12z12zzintegrate_nodez00(BgL_arg1612z00_3271,
						((BgL_variablez00_bglt) BgL_integratorz00_3025));
				}
				((((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_3024)))->BgL_prelockz00) =
					((BgL_nodez00_bglt) BgL_auxz00_4537), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_4544;

				{	/* Integrate/node.scm 205 */
					BgL_nodez00_bglt BgL_arg1625z00_3272;

					BgL_arg1625z00_3272 =
						(((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_3024)))->BgL_bodyz00);
					BgL_auxz00_4544 =
						BGl_gloz12z12zzintegrate_nodez00(BgL_arg1625z00_3272,
						((BgL_variablez00_bglt) BgL_integratorz00_3025));
				}
				((((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_3024)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_4544), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_syncz00_bglt) BgL_nodez00_3024));
		}

	}



/* &glo!-sequence1331 */
	BgL_nodez00_bglt BGl_z62gloz12zd2sequence1331za2zzintegrate_nodez00(obj_t
		BgL_envz00_3026, obj_t BgL_nodez00_3027, obj_t BgL_integratorz00_3028)
	{
		{	/* Integrate/node.scm 193 */
			BGl_gloza2z12zb0zzintegrate_nodez00(
				(((BgL_sequencez00_bglt) COBJECT(
							((BgL_sequencez00_bglt) BgL_nodez00_3027)))->BgL_nodesz00),
				BgL_integratorz00_3028);
			return ((BgL_nodez00_bglt) ((BgL_sequencez00_bglt) BgL_nodez00_3027));
		}

	}



/* &glo!-closure1329 */
	BgL_nodez00_bglt BGl_z62gloz12zd2closure1329za2zzintegrate_nodez00(obj_t
		BgL_envz00_3029, obj_t BgL_nodez00_3030, obj_t BgL_integratorz00_3031)
	{
		{	/* Integrate/node.scm 187 */
			{	/* Integrate/node.scm 188 */
				obj_t BgL_arg1597z00_3275;

				BgL_arg1597z00_3275 =
					BGl_shapez00zztools_shapez00(
					((obj_t) ((BgL_closurez00_bglt) BgL_nodez00_3030)));
				return
					((BgL_nodez00_bglt)
					BGl_internalzd2errorzd2zztools_errorz00
					(BGl_string2001z00zzintegrate_nodez00,
						BGl_string2002z00zzintegrate_nodez00, BgL_arg1597z00_3275));
			}
		}

	}



/* &glo!-var1327 */
	BgL_nodez00_bglt BGl_z62gloz12zd2var1327za2zzintegrate_nodez00(obj_t
		BgL_envz00_3032, obj_t BgL_nodez00_3033, obj_t BgL_integratorz00_3034)
	{
		{	/* Integrate/node.scm 158 */
			{	/* Integrate/node.scm 159 */
				BgL_variablez00_bglt BgL_variablez00_3277;

				BgL_variablez00_3277 =
					(((BgL_varz00_bglt) COBJECT(
							((BgL_varz00_bglt) BgL_nodez00_3033)))->BgL_variablez00);
				{	/* Integrate/node.scm 159 */
					BgL_typez00_bglt BgL_vtypez00_3278;

					BgL_vtypez00_3278 =
						(((BgL_variablez00_bglt) COBJECT(BgL_variablez00_3277))->
						BgL_typez00);
					{	/* Integrate/node.scm 160 */

						{
							obj_t BgL_variablez00_3280;

							BgL_variablez00_3280 = ((obj_t) BgL_variablez00_3277);
						BgL_loopz00_3279:
							{	/* Integrate/node.scm 162 */
								obj_t BgL_alphaz00_3281;

								BgL_alphaz00_3281 =
									(((BgL_variablez00_bglt) COBJECT(
											((BgL_variablez00_bglt) BgL_variablez00_3280)))->
									BgL_fastzd2alphazd2);
								{	/* Integrate/node.scm 164 */
									bool_t BgL_test2106z00_4568;

									{	/* Integrate/node.scm 164 */
										obj_t BgL_classz00_3282;

										BgL_classz00_3282 = BGl_localz00zzast_varz00;
										if (BGL_OBJECTP(BgL_alphaz00_3281))
											{	/* Integrate/node.scm 164 */
												BgL_objectz00_bglt BgL_arg1858z00_3283;

												BgL_arg1858z00_3283 =
													(BgL_objectz00_bglt) (BgL_alphaz00_3281);
												if (BGL_CONDEXPAND_ISA_ARCH64())
													{	/* Integrate/node.scm 164 */
														long BgL_idxz00_3284;

														BgL_idxz00_3284 =
															BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_3283);
														BgL_test2106z00_4568 =
															(VECTOR_REF
															(BGl_za2inheritancesza2z00zz__objectz00,
																(BgL_idxz00_3284 + 2L)) == BgL_classz00_3282);
													}
												else
													{	/* Integrate/node.scm 164 */
														bool_t BgL_res1956z00_3287;

														{	/* Integrate/node.scm 164 */
															obj_t BgL_oclassz00_3288;

															{	/* Integrate/node.scm 164 */
																obj_t BgL_arg1866z00_3289;
																long BgL_arg1867z00_3290;

																BgL_arg1866z00_3289 =
																	(BGl_za2classesza2z00zz__objectz00);
																{	/* Integrate/node.scm 164 */
																	long BgL_arg1869z00_3291;

																	BgL_arg1869z00_3291 =
																		BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_3283);
																	BgL_arg1867z00_3290 =
																		(BgL_arg1869z00_3291 - OBJECT_TYPE);
																}
																BgL_oclassz00_3288 =
																	VECTOR_REF(BgL_arg1866z00_3289,
																	BgL_arg1867z00_3290);
															}
															{	/* Integrate/node.scm 164 */
																bool_t BgL__ortest_1115z00_3292;

																BgL__ortest_1115z00_3292 =
																	(BgL_classz00_3282 == BgL_oclassz00_3288);
																if (BgL__ortest_1115z00_3292)
																	{	/* Integrate/node.scm 164 */
																		BgL_res1956z00_3287 =
																			BgL__ortest_1115z00_3292;
																	}
																else
																	{	/* Integrate/node.scm 164 */
																		long BgL_odepthz00_3293;

																		{	/* Integrate/node.scm 164 */
																			obj_t BgL_arg1855z00_3294;

																			BgL_arg1855z00_3294 =
																				(BgL_oclassz00_3288);
																			BgL_odepthz00_3293 =
																				BGL_CLASS_DEPTH(BgL_arg1855z00_3294);
																		}
																		if ((2L < BgL_odepthz00_3293))
																			{	/* Integrate/node.scm 164 */
																				obj_t BgL_arg1853z00_3295;

																				{	/* Integrate/node.scm 164 */
																					obj_t BgL_arg1854z00_3296;

																					BgL_arg1854z00_3296 =
																						(BgL_oclassz00_3288);
																					BgL_arg1853z00_3295 =
																						BGL_CLASS_ANCESTORS_REF
																						(BgL_arg1854z00_3296, 2L);
																				}
																				BgL_res1956z00_3287 =
																					(BgL_arg1853z00_3295 ==
																					BgL_classz00_3282);
																			}
																		else
																			{	/* Integrate/node.scm 164 */
																				BgL_res1956z00_3287 = ((bool_t) 0);
																			}
																	}
															}
														}
														BgL_test2106z00_4568 = BgL_res1956z00_3287;
													}
											}
										else
											{	/* Integrate/node.scm 164 */
												BgL_test2106z00_4568 = ((bool_t) 0);
											}
									}
									if (BgL_test2106z00_4568)
										{	/* Integrate/node.scm 164 */
											((((BgL_varz00_bglt) COBJECT(
															((BgL_varz00_bglt) BgL_nodez00_3033)))->
													BgL_variablez00) =
												((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
														BgL_alphaz00_3281)), BUNSPEC);
											{	/* Integrate/node.scm 166 */
												BgL_typez00_bglt BgL_arg1590z00_3297;

												BgL_arg1590z00_3297 =
													(((BgL_variablez00_bglt) COBJECT(
															((BgL_variablez00_bglt) BgL_alphaz00_3281)))->
													BgL_typez00);
												((((BgL_nodez00_bglt)
															COBJECT(((BgL_nodez00_bglt) ((BgL_varz00_bglt)
																		BgL_nodez00_3033))))->BgL_typez00) =
													((BgL_typez00_bglt) BgL_arg1590z00_3297), BUNSPEC);
											}
											{
												obj_t BgL_variablez00_4599;

												BgL_variablez00_4599 = BgL_alphaz00_3281;
												BgL_variablez00_3280 = BgL_variablez00_4599;
												goto BgL_loopz00_3279;
											}
										}
									else
										{	/* Integrate/node.scm 168 */
											bool_t BgL_test2111z00_4600;

											{	/* Integrate/node.scm 168 */
												obj_t BgL_classz00_3298;

												BgL_classz00_3298 = BGl_globalz00zzast_varz00;
												if (BGL_OBJECTP(BgL_variablez00_3280))
													{	/* Integrate/node.scm 168 */
														BgL_objectz00_bglt BgL_arg1858z00_3299;

														BgL_arg1858z00_3299 =
															(BgL_objectz00_bglt) (BgL_variablez00_3280);
														if (BGL_CONDEXPAND_ISA_ARCH64())
															{	/* Integrate/node.scm 168 */
																long BgL_idxz00_3300;

																BgL_idxz00_3300 =
																	BGL_OBJECT_INHERITANCE_NUM
																	(BgL_arg1858z00_3299);
																BgL_test2111z00_4600 =
																	(VECTOR_REF
																	(BGl_za2inheritancesza2z00zz__objectz00,
																		(BgL_idxz00_3300 + 2L)) ==
																	BgL_classz00_3298);
															}
														else
															{	/* Integrate/node.scm 168 */
																bool_t BgL_res1957z00_3303;

																{	/* Integrate/node.scm 168 */
																	obj_t BgL_oclassz00_3304;

																	{	/* Integrate/node.scm 168 */
																		obj_t BgL_arg1866z00_3305;
																		long BgL_arg1867z00_3306;

																		BgL_arg1866z00_3305 =
																			(BGl_za2classesza2z00zz__objectz00);
																		{	/* Integrate/node.scm 168 */
																			long BgL_arg1869z00_3307;

																			BgL_arg1869z00_3307 =
																				BGL_OBJECT_CLASS_NUM
																				(BgL_arg1858z00_3299);
																			BgL_arg1867z00_3306 =
																				(BgL_arg1869z00_3307 - OBJECT_TYPE);
																		}
																		BgL_oclassz00_3304 =
																			VECTOR_REF(BgL_arg1866z00_3305,
																			BgL_arg1867z00_3306);
																	}
																	{	/* Integrate/node.scm 168 */
																		bool_t BgL__ortest_1115z00_3308;

																		BgL__ortest_1115z00_3308 =
																			(BgL_classz00_3298 == BgL_oclassz00_3304);
																		if (BgL__ortest_1115z00_3308)
																			{	/* Integrate/node.scm 168 */
																				BgL_res1957z00_3303 =
																					BgL__ortest_1115z00_3308;
																			}
																		else
																			{	/* Integrate/node.scm 168 */
																				long BgL_odepthz00_3309;

																				{	/* Integrate/node.scm 168 */
																					obj_t BgL_arg1855z00_3310;

																					BgL_arg1855z00_3310 =
																						(BgL_oclassz00_3304);
																					BgL_odepthz00_3309 =
																						BGL_CLASS_DEPTH
																						(BgL_arg1855z00_3310);
																				}
																				if ((2L < BgL_odepthz00_3309))
																					{	/* Integrate/node.scm 168 */
																						obj_t BgL_arg1853z00_3311;

																						{	/* Integrate/node.scm 168 */
																							obj_t BgL_arg1854z00_3312;

																							BgL_arg1854z00_3312 =
																								(BgL_oclassz00_3304);
																							BgL_arg1853z00_3311 =
																								BGL_CLASS_ANCESTORS_REF
																								(BgL_arg1854z00_3312, 2L);
																						}
																						BgL_res1957z00_3303 =
																							(BgL_arg1853z00_3311 ==
																							BgL_classz00_3298);
																					}
																				else
																					{	/* Integrate/node.scm 168 */
																						BgL_res1957z00_3303 = ((bool_t) 0);
																					}
																			}
																	}
																}
																BgL_test2111z00_4600 = BgL_res1957z00_3303;
															}
													}
												else
													{	/* Integrate/node.scm 168 */
														BgL_test2111z00_4600 = ((bool_t) 0);
													}
											}
											if (BgL_test2111z00_4600)
												{	/* Integrate/node.scm 168 */
													return
														((BgL_nodez00_bglt)
														((BgL_varz00_bglt) BgL_nodez00_3033));
												}
											else
												{	/* Integrate/node.scm 168 */
													if (BGl_integratezd2celledzf3z21zzintegrate_nodez00(
															((BgL_localz00_bglt) BgL_variablez00_3280)))
														{	/* Integrate/node.scm 172 */
															BgL_typez00_bglt BgL_vtypez00_3313;

															BgL_vtypez00_3313 =
																BGl_getzd2bigloozd2typez00zztype_cachez00
																(BgL_vtypez00_3278);
															{	/* Integrate/node.scm 174 */
																BgL_typez00_bglt BgL_vz00_3314;

																BgL_vz00_3314 =
																	((BgL_typez00_bglt)
																	BGl_za2cellza2z00zztype_cachez00);
																((((BgL_nodez00_bglt)
																			COBJECT(((BgL_nodez00_bglt) (
																						(BgL_varz00_bglt)
																						BgL_nodez00_3033))))->BgL_typez00) =
																	((BgL_typez00_bglt) BgL_vz00_3314), BUNSPEC);
															}
															{	/* Integrate/node.scm 175 */
																BgL_boxzd2refzd2_bglt BgL_new1129z00_3315;

																{	/* Integrate/node.scm 176 */
																	BgL_boxzd2refzd2_bglt BgL_new1128z00_3316;

																	BgL_new1128z00_3316 =
																		((BgL_boxzd2refzd2_bglt)
																		BOBJECT(GC_MALLOC(sizeof(struct
																					BgL_boxzd2refzd2_bgl))));
																	{	/* Integrate/node.scm 176 */
																		long BgL_arg1593z00_3317;

																		BgL_arg1593z00_3317 =
																			BGL_CLASS_NUM
																			(BGl_boxzd2refzd2zzast_nodez00);
																		BGL_OBJECT_CLASS_NUM_SET((
																				(BgL_objectz00_bglt)
																				BgL_new1128z00_3316),
																			BgL_arg1593z00_3317);
																	}
																	{	/* Integrate/node.scm 176 */
																		BgL_objectz00_bglt BgL_tmpz00_4637;

																		BgL_tmpz00_4637 =
																			((BgL_objectz00_bglt)
																			BgL_new1128z00_3316);
																		BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4637,
																			BFALSE);
																	}
																	((BgL_objectz00_bglt) BgL_new1128z00_3316);
																	BgL_new1129z00_3315 = BgL_new1128z00_3316;
																}
																((((BgL_nodez00_bglt) COBJECT(
																				((BgL_nodez00_bglt)
																					BgL_new1129z00_3315)))->BgL_locz00) =
																	((obj_t) (((BgL_nodez00_bglt)
																				COBJECT(((BgL_nodez00_bglt) (
																							(BgL_varz00_bglt)
																							BgL_nodez00_3033))))->
																			BgL_locz00)), BUNSPEC);
																((((BgL_nodez00_bglt)
																			COBJECT(((BgL_nodez00_bglt)
																					BgL_new1129z00_3315)))->BgL_typez00) =
																	((BgL_typez00_bglt) BgL_vtypez00_3313),
																	BUNSPEC);
																((((BgL_nodezf2effectzf2_bglt)
																			COBJECT(((BgL_nodezf2effectzf2_bglt)
																					BgL_new1129z00_3315)))->
																		BgL_sidezd2effectzd2) =
																	((obj_t) BUNSPEC), BUNSPEC);
																((((BgL_nodezf2effectzf2_bglt)
																			COBJECT(((BgL_nodezf2effectzf2_bglt)
																					BgL_new1129z00_3315)))->BgL_keyz00) =
																	((obj_t) BINT((-1L))), BUNSPEC);
																((((BgL_boxzd2refzd2_bglt)
																			COBJECT(BgL_new1129z00_3315))->
																		BgL_varz00) =
																	((BgL_varz00_bglt) ((BgL_varz00_bglt)
																			BgL_nodez00_3033)), BUNSPEC);
																((((BgL_boxzd2refzd2_bglt)
																			COBJECT(BgL_new1129z00_3315))->
																		BgL_vtypez00) =
																	((BgL_typez00_bglt) BgL_vtypez00_3313),
																	BUNSPEC);
																return ((BgL_nodez00_bglt) BgL_new1129z00_3315);
															}
														}
													else
														{	/* Integrate/node.scm 170 */
															return
																((BgL_nodez00_bglt)
																((BgL_varz00_bglt) BgL_nodez00_3033));
														}
												}
										}
								}
							}
						}
					}
				}
			}
		}

	}



/* &glo!-kwote1325 */
	BgL_nodez00_bglt BGl_z62gloz12zd2kwote1325za2zzintegrate_nodez00(obj_t
		BgL_envz00_3035, obj_t BgL_nodez00_3036, obj_t BgL_integratorz00_3037)
	{
		{	/* Integrate/node.scm 152 */
			return ((BgL_nodez00_bglt) ((BgL_kwotez00_bglt) BgL_nodez00_3036));
		}

	}



/* &glo!-atom1323 */
	BgL_nodez00_bglt BGl_z62gloz12zd2atom1323za2zzintegrate_nodez00(obj_t
		BgL_envz00_3038, obj_t BgL_nodez00_3039, obj_t BgL_integratorz00_3040)
	{
		{	/* Integrate/node.scm 146 */
			return ((BgL_nodez00_bglt) ((BgL_atomz00_bglt) BgL_nodez00_3039));
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzintegrate_nodez00(void)
	{
		{	/* Integrate/node.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(54713316L,
				BSTRING_TO_STRING(BGl_string2003z00zzintegrate_nodez00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(365925558L,
				BSTRING_TO_STRING(BGl_string2003z00zzintegrate_nodez00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(300504031L,
				BSTRING_TO_STRING(BGl_string2003z00zzintegrate_nodez00));
			BGl_modulezd2initializa7ationz75zztype_typez00(515343395L,
				BSTRING_TO_STRING(BGl_string2003z00zzintegrate_nodez00));
			BGl_modulezd2initializa7ationz75zztype_typeofz00(398780265L,
				BSTRING_TO_STRING(BGl_string2003z00zzintegrate_nodez00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(489890788L,
				BSTRING_TO_STRING(BGl_string2003z00zzintegrate_nodez00));
			BGl_modulezd2initializa7ationz75zzast_varz00(90839984L,
				BSTRING_TO_STRING(BGl_string2003z00zzintegrate_nodez00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(469732712L,
				BSTRING_TO_STRING(BGl_string2003z00zzintegrate_nodez00));
			BGl_modulezd2initializa7ationz75zzast_localz00(315247917L,
				BSTRING_TO_STRING(BGl_string2003z00zzintegrate_nodez00));
			BGl_modulezd2initializa7ationz75zzintegrate_infoz00(0L,
				BSTRING_TO_STRING(BGl_string2003z00zzintegrate_nodez00));
			return
				BGl_modulezd2initializa7ationz75zzintegrate_localzd2ze3globalz31
				(143977554L, BSTRING_TO_STRING(BGl_string2003z00zzintegrate_nodez00));
		}

	}

#ifdef __cplusplus
}
#endif
