/*===========================================================================*/
/*   (Liveness/liveness.scm)                                                 */
/*   Bigloo (4.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Jan 27 07:45:49 AM CET 2025     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.6a/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.6a/lib/bigloo/4.6a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -stdc -indent Liveness/liveness.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL_LIVENESS_LIVENESS_TYPE_DEFINITIONS
#define BGL_LIVENESS_LIVENESS_TYPE_DEFINITIONS

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_nullz00;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_literalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}                 *BgL_literalz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_refz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_refz00_bglt;

	typedef struct BgL_closurez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}                 *BgL_closurez00_bglt;

	typedef struct BgL_kwotez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}               *BgL_kwotez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
		obj_t BgL_metaz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_stackablez00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_pragmaz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_formatz00;
		obj_t BgL_srfi0z00;
	}                *BgL_pragmaz00_bglt;

	typedef struct BgL_getfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		obj_t BgL_fnamez00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_getfieldz00_bglt;

	typedef struct BgL_setfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		obj_t BgL_fnamez00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_setfieldz00_bglt;

	typedef struct BgL_wideningz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_wideningz00_bglt;

	typedef struct BgL_newz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		obj_t BgL_argszd2typezd2;
	}             *BgL_newz00_bglt;

	typedef struct BgL_vallocz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                *BgL_vallocz00_bglt;

	typedef struct BgL_vrefz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		bool_t BgL_unsafez00;
	}              *BgL_vrefz00_bglt;

	typedef struct BgL_vsetz12z12_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		bool_t BgL_unsafez00;
	}                 *BgL_vsetz12z12_bglt;

	typedef struct BgL_vlengthz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_vtypez00;
		obj_t BgL_ftypez00;
	}                 *BgL_vlengthz00_bglt;

	typedef struct BgL_instanceofz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_classz00;
	}                    *BgL_instanceofz00_bglt;

	typedef struct BgL_castzd2nullzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
	}                     *BgL_castzd2nullzd2_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_switchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_switchz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		struct BgL_nodez00_bgl *BgL_onexitz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_retblockz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                  *BgL_retblockz00_bglt;

	typedef struct BgL_returnz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_retblockz00_bgl *BgL_blockz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                *BgL_returnz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		obj_t BgL_stackablez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}              *BgL_syncz00_bglt;

	typedef struct BgL_localzf2livenesszf2_bgl
	{
		int BgL_z52countz52;
	}                          *BgL_localzf2livenesszf2_bglt;

	typedef struct BgL_literalzf2livenesszf2_bgl
	{
		obj_t BgL_defz00;
		obj_t BgL_usez00;
		obj_t BgL_inz00;
		obj_t BgL_outz00;
	}                            *BgL_literalzf2livenesszf2_bglt;

	typedef struct BgL_refzf2livenesszf2_bgl
	{
		obj_t BgL_defz00;
		obj_t BgL_usez00;
		obj_t BgL_inz00;
		obj_t BgL_outz00;
	}                        *BgL_refzf2livenesszf2_bglt;

	typedef struct BgL_closurezf2livenesszf2_bgl
	{
		obj_t BgL_defz00;
		obj_t BgL_usez00;
		obj_t BgL_inz00;
		obj_t BgL_outz00;
	}                            *BgL_closurezf2livenesszf2_bglt;

	typedef struct BgL_kwotezf2livenesszf2_bgl
	{
		obj_t BgL_defz00;
		obj_t BgL_usez00;
		obj_t BgL_inz00;
		obj_t BgL_outz00;
	}                          *BgL_kwotezf2livenesszf2_bglt;

	typedef struct BgL_sequencezf2livenesszf2_bgl
	{
		obj_t BgL_defz00;
		obj_t BgL_usez00;
		obj_t BgL_inz00;
		obj_t BgL_outz00;
	}                             *BgL_sequencezf2livenesszf2_bglt;

	typedef struct BgL_appzf2livenesszf2_bgl
	{
		obj_t BgL_defz00;
		obj_t BgL_usez00;
		obj_t BgL_inz00;
		obj_t BgL_outz00;
	}                        *BgL_appzf2livenesszf2_bglt;

	typedef struct BgL_appzd2lyzf2livenessz20_bgl
	{
		obj_t BgL_defz00;
		obj_t BgL_usez00;
		obj_t BgL_inz00;
		obj_t BgL_outz00;
	}                             *BgL_appzd2lyzf2livenessz20_bglt;

	typedef struct BgL_funcallzf2livenesszf2_bgl
	{
		obj_t BgL_defz00;
		obj_t BgL_usez00;
		obj_t BgL_inz00;
		obj_t BgL_outz00;
	}                            *BgL_funcallzf2livenesszf2_bglt;

	typedef struct BgL_pragmazf2livenesszf2_bgl
	{
		obj_t BgL_defz00;
		obj_t BgL_usez00;
		obj_t BgL_inz00;
		obj_t BgL_outz00;
	}                           *BgL_pragmazf2livenesszf2_bglt;

	typedef struct BgL_getfieldzf2livenesszf2_bgl
	{
		obj_t BgL_defz00;
		obj_t BgL_usez00;
		obj_t BgL_inz00;
		obj_t BgL_outz00;
	}                             *BgL_getfieldzf2livenesszf2_bglt;

	typedef struct BgL_setfieldzf2livenesszf2_bgl
	{
		obj_t BgL_defz00;
		obj_t BgL_usez00;
		obj_t BgL_inz00;
		obj_t BgL_outz00;
	}                             *BgL_setfieldzf2livenesszf2_bglt;

	typedef struct BgL_wideningzf2livenesszf2_bgl
	{
		obj_t BgL_defz00;
		obj_t BgL_usez00;
		obj_t BgL_inz00;
		obj_t BgL_outz00;
	}                             *BgL_wideningzf2livenesszf2_bglt;

	typedef struct BgL_newzf2livenesszf2_bgl
	{
		obj_t BgL_defz00;
		obj_t BgL_usez00;
		obj_t BgL_inz00;
		obj_t BgL_outz00;
	}                        *BgL_newzf2livenesszf2_bglt;

	typedef struct BgL_valloczf2livenesszf2_bgl
	{
		obj_t BgL_defz00;
		obj_t BgL_usez00;
		obj_t BgL_inz00;
		obj_t BgL_outz00;
	}                           *BgL_valloczf2livenesszf2_bglt;

	typedef struct BgL_vrefzf2livenesszf2_bgl
	{
		obj_t BgL_defz00;
		obj_t BgL_usez00;
		obj_t BgL_inz00;
		obj_t BgL_outz00;
	}                         *BgL_vrefzf2livenesszf2_bglt;

	typedef struct BgL_vsetz12zf2livenessze0_bgl
	{
		obj_t BgL_defz00;
		obj_t BgL_usez00;
		obj_t BgL_inz00;
		obj_t BgL_outz00;
	}                            *BgL_vsetz12zf2livenessze0_bglt;

	typedef struct BgL_vlengthzf2livenesszf2_bgl
	{
		obj_t BgL_defz00;
		obj_t BgL_usez00;
		obj_t BgL_inz00;
		obj_t BgL_outz00;
	}                            *BgL_vlengthzf2livenesszf2_bglt;

	typedef struct BgL_instanceofzf2livenesszf2_bgl
	{
		obj_t BgL_defz00;
		obj_t BgL_usez00;
		obj_t BgL_inz00;
		obj_t BgL_outz00;
	}                               *BgL_instanceofzf2livenesszf2_bglt;

	typedef struct BgL_castzd2nullzf2livenessz20_bgl
	{
		obj_t BgL_defz00;
		obj_t BgL_usez00;
		obj_t BgL_inz00;
		obj_t BgL_outz00;
	}                                *BgL_castzd2nullzf2livenessz20_bglt;

	typedef struct BgL_castzf2livenesszf2_bgl
	{
		obj_t BgL_defz00;
		obj_t BgL_usez00;
		obj_t BgL_inz00;
		obj_t BgL_outz00;
	}                         *BgL_castzf2livenesszf2_bglt;

	typedef struct BgL_setqzf2livenesszf2_bgl
	{
		obj_t BgL_defz00;
		obj_t BgL_usez00;
		obj_t BgL_inz00;
		obj_t BgL_outz00;
	}                         *BgL_setqzf2livenesszf2_bglt;

	typedef struct BgL_conditionalzf2livenesszf2_bgl
	{
		obj_t BgL_defz00;
		obj_t BgL_usez00;
		obj_t BgL_inz00;
		obj_t BgL_outz00;
	}                                *BgL_conditionalzf2livenesszf2_bglt;

	typedef struct BgL_failzf2livenesszf2_bgl
	{
		obj_t BgL_defz00;
		obj_t BgL_usez00;
		obj_t BgL_inz00;
		obj_t BgL_outz00;
	}                         *BgL_failzf2livenesszf2_bglt;

	typedef struct BgL_switchzf2livenesszf2_bgl
	{
		obj_t BgL_defz00;
		obj_t BgL_usez00;
		obj_t BgL_inz00;
		obj_t BgL_outz00;
	}                           *BgL_switchzf2livenesszf2_bglt;

	typedef struct BgL_letzd2funzf2livenessz20_bgl
	{
		obj_t BgL_defz00;
		obj_t BgL_usez00;
		obj_t BgL_inz00;
		obj_t BgL_outz00;
	}                              *BgL_letzd2funzf2livenessz20_bglt;

	typedef struct BgL_letzd2varzf2livenessz20_bgl
	{
		obj_t BgL_defz00;
		obj_t BgL_usez00;
		obj_t BgL_inz00;
		obj_t BgL_outz00;
	}                              *BgL_letzd2varzf2livenessz20_bglt;

	typedef struct BgL_setzd2exzd2itzf2livenesszf2_bgl
	{
		obj_t BgL_defz00;
		obj_t BgL_usez00;
		obj_t BgL_inz00;
		obj_t BgL_outz00;
	}                                  *BgL_setzd2exzd2itzf2livenesszf2_bglt;

	typedef struct BgL_jumpzd2exzd2itzf2livenesszf2_bgl
	{
		obj_t BgL_defz00;
		obj_t BgL_usez00;
		obj_t BgL_inz00;
		obj_t BgL_outz00;
	}                                   *BgL_jumpzd2exzd2itzf2livenesszf2_bglt;

	typedef struct BgL_synczf2livenesszf2_bgl
	{
		obj_t BgL_defz00;
		obj_t BgL_usez00;
		obj_t BgL_inz00;
		obj_t BgL_outz00;
	}                         *BgL_synczf2livenesszf2_bglt;

	typedef struct BgL_retblockzf2livenesszf2_bgl
	{
		obj_t BgL_defz00;
		obj_t BgL_usez00;
		obj_t BgL_inz00;
		obj_t BgL_outz00;
	}                             *BgL_retblockzf2livenesszf2_bglt;

	typedef struct BgL_returnzf2livenesszf2_bgl
	{
		obj_t BgL_defz00;
		obj_t BgL_usez00;
		obj_t BgL_inz00;
		obj_t BgL_outz00;
	}                           *BgL_returnzf2livenesszf2_bglt;

	typedef struct BgL_makezd2boxzf2livenessz20_bgl
	{
		obj_t BgL_defz00;
		obj_t BgL_usez00;
		obj_t BgL_inz00;
		obj_t BgL_outz00;
	}                               *BgL_makezd2boxzf2livenessz20_bglt;

	typedef struct BgL_boxzd2refzf2livenessz20_bgl
	{
		obj_t BgL_defz00;
		obj_t BgL_usez00;
		obj_t BgL_inz00;
		obj_t BgL_outz00;
	}                              *BgL_boxzd2refzf2livenessz20_bglt;

	typedef struct BgL_boxzd2setz12zf2livenessz32_bgl
	{
		obj_t BgL_defz00;
		obj_t BgL_usez00;
		obj_t BgL_inz00;
		obj_t BgL_outz00;
	}                                 *BgL_boxzd2setz12zf2livenessz32_bglt;


#endif													// BGL_LIVENESS_LIVENESS_TYPE_DEFINITIONS
#endif													// BGL_MODULE_TYPE_DEFINITIONS

	extern obj_t BGl_funcallzf2livenesszf2zzliveness_typesz00;
	static obj_t BGl_z62defusezd2valloc1945zb0zzliveness_livenessz00(obj_t,
		obj_t);
	static obj_t
		BGl_z62inoutz12zd2sequencezf2live1875z50zzliveness_livenessz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62defusezd2literal1839zb0zzliveness_livenessz00(obj_t,
		obj_t);
	extern obj_t BGl_unionza2za2zzliveness_setz00(obj_t);
	static obj_t
		BGl_z62defusezd2instanceofzf2li1979z42zzliveness_livenessz00(obj_t, obj_t);
	static obj_t
		BGl_z62inoutzd2jumpzd2exzd2itzf2liv2063z42zzliveness_livenessz00(obj_t,
		obj_t);
	static obj_t
		BGl_z62inoutz12zd2getfieldzf2live1917z50zzliveness_livenessz00(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62defusezd2sequencezf2live1873z42zzliveness_livenessz00(obj_t, obj_t);
	static obj_t
		BGl_z62inoutzd2synczf2liveness2111z42zzliveness_livenessz00(obj_t, obj_t);
	extern obj_t BGl_union3z00zzliveness_setz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_setqz00zzast_nodez00;
	static obj_t
		BGl_z62inoutzd2switchzf2livenes2031z42zzliveness_livenessz00(obj_t, obj_t);
	extern obj_t BGl_returnz00zzast_nodez00;
	static obj_t
		BGl_z62defusezd2getfieldzf2live1915z42zzliveness_livenessz00(obj_t, obj_t);
	static obj_t
		BGl_z62inoutz12zd2instanceofzf2li1981z50zzliveness_livenessz00(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62inoutz12zd2refzf2liveness1851z50zzliveness_livenessz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62defusezd2new1937zb0zzliveness_livenessz00(obj_t, obj_t);
	static obj_t
		BGl_z62inoutz12zd2appzf2liveness1883z50zzliveness_livenessz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzliveness_livenessz00 =
		BUNSPEC;
	extern obj_t BGl_letzd2funzf2livenessz20zzliveness_typesz00;
	static obj_t
		BGl_z62inoutzd2valloczf2livenes1951z42zzliveness_livenessz00(obj_t, obj_t);
	extern obj_t BGl_boxzd2setz12zf2livenessz32zzliveness_typesz00;
	extern obj_t BGl_closurez00zzast_nodez00;
	static obj_t
		BGl_z62inoutz12zd2setfieldzf2live1925z50zzliveness_livenessz00(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62inoutzd2vrefzf2liveness1959z42zzliveness_livenessz00(obj_t, obj_t);
	extern obj_t BGl_newz00zzast_nodez00;
	static obj_t
		BGl_z62defusezd2setfieldzf2live1923z42zzliveness_livenessz00(obj_t, obj_t);
	static obj_t
		BGl_z62defusezd2failzf2liveness2019z42zzliveness_livenessz00(obj_t, obj_t);
	extern obj_t BGl_vlengthz00zzast_nodez00;
	static obj_t
		BGl_z62inoutz12zd2failzf2liveness2021z50zzliveness_livenessz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_syncz00zzast_nodez00;
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	static obj_t BGl_z62defusezd2vsetz121961za2zzliveness_livenessz00(obj_t,
		obj_t);
	static obj_t
		BGl_z62inoutzd2setzd2exzd2itzf2live2055z42zzliveness_livenessz00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62inoutz12zd2newzf2liveness1941z50zzliveness_livenessz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_refzf2livenesszf2zzliveness_typesz00;
	extern obj_t BGl_kwotezf2livenesszf2zzliveness_typesz00;
	extern obj_t BGl_disjonctionz00zzliveness_setz00(obj_t, obj_t);
	static obj_t BGl_toplevelzd2initzd2zzliveness_livenessz00(void);
	static obj_t
		BGl_z62inoutz12zd2valloczf2livene1949z50zzliveness_livenessz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62defusezd2instanceof1977zb0zzliveness_livenessz00(obj_t,
		obj_t);
	static obj_t BGl_z62defusezd2extern1903zb0zzliveness_livenessz00(obj_t,
		obj_t);
	static obj_t
		BGl_z62defusezd2valloczf2livene1947z42zzliveness_livenessz00(obj_t, obj_t);
	extern obj_t BGl_sequencez00zzast_nodez00;
	static obj_t
		BGl_z62inoutzd2instanceofzf2liv1983z42zzliveness_livenessz00(obj_t, obj_t);
	static obj_t
		BGl_z62inoutzd2vlengthzf2livene1975z42zzliveness_livenessz00(obj_t, obj_t);
	extern obj_t BGl_literalzf2livenesszf2zzliveness_typesz00;
	extern obj_t BGl_conditionalzf2livenesszf2zzliveness_typesz00;
	extern obj_t BGl_wideningzf2livenesszf2zzliveness_typesz00;
	static obj_t BGl_z62defusezd2retblock2065zb0zzliveness_livenessz00(obj_t,
		obj_t);
	static obj_t
		BGl_z62inoutzd2boxzd2refzf2livene2095z90zzliveness_livenessz00(obj_t,
		obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	BGL_IMPORT obj_t bgl_reverse(obj_t);
	static obj_t BGl_z62defusezd2setzd2exzd2it2049zb0zzliveness_livenessz00(obj_t,
		obj_t);
	static obj_t BGl_genericzd2initzd2zzliveness_livenessz00(void);
	extern obj_t BGl_getfieldz00zzast_nodez00;
	extern obj_t BGl_addz00zzliveness_setz00(BgL_localz00_bglt, obj_t);
	static obj_t
		BGl_z62inoutzd2setfieldzf2liven1927z42zzliveness_livenessz00(obj_t, obj_t);
	static obj_t BGl_objectzd2initzd2zzliveness_livenessz00(void);
	static obj_t BGl_z62defusezd2appzd2ly1887z62zzliveness_livenessz00(obj_t,
		obj_t);
	extern obj_t BGl_intersectionza2za2zzliveness_setz00(obj_t);
	extern obj_t BGl_instanceofzf2livenesszf2zzliveness_typesz00;
	extern obj_t BGl_boxzd2refzf2livenessz20zzliveness_typesz00;
	extern obj_t BGl_castz00zzast_nodez00;
	static obj_t BGl_z62livenesszd2livezb0zzliveness_livenessz00(obj_t, obj_t);
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	static bool_t BGl_inoutza2z12zb0zzliveness_livenessz00(obj_t, obj_t);
	static obj_t
		BGl_z62inoutzd2funcallzf2livene1901z42zzliveness_livenessz00(obj_t, obj_t);
	static obj_t
		BGl_z62defusezd2jumpzd2exzd2it2057zb0zzliveness_livenessz00(obj_t, obj_t);
	static obj_t BGl_z62defusezd2setq2001zb0zzliveness_livenessz00(obj_t, obj_t);
	static obj_t BGl_inoutz12z12zzliveness_livenessz00(BgL_nodez00_bglt, obj_t);
	static obj_t BGl_z62defusezd2vref1953zb0zzliveness_livenessz00(obj_t, obj_t);
	static obj_t BGl_z62defusezd2widening1929zb0zzliveness_livenessz00(obj_t,
		obj_t);
	static obj_t BGl_z62defusezd2closure1855zb0zzliveness_livenessz00(obj_t,
		obj_t);
	static obj_t
		BGl_z62inoutz12zd2setqzf2liveness2005z50zzliveness_livenessz00(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62inoutz12zd2wideningzf2live1933z50zzliveness_livenessz00(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62defusezd2setqzf2liveness2003z42zzliveness_livenessz00(obj_t, obj_t);
	static obj_t BGl_z62defusezd2funcall1895zb0zzliveness_livenessz00(obj_t,
		obj_t);
	static obj_t
		BGl_z62defusezd2appzd2lyzf2livene1889z90zzliveness_livenessz00(obj_t,
		obj_t);
	static obj_t BGl_z62defusezd2conditional2009zb0zzliveness_livenessz00(obj_t,
		obj_t);
	static obj_t
		BGl_z62defusezd2wideningzf2live1931z42zzliveness_livenessz00(obj_t, obj_t);
	static obj_t BGl_z62defusezd2letzd2fun2033z62zzliveness_livenessz00(obj_t,
		obj_t);
	extern obj_t BGl_intersectionz00zzliveness_setz00(obj_t, obj_t);
	static obj_t
		BGl_z62inoutz12zd2appzd2lyzf2livene1891z82zzliveness_livenessz00(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62inoutzd2letzd2funzf2livene2039z90zzliveness_livenessz00(obj_t,
		obj_t);
	extern obj_t BGl_refz00zzast_nodez00;
	static obj_t
		BGl_z62inoutzd2conditionalzf2li2015z42zzliveness_livenessz00(obj_t, obj_t);
	static obj_t
		BGl_z62inoutz12zd2retblockzf2live2069z50zzliveness_livenessz00(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62inoutzd2pragmazf2livenes1911z42zzliveness_livenessz00(obj_t, obj_t);
	static obj_t
		BGl_z62defusezd2retblockzf2live2067z42zzliveness_livenessz00(obj_t, obj_t);
	static obj_t BGl_z62defusezd2fail2017zb0zzliveness_livenessz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzliveness_livenessz00(void);
	extern obj_t BGl_externz00zzast_nodez00;
	static obj_t
		BGl_z62inoutz12zd2funcallzf2liven1899z50zzliveness_livenessz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62defusezd2sync2105zb0zzliveness_livenessz00(obj_t, obj_t);
	static obj_t
		BGl_z62inoutzd2boxzd2setz12zf2liven2103z82zzliveness_livenessz00(obj_t,
		obj_t);
	static obj_t BGl_z62defusezd2sequence1871zb0zzliveness_livenessz00(obj_t,
		obj_t);
	static obj_t
		BGl_z62defusezd2funcallzf2liven1897z42zzliveness_livenessz00(obj_t, obj_t);
	extern obj_t BGl_localzf2livenesszf2zzliveness_typesz00;
	static obj_t
		BGl_z62inoutz12zd2synczf2liveness2109z50zzliveness_livenessz00(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62defusezd2synczf2liveness2107z42zzliveness_livenessz00(obj_t, obj_t);
	extern obj_t BGl_letzd2varzf2livenessz20zzliveness_typesz00;
	static obj_t
		BGl_z62inoutzd2sequencezf2liven1877z42zzliveness_livenessz00(obj_t, obj_t);
	static obj_t
		BGl_z62inoutz12zd2vsetz12zf2livenes1965z42zzliveness_livenessz00(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62defusezd2vsetz12zf2livenes1963z50zzliveness_livenessz00(obj_t,
		obj_t);
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	extern obj_t BGl_vsetz12zf2livenessze0zzliveness_typesz00;
	static obj_t
		BGl_z62inoutzd2kwotezf2liveness1869z42zzliveness_livenessz00(obj_t, obj_t);
	static obj_t
		BGl_z62inoutz12zd2vlengthzf2liven1973z50zzliveness_livenessz00(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62inoutz12zd2vrefzf2liveness1957z50zzliveness_livenessz00(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62defusezd2vlengthzf2liven1971z42zzliveness_livenessz00(obj_t, obj_t);
	static obj_t
		BGl_z62defusezd2vrefzf2liveness1955z42zzliveness_livenessz00(obj_t, obj_t);
	extern obj_t BGl_vlengthzf2livenesszf2zzliveness_typesz00;
	extern obj_t BGl_pragmaz00zzast_nodez00;
	static obj_t BGl_z62defusezd2app1879zb0zzliveness_livenessz00(obj_t, obj_t);
	static obj_t BGl_z62defusezd2pragma1905zb0zzliveness_livenessz00(obj_t,
		obj_t);
	static obj_t
		BGl_z62inoutz12zd2letzd2funzf2liven2037z82zzliveness_livenessz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_appzf2livenesszf2zzliveness_typesz00;
	static obj_t BGl_defusez00zzliveness_livenessz00(BgL_nodez00_bglt);
	static obj_t
		BGl_z62inoutzd2castzf2liveness1999z42zzliveness_livenessz00(obj_t, obj_t);
	static obj_t
		BGl_z62defusezd2letzd2funzf2liven2035z90zzliveness_livenessz00(obj_t,
		obj_t);
	extern obj_t BGl_newzf2livenesszf2zzliveness_typesz00;
	static obj_t
		BGl_z62inoutz12zd2makezd2boxzf2live2085z82zzliveness_livenessz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_unionz00zzliveness_setz00(obj_t, obj_t);
	static obj_t
		BGl_z62defusezd2makezd2boxzf2live2083z90zzliveness_livenessz00(obj_t,
		obj_t);
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	extern obj_t BGl_switchzf2livenesszf2zzliveness_typesz00;
	extern obj_t BGl_retblockzf2livenesszf2zzliveness_typesz00;
	static obj_t BGl_defusezd2seqzd2zzliveness_livenessz00(obj_t);
	static obj_t
		BGl_z62inoutz12zd2switchzf2livene2029z50zzliveness_livenessz00(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62inoutzd2wideningzf2liven1935z42zzliveness_livenessz00(obj_t, obj_t);
	static obj_t BGl_z62inoutz12z70zzliveness_livenessz00(obj_t, obj_t, obj_t);
	static obj_t
		BGl_z62inoutzd2returnzf2livenes2079z42zzliveness_livenessz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzliveness_livenessz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzliveness_setz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzliveness_typesz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typeofz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	static obj_t
		BGl_z62defusezd2switchzf2livene2027z42zzliveness_livenessz00(obj_t, obj_t);
	extern obj_t BGl_appz00zzast_nodez00;
	static obj_t BGl_defuseza2za2zzliveness_livenessz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_livenesszd2livezd2zzliveness_livenessz00(BgL_nodez00_bglt);
	static obj_t BGl_z62defusezd2kwote1863zb0zzliveness_livenessz00(obj_t, obj_t);
	extern obj_t BGl_appzd2lyzf2livenessz20zzliveness_typesz00;
	static obj_t BGl_z62defuse1831z62zzliveness_livenessz00(obj_t, obj_t);
	static obj_t BGl_inoutz00zzliveness_livenessz00(BgL_nodez00_bglt);
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	extern obj_t BGl_wideningz00zzast_nodez00;
	static obj_t BGl_z62livenesszd2sfunz12za2zzliveness_livenessz00(obj_t, obj_t);
	static obj_t BGl_z62defusezd2ref1847zb0zzliveness_livenessz00(obj_t, obj_t);
	extern obj_t BGl_vrefzf2livenesszf2zzliveness_typesz00;
	static obj_t
		BGl_z62inoutz12zd2literalzf2liven1843z50zzliveness_livenessz00(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62inoutz12zd2boxzd2refzf2liven2093z82zzliveness_livenessz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_vrefz00zzast_nodez00;
	static obj_t
		BGl_z62defusezd2literalzf2liven1841z42zzliveness_livenessz00(obj_t, obj_t);
	extern obj_t BGl_valloczf2livenesszf2zzliveness_typesz00;
	static obj_t
		BGl_z62defusezd2refzf2liveness1849z42zzliveness_livenessz00(obj_t, obj_t);
	static obj_t
		BGl_z62defusezd2boxzd2refzf2liven2091z90zzliveness_livenessz00(obj_t,
		obj_t);
	extern obj_t BGl_nodez00zzast_nodez00;
	static obj_t BGl_z62inoutzd2refzf2liveness1853z42zzliveness_livenessz00(obj_t,
		obj_t);
	static obj_t
		BGl_z62inoutz12zd2boxzd2setz12zf2live2101z90zzliveness_livenessz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_kwotez00zzast_nodez00;
	extern obj_t BGl_localz00zzast_varz00;
	static obj_t
		BGl_z62inoutzd2retblockzf2liven2071z42zzliveness_livenessz00(obj_t, obj_t);
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_z62inoutzd2appzf2liveness1885z42zzliveness_livenessz00(obj_t,
		obj_t);
	extern obj_t BGl_returnzf2livenesszf2zzliveness_typesz00;
	static obj_t
		BGl_z62defusezd2appzf2liveness1881z42zzliveness_livenessz00(obj_t, obj_t);
	static obj_t BGl_libraryzd2moduleszd2initz00zzliveness_livenessz00(void);
	static obj_t
		BGl_z62inoutzd2failzf2liveness2023z42zzliveness_livenessz00(obj_t, obj_t);
	static obj_t
		BGl_z62inoutz12zd2pragmazf2livene1909z50zzliveness_livenessz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62defusezd2getfield1913zb0zzliveness_livenessz00(obj_t,
		obj_t);
	static obj_t
		BGl_z62inoutz12zd2kwotezf2livenes1867z50zzliveness_livenessz00(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62defusezd2pragmazf2livene1907z42zzliveness_livenessz00(obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzliveness_livenessz00(void);
	static obj_t BGl_z62defusezd2makezd2box2081z62zzliveness_livenessz00(obj_t,
		obj_t);
	static obj_t BGl_gczd2rootszd2initz00zzliveness_livenessz00(void);
	static obj_t BGl_z62defusezd2letzd2var2041z62zzliveness_livenessz00(obj_t,
		obj_t);
	static obj_t
		BGl_z62defusezd2kwotezf2livenes1865z42zzliveness_livenessz00(obj_t, obj_t);
	static obj_t
		BGl_z62defusezd2jumpzd2exzd2itzf2li2059z42zzliveness_livenessz00(obj_t,
		obj_t);
	extern obj_t BGl_failzf2livenesszf2zzliveness_typesz00;
	static obj_t
		BGl_z62inoutzd2letzd2varzf2livene2047z90zzliveness_livenessz00(obj_t,
		obj_t);
	static obj_t
		BGl_z62inoutz12zd2jumpzd2exzd2itzf2li2061z50zzliveness_livenessz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_vallocz00zzast_nodez00;
	static obj_t BGl_z62defusezd2boxzd2setz122097z70zzliveness_livenessz00(obj_t,
		obj_t);
	static obj_t
		BGl_z62inoutz12zd2returnzf2livene2077z50zzliveness_livenessz00(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62defusezd2newzf2liveness1939z42zzliveness_livenessz00(obj_t, obj_t);
	static obj_t BGl_z62defusezd2switch2025zb0zzliveness_livenessz00(obj_t,
		obj_t);
	extern obj_t BGl_makezd2boxzf2livenessz20zzliveness_typesz00;
	static obj_t
		BGl_z62defusezd2returnzf2livene2075z42zzliveness_livenessz00(obj_t, obj_t);
	static obj_t BGl_z62inoutzd2newzf2liveness1943z42zzliveness_livenessz00(obj_t,
		obj_t);
	static obj_t BGl_z62inoutz62zzliveness_livenessz00(obj_t, obj_t);
	extern obj_t BGl_retblockz00zzast_nodez00;
	extern obj_t BGl_setzd2exzd2itzf2livenesszf2zzliveness_typesz00;
	static obj_t
		BGl_z62inoutzd2closurezf2livene1861z42zzliveness_livenessz00(obj_t, obj_t);
	static obj_t
		BGl_z62inoutz12zd2setzd2exzd2itzf2liv2053z50zzliveness_livenessz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_instanceofz00zzast_nodez00;
	static obj_t
		BGl_z62inoutzd2appzd2lyzf2livenes1893z90zzliveness_livenessz00(obj_t,
		obj_t);
	static obj_t
		BGl_z62defusezd2setzd2exzd2itzf2liv2051z42zzliveness_livenessz00(obj_t,
		obj_t);
	static obj_t BGl_z62defusezd2vlength1969zb0zzliveness_livenessz00(obj_t,
		obj_t);
	static obj_t
		BGl_z62inoutzd2getfieldzf2liven1919z42zzliveness_livenessz00(obj_t, obj_t);
	static obj_t
		BGl_z62inoutzd2castzd2nullzf2live1991z90zzliveness_livenessz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_livenesszd2sfunz12zc0zzliveness_livenessz00(BgL_sfunz00_bglt);
	static obj_t
		BGl_z62inoutzd2makezd2boxzf2liven2087z90zzliveness_livenessz00(obj_t,
		obj_t);
	static obj_t
		BGl_z62inoutz12zd2conditionalzf2l2013z50zzliveness_livenessz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62defusezd2return2073zb0zzliveness_livenessz00(obj_t,
		obj_t);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	static obj_t
		BGl_z62defusezd2conditionalzf2l2011z42zzliveness_livenessz00(obj_t, obj_t);
	extern obj_t BGl_jumpzd2exzd2itzf2livenesszf2zzliveness_typesz00;
	static obj_t
		BGl_z62inoutz12zd2castzd2nullzf2liv1989z82zzliveness_livenessz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_castzd2nullzf2livenessz20zzliveness_typesz00;
	extern obj_t BGl_setfieldz00zzast_nodez00;
	extern obj_t BGl_sequencezf2livenesszf2zzliveness_typesz00;
	extern obj_t BGl_castzd2nullzd2zzast_nodez00;
	static obj_t
		BGl_z62defusezd2castzd2nullzf2liv1987z90zzliveness_livenessz00(obj_t,
		obj_t);
	extern obj_t BGl_setqzf2livenesszf2zzliveness_typesz00;
	static obj_t BGl_z62defusez62zzliveness_livenessz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62inoutz121834z70zzliveness_livenessz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62defusezd2setfield1921zb0zzliveness_livenessz00(obj_t,
		obj_t);
	extern obj_t BGl_literalz00zzast_nodez00;
	extern obj_t BGl_switchz00zzast_nodez00;
	extern obj_t BGl_closurezf2livenesszf2zzliveness_typesz00;
	static obj_t
		BGl_z62inoutzd2setqzf2liveness2007z42zzliveness_livenessz00(obj_t, obj_t);
	static obj_t
		BGl_z62inoutz12zd2closurezf2liven1859z50zzliveness_livenessz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62inout1836z62zzliveness_livenessz00(obj_t, obj_t);
	static obj_t
		BGl_z62defusezd2closurezf2liven1857z42zzliveness_livenessz00(obj_t, obj_t);
	extern obj_t BGl_pragmazf2livenesszf2zzliveness_typesz00;
	extern obj_t BGl_conditionalz00zzast_nodez00;
	static obj_t BGl_z62defusezd2boxzd2ref2089z62zzliveness_livenessz00(obj_t,
		obj_t);
	extern obj_t BGl_synczf2livenesszf2zzliveness_typesz00;
	static obj_t BGl_z62defusezd2castzd2null1985z62zzliveness_livenessz00(obj_t,
		obj_t);
	static obj_t
		BGl_z62defusezd2boxzd2setz12zf2live2099z82zzliveness_livenessz00(obj_t,
		obj_t);
	static obj_t
		BGl_z62inoutz12zd2letzd2varzf2liven2045z82zzliveness_livenessz00(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62inoutz12zd2castzf2liveness1997z50zzliveness_livenessz00(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62defusezd2letzd2varzf2liven2043z90zzliveness_livenessz00(obj_t,
		obj_t);
	extern obj_t BGl_funcallz00zzast_nodez00;
	static obj_t
		BGl_z62defusezd2castzf2liveness1995z42zzliveness_livenessz00(obj_t, obj_t);
	extern obj_t BGl_getfieldzf2livenesszf2zzliveness_typesz00;
	extern obj_t BGl_castzf2livenesszf2zzliveness_typesz00;
	extern obj_t BGl_vsetz12z12zzast_nodez00;
	extern obj_t BGl_setfieldzf2livenesszf2zzliveness_typesz00;
	static obj_t BGl_z62defusezd2cast1993zb0zzliveness_livenessz00(obj_t, obj_t);
	static obj_t
		BGl_z62inoutzd2literalzf2livene1845z42zzliveness_livenessz00(obj_t, obj_t);
	static obj_t
		BGl_z62inoutzd2vsetz12zf2liveness1967z50zzliveness_livenessz00(obj_t,
		obj_t);
	static obj_t *__cnst;


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_livenesszd2sfunz12zd2envz12zzliveness_livenessz00,
		BgL_bgl_za762livenessza7d2sf2842z00,
		BGl_z62livenesszd2sfunz12za2zzliveness_livenessz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_GENERIC(BGl_inoutz12zd2envzc0zzliveness_livenessz00,
		BgL_bgl_za762inoutza712za770za7za72843za7,
		BGl_z62inoutz12z70zzliveness_livenessz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_livenesszd2livezd2envz00zzliveness_livenessz00,
		BgL_bgl_za762livenessza7d2li2844z00,
		BGl_z62livenesszd2livezb0zzliveness_livenessz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2700z00zzliveness_livenessz00,
		BgL_bgl_string2700za700za7za7l2845za7, "inout1836", 9);
	      DEFINE_STRING(BGl_string2702z00zzliveness_livenessz00,
		BgL_bgl_string2702za700za7za7l2846za7, "defuse", 6);
	      DEFINE_STRING(BGl_string2705z00zzliveness_livenessz00,
		BgL_bgl_string2705za700za7za7l2847za7, "inout!", 6);
	      DEFINE_STRING(BGl_string2707z00zzliveness_livenessz00,
		BgL_bgl_string2707za700za7za7l2848za7, "inout", 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2701z00zzliveness_livenessz00,
		BgL_bgl_za762defuseza7d2lite2849z00,
		BGl_z62defusezd2literal1839zb0zzliveness_livenessz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2703z00zzliveness_livenessz00,
		BgL_bgl_za762defuseza7d2lite2850z00,
		BGl_z62defusezd2literalzf2liven1841z42zzliveness_livenessz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2704z00zzliveness_livenessz00,
		BgL_bgl_za762inoutza712za7d2li2851za7,
		BGl_z62inoutz12zd2literalzf2liven1843z50zzliveness_livenessz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2706z00zzliveness_livenessz00,
		BgL_bgl_za762inoutza7d2liter2852z00,
		BGl_z62inoutzd2literalzf2livene1845z42zzliveness_livenessz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2708z00zzliveness_livenessz00,
		BgL_bgl_za762defuseza7d2ref12853z00,
		BGl_z62defusezd2ref1847zb0zzliveness_livenessz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2709z00zzliveness_livenessz00,
		BgL_bgl_za762defuseza7d2refza72854za7,
		BGl_z62defusezd2refzf2liveness1849z42zzliveness_livenessz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2710z00zzliveness_livenessz00,
		BgL_bgl_za762inoutza712za7d2re2855za7,
		BGl_z62inoutz12zd2refzf2liveness1851z50zzliveness_livenessz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2711z00zzliveness_livenessz00,
		BgL_bgl_za762inoutza7d2refza7f2856za7,
		BGl_z62inoutzd2refzf2liveness1853z42zzliveness_livenessz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2712z00zzliveness_livenessz00,
		BgL_bgl_za762defuseza7d2clos2857z00,
		BGl_z62defusezd2closure1855zb0zzliveness_livenessz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2713z00zzliveness_livenessz00,
		BgL_bgl_za762defuseza7d2clos2858z00,
		BGl_z62defusezd2closurezf2liven1857z42zzliveness_livenessz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2714z00zzliveness_livenessz00,
		BgL_bgl_za762inoutza712za7d2cl2859za7,
		BGl_z62inoutz12zd2closurezf2liven1859z50zzliveness_livenessz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2715z00zzliveness_livenessz00,
		BgL_bgl_za762inoutza7d2closu2860z00,
		BGl_z62inoutzd2closurezf2livene1861z42zzliveness_livenessz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2716z00zzliveness_livenessz00,
		BgL_bgl_za762defuseza7d2kwot2861z00,
		BGl_z62defusezd2kwote1863zb0zzliveness_livenessz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2717z00zzliveness_livenessz00,
		BgL_bgl_za762defuseza7d2kwot2862z00,
		BGl_z62defusezd2kwotezf2livenes1865z42zzliveness_livenessz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2718z00zzliveness_livenessz00,
		BgL_bgl_za762inoutza712za7d2kw2863za7,
		BGl_z62inoutz12zd2kwotezf2livenes1867z50zzliveness_livenessz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2719z00zzliveness_livenessz00,
		BgL_bgl_za762inoutza7d2kwote2864z00,
		BGl_z62inoutzd2kwotezf2liveness1869z42zzliveness_livenessz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2800z00zzliveness_livenessz00,
		BgL_bgl_za762inoutza7d2switc2865z00,
		BGl_z62inoutzd2switchzf2livenes2031z42zzliveness_livenessz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2801z00zzliveness_livenessz00,
		BgL_bgl_za762defuseza7d2letza72866za7,
		BGl_z62defusezd2letzd2fun2033z62zzliveness_livenessz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2720z00zzliveness_livenessz00,
		BgL_bgl_za762defuseza7d2sequ2867z00,
		BGl_z62defusezd2sequence1871zb0zzliveness_livenessz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2802z00zzliveness_livenessz00,
		BgL_bgl_za762defuseza7d2letza72868za7,
		BGl_z62defusezd2letzd2funzf2liven2035z90zzliveness_livenessz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2721z00zzliveness_livenessz00,
		BgL_bgl_za762defuseza7d2sequ2869z00,
		BGl_z62defusezd2sequencezf2live1873z42zzliveness_livenessz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2803z00zzliveness_livenessz00,
		BgL_bgl_za762inoutza712za7d2le2870za7,
		BGl_z62inoutz12zd2letzd2funzf2liven2037z82zzliveness_livenessz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2722z00zzliveness_livenessz00,
		BgL_bgl_za762inoutza712za7d2se2871za7,
		BGl_z62inoutz12zd2sequencezf2live1875z50zzliveness_livenessz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2804z00zzliveness_livenessz00,
		BgL_bgl_za762inoutza7d2letza7d2872za7,
		BGl_z62inoutzd2letzd2funzf2livene2039z90zzliveness_livenessz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2723z00zzliveness_livenessz00,
		BgL_bgl_za762inoutza7d2seque2873z00,
		BGl_z62inoutzd2sequencezf2liven1877z42zzliveness_livenessz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2805z00zzliveness_livenessz00,
		BgL_bgl_za762defuseza7d2letza72874za7,
		BGl_z62defusezd2letzd2var2041z62zzliveness_livenessz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2724z00zzliveness_livenessz00,
		BgL_bgl_za762defuseza7d2app12875z00,
		BGl_z62defusezd2app1879zb0zzliveness_livenessz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2806z00zzliveness_livenessz00,
		BgL_bgl_za762defuseza7d2letza72876za7,
		BGl_z62defusezd2letzd2varzf2liven2043z90zzliveness_livenessz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2725z00zzliveness_livenessz00,
		BgL_bgl_za762defuseza7d2appza72877za7,
		BGl_z62defusezd2appzf2liveness1881z42zzliveness_livenessz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2807z00zzliveness_livenessz00,
		BgL_bgl_za762inoutza712za7d2le2878za7,
		BGl_z62inoutz12zd2letzd2varzf2liven2045z82zzliveness_livenessz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2726z00zzliveness_livenessz00,
		BgL_bgl_za762inoutza712za7d2ap2879za7,
		BGl_z62inoutz12zd2appzf2liveness1883z50zzliveness_livenessz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2808z00zzliveness_livenessz00,
		BgL_bgl_za762inoutza7d2letza7d2880za7,
		BGl_z62inoutzd2letzd2varzf2livene2047z90zzliveness_livenessz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2727z00zzliveness_livenessz00,
		BgL_bgl_za762inoutza7d2appza7f2881za7,
		BGl_z62inoutzd2appzf2liveness1885z42zzliveness_livenessz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2809z00zzliveness_livenessz00,
		BgL_bgl_za762defuseza7d2setza72882za7,
		BGl_z62defusezd2setzd2exzd2it2049zb0zzliveness_livenessz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2728z00zzliveness_livenessz00,
		BgL_bgl_za762defuseza7d2appza72883za7,
		BGl_z62defusezd2appzd2ly1887z62zzliveness_livenessz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2729z00zzliveness_livenessz00,
		BgL_bgl_za762defuseza7d2appza72884za7,
		BGl_z62defusezd2appzd2lyzf2livene1889z90zzliveness_livenessz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2810z00zzliveness_livenessz00,
		BgL_bgl_za762defuseza7d2setza72885za7,
		BGl_z62defusezd2setzd2exzd2itzf2liv2051z42zzliveness_livenessz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2811z00zzliveness_livenessz00,
		BgL_bgl_za762inoutza712za7d2se2886za7,
		BGl_z62inoutz12zd2setzd2exzd2itzf2liv2053z50zzliveness_livenessz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2730z00zzliveness_livenessz00,
		BgL_bgl_za762inoutza712za7d2ap2887za7,
		BGl_z62inoutz12zd2appzd2lyzf2livene1891z82zzliveness_livenessz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2812z00zzliveness_livenessz00,
		BgL_bgl_za762inoutza7d2setza7d2888za7,
		BGl_z62inoutzd2setzd2exzd2itzf2live2055z42zzliveness_livenessz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2731z00zzliveness_livenessz00,
		BgL_bgl_za762inoutza7d2appza7d2889za7,
		BGl_z62inoutzd2appzd2lyzf2livenes1893z90zzliveness_livenessz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2813z00zzliveness_livenessz00,
		BgL_bgl_za762defuseza7d2jump2890z00,
		BGl_z62defusezd2jumpzd2exzd2it2057zb0zzliveness_livenessz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2732z00zzliveness_livenessz00,
		BgL_bgl_za762defuseza7d2func2891z00,
		BGl_z62defusezd2funcall1895zb0zzliveness_livenessz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2814z00zzliveness_livenessz00,
		BgL_bgl_za762defuseza7d2jump2892z00,
		BGl_z62defusezd2jumpzd2exzd2itzf2li2059z42zzliveness_livenessz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2733z00zzliveness_livenessz00,
		BgL_bgl_za762defuseza7d2func2893z00,
		BGl_z62defusezd2funcallzf2liven1897z42zzliveness_livenessz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2815z00zzliveness_livenessz00,
		BgL_bgl_za762inoutza712za7d2ju2894za7,
		BGl_z62inoutz12zd2jumpzd2exzd2itzf2li2061z50zzliveness_livenessz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2734z00zzliveness_livenessz00,
		BgL_bgl_za762inoutza712za7d2fu2895za7,
		BGl_z62inoutz12zd2funcallzf2liven1899z50zzliveness_livenessz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2816z00zzliveness_livenessz00,
		BgL_bgl_za762inoutza7d2jumpza72896za7,
		BGl_z62inoutzd2jumpzd2exzd2itzf2liv2063z42zzliveness_livenessz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2735z00zzliveness_livenessz00,
		BgL_bgl_za762inoutza7d2funca2897z00,
		BGl_z62inoutzd2funcallzf2livene1901z42zzliveness_livenessz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_GENERIC(BGl_inoutzd2envzd2zzliveness_livenessz00,
		BgL_bgl_za762inoutza762za7za7liv2898z00,
		BGl_z62inoutz62zzliveness_livenessz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2817z00zzliveness_livenessz00,
		BgL_bgl_za762defuseza7d2retb2899z00,
		BGl_z62defusezd2retblock2065zb0zzliveness_livenessz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2736z00zzliveness_livenessz00,
		BgL_bgl_za762defuseza7d2exte2900z00,
		BGl_z62defusezd2extern1903zb0zzliveness_livenessz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2818z00zzliveness_livenessz00,
		BgL_bgl_za762defuseza7d2retb2901z00,
		BGl_z62defusezd2retblockzf2live2067z42zzliveness_livenessz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2737z00zzliveness_livenessz00,
		BgL_bgl_za762defuseza7d2prag2902z00,
		BGl_z62defusezd2pragma1905zb0zzliveness_livenessz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2819z00zzliveness_livenessz00,
		BgL_bgl_za762inoutza712za7d2re2903za7,
		BGl_z62inoutz12zd2retblockzf2live2069z50zzliveness_livenessz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2738z00zzliveness_livenessz00,
		BgL_bgl_za762defuseza7d2prag2904z00,
		BGl_z62defusezd2pragmazf2livene1907z42zzliveness_livenessz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2739z00zzliveness_livenessz00,
		BgL_bgl_za762inoutza712za7d2pr2905za7,
		BGl_z62inoutz12zd2pragmazf2livene1909z50zzliveness_livenessz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2820z00zzliveness_livenessz00,
		BgL_bgl_za762inoutza7d2retbl2906z00,
		BGl_z62inoutzd2retblockzf2liven2071z42zzliveness_livenessz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2821z00zzliveness_livenessz00,
		BgL_bgl_za762defuseza7d2retu2907z00,
		BGl_z62defusezd2return2073zb0zzliveness_livenessz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2740z00zzliveness_livenessz00,
		BgL_bgl_za762inoutza7d2pragm2908z00,
		BGl_z62inoutzd2pragmazf2livenes1911z42zzliveness_livenessz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2822z00zzliveness_livenessz00,
		BgL_bgl_za762defuseza7d2retu2909z00,
		BGl_z62defusezd2returnzf2livene2075z42zzliveness_livenessz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2741z00zzliveness_livenessz00,
		BgL_bgl_za762defuseza7d2getf2910z00,
		BGl_z62defusezd2getfield1913zb0zzliveness_livenessz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2823z00zzliveness_livenessz00,
		BgL_bgl_za762inoutza712za7d2re2911za7,
		BGl_z62inoutz12zd2returnzf2livene2077z50zzliveness_livenessz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2742z00zzliveness_livenessz00,
		BgL_bgl_za762defuseza7d2getf2912z00,
		BGl_z62defusezd2getfieldzf2live1915z42zzliveness_livenessz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2824z00zzliveness_livenessz00,
		BgL_bgl_za762inoutza7d2retur2913z00,
		BGl_z62inoutzd2returnzf2livenes2079z42zzliveness_livenessz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2743z00zzliveness_livenessz00,
		BgL_bgl_za762inoutza712za7d2ge2914za7,
		BGl_z62inoutz12zd2getfieldzf2live1917z50zzliveness_livenessz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2825z00zzliveness_livenessz00,
		BgL_bgl_za762defuseza7d2make2915z00,
		BGl_z62defusezd2makezd2box2081z62zzliveness_livenessz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2744z00zzliveness_livenessz00,
		BgL_bgl_za762inoutza7d2getfi2916z00,
		BGl_z62inoutzd2getfieldzf2liven1919z42zzliveness_livenessz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2826z00zzliveness_livenessz00,
		BgL_bgl_za762defuseza7d2make2917z00,
		BGl_z62defusezd2makezd2boxzf2live2083z90zzliveness_livenessz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2745z00zzliveness_livenessz00,
		BgL_bgl_za762defuseza7d2setf2918z00,
		BGl_z62defusezd2setfield1921zb0zzliveness_livenessz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2827z00zzliveness_livenessz00,
		BgL_bgl_za762inoutza712za7d2ma2919za7,
		BGl_z62inoutz12zd2makezd2boxzf2live2085z82zzliveness_livenessz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2746z00zzliveness_livenessz00,
		BgL_bgl_za762defuseza7d2setf2920z00,
		BGl_z62defusezd2setfieldzf2live1923z42zzliveness_livenessz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2828z00zzliveness_livenessz00,
		BgL_bgl_za762inoutza7d2makeza72921za7,
		BGl_z62inoutzd2makezd2boxzf2liven2087z90zzliveness_livenessz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2747z00zzliveness_livenessz00,
		BgL_bgl_za762inoutza712za7d2se2922za7,
		BGl_z62inoutz12zd2setfieldzf2live1925z50zzliveness_livenessz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2829z00zzliveness_livenessz00,
		BgL_bgl_za762defuseza7d2boxza72923za7,
		BGl_z62defusezd2boxzd2ref2089z62zzliveness_livenessz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2748z00zzliveness_livenessz00,
		BgL_bgl_za762inoutza7d2setfi2924z00,
		BGl_z62inoutzd2setfieldzf2liven1927z42zzliveness_livenessz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2749z00zzliveness_livenessz00,
		BgL_bgl_za762defuseza7d2wide2925z00,
		BGl_z62defusezd2widening1929zb0zzliveness_livenessz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2830z00zzliveness_livenessz00,
		BgL_bgl_za762defuseza7d2boxza72926za7,
		BGl_z62defusezd2boxzd2refzf2liven2091z90zzliveness_livenessz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2831z00zzliveness_livenessz00,
		BgL_bgl_za762inoutza712za7d2bo2927za7,
		BGl_z62inoutz12zd2boxzd2refzf2liven2093z82zzliveness_livenessz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2750z00zzliveness_livenessz00,
		BgL_bgl_za762defuseza7d2wide2928z00,
		BGl_z62defusezd2wideningzf2live1931z42zzliveness_livenessz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2832z00zzliveness_livenessz00,
		BgL_bgl_za762inoutza7d2boxza7d2929za7,
		BGl_z62inoutzd2boxzd2refzf2livene2095z90zzliveness_livenessz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2751z00zzliveness_livenessz00,
		BgL_bgl_za762inoutza712za7d2wi2930za7,
		BGl_z62inoutz12zd2wideningzf2live1933z50zzliveness_livenessz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2833z00zzliveness_livenessz00,
		BgL_bgl_za762defuseza7d2boxza72931za7,
		BGl_z62defusezd2boxzd2setz122097z70zzliveness_livenessz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2752z00zzliveness_livenessz00,
		BgL_bgl_za762inoutza7d2widen2932z00,
		BGl_z62inoutzd2wideningzf2liven1935z42zzliveness_livenessz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2834z00zzliveness_livenessz00,
		BgL_bgl_za762defuseza7d2boxza72933za7,
		BGl_z62defusezd2boxzd2setz12zf2live2099z82zzliveness_livenessz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2753z00zzliveness_livenessz00,
		BgL_bgl_za762defuseza7d2new12934z00,
		BGl_z62defusezd2new1937zb0zzliveness_livenessz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2841z00zzliveness_livenessz00,
		BgL_bgl_string2841za700za7za7l2935za7, "liveness_liveness", 17);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2835z00zzliveness_livenessz00,
		BgL_bgl_za762inoutza712za7d2bo2936za7,
		BGl_z62inoutz12zd2boxzd2setz12zf2live2101z90zzliveness_livenessz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2754z00zzliveness_livenessz00,
		BgL_bgl_za762defuseza7d2newza72937za7,
		BGl_z62defusezd2newzf2liveness1939z42zzliveness_livenessz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2836z00zzliveness_livenessz00,
		BgL_bgl_za762inoutza7d2boxza7d2938za7,
		BGl_z62inoutzd2boxzd2setz12zf2liven2103z82zzliveness_livenessz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2755z00zzliveness_livenessz00,
		BgL_bgl_za762inoutza712za7d2ne2939za7,
		BGl_z62inoutz12zd2newzf2liveness1941z50zzliveness_livenessz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2837z00zzliveness_livenessz00,
		BgL_bgl_za762defuseza7d2sync2940z00,
		BGl_z62defusezd2sync2105zb0zzliveness_livenessz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2756z00zzliveness_livenessz00,
		BgL_bgl_za762inoutza7d2newza7f2941za7,
		BGl_z62inoutzd2newzf2liveness1943z42zzliveness_livenessz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2838z00zzliveness_livenessz00,
		BgL_bgl_za762defuseza7d2sync2942z00,
		BGl_z62defusezd2synczf2liveness2107z42zzliveness_livenessz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2757z00zzliveness_livenessz00,
		BgL_bgl_za762defuseza7d2vall2943z00,
		BGl_z62defusezd2valloc1945zb0zzliveness_livenessz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2839z00zzliveness_livenessz00,
		BgL_bgl_za762inoutza712za7d2sy2944za7,
		BGl_z62inoutz12zd2synczf2liveness2109z50zzliveness_livenessz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2758z00zzliveness_livenessz00,
		BgL_bgl_za762defuseza7d2vall2945z00,
		BGl_z62defusezd2valloczf2livene1947z42zzliveness_livenessz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2759z00zzliveness_livenessz00,
		BgL_bgl_za762inoutza712za7d2va2946za7,
		BGl_z62inoutz12zd2valloczf2livene1949z50zzliveness_livenessz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2840z00zzliveness_livenessz00,
		BgL_bgl_za762inoutza7d2syncza72947za7,
		BGl_z62inoutzd2synczf2liveness2111z42zzliveness_livenessz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2760z00zzliveness_livenessz00,
		BgL_bgl_za762inoutza7d2vallo2948z00,
		BGl_z62inoutzd2valloczf2livenes1951z42zzliveness_livenessz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2761z00zzliveness_livenessz00,
		BgL_bgl_za762defuseza7d2vref2949z00,
		BGl_z62defusezd2vref1953zb0zzliveness_livenessz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2762z00zzliveness_livenessz00,
		BgL_bgl_za762defuseza7d2vref2950z00,
		BGl_z62defusezd2vrefzf2liveness1955z42zzliveness_livenessz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2763z00zzliveness_livenessz00,
		BgL_bgl_za762inoutza712za7d2vr2951za7,
		BGl_z62inoutz12zd2vrefzf2liveness1957z50zzliveness_livenessz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2764z00zzliveness_livenessz00,
		BgL_bgl_za762inoutza7d2vrefza72952za7,
		BGl_z62inoutzd2vrefzf2liveness1959z42zzliveness_livenessz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2765z00zzliveness_livenessz00,
		BgL_bgl_za762defuseza7d2vset2953z00,
		BGl_z62defusezd2vsetz121961za2zzliveness_livenessz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2766z00zzliveness_livenessz00,
		BgL_bgl_za762defuseza7d2vset2954z00,
		BGl_z62defusezd2vsetz12zf2livenes1963z50zzliveness_livenessz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2767z00zzliveness_livenessz00,
		BgL_bgl_za762inoutza712za7d2vs2955za7,
		BGl_z62inoutz12zd2vsetz12zf2livenes1965z42zzliveness_livenessz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2768z00zzliveness_livenessz00,
		BgL_bgl_za762inoutza7d2vsetza72956za7,
		BGl_z62inoutzd2vsetz12zf2liveness1967z50zzliveness_livenessz00, 0L, BUNSPEC,
		1);
	      DEFINE_STRING(BGl_string2693z00zzliveness_livenessz00,
		BgL_bgl_string2693za700za7za7l2957za7, "in=", 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2769z00zzliveness_livenessz00,
		BgL_bgl_za762defuseza7d2vlen2958z00,
		BGl_z62defusezd2vlength1969zb0zzliveness_livenessz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2694z00zzliveness_livenessz00,
		BgL_bgl_string2694za700za7za7l2959za7, "out=", 4);
	      DEFINE_STRING(BGl_string2696z00zzliveness_livenessz00,
		BgL_bgl_string2696za700za7za7l2960za7, "defuse1831", 10);
	      DEFINE_STRING(BGl_string2698z00zzliveness_livenessz00,
		BgL_bgl_string2698za700za7za7l2961za7, "inout!1834", 10);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2770z00zzliveness_livenessz00,
		BgL_bgl_za762defuseza7d2vlen2962z00,
		BGl_z62defusezd2vlengthzf2liven1971z42zzliveness_livenessz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2771z00zzliveness_livenessz00,
		BgL_bgl_za762inoutza712za7d2vl2963za7,
		BGl_z62inoutz12zd2vlengthzf2liven1973z50zzliveness_livenessz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2772z00zzliveness_livenessz00,
		BgL_bgl_za762inoutza7d2vleng2964z00,
		BGl_z62inoutzd2vlengthzf2livene1975z42zzliveness_livenessz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2773z00zzliveness_livenessz00,
		BgL_bgl_za762defuseza7d2inst2965z00,
		BGl_z62defusezd2instanceof1977zb0zzliveness_livenessz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2774z00zzliveness_livenessz00,
		BgL_bgl_za762defuseza7d2inst2966z00,
		BGl_z62defusezd2instanceofzf2li1979z42zzliveness_livenessz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2775z00zzliveness_livenessz00,
		BgL_bgl_za762inoutza712za7d2in2967za7,
		BGl_z62inoutz12zd2instanceofzf2li1981z50zzliveness_livenessz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2776z00zzliveness_livenessz00,
		BgL_bgl_za762inoutza7d2insta2968z00,
		BGl_z62inoutzd2instanceofzf2liv1983z42zzliveness_livenessz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2695z00zzliveness_livenessz00,
		BgL_bgl_za762defuse1831za7622969z00,
		BGl_z62defuse1831z62zzliveness_livenessz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2777z00zzliveness_livenessz00,
		BgL_bgl_za762defuseza7d2cast2970z00,
		BGl_z62defusezd2castzd2null1985z62zzliveness_livenessz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2778z00zzliveness_livenessz00,
		BgL_bgl_za762defuseza7d2cast2971z00,
		BGl_z62defusezd2castzd2nullzf2liv1987z90zzliveness_livenessz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2697z00zzliveness_livenessz00,
		BgL_bgl_za762inoutza7121834za72972za7,
		BGl_z62inoutz121834z70zzliveness_livenessz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2779z00zzliveness_livenessz00,
		BgL_bgl_za762inoutza712za7d2ca2973za7,
		BGl_z62inoutz12zd2castzd2nullzf2liv1989z82zzliveness_livenessz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2699z00zzliveness_livenessz00,
		BgL_bgl_za762inout1836za762za72974za7,
		BGl_z62inout1836z62zzliveness_livenessz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2780z00zzliveness_livenessz00,
		BgL_bgl_za762inoutza7d2castza72975za7,
		BGl_z62inoutzd2castzd2nullzf2live1991z90zzliveness_livenessz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2781z00zzliveness_livenessz00,
		BgL_bgl_za762defuseza7d2cast2976z00,
		BGl_z62defusezd2cast1993zb0zzliveness_livenessz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2782z00zzliveness_livenessz00,
		BgL_bgl_za762defuseza7d2cast2977z00,
		BGl_z62defusezd2castzf2liveness1995z42zzliveness_livenessz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2783z00zzliveness_livenessz00,
		BgL_bgl_za762inoutza712za7d2ca2978za7,
		BGl_z62inoutz12zd2castzf2liveness1997z50zzliveness_livenessz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2784z00zzliveness_livenessz00,
		BgL_bgl_za762inoutza7d2castza72979za7,
		BGl_z62inoutzd2castzf2liveness1999z42zzliveness_livenessz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2785z00zzliveness_livenessz00,
		BgL_bgl_za762defuseza7d2setq2980z00,
		BGl_z62defusezd2setq2001zb0zzliveness_livenessz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2786z00zzliveness_livenessz00,
		BgL_bgl_za762defuseza7d2setq2981z00,
		BGl_z62defusezd2setqzf2liveness2003z42zzliveness_livenessz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2787z00zzliveness_livenessz00,
		BgL_bgl_za762inoutza712za7d2se2982za7,
		BGl_z62inoutz12zd2setqzf2liveness2005z50zzliveness_livenessz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2788z00zzliveness_livenessz00,
		BgL_bgl_za762inoutza7d2setqza72983za7,
		BGl_z62inoutzd2setqzf2liveness2007z42zzliveness_livenessz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2789z00zzliveness_livenessz00,
		BgL_bgl_za762defuseza7d2cond2984z00,
		BGl_z62defusezd2conditional2009zb0zzliveness_livenessz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2790z00zzliveness_livenessz00,
		BgL_bgl_za762defuseza7d2cond2985z00,
		BGl_z62defusezd2conditionalzf2l2011z42zzliveness_livenessz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2791z00zzliveness_livenessz00,
		BgL_bgl_za762inoutza712za7d2co2986za7,
		BGl_z62inoutz12zd2conditionalzf2l2013z50zzliveness_livenessz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2792z00zzliveness_livenessz00,
		BgL_bgl_za762inoutza7d2condi2987z00,
		BGl_z62inoutzd2conditionalzf2li2015z42zzliveness_livenessz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2793z00zzliveness_livenessz00,
		BgL_bgl_za762defuseza7d2fail2988z00,
		BGl_z62defusezd2fail2017zb0zzliveness_livenessz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2794z00zzliveness_livenessz00,
		BgL_bgl_za762defuseza7d2fail2989z00,
		BGl_z62defusezd2failzf2liveness2019z42zzliveness_livenessz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2795z00zzliveness_livenessz00,
		BgL_bgl_za762inoutza712za7d2fa2990za7,
		BGl_z62inoutz12zd2failzf2liveness2021z50zzliveness_livenessz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2796z00zzliveness_livenessz00,
		BgL_bgl_za762inoutza7d2failza72991za7,
		BGl_z62inoutzd2failzf2liveness2023z42zzliveness_livenessz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2797z00zzliveness_livenessz00,
		BgL_bgl_za762defuseza7d2swit2992z00,
		BGl_z62defusezd2switch2025zb0zzliveness_livenessz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2798z00zzliveness_livenessz00,
		BgL_bgl_za762defuseza7d2swit2993z00,
		BGl_z62defusezd2switchzf2livene2027z42zzliveness_livenessz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2799z00zzliveness_livenessz00,
		BgL_bgl_za762inoutza712za7d2sw2994za7,
		BGl_z62inoutz12zd2switchzf2livene2029z50zzliveness_livenessz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_GENERIC(BGl_defusezd2envzd2zzliveness_livenessz00,
		BgL_bgl_za762defuseza762za7za7li2995z00,
		BGl_z62defusez62zzliveness_livenessz00, 0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zzliveness_livenessz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzliveness_livenessz00(long
		BgL_checksumz00_5815, char *BgL_fromz00_5816)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzliveness_livenessz00))
				{
					BGl_requirezd2initializa7ationz75zzliveness_livenessz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzliveness_livenessz00();
					BGl_libraryzd2moduleszd2initz00zzliveness_livenessz00();
					BGl_importedzd2moduleszd2initz00zzliveness_livenessz00();
					BGl_genericzd2initzd2zzliveness_livenessz00();
					BGl_methodzd2initzd2zzliveness_livenessz00();
					return BGl_toplevelzd2initzd2zzliveness_livenessz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzliveness_livenessz00(void)
	{
		{	/* Liveness/liveness.scm 15 */
			BGl_modulezd2initializa7ationz75zz__objectz00(0L, "liveness_liveness");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(0L,
				"liveness_liveness");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(0L,
				"liveness_liveness");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(0L,
				"liveness_liveness");
			BGl_modulezd2initializa7ationz75zz__bitz00(0L, "liveness_liveness");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(0L,
				"liveness_liveness");
			BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(0L,
				"liveness_liveness");
			BGl_modulezd2initializa7ationz75zz__readerz00(0L, "liveness_liveness");
			return BUNSPEC;
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzliveness_livenessz00(void)
	{
		{	/* Liveness/liveness.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzliveness_livenessz00(void)
	{
		{	/* Liveness/liveness.scm 15 */
			return BUNSPEC;
		}

	}



/* liveness-sfun! */
	BGL_EXPORTED_DEF obj_t
		BGl_livenesszd2sfunz12zc0zzliveness_livenessz00(BgL_sfunz00_bglt
		BgL_valuez00_3)
	{
		{	/* Liveness/liveness.scm 43 */
			{	/* Liveness/liveness.scm 48 */
				obj_t BgL_g1553z00_1552;

				BgL_g1553z00_1552 =
					(((BgL_sfunz00_bglt) COBJECT(BgL_valuez00_3))->BgL_argsz00);
				{
					obj_t BgL_l1551z00_1554;

					BgL_l1551z00_1554 = BgL_g1553z00_1552;
				BgL_zc3z04anonymousza32116ze3z87_1555:
					if (PAIRP(BgL_l1551z00_1554))
						{	/* Liveness/liveness.scm 48 */
							{	/* Liveness/liveness.scm 48 */
								obj_t BgL_lz00_1557;

								BgL_lz00_1557 = CAR(BgL_l1551z00_1554);
								{	/* Liveness/liveness.scm 48 */
									BgL_localzf2livenesszf2_bglt BgL_wide1146z00_1560;

									BgL_wide1146z00_1560 =
										((BgL_localzf2livenesszf2_bglt)
										BOBJECT(GC_MALLOC(sizeof(struct
													BgL_localzf2livenesszf2_bgl))));
									{	/* Liveness/liveness.scm 48 */
										obj_t BgL_auxz00_5844;
										BgL_objectz00_bglt BgL_tmpz00_5840;

										BgL_auxz00_5844 = ((obj_t) BgL_wide1146z00_1560);
										BgL_tmpz00_5840 =
											((BgL_objectz00_bglt)
											((BgL_localz00_bglt)
												((BgL_localz00_bglt) BgL_lz00_1557)));
										BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5840, BgL_auxz00_5844);
									}
									((BgL_objectz00_bglt)
										((BgL_localz00_bglt) ((BgL_localz00_bglt) BgL_lz00_1557)));
									{	/* Liveness/liveness.scm 48 */
										long BgL_arg2118z00_1561;

										BgL_arg2118z00_1561 =
											BGL_CLASS_NUM(BGl_localzf2livenesszf2zzliveness_typesz00);
										BGL_OBJECT_CLASS_NUM_SET(
											((BgL_objectz00_bglt)
												((BgL_localz00_bglt)
													((BgL_localz00_bglt) BgL_lz00_1557))),
											BgL_arg2118z00_1561);
									}
									((BgL_localz00_bglt)
										((BgL_localz00_bglt) ((BgL_localz00_bglt) BgL_lz00_1557)));
								}
								{
									BgL_localzf2livenesszf2_bglt BgL_auxz00_5858;

									{
										obj_t BgL_auxz00_5859;

										{	/* Liveness/liveness.scm 48 */
											BgL_objectz00_bglt BgL_tmpz00_5860;

											BgL_tmpz00_5860 =
												((BgL_objectz00_bglt)
												((BgL_localz00_bglt)
													((BgL_localz00_bglt) BgL_lz00_1557)));
											BgL_auxz00_5859 = BGL_OBJECT_WIDENING(BgL_tmpz00_5860);
										}
										BgL_auxz00_5858 =
											((BgL_localzf2livenesszf2_bglt) BgL_auxz00_5859);
									}
									((((BgL_localzf2livenesszf2_bglt) COBJECT(BgL_auxz00_5858))->
											BgL_z52countz52) = ((int) (int) (0L)), BUNSPEC);
								}
								((BgL_localz00_bglt) ((BgL_localz00_bglt) BgL_lz00_1557));
							}
							{
								obj_t BgL_l1551z00_5870;

								BgL_l1551z00_5870 = CDR(BgL_l1551z00_1554);
								BgL_l1551z00_1554 = BgL_l1551z00_5870;
								goto BgL_zc3z04anonymousza32116ze3z87_1555;
							}
						}
					else
						{	/* Liveness/liveness.scm 48 */
							((bool_t) 1);
						}
				}
			}
			{	/* Liveness/liveness.scm 50 */
				obj_t BgL_arg2120z00_1565;

				BgL_arg2120z00_1565 =
					(((BgL_sfunz00_bglt) COBJECT(BgL_valuez00_3))->BgL_bodyz00);
				BGl_defusez00zzliveness_livenessz00(
					((BgL_nodez00_bglt) BgL_arg2120z00_1565));
			}
			{	/* Liveness/liveness.scm 52 */
				obj_t BgL_arg2121z00_1566;

				BgL_arg2121z00_1566 =
					(((BgL_sfunz00_bglt) COBJECT(BgL_valuez00_3))->BgL_bodyz00);
				return
					BGl_inoutz12z12zzliveness_livenessz00(
					((BgL_nodez00_bglt) BgL_arg2121z00_1566), BNIL);
			}
		}

	}



/* &liveness-sfun! */
	obj_t BGl_z62livenesszd2sfunz12za2zzliveness_livenessz00(obj_t
		BgL_envz00_4416, obj_t BgL_valuez00_4417)
	{
		{	/* Liveness/liveness.scm 43 */
			return
				BGl_livenesszd2sfunz12zc0zzliveness_livenessz00(
				((BgL_sfunz00_bglt) BgL_valuez00_4417));
		}

	}



/* liveness-live */
	BGL_EXPORTED_DEF obj_t
		BGl_livenesszd2livezd2zzliveness_livenessz00(BgL_nodez00_bglt BgL_nodez00_5)
	{
		{	/* Liveness/liveness.scm 66 */
			{	/* Liveness/liveness.scm 67 */
				obj_t BgL_inz00_1567;

				BgL_inz00_1567 = BGl_inoutz00zzliveness_livenessz00(BgL_nodez00_5);
				{	/* Liveness/liveness.scm 68 */
					obj_t BgL_outz00_1568;

					{	/* Liveness/liveness.scm 69 */
						obj_t BgL_tmpz00_3455;

						{	/* Liveness/liveness.scm 69 */
							int BgL_tmpz00_5881;

							BgL_tmpz00_5881 = (int) (1L);
							BgL_tmpz00_3455 = BGL_MVALUES_VAL(BgL_tmpz00_5881);
						}
						{	/* Liveness/liveness.scm 69 */
							int BgL_tmpz00_5884;

							BgL_tmpz00_5884 = (int) (1L);
							BGL_MVALUES_VAL_SET(BgL_tmpz00_5884, BUNSPEC);
						}
						BgL_outz00_1568 = BgL_tmpz00_3455;
					}
					{	/* Liveness/liveness.scm 69 */
						obj_t BgL_arg2122z00_1569;

						BgL_arg2122z00_1569 = BGl_shapez00zztools_shapez00(BgL_inz00_1567);
						{	/* Liveness/liveness.scm 69 */
							obj_t BgL_list2123z00_1570;

							{	/* Liveness/liveness.scm 69 */
								obj_t BgL_arg2124z00_1571;

								BgL_arg2124z00_1571 =
									MAKE_YOUNG_PAIR(BgL_arg2122z00_1569, BNIL);
								BgL_list2123z00_1570 =
									MAKE_YOUNG_PAIR(BGl_string2693z00zzliveness_livenessz00,
									BgL_arg2124z00_1571);
							} ((bool_t) 0);
					}}
					{	/* Liveness/liveness.scm 70 */
						obj_t BgL_arg2125z00_1572;

						BgL_arg2125z00_1572 = BGl_shapez00zztools_shapez00(BgL_outz00_1568);
						{	/* Liveness/liveness.scm 70 */
							obj_t BgL_list2126z00_1573;

							{	/* Liveness/liveness.scm 70 */
								obj_t BgL_arg2127z00_1574;

								BgL_arg2127z00_1574 =
									MAKE_YOUNG_PAIR(BgL_arg2125z00_1572, BNIL);
								BgL_list2126z00_1573 =
									MAKE_YOUNG_PAIR(BGl_string2694z00zzliveness_livenessz00,
									BgL_arg2127z00_1574);
							} ((bool_t) 0);
					}}
					return
						BGl_intersectionz00zzliveness_setz00(BgL_inz00_1567,
						BgL_outz00_1568);
				}
			}
		}

	}



/* &liveness-live */
	obj_t BGl_z62livenesszd2livezb0zzliveness_livenessz00(obj_t BgL_envz00_4418,
		obj_t BgL_nodez00_4419)
	{
		{	/* Liveness/liveness.scm 66 */
			return
				BGl_livenesszd2livezd2zzliveness_livenessz00(
				((BgL_nodez00_bglt) BgL_nodez00_4419));
		}

	}



/* defuse* */
	obj_t BGl_defuseza2za2zzliveness_livenessz00(obj_t BgL_nodesz00_6,
		obj_t BgL_defz00_7, obj_t BgL_usez00_8)
	{
		{	/* Liveness/liveness.scm 76 */
			{
				obj_t BgL_nodesz00_1576;
				obj_t BgL_defz00_1577;
				obj_t BgL_usez00_1578;

				BgL_nodesz00_1576 = BgL_nodesz00_6;
				BgL_defz00_1577 = BgL_defz00_7;
				BgL_usez00_1578 = BgL_usez00_8;
			BgL_zc3z04anonymousza32128ze3z87_1579:
				if (NULLP(BgL_nodesz00_1576))
					{	/* Liveness/liveness.scm 80 */
						{	/* Liveness/liveness.scm 81 */
							int BgL_tmpz00_5898;

							BgL_tmpz00_5898 = (int) (2L);
							BGL_MVALUES_NUMBER_SET(BgL_tmpz00_5898);
						}
						{	/* Liveness/liveness.scm 81 */
							int BgL_tmpz00_5901;

							BgL_tmpz00_5901 = (int) (1L);
							BGL_MVALUES_VAL_SET(BgL_tmpz00_5901, BgL_usez00_1578);
						}
						return BgL_defz00_1577;
					}
				else
					{	/* Liveness/liveness.scm 82 */
						obj_t BgL_dz00_1583;

						{	/* Liveness/liveness.scm 83 */
							obj_t BgL_arg2133z00_1588;

							BgL_arg2133z00_1588 = CAR(((obj_t) BgL_nodesz00_1576));
							BgL_dz00_1583 =
								BGl_defusez00zzliveness_livenessz00(
								((BgL_nodez00_bglt) BgL_arg2133z00_1588));
						}
						{	/* Liveness/liveness.scm 83 */
							obj_t BgL_uz00_1584;

							{	/* Liveness/liveness.scm 84 */
								obj_t BgL_tmpz00_3457;

								{	/* Liveness/liveness.scm 84 */
									int BgL_tmpz00_5908;

									BgL_tmpz00_5908 = (int) (1L);
									BgL_tmpz00_3457 = BGL_MVALUES_VAL(BgL_tmpz00_5908);
								}
								{	/* Liveness/liveness.scm 84 */
									int BgL_tmpz00_5911;

									BgL_tmpz00_5911 = (int) (1L);
									BGL_MVALUES_VAL_SET(BgL_tmpz00_5911, BUNSPEC);
								}
								BgL_uz00_1584 = BgL_tmpz00_3457;
							}
							{	/* Liveness/liveness.scm 84 */
								obj_t BgL_arg2130z00_1585;
								obj_t BgL_arg2131z00_1586;
								obj_t BgL_arg2132z00_1587;

								BgL_arg2130z00_1585 = CDR(((obj_t) BgL_nodesz00_1576));
								BgL_arg2131z00_1586 =
									BGl_unionz00zzliveness_setz00(BgL_dz00_1583, BgL_defz00_1577);
								BgL_arg2132z00_1587 =
									BGl_unionz00zzliveness_setz00(BgL_uz00_1584, BgL_usez00_1578);
								{
									obj_t BgL_usez00_5920;
									obj_t BgL_defz00_5919;
									obj_t BgL_nodesz00_5918;

									BgL_nodesz00_5918 = BgL_arg2130z00_1585;
									BgL_defz00_5919 = BgL_arg2131z00_1586;
									BgL_usez00_5920 = BgL_arg2132z00_1587;
									BgL_usez00_1578 = BgL_usez00_5920;
									BgL_defz00_1577 = BgL_defz00_5919;
									BgL_nodesz00_1576 = BgL_nodesz00_5918;
									goto BgL_zc3z04anonymousza32128ze3z87_1579;
								}
							}
						}
					}
			}
		}

	}



/* defuse-seq */
	obj_t BGl_defusezd2seqzd2zzliveness_livenessz00(obj_t BgL_nodesz00_9)
	{
		{	/* Liveness/liveness.scm 89 */
			{
				obj_t BgL_nodesz00_1593;
				obj_t BgL_defz00_1594;
				obj_t BgL_usez00_1595;

				BgL_nodesz00_1593 = BgL_nodesz00_9;
				BgL_defz00_1594 = BNIL;
				BgL_usez00_1595 = BNIL;
			BgL_zc3z04anonymousza32134ze3z87_1596:
				if (NULLP(BgL_nodesz00_1593))
					{	/* Liveness/liveness.scm 93 */
						{	/* Liveness/liveness.scm 94 */
							int BgL_tmpz00_5923;

							BgL_tmpz00_5923 = (int) (2L);
							BGL_MVALUES_NUMBER_SET(BgL_tmpz00_5923);
						}
						{	/* Liveness/liveness.scm 94 */
							int BgL_tmpz00_5926;

							BgL_tmpz00_5926 = (int) (1L);
							BGL_MVALUES_VAL_SET(BgL_tmpz00_5926, BgL_usez00_1595);
						}
						return BgL_defz00_1594;
					}
				else
					{	/* Liveness/liveness.scm 95 */
						obj_t BgL_dz00_1600;

						{	/* Liveness/liveness.scm 96 */
							obj_t BgL_arg2140z00_1606;

							BgL_arg2140z00_1606 = CAR(((obj_t) BgL_nodesz00_1593));
							BgL_dz00_1600 =
								BGl_defusez00zzliveness_livenessz00(
								((BgL_nodez00_bglt) BgL_arg2140z00_1606));
						}
						{	/* Liveness/liveness.scm 96 */
							obj_t BgL_uz00_1601;

							{	/* Liveness/liveness.scm 97 */
								obj_t BgL_tmpz00_3460;

								{	/* Liveness/liveness.scm 97 */
									int BgL_tmpz00_5933;

									BgL_tmpz00_5933 = (int) (1L);
									BgL_tmpz00_3460 = BGL_MVALUES_VAL(BgL_tmpz00_5933);
								}
								{	/* Liveness/liveness.scm 97 */
									int BgL_tmpz00_5936;

									BgL_tmpz00_5936 = (int) (1L);
									BGL_MVALUES_VAL_SET(BgL_tmpz00_5936, BUNSPEC);
								}
								BgL_uz00_1601 = BgL_tmpz00_3460;
							}
							{	/* Liveness/liveness.scm 97 */
								obj_t BgL_arg2136z00_1602;
								obj_t BgL_arg2137z00_1603;
								obj_t BgL_arg2138z00_1604;

								BgL_arg2136z00_1602 = CDR(((obj_t) BgL_nodesz00_1593));
								BgL_arg2137z00_1603 =
									BGl_unionz00zzliveness_setz00(BgL_defz00_1594, BgL_dz00_1600);
								BgL_arg2138z00_1604 =
									BGl_unionz00zzliveness_setz00(BgL_usez00_1595,
									BGl_disjonctionz00zzliveness_setz00(BgL_uz00_1601,
										BgL_defz00_1594));
								{
									obj_t BgL_usez00_5946;
									obj_t BgL_defz00_5945;
									obj_t BgL_nodesz00_5944;

									BgL_nodesz00_5944 = BgL_arg2136z00_1602;
									BgL_defz00_5945 = BgL_arg2137z00_1603;
									BgL_usez00_5946 = BgL_arg2138z00_1604;
									BgL_usez00_1595 = BgL_usez00_5946;
									BgL_defz00_1594 = BgL_defz00_5945;
									BgL_nodesz00_1593 = BgL_nodesz00_5944;
									goto BgL_zc3z04anonymousza32134ze3z87_1596;
								}
							}
						}
					}
			}
		}

	}



/* inout*! */
	bool_t BGl_inoutza2z12zb0zzliveness_livenessz00(obj_t BgL_nodesz00_10,
		obj_t BgL_outz00_11)
	{
		{	/* Liveness/liveness.scm 104 */
			{	/* Liveness/liveness.scm 105 */
				obj_t BgL_g1150z00_1608;

				BgL_g1150z00_1608 = bgl_reverse(BgL_nodesz00_10);
				{
					obj_t BgL_sedonz00_1610;
					obj_t BgL_outz00_1611;

					BgL_sedonz00_1610 = BgL_g1150z00_1608;
					BgL_outz00_1611 = BgL_outz00_11;
				BgL_zc3z04anonymousza32141ze3z87_1612:
					if (PAIRP(BgL_sedonz00_1610))
						{	/* Liveness/liveness.scm 108 */
							obj_t BgL_ninz00_1614;

							{	/* Liveness/liveness.scm 109 */
								obj_t BgL_arg2144z00_1617;

								BgL_arg2144z00_1617 = CAR(BgL_sedonz00_1610);
								BgL_ninz00_1614 =
									BGl_inoutz12z12zzliveness_livenessz00(
									((BgL_nodez00_bglt) BgL_arg2144z00_1617), BgL_outz00_1611);
							}
							{	/* Liveness/liveness.scm 109 */
								obj_t BgL_noutz00_1615;

								{	/* Liveness/liveness.scm 110 */
									obj_t BgL_tmpz00_3463;

									{	/* Liveness/liveness.scm 110 */
										int BgL_tmpz00_5953;

										BgL_tmpz00_5953 = (int) (1L);
										BgL_tmpz00_3463 = BGL_MVALUES_VAL(BgL_tmpz00_5953);
									}
									{	/* Liveness/liveness.scm 110 */
										int BgL_tmpz00_5956;

										BgL_tmpz00_5956 = (int) (1L);
										BGL_MVALUES_VAL_SET(BgL_tmpz00_5956, BUNSPEC);
									}
									BgL_noutz00_1615 = BgL_tmpz00_3463;
								}
								{
									obj_t BgL_outz00_5961;
									obj_t BgL_sedonz00_5959;

									BgL_sedonz00_5959 = CDR(BgL_sedonz00_1610);
									BgL_outz00_5961 = BgL_ninz00_1614;
									BgL_outz00_1611 = BgL_outz00_5961;
									BgL_sedonz00_1610 = BgL_sedonz00_5959;
									goto BgL_zc3z04anonymousza32141ze3z87_1612;
								}
							}
						}
					else
						{	/* Liveness/liveness.scm 107 */
							return ((bool_t) 0);
						}
				}
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzliveness_livenessz00(void)
	{
		{	/* Liveness/liveness.scm 15 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzliveness_livenessz00(void)
	{
		{	/* Liveness/liveness.scm 15 */
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_defusezd2envzd2zzliveness_livenessz00,
				BGl_proc2695z00zzliveness_livenessz00, BGl_nodez00zzast_nodez00,
				BGl_string2696z00zzliveness_livenessz00);
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_inoutz12zd2envzc0zzliveness_livenessz00,
				BGl_proc2697z00zzliveness_livenessz00, BGl_nodez00zzast_nodez00,
				BGl_string2698z00zzliveness_livenessz00);
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_inoutzd2envzd2zzliveness_livenessz00,
				BGl_proc2699z00zzliveness_livenessz00, BGl_nodez00zzast_nodez00,
				BGl_string2700z00zzliveness_livenessz00);
		}

	}



/* &inout1836 */
	obj_t BGl_z62inout1836z62zzliveness_livenessz00(obj_t BgL_envz00_4423,
		obj_t BgL_nz00_4424)
	{
		{	/* Liveness/liveness.scm 124 */
			{	/* Liveness/liveness.scm 125 */
				int BgL_tmpz00_5965;

				BgL_tmpz00_5965 = (int) (2L);
				BGL_MVALUES_NUMBER_SET(BgL_tmpz00_5965);
			}
			{	/* Liveness/liveness.scm 125 */
				int BgL_tmpz00_5968;

				BgL_tmpz00_5968 = (int) (1L);
				BGL_MVALUES_VAL_SET(BgL_tmpz00_5968, BNIL);
			}
			return BNIL;
		}

	}



/* &inout!1834 */
	obj_t BGl_z62inoutz121834z70zzliveness_livenessz00(obj_t BgL_envz00_4425,
		obj_t BgL_nz00_4426, obj_t BgL_outz00_4427)
	{
		{	/* Liveness/liveness.scm 121 */
			{	/* Liveness/liveness.scm 122 */
				int BgL_tmpz00_5971;

				BgL_tmpz00_5971 = (int) (2L);
				BGL_MVALUES_NUMBER_SET(BgL_tmpz00_5971);
			}
			{	/* Liveness/liveness.scm 122 */
				int BgL_tmpz00_5974;

				BgL_tmpz00_5974 = (int) (1L);
				BGL_MVALUES_VAL_SET(BgL_tmpz00_5974, BgL_outz00_4427);
			}
			return BgL_outz00_4427;
		}

	}



/* &defuse1831 */
	obj_t BGl_z62defuse1831z62zzliveness_livenessz00(obj_t BgL_envz00_4428,
		obj_t BgL_nz00_4429)
	{
		{	/* Liveness/liveness.scm 118 */
			{	/* Liveness/liveness.scm 119 */
				int BgL_tmpz00_5977;

				BgL_tmpz00_5977 = (int) (2L);
				BGL_MVALUES_NUMBER_SET(BgL_tmpz00_5977);
			}
			{	/* Liveness/liveness.scm 119 */
				int BgL_tmpz00_5980;

				BgL_tmpz00_5980 = (int) (1L);
				BGL_MVALUES_VAL_SET(BgL_tmpz00_5980, BNIL);
			}
			return BNIL;
		}

	}



/* defuse */
	obj_t BGl_defusez00zzliveness_livenessz00(BgL_nodez00_bglt BgL_nz00_12)
	{
		{	/* Liveness/liveness.scm 118 */
			{	/* Liveness/liveness.scm 118 */
				obj_t BgL_method1833z00_1638;

				{	/* Liveness/liveness.scm 118 */
					obj_t BgL_res2676z00_3497;

					{	/* Liveness/liveness.scm 118 */
						long BgL_objzd2classzd2numz00_3468;

						BgL_objzd2classzd2numz00_3468 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nz00_12));
						{	/* Liveness/liveness.scm 118 */
							obj_t BgL_arg1862z00_3469;

							BgL_arg1862z00_3469 =
								PROCEDURE_REF(BGl_defusezd2envzd2zzliveness_livenessz00,
								(int) (1L));
							{	/* Liveness/liveness.scm 118 */
								int BgL_offsetz00_3472;

								BgL_offsetz00_3472 = (int) (BgL_objzd2classzd2numz00_3468);
								{	/* Liveness/liveness.scm 118 */
									long BgL_offsetz00_3473;

									BgL_offsetz00_3473 =
										((long) (BgL_offsetz00_3472) - OBJECT_TYPE);
									{	/* Liveness/liveness.scm 118 */
										long BgL_modz00_3474;

										BgL_modz00_3474 =
											(BgL_offsetz00_3473 >> (int) ((long) ((int) (4L))));
										{	/* Liveness/liveness.scm 118 */
											long BgL_restz00_3476;

											BgL_restz00_3476 =
												(BgL_offsetz00_3473 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(1L <<
																		(int) ((long) ((int) (4L)))))) - 1L))));
											{	/* Liveness/liveness.scm 118 */

												{	/* Liveness/liveness.scm 118 */
													obj_t BgL_bucketz00_3478;

													BgL_bucketz00_3478 =
														VECTOR_REF(
														((obj_t) BgL_arg1862z00_3469), BgL_modz00_3474);
													BgL_res2676z00_3497 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_3478), BgL_restz00_3476);
					}}}}}}}}
					BgL_method1833z00_1638 = BgL_res2676z00_3497;
				}
				return
					BGL_PROCEDURE_CALL1(BgL_method1833z00_1638, ((obj_t) BgL_nz00_12));
			}
		}

	}



/* &defuse */
	obj_t BGl_z62defusez62zzliveness_livenessz00(obj_t BgL_envz00_4430,
		obj_t BgL_nz00_4431)
	{
		{	/* Liveness/liveness.scm 118 */
			return
				BGl_defusez00zzliveness_livenessz00(((BgL_nodez00_bglt) BgL_nz00_4431));
		}

	}



/* inout! */
	obj_t BGl_inoutz12z12zzliveness_livenessz00(BgL_nodez00_bglt BgL_nz00_13,
		obj_t BgL_outz00_14)
	{
		{	/* Liveness/liveness.scm 121 */
			{	/* Liveness/liveness.scm 121 */
				obj_t BgL_method1835z00_1639;

				{	/* Liveness/liveness.scm 121 */
					obj_t BgL_res2681z00_3528;

					{	/* Liveness/liveness.scm 121 */
						long BgL_objzd2classzd2numz00_3499;

						BgL_objzd2classzd2numz00_3499 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nz00_13));
						{	/* Liveness/liveness.scm 121 */
							obj_t BgL_arg1862z00_3500;

							BgL_arg1862z00_3500 =
								PROCEDURE_REF(BGl_inoutz12zd2envzc0zzliveness_livenessz00,
								(int) (1L));
							{	/* Liveness/liveness.scm 121 */
								int BgL_offsetz00_3503;

								BgL_offsetz00_3503 = (int) (BgL_objzd2classzd2numz00_3499);
								{	/* Liveness/liveness.scm 121 */
									long BgL_offsetz00_3504;

									BgL_offsetz00_3504 =
										((long) (BgL_offsetz00_3503) - OBJECT_TYPE);
									{	/* Liveness/liveness.scm 121 */
										long BgL_modz00_3505;

										BgL_modz00_3505 =
											(BgL_offsetz00_3504 >> (int) ((long) ((int) (4L))));
										{	/* Liveness/liveness.scm 121 */
											long BgL_restz00_3507;

											BgL_restz00_3507 =
												(BgL_offsetz00_3504 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(1L <<
																		(int) ((long) ((int) (4L)))))) - 1L))));
											{	/* Liveness/liveness.scm 121 */

												{	/* Liveness/liveness.scm 121 */
													obj_t BgL_bucketz00_3509;

													BgL_bucketz00_3509 =
														VECTOR_REF(
														((obj_t) BgL_arg1862z00_3500), BgL_modz00_3505);
													BgL_res2681z00_3528 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_3509), BgL_restz00_3507);
					}}}}}}}}
					BgL_method1835z00_1639 = BgL_res2681z00_3528;
				}
				return
					BGL_PROCEDURE_CALL2(BgL_method1835z00_1639,
					((obj_t) BgL_nz00_13), BgL_outz00_14);
			}
		}

	}



/* &inout! */
	obj_t BGl_z62inoutz12z70zzliveness_livenessz00(obj_t BgL_envz00_4432,
		obj_t BgL_nz00_4433, obj_t BgL_outz00_4434)
	{
		{	/* Liveness/liveness.scm 121 */
			return
				BGl_inoutz12z12zzliveness_livenessz00(
				((BgL_nodez00_bglt) BgL_nz00_4433), BgL_outz00_4434);
		}

	}



/* inout */
	obj_t BGl_inoutz00zzliveness_livenessz00(BgL_nodez00_bglt BgL_nz00_15)
	{
		{	/* Liveness/liveness.scm 124 */
			{	/* Liveness/liveness.scm 124 */
				obj_t BgL_method1837z00_1640;

				{	/* Liveness/liveness.scm 124 */
					obj_t BgL_res2686z00_3559;

					{	/* Liveness/liveness.scm 124 */
						long BgL_objzd2classzd2numz00_3530;

						BgL_objzd2classzd2numz00_3530 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nz00_15));
						{	/* Liveness/liveness.scm 124 */
							obj_t BgL_arg1862z00_3531;

							BgL_arg1862z00_3531 =
								PROCEDURE_REF(BGl_inoutzd2envzd2zzliveness_livenessz00,
								(int) (1L));
							{	/* Liveness/liveness.scm 124 */
								int BgL_offsetz00_3534;

								BgL_offsetz00_3534 = (int) (BgL_objzd2classzd2numz00_3530);
								{	/* Liveness/liveness.scm 124 */
									long BgL_offsetz00_3535;

									BgL_offsetz00_3535 =
										((long) (BgL_offsetz00_3534) - OBJECT_TYPE);
									{	/* Liveness/liveness.scm 124 */
										long BgL_modz00_3536;

										BgL_modz00_3536 =
											(BgL_offsetz00_3535 >> (int) ((long) ((int) (4L))));
										{	/* Liveness/liveness.scm 124 */
											long BgL_restz00_3538;

											BgL_restz00_3538 =
												(BgL_offsetz00_3535 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(1L <<
																		(int) ((long) ((int) (4L)))))) - 1L))));
											{	/* Liveness/liveness.scm 124 */

												{	/* Liveness/liveness.scm 124 */
													obj_t BgL_bucketz00_3540;

													BgL_bucketz00_3540 =
														VECTOR_REF(
														((obj_t) BgL_arg1862z00_3531), BgL_modz00_3536);
													BgL_res2686z00_3559 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_3540), BgL_restz00_3538);
					}}}}}}}}
					BgL_method1837z00_1640 = BgL_res2686z00_3559;
				}
				return
					BGL_PROCEDURE_CALL1(BgL_method1837z00_1640, ((obj_t) BgL_nz00_15));
			}
		}

	}



/* &inout */
	obj_t BGl_z62inoutz62zzliveness_livenessz00(obj_t BgL_envz00_4435,
		obj_t BgL_nz00_4436)
	{
		{	/* Liveness/liveness.scm 124 */
			return
				BGl_inoutz00zzliveness_livenessz00(((BgL_nodez00_bglt) BgL_nz00_4436));
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzliveness_livenessz00(void)
	{
		{	/* Liveness/liveness.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_defusezd2envzd2zzliveness_livenessz00, BGl_literalz00zzast_nodez00,
				BGl_proc2701z00zzliveness_livenessz00,
				BGl_string2702z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_defusezd2envzd2zzliveness_livenessz00,
				BGl_literalzf2livenesszf2zzliveness_typesz00,
				BGl_proc2703z00zzliveness_livenessz00,
				BGl_string2702z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inoutz12zd2envzc0zzliveness_livenessz00,
				BGl_literalzf2livenesszf2zzliveness_typesz00,
				BGl_proc2704z00zzliveness_livenessz00,
				BGl_string2705z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inoutzd2envzd2zzliveness_livenessz00,
				BGl_literalzf2livenesszf2zzliveness_typesz00,
				BGl_proc2706z00zzliveness_livenessz00,
				BGl_string2707z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_defusezd2envzd2zzliveness_livenessz00, BGl_refz00zzast_nodez00,
				BGl_proc2708z00zzliveness_livenessz00,
				BGl_string2702z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_defusezd2envzd2zzliveness_livenessz00,
				BGl_refzf2livenesszf2zzliveness_typesz00,
				BGl_proc2709z00zzliveness_livenessz00,
				BGl_string2702z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inoutz12zd2envzc0zzliveness_livenessz00,
				BGl_refzf2livenesszf2zzliveness_typesz00,
				BGl_proc2710z00zzliveness_livenessz00,
				BGl_string2705z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inoutzd2envzd2zzliveness_livenessz00,
				BGl_refzf2livenesszf2zzliveness_typesz00,
				BGl_proc2711z00zzliveness_livenessz00,
				BGl_string2707z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_defusezd2envzd2zzliveness_livenessz00, BGl_closurez00zzast_nodez00,
				BGl_proc2712z00zzliveness_livenessz00,
				BGl_string2702z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_defusezd2envzd2zzliveness_livenessz00,
				BGl_closurezf2livenesszf2zzliveness_typesz00,
				BGl_proc2713z00zzliveness_livenessz00,
				BGl_string2702z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inoutz12zd2envzc0zzliveness_livenessz00,
				BGl_closurezf2livenesszf2zzliveness_typesz00,
				BGl_proc2714z00zzliveness_livenessz00,
				BGl_string2705z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inoutzd2envzd2zzliveness_livenessz00,
				BGl_closurezf2livenesszf2zzliveness_typesz00,
				BGl_proc2715z00zzliveness_livenessz00,
				BGl_string2707z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_defusezd2envzd2zzliveness_livenessz00, BGl_kwotez00zzast_nodez00,
				BGl_proc2716z00zzliveness_livenessz00,
				BGl_string2702z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_defusezd2envzd2zzliveness_livenessz00,
				BGl_kwotezf2livenesszf2zzliveness_typesz00,
				BGl_proc2717z00zzliveness_livenessz00,
				BGl_string2702z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inoutz12zd2envzc0zzliveness_livenessz00,
				BGl_kwotezf2livenesszf2zzliveness_typesz00,
				BGl_proc2718z00zzliveness_livenessz00,
				BGl_string2705z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inoutzd2envzd2zzliveness_livenessz00,
				BGl_kwotezf2livenesszf2zzliveness_typesz00,
				BGl_proc2719z00zzliveness_livenessz00,
				BGl_string2707z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_defusezd2envzd2zzliveness_livenessz00,
				BGl_sequencez00zzast_nodez00, BGl_proc2720z00zzliveness_livenessz00,
				BGl_string2702z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_defusezd2envzd2zzliveness_livenessz00,
				BGl_sequencezf2livenesszf2zzliveness_typesz00,
				BGl_proc2721z00zzliveness_livenessz00,
				BGl_string2702z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inoutz12zd2envzc0zzliveness_livenessz00,
				BGl_sequencezf2livenesszf2zzliveness_typesz00,
				BGl_proc2722z00zzliveness_livenessz00,
				BGl_string2705z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inoutzd2envzd2zzliveness_livenessz00,
				BGl_sequencezf2livenesszf2zzliveness_typesz00,
				BGl_proc2723z00zzliveness_livenessz00,
				BGl_string2707z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_defusezd2envzd2zzliveness_livenessz00, BGl_appz00zzast_nodez00,
				BGl_proc2724z00zzliveness_livenessz00,
				BGl_string2702z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_defusezd2envzd2zzliveness_livenessz00,
				BGl_appzf2livenesszf2zzliveness_typesz00,
				BGl_proc2725z00zzliveness_livenessz00,
				BGl_string2702z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inoutz12zd2envzc0zzliveness_livenessz00,
				BGl_appzf2livenesszf2zzliveness_typesz00,
				BGl_proc2726z00zzliveness_livenessz00,
				BGl_string2705z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inoutzd2envzd2zzliveness_livenessz00,
				BGl_appzf2livenesszf2zzliveness_typesz00,
				BGl_proc2727z00zzliveness_livenessz00,
				BGl_string2707z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_defusezd2envzd2zzliveness_livenessz00,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc2728z00zzliveness_livenessz00,
				BGl_string2702z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_defusezd2envzd2zzliveness_livenessz00,
				BGl_appzd2lyzf2livenessz20zzliveness_typesz00,
				BGl_proc2729z00zzliveness_livenessz00,
				BGl_string2702z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inoutz12zd2envzc0zzliveness_livenessz00,
				BGl_appzd2lyzf2livenessz20zzliveness_typesz00,
				BGl_proc2730z00zzliveness_livenessz00,
				BGl_string2705z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inoutzd2envzd2zzliveness_livenessz00,
				BGl_appzd2lyzf2livenessz20zzliveness_typesz00,
				BGl_proc2731z00zzliveness_livenessz00,
				BGl_string2707z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_defusezd2envzd2zzliveness_livenessz00, BGl_funcallz00zzast_nodez00,
				BGl_proc2732z00zzliveness_livenessz00,
				BGl_string2702z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_defusezd2envzd2zzliveness_livenessz00,
				BGl_funcallzf2livenesszf2zzliveness_typesz00,
				BGl_proc2733z00zzliveness_livenessz00,
				BGl_string2702z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inoutz12zd2envzc0zzliveness_livenessz00,
				BGl_funcallzf2livenesszf2zzliveness_typesz00,
				BGl_proc2734z00zzliveness_livenessz00,
				BGl_string2705z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inoutzd2envzd2zzliveness_livenessz00,
				BGl_funcallzf2livenesszf2zzliveness_typesz00,
				BGl_proc2735z00zzliveness_livenessz00,
				BGl_string2707z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_defusezd2envzd2zzliveness_livenessz00, BGl_externz00zzast_nodez00,
				BGl_proc2736z00zzliveness_livenessz00,
				BGl_string2702z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_defusezd2envzd2zzliveness_livenessz00, BGl_pragmaz00zzast_nodez00,
				BGl_proc2737z00zzliveness_livenessz00,
				BGl_string2702z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_defusezd2envzd2zzliveness_livenessz00,
				BGl_pragmazf2livenesszf2zzliveness_typesz00,
				BGl_proc2738z00zzliveness_livenessz00,
				BGl_string2702z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inoutz12zd2envzc0zzliveness_livenessz00,
				BGl_pragmazf2livenesszf2zzliveness_typesz00,
				BGl_proc2739z00zzliveness_livenessz00,
				BGl_string2705z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inoutzd2envzd2zzliveness_livenessz00,
				BGl_pragmazf2livenesszf2zzliveness_typesz00,
				BGl_proc2740z00zzliveness_livenessz00,
				BGl_string2707z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_defusezd2envzd2zzliveness_livenessz00,
				BGl_getfieldz00zzast_nodez00, BGl_proc2741z00zzliveness_livenessz00,
				BGl_string2702z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_defusezd2envzd2zzliveness_livenessz00,
				BGl_getfieldzf2livenesszf2zzliveness_typesz00,
				BGl_proc2742z00zzliveness_livenessz00,
				BGl_string2702z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inoutz12zd2envzc0zzliveness_livenessz00,
				BGl_getfieldzf2livenesszf2zzliveness_typesz00,
				BGl_proc2743z00zzliveness_livenessz00,
				BGl_string2705z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inoutzd2envzd2zzliveness_livenessz00,
				BGl_getfieldzf2livenesszf2zzliveness_typesz00,
				BGl_proc2744z00zzliveness_livenessz00,
				BGl_string2707z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_defusezd2envzd2zzliveness_livenessz00,
				BGl_setfieldz00zzast_nodez00, BGl_proc2745z00zzliveness_livenessz00,
				BGl_string2702z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_defusezd2envzd2zzliveness_livenessz00,
				BGl_setfieldzf2livenesszf2zzliveness_typesz00,
				BGl_proc2746z00zzliveness_livenessz00,
				BGl_string2702z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inoutz12zd2envzc0zzliveness_livenessz00,
				BGl_setfieldzf2livenesszf2zzliveness_typesz00,
				BGl_proc2747z00zzliveness_livenessz00,
				BGl_string2705z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inoutzd2envzd2zzliveness_livenessz00,
				BGl_setfieldzf2livenesszf2zzliveness_typesz00,
				BGl_proc2748z00zzliveness_livenessz00,
				BGl_string2707z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_defusezd2envzd2zzliveness_livenessz00,
				BGl_wideningz00zzast_nodez00, BGl_proc2749z00zzliveness_livenessz00,
				BGl_string2702z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_defusezd2envzd2zzliveness_livenessz00,
				BGl_wideningzf2livenesszf2zzliveness_typesz00,
				BGl_proc2750z00zzliveness_livenessz00,
				BGl_string2702z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inoutz12zd2envzc0zzliveness_livenessz00,
				BGl_wideningzf2livenesszf2zzliveness_typesz00,
				BGl_proc2751z00zzliveness_livenessz00,
				BGl_string2705z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inoutzd2envzd2zzliveness_livenessz00,
				BGl_wideningzf2livenesszf2zzliveness_typesz00,
				BGl_proc2752z00zzliveness_livenessz00,
				BGl_string2707z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_defusezd2envzd2zzliveness_livenessz00, BGl_newz00zzast_nodez00,
				BGl_proc2753z00zzliveness_livenessz00,
				BGl_string2702z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_defusezd2envzd2zzliveness_livenessz00,
				BGl_newzf2livenesszf2zzliveness_typesz00,
				BGl_proc2754z00zzliveness_livenessz00,
				BGl_string2702z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inoutz12zd2envzc0zzliveness_livenessz00,
				BGl_newzf2livenesszf2zzliveness_typesz00,
				BGl_proc2755z00zzliveness_livenessz00,
				BGl_string2705z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inoutzd2envzd2zzliveness_livenessz00,
				BGl_newzf2livenesszf2zzliveness_typesz00,
				BGl_proc2756z00zzliveness_livenessz00,
				BGl_string2707z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_defusezd2envzd2zzliveness_livenessz00, BGl_vallocz00zzast_nodez00,
				BGl_proc2757z00zzliveness_livenessz00,
				BGl_string2702z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_defusezd2envzd2zzliveness_livenessz00,
				BGl_valloczf2livenesszf2zzliveness_typesz00,
				BGl_proc2758z00zzliveness_livenessz00,
				BGl_string2702z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inoutz12zd2envzc0zzliveness_livenessz00,
				BGl_valloczf2livenesszf2zzliveness_typesz00,
				BGl_proc2759z00zzliveness_livenessz00,
				BGl_string2705z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inoutzd2envzd2zzliveness_livenessz00,
				BGl_valloczf2livenesszf2zzliveness_typesz00,
				BGl_proc2760z00zzliveness_livenessz00,
				BGl_string2707z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_defusezd2envzd2zzliveness_livenessz00, BGl_vrefz00zzast_nodez00,
				BGl_proc2761z00zzliveness_livenessz00,
				BGl_string2702z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_defusezd2envzd2zzliveness_livenessz00,
				BGl_vrefzf2livenesszf2zzliveness_typesz00,
				BGl_proc2762z00zzliveness_livenessz00,
				BGl_string2702z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inoutz12zd2envzc0zzliveness_livenessz00,
				BGl_vrefzf2livenesszf2zzliveness_typesz00,
				BGl_proc2763z00zzliveness_livenessz00,
				BGl_string2705z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inoutzd2envzd2zzliveness_livenessz00,
				BGl_vrefzf2livenesszf2zzliveness_typesz00,
				BGl_proc2764z00zzliveness_livenessz00,
				BGl_string2707z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_defusezd2envzd2zzliveness_livenessz00, BGl_vsetz12z12zzast_nodez00,
				BGl_proc2765z00zzliveness_livenessz00,
				BGl_string2702z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_defusezd2envzd2zzliveness_livenessz00,
				BGl_vsetz12zf2livenessze0zzliveness_typesz00,
				BGl_proc2766z00zzliveness_livenessz00,
				BGl_string2702z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inoutz12zd2envzc0zzliveness_livenessz00,
				BGl_vsetz12zf2livenessze0zzliveness_typesz00,
				BGl_proc2767z00zzliveness_livenessz00,
				BGl_string2705z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inoutzd2envzd2zzliveness_livenessz00,
				BGl_vsetz12zf2livenessze0zzliveness_typesz00,
				BGl_proc2768z00zzliveness_livenessz00,
				BGl_string2707z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_defusezd2envzd2zzliveness_livenessz00, BGl_vlengthz00zzast_nodez00,
				BGl_proc2769z00zzliveness_livenessz00,
				BGl_string2702z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_defusezd2envzd2zzliveness_livenessz00,
				BGl_vlengthzf2livenesszf2zzliveness_typesz00,
				BGl_proc2770z00zzliveness_livenessz00,
				BGl_string2702z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inoutz12zd2envzc0zzliveness_livenessz00,
				BGl_vlengthzf2livenesszf2zzliveness_typesz00,
				BGl_proc2771z00zzliveness_livenessz00,
				BGl_string2705z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inoutzd2envzd2zzliveness_livenessz00,
				BGl_vlengthzf2livenesszf2zzliveness_typesz00,
				BGl_proc2772z00zzliveness_livenessz00,
				BGl_string2707z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_defusezd2envzd2zzliveness_livenessz00,
				BGl_instanceofz00zzast_nodez00, BGl_proc2773z00zzliveness_livenessz00,
				BGl_string2702z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_defusezd2envzd2zzliveness_livenessz00,
				BGl_instanceofzf2livenesszf2zzliveness_typesz00,
				BGl_proc2774z00zzliveness_livenessz00,
				BGl_string2702z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inoutz12zd2envzc0zzliveness_livenessz00,
				BGl_instanceofzf2livenesszf2zzliveness_typesz00,
				BGl_proc2775z00zzliveness_livenessz00,
				BGl_string2705z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inoutzd2envzd2zzliveness_livenessz00,
				BGl_instanceofzf2livenesszf2zzliveness_typesz00,
				BGl_proc2776z00zzliveness_livenessz00,
				BGl_string2707z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_defusezd2envzd2zzliveness_livenessz00,
				BGl_castzd2nullzd2zzast_nodez00, BGl_proc2777z00zzliveness_livenessz00,
				BGl_string2702z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_defusezd2envzd2zzliveness_livenessz00,
				BGl_castzd2nullzf2livenessz20zzliveness_typesz00,
				BGl_proc2778z00zzliveness_livenessz00,
				BGl_string2702z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inoutz12zd2envzc0zzliveness_livenessz00,
				BGl_castzd2nullzf2livenessz20zzliveness_typesz00,
				BGl_proc2779z00zzliveness_livenessz00,
				BGl_string2705z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inoutzd2envzd2zzliveness_livenessz00,
				BGl_castzd2nullzf2livenessz20zzliveness_typesz00,
				BGl_proc2780z00zzliveness_livenessz00,
				BGl_string2707z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_defusezd2envzd2zzliveness_livenessz00, BGl_castz00zzast_nodez00,
				BGl_proc2781z00zzliveness_livenessz00,
				BGl_string2702z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_defusezd2envzd2zzliveness_livenessz00,
				BGl_castzf2livenesszf2zzliveness_typesz00,
				BGl_proc2782z00zzliveness_livenessz00,
				BGl_string2702z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inoutz12zd2envzc0zzliveness_livenessz00,
				BGl_castzf2livenesszf2zzliveness_typesz00,
				BGl_proc2783z00zzliveness_livenessz00,
				BGl_string2705z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inoutzd2envzd2zzliveness_livenessz00,
				BGl_castzf2livenesszf2zzliveness_typesz00,
				BGl_proc2784z00zzliveness_livenessz00,
				BGl_string2707z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_defusezd2envzd2zzliveness_livenessz00, BGl_setqz00zzast_nodez00,
				BGl_proc2785z00zzliveness_livenessz00,
				BGl_string2702z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_defusezd2envzd2zzliveness_livenessz00,
				BGl_setqzf2livenesszf2zzliveness_typesz00,
				BGl_proc2786z00zzliveness_livenessz00,
				BGl_string2702z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inoutz12zd2envzc0zzliveness_livenessz00,
				BGl_setqzf2livenesszf2zzliveness_typesz00,
				BGl_proc2787z00zzliveness_livenessz00,
				BGl_string2705z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inoutzd2envzd2zzliveness_livenessz00,
				BGl_setqzf2livenesszf2zzliveness_typesz00,
				BGl_proc2788z00zzliveness_livenessz00,
				BGl_string2707z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_defusezd2envzd2zzliveness_livenessz00,
				BGl_conditionalz00zzast_nodez00, BGl_proc2789z00zzliveness_livenessz00,
				BGl_string2702z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_defusezd2envzd2zzliveness_livenessz00,
				BGl_conditionalzf2livenesszf2zzliveness_typesz00,
				BGl_proc2790z00zzliveness_livenessz00,
				BGl_string2702z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inoutz12zd2envzc0zzliveness_livenessz00,
				BGl_conditionalzf2livenesszf2zzliveness_typesz00,
				BGl_proc2791z00zzliveness_livenessz00,
				BGl_string2705z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inoutzd2envzd2zzliveness_livenessz00,
				BGl_conditionalzf2livenesszf2zzliveness_typesz00,
				BGl_proc2792z00zzliveness_livenessz00,
				BGl_string2707z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_defusezd2envzd2zzliveness_livenessz00, BGl_failz00zzast_nodez00,
				BGl_proc2793z00zzliveness_livenessz00,
				BGl_string2702z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_defusezd2envzd2zzliveness_livenessz00,
				BGl_failzf2livenesszf2zzliveness_typesz00,
				BGl_proc2794z00zzliveness_livenessz00,
				BGl_string2702z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inoutz12zd2envzc0zzliveness_livenessz00,
				BGl_failzf2livenesszf2zzliveness_typesz00,
				BGl_proc2795z00zzliveness_livenessz00,
				BGl_string2705z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inoutzd2envzd2zzliveness_livenessz00,
				BGl_failzf2livenesszf2zzliveness_typesz00,
				BGl_proc2796z00zzliveness_livenessz00,
				BGl_string2707z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_defusezd2envzd2zzliveness_livenessz00, BGl_switchz00zzast_nodez00,
				BGl_proc2797z00zzliveness_livenessz00,
				BGl_string2702z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_defusezd2envzd2zzliveness_livenessz00,
				BGl_switchzf2livenesszf2zzliveness_typesz00,
				BGl_proc2798z00zzliveness_livenessz00,
				BGl_string2702z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inoutz12zd2envzc0zzliveness_livenessz00,
				BGl_switchzf2livenesszf2zzliveness_typesz00,
				BGl_proc2799z00zzliveness_livenessz00,
				BGl_string2705z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inoutzd2envzd2zzliveness_livenessz00,
				BGl_switchzf2livenesszf2zzliveness_typesz00,
				BGl_proc2800z00zzliveness_livenessz00,
				BGl_string2707z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_defusezd2envzd2zzliveness_livenessz00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc2801z00zzliveness_livenessz00,
				BGl_string2702z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_defusezd2envzd2zzliveness_livenessz00,
				BGl_letzd2funzf2livenessz20zzliveness_typesz00,
				BGl_proc2802z00zzliveness_livenessz00,
				BGl_string2702z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inoutz12zd2envzc0zzliveness_livenessz00,
				BGl_letzd2funzf2livenessz20zzliveness_typesz00,
				BGl_proc2803z00zzliveness_livenessz00,
				BGl_string2705z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inoutzd2envzd2zzliveness_livenessz00,
				BGl_letzd2funzf2livenessz20zzliveness_typesz00,
				BGl_proc2804z00zzliveness_livenessz00,
				BGl_string2707z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_defusezd2envzd2zzliveness_livenessz00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc2805z00zzliveness_livenessz00,
				BGl_string2702z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_defusezd2envzd2zzliveness_livenessz00,
				BGl_letzd2varzf2livenessz20zzliveness_typesz00,
				BGl_proc2806z00zzliveness_livenessz00,
				BGl_string2702z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inoutz12zd2envzc0zzliveness_livenessz00,
				BGl_letzd2varzf2livenessz20zzliveness_typesz00,
				BGl_proc2807z00zzliveness_livenessz00,
				BGl_string2705z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inoutzd2envzd2zzliveness_livenessz00,
				BGl_letzd2varzf2livenessz20zzliveness_typesz00,
				BGl_proc2808z00zzliveness_livenessz00,
				BGl_string2707z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_defusezd2envzd2zzliveness_livenessz00,
				BGl_setzd2exzd2itz00zzast_nodez00,
				BGl_proc2809z00zzliveness_livenessz00,
				BGl_string2702z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_defusezd2envzd2zzliveness_livenessz00,
				BGl_setzd2exzd2itzf2livenesszf2zzliveness_typesz00,
				BGl_proc2810z00zzliveness_livenessz00,
				BGl_string2702z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inoutz12zd2envzc0zzliveness_livenessz00,
				BGl_setzd2exzd2itzf2livenesszf2zzliveness_typesz00,
				BGl_proc2811z00zzliveness_livenessz00,
				BGl_string2705z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inoutzd2envzd2zzliveness_livenessz00,
				BGl_setzd2exzd2itzf2livenesszf2zzliveness_typesz00,
				BGl_proc2812z00zzliveness_livenessz00,
				BGl_string2707z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_defusezd2envzd2zzliveness_livenessz00,
				BGl_jumpzd2exzd2itz00zzast_nodez00,
				BGl_proc2813z00zzliveness_livenessz00,
				BGl_string2702z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_defusezd2envzd2zzliveness_livenessz00,
				BGl_jumpzd2exzd2itzf2livenesszf2zzliveness_typesz00,
				BGl_proc2814z00zzliveness_livenessz00,
				BGl_string2702z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inoutz12zd2envzc0zzliveness_livenessz00,
				BGl_jumpzd2exzd2itzf2livenesszf2zzliveness_typesz00,
				BGl_proc2815z00zzliveness_livenessz00,
				BGl_string2705z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inoutzd2envzd2zzliveness_livenessz00,
				BGl_jumpzd2exzd2itzf2livenesszf2zzliveness_typesz00,
				BGl_proc2816z00zzliveness_livenessz00,
				BGl_string2707z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_defusezd2envzd2zzliveness_livenessz00,
				BGl_retblockz00zzast_nodez00, BGl_proc2817z00zzliveness_livenessz00,
				BGl_string2702z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_defusezd2envzd2zzliveness_livenessz00,
				BGl_retblockzf2livenesszf2zzliveness_typesz00,
				BGl_proc2818z00zzliveness_livenessz00,
				BGl_string2702z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inoutz12zd2envzc0zzliveness_livenessz00,
				BGl_retblockzf2livenesszf2zzliveness_typesz00,
				BGl_proc2819z00zzliveness_livenessz00,
				BGl_string2705z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inoutzd2envzd2zzliveness_livenessz00,
				BGl_retblockzf2livenesszf2zzliveness_typesz00,
				BGl_proc2820z00zzliveness_livenessz00,
				BGl_string2707z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_defusezd2envzd2zzliveness_livenessz00, BGl_returnz00zzast_nodez00,
				BGl_proc2821z00zzliveness_livenessz00,
				BGl_string2702z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_defusezd2envzd2zzliveness_livenessz00,
				BGl_returnzf2livenesszf2zzliveness_typesz00,
				BGl_proc2822z00zzliveness_livenessz00,
				BGl_string2702z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inoutz12zd2envzc0zzliveness_livenessz00,
				BGl_returnzf2livenesszf2zzliveness_typesz00,
				BGl_proc2823z00zzliveness_livenessz00,
				BGl_string2705z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inoutzd2envzd2zzliveness_livenessz00,
				BGl_returnzf2livenesszf2zzliveness_typesz00,
				BGl_proc2824z00zzliveness_livenessz00,
				BGl_string2707z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_defusezd2envzd2zzliveness_livenessz00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc2825z00zzliveness_livenessz00,
				BGl_string2702z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_defusezd2envzd2zzliveness_livenessz00,
				BGl_makezd2boxzf2livenessz20zzliveness_typesz00,
				BGl_proc2826z00zzliveness_livenessz00,
				BGl_string2702z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inoutz12zd2envzc0zzliveness_livenessz00,
				BGl_makezd2boxzf2livenessz20zzliveness_typesz00,
				BGl_proc2827z00zzliveness_livenessz00,
				BGl_string2705z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inoutzd2envzd2zzliveness_livenessz00,
				BGl_makezd2boxzf2livenessz20zzliveness_typesz00,
				BGl_proc2828z00zzliveness_livenessz00,
				BGl_string2707z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_defusezd2envzd2zzliveness_livenessz00,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc2829z00zzliveness_livenessz00,
				BGl_string2702z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_defusezd2envzd2zzliveness_livenessz00,
				BGl_boxzd2refzf2livenessz20zzliveness_typesz00,
				BGl_proc2830z00zzliveness_livenessz00,
				BGl_string2702z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inoutz12zd2envzc0zzliveness_livenessz00,
				BGl_boxzd2refzf2livenessz20zzliveness_typesz00,
				BGl_proc2831z00zzliveness_livenessz00,
				BGl_string2705z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inoutzd2envzd2zzliveness_livenessz00,
				BGl_boxzd2refzf2livenessz20zzliveness_typesz00,
				BGl_proc2832z00zzliveness_livenessz00,
				BGl_string2707z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_defusezd2envzd2zzliveness_livenessz00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc2833z00zzliveness_livenessz00,
				BGl_string2702z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_defusezd2envzd2zzliveness_livenessz00,
				BGl_boxzd2setz12zf2livenessz32zzliveness_typesz00,
				BGl_proc2834z00zzliveness_livenessz00,
				BGl_string2702z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inoutz12zd2envzc0zzliveness_livenessz00,
				BGl_boxzd2setz12zf2livenessz32zzliveness_typesz00,
				BGl_proc2835z00zzliveness_livenessz00,
				BGl_string2705z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inoutzd2envzd2zzliveness_livenessz00,
				BGl_boxzd2setz12zf2livenessz32zzliveness_typesz00,
				BGl_proc2836z00zzliveness_livenessz00,
				BGl_string2707z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_defusezd2envzd2zzliveness_livenessz00, BGl_syncz00zzast_nodez00,
				BGl_proc2837z00zzliveness_livenessz00,
				BGl_string2702z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_defusezd2envzd2zzliveness_livenessz00,
				BGl_synczf2livenesszf2zzliveness_typesz00,
				BGl_proc2838z00zzliveness_livenessz00,
				BGl_string2702z00zzliveness_livenessz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inoutz12zd2envzc0zzliveness_livenessz00,
				BGl_synczf2livenesszf2zzliveness_typesz00,
				BGl_proc2839z00zzliveness_livenessz00,
				BGl_string2705z00zzliveness_livenessz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inoutzd2envzd2zzliveness_livenessz00,
				BGl_synczf2livenesszf2zzliveness_typesz00,
				BGl_proc2840z00zzliveness_livenessz00,
				BGl_string2707z00zzliveness_livenessz00);
		}

	}



/* &inout-sync/liveness2111 */
	obj_t BGl_z62inoutzd2synczf2liveness2111z42zzliveness_livenessz00(obj_t
		BgL_envz00_4574, obj_t BgL_nz00_4575)
	{
		{	/* Liveness/liveness.scm 1130 */
			{	/* Liveness/liveness.scm 1132 */
				obj_t BgL_val0_1829z00_4886;
				obj_t BgL_val1_1830z00_4887;

				{
					BgL_synczf2livenesszf2_bglt BgL_auxz00_6217;

					{
						obj_t BgL_auxz00_6218;

						{	/* Liveness/liveness.scm 1132 */
							BgL_objectz00_bglt BgL_tmpz00_6219;

							BgL_tmpz00_6219 =
								((BgL_objectz00_bglt) ((BgL_syncz00_bglt) BgL_nz00_4575));
							BgL_auxz00_6218 = BGL_OBJECT_WIDENING(BgL_tmpz00_6219);
						}
						BgL_auxz00_6217 = ((BgL_synczf2livenesszf2_bglt) BgL_auxz00_6218);
					}
					BgL_val0_1829z00_4886 =
						(((BgL_synczf2livenesszf2_bglt) COBJECT(BgL_auxz00_6217))->
						BgL_inz00);
				}
				{
					BgL_synczf2livenesszf2_bglt BgL_auxz00_6225;

					{
						obj_t BgL_auxz00_6226;

						{	/* Liveness/liveness.scm 1132 */
							BgL_objectz00_bglt BgL_tmpz00_6227;

							BgL_tmpz00_6227 =
								((BgL_objectz00_bglt) ((BgL_syncz00_bglt) BgL_nz00_4575));
							BgL_auxz00_6226 = BGL_OBJECT_WIDENING(BgL_tmpz00_6227);
						}
						BgL_auxz00_6225 = ((BgL_synczf2livenesszf2_bglt) BgL_auxz00_6226);
					}
					BgL_val1_1830z00_4887 =
						(((BgL_synczf2livenesszf2_bglt) COBJECT(BgL_auxz00_6225))->
						BgL_outz00);
				}
				{	/* Liveness/liveness.scm 1132 */
					int BgL_tmpz00_6233;

					BgL_tmpz00_6233 = (int) (2L);
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_6233);
				}
				{	/* Liveness/liveness.scm 1132 */
					int BgL_tmpz00_6236;

					BgL_tmpz00_6236 = (int) (1L);
					BGL_MVALUES_VAL_SET(BgL_tmpz00_6236, BgL_val1_1830z00_4887);
				}
				return BgL_val0_1829z00_4886;
			}
		}

	}



/* &inout!-sync/liveness2109 */
	obj_t BGl_z62inoutz12zd2synczf2liveness2109z50zzliveness_livenessz00(obj_t
		BgL_envz00_4576, obj_t BgL_nz00_4577, obj_t BgL_oz00_4578)
	{
		{	/* Liveness/liveness.scm 1123 */
			{
				BgL_synczf2livenesszf2_bglt BgL_auxz00_6239;

				{
					obj_t BgL_auxz00_6240;

					{	/* Liveness/liveness.scm 1125 */
						BgL_objectz00_bglt BgL_tmpz00_6241;

						BgL_tmpz00_6241 =
							((BgL_objectz00_bglt) ((BgL_syncz00_bglt) BgL_nz00_4577));
						BgL_auxz00_6240 = BGL_OBJECT_WIDENING(BgL_tmpz00_6241);
					}
					BgL_auxz00_6239 = ((BgL_synczf2livenesszf2_bglt) BgL_auxz00_6240);
				}
				((((BgL_synczf2livenesszf2_bglt) COBJECT(BgL_auxz00_6239))->
						BgL_outz00) = ((obj_t) BgL_oz00_4578), BUNSPEC);
			}
			{
				obj_t BgL_auxz00_6254;
				BgL_synczf2livenesszf2_bglt BgL_auxz00_6247;

				{	/* Liveness/liveness.scm 1126 */
					obj_t BgL_arg2583z00_4889;
					obj_t BgL_arg2584z00_4890;

					{
						BgL_synczf2livenesszf2_bglt BgL_auxz00_6255;

						{
							obj_t BgL_auxz00_6256;

							{	/* Liveness/liveness.scm 1126 */
								BgL_objectz00_bglt BgL_tmpz00_6257;

								BgL_tmpz00_6257 =
									((BgL_objectz00_bglt) ((BgL_syncz00_bglt) BgL_nz00_4577));
								BgL_auxz00_6256 = BGL_OBJECT_WIDENING(BgL_tmpz00_6257);
							}
							BgL_auxz00_6255 = ((BgL_synczf2livenesszf2_bglt) BgL_auxz00_6256);
						}
						BgL_arg2583z00_4889 =
							(((BgL_synczf2livenesszf2_bglt) COBJECT(BgL_auxz00_6255))->
							BgL_usez00);
					}
					{	/* Liveness/liveness.scm 1126 */
						obj_t BgL_arg2585z00_4891;
						obj_t BgL_arg2586z00_4892;

						{
							BgL_synczf2livenesszf2_bglt BgL_auxz00_6263;

							{
								obj_t BgL_auxz00_6264;

								{	/* Liveness/liveness.scm 1126 */
									BgL_objectz00_bglt BgL_tmpz00_6265;

									BgL_tmpz00_6265 =
										((BgL_objectz00_bglt) ((BgL_syncz00_bglt) BgL_nz00_4577));
									BgL_auxz00_6264 = BGL_OBJECT_WIDENING(BgL_tmpz00_6265);
								}
								BgL_auxz00_6263 =
									((BgL_synczf2livenesszf2_bglt) BgL_auxz00_6264);
							}
							BgL_arg2585z00_4891 =
								(((BgL_synczf2livenesszf2_bglt) COBJECT(BgL_auxz00_6263))->
								BgL_outz00);
						}
						{
							BgL_synczf2livenesszf2_bglt BgL_auxz00_6271;

							{
								obj_t BgL_auxz00_6272;

								{	/* Liveness/liveness.scm 1126 */
									BgL_objectz00_bglt BgL_tmpz00_6273;

									BgL_tmpz00_6273 =
										((BgL_objectz00_bglt) ((BgL_syncz00_bglt) BgL_nz00_4577));
									BgL_auxz00_6272 = BGL_OBJECT_WIDENING(BgL_tmpz00_6273);
								}
								BgL_auxz00_6271 =
									((BgL_synczf2livenesszf2_bglt) BgL_auxz00_6272);
							}
							BgL_arg2586z00_4892 =
								(((BgL_synczf2livenesszf2_bglt) COBJECT(BgL_auxz00_6271))->
								BgL_defz00);
						}
						BgL_arg2584z00_4890 =
							BGl_disjonctionz00zzliveness_setz00(BgL_arg2585z00_4891,
							BgL_arg2586z00_4892);
					}
					BgL_auxz00_6254 =
						BGl_unionz00zzliveness_setz00(BgL_arg2583z00_4889,
						BgL_arg2584z00_4890);
				}
				{
					obj_t BgL_auxz00_6248;

					{	/* Liveness/liveness.scm 1126 */
						BgL_objectz00_bglt BgL_tmpz00_6249;

						BgL_tmpz00_6249 =
							((BgL_objectz00_bglt) ((BgL_syncz00_bglt) BgL_nz00_4577));
						BgL_auxz00_6248 = BGL_OBJECT_WIDENING(BgL_tmpz00_6249);
					}
					BgL_auxz00_6247 = ((BgL_synczf2livenesszf2_bglt) BgL_auxz00_6248);
				}
				((((BgL_synczf2livenesszf2_bglt) COBJECT(BgL_auxz00_6247))->BgL_inz00) =
					((obj_t) BgL_auxz00_6254), BUNSPEC);
			}
			{	/* Liveness/liveness.scm 1127 */
				BgL_nodez00_bglt BgL_arg2587z00_4893;

				BgL_arg2587z00_4893 =
					(((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt)
								((BgL_syncz00_bglt) BgL_nz00_4577))))->BgL_bodyz00);
				BGl_inoutz12z12zzliveness_livenessz00(BgL_arg2587z00_4893,
					BgL_oz00_4578);
			}
			{	/* Liveness/liveness.scm 1128 */
				obj_t BgL_val0_1827z00_4894;
				obj_t BgL_val1_1828z00_4895;

				{
					BgL_synczf2livenesszf2_bglt BgL_auxz00_6286;

					{
						obj_t BgL_auxz00_6287;

						{	/* Liveness/liveness.scm 1128 */
							BgL_objectz00_bglt BgL_tmpz00_6288;

							BgL_tmpz00_6288 =
								((BgL_objectz00_bglt) ((BgL_syncz00_bglt) BgL_nz00_4577));
							BgL_auxz00_6287 = BGL_OBJECT_WIDENING(BgL_tmpz00_6288);
						}
						BgL_auxz00_6286 = ((BgL_synczf2livenesszf2_bglt) BgL_auxz00_6287);
					}
					BgL_val0_1827z00_4894 =
						(((BgL_synczf2livenesszf2_bglt) COBJECT(BgL_auxz00_6286))->
						BgL_inz00);
				}
				{
					BgL_synczf2livenesszf2_bglt BgL_auxz00_6294;

					{
						obj_t BgL_auxz00_6295;

						{	/* Liveness/liveness.scm 1128 */
							BgL_objectz00_bglt BgL_tmpz00_6296;

							BgL_tmpz00_6296 =
								((BgL_objectz00_bglt) ((BgL_syncz00_bglt) BgL_nz00_4577));
							BgL_auxz00_6295 = BGL_OBJECT_WIDENING(BgL_tmpz00_6296);
						}
						BgL_auxz00_6294 = ((BgL_synczf2livenesszf2_bglt) BgL_auxz00_6295);
					}
					BgL_val1_1828z00_4895 =
						(((BgL_synczf2livenesszf2_bglt) COBJECT(BgL_auxz00_6294))->
						BgL_outz00);
				}
				{	/* Liveness/liveness.scm 1128 */
					int BgL_tmpz00_6302;

					BgL_tmpz00_6302 = (int) (2L);
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_6302);
				}
				{	/* Liveness/liveness.scm 1128 */
					int BgL_tmpz00_6305;

					BgL_tmpz00_6305 = (int) (1L);
					BGL_MVALUES_VAL_SET(BgL_tmpz00_6305, BgL_val1_1828z00_4895);
				}
				return BgL_val0_1827z00_4894;
			}
		}

	}



/* &defuse-sync/liveness2107 */
	obj_t BGl_z62defusezd2synczf2liveness2107z42zzliveness_livenessz00(obj_t
		BgL_envz00_4579, obj_t BgL_nz00_4580)
	{
		{	/* Liveness/liveness.scm 1119 */
			{	/* Liveness/liveness.scm 1121 */
				obj_t BgL_val0_1825z00_4897;
				obj_t BgL_val1_1826z00_4898;

				{
					BgL_synczf2livenesszf2_bglt BgL_auxz00_6308;

					{
						obj_t BgL_auxz00_6309;

						{	/* Liveness/liveness.scm 1121 */
							BgL_objectz00_bglt BgL_tmpz00_6310;

							BgL_tmpz00_6310 =
								((BgL_objectz00_bglt) ((BgL_syncz00_bglt) BgL_nz00_4580));
							BgL_auxz00_6309 = BGL_OBJECT_WIDENING(BgL_tmpz00_6310);
						}
						BgL_auxz00_6308 = ((BgL_synczf2livenesszf2_bglt) BgL_auxz00_6309);
					}
					BgL_val0_1825z00_4897 =
						(((BgL_synczf2livenesszf2_bglt) COBJECT(BgL_auxz00_6308))->
						BgL_defz00);
				}
				{
					BgL_synczf2livenesszf2_bglt BgL_auxz00_6316;

					{
						obj_t BgL_auxz00_6317;

						{	/* Liveness/liveness.scm 1121 */
							BgL_objectz00_bglt BgL_tmpz00_6318;

							BgL_tmpz00_6318 =
								((BgL_objectz00_bglt) ((BgL_syncz00_bglt) BgL_nz00_4580));
							BgL_auxz00_6317 = BGL_OBJECT_WIDENING(BgL_tmpz00_6318);
						}
						BgL_auxz00_6316 = ((BgL_synczf2livenesszf2_bglt) BgL_auxz00_6317);
					}
					BgL_val1_1826z00_4898 =
						(((BgL_synczf2livenesszf2_bglt) COBJECT(BgL_auxz00_6316))->
						BgL_usez00);
				}
				{	/* Liveness/liveness.scm 1121 */
					int BgL_tmpz00_6324;

					BgL_tmpz00_6324 = (int) (2L);
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_6324);
				}
				{	/* Liveness/liveness.scm 1121 */
					int BgL_tmpz00_6327;

					BgL_tmpz00_6327 = (int) (1L);
					BGL_MVALUES_VAL_SET(BgL_tmpz00_6327, BgL_val1_1826z00_4898);
				}
				return BgL_val0_1825z00_4897;
			}
		}

	}



/* &defuse-sync2105 */
	obj_t BGl_z62defusezd2sync2105zb0zzliveness_livenessz00(obj_t BgL_envz00_4581,
		obj_t BgL_nz00_4582)
	{
		{	/* Liveness/liveness.scm 1110 */
			{	/* Liveness/liveness.scm 1112 */
				obj_t BgL_defz00_4900;

				{	/* Liveness/liveness.scm 1113 */
					obj_t BgL_arg2576z00_4901;

					{	/* Liveness/liveness.scm 1113 */
						BgL_nodez00_bglt BgL_arg2577z00_4902;
						BgL_nodez00_bglt BgL_arg2578z00_4903;
						BgL_nodez00_bglt BgL_arg2579z00_4904;

						BgL_arg2577z00_4902 =
							(((BgL_syncz00_bglt) COBJECT(
									((BgL_syncz00_bglt) BgL_nz00_4582)))->BgL_prelockz00);
						BgL_arg2578z00_4903 =
							(((BgL_syncz00_bglt) COBJECT(
									((BgL_syncz00_bglt) BgL_nz00_4582)))->BgL_mutexz00);
						BgL_arg2579z00_4904 =
							(((BgL_syncz00_bglt) COBJECT(
									((BgL_syncz00_bglt) BgL_nz00_4582)))->BgL_bodyz00);
						{	/* Liveness/liveness.scm 1113 */
							obj_t BgL_list2580z00_4905;

							{	/* Liveness/liveness.scm 1113 */
								obj_t BgL_arg2581z00_4906;

								{	/* Liveness/liveness.scm 1113 */
									obj_t BgL_arg2582z00_4907;

									BgL_arg2582z00_4907 =
										MAKE_YOUNG_PAIR(((obj_t) BgL_arg2579z00_4904), BNIL);
									BgL_arg2581z00_4906 =
										MAKE_YOUNG_PAIR(
										((obj_t) BgL_arg2578z00_4903), BgL_arg2582z00_4907);
								}
								BgL_list2580z00_4905 =
									MAKE_YOUNG_PAIR(
									((obj_t) BgL_arg2577z00_4902), BgL_arg2581z00_4906);
							}
							BgL_arg2576z00_4901 = BgL_list2580z00_4905;
						}
					}
					BgL_defz00_4900 =
						BGl_defusezd2seqzd2zzliveness_livenessz00(BgL_arg2576z00_4901);
				}
				{	/* Liveness/liveness.scm 1113 */
					obj_t BgL_usez00_4908;

					{	/* Liveness/liveness.scm 1114 */
						obj_t BgL_tmpz00_4909;

						{	/* Liveness/liveness.scm 1114 */
							int BgL_tmpz00_6343;

							BgL_tmpz00_6343 = (int) (1L);
							BgL_tmpz00_4909 = BGL_MVALUES_VAL(BgL_tmpz00_6343);
						}
						{	/* Liveness/liveness.scm 1114 */
							int BgL_tmpz00_6346;

							BgL_tmpz00_6346 = (int) (1L);
							BGL_MVALUES_VAL_SET(BgL_tmpz00_6346, BUNSPEC);
						}
						BgL_usez00_4908 = BgL_tmpz00_4909;
					}
					{	/* Liveness/liveness.scm 1115 */
						BgL_syncz00_bglt BgL_arg2573z00_4910;

						{	/* Liveness/liveness.scm 1115 */
							BgL_synczf2livenesszf2_bglt BgL_wide1437z00_4911;

							BgL_wide1437z00_4911 =
								((BgL_synczf2livenesszf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_synczf2livenesszf2_bgl))));
							{	/* Liveness/liveness.scm 1115 */
								obj_t BgL_auxz00_6354;
								BgL_objectz00_bglt BgL_tmpz00_6350;

								BgL_auxz00_6354 = ((obj_t) BgL_wide1437z00_4911);
								BgL_tmpz00_6350 =
									((BgL_objectz00_bglt)
									((BgL_syncz00_bglt) ((BgL_syncz00_bglt) BgL_nz00_4582)));
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6350, BgL_auxz00_6354);
							}
							((BgL_objectz00_bglt)
								((BgL_syncz00_bglt) ((BgL_syncz00_bglt) BgL_nz00_4582)));
							{	/* Liveness/liveness.scm 1115 */
								long BgL_arg2575z00_4912;

								BgL_arg2575z00_4912 =
									BGL_CLASS_NUM(BGl_synczf2livenesszf2zzliveness_typesz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt)
										((BgL_syncz00_bglt)
											((BgL_syncz00_bglt) BgL_nz00_4582))),
									BgL_arg2575z00_4912);
							}
							((BgL_syncz00_bglt)
								((BgL_syncz00_bglt) ((BgL_syncz00_bglt) BgL_nz00_4582)));
						}
						{
							BgL_synczf2livenesszf2_bglt BgL_auxz00_6368;

							{
								obj_t BgL_auxz00_6369;

								{	/* Liveness/liveness.scm 1116 */
									BgL_objectz00_bglt BgL_tmpz00_6370;

									BgL_tmpz00_6370 =
										((BgL_objectz00_bglt)
										((BgL_syncz00_bglt) ((BgL_syncz00_bglt) BgL_nz00_4582)));
									BgL_auxz00_6369 = BGL_OBJECT_WIDENING(BgL_tmpz00_6370);
								}
								BgL_auxz00_6368 =
									((BgL_synczf2livenesszf2_bglt) BgL_auxz00_6369);
							}
							((((BgL_synczf2livenesszf2_bglt) COBJECT(BgL_auxz00_6368))->
									BgL_defz00) = ((obj_t) BgL_defz00_4900), BUNSPEC);
						}
						{
							BgL_synczf2livenesszf2_bglt BgL_auxz00_6377;

							{
								obj_t BgL_auxz00_6378;

								{	/* Liveness/liveness.scm 1117 */
									BgL_objectz00_bglt BgL_tmpz00_6379;

									BgL_tmpz00_6379 =
										((BgL_objectz00_bglt)
										((BgL_syncz00_bglt) ((BgL_syncz00_bglt) BgL_nz00_4582)));
									BgL_auxz00_6378 = BGL_OBJECT_WIDENING(BgL_tmpz00_6379);
								}
								BgL_auxz00_6377 =
									((BgL_synczf2livenesszf2_bglt) BgL_auxz00_6378);
							}
							((((BgL_synczf2livenesszf2_bglt) COBJECT(BgL_auxz00_6377))->
									BgL_usez00) = ((obj_t) BgL_usez00_4908), BUNSPEC);
						}
						{
							BgL_synczf2livenesszf2_bglt BgL_auxz00_6386;

							{
								obj_t BgL_auxz00_6387;

								{	/* Liveness/liveness.scm 1113 */
									BgL_objectz00_bglt BgL_tmpz00_6388;

									BgL_tmpz00_6388 =
										((BgL_objectz00_bglt)
										((BgL_syncz00_bglt) ((BgL_syncz00_bglt) BgL_nz00_4582)));
									BgL_auxz00_6387 = BGL_OBJECT_WIDENING(BgL_tmpz00_6388);
								}
								BgL_auxz00_6386 =
									((BgL_synczf2livenesszf2_bglt) BgL_auxz00_6387);
							}
							((((BgL_synczf2livenesszf2_bglt) COBJECT(BgL_auxz00_6386))->
									BgL_inz00) = ((obj_t) BNIL), BUNSPEC);
						}
						{
							BgL_synczf2livenesszf2_bglt BgL_auxz00_6395;

							{
								obj_t BgL_auxz00_6396;

								{	/* Liveness/liveness.scm 1113 */
									BgL_objectz00_bglt BgL_tmpz00_6397;

									BgL_tmpz00_6397 =
										((BgL_objectz00_bglt)
										((BgL_syncz00_bglt) ((BgL_syncz00_bglt) BgL_nz00_4582)));
									BgL_auxz00_6396 = BGL_OBJECT_WIDENING(BgL_tmpz00_6397);
								}
								BgL_auxz00_6395 =
									((BgL_synczf2livenesszf2_bglt) BgL_auxz00_6396);
							}
							((((BgL_synczf2livenesszf2_bglt) COBJECT(BgL_auxz00_6395))->
									BgL_outz00) = ((obj_t) BNIL), BUNSPEC);
						}
						BgL_arg2573z00_4910 =
							((BgL_syncz00_bglt) ((BgL_syncz00_bglt) BgL_nz00_4582));
						return
							BGl_defusez00zzliveness_livenessz00(
							((BgL_nodez00_bglt) BgL_arg2573z00_4910));
					}
				}
			}
		}

	}



/* &inout-box-set!/liven2103 */
	obj_t BGl_z62inoutzd2boxzd2setz12zf2liven2103z82zzliveness_livenessz00(obj_t
		BgL_envz00_4583, obj_t BgL_nz00_4584)
	{
		{	/* Liveness/liveness.scm 1103 */
			{	/* Liveness/liveness.scm 1105 */
				obj_t BgL_val0_1823z00_4914;
				obj_t BgL_val1_1824z00_4915;

				{
					BgL_boxzd2setz12zf2livenessz32_bglt BgL_auxz00_6408;

					{
						obj_t BgL_auxz00_6409;

						{	/* Liveness/liveness.scm 1105 */
							BgL_objectz00_bglt BgL_tmpz00_6410;

							BgL_tmpz00_6410 =
								((BgL_objectz00_bglt)
								((BgL_boxzd2setz12zc0_bglt) BgL_nz00_4584));
							BgL_auxz00_6409 = BGL_OBJECT_WIDENING(BgL_tmpz00_6410);
						}
						BgL_auxz00_6408 =
							((BgL_boxzd2setz12zf2livenessz32_bglt) BgL_auxz00_6409);
					}
					BgL_val0_1823z00_4914 =
						(((BgL_boxzd2setz12zf2livenessz32_bglt) COBJECT(BgL_auxz00_6408))->
						BgL_inz00);
				}
				{
					BgL_boxzd2setz12zf2livenessz32_bglt BgL_auxz00_6416;

					{
						obj_t BgL_auxz00_6417;

						{	/* Liveness/liveness.scm 1105 */
							BgL_objectz00_bglt BgL_tmpz00_6418;

							BgL_tmpz00_6418 =
								((BgL_objectz00_bglt)
								((BgL_boxzd2setz12zc0_bglt) BgL_nz00_4584));
							BgL_auxz00_6417 = BGL_OBJECT_WIDENING(BgL_tmpz00_6418);
						}
						BgL_auxz00_6416 =
							((BgL_boxzd2setz12zf2livenessz32_bglt) BgL_auxz00_6417);
					}
					BgL_val1_1824z00_4915 =
						(((BgL_boxzd2setz12zf2livenessz32_bglt) COBJECT(BgL_auxz00_6416))->
						BgL_outz00);
				}
				{	/* Liveness/liveness.scm 1105 */
					int BgL_tmpz00_6424;

					BgL_tmpz00_6424 = (int) (2L);
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_6424);
				}
				{	/* Liveness/liveness.scm 1105 */
					int BgL_tmpz00_6427;

					BgL_tmpz00_6427 = (int) (1L);
					BGL_MVALUES_VAL_SET(BgL_tmpz00_6427, BgL_val1_1824z00_4915);
				}
				return BgL_val0_1823z00_4914;
			}
		}

	}



/* &inout!-box-set!/live2101 */
	obj_t BGl_z62inoutz12zd2boxzd2setz12zf2live2101z90zzliveness_livenessz00(obj_t
		BgL_envz00_4585, obj_t BgL_nz00_4586, obj_t BgL_oz00_4587)
	{
		{	/* Liveness/liveness.scm 1096 */
			{
				BgL_boxzd2setz12zf2livenessz32_bglt BgL_auxz00_6430;

				{
					obj_t BgL_auxz00_6431;

					{	/* Liveness/liveness.scm 1098 */
						BgL_objectz00_bglt BgL_tmpz00_6432;

						BgL_tmpz00_6432 =
							((BgL_objectz00_bglt) ((BgL_boxzd2setz12zc0_bglt) BgL_nz00_4586));
						BgL_auxz00_6431 = BGL_OBJECT_WIDENING(BgL_tmpz00_6432);
					}
					BgL_auxz00_6430 =
						((BgL_boxzd2setz12zf2livenessz32_bglt) BgL_auxz00_6431);
				}
				((((BgL_boxzd2setz12zf2livenessz32_bglt) COBJECT(BgL_auxz00_6430))->
						BgL_outz00) = ((obj_t) BgL_oz00_4587), BUNSPEC);
			}
			{
				obj_t BgL_auxz00_6445;
				BgL_boxzd2setz12zf2livenessz32_bglt BgL_auxz00_6438;

				{	/* Liveness/liveness.scm 1099 */
					obj_t BgL_arg2566z00_4917;
					obj_t BgL_arg2568z00_4918;

					{
						BgL_boxzd2setz12zf2livenessz32_bglt BgL_auxz00_6446;

						{
							obj_t BgL_auxz00_6447;

							{	/* Liveness/liveness.scm 1099 */
								BgL_objectz00_bglt BgL_tmpz00_6448;

								BgL_tmpz00_6448 =
									((BgL_objectz00_bglt)
									((BgL_boxzd2setz12zc0_bglt) BgL_nz00_4586));
								BgL_auxz00_6447 = BGL_OBJECT_WIDENING(BgL_tmpz00_6448);
							}
							BgL_auxz00_6446 =
								((BgL_boxzd2setz12zf2livenessz32_bglt) BgL_auxz00_6447);
						}
						BgL_arg2566z00_4917 =
							(((BgL_boxzd2setz12zf2livenessz32_bglt)
								COBJECT(BgL_auxz00_6446))->BgL_usez00);
					}
					{	/* Liveness/liveness.scm 1099 */
						obj_t BgL_arg2569z00_4919;
						obj_t BgL_arg2571z00_4920;

						{
							BgL_boxzd2setz12zf2livenessz32_bglt BgL_auxz00_6454;

							{
								obj_t BgL_auxz00_6455;

								{	/* Liveness/liveness.scm 1099 */
									BgL_objectz00_bglt BgL_tmpz00_6456;

									BgL_tmpz00_6456 =
										((BgL_objectz00_bglt)
										((BgL_boxzd2setz12zc0_bglt) BgL_nz00_4586));
									BgL_auxz00_6455 = BGL_OBJECT_WIDENING(BgL_tmpz00_6456);
								}
								BgL_auxz00_6454 =
									((BgL_boxzd2setz12zf2livenessz32_bglt) BgL_auxz00_6455);
							}
							BgL_arg2569z00_4919 =
								(((BgL_boxzd2setz12zf2livenessz32_bglt)
									COBJECT(BgL_auxz00_6454))->BgL_outz00);
						}
						{
							BgL_boxzd2setz12zf2livenessz32_bglt BgL_auxz00_6462;

							{
								obj_t BgL_auxz00_6463;

								{	/* Liveness/liveness.scm 1099 */
									BgL_objectz00_bglt BgL_tmpz00_6464;

									BgL_tmpz00_6464 =
										((BgL_objectz00_bglt)
										((BgL_boxzd2setz12zc0_bglt) BgL_nz00_4586));
									BgL_auxz00_6463 = BGL_OBJECT_WIDENING(BgL_tmpz00_6464);
								}
								BgL_auxz00_6462 =
									((BgL_boxzd2setz12zf2livenessz32_bglt) BgL_auxz00_6463);
							}
							BgL_arg2571z00_4920 =
								(((BgL_boxzd2setz12zf2livenessz32_bglt)
									COBJECT(BgL_auxz00_6462))->BgL_defz00);
						}
						BgL_arg2568z00_4918 =
							BGl_disjonctionz00zzliveness_setz00(BgL_arg2569z00_4919,
							BgL_arg2571z00_4920);
					}
					BgL_auxz00_6445 =
						BGl_unionz00zzliveness_setz00(BgL_arg2566z00_4917,
						BgL_arg2568z00_4918);
				}
				{
					obj_t BgL_auxz00_6439;

					{	/* Liveness/liveness.scm 1099 */
						BgL_objectz00_bglt BgL_tmpz00_6440;

						BgL_tmpz00_6440 =
							((BgL_objectz00_bglt) ((BgL_boxzd2setz12zc0_bglt) BgL_nz00_4586));
						BgL_auxz00_6439 = BGL_OBJECT_WIDENING(BgL_tmpz00_6440);
					}
					BgL_auxz00_6438 =
						((BgL_boxzd2setz12zf2livenessz32_bglt) BgL_auxz00_6439);
				}
				((((BgL_boxzd2setz12zf2livenessz32_bglt) COBJECT(BgL_auxz00_6438))->
						BgL_inz00) = ((obj_t) BgL_auxz00_6445), BUNSPEC);
			}
			{	/* Liveness/liveness.scm 1100 */
				BgL_nodez00_bglt BgL_arg2572z00_4921;

				BgL_arg2572z00_4921 =
					(((BgL_boxzd2setz12zc0_bglt) COBJECT(
							((BgL_boxzd2setz12zc0_bglt)
								((BgL_boxzd2setz12zc0_bglt) BgL_nz00_4586))))->BgL_valuez00);
				BGl_inoutz12z12zzliveness_livenessz00(BgL_arg2572z00_4921,
					BgL_oz00_4587);
			}
			{	/* Liveness/liveness.scm 1101 */
				obj_t BgL_val0_1821z00_4922;
				obj_t BgL_val1_1822z00_4923;

				{
					BgL_boxzd2setz12zf2livenessz32_bglt BgL_auxz00_6477;

					{
						obj_t BgL_auxz00_6478;

						{	/* Liveness/liveness.scm 1101 */
							BgL_objectz00_bglt BgL_tmpz00_6479;

							BgL_tmpz00_6479 =
								((BgL_objectz00_bglt)
								((BgL_boxzd2setz12zc0_bglt) BgL_nz00_4586));
							BgL_auxz00_6478 = BGL_OBJECT_WIDENING(BgL_tmpz00_6479);
						}
						BgL_auxz00_6477 =
							((BgL_boxzd2setz12zf2livenessz32_bglt) BgL_auxz00_6478);
					}
					BgL_val0_1821z00_4922 =
						(((BgL_boxzd2setz12zf2livenessz32_bglt) COBJECT(BgL_auxz00_6477))->
						BgL_inz00);
				}
				{
					BgL_boxzd2setz12zf2livenessz32_bglt BgL_auxz00_6485;

					{
						obj_t BgL_auxz00_6486;

						{	/* Liveness/liveness.scm 1101 */
							BgL_objectz00_bglt BgL_tmpz00_6487;

							BgL_tmpz00_6487 =
								((BgL_objectz00_bglt)
								((BgL_boxzd2setz12zc0_bglt) BgL_nz00_4586));
							BgL_auxz00_6486 = BGL_OBJECT_WIDENING(BgL_tmpz00_6487);
						}
						BgL_auxz00_6485 =
							((BgL_boxzd2setz12zf2livenessz32_bglt) BgL_auxz00_6486);
					}
					BgL_val1_1822z00_4923 =
						(((BgL_boxzd2setz12zf2livenessz32_bglt) COBJECT(BgL_auxz00_6485))->
						BgL_outz00);
				}
				{	/* Liveness/liveness.scm 1101 */
					int BgL_tmpz00_6493;

					BgL_tmpz00_6493 = (int) (2L);
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_6493);
				}
				{	/* Liveness/liveness.scm 1101 */
					int BgL_tmpz00_6496;

					BgL_tmpz00_6496 = (int) (1L);
					BGL_MVALUES_VAL_SET(BgL_tmpz00_6496, BgL_val1_1822z00_4923);
				}
				return BgL_val0_1821z00_4922;
			}
		}

	}



/* &defuse-box-set!/live2099 */
	obj_t BGl_z62defusezd2boxzd2setz12zf2live2099z82zzliveness_livenessz00(obj_t
		BgL_envz00_4588, obj_t BgL_nz00_4589)
	{
		{	/* Liveness/liveness.scm 1092 */
			{	/* Liveness/liveness.scm 1094 */
				obj_t BgL_val0_1819z00_4925;
				obj_t BgL_val1_1820z00_4926;

				{
					BgL_boxzd2setz12zf2livenessz32_bglt BgL_auxz00_6499;

					{
						obj_t BgL_auxz00_6500;

						{	/* Liveness/liveness.scm 1094 */
							BgL_objectz00_bglt BgL_tmpz00_6501;

							BgL_tmpz00_6501 =
								((BgL_objectz00_bglt)
								((BgL_boxzd2setz12zc0_bglt) BgL_nz00_4589));
							BgL_auxz00_6500 = BGL_OBJECT_WIDENING(BgL_tmpz00_6501);
						}
						BgL_auxz00_6499 =
							((BgL_boxzd2setz12zf2livenessz32_bglt) BgL_auxz00_6500);
					}
					BgL_val0_1819z00_4925 =
						(((BgL_boxzd2setz12zf2livenessz32_bglt) COBJECT(BgL_auxz00_6499))->
						BgL_defz00);
				}
				{
					BgL_boxzd2setz12zf2livenessz32_bglt BgL_auxz00_6507;

					{
						obj_t BgL_auxz00_6508;

						{	/* Liveness/liveness.scm 1094 */
							BgL_objectz00_bglt BgL_tmpz00_6509;

							BgL_tmpz00_6509 =
								((BgL_objectz00_bglt)
								((BgL_boxzd2setz12zc0_bglt) BgL_nz00_4589));
							BgL_auxz00_6508 = BGL_OBJECT_WIDENING(BgL_tmpz00_6509);
						}
						BgL_auxz00_6507 =
							((BgL_boxzd2setz12zf2livenessz32_bglt) BgL_auxz00_6508);
					}
					BgL_val1_1820z00_4926 =
						(((BgL_boxzd2setz12zf2livenessz32_bglt) COBJECT(BgL_auxz00_6507))->
						BgL_usez00);
				}
				{	/* Liveness/liveness.scm 1094 */
					int BgL_tmpz00_6515;

					BgL_tmpz00_6515 = (int) (2L);
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_6515);
				}
				{	/* Liveness/liveness.scm 1094 */
					int BgL_tmpz00_6518;

					BgL_tmpz00_6518 = (int) (1L);
					BGL_MVALUES_VAL_SET(BgL_tmpz00_6518, BgL_val1_1820z00_4926);
				}
				return BgL_val0_1819z00_4925;
			}
		}

	}



/* &defuse-box-set!2097 */
	obj_t BGl_z62defusezd2boxzd2setz122097z70zzliveness_livenessz00(obj_t
		BgL_envz00_4590, obj_t BgL_nz00_4591)
	{
		{	/* Liveness/liveness.scm 1081 */
			{	/* Liveness/liveness.scm 1083 */
				obj_t BgL_defvaluez00_4928;

				BgL_defvaluez00_4928 =
					BGl_defusez00zzliveness_livenessz00(
					(((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nz00_4591)))->BgL_valuez00));
				{	/* Liveness/liveness.scm 1084 */
					obj_t BgL_usevaluez00_4929;

					{	/* Liveness/liveness.scm 1085 */
						obj_t BgL_tmpz00_4930;

						{	/* Liveness/liveness.scm 1085 */
							int BgL_tmpz00_6524;

							BgL_tmpz00_6524 = (int) (1L);
							BgL_tmpz00_4930 = BGL_MVALUES_VAL(BgL_tmpz00_6524);
						}
						{	/* Liveness/liveness.scm 1085 */
							int BgL_tmpz00_6527;

							BgL_tmpz00_6527 = (int) (1L);
							BGL_MVALUES_VAL_SET(BgL_tmpz00_6527, BUNSPEC);
						}
						BgL_usevaluez00_4929 = BgL_tmpz00_4930;
					}
					{	/* Liveness/liveness.scm 1085 */
						obj_t BgL_defvarz00_4931;

						{	/* Liveness/liveness.scm 1086 */
							BgL_varz00_bglt BgL_arg2564z00_4932;

							BgL_arg2564z00_4932 =
								(((BgL_boxzd2setz12zc0_bglt) COBJECT(
										((BgL_boxzd2setz12zc0_bglt) BgL_nz00_4591)))->BgL_varz00);
							BgL_defvarz00_4931 =
								BGl_defusez00zzliveness_livenessz00(
								((BgL_nodez00_bglt) BgL_arg2564z00_4932));
						}
						{	/* Liveness/liveness.scm 1086 */
							obj_t BgL_usevarz00_4933;

							{	/* Liveness/liveness.scm 1087 */
								obj_t BgL_tmpz00_4934;

								{	/* Liveness/liveness.scm 1087 */
									int BgL_tmpz00_6534;

									BgL_tmpz00_6534 = (int) (1L);
									BgL_tmpz00_4934 = BGL_MVALUES_VAL(BgL_tmpz00_6534);
								}
								{	/* Liveness/liveness.scm 1087 */
									int BgL_tmpz00_6537;

									BgL_tmpz00_6537 = (int) (1L);
									BGL_MVALUES_VAL_SET(BgL_tmpz00_6537, BUNSPEC);
								}
								BgL_usevarz00_4933 = BgL_tmpz00_4934;
							}
							{	/* Liveness/liveness.scm 1088 */
								BgL_boxzd2setz12zc0_bglt BgL_arg2562z00_4935;

								{	/* Liveness/liveness.scm 1088 */
									BgL_boxzd2setz12zf2livenessz32_bglt BgL_wide1429z00_4936;

									BgL_wide1429z00_4936 =
										((BgL_boxzd2setz12zf2livenessz32_bglt)
										BOBJECT(GC_MALLOC(sizeof(struct
													BgL_boxzd2setz12zf2livenessz32_bgl))));
									{	/* Liveness/liveness.scm 1088 */
										obj_t BgL_auxz00_6545;
										BgL_objectz00_bglt BgL_tmpz00_6541;

										BgL_auxz00_6545 = ((obj_t) BgL_wide1429z00_4936);
										BgL_tmpz00_6541 =
											((BgL_objectz00_bglt)
											((BgL_boxzd2setz12zc0_bglt)
												((BgL_boxzd2setz12zc0_bglt) BgL_nz00_4591)));
										BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6541, BgL_auxz00_6545);
									}
									((BgL_objectz00_bglt)
										((BgL_boxzd2setz12zc0_bglt)
											((BgL_boxzd2setz12zc0_bglt) BgL_nz00_4591)));
									{	/* Liveness/liveness.scm 1088 */
										long BgL_arg2563z00_4937;

										BgL_arg2563z00_4937 =
											BGL_CLASS_NUM
											(BGl_boxzd2setz12zf2livenessz32zzliveness_typesz00);
										BGL_OBJECT_CLASS_NUM_SET(((BgL_objectz00_bglt) (
													(BgL_boxzd2setz12zc0_bglt) ((BgL_boxzd2setz12zc0_bglt)
														BgL_nz00_4591))), BgL_arg2563z00_4937);
									}
									((BgL_boxzd2setz12zc0_bglt)
										((BgL_boxzd2setz12zc0_bglt)
											((BgL_boxzd2setz12zc0_bglt) BgL_nz00_4591)));
								}
								{
									BgL_boxzd2setz12zf2livenessz32_bglt BgL_auxz00_6559;

									{
										obj_t BgL_auxz00_6560;

										{	/* Liveness/liveness.scm 1089 */
											BgL_objectz00_bglt BgL_tmpz00_6561;

											BgL_tmpz00_6561 =
												((BgL_objectz00_bglt)
												((BgL_boxzd2setz12zc0_bglt)
													((BgL_boxzd2setz12zc0_bglt) BgL_nz00_4591)));
											BgL_auxz00_6560 = BGL_OBJECT_WIDENING(BgL_tmpz00_6561);
										}
										BgL_auxz00_6559 =
											((BgL_boxzd2setz12zf2livenessz32_bglt) BgL_auxz00_6560);
									}
									((((BgL_boxzd2setz12zf2livenessz32_bglt)
												COBJECT(BgL_auxz00_6559))->BgL_defz00) =
										((obj_t) BGl_unionz00zzliveness_setz00(BgL_defvaluez00_4928,
												BgL_defvarz00_4931)), BUNSPEC);
								}
								{
									BgL_boxzd2setz12zf2livenessz32_bglt BgL_auxz00_6569;

									{
										obj_t BgL_auxz00_6570;

										{	/* Liveness/liveness.scm 1090 */
											BgL_objectz00_bglt BgL_tmpz00_6571;

											BgL_tmpz00_6571 =
												((BgL_objectz00_bglt)
												((BgL_boxzd2setz12zc0_bglt)
													((BgL_boxzd2setz12zc0_bglt) BgL_nz00_4591)));
											BgL_auxz00_6570 = BGL_OBJECT_WIDENING(BgL_tmpz00_6571);
										}
										BgL_auxz00_6569 =
											((BgL_boxzd2setz12zf2livenessz32_bglt) BgL_auxz00_6570);
									}
									((((BgL_boxzd2setz12zf2livenessz32_bglt)
												COBJECT(BgL_auxz00_6569))->BgL_usez00) =
										((obj_t) BGl_unionz00zzliveness_setz00(BgL_usevaluez00_4929,
												BgL_usevarz00_4933)), BUNSPEC);
								}
								{
									BgL_boxzd2setz12zf2livenessz32_bglt BgL_auxz00_6579;

									{
										obj_t BgL_auxz00_6580;

										{	/* Liveness/liveness.scm 1086 */
											BgL_objectz00_bglt BgL_tmpz00_6581;

											BgL_tmpz00_6581 =
												((BgL_objectz00_bglt)
												((BgL_boxzd2setz12zc0_bglt)
													((BgL_boxzd2setz12zc0_bglt) BgL_nz00_4591)));
											BgL_auxz00_6580 = BGL_OBJECT_WIDENING(BgL_tmpz00_6581);
										}
										BgL_auxz00_6579 =
											((BgL_boxzd2setz12zf2livenessz32_bglt) BgL_auxz00_6580);
									}
									((((BgL_boxzd2setz12zf2livenessz32_bglt)
												COBJECT(BgL_auxz00_6579))->BgL_inz00) =
										((obj_t) BNIL), BUNSPEC);
								}
								{
									BgL_boxzd2setz12zf2livenessz32_bglt BgL_auxz00_6588;

									{
										obj_t BgL_auxz00_6589;

										{	/* Liveness/liveness.scm 1086 */
											BgL_objectz00_bglt BgL_tmpz00_6590;

											BgL_tmpz00_6590 =
												((BgL_objectz00_bglt)
												((BgL_boxzd2setz12zc0_bglt)
													((BgL_boxzd2setz12zc0_bglt) BgL_nz00_4591)));
											BgL_auxz00_6589 = BGL_OBJECT_WIDENING(BgL_tmpz00_6590);
										}
										BgL_auxz00_6588 =
											((BgL_boxzd2setz12zf2livenessz32_bglt) BgL_auxz00_6589);
									}
									((((BgL_boxzd2setz12zf2livenessz32_bglt)
												COBJECT(BgL_auxz00_6588))->BgL_outz00) =
										((obj_t) BNIL), BUNSPEC);
								}
								BgL_arg2562z00_4935 =
									((BgL_boxzd2setz12zc0_bglt)
									((BgL_boxzd2setz12zc0_bglt) BgL_nz00_4591));
								return
									BGl_defusez00zzliveness_livenessz00(
									((BgL_nodez00_bglt) BgL_arg2562z00_4935));
							}
						}
					}
				}
			}
		}

	}



/* &inout-box-ref/livene2095 */
	obj_t BGl_z62inoutzd2boxzd2refzf2livene2095z90zzliveness_livenessz00(obj_t
		BgL_envz00_4592, obj_t BgL_nz00_4593)
	{
		{	/* Liveness/liveness.scm 1074 */
			{	/* Liveness/liveness.scm 1076 */
				obj_t BgL_val0_1817z00_4939;
				obj_t BgL_val1_1818z00_4940;

				{
					BgL_boxzd2refzf2livenessz20_bglt BgL_auxz00_6601;

					{
						obj_t BgL_auxz00_6602;

						{	/* Liveness/liveness.scm 1076 */
							BgL_objectz00_bglt BgL_tmpz00_6603;

							BgL_tmpz00_6603 =
								((BgL_objectz00_bglt) ((BgL_boxzd2refzd2_bglt) BgL_nz00_4593));
							BgL_auxz00_6602 = BGL_OBJECT_WIDENING(BgL_tmpz00_6603);
						}
						BgL_auxz00_6601 =
							((BgL_boxzd2refzf2livenessz20_bglt) BgL_auxz00_6602);
					}
					BgL_val0_1817z00_4939 =
						(((BgL_boxzd2refzf2livenessz20_bglt) COBJECT(BgL_auxz00_6601))->
						BgL_inz00);
				}
				{
					BgL_boxzd2refzf2livenessz20_bglt BgL_auxz00_6609;

					{
						obj_t BgL_auxz00_6610;

						{	/* Liveness/liveness.scm 1076 */
							BgL_objectz00_bglt BgL_tmpz00_6611;

							BgL_tmpz00_6611 =
								((BgL_objectz00_bglt) ((BgL_boxzd2refzd2_bglt) BgL_nz00_4593));
							BgL_auxz00_6610 = BGL_OBJECT_WIDENING(BgL_tmpz00_6611);
						}
						BgL_auxz00_6609 =
							((BgL_boxzd2refzf2livenessz20_bglt) BgL_auxz00_6610);
					}
					BgL_val1_1818z00_4940 =
						(((BgL_boxzd2refzf2livenessz20_bglt) COBJECT(BgL_auxz00_6609))->
						BgL_outz00);
				}
				{	/* Liveness/liveness.scm 1076 */
					int BgL_tmpz00_6617;

					BgL_tmpz00_6617 = (int) (2L);
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_6617);
				}
				{	/* Liveness/liveness.scm 1076 */
					int BgL_tmpz00_6620;

					BgL_tmpz00_6620 = (int) (1L);
					BGL_MVALUES_VAL_SET(BgL_tmpz00_6620, BgL_val1_1818z00_4940);
				}
				return BgL_val0_1817z00_4939;
			}
		}

	}



/* &inout!-box-ref/liven2093 */
	obj_t BGl_z62inoutz12zd2boxzd2refzf2liven2093z82zzliveness_livenessz00(obj_t
		BgL_envz00_4594, obj_t BgL_nz00_4595, obj_t BgL_oz00_4596)
	{
		{	/* Liveness/liveness.scm 1067 */
			{
				BgL_boxzd2refzf2livenessz20_bglt BgL_auxz00_6623;

				{
					obj_t BgL_auxz00_6624;

					{	/* Liveness/liveness.scm 1069 */
						BgL_objectz00_bglt BgL_tmpz00_6625;

						BgL_tmpz00_6625 =
							((BgL_objectz00_bglt) ((BgL_boxzd2refzd2_bglt) BgL_nz00_4595));
						BgL_auxz00_6624 = BGL_OBJECT_WIDENING(BgL_tmpz00_6625);
					}
					BgL_auxz00_6623 =
						((BgL_boxzd2refzf2livenessz20_bglt) BgL_auxz00_6624);
				}
				((((BgL_boxzd2refzf2livenessz20_bglt) COBJECT(BgL_auxz00_6623))->
						BgL_outz00) = ((obj_t) BgL_oz00_4596), BUNSPEC);
			}
			{
				obj_t BgL_auxz00_6638;
				BgL_boxzd2refzf2livenessz20_bglt BgL_auxz00_6631;

				{	/* Liveness/liveness.scm 1070 */
					obj_t BgL_arg2557z00_4942;
					obj_t BgL_arg2558z00_4943;

					{
						BgL_boxzd2refzf2livenessz20_bglt BgL_auxz00_6639;

						{
							obj_t BgL_auxz00_6640;

							{	/* Liveness/liveness.scm 1070 */
								BgL_objectz00_bglt BgL_tmpz00_6641;

								BgL_tmpz00_6641 =
									((BgL_objectz00_bglt)
									((BgL_boxzd2refzd2_bglt) BgL_nz00_4595));
								BgL_auxz00_6640 = BGL_OBJECT_WIDENING(BgL_tmpz00_6641);
							}
							BgL_auxz00_6639 =
								((BgL_boxzd2refzf2livenessz20_bglt) BgL_auxz00_6640);
						}
						BgL_arg2557z00_4942 =
							(((BgL_boxzd2refzf2livenessz20_bglt) COBJECT(BgL_auxz00_6639))->
							BgL_usez00);
					}
					{	/* Liveness/liveness.scm 1070 */
						obj_t BgL_arg2559z00_4944;
						obj_t BgL_arg2560z00_4945;

						{
							BgL_boxzd2refzf2livenessz20_bglt BgL_auxz00_6647;

							{
								obj_t BgL_auxz00_6648;

								{	/* Liveness/liveness.scm 1070 */
									BgL_objectz00_bglt BgL_tmpz00_6649;

									BgL_tmpz00_6649 =
										((BgL_objectz00_bglt)
										((BgL_boxzd2refzd2_bglt) BgL_nz00_4595));
									BgL_auxz00_6648 = BGL_OBJECT_WIDENING(BgL_tmpz00_6649);
								}
								BgL_auxz00_6647 =
									((BgL_boxzd2refzf2livenessz20_bglt) BgL_auxz00_6648);
							}
							BgL_arg2559z00_4944 =
								(((BgL_boxzd2refzf2livenessz20_bglt) COBJECT(BgL_auxz00_6647))->
								BgL_outz00);
						}
						{
							BgL_boxzd2refzf2livenessz20_bglt BgL_auxz00_6655;

							{
								obj_t BgL_auxz00_6656;

								{	/* Liveness/liveness.scm 1070 */
									BgL_objectz00_bglt BgL_tmpz00_6657;

									BgL_tmpz00_6657 =
										((BgL_objectz00_bglt)
										((BgL_boxzd2refzd2_bglt) BgL_nz00_4595));
									BgL_auxz00_6656 = BGL_OBJECT_WIDENING(BgL_tmpz00_6657);
								}
								BgL_auxz00_6655 =
									((BgL_boxzd2refzf2livenessz20_bglt) BgL_auxz00_6656);
							}
							BgL_arg2560z00_4945 =
								(((BgL_boxzd2refzf2livenessz20_bglt) COBJECT(BgL_auxz00_6655))->
								BgL_defz00);
						}
						BgL_arg2558z00_4943 =
							BGl_disjonctionz00zzliveness_setz00(BgL_arg2559z00_4944,
							BgL_arg2560z00_4945);
					}
					BgL_auxz00_6638 =
						BGl_unionz00zzliveness_setz00(BgL_arg2557z00_4942,
						BgL_arg2558z00_4943);
				}
				{
					obj_t BgL_auxz00_6632;

					{	/* Liveness/liveness.scm 1070 */
						BgL_objectz00_bglt BgL_tmpz00_6633;

						BgL_tmpz00_6633 =
							((BgL_objectz00_bglt) ((BgL_boxzd2refzd2_bglt) BgL_nz00_4595));
						BgL_auxz00_6632 = BGL_OBJECT_WIDENING(BgL_tmpz00_6633);
					}
					BgL_auxz00_6631 =
						((BgL_boxzd2refzf2livenessz20_bglt) BgL_auxz00_6632);
				}
				((((BgL_boxzd2refzf2livenessz20_bglt) COBJECT(BgL_auxz00_6631))->
						BgL_inz00) = ((obj_t) BgL_auxz00_6638), BUNSPEC);
			}
			{	/* Liveness/liveness.scm 1071 */
				BgL_varz00_bglt BgL_arg2561z00_4946;

				BgL_arg2561z00_4946 =
					(((BgL_boxzd2refzd2_bglt) COBJECT(
							((BgL_boxzd2refzd2_bglt)
								((BgL_boxzd2refzd2_bglt) BgL_nz00_4595))))->BgL_varz00);
				BGl_inoutz12z12zzliveness_livenessz00(
					((BgL_nodez00_bglt) BgL_arg2561z00_4946), BgL_oz00_4596);
			}
			{	/* Liveness/liveness.scm 1072 */
				obj_t BgL_val0_1815z00_4947;
				obj_t BgL_val1_1816z00_4948;

				{
					BgL_boxzd2refzf2livenessz20_bglt BgL_auxz00_6671;

					{
						obj_t BgL_auxz00_6672;

						{	/* Liveness/liveness.scm 1072 */
							BgL_objectz00_bglt BgL_tmpz00_6673;

							BgL_tmpz00_6673 =
								((BgL_objectz00_bglt) ((BgL_boxzd2refzd2_bglt) BgL_nz00_4595));
							BgL_auxz00_6672 = BGL_OBJECT_WIDENING(BgL_tmpz00_6673);
						}
						BgL_auxz00_6671 =
							((BgL_boxzd2refzf2livenessz20_bglt) BgL_auxz00_6672);
					}
					BgL_val0_1815z00_4947 =
						(((BgL_boxzd2refzf2livenessz20_bglt) COBJECT(BgL_auxz00_6671))->
						BgL_inz00);
				}
				{
					BgL_boxzd2refzf2livenessz20_bglt BgL_auxz00_6679;

					{
						obj_t BgL_auxz00_6680;

						{	/* Liveness/liveness.scm 1072 */
							BgL_objectz00_bglt BgL_tmpz00_6681;

							BgL_tmpz00_6681 =
								((BgL_objectz00_bglt) ((BgL_boxzd2refzd2_bglt) BgL_nz00_4595));
							BgL_auxz00_6680 = BGL_OBJECT_WIDENING(BgL_tmpz00_6681);
						}
						BgL_auxz00_6679 =
							((BgL_boxzd2refzf2livenessz20_bglt) BgL_auxz00_6680);
					}
					BgL_val1_1816z00_4948 =
						(((BgL_boxzd2refzf2livenessz20_bglt) COBJECT(BgL_auxz00_6679))->
						BgL_outz00);
				}
				{	/* Liveness/liveness.scm 1072 */
					int BgL_tmpz00_6687;

					BgL_tmpz00_6687 = (int) (2L);
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_6687);
				}
				{	/* Liveness/liveness.scm 1072 */
					int BgL_tmpz00_6690;

					BgL_tmpz00_6690 = (int) (1L);
					BGL_MVALUES_VAL_SET(BgL_tmpz00_6690, BgL_val1_1816z00_4948);
				}
				return BgL_val0_1815z00_4947;
			}
		}

	}



/* &defuse-box-ref/liven2091 */
	obj_t BGl_z62defusezd2boxzd2refzf2liven2091z90zzliveness_livenessz00(obj_t
		BgL_envz00_4597, obj_t BgL_nz00_4598)
	{
		{	/* Liveness/liveness.scm 1063 */
			{	/* Liveness/liveness.scm 1065 */
				obj_t BgL_val0_1813z00_4950;
				obj_t BgL_val1_1814z00_4951;

				{
					BgL_boxzd2refzf2livenessz20_bglt BgL_auxz00_6693;

					{
						obj_t BgL_auxz00_6694;

						{	/* Liveness/liveness.scm 1065 */
							BgL_objectz00_bglt BgL_tmpz00_6695;

							BgL_tmpz00_6695 =
								((BgL_objectz00_bglt) ((BgL_boxzd2refzd2_bglt) BgL_nz00_4598));
							BgL_auxz00_6694 = BGL_OBJECT_WIDENING(BgL_tmpz00_6695);
						}
						BgL_auxz00_6693 =
							((BgL_boxzd2refzf2livenessz20_bglt) BgL_auxz00_6694);
					}
					BgL_val0_1813z00_4950 =
						(((BgL_boxzd2refzf2livenessz20_bglt) COBJECT(BgL_auxz00_6693))->
						BgL_defz00);
				}
				{
					BgL_boxzd2refzf2livenessz20_bglt BgL_auxz00_6701;

					{
						obj_t BgL_auxz00_6702;

						{	/* Liveness/liveness.scm 1065 */
							BgL_objectz00_bglt BgL_tmpz00_6703;

							BgL_tmpz00_6703 =
								((BgL_objectz00_bglt) ((BgL_boxzd2refzd2_bglt) BgL_nz00_4598));
							BgL_auxz00_6702 = BGL_OBJECT_WIDENING(BgL_tmpz00_6703);
						}
						BgL_auxz00_6701 =
							((BgL_boxzd2refzf2livenessz20_bglt) BgL_auxz00_6702);
					}
					BgL_val1_1814z00_4951 =
						(((BgL_boxzd2refzf2livenessz20_bglt) COBJECT(BgL_auxz00_6701))->
						BgL_usez00);
				}
				{	/* Liveness/liveness.scm 1065 */
					int BgL_tmpz00_6709;

					BgL_tmpz00_6709 = (int) (2L);
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_6709);
				}
				{	/* Liveness/liveness.scm 1065 */
					int BgL_tmpz00_6712;

					BgL_tmpz00_6712 = (int) (1L);
					BGL_MVALUES_VAL_SET(BgL_tmpz00_6712, BgL_val1_1814z00_4951);
				}
				return BgL_val0_1813z00_4950;
			}
		}

	}



/* &defuse-box-ref2089 */
	obj_t BGl_z62defusezd2boxzd2ref2089z62zzliveness_livenessz00(obj_t
		BgL_envz00_4599, obj_t BgL_nz00_4600)
	{
		{	/* Liveness/liveness.scm 1054 */
			{	/* Liveness/liveness.scm 1056 */
				obj_t BgL_defz00_4953;

				{	/* Liveness/liveness.scm 1057 */
					BgL_varz00_bglt BgL_arg2556z00_4954;

					BgL_arg2556z00_4954 =
						(((BgL_boxzd2refzd2_bglt) COBJECT(
								((BgL_boxzd2refzd2_bglt) BgL_nz00_4600)))->BgL_varz00);
					BgL_defz00_4953 =
						BGl_defusez00zzliveness_livenessz00(
						((BgL_nodez00_bglt) BgL_arg2556z00_4954));
				}
				{	/* Liveness/liveness.scm 1057 */
					obj_t BgL_usez00_4955;

					{	/* Liveness/liveness.scm 1058 */
						obj_t BgL_tmpz00_4956;

						{	/* Liveness/liveness.scm 1058 */
							int BgL_tmpz00_6719;

							BgL_tmpz00_6719 = (int) (1L);
							BgL_tmpz00_4956 = BGL_MVALUES_VAL(BgL_tmpz00_6719);
						}
						{	/* Liveness/liveness.scm 1058 */
							int BgL_tmpz00_6722;

							BgL_tmpz00_6722 = (int) (1L);
							BGL_MVALUES_VAL_SET(BgL_tmpz00_6722, BUNSPEC);
						}
						BgL_usez00_4955 = BgL_tmpz00_4956;
					}
					{	/* Liveness/liveness.scm 1059 */
						BgL_boxzd2refzd2_bglt BgL_arg2554z00_4957;

						{	/* Liveness/liveness.scm 1059 */
							BgL_boxzd2refzf2livenessz20_bglt BgL_wide1421z00_4958;

							BgL_wide1421z00_4958 =
								((BgL_boxzd2refzf2livenessz20_bglt)
								BOBJECT(GC_MALLOC(sizeof(struct
											BgL_boxzd2refzf2livenessz20_bgl))));
							{	/* Liveness/liveness.scm 1059 */
								obj_t BgL_auxz00_6730;
								BgL_objectz00_bglt BgL_tmpz00_6726;

								BgL_auxz00_6730 = ((obj_t) BgL_wide1421z00_4958);
								BgL_tmpz00_6726 =
									((BgL_objectz00_bglt)
									((BgL_boxzd2refzd2_bglt)
										((BgL_boxzd2refzd2_bglt) BgL_nz00_4600)));
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6726, BgL_auxz00_6730);
							}
							((BgL_objectz00_bglt)
								((BgL_boxzd2refzd2_bglt)
									((BgL_boxzd2refzd2_bglt) BgL_nz00_4600)));
							{	/* Liveness/liveness.scm 1059 */
								long BgL_arg2555z00_4959;

								BgL_arg2555z00_4959 =
									BGL_CLASS_NUM(BGl_boxzd2refzf2livenessz20zzliveness_typesz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt)
										((BgL_boxzd2refzd2_bglt)
											((BgL_boxzd2refzd2_bglt) BgL_nz00_4600))),
									BgL_arg2555z00_4959);
							}
							((BgL_boxzd2refzd2_bglt)
								((BgL_boxzd2refzd2_bglt)
									((BgL_boxzd2refzd2_bglt) BgL_nz00_4600)));
						}
						{
							BgL_boxzd2refzf2livenessz20_bglt BgL_auxz00_6744;

							{
								obj_t BgL_auxz00_6745;

								{	/* Liveness/liveness.scm 1061 */
									BgL_objectz00_bglt BgL_tmpz00_6746;

									BgL_tmpz00_6746 =
										((BgL_objectz00_bglt)
										((BgL_boxzd2refzd2_bglt)
											((BgL_boxzd2refzd2_bglt) BgL_nz00_4600)));
									BgL_auxz00_6745 = BGL_OBJECT_WIDENING(BgL_tmpz00_6746);
								}
								BgL_auxz00_6744 =
									((BgL_boxzd2refzf2livenessz20_bglt) BgL_auxz00_6745);
							}
							((((BgL_boxzd2refzf2livenessz20_bglt) COBJECT(BgL_auxz00_6744))->
									BgL_defz00) = ((obj_t) BgL_defz00_4953), BUNSPEC);
						}
						{
							BgL_boxzd2refzf2livenessz20_bglt BgL_auxz00_6753;

							{
								obj_t BgL_auxz00_6754;

								{	/* Liveness/liveness.scm 1060 */
									BgL_objectz00_bglt BgL_tmpz00_6755;

									BgL_tmpz00_6755 =
										((BgL_objectz00_bglt)
										((BgL_boxzd2refzd2_bglt)
											((BgL_boxzd2refzd2_bglt) BgL_nz00_4600)));
									BgL_auxz00_6754 = BGL_OBJECT_WIDENING(BgL_tmpz00_6755);
								}
								BgL_auxz00_6753 =
									((BgL_boxzd2refzf2livenessz20_bglt) BgL_auxz00_6754);
							}
							((((BgL_boxzd2refzf2livenessz20_bglt) COBJECT(BgL_auxz00_6753))->
									BgL_usez00) = ((obj_t) BgL_usez00_4955), BUNSPEC);
						}
						{
							BgL_boxzd2refzf2livenessz20_bglt BgL_auxz00_6762;

							{
								obj_t BgL_auxz00_6763;

								{	/* Liveness/liveness.scm 1057 */
									BgL_objectz00_bglt BgL_tmpz00_6764;

									BgL_tmpz00_6764 =
										((BgL_objectz00_bglt)
										((BgL_boxzd2refzd2_bglt)
											((BgL_boxzd2refzd2_bglt) BgL_nz00_4600)));
									BgL_auxz00_6763 = BGL_OBJECT_WIDENING(BgL_tmpz00_6764);
								}
								BgL_auxz00_6762 =
									((BgL_boxzd2refzf2livenessz20_bglt) BgL_auxz00_6763);
							}
							((((BgL_boxzd2refzf2livenessz20_bglt) COBJECT(BgL_auxz00_6762))->
									BgL_inz00) = ((obj_t) BNIL), BUNSPEC);
						}
						{
							BgL_boxzd2refzf2livenessz20_bglt BgL_auxz00_6771;

							{
								obj_t BgL_auxz00_6772;

								{	/* Liveness/liveness.scm 1057 */
									BgL_objectz00_bglt BgL_tmpz00_6773;

									BgL_tmpz00_6773 =
										((BgL_objectz00_bglt)
										((BgL_boxzd2refzd2_bglt)
											((BgL_boxzd2refzd2_bglt) BgL_nz00_4600)));
									BgL_auxz00_6772 = BGL_OBJECT_WIDENING(BgL_tmpz00_6773);
								}
								BgL_auxz00_6771 =
									((BgL_boxzd2refzf2livenessz20_bglt) BgL_auxz00_6772);
							}
							((((BgL_boxzd2refzf2livenessz20_bglt) COBJECT(BgL_auxz00_6771))->
									BgL_outz00) = ((obj_t) BNIL), BUNSPEC);
						}
						BgL_arg2554z00_4957 =
							((BgL_boxzd2refzd2_bglt) ((BgL_boxzd2refzd2_bglt) BgL_nz00_4600));
						return
							BGl_defusez00zzliveness_livenessz00(
							((BgL_nodez00_bglt) BgL_arg2554z00_4957));
					}
				}
			}
		}

	}



/* &inout-make-box/liven2087 */
	obj_t BGl_z62inoutzd2makezd2boxzf2liven2087z90zzliveness_livenessz00(obj_t
		BgL_envz00_4601, obj_t BgL_nz00_4602)
	{
		{	/* Liveness/liveness.scm 1047 */
			{	/* Liveness/liveness.scm 1049 */
				obj_t BgL_val0_1811z00_4961;
				obj_t BgL_val1_1812z00_4962;

				{
					BgL_makezd2boxzf2livenessz20_bglt BgL_auxz00_6784;

					{
						obj_t BgL_auxz00_6785;

						{	/* Liveness/liveness.scm 1049 */
							BgL_objectz00_bglt BgL_tmpz00_6786;

							BgL_tmpz00_6786 =
								((BgL_objectz00_bglt) ((BgL_makezd2boxzd2_bglt) BgL_nz00_4602));
							BgL_auxz00_6785 = BGL_OBJECT_WIDENING(BgL_tmpz00_6786);
						}
						BgL_auxz00_6784 =
							((BgL_makezd2boxzf2livenessz20_bglt) BgL_auxz00_6785);
					}
					BgL_val0_1811z00_4961 =
						(((BgL_makezd2boxzf2livenessz20_bglt) COBJECT(BgL_auxz00_6784))->
						BgL_inz00);
				}
				{
					BgL_makezd2boxzf2livenessz20_bglt BgL_auxz00_6792;

					{
						obj_t BgL_auxz00_6793;

						{	/* Liveness/liveness.scm 1049 */
							BgL_objectz00_bglt BgL_tmpz00_6794;

							BgL_tmpz00_6794 =
								((BgL_objectz00_bglt) ((BgL_makezd2boxzd2_bglt) BgL_nz00_4602));
							BgL_auxz00_6793 = BGL_OBJECT_WIDENING(BgL_tmpz00_6794);
						}
						BgL_auxz00_6792 =
							((BgL_makezd2boxzf2livenessz20_bglt) BgL_auxz00_6793);
					}
					BgL_val1_1812z00_4962 =
						(((BgL_makezd2boxzf2livenessz20_bglt) COBJECT(BgL_auxz00_6792))->
						BgL_outz00);
				}
				{	/* Liveness/liveness.scm 1049 */
					int BgL_tmpz00_6800;

					BgL_tmpz00_6800 = (int) (2L);
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_6800);
				}
				{	/* Liveness/liveness.scm 1049 */
					int BgL_tmpz00_6803;

					BgL_tmpz00_6803 = (int) (1L);
					BGL_MVALUES_VAL_SET(BgL_tmpz00_6803, BgL_val1_1812z00_4962);
				}
				return BgL_val0_1811z00_4961;
			}
		}

	}



/* &inout!-make-box/live2085 */
	obj_t BGl_z62inoutz12zd2makezd2boxzf2live2085z82zzliveness_livenessz00(obj_t
		BgL_envz00_4603, obj_t BgL_nz00_4604, obj_t BgL_oz00_4605)
	{
		{	/* Liveness/liveness.scm 1040 */
			{
				BgL_makezd2boxzf2livenessz20_bglt BgL_auxz00_6806;

				{
					obj_t BgL_auxz00_6807;

					{	/* Liveness/liveness.scm 1042 */
						BgL_objectz00_bglt BgL_tmpz00_6808;

						BgL_tmpz00_6808 =
							((BgL_objectz00_bglt) ((BgL_makezd2boxzd2_bglt) BgL_nz00_4604));
						BgL_auxz00_6807 = BGL_OBJECT_WIDENING(BgL_tmpz00_6808);
					}
					BgL_auxz00_6806 =
						((BgL_makezd2boxzf2livenessz20_bglt) BgL_auxz00_6807);
				}
				((((BgL_makezd2boxzf2livenessz20_bglt) COBJECT(BgL_auxz00_6806))->
						BgL_outz00) = ((obj_t) BgL_oz00_4605), BUNSPEC);
			}
			{
				obj_t BgL_auxz00_6821;
				BgL_makezd2boxzf2livenessz20_bglt BgL_auxz00_6814;

				{	/* Liveness/liveness.scm 1043 */
					obj_t BgL_arg2549z00_4964;
					obj_t BgL_arg2550z00_4965;

					{
						BgL_makezd2boxzf2livenessz20_bglt BgL_auxz00_6822;

						{
							obj_t BgL_auxz00_6823;

							{	/* Liveness/liveness.scm 1043 */
								BgL_objectz00_bglt BgL_tmpz00_6824;

								BgL_tmpz00_6824 =
									((BgL_objectz00_bglt)
									((BgL_makezd2boxzd2_bglt) BgL_nz00_4604));
								BgL_auxz00_6823 = BGL_OBJECT_WIDENING(BgL_tmpz00_6824);
							}
							BgL_auxz00_6822 =
								((BgL_makezd2boxzf2livenessz20_bglt) BgL_auxz00_6823);
						}
						BgL_arg2549z00_4964 =
							(((BgL_makezd2boxzf2livenessz20_bglt) COBJECT(BgL_auxz00_6822))->
							BgL_usez00);
					}
					{	/* Liveness/liveness.scm 1043 */
						obj_t BgL_arg2551z00_4966;
						obj_t BgL_arg2552z00_4967;

						{
							BgL_makezd2boxzf2livenessz20_bglt BgL_auxz00_6830;

							{
								obj_t BgL_auxz00_6831;

								{	/* Liveness/liveness.scm 1043 */
									BgL_objectz00_bglt BgL_tmpz00_6832;

									BgL_tmpz00_6832 =
										((BgL_objectz00_bglt)
										((BgL_makezd2boxzd2_bglt) BgL_nz00_4604));
									BgL_auxz00_6831 = BGL_OBJECT_WIDENING(BgL_tmpz00_6832);
								}
								BgL_auxz00_6830 =
									((BgL_makezd2boxzf2livenessz20_bglt) BgL_auxz00_6831);
							}
							BgL_arg2551z00_4966 =
								(((BgL_makezd2boxzf2livenessz20_bglt)
									COBJECT(BgL_auxz00_6830))->BgL_outz00);
						}
						{
							BgL_makezd2boxzf2livenessz20_bglt BgL_auxz00_6838;

							{
								obj_t BgL_auxz00_6839;

								{	/* Liveness/liveness.scm 1043 */
									BgL_objectz00_bglt BgL_tmpz00_6840;

									BgL_tmpz00_6840 =
										((BgL_objectz00_bglt)
										((BgL_makezd2boxzd2_bglt) BgL_nz00_4604));
									BgL_auxz00_6839 = BGL_OBJECT_WIDENING(BgL_tmpz00_6840);
								}
								BgL_auxz00_6838 =
									((BgL_makezd2boxzf2livenessz20_bglt) BgL_auxz00_6839);
							}
							BgL_arg2552z00_4967 =
								(((BgL_makezd2boxzf2livenessz20_bglt)
									COBJECT(BgL_auxz00_6838))->BgL_defz00);
						}
						BgL_arg2550z00_4965 =
							BGl_disjonctionz00zzliveness_setz00(BgL_arg2551z00_4966,
							BgL_arg2552z00_4967);
					}
					BgL_auxz00_6821 =
						BGl_unionz00zzliveness_setz00(BgL_arg2549z00_4964,
						BgL_arg2550z00_4965);
				}
				{
					obj_t BgL_auxz00_6815;

					{	/* Liveness/liveness.scm 1043 */
						BgL_objectz00_bglt BgL_tmpz00_6816;

						BgL_tmpz00_6816 =
							((BgL_objectz00_bglt) ((BgL_makezd2boxzd2_bglt) BgL_nz00_4604));
						BgL_auxz00_6815 = BGL_OBJECT_WIDENING(BgL_tmpz00_6816);
					}
					BgL_auxz00_6814 =
						((BgL_makezd2boxzf2livenessz20_bglt) BgL_auxz00_6815);
				}
				((((BgL_makezd2boxzf2livenessz20_bglt) COBJECT(BgL_auxz00_6814))->
						BgL_inz00) = ((obj_t) BgL_auxz00_6821), BUNSPEC);
			}
			{	/* Liveness/liveness.scm 1044 */
				BgL_nodez00_bglt BgL_arg2553z00_4968;

				BgL_arg2553z00_4968 =
					(((BgL_makezd2boxzd2_bglt) COBJECT(
							((BgL_makezd2boxzd2_bglt)
								((BgL_makezd2boxzd2_bglt) BgL_nz00_4604))))->BgL_valuez00);
				BGl_inoutz12z12zzliveness_livenessz00(BgL_arg2553z00_4968,
					BgL_oz00_4605);
			}
			{	/* Liveness/liveness.scm 1045 */
				obj_t BgL_val0_1809z00_4969;
				obj_t BgL_val1_1810z00_4970;

				{
					BgL_makezd2boxzf2livenessz20_bglt BgL_auxz00_6853;

					{
						obj_t BgL_auxz00_6854;

						{	/* Liveness/liveness.scm 1045 */
							BgL_objectz00_bglt BgL_tmpz00_6855;

							BgL_tmpz00_6855 =
								((BgL_objectz00_bglt) ((BgL_makezd2boxzd2_bglt) BgL_nz00_4604));
							BgL_auxz00_6854 = BGL_OBJECT_WIDENING(BgL_tmpz00_6855);
						}
						BgL_auxz00_6853 =
							((BgL_makezd2boxzf2livenessz20_bglt) BgL_auxz00_6854);
					}
					BgL_val0_1809z00_4969 =
						(((BgL_makezd2boxzf2livenessz20_bglt) COBJECT(BgL_auxz00_6853))->
						BgL_inz00);
				}
				{
					BgL_makezd2boxzf2livenessz20_bglt BgL_auxz00_6861;

					{
						obj_t BgL_auxz00_6862;

						{	/* Liveness/liveness.scm 1045 */
							BgL_objectz00_bglt BgL_tmpz00_6863;

							BgL_tmpz00_6863 =
								((BgL_objectz00_bglt) ((BgL_makezd2boxzd2_bglt) BgL_nz00_4604));
							BgL_auxz00_6862 = BGL_OBJECT_WIDENING(BgL_tmpz00_6863);
						}
						BgL_auxz00_6861 =
							((BgL_makezd2boxzf2livenessz20_bglt) BgL_auxz00_6862);
					}
					BgL_val1_1810z00_4970 =
						(((BgL_makezd2boxzf2livenessz20_bglt) COBJECT(BgL_auxz00_6861))->
						BgL_outz00);
				}
				{	/* Liveness/liveness.scm 1045 */
					int BgL_tmpz00_6869;

					BgL_tmpz00_6869 = (int) (2L);
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_6869);
				}
				{	/* Liveness/liveness.scm 1045 */
					int BgL_tmpz00_6872;

					BgL_tmpz00_6872 = (int) (1L);
					BGL_MVALUES_VAL_SET(BgL_tmpz00_6872, BgL_val1_1810z00_4970);
				}
				return BgL_val0_1809z00_4969;
			}
		}

	}



/* &defuse-make-box/live2083 */
	obj_t BGl_z62defusezd2makezd2boxzf2live2083z90zzliveness_livenessz00(obj_t
		BgL_envz00_4606, obj_t BgL_nz00_4607)
	{
		{	/* Liveness/liveness.scm 1036 */
			{	/* Liveness/liveness.scm 1038 */
				obj_t BgL_val0_1807z00_4972;
				obj_t BgL_val1_1808z00_4973;

				{
					BgL_makezd2boxzf2livenessz20_bglt BgL_auxz00_6875;

					{
						obj_t BgL_auxz00_6876;

						{	/* Liveness/liveness.scm 1038 */
							BgL_objectz00_bglt BgL_tmpz00_6877;

							BgL_tmpz00_6877 =
								((BgL_objectz00_bglt) ((BgL_makezd2boxzd2_bglt) BgL_nz00_4607));
							BgL_auxz00_6876 = BGL_OBJECT_WIDENING(BgL_tmpz00_6877);
						}
						BgL_auxz00_6875 =
							((BgL_makezd2boxzf2livenessz20_bglt) BgL_auxz00_6876);
					}
					BgL_val0_1807z00_4972 =
						(((BgL_makezd2boxzf2livenessz20_bglt) COBJECT(BgL_auxz00_6875))->
						BgL_defz00);
				}
				{
					BgL_makezd2boxzf2livenessz20_bglt BgL_auxz00_6883;

					{
						obj_t BgL_auxz00_6884;

						{	/* Liveness/liveness.scm 1038 */
							BgL_objectz00_bglt BgL_tmpz00_6885;

							BgL_tmpz00_6885 =
								((BgL_objectz00_bglt) ((BgL_makezd2boxzd2_bglt) BgL_nz00_4607));
							BgL_auxz00_6884 = BGL_OBJECT_WIDENING(BgL_tmpz00_6885);
						}
						BgL_auxz00_6883 =
							((BgL_makezd2boxzf2livenessz20_bglt) BgL_auxz00_6884);
					}
					BgL_val1_1808z00_4973 =
						(((BgL_makezd2boxzf2livenessz20_bglt) COBJECT(BgL_auxz00_6883))->
						BgL_usez00);
				}
				{	/* Liveness/liveness.scm 1038 */
					int BgL_tmpz00_6891;

					BgL_tmpz00_6891 = (int) (2L);
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_6891);
				}
				{	/* Liveness/liveness.scm 1038 */
					int BgL_tmpz00_6894;

					BgL_tmpz00_6894 = (int) (1L);
					BGL_MVALUES_VAL_SET(BgL_tmpz00_6894, BgL_val1_1808z00_4973);
				}
				return BgL_val0_1807z00_4972;
			}
		}

	}



/* &defuse-make-box2081 */
	obj_t BGl_z62defusezd2makezd2box2081z62zzliveness_livenessz00(obj_t
		BgL_envz00_4608, obj_t BgL_nz00_4609)
	{
		{	/* Liveness/liveness.scm 1027 */
			{	/* Liveness/liveness.scm 1029 */
				obj_t BgL_defz00_4975;

				BgL_defz00_4975 =
					BGl_defusez00zzliveness_livenessz00(
					(((BgL_makezd2boxzd2_bglt) COBJECT(
								((BgL_makezd2boxzd2_bglt) BgL_nz00_4609)))->BgL_valuez00));
				{	/* Liveness/liveness.scm 1030 */
					obj_t BgL_usez00_4976;

					{	/* Liveness/liveness.scm 1031 */
						obj_t BgL_tmpz00_4977;

						{	/* Liveness/liveness.scm 1031 */
							int BgL_tmpz00_6900;

							BgL_tmpz00_6900 = (int) (1L);
							BgL_tmpz00_4977 = BGL_MVALUES_VAL(BgL_tmpz00_6900);
						}
						{	/* Liveness/liveness.scm 1031 */
							int BgL_tmpz00_6903;

							BgL_tmpz00_6903 = (int) (1L);
							BGL_MVALUES_VAL_SET(BgL_tmpz00_6903, BUNSPEC);
						}
						BgL_usez00_4976 = BgL_tmpz00_4977;
					}
					{	/* Liveness/liveness.scm 1032 */
						BgL_makezd2boxzd2_bglt BgL_arg2545z00_4978;

						{	/* Liveness/liveness.scm 1032 */
							BgL_makezd2boxzf2livenessz20_bglt BgL_wide1413z00_4979;

							BgL_wide1413z00_4979 =
								((BgL_makezd2boxzf2livenessz20_bglt)
								BOBJECT(GC_MALLOC(sizeof(struct
											BgL_makezd2boxzf2livenessz20_bgl))));
							{	/* Liveness/liveness.scm 1032 */
								obj_t BgL_auxz00_6911;
								BgL_objectz00_bglt BgL_tmpz00_6907;

								BgL_auxz00_6911 = ((obj_t) BgL_wide1413z00_4979);
								BgL_tmpz00_6907 =
									((BgL_objectz00_bglt)
									((BgL_makezd2boxzd2_bglt)
										((BgL_makezd2boxzd2_bglt) BgL_nz00_4609)));
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6907, BgL_auxz00_6911);
							}
							((BgL_objectz00_bglt)
								((BgL_makezd2boxzd2_bglt)
									((BgL_makezd2boxzd2_bglt) BgL_nz00_4609)));
							{	/* Liveness/liveness.scm 1032 */
								long BgL_arg2546z00_4980;

								BgL_arg2546z00_4980 =
									BGL_CLASS_NUM
									(BGl_makezd2boxzf2livenessz20zzliveness_typesz00);
								BGL_OBJECT_CLASS_NUM_SET(((BgL_objectz00_bglt) (
											(BgL_makezd2boxzd2_bglt) ((BgL_makezd2boxzd2_bglt)
												BgL_nz00_4609))), BgL_arg2546z00_4980);
							}
							((BgL_makezd2boxzd2_bglt)
								((BgL_makezd2boxzd2_bglt)
									((BgL_makezd2boxzd2_bglt) BgL_nz00_4609)));
						}
						{
							BgL_makezd2boxzf2livenessz20_bglt BgL_auxz00_6925;

							{
								obj_t BgL_auxz00_6926;

								{	/* Liveness/liveness.scm 1033 */
									BgL_objectz00_bglt BgL_tmpz00_6927;

									BgL_tmpz00_6927 =
										((BgL_objectz00_bglt)
										((BgL_makezd2boxzd2_bglt)
											((BgL_makezd2boxzd2_bglt) BgL_nz00_4609)));
									BgL_auxz00_6926 = BGL_OBJECT_WIDENING(BgL_tmpz00_6927);
								}
								BgL_auxz00_6925 =
									((BgL_makezd2boxzf2livenessz20_bglt) BgL_auxz00_6926);
							}
							((((BgL_makezd2boxzf2livenessz20_bglt) COBJECT(BgL_auxz00_6925))->
									BgL_defz00) = ((obj_t) BgL_defz00_4975), BUNSPEC);
						}
						{
							BgL_makezd2boxzf2livenessz20_bglt BgL_auxz00_6934;

							{
								obj_t BgL_auxz00_6935;

								{	/* Liveness/liveness.scm 1034 */
									BgL_objectz00_bglt BgL_tmpz00_6936;

									BgL_tmpz00_6936 =
										((BgL_objectz00_bglt)
										((BgL_makezd2boxzd2_bglt)
											((BgL_makezd2boxzd2_bglt) BgL_nz00_4609)));
									BgL_auxz00_6935 = BGL_OBJECT_WIDENING(BgL_tmpz00_6936);
								}
								BgL_auxz00_6934 =
									((BgL_makezd2boxzf2livenessz20_bglt) BgL_auxz00_6935);
							}
							((((BgL_makezd2boxzf2livenessz20_bglt) COBJECT(BgL_auxz00_6934))->
									BgL_usez00) = ((obj_t) BgL_usez00_4976), BUNSPEC);
						}
						{
							BgL_makezd2boxzf2livenessz20_bglt BgL_auxz00_6943;

							{
								obj_t BgL_auxz00_6944;

								{	/* Liveness/liveness.scm 1030 */
									BgL_objectz00_bglt BgL_tmpz00_6945;

									BgL_tmpz00_6945 =
										((BgL_objectz00_bglt)
										((BgL_makezd2boxzd2_bglt)
											((BgL_makezd2boxzd2_bglt) BgL_nz00_4609)));
									BgL_auxz00_6944 = BGL_OBJECT_WIDENING(BgL_tmpz00_6945);
								}
								BgL_auxz00_6943 =
									((BgL_makezd2boxzf2livenessz20_bglt) BgL_auxz00_6944);
							}
							((((BgL_makezd2boxzf2livenessz20_bglt) COBJECT(BgL_auxz00_6943))->
									BgL_inz00) = ((obj_t) BNIL), BUNSPEC);
						}
						{
							BgL_makezd2boxzf2livenessz20_bglt BgL_auxz00_6952;

							{
								obj_t BgL_auxz00_6953;

								{	/* Liveness/liveness.scm 1030 */
									BgL_objectz00_bglt BgL_tmpz00_6954;

									BgL_tmpz00_6954 =
										((BgL_objectz00_bglt)
										((BgL_makezd2boxzd2_bglt)
											((BgL_makezd2boxzd2_bglt) BgL_nz00_4609)));
									BgL_auxz00_6953 = BGL_OBJECT_WIDENING(BgL_tmpz00_6954);
								}
								BgL_auxz00_6952 =
									((BgL_makezd2boxzf2livenessz20_bglt) BgL_auxz00_6953);
							}
							((((BgL_makezd2boxzf2livenessz20_bglt) COBJECT(BgL_auxz00_6952))->
									BgL_outz00) = ((obj_t) BNIL), BUNSPEC);
						}
						BgL_arg2545z00_4978 =
							((BgL_makezd2boxzd2_bglt)
							((BgL_makezd2boxzd2_bglt) BgL_nz00_4609));
						return
							BGl_defusez00zzliveness_livenessz00(
							((BgL_nodez00_bglt) BgL_arg2545z00_4978));
					}
				}
			}
		}

	}



/* &inout-return/livenes2079 */
	obj_t BGl_z62inoutzd2returnzf2livenes2079z42zzliveness_livenessz00(obj_t
		BgL_envz00_4610, obj_t BgL_nz00_4611)
	{
		{	/* Liveness/liveness.scm 1020 */
			{	/* Liveness/liveness.scm 1022 */
				obj_t BgL_val0_1805z00_4982;
				obj_t BgL_val1_1806z00_4983;

				{
					BgL_returnzf2livenesszf2_bglt BgL_auxz00_6965;

					{
						obj_t BgL_auxz00_6966;

						{	/* Liveness/liveness.scm 1022 */
							BgL_objectz00_bglt BgL_tmpz00_6967;

							BgL_tmpz00_6967 =
								((BgL_objectz00_bglt) ((BgL_returnz00_bglt) BgL_nz00_4611));
							BgL_auxz00_6966 = BGL_OBJECT_WIDENING(BgL_tmpz00_6967);
						}
						BgL_auxz00_6965 = ((BgL_returnzf2livenesszf2_bglt) BgL_auxz00_6966);
					}
					BgL_val0_1805z00_4982 =
						(((BgL_returnzf2livenesszf2_bglt) COBJECT(BgL_auxz00_6965))->
						BgL_inz00);
				}
				{
					BgL_returnzf2livenesszf2_bglt BgL_auxz00_6973;

					{
						obj_t BgL_auxz00_6974;

						{	/* Liveness/liveness.scm 1022 */
							BgL_objectz00_bglt BgL_tmpz00_6975;

							BgL_tmpz00_6975 =
								((BgL_objectz00_bglt) ((BgL_returnz00_bglt) BgL_nz00_4611));
							BgL_auxz00_6974 = BGL_OBJECT_WIDENING(BgL_tmpz00_6975);
						}
						BgL_auxz00_6973 = ((BgL_returnzf2livenesszf2_bglt) BgL_auxz00_6974);
					}
					BgL_val1_1806z00_4983 =
						(((BgL_returnzf2livenesszf2_bglt) COBJECT(BgL_auxz00_6973))->
						BgL_outz00);
				}
				{	/* Liveness/liveness.scm 1022 */
					int BgL_tmpz00_6981;

					BgL_tmpz00_6981 = (int) (2L);
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_6981);
				}
				{	/* Liveness/liveness.scm 1022 */
					int BgL_tmpz00_6984;

					BgL_tmpz00_6984 = (int) (1L);
					BGL_MVALUES_VAL_SET(BgL_tmpz00_6984, BgL_val1_1806z00_4983);
				}
				return BgL_val0_1805z00_4982;
			}
		}

	}



/* &inout!-return/livene2077 */
	obj_t BGl_z62inoutz12zd2returnzf2livene2077z50zzliveness_livenessz00(obj_t
		BgL_envz00_4612, obj_t BgL_nz00_4613, obj_t BgL_oz00_4614)
	{
		{	/* Liveness/liveness.scm 1013 */
			{
				BgL_returnzf2livenesszf2_bglt BgL_auxz00_6987;

				{
					obj_t BgL_auxz00_6988;

					{	/* Liveness/liveness.scm 1015 */
						BgL_objectz00_bglt BgL_tmpz00_6989;

						BgL_tmpz00_6989 =
							((BgL_objectz00_bglt) ((BgL_returnz00_bglt) BgL_nz00_4613));
						BgL_auxz00_6988 = BGL_OBJECT_WIDENING(BgL_tmpz00_6989);
					}
					BgL_auxz00_6987 = ((BgL_returnzf2livenesszf2_bglt) BgL_auxz00_6988);
				}
				((((BgL_returnzf2livenesszf2_bglt) COBJECT(BgL_auxz00_6987))->
						BgL_outz00) = ((obj_t) BgL_oz00_4614), BUNSPEC);
			}
			{
				obj_t BgL_auxz00_7002;
				BgL_returnzf2livenesszf2_bglt BgL_auxz00_6995;

				{	/* Liveness/liveness.scm 1016 */
					obj_t BgL_arg2538z00_4985;
					obj_t BgL_arg2539z00_4986;

					{
						BgL_returnzf2livenesszf2_bglt BgL_auxz00_7003;

						{
							obj_t BgL_auxz00_7004;

							{	/* Liveness/liveness.scm 1016 */
								BgL_objectz00_bglt BgL_tmpz00_7005;

								BgL_tmpz00_7005 =
									((BgL_objectz00_bglt) ((BgL_returnz00_bglt) BgL_nz00_4613));
								BgL_auxz00_7004 = BGL_OBJECT_WIDENING(BgL_tmpz00_7005);
							}
							BgL_auxz00_7003 =
								((BgL_returnzf2livenesszf2_bglt) BgL_auxz00_7004);
						}
						BgL_arg2538z00_4985 =
							(((BgL_returnzf2livenesszf2_bglt) COBJECT(BgL_auxz00_7003))->
							BgL_usez00);
					}
					{	/* Liveness/liveness.scm 1016 */
						obj_t BgL_arg2541z00_4987;
						obj_t BgL_arg2542z00_4988;

						{
							BgL_returnzf2livenesszf2_bglt BgL_auxz00_7011;

							{
								obj_t BgL_auxz00_7012;

								{	/* Liveness/liveness.scm 1016 */
									BgL_objectz00_bglt BgL_tmpz00_7013;

									BgL_tmpz00_7013 =
										((BgL_objectz00_bglt) ((BgL_returnz00_bglt) BgL_nz00_4613));
									BgL_auxz00_7012 = BGL_OBJECT_WIDENING(BgL_tmpz00_7013);
								}
								BgL_auxz00_7011 =
									((BgL_returnzf2livenesszf2_bglt) BgL_auxz00_7012);
							}
							BgL_arg2541z00_4987 =
								(((BgL_returnzf2livenesszf2_bglt) COBJECT(BgL_auxz00_7011))->
								BgL_outz00);
						}
						{
							BgL_returnzf2livenesszf2_bglt BgL_auxz00_7019;

							{
								obj_t BgL_auxz00_7020;

								{	/* Liveness/liveness.scm 1016 */
									BgL_objectz00_bglt BgL_tmpz00_7021;

									BgL_tmpz00_7021 =
										((BgL_objectz00_bglt) ((BgL_returnz00_bglt) BgL_nz00_4613));
									BgL_auxz00_7020 = BGL_OBJECT_WIDENING(BgL_tmpz00_7021);
								}
								BgL_auxz00_7019 =
									((BgL_returnzf2livenesszf2_bglt) BgL_auxz00_7020);
							}
							BgL_arg2542z00_4988 =
								(((BgL_returnzf2livenesszf2_bglt) COBJECT(BgL_auxz00_7019))->
								BgL_defz00);
						}
						BgL_arg2539z00_4986 =
							BGl_disjonctionz00zzliveness_setz00(BgL_arg2541z00_4987,
							BgL_arg2542z00_4988);
					}
					BgL_auxz00_7002 =
						BGl_unionz00zzliveness_setz00(BgL_arg2538z00_4985,
						BgL_arg2539z00_4986);
				}
				{
					obj_t BgL_auxz00_6996;

					{	/* Liveness/liveness.scm 1016 */
						BgL_objectz00_bglt BgL_tmpz00_6997;

						BgL_tmpz00_6997 =
							((BgL_objectz00_bglt) ((BgL_returnz00_bglt) BgL_nz00_4613));
						BgL_auxz00_6996 = BGL_OBJECT_WIDENING(BgL_tmpz00_6997);
					}
					BgL_auxz00_6995 = ((BgL_returnzf2livenesszf2_bglt) BgL_auxz00_6996);
				}
				((((BgL_returnzf2livenesszf2_bglt) COBJECT(BgL_auxz00_6995))->
						BgL_inz00) = ((obj_t) BgL_auxz00_7002), BUNSPEC);
			}
			{	/* Liveness/liveness.scm 1017 */
				BgL_nodez00_bglt BgL_arg2543z00_4989;

				BgL_arg2543z00_4989 =
					(((BgL_returnz00_bglt) COBJECT(
							((BgL_returnz00_bglt)
								((BgL_returnz00_bglt) BgL_nz00_4613))))->BgL_valuez00);
				BGl_inoutz12z12zzliveness_livenessz00(BgL_arg2543z00_4989,
					BgL_oz00_4614);
			}
			{	/* Liveness/liveness.scm 1018 */
				obj_t BgL_val0_1803z00_4990;
				obj_t BgL_val1_1804z00_4991;

				{
					BgL_returnzf2livenesszf2_bglt BgL_auxz00_7034;

					{
						obj_t BgL_auxz00_7035;

						{	/* Liveness/liveness.scm 1018 */
							BgL_objectz00_bglt BgL_tmpz00_7036;

							BgL_tmpz00_7036 =
								((BgL_objectz00_bglt) ((BgL_returnz00_bglt) BgL_nz00_4613));
							BgL_auxz00_7035 = BGL_OBJECT_WIDENING(BgL_tmpz00_7036);
						}
						BgL_auxz00_7034 = ((BgL_returnzf2livenesszf2_bglt) BgL_auxz00_7035);
					}
					BgL_val0_1803z00_4990 =
						(((BgL_returnzf2livenesszf2_bglt) COBJECT(BgL_auxz00_7034))->
						BgL_inz00);
				}
				{
					BgL_returnzf2livenesszf2_bglt BgL_auxz00_7042;

					{
						obj_t BgL_auxz00_7043;

						{	/* Liveness/liveness.scm 1018 */
							BgL_objectz00_bglt BgL_tmpz00_7044;

							BgL_tmpz00_7044 =
								((BgL_objectz00_bglt) ((BgL_returnz00_bglt) BgL_nz00_4613));
							BgL_auxz00_7043 = BGL_OBJECT_WIDENING(BgL_tmpz00_7044);
						}
						BgL_auxz00_7042 = ((BgL_returnzf2livenesszf2_bglt) BgL_auxz00_7043);
					}
					BgL_val1_1804z00_4991 =
						(((BgL_returnzf2livenesszf2_bglt) COBJECT(BgL_auxz00_7042))->
						BgL_outz00);
				}
				{	/* Liveness/liveness.scm 1018 */
					int BgL_tmpz00_7050;

					BgL_tmpz00_7050 = (int) (2L);
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_7050);
				}
				{	/* Liveness/liveness.scm 1018 */
					int BgL_tmpz00_7053;

					BgL_tmpz00_7053 = (int) (1L);
					BGL_MVALUES_VAL_SET(BgL_tmpz00_7053, BgL_val1_1804z00_4991);
				}
				return BgL_val0_1803z00_4990;
			}
		}

	}



/* &defuse-return/livene2075 */
	obj_t BGl_z62defusezd2returnzf2livene2075z42zzliveness_livenessz00(obj_t
		BgL_envz00_4615, obj_t BgL_nz00_4616)
	{
		{	/* Liveness/liveness.scm 1009 */
			{	/* Liveness/liveness.scm 1011 */
				obj_t BgL_val0_1801z00_4993;
				obj_t BgL_val1_1802z00_4994;

				{
					BgL_returnzf2livenesszf2_bglt BgL_auxz00_7056;

					{
						obj_t BgL_auxz00_7057;

						{	/* Liveness/liveness.scm 1011 */
							BgL_objectz00_bglt BgL_tmpz00_7058;

							BgL_tmpz00_7058 =
								((BgL_objectz00_bglt) ((BgL_returnz00_bglt) BgL_nz00_4616));
							BgL_auxz00_7057 = BGL_OBJECT_WIDENING(BgL_tmpz00_7058);
						}
						BgL_auxz00_7056 = ((BgL_returnzf2livenesszf2_bglt) BgL_auxz00_7057);
					}
					BgL_val0_1801z00_4993 =
						(((BgL_returnzf2livenesszf2_bglt) COBJECT(BgL_auxz00_7056))->
						BgL_defz00);
				}
				{
					BgL_returnzf2livenesszf2_bglt BgL_auxz00_7064;

					{
						obj_t BgL_auxz00_7065;

						{	/* Liveness/liveness.scm 1011 */
							BgL_objectz00_bglt BgL_tmpz00_7066;

							BgL_tmpz00_7066 =
								((BgL_objectz00_bglt) ((BgL_returnz00_bglt) BgL_nz00_4616));
							BgL_auxz00_7065 = BGL_OBJECT_WIDENING(BgL_tmpz00_7066);
						}
						BgL_auxz00_7064 = ((BgL_returnzf2livenesszf2_bglt) BgL_auxz00_7065);
					}
					BgL_val1_1802z00_4994 =
						(((BgL_returnzf2livenesszf2_bglt) COBJECT(BgL_auxz00_7064))->
						BgL_usez00);
				}
				{	/* Liveness/liveness.scm 1011 */
					int BgL_tmpz00_7072;

					BgL_tmpz00_7072 = (int) (2L);
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_7072);
				}
				{	/* Liveness/liveness.scm 1011 */
					int BgL_tmpz00_7075;

					BgL_tmpz00_7075 = (int) (1L);
					BGL_MVALUES_VAL_SET(BgL_tmpz00_7075, BgL_val1_1802z00_4994);
				}
				return BgL_val0_1801z00_4993;
			}
		}

	}



/* &defuse-return2073 */
	obj_t BGl_z62defusezd2return2073zb0zzliveness_livenessz00(obj_t
		BgL_envz00_4617, obj_t BgL_nz00_4618)
	{
		{	/* Liveness/liveness.scm 1000 */
			{	/* Liveness/liveness.scm 1002 */
				obj_t BgL_defz00_4996;

				BgL_defz00_4996 =
					BGl_defusez00zzliveness_livenessz00(
					(((BgL_returnz00_bglt) COBJECT(
								((BgL_returnz00_bglt) BgL_nz00_4618)))->BgL_valuez00));
				{	/* Liveness/liveness.scm 1003 */
					obj_t BgL_usez00_4997;

					{	/* Liveness/liveness.scm 1004 */
						obj_t BgL_tmpz00_4998;

						{	/* Liveness/liveness.scm 1004 */
							int BgL_tmpz00_7081;

							BgL_tmpz00_7081 = (int) (1L);
							BgL_tmpz00_4998 = BGL_MVALUES_VAL(BgL_tmpz00_7081);
						}
						{	/* Liveness/liveness.scm 1004 */
							int BgL_tmpz00_7084;

							BgL_tmpz00_7084 = (int) (1L);
							BGL_MVALUES_VAL_SET(BgL_tmpz00_7084, BUNSPEC);
						}
						BgL_usez00_4997 = BgL_tmpz00_4998;
					}
					{	/* Liveness/liveness.scm 1005 */
						BgL_returnz00_bglt BgL_arg2535z00_4999;

						{	/* Liveness/liveness.scm 1005 */
							BgL_returnzf2livenesszf2_bglt BgL_wide1405z00_5000;

							BgL_wide1405z00_5000 =
								((BgL_returnzf2livenesszf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_returnzf2livenesszf2_bgl))));
							{	/* Liveness/liveness.scm 1005 */
								obj_t BgL_auxz00_7092;
								BgL_objectz00_bglt BgL_tmpz00_7088;

								BgL_auxz00_7092 = ((obj_t) BgL_wide1405z00_5000);
								BgL_tmpz00_7088 =
									((BgL_objectz00_bglt)
									((BgL_returnz00_bglt) ((BgL_returnz00_bglt) BgL_nz00_4618)));
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_7088, BgL_auxz00_7092);
							}
							((BgL_objectz00_bglt)
								((BgL_returnz00_bglt) ((BgL_returnz00_bglt) BgL_nz00_4618)));
							{	/* Liveness/liveness.scm 1005 */
								long BgL_arg2536z00_5001;

								BgL_arg2536z00_5001 =
									BGL_CLASS_NUM(BGl_returnzf2livenesszf2zzliveness_typesz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt)
										((BgL_returnz00_bglt)
											((BgL_returnz00_bglt) BgL_nz00_4618))),
									BgL_arg2536z00_5001);
							}
							((BgL_returnz00_bglt)
								((BgL_returnz00_bglt) ((BgL_returnz00_bglt) BgL_nz00_4618)));
						}
						{
							BgL_returnzf2livenesszf2_bglt BgL_auxz00_7106;

							{
								obj_t BgL_auxz00_7107;

								{	/* Liveness/liveness.scm 1006 */
									BgL_objectz00_bglt BgL_tmpz00_7108;

									BgL_tmpz00_7108 =
										((BgL_objectz00_bglt)
										((BgL_returnz00_bglt)
											((BgL_returnz00_bglt) BgL_nz00_4618)));
									BgL_auxz00_7107 = BGL_OBJECT_WIDENING(BgL_tmpz00_7108);
								}
								BgL_auxz00_7106 =
									((BgL_returnzf2livenesszf2_bglt) BgL_auxz00_7107);
							}
							((((BgL_returnzf2livenesszf2_bglt) COBJECT(BgL_auxz00_7106))->
									BgL_defz00) = ((obj_t) BgL_defz00_4996), BUNSPEC);
						}
						{
							BgL_returnzf2livenesszf2_bglt BgL_auxz00_7115;

							{
								obj_t BgL_auxz00_7116;

								{	/* Liveness/liveness.scm 1007 */
									BgL_objectz00_bglt BgL_tmpz00_7117;

									BgL_tmpz00_7117 =
										((BgL_objectz00_bglt)
										((BgL_returnz00_bglt)
											((BgL_returnz00_bglt) BgL_nz00_4618)));
									BgL_auxz00_7116 = BGL_OBJECT_WIDENING(BgL_tmpz00_7117);
								}
								BgL_auxz00_7115 =
									((BgL_returnzf2livenesszf2_bglt) BgL_auxz00_7116);
							}
							((((BgL_returnzf2livenesszf2_bglt) COBJECT(BgL_auxz00_7115))->
									BgL_usez00) = ((obj_t) BgL_usez00_4997), BUNSPEC);
						}
						{
							BgL_returnzf2livenesszf2_bglt BgL_auxz00_7124;

							{
								obj_t BgL_auxz00_7125;

								{	/* Liveness/liveness.scm 1003 */
									BgL_objectz00_bglt BgL_tmpz00_7126;

									BgL_tmpz00_7126 =
										((BgL_objectz00_bglt)
										((BgL_returnz00_bglt)
											((BgL_returnz00_bglt) BgL_nz00_4618)));
									BgL_auxz00_7125 = BGL_OBJECT_WIDENING(BgL_tmpz00_7126);
								}
								BgL_auxz00_7124 =
									((BgL_returnzf2livenesszf2_bglt) BgL_auxz00_7125);
							}
							((((BgL_returnzf2livenesszf2_bglt) COBJECT(BgL_auxz00_7124))->
									BgL_inz00) = ((obj_t) BNIL), BUNSPEC);
						}
						{
							BgL_returnzf2livenesszf2_bglt BgL_auxz00_7133;

							{
								obj_t BgL_auxz00_7134;

								{	/* Liveness/liveness.scm 1003 */
									BgL_objectz00_bglt BgL_tmpz00_7135;

									BgL_tmpz00_7135 =
										((BgL_objectz00_bglt)
										((BgL_returnz00_bglt)
											((BgL_returnz00_bglt) BgL_nz00_4618)));
									BgL_auxz00_7134 = BGL_OBJECT_WIDENING(BgL_tmpz00_7135);
								}
								BgL_auxz00_7133 =
									((BgL_returnzf2livenesszf2_bglt) BgL_auxz00_7134);
							}
							((((BgL_returnzf2livenesszf2_bglt) COBJECT(BgL_auxz00_7133))->
									BgL_outz00) = ((obj_t) BNIL), BUNSPEC);
						}
						BgL_arg2535z00_4999 =
							((BgL_returnz00_bglt) ((BgL_returnz00_bglt) BgL_nz00_4618));
						return
							BGl_defusez00zzliveness_livenessz00(
							((BgL_nodez00_bglt) BgL_arg2535z00_4999));
					}
				}
			}
		}

	}



/* &inout-retblock/liven2071 */
	obj_t BGl_z62inoutzd2retblockzf2liven2071z42zzliveness_livenessz00(obj_t
		BgL_envz00_4619, obj_t BgL_nz00_4620)
	{
		{	/* Liveness/liveness.scm 993 */
			{	/* Liveness/liveness.scm 995 */
				obj_t BgL_val0_1799z00_5003;
				obj_t BgL_val1_1800z00_5004;

				{
					BgL_retblockzf2livenesszf2_bglt BgL_auxz00_7146;

					{
						obj_t BgL_auxz00_7147;

						{	/* Liveness/liveness.scm 995 */
							BgL_objectz00_bglt BgL_tmpz00_7148;

							BgL_tmpz00_7148 =
								((BgL_objectz00_bglt) ((BgL_retblockz00_bglt) BgL_nz00_4620));
							BgL_auxz00_7147 = BGL_OBJECT_WIDENING(BgL_tmpz00_7148);
						}
						BgL_auxz00_7146 =
							((BgL_retblockzf2livenesszf2_bglt) BgL_auxz00_7147);
					}
					BgL_val0_1799z00_5003 =
						(((BgL_retblockzf2livenesszf2_bglt) COBJECT(BgL_auxz00_7146))->
						BgL_inz00);
				}
				{
					BgL_retblockzf2livenesszf2_bglt BgL_auxz00_7154;

					{
						obj_t BgL_auxz00_7155;

						{	/* Liveness/liveness.scm 995 */
							BgL_objectz00_bglt BgL_tmpz00_7156;

							BgL_tmpz00_7156 =
								((BgL_objectz00_bglt) ((BgL_retblockz00_bglt) BgL_nz00_4620));
							BgL_auxz00_7155 = BGL_OBJECT_WIDENING(BgL_tmpz00_7156);
						}
						BgL_auxz00_7154 =
							((BgL_retblockzf2livenesszf2_bglt) BgL_auxz00_7155);
					}
					BgL_val1_1800z00_5004 =
						(((BgL_retblockzf2livenesszf2_bglt) COBJECT(BgL_auxz00_7154))->
						BgL_outz00);
				}
				{	/* Liveness/liveness.scm 995 */
					int BgL_tmpz00_7162;

					BgL_tmpz00_7162 = (int) (2L);
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_7162);
				}
				{	/* Liveness/liveness.scm 995 */
					int BgL_tmpz00_7165;

					BgL_tmpz00_7165 = (int) (1L);
					BGL_MVALUES_VAL_SET(BgL_tmpz00_7165, BgL_val1_1800z00_5004);
				}
				return BgL_val0_1799z00_5003;
			}
		}

	}



/* &inout!-retblock/live2069 */
	obj_t BGl_z62inoutz12zd2retblockzf2live2069z50zzliveness_livenessz00(obj_t
		BgL_envz00_4621, obj_t BgL_nz00_4622, obj_t BgL_oz00_4623)
	{
		{	/* Liveness/liveness.scm 986 */
			{
				BgL_retblockzf2livenesszf2_bglt BgL_auxz00_7168;

				{
					obj_t BgL_auxz00_7169;

					{	/* Liveness/liveness.scm 988 */
						BgL_objectz00_bglt BgL_tmpz00_7170;

						BgL_tmpz00_7170 =
							((BgL_objectz00_bglt) ((BgL_retblockz00_bglt) BgL_nz00_4622));
						BgL_auxz00_7169 = BGL_OBJECT_WIDENING(BgL_tmpz00_7170);
					}
					BgL_auxz00_7168 = ((BgL_retblockzf2livenesszf2_bglt) BgL_auxz00_7169);
				}
				((((BgL_retblockzf2livenesszf2_bglt) COBJECT(BgL_auxz00_7168))->
						BgL_outz00) = ((obj_t) BgL_oz00_4623), BUNSPEC);
			}
			{
				obj_t BgL_auxz00_7183;
				BgL_retblockzf2livenesszf2_bglt BgL_auxz00_7176;

				{	/* Liveness/liveness.scm 989 */
					obj_t BgL_arg2528z00_5006;
					obj_t BgL_arg2529z00_5007;

					{
						BgL_retblockzf2livenesszf2_bglt BgL_auxz00_7184;

						{
							obj_t BgL_auxz00_7185;

							{	/* Liveness/liveness.scm 989 */
								BgL_objectz00_bglt BgL_tmpz00_7186;

								BgL_tmpz00_7186 =
									((BgL_objectz00_bglt) ((BgL_retblockz00_bglt) BgL_nz00_4622));
								BgL_auxz00_7185 = BGL_OBJECT_WIDENING(BgL_tmpz00_7186);
							}
							BgL_auxz00_7184 =
								((BgL_retblockzf2livenesszf2_bglt) BgL_auxz00_7185);
						}
						BgL_arg2528z00_5006 =
							(((BgL_retblockzf2livenesszf2_bglt) COBJECT(BgL_auxz00_7184))->
							BgL_usez00);
					}
					{	/* Liveness/liveness.scm 989 */
						obj_t BgL_arg2530z00_5008;
						obj_t BgL_arg2532z00_5009;

						{
							BgL_retblockzf2livenesszf2_bglt BgL_auxz00_7192;

							{
								obj_t BgL_auxz00_7193;

								{	/* Liveness/liveness.scm 989 */
									BgL_objectz00_bglt BgL_tmpz00_7194;

									BgL_tmpz00_7194 =
										((BgL_objectz00_bglt)
										((BgL_retblockz00_bglt) BgL_nz00_4622));
									BgL_auxz00_7193 = BGL_OBJECT_WIDENING(BgL_tmpz00_7194);
								}
								BgL_auxz00_7192 =
									((BgL_retblockzf2livenesszf2_bglt) BgL_auxz00_7193);
							}
							BgL_arg2530z00_5008 =
								(((BgL_retblockzf2livenesszf2_bglt) COBJECT(BgL_auxz00_7192))->
								BgL_outz00);
						}
						{
							BgL_retblockzf2livenesszf2_bglt BgL_auxz00_7200;

							{
								obj_t BgL_auxz00_7201;

								{	/* Liveness/liveness.scm 989 */
									BgL_objectz00_bglt BgL_tmpz00_7202;

									BgL_tmpz00_7202 =
										((BgL_objectz00_bglt)
										((BgL_retblockz00_bglt) BgL_nz00_4622));
									BgL_auxz00_7201 = BGL_OBJECT_WIDENING(BgL_tmpz00_7202);
								}
								BgL_auxz00_7200 =
									((BgL_retblockzf2livenesszf2_bglt) BgL_auxz00_7201);
							}
							BgL_arg2532z00_5009 =
								(((BgL_retblockzf2livenesszf2_bglt) COBJECT(BgL_auxz00_7200))->
								BgL_defz00);
						}
						BgL_arg2529z00_5007 =
							BGl_disjonctionz00zzliveness_setz00(BgL_arg2530z00_5008,
							BgL_arg2532z00_5009);
					}
					BgL_auxz00_7183 =
						BGl_unionz00zzliveness_setz00(BgL_arg2528z00_5006,
						BgL_arg2529z00_5007);
				}
				{
					obj_t BgL_auxz00_7177;

					{	/* Liveness/liveness.scm 989 */
						BgL_objectz00_bglt BgL_tmpz00_7178;

						BgL_tmpz00_7178 =
							((BgL_objectz00_bglt) ((BgL_retblockz00_bglt) BgL_nz00_4622));
						BgL_auxz00_7177 = BGL_OBJECT_WIDENING(BgL_tmpz00_7178);
					}
					BgL_auxz00_7176 = ((BgL_retblockzf2livenesszf2_bglt) BgL_auxz00_7177);
				}
				((((BgL_retblockzf2livenesszf2_bglt) COBJECT(BgL_auxz00_7176))->
						BgL_inz00) = ((obj_t) BgL_auxz00_7183), BUNSPEC);
			}
			{	/* Liveness/liveness.scm 990 */
				BgL_nodez00_bglt BgL_arg2533z00_5010;

				BgL_arg2533z00_5010 =
					(((BgL_retblockz00_bglt) COBJECT(
							((BgL_retblockz00_bglt)
								((BgL_retblockz00_bglt) BgL_nz00_4622))))->BgL_bodyz00);
				BGl_inoutz12z12zzliveness_livenessz00(BgL_arg2533z00_5010,
					BgL_oz00_4623);
			}
			{	/* Liveness/liveness.scm 991 */
				obj_t BgL_val0_1797z00_5011;
				obj_t BgL_val1_1798z00_5012;

				{
					BgL_retblockzf2livenesszf2_bglt BgL_auxz00_7215;

					{
						obj_t BgL_auxz00_7216;

						{	/* Liveness/liveness.scm 991 */
							BgL_objectz00_bglt BgL_tmpz00_7217;

							BgL_tmpz00_7217 =
								((BgL_objectz00_bglt) ((BgL_retblockz00_bglt) BgL_nz00_4622));
							BgL_auxz00_7216 = BGL_OBJECT_WIDENING(BgL_tmpz00_7217);
						}
						BgL_auxz00_7215 =
							((BgL_retblockzf2livenesszf2_bglt) BgL_auxz00_7216);
					}
					BgL_val0_1797z00_5011 =
						(((BgL_retblockzf2livenesszf2_bglt) COBJECT(BgL_auxz00_7215))->
						BgL_inz00);
				}
				{
					BgL_retblockzf2livenesszf2_bglt BgL_auxz00_7223;

					{
						obj_t BgL_auxz00_7224;

						{	/* Liveness/liveness.scm 991 */
							BgL_objectz00_bglt BgL_tmpz00_7225;

							BgL_tmpz00_7225 =
								((BgL_objectz00_bglt) ((BgL_retblockz00_bglt) BgL_nz00_4622));
							BgL_auxz00_7224 = BGL_OBJECT_WIDENING(BgL_tmpz00_7225);
						}
						BgL_auxz00_7223 =
							((BgL_retblockzf2livenesszf2_bglt) BgL_auxz00_7224);
					}
					BgL_val1_1798z00_5012 =
						(((BgL_retblockzf2livenesszf2_bglt) COBJECT(BgL_auxz00_7223))->
						BgL_outz00);
				}
				{	/* Liveness/liveness.scm 991 */
					int BgL_tmpz00_7231;

					BgL_tmpz00_7231 = (int) (2L);
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_7231);
				}
				{	/* Liveness/liveness.scm 991 */
					int BgL_tmpz00_7234;

					BgL_tmpz00_7234 = (int) (1L);
					BGL_MVALUES_VAL_SET(BgL_tmpz00_7234, BgL_val1_1798z00_5012);
				}
				return BgL_val0_1797z00_5011;
			}
		}

	}



/* &defuse-retblock/live2067 */
	obj_t BGl_z62defusezd2retblockzf2live2067z42zzliveness_livenessz00(obj_t
		BgL_envz00_4624, obj_t BgL_nz00_4625)
	{
		{	/* Liveness/liveness.scm 982 */
			{	/* Liveness/liveness.scm 984 */
				obj_t BgL_val0_1795z00_5014;
				obj_t BgL_val1_1796z00_5015;

				{
					BgL_retblockzf2livenesszf2_bglt BgL_auxz00_7237;

					{
						obj_t BgL_auxz00_7238;

						{	/* Liveness/liveness.scm 984 */
							BgL_objectz00_bglt BgL_tmpz00_7239;

							BgL_tmpz00_7239 =
								((BgL_objectz00_bglt) ((BgL_retblockz00_bglt) BgL_nz00_4625));
							BgL_auxz00_7238 = BGL_OBJECT_WIDENING(BgL_tmpz00_7239);
						}
						BgL_auxz00_7237 =
							((BgL_retblockzf2livenesszf2_bglt) BgL_auxz00_7238);
					}
					BgL_val0_1795z00_5014 =
						(((BgL_retblockzf2livenesszf2_bglt) COBJECT(BgL_auxz00_7237))->
						BgL_defz00);
				}
				{
					BgL_retblockzf2livenesszf2_bglt BgL_auxz00_7245;

					{
						obj_t BgL_auxz00_7246;

						{	/* Liveness/liveness.scm 984 */
							BgL_objectz00_bglt BgL_tmpz00_7247;

							BgL_tmpz00_7247 =
								((BgL_objectz00_bglt) ((BgL_retblockz00_bglt) BgL_nz00_4625));
							BgL_auxz00_7246 = BGL_OBJECT_WIDENING(BgL_tmpz00_7247);
						}
						BgL_auxz00_7245 =
							((BgL_retblockzf2livenesszf2_bglt) BgL_auxz00_7246);
					}
					BgL_val1_1796z00_5015 =
						(((BgL_retblockzf2livenesszf2_bglt) COBJECT(BgL_auxz00_7245))->
						BgL_usez00);
				}
				{	/* Liveness/liveness.scm 984 */
					int BgL_tmpz00_7253;

					BgL_tmpz00_7253 = (int) (2L);
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_7253);
				}
				{	/* Liveness/liveness.scm 984 */
					int BgL_tmpz00_7256;

					BgL_tmpz00_7256 = (int) (1L);
					BGL_MVALUES_VAL_SET(BgL_tmpz00_7256, BgL_val1_1796z00_5015);
				}
				return BgL_val0_1795z00_5014;
			}
		}

	}



/* &defuse-retblock2065 */
	obj_t BGl_z62defusezd2retblock2065zb0zzliveness_livenessz00(obj_t
		BgL_envz00_4626, obj_t BgL_nz00_4627)
	{
		{	/* Liveness/liveness.scm 973 */
			{	/* Liveness/liveness.scm 975 */
				obj_t BgL_defz00_5017;

				BgL_defz00_5017 =
					BGl_defusez00zzliveness_livenessz00(
					(((BgL_retblockz00_bglt) COBJECT(
								((BgL_retblockz00_bglt) BgL_nz00_4627)))->BgL_bodyz00));
				{	/* Liveness/liveness.scm 976 */
					obj_t BgL_usez00_5018;

					{	/* Liveness/liveness.scm 977 */
						obj_t BgL_tmpz00_5019;

						{	/* Liveness/liveness.scm 977 */
							int BgL_tmpz00_7262;

							BgL_tmpz00_7262 = (int) (1L);
							BgL_tmpz00_5019 = BGL_MVALUES_VAL(BgL_tmpz00_7262);
						}
						{	/* Liveness/liveness.scm 977 */
							int BgL_tmpz00_7265;

							BgL_tmpz00_7265 = (int) (1L);
							BGL_MVALUES_VAL_SET(BgL_tmpz00_7265, BUNSPEC);
						}
						BgL_usez00_5018 = BgL_tmpz00_5019;
					}
					{	/* Liveness/liveness.scm 978 */
						BgL_retblockz00_bglt BgL_arg2523z00_5020;

						{	/* Liveness/liveness.scm 978 */
							BgL_retblockzf2livenesszf2_bglt BgL_wide1397z00_5021;

							BgL_wide1397z00_5021 =
								((BgL_retblockzf2livenesszf2_bglt)
								BOBJECT(GC_MALLOC(sizeof(struct
											BgL_retblockzf2livenesszf2_bgl))));
							{	/* Liveness/liveness.scm 978 */
								obj_t BgL_auxz00_7273;
								BgL_objectz00_bglt BgL_tmpz00_7269;

								BgL_auxz00_7273 = ((obj_t) BgL_wide1397z00_5021);
								BgL_tmpz00_7269 =
									((BgL_objectz00_bglt)
									((BgL_retblockz00_bglt)
										((BgL_retblockz00_bglt) BgL_nz00_4627)));
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_7269, BgL_auxz00_7273);
							}
							((BgL_objectz00_bglt)
								((BgL_retblockz00_bglt)
									((BgL_retblockz00_bglt) BgL_nz00_4627)));
							{	/* Liveness/liveness.scm 978 */
								long BgL_arg2525z00_5022;

								BgL_arg2525z00_5022 =
									BGL_CLASS_NUM(BGl_retblockzf2livenesszf2zzliveness_typesz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt)
										((BgL_retblockz00_bglt)
											((BgL_retblockz00_bglt) BgL_nz00_4627))),
									BgL_arg2525z00_5022);
							}
							((BgL_retblockz00_bglt)
								((BgL_retblockz00_bglt)
									((BgL_retblockz00_bglt) BgL_nz00_4627)));
						}
						{
							BgL_retblockzf2livenesszf2_bglt BgL_auxz00_7287;

							{
								obj_t BgL_auxz00_7288;

								{	/* Liveness/liveness.scm 979 */
									BgL_objectz00_bglt BgL_tmpz00_7289;

									BgL_tmpz00_7289 =
										((BgL_objectz00_bglt)
										((BgL_retblockz00_bglt)
											((BgL_retblockz00_bglt) BgL_nz00_4627)));
									BgL_auxz00_7288 = BGL_OBJECT_WIDENING(BgL_tmpz00_7289);
								}
								BgL_auxz00_7287 =
									((BgL_retblockzf2livenesszf2_bglt) BgL_auxz00_7288);
							}
							((((BgL_retblockzf2livenesszf2_bglt) COBJECT(BgL_auxz00_7287))->
									BgL_defz00) = ((obj_t) BgL_defz00_5017), BUNSPEC);
						}
						{
							BgL_retblockzf2livenesszf2_bglt BgL_auxz00_7296;

							{
								obj_t BgL_auxz00_7297;

								{	/* Liveness/liveness.scm 980 */
									BgL_objectz00_bglt BgL_tmpz00_7298;

									BgL_tmpz00_7298 =
										((BgL_objectz00_bglt)
										((BgL_retblockz00_bglt)
											((BgL_retblockz00_bglt) BgL_nz00_4627)));
									BgL_auxz00_7297 = BGL_OBJECT_WIDENING(BgL_tmpz00_7298);
								}
								BgL_auxz00_7296 =
									((BgL_retblockzf2livenesszf2_bglt) BgL_auxz00_7297);
							}
							((((BgL_retblockzf2livenesszf2_bglt) COBJECT(BgL_auxz00_7296))->
									BgL_usez00) = ((obj_t) BgL_usez00_5018), BUNSPEC);
						}
						{
							BgL_retblockzf2livenesszf2_bglt BgL_auxz00_7305;

							{
								obj_t BgL_auxz00_7306;

								{	/* Liveness/liveness.scm 976 */
									BgL_objectz00_bglt BgL_tmpz00_7307;

									BgL_tmpz00_7307 =
										((BgL_objectz00_bglt)
										((BgL_retblockz00_bglt)
											((BgL_retblockz00_bglt) BgL_nz00_4627)));
									BgL_auxz00_7306 = BGL_OBJECT_WIDENING(BgL_tmpz00_7307);
								}
								BgL_auxz00_7305 =
									((BgL_retblockzf2livenesszf2_bglt) BgL_auxz00_7306);
							}
							((((BgL_retblockzf2livenesszf2_bglt) COBJECT(BgL_auxz00_7305))->
									BgL_inz00) = ((obj_t) BNIL), BUNSPEC);
						}
						{
							BgL_retblockzf2livenesszf2_bglt BgL_auxz00_7314;

							{
								obj_t BgL_auxz00_7315;

								{	/* Liveness/liveness.scm 976 */
									BgL_objectz00_bglt BgL_tmpz00_7316;

									BgL_tmpz00_7316 =
										((BgL_objectz00_bglt)
										((BgL_retblockz00_bglt)
											((BgL_retblockz00_bglt) BgL_nz00_4627)));
									BgL_auxz00_7315 = BGL_OBJECT_WIDENING(BgL_tmpz00_7316);
								}
								BgL_auxz00_7314 =
									((BgL_retblockzf2livenesszf2_bglt) BgL_auxz00_7315);
							}
							((((BgL_retblockzf2livenesszf2_bglt) COBJECT(BgL_auxz00_7314))->
									BgL_outz00) = ((obj_t) BNIL), BUNSPEC);
						}
						BgL_arg2523z00_5020 =
							((BgL_retblockz00_bglt) ((BgL_retblockz00_bglt) BgL_nz00_4627));
						return
							BGl_defusez00zzliveness_livenessz00(
							((BgL_nodez00_bglt) BgL_arg2523z00_5020));
					}
				}
			}
		}

	}



/* &inout-jump-ex-it/liv2063 */
	obj_t BGl_z62inoutzd2jumpzd2exzd2itzf2liv2063z42zzliveness_livenessz00(obj_t
		BgL_envz00_4628, obj_t BgL_nz00_4629)
	{
		{	/* Liveness/liveness.scm 966 */
			{	/* Liveness/liveness.scm 968 */
				obj_t BgL_val0_1793z00_5024;
				obj_t BgL_val1_1794z00_5025;

				{
					BgL_jumpzd2exzd2itzf2livenesszf2_bglt BgL_auxz00_7327;

					{
						obj_t BgL_auxz00_7328;

						{	/* Liveness/liveness.scm 968 */
							BgL_objectz00_bglt BgL_tmpz00_7329;

							BgL_tmpz00_7329 =
								((BgL_objectz00_bglt)
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nz00_4629));
							BgL_auxz00_7328 = BGL_OBJECT_WIDENING(BgL_tmpz00_7329);
						}
						BgL_auxz00_7327 =
							((BgL_jumpzd2exzd2itzf2livenesszf2_bglt) BgL_auxz00_7328);
					}
					BgL_val0_1793z00_5024 =
						(((BgL_jumpzd2exzd2itzf2livenesszf2_bglt)
							COBJECT(BgL_auxz00_7327))->BgL_inz00);
				}
				{
					BgL_jumpzd2exzd2itzf2livenesszf2_bglt BgL_auxz00_7335;

					{
						obj_t BgL_auxz00_7336;

						{	/* Liveness/liveness.scm 968 */
							BgL_objectz00_bglt BgL_tmpz00_7337;

							BgL_tmpz00_7337 =
								((BgL_objectz00_bglt)
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nz00_4629));
							BgL_auxz00_7336 = BGL_OBJECT_WIDENING(BgL_tmpz00_7337);
						}
						BgL_auxz00_7335 =
							((BgL_jumpzd2exzd2itzf2livenesszf2_bglt) BgL_auxz00_7336);
					}
					BgL_val1_1794z00_5025 =
						(((BgL_jumpzd2exzd2itzf2livenesszf2_bglt)
							COBJECT(BgL_auxz00_7335))->BgL_outz00);
				}
				{	/* Liveness/liveness.scm 968 */
					int BgL_tmpz00_7343;

					BgL_tmpz00_7343 = (int) (2L);
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_7343);
				}
				{	/* Liveness/liveness.scm 968 */
					int BgL_tmpz00_7346;

					BgL_tmpz00_7346 = (int) (1L);
					BGL_MVALUES_VAL_SET(BgL_tmpz00_7346, BgL_val1_1794z00_5025);
				}
				return BgL_val0_1793z00_5024;
			}
		}

	}



/* &inout!-jump-ex-it/li2061 */
	obj_t BGl_z62inoutz12zd2jumpzd2exzd2itzf2li2061z50zzliveness_livenessz00(obj_t
		BgL_envz00_4630, obj_t BgL_nz00_4631, obj_t BgL_oz00_4632)
	{
		{	/* Liveness/liveness.scm 958 */
			{
				BgL_jumpzd2exzd2itzf2livenesszf2_bglt BgL_auxz00_7349;

				{
					obj_t BgL_auxz00_7350;

					{	/* Liveness/liveness.scm 961 */
						BgL_objectz00_bglt BgL_tmpz00_7351;

						BgL_tmpz00_7351 =
							((BgL_objectz00_bglt)
							((BgL_jumpzd2exzd2itz00_bglt) BgL_nz00_4631));
						BgL_auxz00_7350 = BGL_OBJECT_WIDENING(BgL_tmpz00_7351);
					}
					BgL_auxz00_7349 =
						((BgL_jumpzd2exzd2itzf2livenesszf2_bglt) BgL_auxz00_7350);
				}
				((((BgL_jumpzd2exzd2itzf2livenesszf2_bglt) COBJECT(BgL_auxz00_7349))->
						BgL_outz00) = ((obj_t) BgL_oz00_4632), BUNSPEC);
			}
			{
				obj_t BgL_auxz00_7364;
				BgL_jumpzd2exzd2itzf2livenesszf2_bglt BgL_auxz00_7357;

				{	/* Liveness/liveness.scm 962 */
					obj_t BgL_arg2515z00_5027;
					obj_t BgL_arg2519z00_5028;

					{
						BgL_jumpzd2exzd2itzf2livenesszf2_bglt BgL_auxz00_7365;

						{
							obj_t BgL_auxz00_7366;

							{	/* Liveness/liveness.scm 962 */
								BgL_objectz00_bglt BgL_tmpz00_7367;

								BgL_tmpz00_7367 =
									((BgL_objectz00_bglt)
									((BgL_jumpzd2exzd2itz00_bglt) BgL_nz00_4631));
								BgL_auxz00_7366 = BGL_OBJECT_WIDENING(BgL_tmpz00_7367);
							}
							BgL_auxz00_7365 =
								((BgL_jumpzd2exzd2itzf2livenesszf2_bglt) BgL_auxz00_7366);
						}
						BgL_arg2515z00_5027 =
							(((BgL_jumpzd2exzd2itzf2livenesszf2_bglt)
								COBJECT(BgL_auxz00_7365))->BgL_usez00);
					}
					{	/* Liveness/liveness.scm 962 */
						obj_t BgL_arg2520z00_5029;
						obj_t BgL_arg2521z00_5030;

						{
							BgL_jumpzd2exzd2itzf2livenesszf2_bglt BgL_auxz00_7373;

							{
								obj_t BgL_auxz00_7374;

								{	/* Liveness/liveness.scm 962 */
									BgL_objectz00_bglt BgL_tmpz00_7375;

									BgL_tmpz00_7375 =
										((BgL_objectz00_bglt)
										((BgL_jumpzd2exzd2itz00_bglt) BgL_nz00_4631));
									BgL_auxz00_7374 = BGL_OBJECT_WIDENING(BgL_tmpz00_7375);
								}
								BgL_auxz00_7373 =
									((BgL_jumpzd2exzd2itzf2livenesszf2_bglt) BgL_auxz00_7374);
							}
							BgL_arg2520z00_5029 =
								(((BgL_jumpzd2exzd2itzf2livenesszf2_bglt)
									COBJECT(BgL_auxz00_7373))->BgL_outz00);
						}
						{
							BgL_jumpzd2exzd2itzf2livenesszf2_bglt BgL_auxz00_7381;

							{
								obj_t BgL_auxz00_7382;

								{	/* Liveness/liveness.scm 962 */
									BgL_objectz00_bglt BgL_tmpz00_7383;

									BgL_tmpz00_7383 =
										((BgL_objectz00_bglt)
										((BgL_jumpzd2exzd2itz00_bglt) BgL_nz00_4631));
									BgL_auxz00_7382 = BGL_OBJECT_WIDENING(BgL_tmpz00_7383);
								}
								BgL_auxz00_7381 =
									((BgL_jumpzd2exzd2itzf2livenesszf2_bglt) BgL_auxz00_7382);
							}
							BgL_arg2521z00_5030 =
								(((BgL_jumpzd2exzd2itzf2livenesszf2_bglt)
									COBJECT(BgL_auxz00_7381))->BgL_defz00);
						}
						BgL_arg2519z00_5028 =
							BGl_disjonctionz00zzliveness_setz00(BgL_arg2520z00_5029,
							BgL_arg2521z00_5030);
					}
					BgL_auxz00_7364 =
						BGl_unionz00zzliveness_setz00(BgL_arg2515z00_5027,
						BgL_arg2519z00_5028);
				}
				{
					obj_t BgL_auxz00_7358;

					{	/* Liveness/liveness.scm 962 */
						BgL_objectz00_bglt BgL_tmpz00_7359;

						BgL_tmpz00_7359 =
							((BgL_objectz00_bglt)
							((BgL_jumpzd2exzd2itz00_bglt) BgL_nz00_4631));
						BgL_auxz00_7358 = BGL_OBJECT_WIDENING(BgL_tmpz00_7359);
					}
					BgL_auxz00_7357 =
						((BgL_jumpzd2exzd2itzf2livenesszf2_bglt) BgL_auxz00_7358);
				}
				((((BgL_jumpzd2exzd2itzf2livenesszf2_bglt) COBJECT(BgL_auxz00_7357))->
						BgL_inz00) = ((obj_t) BgL_auxz00_7364), BUNSPEC);
			}
			{	/* Liveness/liveness.scm 963 */
				BgL_nodez00_bglt BgL_arg2522z00_5031;

				BgL_arg2522z00_5031 =
					(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
							((BgL_jumpzd2exzd2itz00_bglt)
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nz00_4631))))->BgL_valuez00);
				BGl_inoutz12z12zzliveness_livenessz00(BgL_arg2522z00_5031,
					BgL_oz00_4632);
			}
			{	/* Liveness/liveness.scm 964 */
				obj_t BgL_val0_1791z00_5032;
				obj_t BgL_val1_1792z00_5033;

				{
					BgL_jumpzd2exzd2itzf2livenesszf2_bglt BgL_auxz00_7396;

					{
						obj_t BgL_auxz00_7397;

						{	/* Liveness/liveness.scm 964 */
							BgL_objectz00_bglt BgL_tmpz00_7398;

							BgL_tmpz00_7398 =
								((BgL_objectz00_bglt)
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nz00_4631));
							BgL_auxz00_7397 = BGL_OBJECT_WIDENING(BgL_tmpz00_7398);
						}
						BgL_auxz00_7396 =
							((BgL_jumpzd2exzd2itzf2livenesszf2_bglt) BgL_auxz00_7397);
					}
					BgL_val0_1791z00_5032 =
						(((BgL_jumpzd2exzd2itzf2livenesszf2_bglt)
							COBJECT(BgL_auxz00_7396))->BgL_inz00);
				}
				{
					BgL_jumpzd2exzd2itzf2livenesszf2_bglt BgL_auxz00_7404;

					{
						obj_t BgL_auxz00_7405;

						{	/* Liveness/liveness.scm 964 */
							BgL_objectz00_bglt BgL_tmpz00_7406;

							BgL_tmpz00_7406 =
								((BgL_objectz00_bglt)
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nz00_4631));
							BgL_auxz00_7405 = BGL_OBJECT_WIDENING(BgL_tmpz00_7406);
						}
						BgL_auxz00_7404 =
							((BgL_jumpzd2exzd2itzf2livenesszf2_bglt) BgL_auxz00_7405);
					}
					BgL_val1_1792z00_5033 =
						(((BgL_jumpzd2exzd2itzf2livenesszf2_bglt)
							COBJECT(BgL_auxz00_7404))->BgL_outz00);
				}
				{	/* Liveness/liveness.scm 964 */
					int BgL_tmpz00_7412;

					BgL_tmpz00_7412 = (int) (2L);
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_7412);
				}
				{	/* Liveness/liveness.scm 964 */
					int BgL_tmpz00_7415;

					BgL_tmpz00_7415 = (int) (1L);
					BGL_MVALUES_VAL_SET(BgL_tmpz00_7415, BgL_val1_1792z00_5033);
				}
				return BgL_val0_1791z00_5032;
			}
		}

	}



/* &defuse-jump-ex-it/li2059 */
	obj_t BGl_z62defusezd2jumpzd2exzd2itzf2li2059z42zzliveness_livenessz00(obj_t
		BgL_envz00_4633, obj_t BgL_nz00_4634)
	{
		{	/* Liveness/liveness.scm 954 */
			{	/* Liveness/liveness.scm 956 */
				obj_t BgL_val0_1789z00_5035;
				obj_t BgL_val1_1790z00_5036;

				{
					BgL_jumpzd2exzd2itzf2livenesszf2_bglt BgL_auxz00_7418;

					{
						obj_t BgL_auxz00_7419;

						{	/* Liveness/liveness.scm 956 */
							BgL_objectz00_bglt BgL_tmpz00_7420;

							BgL_tmpz00_7420 =
								((BgL_objectz00_bglt)
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nz00_4634));
							BgL_auxz00_7419 = BGL_OBJECT_WIDENING(BgL_tmpz00_7420);
						}
						BgL_auxz00_7418 =
							((BgL_jumpzd2exzd2itzf2livenesszf2_bglt) BgL_auxz00_7419);
					}
					BgL_val0_1789z00_5035 =
						(((BgL_jumpzd2exzd2itzf2livenesszf2_bglt)
							COBJECT(BgL_auxz00_7418))->BgL_defz00);
				}
				{
					BgL_jumpzd2exzd2itzf2livenesszf2_bglt BgL_auxz00_7426;

					{
						obj_t BgL_auxz00_7427;

						{	/* Liveness/liveness.scm 956 */
							BgL_objectz00_bglt BgL_tmpz00_7428;

							BgL_tmpz00_7428 =
								((BgL_objectz00_bglt)
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nz00_4634));
							BgL_auxz00_7427 = BGL_OBJECT_WIDENING(BgL_tmpz00_7428);
						}
						BgL_auxz00_7426 =
							((BgL_jumpzd2exzd2itzf2livenesszf2_bglt) BgL_auxz00_7427);
					}
					BgL_val1_1790z00_5036 =
						(((BgL_jumpzd2exzd2itzf2livenesszf2_bglt)
							COBJECT(BgL_auxz00_7426))->BgL_usez00);
				}
				{	/* Liveness/liveness.scm 956 */
					int BgL_tmpz00_7434;

					BgL_tmpz00_7434 = (int) (2L);
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_7434);
				}
				{	/* Liveness/liveness.scm 956 */
					int BgL_tmpz00_7437;

					BgL_tmpz00_7437 = (int) (1L);
					BGL_MVALUES_VAL_SET(BgL_tmpz00_7437, BgL_val1_1790z00_5036);
				}
				return BgL_val0_1789z00_5035;
			}
		}

	}



/* &defuse-jump-ex-it2057 */
	obj_t BGl_z62defusezd2jumpzd2exzd2it2057zb0zzliveness_livenessz00(obj_t
		BgL_envz00_4635, obj_t BgL_nz00_4636)
	{
		{	/* Liveness/liveness.scm 943 */
			{	/* Liveness/liveness.scm 945 */
				obj_t BgL_defexitz00_5038;

				BgL_defexitz00_5038 =
					BGl_defusez00zzliveness_livenessz00(
					(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nz00_4636)))->BgL_exitz00));
				{	/* Liveness/liveness.scm 946 */
					obj_t BgL_useexitz00_5039;

					{	/* Liveness/liveness.scm 947 */
						obj_t BgL_tmpz00_5040;

						{	/* Liveness/liveness.scm 947 */
							int BgL_tmpz00_7443;

							BgL_tmpz00_7443 = (int) (1L);
							BgL_tmpz00_5040 = BGL_MVALUES_VAL(BgL_tmpz00_7443);
						}
						{	/* Liveness/liveness.scm 947 */
							int BgL_tmpz00_7446;

							BgL_tmpz00_7446 = (int) (1L);
							BGL_MVALUES_VAL_SET(BgL_tmpz00_7446, BUNSPEC);
						}
						BgL_useexitz00_5039 = BgL_tmpz00_5040;
					}
					{	/* Liveness/liveness.scm 947 */
						obj_t BgL_defvaluez00_5041;

						BgL_defvaluez00_5041 =
							BGl_defusez00zzliveness_livenessz00(
							(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
										((BgL_jumpzd2exzd2itz00_bglt) BgL_nz00_4636)))->
								BgL_valuez00));
						{	/* Liveness/liveness.scm 948 */
							obj_t BgL_usevaluez00_5042;

							{	/* Liveness/liveness.scm 949 */
								obj_t BgL_tmpz00_5043;

								{	/* Liveness/liveness.scm 949 */
									int BgL_tmpz00_7452;

									BgL_tmpz00_7452 = (int) (1L);
									BgL_tmpz00_5043 = BGL_MVALUES_VAL(BgL_tmpz00_7452);
								}
								{	/* Liveness/liveness.scm 949 */
									int BgL_tmpz00_7455;

									BgL_tmpz00_7455 = (int) (1L);
									BGL_MVALUES_VAL_SET(BgL_tmpz00_7455, BUNSPEC);
								}
								BgL_usevaluez00_5042 = BgL_tmpz00_5043;
							}
							{	/* Liveness/liveness.scm 950 */
								BgL_jumpzd2exzd2itz00_bglt BgL_arg2509z00_5044;

								{	/* Liveness/liveness.scm 950 */
									BgL_jumpzd2exzd2itzf2livenesszf2_bglt BgL_wide1389z00_5045;

									BgL_wide1389z00_5045 =
										((BgL_jumpzd2exzd2itzf2livenesszf2_bglt)
										BOBJECT(GC_MALLOC(sizeof(struct
													BgL_jumpzd2exzd2itzf2livenesszf2_bgl))));
									{	/* Liveness/liveness.scm 950 */
										obj_t BgL_auxz00_7463;
										BgL_objectz00_bglt BgL_tmpz00_7459;

										BgL_auxz00_7463 = ((obj_t) BgL_wide1389z00_5045);
										BgL_tmpz00_7459 =
											((BgL_objectz00_bglt)
											((BgL_jumpzd2exzd2itz00_bglt)
												((BgL_jumpzd2exzd2itz00_bglt) BgL_nz00_4636)));
										BGL_OBJECT_WIDENING_SET(BgL_tmpz00_7459, BgL_auxz00_7463);
									}
									((BgL_objectz00_bglt)
										((BgL_jumpzd2exzd2itz00_bglt)
											((BgL_jumpzd2exzd2itz00_bglt) BgL_nz00_4636)));
									{	/* Liveness/liveness.scm 950 */
										long BgL_arg2510z00_5046;

										BgL_arg2510z00_5046 =
											BGL_CLASS_NUM
											(BGl_jumpzd2exzd2itzf2livenesszf2zzliveness_typesz00);
										BGL_OBJECT_CLASS_NUM_SET(((BgL_objectz00_bglt) (
													(BgL_jumpzd2exzd2itz00_bglt) (
														(BgL_jumpzd2exzd2itz00_bglt) BgL_nz00_4636))),
											BgL_arg2510z00_5046);
									}
									((BgL_jumpzd2exzd2itz00_bglt)
										((BgL_jumpzd2exzd2itz00_bglt)
											((BgL_jumpzd2exzd2itz00_bglt) BgL_nz00_4636)));
								}
								{
									BgL_jumpzd2exzd2itzf2livenesszf2_bglt BgL_auxz00_7477;

									{
										obj_t BgL_auxz00_7478;

										{	/* Liveness/liveness.scm 951 */
											BgL_objectz00_bglt BgL_tmpz00_7479;

											BgL_tmpz00_7479 =
												((BgL_objectz00_bglt)
												((BgL_jumpzd2exzd2itz00_bglt)
													((BgL_jumpzd2exzd2itz00_bglt) BgL_nz00_4636)));
											BgL_auxz00_7478 = BGL_OBJECT_WIDENING(BgL_tmpz00_7479);
										}
										BgL_auxz00_7477 =
											((BgL_jumpzd2exzd2itzf2livenesszf2_bglt) BgL_auxz00_7478);
									}
									((((BgL_jumpzd2exzd2itzf2livenesszf2_bglt)
												COBJECT(BgL_auxz00_7477))->BgL_defz00) =
										((obj_t) BGl_unionz00zzliveness_setz00(BgL_defexitz00_5038,
												BgL_defvaluez00_5041)), BUNSPEC);
								}
								{
									BgL_jumpzd2exzd2itzf2livenesszf2_bglt BgL_auxz00_7487;

									{
										obj_t BgL_auxz00_7488;

										{	/* Liveness/liveness.scm 952 */
											BgL_objectz00_bglt BgL_tmpz00_7489;

											BgL_tmpz00_7489 =
												((BgL_objectz00_bglt)
												((BgL_jumpzd2exzd2itz00_bglt)
													((BgL_jumpzd2exzd2itz00_bglt) BgL_nz00_4636)));
											BgL_auxz00_7488 = BGL_OBJECT_WIDENING(BgL_tmpz00_7489);
										}
										BgL_auxz00_7487 =
											((BgL_jumpzd2exzd2itzf2livenesszf2_bglt) BgL_auxz00_7488);
									}
									((((BgL_jumpzd2exzd2itzf2livenesszf2_bglt)
												COBJECT(BgL_auxz00_7487))->BgL_usez00) =
										((obj_t) BGl_unionz00zzliveness_setz00(BgL_useexitz00_5039,
												BgL_usevaluez00_5042)), BUNSPEC);
								}
								{
									BgL_jumpzd2exzd2itzf2livenesszf2_bglt BgL_auxz00_7497;

									{
										obj_t BgL_auxz00_7498;

										{	/* Liveness/liveness.scm 948 */
											BgL_objectz00_bglt BgL_tmpz00_7499;

											BgL_tmpz00_7499 =
												((BgL_objectz00_bglt)
												((BgL_jumpzd2exzd2itz00_bglt)
													((BgL_jumpzd2exzd2itz00_bglt) BgL_nz00_4636)));
											BgL_auxz00_7498 = BGL_OBJECT_WIDENING(BgL_tmpz00_7499);
										}
										BgL_auxz00_7497 =
											((BgL_jumpzd2exzd2itzf2livenesszf2_bglt) BgL_auxz00_7498);
									}
									((((BgL_jumpzd2exzd2itzf2livenesszf2_bglt)
												COBJECT(BgL_auxz00_7497))->BgL_inz00) =
										((obj_t) BNIL), BUNSPEC);
								}
								{
									BgL_jumpzd2exzd2itzf2livenesszf2_bglt BgL_auxz00_7506;

									{
										obj_t BgL_auxz00_7507;

										{	/* Liveness/liveness.scm 948 */
											BgL_objectz00_bglt BgL_tmpz00_7508;

											BgL_tmpz00_7508 =
												((BgL_objectz00_bglt)
												((BgL_jumpzd2exzd2itz00_bglt)
													((BgL_jumpzd2exzd2itz00_bglt) BgL_nz00_4636)));
											BgL_auxz00_7507 = BGL_OBJECT_WIDENING(BgL_tmpz00_7508);
										}
										BgL_auxz00_7506 =
											((BgL_jumpzd2exzd2itzf2livenesszf2_bglt) BgL_auxz00_7507);
									}
									((((BgL_jumpzd2exzd2itzf2livenesszf2_bglt)
												COBJECT(BgL_auxz00_7506))->BgL_outz00) =
										((obj_t) BNIL), BUNSPEC);
								}
								BgL_arg2509z00_5044 =
									((BgL_jumpzd2exzd2itz00_bglt)
									((BgL_jumpzd2exzd2itz00_bglt) BgL_nz00_4636));
								return
									BGl_defusez00zzliveness_livenessz00(
									((BgL_nodez00_bglt) BgL_arg2509z00_5044));
							}
						}
					}
				}
			}
		}

	}



/* &inout-set-ex-it/live2055 */
	obj_t BGl_z62inoutzd2setzd2exzd2itzf2live2055z42zzliveness_livenessz00(obj_t
		BgL_envz00_4637, obj_t BgL_nz00_4638)
	{
		{	/* Liveness/liveness.scm 936 */
			{	/* Liveness/liveness.scm 938 */
				obj_t BgL_val0_1787z00_5048;
				obj_t BgL_val1_1788z00_5049;

				{
					BgL_setzd2exzd2itzf2livenesszf2_bglt BgL_auxz00_7519;

					{
						obj_t BgL_auxz00_7520;

						{	/* Liveness/liveness.scm 938 */
							BgL_objectz00_bglt BgL_tmpz00_7521;

							BgL_tmpz00_7521 =
								((BgL_objectz00_bglt)
								((BgL_setzd2exzd2itz00_bglt) BgL_nz00_4638));
							BgL_auxz00_7520 = BGL_OBJECT_WIDENING(BgL_tmpz00_7521);
						}
						BgL_auxz00_7519 =
							((BgL_setzd2exzd2itzf2livenesszf2_bglt) BgL_auxz00_7520);
					}
					BgL_val0_1787z00_5048 =
						(((BgL_setzd2exzd2itzf2livenesszf2_bglt) COBJECT(BgL_auxz00_7519))->
						BgL_inz00);
				}
				{
					BgL_setzd2exzd2itzf2livenesszf2_bglt BgL_auxz00_7527;

					{
						obj_t BgL_auxz00_7528;

						{	/* Liveness/liveness.scm 938 */
							BgL_objectz00_bglt BgL_tmpz00_7529;

							BgL_tmpz00_7529 =
								((BgL_objectz00_bglt)
								((BgL_setzd2exzd2itz00_bglt) BgL_nz00_4638));
							BgL_auxz00_7528 = BGL_OBJECT_WIDENING(BgL_tmpz00_7529);
						}
						BgL_auxz00_7527 =
							((BgL_setzd2exzd2itzf2livenesszf2_bglt) BgL_auxz00_7528);
					}
					BgL_val1_1788z00_5049 =
						(((BgL_setzd2exzd2itzf2livenesszf2_bglt) COBJECT(BgL_auxz00_7527))->
						BgL_outz00);
				}
				{	/* Liveness/liveness.scm 938 */
					int BgL_tmpz00_7535;

					BgL_tmpz00_7535 = (int) (2L);
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_7535);
				}
				{	/* Liveness/liveness.scm 938 */
					int BgL_tmpz00_7538;

					BgL_tmpz00_7538 = (int) (1L);
					BGL_MVALUES_VAL_SET(BgL_tmpz00_7538, BgL_val1_1788z00_5049);
				}
				return BgL_val0_1787z00_5048;
			}
		}

	}



/* &inout!-set-ex-it/liv2053 */
	obj_t BGl_z62inoutz12zd2setzd2exzd2itzf2liv2053z50zzliveness_livenessz00(obj_t
		BgL_envz00_4639, obj_t BgL_nz00_4640, obj_t BgL_oz00_4641)
	{
		{	/* Liveness/liveness.scm 928 */
			{
				BgL_setzd2exzd2itzf2livenesszf2_bglt BgL_auxz00_7541;

				{
					obj_t BgL_auxz00_7542;

					{	/* Liveness/liveness.scm 931 */
						BgL_objectz00_bglt BgL_tmpz00_7543;

						BgL_tmpz00_7543 =
							((BgL_objectz00_bglt)
							((BgL_setzd2exzd2itz00_bglt) BgL_nz00_4640));
						BgL_auxz00_7542 = BGL_OBJECT_WIDENING(BgL_tmpz00_7543);
					}
					BgL_auxz00_7541 =
						((BgL_setzd2exzd2itzf2livenesszf2_bglt) BgL_auxz00_7542);
				}
				((((BgL_setzd2exzd2itzf2livenesszf2_bglt) COBJECT(BgL_auxz00_7541))->
						BgL_outz00) = ((obj_t) BgL_oz00_4641), BUNSPEC);
			}
			{
				obj_t BgL_auxz00_7556;
				BgL_setzd2exzd2itzf2livenesszf2_bglt BgL_auxz00_7549;

				{	/* Liveness/liveness.scm 932 */
					obj_t BgL_arg2503z00_5051;
					obj_t BgL_arg2504z00_5052;

					{
						BgL_setzd2exzd2itzf2livenesszf2_bglt BgL_auxz00_7557;

						{
							obj_t BgL_auxz00_7558;

							{	/* Liveness/liveness.scm 932 */
								BgL_objectz00_bglt BgL_tmpz00_7559;

								BgL_tmpz00_7559 =
									((BgL_objectz00_bglt)
									((BgL_setzd2exzd2itz00_bglt) BgL_nz00_4640));
								BgL_auxz00_7558 = BGL_OBJECT_WIDENING(BgL_tmpz00_7559);
							}
							BgL_auxz00_7557 =
								((BgL_setzd2exzd2itzf2livenesszf2_bglt) BgL_auxz00_7558);
						}
						BgL_arg2503z00_5051 =
							(((BgL_setzd2exzd2itzf2livenesszf2_bglt)
								COBJECT(BgL_auxz00_7557))->BgL_usez00);
					}
					{	/* Liveness/liveness.scm 932 */
						obj_t BgL_arg2506z00_5053;
						obj_t BgL_arg2507z00_5054;

						{
							BgL_setzd2exzd2itzf2livenesszf2_bglt BgL_auxz00_7565;

							{
								obj_t BgL_auxz00_7566;

								{	/* Liveness/liveness.scm 932 */
									BgL_objectz00_bglt BgL_tmpz00_7567;

									BgL_tmpz00_7567 =
										((BgL_objectz00_bglt)
										((BgL_setzd2exzd2itz00_bglt) BgL_nz00_4640));
									BgL_auxz00_7566 = BGL_OBJECT_WIDENING(BgL_tmpz00_7567);
								}
								BgL_auxz00_7565 =
									((BgL_setzd2exzd2itzf2livenesszf2_bglt) BgL_auxz00_7566);
							}
							BgL_arg2506z00_5053 =
								(((BgL_setzd2exzd2itzf2livenesszf2_bglt)
									COBJECT(BgL_auxz00_7565))->BgL_outz00);
						}
						{
							BgL_setzd2exzd2itzf2livenesszf2_bglt BgL_auxz00_7573;

							{
								obj_t BgL_auxz00_7574;

								{	/* Liveness/liveness.scm 932 */
									BgL_objectz00_bglt BgL_tmpz00_7575;

									BgL_tmpz00_7575 =
										((BgL_objectz00_bglt)
										((BgL_setzd2exzd2itz00_bglt) BgL_nz00_4640));
									BgL_auxz00_7574 = BGL_OBJECT_WIDENING(BgL_tmpz00_7575);
								}
								BgL_auxz00_7573 =
									((BgL_setzd2exzd2itzf2livenesszf2_bglt) BgL_auxz00_7574);
							}
							BgL_arg2507z00_5054 =
								(((BgL_setzd2exzd2itzf2livenesszf2_bglt)
									COBJECT(BgL_auxz00_7573))->BgL_defz00);
						}
						BgL_arg2504z00_5052 =
							BGl_disjonctionz00zzliveness_setz00(BgL_arg2506z00_5053,
							BgL_arg2507z00_5054);
					}
					BgL_auxz00_7556 =
						BGl_unionz00zzliveness_setz00(BgL_arg2503z00_5051,
						BgL_arg2504z00_5052);
				}
				{
					obj_t BgL_auxz00_7550;

					{	/* Liveness/liveness.scm 932 */
						BgL_objectz00_bglt BgL_tmpz00_7551;

						BgL_tmpz00_7551 =
							((BgL_objectz00_bglt)
							((BgL_setzd2exzd2itz00_bglt) BgL_nz00_4640));
						BgL_auxz00_7550 = BGL_OBJECT_WIDENING(BgL_tmpz00_7551);
					}
					BgL_auxz00_7549 =
						((BgL_setzd2exzd2itzf2livenesszf2_bglt) BgL_auxz00_7550);
				}
				((((BgL_setzd2exzd2itzf2livenesszf2_bglt) COBJECT(BgL_auxz00_7549))->
						BgL_inz00) = ((obj_t) BgL_auxz00_7556), BUNSPEC);
			}
			{	/* Liveness/liveness.scm 933 */
				BgL_nodez00_bglt BgL_arg2508z00_5055;

				BgL_arg2508z00_5055 =
					(((BgL_setzd2exzd2itz00_bglt) COBJECT(
							((BgL_setzd2exzd2itz00_bglt)
								((BgL_setzd2exzd2itz00_bglt) BgL_nz00_4640))))->BgL_bodyz00);
				BGl_inoutz12z12zzliveness_livenessz00(BgL_arg2508z00_5055,
					BgL_oz00_4641);
			}
			{	/* Liveness/liveness.scm 934 */
				obj_t BgL_val0_1785z00_5056;
				obj_t BgL_val1_1786z00_5057;

				{
					BgL_setzd2exzd2itzf2livenesszf2_bglt BgL_auxz00_7588;

					{
						obj_t BgL_auxz00_7589;

						{	/* Liveness/liveness.scm 934 */
							BgL_objectz00_bglt BgL_tmpz00_7590;

							BgL_tmpz00_7590 =
								((BgL_objectz00_bglt)
								((BgL_setzd2exzd2itz00_bglt) BgL_nz00_4640));
							BgL_auxz00_7589 = BGL_OBJECT_WIDENING(BgL_tmpz00_7590);
						}
						BgL_auxz00_7588 =
							((BgL_setzd2exzd2itzf2livenesszf2_bglt) BgL_auxz00_7589);
					}
					BgL_val0_1785z00_5056 =
						(((BgL_setzd2exzd2itzf2livenesszf2_bglt) COBJECT(BgL_auxz00_7588))->
						BgL_inz00);
				}
				{
					BgL_setzd2exzd2itzf2livenesszf2_bglt BgL_auxz00_7596;

					{
						obj_t BgL_auxz00_7597;

						{	/* Liveness/liveness.scm 934 */
							BgL_objectz00_bglt BgL_tmpz00_7598;

							BgL_tmpz00_7598 =
								((BgL_objectz00_bglt)
								((BgL_setzd2exzd2itz00_bglt) BgL_nz00_4640));
							BgL_auxz00_7597 = BGL_OBJECT_WIDENING(BgL_tmpz00_7598);
						}
						BgL_auxz00_7596 =
							((BgL_setzd2exzd2itzf2livenesszf2_bglt) BgL_auxz00_7597);
					}
					BgL_val1_1786z00_5057 =
						(((BgL_setzd2exzd2itzf2livenesszf2_bglt) COBJECT(BgL_auxz00_7596))->
						BgL_outz00);
				}
				{	/* Liveness/liveness.scm 934 */
					int BgL_tmpz00_7604;

					BgL_tmpz00_7604 = (int) (2L);
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_7604);
				}
				{	/* Liveness/liveness.scm 934 */
					int BgL_tmpz00_7607;

					BgL_tmpz00_7607 = (int) (1L);
					BGL_MVALUES_VAL_SET(BgL_tmpz00_7607, BgL_val1_1786z00_5057);
				}
				return BgL_val0_1785z00_5056;
			}
		}

	}



/* &defuse-set-ex-it/liv2051 */
	obj_t BGl_z62defusezd2setzd2exzd2itzf2liv2051z42zzliveness_livenessz00(obj_t
		BgL_envz00_4642, obj_t BgL_nz00_4643)
	{
		{	/* Liveness/liveness.scm 924 */
			{	/* Liveness/liveness.scm 926 */
				obj_t BgL_val0_1783z00_5059;
				obj_t BgL_val1_1784z00_5060;

				{
					BgL_setzd2exzd2itzf2livenesszf2_bglt BgL_auxz00_7610;

					{
						obj_t BgL_auxz00_7611;

						{	/* Liveness/liveness.scm 926 */
							BgL_objectz00_bglt BgL_tmpz00_7612;

							BgL_tmpz00_7612 =
								((BgL_objectz00_bglt)
								((BgL_setzd2exzd2itz00_bglt) BgL_nz00_4643));
							BgL_auxz00_7611 = BGL_OBJECT_WIDENING(BgL_tmpz00_7612);
						}
						BgL_auxz00_7610 =
							((BgL_setzd2exzd2itzf2livenesszf2_bglt) BgL_auxz00_7611);
					}
					BgL_val0_1783z00_5059 =
						(((BgL_setzd2exzd2itzf2livenesszf2_bglt) COBJECT(BgL_auxz00_7610))->
						BgL_defz00);
				}
				{
					BgL_setzd2exzd2itzf2livenesszf2_bglt BgL_auxz00_7618;

					{
						obj_t BgL_auxz00_7619;

						{	/* Liveness/liveness.scm 926 */
							BgL_objectz00_bglt BgL_tmpz00_7620;

							BgL_tmpz00_7620 =
								((BgL_objectz00_bglt)
								((BgL_setzd2exzd2itz00_bglt) BgL_nz00_4643));
							BgL_auxz00_7619 = BGL_OBJECT_WIDENING(BgL_tmpz00_7620);
						}
						BgL_auxz00_7618 =
							((BgL_setzd2exzd2itzf2livenesszf2_bglt) BgL_auxz00_7619);
					}
					BgL_val1_1784z00_5060 =
						(((BgL_setzd2exzd2itzf2livenesszf2_bglt) COBJECT(BgL_auxz00_7618))->
						BgL_usez00);
				}
				{	/* Liveness/liveness.scm 926 */
					int BgL_tmpz00_7626;

					BgL_tmpz00_7626 = (int) (2L);
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_7626);
				}
				{	/* Liveness/liveness.scm 926 */
					int BgL_tmpz00_7629;

					BgL_tmpz00_7629 = (int) (1L);
					BGL_MVALUES_VAL_SET(BgL_tmpz00_7629, BgL_val1_1784z00_5060);
				}
				return BgL_val0_1783z00_5059;
			}
		}

	}



/* &defuse-set-ex-it2049 */
	obj_t BGl_z62defusezd2setzd2exzd2it2049zb0zzliveness_livenessz00(obj_t
		BgL_envz00_4644, obj_t BgL_nz00_4645)
	{
		{	/* Liveness/liveness.scm 909 */
			{	/* Liveness/liveness.scm 911 */
				BgL_varz00_bglt BgL_i1374z00_5062;

				BgL_i1374z00_5062 =
					(((BgL_setzd2exzd2itz00_bglt) COBJECT(
							((BgL_setzd2exzd2itz00_bglt) BgL_nz00_4645)))->BgL_varz00);
				{	/* Liveness/liveness.scm 912 */
					BgL_localz00_bglt BgL_tmp1375z00_5063;

					BgL_tmp1375z00_5063 =
						((BgL_localz00_bglt)
						(((BgL_varz00_bglt) COBJECT(BgL_i1374z00_5062))->BgL_variablez00));
					{	/* Liveness/liveness.scm 912 */
						BgL_localzf2livenesszf2_bglt BgL_wide1377z00_5064;

						BgL_wide1377z00_5064 =
							((BgL_localzf2livenesszf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_localzf2livenesszf2_bgl))));
						{	/* Liveness/liveness.scm 912 */
							obj_t BgL_auxz00_7640;
							BgL_objectz00_bglt BgL_tmpz00_7637;

							BgL_auxz00_7640 = ((obj_t) BgL_wide1377z00_5064);
							BgL_tmpz00_7637 =
								((BgL_objectz00_bglt)
								((BgL_localz00_bglt) BgL_tmp1375z00_5063));
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_7637, BgL_auxz00_7640);
						}
						((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_tmp1375z00_5063));
						{	/* Liveness/liveness.scm 912 */
							long BgL_arg2493z00_5065;

							BgL_arg2493z00_5065 =
								BGL_CLASS_NUM(BGl_localzf2livenesszf2zzliveness_typesz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt)
									((BgL_localz00_bglt) BgL_tmp1375z00_5063)),
								BgL_arg2493z00_5065);
						}
						((BgL_localz00_bglt) ((BgL_localz00_bglt) BgL_tmp1375z00_5063));
					}
					{
						BgL_localzf2livenesszf2_bglt BgL_auxz00_7651;

						{
							obj_t BgL_auxz00_7652;

							{	/* Liveness/liveness.scm 912 */
								BgL_objectz00_bglt BgL_tmpz00_7653;

								BgL_tmpz00_7653 =
									((BgL_objectz00_bglt)
									((BgL_localz00_bglt) BgL_tmp1375z00_5063));
								BgL_auxz00_7652 = BGL_OBJECT_WIDENING(BgL_tmpz00_7653);
							}
							BgL_auxz00_7651 =
								((BgL_localzf2livenesszf2_bglt) BgL_auxz00_7652);
						}
						((((BgL_localzf2livenesszf2_bglt) COBJECT(BgL_auxz00_7651))->
								BgL_z52countz52) = ((int) (int) (0L)), BUNSPEC);
					}
					((BgL_localz00_bglt) BgL_tmp1375z00_5063);
			}}
			{	/* Liveness/liveness.scm 913 */
				obj_t BgL_defvarz00_5066;

				{	/* Liveness/liveness.scm 914 */
					BgL_varz00_bglt BgL_arg2502z00_5067;

					BgL_arg2502z00_5067 =
						(((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nz00_4645)))->BgL_varz00);
					BgL_defvarz00_5066 =
						BGl_defusez00zzliveness_livenessz00(
						((BgL_nodez00_bglt) BgL_arg2502z00_5067));
				}
				{	/* Liveness/liveness.scm 914 */
					obj_t BgL_usevarz00_5068;

					{	/* Liveness/liveness.scm 915 */
						obj_t BgL_tmpz00_5069;

						{	/* Liveness/liveness.scm 915 */
							int BgL_tmpz00_7665;

							BgL_tmpz00_7665 = (int) (1L);
							BgL_tmpz00_5069 = BGL_MVALUES_VAL(BgL_tmpz00_7665);
						}
						{	/* Liveness/liveness.scm 915 */
							int BgL_tmpz00_7668;

							BgL_tmpz00_7668 = (int) (1L);
							BGL_MVALUES_VAL_SET(BgL_tmpz00_7668, BUNSPEC);
						}
						BgL_usevarz00_5068 = BgL_tmpz00_5069;
					}
					{	/* Liveness/liveness.scm 915 */
						obj_t BgL_defbodyz00_5070;

						BgL_defbodyz00_5070 =
							BGl_defusez00zzliveness_livenessz00(
							(((BgL_setzd2exzd2itz00_bglt) COBJECT(
										((BgL_setzd2exzd2itz00_bglt) BgL_nz00_4645)))->
								BgL_bodyz00));
						{	/* Liveness/liveness.scm 916 */
							obj_t BgL_usebodyz00_5071;

							{	/* Liveness/liveness.scm 917 */
								obj_t BgL_tmpz00_5072;

								{	/* Liveness/liveness.scm 917 */
									int BgL_tmpz00_7674;

									BgL_tmpz00_7674 = (int) (1L);
									BgL_tmpz00_5072 = BGL_MVALUES_VAL(BgL_tmpz00_7674);
								}
								{	/* Liveness/liveness.scm 917 */
									int BgL_tmpz00_7677;

									BgL_tmpz00_7677 = (int) (1L);
									BGL_MVALUES_VAL_SET(BgL_tmpz00_7677, BUNSPEC);
								}
								BgL_usebodyz00_5071 = BgL_tmpz00_5072;
							}
							{	/* Liveness/liveness.scm 917 */
								obj_t BgL_defonxz00_5073;

								BgL_defonxz00_5073 =
									BGl_defusez00zzliveness_livenessz00(
									(((BgL_setzd2exzd2itz00_bglt) COBJECT(
												((BgL_setzd2exzd2itz00_bglt) BgL_nz00_4645)))->
										BgL_onexitz00));
								{	/* Liveness/liveness.scm 918 */
									obj_t BgL_useonxz00_5074;

									{	/* Liveness/liveness.scm 919 */
										obj_t BgL_tmpz00_5075;

										{	/* Liveness/liveness.scm 919 */
											int BgL_tmpz00_7683;

											BgL_tmpz00_7683 = (int) (1L);
											BgL_tmpz00_5075 = BGL_MVALUES_VAL(BgL_tmpz00_7683);
										}
										{	/* Liveness/liveness.scm 919 */
											int BgL_tmpz00_7686;

											BgL_tmpz00_7686 = (int) (1L);
											BGL_MVALUES_VAL_SET(BgL_tmpz00_7686, BUNSPEC);
										}
										BgL_useonxz00_5074 = BgL_tmpz00_5075;
									}
									{	/* Liveness/liveness.scm 920 */
										BgL_setzd2exzd2itz00_bglt BgL_arg2495z00_5076;

										{	/* Liveness/liveness.scm 920 */
											BgL_setzd2exzd2itzf2livenesszf2_bglt BgL_wide1381z00_5077;

											BgL_wide1381z00_5077 =
												((BgL_setzd2exzd2itzf2livenesszf2_bglt)
												BOBJECT(GC_MALLOC(sizeof(struct
															BgL_setzd2exzd2itzf2livenesszf2_bgl))));
											{	/* Liveness/liveness.scm 920 */
												obj_t BgL_auxz00_7694;
												BgL_objectz00_bglt BgL_tmpz00_7690;

												BgL_auxz00_7694 = ((obj_t) BgL_wide1381z00_5077);
												BgL_tmpz00_7690 =
													((BgL_objectz00_bglt)
													((BgL_setzd2exzd2itz00_bglt)
														((BgL_setzd2exzd2itz00_bglt) BgL_nz00_4645)));
												BGL_OBJECT_WIDENING_SET(BgL_tmpz00_7690,
													BgL_auxz00_7694);
											}
											((BgL_objectz00_bglt)
												((BgL_setzd2exzd2itz00_bglt)
													((BgL_setzd2exzd2itz00_bglt) BgL_nz00_4645)));
											{	/* Liveness/liveness.scm 920 */
												long BgL_arg2496z00_5078;

												BgL_arg2496z00_5078 =
													BGL_CLASS_NUM
													(BGl_setzd2exzd2itzf2livenesszf2zzliveness_typesz00);
												BGL_OBJECT_CLASS_NUM_SET(((BgL_objectz00_bglt) (
															(BgL_setzd2exzd2itz00_bglt) (
																(BgL_setzd2exzd2itz00_bglt) BgL_nz00_4645))),
													BgL_arg2496z00_5078);
											}
											((BgL_setzd2exzd2itz00_bglt)
												((BgL_setzd2exzd2itz00_bglt)
													((BgL_setzd2exzd2itz00_bglt) BgL_nz00_4645)));
										}
										{
											obj_t BgL_auxz00_7716;
											BgL_setzd2exzd2itzf2livenesszf2_bglt BgL_auxz00_7708;

											{	/* Liveness/liveness.scm 921 */
												obj_t BgL_arg2497z00_5079;

												BgL_arg2497z00_5079 =
													BGl_intersectionz00zzliveness_setz00
													(BgL_defbodyz00_5070, BgL_defonxz00_5073);
												BgL_auxz00_7716 =
													BGl_unionz00zzliveness_setz00(BgL_defvarz00_5066,
													BgL_arg2497z00_5079);
											}
											{
												obj_t BgL_auxz00_7709;

												{	/* Liveness/liveness.scm 921 */
													BgL_objectz00_bglt BgL_tmpz00_7710;

													BgL_tmpz00_7710 =
														((BgL_objectz00_bglt)
														((BgL_setzd2exzd2itz00_bglt)
															((BgL_setzd2exzd2itz00_bglt) BgL_nz00_4645)));
													BgL_auxz00_7709 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_7710);
												}
												BgL_auxz00_7708 =
													((BgL_setzd2exzd2itzf2livenesszf2_bglt)
													BgL_auxz00_7709);
											}
											((((BgL_setzd2exzd2itzf2livenesszf2_bglt)
														COBJECT(BgL_auxz00_7708))->BgL_defz00) =
												((obj_t) BgL_auxz00_7716), BUNSPEC);
										}
										{
											obj_t BgL_auxz00_7728;
											BgL_setzd2exzd2itzf2livenesszf2_bglt BgL_auxz00_7720;

											{	/* Liveness/liveness.scm 922 */
												obj_t BgL_arg2498z00_5080;

												{	/* Liveness/liveness.scm 922 */
													obj_t BgL_arg2499z00_5081;

													BgL_arg2499z00_5081 =
														BGl_unionz00zzliveness_setz00(BgL_usebodyz00_5071,
														BgL_useonxz00_5074);
													BgL_arg2498z00_5080 =
														BGl_disjonctionz00zzliveness_setz00
														(BgL_arg2499z00_5081, BgL_defvarz00_5066);
												}
												BgL_auxz00_7728 =
													BGl_unionz00zzliveness_setz00(BgL_usevarz00_5068,
													BgL_arg2498z00_5080);
											}
											{
												obj_t BgL_auxz00_7721;

												{	/* Liveness/liveness.scm 922 */
													BgL_objectz00_bglt BgL_tmpz00_7722;

													BgL_tmpz00_7722 =
														((BgL_objectz00_bglt)
														((BgL_setzd2exzd2itz00_bglt)
															((BgL_setzd2exzd2itz00_bglt) BgL_nz00_4645)));
													BgL_auxz00_7721 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_7722);
												}
												BgL_auxz00_7720 =
													((BgL_setzd2exzd2itzf2livenesszf2_bglt)
													BgL_auxz00_7721);
											}
											((((BgL_setzd2exzd2itzf2livenesszf2_bglt)
														COBJECT(BgL_auxz00_7720))->BgL_usez00) =
												((obj_t) BgL_auxz00_7728), BUNSPEC);
										}
										{
											BgL_setzd2exzd2itzf2livenesszf2_bglt BgL_auxz00_7733;

											{
												obj_t BgL_auxz00_7734;

												{	/* Liveness/liveness.scm 918 */
													BgL_objectz00_bglt BgL_tmpz00_7735;

													BgL_tmpz00_7735 =
														((BgL_objectz00_bglt)
														((BgL_setzd2exzd2itz00_bglt)
															((BgL_setzd2exzd2itz00_bglt) BgL_nz00_4645)));
													BgL_auxz00_7734 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_7735);
												}
												BgL_auxz00_7733 =
													((BgL_setzd2exzd2itzf2livenesszf2_bglt)
													BgL_auxz00_7734);
											}
											((((BgL_setzd2exzd2itzf2livenesszf2_bglt)
														COBJECT(BgL_auxz00_7733))->BgL_inz00) =
												((obj_t) BNIL), BUNSPEC);
										}
										{
											BgL_setzd2exzd2itzf2livenesszf2_bglt BgL_auxz00_7742;

											{
												obj_t BgL_auxz00_7743;

												{	/* Liveness/liveness.scm 918 */
													BgL_objectz00_bglt BgL_tmpz00_7744;

													BgL_tmpz00_7744 =
														((BgL_objectz00_bglt)
														((BgL_setzd2exzd2itz00_bglt)
															((BgL_setzd2exzd2itz00_bglt) BgL_nz00_4645)));
													BgL_auxz00_7743 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_7744);
												}
												BgL_auxz00_7742 =
													((BgL_setzd2exzd2itzf2livenesszf2_bglt)
													BgL_auxz00_7743);
											}
											((((BgL_setzd2exzd2itzf2livenesszf2_bglt)
														COBJECT(BgL_auxz00_7742))->BgL_outz00) =
												((obj_t) BNIL), BUNSPEC);
										}
										BgL_arg2495z00_5076 =
											((BgL_setzd2exzd2itz00_bglt)
											((BgL_setzd2exzd2itz00_bglt) BgL_nz00_4645));
										return
											BGl_defusez00zzliveness_livenessz00(
											((BgL_nodez00_bglt) BgL_arg2495z00_5076));
									}
								}
							}
						}
					}
				}
			}
		}

	}



/* &inout-let-var/livene2047 */
	obj_t BGl_z62inoutzd2letzd2varzf2livene2047z90zzliveness_livenessz00(obj_t
		BgL_envz00_4646, obj_t BgL_nz00_4647)
	{
		{	/* Liveness/liveness.scm 902 */
			{	/* Liveness/liveness.scm 904 */
				obj_t BgL_val0_1781z00_5083;
				obj_t BgL_val1_1782z00_5084;

				{
					BgL_letzd2varzf2livenessz20_bglt BgL_auxz00_7755;

					{
						obj_t BgL_auxz00_7756;

						{	/* Liveness/liveness.scm 904 */
							BgL_objectz00_bglt BgL_tmpz00_7757;

							BgL_tmpz00_7757 =
								((BgL_objectz00_bglt) ((BgL_letzd2varzd2_bglt) BgL_nz00_4647));
							BgL_auxz00_7756 = BGL_OBJECT_WIDENING(BgL_tmpz00_7757);
						}
						BgL_auxz00_7755 =
							((BgL_letzd2varzf2livenessz20_bglt) BgL_auxz00_7756);
					}
					BgL_val0_1781z00_5083 =
						(((BgL_letzd2varzf2livenessz20_bglt) COBJECT(BgL_auxz00_7755))->
						BgL_inz00);
				}
				{
					BgL_letzd2varzf2livenessz20_bglt BgL_auxz00_7763;

					{
						obj_t BgL_auxz00_7764;

						{	/* Liveness/liveness.scm 904 */
							BgL_objectz00_bglt BgL_tmpz00_7765;

							BgL_tmpz00_7765 =
								((BgL_objectz00_bglt) ((BgL_letzd2varzd2_bglt) BgL_nz00_4647));
							BgL_auxz00_7764 = BGL_OBJECT_WIDENING(BgL_tmpz00_7765);
						}
						BgL_auxz00_7763 =
							((BgL_letzd2varzf2livenessz20_bglt) BgL_auxz00_7764);
					}
					BgL_val1_1782z00_5084 =
						(((BgL_letzd2varzf2livenessz20_bglt) COBJECT(BgL_auxz00_7763))->
						BgL_outz00);
				}
				{	/* Liveness/liveness.scm 904 */
					int BgL_tmpz00_7771;

					BgL_tmpz00_7771 = (int) (2L);
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_7771);
				}
				{	/* Liveness/liveness.scm 904 */
					int BgL_tmpz00_7774;

					BgL_tmpz00_7774 = (int) (1L);
					BGL_MVALUES_VAL_SET(BgL_tmpz00_7774, BgL_val1_1782z00_5084);
				}
				return BgL_val0_1781z00_5083;
			}
		}

	}



/* &inout!-let-var/liven2045 */
	obj_t BGl_z62inoutz12zd2letzd2varzf2liven2045z82zzliveness_livenessz00(obj_t
		BgL_envz00_4648, obj_t BgL_nz00_4649, obj_t BgL_oz00_4650)
	{
		{	/* Liveness/liveness.scm 887 */
			{
				BgL_letzd2varzf2livenessz20_bglt BgL_auxz00_7777;

				{
					obj_t BgL_auxz00_7778;

					{	/* Liveness/liveness.scm 891 */
						BgL_objectz00_bglt BgL_tmpz00_7779;

						BgL_tmpz00_7779 =
							((BgL_objectz00_bglt) ((BgL_letzd2varzd2_bglt) BgL_nz00_4649));
						BgL_auxz00_7778 = BGL_OBJECT_WIDENING(BgL_tmpz00_7779);
					}
					BgL_auxz00_7777 =
						((BgL_letzd2varzf2livenessz20_bglt) BgL_auxz00_7778);
				}
				((((BgL_letzd2varzf2livenessz20_bglt) COBJECT(BgL_auxz00_7777))->
						BgL_outz00) = ((obj_t) BgL_oz00_4650), BUNSPEC);
			}
			{
				obj_t BgL_auxz00_7792;
				BgL_letzd2varzf2livenessz20_bglt BgL_auxz00_7785;

				{	/* Liveness/liveness.scm 892 */
					obj_t BgL_arg2480z00_5086;
					obj_t BgL_arg2481z00_5087;

					{
						BgL_letzd2varzf2livenessz20_bglt BgL_auxz00_7793;

						{
							obj_t BgL_auxz00_7794;

							{	/* Liveness/liveness.scm 892 */
								BgL_objectz00_bglt BgL_tmpz00_7795;

								BgL_tmpz00_7795 =
									((BgL_objectz00_bglt)
									((BgL_letzd2varzd2_bglt) BgL_nz00_4649));
								BgL_auxz00_7794 = BGL_OBJECT_WIDENING(BgL_tmpz00_7795);
							}
							BgL_auxz00_7793 =
								((BgL_letzd2varzf2livenessz20_bglt) BgL_auxz00_7794);
						}
						BgL_arg2480z00_5086 =
							(((BgL_letzd2varzf2livenessz20_bglt) COBJECT(BgL_auxz00_7793))->
							BgL_usez00);
					}
					{	/* Liveness/liveness.scm 892 */
						obj_t BgL_arg2482z00_5088;
						obj_t BgL_arg2485z00_5089;

						{
							BgL_letzd2varzf2livenessz20_bglt BgL_auxz00_7801;

							{
								obj_t BgL_auxz00_7802;

								{	/* Liveness/liveness.scm 892 */
									BgL_objectz00_bglt BgL_tmpz00_7803;

									BgL_tmpz00_7803 =
										((BgL_objectz00_bglt)
										((BgL_letzd2varzd2_bglt) BgL_nz00_4649));
									BgL_auxz00_7802 = BGL_OBJECT_WIDENING(BgL_tmpz00_7803);
								}
								BgL_auxz00_7801 =
									((BgL_letzd2varzf2livenessz20_bglt) BgL_auxz00_7802);
							}
							BgL_arg2482z00_5088 =
								(((BgL_letzd2varzf2livenessz20_bglt) COBJECT(BgL_auxz00_7801))->
								BgL_outz00);
						}
						{
							BgL_letzd2varzf2livenessz20_bglt BgL_auxz00_7809;

							{
								obj_t BgL_auxz00_7810;

								{	/* Liveness/liveness.scm 892 */
									BgL_objectz00_bglt BgL_tmpz00_7811;

									BgL_tmpz00_7811 =
										((BgL_objectz00_bglt)
										((BgL_letzd2varzd2_bglt) BgL_nz00_4649));
									BgL_auxz00_7810 = BGL_OBJECT_WIDENING(BgL_tmpz00_7811);
								}
								BgL_auxz00_7809 =
									((BgL_letzd2varzf2livenessz20_bglt) BgL_auxz00_7810);
							}
							BgL_arg2485z00_5089 =
								(((BgL_letzd2varzf2livenessz20_bglt) COBJECT(BgL_auxz00_7809))->
								BgL_defz00);
						}
						BgL_arg2481z00_5087 =
							BGl_disjonctionz00zzliveness_setz00(BgL_arg2482z00_5088,
							BgL_arg2485z00_5089);
					}
					BgL_auxz00_7792 =
						BGl_unionz00zzliveness_setz00(BgL_arg2480z00_5086,
						BgL_arg2481z00_5087);
				}
				{
					obj_t BgL_auxz00_7786;

					{	/* Liveness/liveness.scm 892 */
						BgL_objectz00_bglt BgL_tmpz00_7787;

						BgL_tmpz00_7787 =
							((BgL_objectz00_bglt) ((BgL_letzd2varzd2_bglt) BgL_nz00_4649));
						BgL_auxz00_7786 = BGL_OBJECT_WIDENING(BgL_tmpz00_7787);
					}
					BgL_auxz00_7785 =
						((BgL_letzd2varzf2livenessz20_bglt) BgL_auxz00_7786);
				}
				((((BgL_letzd2varzf2livenessz20_bglt) COBJECT(BgL_auxz00_7785))->
						BgL_inz00) = ((obj_t) BgL_auxz00_7792), BUNSPEC);
			}
			{	/* Liveness/liveness.scm 893 */
				obj_t BgL_defz00_5090;

				{	/* Liveness/liveness.scm 894 */
					BgL_nodez00_bglt BgL_arg2492z00_5091;

					BgL_arg2492z00_5091 =
						(((BgL_letzd2varzd2_bglt) COBJECT(
								((BgL_letzd2varzd2_bglt)
									((BgL_letzd2varzd2_bglt) BgL_nz00_4649))))->BgL_bodyz00);
					BgL_defz00_5090 =
						BGl_defusez00zzliveness_livenessz00(BgL_arg2492z00_5091);
				}
				{	/* Liveness/liveness.scm 894 */
					obj_t BgL_usez00_5092;

					{	/* Liveness/liveness.scm 895 */
						obj_t BgL_tmpz00_5093;

						{	/* Liveness/liveness.scm 895 */
							int BgL_tmpz00_7824;

							BgL_tmpz00_7824 = (int) (1L);
							BgL_tmpz00_5093 = BGL_MVALUES_VAL(BgL_tmpz00_7824);
						}
						{	/* Liveness/liveness.scm 895 */
							int BgL_tmpz00_7827;

							BgL_tmpz00_7827 = (int) (1L);
							BGL_MVALUES_VAL_SET(BgL_tmpz00_7827, BUNSPEC);
						}
						BgL_usez00_5092 = BgL_tmpz00_5093;
					}
					{	/* Liveness/liveness.scm 895 */
						obj_t BgL_inz00_5094;

						{	/* Liveness/liveness.scm 896 */
							BgL_nodez00_bglt BgL_arg2490z00_5095;
							obj_t BgL_arg2491z00_5096;

							BgL_arg2490z00_5095 =
								(((BgL_letzd2varzd2_bglt) COBJECT(
										((BgL_letzd2varzd2_bglt)
											((BgL_letzd2varzd2_bglt) BgL_nz00_4649))))->BgL_bodyz00);
							{
								BgL_letzd2varzf2livenessz20_bglt BgL_auxz00_7833;

								{
									obj_t BgL_auxz00_7834;

									{	/* Liveness/liveness.scm 896 */
										BgL_objectz00_bglt BgL_tmpz00_7835;

										BgL_tmpz00_7835 =
											((BgL_objectz00_bglt)
											((BgL_letzd2varzd2_bglt) BgL_nz00_4649));
										BgL_auxz00_7834 = BGL_OBJECT_WIDENING(BgL_tmpz00_7835);
									}
									BgL_auxz00_7833 =
										((BgL_letzd2varzf2livenessz20_bglt) BgL_auxz00_7834);
								}
								BgL_arg2491z00_5096 =
									(((BgL_letzd2varzf2livenessz20_bglt)
										COBJECT(BgL_auxz00_7833))->BgL_outz00);
							}
							BgL_inz00_5094 =
								BGl_inoutz12z12zzliveness_livenessz00(BgL_arg2490z00_5095,
								BgL_arg2491z00_5096);
						}
						{	/* Liveness/liveness.scm 896 */
							obj_t BgL_outz00_5097;

							{	/* Liveness/liveness.scm 897 */
								obj_t BgL_tmpz00_5098;

								{	/* Liveness/liveness.scm 897 */
									int BgL_tmpz00_7842;

									BgL_tmpz00_7842 = (int) (1L);
									BgL_tmpz00_5098 = BGL_MVALUES_VAL(BgL_tmpz00_7842);
								}
								{	/* Liveness/liveness.scm 897 */
									int BgL_tmpz00_7845;

									BgL_tmpz00_7845 = (int) (1L);
									BGL_MVALUES_VAL_SET(BgL_tmpz00_7845, BUNSPEC);
								}
								BgL_outz00_5097 = BgL_tmpz00_5098;
							}
							{	/* Liveness/liveness.scm 897 */
								obj_t BgL_g1778z00_5099;

								BgL_g1778z00_5099 =
									(((BgL_letzd2varzd2_bglt) COBJECT(
											((BgL_letzd2varzd2_bglt)
												((BgL_letzd2varzd2_bglt) BgL_nz00_4649))))->
									BgL_bindingsz00);
								{
									obj_t BgL_l1776z00_5101;

									BgL_l1776z00_5101 = BgL_g1778z00_5099;
								BgL_zc3z04anonymousza32486ze3z87_5100:
									if (PAIRP(BgL_l1776z00_5101))
										{	/* Liveness/liveness.scm 897 */
											{	/* Liveness/liveness.scm 898 */
												obj_t BgL_bz00_5102;

												BgL_bz00_5102 = CAR(BgL_l1776z00_5101);
												{	/* Liveness/liveness.scm 898 */
													obj_t BgL_arg2488z00_5103;

													BgL_arg2488z00_5103 = CDR(((obj_t) BgL_bz00_5102));
													BGl_inoutz12z12zzliveness_livenessz00(
														((BgL_nodez00_bglt) BgL_arg2488z00_5103),
														BgL_inz00_5094);
												}
											}
											{
												obj_t BgL_l1776z00_7858;

												BgL_l1776z00_7858 = CDR(BgL_l1776z00_5101);
												BgL_l1776z00_5101 = BgL_l1776z00_7858;
												goto BgL_zc3z04anonymousza32486ze3z87_5100;
											}
										}
									else
										{	/* Liveness/liveness.scm 897 */
											((bool_t) 1);
										}
								}
							}
						}
					}
				}
			}
			{	/* Liveness/liveness.scm 900 */
				obj_t BgL_val0_1779z00_5104;
				obj_t BgL_val1_1780z00_5105;

				{
					BgL_letzd2varzf2livenessz20_bglt BgL_auxz00_7860;

					{
						obj_t BgL_auxz00_7861;

						{	/* Liveness/liveness.scm 900 */
							BgL_objectz00_bglt BgL_tmpz00_7862;

							BgL_tmpz00_7862 =
								((BgL_objectz00_bglt) ((BgL_letzd2varzd2_bglt) BgL_nz00_4649));
							BgL_auxz00_7861 = BGL_OBJECT_WIDENING(BgL_tmpz00_7862);
						}
						BgL_auxz00_7860 =
							((BgL_letzd2varzf2livenessz20_bglt) BgL_auxz00_7861);
					}
					BgL_val0_1779z00_5104 =
						(((BgL_letzd2varzf2livenessz20_bglt) COBJECT(BgL_auxz00_7860))->
						BgL_inz00);
				}
				{
					BgL_letzd2varzf2livenessz20_bglt BgL_auxz00_7868;

					{
						obj_t BgL_auxz00_7869;

						{	/* Liveness/liveness.scm 900 */
							BgL_objectz00_bglt BgL_tmpz00_7870;

							BgL_tmpz00_7870 =
								((BgL_objectz00_bglt) ((BgL_letzd2varzd2_bglt) BgL_nz00_4649));
							BgL_auxz00_7869 = BGL_OBJECT_WIDENING(BgL_tmpz00_7870);
						}
						BgL_auxz00_7868 =
							((BgL_letzd2varzf2livenessz20_bglt) BgL_auxz00_7869);
					}
					BgL_val1_1780z00_5105 =
						(((BgL_letzd2varzf2livenessz20_bglt) COBJECT(BgL_auxz00_7868))->
						BgL_outz00);
				}
				{	/* Liveness/liveness.scm 900 */
					int BgL_tmpz00_7876;

					BgL_tmpz00_7876 = (int) (2L);
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_7876);
				}
				{	/* Liveness/liveness.scm 900 */
					int BgL_tmpz00_7879;

					BgL_tmpz00_7879 = (int) (1L);
					BGL_MVALUES_VAL_SET(BgL_tmpz00_7879, BgL_val1_1780z00_5105);
				}
				return BgL_val0_1779z00_5104;
			}
		}

	}



/* &defuse-let-var/liven2043 */
	obj_t BGl_z62defusezd2letzd2varzf2liven2043z90zzliveness_livenessz00(obj_t
		BgL_envz00_4651, obj_t BgL_nz00_4652)
	{
		{	/* Liveness/liveness.scm 883 */
			{	/* Liveness/liveness.scm 885 */
				obj_t BgL_val0_1774z00_5107;
				obj_t BgL_val1_1775z00_5108;

				{
					BgL_letzd2varzf2livenessz20_bglt BgL_auxz00_7882;

					{
						obj_t BgL_auxz00_7883;

						{	/* Liveness/liveness.scm 885 */
							BgL_objectz00_bglt BgL_tmpz00_7884;

							BgL_tmpz00_7884 =
								((BgL_objectz00_bglt) ((BgL_letzd2varzd2_bglt) BgL_nz00_4652));
							BgL_auxz00_7883 = BGL_OBJECT_WIDENING(BgL_tmpz00_7884);
						}
						BgL_auxz00_7882 =
							((BgL_letzd2varzf2livenessz20_bglt) BgL_auxz00_7883);
					}
					BgL_val0_1774z00_5107 =
						(((BgL_letzd2varzf2livenessz20_bglt) COBJECT(BgL_auxz00_7882))->
						BgL_defz00);
				}
				{
					BgL_letzd2varzf2livenessz20_bglt BgL_auxz00_7890;

					{
						obj_t BgL_auxz00_7891;

						{	/* Liveness/liveness.scm 885 */
							BgL_objectz00_bglt BgL_tmpz00_7892;

							BgL_tmpz00_7892 =
								((BgL_objectz00_bglt) ((BgL_letzd2varzd2_bglt) BgL_nz00_4652));
							BgL_auxz00_7891 = BGL_OBJECT_WIDENING(BgL_tmpz00_7892);
						}
						BgL_auxz00_7890 =
							((BgL_letzd2varzf2livenessz20_bglt) BgL_auxz00_7891);
					}
					BgL_val1_1775z00_5108 =
						(((BgL_letzd2varzf2livenessz20_bglt) COBJECT(BgL_auxz00_7890))->
						BgL_usez00);
				}
				{	/* Liveness/liveness.scm 885 */
					int BgL_tmpz00_7898;

					BgL_tmpz00_7898 = (int) (2L);
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_7898);
				}
				{	/* Liveness/liveness.scm 885 */
					int BgL_tmpz00_7901;

					BgL_tmpz00_7901 = (int) (1L);
					BGL_MVALUES_VAL_SET(BgL_tmpz00_7901, BgL_val1_1775z00_5108);
				}
				return BgL_val0_1774z00_5107;
			}
		}

	}



/* &defuse-let-var2041 */
	obj_t BGl_z62defusezd2letzd2var2041z62zzliveness_livenessz00(obj_t
		BgL_envz00_4653, obj_t BgL_nz00_4654)
	{
		{	/* Liveness/liveness.scm 861 */
			{	/* Liveness/liveness.scm 865 */
				obj_t BgL_defbindingsz00_5110;
				obj_t BgL_usebindingsz00_5111;

				BgL_defbindingsz00_5110 = BNIL;
				BgL_usebindingsz00_5111 = BNIL;
				{	/* Liveness/liveness.scm 867 */
					obj_t BgL_g1770z00_5112;

					BgL_g1770z00_5112 =
						(((BgL_letzd2varzd2_bglt) COBJECT(
								((BgL_letzd2varzd2_bglt) BgL_nz00_4654)))->BgL_bindingsz00);
					{
						obj_t BgL_l1768z00_5114;

						BgL_l1768z00_5114 = BgL_g1770z00_5112;
					BgL_zc3z04anonymousza32466ze3z87_5113:
						if (PAIRP(BgL_l1768z00_5114))
							{	/* Liveness/liveness.scm 867 */
								{	/* Liveness/liveness.scm 868 */
									obj_t BgL_bz00_5115;

									BgL_bz00_5115 = CAR(BgL_l1768z00_5114);
									{	/* Liveness/liveness.scm 868 */
										BgL_localz00_bglt BgL_tmp1362z00_5116;

										BgL_tmp1362z00_5116 =
											((BgL_localz00_bglt) CAR(((obj_t) BgL_bz00_5115)));
										{	/* Liveness/liveness.scm 868 */
											BgL_localzf2livenesszf2_bglt BgL_wide1364z00_5117;

											BgL_wide1364z00_5117 =
												((BgL_localzf2livenesszf2_bglt)
												BOBJECT(GC_MALLOC(sizeof(struct
															BgL_localzf2livenesszf2_bgl))));
											{	/* Liveness/liveness.scm 868 */
												obj_t BgL_auxz00_7916;
												BgL_objectz00_bglt BgL_tmpz00_7913;

												BgL_auxz00_7916 = ((obj_t) BgL_wide1364z00_5117);
												BgL_tmpz00_7913 =
													((BgL_objectz00_bglt)
													((BgL_localz00_bglt) BgL_tmp1362z00_5116));
												BGL_OBJECT_WIDENING_SET(BgL_tmpz00_7913,
													BgL_auxz00_7916);
											}
											((BgL_objectz00_bglt)
												((BgL_localz00_bglt) BgL_tmp1362z00_5116));
											{	/* Liveness/liveness.scm 868 */
												long BgL_arg2469z00_5118;

												BgL_arg2469z00_5118 =
													BGL_CLASS_NUM
													(BGl_localzf2livenesszf2zzliveness_typesz00);
												BGL_OBJECT_CLASS_NUM_SET(((BgL_objectz00_bglt) (
															(BgL_localz00_bglt) BgL_tmp1362z00_5116)),
													BgL_arg2469z00_5118);
											}
											((BgL_localz00_bglt)
												((BgL_localz00_bglt) BgL_tmp1362z00_5116));
										}
										{
											BgL_localzf2livenesszf2_bglt BgL_auxz00_7927;

											{
												obj_t BgL_auxz00_7928;

												{	/* Liveness/liveness.scm 868 */
													BgL_objectz00_bglt BgL_tmpz00_7929;

													BgL_tmpz00_7929 =
														((BgL_objectz00_bglt)
														((BgL_localz00_bglt) BgL_tmp1362z00_5116));
													BgL_auxz00_7928 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_7929);
												}
												BgL_auxz00_7927 =
													((BgL_localzf2livenesszf2_bglt) BgL_auxz00_7928);
											}
											((((BgL_localzf2livenesszf2_bglt)
														COBJECT(BgL_auxz00_7927))->BgL_z52countz52) =
												((int) (int) (0L)), BUNSPEC);
										}
										((BgL_localz00_bglt) BgL_tmp1362z00_5116);
								}}
								{
									obj_t BgL_l1768z00_7937;

									BgL_l1768z00_7937 = CDR(BgL_l1768z00_5114);
									BgL_l1768z00_5114 = BgL_l1768z00_7937;
									goto BgL_zc3z04anonymousza32466ze3z87_5113;
								}
							}
						else
							{	/* Liveness/liveness.scm 867 */
								((bool_t) 1);
							}
					}
				}
				{	/* Liveness/liveness.scm 870 */
					obj_t BgL_g1773z00_5119;

					BgL_g1773z00_5119 =
						(((BgL_letzd2varzd2_bglt) COBJECT(
								((BgL_letzd2varzd2_bglt) BgL_nz00_4654)))->BgL_bindingsz00);
					{
						obj_t BgL_l1771z00_5121;

						BgL_l1771z00_5121 = BgL_g1773z00_5119;
					BgL_zc3z04anonymousza32471ze3z87_5120:
						if (PAIRP(BgL_l1771z00_5121))
							{	/* Liveness/liveness.scm 870 */
								{	/* Liveness/liveness.scm 871 */
									obj_t BgL_bz00_5122;

									BgL_bz00_5122 = CAR(BgL_l1771z00_5121);
									{	/* Liveness/liveness.scm 871 */
										obj_t BgL_defz00_5123;

										{	/* Liveness/liveness.scm 872 */
											obj_t BgL_arg2473z00_5124;

											BgL_arg2473z00_5124 = CDR(((obj_t) BgL_bz00_5122));
											BgL_defz00_5123 =
												BGl_defusez00zzliveness_livenessz00(
												((BgL_nodez00_bglt) BgL_arg2473z00_5124));
										}
										{	/* Liveness/liveness.scm 872 */
											obj_t BgL_usez00_5125;

											{	/* Liveness/liveness.scm 873 */
												obj_t BgL_tmpz00_5126;

												{	/* Liveness/liveness.scm 873 */
													int BgL_tmpz00_7948;

													BgL_tmpz00_7948 = (int) (1L);
													BgL_tmpz00_5126 = BGL_MVALUES_VAL(BgL_tmpz00_7948);
												}
												{	/* Liveness/liveness.scm 873 */
													int BgL_tmpz00_7951;

													BgL_tmpz00_7951 = (int) (1L);
													BGL_MVALUES_VAL_SET(BgL_tmpz00_7951, BUNSPEC);
												}
												BgL_usez00_5125 = BgL_tmpz00_5126;
											}
											BgL_defbindingsz00_5110 =
												BGl_unionz00zzliveness_setz00(BgL_defz00_5123,
												BgL_defbindingsz00_5110);
											BgL_usebindingsz00_5111 =
												BGl_unionz00zzliveness_setz00(BgL_usez00_5125,
												BgL_usebindingsz00_5111);
								}}}
								{
									obj_t BgL_l1771z00_7956;

									BgL_l1771z00_7956 = CDR(BgL_l1771z00_5121);
									BgL_l1771z00_5121 = BgL_l1771z00_7956;
									goto BgL_zc3z04anonymousza32471ze3z87_5120;
								}
							}
						else
							{	/* Liveness/liveness.scm 870 */
								((bool_t) 1);
							}
					}
				}
				{	/* Liveness/liveness.scm 876 */
					obj_t BgL_defbodyz00_5127;

					BgL_defbodyz00_5127 =
						BGl_defusez00zzliveness_livenessz00(
						(((BgL_letzd2varzd2_bglt) COBJECT(
									((BgL_letzd2varzd2_bglt) BgL_nz00_4654)))->BgL_bodyz00));
					{	/* Liveness/liveness.scm 877 */
						obj_t BgL_usebodyz00_5128;

						{	/* Liveness/liveness.scm 878 */
							obj_t BgL_tmpz00_5129;

							{	/* Liveness/liveness.scm 878 */
								int BgL_tmpz00_7961;

								BgL_tmpz00_7961 = (int) (1L);
								BgL_tmpz00_5129 = BGL_MVALUES_VAL(BgL_tmpz00_7961);
							}
							{	/* Liveness/liveness.scm 878 */
								int BgL_tmpz00_7964;

								BgL_tmpz00_7964 = (int) (1L);
								BGL_MVALUES_VAL_SET(BgL_tmpz00_7964, BUNSPEC);
							}
							BgL_usebodyz00_5128 = BgL_tmpz00_5129;
						}
						{	/* Liveness/liveness.scm 879 */
							BgL_letzd2varzd2_bglt BgL_arg2476z00_5130;

							{	/* Liveness/liveness.scm 879 */
								BgL_letzd2varzf2livenessz20_bglt BgL_wide1368z00_5131;

								BgL_wide1368z00_5131 =
									((BgL_letzd2varzf2livenessz20_bglt)
									BOBJECT(GC_MALLOC(sizeof(struct
												BgL_letzd2varzf2livenessz20_bgl))));
								{	/* Liveness/liveness.scm 879 */
									obj_t BgL_auxz00_7972;
									BgL_objectz00_bglt BgL_tmpz00_7968;

									BgL_auxz00_7972 = ((obj_t) BgL_wide1368z00_5131);
									BgL_tmpz00_7968 =
										((BgL_objectz00_bglt)
										((BgL_letzd2varzd2_bglt)
											((BgL_letzd2varzd2_bglt) BgL_nz00_4654)));
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_7968, BgL_auxz00_7972);
								}
								((BgL_objectz00_bglt)
									((BgL_letzd2varzd2_bglt)
										((BgL_letzd2varzd2_bglt) BgL_nz00_4654)));
								{	/* Liveness/liveness.scm 879 */
									long BgL_arg2477z00_5132;

									BgL_arg2477z00_5132 =
										BGL_CLASS_NUM
										(BGl_letzd2varzf2livenessz20zzliveness_typesz00);
									BGL_OBJECT_CLASS_NUM_SET(((BgL_objectz00_bglt) (
												(BgL_letzd2varzd2_bglt) ((BgL_letzd2varzd2_bglt)
													BgL_nz00_4654))), BgL_arg2477z00_5132);
								}
								((BgL_letzd2varzd2_bglt)
									((BgL_letzd2varzd2_bglt)
										((BgL_letzd2varzd2_bglt) BgL_nz00_4654)));
							}
							{
								BgL_letzd2varzf2livenessz20_bglt BgL_auxz00_7986;

								{
									obj_t BgL_auxz00_7987;

									{	/* Liveness/liveness.scm 880 */
										BgL_objectz00_bglt BgL_tmpz00_7988;

										BgL_tmpz00_7988 =
											((BgL_objectz00_bglt)
											((BgL_letzd2varzd2_bglt)
												((BgL_letzd2varzd2_bglt) BgL_nz00_4654)));
										BgL_auxz00_7987 = BGL_OBJECT_WIDENING(BgL_tmpz00_7988);
									}
									BgL_auxz00_7986 =
										((BgL_letzd2varzf2livenessz20_bglt) BgL_auxz00_7987);
								}
								((((BgL_letzd2varzf2livenessz20_bglt)
											COBJECT(BgL_auxz00_7986))->BgL_defz00) =
									((obj_t)
										BGl_unionz00zzliveness_setz00(BgL_defbindingsz00_5110,
											BgL_defbodyz00_5127)), BUNSPEC);
							}
							{
								obj_t BgL_auxz00_8004;
								BgL_letzd2varzf2livenessz20_bglt BgL_auxz00_7996;

								{	/* Liveness/liveness.scm 881 */
									obj_t BgL_arg2478z00_5133;

									BgL_arg2478z00_5133 =
										BGl_disjonctionz00zzliveness_setz00(BgL_usebodyz00_5128,
										BgL_defbindingsz00_5110);
									BgL_auxz00_8004 =
										BGl_unionz00zzliveness_setz00(BgL_usebindingsz00_5111,
										BgL_arg2478z00_5133);
								}
								{
									obj_t BgL_auxz00_7997;

									{	/* Liveness/liveness.scm 881 */
										BgL_objectz00_bglt BgL_tmpz00_7998;

										BgL_tmpz00_7998 =
											((BgL_objectz00_bglt)
											((BgL_letzd2varzd2_bglt)
												((BgL_letzd2varzd2_bglt) BgL_nz00_4654)));
										BgL_auxz00_7997 = BGL_OBJECT_WIDENING(BgL_tmpz00_7998);
									}
									BgL_auxz00_7996 =
										((BgL_letzd2varzf2livenessz20_bglt) BgL_auxz00_7997);
								}
								((((BgL_letzd2varzf2livenessz20_bglt)
											COBJECT(BgL_auxz00_7996))->BgL_usez00) =
									((obj_t) BgL_auxz00_8004), BUNSPEC);
							}
							{
								BgL_letzd2varzf2livenessz20_bglt BgL_auxz00_8008;

								{
									obj_t BgL_auxz00_8009;

									{	/* Liveness/liveness.scm 877 */
										BgL_objectz00_bglt BgL_tmpz00_8010;

										BgL_tmpz00_8010 =
											((BgL_objectz00_bglt)
											((BgL_letzd2varzd2_bglt)
												((BgL_letzd2varzd2_bglt) BgL_nz00_4654)));
										BgL_auxz00_8009 = BGL_OBJECT_WIDENING(BgL_tmpz00_8010);
									}
									BgL_auxz00_8008 =
										((BgL_letzd2varzf2livenessz20_bglt) BgL_auxz00_8009);
								}
								((((BgL_letzd2varzf2livenessz20_bglt)
											COBJECT(BgL_auxz00_8008))->BgL_inz00) =
									((obj_t) BNIL), BUNSPEC);
							}
							{
								BgL_letzd2varzf2livenessz20_bglt BgL_auxz00_8017;

								{
									obj_t BgL_auxz00_8018;

									{	/* Liveness/liveness.scm 877 */
										BgL_objectz00_bglt BgL_tmpz00_8019;

										BgL_tmpz00_8019 =
											((BgL_objectz00_bglt)
											((BgL_letzd2varzd2_bglt)
												((BgL_letzd2varzd2_bglt) BgL_nz00_4654)));
										BgL_auxz00_8018 = BGL_OBJECT_WIDENING(BgL_tmpz00_8019);
									}
									BgL_auxz00_8017 =
										((BgL_letzd2varzf2livenessz20_bglt) BgL_auxz00_8018);
								}
								((((BgL_letzd2varzf2livenessz20_bglt)
											COBJECT(BgL_auxz00_8017))->BgL_outz00) =
									((obj_t) BNIL), BUNSPEC);
							}
							BgL_arg2476z00_5130 =
								((BgL_letzd2varzd2_bglt)
								((BgL_letzd2varzd2_bglt) BgL_nz00_4654));
							return
								BGl_defusez00zzliveness_livenessz00(
								((BgL_nodez00_bglt) BgL_arg2476z00_5130));
						}
					}
				}
			}
		}

	}



/* &inout-let-fun/livene2039 */
	obj_t BGl_z62inoutzd2letzd2funzf2livene2039z90zzliveness_livenessz00(obj_t
		BgL_envz00_4655, obj_t BgL_nz00_4656)
	{
		{	/* Liveness/liveness.scm 854 */
			{	/* Liveness/liveness.scm 856 */
				obj_t BgL_val0_1766z00_5135;
				obj_t BgL_val1_1767z00_5136;

				{
					BgL_letzd2funzf2livenessz20_bglt BgL_auxz00_8030;

					{
						obj_t BgL_auxz00_8031;

						{	/* Liveness/liveness.scm 856 */
							BgL_objectz00_bglt BgL_tmpz00_8032;

							BgL_tmpz00_8032 =
								((BgL_objectz00_bglt) ((BgL_letzd2funzd2_bglt) BgL_nz00_4656));
							BgL_auxz00_8031 = BGL_OBJECT_WIDENING(BgL_tmpz00_8032);
						}
						BgL_auxz00_8030 =
							((BgL_letzd2funzf2livenessz20_bglt) BgL_auxz00_8031);
					}
					BgL_val0_1766z00_5135 =
						(((BgL_letzd2funzf2livenessz20_bglt) COBJECT(BgL_auxz00_8030))->
						BgL_inz00);
				}
				{
					BgL_letzd2funzf2livenessz20_bglt BgL_auxz00_8038;

					{
						obj_t BgL_auxz00_8039;

						{	/* Liveness/liveness.scm 856 */
							BgL_objectz00_bglt BgL_tmpz00_8040;

							BgL_tmpz00_8040 =
								((BgL_objectz00_bglt) ((BgL_letzd2funzd2_bglt) BgL_nz00_4656));
							BgL_auxz00_8039 = BGL_OBJECT_WIDENING(BgL_tmpz00_8040);
						}
						BgL_auxz00_8038 =
							((BgL_letzd2funzf2livenessz20_bglt) BgL_auxz00_8039);
					}
					BgL_val1_1767z00_5136 =
						(((BgL_letzd2funzf2livenessz20_bglt) COBJECT(BgL_auxz00_8038))->
						BgL_outz00);
				}
				{	/* Liveness/liveness.scm 856 */
					int BgL_tmpz00_8046;

					BgL_tmpz00_8046 = (int) (2L);
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_8046);
				}
				{	/* Liveness/liveness.scm 856 */
					int BgL_tmpz00_8049;

					BgL_tmpz00_8049 = (int) (1L);
					BGL_MVALUES_VAL_SET(BgL_tmpz00_8049, BgL_val1_1767z00_5136);
				}
				return BgL_val0_1766z00_5135;
			}
		}

	}



/* &inout!-let-fun/liven2037 */
	obj_t BGl_z62inoutz12zd2letzd2funzf2liven2037z82zzliveness_livenessz00(obj_t
		BgL_envz00_4657, obj_t BgL_nz00_4658, obj_t BgL_oz00_4659)
	{
		{	/* Liveness/liveness.scm 841 */
			{
				BgL_letzd2funzf2livenessz20_bglt BgL_auxz00_8052;

				{
					obj_t BgL_auxz00_8053;

					{	/* Liveness/liveness.scm 844 */
						BgL_objectz00_bglt BgL_tmpz00_8054;

						BgL_tmpz00_8054 =
							((BgL_objectz00_bglt) ((BgL_letzd2funzd2_bglt) BgL_nz00_4658));
						BgL_auxz00_8053 = BGL_OBJECT_WIDENING(BgL_tmpz00_8054);
					}
					BgL_auxz00_8052 =
						((BgL_letzd2funzf2livenessz20_bglt) BgL_auxz00_8053);
				}
				((((BgL_letzd2funzf2livenessz20_bglt) COBJECT(BgL_auxz00_8052))->
						BgL_outz00) = ((obj_t) BgL_oz00_4659), BUNSPEC);
			}
			{
				obj_t BgL_auxz00_8067;
				BgL_letzd2funzf2livenessz20_bglt BgL_auxz00_8060;

				{	/* Liveness/liveness.scm 845 */
					obj_t BgL_arg2454z00_5138;
					obj_t BgL_arg2455z00_5139;

					{
						BgL_letzd2funzf2livenessz20_bglt BgL_auxz00_8068;

						{
							obj_t BgL_auxz00_8069;

							{	/* Liveness/liveness.scm 845 */
								BgL_objectz00_bglt BgL_tmpz00_8070;

								BgL_tmpz00_8070 =
									((BgL_objectz00_bglt)
									((BgL_letzd2funzd2_bglt) BgL_nz00_4658));
								BgL_auxz00_8069 = BGL_OBJECT_WIDENING(BgL_tmpz00_8070);
							}
							BgL_auxz00_8068 =
								((BgL_letzd2funzf2livenessz20_bglt) BgL_auxz00_8069);
						}
						BgL_arg2454z00_5138 =
							(((BgL_letzd2funzf2livenessz20_bglt) COBJECT(BgL_auxz00_8068))->
							BgL_usez00);
					}
					{	/* Liveness/liveness.scm 845 */
						obj_t BgL_arg2457z00_5140;
						obj_t BgL_arg2459z00_5141;

						{
							BgL_letzd2funzf2livenessz20_bglt BgL_auxz00_8076;

							{
								obj_t BgL_auxz00_8077;

								{	/* Liveness/liveness.scm 845 */
									BgL_objectz00_bglt BgL_tmpz00_8078;

									BgL_tmpz00_8078 =
										((BgL_objectz00_bglt)
										((BgL_letzd2funzd2_bglt) BgL_nz00_4658));
									BgL_auxz00_8077 = BGL_OBJECT_WIDENING(BgL_tmpz00_8078);
								}
								BgL_auxz00_8076 =
									((BgL_letzd2funzf2livenessz20_bglt) BgL_auxz00_8077);
							}
							BgL_arg2457z00_5140 =
								(((BgL_letzd2funzf2livenessz20_bglt) COBJECT(BgL_auxz00_8076))->
								BgL_outz00);
						}
						{
							BgL_letzd2funzf2livenessz20_bglt BgL_auxz00_8084;

							{
								obj_t BgL_auxz00_8085;

								{	/* Liveness/liveness.scm 845 */
									BgL_objectz00_bglt BgL_tmpz00_8086;

									BgL_tmpz00_8086 =
										((BgL_objectz00_bglt)
										((BgL_letzd2funzd2_bglt) BgL_nz00_4658));
									BgL_auxz00_8085 = BGL_OBJECT_WIDENING(BgL_tmpz00_8086);
								}
								BgL_auxz00_8084 =
									((BgL_letzd2funzf2livenessz20_bglt) BgL_auxz00_8085);
							}
							BgL_arg2459z00_5141 =
								(((BgL_letzd2funzf2livenessz20_bglt) COBJECT(BgL_auxz00_8084))->
								BgL_defz00);
						}
						BgL_arg2455z00_5139 =
							BGl_disjonctionz00zzliveness_setz00(BgL_arg2457z00_5140,
							BgL_arg2459z00_5141);
					}
					BgL_auxz00_8067 =
						BGl_unionz00zzliveness_setz00(BgL_arg2454z00_5138,
						BgL_arg2455z00_5139);
				}
				{
					obj_t BgL_auxz00_8061;

					{	/* Liveness/liveness.scm 845 */
						BgL_objectz00_bglt BgL_tmpz00_8062;

						BgL_tmpz00_8062 =
							((BgL_objectz00_bglt) ((BgL_letzd2funzd2_bglt) BgL_nz00_4658));
						BgL_auxz00_8061 = BGL_OBJECT_WIDENING(BgL_tmpz00_8062);
					}
					BgL_auxz00_8060 =
						((BgL_letzd2funzf2livenessz20_bglt) BgL_auxz00_8061);
				}
				((((BgL_letzd2funzf2livenessz20_bglt) COBJECT(BgL_auxz00_8060))->
						BgL_inz00) = ((obj_t) BgL_auxz00_8067), BUNSPEC);
			}
			{	/* Liveness/liveness.scm 846 */
				obj_t BgL_g1763z00_5142;

				BgL_g1763z00_5142 =
					(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt)
								((BgL_letzd2funzd2_bglt) BgL_nz00_4658))))->BgL_localsz00);
				{
					obj_t BgL_l1761z00_5144;

					BgL_l1761z00_5144 = BgL_g1763z00_5142;
				BgL_zc3z04anonymousza32460ze3z87_5143:
					if (PAIRP(BgL_l1761z00_5144))
						{	/* Liveness/liveness.scm 846 */
							{	/* Liveness/liveness.scm 847 */
								obj_t BgL_funz00_5145;

								BgL_funz00_5145 = CAR(BgL_l1761z00_5144);
								{	/* Liveness/liveness.scm 848 */
									BgL_sfunz00_bglt BgL_i1359z00_5146;

									BgL_i1359z00_5146 =
										((BgL_sfunz00_bglt)
										(((BgL_variablez00_bglt) COBJECT(
													((BgL_variablez00_bglt)
														((BgL_localz00_bglt) BgL_funz00_5145))))->
											BgL_valuez00));
									{	/* Liveness/liveness.scm 849 */
										obj_t BgL_arg2462z00_5147;

										BgL_arg2462z00_5147 =
											(((BgL_sfunz00_bglt) COBJECT(BgL_i1359z00_5146))->
											BgL_bodyz00);
										BGl_inoutz12z12zzliveness_livenessz00(((BgL_nodez00_bglt)
												BgL_arg2462z00_5147), BgL_oz00_4659);
									}
								}
							}
							{
								obj_t BgL_l1761z00_8108;

								BgL_l1761z00_8108 = CDR(BgL_l1761z00_5144);
								BgL_l1761z00_5144 = BgL_l1761z00_8108;
								goto BgL_zc3z04anonymousza32460ze3z87_5143;
							}
						}
					else
						{	/* Liveness/liveness.scm 846 */
							((bool_t) 1);
						}
				}
			}
			{	/* Liveness/liveness.scm 851 */
				BgL_nodez00_bglt BgL_arg2465z00_5148;

				BgL_arg2465z00_5148 =
					(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt)
								((BgL_letzd2funzd2_bglt) BgL_nz00_4658))))->BgL_bodyz00);
				BGl_inoutz12z12zzliveness_livenessz00(BgL_arg2465z00_5148,
					BgL_oz00_4659);
			}
			{	/* Liveness/liveness.scm 852 */
				obj_t BgL_val0_1764z00_5149;
				obj_t BgL_val1_1765z00_5150;

				{
					BgL_letzd2funzf2livenessz20_bglt BgL_auxz00_8114;

					{
						obj_t BgL_auxz00_8115;

						{	/* Liveness/liveness.scm 852 */
							BgL_objectz00_bglt BgL_tmpz00_8116;

							BgL_tmpz00_8116 =
								((BgL_objectz00_bglt) ((BgL_letzd2funzd2_bglt) BgL_nz00_4658));
							BgL_auxz00_8115 = BGL_OBJECT_WIDENING(BgL_tmpz00_8116);
						}
						BgL_auxz00_8114 =
							((BgL_letzd2funzf2livenessz20_bglt) BgL_auxz00_8115);
					}
					BgL_val0_1764z00_5149 =
						(((BgL_letzd2funzf2livenessz20_bglt) COBJECT(BgL_auxz00_8114))->
						BgL_inz00);
				}
				{
					BgL_letzd2funzf2livenessz20_bglt BgL_auxz00_8122;

					{
						obj_t BgL_auxz00_8123;

						{	/* Liveness/liveness.scm 852 */
							BgL_objectz00_bglt BgL_tmpz00_8124;

							BgL_tmpz00_8124 =
								((BgL_objectz00_bglt) ((BgL_letzd2funzd2_bglt) BgL_nz00_4658));
							BgL_auxz00_8123 = BGL_OBJECT_WIDENING(BgL_tmpz00_8124);
						}
						BgL_auxz00_8122 =
							((BgL_letzd2funzf2livenessz20_bglt) BgL_auxz00_8123);
					}
					BgL_val1_1765z00_5150 =
						(((BgL_letzd2funzf2livenessz20_bglt) COBJECT(BgL_auxz00_8122))->
						BgL_outz00);
				}
				{	/* Liveness/liveness.scm 852 */
					int BgL_tmpz00_8130;

					BgL_tmpz00_8130 = (int) (2L);
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_8130);
				}
				{	/* Liveness/liveness.scm 852 */
					int BgL_tmpz00_8133;

					BgL_tmpz00_8133 = (int) (1L);
					BGL_MVALUES_VAL_SET(BgL_tmpz00_8133, BgL_val1_1765z00_5150);
				}
				return BgL_val0_1764z00_5149;
			}
		}

	}



/* &defuse-let-fun/liven2035 */
	obj_t BGl_z62defusezd2letzd2funzf2liven2035z90zzliveness_livenessz00(obj_t
		BgL_envz00_4660, obj_t BgL_nz00_4661)
	{
		{	/* Liveness/liveness.scm 837 */
			{	/* Liveness/liveness.scm 839 */
				obj_t BgL_val0_1759z00_5152;
				obj_t BgL_val1_1760z00_5153;

				{
					BgL_letzd2funzf2livenessz20_bglt BgL_auxz00_8136;

					{
						obj_t BgL_auxz00_8137;

						{	/* Liveness/liveness.scm 839 */
							BgL_objectz00_bglt BgL_tmpz00_8138;

							BgL_tmpz00_8138 =
								((BgL_objectz00_bglt) ((BgL_letzd2funzd2_bglt) BgL_nz00_4661));
							BgL_auxz00_8137 = BGL_OBJECT_WIDENING(BgL_tmpz00_8138);
						}
						BgL_auxz00_8136 =
							((BgL_letzd2funzf2livenessz20_bglt) BgL_auxz00_8137);
					}
					BgL_val0_1759z00_5152 =
						(((BgL_letzd2funzf2livenessz20_bglt) COBJECT(BgL_auxz00_8136))->
						BgL_defz00);
				}
				{
					BgL_letzd2funzf2livenessz20_bglt BgL_auxz00_8144;

					{
						obj_t BgL_auxz00_8145;

						{	/* Liveness/liveness.scm 839 */
							BgL_objectz00_bglt BgL_tmpz00_8146;

							BgL_tmpz00_8146 =
								((BgL_objectz00_bglt) ((BgL_letzd2funzd2_bglt) BgL_nz00_4661));
							BgL_auxz00_8145 = BGL_OBJECT_WIDENING(BgL_tmpz00_8146);
						}
						BgL_auxz00_8144 =
							((BgL_letzd2funzf2livenessz20_bglt) BgL_auxz00_8145);
					}
					BgL_val1_1760z00_5153 =
						(((BgL_letzd2funzf2livenessz20_bglt) COBJECT(BgL_auxz00_8144))->
						BgL_usez00);
				}
				{	/* Liveness/liveness.scm 839 */
					int BgL_tmpz00_8152;

					BgL_tmpz00_8152 = (int) (2L);
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_8152);
				}
				{	/* Liveness/liveness.scm 839 */
					int BgL_tmpz00_8155;

					BgL_tmpz00_8155 = (int) (1L);
					BGL_MVALUES_VAL_SET(BgL_tmpz00_8155, BgL_val1_1760z00_5153);
				}
				return BgL_val0_1759z00_5152;
			}
		}

	}



/* &defuse-let-fun2033 */
	obj_t BGl_z62defusezd2letzd2fun2033z62zzliveness_livenessz00(obj_t
		BgL_envz00_4662, obj_t BgL_nz00_4663)
	{
		{	/* Liveness/liveness.scm 814 */
			{	/* Liveness/liveness.scm 818 */
				obj_t BgL_defbindingsz00_5155;
				obj_t BgL_usebindingsz00_5156;

				BgL_defbindingsz00_5155 = BNIL;
				BgL_usebindingsz00_5156 = BNIL;
				{	/* Liveness/liveness.scm 820 */
					obj_t BgL_g1755z00_5157;

					BgL_g1755z00_5157 =
						(((BgL_letzd2funzd2_bglt) COBJECT(
								((BgL_letzd2funzd2_bglt) BgL_nz00_4663)))->BgL_localsz00);
					{
						obj_t BgL_l1753z00_5159;

						BgL_l1753z00_5159 = BgL_g1755z00_5157;
					BgL_zc3z04anonymousza32438ze3z87_5158:
						if (PAIRP(BgL_l1753z00_5159))
							{	/* Liveness/liveness.scm 820 */
								{	/* Liveness/liveness.scm 821 */
									obj_t BgL_funz00_5160;

									BgL_funz00_5160 = CAR(BgL_l1753z00_5159);
									{	/* Liveness/liveness.scm 821 */
										BgL_localzf2livenesszf2_bglt BgL_wide1349z00_5161;

										BgL_wide1349z00_5161 =
											((BgL_localzf2livenesszf2_bglt)
											BOBJECT(GC_MALLOC(sizeof(struct
														BgL_localzf2livenesszf2_bgl))));
										{	/* Liveness/liveness.scm 821 */
											obj_t BgL_auxz00_8168;
											BgL_objectz00_bglt BgL_tmpz00_8164;

											BgL_auxz00_8168 = ((obj_t) BgL_wide1349z00_5161);
											BgL_tmpz00_8164 =
												((BgL_objectz00_bglt)
												((BgL_localz00_bglt)
													((BgL_localz00_bglt) BgL_funz00_5160)));
											BGL_OBJECT_WIDENING_SET(BgL_tmpz00_8164, BgL_auxz00_8168);
										}
										((BgL_objectz00_bglt)
											((BgL_localz00_bglt)
												((BgL_localz00_bglt) BgL_funz00_5160)));
										{	/* Liveness/liveness.scm 821 */
											long BgL_arg2440z00_5162;

											BgL_arg2440z00_5162 =
												BGL_CLASS_NUM
												(BGl_localzf2livenesszf2zzliveness_typesz00);
											BGL_OBJECT_CLASS_NUM_SET(((BgL_objectz00_bglt) (
														(BgL_localz00_bglt) ((BgL_localz00_bglt)
															BgL_funz00_5160))), BgL_arg2440z00_5162);
										}
										((BgL_localz00_bglt)
											((BgL_localz00_bglt)
												((BgL_localz00_bglt) BgL_funz00_5160)));
									}
									{
										BgL_localzf2livenesszf2_bglt BgL_auxz00_8182;

										{
											obj_t BgL_auxz00_8183;

											{	/* Liveness/liveness.scm 821 */
												BgL_objectz00_bglt BgL_tmpz00_8184;

												BgL_tmpz00_8184 =
													((BgL_objectz00_bglt)
													((BgL_localz00_bglt)
														((BgL_localz00_bglt) BgL_funz00_5160)));
												BgL_auxz00_8183 = BGL_OBJECT_WIDENING(BgL_tmpz00_8184);
											}
											BgL_auxz00_8182 =
												((BgL_localzf2livenesszf2_bglt) BgL_auxz00_8183);
										}
										((((BgL_localzf2livenesszf2_bglt)
													COBJECT(BgL_auxz00_8182))->BgL_z52countz52) =
											((int) (int) (0L)), BUNSPEC);
									}
									((BgL_localz00_bglt) ((BgL_localz00_bglt) BgL_funz00_5160));
								}
								{
									obj_t BgL_l1753z00_8194;

									BgL_l1753z00_8194 = CDR(BgL_l1753z00_5159);
									BgL_l1753z00_5159 = BgL_l1753z00_8194;
									goto BgL_zc3z04anonymousza32438ze3z87_5158;
								}
							}
						else
							{	/* Liveness/liveness.scm 820 */
								((bool_t) 1);
							}
					}
				}
				{	/* Liveness/liveness.scm 823 */
					obj_t BgL_g1758z00_5163;

					BgL_g1758z00_5163 =
						(((BgL_letzd2funzd2_bglt) COBJECT(
								((BgL_letzd2funzd2_bglt) BgL_nz00_4663)))->BgL_localsz00);
					{
						obj_t BgL_l1756z00_5165;

						BgL_l1756z00_5165 = BgL_g1758z00_5163;
					BgL_zc3z04anonymousza32442ze3z87_5164:
						if (PAIRP(BgL_l1756z00_5165))
							{	/* Liveness/liveness.scm 823 */
								{	/* Liveness/liveness.scm 824 */
									obj_t BgL_funz00_5166;

									BgL_funz00_5166 = CAR(BgL_l1756z00_5165);
									{	/* Liveness/liveness.scm 824 */
										obj_t BgL_defz00_5167;

										{	/* Liveness/liveness.scm 826 */
											BgL_valuez00_bglt BgL_arg2448z00_5168;

											BgL_arg2448z00_5168 =
												(((BgL_variablez00_bglt) COBJECT(
														((BgL_variablez00_bglt)
															((BgL_localz00_bglt) BgL_funz00_5166))))->
												BgL_valuez00);
											BgL_defz00_5167 =
												BGl_livenesszd2sfunz12zc0zzliveness_livenessz00((
													(BgL_sfunz00_bglt) BgL_arg2448z00_5168));
										}
										{	/* Liveness/liveness.scm 825 */
											obj_t BgL_usez00_5169;

											{	/* Liveness/liveness.scm 827 */
												obj_t BgL_tmpz00_5170;

												{	/* Liveness/liveness.scm 827 */
													int BgL_tmpz00_8206;

													BgL_tmpz00_8206 = (int) (1L);
													BgL_tmpz00_5170 = BGL_MVALUES_VAL(BgL_tmpz00_8206);
												}
												{	/* Liveness/liveness.scm 827 */
													int BgL_tmpz00_8209;

													BgL_tmpz00_8209 = (int) (1L);
													BGL_MVALUES_VAL_SET(BgL_tmpz00_8209, BUNSPEC);
												}
												BgL_usez00_5169 = BgL_tmpz00_5170;
											}
											BgL_defbindingsz00_5155 =
												BGl_unionz00zzliveness_setz00(BgL_defz00_5167,
												BgL_defbindingsz00_5155);
											BgL_usebindingsz00_5156 =
												BGl_unionz00zzliveness_setz00(BgL_usez00_5169,
												BgL_usebindingsz00_5156);
								}}}
								{
									obj_t BgL_l1756z00_8214;

									BgL_l1756z00_8214 = CDR(BgL_l1756z00_5165);
									BgL_l1756z00_5165 = BgL_l1756z00_8214;
									goto BgL_zc3z04anonymousza32442ze3z87_5164;
								}
							}
						else
							{	/* Liveness/liveness.scm 823 */
								((bool_t) 1);
							}
					}
				}
				{	/* Liveness/liveness.scm 830 */
					obj_t BgL_defbodyz00_5171;

					BgL_defbodyz00_5171 =
						BGl_defusez00zzliveness_livenessz00(
						(((BgL_letzd2funzd2_bglt) COBJECT(
									((BgL_letzd2funzd2_bglt) BgL_nz00_4663)))->BgL_bodyz00));
					{	/* Liveness/liveness.scm 831 */
						obj_t BgL_usebodyz00_5172;

						{	/* Liveness/liveness.scm 832 */
							obj_t BgL_tmpz00_5173;

							{	/* Liveness/liveness.scm 832 */
								int BgL_tmpz00_8219;

								BgL_tmpz00_8219 = (int) (1L);
								BgL_tmpz00_5173 = BGL_MVALUES_VAL(BgL_tmpz00_8219);
							}
							{	/* Liveness/liveness.scm 832 */
								int BgL_tmpz00_8222;

								BgL_tmpz00_8222 = (int) (1L);
								BGL_MVALUES_VAL_SET(BgL_tmpz00_8222, BUNSPEC);
							}
							BgL_usebodyz00_5172 = BgL_tmpz00_5173;
						}
						{	/* Liveness/liveness.scm 833 */
							BgL_letzd2funzd2_bglt BgL_arg2450z00_5174;

							{	/* Liveness/liveness.scm 833 */
								BgL_letzd2funzf2livenessz20_bglt BgL_wide1354z00_5175;

								BgL_wide1354z00_5175 =
									((BgL_letzd2funzf2livenessz20_bglt)
									BOBJECT(GC_MALLOC(sizeof(struct
												BgL_letzd2funzf2livenessz20_bgl))));
								{	/* Liveness/liveness.scm 833 */
									obj_t BgL_auxz00_8230;
									BgL_objectz00_bglt BgL_tmpz00_8226;

									BgL_auxz00_8230 = ((obj_t) BgL_wide1354z00_5175);
									BgL_tmpz00_8226 =
										((BgL_objectz00_bglt)
										((BgL_letzd2funzd2_bglt)
											((BgL_letzd2funzd2_bglt) BgL_nz00_4663)));
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_8226, BgL_auxz00_8230);
								}
								((BgL_objectz00_bglt)
									((BgL_letzd2funzd2_bglt)
										((BgL_letzd2funzd2_bglt) BgL_nz00_4663)));
								{	/* Liveness/liveness.scm 833 */
									long BgL_arg2451z00_5176;

									BgL_arg2451z00_5176 =
										BGL_CLASS_NUM
										(BGl_letzd2funzf2livenessz20zzliveness_typesz00);
									BGL_OBJECT_CLASS_NUM_SET(((BgL_objectz00_bglt) (
												(BgL_letzd2funzd2_bglt) ((BgL_letzd2funzd2_bglt)
													BgL_nz00_4663))), BgL_arg2451z00_5176);
								}
								((BgL_letzd2funzd2_bglt)
									((BgL_letzd2funzd2_bglt)
										((BgL_letzd2funzd2_bglt) BgL_nz00_4663)));
							}
							{
								BgL_letzd2funzf2livenessz20_bglt BgL_auxz00_8244;

								{
									obj_t BgL_auxz00_8245;

									{	/* Liveness/liveness.scm 834 */
										BgL_objectz00_bglt BgL_tmpz00_8246;

										BgL_tmpz00_8246 =
											((BgL_objectz00_bglt)
											((BgL_letzd2funzd2_bglt)
												((BgL_letzd2funzd2_bglt) BgL_nz00_4663)));
										BgL_auxz00_8245 = BGL_OBJECT_WIDENING(BgL_tmpz00_8246);
									}
									BgL_auxz00_8244 =
										((BgL_letzd2funzf2livenessz20_bglt) BgL_auxz00_8245);
								}
								((((BgL_letzd2funzf2livenessz20_bglt)
											COBJECT(BgL_auxz00_8244))->BgL_defz00) =
									((obj_t) BGl_unionz00zzliveness_setz00(BgL_defbodyz00_5171,
											BgL_defbindingsz00_5155)), BUNSPEC);
							}
							{
								BgL_letzd2funzf2livenessz20_bglt BgL_auxz00_8254;

								{
									obj_t BgL_auxz00_8255;

									{	/* Liveness/liveness.scm 835 */
										BgL_objectz00_bglt BgL_tmpz00_8256;

										BgL_tmpz00_8256 =
											((BgL_objectz00_bglt)
											((BgL_letzd2funzd2_bglt)
												((BgL_letzd2funzd2_bglt) BgL_nz00_4663)));
										BgL_auxz00_8255 = BGL_OBJECT_WIDENING(BgL_tmpz00_8256);
									}
									BgL_auxz00_8254 =
										((BgL_letzd2funzf2livenessz20_bglt) BgL_auxz00_8255);
								}
								((((BgL_letzd2funzf2livenessz20_bglt)
											COBJECT(BgL_auxz00_8254))->BgL_usez00) =
									((obj_t) BGl_unionz00zzliveness_setz00(BgL_usebodyz00_5172,
											BgL_usebindingsz00_5156)), BUNSPEC);
							}
							{
								BgL_letzd2funzf2livenessz20_bglt BgL_auxz00_8264;

								{
									obj_t BgL_auxz00_8265;

									{	/* Liveness/liveness.scm 831 */
										BgL_objectz00_bglt BgL_tmpz00_8266;

										BgL_tmpz00_8266 =
											((BgL_objectz00_bglt)
											((BgL_letzd2funzd2_bglt)
												((BgL_letzd2funzd2_bglt) BgL_nz00_4663)));
										BgL_auxz00_8265 = BGL_OBJECT_WIDENING(BgL_tmpz00_8266);
									}
									BgL_auxz00_8264 =
										((BgL_letzd2funzf2livenessz20_bglt) BgL_auxz00_8265);
								}
								((((BgL_letzd2funzf2livenessz20_bglt)
											COBJECT(BgL_auxz00_8264))->BgL_inz00) =
									((obj_t) BNIL), BUNSPEC);
							}
							{
								BgL_letzd2funzf2livenessz20_bglt BgL_auxz00_8273;

								{
									obj_t BgL_auxz00_8274;

									{	/* Liveness/liveness.scm 831 */
										BgL_objectz00_bglt BgL_tmpz00_8275;

										BgL_tmpz00_8275 =
											((BgL_objectz00_bglt)
											((BgL_letzd2funzd2_bglt)
												((BgL_letzd2funzd2_bglt) BgL_nz00_4663)));
										BgL_auxz00_8274 = BGL_OBJECT_WIDENING(BgL_tmpz00_8275);
									}
									BgL_auxz00_8273 =
										((BgL_letzd2funzf2livenessz20_bglt) BgL_auxz00_8274);
								}
								((((BgL_letzd2funzf2livenessz20_bglt)
											COBJECT(BgL_auxz00_8273))->BgL_outz00) =
									((obj_t) BNIL), BUNSPEC);
							}
							BgL_arg2450z00_5174 =
								((BgL_letzd2funzd2_bglt)
								((BgL_letzd2funzd2_bglt) BgL_nz00_4663));
							return
								BGl_defusez00zzliveness_livenessz00(
								((BgL_nodez00_bglt) BgL_arg2450z00_5174));
						}
					}
				}
			}
		}

	}



/* &inout-switch/livenes2031 */
	obj_t BGl_z62inoutzd2switchzf2livenes2031z42zzliveness_livenessz00(obj_t
		BgL_envz00_4664, obj_t BgL_nz00_4665)
	{
		{	/* Liveness/liveness.scm 807 */
			{	/* Liveness/liveness.scm 809 */
				obj_t BgL_val0_1751z00_5178;
				obj_t BgL_val1_1752z00_5179;

				{
					BgL_switchzf2livenesszf2_bglt BgL_auxz00_8286;

					{
						obj_t BgL_auxz00_8287;

						{	/* Liveness/liveness.scm 809 */
							BgL_objectz00_bglt BgL_tmpz00_8288;

							BgL_tmpz00_8288 =
								((BgL_objectz00_bglt) ((BgL_switchz00_bglt) BgL_nz00_4665));
							BgL_auxz00_8287 = BGL_OBJECT_WIDENING(BgL_tmpz00_8288);
						}
						BgL_auxz00_8286 = ((BgL_switchzf2livenesszf2_bglt) BgL_auxz00_8287);
					}
					BgL_val0_1751z00_5178 =
						(((BgL_switchzf2livenesszf2_bglt) COBJECT(BgL_auxz00_8286))->
						BgL_inz00);
				}
				{
					BgL_switchzf2livenesszf2_bglt BgL_auxz00_8294;

					{
						obj_t BgL_auxz00_8295;

						{	/* Liveness/liveness.scm 809 */
							BgL_objectz00_bglt BgL_tmpz00_8296;

							BgL_tmpz00_8296 =
								((BgL_objectz00_bglt) ((BgL_switchz00_bglt) BgL_nz00_4665));
							BgL_auxz00_8295 = BGL_OBJECT_WIDENING(BgL_tmpz00_8296);
						}
						BgL_auxz00_8294 = ((BgL_switchzf2livenesszf2_bglt) BgL_auxz00_8295);
					}
					BgL_val1_1752z00_5179 =
						(((BgL_switchzf2livenesszf2_bglt) COBJECT(BgL_auxz00_8294))->
						BgL_outz00);
				}
				{	/* Liveness/liveness.scm 809 */
					int BgL_tmpz00_8302;

					BgL_tmpz00_8302 = (int) (2L);
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_8302);
				}
				{	/* Liveness/liveness.scm 809 */
					int BgL_tmpz00_8305;

					BgL_tmpz00_8305 = (int) (1L);
					BGL_MVALUES_VAL_SET(BgL_tmpz00_8305, BgL_val1_1752z00_5179);
				}
				return BgL_val0_1751z00_5178;
			}
		}

	}



/* &inout!-switch/livene2029 */
	obj_t BGl_z62inoutz12zd2switchzf2livene2029z50zzliveness_livenessz00(obj_t
		BgL_envz00_4666, obj_t BgL_nz00_4667, obj_t BgL_oz00_4668)
	{
		{	/* Liveness/liveness.scm 796 */
			{
				BgL_switchzf2livenesszf2_bglt BgL_auxz00_8308;

				{
					obj_t BgL_auxz00_8309;

					{	/* Liveness/liveness.scm 799 */
						BgL_objectz00_bglt BgL_tmpz00_8310;

						BgL_tmpz00_8310 =
							((BgL_objectz00_bglt) ((BgL_switchz00_bglt) BgL_nz00_4667));
						BgL_auxz00_8309 = BGL_OBJECT_WIDENING(BgL_tmpz00_8310);
					}
					BgL_auxz00_8308 = ((BgL_switchzf2livenesszf2_bglt) BgL_auxz00_8309);
				}
				((((BgL_switchzf2livenesszf2_bglt) COBJECT(BgL_auxz00_8308))->
						BgL_outz00) = ((obj_t) BgL_oz00_4668), BUNSPEC);
			}
			{
				obj_t BgL_auxz00_8323;
				BgL_switchzf2livenesszf2_bglt BgL_auxz00_8316;

				{	/* Liveness/liveness.scm 800 */
					obj_t BgL_arg2422z00_5181;
					obj_t BgL_arg2423z00_5182;

					{
						BgL_switchzf2livenesszf2_bglt BgL_auxz00_8324;

						{
							obj_t BgL_auxz00_8325;

							{	/* Liveness/liveness.scm 800 */
								BgL_objectz00_bglt BgL_tmpz00_8326;

								BgL_tmpz00_8326 =
									((BgL_objectz00_bglt) ((BgL_switchz00_bglt) BgL_nz00_4667));
								BgL_auxz00_8325 = BGL_OBJECT_WIDENING(BgL_tmpz00_8326);
							}
							BgL_auxz00_8324 =
								((BgL_switchzf2livenesszf2_bglt) BgL_auxz00_8325);
						}
						BgL_arg2422z00_5181 =
							(((BgL_switchzf2livenesszf2_bglt) COBJECT(BgL_auxz00_8324))->
							BgL_usez00);
					}
					{	/* Liveness/liveness.scm 800 */
						obj_t BgL_arg2424z00_5183;
						obj_t BgL_arg2425z00_5184;

						{
							BgL_switchzf2livenesszf2_bglt BgL_auxz00_8332;

							{
								obj_t BgL_auxz00_8333;

								{	/* Liveness/liveness.scm 800 */
									BgL_objectz00_bglt BgL_tmpz00_8334;

									BgL_tmpz00_8334 =
										((BgL_objectz00_bglt) ((BgL_switchz00_bglt) BgL_nz00_4667));
									BgL_auxz00_8333 = BGL_OBJECT_WIDENING(BgL_tmpz00_8334);
								}
								BgL_auxz00_8332 =
									((BgL_switchzf2livenesszf2_bglt) BgL_auxz00_8333);
							}
							BgL_arg2424z00_5183 =
								(((BgL_switchzf2livenesszf2_bglt) COBJECT(BgL_auxz00_8332))->
								BgL_outz00);
						}
						{
							BgL_switchzf2livenesszf2_bglt BgL_auxz00_8340;

							{
								obj_t BgL_auxz00_8341;

								{	/* Liveness/liveness.scm 800 */
									BgL_objectz00_bglt BgL_tmpz00_8342;

									BgL_tmpz00_8342 =
										((BgL_objectz00_bglt) ((BgL_switchz00_bglt) BgL_nz00_4667));
									BgL_auxz00_8341 = BGL_OBJECT_WIDENING(BgL_tmpz00_8342);
								}
								BgL_auxz00_8340 =
									((BgL_switchzf2livenesszf2_bglt) BgL_auxz00_8341);
							}
							BgL_arg2425z00_5184 =
								(((BgL_switchzf2livenesszf2_bglt) COBJECT(BgL_auxz00_8340))->
								BgL_defz00);
						}
						BgL_arg2423z00_5182 =
							BGl_disjonctionz00zzliveness_setz00(BgL_arg2424z00_5183,
							BgL_arg2425z00_5184);
					}
					BgL_auxz00_8323 =
						BGl_unionz00zzliveness_setz00(BgL_arg2422z00_5181,
						BgL_arg2423z00_5182);
				}
				{
					obj_t BgL_auxz00_8317;

					{	/* Liveness/liveness.scm 800 */
						BgL_objectz00_bglt BgL_tmpz00_8318;

						BgL_tmpz00_8318 =
							((BgL_objectz00_bglt) ((BgL_switchz00_bglt) BgL_nz00_4667));
						BgL_auxz00_8317 = BGL_OBJECT_WIDENING(BgL_tmpz00_8318);
					}
					BgL_auxz00_8316 = ((BgL_switchzf2livenesszf2_bglt) BgL_auxz00_8317);
				}
				((((BgL_switchzf2livenesszf2_bglt) COBJECT(BgL_auxz00_8316))->
						BgL_inz00) = ((obj_t) BgL_auxz00_8323), BUNSPEC);
			}
			{	/* Liveness/liveness.scm 803 */
				BgL_nodez00_bglt BgL_arg2428z00_5185;

				BgL_arg2428z00_5185 =
					(((BgL_switchz00_bglt) COBJECT(
							((BgL_switchz00_bglt)
								((BgL_switchz00_bglt) BgL_nz00_4667))))->BgL_testz00);
				BGl_inoutz12z12zzliveness_livenessz00(BgL_arg2428z00_5185,
					BgL_oz00_4668);
			}
			{	/* Liveness/liveness.scm 804 */
				obj_t BgL_g1748z00_5186;

				BgL_g1748z00_5186 =
					(((BgL_switchz00_bglt) COBJECT(
							((BgL_switchz00_bglt)
								((BgL_switchz00_bglt) BgL_nz00_4667))))->BgL_clausesz00);
				{
					obj_t BgL_l1746z00_5188;

					BgL_l1746z00_5188 = BgL_g1748z00_5186;
				BgL_zc3z04anonymousza32429ze3z87_5187:
					if (PAIRP(BgL_l1746z00_5188))
						{	/* Liveness/liveness.scm 804 */
							{	/* Liveness/liveness.scm 804 */
								obj_t BgL_cz00_5189;

								BgL_cz00_5189 = CAR(BgL_l1746z00_5188);
								{	/* Liveness/liveness.scm 804 */
									obj_t BgL_arg2431z00_5190;

									BgL_arg2431z00_5190 = CDR(((obj_t) BgL_cz00_5189));
									BGl_inoutz12z12zzliveness_livenessz00(
										((BgL_nodez00_bglt) BgL_arg2431z00_5190), BgL_oz00_4668);
								}
							}
							{
								obj_t BgL_l1746z00_8365;

								BgL_l1746z00_8365 = CDR(BgL_l1746z00_5188);
								BgL_l1746z00_5188 = BgL_l1746z00_8365;
								goto BgL_zc3z04anonymousza32429ze3z87_5187;
							}
						}
					else
						{	/* Liveness/liveness.scm 804 */
							((bool_t) 1);
						}
				}
			}
			{	/* Liveness/liveness.scm 805 */
				obj_t BgL_val0_1749z00_5191;
				obj_t BgL_val1_1750z00_5192;

				{
					BgL_switchzf2livenesszf2_bglt BgL_auxz00_8367;

					{
						obj_t BgL_auxz00_8368;

						{	/* Liveness/liveness.scm 805 */
							BgL_objectz00_bglt BgL_tmpz00_8369;

							BgL_tmpz00_8369 =
								((BgL_objectz00_bglt) ((BgL_switchz00_bglt) BgL_nz00_4667));
							BgL_auxz00_8368 = BGL_OBJECT_WIDENING(BgL_tmpz00_8369);
						}
						BgL_auxz00_8367 = ((BgL_switchzf2livenesszf2_bglt) BgL_auxz00_8368);
					}
					BgL_val0_1749z00_5191 =
						(((BgL_switchzf2livenesszf2_bglt) COBJECT(BgL_auxz00_8367))->
						BgL_inz00);
				}
				{
					BgL_switchzf2livenesszf2_bglt BgL_auxz00_8375;

					{
						obj_t BgL_auxz00_8376;

						{	/* Liveness/liveness.scm 805 */
							BgL_objectz00_bglt BgL_tmpz00_8377;

							BgL_tmpz00_8377 =
								((BgL_objectz00_bglt) ((BgL_switchz00_bglt) BgL_nz00_4667));
							BgL_auxz00_8376 = BGL_OBJECT_WIDENING(BgL_tmpz00_8377);
						}
						BgL_auxz00_8375 = ((BgL_switchzf2livenesszf2_bglt) BgL_auxz00_8376);
					}
					BgL_val1_1750z00_5192 =
						(((BgL_switchzf2livenesszf2_bglt) COBJECT(BgL_auxz00_8375))->
						BgL_outz00);
				}
				{	/* Liveness/liveness.scm 805 */
					int BgL_tmpz00_8383;

					BgL_tmpz00_8383 = (int) (2L);
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_8383);
				}
				{	/* Liveness/liveness.scm 805 */
					int BgL_tmpz00_8386;

					BgL_tmpz00_8386 = (int) (1L);
					BGL_MVALUES_VAL_SET(BgL_tmpz00_8386, BgL_val1_1750z00_5192);
				}
				return BgL_val0_1749z00_5191;
			}
		}

	}



/* &defuse-switch/livene2027 */
	obj_t BGl_z62defusezd2switchzf2livene2027z42zzliveness_livenessz00(obj_t
		BgL_envz00_4669, obj_t BgL_nz00_4670)
	{
		{	/* Liveness/liveness.scm 792 */
			{	/* Liveness/liveness.scm 794 */
				obj_t BgL_val0_1744z00_5194;
				obj_t BgL_val1_1745z00_5195;

				{
					BgL_switchzf2livenesszf2_bglt BgL_auxz00_8389;

					{
						obj_t BgL_auxz00_8390;

						{	/* Liveness/liveness.scm 794 */
							BgL_objectz00_bglt BgL_tmpz00_8391;

							BgL_tmpz00_8391 =
								((BgL_objectz00_bglt) ((BgL_switchz00_bglt) BgL_nz00_4670));
							BgL_auxz00_8390 = BGL_OBJECT_WIDENING(BgL_tmpz00_8391);
						}
						BgL_auxz00_8389 = ((BgL_switchzf2livenesszf2_bglt) BgL_auxz00_8390);
					}
					BgL_val0_1744z00_5194 =
						(((BgL_switchzf2livenesszf2_bglt) COBJECT(BgL_auxz00_8389))->
						BgL_defz00);
				}
				{
					BgL_switchzf2livenesszf2_bglt BgL_auxz00_8397;

					{
						obj_t BgL_auxz00_8398;

						{	/* Liveness/liveness.scm 794 */
							BgL_objectz00_bglt BgL_tmpz00_8399;

							BgL_tmpz00_8399 =
								((BgL_objectz00_bglt) ((BgL_switchz00_bglt) BgL_nz00_4670));
							BgL_auxz00_8398 = BGL_OBJECT_WIDENING(BgL_tmpz00_8399);
						}
						BgL_auxz00_8397 = ((BgL_switchzf2livenesszf2_bglt) BgL_auxz00_8398);
					}
					BgL_val1_1745z00_5195 =
						(((BgL_switchzf2livenesszf2_bglt) COBJECT(BgL_auxz00_8397))->
						BgL_usez00);
				}
				{	/* Liveness/liveness.scm 794 */
					int BgL_tmpz00_8405;

					BgL_tmpz00_8405 = (int) (2L);
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_8405);
				}
				{	/* Liveness/liveness.scm 794 */
					int BgL_tmpz00_8408;

					BgL_tmpz00_8408 = (int) (1L);
					BGL_MVALUES_VAL_SET(BgL_tmpz00_8408, BgL_val1_1745z00_5195);
				}
				return BgL_val0_1744z00_5194;
			}
		}

	}



/* &defuse-switch2025 */
	obj_t BGl_z62defusezd2switch2025zb0zzliveness_livenessz00(obj_t
		BgL_envz00_4671, obj_t BgL_nz00_4672)
	{
		{	/* Liveness/liveness.scm 774 */
			{	/* Liveness/liveness.scm 776 */
				obj_t BgL_deftestz00_5197;

				BgL_deftestz00_5197 =
					BGl_defusez00zzliveness_livenessz00(
					(((BgL_switchz00_bglt) COBJECT(
								((BgL_switchz00_bglt) BgL_nz00_4672)))->BgL_testz00));
				{	/* Liveness/liveness.scm 777 */
					obj_t BgL_usetestz00_5198;

					{	/* Liveness/liveness.scm 779 */
						obj_t BgL_tmpz00_5199;

						{	/* Liveness/liveness.scm 779 */
							int BgL_tmpz00_8414;

							BgL_tmpz00_8414 = (int) (1L);
							BgL_tmpz00_5199 = BGL_MVALUES_VAL(BgL_tmpz00_8414);
						}
						{	/* Liveness/liveness.scm 779 */
							int BgL_tmpz00_8417;

							BgL_tmpz00_8417 = (int) (1L);
							BGL_MVALUES_VAL_SET(BgL_tmpz00_8417, BUNSPEC);
						}
						BgL_usetestz00_5198 = BgL_tmpz00_5199;
					}
					{	/* Liveness/liveness.scm 779 */
						obj_t BgL_defsz00_5200;
						obj_t BgL_usesz00_5201;

						BgL_defsz00_5200 = BNIL;
						BgL_usesz00_5201 = BNIL;
						{	/* Liveness/liveness.scm 781 */
							obj_t BgL_g1743z00_5202;

							BgL_g1743z00_5202 =
								(((BgL_switchz00_bglt) COBJECT(
										((BgL_switchz00_bglt) BgL_nz00_4672)))->BgL_clausesz00);
							{
								obj_t BgL_l1741z00_5204;

								BgL_l1741z00_5204 = BgL_g1743z00_5202;
							BgL_zc3z04anonymousza32404ze3z87_5203:
								if (PAIRP(BgL_l1741z00_5204))
									{	/* Liveness/liveness.scm 781 */
										{	/* Liveness/liveness.scm 782 */
											obj_t BgL_clausez00_5205;

											BgL_clausez00_5205 = CAR(BgL_l1741z00_5204);
											{	/* Liveness/liveness.scm 782 */
												obj_t BgL_defz00_5206;

												{	/* Liveness/liveness.scm 783 */
													obj_t BgL_arg2407z00_5207;

													BgL_arg2407z00_5207 =
														CDR(((obj_t) BgL_clausez00_5205));
													BgL_defz00_5206 =
														BGl_defusez00zzliveness_livenessz00(
														((BgL_nodez00_bglt) BgL_arg2407z00_5207));
												}
												{	/* Liveness/liveness.scm 783 */
													obj_t BgL_usez00_5208;

													{	/* Liveness/liveness.scm 784 */
														obj_t BgL_tmpz00_5209;

														{	/* Liveness/liveness.scm 784 */
															int BgL_tmpz00_8429;

															BgL_tmpz00_8429 = (int) (1L);
															BgL_tmpz00_5209 =
																BGL_MVALUES_VAL(BgL_tmpz00_8429);
														}
														{	/* Liveness/liveness.scm 784 */
															int BgL_tmpz00_8432;

															BgL_tmpz00_8432 = (int) (1L);
															BGL_MVALUES_VAL_SET(BgL_tmpz00_8432, BUNSPEC);
														}
														BgL_usez00_5208 = BgL_tmpz00_5209;
													}
													BgL_defsz00_5200 =
														MAKE_YOUNG_PAIR(BgL_defz00_5206, BgL_defsz00_5200);
													BgL_usesz00_5201 =
														MAKE_YOUNG_PAIR(BgL_usez00_5208, BgL_usesz00_5201);
										}}}
										{
											obj_t BgL_l1741z00_8437;

											BgL_l1741z00_8437 = CDR(BgL_l1741z00_5204);
											BgL_l1741z00_5204 = BgL_l1741z00_8437;
											goto BgL_zc3z04anonymousza32404ze3z87_5203;
										}
									}
								else
									{	/* Liveness/liveness.scm 781 */
										((bool_t) 1);
									}
							}
						}
						{	/* Liveness/liveness.scm 788 */
							BgL_switchz00_bglt BgL_arg2412z00_5210;

							{	/* Liveness/liveness.scm 788 */
								BgL_switchzf2livenesszf2_bglt BgL_wide1341z00_5211;

								BgL_wide1341z00_5211 =
									((BgL_switchzf2livenesszf2_bglt)
									BOBJECT(GC_MALLOC(sizeof(struct
												BgL_switchzf2livenesszf2_bgl))));
								{	/* Liveness/liveness.scm 788 */
									obj_t BgL_auxz00_8444;
									BgL_objectz00_bglt BgL_tmpz00_8440;

									BgL_auxz00_8444 = ((obj_t) BgL_wide1341z00_5211);
									BgL_tmpz00_8440 =
										((BgL_objectz00_bglt)
										((BgL_switchz00_bglt)
											((BgL_switchz00_bglt) BgL_nz00_4672)));
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_8440, BgL_auxz00_8444);
								}
								((BgL_objectz00_bglt)
									((BgL_switchz00_bglt) ((BgL_switchz00_bglt) BgL_nz00_4672)));
								{	/* Liveness/liveness.scm 788 */
									long BgL_arg2413z00_5212;

									BgL_arg2413z00_5212 =
										BGL_CLASS_NUM(BGl_switchzf2livenesszf2zzliveness_typesz00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt)
											((BgL_switchz00_bglt)
												((BgL_switchz00_bglt) BgL_nz00_4672))),
										BgL_arg2413z00_5212);
								}
								((BgL_switchz00_bglt)
									((BgL_switchz00_bglt) ((BgL_switchz00_bglt) BgL_nz00_4672)));
							}
							{
								obj_t BgL_auxz00_8466;
								BgL_switchzf2livenesszf2_bglt BgL_auxz00_8458;

								{	/* Liveness/liveness.scm 789 */
									obj_t BgL_arg2415z00_5213;

									{	/* Liveness/liveness.scm 789 */
										obj_t BgL_runner2416z00_5214;

										BgL_runner2416z00_5214 = BgL_defsz00_5200;
										BgL_arg2415z00_5213 =
											BGl_intersectionza2za2zzliveness_setz00
											(BgL_runner2416z00_5214);
									}
									BgL_auxz00_8466 =
										BGl_unionz00zzliveness_setz00(BgL_deftestz00_5197,
										BgL_arg2415z00_5213);
								}
								{
									obj_t BgL_auxz00_8459;

									{	/* Liveness/liveness.scm 789 */
										BgL_objectz00_bglt BgL_tmpz00_8460;

										BgL_tmpz00_8460 =
											((BgL_objectz00_bglt)
											((BgL_switchz00_bglt)
												((BgL_switchz00_bglt) BgL_nz00_4672)));
										BgL_auxz00_8459 = BGL_OBJECT_WIDENING(BgL_tmpz00_8460);
									}
									BgL_auxz00_8458 =
										((BgL_switchzf2livenesszf2_bglt) BgL_auxz00_8459);
								}
								((((BgL_switchzf2livenesszf2_bglt) COBJECT(BgL_auxz00_8458))->
										BgL_defz00) = ((obj_t) BgL_auxz00_8466), BUNSPEC);
							}
							{
								obj_t BgL_auxz00_8478;
								BgL_switchzf2livenesszf2_bglt BgL_auxz00_8470;

								{	/* Liveness/liveness.scm 790 */
									obj_t BgL_arg2417z00_5215;

									{	/* Liveness/liveness.scm 790 */
										obj_t BgL_arg2418z00_5216;

										{	/* Liveness/liveness.scm 790 */
											obj_t BgL_runner2419z00_5217;

											BgL_runner2419z00_5217 = BgL_usesz00_5201;
											BgL_arg2418z00_5216 =
												BGl_unionza2za2zzliveness_setz00
												(BgL_runner2419z00_5217);
										}
										BgL_arg2417z00_5215 =
											BGl_disjonctionz00zzliveness_setz00(BgL_arg2418z00_5216,
											BgL_deftestz00_5197);
									}
									BgL_auxz00_8478 =
										BGl_unionz00zzliveness_setz00(BgL_usetestz00_5198,
										BgL_arg2417z00_5215);
								}
								{
									obj_t BgL_auxz00_8471;

									{	/* Liveness/liveness.scm 790 */
										BgL_objectz00_bglt BgL_tmpz00_8472;

										BgL_tmpz00_8472 =
											((BgL_objectz00_bglt)
											((BgL_switchz00_bglt)
												((BgL_switchz00_bglt) BgL_nz00_4672)));
										BgL_auxz00_8471 = BGL_OBJECT_WIDENING(BgL_tmpz00_8472);
									}
									BgL_auxz00_8470 =
										((BgL_switchzf2livenesszf2_bglt) BgL_auxz00_8471);
								}
								((((BgL_switchzf2livenesszf2_bglt) COBJECT(BgL_auxz00_8470))->
										BgL_usez00) = ((obj_t) BgL_auxz00_8478), BUNSPEC);
							}
							{
								BgL_switchzf2livenesszf2_bglt BgL_auxz00_8483;

								{
									obj_t BgL_auxz00_8484;

									{	/* Liveness/liveness.scm 779 */
										BgL_objectz00_bglt BgL_tmpz00_8485;

										BgL_tmpz00_8485 =
											((BgL_objectz00_bglt)
											((BgL_switchz00_bglt)
												((BgL_switchz00_bglt) BgL_nz00_4672)));
										BgL_auxz00_8484 = BGL_OBJECT_WIDENING(BgL_tmpz00_8485);
									}
									BgL_auxz00_8483 =
										((BgL_switchzf2livenesszf2_bglt) BgL_auxz00_8484);
								}
								((((BgL_switchzf2livenesszf2_bglt) COBJECT(BgL_auxz00_8483))->
										BgL_inz00) = ((obj_t) BNIL), BUNSPEC);
							}
							{
								BgL_switchzf2livenesszf2_bglt BgL_auxz00_8492;

								{
									obj_t BgL_auxz00_8493;

									{	/* Liveness/liveness.scm 779 */
										BgL_objectz00_bglt BgL_tmpz00_8494;

										BgL_tmpz00_8494 =
											((BgL_objectz00_bglt)
											((BgL_switchz00_bglt)
												((BgL_switchz00_bglt) BgL_nz00_4672)));
										BgL_auxz00_8493 = BGL_OBJECT_WIDENING(BgL_tmpz00_8494);
									}
									BgL_auxz00_8492 =
										((BgL_switchzf2livenesszf2_bglt) BgL_auxz00_8493);
								}
								((((BgL_switchzf2livenesszf2_bglt) COBJECT(BgL_auxz00_8492))->
										BgL_outz00) = ((obj_t) BNIL), BUNSPEC);
							}
							BgL_arg2412z00_5210 =
								((BgL_switchz00_bglt) ((BgL_switchz00_bglt) BgL_nz00_4672));
							return
								BGl_defusez00zzliveness_livenessz00(
								((BgL_nodez00_bglt) BgL_arg2412z00_5210));
						}
					}
				}
			}
		}

	}



/* &inout-fail/liveness2023 */
	obj_t BGl_z62inoutzd2failzf2liveness2023z42zzliveness_livenessz00(obj_t
		BgL_envz00_4673, obj_t BgL_nz00_4674)
	{
		{	/* Liveness/liveness.scm 767 */
			{	/* Liveness/liveness.scm 769 */
				obj_t BgL_val0_1739z00_5219;
				obj_t BgL_val1_1740z00_5220;

				{
					BgL_failzf2livenesszf2_bglt BgL_auxz00_8505;

					{
						obj_t BgL_auxz00_8506;

						{	/* Liveness/liveness.scm 769 */
							BgL_objectz00_bglt BgL_tmpz00_8507;

							BgL_tmpz00_8507 =
								((BgL_objectz00_bglt) ((BgL_failz00_bglt) BgL_nz00_4674));
							BgL_auxz00_8506 = BGL_OBJECT_WIDENING(BgL_tmpz00_8507);
						}
						BgL_auxz00_8505 = ((BgL_failzf2livenesszf2_bglt) BgL_auxz00_8506);
					}
					BgL_val0_1739z00_5219 =
						(((BgL_failzf2livenesszf2_bglt) COBJECT(BgL_auxz00_8505))->
						BgL_inz00);
				}
				{
					BgL_failzf2livenesszf2_bglt BgL_auxz00_8513;

					{
						obj_t BgL_auxz00_8514;

						{	/* Liveness/liveness.scm 769 */
							BgL_objectz00_bglt BgL_tmpz00_8515;

							BgL_tmpz00_8515 =
								((BgL_objectz00_bglt) ((BgL_failz00_bglt) BgL_nz00_4674));
							BgL_auxz00_8514 = BGL_OBJECT_WIDENING(BgL_tmpz00_8515);
						}
						BgL_auxz00_8513 = ((BgL_failzf2livenesszf2_bglt) BgL_auxz00_8514);
					}
					BgL_val1_1740z00_5220 =
						(((BgL_failzf2livenesszf2_bglt) COBJECT(BgL_auxz00_8513))->
						BgL_outz00);
				}
				{	/* Liveness/liveness.scm 769 */
					int BgL_tmpz00_8521;

					BgL_tmpz00_8521 = (int) (2L);
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_8521);
				}
				{	/* Liveness/liveness.scm 769 */
					int BgL_tmpz00_8524;

					BgL_tmpz00_8524 = (int) (1L);
					BGL_MVALUES_VAL_SET(BgL_tmpz00_8524, BgL_val1_1740z00_5220);
				}
				return BgL_val0_1739z00_5219;
			}
		}

	}



/* &inout!-fail/liveness2021 */
	obj_t BGl_z62inoutz12zd2failzf2liveness2021z50zzliveness_livenessz00(obj_t
		BgL_envz00_4675, obj_t BgL_nz00_4676, obj_t BgL_oz00_4677)
	{
		{	/* Liveness/liveness.scm 757 */
			{
				BgL_failzf2livenesszf2_bglt BgL_auxz00_8527;

				{
					obj_t BgL_auxz00_8528;

					{	/* Liveness/liveness.scm 760 */
						BgL_objectz00_bglt BgL_tmpz00_8529;

						BgL_tmpz00_8529 =
							((BgL_objectz00_bglt) ((BgL_failz00_bglt) BgL_nz00_4676));
						BgL_auxz00_8528 = BGL_OBJECT_WIDENING(BgL_tmpz00_8529);
					}
					BgL_auxz00_8527 = ((BgL_failzf2livenesszf2_bglt) BgL_auxz00_8528);
				}
				((((BgL_failzf2livenesszf2_bglt) COBJECT(BgL_auxz00_8527))->
						BgL_outz00) = ((obj_t) BgL_oz00_4677), BUNSPEC);
			}
			{
				obj_t BgL_auxz00_8542;
				BgL_failzf2livenesszf2_bglt BgL_auxz00_8535;

				{	/* Liveness/liveness.scm 761 */
					obj_t BgL_arg2393z00_5222;
					obj_t BgL_arg2396z00_5223;

					{
						BgL_failzf2livenesszf2_bglt BgL_auxz00_8543;

						{
							obj_t BgL_auxz00_8544;

							{	/* Liveness/liveness.scm 761 */
								BgL_objectz00_bglt BgL_tmpz00_8545;

								BgL_tmpz00_8545 =
									((BgL_objectz00_bglt) ((BgL_failz00_bglt) BgL_nz00_4676));
								BgL_auxz00_8544 = BGL_OBJECT_WIDENING(BgL_tmpz00_8545);
							}
							BgL_auxz00_8543 = ((BgL_failzf2livenesszf2_bglt) BgL_auxz00_8544);
						}
						BgL_arg2393z00_5222 =
							(((BgL_failzf2livenesszf2_bglt) COBJECT(BgL_auxz00_8543))->
							BgL_usez00);
					}
					{	/* Liveness/liveness.scm 761 */
						obj_t BgL_arg2398z00_5224;
						obj_t BgL_arg2399z00_5225;

						{
							BgL_failzf2livenesszf2_bglt BgL_auxz00_8551;

							{
								obj_t BgL_auxz00_8552;

								{	/* Liveness/liveness.scm 761 */
									BgL_objectz00_bglt BgL_tmpz00_8553;

									BgL_tmpz00_8553 =
										((BgL_objectz00_bglt) ((BgL_failz00_bglt) BgL_nz00_4676));
									BgL_auxz00_8552 = BGL_OBJECT_WIDENING(BgL_tmpz00_8553);
								}
								BgL_auxz00_8551 =
									((BgL_failzf2livenesszf2_bglt) BgL_auxz00_8552);
							}
							BgL_arg2398z00_5224 =
								(((BgL_failzf2livenesszf2_bglt) COBJECT(BgL_auxz00_8551))->
								BgL_outz00);
						}
						{
							BgL_failzf2livenesszf2_bglt BgL_auxz00_8559;

							{
								obj_t BgL_auxz00_8560;

								{	/* Liveness/liveness.scm 761 */
									BgL_objectz00_bglt BgL_tmpz00_8561;

									BgL_tmpz00_8561 =
										((BgL_objectz00_bglt) ((BgL_failz00_bglt) BgL_nz00_4676));
									BgL_auxz00_8560 = BGL_OBJECT_WIDENING(BgL_tmpz00_8561);
								}
								BgL_auxz00_8559 =
									((BgL_failzf2livenesszf2_bglt) BgL_auxz00_8560);
							}
							BgL_arg2399z00_5225 =
								(((BgL_failzf2livenesszf2_bglt) COBJECT(BgL_auxz00_8559))->
								BgL_defz00);
						}
						BgL_arg2396z00_5223 =
							BGl_disjonctionz00zzliveness_setz00(BgL_arg2398z00_5224,
							BgL_arg2399z00_5225);
					}
					BgL_auxz00_8542 =
						BGl_unionz00zzliveness_setz00(BgL_arg2393z00_5222,
						BgL_arg2396z00_5223);
				}
				{
					obj_t BgL_auxz00_8536;

					{	/* Liveness/liveness.scm 761 */
						BgL_objectz00_bglt BgL_tmpz00_8537;

						BgL_tmpz00_8537 =
							((BgL_objectz00_bglt) ((BgL_failz00_bglt) BgL_nz00_4676));
						BgL_auxz00_8536 = BGL_OBJECT_WIDENING(BgL_tmpz00_8537);
					}
					BgL_auxz00_8535 = ((BgL_failzf2livenesszf2_bglt) BgL_auxz00_8536);
				}
				((((BgL_failzf2livenesszf2_bglt) COBJECT(BgL_auxz00_8535))->BgL_inz00) =
					((obj_t) BgL_auxz00_8542), BUNSPEC);
			}
			{	/* Liveness/liveness.scm 762 */
				BgL_nodez00_bglt BgL_arg2401z00_5226;

				BgL_arg2401z00_5226 =
					(((BgL_failz00_bglt) COBJECT(
							((BgL_failz00_bglt)
								((BgL_failz00_bglt) BgL_nz00_4676))))->BgL_procz00);
				BGl_inoutz12z12zzliveness_livenessz00(BgL_arg2401z00_5226,
					BgL_oz00_4677);
			}
			{	/* Liveness/liveness.scm 763 */
				BgL_nodez00_bglt BgL_arg2402z00_5227;

				BgL_arg2402z00_5227 =
					(((BgL_failz00_bglt) COBJECT(
							((BgL_failz00_bglt)
								((BgL_failz00_bglt) BgL_nz00_4676))))->BgL_msgz00);
				BGl_inoutz12z12zzliveness_livenessz00(BgL_arg2402z00_5227,
					BgL_oz00_4677);
			}
			{	/* Liveness/liveness.scm 764 */
				BgL_nodez00_bglt BgL_arg2403z00_5228;

				BgL_arg2403z00_5228 =
					(((BgL_failz00_bglt) COBJECT(
							((BgL_failz00_bglt)
								((BgL_failz00_bglt) BgL_nz00_4676))))->BgL_objz00);
				BGl_inoutz12z12zzliveness_livenessz00(BgL_arg2403z00_5228,
					BgL_oz00_4677);
			}
			{	/* Liveness/liveness.scm 765 */
				obj_t BgL_val0_1737z00_5229;
				obj_t BgL_val1_1738z00_5230;

				{
					BgL_failzf2livenesszf2_bglt BgL_auxz00_8582;

					{
						obj_t BgL_auxz00_8583;

						{	/* Liveness/liveness.scm 765 */
							BgL_objectz00_bglt BgL_tmpz00_8584;

							BgL_tmpz00_8584 =
								((BgL_objectz00_bglt) ((BgL_failz00_bglt) BgL_nz00_4676));
							BgL_auxz00_8583 = BGL_OBJECT_WIDENING(BgL_tmpz00_8584);
						}
						BgL_auxz00_8582 = ((BgL_failzf2livenesszf2_bglt) BgL_auxz00_8583);
					}
					BgL_val0_1737z00_5229 =
						(((BgL_failzf2livenesszf2_bglt) COBJECT(BgL_auxz00_8582))->
						BgL_inz00);
				}
				{
					BgL_failzf2livenesszf2_bglt BgL_auxz00_8590;

					{
						obj_t BgL_auxz00_8591;

						{	/* Liveness/liveness.scm 765 */
							BgL_objectz00_bglt BgL_tmpz00_8592;

							BgL_tmpz00_8592 =
								((BgL_objectz00_bglt) ((BgL_failz00_bglt) BgL_nz00_4676));
							BgL_auxz00_8591 = BGL_OBJECT_WIDENING(BgL_tmpz00_8592);
						}
						BgL_auxz00_8590 = ((BgL_failzf2livenesszf2_bglt) BgL_auxz00_8591);
					}
					BgL_val1_1738z00_5230 =
						(((BgL_failzf2livenesszf2_bglt) COBJECT(BgL_auxz00_8590))->
						BgL_outz00);
				}
				{	/* Liveness/liveness.scm 765 */
					int BgL_tmpz00_8598;

					BgL_tmpz00_8598 = (int) (2L);
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_8598);
				}
				{	/* Liveness/liveness.scm 765 */
					int BgL_tmpz00_8601;

					BgL_tmpz00_8601 = (int) (1L);
					BGL_MVALUES_VAL_SET(BgL_tmpz00_8601, BgL_val1_1738z00_5230);
				}
				return BgL_val0_1737z00_5229;
			}
		}

	}



/* &defuse-fail/liveness2019 */
	obj_t BGl_z62defusezd2failzf2liveness2019z42zzliveness_livenessz00(obj_t
		BgL_envz00_4678, obj_t BgL_nz00_4679)
	{
		{	/* Liveness/liveness.scm 753 */
			{	/* Liveness/liveness.scm 755 */
				obj_t BgL_val0_1735z00_5232;
				obj_t BgL_val1_1736z00_5233;

				{
					BgL_failzf2livenesszf2_bglt BgL_auxz00_8604;

					{
						obj_t BgL_auxz00_8605;

						{	/* Liveness/liveness.scm 755 */
							BgL_objectz00_bglt BgL_tmpz00_8606;

							BgL_tmpz00_8606 =
								((BgL_objectz00_bglt) ((BgL_failz00_bglt) BgL_nz00_4679));
							BgL_auxz00_8605 = BGL_OBJECT_WIDENING(BgL_tmpz00_8606);
						}
						BgL_auxz00_8604 = ((BgL_failzf2livenesszf2_bglt) BgL_auxz00_8605);
					}
					BgL_val0_1735z00_5232 =
						(((BgL_failzf2livenesszf2_bglt) COBJECT(BgL_auxz00_8604))->
						BgL_defz00);
				}
				{
					BgL_failzf2livenesszf2_bglt BgL_auxz00_8612;

					{
						obj_t BgL_auxz00_8613;

						{	/* Liveness/liveness.scm 755 */
							BgL_objectz00_bglt BgL_tmpz00_8614;

							BgL_tmpz00_8614 =
								((BgL_objectz00_bglt) ((BgL_failz00_bglt) BgL_nz00_4679));
							BgL_auxz00_8613 = BGL_OBJECT_WIDENING(BgL_tmpz00_8614);
						}
						BgL_auxz00_8612 = ((BgL_failzf2livenesszf2_bglt) BgL_auxz00_8613);
					}
					BgL_val1_1736z00_5233 =
						(((BgL_failzf2livenesszf2_bglt) COBJECT(BgL_auxz00_8612))->
						BgL_usez00);
				}
				{	/* Liveness/liveness.scm 755 */
					int BgL_tmpz00_8620;

					BgL_tmpz00_8620 = (int) (2L);
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_8620);
				}
				{	/* Liveness/liveness.scm 755 */
					int BgL_tmpz00_8623;

					BgL_tmpz00_8623 = (int) (1L);
					BGL_MVALUES_VAL_SET(BgL_tmpz00_8623, BgL_val1_1736z00_5233);
				}
				return BgL_val0_1735z00_5232;
			}
		}

	}



/* &defuse-fail2017 */
	obj_t BGl_z62defusezd2fail2017zb0zzliveness_livenessz00(obj_t BgL_envz00_4680,
		obj_t BgL_nz00_4681)
	{
		{	/* Liveness/liveness.scm 740 */
			{	/* Liveness/liveness.scm 742 */
				obj_t BgL_defprocz00_5235;

				BgL_defprocz00_5235 =
					BGl_defusez00zzliveness_livenessz00(
					(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nz00_4681)))->BgL_procz00));
				{	/* Liveness/liveness.scm 743 */
					obj_t BgL_useprocz00_5236;

					{	/* Liveness/liveness.scm 744 */
						obj_t BgL_tmpz00_5237;

						{	/* Liveness/liveness.scm 744 */
							int BgL_tmpz00_8629;

							BgL_tmpz00_8629 = (int) (1L);
							BgL_tmpz00_5237 = BGL_MVALUES_VAL(BgL_tmpz00_8629);
						}
						{	/* Liveness/liveness.scm 744 */
							int BgL_tmpz00_8632;

							BgL_tmpz00_8632 = (int) (1L);
							BGL_MVALUES_VAL_SET(BgL_tmpz00_8632, BUNSPEC);
						}
						BgL_useprocz00_5236 = BgL_tmpz00_5237;
					}
					{	/* Liveness/liveness.scm 744 */
						obj_t BgL_defmsgz00_5238;

						BgL_defmsgz00_5238 =
							BGl_defusez00zzliveness_livenessz00(
							(((BgL_failz00_bglt) COBJECT(
										((BgL_failz00_bglt) BgL_nz00_4681)))->BgL_msgz00));
						{	/* Liveness/liveness.scm 745 */
							obj_t BgL_usemsgz00_5239;

							{	/* Liveness/liveness.scm 746 */
								obj_t BgL_tmpz00_5240;

								{	/* Liveness/liveness.scm 746 */
									int BgL_tmpz00_8638;

									BgL_tmpz00_8638 = (int) (1L);
									BgL_tmpz00_5240 = BGL_MVALUES_VAL(BgL_tmpz00_8638);
								}
								{	/* Liveness/liveness.scm 746 */
									int BgL_tmpz00_8641;

									BgL_tmpz00_8641 = (int) (1L);
									BGL_MVALUES_VAL_SET(BgL_tmpz00_8641, BUNSPEC);
								}
								BgL_usemsgz00_5239 = BgL_tmpz00_5240;
							}
							{	/* Liveness/liveness.scm 746 */
								obj_t BgL_defobjz00_5241;

								BgL_defobjz00_5241 =
									BGl_defusez00zzliveness_livenessz00(
									(((BgL_failz00_bglt) COBJECT(
												((BgL_failz00_bglt) BgL_nz00_4681)))->BgL_objz00));
								{	/* Liveness/liveness.scm 747 */
									obj_t BgL_useobjz00_5242;

									{	/* Liveness/liveness.scm 748 */
										obj_t BgL_tmpz00_5243;

										{	/* Liveness/liveness.scm 748 */
											int BgL_tmpz00_8647;

											BgL_tmpz00_8647 = (int) (1L);
											BgL_tmpz00_5243 = BGL_MVALUES_VAL(BgL_tmpz00_8647);
										}
										{	/* Liveness/liveness.scm 748 */
											int BgL_tmpz00_8650;

											BgL_tmpz00_8650 = (int) (1L);
											BGL_MVALUES_VAL_SET(BgL_tmpz00_8650, BUNSPEC);
										}
										BgL_useobjz00_5242 = BgL_tmpz00_5243;
									}
									{	/* Liveness/liveness.scm 749 */
										BgL_failz00_bglt BgL_arg2387z00_5244;

										{	/* Liveness/liveness.scm 749 */
											BgL_failzf2livenesszf2_bglt BgL_wide1333z00_5245;

											BgL_wide1333z00_5245 =
												((BgL_failzf2livenesszf2_bglt)
												BOBJECT(GC_MALLOC(sizeof(struct
															BgL_failzf2livenesszf2_bgl))));
											{	/* Liveness/liveness.scm 749 */
												obj_t BgL_auxz00_8658;
												BgL_objectz00_bglt BgL_tmpz00_8654;

												BgL_auxz00_8658 = ((obj_t) BgL_wide1333z00_5245);
												BgL_tmpz00_8654 =
													((BgL_objectz00_bglt)
													((BgL_failz00_bglt)
														((BgL_failz00_bglt) BgL_nz00_4681)));
												BGL_OBJECT_WIDENING_SET(BgL_tmpz00_8654,
													BgL_auxz00_8658);
											}
											((BgL_objectz00_bglt)
												((BgL_failz00_bglt)
													((BgL_failz00_bglt) BgL_nz00_4681)));
											{	/* Liveness/liveness.scm 749 */
												long BgL_arg2388z00_5246;

												BgL_arg2388z00_5246 =
													BGL_CLASS_NUM
													(BGl_failzf2livenesszf2zzliveness_typesz00);
												BGL_OBJECT_CLASS_NUM_SET(((BgL_objectz00_bglt) (
															(BgL_failz00_bglt) ((BgL_failz00_bglt)
																BgL_nz00_4681))), BgL_arg2388z00_5246);
											}
											((BgL_failz00_bglt)
												((BgL_failz00_bglt)
													((BgL_failz00_bglt) BgL_nz00_4681)));
										}
										{
											BgL_failzf2livenesszf2_bglt BgL_auxz00_8672;

											{
												obj_t BgL_auxz00_8673;

												{	/* Liveness/liveness.scm 750 */
													BgL_objectz00_bglt BgL_tmpz00_8674;

													BgL_tmpz00_8674 =
														((BgL_objectz00_bglt)
														((BgL_failz00_bglt)
															((BgL_failz00_bglt) BgL_nz00_4681)));
													BgL_auxz00_8673 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_8674);
												}
												BgL_auxz00_8672 =
													((BgL_failzf2livenesszf2_bglt) BgL_auxz00_8673);
											}
											((((BgL_failzf2livenesszf2_bglt)
														COBJECT(BgL_auxz00_8672))->BgL_defz00) =
												((obj_t)
													BGl_union3z00zzliveness_setz00(BgL_defprocz00_5235,
														BgL_defmsgz00_5238, BgL_defobjz00_5241)), BUNSPEC);
										}
										{
											BgL_failzf2livenesszf2_bglt BgL_auxz00_8682;

											{
												obj_t BgL_auxz00_8683;

												{	/* Liveness/liveness.scm 751 */
													BgL_objectz00_bglt BgL_tmpz00_8684;

													BgL_tmpz00_8684 =
														((BgL_objectz00_bglt)
														((BgL_failz00_bglt)
															((BgL_failz00_bglt) BgL_nz00_4681)));
													BgL_auxz00_8683 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_8684);
												}
												BgL_auxz00_8682 =
													((BgL_failzf2livenesszf2_bglt) BgL_auxz00_8683);
											}
											((((BgL_failzf2livenesszf2_bglt)
														COBJECT(BgL_auxz00_8682))->BgL_usez00) =
												((obj_t)
													BGl_union3z00zzliveness_setz00(BgL_useprocz00_5236,
														BgL_usemsgz00_5239, BgL_useobjz00_5242)), BUNSPEC);
										}
										{
											BgL_failzf2livenesszf2_bglt BgL_auxz00_8692;

											{
												obj_t BgL_auxz00_8693;

												{	/* Liveness/liveness.scm 747 */
													BgL_objectz00_bglt BgL_tmpz00_8694;

													BgL_tmpz00_8694 =
														((BgL_objectz00_bglt)
														((BgL_failz00_bglt)
															((BgL_failz00_bglt) BgL_nz00_4681)));
													BgL_auxz00_8693 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_8694);
												}
												BgL_auxz00_8692 =
													((BgL_failzf2livenesszf2_bglt) BgL_auxz00_8693);
											}
											((((BgL_failzf2livenesszf2_bglt)
														COBJECT(BgL_auxz00_8692))->BgL_inz00) =
												((obj_t) BNIL), BUNSPEC);
										}
										{
											BgL_failzf2livenesszf2_bglt BgL_auxz00_8701;

											{
												obj_t BgL_auxz00_8702;

												{	/* Liveness/liveness.scm 747 */
													BgL_objectz00_bglt BgL_tmpz00_8703;

													BgL_tmpz00_8703 =
														((BgL_objectz00_bglt)
														((BgL_failz00_bglt)
															((BgL_failz00_bglt) BgL_nz00_4681)));
													BgL_auxz00_8702 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_8703);
												}
												BgL_auxz00_8701 =
													((BgL_failzf2livenesszf2_bglt) BgL_auxz00_8702);
											}
											((((BgL_failzf2livenesszf2_bglt)
														COBJECT(BgL_auxz00_8701))->BgL_outz00) =
												((obj_t) BNIL), BUNSPEC);
										}
										BgL_arg2387z00_5244 =
											((BgL_failz00_bglt) ((BgL_failz00_bglt) BgL_nz00_4681));
										return
											BGl_defusez00zzliveness_livenessz00(
											((BgL_nodez00_bglt) BgL_arg2387z00_5244));
									}
								}
							}
						}
					}
				}
			}
		}

	}



/* &inout-conditional/li2015 */
	obj_t BGl_z62inoutzd2conditionalzf2li2015z42zzliveness_livenessz00(obj_t
		BgL_envz00_4682, obj_t BgL_nz00_4683)
	{
		{	/* Liveness/liveness.scm 733 */
			{	/* Liveness/liveness.scm 735 */
				obj_t BgL_val0_1733z00_5248;
				obj_t BgL_val1_1734z00_5249;

				{
					BgL_conditionalzf2livenesszf2_bglt BgL_auxz00_8714;

					{
						obj_t BgL_auxz00_8715;

						{	/* Liveness/liveness.scm 735 */
							BgL_objectz00_bglt BgL_tmpz00_8716;

							BgL_tmpz00_8716 =
								((BgL_objectz00_bglt)
								((BgL_conditionalz00_bglt) BgL_nz00_4683));
							BgL_auxz00_8715 = BGL_OBJECT_WIDENING(BgL_tmpz00_8716);
						}
						BgL_auxz00_8714 =
							((BgL_conditionalzf2livenesszf2_bglt) BgL_auxz00_8715);
					}
					BgL_val0_1733z00_5248 =
						(((BgL_conditionalzf2livenesszf2_bglt) COBJECT(BgL_auxz00_8714))->
						BgL_inz00);
				}
				{
					BgL_conditionalzf2livenesszf2_bglt BgL_auxz00_8722;

					{
						obj_t BgL_auxz00_8723;

						{	/* Liveness/liveness.scm 735 */
							BgL_objectz00_bglt BgL_tmpz00_8724;

							BgL_tmpz00_8724 =
								((BgL_objectz00_bglt)
								((BgL_conditionalz00_bglt) BgL_nz00_4683));
							BgL_auxz00_8723 = BGL_OBJECT_WIDENING(BgL_tmpz00_8724);
						}
						BgL_auxz00_8722 =
							((BgL_conditionalzf2livenesszf2_bglt) BgL_auxz00_8723);
					}
					BgL_val1_1734z00_5249 =
						(((BgL_conditionalzf2livenesszf2_bglt) COBJECT(BgL_auxz00_8722))->
						BgL_outz00);
				}
				{	/* Liveness/liveness.scm 735 */
					int BgL_tmpz00_8730;

					BgL_tmpz00_8730 = (int) (2L);
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_8730);
				}
				{	/* Liveness/liveness.scm 735 */
					int BgL_tmpz00_8733;

					BgL_tmpz00_8733 = (int) (1L);
					BGL_MVALUES_VAL_SET(BgL_tmpz00_8733, BgL_val1_1734z00_5249);
				}
				return BgL_val0_1733z00_5248;
			}
		}

	}



/* &inout!-conditional/l2013 */
	obj_t BGl_z62inoutz12zd2conditionalzf2l2013z50zzliveness_livenessz00(obj_t
		BgL_envz00_4684, obj_t BgL_nz00_4685, obj_t BgL_oz00_4686)
	{
		{	/* Liveness/liveness.scm 719 */
			{
				BgL_conditionalzf2livenesszf2_bglt BgL_auxz00_8736;

				{
					obj_t BgL_auxz00_8737;

					{	/* Liveness/liveness.scm 722 */
						BgL_objectz00_bglt BgL_tmpz00_8738;

						BgL_tmpz00_8738 =
							((BgL_objectz00_bglt) ((BgL_conditionalz00_bglt) BgL_nz00_4685));
						BgL_auxz00_8737 = BGL_OBJECT_WIDENING(BgL_tmpz00_8738);
					}
					BgL_auxz00_8736 =
						((BgL_conditionalzf2livenesszf2_bglt) BgL_auxz00_8737);
				}
				((((BgL_conditionalzf2livenesszf2_bglt) COBJECT(BgL_auxz00_8736))->
						BgL_outz00) = ((obj_t) BgL_oz00_4686), BUNSPEC);
			}
			{	/* Liveness/liveness.scm 723 */
				BgL_nodez00_bglt BgL_arg2371z00_5251;

				BgL_arg2371z00_5251 =
					(((BgL_conditionalz00_bglt) COBJECT(
							((BgL_conditionalz00_bglt)
								((BgL_conditionalz00_bglt) BgL_nz00_4685))))->BgL_truez00);
				BGl_inoutz12z12zzliveness_livenessz00(BgL_arg2371z00_5251,
					BgL_oz00_4686);
			}
			{	/* Liveness/liveness.scm 724 */
				BgL_nodez00_bglt BgL_arg2372z00_5252;

				BgL_arg2372z00_5252 =
					(((BgL_conditionalz00_bglt) COBJECT(
							((BgL_conditionalz00_bglt)
								((BgL_conditionalz00_bglt) BgL_nz00_4685))))->BgL_falsez00);
				BGl_inoutz12z12zzliveness_livenessz00(BgL_arg2372z00_5252,
					BgL_oz00_4686);
			}
			{	/* Liveness/liveness.scm 725 */
				obj_t BgL_tdefz00_5253;

				{	/* Liveness/liveness.scm 726 */
					BgL_nodez00_bglt BgL_arg2380z00_5254;

					BgL_arg2380z00_5254 =
						(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt)
									((BgL_conditionalz00_bglt) BgL_nz00_4685))))->BgL_truez00);
					BgL_tdefz00_5253 =
						BGl_defusez00zzliveness_livenessz00(BgL_arg2380z00_5254);
				}
				{	/* Liveness/liveness.scm 726 */
					obj_t BgL_tusez00_5255;

					{	/* Liveness/liveness.scm 727 */
						obj_t BgL_tmpz00_5256;

						{	/* Liveness/liveness.scm 727 */
							int BgL_tmpz00_8756;

							BgL_tmpz00_8756 = (int) (1L);
							BgL_tmpz00_5256 = BGL_MVALUES_VAL(BgL_tmpz00_8756);
						}
						{	/* Liveness/liveness.scm 727 */
							int BgL_tmpz00_8759;

							BgL_tmpz00_8759 = (int) (1L);
							BGL_MVALUES_VAL_SET(BgL_tmpz00_8759, BUNSPEC);
						}
						BgL_tusez00_5255 = BgL_tmpz00_5256;
					}
					{	/* Liveness/liveness.scm 727 */
						obj_t BgL_fdefz00_5257;

						{	/* Liveness/liveness.scm 728 */
							BgL_nodez00_bglt BgL_arg2379z00_5258;

							BgL_arg2379z00_5258 =
								(((BgL_conditionalz00_bglt) COBJECT(
										((BgL_conditionalz00_bglt)
											((BgL_conditionalz00_bglt) BgL_nz00_4685))))->
								BgL_falsez00);
							BgL_fdefz00_5257 =
								BGl_defusez00zzliveness_livenessz00(BgL_arg2379z00_5258);
						}
						{	/* Liveness/liveness.scm 728 */
							obj_t BgL_fusez00_5259;

							{	/* Liveness/liveness.scm 729 */
								obj_t BgL_tmpz00_5260;

								{	/* Liveness/liveness.scm 729 */
									int BgL_tmpz00_8766;

									BgL_tmpz00_8766 = (int) (1L);
									BgL_tmpz00_5260 = BGL_MVALUES_VAL(BgL_tmpz00_8766);
								}
								{	/* Liveness/liveness.scm 729 */
									int BgL_tmpz00_8769;

									BgL_tmpz00_8769 = (int) (1L);
									BGL_MVALUES_VAL_SET(BgL_tmpz00_8769, BUNSPEC);
								}
								BgL_fusez00_5259 = BgL_tmpz00_5260;
							}
							{	/* Liveness/liveness.scm 729 */
								BgL_nodez00_bglt BgL_arg2373z00_5261;
								obj_t BgL_arg2374z00_5262;

								BgL_arg2373z00_5261 =
									(((BgL_conditionalz00_bglt) COBJECT(
											((BgL_conditionalz00_bglt)
												((BgL_conditionalz00_bglt) BgL_nz00_4685))))->
									BgL_testz00);
								{	/* Liveness/liveness.scm 729 */
									obj_t BgL_arg2375z00_5263;
									obj_t BgL_arg2377z00_5264;

									{
										BgL_conditionalzf2livenesszf2_bglt BgL_auxz00_8775;

										{
											obj_t BgL_auxz00_8776;

											{	/* Liveness/liveness.scm 729 */
												BgL_objectz00_bglt BgL_tmpz00_8777;

												BgL_tmpz00_8777 =
													((BgL_objectz00_bglt)
													((BgL_conditionalz00_bglt) BgL_nz00_4685));
												BgL_auxz00_8776 = BGL_OBJECT_WIDENING(BgL_tmpz00_8777);
											}
											BgL_auxz00_8775 =
												((BgL_conditionalzf2livenesszf2_bglt) BgL_auxz00_8776);
										}
										BgL_arg2375z00_5263 =
											(((BgL_conditionalzf2livenesszf2_bglt)
												COBJECT(BgL_auxz00_8775))->BgL_outz00);
									}
									BgL_arg2377z00_5264 =
										BGl_intersectionz00zzliveness_setz00(BgL_tdefz00_5253,
										BgL_fdefz00_5257);
									BgL_arg2374z00_5262 =
										BGl_disjonctionz00zzliveness_setz00(BgL_arg2375z00_5263,
										BgL_arg2377z00_5264);
								}
								BGl_inoutz12z12zzliveness_livenessz00(BgL_arg2373z00_5261,
									BgL_arg2374z00_5262);
			}}}}}
			{
				obj_t BgL_auxz00_8793;
				BgL_conditionalzf2livenesszf2_bglt BgL_auxz00_8786;

				{	/* Liveness/liveness.scm 730 */
					obj_t BgL_arg2381z00_5265;
					obj_t BgL_arg2382z00_5266;

					{
						BgL_conditionalzf2livenesszf2_bglt BgL_auxz00_8794;

						{
							obj_t BgL_auxz00_8795;

							{	/* Liveness/liveness.scm 730 */
								BgL_objectz00_bglt BgL_tmpz00_8796;

								BgL_tmpz00_8796 =
									((BgL_objectz00_bglt)
									((BgL_conditionalz00_bglt) BgL_nz00_4685));
								BgL_auxz00_8795 = BGL_OBJECT_WIDENING(BgL_tmpz00_8796);
							}
							BgL_auxz00_8794 =
								((BgL_conditionalzf2livenesszf2_bglt) BgL_auxz00_8795);
						}
						BgL_arg2381z00_5265 =
							(((BgL_conditionalzf2livenesszf2_bglt) COBJECT(BgL_auxz00_8794))->
							BgL_usez00);
					}
					{	/* Liveness/liveness.scm 730 */
						obj_t BgL_arg2383z00_5267;
						obj_t BgL_arg2385z00_5268;

						{
							BgL_conditionalzf2livenesszf2_bglt BgL_auxz00_8802;

							{
								obj_t BgL_auxz00_8803;

								{	/* Liveness/liveness.scm 730 */
									BgL_objectz00_bglt BgL_tmpz00_8804;

									BgL_tmpz00_8804 =
										((BgL_objectz00_bglt)
										((BgL_conditionalz00_bglt) BgL_nz00_4685));
									BgL_auxz00_8803 = BGL_OBJECT_WIDENING(BgL_tmpz00_8804);
								}
								BgL_auxz00_8802 =
									((BgL_conditionalzf2livenesszf2_bglt) BgL_auxz00_8803);
							}
							BgL_arg2383z00_5267 =
								(((BgL_conditionalzf2livenesszf2_bglt)
									COBJECT(BgL_auxz00_8802))->BgL_outz00);
						}
						{
							BgL_conditionalzf2livenesszf2_bglt BgL_auxz00_8810;

							{
								obj_t BgL_auxz00_8811;

								{	/* Liveness/liveness.scm 730 */
									BgL_objectz00_bglt BgL_tmpz00_8812;

									BgL_tmpz00_8812 =
										((BgL_objectz00_bglt)
										((BgL_conditionalz00_bglt) BgL_nz00_4685));
									BgL_auxz00_8811 = BGL_OBJECT_WIDENING(BgL_tmpz00_8812);
								}
								BgL_auxz00_8810 =
									((BgL_conditionalzf2livenesszf2_bglt) BgL_auxz00_8811);
							}
							BgL_arg2385z00_5268 =
								(((BgL_conditionalzf2livenesszf2_bglt)
									COBJECT(BgL_auxz00_8810))->BgL_defz00);
						}
						BgL_arg2382z00_5266 =
							BGl_disjonctionz00zzliveness_setz00(BgL_arg2383z00_5267,
							BgL_arg2385z00_5268);
					}
					BgL_auxz00_8793 =
						BGl_unionz00zzliveness_setz00(BgL_arg2381z00_5265,
						BgL_arg2382z00_5266);
				}
				{
					obj_t BgL_auxz00_8787;

					{	/* Liveness/liveness.scm 730 */
						BgL_objectz00_bglt BgL_tmpz00_8788;

						BgL_tmpz00_8788 =
							((BgL_objectz00_bglt) ((BgL_conditionalz00_bglt) BgL_nz00_4685));
						BgL_auxz00_8787 = BGL_OBJECT_WIDENING(BgL_tmpz00_8788);
					}
					BgL_auxz00_8786 =
						((BgL_conditionalzf2livenesszf2_bglt) BgL_auxz00_8787);
				}
				((((BgL_conditionalzf2livenesszf2_bglt) COBJECT(BgL_auxz00_8786))->
						BgL_inz00) = ((obj_t) BgL_auxz00_8793), BUNSPEC);
			}
			{	/* Liveness/liveness.scm 731 */
				obj_t BgL_val0_1731z00_5269;
				obj_t BgL_val1_1732z00_5270;

				{
					BgL_conditionalzf2livenesszf2_bglt BgL_auxz00_8821;

					{
						obj_t BgL_auxz00_8822;

						{	/* Liveness/liveness.scm 731 */
							BgL_objectz00_bglt BgL_tmpz00_8823;

							BgL_tmpz00_8823 =
								((BgL_objectz00_bglt)
								((BgL_conditionalz00_bglt) BgL_nz00_4685));
							BgL_auxz00_8822 = BGL_OBJECT_WIDENING(BgL_tmpz00_8823);
						}
						BgL_auxz00_8821 =
							((BgL_conditionalzf2livenesszf2_bglt) BgL_auxz00_8822);
					}
					BgL_val0_1731z00_5269 =
						(((BgL_conditionalzf2livenesszf2_bglt) COBJECT(BgL_auxz00_8821))->
						BgL_inz00);
				}
				{
					BgL_conditionalzf2livenesszf2_bglt BgL_auxz00_8829;

					{
						obj_t BgL_auxz00_8830;

						{	/* Liveness/liveness.scm 731 */
							BgL_objectz00_bglt BgL_tmpz00_8831;

							BgL_tmpz00_8831 =
								((BgL_objectz00_bglt)
								((BgL_conditionalz00_bglt) BgL_nz00_4685));
							BgL_auxz00_8830 = BGL_OBJECT_WIDENING(BgL_tmpz00_8831);
						}
						BgL_auxz00_8829 =
							((BgL_conditionalzf2livenesszf2_bglt) BgL_auxz00_8830);
					}
					BgL_val1_1732z00_5270 =
						(((BgL_conditionalzf2livenesszf2_bglt) COBJECT(BgL_auxz00_8829))->
						BgL_outz00);
				}
				{	/* Liveness/liveness.scm 731 */
					int BgL_tmpz00_8837;

					BgL_tmpz00_8837 = (int) (2L);
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_8837);
				}
				{	/* Liveness/liveness.scm 731 */
					int BgL_tmpz00_8840;

					BgL_tmpz00_8840 = (int) (1L);
					BGL_MVALUES_VAL_SET(BgL_tmpz00_8840, BgL_val1_1732z00_5270);
				}
				return BgL_val0_1731z00_5269;
			}
		}

	}



/* &defuse-conditional/l2011 */
	obj_t BGl_z62defusezd2conditionalzf2l2011z42zzliveness_livenessz00(obj_t
		BgL_envz00_4687, obj_t BgL_nz00_4688)
	{
		{	/* Liveness/liveness.scm 715 */
			{	/* Liveness/liveness.scm 717 */
				obj_t BgL_val0_1729z00_5272;
				obj_t BgL_val1_1730z00_5273;

				{
					BgL_conditionalzf2livenesszf2_bglt BgL_auxz00_8843;

					{
						obj_t BgL_auxz00_8844;

						{	/* Liveness/liveness.scm 717 */
							BgL_objectz00_bglt BgL_tmpz00_8845;

							BgL_tmpz00_8845 =
								((BgL_objectz00_bglt)
								((BgL_conditionalz00_bglt) BgL_nz00_4688));
							BgL_auxz00_8844 = BGL_OBJECT_WIDENING(BgL_tmpz00_8845);
						}
						BgL_auxz00_8843 =
							((BgL_conditionalzf2livenesszf2_bglt) BgL_auxz00_8844);
					}
					BgL_val0_1729z00_5272 =
						(((BgL_conditionalzf2livenesszf2_bglt) COBJECT(BgL_auxz00_8843))->
						BgL_defz00);
				}
				{
					BgL_conditionalzf2livenesszf2_bglt BgL_auxz00_8851;

					{
						obj_t BgL_auxz00_8852;

						{	/* Liveness/liveness.scm 717 */
							BgL_objectz00_bglt BgL_tmpz00_8853;

							BgL_tmpz00_8853 =
								((BgL_objectz00_bglt)
								((BgL_conditionalz00_bglt) BgL_nz00_4688));
							BgL_auxz00_8852 = BGL_OBJECT_WIDENING(BgL_tmpz00_8853);
						}
						BgL_auxz00_8851 =
							((BgL_conditionalzf2livenesszf2_bglt) BgL_auxz00_8852);
					}
					BgL_val1_1730z00_5273 =
						(((BgL_conditionalzf2livenesszf2_bglt) COBJECT(BgL_auxz00_8851))->
						BgL_usez00);
				}
				{	/* Liveness/liveness.scm 717 */
					int BgL_tmpz00_8859;

					BgL_tmpz00_8859 = (int) (2L);
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_8859);
				}
				{	/* Liveness/liveness.scm 717 */
					int BgL_tmpz00_8862;

					BgL_tmpz00_8862 = (int) (1L);
					BGL_MVALUES_VAL_SET(BgL_tmpz00_8862, BgL_val1_1730z00_5273);
				}
				return BgL_val0_1729z00_5272;
			}
		}

	}



/* &defuse-conditional2009 */
	obj_t BGl_z62defusezd2conditional2009zb0zzliveness_livenessz00(obj_t
		BgL_envz00_4689, obj_t BgL_nz00_4690)
	{
		{	/* Liveness/liveness.scm 702 */
			{	/* Liveness/liveness.scm 704 */
				obj_t BgL_deftestz00_5275;

				BgL_deftestz00_5275 =
					BGl_defusez00zzliveness_livenessz00(
					(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nz00_4690)))->BgL_testz00));
				{	/* Liveness/liveness.scm 705 */
					obj_t BgL_usetestz00_5276;

					{	/* Liveness/liveness.scm 706 */
						obj_t BgL_tmpz00_5277;

						{	/* Liveness/liveness.scm 706 */
							int BgL_tmpz00_8868;

							BgL_tmpz00_8868 = (int) (1L);
							BgL_tmpz00_5277 = BGL_MVALUES_VAL(BgL_tmpz00_8868);
						}
						{	/* Liveness/liveness.scm 706 */
							int BgL_tmpz00_8871;

							BgL_tmpz00_8871 = (int) (1L);
							BGL_MVALUES_VAL_SET(BgL_tmpz00_8871, BUNSPEC);
						}
						BgL_usetestz00_5276 = BgL_tmpz00_5277;
					}
					{	/* Liveness/liveness.scm 706 */
						obj_t BgL_deftruez00_5278;

						BgL_deftruez00_5278 =
							BGl_defusez00zzliveness_livenessz00(
							(((BgL_conditionalz00_bglt) COBJECT(
										((BgL_conditionalz00_bglt) BgL_nz00_4690)))->BgL_truez00));
						{	/* Liveness/liveness.scm 707 */
							obj_t BgL_usetruez00_5279;

							{	/* Liveness/liveness.scm 708 */
								obj_t BgL_tmpz00_5280;

								{	/* Liveness/liveness.scm 708 */
									int BgL_tmpz00_8877;

									BgL_tmpz00_8877 = (int) (1L);
									BgL_tmpz00_5280 = BGL_MVALUES_VAL(BgL_tmpz00_8877);
								}
								{	/* Liveness/liveness.scm 708 */
									int BgL_tmpz00_8880;

									BgL_tmpz00_8880 = (int) (1L);
									BGL_MVALUES_VAL_SET(BgL_tmpz00_8880, BUNSPEC);
								}
								BgL_usetruez00_5279 = BgL_tmpz00_5280;
							}
							{	/* Liveness/liveness.scm 708 */
								obj_t BgL_deffalsez00_5281;

								BgL_deffalsez00_5281 =
									BGl_defusez00zzliveness_livenessz00(
									(((BgL_conditionalz00_bglt) COBJECT(
												((BgL_conditionalz00_bglt) BgL_nz00_4690)))->
										BgL_falsez00));
								{	/* Liveness/liveness.scm 709 */
									obj_t BgL_usefalsez00_5282;

									{	/* Liveness/liveness.scm 710 */
										obj_t BgL_tmpz00_5283;

										{	/* Liveness/liveness.scm 710 */
											int BgL_tmpz00_8886;

											BgL_tmpz00_8886 = (int) (1L);
											BgL_tmpz00_5283 = BGL_MVALUES_VAL(BgL_tmpz00_8886);
										}
										{	/* Liveness/liveness.scm 710 */
											int BgL_tmpz00_8889;

											BgL_tmpz00_8889 = (int) (1L);
											BGL_MVALUES_VAL_SET(BgL_tmpz00_8889, BUNSPEC);
										}
										BgL_usefalsez00_5282 = BgL_tmpz00_5283;
									}
									{	/* Liveness/liveness.scm 711 */
										BgL_conditionalz00_bglt BgL_arg2359z00_5284;

										{	/* Liveness/liveness.scm 711 */
											BgL_conditionalzf2livenesszf2_bglt BgL_wide1325z00_5285;

											BgL_wide1325z00_5285 =
												((BgL_conditionalzf2livenesszf2_bglt)
												BOBJECT(GC_MALLOC(sizeof(struct
															BgL_conditionalzf2livenesszf2_bgl))));
											{	/* Liveness/liveness.scm 711 */
												obj_t BgL_auxz00_8897;
												BgL_objectz00_bglt BgL_tmpz00_8893;

												BgL_auxz00_8897 = ((obj_t) BgL_wide1325z00_5285);
												BgL_tmpz00_8893 =
													((BgL_objectz00_bglt)
													((BgL_conditionalz00_bglt)
														((BgL_conditionalz00_bglt) BgL_nz00_4690)));
												BGL_OBJECT_WIDENING_SET(BgL_tmpz00_8893,
													BgL_auxz00_8897);
											}
											((BgL_objectz00_bglt)
												((BgL_conditionalz00_bglt)
													((BgL_conditionalz00_bglt) BgL_nz00_4690)));
											{	/* Liveness/liveness.scm 711 */
												long BgL_arg2360z00_5286;

												BgL_arg2360z00_5286 =
													BGL_CLASS_NUM
													(BGl_conditionalzf2livenesszf2zzliveness_typesz00);
												BGL_OBJECT_CLASS_NUM_SET(((BgL_objectz00_bglt) (
															(BgL_conditionalz00_bglt) (
																(BgL_conditionalz00_bglt) BgL_nz00_4690))),
													BgL_arg2360z00_5286);
											}
											((BgL_conditionalz00_bglt)
												((BgL_conditionalz00_bglt)
													((BgL_conditionalz00_bglt) BgL_nz00_4690)));
										}
										{
											obj_t BgL_auxz00_8919;
											BgL_conditionalzf2livenesszf2_bglt BgL_auxz00_8911;

											{	/* Liveness/liveness.scm 712 */
												obj_t BgL_arg2361z00_5287;

												BgL_arg2361z00_5287 =
													BGl_intersectionz00zzliveness_setz00
													(BgL_deftruez00_5278, BgL_deffalsez00_5281);
												BgL_auxz00_8919 =
													BGl_unionz00zzliveness_setz00(BgL_deftestz00_5275,
													BgL_arg2361z00_5287);
											}
											{
												obj_t BgL_auxz00_8912;

												{	/* Liveness/liveness.scm 712 */
													BgL_objectz00_bglt BgL_tmpz00_8913;

													BgL_tmpz00_8913 =
														((BgL_objectz00_bglt)
														((BgL_conditionalz00_bglt)
															((BgL_conditionalz00_bglt) BgL_nz00_4690)));
													BgL_auxz00_8912 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_8913);
												}
												BgL_auxz00_8911 =
													((BgL_conditionalzf2livenesszf2_bglt)
													BgL_auxz00_8912);
											}
											((((BgL_conditionalzf2livenesszf2_bglt)
														COBJECT(BgL_auxz00_8911))->BgL_defz00) =
												((obj_t) BgL_auxz00_8919), BUNSPEC);
										}
										{
											obj_t BgL_auxz00_8931;
											BgL_conditionalzf2livenesszf2_bglt BgL_auxz00_8923;

											{	/* Liveness/liveness.scm 713 */
												obj_t BgL_arg2362z00_5288;

												{	/* Liveness/liveness.scm 713 */
													obj_t BgL_arg2364z00_5289;

													BgL_arg2364z00_5289 =
														BGl_unionz00zzliveness_setz00(BgL_usetruez00_5279,
														BgL_usefalsez00_5282);
													BgL_arg2362z00_5288 =
														BGl_disjonctionz00zzliveness_setz00
														(BgL_arg2364z00_5289, BgL_deftestz00_5275);
												}
												BgL_auxz00_8931 =
													BGl_unionz00zzliveness_setz00(BgL_usetestz00_5276,
													BgL_arg2362z00_5288);
											}
											{
												obj_t BgL_auxz00_8924;

												{	/* Liveness/liveness.scm 713 */
													BgL_objectz00_bglt BgL_tmpz00_8925;

													BgL_tmpz00_8925 =
														((BgL_objectz00_bglt)
														((BgL_conditionalz00_bglt)
															((BgL_conditionalz00_bglt) BgL_nz00_4690)));
													BgL_auxz00_8924 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_8925);
												}
												BgL_auxz00_8923 =
													((BgL_conditionalzf2livenesszf2_bglt)
													BgL_auxz00_8924);
											}
											((((BgL_conditionalzf2livenesszf2_bglt)
														COBJECT(BgL_auxz00_8923))->BgL_usez00) =
												((obj_t) BgL_auxz00_8931), BUNSPEC);
										}
										{
											BgL_conditionalzf2livenesszf2_bglt BgL_auxz00_8936;

											{
												obj_t BgL_auxz00_8937;

												{	/* Liveness/liveness.scm 709 */
													BgL_objectz00_bglt BgL_tmpz00_8938;

													BgL_tmpz00_8938 =
														((BgL_objectz00_bglt)
														((BgL_conditionalz00_bglt)
															((BgL_conditionalz00_bglt) BgL_nz00_4690)));
													BgL_auxz00_8937 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_8938);
												}
												BgL_auxz00_8936 =
													((BgL_conditionalzf2livenesszf2_bglt)
													BgL_auxz00_8937);
											}
											((((BgL_conditionalzf2livenesszf2_bglt)
														COBJECT(BgL_auxz00_8936))->BgL_inz00) =
												((obj_t) BNIL), BUNSPEC);
										}
										{
											BgL_conditionalzf2livenesszf2_bglt BgL_auxz00_8945;

											{
												obj_t BgL_auxz00_8946;

												{	/* Liveness/liveness.scm 709 */
													BgL_objectz00_bglt BgL_tmpz00_8947;

													BgL_tmpz00_8947 =
														((BgL_objectz00_bglt)
														((BgL_conditionalz00_bglt)
															((BgL_conditionalz00_bglt) BgL_nz00_4690)));
													BgL_auxz00_8946 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_8947);
												}
												BgL_auxz00_8945 =
													((BgL_conditionalzf2livenesszf2_bglt)
													BgL_auxz00_8946);
											}
											((((BgL_conditionalzf2livenesszf2_bglt)
														COBJECT(BgL_auxz00_8945))->BgL_outz00) =
												((obj_t) BNIL), BUNSPEC);
										}
										BgL_arg2359z00_5284 =
											((BgL_conditionalz00_bglt)
											((BgL_conditionalz00_bglt) BgL_nz00_4690));
										return
											BGl_defusez00zzliveness_livenessz00(
											((BgL_nodez00_bglt) BgL_arg2359z00_5284));
									}
								}
							}
						}
					}
				}
			}
		}

	}



/* &inout-setq/liveness2007 */
	obj_t BGl_z62inoutzd2setqzf2liveness2007z42zzliveness_livenessz00(obj_t
		BgL_envz00_4691, obj_t BgL_nz00_4692)
	{
		{	/* Liveness/liveness.scm 695 */
			{	/* Liveness/liveness.scm 697 */
				obj_t BgL_val0_1727z00_5291;
				obj_t BgL_val1_1728z00_5292;

				{
					BgL_setqzf2livenesszf2_bglt BgL_auxz00_8958;

					{
						obj_t BgL_auxz00_8959;

						{	/* Liveness/liveness.scm 697 */
							BgL_objectz00_bglt BgL_tmpz00_8960;

							BgL_tmpz00_8960 =
								((BgL_objectz00_bglt) ((BgL_setqz00_bglt) BgL_nz00_4692));
							BgL_auxz00_8959 = BGL_OBJECT_WIDENING(BgL_tmpz00_8960);
						}
						BgL_auxz00_8958 = ((BgL_setqzf2livenesszf2_bglt) BgL_auxz00_8959);
					}
					BgL_val0_1727z00_5291 =
						(((BgL_setqzf2livenesszf2_bglt) COBJECT(BgL_auxz00_8958))->
						BgL_inz00);
				}
				{
					BgL_setqzf2livenesszf2_bglt BgL_auxz00_8966;

					{
						obj_t BgL_auxz00_8967;

						{	/* Liveness/liveness.scm 697 */
							BgL_objectz00_bglt BgL_tmpz00_8968;

							BgL_tmpz00_8968 =
								((BgL_objectz00_bglt) ((BgL_setqz00_bglt) BgL_nz00_4692));
							BgL_auxz00_8967 = BGL_OBJECT_WIDENING(BgL_tmpz00_8968);
						}
						BgL_auxz00_8966 = ((BgL_setqzf2livenesszf2_bglt) BgL_auxz00_8967);
					}
					BgL_val1_1728z00_5292 =
						(((BgL_setqzf2livenesszf2_bglt) COBJECT(BgL_auxz00_8966))->
						BgL_outz00);
				}
				{	/* Liveness/liveness.scm 697 */
					int BgL_tmpz00_8974;

					BgL_tmpz00_8974 = (int) (2L);
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_8974);
				}
				{	/* Liveness/liveness.scm 697 */
					int BgL_tmpz00_8977;

					BgL_tmpz00_8977 = (int) (1L);
					BGL_MVALUES_VAL_SET(BgL_tmpz00_8977, BgL_val1_1728z00_5292);
				}
				return BgL_val0_1727z00_5291;
			}
		}

	}



/* &inout!-setq/liveness2005 */
	obj_t BGl_z62inoutz12zd2setqzf2liveness2005z50zzliveness_livenessz00(obj_t
		BgL_envz00_4693, obj_t BgL_nz00_4694, obj_t BgL_oz00_4695)
	{
		{	/* Liveness/liveness.scm 689 */
			{
				BgL_setqzf2livenesszf2_bglt BgL_auxz00_8980;

				{
					obj_t BgL_auxz00_8981;

					{	/* Liveness/liveness.scm 691 */
						BgL_objectz00_bglt BgL_tmpz00_8982;

						BgL_tmpz00_8982 =
							((BgL_objectz00_bglt) ((BgL_setqz00_bglt) BgL_nz00_4694));
						BgL_auxz00_8981 = BGL_OBJECT_WIDENING(BgL_tmpz00_8982);
					}
					BgL_auxz00_8980 = ((BgL_setqzf2livenesszf2_bglt) BgL_auxz00_8981);
				}
				((((BgL_setqzf2livenesszf2_bglt) COBJECT(BgL_auxz00_8980))->
						BgL_outz00) = ((obj_t) BgL_oz00_4695), BUNSPEC);
			}
			{
				obj_t BgL_auxz00_8995;
				BgL_setqzf2livenesszf2_bglt BgL_auxz00_8988;

				{	/* Liveness/liveness.scm 692 */
					obj_t BgL_arg2354z00_5294;
					obj_t BgL_arg2355z00_5295;

					{
						BgL_setqzf2livenesszf2_bglt BgL_auxz00_8996;

						{
							obj_t BgL_auxz00_8997;

							{	/* Liveness/liveness.scm 692 */
								BgL_objectz00_bglt BgL_tmpz00_8998;

								BgL_tmpz00_8998 =
									((BgL_objectz00_bglt) ((BgL_setqz00_bglt) BgL_nz00_4694));
								BgL_auxz00_8997 = BGL_OBJECT_WIDENING(BgL_tmpz00_8998);
							}
							BgL_auxz00_8996 = ((BgL_setqzf2livenesszf2_bglt) BgL_auxz00_8997);
						}
						BgL_arg2354z00_5294 =
							(((BgL_setqzf2livenesszf2_bglt) COBJECT(BgL_auxz00_8996))->
							BgL_usez00);
					}
					{	/* Liveness/liveness.scm 692 */
						obj_t BgL_arg2356z00_5296;
						obj_t BgL_arg2358z00_5297;

						{
							BgL_setqzf2livenesszf2_bglt BgL_auxz00_9004;

							{
								obj_t BgL_auxz00_9005;

								{	/* Liveness/liveness.scm 692 */
									BgL_objectz00_bglt BgL_tmpz00_9006;

									BgL_tmpz00_9006 =
										((BgL_objectz00_bglt) ((BgL_setqz00_bglt) BgL_nz00_4694));
									BgL_auxz00_9005 = BGL_OBJECT_WIDENING(BgL_tmpz00_9006);
								}
								BgL_auxz00_9004 =
									((BgL_setqzf2livenesszf2_bglt) BgL_auxz00_9005);
							}
							BgL_arg2356z00_5296 =
								(((BgL_setqzf2livenesszf2_bglt) COBJECT(BgL_auxz00_9004))->
								BgL_outz00);
						}
						{
							BgL_setqzf2livenesszf2_bglt BgL_auxz00_9012;

							{
								obj_t BgL_auxz00_9013;

								{	/* Liveness/liveness.scm 692 */
									BgL_objectz00_bglt BgL_tmpz00_9014;

									BgL_tmpz00_9014 =
										((BgL_objectz00_bglt) ((BgL_setqz00_bglt) BgL_nz00_4694));
									BgL_auxz00_9013 = BGL_OBJECT_WIDENING(BgL_tmpz00_9014);
								}
								BgL_auxz00_9012 =
									((BgL_setqzf2livenesszf2_bglt) BgL_auxz00_9013);
							}
							BgL_arg2358z00_5297 =
								(((BgL_setqzf2livenesszf2_bglt) COBJECT(BgL_auxz00_9012))->
								BgL_defz00);
						}
						BgL_arg2355z00_5295 =
							BGl_disjonctionz00zzliveness_setz00(BgL_arg2356z00_5296,
							BgL_arg2358z00_5297);
					}
					BgL_auxz00_8995 =
						BGl_unionz00zzliveness_setz00(BgL_arg2354z00_5294,
						BgL_arg2355z00_5295);
				}
				{
					obj_t BgL_auxz00_8989;

					{	/* Liveness/liveness.scm 692 */
						BgL_objectz00_bglt BgL_tmpz00_8990;

						BgL_tmpz00_8990 =
							((BgL_objectz00_bglt) ((BgL_setqz00_bglt) BgL_nz00_4694));
						BgL_auxz00_8989 = BGL_OBJECT_WIDENING(BgL_tmpz00_8990);
					}
					BgL_auxz00_8988 = ((BgL_setqzf2livenesszf2_bglt) BgL_auxz00_8989);
				}
				((((BgL_setqzf2livenesszf2_bglt) COBJECT(BgL_auxz00_8988))->BgL_inz00) =
					((obj_t) BgL_auxz00_8995), BUNSPEC);
			}
			{	/* Liveness/liveness.scm 693 */
				obj_t BgL_val0_1725z00_5298;
				obj_t BgL_val1_1726z00_5299;

				{
					BgL_setqzf2livenesszf2_bglt BgL_auxz00_9023;

					{
						obj_t BgL_auxz00_9024;

						{	/* Liveness/liveness.scm 693 */
							BgL_objectz00_bglt BgL_tmpz00_9025;

							BgL_tmpz00_9025 =
								((BgL_objectz00_bglt) ((BgL_setqz00_bglt) BgL_nz00_4694));
							BgL_auxz00_9024 = BGL_OBJECT_WIDENING(BgL_tmpz00_9025);
						}
						BgL_auxz00_9023 = ((BgL_setqzf2livenesszf2_bglt) BgL_auxz00_9024);
					}
					BgL_val0_1725z00_5298 =
						(((BgL_setqzf2livenesszf2_bglt) COBJECT(BgL_auxz00_9023))->
						BgL_inz00);
				}
				{
					BgL_setqzf2livenesszf2_bglt BgL_auxz00_9031;

					{
						obj_t BgL_auxz00_9032;

						{	/* Liveness/liveness.scm 693 */
							BgL_objectz00_bglt BgL_tmpz00_9033;

							BgL_tmpz00_9033 =
								((BgL_objectz00_bglt) ((BgL_setqz00_bglt) BgL_nz00_4694));
							BgL_auxz00_9032 = BGL_OBJECT_WIDENING(BgL_tmpz00_9033);
						}
						BgL_auxz00_9031 = ((BgL_setqzf2livenesszf2_bglt) BgL_auxz00_9032);
					}
					BgL_val1_1726z00_5299 =
						(((BgL_setqzf2livenesszf2_bglt) COBJECT(BgL_auxz00_9031))->
						BgL_outz00);
				}
				{	/* Liveness/liveness.scm 693 */
					int BgL_tmpz00_9039;

					BgL_tmpz00_9039 = (int) (2L);
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_9039);
				}
				{	/* Liveness/liveness.scm 693 */
					int BgL_tmpz00_9042;

					BgL_tmpz00_9042 = (int) (1L);
					BGL_MVALUES_VAL_SET(BgL_tmpz00_9042, BgL_val1_1726z00_5299);
				}
				return BgL_val0_1725z00_5298;
			}
		}

	}



/* &defuse-setq/liveness2003 */
	obj_t BGl_z62defusezd2setqzf2liveness2003z42zzliveness_livenessz00(obj_t
		BgL_envz00_4696, obj_t BgL_nz00_4697)
	{
		{	/* Liveness/liveness.scm 685 */
			{	/* Liveness/liveness.scm 687 */
				obj_t BgL_val0_1723z00_5301;
				obj_t BgL_val1_1724z00_5302;

				{
					BgL_setqzf2livenesszf2_bglt BgL_auxz00_9045;

					{
						obj_t BgL_auxz00_9046;

						{	/* Liveness/liveness.scm 687 */
							BgL_objectz00_bglt BgL_tmpz00_9047;

							BgL_tmpz00_9047 =
								((BgL_objectz00_bglt) ((BgL_setqz00_bglt) BgL_nz00_4697));
							BgL_auxz00_9046 = BGL_OBJECT_WIDENING(BgL_tmpz00_9047);
						}
						BgL_auxz00_9045 = ((BgL_setqzf2livenesszf2_bglt) BgL_auxz00_9046);
					}
					BgL_val0_1723z00_5301 =
						(((BgL_setqzf2livenesszf2_bglt) COBJECT(BgL_auxz00_9045))->
						BgL_defz00);
				}
				{
					BgL_setqzf2livenesszf2_bglt BgL_auxz00_9053;

					{
						obj_t BgL_auxz00_9054;

						{	/* Liveness/liveness.scm 687 */
							BgL_objectz00_bglt BgL_tmpz00_9055;

							BgL_tmpz00_9055 =
								((BgL_objectz00_bglt) ((BgL_setqz00_bglt) BgL_nz00_4697));
							BgL_auxz00_9054 = BGL_OBJECT_WIDENING(BgL_tmpz00_9055);
						}
						BgL_auxz00_9053 = ((BgL_setqzf2livenesszf2_bglt) BgL_auxz00_9054);
					}
					BgL_val1_1724z00_5302 =
						(((BgL_setqzf2livenesszf2_bglt) COBJECT(BgL_auxz00_9053))->
						BgL_usez00);
				}
				{	/* Liveness/liveness.scm 687 */
					int BgL_tmpz00_9061;

					BgL_tmpz00_9061 = (int) (2L);
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_9061);
				}
				{	/* Liveness/liveness.scm 687 */
					int BgL_tmpz00_9064;

					BgL_tmpz00_9064 = (int) (1L);
					BGL_MVALUES_VAL_SET(BgL_tmpz00_9064, BgL_val1_1724z00_5302);
				}
				return BgL_val0_1723z00_5301;
			}
		}

	}



/* &defuse-setq2001 */
	obj_t BGl_z62defusezd2setq2001zb0zzliveness_livenessz00(obj_t BgL_envz00_4698,
		obj_t BgL_nz00_4699)
	{
		{	/* Liveness/liveness.scm 673 */
			{	/* Liveness/liveness.scm 675 */
				obj_t BgL_defvaluez00_5304;

				BgL_defvaluez00_5304 =
					BGl_defusez00zzliveness_livenessz00(
					(((BgL_setqz00_bglt) COBJECT(
								((BgL_setqz00_bglt) BgL_nz00_4699)))->BgL_valuez00));
				{	/* Liveness/liveness.scm 676 */
					obj_t BgL_usevaluez00_5305;

					{	/* Liveness/liveness.scm 677 */
						obj_t BgL_tmpz00_5306;

						{	/* Liveness/liveness.scm 677 */
							int BgL_tmpz00_9070;

							BgL_tmpz00_9070 = (int) (1L);
							BgL_tmpz00_5306 = BGL_MVALUES_VAL(BgL_tmpz00_9070);
						}
						{	/* Liveness/liveness.scm 677 */
							int BgL_tmpz00_9073;

							BgL_tmpz00_9073 = (int) (1L);
							BGL_MVALUES_VAL_SET(BgL_tmpz00_9073, BUNSPEC);
						}
						BgL_usevaluez00_5305 = BgL_tmpz00_5306;
					}
					{	/* Liveness/liveness.scm 677 */
						BgL_varz00_bglt BgL_i1314z00_5307;

						BgL_i1314z00_5307 =
							(((BgL_setqz00_bglt) COBJECT(
									((BgL_setqz00_bglt) BgL_nz00_4699)))->BgL_varz00);
						{	/* Liveness/liveness.scm 678 */
							bool_t BgL_test3009z00_9078;

							{	/* Liveness/liveness.scm 678 */
								BgL_variablez00_bglt BgL_arg2349z00_5308;

								BgL_arg2349z00_5308 =
									(((BgL_varz00_bglt) COBJECT(BgL_i1314z00_5307))->
									BgL_variablez00);
								{	/* Liveness/liveness.scm 678 */
									obj_t BgL_classz00_5309;

									BgL_classz00_5309 =
										BGl_localzf2livenesszf2zzliveness_typesz00;
									{	/* Liveness/liveness.scm 678 */
										BgL_objectz00_bglt BgL_arg1858z00_5310;

										{	/* Liveness/liveness.scm 678 */
											obj_t BgL_tmpz00_9080;

											BgL_tmpz00_9080 =
												((obj_t) ((BgL_objectz00_bglt) BgL_arg2349z00_5308));
											BgL_arg1858z00_5310 =
												(BgL_objectz00_bglt) (BgL_tmpz00_9080);
										}
										if (BGL_CONDEXPAND_ISA_ARCH64())
											{	/* Liveness/liveness.scm 678 */
												long BgL_idxz00_5311;

												BgL_idxz00_5311 =
													BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_5310);
												BgL_test3009z00_9078 =
													(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
														(BgL_idxz00_5311 + 3L)) == BgL_classz00_5309);
											}
										else
											{	/* Liveness/liveness.scm 678 */
												bool_t BgL_res2691z00_5314;

												{	/* Liveness/liveness.scm 678 */
													obj_t BgL_oclassz00_5315;

													{	/* Liveness/liveness.scm 678 */
														obj_t BgL_arg1866z00_5316;
														long BgL_arg1867z00_5317;

														BgL_arg1866z00_5316 =
															(BGl_za2classesza2z00zz__objectz00);
														{	/* Liveness/liveness.scm 678 */
															long BgL_arg1869z00_5318;

															BgL_arg1869z00_5318 =
																BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_5310);
															BgL_arg1867z00_5317 =
																(BgL_arg1869z00_5318 - OBJECT_TYPE);
														}
														BgL_oclassz00_5315 =
															VECTOR_REF(BgL_arg1866z00_5316,
															BgL_arg1867z00_5317);
													}
													{	/* Liveness/liveness.scm 678 */
														bool_t BgL__ortest_1115z00_5319;

														BgL__ortest_1115z00_5319 =
															(BgL_classz00_5309 == BgL_oclassz00_5315);
														if (BgL__ortest_1115z00_5319)
															{	/* Liveness/liveness.scm 678 */
																BgL_res2691z00_5314 = BgL__ortest_1115z00_5319;
															}
														else
															{	/* Liveness/liveness.scm 678 */
																long BgL_odepthz00_5320;

																{	/* Liveness/liveness.scm 678 */
																	obj_t BgL_arg1855z00_5321;

																	BgL_arg1855z00_5321 = (BgL_oclassz00_5315);
																	BgL_odepthz00_5320 =
																		BGL_CLASS_DEPTH(BgL_arg1855z00_5321);
																}
																if ((3L < BgL_odepthz00_5320))
																	{	/* Liveness/liveness.scm 678 */
																		obj_t BgL_arg1853z00_5322;

																		{	/* Liveness/liveness.scm 678 */
																			obj_t BgL_arg1854z00_5323;

																			BgL_arg1854z00_5323 =
																				(BgL_oclassz00_5315);
																			BgL_arg1853z00_5322 =
																				BGL_CLASS_ANCESTORS_REF
																				(BgL_arg1854z00_5323, 3L);
																		}
																		BgL_res2691z00_5314 =
																			(BgL_arg1853z00_5322 ==
																			BgL_classz00_5309);
																	}
																else
																	{	/* Liveness/liveness.scm 678 */
																		BgL_res2691z00_5314 = ((bool_t) 0);
																	}
															}
													}
												}
												BgL_test3009z00_9078 = BgL_res2691z00_5314;
											}
									}
								}
							}
							if (BgL_test3009z00_9078)
								{	/* Liveness/liveness.scm 679 */
									BgL_variablez00_bglt BgL_arg2348z00_5324;

									BgL_arg2348z00_5324 =
										(((BgL_varz00_bglt) COBJECT(BgL_i1314z00_5307))->
										BgL_variablez00);
									BgL_defvaluez00_5304 =
										BGl_addz00zzliveness_setz00(((BgL_localz00_bglt)
											BgL_arg2348z00_5324), BgL_defvaluez00_5304);
								}
							else
								{	/* Liveness/liveness.scm 678 */
									BFALSE;
								}
						}
						{	/* Liveness/liveness.scm 681 */
							BgL_setqz00_bglt BgL_arg2350z00_5325;

							{	/* Liveness/liveness.scm 681 */
								BgL_setqzf2livenesszf2_bglt BgL_wide1317z00_5326;

								BgL_wide1317z00_5326 =
									((BgL_setqzf2livenesszf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_setqzf2livenesszf2_bgl))));
								{	/* Liveness/liveness.scm 681 */
									obj_t BgL_auxz00_9111;
									BgL_objectz00_bglt BgL_tmpz00_9107;

									BgL_auxz00_9111 = ((obj_t) BgL_wide1317z00_5326);
									BgL_tmpz00_9107 =
										((BgL_objectz00_bglt)
										((BgL_setqz00_bglt) ((BgL_setqz00_bglt) BgL_nz00_4699)));
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_9107, BgL_auxz00_9111);
								}
								((BgL_objectz00_bglt)
									((BgL_setqz00_bglt) ((BgL_setqz00_bglt) BgL_nz00_4699)));
								{	/* Liveness/liveness.scm 681 */
									long BgL_arg2351z00_5327;

									BgL_arg2351z00_5327 =
										BGL_CLASS_NUM(BGl_setqzf2livenesszf2zzliveness_typesz00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt)
											((BgL_setqz00_bglt)
												((BgL_setqz00_bglt) BgL_nz00_4699))),
										BgL_arg2351z00_5327);
								}
								((BgL_setqz00_bglt)
									((BgL_setqz00_bglt) ((BgL_setqz00_bglt) BgL_nz00_4699)));
							}
							{
								BgL_setqzf2livenesszf2_bglt BgL_auxz00_9125;

								{
									obj_t BgL_auxz00_9126;

									{	/* Liveness/liveness.scm 682 */
										BgL_objectz00_bglt BgL_tmpz00_9127;

										BgL_tmpz00_9127 =
											((BgL_objectz00_bglt)
											((BgL_setqz00_bglt) ((BgL_setqz00_bglt) BgL_nz00_4699)));
										BgL_auxz00_9126 = BGL_OBJECT_WIDENING(BgL_tmpz00_9127);
									}
									BgL_auxz00_9125 =
										((BgL_setqzf2livenesszf2_bglt) BgL_auxz00_9126);
								}
								((((BgL_setqzf2livenesszf2_bglt) COBJECT(BgL_auxz00_9125))->
										BgL_defz00) = ((obj_t) BgL_defvaluez00_5304), BUNSPEC);
							}
							{
								BgL_setqzf2livenesszf2_bglt BgL_auxz00_9134;

								{
									obj_t BgL_auxz00_9135;

									{	/* Liveness/liveness.scm 683 */
										BgL_objectz00_bglt BgL_tmpz00_9136;

										BgL_tmpz00_9136 =
											((BgL_objectz00_bglt)
											((BgL_setqz00_bglt) ((BgL_setqz00_bglt) BgL_nz00_4699)));
										BgL_auxz00_9135 = BGL_OBJECT_WIDENING(BgL_tmpz00_9136);
									}
									BgL_auxz00_9134 =
										((BgL_setqzf2livenesszf2_bglt) BgL_auxz00_9135);
								}
								((((BgL_setqzf2livenesszf2_bglt) COBJECT(BgL_auxz00_9134))->
										BgL_usez00) = ((obj_t) BgL_usevaluez00_5305), BUNSPEC);
							}
							{
								BgL_setqzf2livenesszf2_bglt BgL_auxz00_9143;

								{
									obj_t BgL_auxz00_9144;

									{	/* Liveness/liveness.scm 677 */
										BgL_objectz00_bglt BgL_tmpz00_9145;

										BgL_tmpz00_9145 =
											((BgL_objectz00_bglt)
											((BgL_setqz00_bglt) ((BgL_setqz00_bglt) BgL_nz00_4699)));
										BgL_auxz00_9144 = BGL_OBJECT_WIDENING(BgL_tmpz00_9145);
									}
									BgL_auxz00_9143 =
										((BgL_setqzf2livenesszf2_bglt) BgL_auxz00_9144);
								}
								((((BgL_setqzf2livenesszf2_bglt) COBJECT(BgL_auxz00_9143))->
										BgL_inz00) = ((obj_t) BNIL), BUNSPEC);
							}
							{
								BgL_setqzf2livenesszf2_bglt BgL_auxz00_9152;

								{
									obj_t BgL_auxz00_9153;

									{	/* Liveness/liveness.scm 677 */
										BgL_objectz00_bglt BgL_tmpz00_9154;

										BgL_tmpz00_9154 =
											((BgL_objectz00_bglt)
											((BgL_setqz00_bglt) ((BgL_setqz00_bglt) BgL_nz00_4699)));
										BgL_auxz00_9153 = BGL_OBJECT_WIDENING(BgL_tmpz00_9154);
									}
									BgL_auxz00_9152 =
										((BgL_setqzf2livenesszf2_bglt) BgL_auxz00_9153);
								}
								((((BgL_setqzf2livenesszf2_bglt) COBJECT(BgL_auxz00_9152))->
										BgL_outz00) = ((obj_t) BNIL), BUNSPEC);
							}
							BgL_arg2350z00_5325 =
								((BgL_setqz00_bglt) ((BgL_setqz00_bglt) BgL_nz00_4699));
							return
								BGl_defusez00zzliveness_livenessz00(
								((BgL_nodez00_bglt) BgL_arg2350z00_5325));
						}
					}
				}
			}
		}

	}



/* &inout-cast/liveness1999 */
	obj_t BGl_z62inoutzd2castzf2liveness1999z42zzliveness_livenessz00(obj_t
		BgL_envz00_4700, obj_t BgL_nz00_4701)
	{
		{	/* Liveness/liveness.scm 666 */
			{	/* Liveness/liveness.scm 668 */
				obj_t BgL_val0_1721z00_5329;
				obj_t BgL_val1_1722z00_5330;

				{
					BgL_castzf2livenesszf2_bglt BgL_auxz00_9165;

					{
						obj_t BgL_auxz00_9166;

						{	/* Liveness/liveness.scm 668 */
							BgL_objectz00_bglt BgL_tmpz00_9167;

							BgL_tmpz00_9167 =
								((BgL_objectz00_bglt) ((BgL_castz00_bglt) BgL_nz00_4701));
							BgL_auxz00_9166 = BGL_OBJECT_WIDENING(BgL_tmpz00_9167);
						}
						BgL_auxz00_9165 = ((BgL_castzf2livenesszf2_bglt) BgL_auxz00_9166);
					}
					BgL_val0_1721z00_5329 =
						(((BgL_castzf2livenesszf2_bglt) COBJECT(BgL_auxz00_9165))->
						BgL_inz00);
				}
				{
					BgL_castzf2livenesszf2_bglt BgL_auxz00_9173;

					{
						obj_t BgL_auxz00_9174;

						{	/* Liveness/liveness.scm 668 */
							BgL_objectz00_bglt BgL_tmpz00_9175;

							BgL_tmpz00_9175 =
								((BgL_objectz00_bglt) ((BgL_castz00_bglt) BgL_nz00_4701));
							BgL_auxz00_9174 = BGL_OBJECT_WIDENING(BgL_tmpz00_9175);
						}
						BgL_auxz00_9173 = ((BgL_castzf2livenesszf2_bglt) BgL_auxz00_9174);
					}
					BgL_val1_1722z00_5330 =
						(((BgL_castzf2livenesszf2_bglt) COBJECT(BgL_auxz00_9173))->
						BgL_outz00);
				}
				{	/* Liveness/liveness.scm 668 */
					int BgL_tmpz00_9181;

					BgL_tmpz00_9181 = (int) (2L);
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_9181);
				}
				{	/* Liveness/liveness.scm 668 */
					int BgL_tmpz00_9184;

					BgL_tmpz00_9184 = (int) (1L);
					BGL_MVALUES_VAL_SET(BgL_tmpz00_9184, BgL_val1_1722z00_5330);
				}
				return BgL_val0_1721z00_5329;
			}
		}

	}



/* &inout!-cast/liveness1997 */
	obj_t BGl_z62inoutz12zd2castzf2liveness1997z50zzliveness_livenessz00(obj_t
		BgL_envz00_4702, obj_t BgL_nz00_4703, obj_t BgL_oz00_4704)
	{
		{	/* Liveness/liveness.scm 659 */
			{
				BgL_castzf2livenesszf2_bglt BgL_auxz00_9187;

				{
					obj_t BgL_auxz00_9188;

					{	/* Liveness/liveness.scm 661 */
						BgL_objectz00_bglt BgL_tmpz00_9189;

						BgL_tmpz00_9189 =
							((BgL_objectz00_bglt) ((BgL_castz00_bglt) BgL_nz00_4703));
						BgL_auxz00_9188 = BGL_OBJECT_WIDENING(BgL_tmpz00_9189);
					}
					BgL_auxz00_9187 = ((BgL_castzf2livenesszf2_bglt) BgL_auxz00_9188);
				}
				((((BgL_castzf2livenesszf2_bglt) COBJECT(BgL_auxz00_9187))->
						BgL_outz00) = ((obj_t) BgL_oz00_4704), BUNSPEC);
			}
			{
				obj_t BgL_auxz00_9202;
				BgL_castzf2livenesszf2_bglt BgL_auxz00_9195;

				{	/* Liveness/liveness.scm 662 */
					obj_t BgL_arg2338z00_5332;
					obj_t BgL_arg2340z00_5333;

					{
						BgL_castzf2livenesszf2_bglt BgL_auxz00_9203;

						{
							obj_t BgL_auxz00_9204;

							{	/* Liveness/liveness.scm 662 */
								BgL_objectz00_bglt BgL_tmpz00_9205;

								BgL_tmpz00_9205 =
									((BgL_objectz00_bglt) ((BgL_castz00_bglt) BgL_nz00_4703));
								BgL_auxz00_9204 = BGL_OBJECT_WIDENING(BgL_tmpz00_9205);
							}
							BgL_auxz00_9203 = ((BgL_castzf2livenesszf2_bglt) BgL_auxz00_9204);
						}
						BgL_arg2338z00_5332 =
							(((BgL_castzf2livenesszf2_bglt) COBJECT(BgL_auxz00_9203))->
							BgL_usez00);
					}
					{	/* Liveness/liveness.scm 662 */
						obj_t BgL_arg2341z00_5334;
						obj_t BgL_arg2342z00_5335;

						{
							BgL_castzf2livenesszf2_bglt BgL_auxz00_9211;

							{
								obj_t BgL_auxz00_9212;

								{	/* Liveness/liveness.scm 662 */
									BgL_objectz00_bglt BgL_tmpz00_9213;

									BgL_tmpz00_9213 =
										((BgL_objectz00_bglt) ((BgL_castz00_bglt) BgL_nz00_4703));
									BgL_auxz00_9212 = BGL_OBJECT_WIDENING(BgL_tmpz00_9213);
								}
								BgL_auxz00_9211 =
									((BgL_castzf2livenesszf2_bglt) BgL_auxz00_9212);
							}
							BgL_arg2341z00_5334 =
								(((BgL_castzf2livenesszf2_bglt) COBJECT(BgL_auxz00_9211))->
								BgL_outz00);
						}
						{
							BgL_castzf2livenesszf2_bglt BgL_auxz00_9219;

							{
								obj_t BgL_auxz00_9220;

								{	/* Liveness/liveness.scm 662 */
									BgL_objectz00_bglt BgL_tmpz00_9221;

									BgL_tmpz00_9221 =
										((BgL_objectz00_bglt) ((BgL_castz00_bglt) BgL_nz00_4703));
									BgL_auxz00_9220 = BGL_OBJECT_WIDENING(BgL_tmpz00_9221);
								}
								BgL_auxz00_9219 =
									((BgL_castzf2livenesszf2_bglt) BgL_auxz00_9220);
							}
							BgL_arg2342z00_5335 =
								(((BgL_castzf2livenesszf2_bglt) COBJECT(BgL_auxz00_9219))->
								BgL_defz00);
						}
						BgL_arg2340z00_5333 =
							BGl_disjonctionz00zzliveness_setz00(BgL_arg2341z00_5334,
							BgL_arg2342z00_5335);
					}
					BgL_auxz00_9202 =
						BGl_unionz00zzliveness_setz00(BgL_arg2338z00_5332,
						BgL_arg2340z00_5333);
				}
				{
					obj_t BgL_auxz00_9196;

					{	/* Liveness/liveness.scm 662 */
						BgL_objectz00_bglt BgL_tmpz00_9197;

						BgL_tmpz00_9197 =
							((BgL_objectz00_bglt) ((BgL_castz00_bglt) BgL_nz00_4703));
						BgL_auxz00_9196 = BGL_OBJECT_WIDENING(BgL_tmpz00_9197);
					}
					BgL_auxz00_9195 = ((BgL_castzf2livenesszf2_bglt) BgL_auxz00_9196);
				}
				((((BgL_castzf2livenesszf2_bglt) COBJECT(BgL_auxz00_9195))->BgL_inz00) =
					((obj_t) BgL_auxz00_9202), BUNSPEC);
			}
			{	/* Liveness/liveness.scm 663 */
				BgL_nodez00_bglt BgL_arg2343z00_5336;

				BgL_arg2343z00_5336 =
					(((BgL_castz00_bglt) COBJECT(
							((BgL_castz00_bglt)
								((BgL_castz00_bglt) BgL_nz00_4703))))->BgL_argz00);
				BGl_inoutz12z12zzliveness_livenessz00(BgL_arg2343z00_5336,
					BgL_oz00_4704);
			}
			{	/* Liveness/liveness.scm 664 */
				obj_t BgL_val0_1719z00_5337;
				obj_t BgL_val1_1720z00_5338;

				{
					BgL_castzf2livenesszf2_bglt BgL_auxz00_9234;

					{
						obj_t BgL_auxz00_9235;

						{	/* Liveness/liveness.scm 664 */
							BgL_objectz00_bglt BgL_tmpz00_9236;

							BgL_tmpz00_9236 =
								((BgL_objectz00_bglt) ((BgL_castz00_bglt) BgL_nz00_4703));
							BgL_auxz00_9235 = BGL_OBJECT_WIDENING(BgL_tmpz00_9236);
						}
						BgL_auxz00_9234 = ((BgL_castzf2livenesszf2_bglt) BgL_auxz00_9235);
					}
					BgL_val0_1719z00_5337 =
						(((BgL_castzf2livenesszf2_bglt) COBJECT(BgL_auxz00_9234))->
						BgL_inz00);
				}
				{
					BgL_castzf2livenesszf2_bglt BgL_auxz00_9242;

					{
						obj_t BgL_auxz00_9243;

						{	/* Liveness/liveness.scm 664 */
							BgL_objectz00_bglt BgL_tmpz00_9244;

							BgL_tmpz00_9244 =
								((BgL_objectz00_bglt) ((BgL_castz00_bglt) BgL_nz00_4703));
							BgL_auxz00_9243 = BGL_OBJECT_WIDENING(BgL_tmpz00_9244);
						}
						BgL_auxz00_9242 = ((BgL_castzf2livenesszf2_bglt) BgL_auxz00_9243);
					}
					BgL_val1_1720z00_5338 =
						(((BgL_castzf2livenesszf2_bglt) COBJECT(BgL_auxz00_9242))->
						BgL_outz00);
				}
				{	/* Liveness/liveness.scm 664 */
					int BgL_tmpz00_9250;

					BgL_tmpz00_9250 = (int) (2L);
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_9250);
				}
				{	/* Liveness/liveness.scm 664 */
					int BgL_tmpz00_9253;

					BgL_tmpz00_9253 = (int) (1L);
					BGL_MVALUES_VAL_SET(BgL_tmpz00_9253, BgL_val1_1720z00_5338);
				}
				return BgL_val0_1719z00_5337;
			}
		}

	}



/* &defuse-cast/liveness1995 */
	obj_t BGl_z62defusezd2castzf2liveness1995z42zzliveness_livenessz00(obj_t
		BgL_envz00_4705, obj_t BgL_nz00_4706)
	{
		{	/* Liveness/liveness.scm 655 */
			{	/* Liveness/liveness.scm 657 */
				obj_t BgL_val0_1717z00_5340;
				obj_t BgL_val1_1718z00_5341;

				{
					BgL_castzf2livenesszf2_bglt BgL_auxz00_9256;

					{
						obj_t BgL_auxz00_9257;

						{	/* Liveness/liveness.scm 657 */
							BgL_objectz00_bglt BgL_tmpz00_9258;

							BgL_tmpz00_9258 =
								((BgL_objectz00_bglt) ((BgL_castz00_bglt) BgL_nz00_4706));
							BgL_auxz00_9257 = BGL_OBJECT_WIDENING(BgL_tmpz00_9258);
						}
						BgL_auxz00_9256 = ((BgL_castzf2livenesszf2_bglt) BgL_auxz00_9257);
					}
					BgL_val0_1717z00_5340 =
						(((BgL_castzf2livenesszf2_bglt) COBJECT(BgL_auxz00_9256))->
						BgL_defz00);
				}
				{
					BgL_castzf2livenesszf2_bglt BgL_auxz00_9264;

					{
						obj_t BgL_auxz00_9265;

						{	/* Liveness/liveness.scm 657 */
							BgL_objectz00_bglt BgL_tmpz00_9266;

							BgL_tmpz00_9266 =
								((BgL_objectz00_bglt) ((BgL_castz00_bglt) BgL_nz00_4706));
							BgL_auxz00_9265 = BGL_OBJECT_WIDENING(BgL_tmpz00_9266);
						}
						BgL_auxz00_9264 = ((BgL_castzf2livenesszf2_bglt) BgL_auxz00_9265);
					}
					BgL_val1_1718z00_5341 =
						(((BgL_castzf2livenesszf2_bglt) COBJECT(BgL_auxz00_9264))->
						BgL_usez00);
				}
				{	/* Liveness/liveness.scm 657 */
					int BgL_tmpz00_9272;

					BgL_tmpz00_9272 = (int) (2L);
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_9272);
				}
				{	/* Liveness/liveness.scm 657 */
					int BgL_tmpz00_9275;

					BgL_tmpz00_9275 = (int) (1L);
					BGL_MVALUES_VAL_SET(BgL_tmpz00_9275, BgL_val1_1718z00_5341);
				}
				return BgL_val0_1717z00_5340;
			}
		}

	}



/* &defuse-cast1993 */
	obj_t BGl_z62defusezd2cast1993zb0zzliveness_livenessz00(obj_t BgL_envz00_4707,
		obj_t BgL_nz00_4708)
	{
		{	/* Liveness/liveness.scm 646 */
			{	/* Liveness/liveness.scm 648 */
				obj_t BgL_defz00_5343;

				BgL_defz00_5343 =
					BGl_defusez00zzliveness_livenessz00(
					(((BgL_castz00_bglt) COBJECT(
								((BgL_castz00_bglt) BgL_nz00_4708)))->BgL_argz00));
				{	/* Liveness/liveness.scm 649 */
					obj_t BgL_usez00_5344;

					{	/* Liveness/liveness.scm 650 */
						obj_t BgL_tmpz00_5345;

						{	/* Liveness/liveness.scm 650 */
							int BgL_tmpz00_9281;

							BgL_tmpz00_9281 = (int) (1L);
							BgL_tmpz00_5345 = BGL_MVALUES_VAL(BgL_tmpz00_9281);
						}
						{	/* Liveness/liveness.scm 650 */
							int BgL_tmpz00_9284;

							BgL_tmpz00_9284 = (int) (1L);
							BGL_MVALUES_VAL_SET(BgL_tmpz00_9284, BUNSPEC);
						}
						BgL_usez00_5344 = BgL_tmpz00_5345;
					}
					{	/* Liveness/liveness.scm 651 */
						BgL_castz00_bglt BgL_arg2335z00_5346;

						{	/* Liveness/liveness.scm 651 */
							BgL_castzf2livenesszf2_bglt BgL_wide1308z00_5347;

							BgL_wide1308z00_5347 =
								((BgL_castzf2livenesszf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_castzf2livenesszf2_bgl))));
							{	/* Liveness/liveness.scm 651 */
								obj_t BgL_auxz00_9292;
								BgL_objectz00_bglt BgL_tmpz00_9288;

								BgL_auxz00_9292 = ((obj_t) BgL_wide1308z00_5347);
								BgL_tmpz00_9288 =
									((BgL_objectz00_bglt)
									((BgL_castz00_bglt) ((BgL_castz00_bglt) BgL_nz00_4708)));
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_9288, BgL_auxz00_9292);
							}
							((BgL_objectz00_bglt)
								((BgL_castz00_bglt) ((BgL_castz00_bglt) BgL_nz00_4708)));
							{	/* Liveness/liveness.scm 651 */
								long BgL_arg2336z00_5348;

								BgL_arg2336z00_5348 =
									BGL_CLASS_NUM(BGl_castzf2livenesszf2zzliveness_typesz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt)
										((BgL_castz00_bglt)
											((BgL_castz00_bglt) BgL_nz00_4708))),
									BgL_arg2336z00_5348);
							}
							((BgL_castz00_bglt)
								((BgL_castz00_bglt) ((BgL_castz00_bglt) BgL_nz00_4708)));
						}
						{
							BgL_castzf2livenesszf2_bglt BgL_auxz00_9306;

							{
								obj_t BgL_auxz00_9307;

								{	/* Liveness/liveness.scm 652 */
									BgL_objectz00_bglt BgL_tmpz00_9308;

									BgL_tmpz00_9308 =
										((BgL_objectz00_bglt)
										((BgL_castz00_bglt) ((BgL_castz00_bglt) BgL_nz00_4708)));
									BgL_auxz00_9307 = BGL_OBJECT_WIDENING(BgL_tmpz00_9308);
								}
								BgL_auxz00_9306 =
									((BgL_castzf2livenesszf2_bglt) BgL_auxz00_9307);
							}
							((((BgL_castzf2livenesszf2_bglt) COBJECT(BgL_auxz00_9306))->
									BgL_defz00) = ((obj_t) BgL_defz00_5343), BUNSPEC);
						}
						{
							BgL_castzf2livenesszf2_bglt BgL_auxz00_9315;

							{
								obj_t BgL_auxz00_9316;

								{	/* Liveness/liveness.scm 653 */
									BgL_objectz00_bglt BgL_tmpz00_9317;

									BgL_tmpz00_9317 =
										((BgL_objectz00_bglt)
										((BgL_castz00_bglt) ((BgL_castz00_bglt) BgL_nz00_4708)));
									BgL_auxz00_9316 = BGL_OBJECT_WIDENING(BgL_tmpz00_9317);
								}
								BgL_auxz00_9315 =
									((BgL_castzf2livenesszf2_bglt) BgL_auxz00_9316);
							}
							((((BgL_castzf2livenesszf2_bglt) COBJECT(BgL_auxz00_9315))->
									BgL_usez00) = ((obj_t) BgL_usez00_5344), BUNSPEC);
						}
						{
							BgL_castzf2livenesszf2_bglt BgL_auxz00_9324;

							{
								obj_t BgL_auxz00_9325;

								{	/* Liveness/liveness.scm 649 */
									BgL_objectz00_bglt BgL_tmpz00_9326;

									BgL_tmpz00_9326 =
										((BgL_objectz00_bglt)
										((BgL_castz00_bglt) ((BgL_castz00_bglt) BgL_nz00_4708)));
									BgL_auxz00_9325 = BGL_OBJECT_WIDENING(BgL_tmpz00_9326);
								}
								BgL_auxz00_9324 =
									((BgL_castzf2livenesszf2_bglt) BgL_auxz00_9325);
							}
							((((BgL_castzf2livenesszf2_bglt) COBJECT(BgL_auxz00_9324))->
									BgL_inz00) = ((obj_t) BNIL), BUNSPEC);
						}
						{
							BgL_castzf2livenesszf2_bglt BgL_auxz00_9333;

							{
								obj_t BgL_auxz00_9334;

								{	/* Liveness/liveness.scm 649 */
									BgL_objectz00_bglt BgL_tmpz00_9335;

									BgL_tmpz00_9335 =
										((BgL_objectz00_bglt)
										((BgL_castz00_bglt) ((BgL_castz00_bglt) BgL_nz00_4708)));
									BgL_auxz00_9334 = BGL_OBJECT_WIDENING(BgL_tmpz00_9335);
								}
								BgL_auxz00_9333 =
									((BgL_castzf2livenesszf2_bglt) BgL_auxz00_9334);
							}
							((((BgL_castzf2livenesszf2_bglt) COBJECT(BgL_auxz00_9333))->
									BgL_outz00) = ((obj_t) BNIL), BUNSPEC);
						}
						BgL_arg2335z00_5346 =
							((BgL_castz00_bglt) ((BgL_castz00_bglt) BgL_nz00_4708));
						return
							BGl_defusez00zzliveness_livenessz00(
							((BgL_nodez00_bglt) BgL_arg2335z00_5346));
					}
				}
			}
		}

	}



/* &inout-cast-null/live1991 */
	obj_t BGl_z62inoutzd2castzd2nullzf2live1991z90zzliveness_livenessz00(obj_t
		BgL_envz00_4709, obj_t BgL_nz00_4710)
	{
		{	/* Liveness/liveness.scm 639 */
			{	/* Liveness/liveness.scm 641 */
				obj_t BgL_val0_1715z00_5350;
				obj_t BgL_val1_1716z00_5351;

				{
					BgL_castzd2nullzf2livenessz20_bglt BgL_auxz00_9346;

					{
						obj_t BgL_auxz00_9347;

						{	/* Liveness/liveness.scm 641 */
							BgL_objectz00_bglt BgL_tmpz00_9348;

							BgL_tmpz00_9348 =
								((BgL_objectz00_bglt)
								((BgL_castzd2nullzd2_bglt) BgL_nz00_4710));
							BgL_auxz00_9347 = BGL_OBJECT_WIDENING(BgL_tmpz00_9348);
						}
						BgL_auxz00_9346 =
							((BgL_castzd2nullzf2livenessz20_bglt) BgL_auxz00_9347);
					}
					BgL_val0_1715z00_5350 =
						(((BgL_castzd2nullzf2livenessz20_bglt) COBJECT(BgL_auxz00_9346))->
						BgL_inz00);
				}
				{
					BgL_castzd2nullzf2livenessz20_bglt BgL_auxz00_9354;

					{
						obj_t BgL_auxz00_9355;

						{	/* Liveness/liveness.scm 641 */
							BgL_objectz00_bglt BgL_tmpz00_9356;

							BgL_tmpz00_9356 =
								((BgL_objectz00_bglt)
								((BgL_castzd2nullzd2_bglt) BgL_nz00_4710));
							BgL_auxz00_9355 = BGL_OBJECT_WIDENING(BgL_tmpz00_9356);
						}
						BgL_auxz00_9354 =
							((BgL_castzd2nullzf2livenessz20_bglt) BgL_auxz00_9355);
					}
					BgL_val1_1716z00_5351 =
						(((BgL_castzd2nullzf2livenessz20_bglt) COBJECT(BgL_auxz00_9354))->
						BgL_outz00);
				}
				{	/* Liveness/liveness.scm 641 */
					int BgL_tmpz00_9362;

					BgL_tmpz00_9362 = (int) (2L);
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_9362);
				}
				{	/* Liveness/liveness.scm 641 */
					int BgL_tmpz00_9365;

					BgL_tmpz00_9365 = (int) (1L);
					BGL_MVALUES_VAL_SET(BgL_tmpz00_9365, BgL_val1_1716z00_5351);
				}
				return BgL_val0_1715z00_5350;
			}
		}

	}



/* &inout!-cast-null/liv1989 */
	obj_t BGl_z62inoutz12zd2castzd2nullzf2liv1989z82zzliveness_livenessz00(obj_t
		BgL_envz00_4711, obj_t BgL_nz00_4712, obj_t BgL_oz00_4713)
	{
		{	/* Liveness/liveness.scm 632 */
			{
				BgL_castzd2nullzf2livenessz20_bglt BgL_auxz00_9368;

				{
					obj_t BgL_auxz00_9369;

					{	/* Liveness/liveness.scm 634 */
						BgL_objectz00_bglt BgL_tmpz00_9370;

						BgL_tmpz00_9370 =
							((BgL_objectz00_bglt) ((BgL_castzd2nullzd2_bglt) BgL_nz00_4712));
						BgL_auxz00_9369 = BGL_OBJECT_WIDENING(BgL_tmpz00_9370);
					}
					BgL_auxz00_9368 =
						((BgL_castzd2nullzf2livenessz20_bglt) BgL_auxz00_9369);
				}
				((((BgL_castzd2nullzf2livenessz20_bglt) COBJECT(BgL_auxz00_9368))->
						BgL_outz00) = ((obj_t) BgL_oz00_4713), BUNSPEC);
			}
			{
				obj_t BgL_auxz00_9383;
				BgL_castzd2nullzf2livenessz20_bglt BgL_auxz00_9376;

				{	/* Liveness/liveness.scm 635 */
					obj_t BgL_arg2326z00_5353;
					obj_t BgL_arg2327z00_5354;

					{
						BgL_castzd2nullzf2livenessz20_bglt BgL_auxz00_9384;

						{
							obj_t BgL_auxz00_9385;

							{	/* Liveness/liveness.scm 635 */
								BgL_objectz00_bglt BgL_tmpz00_9386;

								BgL_tmpz00_9386 =
									((BgL_objectz00_bglt)
									((BgL_castzd2nullzd2_bglt) BgL_nz00_4712));
								BgL_auxz00_9385 = BGL_OBJECT_WIDENING(BgL_tmpz00_9386);
							}
							BgL_auxz00_9384 =
								((BgL_castzd2nullzf2livenessz20_bglt) BgL_auxz00_9385);
						}
						BgL_arg2326z00_5353 =
							(((BgL_castzd2nullzf2livenessz20_bglt) COBJECT(BgL_auxz00_9384))->
							BgL_usez00);
					}
					{	/* Liveness/liveness.scm 635 */
						obj_t BgL_arg2328z00_5355;
						obj_t BgL_arg2329z00_5356;

						{
							BgL_castzd2nullzf2livenessz20_bglt BgL_auxz00_9392;

							{
								obj_t BgL_auxz00_9393;

								{	/* Liveness/liveness.scm 635 */
									BgL_objectz00_bglt BgL_tmpz00_9394;

									BgL_tmpz00_9394 =
										((BgL_objectz00_bglt)
										((BgL_castzd2nullzd2_bglt) BgL_nz00_4712));
									BgL_auxz00_9393 = BGL_OBJECT_WIDENING(BgL_tmpz00_9394);
								}
								BgL_auxz00_9392 =
									((BgL_castzd2nullzf2livenessz20_bglt) BgL_auxz00_9393);
							}
							BgL_arg2328z00_5355 =
								(((BgL_castzd2nullzf2livenessz20_bglt)
									COBJECT(BgL_auxz00_9392))->BgL_outz00);
						}
						{
							BgL_castzd2nullzf2livenessz20_bglt BgL_auxz00_9400;

							{
								obj_t BgL_auxz00_9401;

								{	/* Liveness/liveness.scm 635 */
									BgL_objectz00_bglt BgL_tmpz00_9402;

									BgL_tmpz00_9402 =
										((BgL_objectz00_bglt)
										((BgL_castzd2nullzd2_bglt) BgL_nz00_4712));
									BgL_auxz00_9401 = BGL_OBJECT_WIDENING(BgL_tmpz00_9402);
								}
								BgL_auxz00_9400 =
									((BgL_castzd2nullzf2livenessz20_bglt) BgL_auxz00_9401);
							}
							BgL_arg2329z00_5356 =
								(((BgL_castzd2nullzf2livenessz20_bglt)
									COBJECT(BgL_auxz00_9400))->BgL_defz00);
						}
						BgL_arg2327z00_5354 =
							BGl_disjonctionz00zzliveness_setz00(BgL_arg2328z00_5355,
							BgL_arg2329z00_5356);
					}
					BgL_auxz00_9383 =
						BGl_unionz00zzliveness_setz00(BgL_arg2326z00_5353,
						BgL_arg2327z00_5354);
				}
				{
					obj_t BgL_auxz00_9377;

					{	/* Liveness/liveness.scm 635 */
						BgL_objectz00_bglt BgL_tmpz00_9378;

						BgL_tmpz00_9378 =
							((BgL_objectz00_bglt) ((BgL_castzd2nullzd2_bglt) BgL_nz00_4712));
						BgL_auxz00_9377 = BGL_OBJECT_WIDENING(BgL_tmpz00_9378);
					}
					BgL_auxz00_9376 =
						((BgL_castzd2nullzf2livenessz20_bglt) BgL_auxz00_9377);
				}
				((((BgL_castzd2nullzf2livenessz20_bglt) COBJECT(BgL_auxz00_9376))->
						BgL_inz00) = ((obj_t) BgL_auxz00_9383), BUNSPEC);
			}
			{	/* Liveness/liveness.scm 636 */
				obj_t BgL_g1712z00_5357;

				BgL_g1712z00_5357 =
					(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt)
								((BgL_castzd2nullzd2_bglt) BgL_nz00_4712))))->BgL_exprza2za2);
				{
					obj_t BgL_l1710z00_5359;

					BgL_l1710z00_5359 = BgL_g1712z00_5357;
				BgL_zc3z04anonymousza32330ze3z87_5358:
					if (PAIRP(BgL_l1710z00_5359))
						{	/* Liveness/liveness.scm 636 */
							{	/* Liveness/liveness.scm 636 */
								obj_t BgL_ez00_5360;

								BgL_ez00_5360 = CAR(BgL_l1710z00_5359);
								BGl_inoutz12z12zzliveness_livenessz00(
									((BgL_nodez00_bglt) BgL_ez00_5360), BgL_oz00_4713);
							}
							{
								obj_t BgL_l1710z00_9419;

								BgL_l1710z00_9419 = CDR(BgL_l1710z00_5359);
								BgL_l1710z00_5359 = BgL_l1710z00_9419;
								goto BgL_zc3z04anonymousza32330ze3z87_5358;
							}
						}
					else
						{	/* Liveness/liveness.scm 636 */
							((bool_t) 1);
						}
				}
			}
			{	/* Liveness/liveness.scm 637 */
				obj_t BgL_val0_1713z00_5361;
				obj_t BgL_val1_1714z00_5362;

				{
					BgL_castzd2nullzf2livenessz20_bglt BgL_auxz00_9421;

					{
						obj_t BgL_auxz00_9422;

						{	/* Liveness/liveness.scm 637 */
							BgL_objectz00_bglt BgL_tmpz00_9423;

							BgL_tmpz00_9423 =
								((BgL_objectz00_bglt)
								((BgL_castzd2nullzd2_bglt) BgL_nz00_4712));
							BgL_auxz00_9422 = BGL_OBJECT_WIDENING(BgL_tmpz00_9423);
						}
						BgL_auxz00_9421 =
							((BgL_castzd2nullzf2livenessz20_bglt) BgL_auxz00_9422);
					}
					BgL_val0_1713z00_5361 =
						(((BgL_castzd2nullzf2livenessz20_bglt) COBJECT(BgL_auxz00_9421))->
						BgL_inz00);
				}
				{
					BgL_castzd2nullzf2livenessz20_bglt BgL_auxz00_9429;

					{
						obj_t BgL_auxz00_9430;

						{	/* Liveness/liveness.scm 637 */
							BgL_objectz00_bglt BgL_tmpz00_9431;

							BgL_tmpz00_9431 =
								((BgL_objectz00_bglt)
								((BgL_castzd2nullzd2_bglt) BgL_nz00_4712));
							BgL_auxz00_9430 = BGL_OBJECT_WIDENING(BgL_tmpz00_9431);
						}
						BgL_auxz00_9429 =
							((BgL_castzd2nullzf2livenessz20_bglt) BgL_auxz00_9430);
					}
					BgL_val1_1714z00_5362 =
						(((BgL_castzd2nullzf2livenessz20_bglt) COBJECT(BgL_auxz00_9429))->
						BgL_outz00);
				}
				{	/* Liveness/liveness.scm 637 */
					int BgL_tmpz00_9437;

					BgL_tmpz00_9437 = (int) (2L);
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_9437);
				}
				{	/* Liveness/liveness.scm 637 */
					int BgL_tmpz00_9440;

					BgL_tmpz00_9440 = (int) (1L);
					BGL_MVALUES_VAL_SET(BgL_tmpz00_9440, BgL_val1_1714z00_5362);
				}
				return BgL_val0_1713z00_5361;
			}
		}

	}



/* &defuse-cast-null/liv1987 */
	obj_t BGl_z62defusezd2castzd2nullzf2liv1987z90zzliveness_livenessz00(obj_t
		BgL_envz00_4714, obj_t BgL_nz00_4715)
	{
		{	/* Liveness/liveness.scm 628 */
			{	/* Liveness/liveness.scm 630 */
				obj_t BgL_val0_1708z00_5364;
				obj_t BgL_val1_1709z00_5365;

				{
					BgL_castzd2nullzf2livenessz20_bglt BgL_auxz00_9443;

					{
						obj_t BgL_auxz00_9444;

						{	/* Liveness/liveness.scm 630 */
							BgL_objectz00_bglt BgL_tmpz00_9445;

							BgL_tmpz00_9445 =
								((BgL_objectz00_bglt)
								((BgL_castzd2nullzd2_bglt) BgL_nz00_4715));
							BgL_auxz00_9444 = BGL_OBJECT_WIDENING(BgL_tmpz00_9445);
						}
						BgL_auxz00_9443 =
							((BgL_castzd2nullzf2livenessz20_bglt) BgL_auxz00_9444);
					}
					BgL_val0_1708z00_5364 =
						(((BgL_castzd2nullzf2livenessz20_bglt) COBJECT(BgL_auxz00_9443))->
						BgL_defz00);
				}
				{
					BgL_castzd2nullzf2livenessz20_bglt BgL_auxz00_9451;

					{
						obj_t BgL_auxz00_9452;

						{	/* Liveness/liveness.scm 630 */
							BgL_objectz00_bglt BgL_tmpz00_9453;

							BgL_tmpz00_9453 =
								((BgL_objectz00_bglt)
								((BgL_castzd2nullzd2_bglt) BgL_nz00_4715));
							BgL_auxz00_9452 = BGL_OBJECT_WIDENING(BgL_tmpz00_9453);
						}
						BgL_auxz00_9451 =
							((BgL_castzd2nullzf2livenessz20_bglt) BgL_auxz00_9452);
					}
					BgL_val1_1709z00_5365 =
						(((BgL_castzd2nullzf2livenessz20_bglt) COBJECT(BgL_auxz00_9451))->
						BgL_usez00);
				}
				{	/* Liveness/liveness.scm 630 */
					int BgL_tmpz00_9459;

					BgL_tmpz00_9459 = (int) (2L);
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_9459);
				}
				{	/* Liveness/liveness.scm 630 */
					int BgL_tmpz00_9462;

					BgL_tmpz00_9462 = (int) (1L);
					BGL_MVALUES_VAL_SET(BgL_tmpz00_9462, BgL_val1_1709z00_5365);
				}
				return BgL_val0_1708z00_5364;
			}
		}

	}



/* &defuse-cast-null1985 */
	obj_t BGl_z62defusezd2castzd2null1985z62zzliveness_livenessz00(obj_t
		BgL_envz00_4716, obj_t BgL_nz00_4717)
	{
		{	/* Liveness/liveness.scm 619 */
			{	/* Liveness/liveness.scm 621 */
				obj_t BgL_defz00_5367;

				{	/* Liveness/liveness.scm 622 */
					obj_t BgL_arg2325z00_5368;

					BgL_arg2325z00_5368 =
						(((BgL_externz00_bglt) COBJECT(
								((BgL_externz00_bglt)
									((BgL_castzd2nullzd2_bglt) BgL_nz00_4717))))->BgL_exprza2za2);
					BgL_defz00_5367 =
						BGl_defuseza2za2zzliveness_livenessz00(BgL_arg2325z00_5368, BNIL,
						BNIL);
				}
				{	/* Liveness/liveness.scm 622 */
					obj_t BgL_usez00_5369;

					{	/* Liveness/liveness.scm 623 */
						obj_t BgL_tmpz00_5370;

						{	/* Liveness/liveness.scm 623 */
							int BgL_tmpz00_9469;

							BgL_tmpz00_9469 = (int) (1L);
							BgL_tmpz00_5370 = BGL_MVALUES_VAL(BgL_tmpz00_9469);
						}
						{	/* Liveness/liveness.scm 623 */
							int BgL_tmpz00_9472;

							BgL_tmpz00_9472 = (int) (1L);
							BGL_MVALUES_VAL_SET(BgL_tmpz00_9472, BUNSPEC);
						}
						BgL_usez00_5369 = BgL_tmpz00_5370;
					}
					{	/* Liveness/liveness.scm 624 */
						BgL_castzd2nullzd2_bglt BgL_arg2323z00_5371;

						{	/* Liveness/liveness.scm 624 */
							BgL_castzd2nullzf2livenessz20_bglt BgL_wide1300z00_5372;

							BgL_wide1300z00_5372 =
								((BgL_castzd2nullzf2livenessz20_bglt)
								BOBJECT(GC_MALLOC(sizeof(struct
											BgL_castzd2nullzf2livenessz20_bgl))));
							{	/* Liveness/liveness.scm 624 */
								obj_t BgL_auxz00_9480;
								BgL_objectz00_bglt BgL_tmpz00_9476;

								BgL_auxz00_9480 = ((obj_t) BgL_wide1300z00_5372);
								BgL_tmpz00_9476 =
									((BgL_objectz00_bglt)
									((BgL_castzd2nullzd2_bglt)
										((BgL_castzd2nullzd2_bglt) BgL_nz00_4717)));
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_9476, BgL_auxz00_9480);
							}
							((BgL_objectz00_bglt)
								((BgL_castzd2nullzd2_bglt)
									((BgL_castzd2nullzd2_bglt) BgL_nz00_4717)));
							{	/* Liveness/liveness.scm 624 */
								long BgL_arg2324z00_5373;

								BgL_arg2324z00_5373 =
									BGL_CLASS_NUM
									(BGl_castzd2nullzf2livenessz20zzliveness_typesz00);
								BGL_OBJECT_CLASS_NUM_SET(((BgL_objectz00_bglt) (
											(BgL_castzd2nullzd2_bglt) ((BgL_castzd2nullzd2_bglt)
												BgL_nz00_4717))), BgL_arg2324z00_5373);
							}
							((BgL_castzd2nullzd2_bglt)
								((BgL_castzd2nullzd2_bglt)
									((BgL_castzd2nullzd2_bglt) BgL_nz00_4717)));
						}
						{
							BgL_castzd2nullzf2livenessz20_bglt BgL_auxz00_9494;

							{
								obj_t BgL_auxz00_9495;

								{	/* Liveness/liveness.scm 625 */
									BgL_objectz00_bglt BgL_tmpz00_9496;

									BgL_tmpz00_9496 =
										((BgL_objectz00_bglt)
										((BgL_castzd2nullzd2_bglt)
											((BgL_castzd2nullzd2_bglt) BgL_nz00_4717)));
									BgL_auxz00_9495 = BGL_OBJECT_WIDENING(BgL_tmpz00_9496);
								}
								BgL_auxz00_9494 =
									((BgL_castzd2nullzf2livenessz20_bglt) BgL_auxz00_9495);
							}
							((((BgL_castzd2nullzf2livenessz20_bglt)
										COBJECT(BgL_auxz00_9494))->BgL_defz00) =
								((obj_t) BgL_defz00_5367), BUNSPEC);
						}
						{
							BgL_castzd2nullzf2livenessz20_bglt BgL_auxz00_9503;

							{
								obj_t BgL_auxz00_9504;

								{	/* Liveness/liveness.scm 626 */
									BgL_objectz00_bglt BgL_tmpz00_9505;

									BgL_tmpz00_9505 =
										((BgL_objectz00_bglt)
										((BgL_castzd2nullzd2_bglt)
											((BgL_castzd2nullzd2_bglt) BgL_nz00_4717)));
									BgL_auxz00_9504 = BGL_OBJECT_WIDENING(BgL_tmpz00_9505);
								}
								BgL_auxz00_9503 =
									((BgL_castzd2nullzf2livenessz20_bglt) BgL_auxz00_9504);
							}
							((((BgL_castzd2nullzf2livenessz20_bglt)
										COBJECT(BgL_auxz00_9503))->BgL_usez00) =
								((obj_t) BgL_usez00_5369), BUNSPEC);
						}
						{
							BgL_castzd2nullzf2livenessz20_bglt BgL_auxz00_9512;

							{
								obj_t BgL_auxz00_9513;

								{	/* Liveness/liveness.scm 622 */
									BgL_objectz00_bglt BgL_tmpz00_9514;

									BgL_tmpz00_9514 =
										((BgL_objectz00_bglt)
										((BgL_castzd2nullzd2_bglt)
											((BgL_castzd2nullzd2_bglt) BgL_nz00_4717)));
									BgL_auxz00_9513 = BGL_OBJECT_WIDENING(BgL_tmpz00_9514);
								}
								BgL_auxz00_9512 =
									((BgL_castzd2nullzf2livenessz20_bglt) BgL_auxz00_9513);
							}
							((((BgL_castzd2nullzf2livenessz20_bglt)
										COBJECT(BgL_auxz00_9512))->BgL_inz00) =
								((obj_t) BNIL), BUNSPEC);
						}
						{
							BgL_castzd2nullzf2livenessz20_bglt BgL_auxz00_9521;

							{
								obj_t BgL_auxz00_9522;

								{	/* Liveness/liveness.scm 622 */
									BgL_objectz00_bglt BgL_tmpz00_9523;

									BgL_tmpz00_9523 =
										((BgL_objectz00_bglt)
										((BgL_castzd2nullzd2_bglt)
											((BgL_castzd2nullzd2_bglt) BgL_nz00_4717)));
									BgL_auxz00_9522 = BGL_OBJECT_WIDENING(BgL_tmpz00_9523);
								}
								BgL_auxz00_9521 =
									((BgL_castzd2nullzf2livenessz20_bglt) BgL_auxz00_9522);
							}
							((((BgL_castzd2nullzf2livenessz20_bglt)
										COBJECT(BgL_auxz00_9521))->BgL_outz00) =
								((obj_t) BNIL), BUNSPEC);
						}
						BgL_arg2323z00_5371 =
							((BgL_castzd2nullzd2_bglt)
							((BgL_castzd2nullzd2_bglt) BgL_nz00_4717));
						return
							BGl_defusez00zzliveness_livenessz00(
							((BgL_nodez00_bglt) BgL_arg2323z00_5371));
					}
				}
			}
		}

	}



/* &inout-instanceof/liv1983 */
	obj_t BGl_z62inoutzd2instanceofzf2liv1983z42zzliveness_livenessz00(obj_t
		BgL_envz00_4718, obj_t BgL_nz00_4719)
	{
		{	/* Liveness/liveness.scm 612 */
			{	/* Liveness/liveness.scm 614 */
				obj_t BgL_val0_1706z00_5375;
				obj_t BgL_val1_1707z00_5376;

				{
					BgL_instanceofzf2livenesszf2_bglt BgL_auxz00_9534;

					{
						obj_t BgL_auxz00_9535;

						{	/* Liveness/liveness.scm 614 */
							BgL_objectz00_bglt BgL_tmpz00_9536;

							BgL_tmpz00_9536 =
								((BgL_objectz00_bglt) ((BgL_instanceofz00_bglt) BgL_nz00_4719));
							BgL_auxz00_9535 = BGL_OBJECT_WIDENING(BgL_tmpz00_9536);
						}
						BgL_auxz00_9534 =
							((BgL_instanceofzf2livenesszf2_bglt) BgL_auxz00_9535);
					}
					BgL_val0_1706z00_5375 =
						(((BgL_instanceofzf2livenesszf2_bglt) COBJECT(BgL_auxz00_9534))->
						BgL_inz00);
				}
				{
					BgL_instanceofzf2livenesszf2_bglt BgL_auxz00_9542;

					{
						obj_t BgL_auxz00_9543;

						{	/* Liveness/liveness.scm 614 */
							BgL_objectz00_bglt BgL_tmpz00_9544;

							BgL_tmpz00_9544 =
								((BgL_objectz00_bglt) ((BgL_instanceofz00_bglt) BgL_nz00_4719));
							BgL_auxz00_9543 = BGL_OBJECT_WIDENING(BgL_tmpz00_9544);
						}
						BgL_auxz00_9542 =
							((BgL_instanceofzf2livenesszf2_bglt) BgL_auxz00_9543);
					}
					BgL_val1_1707z00_5376 =
						(((BgL_instanceofzf2livenesszf2_bglt) COBJECT(BgL_auxz00_9542))->
						BgL_outz00);
				}
				{	/* Liveness/liveness.scm 614 */
					int BgL_tmpz00_9550;

					BgL_tmpz00_9550 = (int) (2L);
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_9550);
				}
				{	/* Liveness/liveness.scm 614 */
					int BgL_tmpz00_9553;

					BgL_tmpz00_9553 = (int) (1L);
					BGL_MVALUES_VAL_SET(BgL_tmpz00_9553, BgL_val1_1707z00_5376);
				}
				return BgL_val0_1706z00_5375;
			}
		}

	}



/* &inout!-instanceof/li1981 */
	obj_t BGl_z62inoutz12zd2instanceofzf2li1981z50zzliveness_livenessz00(obj_t
		BgL_envz00_4720, obj_t BgL_nz00_4721, obj_t BgL_oz00_4722)
	{
		{	/* Liveness/liveness.scm 605 */
			{
				BgL_instanceofzf2livenesszf2_bglt BgL_auxz00_9556;

				{
					obj_t BgL_auxz00_9557;

					{	/* Liveness/liveness.scm 607 */
						BgL_objectz00_bglt BgL_tmpz00_9558;

						BgL_tmpz00_9558 =
							((BgL_objectz00_bglt) ((BgL_instanceofz00_bglt) BgL_nz00_4721));
						BgL_auxz00_9557 = BGL_OBJECT_WIDENING(BgL_tmpz00_9558);
					}
					BgL_auxz00_9556 =
						((BgL_instanceofzf2livenesszf2_bglt) BgL_auxz00_9557);
				}
				((((BgL_instanceofzf2livenesszf2_bglt) COBJECT(BgL_auxz00_9556))->
						BgL_outz00) = ((obj_t) BgL_oz00_4722), BUNSPEC);
			}
			{
				obj_t BgL_auxz00_9571;
				BgL_instanceofzf2livenesszf2_bglt BgL_auxz00_9564;

				{	/* Liveness/liveness.scm 608 */
					obj_t BgL_arg2314z00_5378;
					obj_t BgL_arg2315z00_5379;

					{
						BgL_instanceofzf2livenesszf2_bglt BgL_auxz00_9572;

						{
							obj_t BgL_auxz00_9573;

							{	/* Liveness/liveness.scm 608 */
								BgL_objectz00_bglt BgL_tmpz00_9574;

								BgL_tmpz00_9574 =
									((BgL_objectz00_bglt)
									((BgL_instanceofz00_bglt) BgL_nz00_4721));
								BgL_auxz00_9573 = BGL_OBJECT_WIDENING(BgL_tmpz00_9574);
							}
							BgL_auxz00_9572 =
								((BgL_instanceofzf2livenesszf2_bglt) BgL_auxz00_9573);
						}
						BgL_arg2314z00_5378 =
							(((BgL_instanceofzf2livenesszf2_bglt) COBJECT(BgL_auxz00_9572))->
							BgL_usez00);
					}
					{	/* Liveness/liveness.scm 608 */
						obj_t BgL_arg2316z00_5380;
						obj_t BgL_arg2318z00_5381;

						{
							BgL_instanceofzf2livenesszf2_bglt BgL_auxz00_9580;

							{
								obj_t BgL_auxz00_9581;

								{	/* Liveness/liveness.scm 608 */
									BgL_objectz00_bglt BgL_tmpz00_9582;

									BgL_tmpz00_9582 =
										((BgL_objectz00_bglt)
										((BgL_instanceofz00_bglt) BgL_nz00_4721));
									BgL_auxz00_9581 = BGL_OBJECT_WIDENING(BgL_tmpz00_9582);
								}
								BgL_auxz00_9580 =
									((BgL_instanceofzf2livenesszf2_bglt) BgL_auxz00_9581);
							}
							BgL_arg2316z00_5380 =
								(((BgL_instanceofzf2livenesszf2_bglt)
									COBJECT(BgL_auxz00_9580))->BgL_outz00);
						}
						{
							BgL_instanceofzf2livenesszf2_bglt BgL_auxz00_9588;

							{
								obj_t BgL_auxz00_9589;

								{	/* Liveness/liveness.scm 608 */
									BgL_objectz00_bglt BgL_tmpz00_9590;

									BgL_tmpz00_9590 =
										((BgL_objectz00_bglt)
										((BgL_instanceofz00_bglt) BgL_nz00_4721));
									BgL_auxz00_9589 = BGL_OBJECT_WIDENING(BgL_tmpz00_9590);
								}
								BgL_auxz00_9588 =
									((BgL_instanceofzf2livenesszf2_bglt) BgL_auxz00_9589);
							}
							BgL_arg2318z00_5381 =
								(((BgL_instanceofzf2livenesszf2_bglt)
									COBJECT(BgL_auxz00_9588))->BgL_defz00);
						}
						BgL_arg2315z00_5379 =
							BGl_disjonctionz00zzliveness_setz00(BgL_arg2316z00_5380,
							BgL_arg2318z00_5381);
					}
					BgL_auxz00_9571 =
						BGl_unionz00zzliveness_setz00(BgL_arg2314z00_5378,
						BgL_arg2315z00_5379);
				}
				{
					obj_t BgL_auxz00_9565;

					{	/* Liveness/liveness.scm 608 */
						BgL_objectz00_bglt BgL_tmpz00_9566;

						BgL_tmpz00_9566 =
							((BgL_objectz00_bglt) ((BgL_instanceofz00_bglt) BgL_nz00_4721));
						BgL_auxz00_9565 = BGL_OBJECT_WIDENING(BgL_tmpz00_9566);
					}
					BgL_auxz00_9564 =
						((BgL_instanceofzf2livenesszf2_bglt) BgL_auxz00_9565);
				}
				((((BgL_instanceofzf2livenesszf2_bglt) COBJECT(BgL_auxz00_9564))->
						BgL_inz00) = ((obj_t) BgL_auxz00_9571), BUNSPEC);
			}
			{	/* Liveness/liveness.scm 609 */
				obj_t BgL_g1703z00_5382;

				BgL_g1703z00_5382 =
					(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt)
								((BgL_instanceofz00_bglt) BgL_nz00_4721))))->BgL_exprza2za2);
				{
					obj_t BgL_l1701z00_5384;

					BgL_l1701z00_5384 = BgL_g1703z00_5382;
				BgL_zc3z04anonymousza32319ze3z87_5383:
					if (PAIRP(BgL_l1701z00_5384))
						{	/* Liveness/liveness.scm 609 */
							{	/* Liveness/liveness.scm 609 */
								obj_t BgL_ez00_5385;

								BgL_ez00_5385 = CAR(BgL_l1701z00_5384);
								BGl_inoutz12z12zzliveness_livenessz00(
									((BgL_nodez00_bglt) BgL_ez00_5385), BgL_oz00_4722);
							}
							{
								obj_t BgL_l1701z00_9607;

								BgL_l1701z00_9607 = CDR(BgL_l1701z00_5384);
								BgL_l1701z00_5384 = BgL_l1701z00_9607;
								goto BgL_zc3z04anonymousza32319ze3z87_5383;
							}
						}
					else
						{	/* Liveness/liveness.scm 609 */
							((bool_t) 1);
						}
				}
			}
			{	/* Liveness/liveness.scm 610 */
				obj_t BgL_val0_1704z00_5386;
				obj_t BgL_val1_1705z00_5387;

				{
					BgL_instanceofzf2livenesszf2_bglt BgL_auxz00_9609;

					{
						obj_t BgL_auxz00_9610;

						{	/* Liveness/liveness.scm 610 */
							BgL_objectz00_bglt BgL_tmpz00_9611;

							BgL_tmpz00_9611 =
								((BgL_objectz00_bglt) ((BgL_instanceofz00_bglt) BgL_nz00_4721));
							BgL_auxz00_9610 = BGL_OBJECT_WIDENING(BgL_tmpz00_9611);
						}
						BgL_auxz00_9609 =
							((BgL_instanceofzf2livenesszf2_bglt) BgL_auxz00_9610);
					}
					BgL_val0_1704z00_5386 =
						(((BgL_instanceofzf2livenesszf2_bglt) COBJECT(BgL_auxz00_9609))->
						BgL_inz00);
				}
				{
					BgL_instanceofzf2livenesszf2_bglt BgL_auxz00_9617;

					{
						obj_t BgL_auxz00_9618;

						{	/* Liveness/liveness.scm 610 */
							BgL_objectz00_bglt BgL_tmpz00_9619;

							BgL_tmpz00_9619 =
								((BgL_objectz00_bglt) ((BgL_instanceofz00_bglt) BgL_nz00_4721));
							BgL_auxz00_9618 = BGL_OBJECT_WIDENING(BgL_tmpz00_9619);
						}
						BgL_auxz00_9617 =
							((BgL_instanceofzf2livenesszf2_bglt) BgL_auxz00_9618);
					}
					BgL_val1_1705z00_5387 =
						(((BgL_instanceofzf2livenesszf2_bglt) COBJECT(BgL_auxz00_9617))->
						BgL_outz00);
				}
				{	/* Liveness/liveness.scm 610 */
					int BgL_tmpz00_9625;

					BgL_tmpz00_9625 = (int) (2L);
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_9625);
				}
				{	/* Liveness/liveness.scm 610 */
					int BgL_tmpz00_9628;

					BgL_tmpz00_9628 = (int) (1L);
					BGL_MVALUES_VAL_SET(BgL_tmpz00_9628, BgL_val1_1705z00_5387);
				}
				return BgL_val0_1704z00_5386;
			}
		}

	}



/* &defuse-instanceof/li1979 */
	obj_t BGl_z62defusezd2instanceofzf2li1979z42zzliveness_livenessz00(obj_t
		BgL_envz00_4723, obj_t BgL_nz00_4724)
	{
		{	/* Liveness/liveness.scm 601 */
			{	/* Liveness/liveness.scm 603 */
				obj_t BgL_val0_1699z00_5389;
				obj_t BgL_val1_1700z00_5390;

				{
					BgL_instanceofzf2livenesszf2_bglt BgL_auxz00_9631;

					{
						obj_t BgL_auxz00_9632;

						{	/* Liveness/liveness.scm 603 */
							BgL_objectz00_bglt BgL_tmpz00_9633;

							BgL_tmpz00_9633 =
								((BgL_objectz00_bglt) ((BgL_instanceofz00_bglt) BgL_nz00_4724));
							BgL_auxz00_9632 = BGL_OBJECT_WIDENING(BgL_tmpz00_9633);
						}
						BgL_auxz00_9631 =
							((BgL_instanceofzf2livenesszf2_bglt) BgL_auxz00_9632);
					}
					BgL_val0_1699z00_5389 =
						(((BgL_instanceofzf2livenesszf2_bglt) COBJECT(BgL_auxz00_9631))->
						BgL_defz00);
				}
				{
					BgL_instanceofzf2livenesszf2_bglt BgL_auxz00_9639;

					{
						obj_t BgL_auxz00_9640;

						{	/* Liveness/liveness.scm 603 */
							BgL_objectz00_bglt BgL_tmpz00_9641;

							BgL_tmpz00_9641 =
								((BgL_objectz00_bglt) ((BgL_instanceofz00_bglt) BgL_nz00_4724));
							BgL_auxz00_9640 = BGL_OBJECT_WIDENING(BgL_tmpz00_9641);
						}
						BgL_auxz00_9639 =
							((BgL_instanceofzf2livenesszf2_bglt) BgL_auxz00_9640);
					}
					BgL_val1_1700z00_5390 =
						(((BgL_instanceofzf2livenesszf2_bglt) COBJECT(BgL_auxz00_9639))->
						BgL_usez00);
				}
				{	/* Liveness/liveness.scm 603 */
					int BgL_tmpz00_9647;

					BgL_tmpz00_9647 = (int) (2L);
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_9647);
				}
				{	/* Liveness/liveness.scm 603 */
					int BgL_tmpz00_9650;

					BgL_tmpz00_9650 = (int) (1L);
					BGL_MVALUES_VAL_SET(BgL_tmpz00_9650, BgL_val1_1700z00_5390);
				}
				return BgL_val0_1699z00_5389;
			}
		}

	}



/* &defuse-instanceof1977 */
	obj_t BGl_z62defusezd2instanceof1977zb0zzliveness_livenessz00(obj_t
		BgL_envz00_4725, obj_t BgL_nz00_4726)
	{
		{	/* Liveness/liveness.scm 592 */
			{	/* Liveness/liveness.scm 594 */
				obj_t BgL_defz00_5392;

				{	/* Liveness/liveness.scm 595 */
					obj_t BgL_arg2313z00_5393;

					BgL_arg2313z00_5393 =
						(((BgL_externz00_bglt) COBJECT(
								((BgL_externz00_bglt)
									((BgL_instanceofz00_bglt) BgL_nz00_4726))))->BgL_exprza2za2);
					BgL_defz00_5392 =
						BGl_defuseza2za2zzliveness_livenessz00(BgL_arg2313z00_5393, BNIL,
						BNIL);
				}
				{	/* Liveness/liveness.scm 595 */
					obj_t BgL_usez00_5394;

					{	/* Liveness/liveness.scm 596 */
						obj_t BgL_tmpz00_5395;

						{	/* Liveness/liveness.scm 596 */
							int BgL_tmpz00_9657;

							BgL_tmpz00_9657 = (int) (1L);
							BgL_tmpz00_5395 = BGL_MVALUES_VAL(BgL_tmpz00_9657);
						}
						{	/* Liveness/liveness.scm 596 */
							int BgL_tmpz00_9660;

							BgL_tmpz00_9660 = (int) (1L);
							BGL_MVALUES_VAL_SET(BgL_tmpz00_9660, BUNSPEC);
						}
						BgL_usez00_5394 = BgL_tmpz00_5395;
					}
					{	/* Liveness/liveness.scm 597 */
						BgL_instanceofz00_bglt BgL_arg2309z00_5396;

						{	/* Liveness/liveness.scm 597 */
							BgL_instanceofzf2livenesszf2_bglt BgL_wide1292z00_5397;

							BgL_wide1292z00_5397 =
								((BgL_instanceofzf2livenesszf2_bglt)
								BOBJECT(GC_MALLOC(sizeof(struct
											BgL_instanceofzf2livenesszf2_bgl))));
							{	/* Liveness/liveness.scm 597 */
								obj_t BgL_auxz00_9668;
								BgL_objectz00_bglt BgL_tmpz00_9664;

								BgL_auxz00_9668 = ((obj_t) BgL_wide1292z00_5397);
								BgL_tmpz00_9664 =
									((BgL_objectz00_bglt)
									((BgL_instanceofz00_bglt)
										((BgL_instanceofz00_bglt) BgL_nz00_4726)));
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_9664, BgL_auxz00_9668);
							}
							((BgL_objectz00_bglt)
								((BgL_instanceofz00_bglt)
									((BgL_instanceofz00_bglt) BgL_nz00_4726)));
							{	/* Liveness/liveness.scm 597 */
								long BgL_arg2311z00_5398;

								BgL_arg2311z00_5398 =
									BGL_CLASS_NUM
									(BGl_instanceofzf2livenesszf2zzliveness_typesz00);
								BGL_OBJECT_CLASS_NUM_SET(((BgL_objectz00_bglt) (
											(BgL_instanceofz00_bglt) ((BgL_instanceofz00_bglt)
												BgL_nz00_4726))), BgL_arg2311z00_5398);
							}
							((BgL_instanceofz00_bglt)
								((BgL_instanceofz00_bglt)
									((BgL_instanceofz00_bglt) BgL_nz00_4726)));
						}
						{
							BgL_instanceofzf2livenesszf2_bglt BgL_auxz00_9682;

							{
								obj_t BgL_auxz00_9683;

								{	/* Liveness/liveness.scm 598 */
									BgL_objectz00_bglt BgL_tmpz00_9684;

									BgL_tmpz00_9684 =
										((BgL_objectz00_bglt)
										((BgL_instanceofz00_bglt)
											((BgL_instanceofz00_bglt) BgL_nz00_4726)));
									BgL_auxz00_9683 = BGL_OBJECT_WIDENING(BgL_tmpz00_9684);
								}
								BgL_auxz00_9682 =
									((BgL_instanceofzf2livenesszf2_bglt) BgL_auxz00_9683);
							}
							((((BgL_instanceofzf2livenesszf2_bglt) COBJECT(BgL_auxz00_9682))->
									BgL_defz00) = ((obj_t) BgL_defz00_5392), BUNSPEC);
						}
						{
							BgL_instanceofzf2livenesszf2_bglt BgL_auxz00_9691;

							{
								obj_t BgL_auxz00_9692;

								{	/* Liveness/liveness.scm 599 */
									BgL_objectz00_bglt BgL_tmpz00_9693;

									BgL_tmpz00_9693 =
										((BgL_objectz00_bglt)
										((BgL_instanceofz00_bglt)
											((BgL_instanceofz00_bglt) BgL_nz00_4726)));
									BgL_auxz00_9692 = BGL_OBJECT_WIDENING(BgL_tmpz00_9693);
								}
								BgL_auxz00_9691 =
									((BgL_instanceofzf2livenesszf2_bglt) BgL_auxz00_9692);
							}
							((((BgL_instanceofzf2livenesszf2_bglt) COBJECT(BgL_auxz00_9691))->
									BgL_usez00) = ((obj_t) BgL_usez00_5394), BUNSPEC);
						}
						{
							BgL_instanceofzf2livenesszf2_bglt BgL_auxz00_9700;

							{
								obj_t BgL_auxz00_9701;

								{	/* Liveness/liveness.scm 595 */
									BgL_objectz00_bglt BgL_tmpz00_9702;

									BgL_tmpz00_9702 =
										((BgL_objectz00_bglt)
										((BgL_instanceofz00_bglt)
											((BgL_instanceofz00_bglt) BgL_nz00_4726)));
									BgL_auxz00_9701 = BGL_OBJECT_WIDENING(BgL_tmpz00_9702);
								}
								BgL_auxz00_9700 =
									((BgL_instanceofzf2livenesszf2_bglt) BgL_auxz00_9701);
							}
							((((BgL_instanceofzf2livenesszf2_bglt) COBJECT(BgL_auxz00_9700))->
									BgL_inz00) = ((obj_t) BNIL), BUNSPEC);
						}
						{
							BgL_instanceofzf2livenesszf2_bglt BgL_auxz00_9709;

							{
								obj_t BgL_auxz00_9710;

								{	/* Liveness/liveness.scm 595 */
									BgL_objectz00_bglt BgL_tmpz00_9711;

									BgL_tmpz00_9711 =
										((BgL_objectz00_bglt)
										((BgL_instanceofz00_bglt)
											((BgL_instanceofz00_bglt) BgL_nz00_4726)));
									BgL_auxz00_9710 = BGL_OBJECT_WIDENING(BgL_tmpz00_9711);
								}
								BgL_auxz00_9709 =
									((BgL_instanceofzf2livenesszf2_bglt) BgL_auxz00_9710);
							}
							((((BgL_instanceofzf2livenesszf2_bglt) COBJECT(BgL_auxz00_9709))->
									BgL_outz00) = ((obj_t) BNIL), BUNSPEC);
						}
						BgL_arg2309z00_5396 =
							((BgL_instanceofz00_bglt)
							((BgL_instanceofz00_bglt) BgL_nz00_4726));
						return
							BGl_defusez00zzliveness_livenessz00(
							((BgL_nodez00_bglt) BgL_arg2309z00_5396));
					}
				}
			}
		}

	}



/* &inout-vlength/livene1975 */
	obj_t BGl_z62inoutzd2vlengthzf2livene1975z42zzliveness_livenessz00(obj_t
		BgL_envz00_4727, obj_t BgL_nz00_4728)
	{
		{	/* Liveness/liveness.scm 585 */
			{	/* Liveness/liveness.scm 587 */
				obj_t BgL_val0_1697z00_5400;
				obj_t BgL_val1_1698z00_5401;

				{
					BgL_vlengthzf2livenesszf2_bglt BgL_auxz00_9722;

					{
						obj_t BgL_auxz00_9723;

						{	/* Liveness/liveness.scm 587 */
							BgL_objectz00_bglt BgL_tmpz00_9724;

							BgL_tmpz00_9724 =
								((BgL_objectz00_bglt) ((BgL_vlengthz00_bglt) BgL_nz00_4728));
							BgL_auxz00_9723 = BGL_OBJECT_WIDENING(BgL_tmpz00_9724);
						}
						BgL_auxz00_9722 =
							((BgL_vlengthzf2livenesszf2_bglt) BgL_auxz00_9723);
					}
					BgL_val0_1697z00_5400 =
						(((BgL_vlengthzf2livenesszf2_bglt) COBJECT(BgL_auxz00_9722))->
						BgL_inz00);
				}
				{
					BgL_vlengthzf2livenesszf2_bglt BgL_auxz00_9730;

					{
						obj_t BgL_auxz00_9731;

						{	/* Liveness/liveness.scm 587 */
							BgL_objectz00_bglt BgL_tmpz00_9732;

							BgL_tmpz00_9732 =
								((BgL_objectz00_bglt) ((BgL_vlengthz00_bglt) BgL_nz00_4728));
							BgL_auxz00_9731 = BGL_OBJECT_WIDENING(BgL_tmpz00_9732);
						}
						BgL_auxz00_9730 =
							((BgL_vlengthzf2livenesszf2_bglt) BgL_auxz00_9731);
					}
					BgL_val1_1698z00_5401 =
						(((BgL_vlengthzf2livenesszf2_bglt) COBJECT(BgL_auxz00_9730))->
						BgL_outz00);
				}
				{	/* Liveness/liveness.scm 587 */
					int BgL_tmpz00_9738;

					BgL_tmpz00_9738 = (int) (2L);
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_9738);
				}
				{	/* Liveness/liveness.scm 587 */
					int BgL_tmpz00_9741;

					BgL_tmpz00_9741 = (int) (1L);
					BGL_MVALUES_VAL_SET(BgL_tmpz00_9741, BgL_val1_1698z00_5401);
				}
				return BgL_val0_1697z00_5400;
			}
		}

	}



/* &inout!-vlength/liven1973 */
	obj_t BGl_z62inoutz12zd2vlengthzf2liven1973z50zzliveness_livenessz00(obj_t
		BgL_envz00_4729, obj_t BgL_nz00_4730, obj_t BgL_oz00_4731)
	{
		{	/* Liveness/liveness.scm 578 */
			{
				BgL_vlengthzf2livenesszf2_bglt BgL_auxz00_9744;

				{
					obj_t BgL_auxz00_9745;

					{	/* Liveness/liveness.scm 580 */
						BgL_objectz00_bglt BgL_tmpz00_9746;

						BgL_tmpz00_9746 =
							((BgL_objectz00_bglt) ((BgL_vlengthz00_bglt) BgL_nz00_4730));
						BgL_auxz00_9745 = BGL_OBJECT_WIDENING(BgL_tmpz00_9746);
					}
					BgL_auxz00_9744 = ((BgL_vlengthzf2livenesszf2_bglt) BgL_auxz00_9745);
				}
				((((BgL_vlengthzf2livenesszf2_bglt) COBJECT(BgL_auxz00_9744))->
						BgL_outz00) = ((obj_t) BgL_oz00_4731), BUNSPEC);
			}
			{
				obj_t BgL_auxz00_9759;
				BgL_vlengthzf2livenesszf2_bglt BgL_auxz00_9752;

				{	/* Liveness/liveness.scm 581 */
					obj_t BgL_arg2301z00_5403;
					obj_t BgL_arg2302z00_5404;

					{
						BgL_vlengthzf2livenesszf2_bglt BgL_auxz00_9760;

						{
							obj_t BgL_auxz00_9761;

							{	/* Liveness/liveness.scm 581 */
								BgL_objectz00_bglt BgL_tmpz00_9762;

								BgL_tmpz00_9762 =
									((BgL_objectz00_bglt) ((BgL_vlengthz00_bglt) BgL_nz00_4730));
								BgL_auxz00_9761 = BGL_OBJECT_WIDENING(BgL_tmpz00_9762);
							}
							BgL_auxz00_9760 =
								((BgL_vlengthzf2livenesszf2_bglt) BgL_auxz00_9761);
						}
						BgL_arg2301z00_5403 =
							(((BgL_vlengthzf2livenesszf2_bglt) COBJECT(BgL_auxz00_9760))->
							BgL_usez00);
					}
					{	/* Liveness/liveness.scm 581 */
						obj_t BgL_arg2303z00_5405;
						obj_t BgL_arg2305z00_5406;

						{
							BgL_vlengthzf2livenesszf2_bglt BgL_auxz00_9768;

							{
								obj_t BgL_auxz00_9769;

								{	/* Liveness/liveness.scm 581 */
									BgL_objectz00_bglt BgL_tmpz00_9770;

									BgL_tmpz00_9770 =
										((BgL_objectz00_bglt)
										((BgL_vlengthz00_bglt) BgL_nz00_4730));
									BgL_auxz00_9769 = BGL_OBJECT_WIDENING(BgL_tmpz00_9770);
								}
								BgL_auxz00_9768 =
									((BgL_vlengthzf2livenesszf2_bglt) BgL_auxz00_9769);
							}
							BgL_arg2303z00_5405 =
								(((BgL_vlengthzf2livenesszf2_bglt) COBJECT(BgL_auxz00_9768))->
								BgL_outz00);
						}
						{
							BgL_vlengthzf2livenesszf2_bglt BgL_auxz00_9776;

							{
								obj_t BgL_auxz00_9777;

								{	/* Liveness/liveness.scm 581 */
									BgL_objectz00_bglt BgL_tmpz00_9778;

									BgL_tmpz00_9778 =
										((BgL_objectz00_bglt)
										((BgL_vlengthz00_bglt) BgL_nz00_4730));
									BgL_auxz00_9777 = BGL_OBJECT_WIDENING(BgL_tmpz00_9778);
								}
								BgL_auxz00_9776 =
									((BgL_vlengthzf2livenesszf2_bglt) BgL_auxz00_9777);
							}
							BgL_arg2305z00_5406 =
								(((BgL_vlengthzf2livenesszf2_bglt) COBJECT(BgL_auxz00_9776))->
								BgL_defz00);
						}
						BgL_arg2302z00_5404 =
							BGl_disjonctionz00zzliveness_setz00(BgL_arg2303z00_5405,
							BgL_arg2305z00_5406);
					}
					BgL_auxz00_9759 =
						BGl_unionz00zzliveness_setz00(BgL_arg2301z00_5403,
						BgL_arg2302z00_5404);
				}
				{
					obj_t BgL_auxz00_9753;

					{	/* Liveness/liveness.scm 581 */
						BgL_objectz00_bglt BgL_tmpz00_9754;

						BgL_tmpz00_9754 =
							((BgL_objectz00_bglt) ((BgL_vlengthz00_bglt) BgL_nz00_4730));
						BgL_auxz00_9753 = BGL_OBJECT_WIDENING(BgL_tmpz00_9754);
					}
					BgL_auxz00_9752 = ((BgL_vlengthzf2livenesszf2_bglt) BgL_auxz00_9753);
				}
				((((BgL_vlengthzf2livenesszf2_bglt) COBJECT(BgL_auxz00_9752))->
						BgL_inz00) = ((obj_t) BgL_auxz00_9759), BUNSPEC);
			}
			{	/* Liveness/liveness.scm 582 */
				obj_t BgL_g1694z00_5407;

				BgL_g1694z00_5407 =
					(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt)
								((BgL_vlengthz00_bglt) BgL_nz00_4730))))->BgL_exprza2za2);
				{
					obj_t BgL_l1692z00_5409;

					BgL_l1692z00_5409 = BgL_g1694z00_5407;
				BgL_zc3z04anonymousza32306ze3z87_5408:
					if (PAIRP(BgL_l1692z00_5409))
						{	/* Liveness/liveness.scm 582 */
							{	/* Liveness/liveness.scm 582 */
								obj_t BgL_ez00_5410;

								BgL_ez00_5410 = CAR(BgL_l1692z00_5409);
								BGl_inoutz12z12zzliveness_livenessz00(
									((BgL_nodez00_bglt) BgL_ez00_5410), BgL_oz00_4731);
							}
							{
								obj_t BgL_l1692z00_9795;

								BgL_l1692z00_9795 = CDR(BgL_l1692z00_5409);
								BgL_l1692z00_5409 = BgL_l1692z00_9795;
								goto BgL_zc3z04anonymousza32306ze3z87_5408;
							}
						}
					else
						{	/* Liveness/liveness.scm 582 */
							((bool_t) 1);
						}
				}
			}
			{	/* Liveness/liveness.scm 583 */
				obj_t BgL_val0_1695z00_5411;
				obj_t BgL_val1_1696z00_5412;

				{
					BgL_vlengthzf2livenesszf2_bglt BgL_auxz00_9797;

					{
						obj_t BgL_auxz00_9798;

						{	/* Liveness/liveness.scm 583 */
							BgL_objectz00_bglt BgL_tmpz00_9799;

							BgL_tmpz00_9799 =
								((BgL_objectz00_bglt) ((BgL_vlengthz00_bglt) BgL_nz00_4730));
							BgL_auxz00_9798 = BGL_OBJECT_WIDENING(BgL_tmpz00_9799);
						}
						BgL_auxz00_9797 =
							((BgL_vlengthzf2livenesszf2_bglt) BgL_auxz00_9798);
					}
					BgL_val0_1695z00_5411 =
						(((BgL_vlengthzf2livenesszf2_bglt) COBJECT(BgL_auxz00_9797))->
						BgL_inz00);
				}
				{
					BgL_vlengthzf2livenesszf2_bglt BgL_auxz00_9805;

					{
						obj_t BgL_auxz00_9806;

						{	/* Liveness/liveness.scm 583 */
							BgL_objectz00_bglt BgL_tmpz00_9807;

							BgL_tmpz00_9807 =
								((BgL_objectz00_bglt) ((BgL_vlengthz00_bglt) BgL_nz00_4730));
							BgL_auxz00_9806 = BGL_OBJECT_WIDENING(BgL_tmpz00_9807);
						}
						BgL_auxz00_9805 =
							((BgL_vlengthzf2livenesszf2_bglt) BgL_auxz00_9806);
					}
					BgL_val1_1696z00_5412 =
						(((BgL_vlengthzf2livenesszf2_bglt) COBJECT(BgL_auxz00_9805))->
						BgL_outz00);
				}
				{	/* Liveness/liveness.scm 583 */
					int BgL_tmpz00_9813;

					BgL_tmpz00_9813 = (int) (2L);
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_9813);
				}
				{	/* Liveness/liveness.scm 583 */
					int BgL_tmpz00_9816;

					BgL_tmpz00_9816 = (int) (1L);
					BGL_MVALUES_VAL_SET(BgL_tmpz00_9816, BgL_val1_1696z00_5412);
				}
				return BgL_val0_1695z00_5411;
			}
		}

	}



/* &defuse-vlength/liven1971 */
	obj_t BGl_z62defusezd2vlengthzf2liven1971z42zzliveness_livenessz00(obj_t
		BgL_envz00_4732, obj_t BgL_nz00_4733)
	{
		{	/* Liveness/liveness.scm 574 */
			{	/* Liveness/liveness.scm 576 */
				obj_t BgL_val0_1690z00_5414;
				obj_t BgL_val1_1691z00_5415;

				{
					BgL_vlengthzf2livenesszf2_bglt BgL_auxz00_9819;

					{
						obj_t BgL_auxz00_9820;

						{	/* Liveness/liveness.scm 576 */
							BgL_objectz00_bglt BgL_tmpz00_9821;

							BgL_tmpz00_9821 =
								((BgL_objectz00_bglt) ((BgL_vlengthz00_bglt) BgL_nz00_4733));
							BgL_auxz00_9820 = BGL_OBJECT_WIDENING(BgL_tmpz00_9821);
						}
						BgL_auxz00_9819 =
							((BgL_vlengthzf2livenesszf2_bglt) BgL_auxz00_9820);
					}
					BgL_val0_1690z00_5414 =
						(((BgL_vlengthzf2livenesszf2_bglt) COBJECT(BgL_auxz00_9819))->
						BgL_defz00);
				}
				{
					BgL_vlengthzf2livenesszf2_bglt BgL_auxz00_9827;

					{
						obj_t BgL_auxz00_9828;

						{	/* Liveness/liveness.scm 576 */
							BgL_objectz00_bglt BgL_tmpz00_9829;

							BgL_tmpz00_9829 =
								((BgL_objectz00_bglt) ((BgL_vlengthz00_bglt) BgL_nz00_4733));
							BgL_auxz00_9828 = BGL_OBJECT_WIDENING(BgL_tmpz00_9829);
						}
						BgL_auxz00_9827 =
							((BgL_vlengthzf2livenesszf2_bglt) BgL_auxz00_9828);
					}
					BgL_val1_1691z00_5415 =
						(((BgL_vlengthzf2livenesszf2_bglt) COBJECT(BgL_auxz00_9827))->
						BgL_usez00);
				}
				{	/* Liveness/liveness.scm 576 */
					int BgL_tmpz00_9835;

					BgL_tmpz00_9835 = (int) (2L);
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_9835);
				}
				{	/* Liveness/liveness.scm 576 */
					int BgL_tmpz00_9838;

					BgL_tmpz00_9838 = (int) (1L);
					BGL_MVALUES_VAL_SET(BgL_tmpz00_9838, BgL_val1_1691z00_5415);
				}
				return BgL_val0_1690z00_5414;
			}
		}

	}



/* &defuse-vlength1969 */
	obj_t BGl_z62defusezd2vlength1969zb0zzliveness_livenessz00(obj_t
		BgL_envz00_4734, obj_t BgL_nz00_4735)
	{
		{	/* Liveness/liveness.scm 565 */
			{	/* Liveness/liveness.scm 567 */
				obj_t BgL_defz00_5417;

				{	/* Liveness/liveness.scm 568 */
					obj_t BgL_arg2300z00_5418;

					BgL_arg2300z00_5418 =
						(((BgL_externz00_bglt) COBJECT(
								((BgL_externz00_bglt)
									((BgL_vlengthz00_bglt) BgL_nz00_4735))))->BgL_exprza2za2);
					BgL_defz00_5417 =
						BGl_defuseza2za2zzliveness_livenessz00(BgL_arg2300z00_5418, BNIL,
						BNIL);
				}
				{	/* Liveness/liveness.scm 568 */
					obj_t BgL_usez00_5419;

					{	/* Liveness/liveness.scm 569 */
						obj_t BgL_tmpz00_5420;

						{	/* Liveness/liveness.scm 569 */
							int BgL_tmpz00_9845;

							BgL_tmpz00_9845 = (int) (1L);
							BgL_tmpz00_5420 = BGL_MVALUES_VAL(BgL_tmpz00_9845);
						}
						{	/* Liveness/liveness.scm 569 */
							int BgL_tmpz00_9848;

							BgL_tmpz00_9848 = (int) (1L);
							BGL_MVALUES_VAL_SET(BgL_tmpz00_9848, BUNSPEC);
						}
						BgL_usez00_5419 = BgL_tmpz00_5420;
					}
					{	/* Liveness/liveness.scm 570 */
						BgL_vlengthz00_bglt BgL_arg2295z00_5421;

						{	/* Liveness/liveness.scm 570 */
							BgL_vlengthzf2livenesszf2_bglt BgL_wide1283z00_5422;

							BgL_wide1283z00_5422 =
								((BgL_vlengthzf2livenesszf2_bglt)
								BOBJECT(GC_MALLOC(sizeof(struct
											BgL_vlengthzf2livenesszf2_bgl))));
							{	/* Liveness/liveness.scm 570 */
								obj_t BgL_auxz00_9856;
								BgL_objectz00_bglt BgL_tmpz00_9852;

								BgL_auxz00_9856 = ((obj_t) BgL_wide1283z00_5422);
								BgL_tmpz00_9852 =
									((BgL_objectz00_bglt)
									((BgL_vlengthz00_bglt)
										((BgL_vlengthz00_bglt) BgL_nz00_4735)));
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_9852, BgL_auxz00_9856);
							}
							((BgL_objectz00_bglt)
								((BgL_vlengthz00_bglt) ((BgL_vlengthz00_bglt) BgL_nz00_4735)));
							{	/* Liveness/liveness.scm 570 */
								long BgL_arg2298z00_5423;

								BgL_arg2298z00_5423 =
									BGL_CLASS_NUM(BGl_vlengthzf2livenesszf2zzliveness_typesz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt)
										((BgL_vlengthz00_bglt)
											((BgL_vlengthz00_bglt) BgL_nz00_4735))),
									BgL_arg2298z00_5423);
							}
							((BgL_vlengthz00_bglt)
								((BgL_vlengthz00_bglt) ((BgL_vlengthz00_bglt) BgL_nz00_4735)));
						}
						{
							BgL_vlengthzf2livenesszf2_bglt BgL_auxz00_9870;

							{
								obj_t BgL_auxz00_9871;

								{	/* Liveness/liveness.scm 571 */
									BgL_objectz00_bglt BgL_tmpz00_9872;

									BgL_tmpz00_9872 =
										((BgL_objectz00_bglt)
										((BgL_vlengthz00_bglt)
											((BgL_vlengthz00_bglt) BgL_nz00_4735)));
									BgL_auxz00_9871 = BGL_OBJECT_WIDENING(BgL_tmpz00_9872);
								}
								BgL_auxz00_9870 =
									((BgL_vlengthzf2livenesszf2_bglt) BgL_auxz00_9871);
							}
							((((BgL_vlengthzf2livenesszf2_bglt) COBJECT(BgL_auxz00_9870))->
									BgL_defz00) = ((obj_t) BgL_defz00_5417), BUNSPEC);
						}
						{
							BgL_vlengthzf2livenesszf2_bglt BgL_auxz00_9879;

							{
								obj_t BgL_auxz00_9880;

								{	/* Liveness/liveness.scm 572 */
									BgL_objectz00_bglt BgL_tmpz00_9881;

									BgL_tmpz00_9881 =
										((BgL_objectz00_bglt)
										((BgL_vlengthz00_bglt)
											((BgL_vlengthz00_bglt) BgL_nz00_4735)));
									BgL_auxz00_9880 = BGL_OBJECT_WIDENING(BgL_tmpz00_9881);
								}
								BgL_auxz00_9879 =
									((BgL_vlengthzf2livenesszf2_bglt) BgL_auxz00_9880);
							}
							((((BgL_vlengthzf2livenesszf2_bglt) COBJECT(BgL_auxz00_9879))->
									BgL_usez00) = ((obj_t) BgL_usez00_5419), BUNSPEC);
						}
						{
							BgL_vlengthzf2livenesszf2_bglt BgL_auxz00_9888;

							{
								obj_t BgL_auxz00_9889;

								{	/* Liveness/liveness.scm 568 */
									BgL_objectz00_bglt BgL_tmpz00_9890;

									BgL_tmpz00_9890 =
										((BgL_objectz00_bglt)
										((BgL_vlengthz00_bglt)
											((BgL_vlengthz00_bglt) BgL_nz00_4735)));
									BgL_auxz00_9889 = BGL_OBJECT_WIDENING(BgL_tmpz00_9890);
								}
								BgL_auxz00_9888 =
									((BgL_vlengthzf2livenesszf2_bglt) BgL_auxz00_9889);
							}
							((((BgL_vlengthzf2livenesszf2_bglt) COBJECT(BgL_auxz00_9888))->
									BgL_inz00) = ((obj_t) BNIL), BUNSPEC);
						}
						{
							BgL_vlengthzf2livenesszf2_bglt BgL_auxz00_9897;

							{
								obj_t BgL_auxz00_9898;

								{	/* Liveness/liveness.scm 568 */
									BgL_objectz00_bglt BgL_tmpz00_9899;

									BgL_tmpz00_9899 =
										((BgL_objectz00_bglt)
										((BgL_vlengthz00_bglt)
											((BgL_vlengthz00_bglt) BgL_nz00_4735)));
									BgL_auxz00_9898 = BGL_OBJECT_WIDENING(BgL_tmpz00_9899);
								}
								BgL_auxz00_9897 =
									((BgL_vlengthzf2livenesszf2_bglt) BgL_auxz00_9898);
							}
							((((BgL_vlengthzf2livenesszf2_bglt) COBJECT(BgL_auxz00_9897))->
									BgL_outz00) = ((obj_t) BNIL), BUNSPEC);
						}
						BgL_arg2295z00_5421 =
							((BgL_vlengthz00_bglt) ((BgL_vlengthz00_bglt) BgL_nz00_4735));
						return
							BGl_defusez00zzliveness_livenessz00(
							((BgL_nodez00_bglt) BgL_arg2295z00_5421));
					}
				}
			}
		}

	}



/* &inout-vset!/liveness1967 */
	obj_t BGl_z62inoutzd2vsetz12zf2liveness1967z50zzliveness_livenessz00(obj_t
		BgL_envz00_4736, obj_t BgL_nz00_4737)
	{
		{	/* Liveness/liveness.scm 558 */
			{	/* Liveness/liveness.scm 560 */
				obj_t BgL_val0_1688z00_5425;
				obj_t BgL_val1_1689z00_5426;

				{
					BgL_vsetz12zf2livenessze0_bglt BgL_auxz00_9910;

					{
						obj_t BgL_auxz00_9911;

						{	/* Liveness/liveness.scm 560 */
							BgL_objectz00_bglt BgL_tmpz00_9912;

							BgL_tmpz00_9912 =
								((BgL_objectz00_bglt) ((BgL_vsetz12z12_bglt) BgL_nz00_4737));
							BgL_auxz00_9911 = BGL_OBJECT_WIDENING(BgL_tmpz00_9912);
						}
						BgL_auxz00_9910 =
							((BgL_vsetz12zf2livenessze0_bglt) BgL_auxz00_9911);
					}
					BgL_val0_1688z00_5425 =
						(((BgL_vsetz12zf2livenessze0_bglt) COBJECT(BgL_auxz00_9910))->
						BgL_inz00);
				}
				{
					BgL_vsetz12zf2livenessze0_bglt BgL_auxz00_9918;

					{
						obj_t BgL_auxz00_9919;

						{	/* Liveness/liveness.scm 560 */
							BgL_objectz00_bglt BgL_tmpz00_9920;

							BgL_tmpz00_9920 =
								((BgL_objectz00_bglt) ((BgL_vsetz12z12_bglt) BgL_nz00_4737));
							BgL_auxz00_9919 = BGL_OBJECT_WIDENING(BgL_tmpz00_9920);
						}
						BgL_auxz00_9918 =
							((BgL_vsetz12zf2livenessze0_bglt) BgL_auxz00_9919);
					}
					BgL_val1_1689z00_5426 =
						(((BgL_vsetz12zf2livenessze0_bglt) COBJECT(BgL_auxz00_9918))->
						BgL_outz00);
				}
				{	/* Liveness/liveness.scm 560 */
					int BgL_tmpz00_9926;

					BgL_tmpz00_9926 = (int) (2L);
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_9926);
				}
				{	/* Liveness/liveness.scm 560 */
					int BgL_tmpz00_9929;

					BgL_tmpz00_9929 = (int) (1L);
					BGL_MVALUES_VAL_SET(BgL_tmpz00_9929, BgL_val1_1689z00_5426);
				}
				return BgL_val0_1688z00_5425;
			}
		}

	}



/* &inout!-vset!/livenes1965 */
	obj_t BGl_z62inoutz12zd2vsetz12zf2livenes1965z42zzliveness_livenessz00(obj_t
		BgL_envz00_4738, obj_t BgL_nz00_4739, obj_t BgL_oz00_4740)
	{
		{	/* Liveness/liveness.scm 551 */
			{
				BgL_vsetz12zf2livenessze0_bglt BgL_auxz00_9932;

				{
					obj_t BgL_auxz00_9933;

					{	/* Liveness/liveness.scm 553 */
						BgL_objectz00_bglt BgL_tmpz00_9934;

						BgL_tmpz00_9934 =
							((BgL_objectz00_bglt) ((BgL_vsetz12z12_bglt) BgL_nz00_4739));
						BgL_auxz00_9933 = BGL_OBJECT_WIDENING(BgL_tmpz00_9934);
					}
					BgL_auxz00_9932 = ((BgL_vsetz12zf2livenessze0_bglt) BgL_auxz00_9933);
				}
				((((BgL_vsetz12zf2livenessze0_bglt) COBJECT(BgL_auxz00_9932))->
						BgL_outz00) = ((obj_t) BgL_oz00_4740), BUNSPEC);
			}
			{
				obj_t BgL_auxz00_9947;
				BgL_vsetz12zf2livenessze0_bglt BgL_auxz00_9940;

				{	/* Liveness/liveness.scm 554 */
					obj_t BgL_arg2287z00_5428;
					obj_t BgL_arg2288z00_5429;

					{
						BgL_vsetz12zf2livenessze0_bglt BgL_auxz00_9948;

						{
							obj_t BgL_auxz00_9949;

							{	/* Liveness/liveness.scm 554 */
								BgL_objectz00_bglt BgL_tmpz00_9950;

								BgL_tmpz00_9950 =
									((BgL_objectz00_bglt) ((BgL_vsetz12z12_bglt) BgL_nz00_4739));
								BgL_auxz00_9949 = BGL_OBJECT_WIDENING(BgL_tmpz00_9950);
							}
							BgL_auxz00_9948 =
								((BgL_vsetz12zf2livenessze0_bglt) BgL_auxz00_9949);
						}
						BgL_arg2287z00_5428 =
							(((BgL_vsetz12zf2livenessze0_bglt) COBJECT(BgL_auxz00_9948))->
							BgL_usez00);
					}
					{	/* Liveness/liveness.scm 554 */
						obj_t BgL_arg2289z00_5430;
						obj_t BgL_arg2291z00_5431;

						{
							BgL_vsetz12zf2livenessze0_bglt BgL_auxz00_9956;

							{
								obj_t BgL_auxz00_9957;

								{	/* Liveness/liveness.scm 554 */
									BgL_objectz00_bglt BgL_tmpz00_9958;

									BgL_tmpz00_9958 =
										((BgL_objectz00_bglt)
										((BgL_vsetz12z12_bglt) BgL_nz00_4739));
									BgL_auxz00_9957 = BGL_OBJECT_WIDENING(BgL_tmpz00_9958);
								}
								BgL_auxz00_9956 =
									((BgL_vsetz12zf2livenessze0_bglt) BgL_auxz00_9957);
							}
							BgL_arg2289z00_5430 =
								(((BgL_vsetz12zf2livenessze0_bglt) COBJECT(BgL_auxz00_9956))->
								BgL_outz00);
						}
						{
							BgL_vsetz12zf2livenessze0_bglt BgL_auxz00_9964;

							{
								obj_t BgL_auxz00_9965;

								{	/* Liveness/liveness.scm 554 */
									BgL_objectz00_bglt BgL_tmpz00_9966;

									BgL_tmpz00_9966 =
										((BgL_objectz00_bglt)
										((BgL_vsetz12z12_bglt) BgL_nz00_4739));
									BgL_auxz00_9965 = BGL_OBJECT_WIDENING(BgL_tmpz00_9966);
								}
								BgL_auxz00_9964 =
									((BgL_vsetz12zf2livenessze0_bglt) BgL_auxz00_9965);
							}
							BgL_arg2291z00_5431 =
								(((BgL_vsetz12zf2livenessze0_bglt) COBJECT(BgL_auxz00_9964))->
								BgL_defz00);
						}
						BgL_arg2288z00_5429 =
							BGl_disjonctionz00zzliveness_setz00(BgL_arg2289z00_5430,
							BgL_arg2291z00_5431);
					}
					BgL_auxz00_9947 =
						BGl_unionz00zzliveness_setz00(BgL_arg2287z00_5428,
						BgL_arg2288z00_5429);
				}
				{
					obj_t BgL_auxz00_9941;

					{	/* Liveness/liveness.scm 554 */
						BgL_objectz00_bglt BgL_tmpz00_9942;

						BgL_tmpz00_9942 =
							((BgL_objectz00_bglt) ((BgL_vsetz12z12_bglt) BgL_nz00_4739));
						BgL_auxz00_9941 = BGL_OBJECT_WIDENING(BgL_tmpz00_9942);
					}
					BgL_auxz00_9940 = ((BgL_vsetz12zf2livenessze0_bglt) BgL_auxz00_9941);
				}
				((((BgL_vsetz12zf2livenessze0_bglt) COBJECT(BgL_auxz00_9940))->
						BgL_inz00) = ((obj_t) BgL_auxz00_9947), BUNSPEC);
			}
			{	/* Liveness/liveness.scm 555 */
				obj_t BgL_g1685z00_5432;

				BgL_g1685z00_5432 =
					(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt)
								((BgL_vsetz12z12_bglt) BgL_nz00_4739))))->BgL_exprza2za2);
				{
					obj_t BgL_l1683z00_5434;

					BgL_l1683z00_5434 = BgL_g1685z00_5432;
				BgL_zc3z04anonymousza32292ze3z87_5433:
					if (PAIRP(BgL_l1683z00_5434))
						{	/* Liveness/liveness.scm 555 */
							{	/* Liveness/liveness.scm 555 */
								obj_t BgL_ez00_5435;

								BgL_ez00_5435 = CAR(BgL_l1683z00_5434);
								BGl_inoutz12z12zzliveness_livenessz00(
									((BgL_nodez00_bglt) BgL_ez00_5435), BgL_oz00_4740);
							}
							{
								obj_t BgL_l1683z00_9983;

								BgL_l1683z00_9983 = CDR(BgL_l1683z00_5434);
								BgL_l1683z00_5434 = BgL_l1683z00_9983;
								goto BgL_zc3z04anonymousza32292ze3z87_5433;
							}
						}
					else
						{	/* Liveness/liveness.scm 555 */
							((bool_t) 1);
						}
				}
			}
			{	/* Liveness/liveness.scm 556 */
				obj_t BgL_val0_1686z00_5436;
				obj_t BgL_val1_1687z00_5437;

				{
					BgL_vsetz12zf2livenessze0_bglt BgL_auxz00_9985;

					{
						obj_t BgL_auxz00_9986;

						{	/* Liveness/liveness.scm 556 */
							BgL_objectz00_bglt BgL_tmpz00_9987;

							BgL_tmpz00_9987 =
								((BgL_objectz00_bglt) ((BgL_vsetz12z12_bglt) BgL_nz00_4739));
							BgL_auxz00_9986 = BGL_OBJECT_WIDENING(BgL_tmpz00_9987);
						}
						BgL_auxz00_9985 =
							((BgL_vsetz12zf2livenessze0_bglt) BgL_auxz00_9986);
					}
					BgL_val0_1686z00_5436 =
						(((BgL_vsetz12zf2livenessze0_bglt) COBJECT(BgL_auxz00_9985))->
						BgL_inz00);
				}
				{
					BgL_vsetz12zf2livenessze0_bglt BgL_auxz00_9993;

					{
						obj_t BgL_auxz00_9994;

						{	/* Liveness/liveness.scm 556 */
							BgL_objectz00_bglt BgL_tmpz00_9995;

							BgL_tmpz00_9995 =
								((BgL_objectz00_bglt) ((BgL_vsetz12z12_bglt) BgL_nz00_4739));
							BgL_auxz00_9994 = BGL_OBJECT_WIDENING(BgL_tmpz00_9995);
						}
						BgL_auxz00_9993 =
							((BgL_vsetz12zf2livenessze0_bglt) BgL_auxz00_9994);
					}
					BgL_val1_1687z00_5437 =
						(((BgL_vsetz12zf2livenessze0_bglt) COBJECT(BgL_auxz00_9993))->
						BgL_outz00);
				}
				{	/* Liveness/liveness.scm 556 */
					int BgL_tmpz00_10001;

					BgL_tmpz00_10001 = (int) (2L);
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_10001);
				}
				{	/* Liveness/liveness.scm 556 */
					int BgL_tmpz00_10004;

					BgL_tmpz00_10004 = (int) (1L);
					BGL_MVALUES_VAL_SET(BgL_tmpz00_10004, BgL_val1_1687z00_5437);
				}
				return BgL_val0_1686z00_5436;
			}
		}

	}



/* &defuse-vset!/livenes1963 */
	obj_t BGl_z62defusezd2vsetz12zf2livenes1963z50zzliveness_livenessz00(obj_t
		BgL_envz00_4741, obj_t BgL_nz00_4742)
	{
		{	/* Liveness/liveness.scm 547 */
			{	/* Liveness/liveness.scm 549 */
				obj_t BgL_val0_1681z00_5439;
				obj_t BgL_val1_1682z00_5440;

				{
					BgL_vsetz12zf2livenessze0_bglt BgL_auxz00_10007;

					{
						obj_t BgL_auxz00_10008;

						{	/* Liveness/liveness.scm 549 */
							BgL_objectz00_bglt BgL_tmpz00_10009;

							BgL_tmpz00_10009 =
								((BgL_objectz00_bglt) ((BgL_vsetz12z12_bglt) BgL_nz00_4742));
							BgL_auxz00_10008 = BGL_OBJECT_WIDENING(BgL_tmpz00_10009);
						}
						BgL_auxz00_10007 =
							((BgL_vsetz12zf2livenessze0_bglt) BgL_auxz00_10008);
					}
					BgL_val0_1681z00_5439 =
						(((BgL_vsetz12zf2livenessze0_bglt) COBJECT(BgL_auxz00_10007))->
						BgL_defz00);
				}
				{
					BgL_vsetz12zf2livenessze0_bglt BgL_auxz00_10015;

					{
						obj_t BgL_auxz00_10016;

						{	/* Liveness/liveness.scm 549 */
							BgL_objectz00_bglt BgL_tmpz00_10017;

							BgL_tmpz00_10017 =
								((BgL_objectz00_bglt) ((BgL_vsetz12z12_bglt) BgL_nz00_4742));
							BgL_auxz00_10016 = BGL_OBJECT_WIDENING(BgL_tmpz00_10017);
						}
						BgL_auxz00_10015 =
							((BgL_vsetz12zf2livenessze0_bglt) BgL_auxz00_10016);
					}
					BgL_val1_1682z00_5440 =
						(((BgL_vsetz12zf2livenessze0_bglt) COBJECT(BgL_auxz00_10015))->
						BgL_usez00);
				}
				{	/* Liveness/liveness.scm 549 */
					int BgL_tmpz00_10023;

					BgL_tmpz00_10023 = (int) (2L);
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_10023);
				}
				{	/* Liveness/liveness.scm 549 */
					int BgL_tmpz00_10026;

					BgL_tmpz00_10026 = (int) (1L);
					BGL_MVALUES_VAL_SET(BgL_tmpz00_10026, BgL_val1_1682z00_5440);
				}
				return BgL_val0_1681z00_5439;
			}
		}

	}



/* &defuse-vset!1961 */
	obj_t BGl_z62defusezd2vsetz121961za2zzliveness_livenessz00(obj_t
		BgL_envz00_4743, obj_t BgL_nz00_4744)
	{
		{	/* Liveness/liveness.scm 538 */
			{	/* Liveness/liveness.scm 540 */
				obj_t BgL_defz00_5442;

				{	/* Liveness/liveness.scm 541 */
					obj_t BgL_arg2286z00_5443;

					BgL_arg2286z00_5443 =
						(((BgL_externz00_bglt) COBJECT(
								((BgL_externz00_bglt)
									((BgL_vsetz12z12_bglt) BgL_nz00_4744))))->BgL_exprza2za2);
					BgL_defz00_5442 =
						BGl_defuseza2za2zzliveness_livenessz00(BgL_arg2286z00_5443, BNIL,
						BNIL);
				}
				{	/* Liveness/liveness.scm 541 */
					obj_t BgL_usez00_5444;

					{	/* Liveness/liveness.scm 542 */
						obj_t BgL_tmpz00_5445;

						{	/* Liveness/liveness.scm 542 */
							int BgL_tmpz00_10033;

							BgL_tmpz00_10033 = (int) (1L);
							BgL_tmpz00_5445 = BGL_MVALUES_VAL(BgL_tmpz00_10033);
						}
						{	/* Liveness/liveness.scm 542 */
							int BgL_tmpz00_10036;

							BgL_tmpz00_10036 = (int) (1L);
							BGL_MVALUES_VAL_SET(BgL_tmpz00_10036, BUNSPEC);
						}
						BgL_usez00_5444 = BgL_tmpz00_5445;
					}
					{	/* Liveness/liveness.scm 543 */
						BgL_vsetz12z12_bglt BgL_arg2284z00_5446;

						{	/* Liveness/liveness.scm 543 */
							BgL_vsetz12zf2livenessze0_bglt BgL_wide1275z00_5447;

							BgL_wide1275z00_5447 =
								((BgL_vsetz12zf2livenessze0_bglt)
								BOBJECT(GC_MALLOC(sizeof(struct
											BgL_vsetz12zf2livenessze0_bgl))));
							{	/* Liveness/liveness.scm 543 */
								obj_t BgL_auxz00_10044;
								BgL_objectz00_bglt BgL_tmpz00_10040;

								BgL_auxz00_10044 = ((obj_t) BgL_wide1275z00_5447);
								BgL_tmpz00_10040 =
									((BgL_objectz00_bglt)
									((BgL_vsetz12z12_bglt)
										((BgL_vsetz12z12_bglt) BgL_nz00_4744)));
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_10040, BgL_auxz00_10044);
							}
							((BgL_objectz00_bglt)
								((BgL_vsetz12z12_bglt) ((BgL_vsetz12z12_bglt) BgL_nz00_4744)));
							{	/* Liveness/liveness.scm 543 */
								long BgL_arg2285z00_5448;

								BgL_arg2285z00_5448 =
									BGL_CLASS_NUM(BGl_vsetz12zf2livenessze0zzliveness_typesz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt)
										((BgL_vsetz12z12_bglt)
											((BgL_vsetz12z12_bglt) BgL_nz00_4744))),
									BgL_arg2285z00_5448);
							}
							((BgL_vsetz12z12_bglt)
								((BgL_vsetz12z12_bglt) ((BgL_vsetz12z12_bglt) BgL_nz00_4744)));
						}
						{
							BgL_vsetz12zf2livenessze0_bglt BgL_auxz00_10058;

							{
								obj_t BgL_auxz00_10059;

								{	/* Liveness/liveness.scm 544 */
									BgL_objectz00_bglt BgL_tmpz00_10060;

									BgL_tmpz00_10060 =
										((BgL_objectz00_bglt)
										((BgL_vsetz12z12_bglt)
											((BgL_vsetz12z12_bglt) BgL_nz00_4744)));
									BgL_auxz00_10059 = BGL_OBJECT_WIDENING(BgL_tmpz00_10060);
								}
								BgL_auxz00_10058 =
									((BgL_vsetz12zf2livenessze0_bglt) BgL_auxz00_10059);
							}
							((((BgL_vsetz12zf2livenessze0_bglt) COBJECT(BgL_auxz00_10058))->
									BgL_defz00) = ((obj_t) BgL_defz00_5442), BUNSPEC);
						}
						{
							BgL_vsetz12zf2livenessze0_bglt BgL_auxz00_10067;

							{
								obj_t BgL_auxz00_10068;

								{	/* Liveness/liveness.scm 545 */
									BgL_objectz00_bglt BgL_tmpz00_10069;

									BgL_tmpz00_10069 =
										((BgL_objectz00_bglt)
										((BgL_vsetz12z12_bglt)
											((BgL_vsetz12z12_bglt) BgL_nz00_4744)));
									BgL_auxz00_10068 = BGL_OBJECT_WIDENING(BgL_tmpz00_10069);
								}
								BgL_auxz00_10067 =
									((BgL_vsetz12zf2livenessze0_bglt) BgL_auxz00_10068);
							}
							((((BgL_vsetz12zf2livenessze0_bglt) COBJECT(BgL_auxz00_10067))->
									BgL_usez00) = ((obj_t) BgL_usez00_5444), BUNSPEC);
						}
						{
							BgL_vsetz12zf2livenessze0_bglt BgL_auxz00_10076;

							{
								obj_t BgL_auxz00_10077;

								{	/* Liveness/liveness.scm 541 */
									BgL_objectz00_bglt BgL_tmpz00_10078;

									BgL_tmpz00_10078 =
										((BgL_objectz00_bglt)
										((BgL_vsetz12z12_bglt)
											((BgL_vsetz12z12_bglt) BgL_nz00_4744)));
									BgL_auxz00_10077 = BGL_OBJECT_WIDENING(BgL_tmpz00_10078);
								}
								BgL_auxz00_10076 =
									((BgL_vsetz12zf2livenessze0_bglt) BgL_auxz00_10077);
							}
							((((BgL_vsetz12zf2livenessze0_bglt) COBJECT(BgL_auxz00_10076))->
									BgL_inz00) = ((obj_t) BNIL), BUNSPEC);
						}
						{
							BgL_vsetz12zf2livenessze0_bglt BgL_auxz00_10085;

							{
								obj_t BgL_auxz00_10086;

								{	/* Liveness/liveness.scm 541 */
									BgL_objectz00_bglt BgL_tmpz00_10087;

									BgL_tmpz00_10087 =
										((BgL_objectz00_bglt)
										((BgL_vsetz12z12_bglt)
											((BgL_vsetz12z12_bglt) BgL_nz00_4744)));
									BgL_auxz00_10086 = BGL_OBJECT_WIDENING(BgL_tmpz00_10087);
								}
								BgL_auxz00_10085 =
									((BgL_vsetz12zf2livenessze0_bglt) BgL_auxz00_10086);
							}
							((((BgL_vsetz12zf2livenessze0_bglt) COBJECT(BgL_auxz00_10085))->
									BgL_outz00) = ((obj_t) BNIL), BUNSPEC);
						}
						BgL_arg2284z00_5446 =
							((BgL_vsetz12z12_bglt) ((BgL_vsetz12z12_bglt) BgL_nz00_4744));
						return
							BGl_defusez00zzliveness_livenessz00(
							((BgL_nodez00_bglt) BgL_arg2284z00_5446));
					}
				}
			}
		}

	}



/* &inout-vref/liveness1959 */
	obj_t BGl_z62inoutzd2vrefzf2liveness1959z42zzliveness_livenessz00(obj_t
		BgL_envz00_4745, obj_t BgL_nz00_4746)
	{
		{	/* Liveness/liveness.scm 531 */
			{	/* Liveness/liveness.scm 533 */
				obj_t BgL_val0_1679z00_5450;
				obj_t BgL_val1_1680z00_5451;

				{
					BgL_vrefzf2livenesszf2_bglt BgL_auxz00_10098;

					{
						obj_t BgL_auxz00_10099;

						{	/* Liveness/liveness.scm 533 */
							BgL_objectz00_bglt BgL_tmpz00_10100;

							BgL_tmpz00_10100 =
								((BgL_objectz00_bglt) ((BgL_vrefz00_bglt) BgL_nz00_4746));
							BgL_auxz00_10099 = BGL_OBJECT_WIDENING(BgL_tmpz00_10100);
						}
						BgL_auxz00_10098 = ((BgL_vrefzf2livenesszf2_bglt) BgL_auxz00_10099);
					}
					BgL_val0_1679z00_5450 =
						(((BgL_vrefzf2livenesszf2_bglt) COBJECT(BgL_auxz00_10098))->
						BgL_inz00);
				}
				{
					BgL_vrefzf2livenesszf2_bglt BgL_auxz00_10106;

					{
						obj_t BgL_auxz00_10107;

						{	/* Liveness/liveness.scm 533 */
							BgL_objectz00_bglt BgL_tmpz00_10108;

							BgL_tmpz00_10108 =
								((BgL_objectz00_bglt) ((BgL_vrefz00_bglt) BgL_nz00_4746));
							BgL_auxz00_10107 = BGL_OBJECT_WIDENING(BgL_tmpz00_10108);
						}
						BgL_auxz00_10106 = ((BgL_vrefzf2livenesszf2_bglt) BgL_auxz00_10107);
					}
					BgL_val1_1680z00_5451 =
						(((BgL_vrefzf2livenesszf2_bglt) COBJECT(BgL_auxz00_10106))->
						BgL_outz00);
				}
				{	/* Liveness/liveness.scm 533 */
					int BgL_tmpz00_10114;

					BgL_tmpz00_10114 = (int) (2L);
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_10114);
				}
				{	/* Liveness/liveness.scm 533 */
					int BgL_tmpz00_10117;

					BgL_tmpz00_10117 = (int) (1L);
					BGL_MVALUES_VAL_SET(BgL_tmpz00_10117, BgL_val1_1680z00_5451);
				}
				return BgL_val0_1679z00_5450;
			}
		}

	}



/* &inout!-vref/liveness1957 */
	obj_t BGl_z62inoutz12zd2vrefzf2liveness1957z50zzliveness_livenessz00(obj_t
		BgL_envz00_4747, obj_t BgL_nz00_4748, obj_t BgL_oz00_4749)
	{
		{	/* Liveness/liveness.scm 524 */
			{
				BgL_vrefzf2livenesszf2_bglt BgL_auxz00_10120;

				{
					obj_t BgL_auxz00_10121;

					{	/* Liveness/liveness.scm 526 */
						BgL_objectz00_bglt BgL_tmpz00_10122;

						BgL_tmpz00_10122 =
							((BgL_objectz00_bglt) ((BgL_vrefz00_bglt) BgL_nz00_4748));
						BgL_auxz00_10121 = BGL_OBJECT_WIDENING(BgL_tmpz00_10122);
					}
					BgL_auxz00_10120 = ((BgL_vrefzf2livenesszf2_bglt) BgL_auxz00_10121);
				}
				((((BgL_vrefzf2livenesszf2_bglt) COBJECT(BgL_auxz00_10120))->
						BgL_outz00) = ((obj_t) BgL_oz00_4749), BUNSPEC);
			}
			{
				obj_t BgL_auxz00_10135;
				BgL_vrefzf2livenesszf2_bglt BgL_auxz00_10128;

				{	/* Liveness/liveness.scm 527 */
					obj_t BgL_arg2276z00_5453;
					obj_t BgL_arg2277z00_5454;

					{
						BgL_vrefzf2livenesszf2_bglt BgL_auxz00_10136;

						{
							obj_t BgL_auxz00_10137;

							{	/* Liveness/liveness.scm 527 */
								BgL_objectz00_bglt BgL_tmpz00_10138;

								BgL_tmpz00_10138 =
									((BgL_objectz00_bglt) ((BgL_vrefz00_bglt) BgL_nz00_4748));
								BgL_auxz00_10137 = BGL_OBJECT_WIDENING(BgL_tmpz00_10138);
							}
							BgL_auxz00_10136 =
								((BgL_vrefzf2livenesszf2_bglt) BgL_auxz00_10137);
						}
						BgL_arg2276z00_5453 =
							(((BgL_vrefzf2livenesszf2_bglt) COBJECT(BgL_auxz00_10136))->
							BgL_usez00);
					}
					{	/* Liveness/liveness.scm 527 */
						obj_t BgL_arg2279z00_5455;
						obj_t BgL_arg2280z00_5456;

						{
							BgL_vrefzf2livenesszf2_bglt BgL_auxz00_10144;

							{
								obj_t BgL_auxz00_10145;

								{	/* Liveness/liveness.scm 527 */
									BgL_objectz00_bglt BgL_tmpz00_10146;

									BgL_tmpz00_10146 =
										((BgL_objectz00_bglt) ((BgL_vrefz00_bglt) BgL_nz00_4748));
									BgL_auxz00_10145 = BGL_OBJECT_WIDENING(BgL_tmpz00_10146);
								}
								BgL_auxz00_10144 =
									((BgL_vrefzf2livenesszf2_bglt) BgL_auxz00_10145);
							}
							BgL_arg2279z00_5455 =
								(((BgL_vrefzf2livenesszf2_bglt) COBJECT(BgL_auxz00_10144))->
								BgL_outz00);
						}
						{
							BgL_vrefzf2livenesszf2_bglt BgL_auxz00_10152;

							{
								obj_t BgL_auxz00_10153;

								{	/* Liveness/liveness.scm 527 */
									BgL_objectz00_bglt BgL_tmpz00_10154;

									BgL_tmpz00_10154 =
										((BgL_objectz00_bglt) ((BgL_vrefz00_bglt) BgL_nz00_4748));
									BgL_auxz00_10153 = BGL_OBJECT_WIDENING(BgL_tmpz00_10154);
								}
								BgL_auxz00_10152 =
									((BgL_vrefzf2livenesszf2_bglt) BgL_auxz00_10153);
							}
							BgL_arg2280z00_5456 =
								(((BgL_vrefzf2livenesszf2_bglt) COBJECT(BgL_auxz00_10152))->
								BgL_defz00);
						}
						BgL_arg2277z00_5454 =
							BGl_disjonctionz00zzliveness_setz00(BgL_arg2279z00_5455,
							BgL_arg2280z00_5456);
					}
					BgL_auxz00_10135 =
						BGl_unionz00zzliveness_setz00(BgL_arg2276z00_5453,
						BgL_arg2277z00_5454);
				}
				{
					obj_t BgL_auxz00_10129;

					{	/* Liveness/liveness.scm 527 */
						BgL_objectz00_bglt BgL_tmpz00_10130;

						BgL_tmpz00_10130 =
							((BgL_objectz00_bglt) ((BgL_vrefz00_bglt) BgL_nz00_4748));
						BgL_auxz00_10129 = BGL_OBJECT_WIDENING(BgL_tmpz00_10130);
					}
					BgL_auxz00_10128 = ((BgL_vrefzf2livenesszf2_bglt) BgL_auxz00_10129);
				}
				((((BgL_vrefzf2livenesszf2_bglt) COBJECT(BgL_auxz00_10128))->
						BgL_inz00) = ((obj_t) BgL_auxz00_10135), BUNSPEC);
			}
			{	/* Liveness/liveness.scm 528 */
				obj_t BgL_g1676z00_5457;

				BgL_g1676z00_5457 =
					(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt)
								((BgL_vrefz00_bglt) BgL_nz00_4748))))->BgL_exprza2za2);
				{
					obj_t BgL_l1674z00_5459;

					BgL_l1674z00_5459 = BgL_g1676z00_5457;
				BgL_zc3z04anonymousza32281ze3z87_5458:
					if (PAIRP(BgL_l1674z00_5459))
						{	/* Liveness/liveness.scm 528 */
							{	/* Liveness/liveness.scm 528 */
								obj_t BgL_ez00_5460;

								BgL_ez00_5460 = CAR(BgL_l1674z00_5459);
								BGl_inoutz12z12zzliveness_livenessz00(
									((BgL_nodez00_bglt) BgL_ez00_5460), BgL_oz00_4749);
							}
							{
								obj_t BgL_l1674z00_10171;

								BgL_l1674z00_10171 = CDR(BgL_l1674z00_5459);
								BgL_l1674z00_5459 = BgL_l1674z00_10171;
								goto BgL_zc3z04anonymousza32281ze3z87_5458;
							}
						}
					else
						{	/* Liveness/liveness.scm 528 */
							((bool_t) 1);
						}
				}
			}
			{	/* Liveness/liveness.scm 529 */
				obj_t BgL_val0_1677z00_5461;
				obj_t BgL_val1_1678z00_5462;

				{
					BgL_vrefzf2livenesszf2_bglt BgL_auxz00_10173;

					{
						obj_t BgL_auxz00_10174;

						{	/* Liveness/liveness.scm 529 */
							BgL_objectz00_bglt BgL_tmpz00_10175;

							BgL_tmpz00_10175 =
								((BgL_objectz00_bglt) ((BgL_vrefz00_bglt) BgL_nz00_4748));
							BgL_auxz00_10174 = BGL_OBJECT_WIDENING(BgL_tmpz00_10175);
						}
						BgL_auxz00_10173 = ((BgL_vrefzf2livenesszf2_bglt) BgL_auxz00_10174);
					}
					BgL_val0_1677z00_5461 =
						(((BgL_vrefzf2livenesszf2_bglt) COBJECT(BgL_auxz00_10173))->
						BgL_inz00);
				}
				{
					BgL_vrefzf2livenesszf2_bglt BgL_auxz00_10181;

					{
						obj_t BgL_auxz00_10182;

						{	/* Liveness/liveness.scm 529 */
							BgL_objectz00_bglt BgL_tmpz00_10183;

							BgL_tmpz00_10183 =
								((BgL_objectz00_bglt) ((BgL_vrefz00_bglt) BgL_nz00_4748));
							BgL_auxz00_10182 = BGL_OBJECT_WIDENING(BgL_tmpz00_10183);
						}
						BgL_auxz00_10181 = ((BgL_vrefzf2livenesszf2_bglt) BgL_auxz00_10182);
					}
					BgL_val1_1678z00_5462 =
						(((BgL_vrefzf2livenesszf2_bglt) COBJECT(BgL_auxz00_10181))->
						BgL_outz00);
				}
				{	/* Liveness/liveness.scm 529 */
					int BgL_tmpz00_10189;

					BgL_tmpz00_10189 = (int) (2L);
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_10189);
				}
				{	/* Liveness/liveness.scm 529 */
					int BgL_tmpz00_10192;

					BgL_tmpz00_10192 = (int) (1L);
					BGL_MVALUES_VAL_SET(BgL_tmpz00_10192, BgL_val1_1678z00_5462);
				}
				return BgL_val0_1677z00_5461;
			}
		}

	}



/* &defuse-vref/liveness1955 */
	obj_t BGl_z62defusezd2vrefzf2liveness1955z42zzliveness_livenessz00(obj_t
		BgL_envz00_4750, obj_t BgL_nz00_4751)
	{
		{	/* Liveness/liveness.scm 520 */
			{	/* Liveness/liveness.scm 522 */
				obj_t BgL_val0_1672z00_5464;
				obj_t BgL_val1_1673z00_5465;

				{
					BgL_vrefzf2livenesszf2_bglt BgL_auxz00_10195;

					{
						obj_t BgL_auxz00_10196;

						{	/* Liveness/liveness.scm 522 */
							BgL_objectz00_bglt BgL_tmpz00_10197;

							BgL_tmpz00_10197 =
								((BgL_objectz00_bglt) ((BgL_vrefz00_bglt) BgL_nz00_4751));
							BgL_auxz00_10196 = BGL_OBJECT_WIDENING(BgL_tmpz00_10197);
						}
						BgL_auxz00_10195 = ((BgL_vrefzf2livenesszf2_bglt) BgL_auxz00_10196);
					}
					BgL_val0_1672z00_5464 =
						(((BgL_vrefzf2livenesszf2_bglt) COBJECT(BgL_auxz00_10195))->
						BgL_defz00);
				}
				{
					BgL_vrefzf2livenesszf2_bglt BgL_auxz00_10203;

					{
						obj_t BgL_auxz00_10204;

						{	/* Liveness/liveness.scm 522 */
							BgL_objectz00_bglt BgL_tmpz00_10205;

							BgL_tmpz00_10205 =
								((BgL_objectz00_bglt) ((BgL_vrefz00_bglt) BgL_nz00_4751));
							BgL_auxz00_10204 = BGL_OBJECT_WIDENING(BgL_tmpz00_10205);
						}
						BgL_auxz00_10203 = ((BgL_vrefzf2livenesszf2_bglt) BgL_auxz00_10204);
					}
					BgL_val1_1673z00_5465 =
						(((BgL_vrefzf2livenesszf2_bglt) COBJECT(BgL_auxz00_10203))->
						BgL_usez00);
				}
				{	/* Liveness/liveness.scm 522 */
					int BgL_tmpz00_10211;

					BgL_tmpz00_10211 = (int) (2L);
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_10211);
				}
				{	/* Liveness/liveness.scm 522 */
					int BgL_tmpz00_10214;

					BgL_tmpz00_10214 = (int) (1L);
					BGL_MVALUES_VAL_SET(BgL_tmpz00_10214, BgL_val1_1673z00_5465);
				}
				return BgL_val0_1672z00_5464;
			}
		}

	}



/* &defuse-vref1953 */
	obj_t BGl_z62defusezd2vref1953zb0zzliveness_livenessz00(obj_t BgL_envz00_4752,
		obj_t BgL_nz00_4753)
	{
		{	/* Liveness/liveness.scm 511 */
			{	/* Liveness/liveness.scm 513 */
				obj_t BgL_defz00_5467;

				{	/* Liveness/liveness.scm 514 */
					obj_t BgL_arg2275z00_5468;

					BgL_arg2275z00_5468 =
						(((BgL_externz00_bglt) COBJECT(
								((BgL_externz00_bglt)
									((BgL_vrefz00_bglt) BgL_nz00_4753))))->BgL_exprza2za2);
					BgL_defz00_5467 =
						BGl_defuseza2za2zzliveness_livenessz00(BgL_arg2275z00_5468, BNIL,
						BNIL);
				}
				{	/* Liveness/liveness.scm 514 */
					obj_t BgL_usez00_5469;

					{	/* Liveness/liveness.scm 515 */
						obj_t BgL_tmpz00_5470;

						{	/* Liveness/liveness.scm 515 */
							int BgL_tmpz00_10221;

							BgL_tmpz00_10221 = (int) (1L);
							BgL_tmpz00_5470 = BGL_MVALUES_VAL(BgL_tmpz00_10221);
						}
						{	/* Liveness/liveness.scm 515 */
							int BgL_tmpz00_10224;

							BgL_tmpz00_10224 = (int) (1L);
							BGL_MVALUES_VAL_SET(BgL_tmpz00_10224, BUNSPEC);
						}
						BgL_usez00_5469 = BgL_tmpz00_5470;
					}
					{	/* Liveness/liveness.scm 516 */
						BgL_vrefz00_bglt BgL_arg2273z00_5471;

						{	/* Liveness/liveness.scm 516 */
							BgL_vrefzf2livenesszf2_bglt BgL_wide1266z00_5472;

							BgL_wide1266z00_5472 =
								((BgL_vrefzf2livenesszf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_vrefzf2livenesszf2_bgl))));
							{	/* Liveness/liveness.scm 516 */
								obj_t BgL_auxz00_10232;
								BgL_objectz00_bglt BgL_tmpz00_10228;

								BgL_auxz00_10232 = ((obj_t) BgL_wide1266z00_5472);
								BgL_tmpz00_10228 =
									((BgL_objectz00_bglt)
									((BgL_vrefz00_bglt) ((BgL_vrefz00_bglt) BgL_nz00_4753)));
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_10228, BgL_auxz00_10232);
							}
							((BgL_objectz00_bglt)
								((BgL_vrefz00_bglt) ((BgL_vrefz00_bglt) BgL_nz00_4753)));
							{	/* Liveness/liveness.scm 516 */
								long BgL_arg2274z00_5473;

								BgL_arg2274z00_5473 =
									BGL_CLASS_NUM(BGl_vrefzf2livenesszf2zzliveness_typesz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt)
										((BgL_vrefz00_bglt)
											((BgL_vrefz00_bglt) BgL_nz00_4753))),
									BgL_arg2274z00_5473);
							}
							((BgL_vrefz00_bglt)
								((BgL_vrefz00_bglt) ((BgL_vrefz00_bglt) BgL_nz00_4753)));
						}
						{
							BgL_vrefzf2livenesszf2_bglt BgL_auxz00_10246;

							{
								obj_t BgL_auxz00_10247;

								{	/* Liveness/liveness.scm 517 */
									BgL_objectz00_bglt BgL_tmpz00_10248;

									BgL_tmpz00_10248 =
										((BgL_objectz00_bglt)
										((BgL_vrefz00_bglt) ((BgL_vrefz00_bglt) BgL_nz00_4753)));
									BgL_auxz00_10247 = BGL_OBJECT_WIDENING(BgL_tmpz00_10248);
								}
								BgL_auxz00_10246 =
									((BgL_vrefzf2livenesszf2_bglt) BgL_auxz00_10247);
							}
							((((BgL_vrefzf2livenesszf2_bglt) COBJECT(BgL_auxz00_10246))->
									BgL_defz00) = ((obj_t) BgL_defz00_5467), BUNSPEC);
						}
						{
							BgL_vrefzf2livenesszf2_bglt BgL_auxz00_10255;

							{
								obj_t BgL_auxz00_10256;

								{	/* Liveness/liveness.scm 518 */
									BgL_objectz00_bglt BgL_tmpz00_10257;

									BgL_tmpz00_10257 =
										((BgL_objectz00_bglt)
										((BgL_vrefz00_bglt) ((BgL_vrefz00_bglt) BgL_nz00_4753)));
									BgL_auxz00_10256 = BGL_OBJECT_WIDENING(BgL_tmpz00_10257);
								}
								BgL_auxz00_10255 =
									((BgL_vrefzf2livenesszf2_bglt) BgL_auxz00_10256);
							}
							((((BgL_vrefzf2livenesszf2_bglt) COBJECT(BgL_auxz00_10255))->
									BgL_usez00) = ((obj_t) BgL_usez00_5469), BUNSPEC);
						}
						{
							BgL_vrefzf2livenesszf2_bglt BgL_auxz00_10264;

							{
								obj_t BgL_auxz00_10265;

								{	/* Liveness/liveness.scm 514 */
									BgL_objectz00_bglt BgL_tmpz00_10266;

									BgL_tmpz00_10266 =
										((BgL_objectz00_bglt)
										((BgL_vrefz00_bglt) ((BgL_vrefz00_bglt) BgL_nz00_4753)));
									BgL_auxz00_10265 = BGL_OBJECT_WIDENING(BgL_tmpz00_10266);
								}
								BgL_auxz00_10264 =
									((BgL_vrefzf2livenesszf2_bglt) BgL_auxz00_10265);
							}
							((((BgL_vrefzf2livenesszf2_bglt) COBJECT(BgL_auxz00_10264))->
									BgL_inz00) = ((obj_t) BNIL), BUNSPEC);
						}
						{
							BgL_vrefzf2livenesszf2_bglt BgL_auxz00_10273;

							{
								obj_t BgL_auxz00_10274;

								{	/* Liveness/liveness.scm 514 */
									BgL_objectz00_bglt BgL_tmpz00_10275;

									BgL_tmpz00_10275 =
										((BgL_objectz00_bglt)
										((BgL_vrefz00_bglt) ((BgL_vrefz00_bglt) BgL_nz00_4753)));
									BgL_auxz00_10274 = BGL_OBJECT_WIDENING(BgL_tmpz00_10275);
								}
								BgL_auxz00_10273 =
									((BgL_vrefzf2livenesszf2_bglt) BgL_auxz00_10274);
							}
							((((BgL_vrefzf2livenesszf2_bglt) COBJECT(BgL_auxz00_10273))->
									BgL_outz00) = ((obj_t) BNIL), BUNSPEC);
						}
						BgL_arg2273z00_5471 =
							((BgL_vrefz00_bglt) ((BgL_vrefz00_bglt) BgL_nz00_4753));
						return
							BGl_defusez00zzliveness_livenessz00(
							((BgL_nodez00_bglt) BgL_arg2273z00_5471));
					}
				}
			}
		}

	}



/* &inout-valloc/livenes1951 */
	obj_t BGl_z62inoutzd2valloczf2livenes1951z42zzliveness_livenessz00(obj_t
		BgL_envz00_4754, obj_t BgL_nz00_4755)
	{
		{	/* Liveness/liveness.scm 504 */
			{	/* Liveness/liveness.scm 506 */
				obj_t BgL_val0_1670z00_5475;
				obj_t BgL_val1_1671z00_5476;

				{
					BgL_valloczf2livenesszf2_bglt BgL_auxz00_10286;

					{
						obj_t BgL_auxz00_10287;

						{	/* Liveness/liveness.scm 506 */
							BgL_objectz00_bglt BgL_tmpz00_10288;

							BgL_tmpz00_10288 =
								((BgL_objectz00_bglt) ((BgL_vallocz00_bglt) BgL_nz00_4755));
							BgL_auxz00_10287 = BGL_OBJECT_WIDENING(BgL_tmpz00_10288);
						}
						BgL_auxz00_10286 =
							((BgL_valloczf2livenesszf2_bglt) BgL_auxz00_10287);
					}
					BgL_val0_1670z00_5475 =
						(((BgL_valloczf2livenesszf2_bglt) COBJECT(BgL_auxz00_10286))->
						BgL_inz00);
				}
				{
					BgL_valloczf2livenesszf2_bglt BgL_auxz00_10294;

					{
						obj_t BgL_auxz00_10295;

						{	/* Liveness/liveness.scm 506 */
							BgL_objectz00_bglt BgL_tmpz00_10296;

							BgL_tmpz00_10296 =
								((BgL_objectz00_bglt) ((BgL_vallocz00_bglt) BgL_nz00_4755));
							BgL_auxz00_10295 = BGL_OBJECT_WIDENING(BgL_tmpz00_10296);
						}
						BgL_auxz00_10294 =
							((BgL_valloczf2livenesszf2_bglt) BgL_auxz00_10295);
					}
					BgL_val1_1671z00_5476 =
						(((BgL_valloczf2livenesszf2_bglt) COBJECT(BgL_auxz00_10294))->
						BgL_outz00);
				}
				{	/* Liveness/liveness.scm 506 */
					int BgL_tmpz00_10302;

					BgL_tmpz00_10302 = (int) (2L);
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_10302);
				}
				{	/* Liveness/liveness.scm 506 */
					int BgL_tmpz00_10305;

					BgL_tmpz00_10305 = (int) (1L);
					BGL_MVALUES_VAL_SET(BgL_tmpz00_10305, BgL_val1_1671z00_5476);
				}
				return BgL_val0_1670z00_5475;
			}
		}

	}



/* &inout!-valloc/livene1949 */
	obj_t BGl_z62inoutz12zd2valloczf2livene1949z50zzliveness_livenessz00(obj_t
		BgL_envz00_4756, obj_t BgL_nz00_4757, obj_t BgL_oz00_4758)
	{
		{	/* Liveness/liveness.scm 497 */
			{
				BgL_valloczf2livenesszf2_bglt BgL_auxz00_10308;

				{
					obj_t BgL_auxz00_10309;

					{	/* Liveness/liveness.scm 499 */
						BgL_objectz00_bglt BgL_tmpz00_10310;

						BgL_tmpz00_10310 =
							((BgL_objectz00_bglt) ((BgL_vallocz00_bglt) BgL_nz00_4757));
						BgL_auxz00_10309 = BGL_OBJECT_WIDENING(BgL_tmpz00_10310);
					}
					BgL_auxz00_10308 = ((BgL_valloczf2livenesszf2_bglt) BgL_auxz00_10309);
				}
				((((BgL_valloczf2livenesszf2_bglt) COBJECT(BgL_auxz00_10308))->
						BgL_outz00) = ((obj_t) BgL_oz00_4758), BUNSPEC);
			}
			{
				obj_t BgL_auxz00_10323;
				BgL_valloczf2livenesszf2_bglt BgL_auxz00_10316;

				{	/* Liveness/liveness.scm 500 */
					obj_t BgL_arg2266z00_5478;
					obj_t BgL_arg2267z00_5479;

					{
						BgL_valloczf2livenesszf2_bglt BgL_auxz00_10324;

						{
							obj_t BgL_auxz00_10325;

							{	/* Liveness/liveness.scm 500 */
								BgL_objectz00_bglt BgL_tmpz00_10326;

								BgL_tmpz00_10326 =
									((BgL_objectz00_bglt) ((BgL_vallocz00_bglt) BgL_nz00_4757));
								BgL_auxz00_10325 = BGL_OBJECT_WIDENING(BgL_tmpz00_10326);
							}
							BgL_auxz00_10324 =
								((BgL_valloczf2livenesszf2_bglt) BgL_auxz00_10325);
						}
						BgL_arg2266z00_5478 =
							(((BgL_valloczf2livenesszf2_bglt) COBJECT(BgL_auxz00_10324))->
							BgL_usez00);
					}
					{	/* Liveness/liveness.scm 500 */
						obj_t BgL_arg2268z00_5480;
						obj_t BgL_arg2269z00_5481;

						{
							BgL_valloczf2livenesszf2_bglt BgL_auxz00_10332;

							{
								obj_t BgL_auxz00_10333;

								{	/* Liveness/liveness.scm 500 */
									BgL_objectz00_bglt BgL_tmpz00_10334;

									BgL_tmpz00_10334 =
										((BgL_objectz00_bglt) ((BgL_vallocz00_bglt) BgL_nz00_4757));
									BgL_auxz00_10333 = BGL_OBJECT_WIDENING(BgL_tmpz00_10334);
								}
								BgL_auxz00_10332 =
									((BgL_valloczf2livenesszf2_bglt) BgL_auxz00_10333);
							}
							BgL_arg2268z00_5480 =
								(((BgL_valloczf2livenesszf2_bglt) COBJECT(BgL_auxz00_10332))->
								BgL_outz00);
						}
						{
							BgL_valloczf2livenesszf2_bglt BgL_auxz00_10340;

							{
								obj_t BgL_auxz00_10341;

								{	/* Liveness/liveness.scm 500 */
									BgL_objectz00_bglt BgL_tmpz00_10342;

									BgL_tmpz00_10342 =
										((BgL_objectz00_bglt) ((BgL_vallocz00_bglt) BgL_nz00_4757));
									BgL_auxz00_10341 = BGL_OBJECT_WIDENING(BgL_tmpz00_10342);
								}
								BgL_auxz00_10340 =
									((BgL_valloczf2livenesszf2_bglt) BgL_auxz00_10341);
							}
							BgL_arg2269z00_5481 =
								(((BgL_valloczf2livenesszf2_bglt) COBJECT(BgL_auxz00_10340))->
								BgL_defz00);
						}
						BgL_arg2267z00_5479 =
							BGl_disjonctionz00zzliveness_setz00(BgL_arg2268z00_5480,
							BgL_arg2269z00_5481);
					}
					BgL_auxz00_10323 =
						BGl_unionz00zzliveness_setz00(BgL_arg2266z00_5478,
						BgL_arg2267z00_5479);
				}
				{
					obj_t BgL_auxz00_10317;

					{	/* Liveness/liveness.scm 500 */
						BgL_objectz00_bglt BgL_tmpz00_10318;

						BgL_tmpz00_10318 =
							((BgL_objectz00_bglt) ((BgL_vallocz00_bglt) BgL_nz00_4757));
						BgL_auxz00_10317 = BGL_OBJECT_WIDENING(BgL_tmpz00_10318);
					}
					BgL_auxz00_10316 = ((BgL_valloczf2livenesszf2_bglt) BgL_auxz00_10317);
				}
				((((BgL_valloczf2livenesszf2_bglt) COBJECT(BgL_auxz00_10316))->
						BgL_inz00) = ((obj_t) BgL_auxz00_10323), BUNSPEC);
			}
			{	/* Liveness/liveness.scm 501 */
				obj_t BgL_g1667z00_5482;

				BgL_g1667z00_5482 =
					(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt)
								((BgL_vallocz00_bglt) BgL_nz00_4757))))->BgL_exprza2za2);
				{
					obj_t BgL_l1665z00_5484;

					BgL_l1665z00_5484 = BgL_g1667z00_5482;
				BgL_zc3z04anonymousza32270ze3z87_5483:
					if (PAIRP(BgL_l1665z00_5484))
						{	/* Liveness/liveness.scm 501 */
							{	/* Liveness/liveness.scm 501 */
								obj_t BgL_ez00_5485;

								BgL_ez00_5485 = CAR(BgL_l1665z00_5484);
								BGl_inoutz12z12zzliveness_livenessz00(
									((BgL_nodez00_bglt) BgL_ez00_5485), BgL_oz00_4758);
							}
							{
								obj_t BgL_l1665z00_10359;

								BgL_l1665z00_10359 = CDR(BgL_l1665z00_5484);
								BgL_l1665z00_5484 = BgL_l1665z00_10359;
								goto BgL_zc3z04anonymousza32270ze3z87_5483;
							}
						}
					else
						{	/* Liveness/liveness.scm 501 */
							((bool_t) 1);
						}
				}
			}
			{	/* Liveness/liveness.scm 502 */
				obj_t BgL_val0_1668z00_5486;
				obj_t BgL_val1_1669z00_5487;

				{
					BgL_valloczf2livenesszf2_bglt BgL_auxz00_10361;

					{
						obj_t BgL_auxz00_10362;

						{	/* Liveness/liveness.scm 502 */
							BgL_objectz00_bglt BgL_tmpz00_10363;

							BgL_tmpz00_10363 =
								((BgL_objectz00_bglt) ((BgL_vallocz00_bglt) BgL_nz00_4757));
							BgL_auxz00_10362 = BGL_OBJECT_WIDENING(BgL_tmpz00_10363);
						}
						BgL_auxz00_10361 =
							((BgL_valloczf2livenesszf2_bglt) BgL_auxz00_10362);
					}
					BgL_val0_1668z00_5486 =
						(((BgL_valloczf2livenesszf2_bglt) COBJECT(BgL_auxz00_10361))->
						BgL_inz00);
				}
				{
					BgL_valloczf2livenesszf2_bglt BgL_auxz00_10369;

					{
						obj_t BgL_auxz00_10370;

						{	/* Liveness/liveness.scm 502 */
							BgL_objectz00_bglt BgL_tmpz00_10371;

							BgL_tmpz00_10371 =
								((BgL_objectz00_bglt) ((BgL_vallocz00_bglt) BgL_nz00_4757));
							BgL_auxz00_10370 = BGL_OBJECT_WIDENING(BgL_tmpz00_10371);
						}
						BgL_auxz00_10369 =
							((BgL_valloczf2livenesszf2_bglt) BgL_auxz00_10370);
					}
					BgL_val1_1669z00_5487 =
						(((BgL_valloczf2livenesszf2_bglt) COBJECT(BgL_auxz00_10369))->
						BgL_outz00);
				}
				{	/* Liveness/liveness.scm 502 */
					int BgL_tmpz00_10377;

					BgL_tmpz00_10377 = (int) (2L);
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_10377);
				}
				{	/* Liveness/liveness.scm 502 */
					int BgL_tmpz00_10380;

					BgL_tmpz00_10380 = (int) (1L);
					BGL_MVALUES_VAL_SET(BgL_tmpz00_10380, BgL_val1_1669z00_5487);
				}
				return BgL_val0_1668z00_5486;
			}
		}

	}



/* &defuse-valloc/livene1947 */
	obj_t BGl_z62defusezd2valloczf2livene1947z42zzliveness_livenessz00(obj_t
		BgL_envz00_4759, obj_t BgL_nz00_4760)
	{
		{	/* Liveness/liveness.scm 493 */
			{	/* Liveness/liveness.scm 495 */
				obj_t BgL_val0_1663z00_5489;
				obj_t BgL_val1_1664z00_5490;

				{
					BgL_valloczf2livenesszf2_bglt BgL_auxz00_10383;

					{
						obj_t BgL_auxz00_10384;

						{	/* Liveness/liveness.scm 495 */
							BgL_objectz00_bglt BgL_tmpz00_10385;

							BgL_tmpz00_10385 =
								((BgL_objectz00_bglt) ((BgL_vallocz00_bglt) BgL_nz00_4760));
							BgL_auxz00_10384 = BGL_OBJECT_WIDENING(BgL_tmpz00_10385);
						}
						BgL_auxz00_10383 =
							((BgL_valloczf2livenesszf2_bglt) BgL_auxz00_10384);
					}
					BgL_val0_1663z00_5489 =
						(((BgL_valloczf2livenesszf2_bglt) COBJECT(BgL_auxz00_10383))->
						BgL_defz00);
				}
				{
					BgL_valloczf2livenesszf2_bglt BgL_auxz00_10391;

					{
						obj_t BgL_auxz00_10392;

						{	/* Liveness/liveness.scm 495 */
							BgL_objectz00_bglt BgL_tmpz00_10393;

							BgL_tmpz00_10393 =
								((BgL_objectz00_bglt) ((BgL_vallocz00_bglt) BgL_nz00_4760));
							BgL_auxz00_10392 = BGL_OBJECT_WIDENING(BgL_tmpz00_10393);
						}
						BgL_auxz00_10391 =
							((BgL_valloczf2livenesszf2_bglt) BgL_auxz00_10392);
					}
					BgL_val1_1664z00_5490 =
						(((BgL_valloczf2livenesszf2_bglt) COBJECT(BgL_auxz00_10391))->
						BgL_usez00);
				}
				{	/* Liveness/liveness.scm 495 */
					int BgL_tmpz00_10399;

					BgL_tmpz00_10399 = (int) (2L);
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_10399);
				}
				{	/* Liveness/liveness.scm 495 */
					int BgL_tmpz00_10402;

					BgL_tmpz00_10402 = (int) (1L);
					BGL_MVALUES_VAL_SET(BgL_tmpz00_10402, BgL_val1_1664z00_5490);
				}
				return BgL_val0_1663z00_5489;
			}
		}

	}



/* &defuse-valloc1945 */
	obj_t BGl_z62defusezd2valloc1945zb0zzliveness_livenessz00(obj_t
		BgL_envz00_4761, obj_t BgL_nz00_4762)
	{
		{	/* Liveness/liveness.scm 484 */
			{	/* Liveness/liveness.scm 486 */
				obj_t BgL_defz00_5492;

				{	/* Liveness/liveness.scm 487 */
					obj_t BgL_arg2265z00_5493;

					BgL_arg2265z00_5493 =
						(((BgL_externz00_bglt) COBJECT(
								((BgL_externz00_bglt)
									((BgL_vallocz00_bglt) BgL_nz00_4762))))->BgL_exprza2za2);
					BgL_defz00_5492 =
						BGl_defuseza2za2zzliveness_livenessz00(BgL_arg2265z00_5493, BNIL,
						BNIL);
				}
				{	/* Liveness/liveness.scm 487 */
					obj_t BgL_usez00_5494;

					{	/* Liveness/liveness.scm 488 */
						obj_t BgL_tmpz00_5495;

						{	/* Liveness/liveness.scm 488 */
							int BgL_tmpz00_10409;

							BgL_tmpz00_10409 = (int) (1L);
							BgL_tmpz00_5495 = BGL_MVALUES_VAL(BgL_tmpz00_10409);
						}
						{	/* Liveness/liveness.scm 488 */
							int BgL_tmpz00_10412;

							BgL_tmpz00_10412 = (int) (1L);
							BGL_MVALUES_VAL_SET(BgL_tmpz00_10412, BUNSPEC);
						}
						BgL_usez00_5494 = BgL_tmpz00_5495;
					}
					{	/* Liveness/liveness.scm 489 */
						BgL_vallocz00_bglt BgL_arg2263z00_5496;

						{	/* Liveness/liveness.scm 489 */
							BgL_valloczf2livenesszf2_bglt BgL_wide1258z00_5497;

							BgL_wide1258z00_5497 =
								((BgL_valloczf2livenesszf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_valloczf2livenesszf2_bgl))));
							{	/* Liveness/liveness.scm 489 */
								obj_t BgL_auxz00_10420;
								BgL_objectz00_bglt BgL_tmpz00_10416;

								BgL_auxz00_10420 = ((obj_t) BgL_wide1258z00_5497);
								BgL_tmpz00_10416 =
									((BgL_objectz00_bglt)
									((BgL_vallocz00_bglt) ((BgL_vallocz00_bglt) BgL_nz00_4762)));
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_10416, BgL_auxz00_10420);
							}
							((BgL_objectz00_bglt)
								((BgL_vallocz00_bglt) ((BgL_vallocz00_bglt) BgL_nz00_4762)));
							{	/* Liveness/liveness.scm 489 */
								long BgL_arg2264z00_5498;

								BgL_arg2264z00_5498 =
									BGL_CLASS_NUM(BGl_valloczf2livenesszf2zzliveness_typesz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt)
										((BgL_vallocz00_bglt)
											((BgL_vallocz00_bglt) BgL_nz00_4762))),
									BgL_arg2264z00_5498);
							}
							((BgL_vallocz00_bglt)
								((BgL_vallocz00_bglt) ((BgL_vallocz00_bglt) BgL_nz00_4762)));
						}
						{
							BgL_valloczf2livenesszf2_bglt BgL_auxz00_10434;

							{
								obj_t BgL_auxz00_10435;

								{	/* Liveness/liveness.scm 490 */
									BgL_objectz00_bglt BgL_tmpz00_10436;

									BgL_tmpz00_10436 =
										((BgL_objectz00_bglt)
										((BgL_vallocz00_bglt)
											((BgL_vallocz00_bglt) BgL_nz00_4762)));
									BgL_auxz00_10435 = BGL_OBJECT_WIDENING(BgL_tmpz00_10436);
								}
								BgL_auxz00_10434 =
									((BgL_valloczf2livenesszf2_bglt) BgL_auxz00_10435);
							}
							((((BgL_valloczf2livenesszf2_bglt) COBJECT(BgL_auxz00_10434))->
									BgL_defz00) = ((obj_t) BgL_defz00_5492), BUNSPEC);
						}
						{
							BgL_valloczf2livenesszf2_bglt BgL_auxz00_10443;

							{
								obj_t BgL_auxz00_10444;

								{	/* Liveness/liveness.scm 491 */
									BgL_objectz00_bglt BgL_tmpz00_10445;

									BgL_tmpz00_10445 =
										((BgL_objectz00_bglt)
										((BgL_vallocz00_bglt)
											((BgL_vallocz00_bglt) BgL_nz00_4762)));
									BgL_auxz00_10444 = BGL_OBJECT_WIDENING(BgL_tmpz00_10445);
								}
								BgL_auxz00_10443 =
									((BgL_valloczf2livenesszf2_bglt) BgL_auxz00_10444);
							}
							((((BgL_valloczf2livenesszf2_bglt) COBJECT(BgL_auxz00_10443))->
									BgL_usez00) = ((obj_t) BgL_usez00_5494), BUNSPEC);
						}
						{
							BgL_valloczf2livenesszf2_bglt BgL_auxz00_10452;

							{
								obj_t BgL_auxz00_10453;

								{	/* Liveness/liveness.scm 487 */
									BgL_objectz00_bglt BgL_tmpz00_10454;

									BgL_tmpz00_10454 =
										((BgL_objectz00_bglt)
										((BgL_vallocz00_bglt)
											((BgL_vallocz00_bglt) BgL_nz00_4762)));
									BgL_auxz00_10453 = BGL_OBJECT_WIDENING(BgL_tmpz00_10454);
								}
								BgL_auxz00_10452 =
									((BgL_valloczf2livenesszf2_bglt) BgL_auxz00_10453);
							}
							((((BgL_valloczf2livenesszf2_bglt) COBJECT(BgL_auxz00_10452))->
									BgL_inz00) = ((obj_t) BNIL), BUNSPEC);
						}
						{
							BgL_valloczf2livenesszf2_bglt BgL_auxz00_10461;

							{
								obj_t BgL_auxz00_10462;

								{	/* Liveness/liveness.scm 487 */
									BgL_objectz00_bglt BgL_tmpz00_10463;

									BgL_tmpz00_10463 =
										((BgL_objectz00_bglt)
										((BgL_vallocz00_bglt)
											((BgL_vallocz00_bglt) BgL_nz00_4762)));
									BgL_auxz00_10462 = BGL_OBJECT_WIDENING(BgL_tmpz00_10463);
								}
								BgL_auxz00_10461 =
									((BgL_valloczf2livenesszf2_bglt) BgL_auxz00_10462);
							}
							((((BgL_valloczf2livenesszf2_bglt) COBJECT(BgL_auxz00_10461))->
									BgL_outz00) = ((obj_t) BNIL), BUNSPEC);
						}
						BgL_arg2263z00_5496 =
							((BgL_vallocz00_bglt) ((BgL_vallocz00_bglt) BgL_nz00_4762));
						return
							BGl_defusez00zzliveness_livenessz00(
							((BgL_nodez00_bglt) BgL_arg2263z00_5496));
					}
				}
			}
		}

	}



/* &inout-new/liveness1943 */
	obj_t BGl_z62inoutzd2newzf2liveness1943z42zzliveness_livenessz00(obj_t
		BgL_envz00_4763, obj_t BgL_nz00_4764)
	{
		{	/* Liveness/liveness.scm 477 */
			{	/* Liveness/liveness.scm 479 */
				obj_t BgL_val0_1661z00_5500;
				obj_t BgL_val1_1662z00_5501;

				{
					BgL_newzf2livenesszf2_bglt BgL_auxz00_10474;

					{
						obj_t BgL_auxz00_10475;

						{	/* Liveness/liveness.scm 479 */
							BgL_objectz00_bglt BgL_tmpz00_10476;

							BgL_tmpz00_10476 =
								((BgL_objectz00_bglt) ((BgL_newz00_bglt) BgL_nz00_4764));
							BgL_auxz00_10475 = BGL_OBJECT_WIDENING(BgL_tmpz00_10476);
						}
						BgL_auxz00_10474 = ((BgL_newzf2livenesszf2_bglt) BgL_auxz00_10475);
					}
					BgL_val0_1661z00_5500 =
						(((BgL_newzf2livenesszf2_bglt) COBJECT(BgL_auxz00_10474))->
						BgL_inz00);
				}
				{
					BgL_newzf2livenesszf2_bglt BgL_auxz00_10482;

					{
						obj_t BgL_auxz00_10483;

						{	/* Liveness/liveness.scm 479 */
							BgL_objectz00_bglt BgL_tmpz00_10484;

							BgL_tmpz00_10484 =
								((BgL_objectz00_bglt) ((BgL_newz00_bglt) BgL_nz00_4764));
							BgL_auxz00_10483 = BGL_OBJECT_WIDENING(BgL_tmpz00_10484);
						}
						BgL_auxz00_10482 = ((BgL_newzf2livenesszf2_bglt) BgL_auxz00_10483);
					}
					BgL_val1_1662z00_5501 =
						(((BgL_newzf2livenesszf2_bglt) COBJECT(BgL_auxz00_10482))->
						BgL_outz00);
				}
				{	/* Liveness/liveness.scm 479 */
					int BgL_tmpz00_10490;

					BgL_tmpz00_10490 = (int) (2L);
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_10490);
				}
				{	/* Liveness/liveness.scm 479 */
					int BgL_tmpz00_10493;

					BgL_tmpz00_10493 = (int) (1L);
					BGL_MVALUES_VAL_SET(BgL_tmpz00_10493, BgL_val1_1662z00_5501);
				}
				return BgL_val0_1661z00_5500;
			}
		}

	}



/* &inout!-new/liveness1941 */
	obj_t BGl_z62inoutz12zd2newzf2liveness1941z50zzliveness_livenessz00(obj_t
		BgL_envz00_4765, obj_t BgL_nz00_4766, obj_t BgL_oz00_4767)
	{
		{	/* Liveness/liveness.scm 470 */
			{
				BgL_newzf2livenesszf2_bglt BgL_auxz00_10496;

				{
					obj_t BgL_auxz00_10497;

					{	/* Liveness/liveness.scm 472 */
						BgL_objectz00_bglt BgL_tmpz00_10498;

						BgL_tmpz00_10498 =
							((BgL_objectz00_bglt) ((BgL_newz00_bglt) BgL_nz00_4766));
						BgL_auxz00_10497 = BGL_OBJECT_WIDENING(BgL_tmpz00_10498);
					}
					BgL_auxz00_10496 = ((BgL_newzf2livenesszf2_bglt) BgL_auxz00_10497);
				}
				((((BgL_newzf2livenesszf2_bglt) COBJECT(BgL_auxz00_10496))->
						BgL_outz00) = ((obj_t) BgL_oz00_4767), BUNSPEC);
			}
			{
				obj_t BgL_auxz00_10511;
				BgL_newzf2livenesszf2_bglt BgL_auxz00_10504;

				{	/* Liveness/liveness.scm 473 */
					obj_t BgL_arg2256z00_5503;
					obj_t BgL_arg2257z00_5504;

					{
						BgL_newzf2livenesszf2_bglt BgL_auxz00_10512;

						{
							obj_t BgL_auxz00_10513;

							{	/* Liveness/liveness.scm 473 */
								BgL_objectz00_bglt BgL_tmpz00_10514;

								BgL_tmpz00_10514 =
									((BgL_objectz00_bglt) ((BgL_newz00_bglt) BgL_nz00_4766));
								BgL_auxz00_10513 = BGL_OBJECT_WIDENING(BgL_tmpz00_10514);
							}
							BgL_auxz00_10512 =
								((BgL_newzf2livenesszf2_bglt) BgL_auxz00_10513);
						}
						BgL_arg2256z00_5503 =
							(((BgL_newzf2livenesszf2_bglt) COBJECT(BgL_auxz00_10512))->
							BgL_usez00);
					}
					{	/* Liveness/liveness.scm 473 */
						obj_t BgL_arg2258z00_5505;
						obj_t BgL_arg2259z00_5506;

						{
							BgL_newzf2livenesszf2_bglt BgL_auxz00_10520;

							{
								obj_t BgL_auxz00_10521;

								{	/* Liveness/liveness.scm 473 */
									BgL_objectz00_bglt BgL_tmpz00_10522;

									BgL_tmpz00_10522 =
										((BgL_objectz00_bglt) ((BgL_newz00_bglt) BgL_nz00_4766));
									BgL_auxz00_10521 = BGL_OBJECT_WIDENING(BgL_tmpz00_10522);
								}
								BgL_auxz00_10520 =
									((BgL_newzf2livenesszf2_bglt) BgL_auxz00_10521);
							}
							BgL_arg2258z00_5505 =
								(((BgL_newzf2livenesszf2_bglt) COBJECT(BgL_auxz00_10520))->
								BgL_outz00);
						}
						{
							BgL_newzf2livenesszf2_bglt BgL_auxz00_10528;

							{
								obj_t BgL_auxz00_10529;

								{	/* Liveness/liveness.scm 473 */
									BgL_objectz00_bglt BgL_tmpz00_10530;

									BgL_tmpz00_10530 =
										((BgL_objectz00_bglt) ((BgL_newz00_bglt) BgL_nz00_4766));
									BgL_auxz00_10529 = BGL_OBJECT_WIDENING(BgL_tmpz00_10530);
								}
								BgL_auxz00_10528 =
									((BgL_newzf2livenesszf2_bglt) BgL_auxz00_10529);
							}
							BgL_arg2259z00_5506 =
								(((BgL_newzf2livenesszf2_bglt) COBJECT(BgL_auxz00_10528))->
								BgL_defz00);
						}
						BgL_arg2257z00_5504 =
							BGl_disjonctionz00zzliveness_setz00(BgL_arg2258z00_5505,
							BgL_arg2259z00_5506);
					}
					BgL_auxz00_10511 =
						BGl_unionz00zzliveness_setz00(BgL_arg2256z00_5503,
						BgL_arg2257z00_5504);
				}
				{
					obj_t BgL_auxz00_10505;

					{	/* Liveness/liveness.scm 473 */
						BgL_objectz00_bglt BgL_tmpz00_10506;

						BgL_tmpz00_10506 =
							((BgL_objectz00_bglt) ((BgL_newz00_bglt) BgL_nz00_4766));
						BgL_auxz00_10505 = BGL_OBJECT_WIDENING(BgL_tmpz00_10506);
					}
					BgL_auxz00_10504 = ((BgL_newzf2livenesszf2_bglt) BgL_auxz00_10505);
				}
				((((BgL_newzf2livenesszf2_bglt) COBJECT(BgL_auxz00_10504))->BgL_inz00) =
					((obj_t) BgL_auxz00_10511), BUNSPEC);
			}
			{	/* Liveness/liveness.scm 474 */
				obj_t BgL_g1658z00_5507;

				BgL_g1658z00_5507 =
					(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt)
								((BgL_newz00_bglt) BgL_nz00_4766))))->BgL_exprza2za2);
				{
					obj_t BgL_l1656z00_5509;

					BgL_l1656z00_5509 = BgL_g1658z00_5507;
				BgL_zc3z04anonymousza32260ze3z87_5508:
					if (PAIRP(BgL_l1656z00_5509))
						{	/* Liveness/liveness.scm 474 */
							{	/* Liveness/liveness.scm 474 */
								obj_t BgL_ez00_5510;

								BgL_ez00_5510 = CAR(BgL_l1656z00_5509);
								BGl_inoutz12z12zzliveness_livenessz00(
									((BgL_nodez00_bglt) BgL_ez00_5510), BgL_oz00_4767);
							}
							{
								obj_t BgL_l1656z00_10547;

								BgL_l1656z00_10547 = CDR(BgL_l1656z00_5509);
								BgL_l1656z00_5509 = BgL_l1656z00_10547;
								goto BgL_zc3z04anonymousza32260ze3z87_5508;
							}
						}
					else
						{	/* Liveness/liveness.scm 474 */
							((bool_t) 1);
						}
				}
			}
			{	/* Liveness/liveness.scm 475 */
				obj_t BgL_val0_1659z00_5511;
				obj_t BgL_val1_1660z00_5512;

				{
					BgL_newzf2livenesszf2_bglt BgL_auxz00_10549;

					{
						obj_t BgL_auxz00_10550;

						{	/* Liveness/liveness.scm 475 */
							BgL_objectz00_bglt BgL_tmpz00_10551;

							BgL_tmpz00_10551 =
								((BgL_objectz00_bglt) ((BgL_newz00_bglt) BgL_nz00_4766));
							BgL_auxz00_10550 = BGL_OBJECT_WIDENING(BgL_tmpz00_10551);
						}
						BgL_auxz00_10549 = ((BgL_newzf2livenesszf2_bglt) BgL_auxz00_10550);
					}
					BgL_val0_1659z00_5511 =
						(((BgL_newzf2livenesszf2_bglt) COBJECT(BgL_auxz00_10549))->
						BgL_inz00);
				}
				{
					BgL_newzf2livenesszf2_bglt BgL_auxz00_10557;

					{
						obj_t BgL_auxz00_10558;

						{	/* Liveness/liveness.scm 475 */
							BgL_objectz00_bglt BgL_tmpz00_10559;

							BgL_tmpz00_10559 =
								((BgL_objectz00_bglt) ((BgL_newz00_bglt) BgL_nz00_4766));
							BgL_auxz00_10558 = BGL_OBJECT_WIDENING(BgL_tmpz00_10559);
						}
						BgL_auxz00_10557 = ((BgL_newzf2livenesszf2_bglt) BgL_auxz00_10558);
					}
					BgL_val1_1660z00_5512 =
						(((BgL_newzf2livenesszf2_bglt) COBJECT(BgL_auxz00_10557))->
						BgL_outz00);
				}
				{	/* Liveness/liveness.scm 475 */
					int BgL_tmpz00_10565;

					BgL_tmpz00_10565 = (int) (2L);
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_10565);
				}
				{	/* Liveness/liveness.scm 475 */
					int BgL_tmpz00_10568;

					BgL_tmpz00_10568 = (int) (1L);
					BGL_MVALUES_VAL_SET(BgL_tmpz00_10568, BgL_val1_1660z00_5512);
				}
				return BgL_val0_1659z00_5511;
			}
		}

	}



/* &defuse-new/liveness1939 */
	obj_t BGl_z62defusezd2newzf2liveness1939z42zzliveness_livenessz00(obj_t
		BgL_envz00_4768, obj_t BgL_nz00_4769)
	{
		{	/* Liveness/liveness.scm 466 */
			{	/* Liveness/liveness.scm 468 */
				obj_t BgL_val0_1654z00_5514;
				obj_t BgL_val1_1655z00_5515;

				{
					BgL_newzf2livenesszf2_bglt BgL_auxz00_10571;

					{
						obj_t BgL_auxz00_10572;

						{	/* Liveness/liveness.scm 468 */
							BgL_objectz00_bglt BgL_tmpz00_10573;

							BgL_tmpz00_10573 =
								((BgL_objectz00_bglt) ((BgL_newz00_bglt) BgL_nz00_4769));
							BgL_auxz00_10572 = BGL_OBJECT_WIDENING(BgL_tmpz00_10573);
						}
						BgL_auxz00_10571 = ((BgL_newzf2livenesszf2_bglt) BgL_auxz00_10572);
					}
					BgL_val0_1654z00_5514 =
						(((BgL_newzf2livenesszf2_bglt) COBJECT(BgL_auxz00_10571))->
						BgL_defz00);
				}
				{
					BgL_newzf2livenesszf2_bglt BgL_auxz00_10579;

					{
						obj_t BgL_auxz00_10580;

						{	/* Liveness/liveness.scm 468 */
							BgL_objectz00_bglt BgL_tmpz00_10581;

							BgL_tmpz00_10581 =
								((BgL_objectz00_bglt) ((BgL_newz00_bglt) BgL_nz00_4769));
							BgL_auxz00_10580 = BGL_OBJECT_WIDENING(BgL_tmpz00_10581);
						}
						BgL_auxz00_10579 = ((BgL_newzf2livenesszf2_bglt) BgL_auxz00_10580);
					}
					BgL_val1_1655z00_5515 =
						(((BgL_newzf2livenesszf2_bglt) COBJECT(BgL_auxz00_10579))->
						BgL_usez00);
				}
				{	/* Liveness/liveness.scm 468 */
					int BgL_tmpz00_10587;

					BgL_tmpz00_10587 = (int) (2L);
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_10587);
				}
				{	/* Liveness/liveness.scm 468 */
					int BgL_tmpz00_10590;

					BgL_tmpz00_10590 = (int) (1L);
					BGL_MVALUES_VAL_SET(BgL_tmpz00_10590, BgL_val1_1655z00_5515);
				}
				return BgL_val0_1654z00_5514;
			}
		}

	}



/* &defuse-new1937 */
	obj_t BGl_z62defusezd2new1937zb0zzliveness_livenessz00(obj_t BgL_envz00_4770,
		obj_t BgL_nz00_4771)
	{
		{	/* Liveness/liveness.scm 457 */
			{	/* Liveness/liveness.scm 459 */
				obj_t BgL_defz00_5517;

				{	/* Liveness/liveness.scm 460 */
					obj_t BgL_arg2255z00_5518;

					BgL_arg2255z00_5518 =
						(((BgL_externz00_bglt) COBJECT(
								((BgL_externz00_bglt)
									((BgL_newz00_bglt) BgL_nz00_4771))))->BgL_exprza2za2);
					BgL_defz00_5517 =
						BGl_defuseza2za2zzliveness_livenessz00(BgL_arg2255z00_5518, BNIL,
						BNIL);
				}
				{	/* Liveness/liveness.scm 460 */
					obj_t BgL_usez00_5519;

					{	/* Liveness/liveness.scm 461 */
						obj_t BgL_tmpz00_5520;

						{	/* Liveness/liveness.scm 461 */
							int BgL_tmpz00_10597;

							BgL_tmpz00_10597 = (int) (1L);
							BgL_tmpz00_5520 = BGL_MVALUES_VAL(BgL_tmpz00_10597);
						}
						{	/* Liveness/liveness.scm 461 */
							int BgL_tmpz00_10600;

							BgL_tmpz00_10600 = (int) (1L);
							BGL_MVALUES_VAL_SET(BgL_tmpz00_10600, BUNSPEC);
						}
						BgL_usez00_5519 = BgL_tmpz00_5520;
					}
					{	/* Liveness/liveness.scm 462 */
						BgL_newz00_bglt BgL_arg2253z00_5521;

						{	/* Liveness/liveness.scm 462 */
							BgL_newzf2livenesszf2_bglt BgL_wide1250z00_5522;

							BgL_wide1250z00_5522 =
								((BgL_newzf2livenesszf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_newzf2livenesszf2_bgl))));
							{	/* Liveness/liveness.scm 462 */
								obj_t BgL_auxz00_10608;
								BgL_objectz00_bglt BgL_tmpz00_10604;

								BgL_auxz00_10608 = ((obj_t) BgL_wide1250z00_5522);
								BgL_tmpz00_10604 =
									((BgL_objectz00_bglt)
									((BgL_newz00_bglt) ((BgL_newz00_bglt) BgL_nz00_4771)));
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_10604, BgL_auxz00_10608);
							}
							((BgL_objectz00_bglt)
								((BgL_newz00_bglt) ((BgL_newz00_bglt) BgL_nz00_4771)));
							{	/* Liveness/liveness.scm 462 */
								long BgL_arg2254z00_5523;

								BgL_arg2254z00_5523 =
									BGL_CLASS_NUM(BGl_newzf2livenesszf2zzliveness_typesz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt)
										((BgL_newz00_bglt)
											((BgL_newz00_bglt) BgL_nz00_4771))), BgL_arg2254z00_5523);
							}
							((BgL_newz00_bglt)
								((BgL_newz00_bglt) ((BgL_newz00_bglt) BgL_nz00_4771)));
						}
						{
							BgL_newzf2livenesszf2_bglt BgL_auxz00_10622;

							{
								obj_t BgL_auxz00_10623;

								{	/* Liveness/liveness.scm 463 */
									BgL_objectz00_bglt BgL_tmpz00_10624;

									BgL_tmpz00_10624 =
										((BgL_objectz00_bglt)
										((BgL_newz00_bglt) ((BgL_newz00_bglt) BgL_nz00_4771)));
									BgL_auxz00_10623 = BGL_OBJECT_WIDENING(BgL_tmpz00_10624);
								}
								BgL_auxz00_10622 =
									((BgL_newzf2livenesszf2_bglt) BgL_auxz00_10623);
							}
							((((BgL_newzf2livenesszf2_bglt) COBJECT(BgL_auxz00_10622))->
									BgL_defz00) = ((obj_t) BgL_defz00_5517), BUNSPEC);
						}
						{
							BgL_newzf2livenesszf2_bglt BgL_auxz00_10631;

							{
								obj_t BgL_auxz00_10632;

								{	/* Liveness/liveness.scm 464 */
									BgL_objectz00_bglt BgL_tmpz00_10633;

									BgL_tmpz00_10633 =
										((BgL_objectz00_bglt)
										((BgL_newz00_bglt) ((BgL_newz00_bglt) BgL_nz00_4771)));
									BgL_auxz00_10632 = BGL_OBJECT_WIDENING(BgL_tmpz00_10633);
								}
								BgL_auxz00_10631 =
									((BgL_newzf2livenesszf2_bglt) BgL_auxz00_10632);
							}
							((((BgL_newzf2livenesszf2_bglt) COBJECT(BgL_auxz00_10631))->
									BgL_usez00) = ((obj_t) BgL_usez00_5519), BUNSPEC);
						}
						{
							BgL_newzf2livenesszf2_bglt BgL_auxz00_10640;

							{
								obj_t BgL_auxz00_10641;

								{	/* Liveness/liveness.scm 460 */
									BgL_objectz00_bglt BgL_tmpz00_10642;

									BgL_tmpz00_10642 =
										((BgL_objectz00_bglt)
										((BgL_newz00_bglt) ((BgL_newz00_bglt) BgL_nz00_4771)));
									BgL_auxz00_10641 = BGL_OBJECT_WIDENING(BgL_tmpz00_10642);
								}
								BgL_auxz00_10640 =
									((BgL_newzf2livenesszf2_bglt) BgL_auxz00_10641);
							}
							((((BgL_newzf2livenesszf2_bglt) COBJECT(BgL_auxz00_10640))->
									BgL_inz00) = ((obj_t) BNIL), BUNSPEC);
						}
						{
							BgL_newzf2livenesszf2_bglt BgL_auxz00_10649;

							{
								obj_t BgL_auxz00_10650;

								{	/* Liveness/liveness.scm 460 */
									BgL_objectz00_bglt BgL_tmpz00_10651;

									BgL_tmpz00_10651 =
										((BgL_objectz00_bglt)
										((BgL_newz00_bglt) ((BgL_newz00_bglt) BgL_nz00_4771)));
									BgL_auxz00_10650 = BGL_OBJECT_WIDENING(BgL_tmpz00_10651);
								}
								BgL_auxz00_10649 =
									((BgL_newzf2livenesszf2_bglt) BgL_auxz00_10650);
							}
							((((BgL_newzf2livenesszf2_bglt) COBJECT(BgL_auxz00_10649))->
									BgL_outz00) = ((obj_t) BNIL), BUNSPEC);
						}
						BgL_arg2253z00_5521 =
							((BgL_newz00_bglt) ((BgL_newz00_bglt) BgL_nz00_4771));
						return
							BGl_defusez00zzliveness_livenessz00(
							((BgL_nodez00_bglt) BgL_arg2253z00_5521));
					}
				}
			}
		}

	}



/* &inout-widening/liven1935 */
	obj_t BGl_z62inoutzd2wideningzf2liven1935z42zzliveness_livenessz00(obj_t
		BgL_envz00_4772, obj_t BgL_nz00_4773)
	{
		{	/* Liveness/liveness.scm 450 */
			{	/* Liveness/liveness.scm 452 */
				obj_t BgL_val0_1652z00_5525;
				obj_t BgL_val1_1653z00_5526;

				{
					BgL_wideningzf2livenesszf2_bglt BgL_auxz00_10662;

					{
						obj_t BgL_auxz00_10663;

						{	/* Liveness/liveness.scm 452 */
							BgL_objectz00_bglt BgL_tmpz00_10664;

							BgL_tmpz00_10664 =
								((BgL_objectz00_bglt) ((BgL_wideningz00_bglt) BgL_nz00_4773));
							BgL_auxz00_10663 = BGL_OBJECT_WIDENING(BgL_tmpz00_10664);
						}
						BgL_auxz00_10662 =
							((BgL_wideningzf2livenesszf2_bglt) BgL_auxz00_10663);
					}
					BgL_val0_1652z00_5525 =
						(((BgL_wideningzf2livenesszf2_bglt) COBJECT(BgL_auxz00_10662))->
						BgL_inz00);
				}
				{
					BgL_wideningzf2livenesszf2_bglt BgL_auxz00_10670;

					{
						obj_t BgL_auxz00_10671;

						{	/* Liveness/liveness.scm 452 */
							BgL_objectz00_bglt BgL_tmpz00_10672;

							BgL_tmpz00_10672 =
								((BgL_objectz00_bglt) ((BgL_wideningz00_bglt) BgL_nz00_4773));
							BgL_auxz00_10671 = BGL_OBJECT_WIDENING(BgL_tmpz00_10672);
						}
						BgL_auxz00_10670 =
							((BgL_wideningzf2livenesszf2_bglt) BgL_auxz00_10671);
					}
					BgL_val1_1653z00_5526 =
						(((BgL_wideningzf2livenesszf2_bglt) COBJECT(BgL_auxz00_10670))->
						BgL_outz00);
				}
				{	/* Liveness/liveness.scm 452 */
					int BgL_tmpz00_10678;

					BgL_tmpz00_10678 = (int) (2L);
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_10678);
				}
				{	/* Liveness/liveness.scm 452 */
					int BgL_tmpz00_10681;

					BgL_tmpz00_10681 = (int) (1L);
					BGL_MVALUES_VAL_SET(BgL_tmpz00_10681, BgL_val1_1653z00_5526);
				}
				return BgL_val0_1652z00_5525;
			}
		}

	}



/* &inout!-widening/live1933 */
	obj_t BGl_z62inoutz12zd2wideningzf2live1933z50zzliveness_livenessz00(obj_t
		BgL_envz00_4774, obj_t BgL_nz00_4775, obj_t BgL_oz00_4776)
	{
		{	/* Liveness/liveness.scm 443 */
			{
				BgL_wideningzf2livenesszf2_bglt BgL_auxz00_10684;

				{
					obj_t BgL_auxz00_10685;

					{	/* Liveness/liveness.scm 445 */
						BgL_objectz00_bglt BgL_tmpz00_10686;

						BgL_tmpz00_10686 =
							((BgL_objectz00_bglt) ((BgL_wideningz00_bglt) BgL_nz00_4775));
						BgL_auxz00_10685 = BGL_OBJECT_WIDENING(BgL_tmpz00_10686);
					}
					BgL_auxz00_10684 =
						((BgL_wideningzf2livenesszf2_bglt) BgL_auxz00_10685);
				}
				((((BgL_wideningzf2livenesszf2_bglt) COBJECT(BgL_auxz00_10684))->
						BgL_outz00) = ((obj_t) BgL_oz00_4776), BUNSPEC);
			}
			{
				obj_t BgL_auxz00_10699;
				BgL_wideningzf2livenesszf2_bglt BgL_auxz00_10692;

				{	/* Liveness/liveness.scm 446 */
					obj_t BgL_arg2245z00_5528;
					obj_t BgL_arg2246z00_5529;

					{
						BgL_wideningzf2livenesszf2_bglt BgL_auxz00_10700;

						{
							obj_t BgL_auxz00_10701;

							{	/* Liveness/liveness.scm 446 */
								BgL_objectz00_bglt BgL_tmpz00_10702;

								BgL_tmpz00_10702 =
									((BgL_objectz00_bglt) ((BgL_wideningz00_bglt) BgL_nz00_4775));
								BgL_auxz00_10701 = BGL_OBJECT_WIDENING(BgL_tmpz00_10702);
							}
							BgL_auxz00_10700 =
								((BgL_wideningzf2livenesszf2_bglt) BgL_auxz00_10701);
						}
						BgL_arg2245z00_5528 =
							(((BgL_wideningzf2livenesszf2_bglt) COBJECT(BgL_auxz00_10700))->
							BgL_usez00);
					}
					{	/* Liveness/liveness.scm 446 */
						obj_t BgL_arg2247z00_5530;
						obj_t BgL_arg2248z00_5531;

						{
							BgL_wideningzf2livenesszf2_bglt BgL_auxz00_10708;

							{
								obj_t BgL_auxz00_10709;

								{	/* Liveness/liveness.scm 446 */
									BgL_objectz00_bglt BgL_tmpz00_10710;

									BgL_tmpz00_10710 =
										((BgL_objectz00_bglt)
										((BgL_wideningz00_bglt) BgL_nz00_4775));
									BgL_auxz00_10709 = BGL_OBJECT_WIDENING(BgL_tmpz00_10710);
								}
								BgL_auxz00_10708 =
									((BgL_wideningzf2livenesszf2_bglt) BgL_auxz00_10709);
							}
							BgL_arg2247z00_5530 =
								(((BgL_wideningzf2livenesszf2_bglt) COBJECT(BgL_auxz00_10708))->
								BgL_outz00);
						}
						{
							BgL_wideningzf2livenesszf2_bglt BgL_auxz00_10716;

							{
								obj_t BgL_auxz00_10717;

								{	/* Liveness/liveness.scm 446 */
									BgL_objectz00_bglt BgL_tmpz00_10718;

									BgL_tmpz00_10718 =
										((BgL_objectz00_bglt)
										((BgL_wideningz00_bglt) BgL_nz00_4775));
									BgL_auxz00_10717 = BGL_OBJECT_WIDENING(BgL_tmpz00_10718);
								}
								BgL_auxz00_10716 =
									((BgL_wideningzf2livenesszf2_bglt) BgL_auxz00_10717);
							}
							BgL_arg2248z00_5531 =
								(((BgL_wideningzf2livenesszf2_bglt) COBJECT(BgL_auxz00_10716))->
								BgL_defz00);
						}
						BgL_arg2246z00_5529 =
							BGl_disjonctionz00zzliveness_setz00(BgL_arg2247z00_5530,
							BgL_arg2248z00_5531);
					}
					BgL_auxz00_10699 =
						BGl_unionz00zzliveness_setz00(BgL_arg2245z00_5528,
						BgL_arg2246z00_5529);
				}
				{
					obj_t BgL_auxz00_10693;

					{	/* Liveness/liveness.scm 446 */
						BgL_objectz00_bglt BgL_tmpz00_10694;

						BgL_tmpz00_10694 =
							((BgL_objectz00_bglt) ((BgL_wideningz00_bglt) BgL_nz00_4775));
						BgL_auxz00_10693 = BGL_OBJECT_WIDENING(BgL_tmpz00_10694);
					}
					BgL_auxz00_10692 =
						((BgL_wideningzf2livenesszf2_bglt) BgL_auxz00_10693);
				}
				((((BgL_wideningzf2livenesszf2_bglt) COBJECT(BgL_auxz00_10692))->
						BgL_inz00) = ((obj_t) BgL_auxz00_10699), BUNSPEC);
			}
			{	/* Liveness/liveness.scm 447 */
				obj_t BgL_g1649z00_5532;

				BgL_g1649z00_5532 =
					(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt)
								((BgL_wideningz00_bglt) BgL_nz00_4775))))->BgL_exprza2za2);
				{
					obj_t BgL_l1647z00_5534;

					BgL_l1647z00_5534 = BgL_g1649z00_5532;
				BgL_zc3z04anonymousza32249ze3z87_5533:
					if (PAIRP(BgL_l1647z00_5534))
						{	/* Liveness/liveness.scm 447 */
							{	/* Liveness/liveness.scm 447 */
								obj_t BgL_ez00_5535;

								BgL_ez00_5535 = CAR(BgL_l1647z00_5534);
								BGl_inoutz12z12zzliveness_livenessz00(
									((BgL_nodez00_bglt) BgL_ez00_5535), BgL_oz00_4776);
							}
							{
								obj_t BgL_l1647z00_10735;

								BgL_l1647z00_10735 = CDR(BgL_l1647z00_5534);
								BgL_l1647z00_5534 = BgL_l1647z00_10735;
								goto BgL_zc3z04anonymousza32249ze3z87_5533;
							}
						}
					else
						{	/* Liveness/liveness.scm 447 */
							((bool_t) 1);
						}
				}
			}
			{	/* Liveness/liveness.scm 448 */
				obj_t BgL_val0_1650z00_5536;
				obj_t BgL_val1_1651z00_5537;

				{
					BgL_wideningzf2livenesszf2_bglt BgL_auxz00_10737;

					{
						obj_t BgL_auxz00_10738;

						{	/* Liveness/liveness.scm 448 */
							BgL_objectz00_bglt BgL_tmpz00_10739;

							BgL_tmpz00_10739 =
								((BgL_objectz00_bglt) ((BgL_wideningz00_bglt) BgL_nz00_4775));
							BgL_auxz00_10738 = BGL_OBJECT_WIDENING(BgL_tmpz00_10739);
						}
						BgL_auxz00_10737 =
							((BgL_wideningzf2livenesszf2_bglt) BgL_auxz00_10738);
					}
					BgL_val0_1650z00_5536 =
						(((BgL_wideningzf2livenesszf2_bglt) COBJECT(BgL_auxz00_10737))->
						BgL_inz00);
				}
				{
					BgL_wideningzf2livenesszf2_bglt BgL_auxz00_10745;

					{
						obj_t BgL_auxz00_10746;

						{	/* Liveness/liveness.scm 448 */
							BgL_objectz00_bglt BgL_tmpz00_10747;

							BgL_tmpz00_10747 =
								((BgL_objectz00_bglt) ((BgL_wideningz00_bglt) BgL_nz00_4775));
							BgL_auxz00_10746 = BGL_OBJECT_WIDENING(BgL_tmpz00_10747);
						}
						BgL_auxz00_10745 =
							((BgL_wideningzf2livenesszf2_bglt) BgL_auxz00_10746);
					}
					BgL_val1_1651z00_5537 =
						(((BgL_wideningzf2livenesszf2_bglt) COBJECT(BgL_auxz00_10745))->
						BgL_outz00);
				}
				{	/* Liveness/liveness.scm 448 */
					int BgL_tmpz00_10753;

					BgL_tmpz00_10753 = (int) (2L);
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_10753);
				}
				{	/* Liveness/liveness.scm 448 */
					int BgL_tmpz00_10756;

					BgL_tmpz00_10756 = (int) (1L);
					BGL_MVALUES_VAL_SET(BgL_tmpz00_10756, BgL_val1_1651z00_5537);
				}
				return BgL_val0_1650z00_5536;
			}
		}

	}



/* &defuse-widening/live1931 */
	obj_t BGl_z62defusezd2wideningzf2live1931z42zzliveness_livenessz00(obj_t
		BgL_envz00_4777, obj_t BgL_nz00_4778)
	{
		{	/* Liveness/liveness.scm 439 */
			{	/* Liveness/liveness.scm 441 */
				obj_t BgL_val0_1645z00_5539;
				obj_t BgL_val1_1646z00_5540;

				{
					BgL_wideningzf2livenesszf2_bglt BgL_auxz00_10759;

					{
						obj_t BgL_auxz00_10760;

						{	/* Liveness/liveness.scm 441 */
							BgL_objectz00_bglt BgL_tmpz00_10761;

							BgL_tmpz00_10761 =
								((BgL_objectz00_bglt) ((BgL_wideningz00_bglt) BgL_nz00_4778));
							BgL_auxz00_10760 = BGL_OBJECT_WIDENING(BgL_tmpz00_10761);
						}
						BgL_auxz00_10759 =
							((BgL_wideningzf2livenesszf2_bglt) BgL_auxz00_10760);
					}
					BgL_val0_1645z00_5539 =
						(((BgL_wideningzf2livenesszf2_bglt) COBJECT(BgL_auxz00_10759))->
						BgL_defz00);
				}
				{
					BgL_wideningzf2livenesszf2_bglt BgL_auxz00_10767;

					{
						obj_t BgL_auxz00_10768;

						{	/* Liveness/liveness.scm 441 */
							BgL_objectz00_bglt BgL_tmpz00_10769;

							BgL_tmpz00_10769 =
								((BgL_objectz00_bglt) ((BgL_wideningz00_bglt) BgL_nz00_4778));
							BgL_auxz00_10768 = BGL_OBJECT_WIDENING(BgL_tmpz00_10769);
						}
						BgL_auxz00_10767 =
							((BgL_wideningzf2livenesszf2_bglt) BgL_auxz00_10768);
					}
					BgL_val1_1646z00_5540 =
						(((BgL_wideningzf2livenesszf2_bglt) COBJECT(BgL_auxz00_10767))->
						BgL_usez00);
				}
				{	/* Liveness/liveness.scm 441 */
					int BgL_tmpz00_10775;

					BgL_tmpz00_10775 = (int) (2L);
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_10775);
				}
				{	/* Liveness/liveness.scm 441 */
					int BgL_tmpz00_10778;

					BgL_tmpz00_10778 = (int) (1L);
					BGL_MVALUES_VAL_SET(BgL_tmpz00_10778, BgL_val1_1646z00_5540);
				}
				return BgL_val0_1645z00_5539;
			}
		}

	}



/* &defuse-widening1929 */
	obj_t BGl_z62defusezd2widening1929zb0zzliveness_livenessz00(obj_t
		BgL_envz00_4779, obj_t BgL_nz00_4780)
	{
		{	/* Liveness/liveness.scm 430 */
			{	/* Liveness/liveness.scm 432 */
				obj_t BgL_defz00_5542;

				{	/* Liveness/liveness.scm 433 */
					obj_t BgL_arg2244z00_5543;

					BgL_arg2244z00_5543 =
						(((BgL_externz00_bglt) COBJECT(
								((BgL_externz00_bglt)
									((BgL_wideningz00_bglt) BgL_nz00_4780))))->BgL_exprza2za2);
					BgL_defz00_5542 =
						BGl_defuseza2za2zzliveness_livenessz00(BgL_arg2244z00_5543, BNIL,
						BNIL);
				}
				{	/* Liveness/liveness.scm 433 */
					obj_t BgL_usez00_5544;

					{	/* Liveness/liveness.scm 434 */
						obj_t BgL_tmpz00_5545;

						{	/* Liveness/liveness.scm 434 */
							int BgL_tmpz00_10785;

							BgL_tmpz00_10785 = (int) (1L);
							BgL_tmpz00_5545 = BGL_MVALUES_VAL(BgL_tmpz00_10785);
						}
						{	/* Liveness/liveness.scm 434 */
							int BgL_tmpz00_10788;

							BgL_tmpz00_10788 = (int) (1L);
							BGL_MVALUES_VAL_SET(BgL_tmpz00_10788, BUNSPEC);
						}
						BgL_usez00_5544 = BgL_tmpz00_5545;
					}
					{	/* Liveness/liveness.scm 435 */
						BgL_wideningz00_bglt BgL_arg2242z00_5546;

						{	/* Liveness/liveness.scm 435 */
							BgL_wideningzf2livenesszf2_bglt BgL_wide1242z00_5547;

							BgL_wide1242z00_5547 =
								((BgL_wideningzf2livenesszf2_bglt)
								BOBJECT(GC_MALLOC(sizeof(struct
											BgL_wideningzf2livenesszf2_bgl))));
							{	/* Liveness/liveness.scm 435 */
								obj_t BgL_auxz00_10796;
								BgL_objectz00_bglt BgL_tmpz00_10792;

								BgL_auxz00_10796 = ((obj_t) BgL_wide1242z00_5547);
								BgL_tmpz00_10792 =
									((BgL_objectz00_bglt)
									((BgL_wideningz00_bglt)
										((BgL_wideningz00_bglt) BgL_nz00_4780)));
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_10792, BgL_auxz00_10796);
							}
							((BgL_objectz00_bglt)
								((BgL_wideningz00_bglt)
									((BgL_wideningz00_bglt) BgL_nz00_4780)));
							{	/* Liveness/liveness.scm 435 */
								long BgL_arg2243z00_5548;

								BgL_arg2243z00_5548 =
									BGL_CLASS_NUM(BGl_wideningzf2livenesszf2zzliveness_typesz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt)
										((BgL_wideningz00_bglt)
											((BgL_wideningz00_bglt) BgL_nz00_4780))),
									BgL_arg2243z00_5548);
							}
							((BgL_wideningz00_bglt)
								((BgL_wideningz00_bglt)
									((BgL_wideningz00_bglt) BgL_nz00_4780)));
						}
						{
							BgL_wideningzf2livenesszf2_bglt BgL_auxz00_10810;

							{
								obj_t BgL_auxz00_10811;

								{	/* Liveness/liveness.scm 436 */
									BgL_objectz00_bglt BgL_tmpz00_10812;

									BgL_tmpz00_10812 =
										((BgL_objectz00_bglt)
										((BgL_wideningz00_bglt)
											((BgL_wideningz00_bglt) BgL_nz00_4780)));
									BgL_auxz00_10811 = BGL_OBJECT_WIDENING(BgL_tmpz00_10812);
								}
								BgL_auxz00_10810 =
									((BgL_wideningzf2livenesszf2_bglt) BgL_auxz00_10811);
							}
							((((BgL_wideningzf2livenesszf2_bglt) COBJECT(BgL_auxz00_10810))->
									BgL_defz00) = ((obj_t) BgL_defz00_5542), BUNSPEC);
						}
						{
							BgL_wideningzf2livenesszf2_bglt BgL_auxz00_10819;

							{
								obj_t BgL_auxz00_10820;

								{	/* Liveness/liveness.scm 437 */
									BgL_objectz00_bglt BgL_tmpz00_10821;

									BgL_tmpz00_10821 =
										((BgL_objectz00_bglt)
										((BgL_wideningz00_bglt)
											((BgL_wideningz00_bglt) BgL_nz00_4780)));
									BgL_auxz00_10820 = BGL_OBJECT_WIDENING(BgL_tmpz00_10821);
								}
								BgL_auxz00_10819 =
									((BgL_wideningzf2livenesszf2_bglt) BgL_auxz00_10820);
							}
							((((BgL_wideningzf2livenesszf2_bglt) COBJECT(BgL_auxz00_10819))->
									BgL_usez00) = ((obj_t) BgL_usez00_5544), BUNSPEC);
						}
						{
							BgL_wideningzf2livenesszf2_bglt BgL_auxz00_10828;

							{
								obj_t BgL_auxz00_10829;

								{	/* Liveness/liveness.scm 433 */
									BgL_objectz00_bglt BgL_tmpz00_10830;

									BgL_tmpz00_10830 =
										((BgL_objectz00_bglt)
										((BgL_wideningz00_bglt)
											((BgL_wideningz00_bglt) BgL_nz00_4780)));
									BgL_auxz00_10829 = BGL_OBJECT_WIDENING(BgL_tmpz00_10830);
								}
								BgL_auxz00_10828 =
									((BgL_wideningzf2livenesszf2_bglt) BgL_auxz00_10829);
							}
							((((BgL_wideningzf2livenesszf2_bglt) COBJECT(BgL_auxz00_10828))->
									BgL_inz00) = ((obj_t) BNIL), BUNSPEC);
						}
						{
							BgL_wideningzf2livenesszf2_bglt BgL_auxz00_10837;

							{
								obj_t BgL_auxz00_10838;

								{	/* Liveness/liveness.scm 433 */
									BgL_objectz00_bglt BgL_tmpz00_10839;

									BgL_tmpz00_10839 =
										((BgL_objectz00_bglt)
										((BgL_wideningz00_bglt)
											((BgL_wideningz00_bglt) BgL_nz00_4780)));
									BgL_auxz00_10838 = BGL_OBJECT_WIDENING(BgL_tmpz00_10839);
								}
								BgL_auxz00_10837 =
									((BgL_wideningzf2livenesszf2_bglt) BgL_auxz00_10838);
							}
							((((BgL_wideningzf2livenesszf2_bglt) COBJECT(BgL_auxz00_10837))->
									BgL_outz00) = ((obj_t) BNIL), BUNSPEC);
						}
						BgL_arg2242z00_5546 =
							((BgL_wideningz00_bglt) ((BgL_wideningz00_bglt) BgL_nz00_4780));
						return
							BGl_defusez00zzliveness_livenessz00(
							((BgL_nodez00_bglt) BgL_arg2242z00_5546));
					}
				}
			}
		}

	}



/* &inout-setfield/liven1927 */
	obj_t BGl_z62inoutzd2setfieldzf2liven1927z42zzliveness_livenessz00(obj_t
		BgL_envz00_4781, obj_t BgL_nz00_4782)
	{
		{	/* Liveness/liveness.scm 423 */
			{	/* Liveness/liveness.scm 425 */
				obj_t BgL_val0_1643z00_5550;
				obj_t BgL_val1_1644z00_5551;

				{
					BgL_setfieldzf2livenesszf2_bglt BgL_auxz00_10850;

					{
						obj_t BgL_auxz00_10851;

						{	/* Liveness/liveness.scm 425 */
							BgL_objectz00_bglt BgL_tmpz00_10852;

							BgL_tmpz00_10852 =
								((BgL_objectz00_bglt) ((BgL_setfieldz00_bglt) BgL_nz00_4782));
							BgL_auxz00_10851 = BGL_OBJECT_WIDENING(BgL_tmpz00_10852);
						}
						BgL_auxz00_10850 =
							((BgL_setfieldzf2livenesszf2_bglt) BgL_auxz00_10851);
					}
					BgL_val0_1643z00_5550 =
						(((BgL_setfieldzf2livenesszf2_bglt) COBJECT(BgL_auxz00_10850))->
						BgL_inz00);
				}
				{
					BgL_setfieldzf2livenesszf2_bglt BgL_auxz00_10858;

					{
						obj_t BgL_auxz00_10859;

						{	/* Liveness/liveness.scm 425 */
							BgL_objectz00_bglt BgL_tmpz00_10860;

							BgL_tmpz00_10860 =
								((BgL_objectz00_bglt) ((BgL_setfieldz00_bglt) BgL_nz00_4782));
							BgL_auxz00_10859 = BGL_OBJECT_WIDENING(BgL_tmpz00_10860);
						}
						BgL_auxz00_10858 =
							((BgL_setfieldzf2livenesszf2_bglt) BgL_auxz00_10859);
					}
					BgL_val1_1644z00_5551 =
						(((BgL_setfieldzf2livenesszf2_bglt) COBJECT(BgL_auxz00_10858))->
						BgL_outz00);
				}
				{	/* Liveness/liveness.scm 425 */
					int BgL_tmpz00_10866;

					BgL_tmpz00_10866 = (int) (2L);
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_10866);
				}
				{	/* Liveness/liveness.scm 425 */
					int BgL_tmpz00_10869;

					BgL_tmpz00_10869 = (int) (1L);
					BGL_MVALUES_VAL_SET(BgL_tmpz00_10869, BgL_val1_1644z00_5551);
				}
				return BgL_val0_1643z00_5550;
			}
		}

	}



/* &inout!-setfield/live1925 */
	obj_t BGl_z62inoutz12zd2setfieldzf2live1925z50zzliveness_livenessz00(obj_t
		BgL_envz00_4783, obj_t BgL_nz00_4784, obj_t BgL_oz00_4785)
	{
		{	/* Liveness/liveness.scm 416 */
			{
				BgL_setfieldzf2livenesszf2_bglt BgL_auxz00_10872;

				{
					obj_t BgL_auxz00_10873;

					{	/* Liveness/liveness.scm 418 */
						BgL_objectz00_bglt BgL_tmpz00_10874;

						BgL_tmpz00_10874 =
							((BgL_objectz00_bglt) ((BgL_setfieldz00_bglt) BgL_nz00_4784));
						BgL_auxz00_10873 = BGL_OBJECT_WIDENING(BgL_tmpz00_10874);
					}
					BgL_auxz00_10872 =
						((BgL_setfieldzf2livenesszf2_bglt) BgL_auxz00_10873);
				}
				((((BgL_setfieldzf2livenesszf2_bglt) COBJECT(BgL_auxz00_10872))->
						BgL_outz00) = ((obj_t) BgL_oz00_4785), BUNSPEC);
			}
			{
				obj_t BgL_auxz00_10887;
				BgL_setfieldzf2livenesszf2_bglt BgL_auxz00_10880;

				{	/* Liveness/liveness.scm 419 */
					obj_t BgL_arg2235z00_5553;
					obj_t BgL_arg2236z00_5554;

					{
						BgL_setfieldzf2livenesszf2_bglt BgL_auxz00_10888;

						{
							obj_t BgL_auxz00_10889;

							{	/* Liveness/liveness.scm 419 */
								BgL_objectz00_bglt BgL_tmpz00_10890;

								BgL_tmpz00_10890 =
									((BgL_objectz00_bglt) ((BgL_setfieldz00_bglt) BgL_nz00_4784));
								BgL_auxz00_10889 = BGL_OBJECT_WIDENING(BgL_tmpz00_10890);
							}
							BgL_auxz00_10888 =
								((BgL_setfieldzf2livenesszf2_bglt) BgL_auxz00_10889);
						}
						BgL_arg2235z00_5553 =
							(((BgL_setfieldzf2livenesszf2_bglt) COBJECT(BgL_auxz00_10888))->
							BgL_usez00);
					}
					{	/* Liveness/liveness.scm 419 */
						obj_t BgL_arg2237z00_5555;
						obj_t BgL_arg2238z00_5556;

						{
							BgL_setfieldzf2livenesszf2_bglt BgL_auxz00_10896;

							{
								obj_t BgL_auxz00_10897;

								{	/* Liveness/liveness.scm 419 */
									BgL_objectz00_bglt BgL_tmpz00_10898;

									BgL_tmpz00_10898 =
										((BgL_objectz00_bglt)
										((BgL_setfieldz00_bglt) BgL_nz00_4784));
									BgL_auxz00_10897 = BGL_OBJECT_WIDENING(BgL_tmpz00_10898);
								}
								BgL_auxz00_10896 =
									((BgL_setfieldzf2livenesszf2_bglt) BgL_auxz00_10897);
							}
							BgL_arg2237z00_5555 =
								(((BgL_setfieldzf2livenesszf2_bglt) COBJECT(BgL_auxz00_10896))->
								BgL_outz00);
						}
						{
							BgL_setfieldzf2livenesszf2_bglt BgL_auxz00_10904;

							{
								obj_t BgL_auxz00_10905;

								{	/* Liveness/liveness.scm 419 */
									BgL_objectz00_bglt BgL_tmpz00_10906;

									BgL_tmpz00_10906 =
										((BgL_objectz00_bglt)
										((BgL_setfieldz00_bglt) BgL_nz00_4784));
									BgL_auxz00_10905 = BGL_OBJECT_WIDENING(BgL_tmpz00_10906);
								}
								BgL_auxz00_10904 =
									((BgL_setfieldzf2livenesszf2_bglt) BgL_auxz00_10905);
							}
							BgL_arg2238z00_5556 =
								(((BgL_setfieldzf2livenesszf2_bglt) COBJECT(BgL_auxz00_10904))->
								BgL_defz00);
						}
						BgL_arg2236z00_5554 =
							BGl_disjonctionz00zzliveness_setz00(BgL_arg2237z00_5555,
							BgL_arg2238z00_5556);
					}
					BgL_auxz00_10887 =
						BGl_unionz00zzliveness_setz00(BgL_arg2235z00_5553,
						BgL_arg2236z00_5554);
				}
				{
					obj_t BgL_auxz00_10881;

					{	/* Liveness/liveness.scm 419 */
						BgL_objectz00_bglt BgL_tmpz00_10882;

						BgL_tmpz00_10882 =
							((BgL_objectz00_bglt) ((BgL_setfieldz00_bglt) BgL_nz00_4784));
						BgL_auxz00_10881 = BGL_OBJECT_WIDENING(BgL_tmpz00_10882);
					}
					BgL_auxz00_10880 =
						((BgL_setfieldzf2livenesszf2_bglt) BgL_auxz00_10881);
				}
				((((BgL_setfieldzf2livenesszf2_bglt) COBJECT(BgL_auxz00_10880))->
						BgL_inz00) = ((obj_t) BgL_auxz00_10887), BUNSPEC);
			}
			{	/* Liveness/liveness.scm 420 */
				obj_t BgL_g1640z00_5557;

				BgL_g1640z00_5557 =
					(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt)
								((BgL_setfieldz00_bglt) BgL_nz00_4784))))->BgL_exprza2za2);
				{
					obj_t BgL_l1638z00_5559;

					BgL_l1638z00_5559 = BgL_g1640z00_5557;
				BgL_zc3z04anonymousza32239ze3z87_5558:
					if (PAIRP(BgL_l1638z00_5559))
						{	/* Liveness/liveness.scm 420 */
							{	/* Liveness/liveness.scm 420 */
								obj_t BgL_ez00_5560;

								BgL_ez00_5560 = CAR(BgL_l1638z00_5559);
								BGl_inoutz12z12zzliveness_livenessz00(
									((BgL_nodez00_bglt) BgL_ez00_5560), BgL_oz00_4785);
							}
							{
								obj_t BgL_l1638z00_10923;

								BgL_l1638z00_10923 = CDR(BgL_l1638z00_5559);
								BgL_l1638z00_5559 = BgL_l1638z00_10923;
								goto BgL_zc3z04anonymousza32239ze3z87_5558;
							}
						}
					else
						{	/* Liveness/liveness.scm 420 */
							((bool_t) 1);
						}
				}
			}
			{	/* Liveness/liveness.scm 421 */
				obj_t BgL_val0_1641z00_5561;
				obj_t BgL_val1_1642z00_5562;

				{
					BgL_setfieldzf2livenesszf2_bglt BgL_auxz00_10925;

					{
						obj_t BgL_auxz00_10926;

						{	/* Liveness/liveness.scm 421 */
							BgL_objectz00_bglt BgL_tmpz00_10927;

							BgL_tmpz00_10927 =
								((BgL_objectz00_bglt) ((BgL_setfieldz00_bglt) BgL_nz00_4784));
							BgL_auxz00_10926 = BGL_OBJECT_WIDENING(BgL_tmpz00_10927);
						}
						BgL_auxz00_10925 =
							((BgL_setfieldzf2livenesszf2_bglt) BgL_auxz00_10926);
					}
					BgL_val0_1641z00_5561 =
						(((BgL_setfieldzf2livenesszf2_bglt) COBJECT(BgL_auxz00_10925))->
						BgL_inz00);
				}
				{
					BgL_setfieldzf2livenesszf2_bglt BgL_auxz00_10933;

					{
						obj_t BgL_auxz00_10934;

						{	/* Liveness/liveness.scm 421 */
							BgL_objectz00_bglt BgL_tmpz00_10935;

							BgL_tmpz00_10935 =
								((BgL_objectz00_bglt) ((BgL_setfieldz00_bglt) BgL_nz00_4784));
							BgL_auxz00_10934 = BGL_OBJECT_WIDENING(BgL_tmpz00_10935);
						}
						BgL_auxz00_10933 =
							((BgL_setfieldzf2livenesszf2_bglt) BgL_auxz00_10934);
					}
					BgL_val1_1642z00_5562 =
						(((BgL_setfieldzf2livenesszf2_bglt) COBJECT(BgL_auxz00_10933))->
						BgL_outz00);
				}
				{	/* Liveness/liveness.scm 421 */
					int BgL_tmpz00_10941;

					BgL_tmpz00_10941 = (int) (2L);
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_10941);
				}
				{	/* Liveness/liveness.scm 421 */
					int BgL_tmpz00_10944;

					BgL_tmpz00_10944 = (int) (1L);
					BGL_MVALUES_VAL_SET(BgL_tmpz00_10944, BgL_val1_1642z00_5562);
				}
				return BgL_val0_1641z00_5561;
			}
		}

	}



/* &defuse-setfield/live1923 */
	obj_t BGl_z62defusezd2setfieldzf2live1923z42zzliveness_livenessz00(obj_t
		BgL_envz00_4786, obj_t BgL_nz00_4787)
	{
		{	/* Liveness/liveness.scm 412 */
			{	/* Liveness/liveness.scm 414 */
				obj_t BgL_val0_1636z00_5564;
				obj_t BgL_val1_1637z00_5565;

				{
					BgL_setfieldzf2livenesszf2_bglt BgL_auxz00_10947;

					{
						obj_t BgL_auxz00_10948;

						{	/* Liveness/liveness.scm 414 */
							BgL_objectz00_bglt BgL_tmpz00_10949;

							BgL_tmpz00_10949 =
								((BgL_objectz00_bglt) ((BgL_setfieldz00_bglt) BgL_nz00_4787));
							BgL_auxz00_10948 = BGL_OBJECT_WIDENING(BgL_tmpz00_10949);
						}
						BgL_auxz00_10947 =
							((BgL_setfieldzf2livenesszf2_bglt) BgL_auxz00_10948);
					}
					BgL_val0_1636z00_5564 =
						(((BgL_setfieldzf2livenesszf2_bglt) COBJECT(BgL_auxz00_10947))->
						BgL_defz00);
				}
				{
					BgL_setfieldzf2livenesszf2_bglt BgL_auxz00_10955;

					{
						obj_t BgL_auxz00_10956;

						{	/* Liveness/liveness.scm 414 */
							BgL_objectz00_bglt BgL_tmpz00_10957;

							BgL_tmpz00_10957 =
								((BgL_objectz00_bglt) ((BgL_setfieldz00_bglt) BgL_nz00_4787));
							BgL_auxz00_10956 = BGL_OBJECT_WIDENING(BgL_tmpz00_10957);
						}
						BgL_auxz00_10955 =
							((BgL_setfieldzf2livenesszf2_bglt) BgL_auxz00_10956);
					}
					BgL_val1_1637z00_5565 =
						(((BgL_setfieldzf2livenesszf2_bglt) COBJECT(BgL_auxz00_10955))->
						BgL_usez00);
				}
				{	/* Liveness/liveness.scm 414 */
					int BgL_tmpz00_10963;

					BgL_tmpz00_10963 = (int) (2L);
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_10963);
				}
				{	/* Liveness/liveness.scm 414 */
					int BgL_tmpz00_10966;

					BgL_tmpz00_10966 = (int) (1L);
					BGL_MVALUES_VAL_SET(BgL_tmpz00_10966, BgL_val1_1637z00_5565);
				}
				return BgL_val0_1636z00_5564;
			}
		}

	}



/* &defuse-setfield1921 */
	obj_t BGl_z62defusezd2setfield1921zb0zzliveness_livenessz00(obj_t
		BgL_envz00_4788, obj_t BgL_nz00_4789)
	{
		{	/* Liveness/liveness.scm 403 */
			{	/* Liveness/liveness.scm 405 */
				obj_t BgL_defz00_5567;

				{	/* Liveness/liveness.scm 406 */
					obj_t BgL_arg2234z00_5568;

					BgL_arg2234z00_5568 =
						(((BgL_externz00_bglt) COBJECT(
								((BgL_externz00_bglt)
									((BgL_setfieldz00_bglt) BgL_nz00_4789))))->BgL_exprza2za2);
					BgL_defz00_5567 =
						BGl_defuseza2za2zzliveness_livenessz00(BgL_arg2234z00_5568, BNIL,
						BNIL);
				}
				{	/* Liveness/liveness.scm 406 */
					obj_t BgL_usez00_5569;

					{	/* Liveness/liveness.scm 407 */
						obj_t BgL_tmpz00_5570;

						{	/* Liveness/liveness.scm 407 */
							int BgL_tmpz00_10973;

							BgL_tmpz00_10973 = (int) (1L);
							BgL_tmpz00_5570 = BGL_MVALUES_VAL(BgL_tmpz00_10973);
						}
						{	/* Liveness/liveness.scm 407 */
							int BgL_tmpz00_10976;

							BgL_tmpz00_10976 = (int) (1L);
							BGL_MVALUES_VAL_SET(BgL_tmpz00_10976, BUNSPEC);
						}
						BgL_usez00_5569 = BgL_tmpz00_5570;
					}
					{	/* Liveness/liveness.scm 408 */
						BgL_setfieldz00_bglt BgL_arg2231z00_5571;

						{	/* Liveness/liveness.scm 408 */
							BgL_setfieldzf2livenesszf2_bglt BgL_wide1234z00_5572;

							BgL_wide1234z00_5572 =
								((BgL_setfieldzf2livenesszf2_bglt)
								BOBJECT(GC_MALLOC(sizeof(struct
											BgL_setfieldzf2livenesszf2_bgl))));
							{	/* Liveness/liveness.scm 408 */
								obj_t BgL_auxz00_10984;
								BgL_objectz00_bglt BgL_tmpz00_10980;

								BgL_auxz00_10984 = ((obj_t) BgL_wide1234z00_5572);
								BgL_tmpz00_10980 =
									((BgL_objectz00_bglt)
									((BgL_setfieldz00_bglt)
										((BgL_setfieldz00_bglt) BgL_nz00_4789)));
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_10980, BgL_auxz00_10984);
							}
							((BgL_objectz00_bglt)
								((BgL_setfieldz00_bglt)
									((BgL_setfieldz00_bglt) BgL_nz00_4789)));
							{	/* Liveness/liveness.scm 408 */
								long BgL_arg2233z00_5573;

								BgL_arg2233z00_5573 =
									BGL_CLASS_NUM(BGl_setfieldzf2livenesszf2zzliveness_typesz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt)
										((BgL_setfieldz00_bglt)
											((BgL_setfieldz00_bglt) BgL_nz00_4789))),
									BgL_arg2233z00_5573);
							}
							((BgL_setfieldz00_bglt)
								((BgL_setfieldz00_bglt)
									((BgL_setfieldz00_bglt) BgL_nz00_4789)));
						}
						{
							BgL_setfieldzf2livenesszf2_bglt BgL_auxz00_10998;

							{
								obj_t BgL_auxz00_10999;

								{	/* Liveness/liveness.scm 409 */
									BgL_objectz00_bglt BgL_tmpz00_11000;

									BgL_tmpz00_11000 =
										((BgL_objectz00_bglt)
										((BgL_setfieldz00_bglt)
											((BgL_setfieldz00_bglt) BgL_nz00_4789)));
									BgL_auxz00_10999 = BGL_OBJECT_WIDENING(BgL_tmpz00_11000);
								}
								BgL_auxz00_10998 =
									((BgL_setfieldzf2livenesszf2_bglt) BgL_auxz00_10999);
							}
							((((BgL_setfieldzf2livenesszf2_bglt) COBJECT(BgL_auxz00_10998))->
									BgL_defz00) = ((obj_t) BgL_defz00_5567), BUNSPEC);
						}
						{
							BgL_setfieldzf2livenesszf2_bglt BgL_auxz00_11007;

							{
								obj_t BgL_auxz00_11008;

								{	/* Liveness/liveness.scm 410 */
									BgL_objectz00_bglt BgL_tmpz00_11009;

									BgL_tmpz00_11009 =
										((BgL_objectz00_bglt)
										((BgL_setfieldz00_bglt)
											((BgL_setfieldz00_bglt) BgL_nz00_4789)));
									BgL_auxz00_11008 = BGL_OBJECT_WIDENING(BgL_tmpz00_11009);
								}
								BgL_auxz00_11007 =
									((BgL_setfieldzf2livenesszf2_bglt) BgL_auxz00_11008);
							}
							((((BgL_setfieldzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11007))->
									BgL_usez00) = ((obj_t) BgL_usez00_5569), BUNSPEC);
						}
						{
							BgL_setfieldzf2livenesszf2_bglt BgL_auxz00_11016;

							{
								obj_t BgL_auxz00_11017;

								{	/* Liveness/liveness.scm 406 */
									BgL_objectz00_bglt BgL_tmpz00_11018;

									BgL_tmpz00_11018 =
										((BgL_objectz00_bglt)
										((BgL_setfieldz00_bglt)
											((BgL_setfieldz00_bglt) BgL_nz00_4789)));
									BgL_auxz00_11017 = BGL_OBJECT_WIDENING(BgL_tmpz00_11018);
								}
								BgL_auxz00_11016 =
									((BgL_setfieldzf2livenesszf2_bglt) BgL_auxz00_11017);
							}
							((((BgL_setfieldzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11016))->
									BgL_inz00) = ((obj_t) BNIL), BUNSPEC);
						}
						{
							BgL_setfieldzf2livenesszf2_bglt BgL_auxz00_11025;

							{
								obj_t BgL_auxz00_11026;

								{	/* Liveness/liveness.scm 406 */
									BgL_objectz00_bglt BgL_tmpz00_11027;

									BgL_tmpz00_11027 =
										((BgL_objectz00_bglt)
										((BgL_setfieldz00_bglt)
											((BgL_setfieldz00_bglt) BgL_nz00_4789)));
									BgL_auxz00_11026 = BGL_OBJECT_WIDENING(BgL_tmpz00_11027);
								}
								BgL_auxz00_11025 =
									((BgL_setfieldzf2livenesszf2_bglt) BgL_auxz00_11026);
							}
							((((BgL_setfieldzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11025))->
									BgL_outz00) = ((obj_t) BNIL), BUNSPEC);
						}
						BgL_arg2231z00_5571 =
							((BgL_setfieldz00_bglt) ((BgL_setfieldz00_bglt) BgL_nz00_4789));
						return
							BGl_defusez00zzliveness_livenessz00(
							((BgL_nodez00_bglt) BgL_arg2231z00_5571));
					}
				}
			}
		}

	}



/* &inout-getfield/liven1919 */
	obj_t BGl_z62inoutzd2getfieldzf2liven1919z42zzliveness_livenessz00(obj_t
		BgL_envz00_4790, obj_t BgL_nz00_4791)
	{
		{	/* Liveness/liveness.scm 396 */
			{	/* Liveness/liveness.scm 398 */
				obj_t BgL_val0_1634z00_5575;
				obj_t BgL_val1_1635z00_5576;

				{
					BgL_getfieldzf2livenesszf2_bglt BgL_auxz00_11038;

					{
						obj_t BgL_auxz00_11039;

						{	/* Liveness/liveness.scm 398 */
							BgL_objectz00_bglt BgL_tmpz00_11040;

							BgL_tmpz00_11040 =
								((BgL_objectz00_bglt) ((BgL_getfieldz00_bglt) BgL_nz00_4791));
							BgL_auxz00_11039 = BGL_OBJECT_WIDENING(BgL_tmpz00_11040);
						}
						BgL_auxz00_11038 =
							((BgL_getfieldzf2livenesszf2_bglt) BgL_auxz00_11039);
					}
					BgL_val0_1634z00_5575 =
						(((BgL_getfieldzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11038))->
						BgL_inz00);
				}
				{
					BgL_getfieldzf2livenesszf2_bglt BgL_auxz00_11046;

					{
						obj_t BgL_auxz00_11047;

						{	/* Liveness/liveness.scm 398 */
							BgL_objectz00_bglt BgL_tmpz00_11048;

							BgL_tmpz00_11048 =
								((BgL_objectz00_bglt) ((BgL_getfieldz00_bglt) BgL_nz00_4791));
							BgL_auxz00_11047 = BGL_OBJECT_WIDENING(BgL_tmpz00_11048);
						}
						BgL_auxz00_11046 =
							((BgL_getfieldzf2livenesszf2_bglt) BgL_auxz00_11047);
					}
					BgL_val1_1635z00_5576 =
						(((BgL_getfieldzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11046))->
						BgL_outz00);
				}
				{	/* Liveness/liveness.scm 398 */
					int BgL_tmpz00_11054;

					BgL_tmpz00_11054 = (int) (2L);
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_11054);
				}
				{	/* Liveness/liveness.scm 398 */
					int BgL_tmpz00_11057;

					BgL_tmpz00_11057 = (int) (1L);
					BGL_MVALUES_VAL_SET(BgL_tmpz00_11057, BgL_val1_1635z00_5576);
				}
				return BgL_val0_1634z00_5575;
			}
		}

	}



/* &inout!-getfield/live1917 */
	obj_t BGl_z62inoutz12zd2getfieldzf2live1917z50zzliveness_livenessz00(obj_t
		BgL_envz00_4792, obj_t BgL_nz00_4793, obj_t BgL_oz00_4794)
	{
		{	/* Liveness/liveness.scm 389 */
			{
				BgL_getfieldzf2livenesszf2_bglt BgL_auxz00_11060;

				{
					obj_t BgL_auxz00_11061;

					{	/* Liveness/liveness.scm 391 */
						BgL_objectz00_bglt BgL_tmpz00_11062;

						BgL_tmpz00_11062 =
							((BgL_objectz00_bglt) ((BgL_getfieldz00_bglt) BgL_nz00_4793));
						BgL_auxz00_11061 = BGL_OBJECT_WIDENING(BgL_tmpz00_11062);
					}
					BgL_auxz00_11060 =
						((BgL_getfieldzf2livenesszf2_bglt) BgL_auxz00_11061);
				}
				((((BgL_getfieldzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11060))->
						BgL_outz00) = ((obj_t) BgL_oz00_4794), BUNSPEC);
			}
			{
				obj_t BgL_auxz00_11075;
				BgL_getfieldzf2livenesszf2_bglt BgL_auxz00_11068;

				{	/* Liveness/liveness.scm 392 */
					obj_t BgL_arg2224z00_5578;
					obj_t BgL_arg2225z00_5579;

					{
						BgL_getfieldzf2livenesszf2_bglt BgL_auxz00_11076;

						{
							obj_t BgL_auxz00_11077;

							{	/* Liveness/liveness.scm 392 */
								BgL_objectz00_bglt BgL_tmpz00_11078;

								BgL_tmpz00_11078 =
									((BgL_objectz00_bglt) ((BgL_getfieldz00_bglt) BgL_nz00_4793));
								BgL_auxz00_11077 = BGL_OBJECT_WIDENING(BgL_tmpz00_11078);
							}
							BgL_auxz00_11076 =
								((BgL_getfieldzf2livenesszf2_bglt) BgL_auxz00_11077);
						}
						BgL_arg2224z00_5578 =
							(((BgL_getfieldzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11076))->
							BgL_usez00);
					}
					{	/* Liveness/liveness.scm 392 */
						obj_t BgL_arg2226z00_5580;
						obj_t BgL_arg2227z00_5581;

						{
							BgL_getfieldzf2livenesszf2_bglt BgL_auxz00_11084;

							{
								obj_t BgL_auxz00_11085;

								{	/* Liveness/liveness.scm 392 */
									BgL_objectz00_bglt BgL_tmpz00_11086;

									BgL_tmpz00_11086 =
										((BgL_objectz00_bglt)
										((BgL_getfieldz00_bglt) BgL_nz00_4793));
									BgL_auxz00_11085 = BGL_OBJECT_WIDENING(BgL_tmpz00_11086);
								}
								BgL_auxz00_11084 =
									((BgL_getfieldzf2livenesszf2_bglt) BgL_auxz00_11085);
							}
							BgL_arg2226z00_5580 =
								(((BgL_getfieldzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11084))->
								BgL_outz00);
						}
						{
							BgL_getfieldzf2livenesszf2_bglt BgL_auxz00_11092;

							{
								obj_t BgL_auxz00_11093;

								{	/* Liveness/liveness.scm 392 */
									BgL_objectz00_bglt BgL_tmpz00_11094;

									BgL_tmpz00_11094 =
										((BgL_objectz00_bglt)
										((BgL_getfieldz00_bglt) BgL_nz00_4793));
									BgL_auxz00_11093 = BGL_OBJECT_WIDENING(BgL_tmpz00_11094);
								}
								BgL_auxz00_11092 =
									((BgL_getfieldzf2livenesszf2_bglt) BgL_auxz00_11093);
							}
							BgL_arg2227z00_5581 =
								(((BgL_getfieldzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11092))->
								BgL_defz00);
						}
						BgL_arg2225z00_5579 =
							BGl_disjonctionz00zzliveness_setz00(BgL_arg2226z00_5580,
							BgL_arg2227z00_5581);
					}
					BgL_auxz00_11075 =
						BGl_unionz00zzliveness_setz00(BgL_arg2224z00_5578,
						BgL_arg2225z00_5579);
				}
				{
					obj_t BgL_auxz00_11069;

					{	/* Liveness/liveness.scm 392 */
						BgL_objectz00_bglt BgL_tmpz00_11070;

						BgL_tmpz00_11070 =
							((BgL_objectz00_bglt) ((BgL_getfieldz00_bglt) BgL_nz00_4793));
						BgL_auxz00_11069 = BGL_OBJECT_WIDENING(BgL_tmpz00_11070);
					}
					BgL_auxz00_11068 =
						((BgL_getfieldzf2livenesszf2_bglt) BgL_auxz00_11069);
				}
				((((BgL_getfieldzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11068))->
						BgL_inz00) = ((obj_t) BgL_auxz00_11075), BUNSPEC);
			}
			{	/* Liveness/liveness.scm 393 */
				obj_t BgL_g1631z00_5582;

				BgL_g1631z00_5582 =
					(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt)
								((BgL_getfieldz00_bglt) BgL_nz00_4793))))->BgL_exprza2za2);
				{
					obj_t BgL_l1629z00_5584;

					BgL_l1629z00_5584 = BgL_g1631z00_5582;
				BgL_zc3z04anonymousza32228ze3z87_5583:
					if (PAIRP(BgL_l1629z00_5584))
						{	/* Liveness/liveness.scm 393 */
							{	/* Liveness/liveness.scm 393 */
								obj_t BgL_ez00_5585;

								BgL_ez00_5585 = CAR(BgL_l1629z00_5584);
								BGl_inoutz12z12zzliveness_livenessz00(
									((BgL_nodez00_bglt) BgL_ez00_5585), BgL_oz00_4794);
							}
							{
								obj_t BgL_l1629z00_11111;

								BgL_l1629z00_11111 = CDR(BgL_l1629z00_5584);
								BgL_l1629z00_5584 = BgL_l1629z00_11111;
								goto BgL_zc3z04anonymousza32228ze3z87_5583;
							}
						}
					else
						{	/* Liveness/liveness.scm 393 */
							((bool_t) 1);
						}
				}
			}
			{	/* Liveness/liveness.scm 394 */
				obj_t BgL_val0_1632z00_5586;
				obj_t BgL_val1_1633z00_5587;

				{
					BgL_getfieldzf2livenesszf2_bglt BgL_auxz00_11113;

					{
						obj_t BgL_auxz00_11114;

						{	/* Liveness/liveness.scm 394 */
							BgL_objectz00_bglt BgL_tmpz00_11115;

							BgL_tmpz00_11115 =
								((BgL_objectz00_bglt) ((BgL_getfieldz00_bglt) BgL_nz00_4793));
							BgL_auxz00_11114 = BGL_OBJECT_WIDENING(BgL_tmpz00_11115);
						}
						BgL_auxz00_11113 =
							((BgL_getfieldzf2livenesszf2_bglt) BgL_auxz00_11114);
					}
					BgL_val0_1632z00_5586 =
						(((BgL_getfieldzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11113))->
						BgL_inz00);
				}
				{
					BgL_getfieldzf2livenesszf2_bglt BgL_auxz00_11121;

					{
						obj_t BgL_auxz00_11122;

						{	/* Liveness/liveness.scm 394 */
							BgL_objectz00_bglt BgL_tmpz00_11123;

							BgL_tmpz00_11123 =
								((BgL_objectz00_bglt) ((BgL_getfieldz00_bglt) BgL_nz00_4793));
							BgL_auxz00_11122 = BGL_OBJECT_WIDENING(BgL_tmpz00_11123);
						}
						BgL_auxz00_11121 =
							((BgL_getfieldzf2livenesszf2_bglt) BgL_auxz00_11122);
					}
					BgL_val1_1633z00_5587 =
						(((BgL_getfieldzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11121))->
						BgL_outz00);
				}
				{	/* Liveness/liveness.scm 394 */
					int BgL_tmpz00_11129;

					BgL_tmpz00_11129 = (int) (2L);
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_11129);
				}
				{	/* Liveness/liveness.scm 394 */
					int BgL_tmpz00_11132;

					BgL_tmpz00_11132 = (int) (1L);
					BGL_MVALUES_VAL_SET(BgL_tmpz00_11132, BgL_val1_1633z00_5587);
				}
				return BgL_val0_1632z00_5586;
			}
		}

	}



/* &defuse-getfield/live1915 */
	obj_t BGl_z62defusezd2getfieldzf2live1915z42zzliveness_livenessz00(obj_t
		BgL_envz00_4795, obj_t BgL_nz00_4796)
	{
		{	/* Liveness/liveness.scm 385 */
			{	/* Liveness/liveness.scm 387 */
				obj_t BgL_val0_1627z00_5589;
				obj_t BgL_val1_1628z00_5590;

				{
					BgL_getfieldzf2livenesszf2_bglt BgL_auxz00_11135;

					{
						obj_t BgL_auxz00_11136;

						{	/* Liveness/liveness.scm 387 */
							BgL_objectz00_bglt BgL_tmpz00_11137;

							BgL_tmpz00_11137 =
								((BgL_objectz00_bglt) ((BgL_getfieldz00_bglt) BgL_nz00_4796));
							BgL_auxz00_11136 = BGL_OBJECT_WIDENING(BgL_tmpz00_11137);
						}
						BgL_auxz00_11135 =
							((BgL_getfieldzf2livenesszf2_bglt) BgL_auxz00_11136);
					}
					BgL_val0_1627z00_5589 =
						(((BgL_getfieldzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11135))->
						BgL_defz00);
				}
				{
					BgL_getfieldzf2livenesszf2_bglt BgL_auxz00_11143;

					{
						obj_t BgL_auxz00_11144;

						{	/* Liveness/liveness.scm 387 */
							BgL_objectz00_bglt BgL_tmpz00_11145;

							BgL_tmpz00_11145 =
								((BgL_objectz00_bglt) ((BgL_getfieldz00_bglt) BgL_nz00_4796));
							BgL_auxz00_11144 = BGL_OBJECT_WIDENING(BgL_tmpz00_11145);
						}
						BgL_auxz00_11143 =
							((BgL_getfieldzf2livenesszf2_bglt) BgL_auxz00_11144);
					}
					BgL_val1_1628z00_5590 =
						(((BgL_getfieldzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11143))->
						BgL_usez00);
				}
				{	/* Liveness/liveness.scm 387 */
					int BgL_tmpz00_11151;

					BgL_tmpz00_11151 = (int) (2L);
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_11151);
				}
				{	/* Liveness/liveness.scm 387 */
					int BgL_tmpz00_11154;

					BgL_tmpz00_11154 = (int) (1L);
					BGL_MVALUES_VAL_SET(BgL_tmpz00_11154, BgL_val1_1628z00_5590);
				}
				return BgL_val0_1627z00_5589;
			}
		}

	}



/* &defuse-getfield1913 */
	obj_t BGl_z62defusezd2getfield1913zb0zzliveness_livenessz00(obj_t
		BgL_envz00_4797, obj_t BgL_nz00_4798)
	{
		{	/* Liveness/liveness.scm 376 */
			{	/* Liveness/liveness.scm 378 */
				obj_t BgL_defz00_5592;

				{	/* Liveness/liveness.scm 379 */
					obj_t BgL_arg2223z00_5593;

					BgL_arg2223z00_5593 =
						(((BgL_externz00_bglt) COBJECT(
								((BgL_externz00_bglt)
									((BgL_getfieldz00_bglt) BgL_nz00_4798))))->BgL_exprza2za2);
					BgL_defz00_5592 =
						BGl_defuseza2za2zzliveness_livenessz00(BgL_arg2223z00_5593, BNIL,
						BNIL);
				}
				{	/* Liveness/liveness.scm 379 */
					obj_t BgL_usez00_5594;

					{	/* Liveness/liveness.scm 380 */
						obj_t BgL_tmpz00_5595;

						{	/* Liveness/liveness.scm 380 */
							int BgL_tmpz00_11161;

							BgL_tmpz00_11161 = (int) (1L);
							BgL_tmpz00_5595 = BGL_MVALUES_VAL(BgL_tmpz00_11161);
						}
						{	/* Liveness/liveness.scm 380 */
							int BgL_tmpz00_11164;

							BgL_tmpz00_11164 = (int) (1L);
							BGL_MVALUES_VAL_SET(BgL_tmpz00_11164, BUNSPEC);
						}
						BgL_usez00_5594 = BgL_tmpz00_5595;
					}
					{	/* Liveness/liveness.scm 381 */
						BgL_getfieldz00_bglt BgL_arg2221z00_5596;

						{	/* Liveness/liveness.scm 381 */
							BgL_getfieldzf2livenesszf2_bglt BgL_wide1226z00_5597;

							BgL_wide1226z00_5597 =
								((BgL_getfieldzf2livenesszf2_bglt)
								BOBJECT(GC_MALLOC(sizeof(struct
											BgL_getfieldzf2livenesszf2_bgl))));
							{	/* Liveness/liveness.scm 381 */
								obj_t BgL_auxz00_11172;
								BgL_objectz00_bglt BgL_tmpz00_11168;

								BgL_auxz00_11172 = ((obj_t) BgL_wide1226z00_5597);
								BgL_tmpz00_11168 =
									((BgL_objectz00_bglt)
									((BgL_getfieldz00_bglt)
										((BgL_getfieldz00_bglt) BgL_nz00_4798)));
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_11168, BgL_auxz00_11172);
							}
							((BgL_objectz00_bglt)
								((BgL_getfieldz00_bglt)
									((BgL_getfieldz00_bglt) BgL_nz00_4798)));
							{	/* Liveness/liveness.scm 381 */
								long BgL_arg2222z00_5598;

								BgL_arg2222z00_5598 =
									BGL_CLASS_NUM(BGl_getfieldzf2livenesszf2zzliveness_typesz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt)
										((BgL_getfieldz00_bglt)
											((BgL_getfieldz00_bglt) BgL_nz00_4798))),
									BgL_arg2222z00_5598);
							}
							((BgL_getfieldz00_bglt)
								((BgL_getfieldz00_bglt)
									((BgL_getfieldz00_bglt) BgL_nz00_4798)));
						}
						{
							BgL_getfieldzf2livenesszf2_bglt BgL_auxz00_11186;

							{
								obj_t BgL_auxz00_11187;

								{	/* Liveness/liveness.scm 382 */
									BgL_objectz00_bglt BgL_tmpz00_11188;

									BgL_tmpz00_11188 =
										((BgL_objectz00_bglt)
										((BgL_getfieldz00_bglt)
											((BgL_getfieldz00_bglt) BgL_nz00_4798)));
									BgL_auxz00_11187 = BGL_OBJECT_WIDENING(BgL_tmpz00_11188);
								}
								BgL_auxz00_11186 =
									((BgL_getfieldzf2livenesszf2_bglt) BgL_auxz00_11187);
							}
							((((BgL_getfieldzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11186))->
									BgL_defz00) = ((obj_t) BgL_defz00_5592), BUNSPEC);
						}
						{
							BgL_getfieldzf2livenesszf2_bglt BgL_auxz00_11195;

							{
								obj_t BgL_auxz00_11196;

								{	/* Liveness/liveness.scm 383 */
									BgL_objectz00_bglt BgL_tmpz00_11197;

									BgL_tmpz00_11197 =
										((BgL_objectz00_bglt)
										((BgL_getfieldz00_bglt)
											((BgL_getfieldz00_bglt) BgL_nz00_4798)));
									BgL_auxz00_11196 = BGL_OBJECT_WIDENING(BgL_tmpz00_11197);
								}
								BgL_auxz00_11195 =
									((BgL_getfieldzf2livenesszf2_bglt) BgL_auxz00_11196);
							}
							((((BgL_getfieldzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11195))->
									BgL_usez00) = ((obj_t) BgL_usez00_5594), BUNSPEC);
						}
						{
							BgL_getfieldzf2livenesszf2_bglt BgL_auxz00_11204;

							{
								obj_t BgL_auxz00_11205;

								{	/* Liveness/liveness.scm 379 */
									BgL_objectz00_bglt BgL_tmpz00_11206;

									BgL_tmpz00_11206 =
										((BgL_objectz00_bglt)
										((BgL_getfieldz00_bglt)
											((BgL_getfieldz00_bglt) BgL_nz00_4798)));
									BgL_auxz00_11205 = BGL_OBJECT_WIDENING(BgL_tmpz00_11206);
								}
								BgL_auxz00_11204 =
									((BgL_getfieldzf2livenesszf2_bglt) BgL_auxz00_11205);
							}
							((((BgL_getfieldzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11204))->
									BgL_inz00) = ((obj_t) BNIL), BUNSPEC);
						}
						{
							BgL_getfieldzf2livenesszf2_bglt BgL_auxz00_11213;

							{
								obj_t BgL_auxz00_11214;

								{	/* Liveness/liveness.scm 379 */
									BgL_objectz00_bglt BgL_tmpz00_11215;

									BgL_tmpz00_11215 =
										((BgL_objectz00_bglt)
										((BgL_getfieldz00_bglt)
											((BgL_getfieldz00_bglt) BgL_nz00_4798)));
									BgL_auxz00_11214 = BGL_OBJECT_WIDENING(BgL_tmpz00_11215);
								}
								BgL_auxz00_11213 =
									((BgL_getfieldzf2livenesszf2_bglt) BgL_auxz00_11214);
							}
							((((BgL_getfieldzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11213))->
									BgL_outz00) = ((obj_t) BNIL), BUNSPEC);
						}
						BgL_arg2221z00_5596 =
							((BgL_getfieldz00_bglt) ((BgL_getfieldz00_bglt) BgL_nz00_4798));
						return
							BGl_defusez00zzliveness_livenessz00(
							((BgL_nodez00_bglt) BgL_arg2221z00_5596));
					}
				}
			}
		}

	}



/* &inout-pragma/livenes1911 */
	obj_t BGl_z62inoutzd2pragmazf2livenes1911z42zzliveness_livenessz00(obj_t
		BgL_envz00_4799, obj_t BgL_nz00_4800)
	{
		{	/* Liveness/liveness.scm 369 */
			{	/* Liveness/liveness.scm 371 */
				obj_t BgL_val0_1625z00_5600;
				obj_t BgL_val1_1626z00_5601;

				{
					BgL_pragmazf2livenesszf2_bglt BgL_auxz00_11226;

					{
						obj_t BgL_auxz00_11227;

						{	/* Liveness/liveness.scm 371 */
							BgL_objectz00_bglt BgL_tmpz00_11228;

							BgL_tmpz00_11228 =
								((BgL_objectz00_bglt) ((BgL_pragmaz00_bglt) BgL_nz00_4800));
							BgL_auxz00_11227 = BGL_OBJECT_WIDENING(BgL_tmpz00_11228);
						}
						BgL_auxz00_11226 =
							((BgL_pragmazf2livenesszf2_bglt) BgL_auxz00_11227);
					}
					BgL_val0_1625z00_5600 =
						(((BgL_pragmazf2livenesszf2_bglt) COBJECT(BgL_auxz00_11226))->
						BgL_inz00);
				}
				{
					BgL_pragmazf2livenesszf2_bglt BgL_auxz00_11234;

					{
						obj_t BgL_auxz00_11235;

						{	/* Liveness/liveness.scm 371 */
							BgL_objectz00_bglt BgL_tmpz00_11236;

							BgL_tmpz00_11236 =
								((BgL_objectz00_bglt) ((BgL_pragmaz00_bglt) BgL_nz00_4800));
							BgL_auxz00_11235 = BGL_OBJECT_WIDENING(BgL_tmpz00_11236);
						}
						BgL_auxz00_11234 =
							((BgL_pragmazf2livenesszf2_bglt) BgL_auxz00_11235);
					}
					BgL_val1_1626z00_5601 =
						(((BgL_pragmazf2livenesszf2_bglt) COBJECT(BgL_auxz00_11234))->
						BgL_outz00);
				}
				{	/* Liveness/liveness.scm 371 */
					int BgL_tmpz00_11242;

					BgL_tmpz00_11242 = (int) (2L);
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_11242);
				}
				{	/* Liveness/liveness.scm 371 */
					int BgL_tmpz00_11245;

					BgL_tmpz00_11245 = (int) (1L);
					BGL_MVALUES_VAL_SET(BgL_tmpz00_11245, BgL_val1_1626z00_5601);
				}
				return BgL_val0_1625z00_5600;
			}
		}

	}



/* &inout!-pragma/livene1909 */
	obj_t BGl_z62inoutz12zd2pragmazf2livene1909z50zzliveness_livenessz00(obj_t
		BgL_envz00_4801, obj_t BgL_nz00_4802, obj_t BgL_oz00_4803)
	{
		{	/* Liveness/liveness.scm 362 */
			{
				BgL_pragmazf2livenesszf2_bglt BgL_auxz00_11248;

				{
					obj_t BgL_auxz00_11249;

					{	/* Liveness/liveness.scm 364 */
						BgL_objectz00_bglt BgL_tmpz00_11250;

						BgL_tmpz00_11250 =
							((BgL_objectz00_bglt) ((BgL_pragmaz00_bglt) BgL_nz00_4802));
						BgL_auxz00_11249 = BGL_OBJECT_WIDENING(BgL_tmpz00_11250);
					}
					BgL_auxz00_11248 = ((BgL_pragmazf2livenesszf2_bglt) BgL_auxz00_11249);
				}
				((((BgL_pragmazf2livenesszf2_bglt) COBJECT(BgL_auxz00_11248))->
						BgL_outz00) = ((obj_t) BgL_oz00_4803), BUNSPEC);
			}
			{
				obj_t BgL_auxz00_11263;
				BgL_pragmazf2livenesszf2_bglt BgL_auxz00_11256;

				{	/* Liveness/liveness.scm 365 */
					obj_t BgL_arg2214z00_5603;
					obj_t BgL_arg2215z00_5604;

					{
						BgL_pragmazf2livenesszf2_bglt BgL_auxz00_11264;

						{
							obj_t BgL_auxz00_11265;

							{	/* Liveness/liveness.scm 365 */
								BgL_objectz00_bglt BgL_tmpz00_11266;

								BgL_tmpz00_11266 =
									((BgL_objectz00_bglt) ((BgL_pragmaz00_bglt) BgL_nz00_4802));
								BgL_auxz00_11265 = BGL_OBJECT_WIDENING(BgL_tmpz00_11266);
							}
							BgL_auxz00_11264 =
								((BgL_pragmazf2livenesszf2_bglt) BgL_auxz00_11265);
						}
						BgL_arg2214z00_5603 =
							(((BgL_pragmazf2livenesszf2_bglt) COBJECT(BgL_auxz00_11264))->
							BgL_usez00);
					}
					{	/* Liveness/liveness.scm 365 */
						obj_t BgL_arg2216z00_5605;
						obj_t BgL_arg2217z00_5606;

						{
							BgL_pragmazf2livenesszf2_bglt BgL_auxz00_11272;

							{
								obj_t BgL_auxz00_11273;

								{	/* Liveness/liveness.scm 365 */
									BgL_objectz00_bglt BgL_tmpz00_11274;

									BgL_tmpz00_11274 =
										((BgL_objectz00_bglt) ((BgL_pragmaz00_bglt) BgL_nz00_4802));
									BgL_auxz00_11273 = BGL_OBJECT_WIDENING(BgL_tmpz00_11274);
								}
								BgL_auxz00_11272 =
									((BgL_pragmazf2livenesszf2_bglt) BgL_auxz00_11273);
							}
							BgL_arg2216z00_5605 =
								(((BgL_pragmazf2livenesszf2_bglt) COBJECT(BgL_auxz00_11272))->
								BgL_outz00);
						}
						{
							BgL_pragmazf2livenesszf2_bglt BgL_auxz00_11280;

							{
								obj_t BgL_auxz00_11281;

								{	/* Liveness/liveness.scm 365 */
									BgL_objectz00_bglt BgL_tmpz00_11282;

									BgL_tmpz00_11282 =
										((BgL_objectz00_bglt) ((BgL_pragmaz00_bglt) BgL_nz00_4802));
									BgL_auxz00_11281 = BGL_OBJECT_WIDENING(BgL_tmpz00_11282);
								}
								BgL_auxz00_11280 =
									((BgL_pragmazf2livenesszf2_bglt) BgL_auxz00_11281);
							}
							BgL_arg2217z00_5606 =
								(((BgL_pragmazf2livenesszf2_bglt) COBJECT(BgL_auxz00_11280))->
								BgL_defz00);
						}
						BgL_arg2215z00_5604 =
							BGl_disjonctionz00zzliveness_setz00(BgL_arg2216z00_5605,
							BgL_arg2217z00_5606);
					}
					BgL_auxz00_11263 =
						BGl_unionz00zzliveness_setz00(BgL_arg2214z00_5603,
						BgL_arg2215z00_5604);
				}
				{
					obj_t BgL_auxz00_11257;

					{	/* Liveness/liveness.scm 365 */
						BgL_objectz00_bglt BgL_tmpz00_11258;

						BgL_tmpz00_11258 =
							((BgL_objectz00_bglt) ((BgL_pragmaz00_bglt) BgL_nz00_4802));
						BgL_auxz00_11257 = BGL_OBJECT_WIDENING(BgL_tmpz00_11258);
					}
					BgL_auxz00_11256 = ((BgL_pragmazf2livenesszf2_bglt) BgL_auxz00_11257);
				}
				((((BgL_pragmazf2livenesszf2_bglt) COBJECT(BgL_auxz00_11256))->
						BgL_inz00) = ((obj_t) BgL_auxz00_11263), BUNSPEC);
			}
			{	/* Liveness/liveness.scm 366 */
				obj_t BgL_g1622z00_5607;

				BgL_g1622z00_5607 =
					(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt)
								((BgL_pragmaz00_bglt) BgL_nz00_4802))))->BgL_exprza2za2);
				{
					obj_t BgL_l1620z00_5609;

					BgL_l1620z00_5609 = BgL_g1622z00_5607;
				BgL_zc3z04anonymousza32218ze3z87_5608:
					if (PAIRP(BgL_l1620z00_5609))
						{	/* Liveness/liveness.scm 366 */
							{	/* Liveness/liveness.scm 366 */
								obj_t BgL_ez00_5610;

								BgL_ez00_5610 = CAR(BgL_l1620z00_5609);
								BGl_inoutz12z12zzliveness_livenessz00(
									((BgL_nodez00_bglt) BgL_ez00_5610), BgL_oz00_4803);
							}
							{
								obj_t BgL_l1620z00_11299;

								BgL_l1620z00_11299 = CDR(BgL_l1620z00_5609);
								BgL_l1620z00_5609 = BgL_l1620z00_11299;
								goto BgL_zc3z04anonymousza32218ze3z87_5608;
							}
						}
					else
						{	/* Liveness/liveness.scm 366 */
							((bool_t) 1);
						}
				}
			}
			{	/* Liveness/liveness.scm 367 */
				obj_t BgL_val0_1623z00_5611;
				obj_t BgL_val1_1624z00_5612;

				{
					BgL_pragmazf2livenesszf2_bglt BgL_auxz00_11301;

					{
						obj_t BgL_auxz00_11302;

						{	/* Liveness/liveness.scm 367 */
							BgL_objectz00_bglt BgL_tmpz00_11303;

							BgL_tmpz00_11303 =
								((BgL_objectz00_bglt) ((BgL_pragmaz00_bglt) BgL_nz00_4802));
							BgL_auxz00_11302 = BGL_OBJECT_WIDENING(BgL_tmpz00_11303);
						}
						BgL_auxz00_11301 =
							((BgL_pragmazf2livenesszf2_bglt) BgL_auxz00_11302);
					}
					BgL_val0_1623z00_5611 =
						(((BgL_pragmazf2livenesszf2_bglt) COBJECT(BgL_auxz00_11301))->
						BgL_inz00);
				}
				{
					BgL_pragmazf2livenesszf2_bglt BgL_auxz00_11309;

					{
						obj_t BgL_auxz00_11310;

						{	/* Liveness/liveness.scm 367 */
							BgL_objectz00_bglt BgL_tmpz00_11311;

							BgL_tmpz00_11311 =
								((BgL_objectz00_bglt) ((BgL_pragmaz00_bglt) BgL_nz00_4802));
							BgL_auxz00_11310 = BGL_OBJECT_WIDENING(BgL_tmpz00_11311);
						}
						BgL_auxz00_11309 =
							((BgL_pragmazf2livenesszf2_bglt) BgL_auxz00_11310);
					}
					BgL_val1_1624z00_5612 =
						(((BgL_pragmazf2livenesszf2_bglt) COBJECT(BgL_auxz00_11309))->
						BgL_outz00);
				}
				{	/* Liveness/liveness.scm 367 */
					int BgL_tmpz00_11317;

					BgL_tmpz00_11317 = (int) (2L);
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_11317);
				}
				{	/* Liveness/liveness.scm 367 */
					int BgL_tmpz00_11320;

					BgL_tmpz00_11320 = (int) (1L);
					BGL_MVALUES_VAL_SET(BgL_tmpz00_11320, BgL_val1_1624z00_5612);
				}
				return BgL_val0_1623z00_5611;
			}
		}

	}



/* &defuse-pragma/livene1907 */
	obj_t BGl_z62defusezd2pragmazf2livene1907z42zzliveness_livenessz00(obj_t
		BgL_envz00_4804, obj_t BgL_nz00_4805)
	{
		{	/* Liveness/liveness.scm 358 */
			{	/* Liveness/liveness.scm 360 */
				obj_t BgL_val0_1618z00_5614;
				obj_t BgL_val1_1619z00_5615;

				{
					BgL_pragmazf2livenesszf2_bglt BgL_auxz00_11323;

					{
						obj_t BgL_auxz00_11324;

						{	/* Liveness/liveness.scm 360 */
							BgL_objectz00_bglt BgL_tmpz00_11325;

							BgL_tmpz00_11325 =
								((BgL_objectz00_bglt) ((BgL_pragmaz00_bglt) BgL_nz00_4805));
							BgL_auxz00_11324 = BGL_OBJECT_WIDENING(BgL_tmpz00_11325);
						}
						BgL_auxz00_11323 =
							((BgL_pragmazf2livenesszf2_bglt) BgL_auxz00_11324);
					}
					BgL_val0_1618z00_5614 =
						(((BgL_pragmazf2livenesszf2_bglt) COBJECT(BgL_auxz00_11323))->
						BgL_defz00);
				}
				{
					BgL_pragmazf2livenesszf2_bglt BgL_auxz00_11331;

					{
						obj_t BgL_auxz00_11332;

						{	/* Liveness/liveness.scm 360 */
							BgL_objectz00_bglt BgL_tmpz00_11333;

							BgL_tmpz00_11333 =
								((BgL_objectz00_bglt) ((BgL_pragmaz00_bglt) BgL_nz00_4805));
							BgL_auxz00_11332 = BGL_OBJECT_WIDENING(BgL_tmpz00_11333);
						}
						BgL_auxz00_11331 =
							((BgL_pragmazf2livenesszf2_bglt) BgL_auxz00_11332);
					}
					BgL_val1_1619z00_5615 =
						(((BgL_pragmazf2livenesszf2_bglt) COBJECT(BgL_auxz00_11331))->
						BgL_usez00);
				}
				{	/* Liveness/liveness.scm 360 */
					int BgL_tmpz00_11339;

					BgL_tmpz00_11339 = (int) (2L);
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_11339);
				}
				{	/* Liveness/liveness.scm 360 */
					int BgL_tmpz00_11342;

					BgL_tmpz00_11342 = (int) (1L);
					BGL_MVALUES_VAL_SET(BgL_tmpz00_11342, BgL_val1_1619z00_5615);
				}
				return BgL_val0_1618z00_5614;
			}
		}

	}



/* &defuse-pragma1905 */
	obj_t BGl_z62defusezd2pragma1905zb0zzliveness_livenessz00(obj_t
		BgL_envz00_4806, obj_t BgL_nz00_4807)
	{
		{	/* Liveness/liveness.scm 349 */
			{	/* Liveness/liveness.scm 351 */
				obj_t BgL_defz00_5617;

				{	/* Liveness/liveness.scm 352 */
					obj_t BgL_arg2213z00_5618;

					BgL_arg2213z00_5618 =
						(((BgL_externz00_bglt) COBJECT(
								((BgL_externz00_bglt)
									((BgL_pragmaz00_bglt) BgL_nz00_4807))))->BgL_exprza2za2);
					BgL_defz00_5617 =
						BGl_defuseza2za2zzliveness_livenessz00(BgL_arg2213z00_5618, BNIL,
						BNIL);
				}
				{	/* Liveness/liveness.scm 352 */
					obj_t BgL_usez00_5619;

					{	/* Liveness/liveness.scm 353 */
						obj_t BgL_tmpz00_5620;

						{	/* Liveness/liveness.scm 353 */
							int BgL_tmpz00_11349;

							BgL_tmpz00_11349 = (int) (1L);
							BgL_tmpz00_5620 = BGL_MVALUES_VAL(BgL_tmpz00_11349);
						}
						{	/* Liveness/liveness.scm 353 */
							int BgL_tmpz00_11352;

							BgL_tmpz00_11352 = (int) (1L);
							BGL_MVALUES_VAL_SET(BgL_tmpz00_11352, BUNSPEC);
						}
						BgL_usez00_5619 = BgL_tmpz00_5620;
					}
					{	/* Liveness/liveness.scm 354 */
						BgL_pragmaz00_bglt BgL_arg2211z00_5621;

						{	/* Liveness/liveness.scm 354 */
							BgL_pragmazf2livenesszf2_bglt BgL_wide1218z00_5622;

							BgL_wide1218z00_5622 =
								((BgL_pragmazf2livenesszf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_pragmazf2livenesszf2_bgl))));
							{	/* Liveness/liveness.scm 354 */
								obj_t BgL_auxz00_11360;
								BgL_objectz00_bglt BgL_tmpz00_11356;

								BgL_auxz00_11360 = ((obj_t) BgL_wide1218z00_5622);
								BgL_tmpz00_11356 =
									((BgL_objectz00_bglt)
									((BgL_pragmaz00_bglt) ((BgL_pragmaz00_bglt) BgL_nz00_4807)));
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_11356, BgL_auxz00_11360);
							}
							((BgL_objectz00_bglt)
								((BgL_pragmaz00_bglt) ((BgL_pragmaz00_bglt) BgL_nz00_4807)));
							{	/* Liveness/liveness.scm 354 */
								long BgL_arg2212z00_5623;

								BgL_arg2212z00_5623 =
									BGL_CLASS_NUM(BGl_pragmazf2livenesszf2zzliveness_typesz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt)
										((BgL_pragmaz00_bglt)
											((BgL_pragmaz00_bglt) BgL_nz00_4807))),
									BgL_arg2212z00_5623);
							}
							((BgL_pragmaz00_bglt)
								((BgL_pragmaz00_bglt) ((BgL_pragmaz00_bglt) BgL_nz00_4807)));
						}
						{
							BgL_pragmazf2livenesszf2_bglt BgL_auxz00_11374;

							{
								obj_t BgL_auxz00_11375;

								{	/* Liveness/liveness.scm 355 */
									BgL_objectz00_bglt BgL_tmpz00_11376;

									BgL_tmpz00_11376 =
										((BgL_objectz00_bglt)
										((BgL_pragmaz00_bglt)
											((BgL_pragmaz00_bglt) BgL_nz00_4807)));
									BgL_auxz00_11375 = BGL_OBJECT_WIDENING(BgL_tmpz00_11376);
								}
								BgL_auxz00_11374 =
									((BgL_pragmazf2livenesszf2_bglt) BgL_auxz00_11375);
							}
							((((BgL_pragmazf2livenesszf2_bglt) COBJECT(BgL_auxz00_11374))->
									BgL_defz00) = ((obj_t) BgL_defz00_5617), BUNSPEC);
						}
						{
							BgL_pragmazf2livenesszf2_bglt BgL_auxz00_11383;

							{
								obj_t BgL_auxz00_11384;

								{	/* Liveness/liveness.scm 356 */
									BgL_objectz00_bglt BgL_tmpz00_11385;

									BgL_tmpz00_11385 =
										((BgL_objectz00_bglt)
										((BgL_pragmaz00_bglt)
											((BgL_pragmaz00_bglt) BgL_nz00_4807)));
									BgL_auxz00_11384 = BGL_OBJECT_WIDENING(BgL_tmpz00_11385);
								}
								BgL_auxz00_11383 =
									((BgL_pragmazf2livenesszf2_bglt) BgL_auxz00_11384);
							}
							((((BgL_pragmazf2livenesszf2_bglt) COBJECT(BgL_auxz00_11383))->
									BgL_usez00) = ((obj_t) BgL_usez00_5619), BUNSPEC);
						}
						{
							BgL_pragmazf2livenesszf2_bglt BgL_auxz00_11392;

							{
								obj_t BgL_auxz00_11393;

								{	/* Liveness/liveness.scm 352 */
									BgL_objectz00_bglt BgL_tmpz00_11394;

									BgL_tmpz00_11394 =
										((BgL_objectz00_bglt)
										((BgL_pragmaz00_bglt)
											((BgL_pragmaz00_bglt) BgL_nz00_4807)));
									BgL_auxz00_11393 = BGL_OBJECT_WIDENING(BgL_tmpz00_11394);
								}
								BgL_auxz00_11392 =
									((BgL_pragmazf2livenesszf2_bglt) BgL_auxz00_11393);
							}
							((((BgL_pragmazf2livenesszf2_bglt) COBJECT(BgL_auxz00_11392))->
									BgL_inz00) = ((obj_t) BNIL), BUNSPEC);
						}
						{
							BgL_pragmazf2livenesszf2_bglt BgL_auxz00_11401;

							{
								obj_t BgL_auxz00_11402;

								{	/* Liveness/liveness.scm 352 */
									BgL_objectz00_bglt BgL_tmpz00_11403;

									BgL_tmpz00_11403 =
										((BgL_objectz00_bglt)
										((BgL_pragmaz00_bglt)
											((BgL_pragmaz00_bglt) BgL_nz00_4807)));
									BgL_auxz00_11402 = BGL_OBJECT_WIDENING(BgL_tmpz00_11403);
								}
								BgL_auxz00_11401 =
									((BgL_pragmazf2livenesszf2_bglt) BgL_auxz00_11402);
							}
							((((BgL_pragmazf2livenesszf2_bglt) COBJECT(BgL_auxz00_11401))->
									BgL_outz00) = ((obj_t) BNIL), BUNSPEC);
						}
						BgL_arg2211z00_5621 =
							((BgL_pragmaz00_bglt) ((BgL_pragmaz00_bglt) BgL_nz00_4807));
						return
							BGl_defusez00zzliveness_livenessz00(
							((BgL_nodez00_bglt) BgL_arg2211z00_5621));
					}
				}
			}
		}

	}



/* &defuse-extern1903 */
	obj_t BGl_z62defusezd2extern1903zb0zzliveness_livenessz00(obj_t
		BgL_envz00_4808, obj_t BgL_nz00_4809)
	{
		{	/* Liveness/liveness.scm 342 */
			return
				BGl_defuseza2za2zzliveness_livenessz00(
				(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt) BgL_nz00_4809)))->BgL_exprza2za2), BNIL,
				BNIL);
		}

	}



/* &inout-funcall/livene1901 */
	obj_t BGl_z62inoutzd2funcallzf2livene1901z42zzliveness_livenessz00(obj_t
		BgL_envz00_4810, obj_t BgL_nz00_4811)
	{
		{	/* Liveness/liveness.scm 335 */
			{	/* Liveness/liveness.scm 337 */
				obj_t BgL_val0_1616z00_5626;
				obj_t BgL_val1_1617z00_5627;

				{
					BgL_funcallzf2livenesszf2_bglt BgL_auxz00_11417;

					{
						obj_t BgL_auxz00_11418;

						{	/* Liveness/liveness.scm 337 */
							BgL_objectz00_bglt BgL_tmpz00_11419;

							BgL_tmpz00_11419 =
								((BgL_objectz00_bglt) ((BgL_funcallz00_bglt) BgL_nz00_4811));
							BgL_auxz00_11418 = BGL_OBJECT_WIDENING(BgL_tmpz00_11419);
						}
						BgL_auxz00_11417 =
							((BgL_funcallzf2livenesszf2_bglt) BgL_auxz00_11418);
					}
					BgL_val0_1616z00_5626 =
						(((BgL_funcallzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11417))->
						BgL_inz00);
				}
				{
					BgL_funcallzf2livenesszf2_bglt BgL_auxz00_11425;

					{
						obj_t BgL_auxz00_11426;

						{	/* Liveness/liveness.scm 337 */
							BgL_objectz00_bglt BgL_tmpz00_11427;

							BgL_tmpz00_11427 =
								((BgL_objectz00_bglt) ((BgL_funcallz00_bglt) BgL_nz00_4811));
							BgL_auxz00_11426 = BGL_OBJECT_WIDENING(BgL_tmpz00_11427);
						}
						BgL_auxz00_11425 =
							((BgL_funcallzf2livenesszf2_bglt) BgL_auxz00_11426);
					}
					BgL_val1_1617z00_5627 =
						(((BgL_funcallzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11425))->
						BgL_outz00);
				}
				{	/* Liveness/liveness.scm 337 */
					int BgL_tmpz00_11433;

					BgL_tmpz00_11433 = (int) (2L);
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_11433);
				}
				{	/* Liveness/liveness.scm 337 */
					int BgL_tmpz00_11436;

					BgL_tmpz00_11436 = (int) (1L);
					BGL_MVALUES_VAL_SET(BgL_tmpz00_11436, BgL_val1_1617z00_5627);
				}
				return BgL_val0_1616z00_5626;
			}
		}

	}



/* &inout!-funcall/liven1899 */
	obj_t BGl_z62inoutz12zd2funcallzf2liven1899z50zzliveness_livenessz00(obj_t
		BgL_envz00_4812, obj_t BgL_nz00_4813, obj_t BgL_oz00_4814)
	{
		{	/* Liveness/liveness.scm 327 */
			{
				BgL_funcallzf2livenesszf2_bglt BgL_auxz00_11439;

				{
					obj_t BgL_auxz00_11440;

					{	/* Liveness/liveness.scm 330 */
						BgL_objectz00_bglt BgL_tmpz00_11441;

						BgL_tmpz00_11441 =
							((BgL_objectz00_bglt) ((BgL_funcallz00_bglt) BgL_nz00_4813));
						BgL_auxz00_11440 = BGL_OBJECT_WIDENING(BgL_tmpz00_11441);
					}
					BgL_auxz00_11439 =
						((BgL_funcallzf2livenesszf2_bglt) BgL_auxz00_11440);
				}
				((((BgL_funcallzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11439))->
						BgL_outz00) = ((obj_t) BgL_oz00_4814), BUNSPEC);
			}
			{
				obj_t BgL_auxz00_11454;
				BgL_funcallzf2livenesszf2_bglt BgL_auxz00_11447;

				{	/* Liveness/liveness.scm 331 */
					obj_t BgL_arg2203z00_5629;
					obj_t BgL_arg2204z00_5630;

					{
						BgL_funcallzf2livenesszf2_bglt BgL_auxz00_11455;

						{
							obj_t BgL_auxz00_11456;

							{	/* Liveness/liveness.scm 331 */
								BgL_objectz00_bglt BgL_tmpz00_11457;

								BgL_tmpz00_11457 =
									((BgL_objectz00_bglt) ((BgL_funcallz00_bglt) BgL_nz00_4813));
								BgL_auxz00_11456 = BGL_OBJECT_WIDENING(BgL_tmpz00_11457);
							}
							BgL_auxz00_11455 =
								((BgL_funcallzf2livenesszf2_bglt) BgL_auxz00_11456);
						}
						BgL_arg2203z00_5629 =
							(((BgL_funcallzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11455))->
							BgL_usez00);
					}
					{	/* Liveness/liveness.scm 331 */
						obj_t BgL_arg2205z00_5631;
						obj_t BgL_arg2206z00_5632;

						{
							BgL_funcallzf2livenesszf2_bglt BgL_auxz00_11463;

							{
								obj_t BgL_auxz00_11464;

								{	/* Liveness/liveness.scm 331 */
									BgL_objectz00_bglt BgL_tmpz00_11465;

									BgL_tmpz00_11465 =
										((BgL_objectz00_bglt)
										((BgL_funcallz00_bglt) BgL_nz00_4813));
									BgL_auxz00_11464 = BGL_OBJECT_WIDENING(BgL_tmpz00_11465);
								}
								BgL_auxz00_11463 =
									((BgL_funcallzf2livenesszf2_bglt) BgL_auxz00_11464);
							}
							BgL_arg2205z00_5631 =
								(((BgL_funcallzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11463))->
								BgL_outz00);
						}
						{
							BgL_funcallzf2livenesszf2_bglt BgL_auxz00_11471;

							{
								obj_t BgL_auxz00_11472;

								{	/* Liveness/liveness.scm 331 */
									BgL_objectz00_bglt BgL_tmpz00_11473;

									BgL_tmpz00_11473 =
										((BgL_objectz00_bglt)
										((BgL_funcallz00_bglt) BgL_nz00_4813));
									BgL_auxz00_11472 = BGL_OBJECT_WIDENING(BgL_tmpz00_11473);
								}
								BgL_auxz00_11471 =
									((BgL_funcallzf2livenesszf2_bglt) BgL_auxz00_11472);
							}
							BgL_arg2206z00_5632 =
								(((BgL_funcallzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11471))->
								BgL_defz00);
						}
						BgL_arg2204z00_5630 =
							BGl_disjonctionz00zzliveness_setz00(BgL_arg2205z00_5631,
							BgL_arg2206z00_5632);
					}
					BgL_auxz00_11454 =
						BGl_unionz00zzliveness_setz00(BgL_arg2203z00_5629,
						BgL_arg2204z00_5630);
				}
				{
					obj_t BgL_auxz00_11448;

					{	/* Liveness/liveness.scm 331 */
						BgL_objectz00_bglt BgL_tmpz00_11449;

						BgL_tmpz00_11449 =
							((BgL_objectz00_bglt) ((BgL_funcallz00_bglt) BgL_nz00_4813));
						BgL_auxz00_11448 = BGL_OBJECT_WIDENING(BgL_tmpz00_11449);
					}
					BgL_auxz00_11447 =
						((BgL_funcallzf2livenesszf2_bglt) BgL_auxz00_11448);
				}
				((((BgL_funcallzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11447))->
						BgL_inz00) = ((obj_t) BgL_auxz00_11454), BUNSPEC);
			}
			{	/* Liveness/liveness.scm 332 */
				obj_t BgL_g1613z00_5633;

				BgL_g1613z00_5633 =
					(((BgL_funcallz00_bglt) COBJECT(
							((BgL_funcallz00_bglt)
								((BgL_funcallz00_bglt) BgL_nz00_4813))))->BgL_argsz00);
				{
					obj_t BgL_l1611z00_5635;

					BgL_l1611z00_5635 = BgL_g1613z00_5633;
				BgL_zc3z04anonymousza32207ze3z87_5634:
					if (PAIRP(BgL_l1611z00_5635))
						{	/* Liveness/liveness.scm 332 */
							{	/* Liveness/liveness.scm 332 */
								obj_t BgL_az00_5636;

								BgL_az00_5636 = CAR(BgL_l1611z00_5635);
								BGl_inoutz12z12zzliveness_livenessz00(
									((BgL_nodez00_bglt) BgL_az00_5636), BgL_oz00_4814);
							}
							{
								obj_t BgL_l1611z00_11490;

								BgL_l1611z00_11490 = CDR(BgL_l1611z00_5635);
								BgL_l1611z00_5635 = BgL_l1611z00_11490;
								goto BgL_zc3z04anonymousza32207ze3z87_5634;
							}
						}
					else
						{	/* Liveness/liveness.scm 332 */
							((bool_t) 1);
						}
				}
			}
			{	/* Liveness/liveness.scm 333 */
				obj_t BgL_val0_1614z00_5637;
				obj_t BgL_val1_1615z00_5638;

				{
					BgL_funcallzf2livenesszf2_bglt BgL_auxz00_11492;

					{
						obj_t BgL_auxz00_11493;

						{	/* Liveness/liveness.scm 333 */
							BgL_objectz00_bglt BgL_tmpz00_11494;

							BgL_tmpz00_11494 =
								((BgL_objectz00_bglt) ((BgL_funcallz00_bglt) BgL_nz00_4813));
							BgL_auxz00_11493 = BGL_OBJECT_WIDENING(BgL_tmpz00_11494);
						}
						BgL_auxz00_11492 =
							((BgL_funcallzf2livenesszf2_bglt) BgL_auxz00_11493);
					}
					BgL_val0_1614z00_5637 =
						(((BgL_funcallzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11492))->
						BgL_inz00);
				}
				{
					BgL_funcallzf2livenesszf2_bglt BgL_auxz00_11500;

					{
						obj_t BgL_auxz00_11501;

						{	/* Liveness/liveness.scm 333 */
							BgL_objectz00_bglt BgL_tmpz00_11502;

							BgL_tmpz00_11502 =
								((BgL_objectz00_bglt) ((BgL_funcallz00_bglt) BgL_nz00_4813));
							BgL_auxz00_11501 = BGL_OBJECT_WIDENING(BgL_tmpz00_11502);
						}
						BgL_auxz00_11500 =
							((BgL_funcallzf2livenesszf2_bglt) BgL_auxz00_11501);
					}
					BgL_val1_1615z00_5638 =
						(((BgL_funcallzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11500))->
						BgL_outz00);
				}
				{	/* Liveness/liveness.scm 333 */
					int BgL_tmpz00_11508;

					BgL_tmpz00_11508 = (int) (2L);
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_11508);
				}
				{	/* Liveness/liveness.scm 333 */
					int BgL_tmpz00_11511;

					BgL_tmpz00_11511 = (int) (1L);
					BGL_MVALUES_VAL_SET(BgL_tmpz00_11511, BgL_val1_1615z00_5638);
				}
				return BgL_val0_1614z00_5637;
			}
		}

	}



/* &defuse-funcall/liven1897 */
	obj_t BGl_z62defusezd2funcallzf2liven1897z42zzliveness_livenessz00(obj_t
		BgL_envz00_4815, obj_t BgL_nz00_4816)
	{
		{	/* Liveness/liveness.scm 323 */
			{	/* Liveness/liveness.scm 325 */
				obj_t BgL_val0_1609z00_5640;
				obj_t BgL_val1_1610z00_5641;

				{
					BgL_funcallzf2livenesszf2_bglt BgL_auxz00_11514;

					{
						obj_t BgL_auxz00_11515;

						{	/* Liveness/liveness.scm 325 */
							BgL_objectz00_bglt BgL_tmpz00_11516;

							BgL_tmpz00_11516 =
								((BgL_objectz00_bglt) ((BgL_funcallz00_bglt) BgL_nz00_4816));
							BgL_auxz00_11515 = BGL_OBJECT_WIDENING(BgL_tmpz00_11516);
						}
						BgL_auxz00_11514 =
							((BgL_funcallzf2livenesszf2_bglt) BgL_auxz00_11515);
					}
					BgL_val0_1609z00_5640 =
						(((BgL_funcallzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11514))->
						BgL_defz00);
				}
				{
					BgL_funcallzf2livenesszf2_bglt BgL_auxz00_11522;

					{
						obj_t BgL_auxz00_11523;

						{	/* Liveness/liveness.scm 325 */
							BgL_objectz00_bglt BgL_tmpz00_11524;

							BgL_tmpz00_11524 =
								((BgL_objectz00_bglt) ((BgL_funcallz00_bglt) BgL_nz00_4816));
							BgL_auxz00_11523 = BGL_OBJECT_WIDENING(BgL_tmpz00_11524);
						}
						BgL_auxz00_11522 =
							((BgL_funcallzf2livenesszf2_bglt) BgL_auxz00_11523);
					}
					BgL_val1_1610z00_5641 =
						(((BgL_funcallzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11522))->
						BgL_usez00);
				}
				{	/* Liveness/liveness.scm 325 */
					int BgL_tmpz00_11530;

					BgL_tmpz00_11530 = (int) (2L);
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_11530);
				}
				{	/* Liveness/liveness.scm 325 */
					int BgL_tmpz00_11533;

					BgL_tmpz00_11533 = (int) (1L);
					BGL_MVALUES_VAL_SET(BgL_tmpz00_11533, BgL_val1_1610z00_5641);
				}
				return BgL_val0_1609z00_5640;
			}
		}

	}



/* &defuse-funcall1895 */
	obj_t BGl_z62defusezd2funcall1895zb0zzliveness_livenessz00(obj_t
		BgL_envz00_4817, obj_t BgL_nz00_4818)
	{
		{	/* Liveness/liveness.scm 312 */
			{	/* Liveness/liveness.scm 314 */
				obj_t BgL_dz00_5643;

				BgL_dz00_5643 =
					BGl_defusez00zzliveness_livenessz00(
					(((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_nz00_4818)))->BgL_funz00));
				{	/* Liveness/liveness.scm 315 */
					obj_t BgL_uz00_5644;

					{	/* Liveness/liveness.scm 316 */
						obj_t BgL_tmpz00_5645;

						{	/* Liveness/liveness.scm 316 */
							int BgL_tmpz00_11539;

							BgL_tmpz00_11539 = (int) (1L);
							BgL_tmpz00_5645 = BGL_MVALUES_VAL(BgL_tmpz00_11539);
						}
						{	/* Liveness/liveness.scm 316 */
							int BgL_tmpz00_11542;

							BgL_tmpz00_11542 = (int) (1L);
							BGL_MVALUES_VAL_SET(BgL_tmpz00_11542, BUNSPEC);
						}
						BgL_uz00_5644 = BgL_tmpz00_5645;
					}
					{	/* Liveness/liveness.scm 316 */
						obj_t BgL_defz00_5646;

						BgL_defz00_5646 =
							BGl_defuseza2za2zzliveness_livenessz00(
							(((BgL_funcallz00_bglt) COBJECT(
										((BgL_funcallz00_bglt) BgL_nz00_4818)))->BgL_argsz00),
							BgL_dz00_5643, BgL_uz00_5644);
						{	/* Liveness/liveness.scm 317 */
							obj_t BgL_usez00_5647;

							{	/* Liveness/liveness.scm 318 */
								obj_t BgL_tmpz00_5648;

								{	/* Liveness/liveness.scm 318 */
									int BgL_tmpz00_11548;

									BgL_tmpz00_11548 = (int) (1L);
									BgL_tmpz00_5648 = BGL_MVALUES_VAL(BgL_tmpz00_11548);
								}
								{	/* Liveness/liveness.scm 318 */
									int BgL_tmpz00_11551;

									BgL_tmpz00_11551 = (int) (1L);
									BGL_MVALUES_VAL_SET(BgL_tmpz00_11551, BUNSPEC);
								}
								BgL_usez00_5647 = BgL_tmpz00_5648;
							}
							{	/* Liveness/liveness.scm 319 */
								BgL_funcallz00_bglt BgL_arg2198z00_5649;

								{	/* Liveness/liveness.scm 319 */
									BgL_funcallzf2livenesszf2_bglt BgL_wide1209z00_5650;

									BgL_wide1209z00_5650 =
										((BgL_funcallzf2livenesszf2_bglt)
										BOBJECT(GC_MALLOC(sizeof(struct
													BgL_funcallzf2livenesszf2_bgl))));
									{	/* Liveness/liveness.scm 319 */
										obj_t BgL_auxz00_11559;
										BgL_objectz00_bglt BgL_tmpz00_11555;

										BgL_auxz00_11559 = ((obj_t) BgL_wide1209z00_5650);
										BgL_tmpz00_11555 =
											((BgL_objectz00_bglt)
											((BgL_funcallz00_bglt)
												((BgL_funcallz00_bglt) BgL_nz00_4818)));
										BGL_OBJECT_WIDENING_SET(BgL_tmpz00_11555, BgL_auxz00_11559);
									}
									((BgL_objectz00_bglt)
										((BgL_funcallz00_bglt)
											((BgL_funcallz00_bglt) BgL_nz00_4818)));
									{	/* Liveness/liveness.scm 319 */
										long BgL_arg2200z00_5651;

										BgL_arg2200z00_5651 =
											BGL_CLASS_NUM
											(BGl_funcallzf2livenesszf2zzliveness_typesz00);
										BGL_OBJECT_CLASS_NUM_SET(((BgL_objectz00_bglt) (
													(BgL_funcallz00_bglt) ((BgL_funcallz00_bglt)
														BgL_nz00_4818))), BgL_arg2200z00_5651);
									}
									((BgL_funcallz00_bglt)
										((BgL_funcallz00_bglt)
											((BgL_funcallz00_bglt) BgL_nz00_4818)));
								}
								{
									BgL_funcallzf2livenesszf2_bglt BgL_auxz00_11573;

									{
										obj_t BgL_auxz00_11574;

										{	/* Liveness/liveness.scm 320 */
											BgL_objectz00_bglt BgL_tmpz00_11575;

											BgL_tmpz00_11575 =
												((BgL_objectz00_bglt)
												((BgL_funcallz00_bglt)
													((BgL_funcallz00_bglt) BgL_nz00_4818)));
											BgL_auxz00_11574 = BGL_OBJECT_WIDENING(BgL_tmpz00_11575);
										}
										BgL_auxz00_11573 =
											((BgL_funcallzf2livenesszf2_bglt) BgL_auxz00_11574);
									}
									((((BgL_funcallzf2livenesszf2_bglt)
												COBJECT(BgL_auxz00_11573))->BgL_defz00) =
										((obj_t) BgL_defz00_5646), BUNSPEC);
								}
								{
									BgL_funcallzf2livenesszf2_bglt BgL_auxz00_11582;

									{
										obj_t BgL_auxz00_11583;

										{	/* Liveness/liveness.scm 321 */
											BgL_objectz00_bglt BgL_tmpz00_11584;

											BgL_tmpz00_11584 =
												((BgL_objectz00_bglt)
												((BgL_funcallz00_bglt)
													((BgL_funcallz00_bglt) BgL_nz00_4818)));
											BgL_auxz00_11583 = BGL_OBJECT_WIDENING(BgL_tmpz00_11584);
										}
										BgL_auxz00_11582 =
											((BgL_funcallzf2livenesszf2_bglt) BgL_auxz00_11583);
									}
									((((BgL_funcallzf2livenesszf2_bglt)
												COBJECT(BgL_auxz00_11582))->BgL_usez00) =
										((obj_t) BgL_usez00_5647), BUNSPEC);
								}
								{
									BgL_funcallzf2livenesszf2_bglt BgL_auxz00_11591;

									{
										obj_t BgL_auxz00_11592;

										{	/* Liveness/liveness.scm 317 */
											BgL_objectz00_bglt BgL_tmpz00_11593;

											BgL_tmpz00_11593 =
												((BgL_objectz00_bglt)
												((BgL_funcallz00_bglt)
													((BgL_funcallz00_bglt) BgL_nz00_4818)));
											BgL_auxz00_11592 = BGL_OBJECT_WIDENING(BgL_tmpz00_11593);
										}
										BgL_auxz00_11591 =
											((BgL_funcallzf2livenesszf2_bglt) BgL_auxz00_11592);
									}
									((((BgL_funcallzf2livenesszf2_bglt)
												COBJECT(BgL_auxz00_11591))->BgL_inz00) =
										((obj_t) BNIL), BUNSPEC);
								}
								{
									BgL_funcallzf2livenesszf2_bglt BgL_auxz00_11600;

									{
										obj_t BgL_auxz00_11601;

										{	/* Liveness/liveness.scm 317 */
											BgL_objectz00_bglt BgL_tmpz00_11602;

											BgL_tmpz00_11602 =
												((BgL_objectz00_bglt)
												((BgL_funcallz00_bglt)
													((BgL_funcallz00_bglt) BgL_nz00_4818)));
											BgL_auxz00_11601 = BGL_OBJECT_WIDENING(BgL_tmpz00_11602);
										}
										BgL_auxz00_11600 =
											((BgL_funcallzf2livenesszf2_bglt) BgL_auxz00_11601);
									}
									((((BgL_funcallzf2livenesszf2_bglt)
												COBJECT(BgL_auxz00_11600))->BgL_outz00) =
										((obj_t) BNIL), BUNSPEC);
								}
								BgL_arg2198z00_5649 =
									((BgL_funcallz00_bglt) ((BgL_funcallz00_bglt) BgL_nz00_4818));
								return
									BGl_defusez00zzliveness_livenessz00(
									((BgL_nodez00_bglt) BgL_arg2198z00_5649));
							}
						}
					}
				}
			}
		}

	}



/* &inout-app-ly/livenes1893 */
	obj_t BGl_z62inoutzd2appzd2lyzf2livenes1893z90zzliveness_livenessz00(obj_t
		BgL_envz00_4819, obj_t BgL_nz00_4820)
	{
		{	/* Liveness/liveness.scm 305 */
			{	/* Liveness/liveness.scm 307 */
				obj_t BgL_val0_1607z00_5653;
				obj_t BgL_val1_1608z00_5654;

				{
					BgL_appzd2lyzf2livenessz20_bglt BgL_auxz00_11613;

					{
						obj_t BgL_auxz00_11614;

						{	/* Liveness/liveness.scm 307 */
							BgL_objectz00_bglt BgL_tmpz00_11615;

							BgL_tmpz00_11615 =
								((BgL_objectz00_bglt) ((BgL_appzd2lyzd2_bglt) BgL_nz00_4820));
							BgL_auxz00_11614 = BGL_OBJECT_WIDENING(BgL_tmpz00_11615);
						}
						BgL_auxz00_11613 =
							((BgL_appzd2lyzf2livenessz20_bglt) BgL_auxz00_11614);
					}
					BgL_val0_1607z00_5653 =
						(((BgL_appzd2lyzf2livenessz20_bglt) COBJECT(BgL_auxz00_11613))->
						BgL_inz00);
				}
				{
					BgL_appzd2lyzf2livenessz20_bglt BgL_auxz00_11621;

					{
						obj_t BgL_auxz00_11622;

						{	/* Liveness/liveness.scm 307 */
							BgL_objectz00_bglt BgL_tmpz00_11623;

							BgL_tmpz00_11623 =
								((BgL_objectz00_bglt) ((BgL_appzd2lyzd2_bglt) BgL_nz00_4820));
							BgL_auxz00_11622 = BGL_OBJECT_WIDENING(BgL_tmpz00_11623);
						}
						BgL_auxz00_11621 =
							((BgL_appzd2lyzf2livenessz20_bglt) BgL_auxz00_11622);
					}
					BgL_val1_1608z00_5654 =
						(((BgL_appzd2lyzf2livenessz20_bglt) COBJECT(BgL_auxz00_11621))->
						BgL_outz00);
				}
				{	/* Liveness/liveness.scm 307 */
					int BgL_tmpz00_11629;

					BgL_tmpz00_11629 = (int) (2L);
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_11629);
				}
				{	/* Liveness/liveness.scm 307 */
					int BgL_tmpz00_11632;

					BgL_tmpz00_11632 = (int) (1L);
					BGL_MVALUES_VAL_SET(BgL_tmpz00_11632, BgL_val1_1608z00_5654);
				}
				return BgL_val0_1607z00_5653;
			}
		}

	}



/* &inout!-app-ly/livene1891 */
	obj_t BGl_z62inoutz12zd2appzd2lyzf2livene1891z82zzliveness_livenessz00(obj_t
		BgL_envz00_4821, obj_t BgL_nz00_4822, obj_t BgL_oz00_4823)
	{
		{	/* Liveness/liveness.scm 297 */
			{
				BgL_appzd2lyzf2livenessz20_bglt BgL_auxz00_11635;

				{
					obj_t BgL_auxz00_11636;

					{	/* Liveness/liveness.scm 300 */
						BgL_objectz00_bglt BgL_tmpz00_11637;

						BgL_tmpz00_11637 =
							((BgL_objectz00_bglt) ((BgL_appzd2lyzd2_bglt) BgL_nz00_4822));
						BgL_auxz00_11636 = BGL_OBJECT_WIDENING(BgL_tmpz00_11637);
					}
					BgL_auxz00_11635 =
						((BgL_appzd2lyzf2livenessz20_bglt) BgL_auxz00_11636);
				}
				((((BgL_appzd2lyzf2livenessz20_bglt) COBJECT(BgL_auxz00_11635))->
						BgL_outz00) = ((obj_t) BgL_oz00_4823), BUNSPEC);
			}
			{
				obj_t BgL_auxz00_11650;
				BgL_appzd2lyzf2livenessz20_bglt BgL_auxz00_11643;

				{	/* Liveness/liveness.scm 301 */
					obj_t BgL_arg2193z00_5656;
					obj_t BgL_arg2194z00_5657;

					{
						BgL_appzd2lyzf2livenessz20_bglt BgL_auxz00_11651;

						{
							obj_t BgL_auxz00_11652;

							{	/* Liveness/liveness.scm 301 */
								BgL_objectz00_bglt BgL_tmpz00_11653;

								BgL_tmpz00_11653 =
									((BgL_objectz00_bglt) ((BgL_appzd2lyzd2_bglt) BgL_nz00_4822));
								BgL_auxz00_11652 = BGL_OBJECT_WIDENING(BgL_tmpz00_11653);
							}
							BgL_auxz00_11651 =
								((BgL_appzd2lyzf2livenessz20_bglt) BgL_auxz00_11652);
						}
						BgL_arg2193z00_5656 =
							(((BgL_appzd2lyzf2livenessz20_bglt) COBJECT(BgL_auxz00_11651))->
							BgL_usez00);
					}
					{	/* Liveness/liveness.scm 301 */
						obj_t BgL_arg2195z00_5658;
						obj_t BgL_arg2196z00_5659;

						{
							BgL_appzd2lyzf2livenessz20_bglt BgL_auxz00_11659;

							{
								obj_t BgL_auxz00_11660;

								{	/* Liveness/liveness.scm 301 */
									BgL_objectz00_bglt BgL_tmpz00_11661;

									BgL_tmpz00_11661 =
										((BgL_objectz00_bglt)
										((BgL_appzd2lyzd2_bglt) BgL_nz00_4822));
									BgL_auxz00_11660 = BGL_OBJECT_WIDENING(BgL_tmpz00_11661);
								}
								BgL_auxz00_11659 =
									((BgL_appzd2lyzf2livenessz20_bglt) BgL_auxz00_11660);
							}
							BgL_arg2195z00_5658 =
								(((BgL_appzd2lyzf2livenessz20_bglt) COBJECT(BgL_auxz00_11659))->
								BgL_outz00);
						}
						{
							BgL_appzd2lyzf2livenessz20_bglt BgL_auxz00_11667;

							{
								obj_t BgL_auxz00_11668;

								{	/* Liveness/liveness.scm 301 */
									BgL_objectz00_bglt BgL_tmpz00_11669;

									BgL_tmpz00_11669 =
										((BgL_objectz00_bglt)
										((BgL_appzd2lyzd2_bglt) BgL_nz00_4822));
									BgL_auxz00_11668 = BGL_OBJECT_WIDENING(BgL_tmpz00_11669);
								}
								BgL_auxz00_11667 =
									((BgL_appzd2lyzf2livenessz20_bglt) BgL_auxz00_11668);
							}
							BgL_arg2196z00_5659 =
								(((BgL_appzd2lyzf2livenessz20_bglt) COBJECT(BgL_auxz00_11667))->
								BgL_defz00);
						}
						BgL_arg2194z00_5657 =
							BGl_disjonctionz00zzliveness_setz00(BgL_arg2195z00_5658,
							BgL_arg2196z00_5659);
					}
					BgL_auxz00_11650 =
						BGl_unionz00zzliveness_setz00(BgL_arg2193z00_5656,
						BgL_arg2194z00_5657);
				}
				{
					obj_t BgL_auxz00_11644;

					{	/* Liveness/liveness.scm 301 */
						BgL_objectz00_bglt BgL_tmpz00_11645;

						BgL_tmpz00_11645 =
							((BgL_objectz00_bglt) ((BgL_appzd2lyzd2_bglt) BgL_nz00_4822));
						BgL_auxz00_11644 = BGL_OBJECT_WIDENING(BgL_tmpz00_11645);
					}
					BgL_auxz00_11643 =
						((BgL_appzd2lyzf2livenessz20_bglt) BgL_auxz00_11644);
				}
				((((BgL_appzd2lyzf2livenessz20_bglt) COBJECT(BgL_auxz00_11643))->
						BgL_inz00) = ((obj_t) BgL_auxz00_11650), BUNSPEC);
			}
			{	/* Liveness/liveness.scm 302 */
				BgL_nodez00_bglt BgL_arg2197z00_5660;

				BgL_arg2197z00_5660 =
					(((BgL_appzd2lyzd2_bglt) COBJECT(
							((BgL_appzd2lyzd2_bglt)
								((BgL_appzd2lyzd2_bglt) BgL_nz00_4822))))->BgL_argz00);
				BGl_inoutz12z12zzliveness_livenessz00(BgL_arg2197z00_5660,
					BgL_oz00_4823);
			}
			{	/* Liveness/liveness.scm 303 */
				obj_t BgL_val0_1605z00_5661;
				obj_t BgL_val1_1606z00_5662;

				{
					BgL_appzd2lyzf2livenessz20_bglt BgL_auxz00_11682;

					{
						obj_t BgL_auxz00_11683;

						{	/* Liveness/liveness.scm 303 */
							BgL_objectz00_bglt BgL_tmpz00_11684;

							BgL_tmpz00_11684 =
								((BgL_objectz00_bglt) ((BgL_appzd2lyzd2_bglt) BgL_nz00_4822));
							BgL_auxz00_11683 = BGL_OBJECT_WIDENING(BgL_tmpz00_11684);
						}
						BgL_auxz00_11682 =
							((BgL_appzd2lyzf2livenessz20_bglt) BgL_auxz00_11683);
					}
					BgL_val0_1605z00_5661 =
						(((BgL_appzd2lyzf2livenessz20_bglt) COBJECT(BgL_auxz00_11682))->
						BgL_inz00);
				}
				{
					BgL_appzd2lyzf2livenessz20_bglt BgL_auxz00_11690;

					{
						obj_t BgL_auxz00_11691;

						{	/* Liveness/liveness.scm 303 */
							BgL_objectz00_bglt BgL_tmpz00_11692;

							BgL_tmpz00_11692 =
								((BgL_objectz00_bglt) ((BgL_appzd2lyzd2_bglt) BgL_nz00_4822));
							BgL_auxz00_11691 = BGL_OBJECT_WIDENING(BgL_tmpz00_11692);
						}
						BgL_auxz00_11690 =
							((BgL_appzd2lyzf2livenessz20_bglt) BgL_auxz00_11691);
					}
					BgL_val1_1606z00_5662 =
						(((BgL_appzd2lyzf2livenessz20_bglt) COBJECT(BgL_auxz00_11690))->
						BgL_outz00);
				}
				{	/* Liveness/liveness.scm 303 */
					int BgL_tmpz00_11698;

					BgL_tmpz00_11698 = (int) (2L);
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_11698);
				}
				{	/* Liveness/liveness.scm 303 */
					int BgL_tmpz00_11701;

					BgL_tmpz00_11701 = (int) (1L);
					BGL_MVALUES_VAL_SET(BgL_tmpz00_11701, BgL_val1_1606z00_5662);
				}
				return BgL_val0_1605z00_5661;
			}
		}

	}



/* &defuse-app-ly/livene1889 */
	obj_t BGl_z62defusezd2appzd2lyzf2livene1889z90zzliveness_livenessz00(obj_t
		BgL_envz00_4824, obj_t BgL_nz00_4825)
	{
		{	/* Liveness/liveness.scm 293 */
			{	/* Liveness/liveness.scm 295 */
				obj_t BgL_val0_1603z00_5664;
				obj_t BgL_val1_1604z00_5665;

				{
					BgL_appzd2lyzf2livenessz20_bglt BgL_auxz00_11704;

					{
						obj_t BgL_auxz00_11705;

						{	/* Liveness/liveness.scm 295 */
							BgL_objectz00_bglt BgL_tmpz00_11706;

							BgL_tmpz00_11706 =
								((BgL_objectz00_bglt) ((BgL_appzd2lyzd2_bglt) BgL_nz00_4825));
							BgL_auxz00_11705 = BGL_OBJECT_WIDENING(BgL_tmpz00_11706);
						}
						BgL_auxz00_11704 =
							((BgL_appzd2lyzf2livenessz20_bglt) BgL_auxz00_11705);
					}
					BgL_val0_1603z00_5664 =
						(((BgL_appzd2lyzf2livenessz20_bglt) COBJECT(BgL_auxz00_11704))->
						BgL_defz00);
				}
				{
					BgL_appzd2lyzf2livenessz20_bglt BgL_auxz00_11712;

					{
						obj_t BgL_auxz00_11713;

						{	/* Liveness/liveness.scm 295 */
							BgL_objectz00_bglt BgL_tmpz00_11714;

							BgL_tmpz00_11714 =
								((BgL_objectz00_bglt) ((BgL_appzd2lyzd2_bglt) BgL_nz00_4825));
							BgL_auxz00_11713 = BGL_OBJECT_WIDENING(BgL_tmpz00_11714);
						}
						BgL_auxz00_11712 =
							((BgL_appzd2lyzf2livenessz20_bglt) BgL_auxz00_11713);
					}
					BgL_val1_1604z00_5665 =
						(((BgL_appzd2lyzf2livenessz20_bglt) COBJECT(BgL_auxz00_11712))->
						BgL_usez00);
				}
				{	/* Liveness/liveness.scm 295 */
					int BgL_tmpz00_11720;

					BgL_tmpz00_11720 = (int) (2L);
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_11720);
				}
				{	/* Liveness/liveness.scm 295 */
					int BgL_tmpz00_11723;

					BgL_tmpz00_11723 = (int) (1L);
					BGL_MVALUES_VAL_SET(BgL_tmpz00_11723, BgL_val1_1604z00_5665);
				}
				return BgL_val0_1603z00_5664;
			}
		}

	}



/* &defuse-app-ly1887 */
	obj_t BGl_z62defusezd2appzd2ly1887z62zzliveness_livenessz00(obj_t
		BgL_envz00_4826, obj_t BgL_nz00_4827)
	{
		{	/* Liveness/liveness.scm 282 */
			{	/* Liveness/liveness.scm 284 */
				obj_t BgL_deffunz00_5667;

				BgL_deffunz00_5667 =
					BGl_defusez00zzliveness_livenessz00(
					(((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nz00_4827)))->BgL_funz00));
				{	/* Liveness/liveness.scm 285 */
					obj_t BgL_usefunz00_5668;

					{	/* Liveness/liveness.scm 286 */
						obj_t BgL_tmpz00_5669;

						{	/* Liveness/liveness.scm 286 */
							int BgL_tmpz00_11729;

							BgL_tmpz00_11729 = (int) (1L);
							BgL_tmpz00_5669 = BGL_MVALUES_VAL(BgL_tmpz00_11729);
						}
						{	/* Liveness/liveness.scm 286 */
							int BgL_tmpz00_11732;

							BgL_tmpz00_11732 = (int) (1L);
							BGL_MVALUES_VAL_SET(BgL_tmpz00_11732, BUNSPEC);
						}
						BgL_usefunz00_5668 = BgL_tmpz00_5669;
					}
					{	/* Liveness/liveness.scm 286 */
						obj_t BgL_defargz00_5670;

						BgL_defargz00_5670 =
							BGl_defusez00zzliveness_livenessz00(
							(((BgL_appzd2lyzd2_bglt) COBJECT(
										((BgL_appzd2lyzd2_bglt) BgL_nz00_4827)))->BgL_argz00));
						{	/* Liveness/liveness.scm 287 */
							obj_t BgL_useargz00_5671;

							{	/* Liveness/liveness.scm 288 */
								obj_t BgL_tmpz00_5672;

								{	/* Liveness/liveness.scm 288 */
									int BgL_tmpz00_11738;

									BgL_tmpz00_11738 = (int) (1L);
									BgL_tmpz00_5672 = BGL_MVALUES_VAL(BgL_tmpz00_11738);
								}
								{	/* Liveness/liveness.scm 288 */
									int BgL_tmpz00_11741;

									BgL_tmpz00_11741 = (int) (1L);
									BGL_MVALUES_VAL_SET(BgL_tmpz00_11741, BUNSPEC);
								}
								BgL_useargz00_5671 = BgL_tmpz00_5672;
							}
							{	/* Liveness/liveness.scm 289 */
								BgL_appzd2lyzd2_bglt BgL_arg2189z00_5673;

								{	/* Liveness/liveness.scm 289 */
									BgL_appzd2lyzf2livenessz20_bglt BgL_wide1201z00_5674;

									BgL_wide1201z00_5674 =
										((BgL_appzd2lyzf2livenessz20_bglt)
										BOBJECT(GC_MALLOC(sizeof(struct
													BgL_appzd2lyzf2livenessz20_bgl))));
									{	/* Liveness/liveness.scm 289 */
										obj_t BgL_auxz00_11749;
										BgL_objectz00_bglt BgL_tmpz00_11745;

										BgL_auxz00_11749 = ((obj_t) BgL_wide1201z00_5674);
										BgL_tmpz00_11745 =
											((BgL_objectz00_bglt)
											((BgL_appzd2lyzd2_bglt)
												((BgL_appzd2lyzd2_bglt) BgL_nz00_4827)));
										BGL_OBJECT_WIDENING_SET(BgL_tmpz00_11745, BgL_auxz00_11749);
									}
									((BgL_objectz00_bglt)
										((BgL_appzd2lyzd2_bglt)
											((BgL_appzd2lyzd2_bglt) BgL_nz00_4827)));
									{	/* Liveness/liveness.scm 289 */
										long BgL_arg2190z00_5675;

										BgL_arg2190z00_5675 =
											BGL_CLASS_NUM
											(BGl_appzd2lyzf2livenessz20zzliveness_typesz00);
										BGL_OBJECT_CLASS_NUM_SET(((BgL_objectz00_bglt) (
													(BgL_appzd2lyzd2_bglt) ((BgL_appzd2lyzd2_bglt)
														BgL_nz00_4827))), BgL_arg2190z00_5675);
									}
									((BgL_appzd2lyzd2_bglt)
										((BgL_appzd2lyzd2_bglt)
											((BgL_appzd2lyzd2_bglt) BgL_nz00_4827)));
								}
								{
									BgL_appzd2lyzf2livenessz20_bglt BgL_auxz00_11763;

									{
										obj_t BgL_auxz00_11764;

										{	/* Liveness/liveness.scm 290 */
											BgL_objectz00_bglt BgL_tmpz00_11765;

											BgL_tmpz00_11765 =
												((BgL_objectz00_bglt)
												((BgL_appzd2lyzd2_bglt)
													((BgL_appzd2lyzd2_bglt) BgL_nz00_4827)));
											BgL_auxz00_11764 = BGL_OBJECT_WIDENING(BgL_tmpz00_11765);
										}
										BgL_auxz00_11763 =
											((BgL_appzd2lyzf2livenessz20_bglt) BgL_auxz00_11764);
									}
									((((BgL_appzd2lyzf2livenessz20_bglt)
												COBJECT(BgL_auxz00_11763))->BgL_defz00) =
										((obj_t) BGl_unionz00zzliveness_setz00(BgL_deffunz00_5667,
												BgL_defargz00_5670)), BUNSPEC);
								}
								{
									BgL_appzd2lyzf2livenessz20_bglt BgL_auxz00_11773;

									{
										obj_t BgL_auxz00_11774;

										{	/* Liveness/liveness.scm 291 */
											BgL_objectz00_bglt BgL_tmpz00_11775;

											BgL_tmpz00_11775 =
												((BgL_objectz00_bglt)
												((BgL_appzd2lyzd2_bglt)
													((BgL_appzd2lyzd2_bglt) BgL_nz00_4827)));
											BgL_auxz00_11774 = BGL_OBJECT_WIDENING(BgL_tmpz00_11775);
										}
										BgL_auxz00_11773 =
											((BgL_appzd2lyzf2livenessz20_bglt) BgL_auxz00_11774);
									}
									((((BgL_appzd2lyzf2livenessz20_bglt)
												COBJECT(BgL_auxz00_11773))->BgL_usez00) =
										((obj_t) BGl_unionz00zzliveness_setz00(BgL_usefunz00_5668,
												BgL_useargz00_5671)), BUNSPEC);
								}
								{
									BgL_appzd2lyzf2livenessz20_bglt BgL_auxz00_11783;

									{
										obj_t BgL_auxz00_11784;

										{	/* Liveness/liveness.scm 287 */
											BgL_objectz00_bglt BgL_tmpz00_11785;

											BgL_tmpz00_11785 =
												((BgL_objectz00_bglt)
												((BgL_appzd2lyzd2_bglt)
													((BgL_appzd2lyzd2_bglt) BgL_nz00_4827)));
											BgL_auxz00_11784 = BGL_OBJECT_WIDENING(BgL_tmpz00_11785);
										}
										BgL_auxz00_11783 =
											((BgL_appzd2lyzf2livenessz20_bglt) BgL_auxz00_11784);
									}
									((((BgL_appzd2lyzf2livenessz20_bglt)
												COBJECT(BgL_auxz00_11783))->BgL_inz00) =
										((obj_t) BNIL), BUNSPEC);
								}
								{
									BgL_appzd2lyzf2livenessz20_bglt BgL_auxz00_11792;

									{
										obj_t BgL_auxz00_11793;

										{	/* Liveness/liveness.scm 287 */
											BgL_objectz00_bglt BgL_tmpz00_11794;

											BgL_tmpz00_11794 =
												((BgL_objectz00_bglt)
												((BgL_appzd2lyzd2_bglt)
													((BgL_appzd2lyzd2_bglt) BgL_nz00_4827)));
											BgL_auxz00_11793 = BGL_OBJECT_WIDENING(BgL_tmpz00_11794);
										}
										BgL_auxz00_11792 =
											((BgL_appzd2lyzf2livenessz20_bglt) BgL_auxz00_11793);
									}
									((((BgL_appzd2lyzf2livenessz20_bglt)
												COBJECT(BgL_auxz00_11792))->BgL_outz00) =
										((obj_t) BNIL), BUNSPEC);
								}
								BgL_arg2189z00_5673 =
									((BgL_appzd2lyzd2_bglt)
									((BgL_appzd2lyzd2_bglt) BgL_nz00_4827));
								return
									BGl_defusez00zzliveness_livenessz00(
									((BgL_nodez00_bglt) BgL_arg2189z00_5673));
							}
						}
					}
				}
			}
		}

	}



/* &inout-app/liveness1885 */
	obj_t BGl_z62inoutzd2appzf2liveness1885z42zzliveness_livenessz00(obj_t
		BgL_envz00_4828, obj_t BgL_nz00_4829)
	{
		{	/* Liveness/liveness.scm 275 */
			{	/* Liveness/liveness.scm 277 */
				obj_t BgL_val0_1601z00_5677;
				obj_t BgL_val1_1602z00_5678;

				{
					BgL_appzf2livenesszf2_bglt BgL_auxz00_11805;

					{
						obj_t BgL_auxz00_11806;

						{	/* Liveness/liveness.scm 277 */
							BgL_objectz00_bglt BgL_tmpz00_11807;

							BgL_tmpz00_11807 =
								((BgL_objectz00_bglt) ((BgL_appz00_bglt) BgL_nz00_4829));
							BgL_auxz00_11806 = BGL_OBJECT_WIDENING(BgL_tmpz00_11807);
						}
						BgL_auxz00_11805 = ((BgL_appzf2livenesszf2_bglt) BgL_auxz00_11806);
					}
					BgL_val0_1601z00_5677 =
						(((BgL_appzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11805))->
						BgL_inz00);
				}
				{
					BgL_appzf2livenesszf2_bglt BgL_auxz00_11813;

					{
						obj_t BgL_auxz00_11814;

						{	/* Liveness/liveness.scm 277 */
							BgL_objectz00_bglt BgL_tmpz00_11815;

							BgL_tmpz00_11815 =
								((BgL_objectz00_bglt) ((BgL_appz00_bglt) BgL_nz00_4829));
							BgL_auxz00_11814 = BGL_OBJECT_WIDENING(BgL_tmpz00_11815);
						}
						BgL_auxz00_11813 = ((BgL_appzf2livenesszf2_bglt) BgL_auxz00_11814);
					}
					BgL_val1_1602z00_5678 =
						(((BgL_appzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11813))->
						BgL_outz00);
				}
				{	/* Liveness/liveness.scm 277 */
					int BgL_tmpz00_11821;

					BgL_tmpz00_11821 = (int) (2L);
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_11821);
				}
				{	/* Liveness/liveness.scm 277 */
					int BgL_tmpz00_11824;

					BgL_tmpz00_11824 = (int) (1L);
					BGL_MVALUES_VAL_SET(BgL_tmpz00_11824, BgL_val1_1602z00_5678);
				}
				return BgL_val0_1601z00_5677;
			}
		}

	}



/* &inout!-app/liveness1883 */
	obj_t BGl_z62inoutz12zd2appzf2liveness1883z50zzliveness_livenessz00(obj_t
		BgL_envz00_4830, obj_t BgL_nz00_4831, obj_t BgL_oz00_4832)
	{
		{	/* Liveness/liveness.scm 266 */
			{
				BgL_appzf2livenesszf2_bglt BgL_auxz00_11827;

				{
					obj_t BgL_auxz00_11828;

					{	/* Liveness/liveness.scm 270 */
						BgL_objectz00_bglt BgL_tmpz00_11829;

						BgL_tmpz00_11829 =
							((BgL_objectz00_bglt) ((BgL_appz00_bglt) BgL_nz00_4831));
						BgL_auxz00_11828 = BGL_OBJECT_WIDENING(BgL_tmpz00_11829);
					}
					BgL_auxz00_11827 = ((BgL_appzf2livenesszf2_bglt) BgL_auxz00_11828);
				}
				((((BgL_appzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11827))->
						BgL_outz00) = ((obj_t) BgL_oz00_4832), BUNSPEC);
			}
			{
				obj_t BgL_auxz00_11842;
				BgL_appzf2livenesszf2_bglt BgL_auxz00_11835;

				{	/* Liveness/liveness.scm 271 */
					obj_t BgL_arg2182z00_5680;
					obj_t BgL_arg2183z00_5681;

					{
						BgL_appzf2livenesszf2_bglt BgL_auxz00_11843;

						{
							obj_t BgL_auxz00_11844;

							{	/* Liveness/liveness.scm 271 */
								BgL_objectz00_bglt BgL_tmpz00_11845;

								BgL_tmpz00_11845 =
									((BgL_objectz00_bglt) ((BgL_appz00_bglt) BgL_nz00_4831));
								BgL_auxz00_11844 = BGL_OBJECT_WIDENING(BgL_tmpz00_11845);
							}
							BgL_auxz00_11843 =
								((BgL_appzf2livenesszf2_bglt) BgL_auxz00_11844);
						}
						BgL_arg2182z00_5680 =
							(((BgL_appzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11843))->
							BgL_usez00);
					}
					{	/* Liveness/liveness.scm 271 */
						obj_t BgL_arg2184z00_5682;
						obj_t BgL_arg2185z00_5683;

						{
							BgL_appzf2livenesszf2_bglt BgL_auxz00_11851;

							{
								obj_t BgL_auxz00_11852;

								{	/* Liveness/liveness.scm 271 */
									BgL_objectz00_bglt BgL_tmpz00_11853;

									BgL_tmpz00_11853 =
										((BgL_objectz00_bglt) ((BgL_appz00_bglt) BgL_nz00_4831));
									BgL_auxz00_11852 = BGL_OBJECT_WIDENING(BgL_tmpz00_11853);
								}
								BgL_auxz00_11851 =
									((BgL_appzf2livenesszf2_bglt) BgL_auxz00_11852);
							}
							BgL_arg2184z00_5682 =
								(((BgL_appzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11851))->
								BgL_outz00);
						}
						{
							BgL_appzf2livenesszf2_bglt BgL_auxz00_11859;

							{
								obj_t BgL_auxz00_11860;

								{	/* Liveness/liveness.scm 271 */
									BgL_objectz00_bglt BgL_tmpz00_11861;

									BgL_tmpz00_11861 =
										((BgL_objectz00_bglt) ((BgL_appz00_bglt) BgL_nz00_4831));
									BgL_auxz00_11860 = BGL_OBJECT_WIDENING(BgL_tmpz00_11861);
								}
								BgL_auxz00_11859 =
									((BgL_appzf2livenesszf2_bglt) BgL_auxz00_11860);
							}
							BgL_arg2185z00_5683 =
								(((BgL_appzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11859))->
								BgL_defz00);
						}
						BgL_arg2183z00_5681 =
							BGl_disjonctionz00zzliveness_setz00(BgL_arg2184z00_5682,
							BgL_arg2185z00_5683);
					}
					BgL_auxz00_11842 =
						BGl_unionz00zzliveness_setz00(BgL_arg2182z00_5680,
						BgL_arg2183z00_5681);
				}
				{
					obj_t BgL_auxz00_11836;

					{	/* Liveness/liveness.scm 271 */
						BgL_objectz00_bglt BgL_tmpz00_11837;

						BgL_tmpz00_11837 =
							((BgL_objectz00_bglt) ((BgL_appz00_bglt) BgL_nz00_4831));
						BgL_auxz00_11836 = BGL_OBJECT_WIDENING(BgL_tmpz00_11837);
					}
					BgL_auxz00_11835 = ((BgL_appzf2livenesszf2_bglt) BgL_auxz00_11836);
				}
				((((BgL_appzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11835))->BgL_inz00) =
					((obj_t) BgL_auxz00_11842), BUNSPEC);
			}
			{	/* Liveness/liveness.scm 272 */
				obj_t BgL_g1598z00_5684;

				BgL_g1598z00_5684 =
					(((BgL_appz00_bglt) COBJECT(
							((BgL_appz00_bglt)
								((BgL_appz00_bglt) BgL_nz00_4831))))->BgL_argsz00);
				{
					obj_t BgL_l1596z00_5686;

					BgL_l1596z00_5686 = BgL_g1598z00_5684;
				BgL_zc3z04anonymousza32186ze3z87_5685:
					if (PAIRP(BgL_l1596z00_5686))
						{	/* Liveness/liveness.scm 272 */
							{	/* Liveness/liveness.scm 272 */
								obj_t BgL_az00_5687;

								BgL_az00_5687 = CAR(BgL_l1596z00_5686);
								BGl_inoutz12z12zzliveness_livenessz00(
									((BgL_nodez00_bglt) BgL_az00_5687), BgL_oz00_4832);
							}
							{
								obj_t BgL_l1596z00_11878;

								BgL_l1596z00_11878 = CDR(BgL_l1596z00_5686);
								BgL_l1596z00_5686 = BgL_l1596z00_11878;
								goto BgL_zc3z04anonymousza32186ze3z87_5685;
							}
						}
					else
						{	/* Liveness/liveness.scm 272 */
							((bool_t) 1);
						}
				}
			}
			{	/* Liveness/liveness.scm 273 */
				obj_t BgL_val0_1599z00_5688;
				obj_t BgL_val1_1600z00_5689;

				{
					BgL_appzf2livenesszf2_bglt BgL_auxz00_11880;

					{
						obj_t BgL_auxz00_11881;

						{	/* Liveness/liveness.scm 273 */
							BgL_objectz00_bglt BgL_tmpz00_11882;

							BgL_tmpz00_11882 =
								((BgL_objectz00_bglt) ((BgL_appz00_bglt) BgL_nz00_4831));
							BgL_auxz00_11881 = BGL_OBJECT_WIDENING(BgL_tmpz00_11882);
						}
						BgL_auxz00_11880 = ((BgL_appzf2livenesszf2_bglt) BgL_auxz00_11881);
					}
					BgL_val0_1599z00_5688 =
						(((BgL_appzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11880))->
						BgL_inz00);
				}
				{
					BgL_appzf2livenesszf2_bglt BgL_auxz00_11888;

					{
						obj_t BgL_auxz00_11889;

						{	/* Liveness/liveness.scm 273 */
							BgL_objectz00_bglt BgL_tmpz00_11890;

							BgL_tmpz00_11890 =
								((BgL_objectz00_bglt) ((BgL_appz00_bglt) BgL_nz00_4831));
							BgL_auxz00_11889 = BGL_OBJECT_WIDENING(BgL_tmpz00_11890);
						}
						BgL_auxz00_11888 = ((BgL_appzf2livenesszf2_bglt) BgL_auxz00_11889);
					}
					BgL_val1_1600z00_5689 =
						(((BgL_appzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11888))->
						BgL_outz00);
				}
				{	/* Liveness/liveness.scm 273 */
					int BgL_tmpz00_11896;

					BgL_tmpz00_11896 = (int) (2L);
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_11896);
				}
				{	/* Liveness/liveness.scm 273 */
					int BgL_tmpz00_11899;

					BgL_tmpz00_11899 = (int) (1L);
					BGL_MVALUES_VAL_SET(BgL_tmpz00_11899, BgL_val1_1600z00_5689);
				}
				return BgL_val0_1599z00_5688;
			}
		}

	}



/* &defuse-app/liveness1881 */
	obj_t BGl_z62defusezd2appzf2liveness1881z42zzliveness_livenessz00(obj_t
		BgL_envz00_4833, obj_t BgL_nz00_4834)
	{
		{	/* Liveness/liveness.scm 262 */
			{	/* Liveness/liveness.scm 264 */
				obj_t BgL_val0_1594z00_5691;
				obj_t BgL_val1_1595z00_5692;

				{
					BgL_appzf2livenesszf2_bglt BgL_auxz00_11902;

					{
						obj_t BgL_auxz00_11903;

						{	/* Liveness/liveness.scm 264 */
							BgL_objectz00_bglt BgL_tmpz00_11904;

							BgL_tmpz00_11904 =
								((BgL_objectz00_bglt) ((BgL_appz00_bglt) BgL_nz00_4834));
							BgL_auxz00_11903 = BGL_OBJECT_WIDENING(BgL_tmpz00_11904);
						}
						BgL_auxz00_11902 = ((BgL_appzf2livenesszf2_bglt) BgL_auxz00_11903);
					}
					BgL_val0_1594z00_5691 =
						(((BgL_appzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11902))->
						BgL_defz00);
				}
				{
					BgL_appzf2livenesszf2_bglt BgL_auxz00_11910;

					{
						obj_t BgL_auxz00_11911;

						{	/* Liveness/liveness.scm 264 */
							BgL_objectz00_bglt BgL_tmpz00_11912;

							BgL_tmpz00_11912 =
								((BgL_objectz00_bglt) ((BgL_appz00_bglt) BgL_nz00_4834));
							BgL_auxz00_11911 = BGL_OBJECT_WIDENING(BgL_tmpz00_11912);
						}
						BgL_auxz00_11910 = ((BgL_appzf2livenesszf2_bglt) BgL_auxz00_11911);
					}
					BgL_val1_1595z00_5692 =
						(((BgL_appzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11910))->
						BgL_usez00);
				}
				{	/* Liveness/liveness.scm 264 */
					int BgL_tmpz00_11918;

					BgL_tmpz00_11918 = (int) (2L);
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_11918);
				}
				{	/* Liveness/liveness.scm 264 */
					int BgL_tmpz00_11921;

					BgL_tmpz00_11921 = (int) (1L);
					BGL_MVALUES_VAL_SET(BgL_tmpz00_11921, BgL_val1_1595z00_5692);
				}
				return BgL_val0_1594z00_5691;
			}
		}

	}



/* &defuse-app1879 */
	obj_t BGl_z62defusezd2app1879zb0zzliveness_livenessz00(obj_t BgL_envz00_4835,
		obj_t BgL_nz00_4836)
	{
		{	/* Liveness/liveness.scm 252 */
			{	/* Liveness/liveness.scm 255 */
				obj_t BgL_defz00_5694;

				BgL_defz00_5694 =
					BGl_defuseza2za2zzliveness_livenessz00(
					(((BgL_appz00_bglt) COBJECT(
								((BgL_appz00_bglt) BgL_nz00_4836)))->BgL_argsz00), BNIL, BNIL);
				{	/* Liveness/liveness.scm 256 */
					obj_t BgL_usez00_5695;

					{	/* Liveness/liveness.scm 257 */
						obj_t BgL_tmpz00_5696;

						{	/* Liveness/liveness.scm 257 */
							int BgL_tmpz00_11927;

							BgL_tmpz00_11927 = (int) (1L);
							BgL_tmpz00_5696 = BGL_MVALUES_VAL(BgL_tmpz00_11927);
						}
						{	/* Liveness/liveness.scm 257 */
							int BgL_tmpz00_11930;

							BgL_tmpz00_11930 = (int) (1L);
							BGL_MVALUES_VAL_SET(BgL_tmpz00_11930, BUNSPEC);
						}
						BgL_usez00_5695 = BgL_tmpz00_5696;
					}
					{	/* Liveness/liveness.scm 258 */
						BgL_appz00_bglt BgL_arg2179z00_5697;

						{	/* Liveness/liveness.scm 258 */
							BgL_appzf2livenesszf2_bglt BgL_wide1193z00_5698;

							BgL_wide1193z00_5698 =
								((BgL_appzf2livenesszf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_appzf2livenesszf2_bgl))));
							{	/* Liveness/liveness.scm 258 */
								obj_t BgL_auxz00_11938;
								BgL_objectz00_bglt BgL_tmpz00_11934;

								BgL_auxz00_11938 = ((obj_t) BgL_wide1193z00_5698);
								BgL_tmpz00_11934 =
									((BgL_objectz00_bglt)
									((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nz00_4836)));
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_11934, BgL_auxz00_11938);
							}
							((BgL_objectz00_bglt)
								((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nz00_4836)));
							{	/* Liveness/liveness.scm 258 */
								long BgL_arg2180z00_5699;

								BgL_arg2180z00_5699 =
									BGL_CLASS_NUM(BGl_appzf2livenesszf2zzliveness_typesz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt)
										((BgL_appz00_bglt)
											((BgL_appz00_bglt) BgL_nz00_4836))), BgL_arg2180z00_5699);
							}
							((BgL_appz00_bglt)
								((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nz00_4836)));
						}
						{
							BgL_appzf2livenesszf2_bglt BgL_auxz00_11952;

							{
								obj_t BgL_auxz00_11953;

								{	/* Liveness/liveness.scm 259 */
									BgL_objectz00_bglt BgL_tmpz00_11954;

									BgL_tmpz00_11954 =
										((BgL_objectz00_bglt)
										((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nz00_4836)));
									BgL_auxz00_11953 = BGL_OBJECT_WIDENING(BgL_tmpz00_11954);
								}
								BgL_auxz00_11952 =
									((BgL_appzf2livenesszf2_bglt) BgL_auxz00_11953);
							}
							((((BgL_appzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11952))->
									BgL_defz00) = ((obj_t) BgL_defz00_5694), BUNSPEC);
						}
						{
							BgL_appzf2livenesszf2_bglt BgL_auxz00_11961;

							{
								obj_t BgL_auxz00_11962;

								{	/* Liveness/liveness.scm 260 */
									BgL_objectz00_bglt BgL_tmpz00_11963;

									BgL_tmpz00_11963 =
										((BgL_objectz00_bglt)
										((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nz00_4836)));
									BgL_auxz00_11962 = BGL_OBJECT_WIDENING(BgL_tmpz00_11963);
								}
								BgL_auxz00_11961 =
									((BgL_appzf2livenesszf2_bglt) BgL_auxz00_11962);
							}
							((((BgL_appzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11961))->
									BgL_usez00) = ((obj_t) BgL_usez00_5695), BUNSPEC);
						}
						{
							BgL_appzf2livenesszf2_bglt BgL_auxz00_11970;

							{
								obj_t BgL_auxz00_11971;

								{	/* Liveness/liveness.scm 256 */
									BgL_objectz00_bglt BgL_tmpz00_11972;

									BgL_tmpz00_11972 =
										((BgL_objectz00_bglt)
										((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nz00_4836)));
									BgL_auxz00_11971 = BGL_OBJECT_WIDENING(BgL_tmpz00_11972);
								}
								BgL_auxz00_11970 =
									((BgL_appzf2livenesszf2_bglt) BgL_auxz00_11971);
							}
							((((BgL_appzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11970))->
									BgL_inz00) = ((obj_t) BNIL), BUNSPEC);
						}
						{
							BgL_appzf2livenesszf2_bglt BgL_auxz00_11979;

							{
								obj_t BgL_auxz00_11980;

								{	/* Liveness/liveness.scm 256 */
									BgL_objectz00_bglt BgL_tmpz00_11981;

									BgL_tmpz00_11981 =
										((BgL_objectz00_bglt)
										((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nz00_4836)));
									BgL_auxz00_11980 = BGL_OBJECT_WIDENING(BgL_tmpz00_11981);
								}
								BgL_auxz00_11979 =
									((BgL_appzf2livenesszf2_bglt) BgL_auxz00_11980);
							}
							((((BgL_appzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11979))->
									BgL_outz00) = ((obj_t) BNIL), BUNSPEC);
						}
						BgL_arg2179z00_5697 =
							((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nz00_4836));
						return
							BGl_defusez00zzliveness_livenessz00(
							((BgL_nodez00_bglt) BgL_arg2179z00_5697));
					}
				}
			}
		}

	}



/* &inout-sequence/liven1877 */
	obj_t BGl_z62inoutzd2sequencezf2liven1877z42zzliveness_livenessz00(obj_t
		BgL_envz00_4837, obj_t BgL_nz00_4838)
	{
		{	/* Liveness/liveness.scm 245 */
			{	/* Liveness/liveness.scm 247 */
				obj_t BgL_val0_1592z00_5701;
				obj_t BgL_val1_1593z00_5702;

				{
					BgL_sequencezf2livenesszf2_bglt BgL_auxz00_11992;

					{
						obj_t BgL_auxz00_11993;

						{	/* Liveness/liveness.scm 247 */
							BgL_objectz00_bglt BgL_tmpz00_11994;

							BgL_tmpz00_11994 =
								((BgL_objectz00_bglt) ((BgL_sequencez00_bglt) BgL_nz00_4838));
							BgL_auxz00_11993 = BGL_OBJECT_WIDENING(BgL_tmpz00_11994);
						}
						BgL_auxz00_11992 =
							((BgL_sequencezf2livenesszf2_bglt) BgL_auxz00_11993);
					}
					BgL_val0_1592z00_5701 =
						(((BgL_sequencezf2livenesszf2_bglt) COBJECT(BgL_auxz00_11992))->
						BgL_inz00);
				}
				{
					BgL_sequencezf2livenesszf2_bglt BgL_auxz00_12000;

					{
						obj_t BgL_auxz00_12001;

						{	/* Liveness/liveness.scm 247 */
							BgL_objectz00_bglt BgL_tmpz00_12002;

							BgL_tmpz00_12002 =
								((BgL_objectz00_bglt) ((BgL_sequencez00_bglt) BgL_nz00_4838));
							BgL_auxz00_12001 = BGL_OBJECT_WIDENING(BgL_tmpz00_12002);
						}
						BgL_auxz00_12000 =
							((BgL_sequencezf2livenesszf2_bglt) BgL_auxz00_12001);
					}
					BgL_val1_1593z00_5702 =
						(((BgL_sequencezf2livenesszf2_bglt) COBJECT(BgL_auxz00_12000))->
						BgL_outz00);
				}
				{	/* Liveness/liveness.scm 247 */
					int BgL_tmpz00_12008;

					BgL_tmpz00_12008 = (int) (2L);
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_12008);
				}
				{	/* Liveness/liveness.scm 247 */
					int BgL_tmpz00_12011;

					BgL_tmpz00_12011 = (int) (1L);
					BGL_MVALUES_VAL_SET(BgL_tmpz00_12011, BgL_val1_1593z00_5702);
				}
				return BgL_val0_1592z00_5701;
			}
		}

	}



/* &inout!-sequence/live1875 */
	obj_t BGl_z62inoutz12zd2sequencezf2live1875z50zzliveness_livenessz00(obj_t
		BgL_envz00_4839, obj_t BgL_nz00_4840, obj_t BgL_oz00_4841)
	{
		{	/* Liveness/liveness.scm 237 */
			{
				BgL_sequencezf2livenesszf2_bglt BgL_auxz00_12014;

				{
					obj_t BgL_auxz00_12015;

					{	/* Liveness/liveness.scm 240 */
						BgL_objectz00_bglt BgL_tmpz00_12016;

						BgL_tmpz00_12016 =
							((BgL_objectz00_bglt) ((BgL_sequencez00_bglt) BgL_nz00_4840));
						BgL_auxz00_12015 = BGL_OBJECT_WIDENING(BgL_tmpz00_12016);
					}
					BgL_auxz00_12014 =
						((BgL_sequencezf2livenesszf2_bglt) BgL_auxz00_12015);
				}
				((((BgL_sequencezf2livenesszf2_bglt) COBJECT(BgL_auxz00_12014))->
						BgL_outz00) = ((obj_t) BgL_oz00_4841), BUNSPEC);
			}
			{
				obj_t BgL_auxz00_12029;
				BgL_sequencezf2livenesszf2_bglt BgL_auxz00_12022;

				{	/* Liveness/liveness.scm 241 */
					obj_t BgL_arg2174z00_5704;
					obj_t BgL_arg2175z00_5705;

					{
						BgL_sequencezf2livenesszf2_bglt BgL_auxz00_12030;

						{
							obj_t BgL_auxz00_12031;

							{	/* Liveness/liveness.scm 241 */
								BgL_objectz00_bglt BgL_tmpz00_12032;

								BgL_tmpz00_12032 =
									((BgL_objectz00_bglt) ((BgL_sequencez00_bglt) BgL_nz00_4840));
								BgL_auxz00_12031 = BGL_OBJECT_WIDENING(BgL_tmpz00_12032);
							}
							BgL_auxz00_12030 =
								((BgL_sequencezf2livenesszf2_bglt) BgL_auxz00_12031);
						}
						BgL_arg2174z00_5704 =
							(((BgL_sequencezf2livenesszf2_bglt) COBJECT(BgL_auxz00_12030))->
							BgL_usez00);
					}
					{	/* Liveness/liveness.scm 241 */
						obj_t BgL_arg2176z00_5706;
						obj_t BgL_arg2177z00_5707;

						{
							BgL_sequencezf2livenesszf2_bglt BgL_auxz00_12038;

							{
								obj_t BgL_auxz00_12039;

								{	/* Liveness/liveness.scm 241 */
									BgL_objectz00_bglt BgL_tmpz00_12040;

									BgL_tmpz00_12040 =
										((BgL_objectz00_bglt)
										((BgL_sequencez00_bglt) BgL_nz00_4840));
									BgL_auxz00_12039 = BGL_OBJECT_WIDENING(BgL_tmpz00_12040);
								}
								BgL_auxz00_12038 =
									((BgL_sequencezf2livenesszf2_bglt) BgL_auxz00_12039);
							}
							BgL_arg2176z00_5706 =
								(((BgL_sequencezf2livenesszf2_bglt) COBJECT(BgL_auxz00_12038))->
								BgL_outz00);
						}
						{
							BgL_sequencezf2livenesszf2_bglt BgL_auxz00_12046;

							{
								obj_t BgL_auxz00_12047;

								{	/* Liveness/liveness.scm 241 */
									BgL_objectz00_bglt BgL_tmpz00_12048;

									BgL_tmpz00_12048 =
										((BgL_objectz00_bglt)
										((BgL_sequencez00_bglt) BgL_nz00_4840));
									BgL_auxz00_12047 = BGL_OBJECT_WIDENING(BgL_tmpz00_12048);
								}
								BgL_auxz00_12046 =
									((BgL_sequencezf2livenesszf2_bglt) BgL_auxz00_12047);
							}
							BgL_arg2177z00_5707 =
								(((BgL_sequencezf2livenesszf2_bglt) COBJECT(BgL_auxz00_12046))->
								BgL_defz00);
						}
						BgL_arg2175z00_5705 =
							BGl_disjonctionz00zzliveness_setz00(BgL_arg2176z00_5706,
							BgL_arg2177z00_5707);
					}
					BgL_auxz00_12029 =
						BGl_unionz00zzliveness_setz00(BgL_arg2174z00_5704,
						BgL_arg2175z00_5705);
				}
				{
					obj_t BgL_auxz00_12023;

					{	/* Liveness/liveness.scm 241 */
						BgL_objectz00_bglt BgL_tmpz00_12024;

						BgL_tmpz00_12024 =
							((BgL_objectz00_bglt) ((BgL_sequencez00_bglt) BgL_nz00_4840));
						BgL_auxz00_12023 = BGL_OBJECT_WIDENING(BgL_tmpz00_12024);
					}
					BgL_auxz00_12022 =
						((BgL_sequencezf2livenesszf2_bglt) BgL_auxz00_12023);
				}
				((((BgL_sequencezf2livenesszf2_bglt) COBJECT(BgL_auxz00_12022))->
						BgL_inz00) = ((obj_t) BgL_auxz00_12029), BUNSPEC);
			}
			{	/* Liveness/liveness.scm 242 */
				obj_t BgL_arg2178z00_5708;

				BgL_arg2178z00_5708 =
					(((BgL_sequencez00_bglt) COBJECT(
							((BgL_sequencez00_bglt)
								((BgL_sequencez00_bglt) BgL_nz00_4840))))->BgL_nodesz00);
				BGl_inoutza2z12zb0zzliveness_livenessz00(BgL_arg2178z00_5708,
					BgL_oz00_4841);
			}
			{	/* Liveness/liveness.scm 243 */
				obj_t BgL_val0_1590z00_5709;
				obj_t BgL_val1_1591z00_5710;

				{
					BgL_sequencezf2livenesszf2_bglt BgL_auxz00_12061;

					{
						obj_t BgL_auxz00_12062;

						{	/* Liveness/liveness.scm 243 */
							BgL_objectz00_bglt BgL_tmpz00_12063;

							BgL_tmpz00_12063 =
								((BgL_objectz00_bglt) ((BgL_sequencez00_bglt) BgL_nz00_4840));
							BgL_auxz00_12062 = BGL_OBJECT_WIDENING(BgL_tmpz00_12063);
						}
						BgL_auxz00_12061 =
							((BgL_sequencezf2livenesszf2_bglt) BgL_auxz00_12062);
					}
					BgL_val0_1590z00_5709 =
						(((BgL_sequencezf2livenesszf2_bglt) COBJECT(BgL_auxz00_12061))->
						BgL_inz00);
				}
				{
					BgL_sequencezf2livenesszf2_bglt BgL_auxz00_12069;

					{
						obj_t BgL_auxz00_12070;

						{	/* Liveness/liveness.scm 243 */
							BgL_objectz00_bglt BgL_tmpz00_12071;

							BgL_tmpz00_12071 =
								((BgL_objectz00_bglt) ((BgL_sequencez00_bglt) BgL_nz00_4840));
							BgL_auxz00_12070 = BGL_OBJECT_WIDENING(BgL_tmpz00_12071);
						}
						BgL_auxz00_12069 =
							((BgL_sequencezf2livenesszf2_bglt) BgL_auxz00_12070);
					}
					BgL_val1_1591z00_5710 =
						(((BgL_sequencezf2livenesszf2_bglt) COBJECT(BgL_auxz00_12069))->
						BgL_outz00);
				}
				{	/* Liveness/liveness.scm 243 */
					int BgL_tmpz00_12077;

					BgL_tmpz00_12077 = (int) (2L);
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_12077);
				}
				{	/* Liveness/liveness.scm 243 */
					int BgL_tmpz00_12080;

					BgL_tmpz00_12080 = (int) (1L);
					BGL_MVALUES_VAL_SET(BgL_tmpz00_12080, BgL_val1_1591z00_5710);
				}
				return BgL_val0_1590z00_5709;
			}
		}

	}



/* &defuse-sequence/live1873 */
	obj_t BGl_z62defusezd2sequencezf2live1873z42zzliveness_livenessz00(obj_t
		BgL_envz00_4842, obj_t BgL_nz00_4843)
	{
		{	/* Liveness/liveness.scm 233 */
			{	/* Liveness/liveness.scm 235 */
				obj_t BgL_val0_1588z00_5712;
				obj_t BgL_val1_1589z00_5713;

				{
					BgL_sequencezf2livenesszf2_bglt BgL_auxz00_12083;

					{
						obj_t BgL_auxz00_12084;

						{	/* Liveness/liveness.scm 235 */
							BgL_objectz00_bglt BgL_tmpz00_12085;

							BgL_tmpz00_12085 =
								((BgL_objectz00_bglt) ((BgL_sequencez00_bglt) BgL_nz00_4843));
							BgL_auxz00_12084 = BGL_OBJECT_WIDENING(BgL_tmpz00_12085);
						}
						BgL_auxz00_12083 =
							((BgL_sequencezf2livenesszf2_bglt) BgL_auxz00_12084);
					}
					BgL_val0_1588z00_5712 =
						(((BgL_sequencezf2livenesszf2_bglt) COBJECT(BgL_auxz00_12083))->
						BgL_defz00);
				}
				{
					BgL_sequencezf2livenesszf2_bglt BgL_auxz00_12091;

					{
						obj_t BgL_auxz00_12092;

						{	/* Liveness/liveness.scm 235 */
							BgL_objectz00_bglt BgL_tmpz00_12093;

							BgL_tmpz00_12093 =
								((BgL_objectz00_bglt) ((BgL_sequencez00_bglt) BgL_nz00_4843));
							BgL_auxz00_12092 = BGL_OBJECT_WIDENING(BgL_tmpz00_12093);
						}
						BgL_auxz00_12091 =
							((BgL_sequencezf2livenesszf2_bglt) BgL_auxz00_12092);
					}
					BgL_val1_1589z00_5713 =
						(((BgL_sequencezf2livenesszf2_bglt) COBJECT(BgL_auxz00_12091))->
						BgL_usez00);
				}
				{	/* Liveness/liveness.scm 235 */
					int BgL_tmpz00_12099;

					BgL_tmpz00_12099 = (int) (2L);
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_12099);
				}
				{	/* Liveness/liveness.scm 235 */
					int BgL_tmpz00_12102;

					BgL_tmpz00_12102 = (int) (1L);
					BGL_MVALUES_VAL_SET(BgL_tmpz00_12102, BgL_val1_1589z00_5713);
				}
				return BgL_val0_1588z00_5712;
			}
		}

	}



/* &defuse-sequence1871 */
	obj_t BGl_z62defusezd2sequence1871zb0zzliveness_livenessz00(obj_t
		BgL_envz00_4844, obj_t BgL_nz00_4845)
	{
		{	/* Liveness/liveness.scm 224 */
			{	/* Liveness/liveness.scm 226 */
				obj_t BgL_defz00_5715;

				BgL_defz00_5715 =
					BGl_defusezd2seqzd2zzliveness_livenessz00(
					(((BgL_sequencez00_bglt) COBJECT(
								((BgL_sequencez00_bglt) BgL_nz00_4845)))->BgL_nodesz00));
				{	/* Liveness/liveness.scm 227 */
					obj_t BgL_usez00_5716;

					{	/* Liveness/liveness.scm 228 */
						obj_t BgL_tmpz00_5717;

						{	/* Liveness/liveness.scm 228 */
							int BgL_tmpz00_12108;

							BgL_tmpz00_12108 = (int) (1L);
							BgL_tmpz00_5717 = BGL_MVALUES_VAL(BgL_tmpz00_12108);
						}
						{	/* Liveness/liveness.scm 228 */
							int BgL_tmpz00_12111;

							BgL_tmpz00_12111 = (int) (1L);
							BGL_MVALUES_VAL_SET(BgL_tmpz00_12111, BUNSPEC);
						}
						BgL_usez00_5716 = BgL_tmpz00_5717;
					}
					{	/* Liveness/liveness.scm 229 */
						BgL_sequencez00_bglt BgL_arg2171z00_5718;

						{	/* Liveness/liveness.scm 229 */
							BgL_sequencezf2livenesszf2_bglt BgL_wide1185z00_5719;

							BgL_wide1185z00_5719 =
								((BgL_sequencezf2livenesszf2_bglt)
								BOBJECT(GC_MALLOC(sizeof(struct
											BgL_sequencezf2livenesszf2_bgl))));
							{	/* Liveness/liveness.scm 229 */
								obj_t BgL_auxz00_12119;
								BgL_objectz00_bglt BgL_tmpz00_12115;

								BgL_auxz00_12119 = ((obj_t) BgL_wide1185z00_5719);
								BgL_tmpz00_12115 =
									((BgL_objectz00_bglt)
									((BgL_sequencez00_bglt)
										((BgL_sequencez00_bglt) BgL_nz00_4845)));
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_12115, BgL_auxz00_12119);
							}
							((BgL_objectz00_bglt)
								((BgL_sequencez00_bglt)
									((BgL_sequencez00_bglt) BgL_nz00_4845)));
							{	/* Liveness/liveness.scm 229 */
								long BgL_arg2172z00_5720;

								BgL_arg2172z00_5720 =
									BGL_CLASS_NUM(BGl_sequencezf2livenesszf2zzliveness_typesz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt)
										((BgL_sequencez00_bglt)
											((BgL_sequencez00_bglt) BgL_nz00_4845))),
									BgL_arg2172z00_5720);
							}
							((BgL_sequencez00_bglt)
								((BgL_sequencez00_bglt)
									((BgL_sequencez00_bglt) BgL_nz00_4845)));
						}
						{
							BgL_sequencezf2livenesszf2_bglt BgL_auxz00_12133;

							{
								obj_t BgL_auxz00_12134;

								{	/* Liveness/liveness.scm 230 */
									BgL_objectz00_bglt BgL_tmpz00_12135;

									BgL_tmpz00_12135 =
										((BgL_objectz00_bglt)
										((BgL_sequencez00_bglt)
											((BgL_sequencez00_bglt) BgL_nz00_4845)));
									BgL_auxz00_12134 = BGL_OBJECT_WIDENING(BgL_tmpz00_12135);
								}
								BgL_auxz00_12133 =
									((BgL_sequencezf2livenesszf2_bglt) BgL_auxz00_12134);
							}
							((((BgL_sequencezf2livenesszf2_bglt) COBJECT(BgL_auxz00_12133))->
									BgL_defz00) = ((obj_t) BgL_defz00_5715), BUNSPEC);
						}
						{
							BgL_sequencezf2livenesszf2_bglt BgL_auxz00_12142;

							{
								obj_t BgL_auxz00_12143;

								{	/* Liveness/liveness.scm 231 */
									BgL_objectz00_bglt BgL_tmpz00_12144;

									BgL_tmpz00_12144 =
										((BgL_objectz00_bglt)
										((BgL_sequencez00_bglt)
											((BgL_sequencez00_bglt) BgL_nz00_4845)));
									BgL_auxz00_12143 = BGL_OBJECT_WIDENING(BgL_tmpz00_12144);
								}
								BgL_auxz00_12142 =
									((BgL_sequencezf2livenesszf2_bglt) BgL_auxz00_12143);
							}
							((((BgL_sequencezf2livenesszf2_bglt) COBJECT(BgL_auxz00_12142))->
									BgL_usez00) = ((obj_t) BgL_usez00_5716), BUNSPEC);
						}
						{
							BgL_sequencezf2livenesszf2_bglt BgL_auxz00_12151;

							{
								obj_t BgL_auxz00_12152;

								{	/* Liveness/liveness.scm 227 */
									BgL_objectz00_bglt BgL_tmpz00_12153;

									BgL_tmpz00_12153 =
										((BgL_objectz00_bglt)
										((BgL_sequencez00_bglt)
											((BgL_sequencez00_bglt) BgL_nz00_4845)));
									BgL_auxz00_12152 = BGL_OBJECT_WIDENING(BgL_tmpz00_12153);
								}
								BgL_auxz00_12151 =
									((BgL_sequencezf2livenesszf2_bglt) BgL_auxz00_12152);
							}
							((((BgL_sequencezf2livenesszf2_bglt) COBJECT(BgL_auxz00_12151))->
									BgL_inz00) = ((obj_t) BNIL), BUNSPEC);
						}
						{
							BgL_sequencezf2livenesszf2_bglt BgL_auxz00_12160;

							{
								obj_t BgL_auxz00_12161;

								{	/* Liveness/liveness.scm 227 */
									BgL_objectz00_bglt BgL_tmpz00_12162;

									BgL_tmpz00_12162 =
										((BgL_objectz00_bglt)
										((BgL_sequencez00_bglt)
											((BgL_sequencez00_bglt) BgL_nz00_4845)));
									BgL_auxz00_12161 = BGL_OBJECT_WIDENING(BgL_tmpz00_12162);
								}
								BgL_auxz00_12160 =
									((BgL_sequencezf2livenesszf2_bglt) BgL_auxz00_12161);
							}
							((((BgL_sequencezf2livenesszf2_bglt) COBJECT(BgL_auxz00_12160))->
									BgL_outz00) = ((obj_t) BNIL), BUNSPEC);
						}
						BgL_arg2171z00_5718 =
							((BgL_sequencez00_bglt) ((BgL_sequencez00_bglt) BgL_nz00_4845));
						return
							BGl_defusez00zzliveness_livenessz00(
							((BgL_nodez00_bglt) BgL_arg2171z00_5718));
					}
				}
			}
		}

	}



/* &inout-kwote/liveness1869 */
	obj_t BGl_z62inoutzd2kwotezf2liveness1869z42zzliveness_livenessz00(obj_t
		BgL_envz00_4846, obj_t BgL_nz00_4847)
	{
		{	/* Liveness/liveness.scm 217 */
			{	/* Liveness/liveness.scm 219 */
				obj_t BgL_val0_1586z00_5722;
				obj_t BgL_val1_1587z00_5723;

				{
					BgL_kwotezf2livenesszf2_bglt BgL_auxz00_12173;

					{
						obj_t BgL_auxz00_12174;

						{	/* Liveness/liveness.scm 219 */
							BgL_objectz00_bglt BgL_tmpz00_12175;

							BgL_tmpz00_12175 =
								((BgL_objectz00_bglt) ((BgL_kwotez00_bglt) BgL_nz00_4847));
							BgL_auxz00_12174 = BGL_OBJECT_WIDENING(BgL_tmpz00_12175);
						}
						BgL_auxz00_12173 =
							((BgL_kwotezf2livenesszf2_bglt) BgL_auxz00_12174);
					}
					BgL_val0_1586z00_5722 =
						(((BgL_kwotezf2livenesszf2_bglt) COBJECT(BgL_auxz00_12173))->
						BgL_inz00);
				}
				{
					BgL_kwotezf2livenesszf2_bglt BgL_auxz00_12181;

					{
						obj_t BgL_auxz00_12182;

						{	/* Liveness/liveness.scm 219 */
							BgL_objectz00_bglt BgL_tmpz00_12183;

							BgL_tmpz00_12183 =
								((BgL_objectz00_bglt) ((BgL_kwotez00_bglt) BgL_nz00_4847));
							BgL_auxz00_12182 = BGL_OBJECT_WIDENING(BgL_tmpz00_12183);
						}
						BgL_auxz00_12181 =
							((BgL_kwotezf2livenesszf2_bglt) BgL_auxz00_12182);
					}
					BgL_val1_1587z00_5723 =
						(((BgL_kwotezf2livenesszf2_bglt) COBJECT(BgL_auxz00_12181))->
						BgL_outz00);
				}
				{	/* Liveness/liveness.scm 219 */
					int BgL_tmpz00_12189;

					BgL_tmpz00_12189 = (int) (2L);
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_12189);
				}
				{	/* Liveness/liveness.scm 219 */
					int BgL_tmpz00_12192;

					BgL_tmpz00_12192 = (int) (1L);
					BGL_MVALUES_VAL_SET(BgL_tmpz00_12192, BgL_val1_1587z00_5723);
				}
				return BgL_val0_1586z00_5722;
			}
		}

	}



/* &inout!-kwote/livenes1867 */
	obj_t BGl_z62inoutz12zd2kwotezf2livenes1867z50zzliveness_livenessz00(obj_t
		BgL_envz00_4848, obj_t BgL_nz00_4849, obj_t BgL_oz00_4850)
	{
		{	/* Liveness/liveness.scm 210 */
			{
				BgL_kwotezf2livenesszf2_bglt BgL_auxz00_12195;

				{
					obj_t BgL_auxz00_12196;

					{	/* Liveness/liveness.scm 212 */
						BgL_objectz00_bglt BgL_tmpz00_12197;

						BgL_tmpz00_12197 =
							((BgL_objectz00_bglt) ((BgL_kwotez00_bglt) BgL_nz00_4849));
						BgL_auxz00_12196 = BGL_OBJECT_WIDENING(BgL_tmpz00_12197);
					}
					BgL_auxz00_12195 = ((BgL_kwotezf2livenesszf2_bglt) BgL_auxz00_12196);
				}
				((((BgL_kwotezf2livenesszf2_bglt) COBJECT(BgL_auxz00_12195))->
						BgL_outz00) = ((obj_t) BgL_oz00_4850), BUNSPEC);
			}
			{
				BgL_kwotezf2livenesszf2_bglt BgL_auxz00_12203;

				{
					obj_t BgL_auxz00_12204;

					{	/* Liveness/liveness.scm 213 */
						BgL_objectz00_bglt BgL_tmpz00_12205;

						BgL_tmpz00_12205 =
							((BgL_objectz00_bglt) ((BgL_kwotez00_bglt) BgL_nz00_4849));
						BgL_auxz00_12204 = BGL_OBJECT_WIDENING(BgL_tmpz00_12205);
					}
					BgL_auxz00_12203 = ((BgL_kwotezf2livenesszf2_bglt) BgL_auxz00_12204);
				}
				((((BgL_kwotezf2livenesszf2_bglt) COBJECT(BgL_auxz00_12203))->
						BgL_inz00) = ((obj_t) BgL_oz00_4850), BUNSPEC);
			}
			{	/* Liveness/liveness.scm 215 */
				obj_t BgL_val0_1584z00_5725;
				obj_t BgL_val1_1585z00_5726;

				{
					BgL_kwotezf2livenesszf2_bglt BgL_auxz00_12211;

					{
						obj_t BgL_auxz00_12212;

						{	/* Liveness/liveness.scm 215 */
							BgL_objectz00_bglt BgL_tmpz00_12213;

							BgL_tmpz00_12213 =
								((BgL_objectz00_bglt) ((BgL_kwotez00_bglt) BgL_nz00_4849));
							BgL_auxz00_12212 = BGL_OBJECT_WIDENING(BgL_tmpz00_12213);
						}
						BgL_auxz00_12211 =
							((BgL_kwotezf2livenesszf2_bglt) BgL_auxz00_12212);
					}
					BgL_val0_1584z00_5725 =
						(((BgL_kwotezf2livenesszf2_bglt) COBJECT(BgL_auxz00_12211))->
						BgL_inz00);
				}
				{
					BgL_kwotezf2livenesszf2_bglt BgL_auxz00_12219;

					{
						obj_t BgL_auxz00_12220;

						{	/* Liveness/liveness.scm 215 */
							BgL_objectz00_bglt BgL_tmpz00_12221;

							BgL_tmpz00_12221 =
								((BgL_objectz00_bglt) ((BgL_kwotez00_bglt) BgL_nz00_4849));
							BgL_auxz00_12220 = BGL_OBJECT_WIDENING(BgL_tmpz00_12221);
						}
						BgL_auxz00_12219 =
							((BgL_kwotezf2livenesszf2_bglt) BgL_auxz00_12220);
					}
					BgL_val1_1585z00_5726 =
						(((BgL_kwotezf2livenesszf2_bglt) COBJECT(BgL_auxz00_12219))->
						BgL_outz00);
				}
				{	/* Liveness/liveness.scm 215 */
					int BgL_tmpz00_12227;

					BgL_tmpz00_12227 = (int) (2L);
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_12227);
				}
				{	/* Liveness/liveness.scm 215 */
					int BgL_tmpz00_12230;

					BgL_tmpz00_12230 = (int) (1L);
					BGL_MVALUES_VAL_SET(BgL_tmpz00_12230, BgL_val1_1585z00_5726);
				}
				return BgL_val0_1584z00_5725;
			}
		}

	}



/* &defuse-kwote/livenes1865 */
	obj_t BGl_z62defusezd2kwotezf2livenes1865z42zzliveness_livenessz00(obj_t
		BgL_envz00_4851, obj_t BgL_nz00_4852)
	{
		{	/* Liveness/liveness.scm 206 */
			{	/* Liveness/liveness.scm 208 */
				obj_t BgL_val0_1582z00_5728;
				obj_t BgL_val1_1583z00_5729;

				{
					BgL_kwotezf2livenesszf2_bglt BgL_auxz00_12233;

					{
						obj_t BgL_auxz00_12234;

						{	/* Liveness/liveness.scm 208 */
							BgL_objectz00_bglt BgL_tmpz00_12235;

							BgL_tmpz00_12235 =
								((BgL_objectz00_bglt) ((BgL_kwotez00_bglt) BgL_nz00_4852));
							BgL_auxz00_12234 = BGL_OBJECT_WIDENING(BgL_tmpz00_12235);
						}
						BgL_auxz00_12233 =
							((BgL_kwotezf2livenesszf2_bglt) BgL_auxz00_12234);
					}
					BgL_val0_1582z00_5728 =
						(((BgL_kwotezf2livenesszf2_bglt) COBJECT(BgL_auxz00_12233))->
						BgL_defz00);
				}
				{
					BgL_kwotezf2livenesszf2_bglt BgL_auxz00_12241;

					{
						obj_t BgL_auxz00_12242;

						{	/* Liveness/liveness.scm 208 */
							BgL_objectz00_bglt BgL_tmpz00_12243;

							BgL_tmpz00_12243 =
								((BgL_objectz00_bglt) ((BgL_kwotez00_bglt) BgL_nz00_4852));
							BgL_auxz00_12242 = BGL_OBJECT_WIDENING(BgL_tmpz00_12243);
						}
						BgL_auxz00_12241 =
							((BgL_kwotezf2livenesszf2_bglt) BgL_auxz00_12242);
					}
					BgL_val1_1583z00_5729 =
						(((BgL_kwotezf2livenesszf2_bglt) COBJECT(BgL_auxz00_12241))->
						BgL_usez00);
				}
				{	/* Liveness/liveness.scm 208 */
					int BgL_tmpz00_12249;

					BgL_tmpz00_12249 = (int) (2L);
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_12249);
				}
				{	/* Liveness/liveness.scm 208 */
					int BgL_tmpz00_12252;

					BgL_tmpz00_12252 = (int) (1L);
					BGL_MVALUES_VAL_SET(BgL_tmpz00_12252, BgL_val1_1583z00_5729);
				}
				return BgL_val0_1582z00_5728;
			}
		}

	}



/* &defuse-kwote1863 */
	obj_t BGl_z62defusezd2kwote1863zb0zzliveness_livenessz00(obj_t
		BgL_envz00_4853, obj_t BgL_nz00_4854)
	{
		{	/* Liveness/liveness.scm 203 */
			{	/* Liveness/liveness.scm 204 */
				BgL_kwotez00_bglt BgL_arg2169z00_5731;

				{	/* Liveness/liveness.scm 204 */
					BgL_kwotezf2livenesszf2_bglt BgL_wide1176z00_5732;

					BgL_wide1176z00_5732 =
						((BgL_kwotezf2livenesszf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_kwotezf2livenesszf2_bgl))));
					{	/* Liveness/liveness.scm 204 */
						obj_t BgL_auxz00_12260;
						BgL_objectz00_bglt BgL_tmpz00_12256;

						BgL_auxz00_12260 = ((obj_t) BgL_wide1176z00_5732);
						BgL_tmpz00_12256 =
							((BgL_objectz00_bglt)
							((BgL_kwotez00_bglt) ((BgL_kwotez00_bglt) BgL_nz00_4854)));
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_12256, BgL_auxz00_12260);
					}
					((BgL_objectz00_bglt)
						((BgL_kwotez00_bglt) ((BgL_kwotez00_bglt) BgL_nz00_4854)));
					{	/* Liveness/liveness.scm 204 */
						long BgL_arg2170z00_5733;

						BgL_arg2170z00_5733 =
							BGL_CLASS_NUM(BGl_kwotezf2livenesszf2zzliveness_typesz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt)
								((BgL_kwotez00_bglt)
									((BgL_kwotez00_bglt) BgL_nz00_4854))), BgL_arg2170z00_5733);
					}
					((BgL_kwotez00_bglt)
						((BgL_kwotez00_bglt) ((BgL_kwotez00_bglt) BgL_nz00_4854)));
				}
				{
					BgL_kwotezf2livenesszf2_bglt BgL_auxz00_12274;

					{
						obj_t BgL_auxz00_12275;

						{	/* Liveness/liveness.scm 204 */
							BgL_objectz00_bglt BgL_tmpz00_12276;

							BgL_tmpz00_12276 =
								((BgL_objectz00_bglt)
								((BgL_kwotez00_bglt) ((BgL_kwotez00_bglt) BgL_nz00_4854)));
							BgL_auxz00_12275 = BGL_OBJECT_WIDENING(BgL_tmpz00_12276);
						}
						BgL_auxz00_12274 =
							((BgL_kwotezf2livenesszf2_bglt) BgL_auxz00_12275);
					}
					((((BgL_kwotezf2livenesszf2_bglt) COBJECT(BgL_auxz00_12274))->
							BgL_defz00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_kwotezf2livenesszf2_bglt BgL_auxz00_12283;

					{
						obj_t BgL_auxz00_12284;

						{	/* Liveness/liveness.scm 204 */
							BgL_objectz00_bglt BgL_tmpz00_12285;

							BgL_tmpz00_12285 =
								((BgL_objectz00_bglt)
								((BgL_kwotez00_bglt) ((BgL_kwotez00_bglt) BgL_nz00_4854)));
							BgL_auxz00_12284 = BGL_OBJECT_WIDENING(BgL_tmpz00_12285);
						}
						BgL_auxz00_12283 =
							((BgL_kwotezf2livenesszf2_bglt) BgL_auxz00_12284);
					}
					((((BgL_kwotezf2livenesszf2_bglt) COBJECT(BgL_auxz00_12283))->
							BgL_usez00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_kwotezf2livenesszf2_bglt BgL_auxz00_12292;

					{
						obj_t BgL_auxz00_12293;

						{	/* Liveness/liveness.scm 204 */
							BgL_objectz00_bglt BgL_tmpz00_12294;

							BgL_tmpz00_12294 =
								((BgL_objectz00_bglt)
								((BgL_kwotez00_bglt) ((BgL_kwotez00_bglt) BgL_nz00_4854)));
							BgL_auxz00_12293 = BGL_OBJECT_WIDENING(BgL_tmpz00_12294);
						}
						BgL_auxz00_12292 =
							((BgL_kwotezf2livenesszf2_bglt) BgL_auxz00_12293);
					}
					((((BgL_kwotezf2livenesszf2_bglt) COBJECT(BgL_auxz00_12292))->
							BgL_inz00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_kwotezf2livenesszf2_bglt BgL_auxz00_12301;

					{
						obj_t BgL_auxz00_12302;

						{	/* Liveness/liveness.scm 204 */
							BgL_objectz00_bglt BgL_tmpz00_12303;

							BgL_tmpz00_12303 =
								((BgL_objectz00_bglt)
								((BgL_kwotez00_bglt) ((BgL_kwotez00_bglt) BgL_nz00_4854)));
							BgL_auxz00_12302 = BGL_OBJECT_WIDENING(BgL_tmpz00_12303);
						}
						BgL_auxz00_12301 =
							((BgL_kwotezf2livenesszf2_bglt) BgL_auxz00_12302);
					}
					((((BgL_kwotezf2livenesszf2_bglt) COBJECT(BgL_auxz00_12301))->
							BgL_outz00) = ((obj_t) BNIL), BUNSPEC);
				}
				BgL_arg2169z00_5731 =
					((BgL_kwotez00_bglt) ((BgL_kwotez00_bglt) BgL_nz00_4854));
				return
					BGl_defusez00zzliveness_livenessz00(
					((BgL_nodez00_bglt) BgL_arg2169z00_5731));
			}
		}

	}



/* &inout-closure/livene1861 */
	obj_t BGl_z62inoutzd2closurezf2livene1861z42zzliveness_livenessz00(obj_t
		BgL_envz00_4855, obj_t BgL_nz00_4856)
	{
		{	/* Liveness/liveness.scm 196 */
			{	/* Liveness/liveness.scm 198 */
				obj_t BgL_val0_1580z00_5735;
				obj_t BgL_val1_1581z00_5736;

				{
					BgL_closurezf2livenesszf2_bglt BgL_auxz00_12314;

					{
						obj_t BgL_auxz00_12315;

						{	/* Liveness/liveness.scm 198 */
							BgL_objectz00_bglt BgL_tmpz00_12316;

							BgL_tmpz00_12316 =
								((BgL_objectz00_bglt) ((BgL_closurez00_bglt) BgL_nz00_4856));
							BgL_auxz00_12315 = BGL_OBJECT_WIDENING(BgL_tmpz00_12316);
						}
						BgL_auxz00_12314 =
							((BgL_closurezf2livenesszf2_bglt) BgL_auxz00_12315);
					}
					BgL_val0_1580z00_5735 =
						(((BgL_closurezf2livenesszf2_bglt) COBJECT(BgL_auxz00_12314))->
						BgL_inz00);
				}
				{
					BgL_closurezf2livenesszf2_bglt BgL_auxz00_12322;

					{
						obj_t BgL_auxz00_12323;

						{	/* Liveness/liveness.scm 198 */
							BgL_objectz00_bglt BgL_tmpz00_12324;

							BgL_tmpz00_12324 =
								((BgL_objectz00_bglt) ((BgL_closurez00_bglt) BgL_nz00_4856));
							BgL_auxz00_12323 = BGL_OBJECT_WIDENING(BgL_tmpz00_12324);
						}
						BgL_auxz00_12322 =
							((BgL_closurezf2livenesszf2_bglt) BgL_auxz00_12323);
					}
					BgL_val1_1581z00_5736 =
						(((BgL_closurezf2livenesszf2_bglt) COBJECT(BgL_auxz00_12322))->
						BgL_outz00);
				}
				{	/* Liveness/liveness.scm 198 */
					int BgL_tmpz00_12330;

					BgL_tmpz00_12330 = (int) (2L);
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_12330);
				}
				{	/* Liveness/liveness.scm 198 */
					int BgL_tmpz00_12333;

					BgL_tmpz00_12333 = (int) (1L);
					BGL_MVALUES_VAL_SET(BgL_tmpz00_12333, BgL_val1_1581z00_5736);
				}
				return BgL_val0_1580z00_5735;
			}
		}

	}



/* &inout!-closure/liven1859 */
	obj_t BGl_z62inoutz12zd2closurezf2liven1859z50zzliveness_livenessz00(obj_t
		BgL_envz00_4857, obj_t BgL_nz00_4858, obj_t BgL_oz00_4859)
	{
		{	/* Liveness/liveness.scm 189 */
			{
				BgL_closurezf2livenesszf2_bglt BgL_auxz00_12336;

				{
					obj_t BgL_auxz00_12337;

					{	/* Liveness/liveness.scm 191 */
						BgL_objectz00_bglt BgL_tmpz00_12338;

						BgL_tmpz00_12338 =
							((BgL_objectz00_bglt) ((BgL_closurez00_bglt) BgL_nz00_4858));
						BgL_auxz00_12337 = BGL_OBJECT_WIDENING(BgL_tmpz00_12338);
					}
					BgL_auxz00_12336 =
						((BgL_closurezf2livenesszf2_bglt) BgL_auxz00_12337);
				}
				((((BgL_closurezf2livenesszf2_bglt) COBJECT(BgL_auxz00_12336))->
						BgL_outz00) = ((obj_t) BgL_oz00_4859), BUNSPEC);
			}
			{
				obj_t BgL_auxz00_12351;
				BgL_closurezf2livenesszf2_bglt BgL_auxz00_12344;

				{	/* Liveness/liveness.scm 193 */
					obj_t BgL_arg2167z00_5738;
					obj_t BgL_arg2168z00_5739;

					{
						BgL_closurezf2livenesszf2_bglt BgL_auxz00_12352;

						{
							obj_t BgL_auxz00_12353;

							{	/* Liveness/liveness.scm 193 */
								BgL_objectz00_bglt BgL_tmpz00_12354;

								BgL_tmpz00_12354 =
									((BgL_objectz00_bglt) ((BgL_closurez00_bglt) BgL_nz00_4858));
								BgL_auxz00_12353 = BGL_OBJECT_WIDENING(BgL_tmpz00_12354);
							}
							BgL_auxz00_12352 =
								((BgL_closurezf2livenesszf2_bglt) BgL_auxz00_12353);
						}
						BgL_arg2167z00_5738 =
							(((BgL_closurezf2livenesszf2_bglt) COBJECT(BgL_auxz00_12352))->
							BgL_usez00);
					}
					{
						BgL_closurezf2livenesszf2_bglt BgL_auxz00_12360;

						{
							obj_t BgL_auxz00_12361;

							{	/* Liveness/liveness.scm 193 */
								BgL_objectz00_bglt BgL_tmpz00_12362;

								BgL_tmpz00_12362 =
									((BgL_objectz00_bglt) ((BgL_closurez00_bglt) BgL_nz00_4858));
								BgL_auxz00_12361 = BGL_OBJECT_WIDENING(BgL_tmpz00_12362);
							}
							BgL_auxz00_12360 =
								((BgL_closurezf2livenesszf2_bglt) BgL_auxz00_12361);
						}
						BgL_arg2168z00_5739 =
							(((BgL_closurezf2livenesszf2_bglt) COBJECT(BgL_auxz00_12360))->
							BgL_outz00);
					}
					BgL_auxz00_12351 =
						BGl_unionz00zzliveness_setz00(BgL_arg2167z00_5738,
						BgL_arg2168z00_5739);
				}
				{
					obj_t BgL_auxz00_12345;

					{	/* Liveness/liveness.scm 193 */
						BgL_objectz00_bglt BgL_tmpz00_12346;

						BgL_tmpz00_12346 =
							((BgL_objectz00_bglt) ((BgL_closurez00_bglt) BgL_nz00_4858));
						BgL_auxz00_12345 = BGL_OBJECT_WIDENING(BgL_tmpz00_12346);
					}
					BgL_auxz00_12344 =
						((BgL_closurezf2livenesszf2_bglt) BgL_auxz00_12345);
				}
				((((BgL_closurezf2livenesszf2_bglt) COBJECT(BgL_auxz00_12344))->
						BgL_inz00) = ((obj_t) BgL_auxz00_12351), BUNSPEC);
			}
			{	/* Liveness/liveness.scm 194 */
				obj_t BgL_val0_1578z00_5740;
				obj_t BgL_val1_1579z00_5741;

				{
					BgL_closurezf2livenesszf2_bglt BgL_auxz00_12370;

					{
						obj_t BgL_auxz00_12371;

						{	/* Liveness/liveness.scm 194 */
							BgL_objectz00_bglt BgL_tmpz00_12372;

							BgL_tmpz00_12372 =
								((BgL_objectz00_bglt) ((BgL_closurez00_bglt) BgL_nz00_4858));
							BgL_auxz00_12371 = BGL_OBJECT_WIDENING(BgL_tmpz00_12372);
						}
						BgL_auxz00_12370 =
							((BgL_closurezf2livenesszf2_bglt) BgL_auxz00_12371);
					}
					BgL_val0_1578z00_5740 =
						(((BgL_closurezf2livenesszf2_bglt) COBJECT(BgL_auxz00_12370))->
						BgL_inz00);
				}
				{
					BgL_closurezf2livenesszf2_bglt BgL_auxz00_12378;

					{
						obj_t BgL_auxz00_12379;

						{	/* Liveness/liveness.scm 194 */
							BgL_objectz00_bglt BgL_tmpz00_12380;

							BgL_tmpz00_12380 =
								((BgL_objectz00_bglt) ((BgL_closurez00_bglt) BgL_nz00_4858));
							BgL_auxz00_12379 = BGL_OBJECT_WIDENING(BgL_tmpz00_12380);
						}
						BgL_auxz00_12378 =
							((BgL_closurezf2livenesszf2_bglt) BgL_auxz00_12379);
					}
					BgL_val1_1579z00_5741 =
						(((BgL_closurezf2livenesszf2_bglt) COBJECT(BgL_auxz00_12378))->
						BgL_outz00);
				}
				{	/* Liveness/liveness.scm 194 */
					int BgL_tmpz00_12386;

					BgL_tmpz00_12386 = (int) (2L);
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_12386);
				}
				{	/* Liveness/liveness.scm 194 */
					int BgL_tmpz00_12389;

					BgL_tmpz00_12389 = (int) (1L);
					BGL_MVALUES_VAL_SET(BgL_tmpz00_12389, BgL_val1_1579z00_5741);
				}
				return BgL_val0_1578z00_5740;
			}
		}

	}



/* &defuse-closure/liven1857 */
	obj_t BGl_z62defusezd2closurezf2liven1857z42zzliveness_livenessz00(obj_t
		BgL_envz00_4860, obj_t BgL_nz00_4861)
	{
		{	/* Liveness/liveness.scm 185 */
			{	/* Liveness/liveness.scm 187 */
				obj_t BgL_val0_1576z00_5743;
				obj_t BgL_val1_1577z00_5744;

				{
					BgL_closurezf2livenesszf2_bglt BgL_auxz00_12392;

					{
						obj_t BgL_auxz00_12393;

						{	/* Liveness/liveness.scm 187 */
							BgL_objectz00_bglt BgL_tmpz00_12394;

							BgL_tmpz00_12394 =
								((BgL_objectz00_bglt) ((BgL_closurez00_bglt) BgL_nz00_4861));
							BgL_auxz00_12393 = BGL_OBJECT_WIDENING(BgL_tmpz00_12394);
						}
						BgL_auxz00_12392 =
							((BgL_closurezf2livenesszf2_bglt) BgL_auxz00_12393);
					}
					BgL_val0_1576z00_5743 =
						(((BgL_closurezf2livenesszf2_bglt) COBJECT(BgL_auxz00_12392))->
						BgL_defz00);
				}
				{
					BgL_closurezf2livenesszf2_bglt BgL_auxz00_12400;

					{
						obj_t BgL_auxz00_12401;

						{	/* Liveness/liveness.scm 187 */
							BgL_objectz00_bglt BgL_tmpz00_12402;

							BgL_tmpz00_12402 =
								((BgL_objectz00_bglt) ((BgL_closurez00_bglt) BgL_nz00_4861));
							BgL_auxz00_12401 = BGL_OBJECT_WIDENING(BgL_tmpz00_12402);
						}
						BgL_auxz00_12400 =
							((BgL_closurezf2livenesszf2_bglt) BgL_auxz00_12401);
					}
					BgL_val1_1577z00_5744 =
						(((BgL_closurezf2livenesszf2_bglt) COBJECT(BgL_auxz00_12400))->
						BgL_usez00);
				}
				{	/* Liveness/liveness.scm 187 */
					int BgL_tmpz00_12408;

					BgL_tmpz00_12408 = (int) (2L);
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_12408);
				}
				{	/* Liveness/liveness.scm 187 */
					int BgL_tmpz00_12411;

					BgL_tmpz00_12411 = (int) (1L);
					BGL_MVALUES_VAL_SET(BgL_tmpz00_12411, BgL_val1_1577z00_5744);
				}
				return BgL_val0_1576z00_5743;
			}
		}

	}



/* &defuse-closure1855 */
	obj_t BGl_z62defusezd2closure1855zb0zzliveness_livenessz00(obj_t
		BgL_envz00_4862, obj_t BgL_nz00_4863)
	{
		{	/* Liveness/liveness.scm 177 */
			{	/* Liveness/liveness.scm 179 */
				obj_t BgL_usez00_5746;

				{	/* Liveness/liveness.scm 179 */
					bool_t BgL_test3026z00_12414;

					{	/* Liveness/liveness.scm 179 */
						BgL_variablez00_bglt BgL_arg2166z00_5747;

						BgL_arg2166z00_5747 =
							(((BgL_varz00_bglt) COBJECT(
									((BgL_varz00_bglt)
										((BgL_closurez00_bglt) BgL_nz00_4863))))->BgL_variablez00);
						{	/* Liveness/liveness.scm 179 */
							obj_t BgL_classz00_5748;

							BgL_classz00_5748 = BGl_localz00zzast_varz00;
							{	/* Liveness/liveness.scm 179 */
								BgL_objectz00_bglt BgL_arg1858z00_5749;

								{	/* Liveness/liveness.scm 179 */
									obj_t BgL_tmpz00_12418;

									BgL_tmpz00_12418 =
										((obj_t) ((BgL_objectz00_bglt) BgL_arg2166z00_5747));
									BgL_arg1858z00_5749 = (BgL_objectz00_bglt) (BgL_tmpz00_12418);
								}
								if (BGL_CONDEXPAND_ISA_ARCH64())
									{	/* Liveness/liveness.scm 179 */
										long BgL_idxz00_5750;

										BgL_idxz00_5750 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_5749);
										BgL_test3026z00_12414 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_5750 + 2L)) == BgL_classz00_5748);
									}
								else
									{	/* Liveness/liveness.scm 179 */
										bool_t BgL_res2689z00_5753;

										{	/* Liveness/liveness.scm 179 */
											obj_t BgL_oclassz00_5754;

											{	/* Liveness/liveness.scm 179 */
												obj_t BgL_arg1866z00_5755;
												long BgL_arg1867z00_5756;

												BgL_arg1866z00_5755 =
													(BGl_za2classesza2z00zz__objectz00);
												{	/* Liveness/liveness.scm 179 */
													long BgL_arg1869z00_5757;

													BgL_arg1869z00_5757 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_5749);
													BgL_arg1867z00_5756 =
														(BgL_arg1869z00_5757 - OBJECT_TYPE);
												}
												BgL_oclassz00_5754 =
													VECTOR_REF(BgL_arg1866z00_5755, BgL_arg1867z00_5756);
											}
											{	/* Liveness/liveness.scm 179 */
												bool_t BgL__ortest_1115z00_5758;

												BgL__ortest_1115z00_5758 =
													(BgL_classz00_5748 == BgL_oclassz00_5754);
												if (BgL__ortest_1115z00_5758)
													{	/* Liveness/liveness.scm 179 */
														BgL_res2689z00_5753 = BgL__ortest_1115z00_5758;
													}
												else
													{	/* Liveness/liveness.scm 179 */
														long BgL_odepthz00_5759;

														{	/* Liveness/liveness.scm 179 */
															obj_t BgL_arg1855z00_5760;

															BgL_arg1855z00_5760 = (BgL_oclassz00_5754);
															BgL_odepthz00_5759 =
																BGL_CLASS_DEPTH(BgL_arg1855z00_5760);
														}
														if ((2L < BgL_odepthz00_5759))
															{	/* Liveness/liveness.scm 179 */
																obj_t BgL_arg1853z00_5761;

																{	/* Liveness/liveness.scm 179 */
																	obj_t BgL_arg1854z00_5762;

																	BgL_arg1854z00_5762 = (BgL_oclassz00_5754);
																	BgL_arg1853z00_5761 =
																		BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_5762,
																		2L);
																}
																BgL_res2689z00_5753 =
																	(BgL_arg1853z00_5761 == BgL_classz00_5748);
															}
														else
															{	/* Liveness/liveness.scm 179 */
																BgL_res2689z00_5753 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_test3026z00_12414 = BgL_res2689z00_5753;
									}
							}
						}
					}
					if (BgL_test3026z00_12414)
						{	/* Liveness/liveness.scm 179 */
							BgL_variablez00_bglt BgL_arg2164z00_5763;

							BgL_arg2164z00_5763 =
								(((BgL_varz00_bglt) COBJECT(
										((BgL_varz00_bglt)
											((BgL_closurez00_bglt) BgL_nz00_4863))))->
								BgL_variablez00);
							{	/* Liveness/liveness.scm 179 */
								obj_t BgL_list2165z00_5764;

								BgL_list2165z00_5764 =
									MAKE_YOUNG_PAIR(((obj_t) BgL_arg2164z00_5763), BNIL);
								BgL_usez00_5746 = BgL_list2165z00_5764;
							}
						}
					else
						{	/* Liveness/liveness.scm 179 */
							BgL_usez00_5746 = BNIL;
						}
				}
				{	/* Liveness/liveness.scm 181 */
					BgL_closurez00_bglt BgL_arg2160z00_5765;

					{	/* Liveness/liveness.scm 181 */
						BgL_closurezf2livenesszf2_bglt BgL_wide1169z00_5766;

						BgL_wide1169z00_5766 =
							((BgL_closurezf2livenesszf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_closurezf2livenesszf2_bgl))));
						{	/* Liveness/liveness.scm 181 */
							obj_t BgL_auxz00_12451;
							BgL_objectz00_bglt BgL_tmpz00_12447;

							BgL_auxz00_12451 = ((obj_t) BgL_wide1169z00_5766);
							BgL_tmpz00_12447 =
								((BgL_objectz00_bglt)
								((BgL_closurez00_bglt) ((BgL_closurez00_bglt) BgL_nz00_4863)));
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_12447, BgL_auxz00_12451);
						}
						((BgL_objectz00_bglt)
							((BgL_closurez00_bglt) ((BgL_closurez00_bglt) BgL_nz00_4863)));
						{	/* Liveness/liveness.scm 181 */
							long BgL_arg2161z00_5767;

							BgL_arg2161z00_5767 =
								BGL_CLASS_NUM(BGl_closurezf2livenesszf2zzliveness_typesz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt)
									((BgL_closurez00_bglt)
										((BgL_closurez00_bglt) BgL_nz00_4863))),
								BgL_arg2161z00_5767);
						}
						((BgL_closurez00_bglt)
							((BgL_closurez00_bglt) ((BgL_closurez00_bglt) BgL_nz00_4863)));
					}
					{
						BgL_closurezf2livenesszf2_bglt BgL_auxz00_12465;

						{
							obj_t BgL_auxz00_12466;

							{	/* Liveness/liveness.scm 182 */
								BgL_objectz00_bglt BgL_tmpz00_12467;

								BgL_tmpz00_12467 =
									((BgL_objectz00_bglt)
									((BgL_closurez00_bglt)
										((BgL_closurez00_bglt) BgL_nz00_4863)));
								BgL_auxz00_12466 = BGL_OBJECT_WIDENING(BgL_tmpz00_12467);
							}
							BgL_auxz00_12465 =
								((BgL_closurezf2livenesszf2_bglt) BgL_auxz00_12466);
						}
						((((BgL_closurezf2livenesszf2_bglt) COBJECT(BgL_auxz00_12465))->
								BgL_defz00) = ((obj_t) BNIL), BUNSPEC);
					}
					{
						BgL_closurezf2livenesszf2_bglt BgL_auxz00_12474;

						{
							obj_t BgL_auxz00_12475;

							{	/* Liveness/liveness.scm 183 */
								BgL_objectz00_bglt BgL_tmpz00_12476;

								BgL_tmpz00_12476 =
									((BgL_objectz00_bglt)
									((BgL_closurez00_bglt)
										((BgL_closurez00_bglt) BgL_nz00_4863)));
								BgL_auxz00_12475 = BGL_OBJECT_WIDENING(BgL_tmpz00_12476);
							}
							BgL_auxz00_12474 =
								((BgL_closurezf2livenesszf2_bglt) BgL_auxz00_12475);
						}
						((((BgL_closurezf2livenesszf2_bglt) COBJECT(BgL_auxz00_12474))->
								BgL_usez00) = ((obj_t) BgL_usez00_5746), BUNSPEC);
					}
					{
						BgL_closurezf2livenesszf2_bglt BgL_auxz00_12483;

						{
							obj_t BgL_auxz00_12484;

							{	/* Liveness/liveness.scm 179 */
								BgL_objectz00_bglt BgL_tmpz00_12485;

								BgL_tmpz00_12485 =
									((BgL_objectz00_bglt)
									((BgL_closurez00_bglt)
										((BgL_closurez00_bglt) BgL_nz00_4863)));
								BgL_auxz00_12484 = BGL_OBJECT_WIDENING(BgL_tmpz00_12485);
							}
							BgL_auxz00_12483 =
								((BgL_closurezf2livenesszf2_bglt) BgL_auxz00_12484);
						}
						((((BgL_closurezf2livenesszf2_bglt) COBJECT(BgL_auxz00_12483))->
								BgL_inz00) = ((obj_t) BNIL), BUNSPEC);
					}
					{
						BgL_closurezf2livenesszf2_bglt BgL_auxz00_12492;

						{
							obj_t BgL_auxz00_12493;

							{	/* Liveness/liveness.scm 179 */
								BgL_objectz00_bglt BgL_tmpz00_12494;

								BgL_tmpz00_12494 =
									((BgL_objectz00_bglt)
									((BgL_closurez00_bglt)
										((BgL_closurez00_bglt) BgL_nz00_4863)));
								BgL_auxz00_12493 = BGL_OBJECT_WIDENING(BgL_tmpz00_12494);
							}
							BgL_auxz00_12492 =
								((BgL_closurezf2livenesszf2_bglt) BgL_auxz00_12493);
						}
						((((BgL_closurezf2livenesszf2_bglt) COBJECT(BgL_auxz00_12492))->
								BgL_outz00) = ((obj_t) BNIL), BUNSPEC);
					}
					BgL_arg2160z00_5765 =
						((BgL_closurez00_bglt) ((BgL_closurez00_bglt) BgL_nz00_4863));
					return
						BGl_defusez00zzliveness_livenessz00(
						((BgL_nodez00_bglt) BgL_arg2160z00_5765));
				}
			}
		}

	}



/* &inout-ref/liveness1853 */
	obj_t BGl_z62inoutzd2refzf2liveness1853z42zzliveness_livenessz00(obj_t
		BgL_envz00_4864, obj_t BgL_nz00_4865)
	{
		{	/* Liveness/liveness.scm 170 */
			{	/* Liveness/liveness.scm 172 */
				obj_t BgL_val0_1574z00_5769;
				obj_t BgL_val1_1575z00_5770;

				{
					BgL_refzf2livenesszf2_bglt BgL_auxz00_12505;

					{
						obj_t BgL_auxz00_12506;

						{	/* Liveness/liveness.scm 172 */
							BgL_objectz00_bglt BgL_tmpz00_12507;

							BgL_tmpz00_12507 =
								((BgL_objectz00_bglt) ((BgL_refz00_bglt) BgL_nz00_4865));
							BgL_auxz00_12506 = BGL_OBJECT_WIDENING(BgL_tmpz00_12507);
						}
						BgL_auxz00_12505 = ((BgL_refzf2livenesszf2_bglt) BgL_auxz00_12506);
					}
					BgL_val0_1574z00_5769 =
						(((BgL_refzf2livenesszf2_bglt) COBJECT(BgL_auxz00_12505))->
						BgL_inz00);
				}
				{
					BgL_refzf2livenesszf2_bglt BgL_auxz00_12513;

					{
						obj_t BgL_auxz00_12514;

						{	/* Liveness/liveness.scm 172 */
							BgL_objectz00_bglt BgL_tmpz00_12515;

							BgL_tmpz00_12515 =
								((BgL_objectz00_bglt) ((BgL_refz00_bglt) BgL_nz00_4865));
							BgL_auxz00_12514 = BGL_OBJECT_WIDENING(BgL_tmpz00_12515);
						}
						BgL_auxz00_12513 = ((BgL_refzf2livenesszf2_bglt) BgL_auxz00_12514);
					}
					BgL_val1_1575z00_5770 =
						(((BgL_refzf2livenesszf2_bglt) COBJECT(BgL_auxz00_12513))->
						BgL_outz00);
				}
				{	/* Liveness/liveness.scm 172 */
					int BgL_tmpz00_12521;

					BgL_tmpz00_12521 = (int) (2L);
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_12521);
				}
				{	/* Liveness/liveness.scm 172 */
					int BgL_tmpz00_12524;

					BgL_tmpz00_12524 = (int) (1L);
					BGL_MVALUES_VAL_SET(BgL_tmpz00_12524, BgL_val1_1575z00_5770);
				}
				return BgL_val0_1574z00_5769;
			}
		}

	}



/* &inout!-ref/liveness1851 */
	obj_t BGl_z62inoutz12zd2refzf2liveness1851z50zzliveness_livenessz00(obj_t
		BgL_envz00_4866, obj_t BgL_nz00_4867, obj_t BgL_oz00_4868)
	{
		{	/* Liveness/liveness.scm 163 */
			{
				BgL_refzf2livenesszf2_bglt BgL_auxz00_12527;

				{
					obj_t BgL_auxz00_12528;

					{	/* Liveness/liveness.scm 165 */
						BgL_objectz00_bglt BgL_tmpz00_12529;

						BgL_tmpz00_12529 =
							((BgL_objectz00_bglt) ((BgL_refz00_bglt) BgL_nz00_4867));
						BgL_auxz00_12528 = BGL_OBJECT_WIDENING(BgL_tmpz00_12529);
					}
					BgL_auxz00_12527 = ((BgL_refzf2livenesszf2_bglt) BgL_auxz00_12528);
				}
				((((BgL_refzf2livenesszf2_bglt) COBJECT(BgL_auxz00_12527))->
						BgL_outz00) = ((obj_t) BgL_oz00_4868), BUNSPEC);
			}
			{
				obj_t BgL_auxz00_12542;
				BgL_refzf2livenesszf2_bglt BgL_auxz00_12535;

				{	/* Liveness/liveness.scm 167 */
					obj_t BgL_arg2157z00_5772;
					obj_t BgL_arg2159z00_5773;

					{
						BgL_refzf2livenesszf2_bglt BgL_auxz00_12543;

						{
							obj_t BgL_auxz00_12544;

							{	/* Liveness/liveness.scm 167 */
								BgL_objectz00_bglt BgL_tmpz00_12545;

								BgL_tmpz00_12545 =
									((BgL_objectz00_bglt) ((BgL_refz00_bglt) BgL_nz00_4867));
								BgL_auxz00_12544 = BGL_OBJECT_WIDENING(BgL_tmpz00_12545);
							}
							BgL_auxz00_12543 =
								((BgL_refzf2livenesszf2_bglt) BgL_auxz00_12544);
						}
						BgL_arg2157z00_5772 =
							(((BgL_refzf2livenesszf2_bglt) COBJECT(BgL_auxz00_12543))->
							BgL_usez00);
					}
					{
						BgL_refzf2livenesszf2_bglt BgL_auxz00_12551;

						{
							obj_t BgL_auxz00_12552;

							{	/* Liveness/liveness.scm 167 */
								BgL_objectz00_bglt BgL_tmpz00_12553;

								BgL_tmpz00_12553 =
									((BgL_objectz00_bglt) ((BgL_refz00_bglt) BgL_nz00_4867));
								BgL_auxz00_12552 = BGL_OBJECT_WIDENING(BgL_tmpz00_12553);
							}
							BgL_auxz00_12551 =
								((BgL_refzf2livenesszf2_bglt) BgL_auxz00_12552);
						}
						BgL_arg2159z00_5773 =
							(((BgL_refzf2livenesszf2_bglt) COBJECT(BgL_auxz00_12551))->
							BgL_outz00);
					}
					BgL_auxz00_12542 =
						BGl_unionz00zzliveness_setz00(BgL_arg2157z00_5772,
						BgL_arg2159z00_5773);
				}
				{
					obj_t BgL_auxz00_12536;

					{	/* Liveness/liveness.scm 167 */
						BgL_objectz00_bglt BgL_tmpz00_12537;

						BgL_tmpz00_12537 =
							((BgL_objectz00_bglt) ((BgL_refz00_bglt) BgL_nz00_4867));
						BgL_auxz00_12536 = BGL_OBJECT_WIDENING(BgL_tmpz00_12537);
					}
					BgL_auxz00_12535 = ((BgL_refzf2livenesszf2_bglt) BgL_auxz00_12536);
				}
				((((BgL_refzf2livenesszf2_bglt) COBJECT(BgL_auxz00_12535))->BgL_inz00) =
					((obj_t) BgL_auxz00_12542), BUNSPEC);
			}
			{	/* Liveness/liveness.scm 168 */
				obj_t BgL_val0_1572z00_5774;
				obj_t BgL_val1_1573z00_5775;

				{
					BgL_refzf2livenesszf2_bglt BgL_auxz00_12561;

					{
						obj_t BgL_auxz00_12562;

						{	/* Liveness/liveness.scm 168 */
							BgL_objectz00_bglt BgL_tmpz00_12563;

							BgL_tmpz00_12563 =
								((BgL_objectz00_bglt) ((BgL_refz00_bglt) BgL_nz00_4867));
							BgL_auxz00_12562 = BGL_OBJECT_WIDENING(BgL_tmpz00_12563);
						}
						BgL_auxz00_12561 = ((BgL_refzf2livenesszf2_bglt) BgL_auxz00_12562);
					}
					BgL_val0_1572z00_5774 =
						(((BgL_refzf2livenesszf2_bglt) COBJECT(BgL_auxz00_12561))->
						BgL_inz00);
				}
				{
					BgL_refzf2livenesszf2_bglt BgL_auxz00_12569;

					{
						obj_t BgL_auxz00_12570;

						{	/* Liveness/liveness.scm 168 */
							BgL_objectz00_bglt BgL_tmpz00_12571;

							BgL_tmpz00_12571 =
								((BgL_objectz00_bglt) ((BgL_refz00_bglt) BgL_nz00_4867));
							BgL_auxz00_12570 = BGL_OBJECT_WIDENING(BgL_tmpz00_12571);
						}
						BgL_auxz00_12569 = ((BgL_refzf2livenesszf2_bglt) BgL_auxz00_12570);
					}
					BgL_val1_1573z00_5775 =
						(((BgL_refzf2livenesszf2_bglt) COBJECT(BgL_auxz00_12569))->
						BgL_outz00);
				}
				{	/* Liveness/liveness.scm 168 */
					int BgL_tmpz00_12577;

					BgL_tmpz00_12577 = (int) (2L);
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_12577);
				}
				{	/* Liveness/liveness.scm 168 */
					int BgL_tmpz00_12580;

					BgL_tmpz00_12580 = (int) (1L);
					BGL_MVALUES_VAL_SET(BgL_tmpz00_12580, BgL_val1_1573z00_5775);
				}
				return BgL_val0_1572z00_5774;
			}
		}

	}



/* &defuse-ref/liveness1849 */
	obj_t BGl_z62defusezd2refzf2liveness1849z42zzliveness_livenessz00(obj_t
		BgL_envz00_4869, obj_t BgL_nz00_4870)
	{
		{	/* Liveness/liveness.scm 159 */
			{	/* Liveness/liveness.scm 161 */
				obj_t BgL_val0_1570z00_5777;
				obj_t BgL_val1_1571z00_5778;

				{
					BgL_refzf2livenesszf2_bglt BgL_auxz00_12583;

					{
						obj_t BgL_auxz00_12584;

						{	/* Liveness/liveness.scm 161 */
							BgL_objectz00_bglt BgL_tmpz00_12585;

							BgL_tmpz00_12585 =
								((BgL_objectz00_bglt) ((BgL_refz00_bglt) BgL_nz00_4870));
							BgL_auxz00_12584 = BGL_OBJECT_WIDENING(BgL_tmpz00_12585);
						}
						BgL_auxz00_12583 = ((BgL_refzf2livenesszf2_bglt) BgL_auxz00_12584);
					}
					BgL_val0_1570z00_5777 =
						(((BgL_refzf2livenesszf2_bglt) COBJECT(BgL_auxz00_12583))->
						BgL_defz00);
				}
				{
					BgL_refzf2livenesszf2_bglt BgL_auxz00_12591;

					{
						obj_t BgL_auxz00_12592;

						{	/* Liveness/liveness.scm 161 */
							BgL_objectz00_bglt BgL_tmpz00_12593;

							BgL_tmpz00_12593 =
								((BgL_objectz00_bglt) ((BgL_refz00_bglt) BgL_nz00_4870));
							BgL_auxz00_12592 = BGL_OBJECT_WIDENING(BgL_tmpz00_12593);
						}
						BgL_auxz00_12591 = ((BgL_refzf2livenesszf2_bglt) BgL_auxz00_12592);
					}
					BgL_val1_1571z00_5778 =
						(((BgL_refzf2livenesszf2_bglt) COBJECT(BgL_auxz00_12591))->
						BgL_usez00);
				}
				{	/* Liveness/liveness.scm 161 */
					int BgL_tmpz00_12599;

					BgL_tmpz00_12599 = (int) (2L);
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_12599);
				}
				{	/* Liveness/liveness.scm 161 */
					int BgL_tmpz00_12602;

					BgL_tmpz00_12602 = (int) (1L);
					BGL_MVALUES_VAL_SET(BgL_tmpz00_12602, BgL_val1_1571z00_5778);
				}
				return BgL_val0_1570z00_5777;
			}
		}

	}



/* &defuse-ref1847 */
	obj_t BGl_z62defusezd2ref1847zb0zzliveness_livenessz00(obj_t BgL_envz00_4871,
		obj_t BgL_nz00_4872)
	{
		{	/* Liveness/liveness.scm 151 */
			{	/* Liveness/liveness.scm 153 */
				obj_t BgL_usez00_5780;

				{	/* Liveness/liveness.scm 153 */
					bool_t BgL_test3030z00_12605;

					{	/* Liveness/liveness.scm 153 */
						BgL_variablez00_bglt BgL_arg2156z00_5781;

						BgL_arg2156z00_5781 =
							(((BgL_varz00_bglt) COBJECT(
									((BgL_varz00_bglt)
										((BgL_refz00_bglt) BgL_nz00_4872))))->BgL_variablez00);
						{	/* Liveness/liveness.scm 153 */
							obj_t BgL_classz00_5782;

							BgL_classz00_5782 = BGl_localz00zzast_varz00;
							{	/* Liveness/liveness.scm 153 */
								BgL_objectz00_bglt BgL_arg1858z00_5783;

								{	/* Liveness/liveness.scm 153 */
									obj_t BgL_tmpz00_12609;

									BgL_tmpz00_12609 =
										((obj_t) ((BgL_objectz00_bglt) BgL_arg2156z00_5781));
									BgL_arg1858z00_5783 = (BgL_objectz00_bglt) (BgL_tmpz00_12609);
								}
								if (BGL_CONDEXPAND_ISA_ARCH64())
									{	/* Liveness/liveness.scm 153 */
										long BgL_idxz00_5784;

										BgL_idxz00_5784 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_5783);
										BgL_test3030z00_12605 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_5784 + 2L)) == BgL_classz00_5782);
									}
								else
									{	/* Liveness/liveness.scm 153 */
										bool_t BgL_res2687z00_5787;

										{	/* Liveness/liveness.scm 153 */
											obj_t BgL_oclassz00_5788;

											{	/* Liveness/liveness.scm 153 */
												obj_t BgL_arg1866z00_5789;
												long BgL_arg1867z00_5790;

												BgL_arg1866z00_5789 =
													(BGl_za2classesza2z00zz__objectz00);
												{	/* Liveness/liveness.scm 153 */
													long BgL_arg1869z00_5791;

													BgL_arg1869z00_5791 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_5783);
													BgL_arg1867z00_5790 =
														(BgL_arg1869z00_5791 - OBJECT_TYPE);
												}
												BgL_oclassz00_5788 =
													VECTOR_REF(BgL_arg1866z00_5789, BgL_arg1867z00_5790);
											}
											{	/* Liveness/liveness.scm 153 */
												bool_t BgL__ortest_1115z00_5792;

												BgL__ortest_1115z00_5792 =
													(BgL_classz00_5782 == BgL_oclassz00_5788);
												if (BgL__ortest_1115z00_5792)
													{	/* Liveness/liveness.scm 153 */
														BgL_res2687z00_5787 = BgL__ortest_1115z00_5792;
													}
												else
													{	/* Liveness/liveness.scm 153 */
														long BgL_odepthz00_5793;

														{	/* Liveness/liveness.scm 153 */
															obj_t BgL_arg1855z00_5794;

															BgL_arg1855z00_5794 = (BgL_oclassz00_5788);
															BgL_odepthz00_5793 =
																BGL_CLASS_DEPTH(BgL_arg1855z00_5794);
														}
														if ((2L < BgL_odepthz00_5793))
															{	/* Liveness/liveness.scm 153 */
																obj_t BgL_arg1853z00_5795;

																{	/* Liveness/liveness.scm 153 */
																	obj_t BgL_arg1854z00_5796;

																	BgL_arg1854z00_5796 = (BgL_oclassz00_5788);
																	BgL_arg1853z00_5795 =
																		BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_5796,
																		2L);
																}
																BgL_res2687z00_5787 =
																	(BgL_arg1853z00_5795 == BgL_classz00_5782);
															}
														else
															{	/* Liveness/liveness.scm 153 */
																BgL_res2687z00_5787 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_test3030z00_12605 = BgL_res2687z00_5787;
									}
							}
						}
					}
					if (BgL_test3030z00_12605)
						{	/* Liveness/liveness.scm 153 */
							BgL_variablez00_bglt BgL_arg2154z00_5797;

							BgL_arg2154z00_5797 =
								(((BgL_varz00_bglt) COBJECT(
										((BgL_varz00_bglt)
											((BgL_refz00_bglt) BgL_nz00_4872))))->BgL_variablez00);
							{	/* Liveness/liveness.scm 153 */
								obj_t BgL_list2155z00_5798;

								BgL_list2155z00_5798 =
									MAKE_YOUNG_PAIR(((obj_t) BgL_arg2154z00_5797), BNIL);
								BgL_usez00_5780 = BgL_list2155z00_5798;
							}
						}
					else
						{	/* Liveness/liveness.scm 153 */
							BgL_usez00_5780 = BNIL;
						}
				}
				{	/* Liveness/liveness.scm 155 */
					BgL_refz00_bglt BgL_arg2150z00_5799;

					{	/* Liveness/liveness.scm 155 */
						BgL_refzf2livenesszf2_bglt BgL_wide1161z00_5800;

						BgL_wide1161z00_5800 =
							((BgL_refzf2livenesszf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_refzf2livenesszf2_bgl))));
						{	/* Liveness/liveness.scm 155 */
							obj_t BgL_auxz00_12642;
							BgL_objectz00_bglt BgL_tmpz00_12638;

							BgL_auxz00_12642 = ((obj_t) BgL_wide1161z00_5800);
							BgL_tmpz00_12638 =
								((BgL_objectz00_bglt)
								((BgL_refz00_bglt) ((BgL_refz00_bglt) BgL_nz00_4872)));
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_12638, BgL_auxz00_12642);
						}
						((BgL_objectz00_bglt)
							((BgL_refz00_bglt) ((BgL_refz00_bglt) BgL_nz00_4872)));
						{	/* Liveness/liveness.scm 155 */
							long BgL_arg2151z00_5801;

							BgL_arg2151z00_5801 =
								BGL_CLASS_NUM(BGl_refzf2livenesszf2zzliveness_typesz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt)
									((BgL_refz00_bglt)
										((BgL_refz00_bglt) BgL_nz00_4872))), BgL_arg2151z00_5801);
						}
						((BgL_refz00_bglt)
							((BgL_refz00_bglt) ((BgL_refz00_bglt) BgL_nz00_4872)));
					}
					{
						BgL_refzf2livenesszf2_bglt BgL_auxz00_12656;

						{
							obj_t BgL_auxz00_12657;

							{	/* Liveness/liveness.scm 156 */
								BgL_objectz00_bglt BgL_tmpz00_12658;

								BgL_tmpz00_12658 =
									((BgL_objectz00_bglt)
									((BgL_refz00_bglt) ((BgL_refz00_bglt) BgL_nz00_4872)));
								BgL_auxz00_12657 = BGL_OBJECT_WIDENING(BgL_tmpz00_12658);
							}
							BgL_auxz00_12656 =
								((BgL_refzf2livenesszf2_bglt) BgL_auxz00_12657);
						}
						((((BgL_refzf2livenesszf2_bglt) COBJECT(BgL_auxz00_12656))->
								BgL_defz00) = ((obj_t) BNIL), BUNSPEC);
					}
					{
						BgL_refzf2livenesszf2_bglt BgL_auxz00_12665;

						{
							obj_t BgL_auxz00_12666;

							{	/* Liveness/liveness.scm 157 */
								BgL_objectz00_bglt BgL_tmpz00_12667;

								BgL_tmpz00_12667 =
									((BgL_objectz00_bglt)
									((BgL_refz00_bglt) ((BgL_refz00_bglt) BgL_nz00_4872)));
								BgL_auxz00_12666 = BGL_OBJECT_WIDENING(BgL_tmpz00_12667);
							}
							BgL_auxz00_12665 =
								((BgL_refzf2livenesszf2_bglt) BgL_auxz00_12666);
						}
						((((BgL_refzf2livenesszf2_bglt) COBJECT(BgL_auxz00_12665))->
								BgL_usez00) = ((obj_t) BgL_usez00_5780), BUNSPEC);
					}
					{
						BgL_refzf2livenesszf2_bglt BgL_auxz00_12674;

						{
							obj_t BgL_auxz00_12675;

							{	/* Liveness/liveness.scm 153 */
								BgL_objectz00_bglt BgL_tmpz00_12676;

								BgL_tmpz00_12676 =
									((BgL_objectz00_bglt)
									((BgL_refz00_bglt) ((BgL_refz00_bglt) BgL_nz00_4872)));
								BgL_auxz00_12675 = BGL_OBJECT_WIDENING(BgL_tmpz00_12676);
							}
							BgL_auxz00_12674 =
								((BgL_refzf2livenesszf2_bglt) BgL_auxz00_12675);
						}
						((((BgL_refzf2livenesszf2_bglt) COBJECT(BgL_auxz00_12674))->
								BgL_inz00) = ((obj_t) BNIL), BUNSPEC);
					}
					{
						BgL_refzf2livenesszf2_bglt BgL_auxz00_12683;

						{
							obj_t BgL_auxz00_12684;

							{	/* Liveness/liveness.scm 153 */
								BgL_objectz00_bglt BgL_tmpz00_12685;

								BgL_tmpz00_12685 =
									((BgL_objectz00_bglt)
									((BgL_refz00_bglt) ((BgL_refz00_bglt) BgL_nz00_4872)));
								BgL_auxz00_12684 = BGL_OBJECT_WIDENING(BgL_tmpz00_12685);
							}
							BgL_auxz00_12683 =
								((BgL_refzf2livenesszf2_bglt) BgL_auxz00_12684);
						}
						((((BgL_refzf2livenesszf2_bglt) COBJECT(BgL_auxz00_12683))->
								BgL_outz00) = ((obj_t) BNIL), BUNSPEC);
					}
					BgL_arg2150z00_5799 =
						((BgL_refz00_bglt) ((BgL_refz00_bglt) BgL_nz00_4872));
					return
						BGl_defusez00zzliveness_livenessz00(
						((BgL_nodez00_bglt) BgL_arg2150z00_5799));
				}
			}
		}

	}



/* &inout-literal/livene1845 */
	obj_t BGl_z62inoutzd2literalzf2livene1845z42zzliveness_livenessz00(obj_t
		BgL_envz00_4873, obj_t BgL_nz00_4874)
	{
		{	/* Liveness/liveness.scm 144 */
			{	/* Liveness/liveness.scm 146 */
				obj_t BgL_val0_1568z00_5803;
				obj_t BgL_val1_1569z00_5804;

				{
					BgL_literalzf2livenesszf2_bglt BgL_auxz00_12696;

					{
						obj_t BgL_auxz00_12697;

						{	/* Liveness/liveness.scm 146 */
							BgL_objectz00_bglt BgL_tmpz00_12698;

							BgL_tmpz00_12698 =
								((BgL_objectz00_bglt) ((BgL_literalz00_bglt) BgL_nz00_4874));
							BgL_auxz00_12697 = BGL_OBJECT_WIDENING(BgL_tmpz00_12698);
						}
						BgL_auxz00_12696 =
							((BgL_literalzf2livenesszf2_bglt) BgL_auxz00_12697);
					}
					BgL_val0_1568z00_5803 =
						(((BgL_literalzf2livenesszf2_bglt) COBJECT(BgL_auxz00_12696))->
						BgL_inz00);
				}
				{
					BgL_literalzf2livenesszf2_bglt BgL_auxz00_12704;

					{
						obj_t BgL_auxz00_12705;

						{	/* Liveness/liveness.scm 146 */
							BgL_objectz00_bglt BgL_tmpz00_12706;

							BgL_tmpz00_12706 =
								((BgL_objectz00_bglt) ((BgL_literalz00_bglt) BgL_nz00_4874));
							BgL_auxz00_12705 = BGL_OBJECT_WIDENING(BgL_tmpz00_12706);
						}
						BgL_auxz00_12704 =
							((BgL_literalzf2livenesszf2_bglt) BgL_auxz00_12705);
					}
					BgL_val1_1569z00_5804 =
						(((BgL_literalzf2livenesszf2_bglt) COBJECT(BgL_auxz00_12704))->
						BgL_outz00);
				}
				{	/* Liveness/liveness.scm 146 */
					int BgL_tmpz00_12712;

					BgL_tmpz00_12712 = (int) (2L);
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_12712);
				}
				{	/* Liveness/liveness.scm 146 */
					int BgL_tmpz00_12715;

					BgL_tmpz00_12715 = (int) (1L);
					BGL_MVALUES_VAL_SET(BgL_tmpz00_12715, BgL_val1_1569z00_5804);
				}
				return BgL_val0_1568z00_5803;
			}
		}

	}



/* &inout!-literal/liven1843 */
	obj_t BGl_z62inoutz12zd2literalzf2liven1843z50zzliveness_livenessz00(obj_t
		BgL_envz00_4875, obj_t BgL_nz00_4876, obj_t BgL_oz00_4877)
	{
		{	/* Liveness/liveness.scm 137 */
			{
				BgL_literalzf2livenesszf2_bglt BgL_auxz00_12718;

				{
					obj_t BgL_auxz00_12719;

					{	/* Liveness/liveness.scm 139 */
						BgL_objectz00_bglt BgL_tmpz00_12720;

						BgL_tmpz00_12720 =
							((BgL_objectz00_bglt) ((BgL_literalz00_bglt) BgL_nz00_4876));
						BgL_auxz00_12719 = BGL_OBJECT_WIDENING(BgL_tmpz00_12720);
					}
					BgL_auxz00_12718 =
						((BgL_literalzf2livenesszf2_bglt) BgL_auxz00_12719);
				}
				((((BgL_literalzf2livenesszf2_bglt) COBJECT(BgL_auxz00_12718))->
						BgL_outz00) = ((obj_t) BgL_oz00_4877), BUNSPEC);
			}
			{
				BgL_literalzf2livenesszf2_bglt BgL_auxz00_12726;

				{
					obj_t BgL_auxz00_12727;

					{	/* Liveness/liveness.scm 140 */
						BgL_objectz00_bglt BgL_tmpz00_12728;

						BgL_tmpz00_12728 =
							((BgL_objectz00_bglt) ((BgL_literalz00_bglt) BgL_nz00_4876));
						BgL_auxz00_12727 = BGL_OBJECT_WIDENING(BgL_tmpz00_12728);
					}
					BgL_auxz00_12726 =
						((BgL_literalzf2livenesszf2_bglt) BgL_auxz00_12727);
				}
				((((BgL_literalzf2livenesszf2_bglt) COBJECT(BgL_auxz00_12726))->
						BgL_inz00) = ((obj_t) BgL_oz00_4877), BUNSPEC);
			}
			{	/* Liveness/liveness.scm 142 */
				obj_t BgL_val0_1566z00_5806;
				obj_t BgL_val1_1567z00_5807;

				{
					BgL_literalzf2livenesszf2_bglt BgL_auxz00_12734;

					{
						obj_t BgL_auxz00_12735;

						{	/* Liveness/liveness.scm 142 */
							BgL_objectz00_bglt BgL_tmpz00_12736;

							BgL_tmpz00_12736 =
								((BgL_objectz00_bglt) ((BgL_literalz00_bglt) BgL_nz00_4876));
							BgL_auxz00_12735 = BGL_OBJECT_WIDENING(BgL_tmpz00_12736);
						}
						BgL_auxz00_12734 =
							((BgL_literalzf2livenesszf2_bglt) BgL_auxz00_12735);
					}
					BgL_val0_1566z00_5806 =
						(((BgL_literalzf2livenesszf2_bglt) COBJECT(BgL_auxz00_12734))->
						BgL_inz00);
				}
				{
					BgL_literalzf2livenesszf2_bglt BgL_auxz00_12742;

					{
						obj_t BgL_auxz00_12743;

						{	/* Liveness/liveness.scm 142 */
							BgL_objectz00_bglt BgL_tmpz00_12744;

							BgL_tmpz00_12744 =
								((BgL_objectz00_bglt) ((BgL_literalz00_bglt) BgL_nz00_4876));
							BgL_auxz00_12743 = BGL_OBJECT_WIDENING(BgL_tmpz00_12744);
						}
						BgL_auxz00_12742 =
							((BgL_literalzf2livenesszf2_bglt) BgL_auxz00_12743);
					}
					BgL_val1_1567z00_5807 =
						(((BgL_literalzf2livenesszf2_bglt) COBJECT(BgL_auxz00_12742))->
						BgL_outz00);
				}
				{	/* Liveness/liveness.scm 142 */
					int BgL_tmpz00_12750;

					BgL_tmpz00_12750 = (int) (2L);
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_12750);
				}
				{	/* Liveness/liveness.scm 142 */
					int BgL_tmpz00_12753;

					BgL_tmpz00_12753 = (int) (1L);
					BGL_MVALUES_VAL_SET(BgL_tmpz00_12753, BgL_val1_1567z00_5807);
				}
				return BgL_val0_1566z00_5806;
			}
		}

	}



/* &defuse-literal/liven1841 */
	obj_t BGl_z62defusezd2literalzf2liven1841z42zzliveness_livenessz00(obj_t
		BgL_envz00_4878, obj_t BgL_nz00_4879)
	{
		{	/* Liveness/liveness.scm 133 */
			{	/* Liveness/liveness.scm 135 */
				obj_t BgL_val0_1564z00_5809;
				obj_t BgL_val1_1565z00_5810;

				{
					BgL_literalzf2livenesszf2_bglt BgL_auxz00_12756;

					{
						obj_t BgL_auxz00_12757;

						{	/* Liveness/liveness.scm 135 */
							BgL_objectz00_bglt BgL_tmpz00_12758;

							BgL_tmpz00_12758 =
								((BgL_objectz00_bglt) ((BgL_literalz00_bglt) BgL_nz00_4879));
							BgL_auxz00_12757 = BGL_OBJECT_WIDENING(BgL_tmpz00_12758);
						}
						BgL_auxz00_12756 =
							((BgL_literalzf2livenesszf2_bglt) BgL_auxz00_12757);
					}
					BgL_val0_1564z00_5809 =
						(((BgL_literalzf2livenesszf2_bglt) COBJECT(BgL_auxz00_12756))->
						BgL_defz00);
				}
				{
					BgL_literalzf2livenesszf2_bglt BgL_auxz00_12764;

					{
						obj_t BgL_auxz00_12765;

						{	/* Liveness/liveness.scm 135 */
							BgL_objectz00_bglt BgL_tmpz00_12766;

							BgL_tmpz00_12766 =
								((BgL_objectz00_bglt) ((BgL_literalz00_bglt) BgL_nz00_4879));
							BgL_auxz00_12765 = BGL_OBJECT_WIDENING(BgL_tmpz00_12766);
						}
						BgL_auxz00_12764 =
							((BgL_literalzf2livenesszf2_bglt) BgL_auxz00_12765);
					}
					BgL_val1_1565z00_5810 =
						(((BgL_literalzf2livenesszf2_bglt) COBJECT(BgL_auxz00_12764))->
						BgL_usez00);
				}
				{	/* Liveness/liveness.scm 135 */
					int BgL_tmpz00_12772;

					BgL_tmpz00_12772 = (int) (2L);
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_12772);
				}
				{	/* Liveness/liveness.scm 135 */
					int BgL_tmpz00_12775;

					BgL_tmpz00_12775 = (int) (1L);
					BGL_MVALUES_VAL_SET(BgL_tmpz00_12775, BgL_val1_1565z00_5810);
				}
				return BgL_val0_1564z00_5809;
			}
		}

	}



/* &defuse-literal1839 */
	obj_t BGl_z62defusezd2literal1839zb0zzliveness_livenessz00(obj_t
		BgL_envz00_4880, obj_t BgL_nz00_4881)
	{
		{	/* Liveness/liveness.scm 130 */
			{	/* Liveness/liveness.scm 131 */
				BgL_literalz00_bglt BgL_arg2148z00_5812;

				{	/* Liveness/liveness.scm 131 */
					BgL_literalzf2livenesszf2_bglt BgL_wide1153z00_5813;

					BgL_wide1153z00_5813 =
						((BgL_literalzf2livenesszf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_literalzf2livenesszf2_bgl))));
					{	/* Liveness/liveness.scm 131 */
						obj_t BgL_auxz00_12783;
						BgL_objectz00_bglt BgL_tmpz00_12779;

						BgL_auxz00_12783 = ((obj_t) BgL_wide1153z00_5813);
						BgL_tmpz00_12779 =
							((BgL_objectz00_bglt)
							((BgL_literalz00_bglt) ((BgL_literalz00_bglt) BgL_nz00_4881)));
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_12779, BgL_auxz00_12783);
					}
					((BgL_objectz00_bglt)
						((BgL_literalz00_bglt) ((BgL_literalz00_bglt) BgL_nz00_4881)));
					{	/* Liveness/liveness.scm 131 */
						long BgL_arg2149z00_5814;

						BgL_arg2149z00_5814 =
							BGL_CLASS_NUM(BGl_literalzf2livenesszf2zzliveness_typesz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt)
								((BgL_literalz00_bglt)
									((BgL_literalz00_bglt) BgL_nz00_4881))), BgL_arg2149z00_5814);
					}
					((BgL_literalz00_bglt)
						((BgL_literalz00_bglt) ((BgL_literalz00_bglt) BgL_nz00_4881)));
				}
				{
					BgL_literalzf2livenesszf2_bglt BgL_auxz00_12797;

					{
						obj_t BgL_auxz00_12798;

						{	/* Liveness/liveness.scm 131 */
							BgL_objectz00_bglt BgL_tmpz00_12799;

							BgL_tmpz00_12799 =
								((BgL_objectz00_bglt)
								((BgL_literalz00_bglt) ((BgL_literalz00_bglt) BgL_nz00_4881)));
							BgL_auxz00_12798 = BGL_OBJECT_WIDENING(BgL_tmpz00_12799);
						}
						BgL_auxz00_12797 =
							((BgL_literalzf2livenesszf2_bglt) BgL_auxz00_12798);
					}
					((((BgL_literalzf2livenesszf2_bglt) COBJECT(BgL_auxz00_12797))->
							BgL_defz00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_literalzf2livenesszf2_bglt BgL_auxz00_12806;

					{
						obj_t BgL_auxz00_12807;

						{	/* Liveness/liveness.scm 131 */
							BgL_objectz00_bglt BgL_tmpz00_12808;

							BgL_tmpz00_12808 =
								((BgL_objectz00_bglt)
								((BgL_literalz00_bglt) ((BgL_literalz00_bglt) BgL_nz00_4881)));
							BgL_auxz00_12807 = BGL_OBJECT_WIDENING(BgL_tmpz00_12808);
						}
						BgL_auxz00_12806 =
							((BgL_literalzf2livenesszf2_bglt) BgL_auxz00_12807);
					}
					((((BgL_literalzf2livenesszf2_bglt) COBJECT(BgL_auxz00_12806))->
							BgL_usez00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_literalzf2livenesszf2_bglt BgL_auxz00_12815;

					{
						obj_t BgL_auxz00_12816;

						{	/* Liveness/liveness.scm 131 */
							BgL_objectz00_bglt BgL_tmpz00_12817;

							BgL_tmpz00_12817 =
								((BgL_objectz00_bglt)
								((BgL_literalz00_bglt) ((BgL_literalz00_bglt) BgL_nz00_4881)));
							BgL_auxz00_12816 = BGL_OBJECT_WIDENING(BgL_tmpz00_12817);
						}
						BgL_auxz00_12815 =
							((BgL_literalzf2livenesszf2_bglt) BgL_auxz00_12816);
					}
					((((BgL_literalzf2livenesszf2_bglt) COBJECT(BgL_auxz00_12815))->
							BgL_inz00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_literalzf2livenesszf2_bglt BgL_auxz00_12824;

					{
						obj_t BgL_auxz00_12825;

						{	/* Liveness/liveness.scm 131 */
							BgL_objectz00_bglt BgL_tmpz00_12826;

							BgL_tmpz00_12826 =
								((BgL_objectz00_bglt)
								((BgL_literalz00_bglt) ((BgL_literalz00_bglt) BgL_nz00_4881)));
							BgL_auxz00_12825 = BGL_OBJECT_WIDENING(BgL_tmpz00_12826);
						}
						BgL_auxz00_12824 =
							((BgL_literalzf2livenesszf2_bglt) BgL_auxz00_12825);
					}
					((((BgL_literalzf2livenesszf2_bglt) COBJECT(BgL_auxz00_12824))->
							BgL_outz00) = ((obj_t) BNIL), BUNSPEC);
				}
				BgL_arg2148z00_5812 =
					((BgL_literalz00_bglt) ((BgL_literalz00_bglt) BgL_nz00_4881));
				return
					BGl_defusez00zzliveness_livenessz00(
					((BgL_nodez00_bglt) BgL_arg2148z00_5812));
			}
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzliveness_livenessz00(void)
	{
		{	/* Liveness/liveness.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(54713316L,
				BSTRING_TO_STRING(BGl_string2841z00zzliveness_livenessz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(300504031L,
				BSTRING_TO_STRING(BGl_string2841z00zzliveness_livenessz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(365925558L,
				BSTRING_TO_STRING(BGl_string2841z00zzliveness_livenessz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(515343395L,
				BSTRING_TO_STRING(BGl_string2841z00zzliveness_livenessz00));
			BGl_modulezd2initializa7ationz75zztype_typeofz00(398780265L,
				BSTRING_TO_STRING(BGl_string2841z00zzliveness_livenessz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(489890788L,
				BSTRING_TO_STRING(BGl_string2841z00zzliveness_livenessz00));
			BGl_modulezd2initializa7ationz75zztype_envz00(296457443L,
				BSTRING_TO_STRING(BGl_string2841z00zzliveness_livenessz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(90839984L,
				BSTRING_TO_STRING(BGl_string2841z00zzliveness_livenessz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(469732712L,
				BSTRING_TO_STRING(BGl_string2841z00zzliveness_livenessz00));
			BGl_modulezd2initializa7ationz75zzast_envz00(146730773L,
				BSTRING_TO_STRING(BGl_string2841z00zzliveness_livenessz00));
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(158397907L,
				BSTRING_TO_STRING(BGl_string2841z00zzliveness_livenessz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(161876678L,
				BSTRING_TO_STRING(BGl_string2841z00zzliveness_livenessz00));
			BGl_modulezd2initializa7ationz75zzliveness_typesz00(0L,
				BSTRING_TO_STRING(BGl_string2841z00zzliveness_livenessz00));
			return
				BGl_modulezd2initializa7ationz75zzliveness_setz00(332381975L,
				BSTRING_TO_STRING(BGl_string2841z00zzliveness_livenessz00));
		}

	}

#ifdef __cplusplus
}
#endif
