/*===========================================================================*/
/*   (Module/class.scm)                                                      */
/*   Bigloo (4.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Jan 27 07:45:49 AM CET 2025     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.6a/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.6a/lib/bigloo/4.6a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -stdc -indent Module/class.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL_MODULE_CLASS_TYPE_DEFINITIONS
#define BGL_MODULE_CLASS_TYPE_DEFINITIONS

/* object type definitions */
	typedef struct BgL_backendz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
		bool_t BgL_boundzd2checkzd2;
		bool_t BgL_typezd2checkzd2;
		bool_t BgL_typedzd2funcallzd2;
		bool_t BgL_strictzd2typezd2castz00;
		bool_t BgL_forcezd2registerzd2gczd2rootszd2;
		bool_t BgL_stringzd2literalzd2supportz00;
		bool_t BgL_boxedzd2fixnumszd2;
		bool_t BgL_typedzd2closureszd2;
	}                 *BgL_backendz00_bglt;

	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_nullz00;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_qualifiedzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_tclassz00_bgl
	{
		obj_t BgL_itszd2superzd2;
		obj_t BgL_slotsz00;
		struct BgL_globalz00_bgl *BgL_holderz00;
		obj_t BgL_wideningz00;
		long BgL_depthz00;
		bool_t BgL_finalzf3zf3;
		obj_t BgL_constructorz00;
		obj_t BgL_virtualzd2slotszd2numberz00;
		bool_t BgL_abstractzf3zf3;
		obj_t BgL_widezd2typezd2;
		obj_t BgL_subclassesz00;
	}                *BgL_tclassz00_bglt;

	typedef struct BgL_jclassz00_bgl
	{
		obj_t BgL_itszd2superzd2;
		obj_t BgL_slotsz00;
		obj_t BgL_packagez00;
	}                *BgL_jclassz00_bglt;

	typedef struct BgL_slotz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_srcz00;
		obj_t BgL_classzd2ownerzd2;
		long BgL_indexz00;
		obj_t BgL_typez00;
		bool_t BgL_readzd2onlyzf3z21;
		obj_t BgL_defaultzd2valuezd2;
		obj_t BgL_virtualzd2numzd2;
		bool_t BgL_virtualzd2overridezd2;
		obj_t BgL_getterz00;
		obj_t BgL_setterz00;
		obj_t BgL_userzd2infozd2;
	}              *BgL_slotz00_bglt;


#endif													// BGL_MODULE_CLASS_TYPE_DEFINITIONS
#endif													// BGL_MODULE_TYPE_DEFINITIONS

	static obj_t BGl_z62declarezd2classz12za2zzmodule_classz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_forcezd2classzd2accessesz00zzmodule_classz00(void);
	static obj_t BGl_makezd2classzd2fieldsz00zzmodule_classz00(obj_t);
	extern obj_t
		BGl_classgenzd2makezd2anonymousz00zzobject_classgenz00(BgL_typez00_bglt);
	static obj_t BGl_requirezd2initializa7ationz75zzmodule_classz00 = BUNSPEC;
	static long BGl_getzd2classzd2hashz00zzmodule_classz00(obj_t);
	static obj_t
		BGl_z62classzd2finaliza7erzd2addzd2staticz12z05zzmodule_classz00(obj_t);
	static obj_t BGl_za2methodzd2unitza2zd2zzmodule_classz00 = BUNSPEC;
	extern obj_t BGl_findzd2locationzf2locz20zztools_locationz00(obj_t, obj_t);
	static obj_t BGl_za2genericzd2unitza2zd2zzmodule_classz00 = BUNSPEC;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	extern obj_t BGl_tclassz00zzobject_classz00;
	extern bool_t BGl_widezd2classzf3z21zzobject_classz00(obj_t);
	extern obj_t BGl_za2objectzd2initzd2modeza2z00zzengine_paramz00;
	static obj_t BGl_toplevelzd2initzd2zzmodule_classz00(void);
	BGL_EXPORTED_DECL obj_t BGl_classzd2finaliza7erz75zzmodule_classz00(void);
	static obj_t BGl_z62classzd2finaliza7erz17zzmodule_classz00(obj_t);
	extern bool_t
		BGl_checkzd2classzd2declarationzf3zf3zzobject_classz00(BgL_typez00_bglt,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_declarezd2classz12zc0zzmodule_classz00(obj_t,
		obj_t, obj_t, bool_t, bool_t, obj_t, obj_t);
	BGL_IMPORT obj_t bgl_reverse(obj_t);
	static obj_t BGl_genericzd2initzd2zzmodule_classz00(void);
	BGL_IMPORT obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
	static obj_t BGl_za2declaredzd2classesza2zd2zzmodule_classz00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_declarezd2widezd2classz12z12zzmodule_classz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static BgL_typez00_bglt
		BGl_z62delayzd2classzd2accessorsz12z70zzmodule_classz00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_filterzd2mapzd2zz__r4_control_features_6_9z00(obj_t,
		obj_t);
	static obj_t BGl_objectzd2initzd2zzmodule_classz00(void);
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	BGL_IMPORT obj_t string_append_3(obj_t, obj_t, obj_t);
	extern obj_t BGl_typez00zztype_typez00;
	extern obj_t BGl_za2debugzd2moduleza2zd2zzengine_paramz00;
	extern obj_t BGl_thezd2backendzd2zzbackend_backendz00(void);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_appendzd221011zd2zzmodule_classz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzmodule_classz00(void);
	BGL_IMPORT obj_t BGl_makezd2promisezd2zz__r4_control_features_6_9z00(obj_t);
	static obj_t BGl_genzd2registerzd2classz12z12zzmodule_classz00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_getzd2objectzd2unitz00zzmodule_classz00(void);
	static obj_t BGl_z62getzd2objectzd2unitz62zzmodule_classz00(obj_t);
	extern BgL_typez00_bglt
		BGl_declarezd2classzd2typez12z12zzobject_classz00(obj_t, BgL_globalz00_bglt,
		obj_t, bool_t, bool_t, obj_t);
	extern obj_t
		BGl_classgenzd2allocatezd2anonymousz00zzobject_classgenz00
		(BgL_typez00_bglt);
	BGL_IMPORT long BGl_getzd2hashnumberzd2persistentz00zz__hashz00(obj_t);
	extern obj_t BGl_idzd2ofzd2idz00zzast_identz00(obj_t, obj_t);
	extern obj_t BGl_genzd2classzd2coercionsz12z12zzobject_coercionz00(obj_t);
	extern obj_t BGl_setzd2classzd2slotsz12z12zzobject_classz00(BgL_typez00_bglt,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_getzd2methodzd2unitz00zzmodule_classz00(void);
	extern obj_t BGl_jclassz00zzobject_classz00;
	static obj_t BGl_z62getzd2methodzd2unitz62zzmodule_classz00(obj_t);
	extern obj_t
		BGl_classgenzd2widenzd2anonymousz00zzobject_classgenz00(BgL_typez00_bglt);
	static obj_t BGl_makezd2classzd2virtualzd2fieldszd2zzmodule_classz00(obj_t);
	extern obj_t BGl_za2moduleza2z00zzmodule_modulez00;
	static obj_t BGl_setterze70ze7zzmodule_classz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31290ze3ze5zzmodule_classz00(obj_t);
	extern obj_t BGl_producezd2modulezd2clausez12z12zzmodule_modulez00(obj_t);
	extern bool_t BGl_slotzd2defaultzf3z21zzobject_slotsz00(BgL_slotz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzmodule_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_slotsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classgenz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_coercionz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_objectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_miscz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_includez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_impusez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__hashz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	extern obj_t BGl_findzd2locationzd2zztools_locationz00(obj_t);
	extern bool_t BGl_slotzd2virtualzf3z21zzobject_slotsz00(BgL_slotz00_bglt);
	static obj_t BGl_za2objectzd2unitza2zd2zzmodule_classz00 = BUNSPEC;
	static obj_t BGl_slotzd2defaultzd2exprze70ze7zzmodule_classz00(obj_t);
	extern obj_t BGl_importzd2parserzd2zzmodule_impusez00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_typezd2defaultzd2idze70ze7zzmodule_classz00(obj_t);
	BGL_IMPORT obj_t create_struct(obj_t, int);
	static obj_t BGl_cnstzd2initzd2zzmodule_classz00(void);
	static obj_t BGl_libraryzd2moduleszd2initz00zzmodule_classz00(void);
	static BgL_typez00_bglt
		BGl_declarezd2importzd2classz12z12zzmodule_classz00(obj_t, obj_t, obj_t,
		bool_t, obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzmodule_classz00(void);
	static obj_t BGl_gczd2rootszd2initz00zzmodule_classz00(void);
	extern obj_t
		BGl_classgenzd2slotzd2anonymousz00zzobject_classgenz00(BgL_typez00_bglt,
		BgL_slotz00_bglt);
	static obj_t BGl_z62zc3z04anonymousza31732ze3ze5zzmodule_classz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31384ze3ze5zzmodule_classz00(obj_t,
		obj_t);
	extern obj_t BGl_findzd2globalzf2modulez20zzast_envz00(obj_t, obj_t);
	extern obj_t BGl_epairifyzd2reczd2zztools_miscz00(obj_t, obj_t);
	extern obj_t
		BGl_classgenzd2shrinkzd2anonymousz00zzobject_classgenz00(BgL_typez00_bglt);
	static obj_t BGl_z62zc3z04anonymousza31296ze3ze5zzmodule_classz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_getzd2genericzd2unitz00zzmodule_classz00(void);
	BGL_EXPORTED_DECL obj_t
		BGl_classzd2finaliza7erzd2addzd2staticz12z67zzmodule_classz00(void);
	extern obj_t
		BGl_findzd2classzd2constructorz00zzobject_classz00(BgL_typez00_bglt);
	static obj_t BGl_epairifyzd2slotze70z35zzmodule_classz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_delayzd2classzd2accessorsz12z12zzmodule_classz00(BgL_typez00_bglt,
		obj_t);
	static long BGl_loopze70ze7zzmodule_classz00(obj_t, long);
	static obj_t BGl_za2classzd2accessesza2zd2zzmodule_classz00 = BUNSPEC;
	static obj_t BGl_getterze70ze7zzmodule_classz00(obj_t, obj_t);
	static obj_t BGl_z62declarezd2widezd2classz12z70zzmodule_classz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62getzd2genericzd2unitz62zzmodule_classz00(obj_t);
	static BgL_typez00_bglt
		BGl_declarezd2exportzd2classz12z12zzmodule_classz00(obj_t, obj_t, obj_t,
		bool_t, obj_t, obj_t, obj_t);
	extern obj_t
		BGl_classgenzd2nilzd2anonymousz00zzobject_classgenz00(BgL_typez00_bglt);
	static obj_t __cnst[33];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_classzd2finaliza7erzd2envza7zzmodule_classz00,
		BgL_bgl_za762classza7d2final2078z00,
		BGl_z62classzd2finaliza7erz17zzmodule_classz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string2073z00zzmodule_classz00,
		BgL_bgl_string2073za700za7za7m2079za7, "bgl_init_module_debug_object(\"",
		30);
	      DEFINE_STRING(BGl_string2074z00zzmodule_classz00,
		BgL_bgl_string2074za700za7za7m2080za7, "\")", 2);
	      DEFINE_STRING(BGl_string2075z00zzmodule_classz00,
		BgL_bgl_string2075za700za7za7m2081za7, "module_class", 12);
	      DEFINE_STRING(BGl_string2076z00zzmodule_classz00,
		BgL_bgl_string2076za700za7za7m2082za7,
		"generic method unit object (#unspecified) begin pragma::void module void staged call-next-virtual-setter call-next-virtual-getter call-next-slot cons obj _ call-virtual-setter v lambda call-virtual-getter o make-class-field vector define quote register-class! __object @ widening wide plain final (export static) ",
		313);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_classzd2finaliza7erzd2addzd2staticz12zd2envzb5zzmodule_classz00,
		BgL_bgl_za762classza7d2final2083z00,
		BGl_z62classzd2finaliza7erzd2addzd2staticz12z05zzmodule_classz00, 0L,
		BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_declarezd2widezd2classz12zd2envzc0zzmodule_classz00,
		BgL_bgl_za762declareza7d2wid2084z00,
		BGl_z62declarezd2widezd2classz12z70zzmodule_classz00, 0L, BUNSPEC, 5);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_getzd2objectzd2unitzd2envzd2zzmodule_classz00,
		BgL_bgl_za762getza7d2objectza72085za7,
		BGl_z62getzd2objectzd2unitz62zzmodule_classz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_delayzd2classzd2accessorsz12zd2envzc0zzmodule_classz00,
		BgL_bgl_za762delayza7d2class2086z00,
		BGl_z62delayzd2classzd2accessorsz12z70zzmodule_classz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_getzd2genericzd2unitzd2envzd2zzmodule_classz00,
		BgL_bgl_za762getza7d2generic2087z00,
		BGl_z62getzd2genericzd2unitz62zzmodule_classz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_declarezd2classz12zd2envz12zzmodule_classz00,
		BgL_bgl_za762declareza7d2cla2088z00,
		BGl_z62declarezd2classz12za2zzmodule_classz00, 0L, BUNSPEC, 7);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_getzd2methodzd2unitzd2envzd2zzmodule_classz00,
		BgL_bgl_za762getza7d2methodza72089za7,
		BGl_z62getzd2methodzd2unitz62zzmodule_classz00, 0L, BUNSPEC, 0);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zzmodule_classz00));
		     ADD_ROOT((void *) (&BGl_za2methodzd2unitza2zd2zzmodule_classz00));
		     ADD_ROOT((void *) (&BGl_za2genericzd2unitza2zd2zzmodule_classz00));
		     ADD_ROOT((void *) (&BGl_za2declaredzd2classesza2zd2zzmodule_classz00));
		     ADD_ROOT((void *) (&BGl_za2objectzd2unitza2zd2zzmodule_classz00));
		     ADD_ROOT((void *) (&BGl_za2classzd2accessesza2zd2zzmodule_classz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzmodule_classz00(long
		BgL_checksumz00_3273, char *BgL_fromz00_3274)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzmodule_classz00))
				{
					BGl_requirezd2initializa7ationz75zzmodule_classz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzmodule_classz00();
					BGl_libraryzd2moduleszd2initz00zzmodule_classz00();
					BGl_cnstzd2initzd2zzmodule_classz00();
					BGl_importedzd2moduleszd2initz00zzmodule_classz00();
					return BGl_toplevelzd2initzd2zzmodule_classz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzmodule_classz00(void)
	{
		{	/* Module/class.scm 15 */
			BGl_modulezd2initializa7ationz75zz__objectz00(0L, "module_class");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(0L,
				"module_class");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(0L, "module_class");
			BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(0L,
				"module_class");
			BGl_modulezd2initializa7ationz75zz__readerz00(0L, "module_class");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(0L,
				"module_class");
			BGl_modulezd2initializa7ationz75zz__hashz00(0L, "module_class");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(0L, "module_class");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(0L,
				"module_class");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(0L, "module_class");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(0L,
				"module_class");
			BGl_modulezd2initializa7ationz75zz__bitz00(0L, "module_class");
			BGl_modulezd2initializa7ationz75zz__structurez00(0L, "module_class");
			BGl_modulezd2initializa7ationz75zz__biglooz00(0L, "module_class");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzmodule_classz00(void)
	{
		{	/* Module/class.scm 15 */
			{	/* Module/class.scm 15 */
				obj_t BgL_cportz00_3147;

				{	/* Module/class.scm 15 */
					obj_t BgL_stringz00_3154;

					BgL_stringz00_3154 = BGl_string2076z00zzmodule_classz00;
					{	/* Module/class.scm 15 */
						obj_t BgL_startz00_3155;

						BgL_startz00_3155 = BINT(0L);
						{	/* Module/class.scm 15 */
							obj_t BgL_endz00_3156;

							BgL_endz00_3156 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_3154)));
							{	/* Module/class.scm 15 */

								BgL_cportz00_3147 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_3154, BgL_startz00_3155, BgL_endz00_3156);
				}}}}
				{
					long BgL_iz00_3148;

					BgL_iz00_3148 = 32L;
				BgL_loopz00_3149:
					if ((BgL_iz00_3148 == (-1L)))
						{	/* Module/class.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Module/class.scm 15 */
							{	/* Module/class.scm 15 */
								obj_t BgL_arg2077z00_3150;

								{	/* Module/class.scm 15 */

									{	/* Module/class.scm 15 */
										obj_t BgL_locationz00_3152;

										BgL_locationz00_3152 = BBOOL(((bool_t) 0));
										{	/* Module/class.scm 15 */

											BgL_arg2077z00_3150 =
												BGl_readz00zz__readerz00(BgL_cportz00_3147,
												BgL_locationz00_3152);
										}
									}
								}
								{	/* Module/class.scm 15 */
									int BgL_tmpz00_3306;

									BgL_tmpz00_3306 = (int) (BgL_iz00_3148);
									CNST_TABLE_SET(BgL_tmpz00_3306, BgL_arg2077z00_3150);
							}}
							{	/* Module/class.scm 15 */
								int BgL_auxz00_3153;

								BgL_auxz00_3153 = (int) ((BgL_iz00_3148 - 1L));
								{
									long BgL_iz00_3311;

									BgL_iz00_3311 = (long) (BgL_auxz00_3153);
									BgL_iz00_3148 = BgL_iz00_3311;
									goto BgL_loopz00_3149;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzmodule_classz00(void)
	{
		{	/* Module/class.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzmodule_classz00(void)
	{
		{	/* Module/class.scm 15 */
			BGl_za2objectzd2unitza2zd2zzmodule_classz00 = BUNSPEC;
			BGl_za2methodzd2unitza2zd2zzmodule_classz00 = BUNSPEC;
			BGl_za2genericzd2unitza2zd2zzmodule_classz00 = BUNSPEC;
			BGl_za2classzd2accessesza2zd2zzmodule_classz00 = BNIL;
			return (BGl_za2declaredzd2classesza2zd2zzmodule_classz00 = BNIL, BUNSPEC);
		}

	}



/* append-21011 */
	obj_t BGl_appendzd221011zd2zzmodule_classz00(obj_t BgL_l1z00_1,
		obj_t BgL_l2z00_2)
	{
		{
			if (NULLP(BgL_l1z00_1))
				{
					return BgL_l2z00_2;
				}
			else
				{
					obj_t BgL_headz00_1772;

					BgL_headz00_1772 = MAKE_YOUNG_PAIR(BNIL, BgL_l2z00_2);
					{
						obj_t BgL_prevz00_1773;
						obj_t BgL_tailz00_1774;

						BgL_prevz00_1773 = BgL_headz00_1772;
						BgL_tailz00_1774 = BgL_l1z00_1;
					BgL_loopz00_1775:
						if (PAIRP(BgL_tailz00_1774))
							{
								obj_t BgL_newzd2prevzd2_1777;

								BgL_newzd2prevzd2_1777 =
									MAKE_YOUNG_PAIR(CAR(BgL_tailz00_1774), BgL_l2z00_2);
								SET_CDR(BgL_prevz00_1773, BgL_newzd2prevzd2_1777);
								{
									obj_t BgL_tailz00_3323;
									obj_t BgL_prevz00_3322;

									BgL_prevz00_3322 = BgL_newzd2prevzd2_1777;
									BgL_tailz00_3323 = CDR(BgL_tailz00_1774);
									BgL_tailz00_1774 = BgL_tailz00_3323;
									BgL_prevz00_1773 = BgL_prevz00_3322;
									goto BgL_loopz00_1775;
								}
							}
						else
							{
								BNIL;
							}
						return CDR(BgL_headz00_1772);
					}
				}
		}

	}



/* get-class-hash */
	long BGl_getzd2classzd2hashz00zzmodule_classz00(obj_t BgL_defz00_25)
	{
		{	/* ../runtime/Llib/object.sch 19 */
			return BGl_loopze70ze7zzmodule_classz00(BgL_defz00_25, 1705L);
		}

	}



/* loop~0 */
	long BGl_loopze70ze7zzmodule_classz00(obj_t BgL_defz00_1796,
		long BgL_hashz00_1797)
	{
		{	/* ../runtime/Llib/object.sch 24 */
		BGl_loopze70ze7zzmodule_classz00:
			if (NULLP(BgL_defz00_1796))
				{	/* ../runtime/Llib/object.sch 27 */
					return BgL_hashz00_1797;
				}
			else
				{	/* ../runtime/Llib/object.sch 27 */
					if (PAIRP(BgL_defz00_1796))
						{
							long BgL_hashz00_3333;
							obj_t BgL_defz00_3331;

							BgL_defz00_3331 = CDR(BgL_defz00_1796);
							BgL_hashz00_3333 =
								BGl_loopze70ze7zzmodule_classz00(CAR(BgL_defz00_1796),
								(1966L ^ BgL_hashz00_1797));
							BgL_hashz00_1797 = BgL_hashz00_3333;
							BgL_defz00_1796 = BgL_defz00_3331;
							goto BGl_loopze70ze7zzmodule_classz00;
						}
					else
						{	/* ../runtime/Llib/object.sch 29 */
							return
								(
								(BGl_getzd2hashnumberzd2persistentz00zz__hashz00
									(BgL_defz00_1796) & 65535L) ^ BgL_hashz00_1797);
						}
				}
		}

	}



/* get-object-unit */
	BGL_EXPORTED_DEF obj_t BGl_getzd2objectzd2unitz00zzmodule_classz00(void)
	{
		{	/* Module/class.scm 60 */
			return BGl_za2objectzd2unitza2zd2zzmodule_classz00;
		}

	}



/* &get-object-unit */
	obj_t BGl_z62getzd2objectzd2unitz62zzmodule_classz00(obj_t BgL_envz00_3103)
	{
		{	/* Module/class.scm 60 */
			return BGl_getzd2objectzd2unitz00zzmodule_classz00();
		}

	}



/* get-method-unit */
	BGL_EXPORTED_DEF obj_t BGl_getzd2methodzd2unitz00zzmodule_classz00(void)
	{
		{	/* Module/class.scm 66 */
			return BGl_za2methodzd2unitza2zd2zzmodule_classz00;
		}

	}



/* &get-method-unit */
	obj_t BGl_z62getzd2methodzd2unitz62zzmodule_classz00(obj_t BgL_envz00_3104)
	{
		{	/* Module/class.scm 66 */
			return BGl_getzd2methodzd2unitz00zzmodule_classz00();
		}

	}



/* get-generic-unit */
	BGL_EXPORTED_DEF obj_t BGl_getzd2genericzd2unitz00zzmodule_classz00(void)
	{
		{	/* Module/class.scm 72 */
			return BGl_za2genericzd2unitza2zd2zzmodule_classz00;
		}

	}



/* &get-generic-unit */
	obj_t BGl_z62getzd2genericzd2unitz62zzmodule_classz00(obj_t BgL_envz00_3105)
	{
		{	/* Module/class.scm 72 */
			return BGl_getzd2genericzd2unitz00zzmodule_classz00();
		}

	}



/* declare-class! */
	BGL_EXPORTED_DEF obj_t BGl_declarezd2classz12zc0zzmodule_classz00(obj_t
		BgL_classzd2defzd2_26, obj_t BgL_modulez00_27, obj_t BgL_importz00_28,
		bool_t BgL_finalzf3zf3_29, bool_t BgL_abstractzf3zf3_30,
		obj_t BgL_defzd2srczd2_31, obj_t BgL_declzd2srczd2_32)
	{
		{	/* Module/class.scm 78 */
			if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_importz00_28,
						((obj_t) CNST_TABLE_REF(0)))))
				{	/* Module/class.scm 83 */
					obj_t BgL_arg1284z00_2408;

					if (BgL_finalzf3zf3_29)
						{	/* Module/class.scm 83 */
							BgL_arg1284z00_2408 = ((obj_t) CNST_TABLE_REF(1));
						}
					else
						{	/* Module/class.scm 83 */
							BgL_arg1284z00_2408 = ((obj_t) CNST_TABLE_REF(2));
						}
					return
						((obj_t)
						BGl_declarezd2exportzd2classz12z12zzmodule_classz00
						(BgL_classzd2defzd2_26, BgL_modulez00_27, BgL_arg1284z00_2408,
							BgL_abstractzf3zf3_30, BgL_defzd2srczd2_31, BgL_declzd2srczd2_32,
							BgL_importz00_28));
				}
			else
				{	/* Module/class.scm 89 */
					obj_t BgL_arg1285z00_2409;

					if (BgL_finalzf3zf3_29)
						{	/* Module/class.scm 89 */
							BgL_arg1285z00_2409 = ((obj_t) CNST_TABLE_REF(1));
						}
					else
						{	/* Module/class.scm 89 */
							BgL_arg1285z00_2409 = ((obj_t) CNST_TABLE_REF(2));
						}
					return
						((obj_t)
						BGl_declarezd2importzd2classz12z12zzmodule_classz00
						(BgL_classzd2defzd2_26, BgL_modulez00_27, BgL_arg1285z00_2409,
							BgL_abstractzf3zf3_30, BgL_defzd2srczd2_31,
							BgL_declzd2srczd2_32));
				}
		}

	}



/* &declare-class! */
	obj_t BGl_z62declarezd2classz12za2zzmodule_classz00(obj_t BgL_envz00_3106,
		obj_t BgL_classzd2defzd2_3107, obj_t BgL_modulez00_3108,
		obj_t BgL_importz00_3109, obj_t BgL_finalzf3zf3_3110,
		obj_t BgL_abstractzf3zf3_3111, obj_t BgL_defzd2srczd2_3112,
		obj_t BgL_declzd2srczd2_3113)
	{
		{	/* Module/class.scm 78 */
			return
				BGl_declarezd2classz12zc0zzmodule_classz00(BgL_classzd2defzd2_3107,
				BgL_modulez00_3108, BgL_importz00_3109, CBOOL(BgL_finalzf3zf3_3110),
				CBOOL(BgL_abstractzf3zf3_3111), BgL_defzd2srczd2_3112,
				BgL_declzd2srczd2_3113);
		}

	}



/* declare-wide-class! */
	BGL_EXPORTED_DEF obj_t BGl_declarezd2widezd2classz12z12zzmodule_classz00(obj_t
		BgL_classzd2defzd2_33, obj_t BgL_modulez00_34, obj_t BgL_importz00_35,
		obj_t BgL_defzd2srczd2_36, obj_t BgL_declzd2srczd2_37)
	{
		{	/* Module/class.scm 96 */
			if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_importz00_35,
						((obj_t) CNST_TABLE_REF(0)))))
				{	/* Module/class.scm 98 */
					return
						((obj_t)
						BGl_declarezd2exportzd2classz12z12zzmodule_classz00
						(BgL_classzd2defzd2_33, BgL_modulez00_34,
							((obj_t) CNST_TABLE_REF(3)), ((bool_t) 0), BgL_defzd2srczd2_36,
							BgL_declzd2srczd2_37, BgL_importz00_35));
				}
			else
				{	/* Module/class.scm 98 */
					return
						((obj_t)
						BGl_declarezd2importzd2classz12z12zzmodule_classz00
						(BgL_classzd2defzd2_33, BgL_modulez00_34,
							((obj_t) CNST_TABLE_REF(3)), ((bool_t) 0), BgL_defzd2srczd2_36,
							BgL_declzd2srczd2_37));
				}
		}

	}



/* &declare-wide-class! */
	obj_t BGl_z62declarezd2widezd2classz12z70zzmodule_classz00(obj_t
		BgL_envz00_3114, obj_t BgL_classzd2defzd2_3115, obj_t BgL_modulez00_3116,
		obj_t BgL_importz00_3117, obj_t BgL_defzd2srczd2_3118,
		obj_t BgL_declzd2srczd2_3119)
	{
		{	/* Module/class.scm 96 */
			return
				BGl_declarezd2widezd2classz12z12zzmodule_classz00
				(BgL_classzd2defzd2_3115, BgL_modulez00_3116, BgL_importz00_3117,
				BgL_defzd2srczd2_3118, BgL_declzd2srczd2_3119);
		}

	}



/* declare-export-class! */
	BgL_typez00_bglt BGl_declarezd2exportzd2classz12z12zzmodule_classz00(obj_t
		BgL_cdefz00_38, obj_t BgL_modulez00_39, obj_t BgL_kindz00_40,
		bool_t BgL_abstractzf3zf3_41, obj_t BgL_srczd2defzd2_42,
		obj_t BgL_srczd2declzd2_43, obj_t BgL_importz00_44)
	{
		{	/* Module/class.scm 110 */
			{	/* Module/class.scm 114 */
				obj_t BgL_locz00_1815;

				BgL_locz00_1815 =
					BGl_findzd2locationzd2zztools_locationz00(BgL_srczd2defzd2_42);
				{	/* Module/class.scm 114 */
					obj_t BgL_classzd2varzd2_1816;

					BgL_classzd2varzd2_1816 = CAR(BgL_cdefz00_38);
					{	/* Module/class.scm 115 */
						obj_t BgL_classzd2idzd2_1817;

						BgL_classzd2idzd2_1817 =
							BGl_idzd2ofzd2idz00zzast_identz00(BgL_classzd2varzd2_1816,
							BgL_locz00_1815);
						{	/* Module/class.scm 116 */
							obj_t BgL_holderz00_1818;

							{	/* Module/class.scm 118 */
								obj_t BgL_arg1291z00_1827;

								{	/* Module/class.scm 118 */
									obj_t BgL_arg1292z00_1828;

									BgL_arg1292z00_1828 =
										MAKE_YOUNG_PAIR(BgL_classzd2idzd2_1817, BNIL);
									BgL_arg1291z00_1827 =
										MAKE_YOUNG_PAIR(BgL_importz00_44, BgL_arg1292z00_1828);
								}
								BGl_producezd2modulezd2clausez12z12zzmodule_modulez00
									(BgL_arg1291z00_1827);
							}
							BgL_holderz00_1818 =
								BGl_findzd2globalzf2modulez20zzast_envz00
								(BgL_classzd2idzd2_1817, BgL_modulez00_39);
							{	/* Module/class.scm 117 */
								bool_t BgL_finalzf3zf3_1819;

								BgL_finalzf3zf3_1819 =
									(BgL_kindz00_40 == ((obj_t) CNST_TABLE_REF(1)));
								{	/* Module/class.scm 120 */
									obj_t BgL_widez00_1820;

									if ((BgL_kindz00_40 == ((obj_t) CNST_TABLE_REF(3))))
										{	/* Module/class.scm 121 */
											BgL_widez00_1820 = ((obj_t) CNST_TABLE_REF(4));
										}
									else
										{	/* Module/class.scm 121 */
											BgL_widez00_1820 = BFALSE;
										}
									{	/* Module/class.scm 121 */
										BgL_typez00_bglt BgL_tclassz00_1821;

										BgL_tclassz00_1821 =
											BGl_declarezd2classzd2typez12z12zzobject_classz00
											(BgL_cdefz00_38,
											((BgL_globalz00_bglt) BgL_holderz00_1818),
											BgL_widez00_1820, BgL_finalzf3zf3_1819,
											BgL_abstractzf3zf3_41, BgL_srczd2defzd2_42);
										{	/* Module/class.scm 122 */

											((((BgL_globalz00_bglt) COBJECT(
															((BgL_globalz00_bglt) BgL_holderz00_1818)))->
													BgL_srcz00) = ((obj_t) BgL_srczd2defzd2_42), BUNSPEC);
											((((BgL_typez00_bglt) COBJECT(BgL_tclassz00_1821))->
													BgL_importzd2locationzd2) =
												((obj_t)
													BGl_findzd2locationzf2locz20zztools_locationz00
													(BgL_srczd2declzd2_43, BgL_locz00_1815)), BUNSPEC);
											{	/* Module/class.scm 135 */
												obj_t BgL_arg1288z00_1823;

												{	/* Module/class.scm 135 */
													obj_t BgL_zc3z04anonymousza31290ze3z87_3120;

													BgL_zc3z04anonymousza31290ze3z87_3120 =
														MAKE_FX_PROCEDURE
														(BGl_z62zc3z04anonymousza31290ze3ze5zzmodule_classz00,
														(int) (0L), (int) (4L));
													PROCEDURE_SET(BgL_zc3z04anonymousza31290ze3z87_3120,
														(int) (0L), BgL_cdefz00_38);
													PROCEDURE_SET(BgL_zc3z04anonymousza31290ze3z87_3120,
														(int) (1L), BgL_holderz00_1818);
													PROCEDURE_SET(BgL_zc3z04anonymousza31290ze3z87_3120,
														(int) (2L), ((obj_t) BgL_tclassz00_1821));
													PROCEDURE_SET(BgL_zc3z04anonymousza31290ze3z87_3120,
														(int) (3L), BgL_srczd2defzd2_42);
													BgL_arg1288z00_1823 =
														BGl_makezd2promisezd2zz__r4_control_features_6_9z00
														(BgL_zc3z04anonymousza31290ze3z87_3120);
												}
												{	/* Module/class.scm 175 */
													obj_t BgL_arg1298z00_2415;

													BgL_arg1298z00_2415 =
														MAKE_YOUNG_PAIR(
														((obj_t) BgL_tclassz00_1821), BgL_arg1288z00_1823);
													BGl_za2classzd2accessesza2zd2zzmodule_classz00 =
														MAKE_YOUNG_PAIR(BgL_arg1298z00_2415,
														BGl_za2classzd2accessesza2zd2zzmodule_classz00);
												}
												return BgL_tclassz00_1821;
											}
										}
									}
								}
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:1290> */
	obj_t BGl_z62zc3z04anonymousza31290ze3ze5zzmodule_classz00(obj_t
		BgL_envz00_3121)
	{
		{	/* Module/class.scm 135 */
			{	/* Module/class.scm 135 */
				obj_t BgL_cdefz00_3122;
				obj_t BgL_holderz00_3123;
				BgL_typez00_bglt BgL_tclassz00_3124;
				obj_t BgL_srczd2defzd2_3125;

				BgL_cdefz00_3122 = ((obj_t) PROCEDURE_REF(BgL_envz00_3121, (int) (0L)));
				BgL_holderz00_3123 = PROCEDURE_REF(BgL_envz00_3121, (int) (1L));
				BgL_tclassz00_3124 =
					((BgL_typez00_bglt) PROCEDURE_REF(BgL_envz00_3121, (int) (2L)));
				BgL_srczd2defzd2_3125 = PROCEDURE_REF(BgL_envz00_3121, (int) (3L));
				return
					BGl_genzd2registerzd2classz12z12zzmodule_classz00(BgL_cdefz00_3122,
					BgL_holderz00_3123, ((obj_t) BgL_tclassz00_3124),
					BgL_srczd2defzd2_3125);
			}
		}

	}



/* declare-import-class! */
	BgL_typez00_bglt BGl_declarezd2importzd2classz12z12zzmodule_classz00(obj_t
		BgL_cdefz00_45, obj_t BgL_modulez00_46, obj_t BgL_kindz00_47,
		bool_t BgL_abstractzf3zf3_48, obj_t BgL_srczd2defzd2_49,
		obj_t BgL_srczd2declzd2_50)
	{
		{	/* Module/class.scm 140 */
			{	/* Module/class.scm 144 */
				obj_t BgL_locz00_1829;

				BgL_locz00_1829 =
					BGl_findzd2locationzd2zztools_locationz00(BgL_srczd2defzd2_49);
				{	/* Module/class.scm 144 */
					obj_t BgL_classzd2varzd2_1830;

					BgL_classzd2varzd2_1830 = CAR(BgL_cdefz00_45);
					{	/* Module/class.scm 145 */
						obj_t BgL_classzd2idzd2_1831;

						BgL_classzd2idzd2_1831 =
							BGl_idzd2ofzd2idz00zzast_identz00(BgL_classzd2varzd2_1830,
							BgL_locz00_1829);
						{	/* Module/class.scm 146 */
							obj_t BgL_holderz00_1832;

							BgL_holderz00_1832 =
								BGl_importzd2parserzd2zzmodule_impusez00(BgL_modulez00_46,
								BgL_classzd2idzd2_1831, BFALSE, BNIL);
							{	/* Module/class.scm 147 */
								bool_t BgL_finalzf3zf3_1833;

								BgL_finalzf3zf3_1833 =
									(BgL_kindz00_47 == ((obj_t) CNST_TABLE_REF(1)));
								{	/* Module/class.scm 148 */
									obj_t BgL_widez00_1834;

									if ((BgL_kindz00_47 == ((obj_t) CNST_TABLE_REF(3))))
										{	/* Module/class.scm 149 */
											BgL_widez00_1834 = ((obj_t) CNST_TABLE_REF(4));
										}
									else
										{	/* Module/class.scm 149 */
											BgL_widez00_1834 = BFALSE;
										}
									{	/* Module/class.scm 149 */
										BgL_typez00_bglt BgL_tclassz00_1835;

										BgL_tclassz00_1835 =
											BGl_declarezd2classzd2typez12z12zzobject_classz00
											(BgL_cdefz00_45,
											((BgL_globalz00_bglt) BgL_holderz00_1832),
											BgL_widez00_1834, BgL_finalzf3zf3_1833,
											BgL_abstractzf3zf3_48, BgL_srczd2defzd2_49);
										{	/* Module/class.scm 150 */

											((((BgL_typez00_bglt) COBJECT(BgL_tclassz00_1835))->
													BgL_importzd2locationzd2) =
												((obj_t)
													BGl_findzd2locationzf2locz20zztools_locationz00
													(BgL_srczd2declzd2_50, BgL_locz00_1829)), BUNSPEC);
											{	/* Module/class.scm 165 */
												obj_t BgL_arg1294z00_1837;

												{	/* Module/class.scm 165 */
													obj_t BgL_zc3z04anonymousza31296ze3z87_3126;

													BgL_zc3z04anonymousza31296ze3z87_3126 =
														MAKE_FX_PROCEDURE
														(BGl_z62zc3z04anonymousza31296ze3ze5zzmodule_classz00,
														(int) (0L), (int) (3L));
													PROCEDURE_SET(BgL_zc3z04anonymousza31296ze3z87_3126,
														(int) (0L), ((obj_t) BgL_tclassz00_1835));
													PROCEDURE_SET(BgL_zc3z04anonymousza31296ze3z87_3126,
														(int) (1L), BgL_cdefz00_45);
													PROCEDURE_SET(BgL_zc3z04anonymousza31296ze3z87_3126,
														(int) (2L), BgL_srczd2defzd2_49);
													BgL_arg1294z00_1837 =
														BGl_makezd2promisezd2zz__r4_control_features_6_9z00
														(BgL_zc3z04anonymousza31296ze3z87_3126);
												}
												{	/* Module/class.scm 175 */
													obj_t BgL_arg1298z00_2419;

													BgL_arg1298z00_2419 =
														MAKE_YOUNG_PAIR(
														((obj_t) BgL_tclassz00_1835), BgL_arg1294z00_1837);
													BGl_za2classzd2accessesza2zd2zzmodule_classz00 =
														MAKE_YOUNG_PAIR(BgL_arg1298z00_2419,
														BGl_za2classzd2accessesza2zd2zzmodule_classz00);
												}
												return BgL_tclassz00_1835;
											}
										}
									}
								}
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:1296> */
	obj_t BGl_z62zc3z04anonymousza31296ze3ze5zzmodule_classz00(obj_t
		BgL_envz00_3127)
	{
		{	/* Module/class.scm 161 */
			{	/* Module/class.scm 165 */
				BgL_typez00_bglt BgL_tclassz00_3128;
				obj_t BgL_cdefz00_3129;
				obj_t BgL_srczd2defzd2_3130;

				BgL_tclassz00_3128 =
					((BgL_typez00_bglt) PROCEDURE_REF(BgL_envz00_3127, (int) (0L)));
				BgL_cdefz00_3129 = ((obj_t) PROCEDURE_REF(BgL_envz00_3127, (int) (1L)));
				BgL_srczd2defzd2_3130 = PROCEDURE_REF(BgL_envz00_3127, (int) (2L));
				BGl_setzd2classzd2slotsz12z12zzobject_classz00(
					((BgL_typez00_bglt) BgL_tclassz00_3128), BgL_cdefz00_3129,
					BgL_srczd2defzd2_3130);
				BGl_genzd2classzd2coercionsz12z12zzobject_coercionz00(((obj_t)
						BgL_tclassz00_3128));
				return BNIL;
			}
		}

	}



/* delay-class-accessors! */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_delayzd2classzd2accessorsz12z12zzmodule_classz00(BgL_typez00_bglt
		BgL_typez00_51, obj_t BgL_delayedz00_52)
	{
		{	/* Module/class.scm 174 */
			{	/* Module/class.scm 175 */
				obj_t BgL_arg1298z00_2420;

				BgL_arg1298z00_2420 =
					MAKE_YOUNG_PAIR(((obj_t) BgL_typez00_51), BgL_delayedz00_52);
				BGl_za2classzd2accessesza2zd2zzmodule_classz00 =
					MAKE_YOUNG_PAIR(BgL_arg1298z00_2420,
					BGl_za2classzd2accessesza2zd2zzmodule_classz00);
			}
			return BgL_typez00_51;
		}

	}



/* &delay-class-accessors! */
	BgL_typez00_bglt BGl_z62delayzd2classzd2accessorsz12z70zzmodule_classz00(obj_t
		BgL_envz00_3131, obj_t BgL_typez00_3132, obj_t BgL_delayedz00_3133)
	{
		{	/* Module/class.scm 174 */
			return
				BGl_delayzd2classzd2accessorsz12z12zzmodule_classz00(
				((BgL_typez00_bglt) BgL_typez00_3132), BgL_delayedz00_3133);
		}

	}



/* gen-register-class! */
	obj_t BGl_genzd2registerzd2classz12z12zzmodule_classz00(obj_t
		BgL_classzd2defzd2_53, obj_t BgL_holderz00_54, obj_t BgL_classz00_55,
		obj_t BgL_srczd2defzd2_56)
	{
		{	/* Module/class.scm 193 */
			if (BGl_checkzd2classzd2declarationzf3zf3zzobject_classz00(
					((BgL_typez00_bglt) BgL_classz00_55), BgL_srczd2defzd2_56))
				{	/* Module/class.scm 194 */
					BGl_setzd2classzd2slotsz12z12zzobject_classz00(
						((BgL_typez00_bglt) BgL_classz00_55), BgL_classzd2defzd2_53,
						BgL_srczd2defzd2_56);
					BGl_genzd2classzd2coercionsz12z12zzobject_coercionz00
						(BgL_classz00_55);
					{	/* Module/class.scm 201 */
						obj_t BgL_classidz00_1844;

						BgL_classidz00_1844 =
							(((BgL_typez00_bglt) COBJECT(
									((BgL_typez00_bglt) BgL_classz00_55)))->BgL_idz00);
						{	/* Module/class.scm 201 */
							obj_t BgL_classmodz00_1845;

							{	/* Module/class.scm 202 */
								BgL_globalz00_bglt BgL_arg1376z00_1893;

								{
									BgL_tclassz00_bglt BgL_auxz00_3485;

									{
										obj_t BgL_auxz00_3486;

										{	/* Module/class.scm 202 */
											BgL_objectz00_bglt BgL_tmpz00_3487;

											BgL_tmpz00_3487 =
												((BgL_objectz00_bglt)
												((BgL_typez00_bglt) BgL_classz00_55));
											BgL_auxz00_3486 = BGL_OBJECT_WIDENING(BgL_tmpz00_3487);
										}
										BgL_auxz00_3485 = ((BgL_tclassz00_bglt) BgL_auxz00_3486);
									}
									BgL_arg1376z00_1893 =
										(((BgL_tclassz00_bglt) COBJECT(BgL_auxz00_3485))->
										BgL_holderz00);
								}
								BgL_classmodz00_1845 =
									(((BgL_globalz00_bglt) COBJECT(BgL_arg1376z00_1893))->
									BgL_modulez00);
							}
							{	/* Module/class.scm 202 */
								obj_t BgL_superz00_1846;

								{
									BgL_tclassz00_bglt BgL_auxz00_3494;

									{
										obj_t BgL_auxz00_3495;

										{	/* Module/class.scm 203 */
											BgL_objectz00_bglt BgL_tmpz00_3496;

											BgL_tmpz00_3496 =
												((BgL_objectz00_bglt)
												((BgL_typez00_bglt) BgL_classz00_55));
											BgL_auxz00_3495 = BGL_OBJECT_WIDENING(BgL_tmpz00_3496);
										}
										BgL_auxz00_3494 = ((BgL_tclassz00_bglt) BgL_auxz00_3495);
									}
									BgL_superz00_1846 =
										(((BgL_tclassz00_bglt) COBJECT(BgL_auxz00_3494))->
										BgL_itszd2superzd2);
								}
								{	/* Module/class.scm 203 */
									obj_t BgL_supervz00_1847;

									{	/* Module/class.scm 204 */
										bool_t BgL_test2103z00_3502;

										{	/* Module/class.scm 204 */
											obj_t BgL_classz00_2427;

											BgL_classz00_2427 = BGl_tclassz00zzobject_classz00;
											if (BGL_OBJECTP(BgL_superz00_1846))
												{	/* Module/class.scm 204 */
													BgL_objectz00_bglt BgL_arg1858z00_2429;

													BgL_arg1858z00_2429 =
														(BgL_objectz00_bglt) (BgL_superz00_1846);
													if (BGL_CONDEXPAND_ISA_ARCH64())
														{	/* Module/class.scm 204 */
															long BgL_idxz00_2435;

															BgL_idxz00_2435 =
																BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_2429);
															BgL_test2103z00_3502 =
																(VECTOR_REF
																(BGl_za2inheritancesza2z00zz__objectz00,
																	(BgL_idxz00_2435 + 2L)) == BgL_classz00_2427);
														}
													else
														{	/* Module/class.scm 204 */
															bool_t BgL_res2053z00_2460;

															{	/* Module/class.scm 204 */
																obj_t BgL_oclassz00_2443;

																{	/* Module/class.scm 204 */
																	obj_t BgL_arg1866z00_2451;
																	long BgL_arg1867z00_2452;

																	BgL_arg1866z00_2451 =
																		(BGl_za2classesza2z00zz__objectz00);
																	{	/* Module/class.scm 204 */
																		long BgL_arg1869z00_2453;

																		BgL_arg1869z00_2453 =
																			BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_2429);
																		BgL_arg1867z00_2452 =
																			(BgL_arg1869z00_2453 - OBJECT_TYPE);
																	}
																	BgL_oclassz00_2443 =
																		VECTOR_REF(BgL_arg1866z00_2451,
																		BgL_arg1867z00_2452);
																}
																{	/* Module/class.scm 204 */
																	bool_t BgL__ortest_1115z00_2444;

																	BgL__ortest_1115z00_2444 =
																		(BgL_classz00_2427 == BgL_oclassz00_2443);
																	if (BgL__ortest_1115z00_2444)
																		{	/* Module/class.scm 204 */
																			BgL_res2053z00_2460 =
																				BgL__ortest_1115z00_2444;
																		}
																	else
																		{	/* Module/class.scm 204 */
																			long BgL_odepthz00_2445;

																			{	/* Module/class.scm 204 */
																				obj_t BgL_arg1855z00_2446;

																				BgL_arg1855z00_2446 =
																					(BgL_oclassz00_2443);
																				BgL_odepthz00_2445 =
																					BGL_CLASS_DEPTH(BgL_arg1855z00_2446);
																			}
																			if ((2L < BgL_odepthz00_2445))
																				{	/* Module/class.scm 204 */
																					obj_t BgL_arg1853z00_2448;

																					{	/* Module/class.scm 204 */
																						obj_t BgL_arg1854z00_2449;

																						BgL_arg1854z00_2449 =
																							(BgL_oclassz00_2443);
																						BgL_arg1853z00_2448 =
																							BGL_CLASS_ANCESTORS_REF
																							(BgL_arg1854z00_2449, 2L);
																					}
																					BgL_res2053z00_2460 =
																						(BgL_arg1853z00_2448 ==
																						BgL_classz00_2427);
																				}
																			else
																				{	/* Module/class.scm 204 */
																					BgL_res2053z00_2460 = ((bool_t) 0);
																				}
																		}
																}
															}
															BgL_test2103z00_3502 = BgL_res2053z00_2460;
														}
												}
											else
												{	/* Module/class.scm 204 */
													BgL_test2103z00_3502 = ((bool_t) 0);
												}
										}
										if (BgL_test2103z00_3502)
											{	/* Module/class.scm 205 */
												BgL_globalz00_bglt BgL_sholderz00_1888;

												{
													BgL_tclassz00_bglt BgL_auxz00_3525;

													{
														obj_t BgL_auxz00_3526;

														{	/* Module/class.scm 205 */
															BgL_objectz00_bglt BgL_tmpz00_3527;

															BgL_tmpz00_3527 =
																((BgL_objectz00_bglt)
																((BgL_typez00_bglt) BgL_superz00_1846));
															BgL_auxz00_3526 =
																BGL_OBJECT_WIDENING(BgL_tmpz00_3527);
														}
														BgL_auxz00_3525 =
															((BgL_tclassz00_bglt) BgL_auxz00_3526);
													}
													BgL_sholderz00_1888 =
														(((BgL_tclassz00_bglt) COBJECT(BgL_auxz00_3525))->
														BgL_holderz00);
												}
												{	/* Module/class.scm 205 */
													obj_t BgL_sholderidz00_1889;

													BgL_sholderidz00_1889 =
														(((BgL_variablez00_bglt) COBJECT(
																((BgL_variablez00_bglt) BgL_sholderz00_1888)))->
														BgL_idz00);
													{	/* Module/class.scm 206 */
														obj_t BgL_sholdermodulez00_1890;

														BgL_sholdermodulez00_1890 =
															(((BgL_globalz00_bglt)
																COBJECT(BgL_sholderz00_1888))->BgL_modulez00);
														{	/* Module/class.scm 207 */

															{	/* Module/class.scm 208 */
																obj_t BgL_arg1370z00_1891;

																{	/* Module/class.scm 208 */
																	obj_t BgL_arg1371z00_1892;

																	BgL_arg1371z00_1892 =
																		MAKE_YOUNG_PAIR(BgL_sholdermodulez00_1890,
																		BNIL);
																	BgL_arg1370z00_1891 =
																		MAKE_YOUNG_PAIR(BgL_sholderidz00_1889,
																		BgL_arg1371z00_1892);
																}
																BgL_supervz00_1847 =
																	MAKE_YOUNG_PAIR(
																	((obj_t)
																		CNST_TABLE_REF(5)), BgL_arg1370z00_1891);
															}
														}
													}
												}
											}
										else
											{	/* Module/class.scm 204 */
												BgL_supervz00_1847 = BFALSE;
											}
									}
									{	/* Module/class.scm 204 */
										obj_t BgL_declz00_1848;

										{	/* Module/class.scm 209 */
											obj_t BgL_arg1304z00_1854;

											{	/* Module/class.scm 209 */
												obj_t BgL_arg1305z00_1855;
												obj_t BgL_arg1309z00_1856;

												BgL_arg1305z00_1855 =
													(((BgL_variablez00_bglt) COBJECT(
															((BgL_variablez00_bglt)
																((BgL_globalz00_bglt) BgL_holderz00_54))))->
													BgL_idz00);
												{	/* Module/class.scm 210 */
													obj_t BgL_arg1310z00_1857;

													{	/* Module/class.scm 210 */
														obj_t BgL_arg1311z00_1858;
														obj_t BgL_arg1313z00_1859;

														{	/* Module/class.scm 210 */
															obj_t BgL_arg1314z00_1860;

															{	/* Module/class.scm 210 */
																obj_t BgL_arg1315z00_1861;

																BgL_arg1315z00_1861 =
																	MAKE_YOUNG_PAIR(
																	((obj_t) CNST_TABLE_REF(6)), BNIL);
																BgL_arg1314z00_1860 =
																	MAKE_YOUNG_PAIR(
																	((obj_t)
																		CNST_TABLE_REF(7)), BgL_arg1315z00_1861);
															}
															BgL_arg1311z00_1858 =
																MAKE_YOUNG_PAIR(
																((obj_t)
																	CNST_TABLE_REF(5)), BgL_arg1314z00_1860);
														}
														{	/* Module/class.scm 212 */
															obj_t BgL_arg1316z00_1862;
															obj_t BgL_arg1317z00_1863;

															{	/* Module/class.scm 212 */
																obj_t BgL_arg1318z00_1864;

																BgL_arg1318z00_1864 =
																	MAKE_YOUNG_PAIR(BgL_classidz00_1844, BNIL);
																BgL_arg1316z00_1862 =
																	MAKE_YOUNG_PAIR(
																	((obj_t)
																		CNST_TABLE_REF(8)), BgL_arg1318z00_1864);
															}
															{	/* Module/class.scm 214 */
																obj_t BgL_arg1319z00_1865;
																obj_t BgL_arg1320z00_1866;

																{	/* Module/class.scm 214 */
																	obj_t BgL_arg1321z00_1867;

																	BgL_arg1321z00_1867 =
																		MAKE_YOUNG_PAIR(BgL_classmodz00_1845, BNIL);
																	BgL_arg1319z00_1865 =
																		MAKE_YOUNG_PAIR(
																		((obj_t)
																			CNST_TABLE_REF(8)), BgL_arg1321z00_1867);
																}
																{	/* Module/class.scm 218 */
																	obj_t BgL_arg1322z00_1868;

																	{	/* Module/class.scm 218 */
																		long BgL_arg1326z00_1869;
																		obj_t BgL_arg1327z00_1870;

																		BgL_arg1326z00_1869 =
																			BGl_getzd2classzd2hashz00zzmodule_classz00
																			(BgL_srczd2defzd2_56);
																		{	/* Module/class.scm 220 */
																			obj_t BgL_arg1331z00_1871;
																			obj_t BgL_arg1332z00_1872;

																			{	/* Module/class.scm 220 */
																				bool_t BgL_test2108z00_3562;

																				{
																					BgL_tclassz00_bglt BgL_auxz00_3563;

																					{
																						obj_t BgL_auxz00_3564;

																						{	/* Module/class.scm 220 */
																							BgL_objectz00_bglt
																								BgL_tmpz00_3565;
																							BgL_tmpz00_3565 =
																								((BgL_objectz00_bglt) (
																									(BgL_typez00_bglt)
																									BgL_classz00_55));
																							BgL_auxz00_3564 =
																								BGL_OBJECT_WIDENING
																								(BgL_tmpz00_3565);
																						}
																						BgL_auxz00_3563 =
																							((BgL_tclassz00_bglt)
																							BgL_auxz00_3564);
																					}
																					BgL_test2108z00_3562 =
																						(((BgL_tclassz00_bglt)
																							COBJECT(BgL_auxz00_3563))->
																						BgL_abstractzf3zf3);
																				}
																				if (BgL_test2108z00_3562)
																					{	/* Module/class.scm 220 */
																						BgL_arg1331z00_1871 = BFALSE;
																					}
																				else
																					{	/* Module/class.scm 220 */
																						BgL_arg1331z00_1871 =
																							BGl_classgenzd2makezd2anonymousz00zzobject_classgenz00
																							(((BgL_typez00_bglt)
																								BgL_classz00_55));
																					}
																			}
																			{	/* Module/class.scm 224 */
																				obj_t BgL_arg1336z00_1874;
																				obj_t BgL_arg1338z00_1875;

																				if (BGl_widezd2classzf3z21zzobject_classz00(BgL_classz00_55))
																					{	/* Module/class.scm 224 */
																						BgL_arg1336z00_1874 =
																							BGl_classgenzd2widenzd2anonymousz00zzobject_classgenz00
																							(((BgL_typez00_bglt)
																								BgL_classz00_55));
																					}
																				else
																					{	/* Module/class.scm 224 */
																						BgL_arg1336z00_1874 =
																							BGl_classgenzd2allocatezd2anonymousz00zzobject_classgenz00
																							(((BgL_typez00_bglt)
																								BgL_classz00_55));
																					}
																				{	/* Module/class.scm 232 */
																					obj_t BgL_arg1341z00_1877;
																					obj_t BgL_arg1342z00_1878;

																					BgL_arg1341z00_1877 =
																						BGl_findzd2classzd2constructorz00zzobject_classz00
																						(((BgL_typez00_bglt)
																							BgL_classz00_55));
																					{	/* Module/class.scm 234 */
																						obj_t BgL_arg1355z00_1879;
																						obj_t BgL_arg1358z00_1880;

																						BgL_arg1355z00_1879 =
																							BGl_classgenzd2nilzd2anonymousz00zzobject_classgenz00
																							(((BgL_typez00_bglt)
																								BgL_classz00_55));
																						{	/* Module/class.scm 236 */
																							obj_t BgL_arg1359z00_1881;
																							obj_t BgL_arg1360z00_1882;

																							if (BGl_widezd2classzf3z21zzobject_classz00(BgL_classz00_55))
																								{	/* Module/class.scm 236 */
																									BgL_arg1359z00_1881 =
																										BGl_classgenzd2shrinkzd2anonymousz00zzobject_classgenz00
																										(((BgL_typez00_bglt)
																											BgL_classz00_55));
																								}
																							else
																								{	/* Module/class.scm 236 */
																									BgL_arg1359z00_1881 = BFALSE;
																								}
																							{	/* Module/class.scm 239 */
																								obj_t BgL_arg1364z00_1884;
																								obj_t BgL_arg1365z00_1885;

																								BgL_arg1364z00_1884 =
																									BGl_makezd2classzd2fieldsz00zzmodule_classz00
																									(BgL_classz00_55);
																								BgL_arg1365z00_1885 =
																									MAKE_YOUNG_PAIR
																									(BGl_makezd2classzd2virtualzd2fieldszd2zzmodule_classz00
																									(BgL_classz00_55), BNIL);
																								BgL_arg1360z00_1882 =
																									MAKE_YOUNG_PAIR
																									(BgL_arg1364z00_1884,
																									BgL_arg1365z00_1885);
																							}
																							BgL_arg1358z00_1880 =
																								MAKE_YOUNG_PAIR
																								(BgL_arg1359z00_1881,
																								BgL_arg1360z00_1882);
																						}
																						BgL_arg1342z00_1878 =
																							MAKE_YOUNG_PAIR
																							(BgL_arg1355z00_1879,
																							BgL_arg1358z00_1880);
																					}
																					BgL_arg1338z00_1875 =
																						MAKE_YOUNG_PAIR(BgL_arg1341z00_1877,
																						BgL_arg1342z00_1878);
																				}
																				BgL_arg1332z00_1872 =
																					MAKE_YOUNG_PAIR(BgL_arg1336z00_1874,
																					BgL_arg1338z00_1875);
																			}
																			BgL_arg1327z00_1870 =
																				MAKE_YOUNG_PAIR(BgL_arg1331z00_1871,
																				BgL_arg1332z00_1872);
																		}
																		BgL_arg1322z00_1868 =
																			MAKE_YOUNG_PAIR(BINT(BgL_arg1326z00_1869),
																			BgL_arg1327z00_1870);
																	}
																	BgL_arg1320z00_1866 =
																		MAKE_YOUNG_PAIR(BgL_supervz00_1847,
																		BgL_arg1322z00_1868);
																}
																BgL_arg1317z00_1863 =
																	MAKE_YOUNG_PAIR(BgL_arg1319z00_1865,
																	BgL_arg1320z00_1866);
															}
															BgL_arg1313z00_1859 =
																MAKE_YOUNG_PAIR(BgL_arg1316z00_1862,
																BgL_arg1317z00_1863);
														}
														BgL_arg1310z00_1857 =
															MAKE_YOUNG_PAIR(BgL_arg1311z00_1858,
															BgL_arg1313z00_1859);
													}
													BgL_arg1309z00_1856 =
														MAKE_YOUNG_PAIR(BgL_arg1310z00_1857, BNIL);
												}
												BgL_arg1304z00_1854 =
													MAKE_YOUNG_PAIR(BgL_arg1305z00_1855,
													BgL_arg1309z00_1856);
											}
											BgL_declz00_1848 =
												MAKE_YOUNG_PAIR(
												((obj_t) CNST_TABLE_REF(9)), BgL_arg1304z00_1854);
										}
										{	/* Module/class.scm 209 */
											obj_t BgL_edeclz00_1849;

											if (EPAIRP(BgL_srczd2defzd2_56))
												{	/* Module/class.scm 243 */
													obj_t BgL_arg1301z00_1851;
													obj_t BgL_arg1302z00_1852;
													obj_t BgL_arg1303z00_1853;

													BgL_arg1301z00_1851 = CAR(BgL_declz00_1848);
													BgL_arg1302z00_1852 = CDR(BgL_declz00_1848);
													BgL_arg1303z00_1853 =
														CER(((obj_t) BgL_srczd2defzd2_56));
													{	/* Module/class.scm 243 */
														obj_t BgL_res2054z00_2471;

														BgL_res2054z00_2471 =
															MAKE_YOUNG_EPAIR(BgL_arg1301z00_1851,
															BgL_arg1302z00_1852, BgL_arg1303z00_1853);
														BgL_edeclz00_1849 = BgL_res2054z00_2471;
													}
												}
											else
												{	/* Module/class.scm 242 */
													BgL_edeclz00_1849 = BgL_declz00_1848;
												}
											{	/* Module/class.scm 242 */

												BGl_za2declaredzd2classesza2zd2zzmodule_classz00 =
													MAKE_YOUNG_PAIR(BgL_edeclz00_1849,
													BGl_za2declaredzd2classesza2zd2zzmodule_classz00);
												return BNIL;
											}
										}
									}
								}
							}
						}
					}
				}
			else
				{	/* Module/class.scm 194 */
					{
						BgL_tclassz00_bglt BgL_auxz00_3615;

						{
							obj_t BgL_auxz00_3616;

							{	/* Module/class.scm 251 */
								BgL_objectz00_bglt BgL_tmpz00_3617;

								BgL_tmpz00_3617 =
									((BgL_objectz00_bglt) ((BgL_typez00_bglt) BgL_classz00_55));
								BgL_auxz00_3616 = BGL_OBJECT_WIDENING(BgL_tmpz00_3617);
							}
							BgL_auxz00_3615 = ((BgL_tclassz00_bglt) BgL_auxz00_3616);
						}
						((((BgL_tclassz00_bglt) COBJECT(BgL_auxz00_3615))->BgL_slotsz00) =
							((obj_t) BNIL), BUNSPEC);
					}
					return BNIL;
				}
		}

	}



/* make-class-fields */
	obj_t BGl_makezd2classzd2fieldsz00zzmodule_classz00(obj_t BgL_classz00_57)
	{
		{	/* Module/class.scm 257 */
			{	/* Module/class.scm 298 */
				obj_t BgL_arg1379z00_1898;

				{	/* Module/class.scm 298 */
					obj_t BgL_arg1382z00_1900;

					{
						BgL_tclassz00_bglt BgL_auxz00_3623;

						{
							obj_t BgL_auxz00_3624;

							{	/* Module/class.scm 304 */
								BgL_objectz00_bglt BgL_tmpz00_3625;

								BgL_tmpz00_3625 =
									((BgL_objectz00_bglt) ((BgL_typez00_bglt) BgL_classz00_57));
								BgL_auxz00_3624 = BGL_OBJECT_WIDENING(BgL_tmpz00_3625);
							}
							BgL_auxz00_3623 = ((BgL_tclassz00_bglt) BgL_auxz00_3624);
						}
						BgL_arg1382z00_1900 =
							(((BgL_tclassz00_bglt) COBJECT(BgL_auxz00_3623))->BgL_slotsz00);
					}
					{	/* Module/class.scm 299 */
						obj_t BgL_zc3z04anonymousza31384ze3z87_3134;

						BgL_zc3z04anonymousza31384ze3z87_3134 =
							MAKE_FX_PROCEDURE
							(BGl_z62zc3z04anonymousza31384ze3ze5zzmodule_classz00, (int) (1L),
							(int) (1L));
						PROCEDURE_SET(BgL_zc3z04anonymousza31384ze3z87_3134, (int) (0L),
							BgL_classz00_57);
						{	/* Module/class.scm 298 */
							obj_t BgL_list1383z00_1901;

							BgL_list1383z00_1901 = MAKE_YOUNG_PAIR(BgL_arg1382z00_1900, BNIL);
							BgL_arg1379z00_1898 =
								BGl_filterzd2mapzd2zz__r4_control_features_6_9z00
								(BgL_zc3z04anonymousza31384ze3z87_3134, BgL_list1383z00_1901);
				}}}
				return
					MAKE_YOUNG_PAIR(((obj_t) CNST_TABLE_REF(10)), BgL_arg1379z00_1898);
			}
		}

	}



/* &<@anonymous:1384> */
	obj_t BGl_z62zc3z04anonymousza31384ze3ze5zzmodule_classz00(obj_t
		BgL_envz00_3135, obj_t BgL_sz00_3137)
	{
		{	/* Module/class.scm 298 */
			{	/* Module/class.scm 299 */
				obj_t BgL_classz00_3136;

				BgL_classz00_3136 = PROCEDURE_REF(BgL_envz00_3135, (int) (0L));
				{
					obj_t BgL_sz00_3223;
					obj_t BgL_sz00_3160;

					if (
						((((BgL_slotz00_bglt) COBJECT(
										((BgL_slotz00_bglt) BgL_sz00_3137)))->
								BgL_classzd2ownerzd2) == BgL_classz00_3136))
						{	/* Module/class.scm 299 */
							if (BGl_slotzd2virtualzf3z21zzobject_slotsz00(
									((BgL_slotz00_bglt) BgL_sz00_3137)))
								{	/* Module/class.scm 300 */
									if (
										(((BgL_slotz00_bglt) COBJECT(
													((BgL_slotz00_bglt) BgL_sz00_3137)))->
											BgL_virtualzd2overridezd2))
										{	/* Module/class.scm 301 */
											return BFALSE;
										}
									else
										{	/* Module/class.scm 301 */
											BgL_sz00_3160 = BgL_sz00_3137;
											{	/* Module/class.scm 270 */
												obj_t BgL_arg1418z00_3161;
												obj_t BgL_arg1419z00_3162;

												{	/* Module/class.scm 270 */
													obj_t BgL_arg1446z00_3163;

													{	/* Module/class.scm 270 */
														obj_t BgL_arg1457z00_3164;

														BgL_arg1457z00_3164 =
															MAKE_YOUNG_PAIR(
															((obj_t) CNST_TABLE_REF(6)), BNIL);
														BgL_arg1446z00_3163 =
															MAKE_YOUNG_PAIR(
															((obj_t)
																CNST_TABLE_REF(11)), BgL_arg1457z00_3164);
													}
													BgL_arg1418z00_3161 =
														MAKE_YOUNG_PAIR(
														((obj_t) CNST_TABLE_REF(5)), BgL_arg1446z00_3163);
												}
												{	/* Module/class.scm 271 */
													obj_t BgL_arg1471z00_3165;
													obj_t BgL_arg1480z00_3166;

													{	/* Module/class.scm 271 */
														obj_t BgL_arg1484z00_3167;

														{	/* Module/class.scm 271 */
															obj_t BgL_arg1487z00_3168;

															BgL_arg1487z00_3168 =
																(((BgL_slotz00_bglt) COBJECT(
																		((BgL_slotz00_bglt) BgL_sz00_3160)))->
																BgL_idz00);
															BgL_arg1484z00_3167 =
																MAKE_YOUNG_PAIR(BgL_arg1487z00_3168, BNIL);
														}
														BgL_arg1471z00_3165 =
															MAKE_YOUNG_PAIR(
															((obj_t) CNST_TABLE_REF(8)), BgL_arg1484z00_3167);
													}
													{	/* Module/class.scm 272 */
														obj_t BgL_arg1489z00_3169;
														obj_t BgL_arg1490z00_3170;

														{	/* Module/class.scm 272 */
															obj_t BgL_arg1506z00_3171;

															{	/* Module/class.scm 272 */
																obj_t BgL_arg1511z00_3172;
																obj_t BgL_arg1512z00_3173;

																BgL_arg1511z00_3172 =
																	MAKE_YOUNG_PAIR(
																	((obj_t) CNST_TABLE_REF(12)), BNIL);
																{	/* Module/class.scm 273 */
																	obj_t BgL_arg1513z00_3174;

																	{	/* Module/class.scm 273 */
																		obj_t BgL_arg1515z00_3175;
																		obj_t BgL_arg1516z00_3176;

																		{	/* Module/class.scm 273 */
																			obj_t BgL_arg1530z00_3177;

																			{	/* Module/class.scm 273 */
																				obj_t BgL_arg1532z00_3178;

																				BgL_arg1532z00_3178 =
																					MAKE_YOUNG_PAIR(
																					((obj_t) CNST_TABLE_REF(6)), BNIL);
																				BgL_arg1530z00_3177 =
																					MAKE_YOUNG_PAIR(
																					((obj_t)
																						CNST_TABLE_REF(13)),
																					BgL_arg1532z00_3178);
																			}
																			BgL_arg1515z00_3175 =
																				MAKE_YOUNG_PAIR(
																				((obj_t)
																					CNST_TABLE_REF(5)),
																				BgL_arg1530z00_3177);
																		}
																		{	/* Module/class.scm 273 */
																			obj_t BgL_arg1535z00_3179;

																			{	/* Module/class.scm 273 */
																				obj_t BgL_arg1543z00_3180;

																				BgL_arg1543z00_3180 =
																					(((BgL_slotz00_bglt) COBJECT(
																							((BgL_slotz00_bglt)
																								BgL_sz00_3160)))->
																					BgL_virtualzd2numzd2);
																				BgL_arg1535z00_3179 =
																					MAKE_YOUNG_PAIR(BgL_arg1543z00_3180,
																					BNIL);
																			}
																			BgL_arg1516z00_3176 =
																				MAKE_YOUNG_PAIR(
																				((obj_t)
																					CNST_TABLE_REF(12)),
																				BgL_arg1535z00_3179);
																		}
																		BgL_arg1513z00_3174 =
																			MAKE_YOUNG_PAIR(BgL_arg1515z00_3175,
																			BgL_arg1516z00_3176);
																	}
																	BgL_arg1512z00_3173 =
																		MAKE_YOUNG_PAIR(BgL_arg1513z00_3174, BNIL);
																}
																BgL_arg1506z00_3171 =
																	MAKE_YOUNG_PAIR(BgL_arg1511z00_3172,
																	BgL_arg1512z00_3173);
															}
															BgL_arg1489z00_3169 =
																MAKE_YOUNG_PAIR(
																((obj_t)
																	CNST_TABLE_REF(14)), BgL_arg1506z00_3171);
														}
														{	/* Module/class.scm 274 */
															obj_t BgL_arg1545z00_3181;
															obj_t BgL_arg1553z00_3182;

															{	/* Module/class.scm 274 */
																obj_t BgL_arg1554z00_3183;

																{	/* Module/class.scm 274 */
																	obj_t BgL_arg1558z00_3184;
																	obj_t BgL_arg1560z00_3185;

																	{	/* Module/class.scm 274 */
																		obj_t BgL_arg1574z00_3186;

																		BgL_arg1574z00_3186 =
																			MAKE_YOUNG_PAIR(
																			((obj_t) CNST_TABLE_REF(15)), BNIL);
																		BgL_arg1558z00_3184 =
																			MAKE_YOUNG_PAIR(
																			((obj_t)
																				CNST_TABLE_REF(12)),
																			BgL_arg1574z00_3186);
																	}
																	{	/* Module/class.scm 275 */
																		obj_t BgL_arg1577z00_3187;

																		{	/* Module/class.scm 275 */
																			obj_t BgL_arg1578z00_3188;
																			obj_t BgL_arg1581z00_3189;

																			{	/* Module/class.scm 275 */
																				obj_t BgL_arg1587z00_3190;

																				{	/* Module/class.scm 275 */
																					obj_t BgL_arg1588z00_3191;

																					BgL_arg1588z00_3191 =
																						MAKE_YOUNG_PAIR(
																						((obj_t) CNST_TABLE_REF(6)), BNIL);
																					BgL_arg1587z00_3190 =
																						MAKE_YOUNG_PAIR(
																						((obj_t)
																							CNST_TABLE_REF(16)),
																						BgL_arg1588z00_3191);
																				}
																				BgL_arg1578z00_3188 =
																					MAKE_YOUNG_PAIR(
																					((obj_t)
																						CNST_TABLE_REF(5)),
																					BgL_arg1587z00_3190);
																			}
																			{	/* Module/class.scm 275 */
																				obj_t BgL_arg1590z00_3192;

																				{	/* Module/class.scm 275 */
																					obj_t BgL_arg1592z00_3193;
																					obj_t BgL_arg1593z00_3194;

																					BgL_arg1592z00_3193 =
																						(((BgL_slotz00_bglt) COBJECT(
																								((BgL_slotz00_bglt)
																									BgL_sz00_3160)))->
																						BgL_virtualzd2numzd2);
																					BgL_arg1593z00_3194 =
																						MAKE_YOUNG_PAIR(((obj_t)
																							CNST_TABLE_REF(15)), BNIL);
																					BgL_arg1590z00_3192 =
																						MAKE_YOUNG_PAIR(BgL_arg1592z00_3193,
																						BgL_arg1593z00_3194);
																				}
																				BgL_arg1581z00_3189 =
																					MAKE_YOUNG_PAIR(
																					((obj_t)
																						CNST_TABLE_REF(12)),
																					BgL_arg1590z00_3192);
																			}
																			BgL_arg1577z00_3187 =
																				MAKE_YOUNG_PAIR(BgL_arg1578z00_3188,
																				BgL_arg1581z00_3189);
																		}
																		BgL_arg1560z00_3185 =
																			MAKE_YOUNG_PAIR(BgL_arg1577z00_3187,
																			BNIL);
																	}
																	BgL_arg1554z00_3183 =
																		MAKE_YOUNG_PAIR(BgL_arg1558z00_3184,
																		BgL_arg1560z00_3185);
																}
																BgL_arg1545z00_3181 =
																	MAKE_YOUNG_PAIR(
																	((obj_t)
																		CNST_TABLE_REF(14)), BgL_arg1554z00_3183);
															}
															{	/* Module/class.scm 276 */
																bool_t BgL_arg1597z00_3195;
																obj_t BgL_arg1605z00_3196;

																BgL_arg1597z00_3195 =
																	(((BgL_slotz00_bglt) COBJECT(
																			((BgL_slotz00_bglt) BgL_sz00_3160)))->
																	BgL_readzd2onlyzf3z21);
																{	/* Module/class.scm 278 */
																	obj_t BgL_arg1611z00_3197;

																	{	/* Module/class.scm 278 */
																		obj_t BgL_arg1612z00_3198;
																		obj_t BgL_arg1625z00_3199;

																		BgL_arg1612z00_3198 =
																			(((BgL_slotz00_bglt) COBJECT(
																					((BgL_slotz00_bglt) BgL_sz00_3160)))->
																			BgL_userzd2infozd2);
																		{	/* Module/class.scm 279 */
																			obj_t BgL_arg1626z00_3200;
																			obj_t BgL_arg1631z00_3201;

																			BgL_arg1626z00_3200 =
																				BGl_slotzd2defaultzd2exprze70ze7zzmodule_classz00
																				(BgL_sz00_3160);
																			{	/* Module/class.scm 280 */
																				obj_t BgL_arg1632z00_3202;

																				{	/* Module/class.scm 280 */
																					bool_t BgL_test2115z00_3727;

																					{	/* Module/class.scm 280 */
																						obj_t BgL_arg1648z00_3203;

																						BgL_arg1648z00_3203 =
																							(((BgL_slotz00_bglt) COBJECT(
																									((BgL_slotz00_bglt)
																										BgL_sz00_3160)))->
																							BgL_typez00);
																						{	/* Module/class.scm 280 */
																							obj_t BgL_classz00_3204;

																							BgL_classz00_3204 =
																								BGl_tclassz00zzobject_classz00;
																							if (BGL_OBJECTP
																								(BgL_arg1648z00_3203))
																								{	/* Module/class.scm 280 */
																									BgL_objectz00_bglt
																										BgL_arg1858z00_3205;
																									BgL_arg1858z00_3205 =
																										(BgL_objectz00_bglt)
																										(BgL_arg1648z00_3203);
																									if (BGL_CONDEXPAND_ISA_ARCH64
																										())
																										{	/* Module/class.scm 280 */
																											long BgL_idxz00_3206;

																											BgL_idxz00_3206 =
																												BGL_OBJECT_INHERITANCE_NUM
																												(BgL_arg1858z00_3205);
																											BgL_test2115z00_3727 =
																												(VECTOR_REF
																												(BGl_za2inheritancesza2z00zz__objectz00,
																													(BgL_idxz00_3206 +
																														2L)) ==
																												BgL_classz00_3204);
																										}
																									else
																										{	/* Module/class.scm 280 */
																											bool_t
																												BgL_res2055z00_3209;
																											{	/* Module/class.scm 280 */
																												obj_t
																													BgL_oclassz00_3210;
																												{	/* Module/class.scm 280 */
																													obj_t
																														BgL_arg1866z00_3211;
																													long
																														BgL_arg1867z00_3212;
																													BgL_arg1866z00_3211 =
																														(BGl_za2classesza2z00zz__objectz00);
																													{	/* Module/class.scm 280 */
																														long
																															BgL_arg1869z00_3213;
																														BgL_arg1869z00_3213
																															=
																															BGL_OBJECT_CLASS_NUM
																															(BgL_arg1858z00_3205);
																														BgL_arg1867z00_3212
																															=
																															(BgL_arg1869z00_3213
																															- OBJECT_TYPE);
																													}
																													BgL_oclassz00_3210 =
																														VECTOR_REF
																														(BgL_arg1866z00_3211,
																														BgL_arg1867z00_3212);
																												}
																												{	/* Module/class.scm 280 */
																													bool_t
																														BgL__ortest_1115z00_3214;
																													BgL__ortest_1115z00_3214
																														=
																														(BgL_classz00_3204
																														==
																														BgL_oclassz00_3210);
																													if (BgL__ortest_1115z00_3214)
																														{	/* Module/class.scm 280 */
																															BgL_res2055z00_3209
																																=
																																BgL__ortest_1115z00_3214;
																														}
																													else
																														{	/* Module/class.scm 280 */
																															long
																																BgL_odepthz00_3215;
																															{	/* Module/class.scm 280 */
																																obj_t
																																	BgL_arg1855z00_3216;
																																BgL_arg1855z00_3216
																																	=
																																	(BgL_oclassz00_3210);
																																BgL_odepthz00_3215
																																	=
																																	BGL_CLASS_DEPTH
																																	(BgL_arg1855z00_3216);
																															}
																															if (
																																(2L <
																																	BgL_odepthz00_3215))
																																{	/* Module/class.scm 280 */
																																	obj_t
																																		BgL_arg1853z00_3217;
																																	{	/* Module/class.scm 280 */
																																		obj_t
																																			BgL_arg1854z00_3218;
																																		BgL_arg1854z00_3218
																																			=
																																			(BgL_oclassz00_3210);
																																		BgL_arg1853z00_3217
																																			=
																																			BGL_CLASS_ANCESTORS_REF
																																			(BgL_arg1854z00_3218,
																																			2L);
																																	}
																																	BgL_res2055z00_3209
																																		=
																																		(BgL_arg1853z00_3217
																																		==
																																		BgL_classz00_3204);
																																}
																															else
																																{	/* Module/class.scm 280 */
																																	BgL_res2055z00_3209
																																		=
																																		((bool_t)
																																		0);
																																}
																														}
																												}
																											}
																											BgL_test2115z00_3727 =
																												BgL_res2055z00_3209;
																										}
																								}
																							else
																								{	/* Module/class.scm 280 */
																									BgL_test2115z00_3727 =
																										((bool_t) 0);
																								}
																						}
																					}
																					if (BgL_test2115z00_3727)
																						{	/* Module/class.scm 281 */
																							BgL_typez00_bglt BgL_oz00_3219;

																							BgL_oz00_3219 =
																								((BgL_typez00_bglt)
																								(((BgL_slotz00_bglt) COBJECT(
																											((BgL_slotz00_bglt)
																												BgL_sz00_3160)))->
																									BgL_typez00));
																							{
																								BgL_globalz00_bglt
																									BgL_auxz00_3755;
																								{
																									BgL_tclassz00_bglt
																										BgL_auxz00_3756;
																									{
																										obj_t BgL_auxz00_3757;

																										{	/* Module/class.scm 281 */
																											BgL_objectz00_bglt
																												BgL_tmpz00_3758;
																											BgL_tmpz00_3758 =
																												((BgL_objectz00_bglt)
																												BgL_oz00_3219);
																											BgL_auxz00_3757 =
																												BGL_OBJECT_WIDENING
																												(BgL_tmpz00_3758);
																										}
																										BgL_auxz00_3756 =
																											((BgL_tclassz00_bglt)
																											BgL_auxz00_3757);
																									}
																									BgL_auxz00_3755 =
																										(((BgL_tclassz00_bglt)
																											COBJECT
																											(BgL_auxz00_3756))->
																										BgL_holderz00);
																								}
																								BgL_arg1632z00_3202 =
																									((obj_t) BgL_auxz00_3755);
																							}
																						}
																					else
																						{	/* Module/class.scm 282 */
																							obj_t BgL_arg1638z00_3220;

																							{	/* Module/class.scm 282 */
																								obj_t BgL_arg1642z00_3221;

																								{	/* Module/class.scm 282 */
																									obj_t BgL_arg1643z00_3222;

																									BgL_arg1643z00_3222 =
																										(((BgL_slotz00_bglt)
																											COBJECT((
																													(BgL_slotz00_bglt)
																													BgL_sz00_3160)))->
																										BgL_typez00);
																									BgL_arg1642z00_3221 =
																										BGl_typezd2defaultzd2idze70ze7zzmodule_classz00
																										(BgL_arg1643z00_3222);
																								}
																								BgL_arg1638z00_3220 =
																									MAKE_YOUNG_PAIR
																									(BgL_arg1642z00_3221, BNIL);
																							}
																							BgL_arg1632z00_3202 =
																								MAKE_YOUNG_PAIR(
																								((obj_t)
																									CNST_TABLE_REF(8)),
																								BgL_arg1638z00_3220);
																						}
																				}
																				BgL_arg1631z00_3201 =
																					MAKE_YOUNG_PAIR(BgL_arg1632z00_3202,
																					BNIL);
																			}
																			BgL_arg1625z00_3199 =
																				MAKE_YOUNG_PAIR(BgL_arg1626z00_3200,
																				BgL_arg1631z00_3201);
																		}
																		BgL_arg1611z00_3197 =
																			MAKE_YOUNG_PAIR(BgL_arg1612z00_3198,
																			BgL_arg1625z00_3199);
																	}
																	BgL_arg1605z00_3196 =
																		MAKE_YOUNG_PAIR(BTRUE, BgL_arg1611z00_3197);
																}
																BgL_arg1553z00_3182 =
																	MAKE_YOUNG_PAIR(BBOOL(BgL_arg1597z00_3195),
																	BgL_arg1605z00_3196);
															}
															BgL_arg1490z00_3170 =
																MAKE_YOUNG_PAIR(BgL_arg1545z00_3181,
																BgL_arg1553z00_3182);
														}
														BgL_arg1480z00_3166 =
															MAKE_YOUNG_PAIR(BgL_arg1489z00_3169,
															BgL_arg1490z00_3170);
													}
													BgL_arg1419z00_3162 =
														MAKE_YOUNG_PAIR(BgL_arg1471z00_3165,
														BgL_arg1480z00_3166);
												}
												return
													MAKE_YOUNG_PAIR(BgL_arg1418z00_3161,
													BgL_arg1419z00_3162);
											}
										}
								}
							else
								{	/* Module/class.scm 300 */
									BgL_sz00_3223 = BgL_sz00_3137;
									{	/* Module/class.scm 285 */
										obj_t BgL_defsz00_3224;

										BgL_defsz00_3224 =
											BGl_classgenzd2slotzd2anonymousz00zzobject_classgenz00(
											((BgL_typez00_bglt) BgL_classz00_3136),
											((BgL_slotz00_bglt) BgL_sz00_3223));
										{	/* Module/class.scm 287 */
											obj_t BgL_arg1650z00_3225;
											obj_t BgL_arg1653z00_3226;

											{	/* Module/class.scm 287 */
												obj_t BgL_arg1655z00_3227;

												{	/* Module/class.scm 287 */
													obj_t BgL_arg1656z00_3228;

													BgL_arg1656z00_3228 =
														MAKE_YOUNG_PAIR(((obj_t) CNST_TABLE_REF(6)), BNIL);
													BgL_arg1655z00_3227 =
														MAKE_YOUNG_PAIR(
														((obj_t) CNST_TABLE_REF(11)), BgL_arg1656z00_3228);
												}
												BgL_arg1650z00_3225 =
													MAKE_YOUNG_PAIR(
													((obj_t) CNST_TABLE_REF(5)), BgL_arg1655z00_3227);
											}
											{	/* Module/class.scm 288 */
												obj_t BgL_arg1657z00_3229;
												obj_t BgL_arg1660z00_3230;

												{	/* Module/class.scm 288 */
													obj_t BgL_arg1663z00_3231;

													{	/* Module/class.scm 288 */
														obj_t BgL_arg1664z00_3232;

														BgL_arg1664z00_3232 =
															(((BgL_slotz00_bglt) COBJECT(
																	((BgL_slotz00_bglt) BgL_sz00_3223)))->
															BgL_idz00);
														BgL_arg1663z00_3231 =
															MAKE_YOUNG_PAIR(BgL_arg1664z00_3232, BNIL);
													}
													BgL_arg1657z00_3229 =
														MAKE_YOUNG_PAIR(
														((obj_t) CNST_TABLE_REF(8)), BgL_arg1663z00_3231);
												}
												{	/* Module/class.scm 289 */
													obj_t BgL_arg1673z00_3233;
													obj_t BgL_arg1674z00_3234;

													BgL_arg1673z00_3233 = CAR(((obj_t) BgL_defsz00_3224));
													{	/* Module/class.scm 289 */
														obj_t BgL_arg1675z00_3235;
														obj_t BgL_arg1677z00_3236;

														{	/* Module/class.scm 289 */
															obj_t BgL_pairz00_3237;

															BgL_pairz00_3237 =
																CDR(((obj_t) BgL_defsz00_3224));
															BgL_arg1675z00_3235 = CAR(BgL_pairz00_3237);
														}
														{	/* Module/class.scm 289 */
															bool_t BgL_arg1679z00_3238;
															obj_t BgL_arg1680z00_3239;

															BgL_arg1679z00_3238 =
																(((BgL_slotz00_bglt) COBJECT(
																		((BgL_slotz00_bglt) BgL_sz00_3223)))->
																BgL_readzd2onlyzf3z21);
															{	/* Module/class.scm 291 */
																obj_t BgL_arg1686z00_3240;

																{	/* Module/class.scm 291 */
																	obj_t BgL_arg1691z00_3241;
																	obj_t BgL_arg1692z00_3242;

																	BgL_arg1691z00_3241 =
																		(((BgL_slotz00_bglt) COBJECT(
																				((BgL_slotz00_bglt) BgL_sz00_3223)))->
																		BgL_userzd2infozd2);
																	{	/* Module/class.scm 292 */
																		obj_t BgL_arg1693z00_3243;
																		obj_t BgL_arg1695z00_3244;

																		BgL_arg1693z00_3243 =
																			BGl_slotzd2defaultzd2exprze70ze7zzmodule_classz00
																			(BgL_sz00_3223);
																		{	/* Module/class.scm 293 */
																			obj_t BgL_arg1696z00_3245;

																			{	/* Module/class.scm 293 */
																				bool_t BgL_test2120z00_3809;

																				{	/* Module/class.scm 293 */
																					obj_t BgL_arg1720z00_3246;

																					BgL_arg1720z00_3246 =
																						(((BgL_slotz00_bglt) COBJECT(
																								((BgL_slotz00_bglt)
																									BgL_sz00_3223)))->
																						BgL_typez00);
																					{	/* Module/class.scm 293 */
																						obj_t BgL_classz00_3247;

																						BgL_classz00_3247 =
																							BGl_tclassz00zzobject_classz00;
																						if (BGL_OBJECTP
																							(BgL_arg1720z00_3246))
																							{	/* Module/class.scm 293 */
																								BgL_objectz00_bglt
																									BgL_arg1858z00_3248;
																								BgL_arg1858z00_3248 =
																									(BgL_objectz00_bglt)
																									(BgL_arg1720z00_3246);
																								if (BGL_CONDEXPAND_ISA_ARCH64())
																									{	/* Module/class.scm 293 */
																										long BgL_idxz00_3249;

																										BgL_idxz00_3249 =
																											BGL_OBJECT_INHERITANCE_NUM
																											(BgL_arg1858z00_3248);
																										BgL_test2120z00_3809 =
																											(VECTOR_REF
																											(BGl_za2inheritancesza2z00zz__objectz00,
																												(BgL_idxz00_3249 +
																													2L)) ==
																											BgL_classz00_3247);
																									}
																								else
																									{	/* Module/class.scm 293 */
																										bool_t BgL_res2056z00_3252;

																										{	/* Module/class.scm 293 */
																											obj_t BgL_oclassz00_3253;

																											{	/* Module/class.scm 293 */
																												obj_t
																													BgL_arg1866z00_3254;
																												long
																													BgL_arg1867z00_3255;
																												BgL_arg1866z00_3254 =
																													(BGl_za2classesza2z00zz__objectz00);
																												{	/* Module/class.scm 293 */
																													long
																														BgL_arg1869z00_3256;
																													BgL_arg1869z00_3256 =
																														BGL_OBJECT_CLASS_NUM
																														(BgL_arg1858z00_3248);
																													BgL_arg1867z00_3255 =
																														(BgL_arg1869z00_3256
																														- OBJECT_TYPE);
																												}
																												BgL_oclassz00_3253 =
																													VECTOR_REF
																													(BgL_arg1866z00_3254,
																													BgL_arg1867z00_3255);
																											}
																											{	/* Module/class.scm 293 */
																												bool_t
																													BgL__ortest_1115z00_3257;
																												BgL__ortest_1115z00_3257
																													=
																													(BgL_classz00_3247 ==
																													BgL_oclassz00_3253);
																												if (BgL__ortest_1115z00_3257)
																													{	/* Module/class.scm 293 */
																														BgL_res2056z00_3252
																															=
																															BgL__ortest_1115z00_3257;
																													}
																												else
																													{	/* Module/class.scm 293 */
																														long
																															BgL_odepthz00_3258;
																														{	/* Module/class.scm 293 */
																															obj_t
																																BgL_arg1855z00_3259;
																															BgL_arg1855z00_3259
																																=
																																(BgL_oclassz00_3253);
																															BgL_odepthz00_3258
																																=
																																BGL_CLASS_DEPTH
																																(BgL_arg1855z00_3259);
																														}
																														if (
																															(2L <
																																BgL_odepthz00_3258))
																															{	/* Module/class.scm 293 */
																																obj_t
																																	BgL_arg1853z00_3260;
																																{	/* Module/class.scm 293 */
																																	obj_t
																																		BgL_arg1854z00_3261;
																																	BgL_arg1854z00_3261
																																		=
																																		(BgL_oclassz00_3253);
																																	BgL_arg1853z00_3260
																																		=
																																		BGL_CLASS_ANCESTORS_REF
																																		(BgL_arg1854z00_3261,
																																		2L);
																																}
																																BgL_res2056z00_3252
																																	=
																																	(BgL_arg1853z00_3260
																																	==
																																	BgL_classz00_3247);
																															}
																														else
																															{	/* Module/class.scm 293 */
																																BgL_res2056z00_3252
																																	=
																																	((bool_t) 0);
																															}
																													}
																											}
																										}
																										BgL_test2120z00_3809 =
																											BgL_res2056z00_3252;
																									}
																							}
																						else
																							{	/* Module/class.scm 293 */
																								BgL_test2120z00_3809 =
																									((bool_t) 0);
																							}
																					}
																				}
																				if (BgL_test2120z00_3809)
																					{	/* Module/class.scm 294 */
																						BgL_typez00_bglt BgL_oz00_3262;

																						BgL_oz00_3262 =
																							((BgL_typez00_bglt)
																							(((BgL_slotz00_bglt) COBJECT(
																										((BgL_slotz00_bglt)
																											BgL_sz00_3223)))->
																								BgL_typez00));
																						{
																							BgL_globalz00_bglt
																								BgL_auxz00_3837;
																							{
																								BgL_tclassz00_bglt
																									BgL_auxz00_3838;
																								{
																									obj_t BgL_auxz00_3839;

																									{	/* Module/class.scm 294 */
																										BgL_objectz00_bglt
																											BgL_tmpz00_3840;
																										BgL_tmpz00_3840 =
																											((BgL_objectz00_bglt)
																											BgL_oz00_3262);
																										BgL_auxz00_3839 =
																											BGL_OBJECT_WIDENING
																											(BgL_tmpz00_3840);
																									}
																									BgL_auxz00_3838 =
																										((BgL_tclassz00_bglt)
																										BgL_auxz00_3839);
																								}
																								BgL_auxz00_3837 =
																									(((BgL_tclassz00_bglt)
																										COBJECT(BgL_auxz00_3838))->
																									BgL_holderz00);
																							}
																							BgL_arg1696z00_3245 =
																								((obj_t) BgL_auxz00_3837);
																						}
																					}
																				else
																					{	/* Module/class.scm 295 */
																						obj_t BgL_arg1715z00_3263;

																						{	/* Module/class.scm 295 */
																							obj_t BgL_arg1716z00_3264;

																							{	/* Module/class.scm 295 */
																								obj_t BgL_arg1717z00_3265;

																								BgL_arg1717z00_3265 =
																									(((BgL_slotz00_bglt) COBJECT(
																											((BgL_slotz00_bglt)
																												BgL_sz00_3223)))->
																									BgL_typez00);
																								BgL_arg1716z00_3264 =
																									BGl_typezd2defaultzd2idze70ze7zzmodule_classz00
																									(BgL_arg1717z00_3265);
																							}
																							BgL_arg1715z00_3263 =
																								MAKE_YOUNG_PAIR
																								(BgL_arg1716z00_3264, BNIL);
																						}
																						BgL_arg1696z00_3245 =
																							MAKE_YOUNG_PAIR(
																							((obj_t)
																								CNST_TABLE_REF(8)),
																							BgL_arg1715z00_3263);
																					}
																			}
																			BgL_arg1695z00_3244 =
																				MAKE_YOUNG_PAIR(BgL_arg1696z00_3245,
																				BNIL);
																		}
																		BgL_arg1692z00_3242 =
																			MAKE_YOUNG_PAIR(BgL_arg1693z00_3243,
																			BgL_arg1695z00_3244);
																	}
																	BgL_arg1686z00_3240 =
																		MAKE_YOUNG_PAIR(BgL_arg1691z00_3241,
																		BgL_arg1692z00_3242);
																}
																BgL_arg1680z00_3239 =
																	MAKE_YOUNG_PAIR(BFALSE, BgL_arg1686z00_3240);
															}
															BgL_arg1677z00_3236 =
																MAKE_YOUNG_PAIR(BBOOL(BgL_arg1679z00_3238),
																BgL_arg1680z00_3239);
														}
														BgL_arg1674z00_3234 =
															MAKE_YOUNG_PAIR(BgL_arg1675z00_3235,
															BgL_arg1677z00_3236);
													}
													BgL_arg1660z00_3230 =
														MAKE_YOUNG_PAIR(BgL_arg1673z00_3233,
														BgL_arg1674z00_3234);
												}
												BgL_arg1653z00_3226 =
													MAKE_YOUNG_PAIR(BgL_arg1657z00_3229,
													BgL_arg1660z00_3230);
											}
											return
												MAKE_YOUNG_PAIR(BgL_arg1650z00_3225,
												BgL_arg1653z00_3226);
										}
									}
								}
						}
					else
						{	/* Module/class.scm 299 */
							return BFALSE;
						}
				}
			}
		}

	}



/* slot-default-expr~0 */
	obj_t BGl_slotzd2defaultzd2exprze70ze7zzmodule_classz00(obj_t BgL_sz00_1915)
	{
		{	/* Module/class.scm 267 */
			if (BGl_slotzd2defaultzf3z21zzobject_slotsz00(
					((BgL_slotz00_bglt) BgL_sz00_1915)))
				{	/* Module/class.scm 266 */
					obj_t BgL_arg1414z00_1918;

					{	/* Module/class.scm 266 */
						obj_t BgL_arg1415z00_1919;

						{	/* Module/class.scm 266 */
							obj_t BgL_arg1416z00_1920;

							BgL_arg1416z00_1920 =
								(((BgL_slotz00_bglt) COBJECT(
										((BgL_slotz00_bglt) BgL_sz00_1915)))->
								BgL_defaultzd2valuezd2);
							BgL_arg1415z00_1919 = MAKE_YOUNG_PAIR(BgL_arg1416z00_1920, BNIL);
						}
						BgL_arg1414z00_1918 = MAKE_YOUNG_PAIR(BNIL, BgL_arg1415z00_1919);
					}
					return
						MAKE_YOUNG_PAIR(((obj_t) CNST_TABLE_REF(14)), BgL_arg1414z00_1918);
				}
			else
				{	/* Module/class.scm 265 */
					return BFALSE;
				}
		}

	}



/* type-default-id~0 */
	obj_t BGl_typezd2defaultzd2idze70ze7zzmodule_classz00(obj_t BgL_typez00_1910)
	{
		{	/* Module/class.scm 262 */
			if (
				((((BgL_typez00_bglt) COBJECT(
								((BgL_typez00_bglt) BgL_typez00_1910)))->BgL_idz00) ==
					((obj_t) CNST_TABLE_REF(17))))
				{	/* Module/class.scm 260 */
					return ((obj_t) CNST_TABLE_REF(18));
				}
			else
				{	/* Module/class.scm 260 */
					return
						(((BgL_typez00_bglt) COBJECT(
								((BgL_typez00_bglt) BgL_typez00_1910)))->BgL_idz00);
				}
		}

	}



/* make-class-virtual-fields */
	obj_t BGl_makezd2classzd2virtualzd2fieldszd2zzmodule_classz00(obj_t
		BgL_classz00_58)
	{
		{	/* Module/class.scm 309 */
			{	/* Module/class.scm 338 */
				obj_t BgL_arg1724z00_2009;

				{	/* Module/class.scm 338 */
					obj_t BgL_arg1730z00_2011;

					{
						BgL_tclassz00_bglt BgL_auxz00_3883;

						{
							obj_t BgL_auxz00_3884;

							{	/* Module/class.scm 343 */
								BgL_objectz00_bglt BgL_tmpz00_3885;

								BgL_tmpz00_3885 =
									((BgL_objectz00_bglt) ((BgL_typez00_bglt) BgL_classz00_58));
								BgL_auxz00_3884 = BGL_OBJECT_WIDENING(BgL_tmpz00_3885);
							}
							BgL_auxz00_3883 = ((BgL_tclassz00_bglt) BgL_auxz00_3884);
						}
						BgL_arg1730z00_2011 =
							(((BgL_tclassz00_bglt) COBJECT(BgL_auxz00_3883))->BgL_slotsz00);
					}
					{	/* Module/class.scm 339 */
						obj_t BgL_zc3z04anonymousza31732ze3z87_3138;

						BgL_zc3z04anonymousza31732ze3z87_3138 =
							MAKE_FX_PROCEDURE
							(BGl_z62zc3z04anonymousza31732ze3ze5zzmodule_classz00, (int) (1L),
							(int) (1L));
						PROCEDURE_SET(BgL_zc3z04anonymousza31732ze3z87_3138, (int) (0L),
							BgL_classz00_58);
						{	/* Module/class.scm 338 */
							obj_t BgL_list1731z00_2012;

							BgL_list1731z00_2012 = MAKE_YOUNG_PAIR(BgL_arg1730z00_2011, BNIL);
							BgL_arg1724z00_2009 =
								BGl_filterzd2mapzd2zz__r4_control_features_6_9z00
								(BgL_zc3z04anonymousza31732ze3z87_3138, BgL_list1731z00_2012);
				}}}
				return
					MAKE_YOUNG_PAIR(((obj_t) CNST_TABLE_REF(10)), BgL_arg1724z00_2009);
			}
		}

	}



/* &<@anonymous:1732> */
	obj_t BGl_z62zc3z04anonymousza31732ze3ze5zzmodule_classz00(obj_t
		BgL_envz00_3139, obj_t BgL_sz00_3141)
	{
		{	/* Module/class.scm 338 */
			{	/* Module/class.scm 339 */
				obj_t BgL_classz00_3140;

				BgL_classz00_3140 = PROCEDURE_REF(BgL_envz00_3139, (int) (0L));
				{	/* Module/class.scm 339 */
					bool_t BgL_test2127z00_3903;

					if (BGl_slotzd2virtualzf3z21zzobject_slotsz00(
							((BgL_slotz00_bglt) BgL_sz00_3141)))
						{	/* Module/class.scm 339 */
							BgL_test2127z00_3903 =
								(
								(((BgL_slotz00_bglt) COBJECT(
											((BgL_slotz00_bglt) BgL_sz00_3141)))->
									BgL_classzd2ownerzd2) == BgL_classz00_3140);
						}
					else
						{	/* Module/class.scm 339 */
							BgL_test2127z00_3903 = ((bool_t) 0);
						}
					if (BgL_test2127z00_3903)
						{	/* Module/class.scm 341 */
							obj_t BgL_arg1748z00_3266;

							{	/* Module/class.scm 341 */
								obj_t BgL_arg1755z00_3267;
								obj_t BgL_arg1756z00_3268;

								BgL_arg1755z00_3267 =
									(((BgL_slotz00_bglt) COBJECT(
											((BgL_slotz00_bglt) BgL_sz00_3141)))->
									BgL_virtualzd2numzd2);
								{	/* Module/class.scm 342 */
									obj_t BgL_arg1757z00_3269;

									{	/* Module/class.scm 342 */
										obj_t BgL_arg1763z00_3270;

										{	/* Module/class.scm 342 */
											obj_t BgL_arg1765z00_3271;
											obj_t BgL_arg1768z00_3272;

											BgL_arg1765z00_3271 =
												BGl_getterze70ze7zzmodule_classz00(BgL_classz00_3140,
												BgL_sz00_3141);
											BgL_arg1768z00_3272 =
												MAKE_YOUNG_PAIR(BGl_setterze70ze7zzmodule_classz00
												(BgL_classz00_3140, BgL_sz00_3141), BNIL);
											BgL_arg1763z00_3270 =
												MAKE_YOUNG_PAIR(BgL_arg1765z00_3271,
												BgL_arg1768z00_3272);
										}
										BgL_arg1757z00_3269 =
											MAKE_YOUNG_PAIR(
											((obj_t) CNST_TABLE_REF(19)), BgL_arg1763z00_3270);
									}
									BgL_arg1756z00_3268 =
										MAKE_YOUNG_PAIR(BgL_arg1757z00_3269, BNIL);
								}
								BgL_arg1748z00_3266 =
									MAKE_YOUNG_PAIR(BgL_arg1755z00_3267, BgL_arg1756z00_3268);
							}
							return
								MAKE_YOUNG_PAIR(
								((obj_t) CNST_TABLE_REF(19)), BgL_arg1748z00_3266);
						}
					else
						{	/* Module/class.scm 339 */
							return BFALSE;
						}
				}
			}
		}

	}



/* epairify-slot~0 */
	obj_t BGl_epairifyzd2slotze70z35zzmodule_classz00(obj_t BgL_defz00_2029,
		obj_t BgL_slotz00_2030)
	{
		{	/* Module/class.scm 315 */
			{	/* Module/class.scm 313 */
				bool_t BgL_test2129z00_3924;

				{	/* Module/class.scm 313 */
					obj_t BgL_arg1783z00_2036;

					BgL_arg1783z00_2036 =
						(((BgL_slotz00_bglt) COBJECT(
								((BgL_slotz00_bglt) BgL_slotz00_2030)))->BgL_srcz00);
					BgL_test2129z00_3924 = EPAIRP(BgL_arg1783z00_2036);
				}
				if (BgL_test2129z00_3924)
					{	/* Module/class.scm 314 */
						obj_t BgL_arg1782z00_2035;

						BgL_arg1782z00_2035 =
							(((BgL_slotz00_bglt) COBJECT(
									((BgL_slotz00_bglt) BgL_slotz00_2030)))->BgL_srcz00);
						return
							BGl_epairifyzd2reczd2zztools_miscz00(BgL_defz00_2029,
							BgL_arg1782z00_2035);
					}
				else
					{	/* Module/class.scm 313 */
						return BgL_defz00_2029;
					}
			}
		}

	}



/* getter~0 */
	obj_t BGl_getterze70ze7zzmodule_classz00(obj_t BgL_classz00_3144,
		obj_t BgL_slotz00_2037)
	{
		{	/* Module/class.scm 324 */
			{	/* Module/class.scm 319 */
				obj_t BgL_arg1785z00_2039;

				{	/* Module/class.scm 319 */
					obj_t BgL_arg1786z00_2040;

					{	/* Module/class.scm 319 */
						obj_t BgL_arg1789z00_2041;
						obj_t BgL_arg1790z00_2042;

						BgL_arg1789z00_2041 =
							MAKE_YOUNG_PAIR(((obj_t) CNST_TABLE_REF(12)), BNIL);
						{	/* Module/class.scm 320 */
							obj_t BgL_arg1796z00_2043;
							obj_t BgL_arg1797z00_2044;

							{	/* Module/class.scm 320 */
								obj_t BgL_arg1799z00_2045;

								{	/* Module/class.scm 320 */
									obj_t BgL_arg1800z00_2046;
									obj_t BgL_arg1801z00_2047;

									BgL_arg1800z00_2046 =
										MAKE_YOUNG_PAIR(((obj_t) CNST_TABLE_REF(20)), BNIL);
									{	/* Module/class.scm 321 */
										obj_t BgL_arg1802z00_2048;

										{	/* Module/class.scm 321 */
											obj_t BgL_arg1803z00_2049;

											{	/* Module/class.scm 321 */
												obj_t BgL_arg1804z00_2050;
												obj_t BgL_arg1810z00_2051;

												BgL_arg1804z00_2050 =
													(((BgL_typez00_bglt) COBJECT(
															((BgL_typez00_bglt)
																((BgL_typez00_bglt) BgL_classz00_3144))))->
													BgL_idz00);
												{	/* Module/class.scm 322 */
													obj_t BgL_arg1811z00_2052;

													{	/* Module/class.scm 322 */
														obj_t BgL_arg1814z00_2053;

														BgL_arg1814z00_2053 =
															(((BgL_slotz00_bglt) COBJECT(
																	((BgL_slotz00_bglt) BgL_slotz00_2037)))->
															BgL_virtualzd2numzd2);
														BgL_arg1811z00_2052 =
															MAKE_YOUNG_PAIR(BgL_arg1814z00_2053, BNIL);
													}
													BgL_arg1810z00_2051 =
														MAKE_YOUNG_PAIR(
														((obj_t) CNST_TABLE_REF(12)), BgL_arg1811z00_2052);
												}
												BgL_arg1803z00_2049 =
													MAKE_YOUNG_PAIR(BgL_arg1804z00_2050,
													BgL_arg1810z00_2051);
											}
											BgL_arg1802z00_2048 =
												MAKE_YOUNG_PAIR(
												((obj_t) CNST_TABLE_REF(21)), BgL_arg1803z00_2049);
										}
										BgL_arg1801z00_2047 =
											MAKE_YOUNG_PAIR(BgL_arg1802z00_2048, BNIL);
									}
									BgL_arg1799z00_2045 =
										MAKE_YOUNG_PAIR(BgL_arg1800z00_2046, BgL_arg1801z00_2047);
								}
								BgL_arg1796z00_2043 =
									MAKE_YOUNG_PAIR(
									((obj_t) CNST_TABLE_REF(9)), BgL_arg1799z00_2045);
							}
							{	/* Module/class.scm 323 */
								obj_t BgL_arg1818z00_2054;

								{	/* Module/class.scm 323 */
									obj_t BgL_arg1821z00_2055;
									obj_t BgL_arg1822z00_2056;

									BgL_arg1821z00_2055 =
										(((BgL_slotz00_bglt) COBJECT(
												((BgL_slotz00_bglt) BgL_slotz00_2037)))->BgL_getterz00);
									BgL_arg1822z00_2056 =
										MAKE_YOUNG_PAIR(((obj_t) CNST_TABLE_REF(12)), BNIL);
									BgL_arg1818z00_2054 =
										MAKE_YOUNG_PAIR(BgL_arg1821z00_2055, BgL_arg1822z00_2056);
								}
								BgL_arg1797z00_2044 =
									MAKE_YOUNG_PAIR(BgL_arg1818z00_2054, BNIL);
							}
							BgL_arg1790z00_2042 =
								MAKE_YOUNG_PAIR(BgL_arg1796z00_2043, BgL_arg1797z00_2044);
						}
						BgL_arg1786z00_2040 =
							MAKE_YOUNG_PAIR(BgL_arg1789z00_2041, BgL_arg1790z00_2042);
					}
					BgL_arg1785z00_2039 =
						MAKE_YOUNG_PAIR(((obj_t) CNST_TABLE_REF(14)), BgL_arg1786z00_2040);
				}
				return
					BGl_epairifyzd2slotze70z35zzmodule_classz00(BgL_arg1785z00_2039,
					BgL_slotz00_2037);
			}
		}

	}



/* setter~0 */
	obj_t BGl_setterze70ze7zzmodule_classz00(obj_t BgL_classz00_3145,
		obj_t BgL_slotz00_2057)
	{
		{	/* Module/class.scm 335 */
			if (
				(((BgL_slotz00_bglt) COBJECT(
							((BgL_slotz00_bglt) BgL_slotz00_2057)))->BgL_readzd2onlyzf3z21))
				{	/* Module/class.scm 327 */
					return BFALSE;
				}
			else
				{	/* Module/class.scm 330 */
					obj_t BgL_arg1825z00_2060;

					{	/* Module/class.scm 330 */
						obj_t BgL_arg1829z00_2061;

						{	/* Module/class.scm 330 */
							obj_t BgL_arg1834z00_2062;
							obj_t BgL_arg1842z00_2063;

							{	/* Module/class.scm 330 */
								obj_t BgL_arg1845z00_2064;

								BgL_arg1845z00_2064 =
									MAKE_YOUNG_PAIR(((obj_t) CNST_TABLE_REF(15)), BNIL);
								BgL_arg1834z00_2062 =
									MAKE_YOUNG_PAIR(
									((obj_t) CNST_TABLE_REF(12)), BgL_arg1845z00_2064);
							}
							{	/* Module/class.scm 331 */
								obj_t BgL_arg1847z00_2065;
								obj_t BgL_arg1848z00_2066;

								{	/* Module/class.scm 331 */
									obj_t BgL_arg1851z00_2067;

									{	/* Module/class.scm 331 */
										obj_t BgL_arg1852z00_2068;
										obj_t BgL_arg1856z00_2069;

										BgL_arg1852z00_2068 =
											MAKE_YOUNG_PAIR(((obj_t) CNST_TABLE_REF(20)), BNIL);
										{	/* Module/class.scm 332 */
											obj_t BgL_arg1857z00_2070;

											{	/* Module/class.scm 332 */
												obj_t BgL_arg1859z00_2071;

												{	/* Module/class.scm 332 */
													obj_t BgL_arg1865z00_2072;
													obj_t BgL_arg1872z00_2073;

													BgL_arg1865z00_2072 =
														(((BgL_typez00_bglt) COBJECT(
																((BgL_typez00_bglt)
																	((BgL_typez00_bglt) BgL_classz00_3145))))->
														BgL_idz00);
													{	/* Module/class.scm 333 */
														obj_t BgL_arg1873z00_2074;

														{	/* Module/class.scm 333 */
															obj_t BgL_arg1876z00_2075;
															obj_t BgL_arg1878z00_2076;

															BgL_arg1876z00_2075 =
																(((BgL_slotz00_bglt) COBJECT(
																		((BgL_slotz00_bglt) BgL_slotz00_2057)))->
																BgL_virtualzd2numzd2);
															BgL_arg1878z00_2076 =
																MAKE_YOUNG_PAIR(((obj_t) CNST_TABLE_REF(15)),
																BNIL);
															BgL_arg1873z00_2074 =
																MAKE_YOUNG_PAIR(BgL_arg1876z00_2075,
																BgL_arg1878z00_2076);
														}
														BgL_arg1872z00_2073 =
															MAKE_YOUNG_PAIR(
															((obj_t)
																CNST_TABLE_REF(12)), BgL_arg1873z00_2074);
													}
													BgL_arg1859z00_2071 =
														MAKE_YOUNG_PAIR(BgL_arg1865z00_2072,
														BgL_arg1872z00_2073);
												}
												BgL_arg1857z00_2070 =
													MAKE_YOUNG_PAIR(
													((obj_t) CNST_TABLE_REF(22)), BgL_arg1859z00_2071);
											}
											BgL_arg1856z00_2069 =
												MAKE_YOUNG_PAIR(BgL_arg1857z00_2070, BNIL);
										}
										BgL_arg1851z00_2067 =
											MAKE_YOUNG_PAIR(BgL_arg1852z00_2068, BgL_arg1856z00_2069);
									}
									BgL_arg1847z00_2065 =
										MAKE_YOUNG_PAIR(
										((obj_t) CNST_TABLE_REF(9)), BgL_arg1851z00_2067);
								}
								{	/* Module/class.scm 334 */
									obj_t BgL_arg1882z00_2077;

									{	/* Module/class.scm 334 */
										obj_t BgL_arg1884z00_2078;
										obj_t BgL_arg1885z00_2079;

										BgL_arg1884z00_2078 =
											(((BgL_slotz00_bglt) COBJECT(
													((BgL_slotz00_bglt) BgL_slotz00_2057)))->
											BgL_setterz00);
										{	/* Module/class.scm 334 */
											obj_t BgL_arg1886z00_2080;

											BgL_arg1886z00_2080 =
												MAKE_YOUNG_PAIR(((obj_t) CNST_TABLE_REF(15)), BNIL);
											BgL_arg1885z00_2079 =
												MAKE_YOUNG_PAIR(
												((obj_t) CNST_TABLE_REF(12)), BgL_arg1886z00_2080);
										}
										BgL_arg1882z00_2077 =
											MAKE_YOUNG_PAIR(BgL_arg1884z00_2078, BgL_arg1885z00_2079);
									}
									BgL_arg1848z00_2066 =
										MAKE_YOUNG_PAIR(BgL_arg1882z00_2077, BNIL);
								}
								BgL_arg1842z00_2063 =
									MAKE_YOUNG_PAIR(BgL_arg1847z00_2065, BgL_arg1848z00_2066);
							}
							BgL_arg1829z00_2061 =
								MAKE_YOUNG_PAIR(BgL_arg1834z00_2062, BgL_arg1842z00_2063);
						}
						BgL_arg1825z00_2060 =
							MAKE_YOUNG_PAIR(
							((obj_t) CNST_TABLE_REF(14)), BgL_arg1829z00_2061);
					}
					return
						BGl_epairifyzd2slotze70z35zzmodule_classz00(BgL_arg1825z00_2060,
						BgL_slotz00_2057);
				}
		}

	}



/* class-finalizer */
	BGL_EXPORTED_DEF obj_t BGl_classzd2finaliza7erz75zzmodule_classz00(void)
	{
		{	/* Module/class.scm 350 */
			{	/* Module/class.scm 352 */
				bool_t BgL_test2131z00_4017;

				if (NULLP(BGl_za2classzd2accessesza2zd2zzmodule_classz00))
					{	/* Module/class.scm 352 */
						if (
							(BGl_za2objectzd2initzd2modeza2z00zzengine_paramz00 ==
								((obj_t) CNST_TABLE_REF(23))))
							{	/* Module/class.scm 352 */
								BgL_test2131z00_4017 = ((bool_t) 0);
							}
						else
							{	/* Module/class.scm 352 */
								BgL_test2131z00_4017 = ((bool_t) 1);
							}
					}
				else
					{	/* Module/class.scm 352 */
						BgL_test2131z00_4017 = ((bool_t) 0);
					}
				if (BgL_test2131z00_4017)
					{	/* Module/class.scm 352 */
						return ((obj_t) CNST_TABLE_REF(24));
					}
				else
					{	/* Module/class.scm 367 */
						obj_t BgL_bodyz00_2086;

						BgL_bodyz00_2086 =
							BGl_forcezd2classzd2accessesz00zzmodule_classz00();
						{	/* Module/class.scm 367 */
							obj_t BgL_bodyz00_2087;

							BgL_bodyz00_2087 =
								BGl_appendzd221011zd2zzmodule_classz00(bgl_reverse
								(BGl_za2declaredzd2classesza2zd2zzmodule_classz00),
								BgL_bodyz00_2086);
							{	/* Module/class.scm 368 */
								obj_t BgL_bodyz00_2088;

								{	/* Module/class.scm 369 */
									bool_t BgL_test2134z00_4029;

									if (
										((long) CINT(BGl_za2debugzd2moduleza2zd2zzengine_paramz00) >
											0L))
										{	/* Module/class.scm 370 */
											bool_t BgL_test2136z00_4033;

											{	/* Module/class.scm 371 */
												obj_t BgL_arg1910z00_2112;

												{	/* Module/class.scm 371 */
													obj_t BgL_arg1911z00_2113;

													BgL_arg1911z00_2113 =
														BGl_thezd2backendzd2zzbackend_backendz00();
													BgL_arg1910z00_2112 =
														(((BgL_backendz00_bglt) COBJECT(
																((BgL_backendz00_bglt) BgL_arg1911z00_2113)))->
														BgL_debugzd2supportzd2);
												}
												BgL_test2136z00_4033 =
													CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
														((obj_t) CNST_TABLE_REF(25)), BgL_arg1910z00_2112));
											}
											if (BgL_test2136z00_4033)
												{	/* Module/class.scm 370 */
													BgL_test2134z00_4029 =
														PAIRP
														(BGl_za2declaredzd2classesza2zd2zzmodule_classz00);
												}
											else
												{	/* Module/class.scm 370 */
													BgL_test2134z00_4029 = ((bool_t) 0);
												}
										}
									else
										{	/* Module/class.scm 369 */
											BgL_test2134z00_4029 = ((bool_t) 0);
										}
									if (BgL_test2134z00_4029)
										{	/* Module/class.scm 376 */
											obj_t BgL_arg1904z00_2104;

											{	/* Module/class.scm 376 */
												obj_t BgL_arg1905z00_2105;

												{	/* Module/class.scm 376 */
													obj_t BgL_arg1906z00_2106;

													{	/* Module/class.scm 376 */
														obj_t BgL_arg1907z00_2107;

														{	/* Module/class.scm 376 */
															obj_t BgL_arg1908z00_2108;

															{	/* Module/class.scm 376 */
																obj_t BgL_arg1909z00_2109;

																{	/* Module/class.scm 376 */
																	obj_t BgL_symbolz00_2587;

																	BgL_symbolz00_2587 =
																		BGl_za2moduleza2z00zzmodule_modulez00;
																	{	/* Module/class.scm 376 */
																		obj_t BgL_arg1486z00_2588;

																		BgL_arg1486z00_2588 =
																			SYMBOL_TO_STRING(BgL_symbolz00_2587);
																		BgL_arg1909z00_2109 =
																			BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																			(BgL_arg1486z00_2588);
																	}
																}
																BgL_arg1908z00_2108 =
																	string_append_3
																	(BGl_string2073z00zzmodule_classz00,
																	BgL_arg1909z00_2109,
																	BGl_string2074z00zzmodule_classz00);
															}
															BgL_arg1907z00_2107 =
																MAKE_YOUNG_PAIR(BgL_arg1908z00_2108, BNIL);
														}
														BgL_arg1906z00_2106 =
															MAKE_YOUNG_PAIR(
															((obj_t)
																CNST_TABLE_REF(26)), BgL_arg1907z00_2107);
													}
													BgL_arg1905z00_2105 =
														MAKE_YOUNG_PAIR(BgL_arg1906z00_2106,
														BgL_bodyz00_2087);
												}
												BgL_arg1904z00_2104 =
													MAKE_YOUNG_PAIR(
													((obj_t) CNST_TABLE_REF(27)), BgL_arg1905z00_2105);
											}
											BgL_bodyz00_2088 =
												MAKE_YOUNG_PAIR(BgL_arg1904z00_2104, BNIL);
										}
									else
										{	/* Module/class.scm 369 */
											BgL_bodyz00_2088 = BgL_bodyz00_2087;
										}
								}
								{	/* Module/class.scm 369 */

									{	/* Module/class.scm 382 */
										obj_t BgL_arg1889z00_2089;
										bool_t BgL_arg1890z00_2090;

										if (PAIRP(BgL_bodyz00_2088))
											{	/* Module/class.scm 382 */
												BgL_arg1889z00_2089 = BgL_bodyz00_2088;
											}
										else
											{	/* Module/class.scm 382 */
												BgL_arg1889z00_2089 = ((obj_t) CNST_TABLE_REF(28));
											}
										BgL_arg1890z00_2090 =
											(BGl_za2objectzd2initzd2modeza2z00zzengine_paramz00 ==
											((obj_t) CNST_TABLE_REF(23)));
										{	/* Module/class.scm 380 */
											obj_t BgL_idz00_2589;

											BgL_idz00_2589 = ((obj_t) CNST_TABLE_REF(29));
											{	/* Module/class.scm 380 */
												obj_t BgL_newz00_2590;

												BgL_newz00_2590 =
													create_struct(
													((obj_t) CNST_TABLE_REF(30)), (int) (5L));
												{	/* Module/class.scm 380 */
													obj_t BgL_auxz00_4069;
													int BgL_tmpz00_4067;

													BgL_auxz00_4069 = BBOOL(BgL_arg1890z00_2090);
													BgL_tmpz00_4067 = (int) (4L);
													STRUCT_SET(BgL_newz00_2590, BgL_tmpz00_4067,
														BgL_auxz00_4069);
												}
												{	/* Module/class.scm 380 */
													int BgL_tmpz00_4072;

													BgL_tmpz00_4072 = (int) (3L);
													STRUCT_SET(BgL_newz00_2590, BgL_tmpz00_4072, BTRUE);
												}
												{	/* Module/class.scm 380 */
													int BgL_tmpz00_4075;

													BgL_tmpz00_4075 = (int) (2L);
													STRUCT_SET(BgL_newz00_2590, BgL_tmpz00_4075,
														BgL_arg1889z00_2089);
												}
												{	/* Module/class.scm 380 */
													obj_t BgL_auxz00_4080;
													int BgL_tmpz00_4078;

													BgL_auxz00_4080 = BINT(19L);
													BgL_tmpz00_4078 = (int) (1L);
													STRUCT_SET(BgL_newz00_2590, BgL_tmpz00_4078,
														BgL_auxz00_4080);
												}
												{	/* Module/class.scm 380 */
													int BgL_tmpz00_4083;

													BgL_tmpz00_4083 = (int) (0L);
													STRUCT_SET(BgL_newz00_2590, BgL_tmpz00_4083,
														BgL_idz00_2589);
												}
												BGl_za2objectzd2unitza2zd2zzmodule_classz00 =
													BgL_newz00_2590;
									}}}
									{	/* Module/class.scm 397 */
										bool_t BgL_arg1892z00_2092;

										BgL_arg1892z00_2092 =
											(BGl_za2objectzd2initzd2modeza2z00zzengine_paramz00 ==
											((obj_t) CNST_TABLE_REF(23)));
										{	/* Module/class.scm 391 */
											obj_t BgL_idz00_2596;
											obj_t BgL_sexpza2za2_2597;

											BgL_idz00_2596 = ((obj_t) CNST_TABLE_REF(31));
											BgL_sexpza2za2_2597 = ((obj_t) CNST_TABLE_REF(28));
											{	/* Module/class.scm 391 */
												obj_t BgL_newz00_2598;

												BgL_newz00_2598 =
													create_struct(
													((obj_t) CNST_TABLE_REF(30)), (int) (5L));
												{	/* Module/class.scm 391 */
													obj_t BgL_auxz00_4099;
													int BgL_tmpz00_4097;

													BgL_auxz00_4099 = BBOOL(BgL_arg1892z00_2092);
													BgL_tmpz00_4097 = (int) (4L);
													STRUCT_SET(BgL_newz00_2598, BgL_tmpz00_4097,
														BgL_auxz00_4099);
												}
												{	/* Module/class.scm 391 */
													int BgL_tmpz00_4102;

													BgL_tmpz00_4102 = (int) (3L);
													STRUCT_SET(BgL_newz00_2598, BgL_tmpz00_4102, BTRUE);
												}
												{	/* Module/class.scm 391 */
													int BgL_tmpz00_4105;

													BgL_tmpz00_4105 = (int) (2L);
													STRUCT_SET(BgL_newz00_2598, BgL_tmpz00_4105,
														BgL_sexpza2za2_2597);
												}
												{	/* Module/class.scm 391 */
													obj_t BgL_auxz00_4110;
													int BgL_tmpz00_4108;

													BgL_auxz00_4110 = BINT(21L);
													BgL_tmpz00_4108 = (int) (1L);
													STRUCT_SET(BgL_newz00_2598, BgL_tmpz00_4108,
														BgL_auxz00_4110);
												}
												{	/* Module/class.scm 391 */
													int BgL_tmpz00_4113;

													BgL_tmpz00_4113 = (int) (0L);
													STRUCT_SET(BgL_newz00_2598, BgL_tmpz00_4113,
														BgL_idz00_2596);
												}
												BGl_za2methodzd2unitza2zd2zzmodule_classz00 =
													BgL_newz00_2598;
									}}}
									{	/* Module/class.scm 404 */
										bool_t BgL_arg1893z00_2093;

										BgL_arg1893z00_2093 =
											(BGl_za2objectzd2initzd2modeza2z00zzengine_paramz00 ==
											((obj_t) CNST_TABLE_REF(23)));
										{	/* Module/class.scm 398 */
											obj_t BgL_idz00_2604;
											obj_t BgL_sexpza2za2_2605;

											BgL_idz00_2604 = ((obj_t) CNST_TABLE_REF(32));
											BgL_sexpza2za2_2605 = ((obj_t) CNST_TABLE_REF(28));
											{	/* Module/class.scm 398 */
												obj_t BgL_newz00_2606;

												BgL_newz00_2606 =
													create_struct(
													((obj_t) CNST_TABLE_REF(30)), (int) (5L));
												{	/* Module/class.scm 398 */
													obj_t BgL_auxz00_4129;
													int BgL_tmpz00_4127;

													BgL_auxz00_4129 = BBOOL(BgL_arg1893z00_2093);
													BgL_tmpz00_4127 = (int) (4L);
													STRUCT_SET(BgL_newz00_2606, BgL_tmpz00_4127,
														BgL_auxz00_4129);
												}
												{	/* Module/class.scm 398 */
													int BgL_tmpz00_4132;

													BgL_tmpz00_4132 = (int) (3L);
													STRUCT_SET(BgL_newz00_2606, BgL_tmpz00_4132, BTRUE);
												}
												{	/* Module/class.scm 398 */
													int BgL_tmpz00_4135;

													BgL_tmpz00_4135 = (int) (2L);
													STRUCT_SET(BgL_newz00_2606, BgL_tmpz00_4135,
														BgL_sexpza2za2_2605);
												}
												{	/* Module/class.scm 398 */
													obj_t BgL_auxz00_4140;
													int BgL_tmpz00_4138;

													BgL_auxz00_4140 = BINT(20L);
													BgL_tmpz00_4138 = (int) (1L);
													STRUCT_SET(BgL_newz00_2606, BgL_tmpz00_4138,
														BgL_auxz00_4140);
												}
												{	/* Module/class.scm 398 */
													int BgL_tmpz00_4143;

													BgL_tmpz00_4143 = (int) (0L);
													STRUCT_SET(BgL_newz00_2606, BgL_tmpz00_4143,
														BgL_idz00_2604);
												}
												BGl_za2genericzd2unitza2zd2zzmodule_classz00 =
													BgL_newz00_2606;
									}}}
									BGl_za2classzd2accessesza2zd2zzmodule_classz00 = BNIL;
									BGl_za2declaredzd2classesza2zd2zzmodule_classz00 = BNIL;
									{	/* Module/class.scm 408 */
										obj_t BgL_list1894z00_2094;

										{	/* Module/class.scm 408 */
											obj_t BgL_arg1895z00_2095;

											{	/* Module/class.scm 408 */
												obj_t BgL_arg1896z00_2096;

												BgL_arg1896z00_2096 =
													MAKE_YOUNG_PAIR
													(BGl_za2methodzd2unitza2zd2zzmodule_classz00, BNIL);
												BgL_arg1895z00_2095 =
													MAKE_YOUNG_PAIR
													(BGl_za2genericzd2unitza2zd2zzmodule_classz00,
													BgL_arg1896z00_2096);
											}
											BgL_list1894z00_2094 =
												MAKE_YOUNG_PAIR
												(BGl_za2objectzd2unitza2zd2zzmodule_classz00,
												BgL_arg1895z00_2095);
										}
										return BgL_list1894z00_2094;
									}
								}
							}
						}
					}
			}
		}

	}



/* &class-finalizer */
	obj_t BGl_z62classzd2finaliza7erz17zzmodule_classz00(obj_t BgL_envz00_3142)
	{
		{	/* Module/class.scm 350 */
			return BGl_classzd2finaliza7erz75zzmodule_classz00();
		}

	}



/* class-finalizer-add-static! */
	BGL_EXPORTED_DEF obj_t
		BGl_classzd2finaliza7erzd2addzd2staticz12z67zzmodule_classz00(void)
	{
		{	/* Module/class.scm 416 */
			{	/* Module/class.scm 417 */
				obj_t BgL_bodyz00_2116;

				BgL_bodyz00_2116 = BGl_forcezd2classzd2accessesz00zzmodule_classz00();
				{	/* Module/class.scm 417 */
					obj_t BgL_bodyz00_2117;

					BgL_bodyz00_2117 =
						BGl_appendzd221011zd2zzmodule_classz00(bgl_reverse
						(BGl_za2declaredzd2classesza2zd2zzmodule_classz00),
						BgL_bodyz00_2116);
					{	/* Module/class.scm 418 */

						{	/* Module/class.scm 419 */
							bool_t BgL_test2138z00_4153;

							{	/* Module/class.scm 419 */
								obj_t BgL_oz00_2613;

								BgL_oz00_2613 = BGl_za2objectzd2unitza2zd2zzmodule_classz00;
								if (STRUCTP(BgL_oz00_2613))
									{	/* Module/class.scm 419 */
										BgL_test2138z00_4153 =
											(STRUCT_KEY(BgL_oz00_2613) ==
											((obj_t) CNST_TABLE_REF(30)));
									}
								else
									{	/* Module/class.scm 419 */
										BgL_test2138z00_4153 = ((bool_t) 0);
									}
							}
							if (BgL_test2138z00_4153)
								{	/* Module/class.scm 421 */
									obj_t BgL_arg1915z00_2119;

									BgL_arg1915z00_2119 =
										BGl_appendzd221011zd2zzmodule_classz00(STRUCT_REF
										(BGl_za2objectzd2unitza2zd2zzmodule_classz00, (int) (2L)),
										BgL_bodyz00_2117);
									{	/* Module/class.scm 420 */
										int BgL_tmpz00_4163;

										BgL_tmpz00_4163 = (int) (2L);
										STRUCT_SET(BGl_za2objectzd2unitza2zd2zzmodule_classz00,
											BgL_tmpz00_4163, BgL_arg1915z00_2119);
								}}
							else
								{	/* Module/class.scm 425 */
									obj_t BgL_arg1917z00_2121;
									bool_t BgL_arg1918z00_2122;

									if (PAIRP(BgL_bodyz00_2117))
										{	/* Module/class.scm 425 */
											BgL_arg1917z00_2121 = BgL_bodyz00_2117;
										}
									else
										{	/* Module/class.scm 425 */
											BgL_arg1917z00_2121 = ((obj_t) CNST_TABLE_REF(28));
										}
									BgL_arg1918z00_2122 =
										(BGl_za2objectzd2initzd2modeza2z00zzengine_paramz00 ==
										((obj_t) CNST_TABLE_REF(23)));
									{	/* Module/class.scm 423 */
										obj_t BgL_idz00_2622;

										BgL_idz00_2622 = ((obj_t) CNST_TABLE_REF(29));
										{	/* Module/class.scm 423 */
											obj_t BgL_newz00_2623;

											BgL_newz00_2623 =
												create_struct(((obj_t) CNST_TABLE_REF(30)), (int) (5L));
											{	/* Module/class.scm 423 */
												obj_t BgL_auxz00_4181;
												int BgL_tmpz00_4179;

												BgL_auxz00_4181 = BBOOL(BgL_arg1918z00_2122);
												BgL_tmpz00_4179 = (int) (4L);
												STRUCT_SET(BgL_newz00_2623, BgL_tmpz00_4179,
													BgL_auxz00_4181);
											}
											{	/* Module/class.scm 423 */
												int BgL_tmpz00_4184;

												BgL_tmpz00_4184 = (int) (3L);
												STRUCT_SET(BgL_newz00_2623, BgL_tmpz00_4184, BTRUE);
											}
											{	/* Module/class.scm 423 */
												int BgL_tmpz00_4187;

												BgL_tmpz00_4187 = (int) (2L);
												STRUCT_SET(BgL_newz00_2623, BgL_tmpz00_4187,
													BgL_arg1917z00_2121);
											}
											{	/* Module/class.scm 423 */
												obj_t BgL_auxz00_4192;
												int BgL_tmpz00_4190;

												BgL_auxz00_4192 = BINT(19L);
												BgL_tmpz00_4190 = (int) (1L);
												STRUCT_SET(BgL_newz00_2623, BgL_tmpz00_4190,
													BgL_auxz00_4192);
											}
											{	/* Module/class.scm 423 */
												int BgL_tmpz00_4195;

												BgL_tmpz00_4195 = (int) (0L);
												STRUCT_SET(BgL_newz00_2623, BgL_tmpz00_4195,
													BgL_idz00_2622);
											}
											BGl_za2objectzd2unitza2zd2zzmodule_classz00 =
												BgL_newz00_2623;
						}}}}
						{	/* Module/class.scm 428 */
							bool_t BgL_test2141z00_4198;

							{	/* Module/class.scm 428 */
								obj_t BgL_oz00_2629;

								BgL_oz00_2629 = BGl_za2methodzd2unitza2zd2zzmodule_classz00;
								if (STRUCTP(BgL_oz00_2629))
									{	/* Module/class.scm 428 */
										BgL_test2141z00_4198 =
											(STRUCT_KEY(BgL_oz00_2629) ==
											((obj_t) CNST_TABLE_REF(30)));
									}
								else
									{	/* Module/class.scm 428 */
										BgL_test2141z00_4198 = ((bool_t) 0);
									}
							}
							if (BgL_test2141z00_4198)
								{	/* Module/class.scm 428 */
									BFALSE;
								}
							else
								{	/* Module/class.scm 436 */
									bool_t BgL_arg1921z00_2125;

									BgL_arg1921z00_2125 =
										(BGl_za2objectzd2initzd2modeza2z00zzengine_paramz00 ==
										((obj_t) CNST_TABLE_REF(23)));
									{	/* Module/class.scm 430 */
										obj_t BgL_idz00_2634;
										obj_t BgL_sexpza2za2_2635;

										BgL_idz00_2634 = ((obj_t) CNST_TABLE_REF(31));
										BgL_sexpza2za2_2635 = ((obj_t) CNST_TABLE_REF(28));
										{	/* Module/class.scm 430 */
											obj_t BgL_newz00_2636;

											BgL_newz00_2636 =
												create_struct(((obj_t) CNST_TABLE_REF(30)), (int) (5L));
											{	/* Module/class.scm 430 */
												obj_t BgL_auxz00_4218;
												int BgL_tmpz00_4216;

												BgL_auxz00_4218 = BBOOL(BgL_arg1921z00_2125);
												BgL_tmpz00_4216 = (int) (4L);
												STRUCT_SET(BgL_newz00_2636, BgL_tmpz00_4216,
													BgL_auxz00_4218);
											}
											{	/* Module/class.scm 430 */
												int BgL_tmpz00_4221;

												BgL_tmpz00_4221 = (int) (3L);
												STRUCT_SET(BgL_newz00_2636, BgL_tmpz00_4221, BTRUE);
											}
											{	/* Module/class.scm 430 */
												int BgL_tmpz00_4224;

												BgL_tmpz00_4224 = (int) (2L);
												STRUCT_SET(BgL_newz00_2636, BgL_tmpz00_4224,
													BgL_sexpza2za2_2635);
											}
											{	/* Module/class.scm 430 */
												obj_t BgL_auxz00_4229;
												int BgL_tmpz00_4227;

												BgL_auxz00_4229 = BINT(21L);
												BgL_tmpz00_4227 = (int) (1L);
												STRUCT_SET(BgL_newz00_2636, BgL_tmpz00_4227,
													BgL_auxz00_4229);
											}
											{	/* Module/class.scm 430 */
												int BgL_tmpz00_4232;

												BgL_tmpz00_4232 = (int) (0L);
												STRUCT_SET(BgL_newz00_2636, BgL_tmpz00_4232,
													BgL_idz00_2634);
											}
											BGl_za2methodzd2unitza2zd2zzmodule_classz00 =
												BgL_newz00_2636;
						}}}}
						{	/* Module/class.scm 437 */
							bool_t BgL_test2143z00_4235;

							{	/* Module/class.scm 437 */
								obj_t BgL_oz00_2642;

								BgL_oz00_2642 = BGl_za2genericzd2unitza2zd2zzmodule_classz00;
								if (STRUCTP(BgL_oz00_2642))
									{	/* Module/class.scm 437 */
										BgL_test2143z00_4235 =
											(STRUCT_KEY(BgL_oz00_2642) ==
											((obj_t) CNST_TABLE_REF(30)));
									}
								else
									{	/* Module/class.scm 437 */
										BgL_test2143z00_4235 = ((bool_t) 0);
									}
							}
							if (BgL_test2143z00_4235)
								{	/* Module/class.scm 437 */
									BFALSE;
								}
							else
								{	/* Module/class.scm 445 */
									bool_t BgL_arg1923z00_2127;

									BgL_arg1923z00_2127 =
										(BGl_za2objectzd2initzd2modeza2z00zzengine_paramz00 ==
										((obj_t) CNST_TABLE_REF(23)));
									{	/* Module/class.scm 439 */
										obj_t BgL_idz00_2647;
										obj_t BgL_sexpza2za2_2648;

										BgL_idz00_2647 = ((obj_t) CNST_TABLE_REF(32));
										BgL_sexpza2za2_2648 = ((obj_t) CNST_TABLE_REF(28));
										{	/* Module/class.scm 439 */
											obj_t BgL_newz00_2649;

											BgL_newz00_2649 =
												create_struct(((obj_t) CNST_TABLE_REF(30)), (int) (5L));
											{	/* Module/class.scm 439 */
												obj_t BgL_auxz00_4255;
												int BgL_tmpz00_4253;

												BgL_auxz00_4255 = BBOOL(BgL_arg1923z00_2127);
												BgL_tmpz00_4253 = (int) (4L);
												STRUCT_SET(BgL_newz00_2649, BgL_tmpz00_4253,
													BgL_auxz00_4255);
											}
											{	/* Module/class.scm 439 */
												int BgL_tmpz00_4258;

												BgL_tmpz00_4258 = (int) (3L);
												STRUCT_SET(BgL_newz00_2649, BgL_tmpz00_4258, BTRUE);
											}
											{	/* Module/class.scm 439 */
												int BgL_tmpz00_4261;

												BgL_tmpz00_4261 = (int) (2L);
												STRUCT_SET(BgL_newz00_2649, BgL_tmpz00_4261,
													BgL_sexpza2za2_2648);
											}
											{	/* Module/class.scm 439 */
												obj_t BgL_auxz00_4266;
												int BgL_tmpz00_4264;

												BgL_auxz00_4266 = BINT(21L);
												BgL_tmpz00_4264 = (int) (1L);
												STRUCT_SET(BgL_newz00_2649, BgL_tmpz00_4264,
													BgL_auxz00_4266);
											}
											{	/* Module/class.scm 439 */
												int BgL_tmpz00_4269;

												BgL_tmpz00_4269 = (int) (0L);
												STRUCT_SET(BgL_newz00_2649, BgL_tmpz00_4269,
													BgL_idz00_2647);
											}
											BGl_za2genericzd2unitza2zd2zzmodule_classz00 =
												BgL_newz00_2649;
						}}}}
						BGl_za2classzd2accessesza2zd2zzmodule_classz00 = BNIL;
						BGl_za2declaredzd2classesza2zd2zzmodule_classz00 = BNIL;
						return BUNSPEC;
					}
				}
			}
		}

	}



/* &class-finalizer-add-static! */
	obj_t BGl_z62classzd2finaliza7erzd2addzd2staticz12z05zzmodule_classz00(obj_t
		BgL_envz00_3143)
	{
		{	/* Module/class.scm 416 */
			return BGl_classzd2finaliza7erzd2addzd2staticz12z67zzmodule_classz00();
		}

	}



/* force-class-accesses */
	obj_t BGl_forcezd2classzd2accessesz00zzmodule_classz00(void)
	{
		{	/* Module/class.scm 457 */
			{	/* Module/class.scm 459 */
				obj_t BgL_g1113z00_2129;

				BgL_g1113z00_2129 =
					bgl_reverse(BGl_za2classzd2accessesza2zd2zzmodule_classz00);
				{
					obj_t BgL_curz00_2133;
					obj_t BgL_nextz00_2134;
					obj_t BgL_accessz00_2135;

					BgL_curz00_2133 = BgL_g1113z00_2129;
					BgL_nextz00_2134 = BNIL;
					BgL_accessz00_2135 = BNIL;
				BgL_zc3z04anonymousza31925ze3z87_2136:
					if (NULLP(BgL_curz00_2133))
						{	/* Module/class.scm 462 */
							if (NULLP(BgL_nextz00_2134))
								{	/* Module/class.scm 463 */
									return BgL_accessz00_2135;
								}
							else
								{
									obj_t BgL_nextz00_4279;
									obj_t BgL_curz00_4278;

									BgL_curz00_4278 = BgL_nextz00_2134;
									BgL_nextz00_4279 = BNIL;
									BgL_nextz00_2134 = BgL_nextz00_4279;
									BgL_curz00_2133 = BgL_curz00_4278;
									goto BgL_zc3z04anonymousza31925ze3z87_2136;
								}
						}
					else
						{	/* Module/class.scm 466 */
							obj_t BgL_claza7za7z00_2139;

							{	/* Module/class.scm 466 */
								obj_t BgL_pairz00_2656;

								BgL_pairz00_2656 = CAR(((obj_t) BgL_curz00_2133));
								BgL_claza7za7z00_2139 = CAR(BgL_pairz00_2656);
							}
							{	/* Module/class.scm 466 */
								obj_t BgL_superz00_2140;

								{	/* Module/class.scm 467 */
									bool_t BgL_test2147z00_4283;

									{	/* Module/class.scm 467 */
										obj_t BgL_classz00_2657;

										BgL_classz00_2657 = BGl_tclassz00zzobject_classz00;
										if (BGL_OBJECTP(BgL_claza7za7z00_2139))
											{	/* Module/class.scm 467 */
												BgL_objectz00_bglt BgL_arg1858z00_2659;

												BgL_arg1858z00_2659 =
													(BgL_objectz00_bglt) (BgL_claza7za7z00_2139);
												if (BGL_CONDEXPAND_ISA_ARCH64())
													{	/* Module/class.scm 467 */
														long BgL_idxz00_2665;

														BgL_idxz00_2665 =
															BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_2659);
														BgL_test2147z00_4283 =
															(VECTOR_REF
															(BGl_za2inheritancesza2z00zz__objectz00,
																(BgL_idxz00_2665 + 2L)) == BgL_classz00_2657);
													}
												else
													{	/* Module/class.scm 467 */
														bool_t BgL_res2061z00_2690;

														{	/* Module/class.scm 467 */
															obj_t BgL_oclassz00_2673;

															{	/* Module/class.scm 467 */
																obj_t BgL_arg1866z00_2681;
																long BgL_arg1867z00_2682;

																BgL_arg1866z00_2681 =
																	(BGl_za2classesza2z00zz__objectz00);
																{	/* Module/class.scm 467 */
																	long BgL_arg1869z00_2683;

																	BgL_arg1869z00_2683 =
																		BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_2659);
																	BgL_arg1867z00_2682 =
																		(BgL_arg1869z00_2683 - OBJECT_TYPE);
																}
																BgL_oclassz00_2673 =
																	VECTOR_REF(BgL_arg1866z00_2681,
																	BgL_arg1867z00_2682);
															}
															{	/* Module/class.scm 467 */
																bool_t BgL__ortest_1115z00_2674;

																BgL__ortest_1115z00_2674 =
																	(BgL_classz00_2657 == BgL_oclassz00_2673);
																if (BgL__ortest_1115z00_2674)
																	{	/* Module/class.scm 467 */
																		BgL_res2061z00_2690 =
																			BgL__ortest_1115z00_2674;
																	}
																else
																	{	/* Module/class.scm 467 */
																		long BgL_odepthz00_2675;

																		{	/* Module/class.scm 467 */
																			obj_t BgL_arg1855z00_2676;

																			BgL_arg1855z00_2676 =
																				(BgL_oclassz00_2673);
																			BgL_odepthz00_2675 =
																				BGL_CLASS_DEPTH(BgL_arg1855z00_2676);
																		}
																		if ((2L < BgL_odepthz00_2675))
																			{	/* Module/class.scm 467 */
																				obj_t BgL_arg1853z00_2678;

																				{	/* Module/class.scm 467 */
																					obj_t BgL_arg1854z00_2679;

																					BgL_arg1854z00_2679 =
																						(BgL_oclassz00_2673);
																					BgL_arg1853z00_2678 =
																						BGL_CLASS_ANCESTORS_REF
																						(BgL_arg1854z00_2679, 2L);
																				}
																				BgL_res2061z00_2690 =
																					(BgL_arg1853z00_2678 ==
																					BgL_classz00_2657);
																			}
																		else
																			{	/* Module/class.scm 467 */
																				BgL_res2061z00_2690 = ((bool_t) 0);
																			}
																	}
															}
														}
														BgL_test2147z00_4283 = BgL_res2061z00_2690;
													}
											}
										else
											{	/* Module/class.scm 467 */
												BgL_test2147z00_4283 = ((bool_t) 0);
											}
									}
									if (BgL_test2147z00_4283)
										{
											BgL_tclassz00_bglt BgL_auxz00_4306;

											{
												obj_t BgL_auxz00_4307;

												{	/* Module/class.scm 468 */
													BgL_objectz00_bglt BgL_tmpz00_4308;

													BgL_tmpz00_4308 =
														((BgL_objectz00_bglt)
														((BgL_typez00_bglt) BgL_claza7za7z00_2139));
													BgL_auxz00_4307 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_4308);
												}
												BgL_auxz00_4306 =
													((BgL_tclassz00_bglt) BgL_auxz00_4307);
											}
											BgL_superz00_2140 =
												(((BgL_tclassz00_bglt) COBJECT(BgL_auxz00_4306))->
												BgL_itszd2superzd2);
										}
									else
										{
											BgL_jclassz00_bglt BgL_auxz00_4314;

											{
												obj_t BgL_auxz00_4315;

												{	/* Module/class.scm 469 */
													BgL_objectz00_bglt BgL_tmpz00_4316;

													BgL_tmpz00_4316 =
														((BgL_objectz00_bglt)
														((BgL_typez00_bglt) BgL_claza7za7z00_2139));
													BgL_auxz00_4315 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_4316);
												}
												BgL_auxz00_4314 =
													((BgL_jclassz00_bglt) BgL_auxz00_4315);
											}
											BgL_superz00_2140 =
												(((BgL_jclassz00_bglt) COBJECT(BgL_auxz00_4314))->
												BgL_itszd2superzd2);
										}
								}
								{	/* Module/class.scm 467 */

									if ((BgL_superz00_2140 == BgL_claza7za7z00_2139))
										{	/* Module/class.scm 473 */
											obj_t BgL_arg1928z00_2141;
											obj_t BgL_arg1929z00_2142;

											BgL_arg1928z00_2141 = CDR(((obj_t) BgL_curz00_2133));
											{	/* Module/class.scm 475 */
												obj_t BgL_arg1930z00_2143;

												{	/* Module/class.scm 475 */
													obj_t BgL_arg1932z00_2144;

													{	/* Module/class.scm 475 */
														obj_t BgL_pairz00_2697;

														BgL_pairz00_2697 = CAR(((obj_t) BgL_curz00_2133));
														BgL_arg1932z00_2144 = CDR(BgL_pairz00_2697);
													}
													BgL_arg1930z00_2143 =
														BGL_PROCEDURE_CALL0(BgL_arg1932z00_2144);
												}
												BgL_arg1929z00_2142 =
													BGl_appendzd221011zd2zzmodule_classz00
													(BgL_arg1930z00_2143, BgL_accessz00_2135);
											}
											{
												obj_t BgL_accessz00_4334;
												obj_t BgL_curz00_4333;

												BgL_curz00_4333 = BgL_arg1928z00_2141;
												BgL_accessz00_4334 = BgL_arg1929z00_2142;
												BgL_accessz00_2135 = BgL_accessz00_4334;
												BgL_curz00_2133 = BgL_curz00_4333;
												goto BgL_zc3z04anonymousza31925ze3z87_2136;
											}
										}
									else
										{	/* Module/class.scm 476 */
											bool_t BgL_test2153z00_4335;

											{	/* Module/class.scm 476 */
												bool_t BgL_test2154z00_4336;

												{	/* Module/class.scm 476 */
													obj_t BgL_classz00_2698;

													BgL_classz00_2698 = BGl_tclassz00zzobject_classz00;
													if (BGL_OBJECTP(BgL_claza7za7z00_2139))
														{	/* Module/class.scm 476 */
															BgL_objectz00_bglt BgL_arg1858z00_2700;

															BgL_arg1858z00_2700 =
																(BgL_objectz00_bglt) (BgL_claza7za7z00_2139);
															if (BGL_CONDEXPAND_ISA_ARCH64())
																{	/* Module/class.scm 476 */
																	long BgL_idxz00_2706;

																	BgL_idxz00_2706 =
																		BGL_OBJECT_INHERITANCE_NUM
																		(BgL_arg1858z00_2700);
																	BgL_test2154z00_4336 =
																		(VECTOR_REF
																		(BGl_za2inheritancesza2z00zz__objectz00,
																			(BgL_idxz00_2706 + 2L)) ==
																		BgL_classz00_2698);
																}
															else
																{	/* Module/class.scm 476 */
																	bool_t BgL_res2062z00_2731;

																	{	/* Module/class.scm 476 */
																		obj_t BgL_oclassz00_2714;

																		{	/* Module/class.scm 476 */
																			obj_t BgL_arg1866z00_2722;
																			long BgL_arg1867z00_2723;

																			BgL_arg1866z00_2722 =
																				(BGl_za2classesza2z00zz__objectz00);
																			{	/* Module/class.scm 476 */
																				long BgL_arg1869z00_2724;

																				BgL_arg1869z00_2724 =
																					BGL_OBJECT_CLASS_NUM
																					(BgL_arg1858z00_2700);
																				BgL_arg1867z00_2723 =
																					(BgL_arg1869z00_2724 - OBJECT_TYPE);
																			}
																			BgL_oclassz00_2714 =
																				VECTOR_REF(BgL_arg1866z00_2722,
																				BgL_arg1867z00_2723);
																		}
																		{	/* Module/class.scm 476 */
																			bool_t BgL__ortest_1115z00_2715;

																			BgL__ortest_1115z00_2715 =
																				(BgL_classz00_2698 ==
																				BgL_oclassz00_2714);
																			if (BgL__ortest_1115z00_2715)
																				{	/* Module/class.scm 476 */
																					BgL_res2062z00_2731 =
																						BgL__ortest_1115z00_2715;
																				}
																			else
																				{	/* Module/class.scm 476 */
																					long BgL_odepthz00_2716;

																					{	/* Module/class.scm 476 */
																						obj_t BgL_arg1855z00_2717;

																						BgL_arg1855z00_2717 =
																							(BgL_oclassz00_2714);
																						BgL_odepthz00_2716 =
																							BGL_CLASS_DEPTH
																							(BgL_arg1855z00_2717);
																					}
																					if ((2L < BgL_odepthz00_2716))
																						{	/* Module/class.scm 476 */
																							obj_t BgL_arg1853z00_2719;

																							{	/* Module/class.scm 476 */
																								obj_t BgL_arg1854z00_2720;

																								BgL_arg1854z00_2720 =
																									(BgL_oclassz00_2714);
																								BgL_arg1853z00_2719 =
																									BGL_CLASS_ANCESTORS_REF
																									(BgL_arg1854z00_2720, 2L);
																							}
																							BgL_res2062z00_2731 =
																								(BgL_arg1853z00_2719 ==
																								BgL_classz00_2698);
																						}
																					else
																						{	/* Module/class.scm 476 */
																							BgL_res2062z00_2731 =
																								((bool_t) 0);
																						}
																				}
																		}
																	}
																	BgL_test2154z00_4336 = BgL_res2062z00_2731;
																}
														}
													else
														{	/* Module/class.scm 476 */
															BgL_test2154z00_4336 = ((bool_t) 0);
														}
												}
												if (BgL_test2154z00_4336)
													{	/* Module/class.scm 476 */
														bool_t BgL_test2159z00_4359;

														{	/* Module/class.scm 476 */
															obj_t BgL_classz00_2732;

															BgL_classz00_2732 =
																BGl_tclassz00zzobject_classz00;
															if (BGL_OBJECTP(BgL_superz00_2140))
																{	/* Module/class.scm 476 */
																	BgL_objectz00_bglt BgL_arg1858z00_2734;

																	BgL_arg1858z00_2734 =
																		(BgL_objectz00_bglt) (BgL_superz00_2140);
																	if (BGL_CONDEXPAND_ISA_ARCH64())
																		{	/* Module/class.scm 476 */
																			long BgL_idxz00_2740;

																			BgL_idxz00_2740 =
																				BGL_OBJECT_INHERITANCE_NUM
																				(BgL_arg1858z00_2734);
																			BgL_test2159z00_4359 =
																				(VECTOR_REF
																				(BGl_za2inheritancesza2z00zz__objectz00,
																					(BgL_idxz00_2740 + 2L)) ==
																				BgL_classz00_2732);
																		}
																	else
																		{	/* Module/class.scm 476 */
																			bool_t BgL_res2063z00_2765;

																			{	/* Module/class.scm 476 */
																				obj_t BgL_oclassz00_2748;

																				{	/* Module/class.scm 476 */
																					obj_t BgL_arg1866z00_2756;
																					long BgL_arg1867z00_2757;

																					BgL_arg1866z00_2756 =
																						(BGl_za2classesza2z00zz__objectz00);
																					{	/* Module/class.scm 476 */
																						long BgL_arg1869z00_2758;

																						BgL_arg1869z00_2758 =
																							BGL_OBJECT_CLASS_NUM
																							(BgL_arg1858z00_2734);
																						BgL_arg1867z00_2757 =
																							(BgL_arg1869z00_2758 -
																							OBJECT_TYPE);
																					}
																					BgL_oclassz00_2748 =
																						VECTOR_REF(BgL_arg1866z00_2756,
																						BgL_arg1867z00_2757);
																				}
																				{	/* Module/class.scm 476 */
																					bool_t BgL__ortest_1115z00_2749;

																					BgL__ortest_1115z00_2749 =
																						(BgL_classz00_2732 ==
																						BgL_oclassz00_2748);
																					if (BgL__ortest_1115z00_2749)
																						{	/* Module/class.scm 476 */
																							BgL_res2063z00_2765 =
																								BgL__ortest_1115z00_2749;
																						}
																					else
																						{	/* Module/class.scm 476 */
																							long BgL_odepthz00_2750;

																							{	/* Module/class.scm 476 */
																								obj_t BgL_arg1855z00_2751;

																								BgL_arg1855z00_2751 =
																									(BgL_oclassz00_2748);
																								BgL_odepthz00_2750 =
																									BGL_CLASS_DEPTH
																									(BgL_arg1855z00_2751);
																							}
																							if ((2L < BgL_odepthz00_2750))
																								{	/* Module/class.scm 476 */
																									obj_t BgL_arg1853z00_2753;

																									{	/* Module/class.scm 476 */
																										obj_t BgL_arg1854z00_2754;

																										BgL_arg1854z00_2754 =
																											(BgL_oclassz00_2748);
																										BgL_arg1853z00_2753 =
																											BGL_CLASS_ANCESTORS_REF
																											(BgL_arg1854z00_2754, 2L);
																									}
																									BgL_res2063z00_2765 =
																										(BgL_arg1853z00_2753 ==
																										BgL_classz00_2732);
																								}
																							else
																								{	/* Module/class.scm 476 */
																									BgL_res2063z00_2765 =
																										((bool_t) 0);
																								}
																						}
																				}
																			}
																			BgL_test2159z00_4359 =
																				BgL_res2063z00_2765;
																		}
																}
															else
																{	/* Module/class.scm 476 */
																	BgL_test2159z00_4359 = ((bool_t) 0);
																}
														}
														if (BgL_test2159z00_4359)
															{	/* Module/class.scm 476 */
																BgL_test2153z00_4335 = ((bool_t) 0);
															}
														else
															{	/* Module/class.scm 476 */
																BgL_test2153z00_4335 = ((bool_t) 1);
															}
													}
												else
													{	/* Module/class.scm 476 */
														BgL_test2153z00_4335 = ((bool_t) 0);
													}
											}
											if (BgL_test2153z00_4335)
												{	/* Module/class.scm 477 */
													bool_t BgL_test2164z00_4382;

													{	/* Module/class.scm 477 */
														obj_t BgL_classz00_2766;

														BgL_classz00_2766 = BGl_typez00zztype_typez00;
														if (BGL_OBJECTP(BgL_superz00_2140))
															{	/* Module/class.scm 477 */
																BgL_objectz00_bglt BgL_arg1858z00_2768;

																BgL_arg1858z00_2768 =
																	(BgL_objectz00_bglt) (BgL_superz00_2140);
																if (BGL_CONDEXPAND_ISA_ARCH64())
																	{	/* Module/class.scm 477 */
																		long BgL_idxz00_2774;

																		BgL_idxz00_2774 =
																			BGL_OBJECT_INHERITANCE_NUM
																			(BgL_arg1858z00_2768);
																		BgL_test2164z00_4382 =
																			(VECTOR_REF
																			(BGl_za2inheritancesza2z00zz__objectz00,
																				(BgL_idxz00_2774 + 1L)) ==
																			BgL_classz00_2766);
																	}
																else
																	{	/* Module/class.scm 477 */
																		bool_t BgL_res2064z00_2799;

																		{	/* Module/class.scm 477 */
																			obj_t BgL_oclassz00_2782;

																			{	/* Module/class.scm 477 */
																				obj_t BgL_arg1866z00_2790;
																				long BgL_arg1867z00_2791;

																				BgL_arg1866z00_2790 =
																					(BGl_za2classesza2z00zz__objectz00);
																				{	/* Module/class.scm 477 */
																					long BgL_arg1869z00_2792;

																					BgL_arg1869z00_2792 =
																						BGL_OBJECT_CLASS_NUM
																						(BgL_arg1858z00_2768);
																					BgL_arg1867z00_2791 =
																						(BgL_arg1869z00_2792 - OBJECT_TYPE);
																				}
																				BgL_oclassz00_2782 =
																					VECTOR_REF(BgL_arg1866z00_2790,
																					BgL_arg1867z00_2791);
																			}
																			{	/* Module/class.scm 477 */
																				bool_t BgL__ortest_1115z00_2783;

																				BgL__ortest_1115z00_2783 =
																					(BgL_classz00_2766 ==
																					BgL_oclassz00_2782);
																				if (BgL__ortest_1115z00_2783)
																					{	/* Module/class.scm 477 */
																						BgL_res2064z00_2799 =
																							BgL__ortest_1115z00_2783;
																					}
																				else
																					{	/* Module/class.scm 477 */
																						long BgL_odepthz00_2784;

																						{	/* Module/class.scm 477 */
																							obj_t BgL_arg1855z00_2785;

																							BgL_arg1855z00_2785 =
																								(BgL_oclassz00_2782);
																							BgL_odepthz00_2784 =
																								BGL_CLASS_DEPTH
																								(BgL_arg1855z00_2785);
																						}
																						if ((1L < BgL_odepthz00_2784))
																							{	/* Module/class.scm 477 */
																								obj_t BgL_arg1853z00_2787;

																								{	/* Module/class.scm 477 */
																									obj_t BgL_arg1854z00_2788;

																									BgL_arg1854z00_2788 =
																										(BgL_oclassz00_2782);
																									BgL_arg1853z00_2787 =
																										BGL_CLASS_ANCESTORS_REF
																										(BgL_arg1854z00_2788, 1L);
																								}
																								BgL_res2064z00_2799 =
																									(BgL_arg1853z00_2787 ==
																									BgL_classz00_2766);
																							}
																						else
																							{	/* Module/class.scm 477 */
																								BgL_res2064z00_2799 =
																									((bool_t) 0);
																							}
																					}
																			}
																		}
																		BgL_test2164z00_4382 = BgL_res2064z00_2799;
																	}
															}
														else
															{	/* Module/class.scm 477 */
																BgL_test2164z00_4382 = ((bool_t) 0);
															}
													}
													if (BgL_test2164z00_4382)
														{	/* Module/class.scm 477 */
															{
																BgL_tclassz00_bglt BgL_auxz00_4405;

																{
																	obj_t BgL_auxz00_4406;

																	{	/* Module/class.scm 481 */
																		BgL_objectz00_bglt BgL_tmpz00_4407;

																		BgL_tmpz00_4407 =
																			((BgL_objectz00_bglt)
																			((BgL_typez00_bglt)
																				BgL_claza7za7z00_2139));
																		BgL_auxz00_4406 =
																			BGL_OBJECT_WIDENING(BgL_tmpz00_4407);
																	}
																	BgL_auxz00_4405 =
																		((BgL_tclassz00_bglt) BgL_auxz00_4406);
																}
																((((BgL_tclassz00_bglt)
																			COBJECT(BgL_auxz00_4405))->BgL_slotsz00) =
																	((obj_t) BNIL), BUNSPEC);
															}
															{	/* Module/class.scm 482 */
																obj_t BgL_arg1938z00_2150;

																BgL_arg1938z00_2150 =
																	CDR(((obj_t) BgL_curz00_2133));
																{
																	obj_t BgL_curz00_4415;

																	BgL_curz00_4415 = BgL_arg1938z00_2150;
																	BgL_curz00_2133 = BgL_curz00_4415;
																	goto BgL_zc3z04anonymousza31925ze3z87_2136;
																}
															}
														}
													else
														{	/* Module/class.scm 485 */
															obj_t BgL_arg1939z00_2151;
															obj_t BgL_arg1940z00_2152;

															BgL_arg1939z00_2151 =
																CDR(((obj_t) BgL_curz00_2133));
															{	/* Module/class.scm 487 */
																obj_t BgL_arg1942z00_2153;

																{	/* Module/class.scm 487 */
																	obj_t BgL_arg1943z00_2154;

																	{	/* Module/class.scm 487 */
																		obj_t BgL_pairz00_2805;

																		BgL_pairz00_2805 =
																			CAR(((obj_t) BgL_curz00_2133));
																		BgL_arg1943z00_2154 = CDR(BgL_pairz00_2805);
																	}
																	BgL_arg1942z00_2153 =
																		BGL_PROCEDURE_CALL0(BgL_arg1943z00_2154);
																}
																BgL_arg1940z00_2152 =
																	BGl_appendzd221011zd2zzmodule_classz00
																	(BgL_arg1942z00_2153, BgL_accessz00_2135);
															}
															{
																obj_t BgL_accessz00_4426;
																obj_t BgL_curz00_4425;

																BgL_curz00_4425 = BgL_arg1939z00_2151;
																BgL_accessz00_4426 = BgL_arg1940z00_2152;
																BgL_accessz00_2135 = BgL_accessz00_4426;
																BgL_curz00_2133 = BgL_curz00_4425;
																goto BgL_zc3z04anonymousza31925ze3z87_2136;
															}
														}
												}
											else
												{	/* Module/class.scm 488 */
													bool_t BgL_test2169z00_4427;

													{	/* Module/class.scm 488 */
														bool_t BgL_test2170z00_4428;

														{	/* Module/class.scm 488 */
															obj_t BgL_classz00_2806;

															BgL_classz00_2806 =
																BGl_jclassz00zzobject_classz00;
															if (BGL_OBJECTP(BgL_claza7za7z00_2139))
																{	/* Module/class.scm 488 */
																	BgL_objectz00_bglt BgL_arg1858z00_2808;

																	BgL_arg1858z00_2808 =
																		(BgL_objectz00_bglt)
																		(BgL_claza7za7z00_2139);
																	if (BGL_CONDEXPAND_ISA_ARCH64())
																		{	/* Module/class.scm 488 */
																			long BgL_idxz00_2814;

																			BgL_idxz00_2814 =
																				BGL_OBJECT_INHERITANCE_NUM
																				(BgL_arg1858z00_2808);
																			BgL_test2170z00_4428 =
																				(VECTOR_REF
																				(BGl_za2inheritancesza2z00zz__objectz00,
																					(BgL_idxz00_2814 + 2L)) ==
																				BgL_classz00_2806);
																		}
																	else
																		{	/* Module/class.scm 488 */
																			bool_t BgL_res2065z00_2839;

																			{	/* Module/class.scm 488 */
																				obj_t BgL_oclassz00_2822;

																				{	/* Module/class.scm 488 */
																					obj_t BgL_arg1866z00_2830;
																					long BgL_arg1867z00_2831;

																					BgL_arg1866z00_2830 =
																						(BGl_za2classesza2z00zz__objectz00);
																					{	/* Module/class.scm 488 */
																						long BgL_arg1869z00_2832;

																						BgL_arg1869z00_2832 =
																							BGL_OBJECT_CLASS_NUM
																							(BgL_arg1858z00_2808);
																						BgL_arg1867z00_2831 =
																							(BgL_arg1869z00_2832 -
																							OBJECT_TYPE);
																					}
																					BgL_oclassz00_2822 =
																						VECTOR_REF(BgL_arg1866z00_2830,
																						BgL_arg1867z00_2831);
																				}
																				{	/* Module/class.scm 488 */
																					bool_t BgL__ortest_1115z00_2823;

																					BgL__ortest_1115z00_2823 =
																						(BgL_classz00_2806 ==
																						BgL_oclassz00_2822);
																					if (BgL__ortest_1115z00_2823)
																						{	/* Module/class.scm 488 */
																							BgL_res2065z00_2839 =
																								BgL__ortest_1115z00_2823;
																						}
																					else
																						{	/* Module/class.scm 488 */
																							long BgL_odepthz00_2824;

																							{	/* Module/class.scm 488 */
																								obj_t BgL_arg1855z00_2825;

																								BgL_arg1855z00_2825 =
																									(BgL_oclassz00_2822);
																								BgL_odepthz00_2824 =
																									BGL_CLASS_DEPTH
																									(BgL_arg1855z00_2825);
																							}
																							if ((2L < BgL_odepthz00_2824))
																								{	/* Module/class.scm 488 */
																									obj_t BgL_arg1853z00_2827;

																									{	/* Module/class.scm 488 */
																										obj_t BgL_arg1854z00_2828;

																										BgL_arg1854z00_2828 =
																											(BgL_oclassz00_2822);
																										BgL_arg1853z00_2827 =
																											BGL_CLASS_ANCESTORS_REF
																											(BgL_arg1854z00_2828, 2L);
																									}
																									BgL_res2065z00_2839 =
																										(BgL_arg1853z00_2827 ==
																										BgL_classz00_2806);
																								}
																							else
																								{	/* Module/class.scm 488 */
																									BgL_res2065z00_2839 =
																										((bool_t) 0);
																								}
																						}
																				}
																			}
																			BgL_test2170z00_4428 =
																				BgL_res2065z00_2839;
																		}
																}
															else
																{	/* Module/class.scm 488 */
																	BgL_test2170z00_4428 = ((bool_t) 0);
																}
														}
														if (BgL_test2170z00_4428)
															{	/* Module/class.scm 488 */
																bool_t BgL_test2175z00_4451;

																{	/* Module/class.scm 488 */
																	obj_t BgL_classz00_2840;

																	BgL_classz00_2840 =
																		BGl_jclassz00zzobject_classz00;
																	if (BGL_OBJECTP(BgL_superz00_2140))
																		{	/* Module/class.scm 488 */
																			BgL_objectz00_bglt BgL_arg1858z00_2842;

																			BgL_arg1858z00_2842 =
																				(BgL_objectz00_bglt)
																				(BgL_superz00_2140);
																			if (BGL_CONDEXPAND_ISA_ARCH64())
																				{	/* Module/class.scm 488 */
																					long BgL_idxz00_2848;

																					BgL_idxz00_2848 =
																						BGL_OBJECT_INHERITANCE_NUM
																						(BgL_arg1858z00_2842);
																					BgL_test2175z00_4451 =
																						(VECTOR_REF
																						(BGl_za2inheritancesza2z00zz__objectz00,
																							(BgL_idxz00_2848 + 2L)) ==
																						BgL_classz00_2840);
																				}
																			else
																				{	/* Module/class.scm 488 */
																					bool_t BgL_res2066z00_2873;

																					{	/* Module/class.scm 488 */
																						obj_t BgL_oclassz00_2856;

																						{	/* Module/class.scm 488 */
																							obj_t BgL_arg1866z00_2864;
																							long BgL_arg1867z00_2865;

																							BgL_arg1866z00_2864 =
																								(BGl_za2classesza2z00zz__objectz00);
																							{	/* Module/class.scm 488 */
																								long BgL_arg1869z00_2866;

																								BgL_arg1869z00_2866 =
																									BGL_OBJECT_CLASS_NUM
																									(BgL_arg1858z00_2842);
																								BgL_arg1867z00_2865 =
																									(BgL_arg1869z00_2866 -
																									OBJECT_TYPE);
																							}
																							BgL_oclassz00_2856 =
																								VECTOR_REF(BgL_arg1866z00_2864,
																								BgL_arg1867z00_2865);
																						}
																						{	/* Module/class.scm 488 */
																							bool_t BgL__ortest_1115z00_2857;

																							BgL__ortest_1115z00_2857 =
																								(BgL_classz00_2840 ==
																								BgL_oclassz00_2856);
																							if (BgL__ortest_1115z00_2857)
																								{	/* Module/class.scm 488 */
																									BgL_res2066z00_2873 =
																										BgL__ortest_1115z00_2857;
																								}
																							else
																								{	/* Module/class.scm 488 */
																									long BgL_odepthz00_2858;

																									{	/* Module/class.scm 488 */
																										obj_t BgL_arg1855z00_2859;

																										BgL_arg1855z00_2859 =
																											(BgL_oclassz00_2856);
																										BgL_odepthz00_2858 =
																											BGL_CLASS_DEPTH
																											(BgL_arg1855z00_2859);
																									}
																									if ((2L < BgL_odepthz00_2858))
																										{	/* Module/class.scm 488 */
																											obj_t BgL_arg1853z00_2861;

																											{	/* Module/class.scm 488 */
																												obj_t
																													BgL_arg1854z00_2862;
																												BgL_arg1854z00_2862 =
																													(BgL_oclassz00_2856);
																												BgL_arg1853z00_2861 =
																													BGL_CLASS_ANCESTORS_REF
																													(BgL_arg1854z00_2862,
																													2L);
																											}
																											BgL_res2066z00_2873 =
																												(BgL_arg1853z00_2861 ==
																												BgL_classz00_2840);
																										}
																									else
																										{	/* Module/class.scm 488 */
																											BgL_res2066z00_2873 =
																												((bool_t) 0);
																										}
																								}
																						}
																					}
																					BgL_test2175z00_4451 =
																						BgL_res2066z00_2873;
																				}
																		}
																	else
																		{	/* Module/class.scm 488 */
																			BgL_test2175z00_4451 = ((bool_t) 0);
																		}
																}
																if (BgL_test2175z00_4451)
																	{	/* Module/class.scm 488 */
																		BgL_test2169z00_4427 = ((bool_t) 0);
																	}
																else
																	{	/* Module/class.scm 488 */
																		BgL_test2169z00_4427 = ((bool_t) 1);
																	}
															}
														else
															{	/* Module/class.scm 488 */
																BgL_test2169z00_4427 = ((bool_t) 0);
															}
													}
													if (BgL_test2169z00_4427)
														{	/* Module/class.scm 489 */
															bool_t BgL_test2180z00_4474;

															{	/* Module/class.scm 489 */
																obj_t BgL_classz00_2874;

																BgL_classz00_2874 = BGl_typez00zztype_typez00;
																if (BGL_OBJECTP(BgL_superz00_2140))
																	{	/* Module/class.scm 489 */
																		BgL_objectz00_bglt BgL_arg1858z00_2876;

																		BgL_arg1858z00_2876 =
																			(BgL_objectz00_bglt) (BgL_superz00_2140);
																		if (BGL_CONDEXPAND_ISA_ARCH64())
																			{	/* Module/class.scm 489 */
																				long BgL_idxz00_2882;

																				BgL_idxz00_2882 =
																					BGL_OBJECT_INHERITANCE_NUM
																					(BgL_arg1858z00_2876);
																				BgL_test2180z00_4474 =
																					(VECTOR_REF
																					(BGl_za2inheritancesza2z00zz__objectz00,
																						(BgL_idxz00_2882 + 1L)) ==
																					BgL_classz00_2874);
																			}
																		else
																			{	/* Module/class.scm 489 */
																				bool_t BgL_res2067z00_2907;

																				{	/* Module/class.scm 489 */
																					obj_t BgL_oclassz00_2890;

																					{	/* Module/class.scm 489 */
																						obj_t BgL_arg1866z00_2898;
																						long BgL_arg1867z00_2899;

																						BgL_arg1866z00_2898 =
																							(BGl_za2classesza2z00zz__objectz00);
																						{	/* Module/class.scm 489 */
																							long BgL_arg1869z00_2900;

																							BgL_arg1869z00_2900 =
																								BGL_OBJECT_CLASS_NUM
																								(BgL_arg1858z00_2876);
																							BgL_arg1867z00_2899 =
																								(BgL_arg1869z00_2900 -
																								OBJECT_TYPE);
																						}
																						BgL_oclassz00_2890 =
																							VECTOR_REF(BgL_arg1866z00_2898,
																							BgL_arg1867z00_2899);
																					}
																					{	/* Module/class.scm 489 */
																						bool_t BgL__ortest_1115z00_2891;

																						BgL__ortest_1115z00_2891 =
																							(BgL_classz00_2874 ==
																							BgL_oclassz00_2890);
																						if (BgL__ortest_1115z00_2891)
																							{	/* Module/class.scm 489 */
																								BgL_res2067z00_2907 =
																									BgL__ortest_1115z00_2891;
																							}
																						else
																							{	/* Module/class.scm 489 */
																								long BgL_odepthz00_2892;

																								{	/* Module/class.scm 489 */
																									obj_t BgL_arg1855z00_2893;

																									BgL_arg1855z00_2893 =
																										(BgL_oclassz00_2890);
																									BgL_odepthz00_2892 =
																										BGL_CLASS_DEPTH
																										(BgL_arg1855z00_2893);
																								}
																								if ((1L < BgL_odepthz00_2892))
																									{	/* Module/class.scm 489 */
																										obj_t BgL_arg1853z00_2895;

																										{	/* Module/class.scm 489 */
																											obj_t BgL_arg1854z00_2896;

																											BgL_arg1854z00_2896 =
																												(BgL_oclassz00_2890);
																											BgL_arg1853z00_2895 =
																												BGL_CLASS_ANCESTORS_REF
																												(BgL_arg1854z00_2896,
																												1L);
																										}
																										BgL_res2067z00_2907 =
																											(BgL_arg1853z00_2895 ==
																											BgL_classz00_2874);
																									}
																								else
																									{	/* Module/class.scm 489 */
																										BgL_res2067z00_2907 =
																											((bool_t) 0);
																									}
																							}
																					}
																				}
																				BgL_test2180z00_4474 =
																					BgL_res2067z00_2907;
																			}
																	}
																else
																	{	/* Module/class.scm 489 */
																		BgL_test2180z00_4474 = ((bool_t) 0);
																	}
															}
															if (BgL_test2180z00_4474)
																{	/* Module/class.scm 489 */
																	{
																		BgL_jclassz00_bglt BgL_auxz00_4497;

																		{
																			obj_t BgL_auxz00_4498;

																			{	/* Module/class.scm 493 */
																				BgL_objectz00_bglt BgL_tmpz00_4499;

																				BgL_tmpz00_4499 =
																					((BgL_objectz00_bglt)
																					((BgL_typez00_bglt)
																						BgL_claza7za7z00_2139));
																				BgL_auxz00_4498 =
																					BGL_OBJECT_WIDENING(BgL_tmpz00_4499);
																			}
																			BgL_auxz00_4497 =
																				((BgL_jclassz00_bglt) BgL_auxz00_4498);
																		}
																		((((BgL_jclassz00_bglt)
																					COBJECT(BgL_auxz00_4497))->
																				BgL_slotsz00) =
																			((obj_t) BNIL), BUNSPEC);
																	}
																	{	/* Module/class.scm 494 */
																		obj_t BgL_arg1950z00_2160;

																		BgL_arg1950z00_2160 =
																			CDR(((obj_t) BgL_curz00_2133));
																		{
																			obj_t BgL_curz00_4507;

																			BgL_curz00_4507 = BgL_arg1950z00_2160;
																			BgL_curz00_2133 = BgL_curz00_4507;
																			goto
																				BgL_zc3z04anonymousza31925ze3z87_2136;
																		}
																	}
																}
															else
																{	/* Module/class.scm 497 */
																	obj_t BgL_arg1953z00_2161;
																	obj_t BgL_arg1954z00_2162;

																	BgL_arg1953z00_2161 =
																		CDR(((obj_t) BgL_curz00_2133));
																	{	/* Module/class.scm 499 */
																		obj_t BgL_arg1955z00_2163;

																		{	/* Module/class.scm 499 */
																			obj_t BgL_arg1956z00_2164;

																			{	/* Module/class.scm 499 */
																				obj_t BgL_pairz00_2913;

																				BgL_pairz00_2913 =
																					CAR(((obj_t) BgL_curz00_2133));
																				BgL_arg1956z00_2164 =
																					CDR(BgL_pairz00_2913);
																			}
																			BgL_arg1955z00_2163 =
																				BGL_PROCEDURE_CALL0
																				(BgL_arg1956z00_2164);
																		}
																		BgL_arg1954z00_2162 =
																			BGl_appendzd221011zd2zzmodule_classz00
																			(BgL_arg1955z00_2163, BgL_accessz00_2135);
																	}
																	{
																		obj_t BgL_accessz00_4518;
																		obj_t BgL_curz00_4517;

																		BgL_curz00_4517 = BgL_arg1953z00_2161;
																		BgL_accessz00_4518 = BgL_arg1954z00_2162;
																		BgL_accessz00_2135 = BgL_accessz00_4518;
																		BgL_curz00_2133 = BgL_curz00_4517;
																		goto BgL_zc3z04anonymousza31925ze3z87_2136;
																	}
																}
														}
													else
														{	/* Module/class.scm 500 */
															bool_t BgL_test2185z00_4519;

															{	/* Module/class.scm 500 */
																bool_t BgL_test2186z00_4520;

																{	/* Module/class.scm 500 */
																	obj_t BgL_classz00_2914;

																	BgL_classz00_2914 =
																		BGl_tclassz00zzobject_classz00;
																	if (BGL_OBJECTP(BgL_claza7za7z00_2139))
																		{	/* Module/class.scm 500 */
																			BgL_objectz00_bglt BgL_arg1858z00_2916;

																			BgL_arg1858z00_2916 =
																				(BgL_objectz00_bglt)
																				(BgL_claza7za7z00_2139);
																			if (BGL_CONDEXPAND_ISA_ARCH64())
																				{	/* Module/class.scm 500 */
																					long BgL_idxz00_2922;

																					BgL_idxz00_2922 =
																						BGL_OBJECT_INHERITANCE_NUM
																						(BgL_arg1858z00_2916);
																					BgL_test2186z00_4520 =
																						(VECTOR_REF
																						(BGl_za2inheritancesza2z00zz__objectz00,
																							(BgL_idxz00_2922 + 2L)) ==
																						BgL_classz00_2914);
																				}
																			else
																				{	/* Module/class.scm 500 */
																					bool_t BgL_res2068z00_2947;

																					{	/* Module/class.scm 500 */
																						obj_t BgL_oclassz00_2930;

																						{	/* Module/class.scm 500 */
																							obj_t BgL_arg1866z00_2938;
																							long BgL_arg1867z00_2939;

																							BgL_arg1866z00_2938 =
																								(BGl_za2classesza2z00zz__objectz00);
																							{	/* Module/class.scm 500 */
																								long BgL_arg1869z00_2940;

																								BgL_arg1869z00_2940 =
																									BGL_OBJECT_CLASS_NUM
																									(BgL_arg1858z00_2916);
																								BgL_arg1867z00_2939 =
																									(BgL_arg1869z00_2940 -
																									OBJECT_TYPE);
																							}
																							BgL_oclassz00_2930 =
																								VECTOR_REF(BgL_arg1866z00_2938,
																								BgL_arg1867z00_2939);
																						}
																						{	/* Module/class.scm 500 */
																							bool_t BgL__ortest_1115z00_2931;

																							BgL__ortest_1115z00_2931 =
																								(BgL_classz00_2914 ==
																								BgL_oclassz00_2930);
																							if (BgL__ortest_1115z00_2931)
																								{	/* Module/class.scm 500 */
																									BgL_res2068z00_2947 =
																										BgL__ortest_1115z00_2931;
																								}
																							else
																								{	/* Module/class.scm 500 */
																									long BgL_odepthz00_2932;

																									{	/* Module/class.scm 500 */
																										obj_t BgL_arg1855z00_2933;

																										BgL_arg1855z00_2933 =
																											(BgL_oclassz00_2930);
																										BgL_odepthz00_2932 =
																											BGL_CLASS_DEPTH
																											(BgL_arg1855z00_2933);
																									}
																									if ((2L < BgL_odepthz00_2932))
																										{	/* Module/class.scm 500 */
																											obj_t BgL_arg1853z00_2935;

																											{	/* Module/class.scm 500 */
																												obj_t
																													BgL_arg1854z00_2936;
																												BgL_arg1854z00_2936 =
																													(BgL_oclassz00_2930);
																												BgL_arg1853z00_2935 =
																													BGL_CLASS_ANCESTORS_REF
																													(BgL_arg1854z00_2936,
																													2L);
																											}
																											BgL_res2068z00_2947 =
																												(BgL_arg1853z00_2935 ==
																												BgL_classz00_2914);
																										}
																									else
																										{	/* Module/class.scm 500 */
																											BgL_res2068z00_2947 =
																												((bool_t) 0);
																										}
																								}
																						}
																					}
																					BgL_test2186z00_4520 =
																						BgL_res2068z00_2947;
																				}
																		}
																	else
																		{	/* Module/class.scm 500 */
																			BgL_test2186z00_4520 = ((bool_t) 0);
																		}
																}
																if (BgL_test2186z00_4520)
																	{	/* Module/class.scm 500 */
																		obj_t BgL_arg1979z00_2186;

																		{
																			BgL_tclassz00_bglt BgL_auxz00_4543;

																			{
																				obj_t BgL_auxz00_4544;

																				{	/* Module/class.scm 500 */
																					BgL_objectz00_bglt BgL_tmpz00_4545;

																					BgL_tmpz00_4545 =
																						((BgL_objectz00_bglt)
																						((BgL_typez00_bglt)
																							BgL_superz00_2140));
																					BgL_auxz00_4544 =
																						BGL_OBJECT_WIDENING
																						(BgL_tmpz00_4545);
																				}
																				BgL_auxz00_4543 =
																					((BgL_tclassz00_bglt)
																					BgL_auxz00_4544);
																			}
																			BgL_arg1979z00_2186 =
																				(((BgL_tclassz00_bglt)
																					COBJECT(BgL_auxz00_4543))->
																				BgL_slotsz00);
																		}
																		BgL_test2185z00_4519 =
																			(BgL_arg1979z00_2186 == BUNSPEC);
																	}
																else
																	{	/* Module/class.scm 500 */
																		BgL_test2185z00_4519 = ((bool_t) 0);
																	}
															}
															if (BgL_test2185z00_4519)
																{	/* Module/class.scm 502 */
																	obj_t BgL_arg1962z00_2169;
																	obj_t BgL_arg1963z00_2170;

																	BgL_arg1962z00_2169 =
																		CDR(((obj_t) BgL_curz00_2133));
																	{	/* Module/class.scm 503 */
																		obj_t BgL_arg1965z00_2171;

																		BgL_arg1965z00_2171 =
																			CAR(((obj_t) BgL_curz00_2133));
																		BgL_arg1963z00_2170 =
																			MAKE_YOUNG_PAIR(BgL_arg1965z00_2171,
																			BgL_nextz00_2134);
																	}
																	{
																		obj_t BgL_nextz00_4558;
																		obj_t BgL_curz00_4557;

																		BgL_curz00_4557 = BgL_arg1962z00_2169;
																		BgL_nextz00_4558 = BgL_arg1963z00_2170;
																		BgL_nextz00_2134 = BgL_nextz00_4558;
																		BgL_curz00_2133 = BgL_curz00_4557;
																		goto BgL_zc3z04anonymousza31925ze3z87_2136;
																	}
																}
															else
																{	/* Module/class.scm 505 */
																	bool_t BgL_test2191z00_4559;

																	{	/* Module/class.scm 505 */
																		bool_t BgL_test2192z00_4560;

																		{	/* Module/class.scm 505 */
																			obj_t BgL_classz00_2952;

																			BgL_classz00_2952 =
																				BGl_jclassz00zzobject_classz00;
																			if (BGL_OBJECTP(BgL_claza7za7z00_2139))
																				{	/* Module/class.scm 505 */
																					BgL_objectz00_bglt
																						BgL_arg1858z00_2954;
																					BgL_arg1858z00_2954 =
																						(BgL_objectz00_bglt)
																						(BgL_claza7za7z00_2139);
																					if (BGL_CONDEXPAND_ISA_ARCH64())
																						{	/* Module/class.scm 505 */
																							long BgL_idxz00_2960;

																							BgL_idxz00_2960 =
																								BGL_OBJECT_INHERITANCE_NUM
																								(BgL_arg1858z00_2954);
																							BgL_test2192z00_4560 =
																								(VECTOR_REF
																								(BGl_za2inheritancesza2z00zz__objectz00,
																									(BgL_idxz00_2960 + 2L)) ==
																								BgL_classz00_2952);
																						}
																					else
																						{	/* Module/class.scm 505 */
																							bool_t BgL_res2069z00_2985;

																							{	/* Module/class.scm 505 */
																								obj_t BgL_oclassz00_2968;

																								{	/* Module/class.scm 505 */
																									obj_t BgL_arg1866z00_2976;
																									long BgL_arg1867z00_2977;

																									BgL_arg1866z00_2976 =
																										(BGl_za2classesza2z00zz__objectz00);
																									{	/* Module/class.scm 505 */
																										long BgL_arg1869z00_2978;

																										BgL_arg1869z00_2978 =
																											BGL_OBJECT_CLASS_NUM
																											(BgL_arg1858z00_2954);
																										BgL_arg1867z00_2977 =
																											(BgL_arg1869z00_2978 -
																											OBJECT_TYPE);
																									}
																									BgL_oclassz00_2968 =
																										VECTOR_REF
																										(BgL_arg1866z00_2976,
																										BgL_arg1867z00_2977);
																								}
																								{	/* Module/class.scm 505 */
																									bool_t
																										BgL__ortest_1115z00_2969;
																									BgL__ortest_1115z00_2969 =
																										(BgL_classz00_2952 ==
																										BgL_oclassz00_2968);
																									if (BgL__ortest_1115z00_2969)
																										{	/* Module/class.scm 505 */
																											BgL_res2069z00_2985 =
																												BgL__ortest_1115z00_2969;
																										}
																									else
																										{	/* Module/class.scm 505 */
																											long BgL_odepthz00_2970;

																											{	/* Module/class.scm 505 */
																												obj_t
																													BgL_arg1855z00_2971;
																												BgL_arg1855z00_2971 =
																													(BgL_oclassz00_2968);
																												BgL_odepthz00_2970 =
																													BGL_CLASS_DEPTH
																													(BgL_arg1855z00_2971);
																											}
																											if (
																												(2L <
																													BgL_odepthz00_2970))
																												{	/* Module/class.scm 505 */
																													obj_t
																														BgL_arg1853z00_2973;
																													{	/* Module/class.scm 505 */
																														obj_t
																															BgL_arg1854z00_2974;
																														BgL_arg1854z00_2974
																															=
																															(BgL_oclassz00_2968);
																														BgL_arg1853z00_2973
																															=
																															BGL_CLASS_ANCESTORS_REF
																															(BgL_arg1854z00_2974,
																															2L);
																													}
																													BgL_res2069z00_2985 =
																														(BgL_arg1853z00_2973
																														==
																														BgL_classz00_2952);
																												}
																											else
																												{	/* Module/class.scm 505 */
																													BgL_res2069z00_2985 =
																														((bool_t) 0);
																												}
																										}
																								}
																							}
																							BgL_test2192z00_4560 =
																								BgL_res2069z00_2985;
																						}
																				}
																			else
																				{	/* Module/class.scm 505 */
																					BgL_test2192z00_4560 = ((bool_t) 0);
																				}
																		}
																		if (BgL_test2192z00_4560)
																			{	/* Module/class.scm 505 */
																				obj_t BgL_arg1978z00_2184;

																				{
																					BgL_jclassz00_bglt BgL_auxz00_4583;

																					{
																						obj_t BgL_auxz00_4584;

																						{	/* Module/class.scm 505 */
																							BgL_objectz00_bglt
																								BgL_tmpz00_4585;
																							BgL_tmpz00_4585 =
																								((BgL_objectz00_bglt) (
																									(BgL_typez00_bglt)
																									BgL_superz00_2140));
																							BgL_auxz00_4584 =
																								BGL_OBJECT_WIDENING
																								(BgL_tmpz00_4585);
																						}
																						BgL_auxz00_4583 =
																							((BgL_jclassz00_bglt)
																							BgL_auxz00_4584);
																					}
																					BgL_arg1978z00_2184 =
																						(((BgL_jclassz00_bglt)
																							COBJECT(BgL_auxz00_4583))->
																						BgL_slotsz00);
																				}
																				BgL_test2191z00_4559 =
																					(BgL_arg1978z00_2184 == BUNSPEC);
																			}
																		else
																			{	/* Module/class.scm 505 */
																				BgL_test2191z00_4559 = ((bool_t) 0);
																			}
																	}
																	if (BgL_test2191z00_4559)
																		{	/* Module/class.scm 507 */
																			obj_t BgL_arg1969z00_2175;
																			obj_t BgL_arg1970z00_2176;

																			BgL_arg1969z00_2175 =
																				CDR(((obj_t) BgL_curz00_2133));
																			{	/* Module/class.scm 508 */
																				obj_t BgL_arg1971z00_2177;

																				BgL_arg1971z00_2177 =
																					CAR(((obj_t) BgL_curz00_2133));
																				BgL_arg1970z00_2176 =
																					MAKE_YOUNG_PAIR(BgL_arg1971z00_2177,
																					BgL_nextz00_2134);
																			}
																			{
																				obj_t BgL_nextz00_4598;
																				obj_t BgL_curz00_4597;

																				BgL_curz00_4597 = BgL_arg1969z00_2175;
																				BgL_nextz00_4598 = BgL_arg1970z00_2176;
																				BgL_nextz00_2134 = BgL_nextz00_4598;
																				BgL_curz00_2133 = BgL_curz00_4597;
																				goto
																					BgL_zc3z04anonymousza31925ze3z87_2136;
																			}
																		}
																	else
																		{	/* Module/class.scm 512 */
																			obj_t BgL_arg1972z00_2178;
																			obj_t BgL_arg1973z00_2179;

																			BgL_arg1972z00_2178 =
																				CDR(((obj_t) BgL_curz00_2133));
																			{	/* Module/class.scm 514 */
																				obj_t BgL_arg1974z00_2180;

																				{	/* Module/class.scm 514 */
																					obj_t BgL_arg1975z00_2181;

																					{	/* Module/class.scm 514 */
																						obj_t BgL_pairz00_2992;

																						BgL_pairz00_2992 =
																							CAR(((obj_t) BgL_curz00_2133));
																						BgL_arg1975z00_2181 =
																							CDR(BgL_pairz00_2992);
																					}
																					BgL_arg1974z00_2180 =
																						BGL_PROCEDURE_CALL0
																						(BgL_arg1975z00_2181);
																				}
																				BgL_arg1973z00_2179 =
																					BGl_appendzd221011zd2zzmodule_classz00
																					(BgL_arg1974z00_2180,
																					BgL_accessz00_2135);
																			}
																			{
																				obj_t BgL_accessz00_4609;
																				obj_t BgL_curz00_4608;

																				BgL_curz00_4608 = BgL_arg1972z00_2178;
																				BgL_accessz00_4609 =
																					BgL_arg1973z00_2179;
																				BgL_accessz00_2135 = BgL_accessz00_4609;
																				BgL_curz00_2133 = BgL_curz00_4608;
																				goto
																					BgL_zc3z04anonymousza31925ze3z87_2136;
																			}
																		}
																}
														}
												}
										}
								}
							}
						}
				}
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzmodule_classz00(void)
	{
		{	/* Module/class.scm 15 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzmodule_classz00(void)
	{
		{	/* Module/class.scm 15 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzmodule_classz00(void)
	{
		{	/* Module/class.scm 15 */
			return BUNSPEC;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzmodule_classz00(void)
	{
		{	/* Module/class.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(54713316L,
				BSTRING_TO_STRING(BGl_string2075z00zzmodule_classz00));
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(158397907L,
				BSTRING_TO_STRING(BGl_string2075z00zzmodule_classz00));
			BGl_modulezd2initializa7ationz75zzmodule_impusez00(478324304L,
				BSTRING_TO_STRING(BGl_string2075z00zzmodule_classz00));
			BGl_modulezd2initializa7ationz75zzmodule_includez00(184800657L,
				BSTRING_TO_STRING(BGl_string2075z00zzmodule_classz00));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(216206620L,
				BSTRING_TO_STRING(BGl_string2075z00zzmodule_classz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(161876678L,
				BSTRING_TO_STRING(BGl_string2075z00zzmodule_classz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(365925558L,
				BSTRING_TO_STRING(BGl_string2075z00zzmodule_classz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(300504031L,
				BSTRING_TO_STRING(BGl_string2075z00zzmodule_classz00));
			BGl_modulezd2initializa7ationz75zztools_locationz00(462333240L,
				BSTRING_TO_STRING(BGl_string2075z00zzmodule_classz00));
			BGl_modulezd2initializa7ationz75zztools_miscz00(9470071L,
				BSTRING_TO_STRING(BGl_string2075z00zzmodule_classz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(515343395L,
				BSTRING_TO_STRING(BGl_string2075z00zzmodule_classz00));
			BGl_modulezd2initializa7ationz75zztype_envz00(296457443L,
				BSTRING_TO_STRING(BGl_string2075z00zzmodule_classz00));
			BGl_modulezd2initializa7ationz75zzast_identz00(174885617L,
				BSTRING_TO_STRING(BGl_string2075z00zzmodule_classz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(90839984L,
				BSTRING_TO_STRING(BGl_string2075z00zzmodule_classz00));
			BGl_modulezd2initializa7ationz75zzast_envz00(146730773L,
				BSTRING_TO_STRING(BGl_string2075z00zzmodule_classz00));
			BGl_modulezd2initializa7ationz75zzast_objectz00(520121776L,
				BSTRING_TO_STRING(BGl_string2075z00zzmodule_classz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(469732712L,
				BSTRING_TO_STRING(BGl_string2075z00zzmodule_classz00));
			BGl_modulezd2initializa7ationz75zzobject_classz00(502007119L,
				BSTRING_TO_STRING(BGl_string2075z00zzmodule_classz00));
			BGl_modulezd2initializa7ationz75zzobject_coercionz00(208160543L,
				BSTRING_TO_STRING(BGl_string2075z00zzmodule_classz00));
			BGl_modulezd2initializa7ationz75zzobject_classgenz00(502726840L,
				BSTRING_TO_STRING(BGl_string2075z00zzmodule_classz00));
			return
				BGl_modulezd2initializa7ationz75zzobject_slotsz00(151271251L,
				BSTRING_TO_STRING(BGl_string2075z00zzmodule_classz00));
		}

	}

#ifdef __cplusplus
}
#endif
