/*===========================================================================*/
/*   (Reduce/cse.scm)                                                        */
/*   Bigloo (4.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Jan 27 07:45:49 AM CET 2025     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.6a/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.6a/lib/bigloo/4.6a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -stdc -indent Reduce/cse.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL_REDUCE_CSE_TYPE_DEFINITIONS
#define BGL_REDUCE_CSE_TYPE_DEFINITIONS

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_nullz00;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_qualifiedzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_refz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_refz00_bglt;

	typedef struct BgL_closurez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}                 *BgL_closurez00_bglt;

	typedef struct BgL_kwotez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}               *BgL_kwotez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
		obj_t BgL_metaz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_stackablez00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_switchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_switchz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		struct BgL_nodez00_bgl *BgL_onexitz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_retblockz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                  *BgL_retblockz00_bglt;

	typedef struct BgL_returnz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_retblockz00_bgl *BgL_blockz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                *BgL_returnz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		obj_t BgL_stackablez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}              *BgL_syncz00_bglt;


#endif													// BGL_REDUCE_CSE_TYPE_DEFINITIONS
#endif													// BGL_MODULE_TYPE_DEFINITIONS

	static obj_t BGl_z62nodezd2csez12zd2retblock1355z70zzreduce_csez00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_nodezd2csez12zc0zzreduce_csez00(BgL_nodez00_bglt,
		obj_t);
	extern obj_t BGl_setqz00zzast_nodez00;
	extern obj_t BGl_returnz00zzast_nodez00;
	static obj_t BGl_z62nodezd2csez12zd2closure1327z70zzreduce_csez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62nodezd2csez12zd2letzd2var1367za2zzreduce_csez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzreduce_csez00 = BUNSPEC;
	extern obj_t BGl_closurez00zzast_nodez00;
	extern obj_t BGl_syncz00zzast_nodez00;
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_z62nodezd2csez12zd2boxzd2ref1363za2zzreduce_csez00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	static long BGl_za2csezd2removedza2zd2zzreduce_csez00 = 0L;
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_atomz00zzast_nodez00;
	static obj_t BGl_toplevelzd2initzd2zzreduce_csez00(void);
	static obj_t BGl_z62nodezd2csez12zd2kwote1323z70zzreduce_csez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_sequencez00zzast_nodez00;
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	static obj_t BGl_genericzd2initzd2zzreduce_csez00(void);
	BGL_EXPORTED_DECL obj_t BGl_reducezd2csez12zc0zzreduce_csez00(obj_t);
	static obj_t BGl_objectzd2initzd2zzreduce_csez00(void);
	extern obj_t BGl_castz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	extern obj_t BGl_refz00zzast_nodez00;
	static obj_t
		BGl_z62nodezd2csez12zd2jumpzd2exzd2it1353z70zzreduce_csez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62nodezd2csez12zd2appzd2ly1333za2zzreduce_csez00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_appendzd221011zd2zzreduce_csez00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzreduce_csez00(void);
	extern obj_t BGl_externz00zzast_nodez00;
	static obj_t BGl_z62nodezd2csez12zd2atom1321z70zzreduce_csez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62nodezd2csez12zd2return1357z70zzreduce_csez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62nodezd2csez12zd2extern1337z70zzreduce_csez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62reducezd2csez12za2zzreduce_csez00(obj_t, obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	static obj_t BGl_z62nodezd2csez12zd2switch1347z70zzreduce_csez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62nodezd2csez12zd2makezd2box1359za2zzreduce_csez00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62nodezd2csez12zd2boxzd2setz121361zb0zzreduce_csez00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzreduce_csez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzreduce_samez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_lvtypez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzeffect_effectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcoerce_coercez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	static obj_t BGl_z62nodezd2csez12zd2letzd2fun1349za2zzreduce_csez00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	static obj_t BGl_z62nodezd2csez121318za2zzreduce_csez00(obj_t, obj_t, obj_t);
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_kwotez00zzast_nodez00;
	BGL_IMPORT obj_t create_struct(obj_t, int);
	static obj_t BGl_z62nodezd2csez12zd2setzd2exzd2it1351z70zzreduce_csez00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_z62nodezd2csez12zd2var1325z70zzreduce_csez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_cnstzd2initzd2zzreduce_csez00(void);
	static obj_t BGl_libraryzd2moduleszd2initz00zzreduce_csez00(void);
	static obj_t BGl_z62nodezd2csez12zd2sequence1329z70zzreduce_csez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzreduce_csez00(void);
	static obj_t BGl_gczd2rootszd2initz00zzreduce_csez00(void);
	extern bool_t BGl_samezd2nodezf3z21zzreduce_samez00(BgL_nodez00_bglt,
		BgL_nodez00_bglt, obj_t);
	extern bool_t BGl_sidezd2effectzf3z21zzeffect_effectz00(BgL_nodez00_bglt);
	extern obj_t BGl_retblockz00zzast_nodez00;
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	static obj_t BGl_z62nodezd2csez12zd2cast1339z70zzreduce_csez00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_variablez00zzast_varz00;
	extern obj_t BGl_switchz00zzast_nodez00;
	static obj_t BGl_z62nodezd2csez12zd2setq1341z70zzreduce_csez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	static obj_t BGl_z62nodezd2csez12za2zzreduce_csez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62nodezd2csez12zd2sync1331z70zzreduce_csez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62nodezd2csez12zd2fail1345z70zzreduce_csez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_funcallz00zzast_nodez00;
	static obj_t BGl_z62nodezd2csez12zd2app1365z70zzreduce_csez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62nodezd2csez12zd2funcall1335z70zzreduce_csez00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	static obj_t BGl_nodezd2cseza2z12z62zzreduce_csez00(obj_t, obj_t);
	static obj_t BGl_findzd2stackzd2zzreduce_csez00(BgL_nodez00_bglt, obj_t);
	static obj_t BGl_z62nodezd2csez12zd2conditiona1343z70zzreduce_csez00(obj_t,
		obj_t, obj_t);
	static obj_t __cnst[3];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_reducezd2csez12zd2envz12zzreduce_csez00,
		BgL_bgl_za762reduceza7d2cseza71903za7,
		BGl_z62reducezd2csez12za2zzreduce_csez00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1900z00zzreduce_csez00,
		BgL_bgl_string1900za700za7za7r1904za7, "reduce_cse", 10);
	      DEFINE_STRING(BGl_string1901z00zzreduce_csez00,
		BgL_bgl_string1901za700za7za7r1905za7, "call read node-cse!1318 ", 24);
	      DEFINE_STRING(BGl_string1870z00zzreduce_csez00,
		BgL_bgl_string1870za700za7za7r1906za7, "      cse                    ", 29);
	      DEFINE_STRING(BGl_string1871z00zzreduce_csez00,
		BgL_bgl_string1871za700za7za7r1907za7, "(removed: ", 10);
	      DEFINE_STRING(BGl_string1873z00zzreduce_csez00,
		BgL_bgl_string1873za700za7za7r1908za7, "node-cse!1318", 13);
	      DEFINE_STRING(BGl_string1874z00zzreduce_csez00,
		BgL_bgl_string1874za700za7za7r1909za7, "No method for this object", 25);
	      DEFINE_STRING(BGl_string1876z00zzreduce_csez00,
		BgL_bgl_string1876za700za7za7r1910za7, "node-cse!", 9);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1872z00zzreduce_csez00,
		BgL_bgl_za762nodeza7d2cseza7121911za7,
		BGl_z62nodezd2csez121318za2zzreduce_csez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1875z00zzreduce_csez00,
		BgL_bgl_za762nodeza7d2cseza7121912za7,
		BGl_z62nodezd2csez12zd2atom1321z70zzreduce_csez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1877z00zzreduce_csez00,
		BgL_bgl_za762nodeza7d2cseza7121913za7,
		BGl_z62nodezd2csez12zd2kwote1323z70zzreduce_csez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1878z00zzreduce_csez00,
		BgL_bgl_za762nodeza7d2cseza7121914za7,
		BGl_z62nodezd2csez12zd2var1325z70zzreduce_csez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1879z00zzreduce_csez00,
		BgL_bgl_za762nodeza7d2cseza7121915za7,
		BGl_z62nodezd2csez12zd2closure1327z70zzreduce_csez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1880z00zzreduce_csez00,
		BgL_bgl_za762nodeza7d2cseza7121916za7,
		BGl_z62nodezd2csez12zd2sequence1329z70zzreduce_csez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1881z00zzreduce_csez00,
		BgL_bgl_za762nodeza7d2cseza7121917za7,
		BGl_z62nodezd2csez12zd2sync1331z70zzreduce_csez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1882z00zzreduce_csez00,
		BgL_bgl_za762nodeza7d2cseza7121918za7,
		BGl_z62nodezd2csez12zd2appzd2ly1333za2zzreduce_csez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1883z00zzreduce_csez00,
		BgL_bgl_za762nodeza7d2cseza7121919za7,
		BGl_z62nodezd2csez12zd2funcall1335z70zzreduce_csez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1884z00zzreduce_csez00,
		BgL_bgl_za762nodeza7d2cseza7121920za7,
		BGl_z62nodezd2csez12zd2extern1337z70zzreduce_csez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1885z00zzreduce_csez00,
		BgL_bgl_za762nodeza7d2cseza7121921za7,
		BGl_z62nodezd2csez12zd2cast1339z70zzreduce_csez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1886z00zzreduce_csez00,
		BgL_bgl_za762nodeza7d2cseza7121922za7,
		BGl_z62nodezd2csez12zd2setq1341z70zzreduce_csez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1887z00zzreduce_csez00,
		BgL_bgl_za762nodeza7d2cseza7121923za7,
		BGl_z62nodezd2csez12zd2conditiona1343z70zzreduce_csez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1888z00zzreduce_csez00,
		BgL_bgl_za762nodeza7d2cseza7121924za7,
		BGl_z62nodezd2csez12zd2fail1345z70zzreduce_csez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1889z00zzreduce_csez00,
		BgL_bgl_za762nodeza7d2cseza7121925za7,
		BGl_z62nodezd2csez12zd2switch1347z70zzreduce_csez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1890z00zzreduce_csez00,
		BgL_bgl_za762nodeza7d2cseza7121926za7,
		BGl_z62nodezd2csez12zd2letzd2fun1349za2zzreduce_csez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1891z00zzreduce_csez00,
		BgL_bgl_za762nodeza7d2cseza7121927za7,
		BGl_z62nodezd2csez12zd2setzd2exzd2it1351z70zzreduce_csez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1892z00zzreduce_csez00,
		BgL_bgl_za762nodeza7d2cseza7121928za7,
		BGl_z62nodezd2csez12zd2jumpzd2exzd2it1353z70zzreduce_csez00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1893z00zzreduce_csez00,
		BgL_bgl_za762nodeza7d2cseza7121929za7,
		BGl_z62nodezd2csez12zd2retblock1355z70zzreduce_csez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1894z00zzreduce_csez00,
		BgL_bgl_za762nodeza7d2cseza7121930za7,
		BGl_z62nodezd2csez12zd2return1357z70zzreduce_csez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1895z00zzreduce_csez00,
		BgL_bgl_za762nodeza7d2cseza7121931za7,
		BGl_z62nodezd2csez12zd2makezd2box1359za2zzreduce_csez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1896z00zzreduce_csez00,
		BgL_bgl_za762nodeza7d2cseza7121932za7,
		BGl_z62nodezd2csez12zd2boxzd2setz121361zb0zzreduce_csez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1897z00zzreduce_csez00,
		BgL_bgl_za762nodeza7d2cseza7121933za7,
		BGl_z62nodezd2csez12zd2boxzd2ref1363za2zzreduce_csez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1898z00zzreduce_csez00,
		BgL_bgl_za762nodeza7d2cseza7121934za7,
		BGl_z62nodezd2csez12zd2app1365z70zzreduce_csez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1899z00zzreduce_csez00,
		BgL_bgl_za762nodeza7d2cseza7121935za7,
		BGl_z62nodezd2csez12zd2letzd2var1367za2zzreduce_csez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_GENERIC(BGl_nodezd2csez12zd2envz12zzreduce_csez00,
		BgL_bgl_za762nodeza7d2cseza7121936za7,
		BGl_z62nodezd2csez12za2zzreduce_csez00, 0L, BUNSPEC, 2);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		     ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zzreduce_csez00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzreduce_csez00(long
		BgL_checksumz00_2721, char *BgL_fromz00_2722)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzreduce_csez00))
				{
					BGl_requirezd2initializa7ationz75zzreduce_csez00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzreduce_csez00();
					BGl_libraryzd2moduleszd2initz00zzreduce_csez00();
					BGl_cnstzd2initzd2zzreduce_csez00();
					BGl_importedzd2moduleszd2initz00zzreduce_csez00();
					BGl_genericzd2initzd2zzreduce_csez00();
					BGl_methodzd2initzd2zzreduce_csez00();
					return BGl_toplevelzd2initzd2zzreduce_csez00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzreduce_csez00(void)
	{
		{	/* Reduce/cse.scm 15 */
			BGl_modulezd2initializa7ationz75zz__objectz00(0L, "reduce_cse");
			BGl_modulezd2initializa7ationz75zz__readerz00(0L, "reduce_cse");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(0L, "reduce_cse");
			BGl_modulezd2initializa7ationz75zz__errorz00(0L, "reduce_cse");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(0L, "reduce_cse");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(0L,
				"reduce_cse");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(0L, "reduce_cse");
			BGl_modulezd2initializa7ationz75zz__bitz00(0L, "reduce_cse");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(0L,
				"reduce_cse");
			BGl_modulezd2initializa7ationz75zz__structurez00(0L, "reduce_cse");
			BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(0L,
				"reduce_cse");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(0L,
				"reduce_cse");
			BGl_modulezd2initializa7ationz75zz__biglooz00(0L, "reduce_cse");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzreduce_csez00(void)
	{
		{	/* Reduce/cse.scm 15 */
			{	/* Reduce/cse.scm 15 */
				obj_t BgL_cportz00_2480;

				{	/* Reduce/cse.scm 15 */
					obj_t BgL_stringz00_2487;

					BgL_stringz00_2487 = BGl_string1901z00zzreduce_csez00;
					{	/* Reduce/cse.scm 15 */
						obj_t BgL_startz00_2488;

						BgL_startz00_2488 = BINT(0L);
						{	/* Reduce/cse.scm 15 */
							obj_t BgL_endz00_2489;

							BgL_endz00_2489 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_2487)));
							{	/* Reduce/cse.scm 15 */

								BgL_cportz00_2480 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_2487, BgL_startz00_2488, BgL_endz00_2489);
				}}}}
				{
					long BgL_iz00_2481;

					BgL_iz00_2481 = 2L;
				BgL_loopz00_2482:
					if ((BgL_iz00_2481 == (-1L)))
						{	/* Reduce/cse.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Reduce/cse.scm 15 */
							{	/* Reduce/cse.scm 15 */
								obj_t BgL_arg1902z00_2483;

								{	/* Reduce/cse.scm 15 */

									{	/* Reduce/cse.scm 15 */
										obj_t BgL_locationz00_2485;

										BgL_locationz00_2485 = BBOOL(((bool_t) 0));
										{	/* Reduce/cse.scm 15 */

											BgL_arg1902z00_2483 =
												BGl_readz00zz__readerz00(BgL_cportz00_2480,
												BgL_locationz00_2485);
										}
									}
								}
								{	/* Reduce/cse.scm 15 */
									int BgL_tmpz00_2755;

									BgL_tmpz00_2755 = (int) (BgL_iz00_2481);
									CNST_TABLE_SET(BgL_tmpz00_2755, BgL_arg1902z00_2483);
							}}
							{	/* Reduce/cse.scm 15 */
								int BgL_auxz00_2486;

								BgL_auxz00_2486 = (int) ((BgL_iz00_2481 - 1L));
								{
									long BgL_iz00_2760;

									BgL_iz00_2760 = (long) (BgL_auxz00_2486);
									BgL_iz00_2481 = BgL_iz00_2760;
									goto BgL_loopz00_2482;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzreduce_csez00(void)
	{
		{	/* Reduce/cse.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzreduce_csez00(void)
	{
		{	/* Reduce/cse.scm 15 */
			BGl_za2csezd2removedza2zd2zzreduce_csez00 = 0L;
			return BUNSPEC;
		}

	}



/* append-21011 */
	obj_t BGl_appendzd221011zd2zzreduce_csez00(obj_t BgL_l1z00_1,
		obj_t BgL_l2z00_2)
	{
		{
			if (NULLP(BgL_l1z00_1))
				{
					return BgL_l2z00_2;
				}
			else
				{
					obj_t BgL_headz00_1414;

					BgL_headz00_1414 = MAKE_YOUNG_PAIR(BNIL, BgL_l2z00_2);
					{
						obj_t BgL_prevz00_1415;
						obj_t BgL_tailz00_1416;

						BgL_prevz00_1415 = BgL_headz00_1414;
						BgL_tailz00_1416 = BgL_l1z00_1;
					BgL_loopz00_1417:
						if (PAIRP(BgL_tailz00_1416))
							{
								obj_t BgL_newzd2prevzd2_1419;

								BgL_newzd2prevzd2_1419 =
									MAKE_YOUNG_PAIR(CAR(BgL_tailz00_1416), BgL_l2z00_2);
								SET_CDR(BgL_prevz00_1415, BgL_newzd2prevzd2_1419);
								{
									obj_t BgL_tailz00_2772;
									obj_t BgL_prevz00_2771;

									BgL_prevz00_2771 = BgL_newzd2prevzd2_1419;
									BgL_tailz00_2772 = CDR(BgL_tailz00_1416);
									BgL_tailz00_1416 = BgL_tailz00_2772;
									BgL_prevz00_1415 = BgL_prevz00_2771;
									goto BgL_loopz00_1417;
								}
							}
						else
							{
								BNIL;
							}
						return CDR(BgL_headz00_1414);
					}
				}
		}

	}



/* reduce-cse! */
	BGL_EXPORTED_DEF obj_t BGl_reducezd2csez12zc0zzreduce_csez00(obj_t
		BgL_globalsz00_3)
	{
		{	/* Reduce/cse.scm 34 */
			{	/* Reduce/cse.scm 35 */
				obj_t BgL_list1372z00_1422;

				BgL_list1372z00_1422 =
					MAKE_YOUNG_PAIR(BGl_string1870z00zzreduce_csez00, BNIL);
				BGl_verbosez00zztools_speekz00(BINT(2L), BgL_list1372z00_1422);
			}
			BGl_za2csezd2removedza2zd2zzreduce_csez00 = 0L;
			{
				obj_t BgL_l1257z00_1424;

				BgL_l1257z00_1424 = BgL_globalsz00_3;
			BgL_zc3z04anonymousza31373ze3z87_1425:
				if (PAIRP(BgL_l1257z00_1424))
					{	/* Reduce/cse.scm 37 */
						{	/* Reduce/cse.scm 38 */
							obj_t BgL_globalz00_1427;

							BgL_globalz00_1427 = CAR(BgL_l1257z00_1424);
							{	/* Reduce/cse.scm 38 */
								BgL_valuez00_bglt BgL_funz00_1428;

								BgL_funz00_1428 =
									(((BgL_variablez00_bglt) COBJECT(
											((BgL_variablez00_bglt)
												((BgL_globalz00_bglt) BgL_globalz00_1427))))->
									BgL_valuez00);
								{	/* Reduce/cse.scm 38 */
									obj_t BgL_nodez00_1429;

									BgL_nodez00_1429 =
										(((BgL_sfunz00_bglt) COBJECT(
												((BgL_sfunz00_bglt) BgL_funz00_1428)))->BgL_bodyz00);
									{	/* Reduce/cse.scm 39 */

										{	/* Reduce/cse.scm 40 */
											obj_t BgL_arg1376z00_1430;

											{	/* Reduce/cse.scm 40 */
												obj_t BgL__z00_1431;

												BgL__z00_1431 =
													BGl_nodezd2csez12zc0zzreduce_csez00(
													((BgL_nodez00_bglt) BgL_nodez00_1429), BNIL);
												{	/* Reduce/cse.scm 41 */
													obj_t BgL_nodez00_1432;

													{	/* Reduce/cse.scm 41 */
														obj_t BgL_tmpz00_2014;

														{	/* Reduce/cse.scm 41 */
															int BgL_tmpz00_2788;

															BgL_tmpz00_2788 = (int) (1L);
															BgL_tmpz00_2014 =
																BGL_MVALUES_VAL(BgL_tmpz00_2788);
														}
														{	/* Reduce/cse.scm 41 */
															int BgL_tmpz00_2791;

															BgL_tmpz00_2791 = (int) (1L);
															BGL_MVALUES_VAL_SET(BgL_tmpz00_2791, BUNSPEC);
														}
														BgL_nodez00_1432 = BgL_tmpz00_2014;
													}
													BgL_arg1376z00_1430 = BgL_nodez00_1432;
											}}
											((((BgL_sfunz00_bglt) COBJECT(
															((BgL_sfunz00_bglt) BgL_funz00_1428)))->
													BgL_bodyz00) =
												((obj_t) BgL_arg1376z00_1430), BUNSPEC);
										} BUNSPEC;
						}}}}
						{
							obj_t BgL_l1257z00_2796;

							BgL_l1257z00_2796 = CDR(BgL_l1257z00_1424);
							BgL_l1257z00_1424 = BgL_l1257z00_2796;
							goto BgL_zc3z04anonymousza31373ze3z87_1425;
						}
					}
				else
					{	/* Reduce/cse.scm 37 */
						((bool_t) 1);
					}
			}
			{	/* Reduce/cse.scm 45 */
				obj_t BgL_list1380z00_1435;

				{	/* Reduce/cse.scm 45 */
					obj_t BgL_arg1382z00_1436;

					{	/* Reduce/cse.scm 45 */
						obj_t BgL_arg1383z00_1437;

						{	/* Reduce/cse.scm 45 */
							obj_t BgL_arg1385z00_1438;

							BgL_arg1385z00_1438 =
								MAKE_YOUNG_PAIR(BCHAR(((unsigned char) 10)), BNIL);
							BgL_arg1383z00_1437 =
								MAKE_YOUNG_PAIR(BCHAR(((unsigned char) ')')),
								BgL_arg1385z00_1438);
						}
						BgL_arg1382z00_1436 =
							MAKE_YOUNG_PAIR(BINT(BGl_za2csezd2removedza2zd2zzreduce_csez00),
							BgL_arg1383z00_1437);
					}
					BgL_list1380z00_1435 =
						MAKE_YOUNG_PAIR(BGl_string1871z00zzreduce_csez00,
						BgL_arg1382z00_1436);
				}
				BGl_verbosez00zztools_speekz00(BINT(2L), BgL_list1380z00_1435);
			}
			return BgL_globalsz00_3;
		}

	}



/* &reduce-cse! */
	obj_t BGl_z62reducezd2csez12za2zzreduce_csez00(obj_t BgL_envz00_2374,
		obj_t BgL_globalsz00_2375)
	{
		{	/* Reduce/cse.scm 34 */
			return BGl_reducezd2csez12zc0zzreduce_csez00(BgL_globalsz00_2375);
		}

	}



/* node-cse*! */
	obj_t BGl_nodezd2cseza2z12z62zzreduce_csez00(obj_t BgL_nodeza2za2_54,
		obj_t BgL_stackz00_55)
	{
		{	/* Reduce/cse.scm 383 */
			{
				obj_t BgL_nodeza2za2_1440;
				bool_t BgL_resetz00_1441;
				obj_t BgL_stackz00_1442;

				BgL_nodeza2za2_1440 = BgL_nodeza2za2_54;
				BgL_resetz00_1441 = ((bool_t) 0);
				BgL_stackz00_1442 = BgL_stackz00_55;
			BgL_zc3z04anonymousza31386ze3z87_1443:
				if (NULLP(BgL_nodeza2za2_1440))
					{	/* Reduce/cse.scm 388 */
						return BBOOL(BgL_resetz00_1441);
					}
				else
					{	/* Reduce/cse.scm 388 */
						if (NULLP(CDR(((obj_t) BgL_nodeza2za2_1440))))
							{	/* Reduce/cse.scm 391 */
								obj_t BgL_resetz72z72_1447;

								{	/* Reduce/cse.scm 392 */
									obj_t BgL_arg1392z00_1450;

									BgL_arg1392z00_1450 = CAR(((obj_t) BgL_nodeza2za2_1440));
									BgL_resetz72z72_1447 =
										BGl_nodezd2csez12zc0zzreduce_csez00(
										((BgL_nodez00_bglt) BgL_arg1392z00_1450),
										BgL_stackz00_1442);
								}
								{	/* Reduce/cse.scm 392 */
									obj_t BgL_nodez00_1448;

									{	/* Reduce/cse.scm 393 */
										obj_t BgL_tmpz00_2019;

										{	/* Reduce/cse.scm 393 */
											int BgL_tmpz00_2819;

											BgL_tmpz00_2819 = (int) (1L);
											BgL_tmpz00_2019 = BGL_MVALUES_VAL(BgL_tmpz00_2819);
										}
										{	/* Reduce/cse.scm 393 */
											int BgL_tmpz00_2822;

											BgL_tmpz00_2822 = (int) (1L);
											BGL_MVALUES_VAL_SET(BgL_tmpz00_2822, BUNSPEC);
										}
										BgL_nodez00_1448 = BgL_tmpz00_2019;
									}
									{	/* Reduce/cse.scm 393 */
										obj_t BgL_tmpz00_2825;

										BgL_tmpz00_2825 = ((obj_t) BgL_nodeza2za2_1440);
										SET_CAR(BgL_tmpz00_2825, BgL_nodez00_1448);
									}
									if (BgL_resetz00_1441)
										{	/* Reduce/cse.scm 394 */
											return BBOOL(BgL_resetz00_1441);
										}
									else
										{	/* Reduce/cse.scm 394 */
											return BgL_resetz72z72_1447;
										}
								}
							}
						else
							{	/* Reduce/cse.scm 396 */
								obj_t BgL_resetz72z72_1451;

								{	/* Reduce/cse.scm 397 */
									obj_t BgL_arg1402z00_1456;

									BgL_arg1402z00_1456 = CAR(((obj_t) BgL_nodeza2za2_1440));
									BgL_resetz72z72_1451 =
										BGl_nodezd2csez12zc0zzreduce_csez00(
										((BgL_nodez00_bglt) BgL_arg1402z00_1456),
										BgL_stackz00_1442);
								}
								{	/* Reduce/cse.scm 397 */
									obj_t BgL_nodez00_1452;

									{	/* Reduce/cse.scm 398 */
										obj_t BgL_tmpz00_2022;

										{	/* Reduce/cse.scm 398 */
											int BgL_tmpz00_2834;

											BgL_tmpz00_2834 = (int) (1L);
											BgL_tmpz00_2022 = BGL_MVALUES_VAL(BgL_tmpz00_2834);
										}
										{	/* Reduce/cse.scm 398 */
											int BgL_tmpz00_2837;

											BgL_tmpz00_2837 = (int) (1L);
											BGL_MVALUES_VAL_SET(BgL_tmpz00_2837, BUNSPEC);
										}
										BgL_nodez00_1452 = BgL_tmpz00_2022;
									}
									{	/* Reduce/cse.scm 398 */
										obj_t BgL_tmpz00_2840;

										BgL_tmpz00_2840 = ((obj_t) BgL_nodeza2za2_1440);
										SET_CAR(BgL_tmpz00_2840, BgL_nodez00_1452);
									}
									{	/* Reduce/cse.scm 399 */
										bool_t BgL_test1945z00_2843;

										if (BgL_resetz00_1441)
											{	/* Reduce/cse.scm 399 */
												BgL_test1945z00_2843 = ((bool_t) 1);
											}
										else
											{	/* Reduce/cse.scm 399 */
												BgL_test1945z00_2843 = CBOOL(BgL_resetz72z72_1451);
											}
										if (BgL_test1945z00_2843)
											{	/* Reduce/cse.scm 400 */
												obj_t BgL_arg1400z00_1454;

												BgL_arg1400z00_1454 =
													CDR(((obj_t) BgL_nodeza2za2_1440));
												{
													obj_t BgL_stackz00_2850;
													bool_t BgL_resetz00_2849;
													obj_t BgL_nodeza2za2_2848;

													BgL_nodeza2za2_2848 = BgL_arg1400z00_1454;
													BgL_resetz00_2849 = ((bool_t) 1);
													BgL_stackz00_2850 = BNIL;
													BgL_stackz00_1442 = BgL_stackz00_2850;
													BgL_resetz00_1441 = BgL_resetz00_2849;
													BgL_nodeza2za2_1440 = BgL_nodeza2za2_2848;
													goto BgL_zc3z04anonymousza31386ze3z87_1443;
												}
											}
										else
											{	/* Reduce/cse.scm 401 */
												obj_t BgL_arg1401z00_1455;

												BgL_arg1401z00_1455 =
													CDR(((obj_t) BgL_nodeza2za2_1440));
												{
													bool_t BgL_resetz00_2854;
													obj_t BgL_nodeza2za2_2853;

													BgL_nodeza2za2_2853 = BgL_arg1401z00_1455;
													BgL_resetz00_2854 = ((bool_t) 0);
													BgL_resetz00_1441 = BgL_resetz00_2854;
													BgL_nodeza2za2_1440 = BgL_nodeza2za2_2853;
													goto BgL_zc3z04anonymousza31386ze3z87_1443;
												}
											}
									}
								}
							}
					}
			}
		}

	}



/* find-stack */
	obj_t BGl_findzd2stackzd2zzreduce_csez00(BgL_nodez00_bglt BgL_nodez00_66,
		obj_t BgL_stackz00_67)
	{
		{	/* Reduce/cse.scm 415 */
			{
				obj_t BgL_stackz00_1471;

				BgL_stackz00_1471 = BgL_stackz00_67;
			BgL_zc3z04anonymousza31447ze3z87_1472:
				if (NULLP(BgL_stackz00_1471))
					{	/* Reduce/cse.scm 419 */
						return BFALSE;
					}
				else
					{	/* Reduce/cse.scm 421 */
						bool_t BgL_test1948z00_2857;

						{	/* Reduce/cse.scm 421 */
							obj_t BgL_arg1487z00_1479;

							{	/* Reduce/cse.scm 406 */
								obj_t BgL_sz00_2034;

								BgL_sz00_2034 = CAR(((obj_t) BgL_stackz00_1471));
								BgL_arg1487z00_1479 = STRUCT_REF(BgL_sz00_2034, (int) (0L));
							}
							BgL_test1948z00_2857 =
								BGl_samezd2nodezf3z21zzreduce_samez00(BgL_nodez00_66,
								((BgL_nodez00_bglt) BgL_arg1487z00_1479), BNIL);
						}
						if (BgL_test1948z00_2857)
							{	/* Reduce/cse.scm 406 */
								obj_t BgL_sz00_2036;

								BgL_sz00_2036 = CAR(((obj_t) BgL_stackz00_1471));
								return STRUCT_REF(BgL_sz00_2036, (int) (1L));
							}
						else
							{	/* Reduce/cse.scm 424 */
								obj_t BgL_arg1484z00_1478;

								BgL_arg1484z00_1478 = CDR(((obj_t) BgL_stackz00_1471));
								{
									obj_t BgL_stackz00_2870;

									BgL_stackz00_2870 = BgL_arg1484z00_1478;
									BgL_stackz00_1471 = BgL_stackz00_2870;
									goto BgL_zc3z04anonymousza31447ze3z87_1472;
								}
							}
					}
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzreduce_csez00(void)
	{
		{	/* Reduce/cse.scm 15 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzreduce_csez00(void)
	{
		{	/* Reduce/cse.scm 15 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_nodezd2csez12zd2envz12zzreduce_csez00,
				BGl_proc1872z00zzreduce_csez00, BGl_nodez00zzast_nodez00,
				BGl_string1873z00zzreduce_csez00);
		}

	}



/* &node-cse!1318 */
	obj_t BGl_z62nodezd2csez121318za2zzreduce_csez00(obj_t BgL_envz00_2377,
		obj_t BgL_nodez00_2378, obj_t BgL_stackz00_2379)
	{
		{	/* Reduce/cse.scm 58 */
			return
				BGl_errorz00zz__errorz00(
				((obj_t)
					CNST_TABLE_REF(0)), BGl_string1874z00zzreduce_csez00,
				((obj_t) ((BgL_nodez00_bglt) BgL_nodez00_2378)));
		}

	}



/* node-cse! */
	BGL_EXPORTED_DEF obj_t BGl_nodezd2csez12zc0zzreduce_csez00(BgL_nodez00_bglt
		BgL_nodez00_4, obj_t BgL_stackz00_5)
	{
		{	/* Reduce/cse.scm 58 */
			{	/* Reduce/cse.scm 58 */
				obj_t BgL_method1319z00_1487;

				{	/* Reduce/cse.scm 58 */
					obj_t BgL_res1862z00_2068;

					{	/* Reduce/cse.scm 58 */
						long BgL_objzd2classzd2numz00_2039;

						BgL_objzd2classzd2numz00_2039 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_4));
						{	/* Reduce/cse.scm 58 */
							obj_t BgL_arg1862z00_2040;

							BgL_arg1862z00_2040 =
								PROCEDURE_REF(BGl_nodezd2csez12zd2envz12zzreduce_csez00,
								(int) (1L));
							{	/* Reduce/cse.scm 58 */
								int BgL_offsetz00_2043;

								BgL_offsetz00_2043 = (int) (BgL_objzd2classzd2numz00_2039);
								{	/* Reduce/cse.scm 58 */
									long BgL_offsetz00_2044;

									BgL_offsetz00_2044 =
										((long) (BgL_offsetz00_2043) - OBJECT_TYPE);
									{	/* Reduce/cse.scm 58 */
										long BgL_modz00_2045;

										BgL_modz00_2045 =
											(BgL_offsetz00_2044 >> (int) ((long) ((int) (4L))));
										{	/* Reduce/cse.scm 58 */
											long BgL_restz00_2047;

											BgL_restz00_2047 =
												(BgL_offsetz00_2044 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(1L <<
																		(int) ((long) ((int) (4L)))))) - 1L))));
											{	/* Reduce/cse.scm 58 */

												{	/* Reduce/cse.scm 58 */
													obj_t BgL_bucketz00_2049;

													BgL_bucketz00_2049 =
														VECTOR_REF(
														((obj_t) BgL_arg1862z00_2040), BgL_modz00_2045);
													BgL_res1862z00_2068 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_2049), BgL_restz00_2047);
					}}}}}}}}
					BgL_method1319z00_1487 = BgL_res1862z00_2068;
				}
				return
					BGL_PROCEDURE_CALL2(BgL_method1319z00_1487,
					((obj_t) BgL_nodez00_4), BgL_stackz00_5);
			}
		}

	}



/* &node-cse! */
	obj_t BGl_z62nodezd2csez12za2zzreduce_csez00(obj_t BgL_envz00_2380,
		obj_t BgL_nodez00_2381, obj_t BgL_stackz00_2382)
	{
		{	/* Reduce/cse.scm 58 */
			return
				BGl_nodezd2csez12zc0zzreduce_csez00(
				((BgL_nodez00_bglt) BgL_nodez00_2381), BgL_stackz00_2382);
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzreduce_csez00(void)
	{
		{	/* Reduce/cse.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2csez12zd2envz12zzreduce_csez00, BGl_atomz00zzast_nodez00,
				BGl_proc1875z00zzreduce_csez00, BGl_string1876z00zzreduce_csez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2csez12zd2envz12zzreduce_csez00, BGl_kwotez00zzast_nodez00,
				BGl_proc1877z00zzreduce_csez00, BGl_string1876z00zzreduce_csez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2csez12zd2envz12zzreduce_csez00, BGl_varz00zzast_nodez00,
				BGl_proc1878z00zzreduce_csez00, BGl_string1876z00zzreduce_csez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2csez12zd2envz12zzreduce_csez00, BGl_closurez00zzast_nodez00,
				BGl_proc1879z00zzreduce_csez00, BGl_string1876z00zzreduce_csez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2csez12zd2envz12zzreduce_csez00,
				BGl_sequencez00zzast_nodez00, BGl_proc1880z00zzreduce_csez00,
				BGl_string1876z00zzreduce_csez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2csez12zd2envz12zzreduce_csez00, BGl_syncz00zzast_nodez00,
				BGl_proc1881z00zzreduce_csez00, BGl_string1876z00zzreduce_csez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2csez12zd2envz12zzreduce_csez00,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc1882z00zzreduce_csez00,
				BGl_string1876z00zzreduce_csez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2csez12zd2envz12zzreduce_csez00, BGl_funcallz00zzast_nodez00,
				BGl_proc1883z00zzreduce_csez00, BGl_string1876z00zzreduce_csez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2csez12zd2envz12zzreduce_csez00, BGl_externz00zzast_nodez00,
				BGl_proc1884z00zzreduce_csez00, BGl_string1876z00zzreduce_csez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2csez12zd2envz12zzreduce_csez00, BGl_castz00zzast_nodez00,
				BGl_proc1885z00zzreduce_csez00, BGl_string1876z00zzreduce_csez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2csez12zd2envz12zzreduce_csez00, BGl_setqz00zzast_nodez00,
				BGl_proc1886z00zzreduce_csez00, BGl_string1876z00zzreduce_csez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2csez12zd2envz12zzreduce_csez00,
				BGl_conditionalz00zzast_nodez00, BGl_proc1887z00zzreduce_csez00,
				BGl_string1876z00zzreduce_csez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2csez12zd2envz12zzreduce_csez00, BGl_failz00zzast_nodez00,
				BGl_proc1888z00zzreduce_csez00, BGl_string1876z00zzreduce_csez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2csez12zd2envz12zzreduce_csez00, BGl_switchz00zzast_nodez00,
				BGl_proc1889z00zzreduce_csez00, BGl_string1876z00zzreduce_csez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2csez12zd2envz12zzreduce_csez00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc1890z00zzreduce_csez00,
				BGl_string1876z00zzreduce_csez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2csez12zd2envz12zzreduce_csez00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc1891z00zzreduce_csez00,
				BGl_string1876z00zzreduce_csez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2csez12zd2envz12zzreduce_csez00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc1892z00zzreduce_csez00,
				BGl_string1876z00zzreduce_csez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2csez12zd2envz12zzreduce_csez00,
				BGl_retblockz00zzast_nodez00, BGl_proc1893z00zzreduce_csez00,
				BGl_string1876z00zzreduce_csez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2csez12zd2envz12zzreduce_csez00, BGl_returnz00zzast_nodez00,
				BGl_proc1894z00zzreduce_csez00, BGl_string1876z00zzreduce_csez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2csez12zd2envz12zzreduce_csez00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc1895z00zzreduce_csez00,
				BGl_string1876z00zzreduce_csez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2csez12zd2envz12zzreduce_csez00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc1896z00zzreduce_csez00,
				BGl_string1876z00zzreduce_csez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2csez12zd2envz12zzreduce_csez00,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc1897z00zzreduce_csez00,
				BGl_string1876z00zzreduce_csez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2csez12zd2envz12zzreduce_csez00, BGl_appz00zzast_nodez00,
				BGl_proc1898z00zzreduce_csez00, BGl_string1876z00zzreduce_csez00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2csez12zd2envz12zzreduce_csez00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc1899z00zzreduce_csez00,
				BGl_string1876z00zzreduce_csez00);
		}

	}



/* &node-cse!-let-var1367 */
	obj_t BGl_z62nodezd2csez12zd2letzd2var1367za2zzreduce_csez00(obj_t
		BgL_envz00_2407, obj_t BgL_nodez00_2408, obj_t BgL_stackz00_2409)
	{
		{	/* Reduce/cse.scm 328 */
			{
				obj_t BgL_bindingsz00_2494;
				bool_t BgL_resetz00_2495;
				obj_t BgL_extendz00_2496;

				BgL_bindingsz00_2494 =
					(((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_nodez00_2408)))->BgL_bindingsz00);
				BgL_resetz00_2495 = ((bool_t) 0);
				BgL_extendz00_2496 = BNIL;
			BgL_loopz00_2493:
				if (NULLP(BgL_bindingsz00_2494))
					{	/* Reduce/cse.scm 334 */
						obj_t BgL_stackz72z72_2497;

						if (BgL_resetz00_2495)
							{	/* Reduce/cse.scm 334 */
								BgL_stackz72z72_2497 = BNIL;
							}
						else
							{	/* Reduce/cse.scm 334 */
								BgL_stackz72z72_2497 =
									BGl_appendzd221011zd2zzreduce_csez00(BgL_extendz00_2496,
									BgL_stackz00_2409);
							}
						{	/* Reduce/cse.scm 335 */
							obj_t BgL_resetz72z72_2498;

							BgL_resetz72z72_2498 =
								BGl_nodezd2csez12zc0zzreduce_csez00(
								(((BgL_letzd2varzd2_bglt) COBJECT(
											((BgL_letzd2varzd2_bglt) BgL_nodez00_2408)))->
									BgL_bodyz00), BgL_stackz72z72_2497);
							{	/* Reduce/cse.scm 336 */
								obj_t BgL_nbodyz00_2499;

								{	/* Reduce/cse.scm 337 */
									obj_t BgL_tmpz00_2500;

									{	/* Reduce/cse.scm 337 */
										int BgL_tmpz00_2941;

										BgL_tmpz00_2941 = (int) (1L);
										BgL_tmpz00_2500 = BGL_MVALUES_VAL(BgL_tmpz00_2941);
									}
									{	/* Reduce/cse.scm 337 */
										int BgL_tmpz00_2944;

										BgL_tmpz00_2944 = (int) (1L);
										BGL_MVALUES_VAL_SET(BgL_tmpz00_2944, BUNSPEC);
									}
									BgL_nbodyz00_2499 = BgL_tmpz00_2500;
								}
								((((BgL_letzd2varzd2_bglt) COBJECT(
												((BgL_letzd2varzd2_bglt) BgL_nodez00_2408)))->
										BgL_bodyz00) =
									((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_nbodyz00_2499)),
									BUNSPEC);
								{	/* Reduce/cse.scm 339 */
									bool_t BgL_test1951z00_2950;

									if (BgL_resetz00_2495)
										{	/* Reduce/cse.scm 339 */
											BgL_test1951z00_2950 = ((bool_t) 1);
										}
									else
										{	/* Reduce/cse.scm 339 */
											BgL_test1951z00_2950 = CBOOL(BgL_resetz72z72_2498);
										}
									if (BgL_test1951z00_2950)
										{	/* Reduce/cse.scm 339 */
											{	/* Reduce/cse.scm 340 */
												int BgL_tmpz00_2953;

												BgL_tmpz00_2953 = (int) (2L);
												BGL_MVALUES_NUMBER_SET(BgL_tmpz00_2953);
											}
											{	/* Reduce/cse.scm 340 */
												obj_t BgL_auxz00_2958;
												int BgL_tmpz00_2956;

												BgL_auxz00_2958 =
													((obj_t) ((BgL_letzd2varzd2_bglt) BgL_nodez00_2408));
												BgL_tmpz00_2956 = (int) (1L);
												BGL_MVALUES_VAL_SET(BgL_tmpz00_2956, BgL_auxz00_2958);
											}
											return BTRUE;
										}
									else
										{	/* Reduce/cse.scm 339 */
											if (BGl_sidezd2effectzf3z21zzeffect_effectz00(
													((BgL_nodez00_bglt)
														((BgL_letzd2varzd2_bglt) BgL_nodez00_2408))))
												{	/* Reduce/cse.scm 341 */
													{	/* Reduce/cse.scm 342 */
														int BgL_tmpz00_2966;

														BgL_tmpz00_2966 = (int) (2L);
														BGL_MVALUES_NUMBER_SET(BgL_tmpz00_2966);
													}
													{	/* Reduce/cse.scm 342 */
														obj_t BgL_auxz00_2971;
														int BgL_tmpz00_2969;

														BgL_auxz00_2971 =
															((obj_t)
															((BgL_letzd2varzd2_bglt) BgL_nodez00_2408));
														BgL_tmpz00_2969 = (int) (1L);
														BGL_MVALUES_VAL_SET(BgL_tmpz00_2969,
															BgL_auxz00_2971);
													}
													return BFALSE;
												}
											else
												{	/* Reduce/cse.scm 344 */
													obj_t BgL_previousz00_2503;

													BgL_previousz00_2503 =
														BGl_findzd2stackzd2zzreduce_csez00(
														((BgL_nodez00_bglt)
															((BgL_letzd2varzd2_bglt) BgL_nodez00_2408)),
														BgL_stackz00_2409);
													{	/* Reduce/cse.scm 346 */
														bool_t BgL_test1954z00_2978;

														{	/* Reduce/cse.scm 346 */
															obj_t BgL_classz00_2504;

															BgL_classz00_2504 = BGl_variablez00zzast_varz00;
															if (BGL_OBJECTP(BgL_previousz00_2503))
																{	/* Reduce/cse.scm 346 */
																	BgL_objectz00_bglt BgL_arg1858z00_2505;

																	BgL_arg1858z00_2505 =
																		(BgL_objectz00_bglt) (BgL_previousz00_2503);
																	if (BGL_CONDEXPAND_ISA_ARCH64())
																		{	/* Reduce/cse.scm 346 */
																			long BgL_idxz00_2506;

																			BgL_idxz00_2506 =
																				BGL_OBJECT_INHERITANCE_NUM
																				(BgL_arg1858z00_2505);
																			BgL_test1954z00_2978 =
																				(VECTOR_REF
																				(BGl_za2inheritancesza2z00zz__objectz00,
																					(BgL_idxz00_2506 + 1L)) ==
																				BgL_classz00_2504);
																		}
																	else
																		{	/* Reduce/cse.scm 346 */
																			bool_t BgL_res1864z00_2509;

																			{	/* Reduce/cse.scm 346 */
																				obj_t BgL_oclassz00_2510;

																				{	/* Reduce/cse.scm 346 */
																					obj_t BgL_arg1866z00_2511;
																					long BgL_arg1867z00_2512;

																					BgL_arg1866z00_2511 =
																						(BGl_za2classesza2z00zz__objectz00);
																					{	/* Reduce/cse.scm 346 */
																						long BgL_arg1869z00_2513;

																						BgL_arg1869z00_2513 =
																							BGL_OBJECT_CLASS_NUM
																							(BgL_arg1858z00_2505);
																						BgL_arg1867z00_2512 =
																							(BgL_arg1869z00_2513 -
																							OBJECT_TYPE);
																					}
																					BgL_oclassz00_2510 =
																						VECTOR_REF(BgL_arg1866z00_2511,
																						BgL_arg1867z00_2512);
																				}
																				{	/* Reduce/cse.scm 346 */
																					bool_t BgL__ortest_1115z00_2514;

																					BgL__ortest_1115z00_2514 =
																						(BgL_classz00_2504 ==
																						BgL_oclassz00_2510);
																					if (BgL__ortest_1115z00_2514)
																						{	/* Reduce/cse.scm 346 */
																							BgL_res1864z00_2509 =
																								BgL__ortest_1115z00_2514;
																						}
																					else
																						{	/* Reduce/cse.scm 346 */
																							long BgL_odepthz00_2515;

																							{	/* Reduce/cse.scm 346 */
																								obj_t BgL_arg1855z00_2516;

																								BgL_arg1855z00_2516 =
																									(BgL_oclassz00_2510);
																								BgL_odepthz00_2515 =
																									BGL_CLASS_DEPTH
																									(BgL_arg1855z00_2516);
																							}
																							if ((1L < BgL_odepthz00_2515))
																								{	/* Reduce/cse.scm 346 */
																									obj_t BgL_arg1853z00_2517;

																									{	/* Reduce/cse.scm 346 */
																										obj_t BgL_arg1854z00_2518;

																										BgL_arg1854z00_2518 =
																											(BgL_oclassz00_2510);
																										BgL_arg1853z00_2517 =
																											BGL_CLASS_ANCESTORS_REF
																											(BgL_arg1854z00_2518, 1L);
																									}
																									BgL_res1864z00_2509 =
																										(BgL_arg1853z00_2517 ==
																										BgL_classz00_2504);
																								}
																							else
																								{	/* Reduce/cse.scm 346 */
																									BgL_res1864z00_2509 =
																										((bool_t) 0);
																								}
																						}
																				}
																			}
																			BgL_test1954z00_2978 =
																				BgL_res1864z00_2509;
																		}
																}
															else
																{	/* Reduce/cse.scm 346 */
																	BgL_test1954z00_2978 = ((bool_t) 0);
																}
														}
														if (BgL_test1954z00_2978)
															{	/* Reduce/cse.scm 346 */
																BGl_za2csezd2removedza2zd2zzreduce_csez00 =
																	(1L +
																	BGl_za2csezd2removedza2zd2zzreduce_csez00);
																{	/* Reduce/cse.scm 350 */
																	BgL_refz00_bglt BgL_val1_1314z00_2519;

																	{	/* Reduce/cse.scm 350 */
																		BgL_refz00_bglt BgL_new1141z00_2520;

																		{	/* Reduce/cse.scm 353 */
																			BgL_refz00_bglt BgL_new1140z00_2521;

																			BgL_new1140z00_2521 =
																				((BgL_refz00_bglt)
																				BOBJECT(GC_MALLOC(sizeof(struct
																							BgL_refz00_bgl))));
																			{	/* Reduce/cse.scm 353 */
																				long BgL_arg1660z00_2522;

																				BgL_arg1660z00_2522 =
																					BGL_CLASS_NUM
																					(BGl_refz00zzast_nodez00);
																				BGL_OBJECT_CLASS_NUM_SET((
																						(BgL_objectz00_bglt)
																						BgL_new1140z00_2521),
																					BgL_arg1660z00_2522);
																			}
																			{	/* Reduce/cse.scm 353 */
																				BgL_objectz00_bglt BgL_tmpz00_3006;

																				BgL_tmpz00_3006 =
																					((BgL_objectz00_bglt)
																					BgL_new1140z00_2521);
																				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3006,
																					BFALSE);
																			}
																			((BgL_objectz00_bglt)
																				BgL_new1140z00_2521);
																			BgL_new1141z00_2520 = BgL_new1140z00_2521;
																		}
																		((((BgL_nodez00_bglt) COBJECT(
																						((BgL_nodez00_bglt)
																							BgL_new1141z00_2520)))->
																				BgL_locz00) =
																			((obj_t) (((BgL_nodez00_bglt)
																						COBJECT(((BgL_nodez00_bglt) (
																									(BgL_letzd2varzd2_bglt)
																									BgL_nodez00_2408))))->
																					BgL_locz00)), BUNSPEC);
																		((((BgL_nodez00_bglt)
																					COBJECT(((BgL_nodez00_bglt)
																							BgL_new1141z00_2520)))->
																				BgL_typez00) =
																			((BgL_typez00_bglt) (((BgL_nodez00_bglt)
																						COBJECT(((BgL_nodez00_bglt) (
																									(BgL_letzd2varzd2_bglt)
																									BgL_nodez00_2408))))->
																					BgL_typez00)), BUNSPEC);
																		((((BgL_varz00_bglt)
																					COBJECT(((BgL_varz00_bglt)
																							BgL_new1141z00_2520)))->
																				BgL_variablez00) =
																			((BgL_variablez00_bglt) (
																					(BgL_variablez00_bglt)
																					BgL_previousz00_2503)), BUNSPEC);
																		BgL_val1_1314z00_2519 = BgL_new1141z00_2520;
																	}
																	{	/* Reduce/cse.scm 350 */
																		int BgL_tmpz00_3023;

																		BgL_tmpz00_3023 = (int) (2L);
																		BGL_MVALUES_NUMBER_SET(BgL_tmpz00_3023);
																	}
																	{	/* Reduce/cse.scm 350 */
																		obj_t BgL_auxz00_3028;
																		int BgL_tmpz00_3026;

																		BgL_auxz00_3028 =
																			((obj_t) BgL_val1_1314z00_2519);
																		BgL_tmpz00_3026 = (int) (1L);
																		BGL_MVALUES_VAL_SET(BgL_tmpz00_3026,
																			BgL_auxz00_3028);
																	}
																	return BgL_stackz72z72_2497;
																}
															}
														else
															{	/* Reduce/cse.scm 346 */
																{	/* Reduce/cse.scm 355 */
																	int BgL_tmpz00_3031;

																	BgL_tmpz00_3031 = (int) (2L);
																	BGL_MVALUES_NUMBER_SET(BgL_tmpz00_3031);
																}
																{	/* Reduce/cse.scm 355 */
																	obj_t BgL_auxz00_3036;
																	int BgL_tmpz00_3034;

																	BgL_auxz00_3036 =
																		((obj_t)
																		((BgL_letzd2varzd2_bglt) BgL_nodez00_2408));
																	BgL_tmpz00_3034 = (int) (1L);
																	BGL_MVALUES_VAL_SET(BgL_tmpz00_3034,
																		BgL_auxz00_3036);
																}
																return BFALSE;
															}
													}
												}
										}
								}
							}
						}
					}
				else
					{	/* Reduce/cse.scm 356 */
						obj_t BgL_bindingz00_2524;

						BgL_bindingz00_2524 = CAR(((obj_t) BgL_bindingsz00_2494));
						{	/* Reduce/cse.scm 357 */
							obj_t BgL_varz00_2525;
							obj_t BgL_valz00_2526;

							BgL_varz00_2525 = CAR(((obj_t) BgL_bindingz00_2524));
							BgL_valz00_2526 = CDR(((obj_t) BgL_bindingz00_2524));
							{	/* Reduce/cse.scm 359 */
								obj_t BgL_resetz72z72_2527;

								BgL_resetz72z72_2527 =
									BGl_nodezd2csez12zc0zzreduce_csez00(
									((BgL_nodez00_bglt) BgL_valz00_2526), BgL_stackz00_2409);
								{	/* Reduce/cse.scm 360 */
									obj_t BgL_nvalz00_2528;

									{	/* Reduce/cse.scm 361 */
										obj_t BgL_tmpz00_2529;

										{	/* Reduce/cse.scm 361 */
											int BgL_tmpz00_3048;

											BgL_tmpz00_3048 = (int) (1L);
											BgL_tmpz00_2529 = BGL_MVALUES_VAL(BgL_tmpz00_3048);
										}
										{	/* Reduce/cse.scm 361 */
											int BgL_tmpz00_3051;

											BgL_tmpz00_3051 = (int) (1L);
											BGL_MVALUES_VAL_SET(BgL_tmpz00_3051, BUNSPEC);
										}
										BgL_nvalz00_2528 = BgL_tmpz00_2529;
									}
									{	/* Reduce/cse.scm 361 */
										obj_t BgL_tmpz00_3054;

										BgL_tmpz00_3054 = ((obj_t) BgL_bindingz00_2524);
										SET_CDR(BgL_tmpz00_3054, BgL_nvalz00_2528);
									}
									{	/* Reduce/cse.scm 363 */
										bool_t BgL_test1959z00_3057;

										if (BgL_resetz00_2495)
											{	/* Reduce/cse.scm 363 */
												BgL_test1959z00_3057 = ((bool_t) 1);
											}
										else
											{	/* Reduce/cse.scm 363 */
												BgL_test1959z00_3057 = CBOOL(BgL_resetz72z72_2527);
											}
										if (BgL_test1959z00_3057)
											{	/* Reduce/cse.scm 364 */
												obj_t BgL_arg1673z00_2530;

												BgL_arg1673z00_2530 =
													CDR(((obj_t) BgL_bindingsz00_2494));
												{
													obj_t BgL_extendz00_3064;
													bool_t BgL_resetz00_3063;
													obj_t BgL_bindingsz00_3062;

													BgL_bindingsz00_3062 = BgL_arg1673z00_2530;
													BgL_resetz00_3063 = ((bool_t) 1);
													BgL_extendz00_3064 = BNIL;
													BgL_extendz00_2496 = BgL_extendz00_3064;
													BgL_resetz00_2495 = BgL_resetz00_3063;
													BgL_bindingsz00_2494 = BgL_bindingsz00_3062;
													goto BgL_loopz00_2493;
												}
											}
										else
											{	/* Reduce/cse.scm 363 */
												if (
													((((BgL_variablez00_bglt) COBJECT(
																	((BgL_variablez00_bglt)
																		((BgL_localz00_bglt) BgL_varz00_2525))))->
															BgL_accessz00) == ((obj_t) CNST_TABLE_REF(1))))
													{	/* Reduce/cse.scm 371 */
														bool_t BgL_test1962z00_3072;

														{	/* Reduce/cse.scm 371 */
															bool_t BgL_test1963z00_3073;

															{	/* Reduce/cse.scm 371 */
																obj_t BgL_classz00_2531;

																BgL_classz00_2531 = BGl_appz00zzast_nodez00;
																if (BGL_OBJECTP(BgL_valz00_2526))
																	{	/* Reduce/cse.scm 371 */
																		BgL_objectz00_bglt BgL_arg1858z00_2532;

																		BgL_arg1858z00_2532 =
																			(BgL_objectz00_bglt) (BgL_valz00_2526);
																		if (BGL_CONDEXPAND_ISA_ARCH64())
																			{	/* Reduce/cse.scm 371 */
																				long BgL_idxz00_2533;

																				BgL_idxz00_2533 =
																					BGL_OBJECT_INHERITANCE_NUM
																					(BgL_arg1858z00_2532);
																				BgL_test1963z00_3073 =
																					(VECTOR_REF
																					(BGl_za2inheritancesza2z00zz__objectz00,
																						(BgL_idxz00_2533 + 3L)) ==
																					BgL_classz00_2531);
																			}
																		else
																			{	/* Reduce/cse.scm 371 */
																				bool_t BgL_res1865z00_2536;

																				{	/* Reduce/cse.scm 371 */
																					obj_t BgL_oclassz00_2537;

																					{	/* Reduce/cse.scm 371 */
																						obj_t BgL_arg1866z00_2538;
																						long BgL_arg1867z00_2539;

																						BgL_arg1866z00_2538 =
																							(BGl_za2classesza2z00zz__objectz00);
																						{	/* Reduce/cse.scm 371 */
																							long BgL_arg1869z00_2540;

																							BgL_arg1869z00_2540 =
																								BGL_OBJECT_CLASS_NUM
																								(BgL_arg1858z00_2532);
																							BgL_arg1867z00_2539 =
																								(BgL_arg1869z00_2540 -
																								OBJECT_TYPE);
																						}
																						BgL_oclassz00_2537 =
																							VECTOR_REF(BgL_arg1866z00_2538,
																							BgL_arg1867z00_2539);
																					}
																					{	/* Reduce/cse.scm 371 */
																						bool_t BgL__ortest_1115z00_2541;

																						BgL__ortest_1115z00_2541 =
																							(BgL_classz00_2531 ==
																							BgL_oclassz00_2537);
																						if (BgL__ortest_1115z00_2541)
																							{	/* Reduce/cse.scm 371 */
																								BgL_res1865z00_2536 =
																									BgL__ortest_1115z00_2541;
																							}
																						else
																							{	/* Reduce/cse.scm 371 */
																								long BgL_odepthz00_2542;

																								{	/* Reduce/cse.scm 371 */
																									obj_t BgL_arg1855z00_2543;

																									BgL_arg1855z00_2543 =
																										(BgL_oclassz00_2537);
																									BgL_odepthz00_2542 =
																										BGL_CLASS_DEPTH
																										(BgL_arg1855z00_2543);
																								}
																								if ((3L < BgL_odepthz00_2542))
																									{	/* Reduce/cse.scm 371 */
																										obj_t BgL_arg1853z00_2544;

																										{	/* Reduce/cse.scm 371 */
																											obj_t BgL_arg1854z00_2545;

																											BgL_arg1854z00_2545 =
																												(BgL_oclassz00_2537);
																											BgL_arg1853z00_2544 =
																												BGL_CLASS_ANCESTORS_REF
																												(BgL_arg1854z00_2545,
																												3L);
																										}
																										BgL_res1865z00_2536 =
																											(BgL_arg1853z00_2544 ==
																											BgL_classz00_2531);
																									}
																								else
																									{	/* Reduce/cse.scm 371 */
																										BgL_res1865z00_2536 =
																											((bool_t) 0);
																									}
																							}
																					}
																				}
																				BgL_test1963z00_3073 =
																					BgL_res1865z00_2536;
																			}
																	}
																else
																	{	/* Reduce/cse.scm 371 */
																		BgL_test1963z00_3073 = ((bool_t) 0);
																	}
															}
															if (BgL_test1963z00_3073)
																{	/* Reduce/cse.scm 371 */
																	BgL_test1962z00_3072 = ((bool_t) 1);
																}
															else
																{	/* Reduce/cse.scm 371 */
																	obj_t BgL_classz00_2546;

																	BgL_classz00_2546 =
																		BGl_letzd2varzd2zzast_nodez00;
																	if (BGL_OBJECTP(BgL_valz00_2526))
																		{	/* Reduce/cse.scm 371 */
																			BgL_objectz00_bglt BgL_arg1858z00_2547;

																			BgL_arg1858z00_2547 =
																				(BgL_objectz00_bglt) (BgL_valz00_2526);
																			if (BGL_CONDEXPAND_ISA_ARCH64())
																				{	/* Reduce/cse.scm 371 */
																					long BgL_idxz00_2548;

																					BgL_idxz00_2548 =
																						BGL_OBJECT_INHERITANCE_NUM
																						(BgL_arg1858z00_2547);
																					BgL_test1962z00_3072 =
																						(VECTOR_REF
																						(BGl_za2inheritancesza2z00zz__objectz00,
																							(BgL_idxz00_2548 + 3L)) ==
																						BgL_classz00_2546);
																				}
																			else
																				{	/* Reduce/cse.scm 371 */
																					bool_t BgL_res1866z00_2551;

																					{	/* Reduce/cse.scm 371 */
																						obj_t BgL_oclassz00_2552;

																						{	/* Reduce/cse.scm 371 */
																							obj_t BgL_arg1866z00_2553;
																							long BgL_arg1867z00_2554;

																							BgL_arg1866z00_2553 =
																								(BGl_za2classesza2z00zz__objectz00);
																							{	/* Reduce/cse.scm 371 */
																								long BgL_arg1869z00_2555;

																								BgL_arg1869z00_2555 =
																									BGL_OBJECT_CLASS_NUM
																									(BgL_arg1858z00_2547);
																								BgL_arg1867z00_2554 =
																									(BgL_arg1869z00_2555 -
																									OBJECT_TYPE);
																							}
																							BgL_oclassz00_2552 =
																								VECTOR_REF(BgL_arg1866z00_2553,
																								BgL_arg1867z00_2554);
																						}
																						{	/* Reduce/cse.scm 371 */
																							bool_t BgL__ortest_1115z00_2556;

																							BgL__ortest_1115z00_2556 =
																								(BgL_classz00_2546 ==
																								BgL_oclassz00_2552);
																							if (BgL__ortest_1115z00_2556)
																								{	/* Reduce/cse.scm 371 */
																									BgL_res1866z00_2551 =
																										BgL__ortest_1115z00_2556;
																								}
																							else
																								{	/* Reduce/cse.scm 371 */
																									long BgL_odepthz00_2557;

																									{	/* Reduce/cse.scm 371 */
																										obj_t BgL_arg1855z00_2558;

																										BgL_arg1855z00_2558 =
																											(BgL_oclassz00_2552);
																										BgL_odepthz00_2557 =
																											BGL_CLASS_DEPTH
																											(BgL_arg1855z00_2558);
																									}
																									if ((3L < BgL_odepthz00_2557))
																										{	/* Reduce/cse.scm 371 */
																											obj_t BgL_arg1853z00_2559;

																											{	/* Reduce/cse.scm 371 */
																												obj_t
																													BgL_arg1854z00_2560;
																												BgL_arg1854z00_2560 =
																													(BgL_oclassz00_2552);
																												BgL_arg1853z00_2559 =
																													BGL_CLASS_ANCESTORS_REF
																													(BgL_arg1854z00_2560,
																													3L);
																											}
																											BgL_res1866z00_2551 =
																												(BgL_arg1853z00_2559 ==
																												BgL_classz00_2546);
																										}
																									else
																										{	/* Reduce/cse.scm 371 */
																											BgL_res1866z00_2551 =
																												((bool_t) 0);
																										}
																								}
																						}
																					}
																					BgL_test1962z00_3072 =
																						BgL_res1866z00_2551;
																				}
																		}
																	else
																		{	/* Reduce/cse.scm 371 */
																			BgL_test1962z00_3072 = ((bool_t) 0);
																		}
																}
														}
														if (BgL_test1962z00_3072)
															{	/* Reduce/cse.scm 372 */
																obj_t BgL_arg1679z00_2561;
																obj_t BgL_arg1680z00_2562;

																BgL_arg1679z00_2561 =
																	CDR(((obj_t) BgL_bindingsz00_2494));
																{	/* Reduce/cse.scm 374 */
																	obj_t BgL_arg1686z00_2563;

																	{	/* Reduce/cse.scm 406 */
																		obj_t BgL_newz00_2564;

																		BgL_newz00_2564 =
																			create_struct(
																			((obj_t) CNST_TABLE_REF(2)), (int) (2L));
																		{	/* Reduce/cse.scm 406 */
																			int BgL_tmpz00_3124;

																			BgL_tmpz00_3124 = (int) (1L);
																			STRUCT_SET(BgL_newz00_2564,
																				BgL_tmpz00_3124, BgL_varz00_2525);
																		}
																		{	/* Reduce/cse.scm 406 */
																			int BgL_tmpz00_3127;

																			BgL_tmpz00_3127 = (int) (0L);
																			STRUCT_SET(BgL_newz00_2564,
																				BgL_tmpz00_3127, BgL_valz00_2526);
																		}
																		BgL_arg1686z00_2563 = BgL_newz00_2564;
																	}
																	BgL_arg1680z00_2562 =
																		MAKE_YOUNG_PAIR(BgL_arg1686z00_2563,
																		BgL_extendz00_2496);
																}
																{
																	obj_t BgL_extendz00_3133;
																	bool_t BgL_resetz00_3132;
																	obj_t BgL_bindingsz00_3131;

																	BgL_bindingsz00_3131 = BgL_arg1679z00_2561;
																	BgL_resetz00_3132 = ((bool_t) 0);
																	BgL_extendz00_3133 = BgL_arg1680z00_2562;
																	BgL_extendz00_2496 = BgL_extendz00_3133;
																	BgL_resetz00_2495 = BgL_resetz00_3132;
																	BgL_bindingsz00_2494 = BgL_bindingsz00_3131;
																	goto BgL_loopz00_2493;
																}
															}
														else
															{	/* Reduce/cse.scm 376 */
																obj_t BgL_arg1691z00_2565;

																BgL_arg1691z00_2565 =
																	CDR(((obj_t) BgL_bindingsz00_2494));
																{
																	bool_t BgL_resetz00_3137;
																	obj_t BgL_bindingsz00_3136;

																	BgL_bindingsz00_3136 = BgL_arg1691z00_2565;
																	BgL_resetz00_3137 = ((bool_t) 0);
																	BgL_resetz00_2495 = BgL_resetz00_3137;
																	BgL_bindingsz00_2494 = BgL_bindingsz00_3136;
																	goto BgL_loopz00_2493;
																}
															}
													}
												else
													{	/* Reduce/cse.scm 368 */
														obj_t BgL_arg1692z00_2566;

														BgL_arg1692z00_2566 =
															CDR(((obj_t) BgL_bindingsz00_2494));
														{
															bool_t BgL_resetz00_3141;
															obj_t BgL_bindingsz00_3140;

															BgL_bindingsz00_3140 = BgL_arg1692z00_2566;
															BgL_resetz00_3141 = ((bool_t) 0);
															BgL_resetz00_2495 = BgL_resetz00_3141;
															BgL_bindingsz00_2494 = BgL_bindingsz00_3140;
															goto BgL_loopz00_2493;
														}
													}
											}
									}
								}
							}
						}
					}
			}
		}

	}



/* &node-cse!-app1365 */
	obj_t BGl_z62nodezd2csez12zd2app1365z70zzreduce_csez00(obj_t BgL_envz00_2410,
		obj_t BgL_nodez00_2411, obj_t BgL_stackz00_2412)
	{
		{	/* Reduce/cse.scm 302 */
			{	/* Reduce/cse.scm 304 */
				obj_t BgL_resetz00_2568;

				BgL_resetz00_2568 =
					BGl_nodezd2cseza2z12z62zzreduce_csez00(
					(((BgL_appz00_bglt) COBJECT(
								((BgL_appz00_bglt) BgL_nodez00_2411)))->BgL_argsz00),
					BgL_stackz00_2412);
				{	/* Reduce/cse.scm 305 */
					bool_t BgL_test1972z00_3147;

					if (CBOOL(BgL_resetz00_2568))
						{	/* Reduce/cse.scm 305 */
							BgL_test1972z00_3147 = ((bool_t) 1);
						}
					else
						{	/* Reduce/cse.scm 305 */
							BgL_test1972z00_3147 =
								BGl_sidezd2effectzf3z21zzeffect_effectz00(
								((BgL_nodez00_bglt) ((BgL_appz00_bglt) BgL_nodez00_2411)));
						}
					if (BgL_test1972z00_3147)
						{	/* Reduce/cse.scm 305 */
							{	/* Reduce/cse.scm 309 */
								int BgL_tmpz00_3153;

								BgL_tmpz00_3153 = (int) (2L);
								BGL_MVALUES_NUMBER_SET(BgL_tmpz00_3153);
							}
							{	/* Reduce/cse.scm 309 */
								obj_t BgL_auxz00_3158;
								int BgL_tmpz00_3156;

								BgL_auxz00_3158 =
									((obj_t) ((BgL_appz00_bglt) BgL_nodez00_2411));
								BgL_tmpz00_3156 = (int) (1L);
								BGL_MVALUES_VAL_SET(BgL_tmpz00_3156, BgL_auxz00_3158);
							}
							return BTRUE;
						}
					else
						{	/* Reduce/cse.scm 310 */
							obj_t BgL_previousz00_2570;

							BgL_previousz00_2570 =
								BGl_findzd2stackzd2zzreduce_csez00(
								((BgL_nodez00_bglt)
									((BgL_appz00_bglt) BgL_nodez00_2411)), BgL_stackz00_2412);
							{	/* Reduce/cse.scm 312 */
								bool_t BgL_test1974z00_3165;

								{	/* Reduce/cse.scm 312 */
									obj_t BgL_classz00_2571;

									BgL_classz00_2571 = BGl_variablez00zzast_varz00;
									if (BGL_OBJECTP(BgL_previousz00_2570))
										{	/* Reduce/cse.scm 312 */
											BgL_objectz00_bglt BgL_arg1858z00_2572;

											BgL_arg1858z00_2572 =
												(BgL_objectz00_bglt) (BgL_previousz00_2570);
											if (BGL_CONDEXPAND_ISA_ARCH64())
												{	/* Reduce/cse.scm 312 */
													long BgL_idxz00_2573;

													BgL_idxz00_2573 =
														BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_2572);
													BgL_test1974z00_3165 =
														(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
															(BgL_idxz00_2573 + 1L)) == BgL_classz00_2571);
												}
											else
												{	/* Reduce/cse.scm 312 */
													bool_t BgL_res1863z00_2576;

													{	/* Reduce/cse.scm 312 */
														obj_t BgL_oclassz00_2577;

														{	/* Reduce/cse.scm 312 */
															obj_t BgL_arg1866z00_2578;
															long BgL_arg1867z00_2579;

															BgL_arg1866z00_2578 =
																(BGl_za2classesza2z00zz__objectz00);
															{	/* Reduce/cse.scm 312 */
																long BgL_arg1869z00_2580;

																BgL_arg1869z00_2580 =
																	BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_2572);
																BgL_arg1867z00_2579 =
																	(BgL_arg1869z00_2580 - OBJECT_TYPE);
															}
															BgL_oclassz00_2577 =
																VECTOR_REF(BgL_arg1866z00_2578,
																BgL_arg1867z00_2579);
														}
														{	/* Reduce/cse.scm 312 */
															bool_t BgL__ortest_1115z00_2581;

															BgL__ortest_1115z00_2581 =
																(BgL_classz00_2571 == BgL_oclassz00_2577);
															if (BgL__ortest_1115z00_2581)
																{	/* Reduce/cse.scm 312 */
																	BgL_res1863z00_2576 =
																		BgL__ortest_1115z00_2581;
																}
															else
																{	/* Reduce/cse.scm 312 */
																	long BgL_odepthz00_2582;

																	{	/* Reduce/cse.scm 312 */
																		obj_t BgL_arg1855z00_2583;

																		BgL_arg1855z00_2583 = (BgL_oclassz00_2577);
																		BgL_odepthz00_2582 =
																			BGL_CLASS_DEPTH(BgL_arg1855z00_2583);
																	}
																	if ((1L < BgL_odepthz00_2582))
																		{	/* Reduce/cse.scm 312 */
																			obj_t BgL_arg1853z00_2584;

																			{	/* Reduce/cse.scm 312 */
																				obj_t BgL_arg1854z00_2585;

																				BgL_arg1854z00_2585 =
																					(BgL_oclassz00_2577);
																				BgL_arg1853z00_2584 =
																					BGL_CLASS_ANCESTORS_REF
																					(BgL_arg1854z00_2585, 1L);
																			}
																			BgL_res1863z00_2576 =
																				(BgL_arg1853z00_2584 ==
																				BgL_classz00_2571);
																		}
																	else
																		{	/* Reduce/cse.scm 312 */
																			BgL_res1863z00_2576 = ((bool_t) 0);
																		}
																}
														}
													}
													BgL_test1974z00_3165 = BgL_res1863z00_2576;
												}
										}
									else
										{	/* Reduce/cse.scm 312 */
											BgL_test1974z00_3165 = ((bool_t) 0);
										}
								}
								if (BgL_test1974z00_3165)
									{	/* Reduce/cse.scm 312 */
										BGl_za2csezd2removedza2zd2zzreduce_csez00 =
											(1L + BGl_za2csezd2removedza2zd2zzreduce_csez00);
										{	/* Reduce/cse.scm 315 */
											BgL_refz00_bglt BgL_val1_1306z00_2586;

											{	/* Reduce/cse.scm 315 */
												BgL_refz00_bglt BgL_new1137z00_2587;

												{	/* Reduce/cse.scm 318 */
													BgL_refz00_bglt BgL_new1136z00_2588;

													BgL_new1136z00_2588 =
														((BgL_refz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
																	BgL_refz00_bgl))));
													{	/* Reduce/cse.scm 318 */
														long BgL_arg1648z00_2589;

														BgL_arg1648z00_2589 =
															BGL_CLASS_NUM(BGl_refz00zzast_nodez00);
														BGL_OBJECT_CLASS_NUM_SET(
															((BgL_objectz00_bglt) BgL_new1136z00_2588),
															BgL_arg1648z00_2589);
													}
													{	/* Reduce/cse.scm 318 */
														BgL_objectz00_bglt BgL_tmpz00_3193;

														BgL_tmpz00_3193 =
															((BgL_objectz00_bglt) BgL_new1136z00_2588);
														BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3193, BFALSE);
													}
													((BgL_objectz00_bglt) BgL_new1136z00_2588);
													BgL_new1137z00_2587 = BgL_new1136z00_2588;
												}
												((((BgL_nodez00_bglt) COBJECT(
																((BgL_nodez00_bglt) BgL_new1137z00_2587)))->
														BgL_locz00) =
													((obj_t) (((BgL_nodez00_bglt)
																COBJECT(((BgL_nodez00_bglt) ((BgL_appz00_bglt)
																			BgL_nodez00_2411))))->BgL_locz00)),
													BUNSPEC);
												((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
																	BgL_new1137z00_2587)))->BgL_typez00) =
													((BgL_typez00_bglt) (((BgL_nodez00_bglt)
																COBJECT(((BgL_nodez00_bglt) ((BgL_appz00_bglt)
																			BgL_nodez00_2411))))->BgL_typez00)),
													BUNSPEC);
												((((BgL_varz00_bglt) COBJECT(((BgL_varz00_bglt)
																	BgL_new1137z00_2587)))->BgL_variablez00) =
													((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
															BgL_previousz00_2570)), BUNSPEC);
												BgL_val1_1306z00_2586 = BgL_new1137z00_2587;
											}
											{	/* Reduce/cse.scm 315 */
												int BgL_tmpz00_3210;

												BgL_tmpz00_3210 = (int) (2L);
												BGL_MVALUES_NUMBER_SET(BgL_tmpz00_3210);
											}
											{	/* Reduce/cse.scm 315 */
												obj_t BgL_auxz00_3215;
												int BgL_tmpz00_3213;

												BgL_auxz00_3215 = ((obj_t) BgL_val1_1306z00_2586);
												BgL_tmpz00_3213 = (int) (1L);
												BGL_MVALUES_VAL_SET(BgL_tmpz00_3213, BgL_auxz00_3215);
											}
											return BgL_stackz00_2412;
										}
									}
								else
									{	/* Reduce/cse.scm 312 */
										{	/* Reduce/cse.scm 320 */
											int BgL_tmpz00_3218;

											BgL_tmpz00_3218 = (int) (2L);
											BGL_MVALUES_NUMBER_SET(BgL_tmpz00_3218);
										}
										{	/* Reduce/cse.scm 320 */
											obj_t BgL_auxz00_3223;
											int BgL_tmpz00_3221;

											BgL_auxz00_3223 =
												((obj_t) ((BgL_appz00_bglt) BgL_nodez00_2411));
											BgL_tmpz00_3221 = (int) (1L);
											BGL_MVALUES_VAL_SET(BgL_tmpz00_3221, BgL_auxz00_3223);
										}
										return BFALSE;
									}
							}
						}
				}
			}
		}

	}



/* &node-cse!-box-ref1363 */
	obj_t BGl_z62nodezd2csez12zd2boxzd2ref1363za2zzreduce_csez00(obj_t
		BgL_envz00_2413, obj_t BgL_nodez00_2414, obj_t BgL_stackz00_2415)
	{
		{	/* Reduce/cse.scm 296 */
			{	/* Reduce/cse.scm 297 */
				int BgL_tmpz00_3227;

				BgL_tmpz00_3227 = (int) (2L);
				BGL_MVALUES_NUMBER_SET(BgL_tmpz00_3227);
			}
			{	/* Reduce/cse.scm 297 */
				obj_t BgL_auxz00_3232;
				int BgL_tmpz00_3230;

				BgL_auxz00_3232 = ((obj_t) ((BgL_boxzd2refzd2_bglt) BgL_nodez00_2414));
				BgL_tmpz00_3230 = (int) (1L);
				BGL_MVALUES_VAL_SET(BgL_tmpz00_3230, BgL_auxz00_3232);
			}
			return BFALSE;
		}

	}



/* &node-cse!-box-set!1361 */
	obj_t BGl_z62nodezd2csez12zd2boxzd2setz121361zb0zzreduce_csez00(obj_t
		BgL_envz00_2416, obj_t BgL_nodez00_2417, obj_t BgL_stackz00_2418)
	{
		{	/* Reduce/cse.scm 286 */
			{	/* Reduce/cse.scm 288 */
				obj_t BgL_resetz00_2594;

				BgL_resetz00_2594 =
					BGl_nodezd2csez12zc0zzreduce_csez00(
					(((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2417)))->BgL_valuez00),
					BgL_stackz00_2418);
				{	/* Reduce/cse.scm 289 */
					obj_t BgL_nvaluez00_2595;

					{	/* Reduce/cse.scm 290 */
						obj_t BgL_tmpz00_2596;

						{	/* Reduce/cse.scm 290 */
							int BgL_tmpz00_3239;

							BgL_tmpz00_3239 = (int) (1L);
							BgL_tmpz00_2596 = BGL_MVALUES_VAL(BgL_tmpz00_3239);
						}
						{	/* Reduce/cse.scm 290 */
							int BgL_tmpz00_3242;

							BgL_tmpz00_3242 = (int) (1L);
							BGL_MVALUES_VAL_SET(BgL_tmpz00_3242, BUNSPEC);
						}
						BgL_nvaluez00_2595 = BgL_tmpz00_2596;
					}
					((((BgL_boxzd2setz12zc0_bglt) COBJECT(
									((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2417)))->
							BgL_valuez00) =
						((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_nvaluez00_2595)),
						BUNSPEC);
					{	/* Reduce/cse.scm 291 */
						int BgL_tmpz00_3248;

						BgL_tmpz00_3248 = (int) (2L);
						BGL_MVALUES_NUMBER_SET(BgL_tmpz00_3248);
					}
					{	/* Reduce/cse.scm 291 */
						obj_t BgL_auxz00_3253;
						int BgL_tmpz00_3251;

						BgL_auxz00_3253 =
							((obj_t) ((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2417));
						BgL_tmpz00_3251 = (int) (1L);
						BGL_MVALUES_VAL_SET(BgL_tmpz00_3251, BgL_auxz00_3253);
					}
					return BgL_resetz00_2594;
				}
			}
		}

	}



/* &node-cse!-make-box1359 */
	obj_t BGl_z62nodezd2csez12zd2makezd2box1359za2zzreduce_csez00(obj_t
		BgL_envz00_2419, obj_t BgL_nodez00_2420, obj_t BgL_stackz00_2421)
	{
		{	/* Reduce/cse.scm 276 */
			{	/* Reduce/cse.scm 278 */
				obj_t BgL_resetz00_2598;

				BgL_resetz00_2598 =
					BGl_nodezd2csez12zc0zzreduce_csez00(
					(((BgL_makezd2boxzd2_bglt) COBJECT(
								((BgL_makezd2boxzd2_bglt) BgL_nodez00_2420)))->BgL_valuez00),
					BgL_stackz00_2421);
				{	/* Reduce/cse.scm 279 */
					obj_t BgL_nvaluez00_2599;

					{	/* Reduce/cse.scm 280 */
						obj_t BgL_tmpz00_2600;

						{	/* Reduce/cse.scm 280 */
							int BgL_tmpz00_3260;

							BgL_tmpz00_3260 = (int) (1L);
							BgL_tmpz00_2600 = BGL_MVALUES_VAL(BgL_tmpz00_3260);
						}
						{	/* Reduce/cse.scm 280 */
							int BgL_tmpz00_3263;

							BgL_tmpz00_3263 = (int) (1L);
							BGL_MVALUES_VAL_SET(BgL_tmpz00_3263, BUNSPEC);
						}
						BgL_nvaluez00_2599 = BgL_tmpz00_2600;
					}
					((((BgL_makezd2boxzd2_bglt) COBJECT(
									((BgL_makezd2boxzd2_bglt) BgL_nodez00_2420)))->BgL_valuez00) =
						((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_nvaluez00_2599)),
						BUNSPEC);
					{	/* Reduce/cse.scm 281 */
						int BgL_tmpz00_3269;

						BgL_tmpz00_3269 = (int) (2L);
						BGL_MVALUES_NUMBER_SET(BgL_tmpz00_3269);
					}
					{	/* Reduce/cse.scm 281 */
						obj_t BgL_auxz00_3274;
						int BgL_tmpz00_3272;

						BgL_auxz00_3274 =
							((obj_t) ((BgL_makezd2boxzd2_bglt) BgL_nodez00_2420));
						BgL_tmpz00_3272 = (int) (1L);
						BGL_MVALUES_VAL_SET(BgL_tmpz00_3272, BgL_auxz00_3274);
					}
					return BgL_resetz00_2598;
				}
			}
		}

	}



/* &node-cse!-return1357 */
	obj_t BGl_z62nodezd2csez12zd2return1357z70zzreduce_csez00(obj_t
		BgL_envz00_2422, obj_t BgL_nodez00_2423, obj_t BgL_stackz00_2424)
	{
		{	/* Reduce/cse.scm 266 */
			{	/* Reduce/cse.scm 268 */
				obj_t BgL_resetz00_2602;

				BgL_resetz00_2602 =
					BGl_nodezd2csez12zc0zzreduce_csez00(
					(((BgL_returnz00_bglt) COBJECT(
								((BgL_returnz00_bglt) BgL_nodez00_2423)))->BgL_valuez00),
					BgL_stackz00_2424);
				{	/* Reduce/cse.scm 269 */
					obj_t BgL_nvaluez00_2603;

					{	/* Reduce/cse.scm 270 */
						obj_t BgL_tmpz00_2604;

						{	/* Reduce/cse.scm 270 */
							int BgL_tmpz00_3281;

							BgL_tmpz00_3281 = (int) (1L);
							BgL_tmpz00_2604 = BGL_MVALUES_VAL(BgL_tmpz00_3281);
						}
						{	/* Reduce/cse.scm 270 */
							int BgL_tmpz00_3284;

							BgL_tmpz00_3284 = (int) (1L);
							BGL_MVALUES_VAL_SET(BgL_tmpz00_3284, BUNSPEC);
						}
						BgL_nvaluez00_2603 = BgL_tmpz00_2604;
					}
					((((BgL_returnz00_bglt) COBJECT(
									((BgL_returnz00_bglt) BgL_nodez00_2423)))->BgL_valuez00) =
						((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_nvaluez00_2603)),
						BUNSPEC);
					{	/* Reduce/cse.scm 271 */
						int BgL_tmpz00_3290;

						BgL_tmpz00_3290 = (int) (2L);
						BGL_MVALUES_NUMBER_SET(BgL_tmpz00_3290);
					}
					{	/* Reduce/cse.scm 271 */
						obj_t BgL_auxz00_3295;
						int BgL_tmpz00_3293;

						BgL_auxz00_3295 = ((obj_t) ((BgL_returnz00_bglt) BgL_nodez00_2423));
						BgL_tmpz00_3293 = (int) (1L);
						BGL_MVALUES_VAL_SET(BgL_tmpz00_3293, BgL_auxz00_3295);
					}
					return BgL_resetz00_2602;
				}
			}
		}

	}



/* &node-cse!-retblock1355 */
	obj_t BGl_z62nodezd2csez12zd2retblock1355z70zzreduce_csez00(obj_t
		BgL_envz00_2425, obj_t BgL_nodez00_2426, obj_t BgL_stackz00_2427)
	{
		{	/* Reduce/cse.scm 256 */
			{	/* Reduce/cse.scm 258 */
				obj_t BgL_resetz00_2606;

				BgL_resetz00_2606 =
					BGl_nodezd2csez12zc0zzreduce_csez00(
					(((BgL_retblockz00_bglt) COBJECT(
								((BgL_retblockz00_bglt) BgL_nodez00_2426)))->BgL_bodyz00),
					BgL_stackz00_2427);
				{	/* Reduce/cse.scm 259 */
					obj_t BgL_nbodyz00_2607;

					{	/* Reduce/cse.scm 260 */
						obj_t BgL_tmpz00_2608;

						{	/* Reduce/cse.scm 260 */
							int BgL_tmpz00_3302;

							BgL_tmpz00_3302 = (int) (1L);
							BgL_tmpz00_2608 = BGL_MVALUES_VAL(BgL_tmpz00_3302);
						}
						{	/* Reduce/cse.scm 260 */
							int BgL_tmpz00_3305;

							BgL_tmpz00_3305 = (int) (1L);
							BGL_MVALUES_VAL_SET(BgL_tmpz00_3305, BUNSPEC);
						}
						BgL_nbodyz00_2607 = BgL_tmpz00_2608;
					}
					((((BgL_retblockz00_bglt) COBJECT(
									((BgL_retblockz00_bglt) BgL_nodez00_2426)))->BgL_bodyz00) =
						((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_nbodyz00_2607)),
						BUNSPEC);
					{	/* Reduce/cse.scm 261 */
						int BgL_tmpz00_3311;

						BgL_tmpz00_3311 = (int) (2L);
						BGL_MVALUES_NUMBER_SET(BgL_tmpz00_3311);
					}
					{	/* Reduce/cse.scm 261 */
						obj_t BgL_auxz00_3316;
						int BgL_tmpz00_3314;

						BgL_auxz00_3316 =
							((obj_t) ((BgL_retblockz00_bglt) BgL_nodez00_2426));
						BgL_tmpz00_3314 = (int) (1L);
						BGL_MVALUES_VAL_SET(BgL_tmpz00_3314, BgL_auxz00_3316);
					}
					return BgL_resetz00_2606;
				}
			}
		}

	}



/* &node-cse!-jump-ex-it1353 */
	obj_t BGl_z62nodezd2csez12zd2jumpzd2exzd2it1353z70zzreduce_csez00(obj_t
		BgL_envz00_2428, obj_t BgL_nodez00_2429, obj_t BgL_stackz00_2430)
	{
		{	/* Reduce/cse.scm 242 */
			{	/* Reduce/cse.scm 244 */
				obj_t BgL_resetz00_2610;

				BgL_resetz00_2610 =
					BGl_nodezd2csez12zc0zzreduce_csez00(
					(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2429)))->BgL_exitz00),
					BgL_stackz00_2430);
				{	/* Reduce/cse.scm 245 */
					obj_t BgL_nexitz00_2611;

					{	/* Reduce/cse.scm 246 */
						obj_t BgL_tmpz00_2612;

						{	/* Reduce/cse.scm 246 */
							int BgL_tmpz00_3323;

							BgL_tmpz00_3323 = (int) (1L);
							BgL_tmpz00_2612 = BGL_MVALUES_VAL(BgL_tmpz00_3323);
						}
						{	/* Reduce/cse.scm 246 */
							int BgL_tmpz00_3326;

							BgL_tmpz00_3326 = (int) (1L);
							BGL_MVALUES_VAL_SET(BgL_tmpz00_3326, BUNSPEC);
						}
						BgL_nexitz00_2611 = BgL_tmpz00_2612;
					}
					((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
									((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2429)))->
							BgL_exitz00) =
						((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_nexitz00_2611)),
						BUNSPEC);
					{	/* Reduce/cse.scm 247 */
						obj_t BgL_stackz72z72_2613;

						if (CBOOL(BgL_resetz00_2610))
							{	/* Reduce/cse.scm 247 */
								BgL_stackz72z72_2613 = BNIL;
							}
						else
							{	/* Reduce/cse.scm 247 */
								BgL_stackz72z72_2613 = BgL_stackz00_2430;
							}
						{	/* Reduce/cse.scm 248 */
							obj_t BgL_resetz72z72_2614;

							BgL_resetz72z72_2614 =
								BGl_nodezd2csez12zc0zzreduce_csez00(
								(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
											((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2429)))->
									BgL_valuez00), BgL_stackz72z72_2613);
							{	/* Reduce/cse.scm 249 */
								obj_t BgL_nvaluez00_2615;

								{	/* Reduce/cse.scm 250 */
									obj_t BgL_tmpz00_2616;

									{	/* Reduce/cse.scm 250 */
										int BgL_tmpz00_3337;

										BgL_tmpz00_3337 = (int) (1L);
										BgL_tmpz00_2616 = BGL_MVALUES_VAL(BgL_tmpz00_3337);
									}
									{	/* Reduce/cse.scm 250 */
										int BgL_tmpz00_3340;

										BgL_tmpz00_3340 = (int) (1L);
										BGL_MVALUES_VAL_SET(BgL_tmpz00_3340, BUNSPEC);
									}
									BgL_nvaluez00_2615 = BgL_tmpz00_2616;
								}
								((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
												((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2429)))->
										BgL_valuez00) =
									((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_nvaluez00_2615)),
									BUNSPEC);
								{	/* Reduce/cse.scm 251 */
									obj_t BgL_val0_1291z00_2617;

									if (CBOOL(BgL_resetz00_2610))
										{	/* Reduce/cse.scm 251 */
											BgL_val0_1291z00_2617 = BgL_resetz00_2610;
										}
									else
										{	/* Reduce/cse.scm 251 */
											BgL_val0_1291z00_2617 = BgL_resetz72z72_2614;
										}
									{	/* Reduce/cse.scm 251 */
										int BgL_tmpz00_3348;

										BgL_tmpz00_3348 = (int) (2L);
										BGL_MVALUES_NUMBER_SET(BgL_tmpz00_3348);
									}
									{	/* Reduce/cse.scm 251 */
										obj_t BgL_auxz00_3353;
										int BgL_tmpz00_3351;

										BgL_auxz00_3353 =
											((obj_t) ((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2429));
										BgL_tmpz00_3351 = (int) (1L);
										BGL_MVALUES_VAL_SET(BgL_tmpz00_3351, BgL_auxz00_3353);
									}
									return BgL_val0_1291z00_2617;
								}
							}
						}
					}
				}
			}
		}

	}



/* &node-cse!-set-ex-it1351 */
	obj_t BGl_z62nodezd2csez12zd2setzd2exzd2it1351z70zzreduce_csez00(obj_t
		BgL_envz00_2431, obj_t BgL_nodez00_2432, obj_t BgL_stackz00_2433)
	{
		{	/* Reduce/cse.scm 229 */
			{	/* Reduce/cse.scm 231 */
				obj_t BgL_resetz00_2619;

				BgL_resetz00_2619 =
					BGl_nodezd2csez12zc0zzreduce_csez00(
					(((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2432)))->BgL_bodyz00),
					BNIL);
				{	/* Reduce/cse.scm 232 */
					obj_t BgL_nbodyz00_2620;

					{	/* Reduce/cse.scm 233 */
						obj_t BgL_tmpz00_2621;

						{	/* Reduce/cse.scm 233 */
							int BgL_tmpz00_3360;

							BgL_tmpz00_3360 = (int) (1L);
							BgL_tmpz00_2621 = BGL_MVALUES_VAL(BgL_tmpz00_3360);
						}
						{	/* Reduce/cse.scm 233 */
							int BgL_tmpz00_3363;

							BgL_tmpz00_3363 = (int) (1L);
							BGL_MVALUES_VAL_SET(BgL_tmpz00_3363, BUNSPEC);
						}
						BgL_nbodyz00_2620 = BgL_tmpz00_2621;
					}
					((((BgL_setzd2exzd2itz00_bglt) COBJECT(
									((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2432)))->
							BgL_bodyz00) =
						((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_nbodyz00_2620)),
						BUNSPEC);
					{	/* Reduce/cse.scm 234 */
						obj_t BgL_resetz72z72_2622;

						BgL_resetz72z72_2622 =
							BGl_nodezd2csez12zc0zzreduce_csez00(
							(((BgL_setzd2exzd2itz00_bglt) COBJECT(
										((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2432)))->
								BgL_onexitz00), BNIL);
						{	/* Reduce/cse.scm 235 */
							obj_t BgL_nonexitz00_2623;

							{	/* Reduce/cse.scm 236 */
								obj_t BgL_tmpz00_2624;

								{	/* Reduce/cse.scm 236 */
									int BgL_tmpz00_3372;

									BgL_tmpz00_3372 = (int) (1L);
									BgL_tmpz00_2624 = BGL_MVALUES_VAL(BgL_tmpz00_3372);
								}
								{	/* Reduce/cse.scm 236 */
									int BgL_tmpz00_3375;

									BgL_tmpz00_3375 = (int) (1L);
									BGL_MVALUES_VAL_SET(BgL_tmpz00_3375, BUNSPEC);
								}
								BgL_nonexitz00_2623 = BgL_tmpz00_2624;
							}
							((((BgL_setzd2exzd2itz00_bglt) COBJECT(
											((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2432)))->
									BgL_onexitz00) =
								((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_nonexitz00_2623)),
								BUNSPEC);
							{	/* Reduce/cse.scm 237 */
								obj_t BgL_val0_1289z00_2625;

								if (CBOOL(BgL_resetz00_2619))
									{	/* Reduce/cse.scm 237 */
										BgL_val0_1289z00_2625 = BgL_resetz00_2619;
									}
								else
									{	/* Reduce/cse.scm 237 */
										BgL_val0_1289z00_2625 = BgL_resetz72z72_2622;
									}
								{	/* Reduce/cse.scm 237 */
									int BgL_tmpz00_3383;

									BgL_tmpz00_3383 = (int) (2L);
									BGL_MVALUES_NUMBER_SET(BgL_tmpz00_3383);
								}
								{	/* Reduce/cse.scm 237 */
									obj_t BgL_auxz00_3388;
									int BgL_tmpz00_3386;

									BgL_auxz00_3388 =
										((obj_t) ((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2432));
									BgL_tmpz00_3386 = (int) (1L);
									BGL_MVALUES_VAL_SET(BgL_tmpz00_3386, BgL_auxz00_3388);
								}
								return BgL_val0_1289z00_2625;
							}
						}
					}
				}
			}
		}

	}



/* &node-cse!-let-fun1349 */
	obj_t BGl_z62nodezd2csez12zd2letzd2fun1349za2zzreduce_csez00(obj_t
		BgL_envz00_2434, obj_t BgL_nodez00_2435, obj_t BgL_stackz00_2436)
	{
		{	/* Reduce/cse.scm 210 */
			{	/* Reduce/cse.scm 212 */
				obj_t BgL_resetz00_2627;

				BgL_resetz00_2627 =
					BGl_nodezd2csez12zc0zzreduce_csez00(
					(((BgL_letzd2funzd2_bglt) COBJECT(
								((BgL_letzd2funzd2_bglt) BgL_nodez00_2435)))->BgL_bodyz00),
					BgL_stackz00_2436);
				{	/* Reduce/cse.scm 213 */
					obj_t BgL_nbodyz00_2628;

					{	/* Reduce/cse.scm 214 */
						obj_t BgL_tmpz00_2629;

						{	/* Reduce/cse.scm 214 */
							int BgL_tmpz00_3395;

							BgL_tmpz00_3395 = (int) (1L);
							BgL_tmpz00_2629 = BGL_MVALUES_VAL(BgL_tmpz00_3395);
						}
						{	/* Reduce/cse.scm 214 */
							int BgL_tmpz00_3398;

							BgL_tmpz00_3398 = (int) (1L);
							BGL_MVALUES_VAL_SET(BgL_tmpz00_3398, BUNSPEC);
						}
						BgL_nbodyz00_2628 = BgL_tmpz00_2629;
					}
					((((BgL_letzd2funzd2_bglt) COBJECT(
									((BgL_letzd2funzd2_bglt) BgL_nodez00_2435)))->BgL_bodyz00) =
						((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_nbodyz00_2628)),
						BUNSPEC);
					{
						obj_t BgL_localsz00_2631;
						obj_t BgL_resetz00_2632;

						BgL_localsz00_2631 =
							(((BgL_letzd2funzd2_bglt) COBJECT(
									((BgL_letzd2funzd2_bglt) BgL_nodez00_2435)))->BgL_localsz00);
						BgL_resetz00_2632 = BgL_resetz00_2627;
					BgL_loopz00_2630:
						if (NULLP(BgL_localsz00_2631))
							{	/* Reduce/cse.scm 217 */
								{	/* Reduce/cse.scm 218 */
									int BgL_tmpz00_3406;

									BgL_tmpz00_3406 = (int) (2L);
									BGL_MVALUES_NUMBER_SET(BgL_tmpz00_3406);
								}
								{	/* Reduce/cse.scm 218 */
									obj_t BgL_auxz00_3411;
									int BgL_tmpz00_3409;

									BgL_auxz00_3411 =
										((obj_t) ((BgL_letzd2funzd2_bglt) BgL_nodez00_2435));
									BgL_tmpz00_3409 = (int) (1L);
									BGL_MVALUES_VAL_SET(BgL_tmpz00_3409, BgL_auxz00_3411);
								}
								return BgL_resetz00_2632;
							}
						else
							{	/* Reduce/cse.scm 219 */
								obj_t BgL_localz00_2633;

								BgL_localz00_2633 = CAR(((obj_t) BgL_localsz00_2631));
								{	/* Reduce/cse.scm 219 */
									BgL_valuez00_bglt BgL_sfunz00_2634;

									BgL_sfunz00_2634 =
										(((BgL_variablez00_bglt) COBJECT(
												((BgL_variablez00_bglt)
													((BgL_localz00_bglt) BgL_localz00_2633))))->
										BgL_valuez00);
									{	/* Reduce/cse.scm 220 */

										{	/* Reduce/cse.scm 221 */
											obj_t BgL_resetz72z72_2635;

											{	/* Reduce/cse.scm 222 */
												obj_t BgL_arg1611z00_2636;

												BgL_arg1611z00_2636 =
													(((BgL_sfunz00_bglt) COBJECT(
															((BgL_sfunz00_bglt) BgL_sfunz00_2634)))->
													BgL_bodyz00);
												BgL_resetz72z72_2635 =
													BGl_nodezd2csez12zc0zzreduce_csez00((
														(BgL_nodez00_bglt) BgL_arg1611z00_2636), BNIL);
											}
											{	/* Reduce/cse.scm 222 */
												obj_t BgL_nbodyz00_2637;

												{	/* Reduce/cse.scm 223 */
													obj_t BgL_tmpz00_2638;

													{	/* Reduce/cse.scm 223 */
														int BgL_tmpz00_3424;

														BgL_tmpz00_3424 = (int) (1L);
														BgL_tmpz00_2638 = BGL_MVALUES_VAL(BgL_tmpz00_3424);
													}
													{	/* Reduce/cse.scm 223 */
														int BgL_tmpz00_3427;

														BgL_tmpz00_3427 = (int) (1L);
														BGL_MVALUES_VAL_SET(BgL_tmpz00_3427, BUNSPEC);
													}
													BgL_nbodyz00_2637 = BgL_tmpz00_2638;
												}
												((((BgL_sfunz00_bglt) COBJECT(
																((BgL_sfunz00_bglt) BgL_sfunz00_2634)))->
														BgL_bodyz00) =
													((obj_t) BgL_nbodyz00_2637), BUNSPEC);
												{	/* Reduce/cse.scm 224 */
													obj_t BgL_arg1597z00_2639;
													obj_t BgL_arg1605z00_2640;

													BgL_arg1597z00_2639 =
														CDR(((obj_t) BgL_localsz00_2631));
													if (CBOOL(BgL_resetz00_2632))
														{	/* Reduce/cse.scm 224 */
															BgL_arg1605z00_2640 = BgL_resetz00_2632;
														}
													else
														{	/* Reduce/cse.scm 224 */
															BgL_arg1605z00_2640 = BgL_resetz72z72_2635;
														}
													{
														obj_t BgL_resetz00_3437;
														obj_t BgL_localsz00_3436;

														BgL_localsz00_3436 = BgL_arg1597z00_2639;
														BgL_resetz00_3437 = BgL_arg1605z00_2640;
														BgL_resetz00_2632 = BgL_resetz00_3437;
														BgL_localsz00_2631 = BgL_localsz00_3436;
														goto BgL_loopz00_2630;
													}
												}
											}
										}
									}
								}
							}
					}
				}
			}
		}

	}



/* &node-cse!-switch1347 */
	obj_t BGl_z62nodezd2csez12zd2switch1347z70zzreduce_csez00(obj_t
		BgL_envz00_2437, obj_t BgL_nodez00_2438, obj_t BgL_stackz00_2439)
	{
		{	/* Reduce/cse.scm 191 */
			{	/* Reduce/cse.scm 193 */
				obj_t BgL_resetz00_2642;

				BgL_resetz00_2642 =
					BGl_nodezd2csez12zc0zzreduce_csez00(
					(((BgL_switchz00_bglt) COBJECT(
								((BgL_switchz00_bglt) BgL_nodez00_2438)))->BgL_testz00),
					BgL_stackz00_2439);
				{	/* Reduce/cse.scm 194 */
					obj_t BgL_ntestz00_2643;

					{	/* Reduce/cse.scm 195 */
						obj_t BgL_tmpz00_2644;

						{	/* Reduce/cse.scm 195 */
							int BgL_tmpz00_3443;

							BgL_tmpz00_3443 = (int) (1L);
							BgL_tmpz00_2644 = BGL_MVALUES_VAL(BgL_tmpz00_3443);
						}
						{	/* Reduce/cse.scm 195 */
							int BgL_tmpz00_3446;

							BgL_tmpz00_3446 = (int) (1L);
							BGL_MVALUES_VAL_SET(BgL_tmpz00_3446, BUNSPEC);
						}
						BgL_ntestz00_2643 = BgL_tmpz00_2644;
					}
					((((BgL_switchz00_bglt) COBJECT(
									((BgL_switchz00_bglt) BgL_nodez00_2438)))->BgL_testz00) =
						((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_ntestz00_2643)),
						BUNSPEC);
					{
						obj_t BgL_clausesz00_2646;
						obj_t BgL_resetz00_2647;

						BgL_clausesz00_2646 =
							(((BgL_switchz00_bglt) COBJECT(
									((BgL_switchz00_bglt) BgL_nodez00_2438)))->BgL_clausesz00);
						BgL_resetz00_2647 = BgL_resetz00_2642;
					BgL_loopz00_2645:
						if (NULLP(BgL_clausesz00_2646))
							{	/* Reduce/cse.scm 199 */
								{	/* Reduce/cse.scm 200 */
									int BgL_tmpz00_3454;

									BgL_tmpz00_3454 = (int) (2L);
									BGL_MVALUES_NUMBER_SET(BgL_tmpz00_3454);
								}
								{	/* Reduce/cse.scm 200 */
									obj_t BgL_auxz00_3459;
									int BgL_tmpz00_3457;

									BgL_auxz00_3459 =
										((obj_t) ((BgL_switchz00_bglt) BgL_nodez00_2438));
									BgL_tmpz00_3457 = (int) (1L);
									BGL_MVALUES_VAL_SET(BgL_tmpz00_3457, BgL_auxz00_3459);
								}
								return BgL_resetz00_2647;
							}
						else
							{	/* Reduce/cse.scm 201 */
								obj_t BgL_clausez00_2648;

								BgL_clausez00_2648 = CAR(((obj_t) BgL_clausesz00_2646));
								{	/* Reduce/cse.scm 202 */
									obj_t BgL_resetz72z72_2649;

									{	/* Reduce/cse.scm 203 */
										obj_t BgL_arg1588z00_2650;

										BgL_arg1588z00_2650 = CDR(((obj_t) BgL_clausez00_2648));
										BgL_resetz72z72_2649 =
											BGl_nodezd2csez12zc0zzreduce_csez00(
											((BgL_nodez00_bglt) BgL_arg1588z00_2650),
											BgL_stackz00_2439);
									}
									{	/* Reduce/cse.scm 203 */
										obj_t BgL_nclausez00_2651;

										{	/* Reduce/cse.scm 204 */
											obj_t BgL_tmpz00_2652;

											{	/* Reduce/cse.scm 204 */
												int BgL_tmpz00_3469;

												BgL_tmpz00_3469 = (int) (1L);
												BgL_tmpz00_2652 = BGL_MVALUES_VAL(BgL_tmpz00_3469);
											}
											{	/* Reduce/cse.scm 204 */
												int BgL_tmpz00_3472;

												BgL_tmpz00_3472 = (int) (1L);
												BGL_MVALUES_VAL_SET(BgL_tmpz00_3472, BUNSPEC);
											}
											BgL_nclausez00_2651 = BgL_tmpz00_2652;
										}
										{	/* Reduce/cse.scm 204 */
											obj_t BgL_tmpz00_3475;

											BgL_tmpz00_3475 = ((obj_t) BgL_clausez00_2648);
											SET_CDR(BgL_tmpz00_3475, BgL_nclausez00_2651);
										}
										{	/* Reduce/cse.scm 205 */
											obj_t BgL_arg1581z00_2653;
											obj_t BgL_arg1587z00_2654;

											BgL_arg1581z00_2653 = CDR(((obj_t) BgL_clausesz00_2646));
											if (CBOOL(BgL_resetz00_2647))
												{	/* Reduce/cse.scm 205 */
													BgL_arg1587z00_2654 = BgL_resetz00_2647;
												}
											else
												{	/* Reduce/cse.scm 205 */
													BgL_arg1587z00_2654 = BgL_resetz72z72_2649;
												}
											{
												obj_t BgL_resetz00_3483;
												obj_t BgL_clausesz00_3482;

												BgL_clausesz00_3482 = BgL_arg1581z00_2653;
												BgL_resetz00_3483 = BgL_arg1587z00_2654;
												BgL_resetz00_2647 = BgL_resetz00_3483;
												BgL_clausesz00_2646 = BgL_clausesz00_3482;
												goto BgL_loopz00_2645;
											}
										}
									}
								}
							}
					}
				}
			}
		}

	}



/* &node-cse!-fail1345 */
	obj_t BGl_z62nodezd2csez12zd2fail1345z70zzreduce_csez00(obj_t BgL_envz00_2440,
		obj_t BgL_nodez00_2441, obj_t BgL_stackz00_2442)
	{
		{	/* Reduce/cse.scm 173 */
			{	/* Reduce/cse.scm 175 */
				obj_t BgL_resetz00_2656;

				BgL_resetz00_2656 =
					BGl_nodezd2csez12zc0zzreduce_csez00(
					(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2441)))->BgL_procz00),
					BgL_stackz00_2442);
				{	/* Reduce/cse.scm 176 */
					obj_t BgL_nprocz00_2657;

					{	/* Reduce/cse.scm 177 */
						obj_t BgL_tmpz00_2658;

						{	/* Reduce/cse.scm 177 */
							int BgL_tmpz00_3489;

							BgL_tmpz00_3489 = (int) (1L);
							BgL_tmpz00_2658 = BGL_MVALUES_VAL(BgL_tmpz00_3489);
						}
						{	/* Reduce/cse.scm 177 */
							int BgL_tmpz00_3492;

							BgL_tmpz00_3492 = (int) (1L);
							BGL_MVALUES_VAL_SET(BgL_tmpz00_3492, BUNSPEC);
						}
						BgL_nprocz00_2657 = BgL_tmpz00_2658;
					}
					((((BgL_failz00_bglt) COBJECT(
									((BgL_failz00_bglt) BgL_nodez00_2441)))->BgL_procz00) =
						((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_nprocz00_2657)),
						BUNSPEC);
					{	/* Reduce/cse.scm 178 */
						obj_t BgL_stackz72z72_2659;

						if (CBOOL(BgL_resetz00_2656))
							{	/* Reduce/cse.scm 178 */
								BgL_stackz72z72_2659 = BNIL;
							}
						else
							{	/* Reduce/cse.scm 178 */
								BgL_stackz72z72_2659 = BgL_stackz00_2442;
							}
						{	/* Reduce/cse.scm 179 */
							obj_t BgL_resetz72z72_2660;

							BgL_resetz72z72_2660 =
								BGl_nodezd2csez12zc0zzreduce_csez00(
								(((BgL_failz00_bglt) COBJECT(
											((BgL_failz00_bglt) BgL_nodez00_2441)))->BgL_msgz00),
								BgL_stackz72z72_2659);
							{	/* Reduce/cse.scm 180 */
								obj_t BgL_nmsgz00_2661;

								{	/* Reduce/cse.scm 181 */
									obj_t BgL_tmpz00_2662;

									{	/* Reduce/cse.scm 181 */
										int BgL_tmpz00_3503;

										BgL_tmpz00_3503 = (int) (1L);
										BgL_tmpz00_2662 = BGL_MVALUES_VAL(BgL_tmpz00_3503);
									}
									{	/* Reduce/cse.scm 181 */
										int BgL_tmpz00_3506;

										BgL_tmpz00_3506 = (int) (1L);
										BGL_MVALUES_VAL_SET(BgL_tmpz00_3506, BUNSPEC);
									}
									BgL_nmsgz00_2661 = BgL_tmpz00_2662;
								}
								((((BgL_failz00_bglt) COBJECT(
												((BgL_failz00_bglt) BgL_nodez00_2441)))->BgL_msgz00) =
									((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_nmsgz00_2661)),
									BUNSPEC);
								{	/* Reduce/cse.scm 182 */
									obj_t BgL_stackz72z72z00_2663;

									if (CBOOL(BgL_resetz72z72_2660))
										{	/* Reduce/cse.scm 182 */
											BgL_stackz72z72z00_2663 = BNIL;
										}
									else
										{	/* Reduce/cse.scm 182 */
											BgL_stackz72z72z00_2663 = BgL_stackz72z72_2659;
										}
									{	/* Reduce/cse.scm 183 */
										obj_t BgL_resetz72z72z00_2664;

										BgL_resetz72z72z00_2664 =
											BGl_nodezd2csez12zc0zzreduce_csez00(
											(((BgL_failz00_bglt) COBJECT(
														((BgL_failz00_bglt) BgL_nodez00_2441)))->
												BgL_objz00), BgL_stackz72z72z00_2663);
										{	/* Reduce/cse.scm 184 */
											obj_t BgL_nobjz00_2665;

											{	/* Reduce/cse.scm 185 */
												obj_t BgL_tmpz00_2666;

												{	/* Reduce/cse.scm 185 */
													int BgL_tmpz00_3517;

													BgL_tmpz00_3517 = (int) (1L);
													BgL_tmpz00_2666 = BGL_MVALUES_VAL(BgL_tmpz00_3517);
												}
												{	/* Reduce/cse.scm 185 */
													int BgL_tmpz00_3520;

													BgL_tmpz00_3520 = (int) (1L);
													BGL_MVALUES_VAL_SET(BgL_tmpz00_3520, BUNSPEC);
												}
												BgL_nobjz00_2665 = BgL_tmpz00_2666;
											}
											((((BgL_failz00_bglt) COBJECT(
															((BgL_failz00_bglt) BgL_nodez00_2441)))->
													BgL_objz00) =
												((BgL_nodez00_bglt) ((BgL_nodez00_bglt)
														BgL_nobjz00_2665)), BUNSPEC);
											{	/* Reduce/cse.scm 186 */
												obj_t BgL_val0_1283z00_2667;

												if (CBOOL(BgL_resetz00_2656))
													{	/* Reduce/cse.scm 186 */
														BgL_val0_1283z00_2667 = BgL_resetz00_2656;
													}
												else
													{	/* Reduce/cse.scm 186 */
														if (CBOOL(BgL_resetz72z72_2660))
															{	/* Reduce/cse.scm 186 */
																BgL_val0_1283z00_2667 = BgL_resetz72z72_2660;
															}
														else
															{	/* Reduce/cse.scm 186 */
																BgL_val0_1283z00_2667 = BgL_resetz72z72z00_2664;
															}
													}
												{	/* Reduce/cse.scm 186 */
													int BgL_tmpz00_3530;

													BgL_tmpz00_3530 = (int) (2L);
													BGL_MVALUES_NUMBER_SET(BgL_tmpz00_3530);
												}
												{	/* Reduce/cse.scm 186 */
													obj_t BgL_auxz00_3535;
													int BgL_tmpz00_3533;

													BgL_auxz00_3535 =
														((obj_t) ((BgL_failz00_bglt) BgL_nodez00_2441));
													BgL_tmpz00_3533 = (int) (1L);
													BGL_MVALUES_VAL_SET(BgL_tmpz00_3533, BgL_auxz00_3535);
												}
												return BgL_val0_1283z00_2667;
											}
										}
									}
								}
							}
						}
					}
				}
			}
		}

	}



/* &node-cse!-conditiona1343 */
	obj_t BGl_z62nodezd2csez12zd2conditiona1343z70zzreduce_csez00(obj_t
		BgL_envz00_2443, obj_t BgL_nodez00_2444, obj_t BgL_stackz00_2445)
	{
		{	/* Reduce/cse.scm 156 */
			{	/* Reduce/cse.scm 158 */
				obj_t BgL_resetz00_2669;

				BgL_resetz00_2669 =
					BGl_nodezd2csez12zc0zzreduce_csez00(
					(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_2444)))->BgL_testz00),
					BgL_stackz00_2445);
				{	/* Reduce/cse.scm 159 */
					obj_t BgL_ntestz00_2670;

					{	/* Reduce/cse.scm 160 */
						obj_t BgL_tmpz00_2671;

						{	/* Reduce/cse.scm 160 */
							int BgL_tmpz00_3542;

							BgL_tmpz00_3542 = (int) (1L);
							BgL_tmpz00_2671 = BGL_MVALUES_VAL(BgL_tmpz00_3542);
						}
						{	/* Reduce/cse.scm 160 */
							int BgL_tmpz00_3545;

							BgL_tmpz00_3545 = (int) (1L);
							BGL_MVALUES_VAL_SET(BgL_tmpz00_3545, BUNSPEC);
						}
						BgL_ntestz00_2670 = BgL_tmpz00_2671;
					}
					((((BgL_conditionalz00_bglt) COBJECT(
									((BgL_conditionalz00_bglt) BgL_nodez00_2444)))->BgL_testz00) =
						((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_ntestz00_2670)),
						BUNSPEC);
					{	/* Reduce/cse.scm 161 */
						obj_t BgL_stackz72z72_2672;

						if (CBOOL(BgL_resetz00_2669))
							{	/* Reduce/cse.scm 161 */
								BgL_stackz72z72_2672 = BNIL;
							}
						else
							{	/* Reduce/cse.scm 161 */
								BgL_stackz72z72_2672 = BgL_stackz00_2445;
							}
						{	/* Reduce/cse.scm 162 */
							obj_t BgL_resetz72z72_2673;

							BgL_resetz72z72_2673 =
								BGl_nodezd2csez12zc0zzreduce_csez00(
								(((BgL_conditionalz00_bglt) COBJECT(
											((BgL_conditionalz00_bglt) BgL_nodez00_2444)))->
									BgL_truez00), BgL_stackz72z72_2672);
							{	/* Reduce/cse.scm 163 */
								obj_t BgL_ntruez00_2674;

								{	/* Reduce/cse.scm 164 */
									obj_t BgL_tmpz00_2675;

									{	/* Reduce/cse.scm 164 */
										int BgL_tmpz00_3556;

										BgL_tmpz00_3556 = (int) (1L);
										BgL_tmpz00_2675 = BGL_MVALUES_VAL(BgL_tmpz00_3556);
									}
									{	/* Reduce/cse.scm 164 */
										int BgL_tmpz00_3559;

										BgL_tmpz00_3559 = (int) (1L);
										BGL_MVALUES_VAL_SET(BgL_tmpz00_3559, BUNSPEC);
									}
									BgL_ntruez00_2674 = BgL_tmpz00_2675;
								}
								((((BgL_conditionalz00_bglt) COBJECT(
												((BgL_conditionalz00_bglt) BgL_nodez00_2444)))->
										BgL_truez00) =
									((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_ntruez00_2674)),
									BUNSPEC);
								{	/* Reduce/cse.scm 165 */
									obj_t BgL_resetz72z72z00_2676;

									BgL_resetz72z72z00_2676 =
										BGl_nodezd2csez12zc0zzreduce_csez00(
										(((BgL_conditionalz00_bglt) COBJECT(
													((BgL_conditionalz00_bglt) BgL_nodez00_2444)))->
											BgL_falsez00), BgL_stackz72z72_2672);
									{	/* Reduce/cse.scm 166 */
										obj_t BgL_nfalsez00_2677;

										{	/* Reduce/cse.scm 167 */
											obj_t BgL_tmpz00_2678;

											{	/* Reduce/cse.scm 167 */
												int BgL_tmpz00_3568;

												BgL_tmpz00_3568 = (int) (1L);
												BgL_tmpz00_2678 = BGL_MVALUES_VAL(BgL_tmpz00_3568);
											}
											{	/* Reduce/cse.scm 167 */
												int BgL_tmpz00_3571;

												BgL_tmpz00_3571 = (int) (1L);
												BGL_MVALUES_VAL_SET(BgL_tmpz00_3571, BUNSPEC);
											}
											BgL_nfalsez00_2677 = BgL_tmpz00_2678;
										}
										((((BgL_conditionalz00_bglt) COBJECT(
														((BgL_conditionalz00_bglt) BgL_nodez00_2444)))->
												BgL_falsez00) =
											((BgL_nodez00_bglt) ((BgL_nodez00_bglt)
													BgL_nfalsez00_2677)), BUNSPEC);
										{	/* Reduce/cse.scm 168 */
											obj_t BgL_val0_1281z00_2679;

											if (CBOOL(BgL_resetz00_2669))
												{	/* Reduce/cse.scm 168 */
													BgL_val0_1281z00_2679 = BgL_resetz00_2669;
												}
											else
												{	/* Reduce/cse.scm 168 */
													if (CBOOL(BgL_resetz72z72_2673))
														{	/* Reduce/cse.scm 168 */
															BgL_val0_1281z00_2679 = BgL_resetz72z72_2673;
														}
													else
														{	/* Reduce/cse.scm 168 */
															BgL_val0_1281z00_2679 = BgL_resetz72z72z00_2676;
														}
												}
											{	/* Reduce/cse.scm 168 */
												int BgL_tmpz00_3581;

												BgL_tmpz00_3581 = (int) (2L);
												BGL_MVALUES_NUMBER_SET(BgL_tmpz00_3581);
											}
											{	/* Reduce/cse.scm 168 */
												obj_t BgL_auxz00_3586;
												int BgL_tmpz00_3584;

												BgL_auxz00_3586 =
													((obj_t)
													((BgL_conditionalz00_bglt) BgL_nodez00_2444));
												BgL_tmpz00_3584 = (int) (1L);
												BGL_MVALUES_VAL_SET(BgL_tmpz00_3584, BgL_auxz00_3586);
											}
											return BgL_val0_1281z00_2679;
										}
									}
								}
							}
						}
					}
				}
			}
		}

	}



/* &node-cse!-setq1341 */
	obj_t BGl_z62nodezd2csez12zd2setq1341z70zzreduce_csez00(obj_t BgL_envz00_2446,
		obj_t BgL_nodez00_2447, obj_t BgL_stackz00_2448)
	{
		{	/* Reduce/cse.scm 146 */
			{	/* Reduce/cse.scm 148 */
				obj_t BgL_resetz00_2681;

				BgL_resetz00_2681 =
					BGl_nodezd2csez12zc0zzreduce_csez00(
					(((BgL_setqz00_bglt) COBJECT(
								((BgL_setqz00_bglt) BgL_nodez00_2447)))->BgL_valuez00),
					BgL_stackz00_2448);
				{	/* Reduce/cse.scm 149 */
					obj_t BgL_nvaluez00_2682;

					{	/* Reduce/cse.scm 150 */
						obj_t BgL_tmpz00_2683;

						{	/* Reduce/cse.scm 150 */
							int BgL_tmpz00_3593;

							BgL_tmpz00_3593 = (int) (1L);
							BgL_tmpz00_2683 = BGL_MVALUES_VAL(BgL_tmpz00_3593);
						}
						{	/* Reduce/cse.scm 150 */
							int BgL_tmpz00_3596;

							BgL_tmpz00_3596 = (int) (1L);
							BGL_MVALUES_VAL_SET(BgL_tmpz00_3596, BUNSPEC);
						}
						BgL_nvaluez00_2682 = BgL_tmpz00_2683;
					}
					((((BgL_setqz00_bglt) COBJECT(
									((BgL_setqz00_bglt) BgL_nodez00_2447)))->BgL_valuez00) =
						((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_nvaluez00_2682)),
						BUNSPEC);
					{	/* Reduce/cse.scm 151 */
						int BgL_tmpz00_3602;

						BgL_tmpz00_3602 = (int) (2L);
						BGL_MVALUES_NUMBER_SET(BgL_tmpz00_3602);
					}
					{	/* Reduce/cse.scm 151 */
						obj_t BgL_auxz00_3607;
						int BgL_tmpz00_3605;

						BgL_auxz00_3607 = ((obj_t) ((BgL_setqz00_bglt) BgL_nodez00_2447));
						BgL_tmpz00_3605 = (int) (1L);
						BGL_MVALUES_VAL_SET(BgL_tmpz00_3605, BgL_auxz00_3607);
					}
					return BgL_resetz00_2681;
				}
			}
		}

	}



/* &node-cse!-cast1339 */
	obj_t BGl_z62nodezd2csez12zd2cast1339z70zzreduce_csez00(obj_t BgL_envz00_2449,
		obj_t BgL_nodez00_2450, obj_t BgL_stackz00_2451)
	{
		{	/* Reduce/cse.scm 136 */
			{	/* Reduce/cse.scm 138 */
				obj_t BgL_resetz00_2685;

				BgL_resetz00_2685 =
					BGl_nodezd2csez12zc0zzreduce_csez00(
					(((BgL_castz00_bglt) COBJECT(
								((BgL_castz00_bglt) BgL_nodez00_2450)))->BgL_argz00),
					BgL_stackz00_2451);
				{	/* Reduce/cse.scm 139 */
					obj_t BgL_nargz00_2686;

					{	/* Reduce/cse.scm 140 */
						obj_t BgL_tmpz00_2687;

						{	/* Reduce/cse.scm 140 */
							int BgL_tmpz00_3614;

							BgL_tmpz00_3614 = (int) (1L);
							BgL_tmpz00_2687 = BGL_MVALUES_VAL(BgL_tmpz00_3614);
						}
						{	/* Reduce/cse.scm 140 */
							int BgL_tmpz00_3617;

							BgL_tmpz00_3617 = (int) (1L);
							BGL_MVALUES_VAL_SET(BgL_tmpz00_3617, BUNSPEC);
						}
						BgL_nargz00_2686 = BgL_tmpz00_2687;
					}
					((((BgL_castz00_bglt) COBJECT(
									((BgL_castz00_bglt) BgL_nodez00_2450)))->BgL_argz00) =
						((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_nargz00_2686)),
						BUNSPEC);
					{	/* Reduce/cse.scm 141 */
						int BgL_tmpz00_3623;

						BgL_tmpz00_3623 = (int) (2L);
						BGL_MVALUES_NUMBER_SET(BgL_tmpz00_3623);
					}
					{	/* Reduce/cse.scm 141 */
						obj_t BgL_auxz00_3628;
						int BgL_tmpz00_3626;

						BgL_auxz00_3628 = ((obj_t) ((BgL_castz00_bglt) BgL_nodez00_2450));
						BgL_tmpz00_3626 = (int) (1L);
						BGL_MVALUES_VAL_SET(BgL_tmpz00_3626, BgL_auxz00_3628);
					}
					return BgL_resetz00_2685;
				}
			}
		}

	}



/* &node-cse!-extern1337 */
	obj_t BGl_z62nodezd2csez12zd2extern1337z70zzreduce_csez00(obj_t
		BgL_envz00_2452, obj_t BgL_nodez00_2453, obj_t BgL_stackz00_2454)
	{
		{	/* Reduce/cse.scm 128 */
			{	/* Reduce/cse.scm 130 */
				obj_t BgL_resetz72z72_2689;

				BgL_resetz72z72_2689 =
					BGl_nodezd2cseza2z12z62zzreduce_csez00(
					(((BgL_externz00_bglt) COBJECT(
								((BgL_externz00_bglt) BgL_nodez00_2453)))->BgL_exprza2za2),
					BgL_stackz00_2454);
				{	/* Reduce/cse.scm 131 */
					int BgL_tmpz00_3635;

					BgL_tmpz00_3635 = (int) (2L);
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_3635);
				}
				{	/* Reduce/cse.scm 131 */
					obj_t BgL_auxz00_3640;
					int BgL_tmpz00_3638;

					BgL_auxz00_3640 = ((obj_t) ((BgL_externz00_bglt) BgL_nodez00_2453));
					BgL_tmpz00_3638 = (int) (1L);
					BGL_MVALUES_VAL_SET(BgL_tmpz00_3638, BgL_auxz00_3640);
				}
				return BgL_resetz72z72_2689;
			}
		}

	}



/* &node-cse!-funcall1335 */
	obj_t BGl_z62nodezd2csez12zd2funcall1335z70zzreduce_csez00(obj_t
		BgL_envz00_2455, obj_t BgL_nodez00_2456, obj_t BgL_stackz00_2457)
	{
		{	/* Reduce/cse.scm 120 */
			{	/* Reduce/cse.scm 122 */
				obj_t BgL_resetz72z72_2691;

				BgL_resetz72z72_2691 =
					BGl_nodezd2cseza2z12z62zzreduce_csez00(
					(((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_nodez00_2456)))->BgL_argsz00),
					BgL_stackz00_2457);
				{	/* Reduce/cse.scm 123 */
					int BgL_tmpz00_3647;

					BgL_tmpz00_3647 = (int) (2L);
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_3647);
				}
				{	/* Reduce/cse.scm 123 */
					obj_t BgL_auxz00_3652;
					int BgL_tmpz00_3650;

					BgL_auxz00_3652 = ((obj_t) ((BgL_funcallz00_bglt) BgL_nodez00_2456));
					BgL_tmpz00_3650 = (int) (1L);
					BGL_MVALUES_VAL_SET(BgL_tmpz00_3650, BgL_auxz00_3652);
				}
				return BgL_resetz72z72_2691;
			}
		}

	}



/* &node-cse!-app-ly1333 */
	obj_t BGl_z62nodezd2csez12zd2appzd2ly1333za2zzreduce_csez00(obj_t
		BgL_envz00_2458, obj_t BgL_nodez00_2459, obj_t BgL_stackz00_2460)
	{
		{	/* Reduce/cse.scm 107 */
			{	/* Reduce/cse.scm 109 */
				obj_t BgL_resetz00_2693;

				BgL_resetz00_2693 =
					BGl_nodezd2csez12zc0zzreduce_csez00(
					(((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_2459)))->BgL_funz00),
					BgL_stackz00_2460);
				{	/* Reduce/cse.scm 110 */
					obj_t BgL_nfunz00_2694;

					{	/* Reduce/cse.scm 111 */
						obj_t BgL_tmpz00_2695;

						{	/* Reduce/cse.scm 111 */
							int BgL_tmpz00_3659;

							BgL_tmpz00_3659 = (int) (1L);
							BgL_tmpz00_2695 = BGL_MVALUES_VAL(BgL_tmpz00_3659);
						}
						{	/* Reduce/cse.scm 111 */
							int BgL_tmpz00_3662;

							BgL_tmpz00_3662 = (int) (1L);
							BGL_MVALUES_VAL_SET(BgL_tmpz00_3662, BUNSPEC);
						}
						BgL_nfunz00_2694 = BgL_tmpz00_2695;
					}
					((((BgL_appzd2lyzd2_bglt) COBJECT(
									((BgL_appzd2lyzd2_bglt) BgL_nodez00_2459)))->BgL_funz00) =
						((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_nfunz00_2694)),
						BUNSPEC);
					{	/* Reduce/cse.scm 112 */
						obj_t BgL_resetz72z72_2696;

						{	/* Reduce/cse.scm 113 */
							BgL_nodez00_bglt BgL_arg1515z00_2697;
							obj_t BgL_arg1516z00_2698;

							BgL_arg1515z00_2697 =
								(((BgL_appzd2lyzd2_bglt) COBJECT(
										((BgL_appzd2lyzd2_bglt) BgL_nodez00_2459)))->BgL_argz00);
							if (CBOOL(BgL_resetz00_2693))
								{	/* Reduce/cse.scm 113 */
									BgL_arg1516z00_2698 = BNIL;
								}
							else
								{	/* Reduce/cse.scm 113 */
									BgL_arg1516z00_2698 = BgL_stackz00_2460;
								}
							BgL_resetz72z72_2696 =
								BGl_nodezd2csez12zc0zzreduce_csez00(BgL_arg1515z00_2697,
								BgL_arg1516z00_2698);
						}
						{	/* Reduce/cse.scm 113 */
							obj_t BgL_nargz00_2699;

							{	/* Reduce/cse.scm 114 */
								obj_t BgL_tmpz00_2700;

								{	/* Reduce/cse.scm 114 */
									int BgL_tmpz00_3673;

									BgL_tmpz00_3673 = (int) (1L);
									BgL_tmpz00_2700 = BGL_MVALUES_VAL(BgL_tmpz00_3673);
								}
								{	/* Reduce/cse.scm 114 */
									int BgL_tmpz00_3676;

									BgL_tmpz00_3676 = (int) (1L);
									BGL_MVALUES_VAL_SET(BgL_tmpz00_3676, BUNSPEC);
								}
								BgL_nargz00_2699 = BgL_tmpz00_2700;
							}
							((((BgL_appzd2lyzd2_bglt) COBJECT(
											((BgL_appzd2lyzd2_bglt) BgL_nodez00_2459)))->BgL_argz00) =
								((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_nargz00_2699)),
								BUNSPEC);
							{	/* Reduce/cse.scm 115 */
								obj_t BgL_val0_1271z00_2701;

								if (CBOOL(BgL_resetz00_2693))
									{	/* Reduce/cse.scm 115 */
										BgL_val0_1271z00_2701 = BgL_resetz00_2693;
									}
								else
									{	/* Reduce/cse.scm 115 */
										BgL_val0_1271z00_2701 = BgL_resetz72z72_2696;
									}
								{	/* Reduce/cse.scm 115 */
									int BgL_tmpz00_3684;

									BgL_tmpz00_3684 = (int) (2L);
									BGL_MVALUES_NUMBER_SET(BgL_tmpz00_3684);
								}
								{	/* Reduce/cse.scm 115 */
									obj_t BgL_auxz00_3689;
									int BgL_tmpz00_3687;

									BgL_auxz00_3689 =
										((obj_t) ((BgL_appzd2lyzd2_bglt) BgL_nodez00_2459));
									BgL_tmpz00_3687 = (int) (1L);
									BGL_MVALUES_VAL_SET(BgL_tmpz00_3687, BgL_auxz00_3689);
								}
								return BgL_val0_1271z00_2701;
							}
						}
					}
				}
			}
		}

	}



/* &node-cse!-sync1331 */
	obj_t BGl_z62nodezd2csez12zd2sync1331z70zzreduce_csez00(obj_t BgL_envz00_2461,
		obj_t BgL_nodez00_2462, obj_t BgL_stackz00_2463)
	{
		{	/* Reduce/cse.scm 94 */
			{	/* Reduce/cse.scm 96 */
				obj_t BgL_resetmz00_2703;

				BgL_resetmz00_2703 =
					BGl_nodezd2csez12zc0zzreduce_csez00(
					(((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_2462)))->BgL_mutexz00),
					BgL_stackz00_2463);
				{	/* Reduce/cse.scm 97 */
					obj_t BgL_nmutexz00_2704;

					{	/* Reduce/cse.scm 98 */
						obj_t BgL_tmpz00_2705;

						{	/* Reduce/cse.scm 98 */
							int BgL_tmpz00_3696;

							BgL_tmpz00_3696 = (int) (1L);
							BgL_tmpz00_2705 = BGL_MVALUES_VAL(BgL_tmpz00_3696);
						}
						{	/* Reduce/cse.scm 98 */
							int BgL_tmpz00_3699;

							BgL_tmpz00_3699 = (int) (1L);
							BGL_MVALUES_VAL_SET(BgL_tmpz00_3699, BUNSPEC);
						}
						BgL_nmutexz00_2704 = BgL_tmpz00_2705;
					}
					((((BgL_syncz00_bglt) COBJECT(
									((BgL_syncz00_bglt) BgL_nodez00_2462)))->BgL_mutexz00) =
						((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_nmutexz00_2704)),
						BUNSPEC);
					{	/* Reduce/cse.scm 99 */
						obj_t BgL_resetpz00_2706;

						BgL_resetpz00_2706 =
							BGl_nodezd2csez12zc0zzreduce_csez00(
							(((BgL_syncz00_bglt) COBJECT(
										((BgL_syncz00_bglt) BgL_nodez00_2462)))->BgL_prelockz00),
							BgL_stackz00_2463);
						{	/* Reduce/cse.scm 100 */
							obj_t BgL_nprelockz00_2707;

							{	/* Reduce/cse.scm 101 */
								obj_t BgL_tmpz00_2708;

								{	/* Reduce/cse.scm 101 */
									int BgL_tmpz00_3708;

									BgL_tmpz00_3708 = (int) (1L);
									BgL_tmpz00_2708 = BGL_MVALUES_VAL(BgL_tmpz00_3708);
								}
								{	/* Reduce/cse.scm 101 */
									int BgL_tmpz00_3711;

									BgL_tmpz00_3711 = (int) (1L);
									BGL_MVALUES_VAL_SET(BgL_tmpz00_3711, BUNSPEC);
								}
								BgL_nprelockz00_2707 = BgL_tmpz00_2708;
							}
							((((BgL_syncz00_bglt) COBJECT(
											((BgL_syncz00_bglt) BgL_nodez00_2462)))->BgL_prelockz00) =
								((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_nprelockz00_2707)),
								BUNSPEC);
							{	/* Reduce/cse.scm 102 */
								obj_t BgL_val0_1269z00_2709;

								{	/* Reduce/cse.scm 102 */
									obj_t BgL__ortest_1108z00_2710;

									BgL__ortest_1108z00_2710 =
										BGl_nodezd2csez12zc0zzreduce_csez00(
										(((BgL_syncz00_bglt) COBJECT(
													((BgL_syncz00_bglt) BgL_nodez00_2462)))->BgL_bodyz00),
										BgL_stackz00_2463);
									if (CBOOL(BgL__ortest_1108z00_2710))
										{	/* Reduce/cse.scm 102 */
											BgL_val0_1269z00_2709 = BgL__ortest_1108z00_2710;
										}
									else
										{	/* Reduce/cse.scm 102 */
											if (CBOOL(BgL_resetmz00_2703))
												{	/* Reduce/cse.scm 102 */
													BgL_val0_1269z00_2709 = BgL_resetmz00_2703;
												}
											else
												{	/* Reduce/cse.scm 102 */
													BgL_val0_1269z00_2709 = BgL_resetpz00_2706;
												}
										}
								}
								{	/* Reduce/cse.scm 102 */
									int BgL_tmpz00_3724;

									BgL_tmpz00_3724 = (int) (2L);
									BGL_MVALUES_NUMBER_SET(BgL_tmpz00_3724);
								}
								{	/* Reduce/cse.scm 102 */
									obj_t BgL_auxz00_3729;
									int BgL_tmpz00_3727;

									BgL_auxz00_3729 =
										((obj_t) ((BgL_syncz00_bglt) BgL_nodez00_2462));
									BgL_tmpz00_3727 = (int) (1L);
									BGL_MVALUES_VAL_SET(BgL_tmpz00_3727, BgL_auxz00_3729);
								}
								return BgL_val0_1269z00_2709;
							}
						}
					}
				}
			}
		}

	}



/* &node-cse!-sequence1329 */
	obj_t BGl_z62nodezd2csez12zd2sequence1329z70zzreduce_csez00(obj_t
		BgL_envz00_2464, obj_t BgL_nodez00_2465, obj_t BgL_stackz00_2466)
	{
		{	/* Reduce/cse.scm 87 */
			{	/* Reduce/cse.scm 89 */
				obj_t BgL_val0_1267z00_2712;

				BgL_val0_1267z00_2712 =
					BGl_nodezd2cseza2z12z62zzreduce_csez00(
					(((BgL_sequencez00_bglt) COBJECT(
								((BgL_sequencez00_bglt) BgL_nodez00_2465)))->BgL_nodesz00),
					BgL_stackz00_2466);
				{	/* Reduce/cse.scm 89 */
					int BgL_tmpz00_3736;

					BgL_tmpz00_3736 = (int) (2L);
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_3736);
				}
				{	/* Reduce/cse.scm 89 */
					obj_t BgL_auxz00_3741;
					int BgL_tmpz00_3739;

					BgL_auxz00_3741 = ((obj_t) ((BgL_sequencez00_bglt) BgL_nodez00_2465));
					BgL_tmpz00_3739 = (int) (1L);
					BGL_MVALUES_VAL_SET(BgL_tmpz00_3739, BgL_auxz00_3741);
				}
				return BgL_val0_1267z00_2712;
			}
		}

	}



/* &node-cse!-closure1327 */
	obj_t BGl_z62nodezd2csez12zd2closure1327z70zzreduce_csez00(obj_t
		BgL_envz00_2467, obj_t BgL_nodez00_2468, obj_t BgL_stackz00_2469)
	{
		{	/* Reduce/cse.scm 81 */
			{	/* Reduce/cse.scm 82 */
				int BgL_tmpz00_3745;

				BgL_tmpz00_3745 = (int) (2L);
				BGL_MVALUES_NUMBER_SET(BgL_tmpz00_3745);
			}
			{	/* Reduce/cse.scm 82 */
				obj_t BgL_auxz00_3750;
				int BgL_tmpz00_3748;

				BgL_auxz00_3750 = ((obj_t) ((BgL_closurez00_bglt) BgL_nodez00_2468));
				BgL_tmpz00_3748 = (int) (1L);
				BGL_MVALUES_VAL_SET(BgL_tmpz00_3748, BgL_auxz00_3750);
			}
			return BFALSE;
		}

	}



/* &node-cse!-var1325 */
	obj_t BGl_z62nodezd2csez12zd2var1325z70zzreduce_csez00(obj_t BgL_envz00_2470,
		obj_t BgL_nodez00_2471, obj_t BgL_stackz00_2472)
	{
		{	/* Reduce/cse.scm 75 */
			{	/* Reduce/cse.scm 76 */
				int BgL_tmpz00_3754;

				BgL_tmpz00_3754 = (int) (2L);
				BGL_MVALUES_NUMBER_SET(BgL_tmpz00_3754);
			}
			{	/* Reduce/cse.scm 76 */
				obj_t BgL_auxz00_3759;
				int BgL_tmpz00_3757;

				BgL_auxz00_3759 = ((obj_t) ((BgL_varz00_bglt) BgL_nodez00_2471));
				BgL_tmpz00_3757 = (int) (1L);
				BGL_MVALUES_VAL_SET(BgL_tmpz00_3757, BgL_auxz00_3759);
			}
			return BFALSE;
		}

	}



/* &node-cse!-kwote1323 */
	obj_t BGl_z62nodezd2csez12zd2kwote1323z70zzreduce_csez00(obj_t
		BgL_envz00_2473, obj_t BgL_nodez00_2474, obj_t BgL_stackz00_2475)
	{
		{	/* Reduce/cse.scm 69 */
			{	/* Reduce/cse.scm 70 */
				int BgL_tmpz00_3763;

				BgL_tmpz00_3763 = (int) (2L);
				BGL_MVALUES_NUMBER_SET(BgL_tmpz00_3763);
			}
			{	/* Reduce/cse.scm 70 */
				obj_t BgL_auxz00_3768;
				int BgL_tmpz00_3766;

				BgL_auxz00_3768 = ((obj_t) ((BgL_kwotez00_bglt) BgL_nodez00_2474));
				BgL_tmpz00_3766 = (int) (1L);
				BGL_MVALUES_VAL_SET(BgL_tmpz00_3766, BgL_auxz00_3768);
			}
			return BFALSE;
		}

	}



/* &node-cse!-atom1321 */
	obj_t BGl_z62nodezd2csez12zd2atom1321z70zzreduce_csez00(obj_t BgL_envz00_2476,
		obj_t BgL_nodez00_2477, obj_t BgL_stackz00_2478)
	{
		{	/* Reduce/cse.scm 63 */
			{	/* Reduce/cse.scm 64 */
				int BgL_tmpz00_3772;

				BgL_tmpz00_3772 = (int) (2L);
				BGL_MVALUES_NUMBER_SET(BgL_tmpz00_3772);
			}
			{	/* Reduce/cse.scm 64 */
				obj_t BgL_auxz00_3777;
				int BgL_tmpz00_3775;

				BgL_auxz00_3777 = ((obj_t) ((BgL_atomz00_bglt) BgL_nodez00_2477));
				BgL_tmpz00_3775 = (int) (1L);
				BGL_MVALUES_VAL_SET(BgL_tmpz00_3775, BgL_auxz00_3777);
			}
			return BFALSE;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzreduce_csez00(void)
	{
		{	/* Reduce/cse.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(54713316L,
				BSTRING_TO_STRING(BGl_string1900z00zzreduce_csez00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(365925558L,
				BSTRING_TO_STRING(BGl_string1900z00zzreduce_csez00));
			BGl_modulezd2initializa7ationz75zztools_speekz00(61247943L,
				BSTRING_TO_STRING(BGl_string1900z00zzreduce_csez00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(300504031L,
				BSTRING_TO_STRING(BGl_string1900z00zzreduce_csez00));
			BGl_modulezd2initializa7ationz75zztype_typez00(515343395L,
				BSTRING_TO_STRING(BGl_string1900z00zzreduce_csez00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(489890788L,
				BSTRING_TO_STRING(BGl_string1900z00zzreduce_csez00));
			BGl_modulezd2initializa7ationz75zzcoerce_coercez00(361167184L,
				BSTRING_TO_STRING(BGl_string1900z00zzreduce_csez00));
			BGl_modulezd2initializa7ationz75zzeffect_effectz00(460136018L,
				BSTRING_TO_STRING(BGl_string1900z00zzreduce_csez00));
			BGl_modulezd2initializa7ationz75zzast_varz00(90839984L,
				BSTRING_TO_STRING(BGl_string1900z00zzreduce_csez00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(469732712L,
				BSTRING_TO_STRING(BGl_string1900z00zzreduce_csez00));
			BGl_modulezd2initializa7ationz75zzast_lvtypez00(189769752L,
				BSTRING_TO_STRING(BGl_string1900z00zzreduce_csez00));
			return
				BGl_modulezd2initializa7ationz75zzreduce_samez00(284483356L,
				BSTRING_TO_STRING(BGl_string1900z00zzreduce_csez00));
		}

	}

#ifdef __cplusplus
}
#endif
