/*===========================================================================*/
/*   (SawBbv/bbv-optim.scm)                                                  */
/*   Bigloo (4.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Jan 27 07:45:49 AM CET 2025     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.6a/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.6a/lib/bigloo/4.6a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -stdc -indent SawBbv/bbv-optim.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL_BgL_SAW_BBVzd2OPTIMzd2_TYPE_DEFINITIONS
#define BGL_BgL_SAW_BBVzd2OPTIMzd2_TYPE_DEFINITIONS

/* object type definitions */
	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_qualifiedzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_nullz00;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_rtl_regz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_varz00;
		obj_t BgL_onexprzf3zf3;
		obj_t BgL_namez00;
		obj_t BgL_keyz00;
		obj_t BgL_debugnamez00;
		obj_t BgL_hardwarez00;
	}                 *BgL_rtl_regz00_bglt;

	typedef struct BgL_rtl_funz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                 *BgL_rtl_funz00_bglt;

	typedef struct BgL_rtl_goz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_blockz00_bgl *BgL_toz00;
	}                *BgL_rtl_goz00_bglt;

	typedef struct BgL_rtl_nopz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                 *BgL_rtl_nopz00_bglt;

	typedef struct BgL_rtl_insz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_z52spillz52;
		obj_t BgL_destz00;
		struct BgL_rtl_funz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}                 *BgL_rtl_insz00_bglt;

	typedef struct BgL_blockz00_bgl
	{
		header_t header;
		obj_t widening;
		int BgL_labelz00;
		obj_t BgL_predsz00;
		obj_t BgL_succsz00;
		obj_t BgL_firstz00;
	}               *BgL_blockz00_bglt;

	typedef struct BgL_rtl_regzf2razf2_bgl
	{
		int BgL_numz00;
		obj_t BgL_colorz00;
		obj_t BgL_coalescez00;
		int BgL_occurrencesz00;
		obj_t BgL_interferez00;
		obj_t BgL_interfere2z00;
	}                      *BgL_rtl_regzf2razf2_bglt;

	typedef struct BgL_regsetz00_bgl
	{
		header_t header;
		obj_t widening;
		int BgL_lengthz00;
		int BgL_msiza7eza7;
		obj_t BgL_regvz00;
		obj_t BgL_reglz00;
		obj_t BgL_stringz00;
	}                *BgL_regsetz00_bglt;

	typedef struct BgL_blockvz00_bgl
	{
		obj_t BgL_versionsz00;
		obj_t BgL_genericz00;
		long BgL_z52markz52;
		obj_t BgL_mergez00;
	}                *BgL_blockvz00_bglt;

	typedef struct BgL_blocksz00_bgl
	{
		long BgL_z52markz52;
		obj_t BgL_z52hashz52;
		obj_t BgL_z52blacklistz52;
		struct BgL_bbvzd2ctxzd2_bgl *BgL_ctxz00;
		struct BgL_blockz00_bgl *BgL_parentz00;
		long BgL_gccntz00;
		long BgL_gcmarkz00;
		obj_t BgL_mblockz00;
		obj_t BgL_creatorz00;
		obj_t BgL_mergesz00;
		bool_t BgL_asleepz00;
	}                *BgL_blocksz00_bglt;

	typedef struct BgL_bbvzd2ctxzd2_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_idz00;
		obj_t BgL_entriesz00;
	}                   *BgL_bbvzd2ctxzd2_bglt;


#endif													// BGL_BgL_SAW_BBVzd2OPTIMzd2_TYPE_DEFINITIONS
#endif													// BGL_MODULE_TYPE_DEFINITIONS

	static obj_t
		BGl_z62rtl_regzf2razd2occurrenceszd2setz12z82zzsaw_bbvzd2optimzd2(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_rtl_insz00zzsaw_defsz00;
	static obj_t BGl_z62rtl_regzf2razd2onexprzf3zb1zzsaw_bbvzd2optimzd2(obj_t,
		obj_t);
	static obj_t BGl_z62rtl_regzf2razd2varzd2setz12z82zzsaw_bbvzd2optimzd2(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_classzd2nilzd2initz12z12zz__objectz00(obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzsaw_bbvzd2optimzd2 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2coalescez20zzsaw_bbvzd2optimzd2(BgL_rtl_regz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2keyz20zzsaw_bbvzd2optimzd2(BgL_rtl_regz00_bglt);
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	extern obj_t
		BGl_blockVzd2livezd2versionsz00zzsaw_bbvzd2typeszd2(BgL_blockz00_bglt);
	static obj_t BGl_z62regsetzd2stringzd2setz12z70zzsaw_bbvzd2optimzd2(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62removezd2nopz12za2zzsaw_bbvzd2optimzd2(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_regsetz00_bglt
		BGl_makezd2regsetzd2zzsaw_bbvzd2optimzd2(int, int, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2coalescezd2setz12ze0zzsaw_bbvzd2optimzd2
		(BgL_rtl_regz00_bglt, obj_t);
	BGL_EXPORTED_DECL BgL_rtl_regz00_bglt
		BGl_makezd2rtl_regzf2raz20zzsaw_bbvzd2optimzd2(BgL_typez00_bglt, obj_t,
		obj_t, obj_t, obj_t, obj_t, int, obj_t, obj_t, int, obj_t, obj_t);
	static BgL_rtl_regz00_bglt
		BGl_z62makezd2rtl_regzf2raz42zzsaw_bbvzd2optimzd2(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_everyz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	static obj_t BGl_toplevelzd2initzd2zzsaw_bbvzd2optimzd2(void);
	BGL_EXPORTED_DECL int
		BGl_rtl_regzf2razd2occurrencesz20zzsaw_bbvzd2optimzd2(BgL_rtl_regz00_bglt);
	static obj_t BGl_z62regsetzd2lengthzb0zzsaw_bbvzd2optimzd2(obj_t, obj_t);
	static obj_t BGl_z62regsetzd2reglzb0zzsaw_bbvzd2optimzd2(obj_t, obj_t);
	static obj_t BGl_z62regsetzd2regvzb0zzsaw_bbvzd2optimzd2(obj_t, obj_t);
	BGL_IMPORT obj_t bgl_reverse(obj_t);
	static obj_t BGl_genericzd2initzd2zzsaw_bbvzd2optimzd2(void);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2namez20zzsaw_bbvzd2optimzd2(BgL_rtl_regz00_bglt);
	static obj_t BGl_z62rtl_regzf2razd2namez42zzsaw_bbvzd2optimzd2(obj_t, obj_t);
	static BgL_rtl_regz00_bglt
		BGl_z62rtl_regzf2razd2nilz42zzsaw_bbvzd2optimzd2(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_simplifyzd2branchz12zc0zzsaw_bbvzd2optimzd2(BgL_globalz00_bglt,
		BgL_blockz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2interfere2z20zzsaw_bbvzd2optimzd2(BgL_rtl_regz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_removezd2gotoz12zc0zzsaw_bbvzd2optimzd2(BgL_globalz00_bglt,
		BgL_blockz00_bglt);
	static obj_t BGl_objectzd2initzd2zzsaw_bbvzd2optimzd2(void);
	static bool_t BGl_coz12ze70zf5zzsaw_bbvzd2optimzd2(obj_t, obj_t);
	static obj_t BGl_z62coalescez12z70zzsaw_bbvzd2optimzd2(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2hardwarez20zzsaw_bbvzd2optimzd2(BgL_rtl_regz00_bglt);
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	BGL_IMPORT obj_t bgl_reverse_bang(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2varzd2setz12ze0zzsaw_bbvzd2optimzd2(BgL_rtl_regz00_bglt,
		obj_t);
	BGL_IMPORT obj_t BGl_stringzd2containszd2zz__r4_strings_6_7z00(obj_t, obj_t,
		int);
	extern obj_t BGl_regsetz00zzsaw_regsetz00;
	extern obj_t BGl_rtl_regz00zzsaw_defsz00;
	static obj_t BGl_z62regsetzf3z91zzsaw_bbvzd2optimzd2(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31976ze3ze5zzsaw_bbvzd2optimzd2(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	extern obj_t BGl_za2bbvzd2debugza2zd2zzsaw_bbvzd2configzd2;
	extern obj_t BGl_assertzd2blockzd2zzsaw_bbvzd2debugzd2(BgL_blockz00_bglt,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32052ze3ze5zzsaw_bbvzd2optimzd2(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62rtl_regzf2razd2interfere2z42zzsaw_bbvzd2optimzd2(obj_t,
		obj_t);
	static obj_t BGl_appendzd221011zd2zzsaw_bbvzd2optimzd2(obj_t, obj_t);
	extern obj_t BGl_rtl_nopz00zzsaw_defsz00;
	BGL_EXPORTED_DECL obj_t
		BGl_coalescez12z12zzsaw_bbvzd2optimzd2(BgL_globalz00_bglt,
		BgL_blockz00_bglt);
	static obj_t BGl_methodzd2initzd2zzsaw_bbvzd2optimzd2(void);
	static obj_t BGl_bbsetzd2conszd2zzsaw_bbvzd2optimzd2(BgL_blockz00_bglt,
		obj_t);
	static obj_t
		BGl_z62rtl_regzf2razd2onexprzf3zd2setz12z71zzsaw_bbvzd2optimzd2(obj_t,
		obj_t, obj_t);
	static BgL_regsetz00_bglt BGl_z62makezd2regsetzb0zzsaw_bbvzd2optimzd2(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_coalescezf3zf3zzsaw_bbvzd2optimzd2(BgL_blockz00_bglt,
		BgL_blockz00_bglt, long);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_rtl_regzf2razd2typez20zzsaw_bbvzd2optimzd2(BgL_rtl_regz00_bglt);
	BGL_EXPORTED_DECL BgL_rtl_regz00_bglt
		BGl_rtl_regzf2razd2nilz20zzsaw_bbvzd2optimzd2(void);
	static BgL_typez00_bglt
		BGl_z62rtl_regzf2razd2typez42zzsaw_bbvzd2optimzd2(obj_t, obj_t);
	static obj_t BGl_z62simplifyzd2branchz12za2zzsaw_bbvzd2optimzd2(obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_appendzd22z12zc0zz__r4_pairs_and_lists_6_3z00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2onexprzf3zd3zzsaw_bbvzd2optimzd2(BgL_rtl_regz00_bglt);
	extern bool_t BGl_rtl_inszd2gozf3z21zzsaw_bbvzd2typeszd2(BgL_rtl_insz00_bglt);
	static obj_t BGl_z62rtl_regzf2razd2varz42zzsaw_bbvzd2optimzd2(obj_t, obj_t);
	static obj_t BGl_z62regsetzd2stringzb0zzsaw_bbvzd2optimzd2(obj_t, obj_t);
	BGL_EXPORTED_DECL int
		BGl_regsetzd2msiza7ez75zzsaw_bbvzd2optimzd2(BgL_regsetz00_bglt);
	static obj_t BGl_z62rtl_regzf2razd2occurrencesz42zzsaw_bbvzd2optimzd2(obj_t,
		obj_t);
	static obj_t BGl_z62regsetzd2lengthzd2setz12z70zzsaw_bbvzd2optimzd2(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL int
		BGl_regsetzd2lengthzd2zzsaw_bbvzd2optimzd2(BgL_regsetz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_regsetzd2stringzd2setz12z12zzsaw_bbvzd2optimzd2(BgL_regsetz00_bglt,
		obj_t);
	extern obj_t BGl_bbvzd2hashzd2zzsaw_bbvzd2typeszd2(obj_t);
	BGL_IMPORT obj_t BGl_listzd2copyzd2zz__r4_pairs_and_lists_6_3z00(obj_t);
	extern obj_t BGl_getzd2bbzd2markz00zzsaw_bbvzd2typeszd2(void);
	static obj_t BGl_z62rtl_regzf2razd2numz42zzsaw_bbvzd2optimzd2(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzsaw_bbvzd2optimzd2(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_bbvzd2debugzd2(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_bbvzd2livenesszd2(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_bbvzd2mergezd2(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_bbvzd2utilszd2(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_bbvzd2cachezd2(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_bbvzd2specializa7ez75(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_bbvzd2typeszd2(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_bbvzd2configzd2(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_regutilsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_regsetz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_defsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_libz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	BGL_IMPORT obj_t BGl_sortz00zz__r4_vectors_6_8z00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2colorz20zzsaw_bbvzd2optimzd2(BgL_rtl_regz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2varz20zzsaw_bbvzd2optimzd2(BgL_rtl_regz00_bglt);
	BGL_EXPORTED_DECL bool_t BGl_rtl_regzf2razf3z01zzsaw_bbvzd2optimzd2(obj_t);
	static obj_t BGl_z62removezd2gotoz12za2zzsaw_bbvzd2optimzd2(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62rtl_regzf2razd2interferezd2setz12z82zzsaw_bbvzd2optimzd2(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t create_struct(obj_t, int);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2colorzd2setz12ze0zzsaw_bbvzd2optimzd2
		(BgL_rtl_regz00_bglt, obj_t);
	static obj_t BGl_cnstzd2initzd2zzsaw_bbvzd2optimzd2(void);
	static obj_t BGl_libraryzd2moduleszd2initz00zzsaw_bbvzd2optimzd2(void);
	BGL_IMPORT long bgl_list_length(obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzsaw_bbvzd2optimzd2(void);
	static obj_t BGl_z62zc3z04anonymousza31650ze3ze5zzsaw_bbvzd2optimzd2(obj_t,
		obj_t);
	static obj_t BGl_gczd2rootszd2initz00zzsaw_bbvzd2optimzd2(void);
	BGL_IMPORT obj_t bgl_remq(obj_t, obj_t);
	static obj_t BGl_gotozd2targetzd2zzsaw_bbvzd2optimzd2(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2occurrenceszd2setz12ze0zzsaw_bbvzd2optimzd2
		(BgL_rtl_regz00_bglt, int);
	static obj_t BGl_makezd2emptyzd2bbsetz00zzsaw_bbvzd2optimzd2(void);
	BGL_EXPORTED_DECL int
		BGl_rtl_regzf2razd2numz20zzsaw_bbvzd2optimzd2(BgL_rtl_regz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2interferezd2setz12ze0zzsaw_bbvzd2optimzd2
		(BgL_rtl_regz00_bglt, obj_t);
	BGL_IMPORT obj_t BGl_filterz12z12zz__r4_control_features_6_9z00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_regsetzf3zf3zzsaw_bbvzd2optimzd2(obj_t);
	extern obj_t BGl_za2bbvzd2blockszd2cleanupza2z00zzsaw_bbvzd2configzd2;
	extern bool_t
		BGl_rtl_inszd2nopzf3z21zzsaw_bbvzd2typeszd2(BgL_rtl_insz00_bglt);
	static obj_t
		BGl_z62rtl_regzf2razd2colorzd2setz12z82zzsaw_bbvzd2optimzd2(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62rtl_regzf2razd2coalescezd2setz12z82zzsaw_bbvzd2optimzd2(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62rtl_regzf2razd2colorz42zzsaw_bbvzd2optimzd2(obj_t, obj_t);
	static obj_t BGl_z62rtl_regzf2razd2coalescez42zzsaw_bbvzd2optimzd2(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_regsetzd2stringzd2zzsaw_bbvzd2optimzd2(BgL_regsetz00_bglt);
	static obj_t BGl_coalescezd2blockz12zc0zzsaw_bbvzd2optimzd2(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62rtl_regzf2razd2typezd2setz12z82zzsaw_bbvzd2optimzd2(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_removezd2nopz12zc0zzsaw_bbvzd2optimzd2(BgL_globalz00_bglt,
		BgL_blockz00_bglt);
	extern obj_t BGl_redirectzd2blockz12zc0zzsaw_bbvzd2utilszd2(BgL_blockz00_bglt,
		BgL_blockz00_bglt, BgL_blockz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2interfere2zd2setz12ze0zzsaw_bbvzd2optimzd2
		(BgL_rtl_regz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2onexprzf3zd2setz12z13zzsaw_bbvzd2optimzd2
		(BgL_rtl_regz00_bglt, obj_t);
	BGL_EXPORTED_DECL BgL_regsetz00_bglt
		BGl_regsetzd2nilzd2zzsaw_bbvzd2optimzd2(void);
	extern obj_t BGl_listzd2replacezd2zzsaw_bbvzd2utilszd2(obj_t, obj_t, obj_t);
	static obj_t BGl_z62rtl_regzf2razd2interferez42zzsaw_bbvzd2optimzd2(obj_t,
		obj_t);
	static obj_t BGl_z62rtl_regzf2razd2keyz42zzsaw_bbvzd2optimzd2(obj_t, obj_t);
	static bool_t BGl_gotozd2blockzf3z21zzsaw_bbvzd2optimzd2(obj_t);
	extern obj_t BGl_rtl_regzf2razf2zzsaw_regsetz00;
	static obj_t BGl_z62rtl_regzf2razf3z63zzsaw_bbvzd2optimzd2(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2typezd2setz12ze0zzsaw_bbvzd2optimzd2(BgL_rtl_regz00_bglt,
		BgL_typez00_bglt);
	extern obj_t BGl_assertzd2blockszd2zzsaw_bbvzd2debugzd2(BgL_blockz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_regsetzd2reglzd2zzsaw_bbvzd2optimzd2(BgL_regsetz00_bglt);
	static obj_t BGl_z62regsetzd2msiza7ez17zzsaw_bbvzd2optimzd2(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_regsetzd2regvzd2zzsaw_bbvzd2optimzd2(BgL_regsetz00_bglt);
	BGL_IMPORT obj_t BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(obj_t);
	static obj_t
		BGl_z62rtl_regzf2razd2interfere2zd2setz12z82zzsaw_bbvzd2optimzd2(obj_t,
		obj_t, obj_t);
	static BgL_regsetz00_bglt BGl_z62regsetzd2nilzb0zzsaw_bbvzd2optimzd2(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2interferez20zzsaw_bbvzd2optimzd2(BgL_rtl_regz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_regsetzd2lengthzd2setz12z12zzsaw_bbvzd2optimzd2(BgL_regsetz00_bglt,
		int);
	static obj_t BGl_z62rtl_regzf2razd2hardwarez42zzsaw_bbvzd2optimzd2(obj_t,
		obj_t);
	static obj_t __cnst[2];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2namezd2envzf2zzsaw_bbvzd2optimzd2,
		BgL_bgl_za762rtl_regza7f2raza72314za7,
		BGl_z62rtl_regzf2razd2namez42zzsaw_bbvzd2optimzd2, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2300z00zzsaw_bbvzd2optimzd2,
		BgL_bgl_string2300za700za7za7s2315za7, "simplify-branch!", 16);
	      DEFINE_STRING(BGl_string2301z00zzsaw_bbvzd2optimzd2,
		BgL_bgl_string2301za700za7za7s2316za7, "simplify-branch!.1", 18);
	      DEFINE_STRING(BGl_string2302z00zzsaw_bbvzd2optimzd2,
		BgL_bgl_string2302za700za7za7s2317za7, "before simplify-branch!.2a", 26);
	      DEFINE_STRING(BGl_string2303z00zzsaw_bbvzd2optimzd2,
		BgL_bgl_string2303za700za7za7s2318za7, "before simplify-branch!.2b", 26);
	      DEFINE_STRING(BGl_string2304z00zzsaw_bbvzd2optimzd2,
		BgL_bgl_string2304za700za7za7s2319za7, "before simplify-branch!", 23);
	      DEFINE_STRING(BGl_string2305z00zzsaw_bbvzd2optimzd2,
		BgL_bgl_string2305za700za7za7s2320za7, "simplify", 8);
	      DEFINE_STRING(BGl_string2306z00zzsaw_bbvzd2optimzd2,
		BgL_bgl_string2306za700za7za7s2321za7, "before coalesce!", 16);
	      DEFINE_STRING(BGl_string2307z00zzsaw_bbvzd2optimzd2,
		BgL_bgl_string2307za700za7za7s2322za7, "coalesce", 8);
	      DEFINE_STRING(BGl_string2309z00zzsaw_bbvzd2optimzd2,
		BgL_bgl_string2309za700za7za7s2323za7, "coalesce!", 9);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_regsetzd2nilzd2envz00zzsaw_bbvzd2optimzd2,
		BgL_bgl_za762regsetza7d2nilza72324za7,
		BGl_z62regsetzd2nilzb0zzsaw_bbvzd2optimzd2, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string2310z00zzsaw_bbvzd2optimzd2,
		BgL_bgl_string2310za700za7za7s2325za7, "saw_bbv-optim", 13);
	      DEFINE_STRING(BGl_string2311z00zzsaw_bbvzd2optimzd2,
		BgL_bgl_string2311za700za7za7s2326za7, "* bbset ", 8);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2308z00zzsaw_bbvzd2optimzd2,
		BgL_bgl_za762za7c3za704anonymo2327za7,
		BGl_z62zc3z04anonymousza31976ze3ze5zzsaw_bbvzd2optimzd2, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2typezd2setz12zd2envz32zzsaw_bbvzd2optimzd2,
		BgL_bgl_za762rtl_regza7f2raza72328za7,
		BGl_z62rtl_regzf2razd2typezd2setz12z82zzsaw_bbvzd2optimzd2, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2interferezd2envzf2zzsaw_bbvzd2optimzd2,
		BgL_bgl_za762rtl_regza7f2raza72329za7,
		BGl_z62rtl_regzf2razd2interferez42zzsaw_bbvzd2optimzd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2onexprzf3zd2setz12zd2envzc1zzsaw_bbvzd2optimzd2,
		BgL_bgl_za762rtl_regza7f2raza72330za7,
		BGl_z62rtl_regzf2razd2onexprzf3zd2setz12z71zzsaw_bbvzd2optimzd2, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2occurrenceszd2setz12zd2envz32zzsaw_bbvzd2optimzd2,
		BgL_bgl_za762rtl_regza7f2raza72331za7,
		BGl_z62rtl_regzf2razd2occurrenceszd2setz12z82zzsaw_bbvzd2optimzd2, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2colorzd2envzf2zzsaw_bbvzd2optimzd2,
		BgL_bgl_za762rtl_regza7f2raza72332za7,
		BGl_z62rtl_regzf2razd2colorz42zzsaw_bbvzd2optimzd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2interferezd2setz12zd2envz32zzsaw_bbvzd2optimzd2,
		BgL_bgl_za762rtl_regza7f2raza72333za7,
		BGl_z62rtl_regzf2razd2interferezd2setz12z82zzsaw_bbvzd2optimzd2, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_regsetzd2regvzd2envz00zzsaw_bbvzd2optimzd2,
		BgL_bgl_za762regsetza7d2regv2334z00,
		BGl_z62regsetzd2regvzb0zzsaw_bbvzd2optimzd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_simplifyzd2branchz12zd2envz12zzsaw_bbvzd2optimzd2,
		BgL_bgl_za762simplifyza7d2br2335z00,
		BGl_z62simplifyzd2branchz12za2zzsaw_bbvzd2optimzd2, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2293z00zzsaw_bbvzd2optimzd2,
		BgL_bgl_string2293za700za7za7s2336za7, "remove-nop!", 11);
	      DEFINE_STRING(BGl_string2295z00zzsaw_bbvzd2optimzd2,
		BgL_bgl_string2295za700za7za7s2337za7, "before nop!", 11);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_regsetzd2lengthzd2setz12zd2envzc0zzsaw_bbvzd2optimzd2,
		BgL_bgl_za762regsetza7d2leng2338z00,
		BGl_z62regsetzd2lengthzd2setz12z70zzsaw_bbvzd2optimzd2, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2296z00zzsaw_bbvzd2optimzd2,
		BgL_bgl_string2296za700za7za7s2339za7, "nop", 3);
	      DEFINE_STRING(BGl_string2297z00zzsaw_bbvzd2optimzd2,
		BgL_bgl_string2297za700za7za7s2340za7, "remove-goto!", 12);
	      DEFINE_STRING(BGl_string2298z00zzsaw_bbvzd2optimzd2,
		BgL_bgl_string2298za700za7za7s2341za7, "before goto!", 12);
	      DEFINE_STRING(BGl_string2299z00zzsaw_bbvzd2optimzd2,
		BgL_bgl_string2299za700za7za7s2342za7, "goto", 4);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_regsetzd2msiza7ezd2envza7zzsaw_bbvzd2optimzd2,
		BgL_bgl_za762regsetza7d2msiza72343za7,
		BGl_z62regsetzd2msiza7ez17zzsaw_bbvzd2optimzd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_coalescez12zd2envzc0zzsaw_bbvzd2optimzd2,
		BgL_bgl_za762coalesceza712za772344za7,
		BGl_z62coalescez12z70zzsaw_bbvzd2optimzd2, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2294z00zzsaw_bbvzd2optimzd2,
		BgL_bgl_za762za7c3za704anonymo2345za7,
		BGl_z62zc3z04anonymousza31650ze3ze5zzsaw_bbvzd2optimzd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2typezd2envzf2zzsaw_bbvzd2optimzd2,
		BgL_bgl_za762rtl_regza7f2raza72346za7,
		BGl_z62rtl_regzf2razd2typez42zzsaw_bbvzd2optimzd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2varzd2setz12zd2envz32zzsaw_bbvzd2optimzd2,
		BgL_bgl_za762rtl_regza7f2raza72347za7,
		BGl_z62rtl_regzf2razd2varzd2setz12z82zzsaw_bbvzd2optimzd2, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2occurrenceszd2envzf2zzsaw_bbvzd2optimzd2,
		BgL_bgl_za762rtl_regza7f2raza72348za7,
		BGl_z62rtl_regzf2razd2occurrencesz42zzsaw_bbvzd2optimzd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2nilzd2envzf2zzsaw_bbvzd2optimzd2,
		BgL_bgl_za762rtl_regza7f2raza72349za7,
		BGl_z62rtl_regzf2razd2nilz42zzsaw_bbvzd2optimzd2, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2varzd2envzf2zzsaw_bbvzd2optimzd2,
		BgL_bgl_za762rtl_regza7f2raza72350za7,
		BGl_z62rtl_regzf2razd2varz42zzsaw_bbvzd2optimzd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2numzd2envzf2zzsaw_bbvzd2optimzd2,
		BgL_bgl_za762rtl_regza7f2raza72351za7,
		BGl_z62rtl_regzf2razd2numz42zzsaw_bbvzd2optimzd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_regsetzd2stringzd2setz12zd2envzc0zzsaw_bbvzd2optimzd2,
		BgL_bgl_za762regsetza7d2stri2352z00,
		BGl_z62regsetzd2stringzd2setz12z70zzsaw_bbvzd2optimzd2, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2colorzd2setz12zd2envz32zzsaw_bbvzd2optimzd2,
		BgL_bgl_za762rtl_regza7f2raza72353za7,
		BGl_z62rtl_regzf2razd2colorzd2setz12z82zzsaw_bbvzd2optimzd2, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2onexprzf3zd2envz01zzsaw_bbvzd2optimzd2,
		BgL_bgl_za762rtl_regza7f2raza72354za7,
		BGl_z62rtl_regzf2razd2onexprzf3zb1zzsaw_bbvzd2optimzd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_regsetzd2stringzd2envz00zzsaw_bbvzd2optimzd2,
		BgL_bgl_za762regsetza7d2stri2355z00,
		BGl_z62regsetzd2stringzb0zzsaw_bbvzd2optimzd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2interfere2zd2setz12zd2envz32zzsaw_bbvzd2optimzd2,
		BgL_bgl_za762rtl_regza7f2raza72356za7,
		BGl_z62rtl_regzf2razd2interfere2zd2setz12z82zzsaw_bbvzd2optimzd2, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2rtl_regzf2razd2envzf2zzsaw_bbvzd2optimzd2,
		BgL_bgl_za762makeza7d2rtl_re2357z00,
		BGl_z62makezd2rtl_regzf2raz42zzsaw_bbvzd2optimzd2, 0L, BUNSPEC, 12);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razf3zd2envzd3zzsaw_bbvzd2optimzd2,
		BgL_bgl_za762rtl_regza7f2raza72358za7,
		BGl_z62rtl_regzf2razf3z63zzsaw_bbvzd2optimzd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_regsetzd2lengthzd2envz00zzsaw_bbvzd2optimzd2,
		BgL_bgl_za762regsetza7d2leng2359z00,
		BGl_z62regsetzd2lengthzb0zzsaw_bbvzd2optimzd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2coalescezd2envzf2zzsaw_bbvzd2optimzd2,
		BgL_bgl_za762rtl_regza7f2raza72360za7,
		BGl_z62rtl_regzf2razd2coalescez42zzsaw_bbvzd2optimzd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2interfere2zd2envzf2zzsaw_bbvzd2optimzd2,
		BgL_bgl_za762rtl_regza7f2raza72361za7,
		BGl_z62rtl_regzf2razd2interfere2z42zzsaw_bbvzd2optimzd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2hardwarezd2envzf2zzsaw_bbvzd2optimzd2,
		BgL_bgl_za762rtl_regza7f2raza72362za7,
		BGl_z62rtl_regzf2razd2hardwarez42zzsaw_bbvzd2optimzd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2regsetzd2envz00zzsaw_bbvzd2optimzd2,
		BgL_bgl_za762makeza7d2regset2363z00,
		BGl_z62makezd2regsetzb0zzsaw_bbvzd2optimzd2, 0L, BUNSPEC, 5);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_removezd2gotoz12zd2envz12zzsaw_bbvzd2optimzd2,
		BgL_bgl_za762removeza7d2goto2364z00,
		BGl_z62removezd2gotoz12za2zzsaw_bbvzd2optimzd2, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_regsetzf3zd2envz21zzsaw_bbvzd2optimzd2,
		BgL_bgl_za762regsetza7f3za791za72365z00,
		BGl_z62regsetzf3z91zzsaw_bbvzd2optimzd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2keyzd2envzf2zzsaw_bbvzd2optimzd2,
		BgL_bgl_za762rtl_regza7f2raza72366za7,
		BGl_z62rtl_regzf2razd2keyz42zzsaw_bbvzd2optimzd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_removezd2nopz12zd2envz12zzsaw_bbvzd2optimzd2,
		BgL_bgl_za762removeza7d2nopza72367za7,
		BGl_z62removezd2nopz12za2zzsaw_bbvzd2optimzd2, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2coalescezd2setz12zd2envz32zzsaw_bbvzd2optimzd2,
		BgL_bgl_za762rtl_regza7f2raza72368za7,
		BGl_z62rtl_regzf2razd2coalescezd2setz12z82zzsaw_bbvzd2optimzd2, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_regsetzd2reglzd2envz00zzsaw_bbvzd2optimzd2,
		BgL_bgl_za762regsetza7d2regl2369z00,
		BGl_z62regsetzd2reglzb0zzsaw_bbvzd2optimzd2, 0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zzsaw_bbvzd2optimzd2));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzsaw_bbvzd2optimzd2(long
		BgL_checksumz00_3646, char *BgL_fromz00_3647)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzsaw_bbvzd2optimzd2))
				{
					BGl_requirezd2initializa7ationz75zzsaw_bbvzd2optimzd2 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzsaw_bbvzd2optimzd2();
					BGl_libraryzd2moduleszd2initz00zzsaw_bbvzd2optimzd2();
					BGl_cnstzd2initzd2zzsaw_bbvzd2optimzd2();
					BGl_importedzd2moduleszd2initz00zzsaw_bbvzd2optimzd2();
					return BGl_toplevelzd2initzd2zzsaw_bbvzd2optimzd2();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzsaw_bbvzd2optimzd2(void)
	{
		{	/* SawBbv/bbv-optim.scm 15 */
			BGl_modulezd2initializa7ationz75zz__objectz00(0L, "saw_bbv-optim");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(0L,
				"saw_bbv-optim");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(0L,
				"saw_bbv-optim");
			BGl_modulezd2initializa7ationz75zz__readerz00(0L, "saw_bbv-optim");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(0L,
				"saw_bbv-optim");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(0L,
				"saw_bbv-optim");
			BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(0L,
				"saw_bbv-optim");
			BGl_modulezd2initializa7ationz75zz__structurez00(0L, "saw_bbv-optim");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(0L,
				"saw_bbv-optim");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(0L,
				"saw_bbv-optim");
			BGl_modulezd2initializa7ationz75zz__biglooz00(0L, "saw_bbv-optim");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzsaw_bbvzd2optimzd2(void)
	{
		{	/* SawBbv/bbv-optim.scm 15 */
			{	/* SawBbv/bbv-optim.scm 15 */
				obj_t BgL_cportz00_3595;

				{	/* SawBbv/bbv-optim.scm 15 */
					obj_t BgL_stringz00_3602;

					BgL_stringz00_3602 = BGl_string2311z00zzsaw_bbvzd2optimzd2;
					{	/* SawBbv/bbv-optim.scm 15 */
						obj_t BgL_startz00_3603;

						BgL_startz00_3603 = BINT(0L);
						{	/* SawBbv/bbv-optim.scm 15 */
							obj_t BgL_endz00_3604;

							BgL_endz00_3604 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_3602)));
							{	/* SawBbv/bbv-optim.scm 15 */

								BgL_cportz00_3595 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_3602, BgL_startz00_3603, BgL_endz00_3604);
				}}}}
				{
					long BgL_iz00_3596;

					BgL_iz00_3596 = 1L;
				BgL_loopz00_3597:
					if ((BgL_iz00_3596 == (-1L)))
						{	/* SawBbv/bbv-optim.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* SawBbv/bbv-optim.scm 15 */
							{	/* SawBbv/bbv-optim.scm 15 */
								obj_t BgL_arg2313z00_3598;

								{	/* SawBbv/bbv-optim.scm 15 */

									{	/* SawBbv/bbv-optim.scm 15 */
										obj_t BgL_locationz00_3600;

										BgL_locationz00_3600 = BBOOL(((bool_t) 0));
										{	/* SawBbv/bbv-optim.scm 15 */

											BgL_arg2313z00_3598 =
												BGl_readz00zz__readerz00(BgL_cportz00_3595,
												BgL_locationz00_3600);
										}
									}
								}
								{	/* SawBbv/bbv-optim.scm 15 */
									int BgL_tmpz00_3676;

									BgL_tmpz00_3676 = (int) (BgL_iz00_3596);
									CNST_TABLE_SET(BgL_tmpz00_3676, BgL_arg2313z00_3598);
							}}
							{	/* SawBbv/bbv-optim.scm 15 */
								int BgL_auxz00_3601;

								BgL_auxz00_3601 = (int) ((BgL_iz00_3596 - 1L));
								{
									long BgL_iz00_3681;

									BgL_iz00_3681 = (long) (BgL_auxz00_3601);
									BgL_iz00_3596 = BgL_iz00_3681;
									goto BgL_loopz00_3597;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzsaw_bbvzd2optimzd2(void)
	{
		{	/* SawBbv/bbv-optim.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzsaw_bbvzd2optimzd2(void)
	{
		{	/* SawBbv/bbv-optim.scm 15 */
			return BUNSPEC;
		}

	}



/* append-21011 */
	obj_t BGl_appendzd221011zd2zzsaw_bbvzd2optimzd2(obj_t BgL_l1z00_1,
		obj_t BgL_l2z00_2)
	{
		{
			if (NULLP(BgL_l1z00_1))
				{
					return BgL_l2z00_2;
				}
			else
				{
					obj_t BgL_headz00_2168;

					BgL_headz00_2168 = MAKE_YOUNG_PAIR(BNIL, BgL_l2z00_2);
					{
						obj_t BgL_prevz00_2169;
						obj_t BgL_tailz00_2170;

						BgL_prevz00_2169 = BgL_headz00_2168;
						BgL_tailz00_2170 = BgL_l1z00_1;
					BgL_loopz00_2171:
						if (PAIRP(BgL_tailz00_2170))
							{
								obj_t BgL_newzd2prevzd2_2173;

								BgL_newzd2prevzd2_2173 =
									MAKE_YOUNG_PAIR(CAR(BgL_tailz00_2170), BgL_l2z00_2);
								SET_CDR(BgL_prevz00_2169, BgL_newzd2prevzd2_2173);
								{
									obj_t BgL_tailz00_3693;
									obj_t BgL_prevz00_3692;

									BgL_prevz00_3692 = BgL_newzd2prevzd2_2173;
									BgL_tailz00_3693 = CDR(BgL_tailz00_2170);
									BgL_tailz00_2170 = BgL_tailz00_3693;
									BgL_prevz00_2169 = BgL_prevz00_3692;
									goto BgL_loopz00_2171;
								}
							}
						else
							{
								BNIL;
							}
						return CDR(BgL_headz00_2168);
					}
				}
		}

	}



/* make-rtl_reg/ra */
	BGL_EXPORTED_DEF BgL_rtl_regz00_bglt
		BGl_makezd2rtl_regzf2raz20zzsaw_bbvzd2optimzd2(BgL_typez00_bglt
		BgL_type1179z00_3, obj_t BgL_var1180z00_4, obj_t BgL_onexprzf31181zf3_5,
		obj_t BgL_name1182z00_6, obj_t BgL_key1183z00_7,
		obj_t BgL_hardware1184z00_8, int BgL_num1185z00_9,
		obj_t BgL_color1186z00_10, obj_t BgL_coalesce1187z00_11,
		int BgL_occurrences1188z00_12, obj_t BgL_interfere1189z00_13,
		obj_t BgL_interfere21190z00_14)
	{
		{	/* SawMill/regset.sch 55 */
			{	/* SawMill/regset.sch 55 */
				BgL_rtl_regz00_bglt BgL_new1166z00_3606;

				{	/* SawMill/regset.sch 55 */
					BgL_rtl_regz00_bglt BgL_tmp1164z00_3607;
					BgL_rtl_regzf2razf2_bglt BgL_wide1165z00_3608;

					{
						BgL_rtl_regz00_bglt BgL_auxz00_3696;

						{	/* SawMill/regset.sch 55 */
							BgL_rtl_regz00_bglt BgL_new1163z00_3609;

							BgL_new1163z00_3609 =
								((BgL_rtl_regz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_rtl_regz00_bgl))));
							{	/* SawMill/regset.sch 55 */
								long BgL_arg1489z00_3610;

								BgL_arg1489z00_3610 =
									BGL_CLASS_NUM(BGl_rtl_regz00zzsaw_defsz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1163z00_3609),
									BgL_arg1489z00_3610);
							}
							{	/* SawMill/regset.sch 55 */
								BgL_objectz00_bglt BgL_tmpz00_3701;

								BgL_tmpz00_3701 = ((BgL_objectz00_bglt) BgL_new1163z00_3609);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3701, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1163z00_3609);
							BgL_auxz00_3696 = BgL_new1163z00_3609;
						}
						BgL_tmp1164z00_3607 = ((BgL_rtl_regz00_bglt) BgL_auxz00_3696);
					}
					BgL_wide1165z00_3608 =
						((BgL_rtl_regzf2razf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_regzf2razf2_bgl))));
					{	/* SawMill/regset.sch 55 */
						obj_t BgL_auxz00_3709;
						BgL_objectz00_bglt BgL_tmpz00_3707;

						BgL_auxz00_3709 = ((obj_t) BgL_wide1165z00_3608);
						BgL_tmpz00_3707 = ((BgL_objectz00_bglt) BgL_tmp1164z00_3607);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3707, BgL_auxz00_3709);
					}
					((BgL_objectz00_bglt) BgL_tmp1164z00_3607);
					{	/* SawMill/regset.sch 55 */
						long BgL_arg1487z00_3611;

						BgL_arg1487z00_3611 =
							BGL_CLASS_NUM(BGl_rtl_regzf2razf2zzsaw_regsetz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1164z00_3607), BgL_arg1487z00_3611);
					}
					BgL_new1166z00_3606 = ((BgL_rtl_regz00_bglt) BgL_tmp1164z00_3607);
				}
				((((BgL_rtl_regz00_bglt) COBJECT(
								((BgL_rtl_regz00_bglt) BgL_new1166z00_3606)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1179z00_3), BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(((BgL_rtl_regz00_bglt)
									BgL_new1166z00_3606)))->BgL_varz00) =
					((obj_t) BgL_var1180z00_4), BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(((BgL_rtl_regz00_bglt)
									BgL_new1166z00_3606)))->BgL_onexprzf3zf3) =
					((obj_t) BgL_onexprzf31181zf3_5), BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(((BgL_rtl_regz00_bglt)
									BgL_new1166z00_3606)))->BgL_namez00) =
					((obj_t) BgL_name1182z00_6), BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(((BgL_rtl_regz00_bglt)
									BgL_new1166z00_3606)))->BgL_keyz00) =
					((obj_t) BgL_key1183z00_7), BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(((BgL_rtl_regz00_bglt)
									BgL_new1166z00_3606)))->BgL_debugnamez00) =
					((obj_t) BFALSE), BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(((BgL_rtl_regz00_bglt)
									BgL_new1166z00_3606)))->BgL_hardwarez00) =
					((obj_t) BgL_hardware1184z00_8), BUNSPEC);
				{
					BgL_rtl_regzf2razf2_bglt BgL_auxz00_3731;

					{
						obj_t BgL_auxz00_3732;

						{	/* SawMill/regset.sch 55 */
							BgL_objectz00_bglt BgL_tmpz00_3733;

							BgL_tmpz00_3733 = ((BgL_objectz00_bglt) BgL_new1166z00_3606);
							BgL_auxz00_3732 = BGL_OBJECT_WIDENING(BgL_tmpz00_3733);
						}
						BgL_auxz00_3731 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_3732);
					}
					((((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_3731))->BgL_numz00) =
						((int) BgL_num1185z00_9), BUNSPEC);
				}
				{
					BgL_rtl_regzf2razf2_bglt BgL_auxz00_3738;

					{
						obj_t BgL_auxz00_3739;

						{	/* SawMill/regset.sch 55 */
							BgL_objectz00_bglt BgL_tmpz00_3740;

							BgL_tmpz00_3740 = ((BgL_objectz00_bglt) BgL_new1166z00_3606);
							BgL_auxz00_3739 = BGL_OBJECT_WIDENING(BgL_tmpz00_3740);
						}
						BgL_auxz00_3738 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_3739);
					}
					((((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_3738))->
							BgL_colorz00) = ((obj_t) BgL_color1186z00_10), BUNSPEC);
				}
				{
					BgL_rtl_regzf2razf2_bglt BgL_auxz00_3745;

					{
						obj_t BgL_auxz00_3746;

						{	/* SawMill/regset.sch 55 */
							BgL_objectz00_bglt BgL_tmpz00_3747;

							BgL_tmpz00_3747 = ((BgL_objectz00_bglt) BgL_new1166z00_3606);
							BgL_auxz00_3746 = BGL_OBJECT_WIDENING(BgL_tmpz00_3747);
						}
						BgL_auxz00_3745 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_3746);
					}
					((((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_3745))->
							BgL_coalescez00) = ((obj_t) BgL_coalesce1187z00_11), BUNSPEC);
				}
				{
					BgL_rtl_regzf2razf2_bglt BgL_auxz00_3752;

					{
						obj_t BgL_auxz00_3753;

						{	/* SawMill/regset.sch 55 */
							BgL_objectz00_bglt BgL_tmpz00_3754;

							BgL_tmpz00_3754 = ((BgL_objectz00_bglt) BgL_new1166z00_3606);
							BgL_auxz00_3753 = BGL_OBJECT_WIDENING(BgL_tmpz00_3754);
						}
						BgL_auxz00_3752 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_3753);
					}
					((((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_3752))->
							BgL_occurrencesz00) = ((int) BgL_occurrences1188z00_12), BUNSPEC);
				}
				{
					BgL_rtl_regzf2razf2_bglt BgL_auxz00_3759;

					{
						obj_t BgL_auxz00_3760;

						{	/* SawMill/regset.sch 55 */
							BgL_objectz00_bglt BgL_tmpz00_3761;

							BgL_tmpz00_3761 = ((BgL_objectz00_bglt) BgL_new1166z00_3606);
							BgL_auxz00_3760 = BGL_OBJECT_WIDENING(BgL_tmpz00_3761);
						}
						BgL_auxz00_3759 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_3760);
					}
					((((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_3759))->
							BgL_interferez00) = ((obj_t) BgL_interfere1189z00_13), BUNSPEC);
				}
				{
					BgL_rtl_regzf2razf2_bglt BgL_auxz00_3766;

					{
						obj_t BgL_auxz00_3767;

						{	/* SawMill/regset.sch 55 */
							BgL_objectz00_bglt BgL_tmpz00_3768;

							BgL_tmpz00_3768 = ((BgL_objectz00_bglt) BgL_new1166z00_3606);
							BgL_auxz00_3767 = BGL_OBJECT_WIDENING(BgL_tmpz00_3768);
						}
						BgL_auxz00_3766 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_3767);
					}
					((((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_3766))->
							BgL_interfere2z00) = ((obj_t) BgL_interfere21190z00_14), BUNSPEC);
				}
				return BgL_new1166z00_3606;
			}
		}

	}



/* &make-rtl_reg/ra */
	BgL_rtl_regz00_bglt BGl_z62makezd2rtl_regzf2raz42zzsaw_bbvzd2optimzd2(obj_t
		BgL_envz00_3481, obj_t BgL_type1179z00_3482, obj_t BgL_var1180z00_3483,
		obj_t BgL_onexprzf31181zf3_3484, obj_t BgL_name1182z00_3485,
		obj_t BgL_key1183z00_3486, obj_t BgL_hardware1184z00_3487,
		obj_t BgL_num1185z00_3488, obj_t BgL_color1186z00_3489,
		obj_t BgL_coalesce1187z00_3490, obj_t BgL_occurrences1188z00_3491,
		obj_t BgL_interfere1189z00_3492, obj_t BgL_interfere21190z00_3493)
	{
		{	/* SawMill/regset.sch 55 */
			return
				BGl_makezd2rtl_regzf2raz20zzsaw_bbvzd2optimzd2(
				((BgL_typez00_bglt) BgL_type1179z00_3482), BgL_var1180z00_3483,
				BgL_onexprzf31181zf3_3484, BgL_name1182z00_3485, BgL_key1183z00_3486,
				BgL_hardware1184z00_3487, CINT(BgL_num1185z00_3488),
				BgL_color1186z00_3489, BgL_coalesce1187z00_3490,
				CINT(BgL_occurrences1188z00_3491), BgL_interfere1189z00_3492,
				BgL_interfere21190z00_3493);
		}

	}



/* rtl_reg/ra? */
	BGL_EXPORTED_DEF bool_t BGl_rtl_regzf2razf3z01zzsaw_bbvzd2optimzd2(obj_t
		BgL_objz00_15)
	{
		{	/* SawMill/regset.sch 56 */
			{	/* SawMill/regset.sch 56 */
				obj_t BgL_classz00_3612;

				BgL_classz00_3612 = BGl_rtl_regzf2razf2zzsaw_regsetz00;
				if (BGL_OBJECTP(BgL_objz00_15))
					{	/* SawMill/regset.sch 56 */
						BgL_objectz00_bglt BgL_arg1858z00_3613;

						BgL_arg1858z00_3613 = (BgL_objectz00_bglt) (BgL_objz00_15);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* SawMill/regset.sch 56 */
								long BgL_idxz00_3614;

								BgL_idxz00_3614 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_3613);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_3614 + 2L)) == BgL_classz00_3612);
							}
						else
							{	/* SawMill/regset.sch 56 */
								bool_t BgL_res2285z00_3617;

								{	/* SawMill/regset.sch 56 */
									obj_t BgL_oclassz00_3618;

									{	/* SawMill/regset.sch 56 */
										obj_t BgL_arg1866z00_3619;
										long BgL_arg1867z00_3620;

										BgL_arg1866z00_3619 = (BGl_za2classesza2z00zz__objectz00);
										{	/* SawMill/regset.sch 56 */
											long BgL_arg1869z00_3621;

											BgL_arg1869z00_3621 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_3613);
											BgL_arg1867z00_3620 = (BgL_arg1869z00_3621 - OBJECT_TYPE);
										}
										BgL_oclassz00_3618 =
											VECTOR_REF(BgL_arg1866z00_3619, BgL_arg1867z00_3620);
									}
									{	/* SawMill/regset.sch 56 */
										bool_t BgL__ortest_1115z00_3622;

										BgL__ortest_1115z00_3622 =
											(BgL_classz00_3612 == BgL_oclassz00_3618);
										if (BgL__ortest_1115z00_3622)
											{	/* SawMill/regset.sch 56 */
												BgL_res2285z00_3617 = BgL__ortest_1115z00_3622;
											}
										else
											{	/* SawMill/regset.sch 56 */
												long BgL_odepthz00_3623;

												{	/* SawMill/regset.sch 56 */
													obj_t BgL_arg1855z00_3624;

													BgL_arg1855z00_3624 = (BgL_oclassz00_3618);
													BgL_odepthz00_3623 =
														BGL_CLASS_DEPTH(BgL_arg1855z00_3624);
												}
												if ((2L < BgL_odepthz00_3623))
													{	/* SawMill/regset.sch 56 */
														obj_t BgL_arg1853z00_3625;

														{	/* SawMill/regset.sch 56 */
															obj_t BgL_arg1854z00_3626;

															BgL_arg1854z00_3626 = (BgL_oclassz00_3618);
															BgL_arg1853z00_3625 =
																BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_3626,
																2L);
														}
														BgL_res2285z00_3617 =
															(BgL_arg1853z00_3625 == BgL_classz00_3612);
													}
												else
													{	/* SawMill/regset.sch 56 */
														BgL_res2285z00_3617 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res2285z00_3617;
							}
					}
				else
					{	/* SawMill/regset.sch 56 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &rtl_reg/ra? */
	obj_t BGl_z62rtl_regzf2razf3z63zzsaw_bbvzd2optimzd2(obj_t BgL_envz00_3494,
		obj_t BgL_objz00_3495)
	{
		{	/* SawMill/regset.sch 56 */
			return BBOOL(BGl_rtl_regzf2razf3z01zzsaw_bbvzd2optimzd2(BgL_objz00_3495));
		}

	}



/* rtl_reg/ra-nil */
	BGL_EXPORTED_DEF BgL_rtl_regz00_bglt
		BGl_rtl_regzf2razd2nilz20zzsaw_bbvzd2optimzd2(void)
	{
		{	/* SawMill/regset.sch 57 */
			{	/* SawMill/regset.sch 57 */
				obj_t BgL_classz00_3195;

				BgL_classz00_3195 = BGl_rtl_regzf2razf2zzsaw_regsetz00;
				{	/* SawMill/regset.sch 57 */
					obj_t BgL__ortest_1117z00_3196;

					BgL__ortest_1117z00_3196 = BGL_CLASS_NIL(BgL_classz00_3195);
					if (CBOOL(BgL__ortest_1117z00_3196))
						{	/* SawMill/regset.sch 57 */
							return ((BgL_rtl_regz00_bglt) BgL__ortest_1117z00_3196);
						}
					else
						{	/* SawMill/regset.sch 57 */
							return
								((BgL_rtl_regz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_3195));
						}
				}
			}
		}

	}



/* &rtl_reg/ra-nil */
	BgL_rtl_regz00_bglt BGl_z62rtl_regzf2razd2nilz42zzsaw_bbvzd2optimzd2(obj_t
		BgL_envz00_3496)
	{
		{	/* SawMill/regset.sch 57 */
			return BGl_rtl_regzf2razd2nilz20zzsaw_bbvzd2optimzd2();
		}

	}



/* rtl_reg/ra-interfere2 */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2interfere2z20zzsaw_bbvzd2optimzd2(BgL_rtl_regz00_bglt
		BgL_oz00_16)
	{
		{	/* SawMill/regset.sch 58 */
			{
				BgL_rtl_regzf2razf2_bglt BgL_auxz00_3808;

				{
					obj_t BgL_auxz00_3809;

					{	/* SawMill/regset.sch 58 */
						BgL_objectz00_bglt BgL_tmpz00_3810;

						BgL_tmpz00_3810 = ((BgL_objectz00_bglt) BgL_oz00_16);
						BgL_auxz00_3809 = BGL_OBJECT_WIDENING(BgL_tmpz00_3810);
					}
					BgL_auxz00_3808 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_3809);
				}
				return
					(((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_3808))->
					BgL_interfere2z00);
			}
		}

	}



/* &rtl_reg/ra-interfere2 */
	obj_t BGl_z62rtl_regzf2razd2interfere2z42zzsaw_bbvzd2optimzd2(obj_t
		BgL_envz00_3497, obj_t BgL_oz00_3498)
	{
		{	/* SawMill/regset.sch 58 */
			return
				BGl_rtl_regzf2razd2interfere2z20zzsaw_bbvzd2optimzd2(
				((BgL_rtl_regz00_bglt) BgL_oz00_3498));
		}

	}



/* rtl_reg/ra-interfere2-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2interfere2zd2setz12ze0zzsaw_bbvzd2optimzd2
		(BgL_rtl_regz00_bglt BgL_oz00_17, obj_t BgL_vz00_18)
	{
		{	/* SawMill/regset.sch 59 */
			{
				BgL_rtl_regzf2razf2_bglt BgL_auxz00_3817;

				{
					obj_t BgL_auxz00_3818;

					{	/* SawMill/regset.sch 59 */
						BgL_objectz00_bglt BgL_tmpz00_3819;

						BgL_tmpz00_3819 = ((BgL_objectz00_bglt) BgL_oz00_17);
						BgL_auxz00_3818 = BGL_OBJECT_WIDENING(BgL_tmpz00_3819);
					}
					BgL_auxz00_3817 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_3818);
				}
				return
					((((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_3817))->
						BgL_interfere2z00) = ((obj_t) BgL_vz00_18), BUNSPEC);
			}
		}

	}



/* &rtl_reg/ra-interfere2-set! */
	obj_t BGl_z62rtl_regzf2razd2interfere2zd2setz12z82zzsaw_bbvzd2optimzd2(obj_t
		BgL_envz00_3499, obj_t BgL_oz00_3500, obj_t BgL_vz00_3501)
	{
		{	/* SawMill/regset.sch 59 */
			return
				BGl_rtl_regzf2razd2interfere2zd2setz12ze0zzsaw_bbvzd2optimzd2(
				((BgL_rtl_regz00_bglt) BgL_oz00_3500), BgL_vz00_3501);
		}

	}



/* rtl_reg/ra-interfere */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2interferez20zzsaw_bbvzd2optimzd2(BgL_rtl_regz00_bglt
		BgL_oz00_19)
	{
		{	/* SawMill/regset.sch 60 */
			{
				BgL_rtl_regzf2razf2_bglt BgL_auxz00_3826;

				{
					obj_t BgL_auxz00_3827;

					{	/* SawMill/regset.sch 60 */
						BgL_objectz00_bglt BgL_tmpz00_3828;

						BgL_tmpz00_3828 = ((BgL_objectz00_bglt) BgL_oz00_19);
						BgL_auxz00_3827 = BGL_OBJECT_WIDENING(BgL_tmpz00_3828);
					}
					BgL_auxz00_3826 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_3827);
				}
				return
					(((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_3826))->
					BgL_interferez00);
			}
		}

	}



/* &rtl_reg/ra-interfere */
	obj_t BGl_z62rtl_regzf2razd2interferez42zzsaw_bbvzd2optimzd2(obj_t
		BgL_envz00_3502, obj_t BgL_oz00_3503)
	{
		{	/* SawMill/regset.sch 60 */
			return
				BGl_rtl_regzf2razd2interferez20zzsaw_bbvzd2optimzd2(
				((BgL_rtl_regz00_bglt) BgL_oz00_3503));
		}

	}



/* rtl_reg/ra-interfere-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2interferezd2setz12ze0zzsaw_bbvzd2optimzd2
		(BgL_rtl_regz00_bglt BgL_oz00_20, obj_t BgL_vz00_21)
	{
		{	/* SawMill/regset.sch 61 */
			{
				BgL_rtl_regzf2razf2_bglt BgL_auxz00_3835;

				{
					obj_t BgL_auxz00_3836;

					{	/* SawMill/regset.sch 61 */
						BgL_objectz00_bglt BgL_tmpz00_3837;

						BgL_tmpz00_3837 = ((BgL_objectz00_bglt) BgL_oz00_20);
						BgL_auxz00_3836 = BGL_OBJECT_WIDENING(BgL_tmpz00_3837);
					}
					BgL_auxz00_3835 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_3836);
				}
				return
					((((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_3835))->
						BgL_interferez00) = ((obj_t) BgL_vz00_21), BUNSPEC);
			}
		}

	}



/* &rtl_reg/ra-interfere-set! */
	obj_t BGl_z62rtl_regzf2razd2interferezd2setz12z82zzsaw_bbvzd2optimzd2(obj_t
		BgL_envz00_3504, obj_t BgL_oz00_3505, obj_t BgL_vz00_3506)
	{
		{	/* SawMill/regset.sch 61 */
			return
				BGl_rtl_regzf2razd2interferezd2setz12ze0zzsaw_bbvzd2optimzd2(
				((BgL_rtl_regz00_bglt) BgL_oz00_3505), BgL_vz00_3506);
		}

	}



/* rtl_reg/ra-occurrences */
	BGL_EXPORTED_DEF int
		BGl_rtl_regzf2razd2occurrencesz20zzsaw_bbvzd2optimzd2(BgL_rtl_regz00_bglt
		BgL_oz00_22)
	{
		{	/* SawMill/regset.sch 62 */
			{
				BgL_rtl_regzf2razf2_bglt BgL_auxz00_3844;

				{
					obj_t BgL_auxz00_3845;

					{	/* SawMill/regset.sch 62 */
						BgL_objectz00_bglt BgL_tmpz00_3846;

						BgL_tmpz00_3846 = ((BgL_objectz00_bglt) BgL_oz00_22);
						BgL_auxz00_3845 = BGL_OBJECT_WIDENING(BgL_tmpz00_3846);
					}
					BgL_auxz00_3844 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_3845);
				}
				return
					(((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_3844))->
					BgL_occurrencesz00);
			}
		}

	}



/* &rtl_reg/ra-occurrences */
	obj_t BGl_z62rtl_regzf2razd2occurrencesz42zzsaw_bbvzd2optimzd2(obj_t
		BgL_envz00_3507, obj_t BgL_oz00_3508)
	{
		{	/* SawMill/regset.sch 62 */
			return
				BINT(BGl_rtl_regzf2razd2occurrencesz20zzsaw_bbvzd2optimzd2(
					((BgL_rtl_regz00_bglt) BgL_oz00_3508)));
		}

	}



/* rtl_reg/ra-occurrences-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2occurrenceszd2setz12ze0zzsaw_bbvzd2optimzd2
		(BgL_rtl_regz00_bglt BgL_oz00_23, int BgL_vz00_24)
	{
		{	/* SawMill/regset.sch 63 */
			{
				BgL_rtl_regzf2razf2_bglt BgL_auxz00_3854;

				{
					obj_t BgL_auxz00_3855;

					{	/* SawMill/regset.sch 63 */
						BgL_objectz00_bglt BgL_tmpz00_3856;

						BgL_tmpz00_3856 = ((BgL_objectz00_bglt) BgL_oz00_23);
						BgL_auxz00_3855 = BGL_OBJECT_WIDENING(BgL_tmpz00_3856);
					}
					BgL_auxz00_3854 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_3855);
				}
				return
					((((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_3854))->
						BgL_occurrencesz00) = ((int) BgL_vz00_24), BUNSPEC);
		}}

	}



/* &rtl_reg/ra-occurrences-set! */
	obj_t BGl_z62rtl_regzf2razd2occurrenceszd2setz12z82zzsaw_bbvzd2optimzd2(obj_t
		BgL_envz00_3509, obj_t BgL_oz00_3510, obj_t BgL_vz00_3511)
	{
		{	/* SawMill/regset.sch 63 */
			return
				BGl_rtl_regzf2razd2occurrenceszd2setz12ze0zzsaw_bbvzd2optimzd2(
				((BgL_rtl_regz00_bglt) BgL_oz00_3510), CINT(BgL_vz00_3511));
		}

	}



/* rtl_reg/ra-coalesce */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2coalescez20zzsaw_bbvzd2optimzd2(BgL_rtl_regz00_bglt
		BgL_oz00_25)
	{
		{	/* SawMill/regset.sch 64 */
			{
				BgL_rtl_regzf2razf2_bglt BgL_auxz00_3864;

				{
					obj_t BgL_auxz00_3865;

					{	/* SawMill/regset.sch 64 */
						BgL_objectz00_bglt BgL_tmpz00_3866;

						BgL_tmpz00_3866 = ((BgL_objectz00_bglt) BgL_oz00_25);
						BgL_auxz00_3865 = BGL_OBJECT_WIDENING(BgL_tmpz00_3866);
					}
					BgL_auxz00_3864 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_3865);
				}
				return
					(((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_3864))->
					BgL_coalescez00);
			}
		}

	}



/* &rtl_reg/ra-coalesce */
	obj_t BGl_z62rtl_regzf2razd2coalescez42zzsaw_bbvzd2optimzd2(obj_t
		BgL_envz00_3512, obj_t BgL_oz00_3513)
	{
		{	/* SawMill/regset.sch 64 */
			return
				BGl_rtl_regzf2razd2coalescez20zzsaw_bbvzd2optimzd2(
				((BgL_rtl_regz00_bglt) BgL_oz00_3513));
		}

	}



/* rtl_reg/ra-coalesce-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2coalescezd2setz12ze0zzsaw_bbvzd2optimzd2
		(BgL_rtl_regz00_bglt BgL_oz00_26, obj_t BgL_vz00_27)
	{
		{	/* SawMill/regset.sch 65 */
			{
				BgL_rtl_regzf2razf2_bglt BgL_auxz00_3873;

				{
					obj_t BgL_auxz00_3874;

					{	/* SawMill/regset.sch 65 */
						BgL_objectz00_bglt BgL_tmpz00_3875;

						BgL_tmpz00_3875 = ((BgL_objectz00_bglt) BgL_oz00_26);
						BgL_auxz00_3874 = BGL_OBJECT_WIDENING(BgL_tmpz00_3875);
					}
					BgL_auxz00_3873 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_3874);
				}
				return
					((((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_3873))->
						BgL_coalescez00) = ((obj_t) BgL_vz00_27), BUNSPEC);
			}
		}

	}



/* &rtl_reg/ra-coalesce-set! */
	obj_t BGl_z62rtl_regzf2razd2coalescezd2setz12z82zzsaw_bbvzd2optimzd2(obj_t
		BgL_envz00_3514, obj_t BgL_oz00_3515, obj_t BgL_vz00_3516)
	{
		{	/* SawMill/regset.sch 65 */
			return
				BGl_rtl_regzf2razd2coalescezd2setz12ze0zzsaw_bbvzd2optimzd2(
				((BgL_rtl_regz00_bglt) BgL_oz00_3515), BgL_vz00_3516);
		}

	}



/* rtl_reg/ra-color */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2colorz20zzsaw_bbvzd2optimzd2(BgL_rtl_regz00_bglt
		BgL_oz00_28)
	{
		{	/* SawMill/regset.sch 66 */
			{
				BgL_rtl_regzf2razf2_bglt BgL_auxz00_3882;

				{
					obj_t BgL_auxz00_3883;

					{	/* SawMill/regset.sch 66 */
						BgL_objectz00_bglt BgL_tmpz00_3884;

						BgL_tmpz00_3884 = ((BgL_objectz00_bglt) BgL_oz00_28);
						BgL_auxz00_3883 = BGL_OBJECT_WIDENING(BgL_tmpz00_3884);
					}
					BgL_auxz00_3882 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_3883);
				}
				return
					(((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_3882))->BgL_colorz00);
			}
		}

	}



/* &rtl_reg/ra-color */
	obj_t BGl_z62rtl_regzf2razd2colorz42zzsaw_bbvzd2optimzd2(obj_t
		BgL_envz00_3517, obj_t BgL_oz00_3518)
	{
		{	/* SawMill/regset.sch 66 */
			return
				BGl_rtl_regzf2razd2colorz20zzsaw_bbvzd2optimzd2(
				((BgL_rtl_regz00_bglt) BgL_oz00_3518));
		}

	}



/* rtl_reg/ra-color-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2colorzd2setz12ze0zzsaw_bbvzd2optimzd2(BgL_rtl_regz00_bglt
		BgL_oz00_29, obj_t BgL_vz00_30)
	{
		{	/* SawMill/regset.sch 67 */
			{
				BgL_rtl_regzf2razf2_bglt BgL_auxz00_3891;

				{
					obj_t BgL_auxz00_3892;

					{	/* SawMill/regset.sch 67 */
						BgL_objectz00_bglt BgL_tmpz00_3893;

						BgL_tmpz00_3893 = ((BgL_objectz00_bglt) BgL_oz00_29);
						BgL_auxz00_3892 = BGL_OBJECT_WIDENING(BgL_tmpz00_3893);
					}
					BgL_auxz00_3891 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_3892);
				}
				return
					((((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_3891))->
						BgL_colorz00) = ((obj_t) BgL_vz00_30), BUNSPEC);
			}
		}

	}



/* &rtl_reg/ra-color-set! */
	obj_t BGl_z62rtl_regzf2razd2colorzd2setz12z82zzsaw_bbvzd2optimzd2(obj_t
		BgL_envz00_3519, obj_t BgL_oz00_3520, obj_t BgL_vz00_3521)
	{
		{	/* SawMill/regset.sch 67 */
			return
				BGl_rtl_regzf2razd2colorzd2setz12ze0zzsaw_bbvzd2optimzd2(
				((BgL_rtl_regz00_bglt) BgL_oz00_3520), BgL_vz00_3521);
		}

	}



/* rtl_reg/ra-num */
	BGL_EXPORTED_DEF int
		BGl_rtl_regzf2razd2numz20zzsaw_bbvzd2optimzd2(BgL_rtl_regz00_bglt
		BgL_oz00_31)
	{
		{	/* SawMill/regset.sch 68 */
			{
				BgL_rtl_regzf2razf2_bglt BgL_auxz00_3900;

				{
					obj_t BgL_auxz00_3901;

					{	/* SawMill/regset.sch 68 */
						BgL_objectz00_bglt BgL_tmpz00_3902;

						BgL_tmpz00_3902 = ((BgL_objectz00_bglt) BgL_oz00_31);
						BgL_auxz00_3901 = BGL_OBJECT_WIDENING(BgL_tmpz00_3902);
					}
					BgL_auxz00_3900 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_3901);
				}
				return
					(((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_3900))->BgL_numz00);
			}
		}

	}



/* &rtl_reg/ra-num */
	obj_t BGl_z62rtl_regzf2razd2numz42zzsaw_bbvzd2optimzd2(obj_t BgL_envz00_3522,
		obj_t BgL_oz00_3523)
	{
		{	/* SawMill/regset.sch 68 */
			return
				BINT(BGl_rtl_regzf2razd2numz20zzsaw_bbvzd2optimzd2(
					((BgL_rtl_regz00_bglt) BgL_oz00_3523)));
		}

	}



/* rtl_reg/ra-hardware */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2hardwarez20zzsaw_bbvzd2optimzd2(BgL_rtl_regz00_bglt
		BgL_oz00_34)
	{
		{	/* SawMill/regset.sch 70 */
			return
				(((BgL_rtl_regz00_bglt) COBJECT(
						((BgL_rtl_regz00_bglt) BgL_oz00_34)))->BgL_hardwarez00);
		}

	}



/* &rtl_reg/ra-hardware */
	obj_t BGl_z62rtl_regzf2razd2hardwarez42zzsaw_bbvzd2optimzd2(obj_t
		BgL_envz00_3524, obj_t BgL_oz00_3525)
	{
		{	/* SawMill/regset.sch 70 */
			return
				BGl_rtl_regzf2razd2hardwarez20zzsaw_bbvzd2optimzd2(
				((BgL_rtl_regz00_bglt) BgL_oz00_3525));
		}

	}



/* rtl_reg/ra-key */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2keyz20zzsaw_bbvzd2optimzd2(BgL_rtl_regz00_bglt
		BgL_oz00_37)
	{
		{	/* SawMill/regset.sch 72 */
			return
				(((BgL_rtl_regz00_bglt) COBJECT(
						((BgL_rtl_regz00_bglt) BgL_oz00_37)))->BgL_keyz00);
		}

	}



/* &rtl_reg/ra-key */
	obj_t BGl_z62rtl_regzf2razd2keyz42zzsaw_bbvzd2optimzd2(obj_t BgL_envz00_3526,
		obj_t BgL_oz00_3527)
	{
		{	/* SawMill/regset.sch 72 */
			return
				BGl_rtl_regzf2razd2keyz20zzsaw_bbvzd2optimzd2(
				((BgL_rtl_regz00_bglt) BgL_oz00_3527));
		}

	}



/* rtl_reg/ra-name */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2namez20zzsaw_bbvzd2optimzd2(BgL_rtl_regz00_bglt
		BgL_oz00_40)
	{
		{	/* SawMill/regset.sch 74 */
			return
				(((BgL_rtl_regz00_bglt) COBJECT(
						((BgL_rtl_regz00_bglt) BgL_oz00_40)))->BgL_namez00);
		}

	}



/* &rtl_reg/ra-name */
	obj_t BGl_z62rtl_regzf2razd2namez42zzsaw_bbvzd2optimzd2(obj_t BgL_envz00_3528,
		obj_t BgL_oz00_3529)
	{
		{	/* SawMill/regset.sch 74 */
			return
				BGl_rtl_regzf2razd2namez20zzsaw_bbvzd2optimzd2(
				((BgL_rtl_regz00_bglt) BgL_oz00_3529));
		}

	}



/* rtl_reg/ra-onexpr? */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2onexprzf3zd3zzsaw_bbvzd2optimzd2(BgL_rtl_regz00_bglt
		BgL_oz00_43)
	{
		{	/* SawMill/regset.sch 76 */
			return
				(((BgL_rtl_regz00_bglt) COBJECT(
						((BgL_rtl_regz00_bglt) BgL_oz00_43)))->BgL_onexprzf3zf3);
		}

	}



/* &rtl_reg/ra-onexpr? */
	obj_t BGl_z62rtl_regzf2razd2onexprzf3zb1zzsaw_bbvzd2optimzd2(obj_t
		BgL_envz00_3530, obj_t BgL_oz00_3531)
	{
		{	/* SawMill/regset.sch 76 */
			return
				BGl_rtl_regzf2razd2onexprzf3zd3zzsaw_bbvzd2optimzd2(
				((BgL_rtl_regz00_bglt) BgL_oz00_3531));
		}

	}



/* rtl_reg/ra-onexpr?-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2onexprzf3zd2setz12z13zzsaw_bbvzd2optimzd2
		(BgL_rtl_regz00_bglt BgL_oz00_44, obj_t BgL_vz00_45)
	{
		{	/* SawMill/regset.sch 77 */
			return
				((((BgL_rtl_regz00_bglt) COBJECT(
							((BgL_rtl_regz00_bglt) BgL_oz00_44)))->BgL_onexprzf3zf3) =
				((obj_t) BgL_vz00_45), BUNSPEC);
		}

	}



/* &rtl_reg/ra-onexpr?-set! */
	obj_t BGl_z62rtl_regzf2razd2onexprzf3zd2setz12z71zzsaw_bbvzd2optimzd2(obj_t
		BgL_envz00_3532, obj_t BgL_oz00_3533, obj_t BgL_vz00_3534)
	{
		{	/* SawMill/regset.sch 77 */
			return
				BGl_rtl_regzf2razd2onexprzf3zd2setz12z13zzsaw_bbvzd2optimzd2(
				((BgL_rtl_regz00_bglt) BgL_oz00_3533), BgL_vz00_3534);
		}

	}



/* rtl_reg/ra-var */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2varz20zzsaw_bbvzd2optimzd2(BgL_rtl_regz00_bglt
		BgL_oz00_46)
	{
		{	/* SawMill/regset.sch 78 */
			return
				(((BgL_rtl_regz00_bglt) COBJECT(
						((BgL_rtl_regz00_bglt) BgL_oz00_46)))->BgL_varz00);
		}

	}



/* &rtl_reg/ra-var */
	obj_t BGl_z62rtl_regzf2razd2varz42zzsaw_bbvzd2optimzd2(obj_t BgL_envz00_3535,
		obj_t BgL_oz00_3536)
	{
		{	/* SawMill/regset.sch 78 */
			return
				BGl_rtl_regzf2razd2varz20zzsaw_bbvzd2optimzd2(
				((BgL_rtl_regz00_bglt) BgL_oz00_3536));
		}

	}



/* rtl_reg/ra-var-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2varzd2setz12ze0zzsaw_bbvzd2optimzd2(BgL_rtl_regz00_bglt
		BgL_oz00_47, obj_t BgL_vz00_48)
	{
		{	/* SawMill/regset.sch 79 */
			return
				((((BgL_rtl_regz00_bglt) COBJECT(
							((BgL_rtl_regz00_bglt) BgL_oz00_47)))->BgL_varz00) =
				((obj_t) BgL_vz00_48), BUNSPEC);
		}

	}



/* &rtl_reg/ra-var-set! */
	obj_t BGl_z62rtl_regzf2razd2varzd2setz12z82zzsaw_bbvzd2optimzd2(obj_t
		BgL_envz00_3537, obj_t BgL_oz00_3538, obj_t BgL_vz00_3539)
	{
		{	/* SawMill/regset.sch 79 */
			return
				BGl_rtl_regzf2razd2varzd2setz12ze0zzsaw_bbvzd2optimzd2(
				((BgL_rtl_regz00_bglt) BgL_oz00_3538), BgL_vz00_3539);
		}

	}



/* rtl_reg/ra-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_rtl_regzf2razd2typez20zzsaw_bbvzd2optimzd2(BgL_rtl_regz00_bglt
		BgL_oz00_49)
	{
		{	/* SawMill/regset.sch 80 */
			return
				(((BgL_rtl_regz00_bglt) COBJECT(
						((BgL_rtl_regz00_bglt) BgL_oz00_49)))->BgL_typez00);
		}

	}



/* &rtl_reg/ra-type */
	BgL_typez00_bglt BGl_z62rtl_regzf2razd2typez42zzsaw_bbvzd2optimzd2(obj_t
		BgL_envz00_3540, obj_t BgL_oz00_3541)
	{
		{	/* SawMill/regset.sch 80 */
			return
				BGl_rtl_regzf2razd2typez20zzsaw_bbvzd2optimzd2(
				((BgL_rtl_regz00_bglt) BgL_oz00_3541));
		}

	}



/* rtl_reg/ra-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2typezd2setz12ze0zzsaw_bbvzd2optimzd2(BgL_rtl_regz00_bglt
		BgL_oz00_50, BgL_typez00_bglt BgL_vz00_51)
	{
		{	/* SawMill/regset.sch 81 */
			return
				((((BgL_rtl_regz00_bglt) COBJECT(
							((BgL_rtl_regz00_bglt) BgL_oz00_50)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_51), BUNSPEC);
		}

	}



/* &rtl_reg/ra-type-set! */
	obj_t BGl_z62rtl_regzf2razd2typezd2setz12z82zzsaw_bbvzd2optimzd2(obj_t
		BgL_envz00_3542, obj_t BgL_oz00_3543, obj_t BgL_vz00_3544)
	{
		{	/* SawMill/regset.sch 81 */
			return
				BGl_rtl_regzf2razd2typezd2setz12ze0zzsaw_bbvzd2optimzd2(
				((BgL_rtl_regz00_bglt) BgL_oz00_3543),
				((BgL_typez00_bglt) BgL_vz00_3544));
		}

	}



/* make-regset */
	BGL_EXPORTED_DEF BgL_regsetz00_bglt
		BGl_makezd2regsetzd2zzsaw_bbvzd2optimzd2(int BgL_length1172z00_52,
		int BgL_msiza7e1173za7_53, obj_t BgL_regv1174z00_54,
		obj_t BgL_regl1175z00_55, obj_t BgL_string1176z00_56)
	{
		{	/* SawMill/regset.sch 84 */
			{	/* SawMill/regset.sch 84 */
				BgL_regsetz00_bglt BgL_new1168z00_3627;

				{	/* SawMill/regset.sch 84 */
					BgL_regsetz00_bglt BgL_new1167z00_3628;

					BgL_new1167z00_3628 =
						((BgL_regsetz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_regsetz00_bgl))));
					{	/* SawMill/regset.sch 84 */
						long BgL_arg1490z00_3629;

						BgL_arg1490z00_3629 = BGL_CLASS_NUM(BGl_regsetz00zzsaw_regsetz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1167z00_3628), BgL_arg1490z00_3629);
					}
					BgL_new1168z00_3627 = BgL_new1167z00_3628;
				}
				((((BgL_regsetz00_bglt) COBJECT(BgL_new1168z00_3627))->BgL_lengthz00) =
					((int) BgL_length1172z00_52), BUNSPEC);
				((((BgL_regsetz00_bglt) COBJECT(BgL_new1168z00_3627))->BgL_msiza7eza7) =
					((int) BgL_msiza7e1173za7_53), BUNSPEC);
				((((BgL_regsetz00_bglt) COBJECT(BgL_new1168z00_3627))->BgL_regvz00) =
					((obj_t) BgL_regv1174z00_54), BUNSPEC);
				((((BgL_regsetz00_bglt) COBJECT(BgL_new1168z00_3627))->BgL_reglz00) =
					((obj_t) BgL_regl1175z00_55), BUNSPEC);
				((((BgL_regsetz00_bglt) COBJECT(BgL_new1168z00_3627))->BgL_stringz00) =
					((obj_t) BgL_string1176z00_56), BUNSPEC);
				return BgL_new1168z00_3627;
			}
		}

	}



/* &make-regset */
	BgL_regsetz00_bglt BGl_z62makezd2regsetzb0zzsaw_bbvzd2optimzd2(obj_t
		BgL_envz00_3545, obj_t BgL_length1172z00_3546,
		obj_t BgL_msiza7e1173za7_3547, obj_t BgL_regv1174z00_3548,
		obj_t BgL_regl1175z00_3549, obj_t BgL_string1176z00_3550)
	{
		{	/* SawMill/regset.sch 84 */
			return
				BGl_makezd2regsetzd2zzsaw_bbvzd2optimzd2(CINT(BgL_length1172z00_3546),
				CINT(BgL_msiza7e1173za7_3547), BgL_regv1174z00_3548,
				BgL_regl1175z00_3549, BgL_string1176z00_3550);
		}

	}



/* regset? */
	BGL_EXPORTED_DEF bool_t BGl_regsetzf3zf3zzsaw_bbvzd2optimzd2(obj_t
		BgL_objz00_57)
	{
		{	/* SawMill/regset.sch 85 */
			{	/* SawMill/regset.sch 85 */
				obj_t BgL_classz00_3630;

				BgL_classz00_3630 = BGl_regsetz00zzsaw_regsetz00;
				if (BGL_OBJECTP(BgL_objz00_57))
					{	/* SawMill/regset.sch 85 */
						BgL_objectz00_bglt BgL_arg1858z00_3631;

						BgL_arg1858z00_3631 = (BgL_objectz00_bglt) (BgL_objz00_57);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* SawMill/regset.sch 85 */
								long BgL_idxz00_3632;

								BgL_idxz00_3632 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_3631);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_3632 + 1L)) == BgL_classz00_3630);
							}
						else
							{	/* SawMill/regset.sch 85 */
								bool_t BgL_res2286z00_3635;

								{	/* SawMill/regset.sch 85 */
									obj_t BgL_oclassz00_3636;

									{	/* SawMill/regset.sch 85 */
										obj_t BgL_arg1866z00_3637;
										long BgL_arg1867z00_3638;

										BgL_arg1866z00_3637 = (BGl_za2classesza2z00zz__objectz00);
										{	/* SawMill/regset.sch 85 */
											long BgL_arg1869z00_3639;

											BgL_arg1869z00_3639 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_3631);
											BgL_arg1867z00_3638 = (BgL_arg1869z00_3639 - OBJECT_TYPE);
										}
										BgL_oclassz00_3636 =
											VECTOR_REF(BgL_arg1866z00_3637, BgL_arg1867z00_3638);
									}
									{	/* SawMill/regset.sch 85 */
										bool_t BgL__ortest_1115z00_3640;

										BgL__ortest_1115z00_3640 =
											(BgL_classz00_3630 == BgL_oclassz00_3636);
										if (BgL__ortest_1115z00_3640)
											{	/* SawMill/regset.sch 85 */
												BgL_res2286z00_3635 = BgL__ortest_1115z00_3640;
											}
										else
											{	/* SawMill/regset.sch 85 */
												long BgL_odepthz00_3641;

												{	/* SawMill/regset.sch 85 */
													obj_t BgL_arg1855z00_3642;

													BgL_arg1855z00_3642 = (BgL_oclassz00_3636);
													BgL_odepthz00_3641 =
														BGL_CLASS_DEPTH(BgL_arg1855z00_3642);
												}
												if ((1L < BgL_odepthz00_3641))
													{	/* SawMill/regset.sch 85 */
														obj_t BgL_arg1853z00_3643;

														{	/* SawMill/regset.sch 85 */
															obj_t BgL_arg1854z00_3644;

															BgL_arg1854z00_3644 = (BgL_oclassz00_3636);
															BgL_arg1853z00_3643 =
																BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_3644,
																1L);
														}
														BgL_res2286z00_3635 =
															(BgL_arg1853z00_3643 == BgL_classz00_3630);
													}
												else
													{	/* SawMill/regset.sch 85 */
														BgL_res2286z00_3635 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res2286z00_3635;
							}
					}
				else
					{	/* SawMill/regset.sch 85 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &regset? */
	obj_t BGl_z62regsetzf3z91zzsaw_bbvzd2optimzd2(obj_t BgL_envz00_3551,
		obj_t BgL_objz00_3552)
	{
		{	/* SawMill/regset.sch 85 */
			return BBOOL(BGl_regsetzf3zf3zzsaw_bbvzd2optimzd2(BgL_objz00_3552));
		}

	}



/* regset-nil */
	BGL_EXPORTED_DEF BgL_regsetz00_bglt
		BGl_regsetzd2nilzd2zzsaw_bbvzd2optimzd2(void)
	{
		{	/* SawMill/regset.sch 86 */
			{	/* SawMill/regset.sch 86 */
				obj_t BgL_classz00_3248;

				BgL_classz00_3248 = BGl_regsetz00zzsaw_regsetz00;
				{	/* SawMill/regset.sch 86 */
					obj_t BgL__ortest_1117z00_3249;

					BgL__ortest_1117z00_3249 = BGL_CLASS_NIL(BgL_classz00_3248);
					if (CBOOL(BgL__ortest_1117z00_3249))
						{	/* SawMill/regset.sch 86 */
							return ((BgL_regsetz00_bglt) BgL__ortest_1117z00_3249);
						}
					else
						{	/* SawMill/regset.sch 86 */
							return
								((BgL_regsetz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_3248));
						}
				}
			}
		}

	}



/* &regset-nil */
	BgL_regsetz00_bglt BGl_z62regsetzd2nilzb0zzsaw_bbvzd2optimzd2(obj_t
		BgL_envz00_3553)
	{
		{	/* SawMill/regset.sch 86 */
			return BGl_regsetzd2nilzd2zzsaw_bbvzd2optimzd2();
		}

	}



/* regset-string */
	BGL_EXPORTED_DEF obj_t
		BGl_regsetzd2stringzd2zzsaw_bbvzd2optimzd2(BgL_regsetz00_bglt BgL_oz00_58)
	{
		{	/* SawMill/regset.sch 87 */
			return (((BgL_regsetz00_bglt) COBJECT(BgL_oz00_58))->BgL_stringz00);
		}

	}



/* &regset-string */
	obj_t BGl_z62regsetzd2stringzb0zzsaw_bbvzd2optimzd2(obj_t BgL_envz00_3554,
		obj_t BgL_oz00_3555)
	{
		{	/* SawMill/regset.sch 87 */
			return
				BGl_regsetzd2stringzd2zzsaw_bbvzd2optimzd2(
				((BgL_regsetz00_bglt) BgL_oz00_3555));
		}

	}



/* regset-string-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_regsetzd2stringzd2setz12z12zzsaw_bbvzd2optimzd2(BgL_regsetz00_bglt
		BgL_oz00_59, obj_t BgL_vz00_60)
	{
		{	/* SawMill/regset.sch 88 */
			return
				((((BgL_regsetz00_bglt) COBJECT(BgL_oz00_59))->BgL_stringz00) =
				((obj_t) BgL_vz00_60), BUNSPEC);
		}

	}



/* &regset-string-set! */
	obj_t BGl_z62regsetzd2stringzd2setz12z70zzsaw_bbvzd2optimzd2(obj_t
		BgL_envz00_3556, obj_t BgL_oz00_3557, obj_t BgL_vz00_3558)
	{
		{	/* SawMill/regset.sch 88 */
			return
				BGl_regsetzd2stringzd2setz12z12zzsaw_bbvzd2optimzd2(
				((BgL_regsetz00_bglt) BgL_oz00_3557), BgL_vz00_3558);
		}

	}



/* regset-regl */
	BGL_EXPORTED_DEF obj_t
		BGl_regsetzd2reglzd2zzsaw_bbvzd2optimzd2(BgL_regsetz00_bglt BgL_oz00_61)
	{
		{	/* SawMill/regset.sch 89 */
			return (((BgL_regsetz00_bglt) COBJECT(BgL_oz00_61))->BgL_reglz00);
		}

	}



/* &regset-regl */
	obj_t BGl_z62regsetzd2reglzb0zzsaw_bbvzd2optimzd2(obj_t BgL_envz00_3559,
		obj_t BgL_oz00_3560)
	{
		{	/* SawMill/regset.sch 89 */
			return
				BGl_regsetzd2reglzd2zzsaw_bbvzd2optimzd2(
				((BgL_regsetz00_bglt) BgL_oz00_3560));
		}

	}



/* regset-regv */
	BGL_EXPORTED_DEF obj_t
		BGl_regsetzd2regvzd2zzsaw_bbvzd2optimzd2(BgL_regsetz00_bglt BgL_oz00_64)
	{
		{	/* SawMill/regset.sch 91 */
			return (((BgL_regsetz00_bglt) COBJECT(BgL_oz00_64))->BgL_regvz00);
		}

	}



/* &regset-regv */
	obj_t BGl_z62regsetzd2regvzb0zzsaw_bbvzd2optimzd2(obj_t BgL_envz00_3561,
		obj_t BgL_oz00_3562)
	{
		{	/* SawMill/regset.sch 91 */
			return
				BGl_regsetzd2regvzd2zzsaw_bbvzd2optimzd2(
				((BgL_regsetz00_bglt) BgL_oz00_3562));
		}

	}



/* regset-msize */
	BGL_EXPORTED_DEF int
		BGl_regsetzd2msiza7ez75zzsaw_bbvzd2optimzd2(BgL_regsetz00_bglt BgL_oz00_67)
	{
		{	/* SawMill/regset.sch 93 */
			return (((BgL_regsetz00_bglt) COBJECT(BgL_oz00_67))->BgL_msiza7eza7);
		}

	}



/* &regset-msize */
	obj_t BGl_z62regsetzd2msiza7ez17zzsaw_bbvzd2optimzd2(obj_t BgL_envz00_3563,
		obj_t BgL_oz00_3564)
	{
		{	/* SawMill/regset.sch 93 */
			return
				BINT(BGl_regsetzd2msiza7ez75zzsaw_bbvzd2optimzd2(
					((BgL_regsetz00_bglt) BgL_oz00_3564)));
		}

	}



/* regset-length */
	BGL_EXPORTED_DEF int
		BGl_regsetzd2lengthzd2zzsaw_bbvzd2optimzd2(BgL_regsetz00_bglt BgL_oz00_70)
	{
		{	/* SawMill/regset.sch 95 */
			return (((BgL_regsetz00_bglt) COBJECT(BgL_oz00_70))->BgL_lengthz00);
		}

	}



/* &regset-length */
	obj_t BGl_z62regsetzd2lengthzb0zzsaw_bbvzd2optimzd2(obj_t BgL_envz00_3565,
		obj_t BgL_oz00_3566)
	{
		{	/* SawMill/regset.sch 95 */
			return
				BINT(BGl_regsetzd2lengthzd2zzsaw_bbvzd2optimzd2(
					((BgL_regsetz00_bglt) BgL_oz00_3566)));
		}

	}



/* regset-length-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_regsetzd2lengthzd2setz12z12zzsaw_bbvzd2optimzd2(BgL_regsetz00_bglt
		BgL_oz00_71, int BgL_vz00_72)
	{
		{	/* SawMill/regset.sch 96 */
			return
				((((BgL_regsetz00_bglt) COBJECT(BgL_oz00_71))->BgL_lengthz00) =
				((int) BgL_vz00_72), BUNSPEC);
		}

	}



/* &regset-length-set! */
	obj_t BGl_z62regsetzd2lengthzd2setz12z70zzsaw_bbvzd2optimzd2(obj_t
		BgL_envz00_3567, obj_t BgL_oz00_3568, obj_t BgL_vz00_3569)
	{
		{	/* SawMill/regset.sch 96 */
			return
				BGl_regsetzd2lengthzd2setz12z12zzsaw_bbvzd2optimzd2(
				((BgL_regsetz00_bglt) BgL_oz00_3568), CINT(BgL_vz00_3569));
		}

	}



/* make-empty-bbset */
	obj_t BGl_makezd2emptyzd2bbsetz00zzsaw_bbvzd2optimzd2(void)
	{
		{	/* SawMill/bbset.sch 20 */
			{	/* SawMill/bbset.sch 21 */
				obj_t BgL_arg1532z00_2196;

				BgL_arg1532z00_2196 = BGl_getzd2bbzd2markz00zzsaw_bbvzd2typeszd2();
				{	/* SawMill/bbset.sch 15 */
					obj_t BgL_newz00_3257;

					BgL_newz00_3257 =
						create_struct(((obj_t) CNST_TABLE_REF(0)), (int) (2L));
					{	/* SawMill/bbset.sch 15 */
						int BgL_tmpz00_4019;

						BgL_tmpz00_4019 = (int) (1L);
						STRUCT_SET(BgL_newz00_3257, BgL_tmpz00_4019, BNIL);
					}
					{	/* SawMill/bbset.sch 15 */
						int BgL_tmpz00_4022;

						BgL_tmpz00_4022 = (int) (0L);
						STRUCT_SET(BgL_newz00_3257, BgL_tmpz00_4022, BgL_arg1532z00_2196);
					}
					return BgL_newz00_3257;
				}
			}
		}

	}



/* bbset-cons */
	obj_t BGl_bbsetzd2conszd2zzsaw_bbvzd2optimzd2(BgL_blockz00_bglt BgL_bz00_85,
		obj_t BgL_setz00_86)
	{
		{	/* SawMill/bbset.sch 33 */
			{	/* SawMill/bbset.sch 34 */
				obj_t BgL_mz00_2200;

				BgL_mz00_2200 = STRUCT_REF(BgL_setz00_86, (int) (0L));
				{
					BgL_blocksz00_bglt BgL_auxz00_4027;

					{
						obj_t BgL_auxz00_4028;

						{	/* SawMill/bbset.sch 36 */
							BgL_objectz00_bglt BgL_tmpz00_4029;

							BgL_tmpz00_4029 = ((BgL_objectz00_bglt) BgL_bz00_85);
							BgL_auxz00_4028 = BGL_OBJECT_WIDENING(BgL_tmpz00_4029);
						}
						BgL_auxz00_4027 = ((BgL_blocksz00_bglt) BgL_auxz00_4028);
					}
					((((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_4027))->BgL_z52markz52) =
						((long) (long) CINT(BgL_mz00_2200)), BUNSPEC);
				}
				{	/* SawMill/bbset.sch 37 */
					obj_t BgL_arg1545z00_2202;

					{	/* SawMill/bbset.sch 37 */
						obj_t BgL_arg1553z00_2203;

						BgL_arg1553z00_2203 = STRUCT_REF(BgL_setz00_86, (int) (1L));
						BgL_arg1545z00_2202 =
							MAKE_YOUNG_PAIR(((obj_t) BgL_bz00_85), BgL_arg1553z00_2203);
					}
					{	/* SawMill/bbset.sch 15 */
						int BgL_tmpz00_4039;

						BgL_tmpz00_4039 = (int) (1L);
						STRUCT_SET(BgL_setz00_86, BgL_tmpz00_4039, BgL_arg1545z00_2202);
				}}
				return BgL_setz00_86;
			}
		}

	}



/* remove-nop! */
	BGL_EXPORTED_DEF obj_t
		BGl_removezd2nopz12zc0zzsaw_bbvzd2optimzd2(BgL_globalz00_bglt
		BgL_globalz00_91, BgL_blockz00_bglt BgL_bz00_92)
	{
		{	/* SawBbv/bbv-optim.scm 50 */
			{
				BgL_blockz00_bglt BgL_bz00_2238;

				BGl_assertzd2blockszd2zzsaw_bbvzd2debugzd2(
					((BgL_blockz00_bglt) BgL_bz00_92),
					BGl_string2295z00zzsaw_bbvzd2optimzd2);
				{	/* SawBbv/bbv-optim.scm 82 */
					bool_t BgL_test2384z00_4044;

					if (
						(BGl_za2bbvzd2blockszd2cleanupza2z00zzsaw_bbvzd2configzd2 == BTRUE))
						{	/* SawBbv/bbv-optim.scm 82 */
							BgL_test2384z00_4044 = ((bool_t) 1);
						}
					else
						{	/* SawBbv/bbv-optim.scm 82 */
							if (STRINGP
								(BGl_za2bbvzd2blockszd2cleanupza2z00zzsaw_bbvzd2configzd2))
								{	/* SawBbv/bbv-optim.scm 84 */
									obj_t BgL_g1922z00_2235;

									BgL_g1922z00_2235 =
										BGl_za2bbvzd2blockszd2cleanupza2z00zzsaw_bbvzd2configzd2;
									{	/* SawBbv/bbv-optim.scm 84 */

										BgL_test2384z00_4044 =
											CBOOL(BGl_stringzd2containszd2zz__r4_strings_6_7z00
											(BgL_g1922z00_2235, BGl_string2296z00zzsaw_bbvzd2optimzd2,
												(int) (0L)));
								}}
							else
								{	/* SawBbv/bbv-optim.scm 83 */
									BgL_test2384z00_4044 = ((bool_t) 0);
								}
						}
					if (BgL_test2384z00_4044)
						{
							BgL_blockz00_bglt BgL_auxz00_4052;

							BgL_bz00_2238 = BgL_bz00_92;
							{	/* SawBbv/bbv-optim.scm 54 */
								obj_t BgL_g1172z00_2240;
								obj_t BgL_g1173z00_2241;

								{	/* SawBbv/bbv-optim.scm 54 */
									obj_t BgL_list1664z00_2289;

									BgL_list1664z00_2289 =
										MAKE_YOUNG_PAIR(((obj_t) BgL_bz00_2238), BNIL);
									BgL_g1172z00_2240 = BgL_list1664z00_2289;
								}
								BgL_g1173z00_2241 =
									BGl_makezd2emptyzd2bbsetz00zzsaw_bbvzd2optimzd2();
								{
									obj_t BgL_bsz00_2243;
									obj_t BgL_accz00_2244;

									BgL_bsz00_2243 = BgL_g1172z00_2240;
									BgL_accz00_2244 = BgL_g1173z00_2241;
								BgL_zc3z04anonymousza31600ze3z87_2245:
									if (NULLP(BgL_bsz00_2243))
										{	/* SawBbv/bbv-optim.scm 57 */
											BgL_auxz00_4052 = BgL_bz00_2238;
										}
									else
										{	/* SawBbv/bbv-optim.scm 59 */
											bool_t BgL_test2388z00_4058;

											{	/* SawBbv/bbv-optim.scm 59 */
												BgL_blockz00_bglt BgL_blockz00_3271;

												BgL_blockz00_3271 =
													((BgL_blockz00_bglt) CAR(((obj_t) BgL_bsz00_2243)));
												{	/* SawBbv/bbv-optim.scm 59 */
													obj_t BgL_arg1535z00_3274;
													obj_t BgL_arg1543z00_3275;

													{	/* SawBbv/bbv-optim.scm 59 */
														long BgL_tmpz00_4062;

														{
															BgL_blocksz00_bglt BgL_auxz00_4063;

															{
																obj_t BgL_auxz00_4064;

																{	/* SawBbv/bbv-optim.scm 59 */
																	BgL_objectz00_bglt BgL_tmpz00_4065;

																	BgL_tmpz00_4065 =
																		((BgL_objectz00_bglt) BgL_blockz00_3271);
																	BgL_auxz00_4064 =
																		BGL_OBJECT_WIDENING(BgL_tmpz00_4065);
																}
																BgL_auxz00_4063 =
																	((BgL_blocksz00_bglt) BgL_auxz00_4064);
															}
															BgL_tmpz00_4062 =
																(((BgL_blocksz00_bglt)
																	COBJECT(BgL_auxz00_4063))->BgL_z52markz52);
														}
														BgL_arg1535z00_3274 = BINT(BgL_tmpz00_4062);
													}
													BgL_arg1543z00_3275 =
														STRUCT_REF(BgL_accz00_2244, (int) (0L));
													BgL_test2388z00_4058 =
														(BgL_arg1535z00_3274 == BgL_arg1543z00_3275);
											}}
											if (BgL_test2388z00_4058)
												{	/* SawBbv/bbv-optim.scm 60 */
													obj_t BgL_arg1611z00_2249;

													BgL_arg1611z00_2249 = CDR(((obj_t) BgL_bsz00_2243));
													{
														obj_t BgL_bsz00_4076;

														BgL_bsz00_4076 = BgL_arg1611z00_2249;
														BgL_bsz00_2243 = BgL_bsz00_4076;
														goto BgL_zc3z04anonymousza31600ze3z87_2245;
													}
												}
											else
												{	/* SawBbv/bbv-optim.scm 62 */
													BgL_blockz00_bglt BgL_i1174z00_2250;

													BgL_i1174z00_2250 =
														((BgL_blockz00_bglt) CAR(((obj_t) BgL_bsz00_2243)));
													if (CBOOL
														(BGl_za2bbvzd2debugza2zd2zzsaw_bbvzd2configzd2))
														{	/* SawBbv/bbv-optim.scm 63 */
															obj_t BgL_arg1612z00_2251;

															BgL_arg1612z00_2251 =
																CAR(((obj_t) BgL_bsz00_2243));
															BGl_assertzd2blockzd2zzsaw_bbvzd2debugzd2(
																((BgL_blockz00_bglt) BgL_arg1612z00_2251),
																BGl_string2293z00zzsaw_bbvzd2optimzd2);
														}
													else
														{	/* SawBbv/bbv-optim.scm 63 */
															BFALSE;
														}
													{	/* SawBbv/bbv-optim.scm 64 */
														obj_t BgL_fz00_2252;

														BgL_fz00_2252 =
															BGl_filterz12z12zz__r4_control_features_6_9z00
															(BGl_proc2294z00zzsaw_bbvzd2optimzd2,
															(((BgL_blockz00_bglt)
																	COBJECT(BgL_i1174z00_2250))->BgL_firstz00));
														if (NULLP(BgL_fz00_2252))
															{	/* SawBbv/bbv-optim.scm 66 */
																if (NULLP(
																		(((BgL_blockz00_bglt)
																				COBJECT(BgL_i1174z00_2250))->
																			BgL_succsz00)))
																	{
																		obj_t BgL_auxz00_4093;

																		{	/* SawBbv/bbv-optim.scm 77 */
																			BgL_rtl_insz00_bglt BgL_arg1635z00_2267;

																			{	/* SawBbv/bbv-optim.scm 77 */
																				BgL_rtl_insz00_bglt BgL_new1176z00_2269;

																				{	/* SawBbv/bbv-optim.scm 78 */
																					BgL_rtl_insz00_bglt
																						BgL_new1175z00_2273;
																					BgL_new1175z00_2273 =
																						((BgL_rtl_insz00_bglt)
																						BOBJECT(GC_MALLOC(sizeof(struct
																									BgL_rtl_insz00_bgl))));
																					{	/* SawBbv/bbv-optim.scm 78 */
																						long BgL_arg1642z00_2274;

																						{	/* SawBbv/bbv-optim.scm 78 */
																							obj_t BgL_classz00_3286;

																							BgL_classz00_3286 =
																								BGl_rtl_insz00zzsaw_defsz00;
																							BgL_arg1642z00_2274 =
																								BGL_CLASS_NUM
																								(BgL_classz00_3286);
																						}
																						BGL_OBJECT_CLASS_NUM_SET(
																							((BgL_objectz00_bglt)
																								BgL_new1175z00_2273),
																							BgL_arg1642z00_2274);
																					}
																					{	/* SawBbv/bbv-optim.scm 78 */
																						BgL_objectz00_bglt BgL_tmpz00_4098;

																						BgL_tmpz00_4098 =
																							((BgL_objectz00_bglt)
																							BgL_new1175z00_2273);
																						BGL_OBJECT_WIDENING_SET
																							(BgL_tmpz00_4098, BFALSE);
																					}
																					((BgL_objectz00_bglt)
																						BgL_new1175z00_2273);
																					BgL_new1176z00_2269 =
																						BgL_new1175z00_2273;
																				}
																				((((BgL_rtl_insz00_bglt)
																							COBJECT(BgL_new1176z00_2269))->
																						BgL_locz00) =
																					((obj_t) BFALSE), BUNSPEC);
																				((((BgL_rtl_insz00_bglt)
																							COBJECT(BgL_new1176z00_2269))->
																						BgL_z52spillz52) =
																					((obj_t) BNIL), BUNSPEC);
																				((((BgL_rtl_insz00_bglt)
																							COBJECT(BgL_new1176z00_2269))->
																						BgL_destz00) =
																					((obj_t) BFALSE), BUNSPEC);
																				{
																					BgL_rtl_funz00_bglt BgL_auxz00_4105;

																					{	/* SawBbv/bbv-optim.scm 79 */
																						BgL_rtl_nopz00_bglt
																							BgL_new1179z00_2270;
																						{	/* SawBbv/bbv-optim.scm 79 */
																							BgL_rtl_nopz00_bglt
																								BgL_new1178z00_2271;
																							BgL_new1178z00_2271 =
																								((BgL_rtl_nopz00_bglt)
																								BOBJECT(GC_MALLOC(sizeof(struct
																											BgL_rtl_nopz00_bgl))));
																							{	/* SawBbv/bbv-optim.scm 79 */
																								long BgL_arg1638z00_2272;

																								{	/* SawBbv/bbv-optim.scm 79 */
																									obj_t BgL_classz00_3290;

																									BgL_classz00_3290 =
																										BGl_rtl_nopz00zzsaw_defsz00;
																									BgL_arg1638z00_2272 =
																										BGL_CLASS_NUM
																										(BgL_classz00_3290);
																								}
																								BGL_OBJECT_CLASS_NUM_SET(
																									((BgL_objectz00_bglt)
																										BgL_new1178z00_2271),
																									BgL_arg1638z00_2272);
																							}
																							BgL_new1179z00_2270 =
																								BgL_new1178z00_2271;
																						}
																						((((BgL_rtl_funz00_bglt) COBJECT(
																										((BgL_rtl_funz00_bglt)
																											BgL_new1179z00_2270)))->
																								BgL_locz00) =
																							((obj_t) BFALSE), BUNSPEC);
																						BgL_auxz00_4105 =
																							((BgL_rtl_funz00_bglt)
																							BgL_new1179z00_2270);
																					}
																					((((BgL_rtl_insz00_bglt)
																								COBJECT(BgL_new1176z00_2269))->
																							BgL_funz00) =
																						((BgL_rtl_funz00_bglt)
																							BgL_auxz00_4105), BUNSPEC);
																				}
																				((((BgL_rtl_insz00_bglt)
																							COBJECT(BgL_new1176z00_2269))->
																						BgL_argsz00) =
																					((obj_t) BNIL), BUNSPEC);
																				BgL_arg1635z00_2267 =
																					BgL_new1176z00_2269;
																			}
																			{	/* SawBbv/bbv-optim.scm 77 */
																				obj_t BgL_list1636z00_2268;

																				BgL_list1636z00_2268 =
																					MAKE_YOUNG_PAIR(
																					((obj_t) BgL_arg1635z00_2267), BNIL);
																				BgL_auxz00_4093 = BgL_list1636z00_2268;
																		}}
																		((((BgL_blockz00_bglt)
																					COBJECT(BgL_i1174z00_2250))->
																				BgL_firstz00) =
																			((obj_t) BgL_auxz00_4093), BUNSPEC);
																	}
																else
																	{	/* SawBbv/bbv-optim.scm 71 */
																		obj_t BgL_succz00_2256;

																		BgL_succz00_2256 =
																			CAR(
																			(((BgL_blockz00_bglt)
																					COBJECT(BgL_i1174z00_2250))->
																				BgL_succsz00));
																		{	/* SawBbv/bbv-optim.scm 72 */
																			obj_t BgL_g1458z00_2257;

																			BgL_g1458z00_2257 =
																				(((BgL_blockz00_bglt)
																					COBJECT(BgL_i1174z00_2250))->
																				BgL_predsz00);
																			{
																				obj_t BgL_l1456z00_2259;

																				{	/* SawBbv/bbv-optim.scm 72 */
																					bool_t BgL_tmpz00_4121;

																					BgL_l1456z00_2259 = BgL_g1458z00_2257;
																				BgL_zc3z04anonymousza31628ze3z87_2260:
																					if (PAIRP(BgL_l1456z00_2259))
																						{	/* SawBbv/bbv-optim.scm 72 */
																							{	/* SawBbv/bbv-optim.scm 73 */
																								obj_t BgL_pz00_2262;

																								BgL_pz00_2262 =
																									CAR(BgL_l1456z00_2259);
																								{	/* SawBbv/bbv-optim.scm 73 */
																									obj_t BgL_arg1631z00_2263;

																									BgL_arg1631z00_2263 =
																										CAR(
																										((obj_t) BgL_bsz00_2243));
																									BGl_redirectzd2blockz12zc0zzsaw_bbvzd2utilszd2
																										(((BgL_blockz00_bglt)
																											BgL_pz00_2262),
																										((BgL_blockz00_bglt)
																											BgL_arg1631z00_2263),
																										((BgL_blockz00_bglt)
																											BgL_succz00_2256));
																								}
																							}
																							{
																								obj_t BgL_l1456z00_4131;

																								BgL_l1456z00_4131 =
																									CDR(BgL_l1456z00_2259);
																								BgL_l1456z00_2259 =
																									BgL_l1456z00_4131;
																								goto
																									BgL_zc3z04anonymousza31628ze3z87_2260;
																							}
																						}
																					else
																						{	/* SawBbv/bbv-optim.scm 72 */
																							BgL_tmpz00_4121 = ((bool_t) 1);
																						}
																					BBOOL(BgL_tmpz00_4121);
																				}
																			}
																		}
																	}
															}
														else
															{	/* SawBbv/bbv-optim.scm 66 */
																((((BgL_blockz00_bglt)
																			COBJECT(BgL_i1174z00_2250))->
																		BgL_firstz00) =
																	((obj_t) BgL_fz00_2252), BUNSPEC);
															}
													}
													{	/* SawBbv/bbv-optim.scm 80 */
														obj_t BgL_arg1653z00_2282;
														obj_t BgL_arg1655z00_2283;

														{	/* SawBbv/bbv-optim.scm 80 */
															obj_t BgL_arg1656z00_2284;
															obj_t BgL_arg1657z00_2285;

															BgL_arg1656z00_2284 =
																(((BgL_blockz00_bglt)
																	COBJECT(BgL_i1174z00_2250))->BgL_succsz00);
															BgL_arg1657z00_2285 =
																CDR(((obj_t) BgL_bsz00_2243));
															BgL_arg1653z00_2282 =
																BGl_appendzd221011zd2zzsaw_bbvzd2optimzd2
																(BgL_arg1656z00_2284, BgL_arg1657z00_2285);
														}
														{	/* SawBbv/bbv-optim.scm 80 */
															obj_t BgL_arg1660z00_2286;

															BgL_arg1660z00_2286 =
																CAR(((obj_t) BgL_bsz00_2243));
															BgL_arg1655z00_2283 =
																BGl_bbsetzd2conszd2zzsaw_bbvzd2optimzd2(
																((BgL_blockz00_bglt) BgL_arg1660z00_2286),
																BgL_accz00_2244);
														}
														{
															obj_t BgL_accz00_4144;
															obj_t BgL_bsz00_4143;

															BgL_bsz00_4143 = BgL_arg1653z00_2282;
															BgL_accz00_4144 = BgL_arg1655z00_2283;
															BgL_accz00_2244 = BgL_accz00_4144;
															BgL_bsz00_2243 = BgL_bsz00_4143;
															goto BgL_zc3z04anonymousza31600ze3z87_2245;
														}
													}
												}
										}
								}
							}
							return ((obj_t) BgL_auxz00_4052);
						}
					else
						{	/* SawBbv/bbv-optim.scm 82 */
							return ((obj_t) BgL_bz00_92);
						}
				}
			}
		}

	}



/* &remove-nop! */
	obj_t BGl_z62removezd2nopz12za2zzsaw_bbvzd2optimzd2(obj_t BgL_envz00_3571,
		obj_t BgL_globalz00_3572, obj_t BgL_bz00_3573)
	{
		{	/* SawBbv/bbv-optim.scm 50 */
			return
				BGl_removezd2nopz12zc0zzsaw_bbvzd2optimzd2(
				((BgL_globalz00_bglt) BgL_globalz00_3572),
				((BgL_blockz00_bglt) BgL_bz00_3573));
		}

	}



/* &<@anonymous:1650> */
	obj_t BGl_z62zc3z04anonymousza31650ze3ze5zzsaw_bbvzd2optimzd2(obj_t
		BgL_envz00_3574, obj_t BgL_iz00_3575)
	{
		{	/* SawBbv/bbv-optim.scm 64 */
			{	/* SawBbv/bbv-optim.scm 64 */
				bool_t BgL_tmpz00_4150;

				if (BGl_rtl_inszd2nopzf3z21zzsaw_bbvzd2typeszd2(
						((BgL_rtl_insz00_bglt) BgL_iz00_3575)))
					{	/* SawBbv/bbv-optim.scm 64 */
						BgL_tmpz00_4150 = ((bool_t) 0);
					}
				else
					{	/* SawBbv/bbv-optim.scm 64 */
						BgL_tmpz00_4150 = ((bool_t) 1);
					}
				return BBOOL(BgL_tmpz00_4150);
			}
		}

	}



/* remove-goto! */
	BGL_EXPORTED_DEF obj_t
		BGl_removezd2gotoz12zc0zzsaw_bbvzd2optimzd2(BgL_globalz00_bglt
		BgL_globalz00_93, BgL_blockz00_bglt BgL_bz00_94)
	{
		{	/* SawBbv/bbv-optim.scm 95 */
			{
				BgL_blockz00_bglt BgL_bz00_2323;
				obj_t BgL_bz00_2302;
				obj_t BgL_succsz00_2303;
				obj_t BgL_nextz00_2304;

				BGl_assertzd2blockszd2zzsaw_bbvzd2debugzd2(
					((BgL_blockz00_bglt) BgL_bz00_94),
					BGl_string2298z00zzsaw_bbvzd2optimzd2);
				{	/* SawBbv/bbv-optim.scm 131 */
					bool_t BgL_test2394z00_4157;

					if (
						(BGl_za2bbvzd2blockszd2cleanupza2z00zzsaw_bbvzd2configzd2 == BTRUE))
						{	/* SawBbv/bbv-optim.scm 131 */
							BgL_test2394z00_4157 = ((bool_t) 1);
						}
					else
						{	/* SawBbv/bbv-optim.scm 131 */
							if (STRINGP
								(BGl_za2bbvzd2blockszd2cleanupza2z00zzsaw_bbvzd2configzd2))
								{	/* SawBbv/bbv-optim.scm 133 */
									obj_t BgL_g1922z00_2299;

									BgL_g1922z00_2299 =
										BGl_za2bbvzd2blockszd2cleanupza2z00zzsaw_bbvzd2configzd2;
									{	/* SawBbv/bbv-optim.scm 133 */

										BgL_test2394z00_4157 =
											CBOOL(BGl_stringzd2containszd2zz__r4_strings_6_7z00
											(BgL_g1922z00_2299, BGl_string2299z00zzsaw_bbvzd2optimzd2,
												(int) (0L)));
								}}
							else
								{	/* SawBbv/bbv-optim.scm 132 */
									BgL_test2394z00_4157 = ((bool_t) 0);
								}
						}
					if (BgL_test2394z00_4157)
						{
							BgL_blockz00_bglt BgL_auxz00_4165;

							BgL_bz00_2323 = BgL_bz00_94;
							{	/* SawBbv/bbv-optim.scm 112 */
								obj_t BgL_g1184z00_2325;
								obj_t BgL_g1186z00_2326;

								{	/* SawBbv/bbv-optim.scm 112 */
									obj_t BgL_list1802z00_2378;

									BgL_list1802z00_2378 =
										MAKE_YOUNG_PAIR(((obj_t) BgL_bz00_2323), BNIL);
									BgL_g1184z00_2325 = BgL_list1802z00_2378;
								}
								BgL_g1186z00_2326 =
									BGl_makezd2emptyzd2bbsetz00zzsaw_bbvzd2optimzd2();
								{
									obj_t BgL_bsz00_2328;
									obj_t BgL_accz00_2329;

									BgL_bsz00_2328 = BgL_g1184z00_2325;
									BgL_accz00_2329 = BgL_g1186z00_2326;
								BgL_zc3z04anonymousza31698ze3z87_2330:
									if (NULLP(BgL_bsz00_2328))
										{	/* SawBbv/bbv-optim.scm 115 */
											BgL_auxz00_4165 = BgL_bz00_2323;
										}
									else
										{	/* SawBbv/bbv-optim.scm 117 */
											bool_t BgL_test2398z00_4171;

											{	/* SawBbv/bbv-optim.scm 117 */
												BgL_blockz00_bglt BgL_blockz00_3301;

												BgL_blockz00_3301 =
													((BgL_blockz00_bglt) CAR(((obj_t) BgL_bsz00_2328)));
												{	/* SawBbv/bbv-optim.scm 117 */
													obj_t BgL_arg1535z00_3304;
													obj_t BgL_arg1543z00_3305;

													{	/* SawBbv/bbv-optim.scm 117 */
														long BgL_tmpz00_4175;

														{
															BgL_blocksz00_bglt BgL_auxz00_4176;

															{
																obj_t BgL_auxz00_4177;

																{	/* SawBbv/bbv-optim.scm 117 */
																	BgL_objectz00_bglt BgL_tmpz00_4178;

																	BgL_tmpz00_4178 =
																		((BgL_objectz00_bglt) BgL_blockz00_3301);
																	BgL_auxz00_4177 =
																		BGL_OBJECT_WIDENING(BgL_tmpz00_4178);
																}
																BgL_auxz00_4176 =
																	((BgL_blocksz00_bglt) BgL_auxz00_4177);
															}
															BgL_tmpz00_4175 =
																(((BgL_blocksz00_bglt)
																	COBJECT(BgL_auxz00_4176))->BgL_z52markz52);
														}
														BgL_arg1535z00_3304 = BINT(BgL_tmpz00_4175);
													}
													BgL_arg1543z00_3305 =
														STRUCT_REF(BgL_accz00_2329, (int) (0L));
													BgL_test2398z00_4171 =
														(BgL_arg1535z00_3304 == BgL_arg1543z00_3305);
											}}
											if (BgL_test2398z00_4171)
												{	/* SawBbv/bbv-optim.scm 118 */
													obj_t BgL_arg1715z00_2334;

													BgL_arg1715z00_2334 = CDR(((obj_t) BgL_bsz00_2328));
													{
														obj_t BgL_bsz00_4189;

														BgL_bsz00_4189 = BgL_arg1715z00_2334;
														BgL_bsz00_2328 = BgL_bsz00_4189;
														goto BgL_zc3z04anonymousza31698ze3z87_2330;
													}
												}
											else
												{	/* SawBbv/bbv-optim.scm 117 */
													if (CBOOL
														(BGl_za2bbvzd2debugza2zd2zzsaw_bbvzd2configzd2))
														{	/* SawBbv/bbv-optim.scm 120 */
															obj_t BgL_arg1716z00_2335;

															BgL_arg1716z00_2335 =
																CAR(((obj_t) BgL_bsz00_2328));
															BGl_assertzd2blockzd2zzsaw_bbvzd2debugzd2(
																((BgL_blockz00_bglt) BgL_arg1716z00_2335),
																BGl_string2297z00zzsaw_bbvzd2optimzd2);
														}
													else
														{	/* SawBbv/bbv-optim.scm 120 */
															BFALSE;
														}
													{	/* SawBbv/bbv-optim.scm 121 */
														BgL_blockz00_bglt BgL_i1187z00_2336;

														BgL_i1187z00_2336 =
															((BgL_blockz00_bglt)
															CAR(((obj_t) BgL_bsz00_2328)));
														{	/* SawBbv/bbv-optim.scm 122 */
															bool_t BgL_test2400z00_4199;

															{	/* SawBbv/bbv-optim.scm 122 */
																bool_t BgL_test2401z00_4200;

																{	/* SawBbv/bbv-optim.scm 122 */
																	bool_t BgL_test2402z00_4201;

																	{	/* SawBbv/bbv-optim.scm 122 */
																		obj_t BgL_tmpz00_4202;

																		BgL_tmpz00_4202 =
																			CDR(((obj_t) BgL_bsz00_2328));
																		BgL_test2402z00_4201 =
																			PAIRP(BgL_tmpz00_4202);
																	}
																	if (BgL_test2402z00_4201)
																		{	/* SawBbv/bbv-optim.scm 123 */
																			obj_t BgL_arg1784z00_2367;
																			obj_t BgL_arg1785z00_2368;
																			obj_t BgL_arg1786z00_2369;

																			BgL_arg1784z00_2367 =
																				CAR(((obj_t) BgL_bsz00_2328));
																			BgL_arg1785z00_2368 =
																				(((BgL_blockz00_bglt)
																					COBJECT(BgL_i1187z00_2336))->
																				BgL_succsz00);
																			{	/* SawBbv/bbv-optim.scm 123 */
																				obj_t BgL_pairz00_3316;

																				BgL_pairz00_3316 =
																					CDR(((obj_t) BgL_bsz00_2328));
																				BgL_arg1786z00_2369 =
																					CAR(BgL_pairz00_3316);
																			}
																			BgL_bz00_2302 = BgL_arg1784z00_2367;
																			BgL_succsz00_2303 = BgL_arg1785z00_2368;
																			BgL_nextz00_2304 = BgL_arg1786z00_2369;
																			if (NULLP(BgL_succsz00_2303))
																				{	/* SawBbv/bbv-optim.scm 99 */
																					BgL_test2401z00_4200 = ((bool_t) 0);
																				}
																			else
																				{	/* SawBbv/bbv-optim.scm 99 */
																					if (NULLP(
																							(((BgL_blockz00_bglt) COBJECT(
																										((BgL_blockz00_bglt)
																											BgL_bz00_2302)))->
																								BgL_firstz00)))
																						{	/* SawBbv/bbv-optim.scm 101 */
																							BgL_test2401z00_4200 =
																								((bool_t) 0);
																						}
																					else
																						{	/* SawBbv/bbv-optim.scm 102 */
																							obj_t BgL_iz00_2310;

																							BgL_iz00_2310 =
																								CAR
																								(BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00
																								((((BgL_blockz00_bglt)
																											COBJECT((
																													(BgL_blockz00_bglt)
																													BgL_bz00_2302)))->
																										BgL_firstz00)));
																							if (BGl_rtl_inszd2gozf3z21zzsaw_bbvzd2typeszd2(((BgL_rtl_insz00_bglt) BgL_iz00_2310)))
																								{	/* SawBbv/bbv-optim.scm 105 */
																									BgL_rtl_goz00_bglt
																										BgL_i1183z00_2313;
																									BgL_i1183z00_2313 =
																										((BgL_rtl_goz00_bglt) ((
																												(BgL_rtl_insz00_bglt)
																												COBJECT((
																														(BgL_rtl_insz00_bglt)
																														BgL_iz00_2310)))->
																											BgL_funz00));
																									if ((((obj_t) ((
																														(BgL_rtl_goz00_bglt)
																														COBJECT
																														(BgL_i1183z00_2313))->
																													BgL_toz00)) ==
																											CAR(BgL_succsz00_2303)))
																										{	/* SawBbv/bbv-optim.scm 106 */
																											BgL_test2401z00_4200 =
																												(
																												((obj_t)
																													(((BgL_rtl_goz00_bglt)
																															COBJECT
																															(BgL_i1183z00_2313))->
																														BgL_toz00)) ==
																												BgL_nextz00_2304);
																										}
																									else
																										{	/* SawBbv/bbv-optim.scm 106 */
																											BgL_test2401z00_4200 =
																												((bool_t) 0);
																										}
																								}
																							else
																								{	/* SawBbv/bbv-optim.scm 103 */
																									BgL_test2401z00_4200 =
																										((bool_t) 0);
																								}
																						}
																				}
																		}
																	else
																		{	/* SawBbv/bbv-optim.scm 122 */
																			BgL_test2401z00_4200 = ((bool_t) 0);
																		}
																}
																if (BgL_test2401z00_4200)
																	{	/* SawBbv/bbv-optim.scm 124 */
																		bool_t BgL_test2407z00_4236;

																		{	/* SawBbv/bbv-optim.scm 124 */
																			BgL_blockz00_bglt BgL_blockz00_3318;

																			{	/* SawBbv/bbv-optim.scm 124 */
																				obj_t BgL_pairz00_3317;

																				BgL_pairz00_3317 =
																					(((BgL_blockz00_bglt)
																						COBJECT(BgL_i1187z00_2336))->
																					BgL_succsz00);
																				BgL_blockz00_3318 =
																					((BgL_blockz00_bglt)
																					CAR(BgL_pairz00_3317));
																			}
																			{	/* SawBbv/bbv-optim.scm 124 */
																				obj_t BgL_arg1535z00_3321;
																				obj_t BgL_arg1543z00_3322;

																				{	/* SawBbv/bbv-optim.scm 124 */
																					long BgL_tmpz00_4240;

																					{
																						BgL_blocksz00_bglt BgL_auxz00_4241;

																						{
																							obj_t BgL_auxz00_4242;

																							{	/* SawBbv/bbv-optim.scm 124 */
																								BgL_objectz00_bglt
																									BgL_tmpz00_4243;
																								BgL_tmpz00_4243 =
																									((BgL_objectz00_bglt)
																									BgL_blockz00_3318);
																								BgL_auxz00_4242 =
																									BGL_OBJECT_WIDENING
																									(BgL_tmpz00_4243);
																							}
																							BgL_auxz00_4241 =
																								((BgL_blocksz00_bglt)
																								BgL_auxz00_4242);
																						}
																						BgL_tmpz00_4240 =
																							(((BgL_blocksz00_bglt)
																								COBJECT(BgL_auxz00_4241))->
																							BgL_z52markz52);
																					}
																					BgL_arg1535z00_3321 =
																						BINT(BgL_tmpz00_4240);
																				}
																				BgL_arg1543z00_3322 =
																					STRUCT_REF(BgL_accz00_2329,
																					(int) (0L));
																				BgL_test2407z00_4236 =
																					(BgL_arg1535z00_3321 ==
																					BgL_arg1543z00_3322);
																		}}
																		if (BgL_test2407z00_4236)
																			{	/* SawBbv/bbv-optim.scm 124 */
																				BgL_test2400z00_4199 = ((bool_t) 0);
																			}
																		else
																			{	/* SawBbv/bbv-optim.scm 124 */
																				BgL_test2400z00_4199 = ((bool_t) 1);
																			}
																	}
																else
																	{	/* SawBbv/bbv-optim.scm 122 */
																		BgL_test2400z00_4199 = ((bool_t) 0);
																	}
															}
															if (BgL_test2400z00_4199)
																{	/* SawBbv/bbv-optim.scm 125 */
																	BgL_blockz00_bglt BgL_i1188z00_2355;

																	BgL_i1188z00_2355 =
																		((BgL_blockz00_bglt)
																		CAR(((obj_t) BgL_bsz00_2328)));
																	{	/* SawBbv/bbv-optim.scm 126 */
																		BgL_rtl_insz00_bglt BgL_i1189z00_2356;

																		BgL_i1189z00_2356 =
																			((BgL_rtl_insz00_bglt)
																			CAR
																			(BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00
																				((((BgL_blockz00_bglt)
																							COBJECT(BgL_i1188z00_2355))->
																						BgL_firstz00))));
																		{
																			BgL_rtl_funz00_bglt BgL_auxz00_4259;

																			{	/* SawBbv/bbv-optim.scm 127 */
																				BgL_rtl_nopz00_bglt BgL_new1192z00_2357;

																				{	/* SawBbv/bbv-optim.scm 127 */
																					BgL_rtl_nopz00_bglt
																						BgL_new1191z00_2358;
																					BgL_new1191z00_2358 =
																						((BgL_rtl_nopz00_bglt)
																						BOBJECT(GC_MALLOC(sizeof(struct
																									BgL_rtl_nopz00_bgl))));
																					{	/* SawBbv/bbv-optim.scm 127 */
																						long BgL_arg1770z00_2359;

																						{	/* SawBbv/bbv-optim.scm 127 */
																							obj_t BgL_classz00_3327;

																							BgL_classz00_3327 =
																								BGl_rtl_nopz00zzsaw_defsz00;
																							BgL_arg1770z00_2359 =
																								BGL_CLASS_NUM
																								(BgL_classz00_3327);
																						}
																						BGL_OBJECT_CLASS_NUM_SET(
																							((BgL_objectz00_bglt)
																								BgL_new1191z00_2358),
																							BgL_arg1770z00_2359);
																					}
																					BgL_new1192z00_2357 =
																						BgL_new1191z00_2358;
																				}
																				((((BgL_rtl_funz00_bglt) COBJECT(
																								((BgL_rtl_funz00_bglt)
																									BgL_new1192z00_2357)))->
																						BgL_locz00) =
																					((obj_t) BFALSE), BUNSPEC);
																				BgL_auxz00_4259 =
																					((BgL_rtl_funz00_bglt)
																					BgL_new1192z00_2357);
																			}
																			((((BgL_rtl_insz00_bglt)
																						COBJECT(BgL_i1189z00_2356))->
																					BgL_funz00) =
																				((BgL_rtl_funz00_bglt) BgL_auxz00_4259),
																				BUNSPEC);
																}}}
															else
																{	/* SawBbv/bbv-optim.scm 122 */
																	BFALSE;
																}
														}
														{	/* SawBbv/bbv-optim.scm 128 */
															obj_t BgL_arg1790z00_2371;
															obj_t BgL_arg1796z00_2372;

															{	/* SawBbv/bbv-optim.scm 128 */
																obj_t BgL_arg1797z00_2373;
																obj_t BgL_arg1799z00_2374;

																BgL_arg1797z00_2373 =
																	(((BgL_blockz00_bglt)
																		COBJECT(BgL_i1187z00_2336))->BgL_succsz00);
																BgL_arg1799z00_2374 =
																	CDR(((obj_t) BgL_bsz00_2328));
																BgL_arg1790z00_2371 =
																	BGl_appendzd221011zd2zzsaw_bbvzd2optimzd2
																	(BgL_arg1797z00_2373, BgL_arg1799z00_2374);
															}
															{	/* SawBbv/bbv-optim.scm 129 */
																obj_t BgL_arg1800z00_2375;

																BgL_arg1800z00_2375 =
																	CAR(((obj_t) BgL_bsz00_2328));
																BgL_arg1796z00_2372 =
																	BGl_bbsetzd2conszd2zzsaw_bbvzd2optimzd2(
																	((BgL_blockz00_bglt) BgL_arg1800z00_2375),
																	BgL_accz00_2329);
															}
															{
																obj_t BgL_accz00_4277;
																obj_t BgL_bsz00_4276;

																BgL_bsz00_4276 = BgL_arg1790z00_2371;
																BgL_accz00_4277 = BgL_arg1796z00_2372;
																BgL_accz00_2329 = BgL_accz00_4277;
																BgL_bsz00_2328 = BgL_bsz00_4276;
																goto BgL_zc3z04anonymousza31698ze3z87_2330;
															}
														}
													}
												}
										}
								}
							}
							return ((obj_t) BgL_auxz00_4165);
						}
					else
						{	/* SawBbv/bbv-optim.scm 131 */
							return ((obj_t) BgL_bz00_94);
						}
				}
			}
		}

	}



/* &remove-goto! */
	obj_t BGl_z62removezd2gotoz12za2zzsaw_bbvzd2optimzd2(obj_t BgL_envz00_3576,
		obj_t BgL_globalz00_3577, obj_t BgL_bz00_3578)
	{
		{	/* SawBbv/bbv-optim.scm 95 */
			return
				BGl_removezd2gotoz12zc0zzsaw_bbvzd2optimzd2(
				((BgL_globalz00_bglt) BgL_globalz00_3577),
				((BgL_blockz00_bglt) BgL_bz00_3578));
		}

	}



/* simplify-branch! */
	BGL_EXPORTED_DEF obj_t
		BGl_simplifyzd2branchz12zc0zzsaw_bbvzd2optimzd2(BgL_globalz00_bglt
		BgL_globalz00_95, BgL_blockz00_bglt BgL_bz00_96)
	{
		{	/* SawBbv/bbv-optim.scm 142 */
			{
				BgL_blockz00_bglt BgL_bz00_2391;

				if (CBOOL(BGl_za2bbvzd2debugza2zd2zzsaw_bbvzd2configzd2))
					{	/* SawBbv/bbv-optim.scm 144 */
						BGl_assertzd2blockszd2zzsaw_bbvzd2debugzd2(
							((BgL_blockz00_bglt) BgL_bz00_96),
							BGl_string2304z00zzsaw_bbvzd2optimzd2);
					}
				else
					{	/* SawBbv/bbv-optim.scm 144 */
						BFALSE;
					}
				{	/* SawBbv/bbv-optim.scm 204 */
					bool_t BgL_test2409z00_4287;

					if (
						(BGl_za2bbvzd2blockszd2cleanupza2z00zzsaw_bbvzd2configzd2 == BTRUE))
						{	/* SawBbv/bbv-optim.scm 204 */
							BgL_test2409z00_4287 = ((bool_t) 1);
						}
					else
						{	/* SawBbv/bbv-optim.scm 204 */
							if (STRINGP
								(BGl_za2bbvzd2blockszd2cleanupza2z00zzsaw_bbvzd2configzd2))
								{	/* SawBbv/bbv-optim.scm 206 */
									obj_t BgL_g1922z00_2388;

									BgL_g1922z00_2388 =
										BGl_za2bbvzd2blockszd2cleanupza2z00zzsaw_bbvzd2configzd2;
									{	/* SawBbv/bbv-optim.scm 206 */

										BgL_test2409z00_4287 =
											CBOOL(BGl_stringzd2containszd2zz__r4_strings_6_7z00
											(BgL_g1922z00_2388, BGl_string2305z00zzsaw_bbvzd2optimzd2,
												(int) (0L)));
								}}
							else
								{	/* SawBbv/bbv-optim.scm 205 */
									BgL_test2409z00_4287 = ((bool_t) 0);
								}
						}
					if (BgL_test2409z00_4287)
						{
							BgL_blockz00_bglt BgL_auxz00_4295;

							BgL_bz00_2391 = BgL_bz00_96;
							{	/* SawBbv/bbv-optim.scm 148 */
								obj_t BgL_g1194z00_2393;
								obj_t BgL_g1195z00_2394;

								{	/* SawBbv/bbv-optim.scm 148 */
									obj_t BgL_list1917z00_2475;

									BgL_list1917z00_2475 =
										MAKE_YOUNG_PAIR(((obj_t) BgL_bz00_2391), BNIL);
									BgL_g1194z00_2393 = BgL_list1917z00_2475;
								}
								BgL_g1195z00_2394 =
									BGl_makezd2emptyzd2bbsetz00zzsaw_bbvzd2optimzd2();
								{
									obj_t BgL_bsz00_2396;
									obj_t BgL_accz00_2397;

									BgL_bsz00_2396 = BgL_g1194z00_2393;
									BgL_accz00_2397 = BgL_g1195z00_2394;
								BgL_zc3z04anonymousza31805ze3z87_2398:
									if (NULLP(BgL_bsz00_2396))
										{	/* SawBbv/bbv-optim.scm 151 */
											BgL_auxz00_4295 = BgL_bz00_2391;
										}
									else
										{	/* SawBbv/bbv-optim.scm 153 */
											bool_t BgL_test2413z00_4301;

											{	/* SawBbv/bbv-optim.scm 153 */
												BgL_blockz00_bglt BgL_blockz00_3335;

												BgL_blockz00_3335 =
													((BgL_blockz00_bglt) CAR(((obj_t) BgL_bsz00_2396)));
												{	/* SawBbv/bbv-optim.scm 153 */
													obj_t BgL_arg1535z00_3338;
													obj_t BgL_arg1543z00_3339;

													{	/* SawBbv/bbv-optim.scm 153 */
														long BgL_tmpz00_4305;

														{
															BgL_blocksz00_bglt BgL_auxz00_4306;

															{
																obj_t BgL_auxz00_4307;

																{	/* SawBbv/bbv-optim.scm 153 */
																	BgL_objectz00_bglt BgL_tmpz00_4308;

																	BgL_tmpz00_4308 =
																		((BgL_objectz00_bglt) BgL_blockz00_3335);
																	BgL_auxz00_4307 =
																		BGL_OBJECT_WIDENING(BgL_tmpz00_4308);
																}
																BgL_auxz00_4306 =
																	((BgL_blocksz00_bglt) BgL_auxz00_4307);
															}
															BgL_tmpz00_4305 =
																(((BgL_blocksz00_bglt)
																	COBJECT(BgL_auxz00_4306))->BgL_z52markz52);
														}
														BgL_arg1535z00_3338 = BINT(BgL_tmpz00_4305);
													}
													BgL_arg1543z00_3339 =
														STRUCT_REF(BgL_accz00_2397, (int) (0L));
													BgL_test2413z00_4301 =
														(BgL_arg1535z00_3338 == BgL_arg1543z00_3339);
											}}
											if (BgL_test2413z00_4301)
												{	/* SawBbv/bbv-optim.scm 154 */
													obj_t BgL_arg1814z00_2402;

													BgL_arg1814z00_2402 = CDR(((obj_t) BgL_bsz00_2396));
													{
														obj_t BgL_bsz00_4319;

														BgL_bsz00_4319 = BgL_arg1814z00_2402;
														BgL_bsz00_2396 = BgL_bsz00_4319;
														goto BgL_zc3z04anonymousza31805ze3z87_2398;
													}
												}
											else
												{	/* SawBbv/bbv-optim.scm 156 */
													BgL_blockz00_bglt BgL_i1196z00_2403;

													BgL_i1196z00_2403 =
														((BgL_blockz00_bglt) CAR(((obj_t) BgL_bsz00_2396)));
													if (CBOOL
														(BGl_za2bbvzd2debugza2zd2zzsaw_bbvzd2configzd2))
														{	/* SawBbv/bbv-optim.scm 158 */
															obj_t BgL_arg1818z00_2404;

															BgL_arg1818z00_2404 =
																CAR(((obj_t) BgL_bsz00_2396));
															BGl_assertzd2blockzd2zzsaw_bbvzd2debugzd2(
																((BgL_blockz00_bglt) BgL_arg1818z00_2404),
																BGl_string2300z00zzsaw_bbvzd2optimzd2);
														}
													else
														{	/* SawBbv/bbv-optim.scm 157 */
															BFALSE;
														}
													if (
														(bgl_list_length(
																(((BgL_blockz00_bglt) COBJECT(
																			((BgL_blockz00_bglt)
																				BgL_i1196z00_2403)))->BgL_succsz00)) ==
															1L))
														{	/* SawBbv/bbv-optim.scm 160 */
															bool_t BgL_test2416z00_4334;

															{	/* SawBbv/bbv-optim.scm 160 */
																long BgL_tmpz00_4335;

																{	/* SawBbv/bbv-optim.scm 160 */
																	obj_t BgL_auxz00_4336;

																	{
																		BgL_blockz00_bglt BgL_auxz00_4337;

																		{	/* SawBbv/bbv-optim.scm 160 */
																			obj_t BgL_pairz00_3346;

																			BgL_pairz00_3346 =
																				(((BgL_blockz00_bglt) COBJECT(
																						((BgL_blockz00_bglt)
																							BgL_i1196z00_2403)))->
																				BgL_succsz00);
																			BgL_auxz00_4337 =
																				((BgL_blockz00_bglt)
																				CAR(BgL_pairz00_3346));
																		}
																		BgL_auxz00_4336 =
																			(((BgL_blockz00_bglt)
																				COBJECT(BgL_auxz00_4337))->
																			BgL_predsz00);
																	}
																	BgL_tmpz00_4335 =
																		bgl_list_length(BgL_auxz00_4336);
																}
																BgL_test2416z00_4334 = (BgL_tmpz00_4335 == 1L);
															}
															if (BgL_test2416z00_4334)
																{	/* SawBbv/bbv-optim.scm 162 */
																	obj_t BgL_sz00_2413;

																	{	/* SawBbv/bbv-optim.scm 162 */
																		obj_t BgL_pairz00_3349;

																		BgL_pairz00_3349 =
																			(((BgL_blockz00_bglt) COBJECT(
																					((BgL_blockz00_bglt)
																						BgL_i1196z00_2403)))->BgL_succsz00);
																		BgL_sz00_2413 = CAR(BgL_pairz00_3349);
																	}
																	{	/* SawBbv/bbv-optim.scm 164 */
																		obj_t BgL_g1461z00_2414;

																		BgL_g1461z00_2414 =
																			(((BgL_blockz00_bglt) COBJECT(
																					((BgL_blockz00_bglt)
																						BgL_sz00_2413)))->BgL_succsz00);
																		{
																			obj_t BgL_l1459z00_2416;

																			BgL_l1459z00_2416 = BgL_g1461z00_2414;
																		BgL_zc3z04anonymousza31844ze3z87_2417:
																			if (PAIRP(BgL_l1459z00_2416))
																				{	/* SawBbv/bbv-optim.scm 168 */
																					{	/* SawBbv/bbv-optim.scm 165 */
																						obj_t BgL_nsz00_2419;

																						BgL_nsz00_2419 =
																							CAR(BgL_l1459z00_2416);
																						{	/* SawBbv/bbv-optim.scm 166 */
																							obj_t BgL_arg1847z00_2420;

																							{	/* SawBbv/bbv-optim.scm 166 */
																								obj_t BgL_arg1848z00_2421;
																								obj_t BgL_arg1851z00_2422;

																								BgL_arg1848z00_2421 =
																									(((BgL_blockz00_bglt) COBJECT(
																											((BgL_blockz00_bglt)
																												BgL_nsz00_2419)))->
																									BgL_predsz00);
																								BgL_arg1851z00_2422 =
																									CAR(((obj_t) BgL_bsz00_2396));
																								BgL_arg1847z00_2420 =
																									BGl_listzd2replacezd2zzsaw_bbvzd2utilszd2
																									(BgL_arg1848z00_2421,
																									BgL_sz00_2413,
																									BgL_arg1851z00_2422);
																							}
																							((((BgL_blockz00_bglt) COBJECT(
																											((BgL_blockz00_bglt)
																												BgL_nsz00_2419)))->
																									BgL_predsz00) =
																								((obj_t) ((obj_t)
																										BgL_arg1847z00_2420)),
																								BUNSPEC);
																						}
																					}
																					{
																						obj_t BgL_l1459z00_4361;

																						BgL_l1459z00_4361 =
																							CDR(BgL_l1459z00_2416);
																						BgL_l1459z00_2416 =
																							BgL_l1459z00_4361;
																						goto
																							BgL_zc3z04anonymousza31844ze3z87_2417;
																					}
																				}
																			else
																				{	/* SawBbv/bbv-optim.scm 168 */
																					((bool_t) 1);
																				}
																		}
																	}
																	((((BgL_blockz00_bglt) COBJECT(
																					((BgL_blockz00_bglt)
																						BgL_i1196z00_2403)))->
																			BgL_succsz00) =
																		((obj_t) (((BgL_blockz00_bglt)
																					COBJECT(((BgL_blockz00_bglt)
																							BgL_sz00_2413)))->BgL_succsz00)),
																		BUNSPEC);
																	{	/* SawBbv/bbv-optim.scm 170 */
																		obj_t BgL_lpz00_2425;

																		BgL_lpz00_2425 =
																			BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00
																			((((BgL_blockz00_bglt)
																					COBJECT(((BgL_blockz00_bglt)
																							BgL_i1196z00_2403)))->
																				BgL_firstz00));
																		{	/* SawBbv/bbv-optim.scm 171 */
																			bool_t BgL_test2418z00_4370;

																			{	/* SawBbv/bbv-optim.scm 171 */
																				obj_t BgL_arg1884z00_2436;

																				BgL_arg1884z00_2436 =
																					CAR(BgL_lpz00_2425);
																				BgL_test2418z00_4370 =
																					BGl_rtl_inszd2gozf3z21zzsaw_bbvzd2typeszd2
																					(((BgL_rtl_insz00_bglt)
																						BgL_arg1884z00_2436));
																			}
																			if (BgL_test2418z00_4370)
																				{	/* SawBbv/bbv-optim.scm 172 */
																					obj_t BgL_revz00_2428;

																					{	/* SawBbv/bbv-optim.scm 172 */
																						obj_t BgL_arg1865z00_2430;

																						{	/* SawBbv/bbv-optim.scm 172 */
																							obj_t BgL_pairz00_3359;

																							BgL_pairz00_3359 =
																								bgl_reverse(
																								(((BgL_blockz00_bglt) COBJECT(
																											((BgL_blockz00_bglt)
																												BgL_i1196z00_2403)))->
																									BgL_firstz00));
																							BgL_arg1865z00_2430 =
																								CDR(BgL_pairz00_3359);
																						}
																						BgL_revz00_2428 =
																							bgl_reverse_bang
																							(BgL_arg1865z00_2430);
																					}
																					{
																						obj_t BgL_auxz00_4379;

																						{	/* SawBbv/bbv-optim.scm 173 */
																							obj_t BgL_arg1859z00_2429;

																							BgL_arg1859z00_2429 =
																								(((BgL_blockz00_bglt) COBJECT(
																										((BgL_blockz00_bglt)
																											BgL_sz00_2413)))->
																								BgL_firstz00);
																							BgL_auxz00_4379 =
																								BGl_appendzd22z12zc0zz__r4_pairs_and_lists_6_3z00
																								(BgL_revz00_2428,
																								BgL_arg1859z00_2429);
																						}
																						((((BgL_blockz00_bglt) COBJECT(
																										((BgL_blockz00_bglt)
																											BgL_i1196z00_2403)))->
																								BgL_firstz00) =
																							((obj_t) BgL_auxz00_4379),
																							BUNSPEC);
																					}
																				}
																			else
																				{
																					obj_t BgL_auxz00_4385;

																					{	/* SawBbv/bbv-optim.scm 175 */
																						obj_t BgL_arg1876z00_2433;
																						obj_t BgL_arg1878z00_2434;

																						BgL_arg1876z00_2433 =
																							(((BgL_blockz00_bglt) COBJECT(
																									((BgL_blockz00_bglt)
																										BgL_i1196z00_2403)))->
																							BgL_firstz00);
																						{	/* SawBbv/bbv-optim.scm 176 */
																							obj_t BgL_arg1882z00_2435;

																							BgL_arg1882z00_2435 =
																								(((BgL_blockz00_bglt) COBJECT(
																										((BgL_blockz00_bglt)
																											BgL_sz00_2413)))->
																								BgL_firstz00);
																							BgL_arg1878z00_2434 =
																								BGl_listzd2copyzd2zz__r4_pairs_and_lists_6_3z00
																								(BgL_arg1882z00_2435);
																						}
																						BgL_auxz00_4385 =
																							BGl_appendzd221011zd2zzsaw_bbvzd2optimzd2
																							(BgL_arg1876z00_2433,
																							BgL_arg1878z00_2434);
																					}
																					((((BgL_blockz00_bglt) COBJECT(
																									((BgL_blockz00_bglt)
																										BgL_i1196z00_2403)))->
																							BgL_firstz00) =
																						((obj_t) BgL_auxz00_4385), BUNSPEC);
																				}
																		}
																	}
																	if (CBOOL
																		(BGl_za2bbvzd2debugza2zd2zzsaw_bbvzd2configzd2))
																		{	/* SawBbv/bbv-optim.scm 177 */
																			BGl_assertzd2blockszd2zzsaw_bbvzd2debugzd2
																				(((BgL_blockz00_bglt) BgL_sz00_2413),
																				BGl_string2301z00zzsaw_bbvzd2optimzd2);
																		}
																	else
																		{	/* SawBbv/bbv-optim.scm 177 */
																			BFALSE;
																		}
																	{

																		goto BgL_zc3z04anonymousza31805ze3z87_2398;
																	}
																}
															else
																{	/* SawBbv/bbv-optim.scm 180 */
																	obj_t BgL_arg1887z00_2439;
																	obj_t BgL_arg1889z00_2440;

																	{	/* SawBbv/bbv-optim.scm 180 */
																		obj_t BgL_arg1890z00_2441;
																		obj_t BgL_arg1891z00_2442;

																		{	/* SawBbv/bbv-optim.scm 180 */
																			obj_t BgL_pairz00_3362;

																			BgL_pairz00_3362 =
																				(((BgL_blockz00_bglt) COBJECT(
																						((BgL_blockz00_bglt)
																							BgL_i1196z00_2403)))->
																				BgL_succsz00);
																			BgL_arg1890z00_2441 =
																				CAR(BgL_pairz00_3362);
																		}
																		BgL_arg1891z00_2442 =
																			CDR(((obj_t) BgL_bsz00_2396));
																		BgL_arg1887z00_2439 =
																			MAKE_YOUNG_PAIR(BgL_arg1890z00_2441,
																			BgL_arg1891z00_2442);
																	}
																	{	/* SawBbv/bbv-optim.scm 181 */
																		obj_t BgL_arg1893z00_2444;

																		BgL_arg1893z00_2444 =
																			CAR(((obj_t) BgL_bsz00_2396));
																		BgL_arg1889z00_2440 =
																			BGl_bbsetzd2conszd2zzsaw_bbvzd2optimzd2(
																			((BgL_blockz00_bglt) BgL_arg1893z00_2444),
																			BgL_accz00_2397);
																	}
																	{
																		obj_t BgL_accz00_4409;
																		obj_t BgL_bsz00_4408;

																		BgL_bsz00_4408 = BgL_arg1887z00_2439;
																		BgL_accz00_4409 = BgL_arg1889z00_2440;
																		BgL_accz00_2397 = BgL_accz00_4409;
																		BgL_bsz00_2396 = BgL_bsz00_4408;
																		goto BgL_zc3z04anonymousza31805ze3z87_2398;
																	}
																}
														}
													else
														{
															obj_t BgL_ssz00_2452;
															obj_t BgL_nsuccsz00_2453;

															{	/* SawBbv/bbv-optim.scm 182 */
																obj_t BgL_arg1898z00_2451;

																BgL_arg1898z00_2451 =
																	(((BgL_blockz00_bglt) COBJECT(
																			((BgL_blockz00_bglt)
																				BgL_i1196z00_2403)))->BgL_succsz00);
																BgL_ssz00_2452 = BgL_arg1898z00_2451;
																BgL_nsuccsz00_2453 = BNIL;
															BgL_zc3z04anonymousza31899ze3z87_2454:
																if (NULLP(BgL_ssz00_2452))
																	{	/* SawBbv/bbv-optim.scm 185 */
																		obj_t BgL_arg1901z00_2456;
																		obj_t BgL_arg1902z00_2457;

																		{	/* SawBbv/bbv-optim.scm 185 */
																			obj_t BgL_arg1903z00_2458;
																			obj_t BgL_arg1904z00_2459;

																			BgL_arg1903z00_2458 =
																				bgl_reverse(BgL_nsuccsz00_2453);
																			BgL_arg1904z00_2459 =
																				CDR(((obj_t) BgL_bsz00_2396));
																			BgL_arg1901z00_2456 =
																				BGl_appendzd221011zd2zzsaw_bbvzd2optimzd2
																				(BgL_arg1903z00_2458,
																				BgL_arg1904z00_2459);
																		}
																		{	/* SawBbv/bbv-optim.scm 186 */
																			obj_t BgL_arg1905z00_2460;

																			BgL_arg1905z00_2460 =
																				CAR(((obj_t) BgL_bsz00_2396));
																			BgL_arg1902z00_2457 =
																				BGl_bbsetzd2conszd2zzsaw_bbvzd2optimzd2(
																				((BgL_blockz00_bglt)
																					BgL_arg1905z00_2460),
																				BgL_accz00_2397);
																		}
																		{
																			obj_t BgL_accz00_4423;
																			obj_t BgL_bsz00_4422;

																			BgL_bsz00_4422 = BgL_arg1901z00_2456;
																			BgL_accz00_4423 = BgL_arg1902z00_2457;
																			BgL_accz00_2397 = BgL_accz00_4423;
																			BgL_bsz00_2396 = BgL_bsz00_4422;
																			goto
																				BgL_zc3z04anonymousza31805ze3z87_2398;
																		}
																	}
																else
																	{	/* SawBbv/bbv-optim.scm 187 */
																		obj_t BgL_sz00_2461;

																		BgL_sz00_2461 =
																			CAR(((obj_t) BgL_ssz00_2452));
																		if (BGl_gotozd2blockzf3z21zzsaw_bbvzd2optimzd2(BgL_sz00_2461))
																			{	/* SawBbv/bbv-optim.scm 189 */
																				obj_t BgL_tz00_2463;

																				BgL_tz00_2463 =
																					BGl_gotozd2targetzd2zzsaw_bbvzd2optimzd2
																					(BgL_sz00_2461);
																				{	/* SawBbv/bbv-optim.scm 195 */
																					obj_t BgL_arg1907z00_2464;

																					BgL_arg1907z00_2464 =
																						CAR(((obj_t) BgL_bsz00_2396));
																					BGl_redirectzd2blockz12zc0zzsaw_bbvzd2utilszd2
																						(((BgL_blockz00_bglt)
																							BgL_arg1907z00_2464),
																						((BgL_blockz00_bglt) BgL_sz00_2461),
																						((BgL_blockz00_bglt)
																							BgL_tz00_2463));
																				}
																				{	/* SawBbv/bbv-optim.scm 197 */
																					obj_t BgL_arg1908z00_2465;

																					BgL_arg1908z00_2465 =
																						bgl_remq(BgL_sz00_2461,
																						(((BgL_blockz00_bglt) COBJECT(
																									((BgL_blockz00_bglt)
																										BgL_tz00_2463)))->
																							BgL_predsz00));
																					((((BgL_blockz00_bglt)
																								COBJECT(((BgL_blockz00_bglt)
																										BgL_tz00_2463)))->
																							BgL_predsz00) =
																						((obj_t) BgL_arg1908z00_2465),
																						BUNSPEC);
																				}
																				if (CBOOL
																					(BGl_za2bbvzd2debugza2zd2zzsaw_bbvzd2configzd2))
																					{	/* SawBbv/bbv-optim.scm 198 */
																						BGl_assertzd2blockszd2zzsaw_bbvzd2debugzd2
																							(((BgL_blockz00_bglt)
																								BgL_sz00_2461),
																							BGl_string2302z00zzsaw_bbvzd2optimzd2);
																						BGl_assertzd2blockszd2zzsaw_bbvzd2debugzd2
																							(((BgL_blockz00_bglt)
																								BgL_tz00_2463),
																							BGl_string2303z00zzsaw_bbvzd2optimzd2);
																					}
																				else
																					{	/* SawBbv/bbv-optim.scm 198 */
																						BFALSE;
																					}
																				{	/* SawBbv/bbv-optim.scm 201 */
																					obj_t BgL_arg1910z00_2467;

																					BgL_arg1910z00_2467 =
																						CDR(((obj_t) BgL_ssz00_2452));
																					{
																						obj_t BgL_ssz00_4448;

																						BgL_ssz00_4448 =
																							BgL_arg1910z00_2467;
																						BgL_ssz00_2452 = BgL_ssz00_4448;
																						goto
																							BgL_zc3z04anonymousza31899ze3z87_2454;
																					}
																				}
																			}
																		else
																			{	/* SawBbv/bbv-optim.scm 202 */
																				obj_t BgL_arg1911z00_2468;
																				obj_t BgL_arg1912z00_2469;

																				BgL_arg1911z00_2468 =
																					CDR(((obj_t) BgL_ssz00_2452));
																				BgL_arg1912z00_2469 =
																					MAKE_YOUNG_PAIR(BgL_sz00_2461,
																					BgL_nsuccsz00_2453);
																				{
																					obj_t BgL_nsuccsz00_4453;
																					obj_t BgL_ssz00_4452;

																					BgL_ssz00_4452 = BgL_arg1911z00_2468;
																					BgL_nsuccsz00_4453 =
																						BgL_arg1912z00_2469;
																					BgL_nsuccsz00_2453 =
																						BgL_nsuccsz00_4453;
																					BgL_ssz00_2452 = BgL_ssz00_4452;
																					goto
																						BgL_zc3z04anonymousza31899ze3z87_2454;
																				}
																			}
																	}
															}
														}
												}
										}
								}
							}
							return ((obj_t) BgL_auxz00_4295);
						}
					else
						{	/* SawBbv/bbv-optim.scm 204 */
							return ((obj_t) BgL_bz00_96);
						}
				}
			}
		}

	}



/* &simplify-branch! */
	obj_t BGl_z62simplifyzd2branchz12za2zzsaw_bbvzd2optimzd2(obj_t
		BgL_envz00_3579, obj_t BgL_globalz00_3580, obj_t BgL_bz00_3581)
	{
		{	/* SawBbv/bbv-optim.scm 142 */
			return
				BGl_simplifyzd2branchz12zc0zzsaw_bbvzd2optimzd2(
				((BgL_globalz00_bglt) BgL_globalz00_3580),
				((BgL_blockz00_bglt) BgL_bz00_3581));
		}

	}



/* coalesce! */
	BGL_EXPORTED_DEF obj_t
		BGl_coalescez12z12zzsaw_bbvzd2optimzd2(BgL_globalz00_bglt BgL_globalz00_97,
		BgL_blockz00_bglt BgL_bz00_98)
	{
		{	/* SawBbv/bbv-optim.scm 217 */
			BGl_assertzd2blockszd2zzsaw_bbvzd2debugzd2(BgL_bz00_98,
				BGl_string2306z00zzsaw_bbvzd2optimzd2);
			{	/* SawBbv/bbv-optim.scm 267 */
				bool_t BgL_test2423z00_4460;

				if ((BGl_za2bbvzd2blockszd2cleanupza2z00zzsaw_bbvzd2configzd2 == BTRUE))
					{	/* SawBbv/bbv-optim.scm 267 */
						BgL_test2423z00_4460 = ((bool_t) 1);
					}
				else
					{	/* SawBbv/bbv-optim.scm 267 */
						if (STRINGP
							(BGl_za2bbvzd2blockszd2cleanupza2z00zzsaw_bbvzd2configzd2))
							{	/* SawBbv/bbv-optim.scm 269 */
								obj_t BgL_g1922z00_2485;

								BgL_g1922z00_2485 =
									BGl_za2bbvzd2blockszd2cleanupza2z00zzsaw_bbvzd2configzd2;
								{	/* SawBbv/bbv-optim.scm 269 */

									BgL_test2423z00_4460 =
										CBOOL(BGl_stringzd2containszd2zz__r4_strings_6_7z00
										(BgL_g1922z00_2485, BGl_string2307z00zzsaw_bbvzd2optimzd2,
											(int) (0L)));
							}}
						else
							{	/* SawBbv/bbv-optim.scm 268 */
								BgL_test2423z00_4460 = ((bool_t) 0);
							}
					}
				if (BgL_test2423z00_4460)
					{	/* SawBbv/bbv-optim.scm 272 */
						obj_t BgL_arg1919z00_2483;

						BgL_arg1919z00_2483 = BGl_getzd2bbzd2markz00zzsaw_bbvzd2typeszd2();
						BGl_coz12ze70zf5zzsaw_bbvzd2optimzd2(BgL_arg1919z00_2483,
							((obj_t) BgL_bz00_98));
					}
				else
					{	/* SawBbv/bbv-optim.scm 267 */
						((bool_t) 0);
					}
			}
			return ((obj_t) BgL_bz00_98);
		}

	}



/* co!~0 */
	bool_t BGl_coz12ze70zf5zzsaw_bbvzd2optimzd2(obj_t BgL_markz00_2488,
		obj_t BgL_bz00_2489)
	{
		{	/* SawBbv/bbv-optim.scm 263 */
			{	/* SawBbv/bbv-optim.scm 226 */
				BgL_blockz00_bglt BgL_i1200z00_2492;

				{
					BgL_blocksz00_bglt BgL_auxz00_4472;

					{
						obj_t BgL_auxz00_4473;

						{	/* SawBbv/bbv-optim.scm 227 */
							BgL_objectz00_bglt BgL_tmpz00_4474;

							BgL_tmpz00_4474 =
								((BgL_objectz00_bglt) ((BgL_blockz00_bglt) BgL_bz00_2489));
							BgL_auxz00_4473 = BGL_OBJECT_WIDENING(BgL_tmpz00_4474);
						}
						BgL_auxz00_4472 = ((BgL_blocksz00_bglt) BgL_auxz00_4473);
					}
					BgL_i1200z00_2492 =
						(((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_4472))->BgL_parentz00);
				}
				{	/* SawBbv/bbv-optim.scm 227 */
					bool_t BgL_test2426z00_4480;

					{	/* SawBbv/bbv-optim.scm 227 */
						long BgL_arg1988z00_2588;

						{
							BgL_blockvz00_bglt BgL_auxz00_4481;

							{
								obj_t BgL_auxz00_4482;

								{	/* SawBbv/bbv-optim.scm 227 */
									BgL_objectz00_bglt BgL_tmpz00_4483;

									BgL_tmpz00_4483 = ((BgL_objectz00_bglt) BgL_i1200z00_2492);
									BgL_auxz00_4482 = BGL_OBJECT_WIDENING(BgL_tmpz00_4483);
								}
								BgL_auxz00_4481 = ((BgL_blockvz00_bglt) BgL_auxz00_4482);
							}
							BgL_arg1988z00_2588 =
								(((BgL_blockvz00_bglt) COBJECT(BgL_auxz00_4481))->
								BgL_z52markz52);
						}
						BgL_test2426z00_4480 =
							((long) CINT(BgL_markz00_2488) == BgL_arg1988z00_2588);
					}
					if (BgL_test2426z00_4480)
						{	/* SawBbv/bbv-optim.scm 227 */
							return ((bool_t) 0);
						}
					else
						{	/* SawBbv/bbv-optim.scm 227 */
							{
								BgL_blockvz00_bglt BgL_auxz00_4490;

								{
									obj_t BgL_auxz00_4491;

									{	/* SawBbv/bbv-optim.scm 228 */
										BgL_objectz00_bglt BgL_tmpz00_4492;

										BgL_tmpz00_4492 = ((BgL_objectz00_bglt) BgL_i1200z00_2492);
										BgL_auxz00_4491 = BGL_OBJECT_WIDENING(BgL_tmpz00_4492);
									}
									BgL_auxz00_4490 = ((BgL_blockvz00_bglt) BgL_auxz00_4491);
								}
								((((BgL_blockvz00_bglt) COBJECT(BgL_auxz00_4490))->
										BgL_z52markz52) =
									((long) (long) CINT(BgL_markz00_2488)), BUNSPEC);
							}
							{	/* SawBbv/bbv-optim.scm 230 */
								obj_t BgL_versionsz00_2495;

								{	/* SawBbv/bbv-optim.scm 230 */
									BgL_blockz00_bglt BgL_arg1987z00_2587;

									{
										BgL_blocksz00_bglt BgL_auxz00_4498;

										{
											obj_t BgL_auxz00_4499;

											{	/* SawBbv/bbv-optim.scm 230 */
												BgL_objectz00_bglt BgL_tmpz00_4500;

												BgL_tmpz00_4500 =
													((BgL_objectz00_bglt)
													((BgL_blockz00_bglt) BgL_bz00_2489));
												BgL_auxz00_4499 = BGL_OBJECT_WIDENING(BgL_tmpz00_4500);
											}
											BgL_auxz00_4498 = ((BgL_blocksz00_bglt) BgL_auxz00_4499);
										}
										BgL_arg1987z00_2587 =
											(((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_4498))->
											BgL_parentz00);
									}
									BgL_versionsz00_2495 =
										BGl_blockVzd2livezd2versionsz00zzsaw_bbvzd2typeszd2
										(BgL_arg1987z00_2587);
								}
								{	/* SawBbv/bbv-optim.scm 231 */
									bool_t BgL_test2427z00_4507;

									if (NULLP(BgL_versionsz00_2495))
										{	/* SawBbv/bbv-optim.scm 231 */
											BgL_test2427z00_4507 = ((bool_t) 1);
										}
									else
										{	/* SawBbv/bbv-optim.scm 231 */
											BgL_test2427z00_4507 = NULLP(CDR(BgL_versionsz00_2495));
										}
									if (BgL_test2427z00_4507)
										{	/* SawBbv/bbv-optim.scm 232 */
											obj_t BgL_g1464z00_2499;

											BgL_g1464z00_2499 =
												(((BgL_blockz00_bglt) COBJECT(
														((BgL_blockz00_bglt)
															((BgL_blockz00_bglt) BgL_bz00_2489))))->
												BgL_succsz00);
											{
												obj_t BgL_l1462z00_2501;

												BgL_l1462z00_2501 = BgL_g1464z00_2499;
											BgL_zc3z04anonymousza31926ze3z87_2502:
												if (PAIRP(BgL_l1462z00_2501))
													{	/* SawBbv/bbv-optim.scm 232 */
														BGl_coz12ze70zf5zzsaw_bbvzd2optimzd2
															(BgL_markz00_2488, CAR(BgL_l1462z00_2501));
														{
															obj_t BgL_l1462z00_4519;

															BgL_l1462z00_4519 = CDR(BgL_l1462z00_2501);
															BgL_l1462z00_2501 = BgL_l1462z00_4519;
															goto BgL_zc3z04anonymousza31926ze3z87_2502;
														}
													}
												else
													{	/* SawBbv/bbv-optim.scm 232 */
														return ((bool_t) 1);
													}
											}
										}
									else
										{	/* SawBbv/bbv-optim.scm 233 */
											obj_t BgL_ksz00_2507;

											{	/* SawBbv/bbv-optim.scm 233 */
												obj_t BgL_arg1975z00_2564;

												if (NULLP(BgL_versionsz00_2495))
													{	/* SawBbv/bbv-optim.scm 235 */
														BgL_arg1975z00_2564 = BNIL;
													}
												else
													{	/* SawBbv/bbv-optim.scm 235 */
														obj_t BgL_head1467z00_2572;

														BgL_head1467z00_2572 = MAKE_YOUNG_PAIR(BNIL, BNIL);
														{
															obj_t BgL_l1465z00_2574;
															obj_t BgL_tail1468z00_2575;

															BgL_l1465z00_2574 = BgL_versionsz00_2495;
															BgL_tail1468z00_2575 = BgL_head1467z00_2572;
														BgL_zc3z04anonymousza31981ze3z87_2576:
															if (NULLP(BgL_l1465z00_2574))
																{	/* SawBbv/bbv-optim.scm 235 */
																	BgL_arg1975z00_2564 =
																		CDR(BgL_head1467z00_2572);
																}
															else
																{	/* SawBbv/bbv-optim.scm 235 */
																	obj_t BgL_newtail1469z00_2578;

																	{	/* SawBbv/bbv-optim.scm 235 */
																		obj_t BgL_arg1984z00_2580;

																		{	/* SawBbv/bbv-optim.scm 235 */
																			obj_t BgL_vz00_2581;

																			BgL_vz00_2581 =
																				CAR(((obj_t) BgL_l1465z00_2574));
																			BgL_arg1984z00_2580 =
																				MAKE_YOUNG_PAIR
																				(BGl_bbvzd2hashzd2zzsaw_bbvzd2typeszd2
																				(BgL_vz00_2581), BgL_vz00_2581);
																		}
																		BgL_newtail1469z00_2578 =
																			MAKE_YOUNG_PAIR(BgL_arg1984z00_2580,
																			BNIL);
																	}
																	SET_CDR(BgL_tail1468z00_2575,
																		BgL_newtail1469z00_2578);
																	{	/* SawBbv/bbv-optim.scm 235 */
																		obj_t BgL_arg1983z00_2579;

																		BgL_arg1983z00_2579 =
																			CDR(((obj_t) BgL_l1465z00_2574));
																		{
																			obj_t BgL_tail1468z00_4536;
																			obj_t BgL_l1465z00_4535;

																			BgL_l1465z00_4535 = BgL_arg1983z00_2579;
																			BgL_tail1468z00_4536 =
																				BgL_newtail1469z00_2578;
																			BgL_tail1468z00_2575 =
																				BgL_tail1468z00_4536;
																			BgL_l1465z00_2574 = BgL_l1465z00_4535;
																			goto
																				BgL_zc3z04anonymousza31981ze3z87_2576;
																		}
																	}
																}
														}
													}
												BgL_ksz00_2507 =
													BGl_sortz00zz__r4_vectors_6_8z00
													(BGl_proc2308z00zzsaw_bbvzd2optimzd2,
													BgL_arg1975z00_2564);
											}
											{
												obj_t BgL_ksz00_2509;

												BgL_ksz00_2509 = BgL_ksz00_2507;
											BgL_zc3z04anonymousza31929ze3z87_2510:
												if (NULLP(CDR(((obj_t) BgL_ksz00_2509))))
													{	/* SawBbv/bbv-optim.scm 245 */
														obj_t BgL_g1472z00_2513;

														BgL_g1472z00_2513 =
															(((BgL_blockz00_bglt) COBJECT(
																	((BgL_blockz00_bglt)
																		((BgL_blockz00_bglt) BgL_bz00_2489))))->
															BgL_succsz00);
														{
															obj_t BgL_l1470z00_2515;

															BgL_l1470z00_2515 = BgL_g1472z00_2513;
														BgL_zc3z04anonymousza31932ze3z87_2516:
															if (PAIRP(BgL_l1470z00_2515))
																{	/* SawBbv/bbv-optim.scm 245 */
																	BGl_coz12ze70zf5zzsaw_bbvzd2optimzd2
																		(BgL_markz00_2488, CAR(BgL_l1470z00_2515));
																	{
																		obj_t BgL_l1470z00_4549;

																		BgL_l1470z00_4549 = CDR(BgL_l1470z00_2515);
																		BgL_l1470z00_2515 = BgL_l1470z00_4549;
																		goto BgL_zc3z04anonymousza31932ze3z87_2516;
																	}
																}
															else
																{	/* SawBbv/bbv-optim.scm 245 */
																	return ((bool_t) 1);
																}
														}
													}
												else
													{	/* SawBbv/bbv-optim.scm 246 */
														bool_t BgL_test2434z00_4551;

														{	/* SawBbv/bbv-optim.scm 246 */
															long BgL_arg1971z00_2559;

															{	/* SawBbv/bbv-optim.scm 246 */
																BgL_blockz00_bglt BgL_oz00_3401;

																{	/* SawBbv/bbv-optim.scm 246 */
																	obj_t BgL_pairz00_3400;

																	BgL_pairz00_3400 =
																		CAR(((obj_t) BgL_ksz00_2509));
																	BgL_oz00_3401 =
																		((BgL_blockz00_bglt) CDR(BgL_pairz00_3400));
																}
																{
																	BgL_blocksz00_bglt BgL_auxz00_4556;

																	{
																		obj_t BgL_auxz00_4557;

																		{	/* SawBbv/bbv-optim.scm 246 */
																			BgL_objectz00_bglt BgL_tmpz00_4558;

																			BgL_tmpz00_4558 =
																				((BgL_objectz00_bglt) BgL_oz00_3401);
																			BgL_auxz00_4557 =
																				BGL_OBJECT_WIDENING(BgL_tmpz00_4558);
																		}
																		BgL_auxz00_4556 =
																			((BgL_blocksz00_bglt) BgL_auxz00_4557);
																	}
																	BgL_arg1971z00_2559 =
																		(((BgL_blocksz00_bglt)
																			COBJECT(BgL_auxz00_4556))->
																		BgL_z52markz52);
															}}
															BgL_test2434z00_4551 =
																(BgL_arg1971z00_2559 >=
																(long) CINT(BgL_markz00_2488));
														}
														if (BgL_test2434z00_4551)
															{	/* SawBbv/bbv-optim.scm 247 */
																obj_t BgL_arg1938z00_2524;

																BgL_arg1938z00_2524 =
																	CDR(((obj_t) BgL_ksz00_2509));
																{
																	obj_t BgL_ksz00_4567;

																	BgL_ksz00_4567 = BgL_arg1938z00_2524;
																	BgL_ksz00_2509 = BgL_ksz00_4567;
																	goto BgL_zc3z04anonymousza31929ze3z87_2510;
																}
															}
														else
															{	/* SawBbv/bbv-optim.scm 249 */
																obj_t BgL_kz00_2525;

																BgL_kz00_2525 = CAR(((obj_t) BgL_ksz00_2509));
																if (CBOOL
																	(BGl_za2bbvzd2debugza2zd2zzsaw_bbvzd2configzd2))
																	{	/* SawBbv/bbv-optim.scm 251 */
																		obj_t BgL_arg1939z00_2526;

																		BgL_arg1939z00_2526 =
																			CDR(((obj_t) BgL_kz00_2525));
																		BGl_assertzd2blockzd2zzsaw_bbvzd2debugzd2(
																			((BgL_blockz00_bglt) BgL_arg1939z00_2526),
																			BGl_string2309z00zzsaw_bbvzd2optimzd2);
																	}
																else
																	{	/* SawBbv/bbv-optim.scm 250 */
																		BFALSE;
																	}
																{	/* SawBbv/bbv-optim.scm 252 */
																	obj_t BgL_g1201z00_2527;

																	BgL_g1201z00_2527 =
																		CDR(((obj_t) BgL_ksz00_2509));
																	{
																		obj_t BgL_lsz00_2529;

																		BgL_lsz00_2529 = BgL_g1201z00_2527;
																	BgL_zc3z04anonymousza31940ze3z87_2530:
																		if (NULLP(BgL_lsz00_2529))
																			{	/* SawBbv/bbv-optim.scm 255 */
																				obj_t BgL_arg1942z00_2532;

																				BgL_arg1942z00_2532 =
																					CDR(((obj_t) BgL_ksz00_2509));
																				{
																					obj_t BgL_ksz00_4582;

																					BgL_ksz00_4582 = BgL_arg1942z00_2532;
																					BgL_ksz00_2509 = BgL_ksz00_4582;
																					goto
																						BgL_zc3z04anonymousza31929ze3z87_2510;
																				}
																			}
																		else
																			{	/* SawBbv/bbv-optim.scm 256 */
																				bool_t BgL_test2437z00_4583;

																				{	/* SawBbv/bbv-optim.scm 256 */
																					bool_t BgL_test2438z00_4584;

																					{	/* SawBbv/bbv-optim.scm 256 */
																						long BgL_tmpz00_4585;

																						{	/* SawBbv/bbv-optim.scm 256 */
																							obj_t BgL_pairz00_3414;

																							BgL_pairz00_3414 =
																								CAR(((obj_t) BgL_lsz00_2529));
																							BgL_tmpz00_4585 =
																								(long)
																								CINT(CAR(BgL_pairz00_3414));
																						}
																						BgL_test2438z00_4584 =
																							(
																							(long) CINT(CAR(
																									((obj_t) BgL_kz00_2525))) ==
																							BgL_tmpz00_4585);
																					}
																					if (BgL_test2438z00_4584)
																						{	/* SawBbv/bbv-optim.scm 257 */
																							bool_t BgL_test2439z00_4594;

																							{	/* SawBbv/bbv-optim.scm 257 */
																								obj_t BgL_tmpz00_4595;

																								{	/* SawBbv/bbv-optim.scm 257 */
																									obj_t BgL_pairz00_3421;

																									BgL_pairz00_3421 =
																										CAR(
																										((obj_t) BgL_lsz00_2529));
																									BgL_tmpz00_4595 =
																										CDR(BgL_pairz00_3421);
																								}
																								BgL_test2439z00_4594 =
																									(CDR(
																										((obj_t) BgL_kz00_2525)) ==
																									BgL_tmpz00_4595);
																							}
																							if (BgL_test2439z00_4594)
																								{	/* SawBbv/bbv-optim.scm 257 */
																									BgL_test2437z00_4583 =
																										((bool_t) 0);
																								}
																							else
																								{	/* SawBbv/bbv-optim.scm 259 */
																									obj_t BgL_arg1965z00_2552;
																									obj_t BgL_arg1966z00_2553;

																									BgL_arg1965z00_2552 =
																										CDR(
																										((obj_t) BgL_kz00_2525));
																									{	/* SawBbv/bbv-optim.scm 259 */
																										obj_t BgL_pairz00_3426;

																										BgL_pairz00_3426 =
																											CAR(
																											((obj_t) BgL_lsz00_2529));
																										BgL_arg1966z00_2553 =
																											CDR(BgL_pairz00_3426);
																									}
																									BgL_test2437z00_4583 =
																										CBOOL
																										(BGl_coalescezf3zf3zzsaw_bbvzd2optimzd2
																										(((BgL_blockz00_bglt)
																												BgL_arg1965z00_2552),
																											((BgL_blockz00_bglt)
																												BgL_arg1966z00_2553),
																											0L));
																								}
																						}
																					else
																						{	/* SawBbv/bbv-optim.scm 256 */
																							BgL_test2437z00_4583 =
																								((bool_t) 0);
																						}
																				}
																				if (BgL_test2437z00_4583)
																					{	/* SawBbv/bbv-optim.scm 256 */
																						{	/* SawBbv/bbv-optim.scm 260 */
																							obj_t BgL_arg1960z00_2546;
																							obj_t BgL_arg1961z00_2547;

																							BgL_arg1960z00_2546 =
																								CDR(((obj_t) BgL_kz00_2525));
																							{	/* SawBbv/bbv-optim.scm 260 */
																								obj_t BgL_pairz00_3431;

																								BgL_pairz00_3431 =
																									CAR(((obj_t) BgL_lsz00_2529));
																								BgL_arg1961z00_2547 =
																									CDR(BgL_pairz00_3431);
																							}
																							BGl_coalescezd2blockz12zc0zzsaw_bbvzd2optimzd2
																								(BgL_markz00_2488,
																								BgL_arg1960z00_2546,
																								BgL_arg1961z00_2547);
																						}
																						{	/* SawBbv/bbv-optim.scm 261 */
																							obj_t BgL_arg1962z00_2548;

																							BgL_arg1962z00_2548 =
																								CDR(((obj_t) BgL_lsz00_2529));
																							{
																								obj_t BgL_lsz00_4619;

																								BgL_lsz00_4619 =
																									BgL_arg1962z00_2548;
																								BgL_lsz00_2529 = BgL_lsz00_4619;
																								goto
																									BgL_zc3z04anonymousza31940ze3z87_2530;
																							}
																						}
																					}
																				else
																					{	/* SawBbv/bbv-optim.scm 263 */
																						obj_t BgL_arg1963z00_2549;

																						BgL_arg1963z00_2549 =
																							CDR(((obj_t) BgL_lsz00_2529));
																						{
																							obj_t BgL_lsz00_4622;

																							BgL_lsz00_4622 =
																								BgL_arg1963z00_2549;
																							BgL_lsz00_2529 = BgL_lsz00_4622;
																							goto
																								BgL_zc3z04anonymousza31940ze3z87_2530;
																						}
																					}
																			}
																	}
																}
															}
													}
											}
										}
								}
							}
						}
				}
			}
		}

	}



/* &coalesce! */
	obj_t BGl_z62coalescez12z70zzsaw_bbvzd2optimzd2(obj_t BgL_envz00_3583,
		obj_t BgL_globalz00_3584, obj_t BgL_bz00_3585)
	{
		{	/* SawBbv/bbv-optim.scm 217 */
			return
				BGl_coalescez12z12zzsaw_bbvzd2optimzd2(
				((BgL_globalz00_bglt) BgL_globalz00_3584),
				((BgL_blockz00_bglt) BgL_bz00_3585));
		}

	}



/* &<@anonymous:1976> */
	obj_t BGl_z62zc3z04anonymousza31976ze3ze5zzsaw_bbvzd2optimzd2(obj_t
		BgL_envz00_3586, obj_t BgL_v1z00_3587, obj_t BgL_v2z00_3588)
	{
		{	/* SawBbv/bbv-optim.scm 233 */
			return
				BBOOL(
				((long) CINT(CAR(
							((obj_t) BgL_v1z00_3587))) <=
					(long) CINT(CAR(((obj_t) BgL_v2z00_3588)))));
		}

	}



/* coalesce-block! */
	obj_t BGl_coalescezd2blockz12zc0zzsaw_bbvzd2optimzd2(obj_t BgL_markz00_99,
		obj_t BgL_bz00_100, obj_t BgL_byz00_101)
	{
		{	/* SawBbv/bbv-optim.scm 278 */
			{	/* SawBbv/bbv-optim.scm 282 */
				obj_t BgL_g1208z00_2590;
				obj_t BgL_g1209z00_2591;

				{	/* SawBbv/bbv-optim.scm 282 */
					obj_t BgL_list2015z00_2626;

					BgL_list2015z00_2626 = MAKE_YOUNG_PAIR(BgL_byz00_101, BNIL);
					BgL_g1208z00_2590 = BgL_list2015z00_2626;
				}
				{	/* SawBbv/bbv-optim.scm 283 */
					obj_t BgL_list2016z00_2627;

					BgL_list2016z00_2627 = MAKE_YOUNG_PAIR(BgL_bz00_100, BNIL);
					BgL_g1209z00_2591 = BgL_list2016z00_2627;
				}
				{
					obj_t BgL_byz00_2593;
					obj_t BgL_bxz00_2594;

					BgL_byz00_2593 = BgL_g1208z00_2590;
					BgL_bxz00_2594 = BgL_g1209z00_2591;
				BgL_zc3z04anonymousza31989ze3z87_2595:
					if (NULLP(BgL_byz00_2593))
						{	/* SawBbv/bbv-optim.scm 287 */
							return BUNSPEC;
						}
					else
						{	/* SawBbv/bbv-optim.scm 289 */
							bool_t BgL_test2441z00_4638;

							{	/* SawBbv/bbv-optim.scm 289 */
								long BgL_arg2013z00_2623;

								{	/* SawBbv/bbv-optim.scm 289 */
									BgL_blockz00_bglt BgL_oz00_3438;

									BgL_oz00_3438 = ((BgL_blockz00_bglt) CAR(BgL_byz00_2593));
									{
										BgL_blocksz00_bglt BgL_auxz00_4641;

										{
											obj_t BgL_auxz00_4642;

											{	/* SawBbv/bbv-optim.scm 289 */
												BgL_objectz00_bglt BgL_tmpz00_4643;

												BgL_tmpz00_4643 = ((BgL_objectz00_bglt) BgL_oz00_3438);
												BgL_auxz00_4642 = BGL_OBJECT_WIDENING(BgL_tmpz00_4643);
											}
											BgL_auxz00_4641 = ((BgL_blocksz00_bglt) BgL_auxz00_4642);
										}
										BgL_arg2013z00_2623 =
											(((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_4641))->
											BgL_z52markz52);
								}}
								BgL_test2441z00_4638 =
									(BgL_arg2013z00_2623 == (long) CINT(BgL_markz00_99));
							}
							if (BgL_test2441z00_4638)
								{	/* SawBbv/bbv-optim.scm 289 */
									return BUNSPEC;
								}
							else
								{	/* SawBbv/bbv-optim.scm 289 */
									if ((CAR(BgL_byz00_2593) == CAR(((obj_t) BgL_bxz00_2594))))
										{	/* SawBbv/bbv-optim.scm 291 */
											return BUNSPEC;
										}
									else
										{	/* SawBbv/bbv-optim.scm 294 */
											BgL_blockz00_bglt BgL_i1210z00_2603;

											BgL_i1210z00_2603 =
												((BgL_blockz00_bglt) CAR(BgL_byz00_2593));
											{
												BgL_blocksz00_bglt BgL_auxz00_4657;

												{
													obj_t BgL_auxz00_4658;

													{	/* SawBbv/bbv-optim.scm 295 */
														BgL_objectz00_bglt BgL_tmpz00_4659;

														BgL_tmpz00_4659 =
															((BgL_objectz00_bglt) BgL_i1210z00_2603);
														BgL_auxz00_4658 =
															BGL_OBJECT_WIDENING(BgL_tmpz00_4659);
													}
													BgL_auxz00_4657 =
														((BgL_blocksz00_bglt) BgL_auxz00_4658);
												}
												((((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_4657))->
														BgL_z52markz52) =
													((long) (long) CINT(BgL_markz00_99)), BUNSPEC);
											}
											{	/* SawBbv/bbv-optim.scm 296 */
												obj_t BgL_g1475z00_2604;

												BgL_g1475z00_2604 =
													(((BgL_blockz00_bglt) COBJECT(
															((BgL_blockz00_bglt) BgL_i1210z00_2603)))->
													BgL_predsz00);
												{
													obj_t BgL_l1473z00_2606;

													BgL_l1473z00_2606 = BgL_g1475z00_2604;
												BgL_zc3z04anonymousza32001ze3z87_2607:
													if (PAIRP(BgL_l1473z00_2606))
														{	/* SawBbv/bbv-optim.scm 296 */
															{	/* SawBbv/bbv-optim.scm 297 */
																obj_t BgL_dz00_2609;

																BgL_dz00_2609 = CAR(BgL_l1473z00_2606);
																{	/* SawBbv/bbv-optim.scm 298 */
																	bool_t BgL_test2444z00_4670;

																	{	/* SawBbv/bbv-optim.scm 298 */
																		long BgL_arg2007z00_2615;

																		{
																			BgL_blocksz00_bglt BgL_auxz00_4671;

																			{
																				obj_t BgL_auxz00_4672;

																				{	/* SawBbv/bbv-optim.scm 298 */
																					BgL_objectz00_bglt BgL_tmpz00_4673;

																					BgL_tmpz00_4673 =
																						((BgL_objectz00_bglt)
																						((BgL_blockz00_bglt)
																							BgL_dz00_2609));
																					BgL_auxz00_4672 =
																						BGL_OBJECT_WIDENING
																						(BgL_tmpz00_4673);
																				}
																				BgL_auxz00_4671 =
																					((BgL_blocksz00_bglt)
																					BgL_auxz00_4672);
																			}
																			BgL_arg2007z00_2615 =
																				(((BgL_blocksz00_bglt)
																					COBJECT(BgL_auxz00_4671))->
																				BgL_z52markz52);
																		}
																		BgL_test2444z00_4670 =
																			(
																			(long) CINT(BgL_markz00_99) ==
																			BgL_arg2007z00_2615);
																	}
																	if (BgL_test2444z00_4670)
																		{	/* SawBbv/bbv-optim.scm 298 */
																			BFALSE;
																		}
																	else
																		{	/* SawBbv/bbv-optim.scm 299 */
																			obj_t BgL_arg2005z00_2613;
																			obj_t BgL_arg2006z00_2614;

																			BgL_arg2005z00_2613 =
																				CAR(((obj_t) BgL_byz00_2593));
																			BgL_arg2006z00_2614 =
																				CAR(((obj_t) BgL_bxz00_2594));
																			BGl_redirectzd2blockz12zc0zzsaw_bbvzd2utilszd2
																				(((BgL_blockz00_bglt) BgL_dz00_2609),
																				((BgL_blockz00_bglt)
																					BgL_arg2005z00_2613),
																				((BgL_blockz00_bglt)
																					BgL_arg2006z00_2614));
																		}
																}
															}
															{
																obj_t BgL_l1473z00_4689;

																BgL_l1473z00_4689 = CDR(BgL_l1473z00_2606);
																BgL_l1473z00_2606 = BgL_l1473z00_4689;
																goto BgL_zc3z04anonymousza32001ze3z87_2607;
															}
														}
													else
														{	/* SawBbv/bbv-optim.scm 296 */
															((bool_t) 1);
														}
												}
											}
											{	/* SawBbv/bbv-optim.scm 301 */
												BgL_blockz00_bglt BgL_i1212z00_2618;

												BgL_i1212z00_2618 =
													((BgL_blockz00_bglt) CAR(((obj_t) BgL_bxz00_2594)));
												{	/* SawBbv/bbv-optim.scm 302 */
													obj_t BgL_arg2009z00_2619;
													obj_t BgL_arg2010z00_2620;

													BgL_arg2009z00_2619 =
														(((BgL_blockz00_bglt) COBJECT(
																((BgL_blockz00_bglt) BgL_i1210z00_2603)))->
														BgL_succsz00);
													BgL_arg2010z00_2620 =
														(((BgL_blockz00_bglt) COBJECT(((BgL_blockz00_bglt)
																	BgL_i1212z00_2618)))->BgL_succsz00);
													{
														obj_t BgL_bxz00_4699;
														obj_t BgL_byz00_4698;

														BgL_byz00_4698 = BgL_arg2009z00_2619;
														BgL_bxz00_4699 = BgL_arg2010z00_2620;
														BgL_bxz00_2594 = BgL_bxz00_4699;
														BgL_byz00_2593 = BgL_byz00_4698;
														goto BgL_zc3z04anonymousza31989ze3z87_2595;
													}
												}
											}
										}
								}
						}
				}
			}
		}

	}



/* coalesce? */
	obj_t BGl_coalescezf3zf3zzsaw_bbvzd2optimzd2(BgL_blockz00_bglt BgL_bxz00_102,
		BgL_blockz00_bglt BgL_byz00_103, long BgL_depthz00_104)
	{
		{	/* SawBbv/bbv-optim.scm 309 */
			{
				BgL_blockz00_bglt BgL_bxz00_2686;
				BgL_blockz00_bglt BgL_byz00_2687;

				if ((((obj_t) BgL_bxz00_102) == ((obj_t) BgL_byz00_103)))
					{	/* SawBbv/bbv-optim.scm 325 */
						return BTRUE;
					}
				else
					{	/* SawBbv/bbv-optim.scm 325 */
						if ((BgL_depthz00_104 > 40L))
							{	/* SawBbv/bbv-optim.scm 328 */
								bool_t BgL_tmpz00_4706;

								BgL_bxz00_2686 = BgL_bxz00_102;
								BgL_byz00_2687 = BgL_byz00_103;
							BgL_zc3z04anonymousza32070ze3z87_2688:
								{
									obj_t BgL_auxz00_4713;
									BgL_blocksz00_bglt BgL_auxz00_4707;

									{	/* SawBbv/bbv-optim.scm 314 */
										obj_t BgL_arg2071z00_2691;

										{
											BgL_blocksz00_bglt BgL_auxz00_4714;

											{
												obj_t BgL_auxz00_4715;

												{	/* SawBbv/bbv-optim.scm 314 */
													BgL_objectz00_bglt BgL_tmpz00_4716;

													BgL_tmpz00_4716 =
														((BgL_objectz00_bglt) BgL_bxz00_2686);
													BgL_auxz00_4715 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_4716);
												}
												BgL_auxz00_4714 =
													((BgL_blocksz00_bglt) BgL_auxz00_4715);
											}
											BgL_arg2071z00_2691 =
												(((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_4714))->
												BgL_z52blacklistz52);
										}
										BgL_auxz00_4713 =
											MAKE_YOUNG_PAIR(
											((obj_t) BgL_byz00_2687), BgL_arg2071z00_2691);
									}
									{
										obj_t BgL_auxz00_4708;

										{	/* SawBbv/bbv-optim.scm 314 */
											BgL_objectz00_bglt BgL_tmpz00_4709;

											BgL_tmpz00_4709 = ((BgL_objectz00_bglt) BgL_bxz00_2686);
											BgL_auxz00_4708 = BGL_OBJECT_WIDENING(BgL_tmpz00_4709);
										}
										BgL_auxz00_4707 = ((BgL_blocksz00_bglt) BgL_auxz00_4708);
									}
									((((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_4707))->
											BgL_z52blacklistz52) =
										((obj_t) BgL_auxz00_4713), BUNSPEC);
								}
								{
									obj_t BgL_auxz00_4730;
									BgL_blocksz00_bglt BgL_auxz00_4724;

									{	/* SawBbv/bbv-optim.scm 315 */
										obj_t BgL_arg2072z00_2692;

										{
											BgL_blocksz00_bglt BgL_auxz00_4731;

											{
												obj_t BgL_auxz00_4732;

												{	/* SawBbv/bbv-optim.scm 315 */
													BgL_objectz00_bglt BgL_tmpz00_4733;

													BgL_tmpz00_4733 =
														((BgL_objectz00_bglt) BgL_byz00_2687);
													BgL_auxz00_4732 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_4733);
												}
												BgL_auxz00_4731 =
													((BgL_blocksz00_bglt) BgL_auxz00_4732);
											}
											BgL_arg2072z00_2692 =
												(((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_4731))->
												BgL_z52blacklistz52);
										}
										BgL_auxz00_4730 =
											MAKE_YOUNG_PAIR(
											((obj_t) BgL_bxz00_2686), BgL_arg2072z00_2692);
									}
									{
										obj_t BgL_auxz00_4725;

										{	/* SawBbv/bbv-optim.scm 315 */
											BgL_objectz00_bglt BgL_tmpz00_4726;

											BgL_tmpz00_4726 = ((BgL_objectz00_bglt) BgL_byz00_2687);
											BgL_auxz00_4725 = BGL_OBJECT_WIDENING(BgL_tmpz00_4726);
										}
										BgL_auxz00_4724 = ((BgL_blocksz00_bglt) BgL_auxz00_4725);
									}
									((((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_4724))->
											BgL_z52blacklistz52) =
										((obj_t) BgL_auxz00_4730), BUNSPEC);
								}
								BgL_tmpz00_4706 = ((bool_t) 0);
								return BBOOL(BgL_tmpz00_4706);
							}
						else
							{	/* SawBbv/bbv-optim.scm 329 */
								bool_t BgL_test2447z00_4742;

								{	/* SawBbv/bbv-optim.scm 329 */
									obj_t BgL_arg2068z00_2684;
									obj_t BgL_arg2069z00_2685;

									BgL_arg2068z00_2684 =
										BGl_bbvzd2hashzd2zzsaw_bbvzd2typeszd2(
										((obj_t) BgL_bxz00_102));
									BgL_arg2069z00_2685 =
										BGl_bbvzd2hashzd2zzsaw_bbvzd2typeszd2(
										((obj_t) BgL_byz00_103));
									BgL_test2447z00_4742 =
										(
										(long) CINT(BgL_arg2068z00_2684) ==
										(long) CINT(BgL_arg2069z00_2685));
								}
								if (BgL_test2447z00_4742)
									{	/* SawBbv/bbv-optim.scm 331 */
										bool_t BgL_test2448z00_4750;

										{	/* SawBbv/bbv-optim.scm 331 */
											bool_t BgL_test2449z00_4751;

											{	/* SawBbv/bbv-optim.scm 331 */
												obj_t BgL_arg2067z00_2683;

												{
													BgL_blocksz00_bglt BgL_auxz00_4752;

													{
														obj_t BgL_auxz00_4753;

														{	/* SawBbv/bbv-optim.scm 331 */
															BgL_objectz00_bglt BgL_tmpz00_4754;

															BgL_tmpz00_4754 =
																((BgL_objectz00_bglt) BgL_bxz00_102);
															BgL_auxz00_4753 =
																BGL_OBJECT_WIDENING(BgL_tmpz00_4754);
														}
														BgL_auxz00_4752 =
															((BgL_blocksz00_bglt) BgL_auxz00_4753);
													}
													BgL_arg2067z00_2683 =
														(((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_4752))->
														BgL_z52blacklistz52);
												}
												BgL_test2449z00_4751 =
													(BgL_arg2067z00_2683 == ((obj_t) CNST_TABLE_REF(1)));
											}
											if (BgL_test2449z00_4751)
												{	/* SawBbv/bbv-optim.scm 331 */
													BgL_test2448z00_4750 = ((bool_t) 1);
												}
											else
												{	/* SawBbv/bbv-optim.scm 331 */
													obj_t BgL_arg2066z00_2682;

													{
														BgL_blocksz00_bglt BgL_auxz00_4762;

														{
															obj_t BgL_auxz00_4763;

															{	/* SawBbv/bbv-optim.scm 331 */
																BgL_objectz00_bglt BgL_tmpz00_4764;

																BgL_tmpz00_4764 =
																	((BgL_objectz00_bglt) BgL_byz00_103);
																BgL_auxz00_4763 =
																	BGL_OBJECT_WIDENING(BgL_tmpz00_4764);
															}
															BgL_auxz00_4762 =
																((BgL_blocksz00_bglt) BgL_auxz00_4763);
														}
														BgL_arg2066z00_2682 =
															(((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_4762))->
															BgL_z52blacklistz52);
													}
													BgL_test2448z00_4750 =
														(BgL_arg2066z00_2682 ==
														((obj_t) CNST_TABLE_REF(1)));
												}
										}
										if (BgL_test2448z00_4750)
											{	/* SawBbv/bbv-optim.scm 332 */
												bool_t BgL_tmpz00_4772;

												{
													BgL_blockz00_bglt BgL_byz00_4774;
													BgL_blockz00_bglt BgL_bxz00_4773;

													BgL_bxz00_4773 = BgL_bxz00_102;
													BgL_byz00_4774 = BgL_byz00_103;
													BgL_byz00_2687 = BgL_byz00_4774;
													BgL_bxz00_2686 = BgL_bxz00_4773;
													goto BgL_zc3z04anonymousza32070ze3z87_2688;
												}
												return BBOOL(BgL_tmpz00_4772);
											}
										else
											{	/* SawBbv/bbv-optim.scm 333 */
												bool_t BgL_test2450z00_4776;

												{	/* SawBbv/bbv-optim.scm 333 */
													bool_t BgL_test2451z00_4777;

													{	/* SawBbv/bbv-optim.scm 333 */
														obj_t BgL_arg2065z00_2680;

														{
															BgL_blocksz00_bglt BgL_auxz00_4778;

															{
																obj_t BgL_auxz00_4779;

																{	/* SawBbv/bbv-optim.scm 333 */
																	BgL_objectz00_bglt BgL_tmpz00_4780;

																	BgL_tmpz00_4780 =
																		((BgL_objectz00_bglt) BgL_byz00_103);
																	BgL_auxz00_4779 =
																		BGL_OBJECT_WIDENING(BgL_tmpz00_4780);
																}
																BgL_auxz00_4778 =
																	((BgL_blocksz00_bglt) BgL_auxz00_4779);
															}
															BgL_arg2065z00_2680 =
																(((BgL_blocksz00_bglt)
																	COBJECT(BgL_auxz00_4778))->
																BgL_z52blacklistz52);
														}
														BgL_test2451z00_4777 =
															CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
																((obj_t) BgL_bxz00_102), BgL_arg2065z00_2680));
													}
													if (BgL_test2451z00_4777)
														{	/* SawBbv/bbv-optim.scm 333 */
															BgL_test2450z00_4776 = ((bool_t) 1);
														}
													else
														{	/* SawBbv/bbv-optim.scm 333 */
															obj_t BgL_arg2064z00_2679;

															{
																BgL_blocksz00_bglt BgL_auxz00_4788;

																{
																	obj_t BgL_auxz00_4789;

																	{	/* SawBbv/bbv-optim.scm 333 */
																		BgL_objectz00_bglt BgL_tmpz00_4790;

																		BgL_tmpz00_4790 =
																			((BgL_objectz00_bglt) BgL_bxz00_102);
																		BgL_auxz00_4789 =
																			BGL_OBJECT_WIDENING(BgL_tmpz00_4790);
																	}
																	BgL_auxz00_4788 =
																		((BgL_blocksz00_bglt) BgL_auxz00_4789);
																}
																BgL_arg2064z00_2679 =
																	(((BgL_blocksz00_bglt)
																		COBJECT(BgL_auxz00_4788))->
																	BgL_z52blacklistz52);
															}
															BgL_test2450z00_4776 =
																CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
																	((obj_t) BgL_byz00_103),
																	BgL_arg2064z00_2679));
														}
												}
												if (BgL_test2450z00_4776)
													{	/* SawBbv/bbv-optim.scm 333 */
														return BFALSE;
													}
												else
													{	/* SawBbv/bbv-optim.scm 335 */
														bool_t BgL_test2452z00_4798;

														if (
															(bgl_list_length(
																	(((BgL_blockz00_bglt) COBJECT(
																				((BgL_blockz00_bglt) BgL_byz00_103)))->
																		BgL_succsz00)) == 0L))
															{	/* SawBbv/bbv-optim.scm 335 */
																BgL_test2452z00_4798 =
																	(bgl_list_length(
																		(((BgL_blockz00_bglt) COBJECT(
																					((BgL_blockz00_bglt)
																						BgL_byz00_103)))->BgL_firstz00)) ==
																	1L);
															}
														else
															{	/* SawBbv/bbv-optim.scm 335 */
																BgL_test2452z00_4798 = ((bool_t) 0);
															}
														if (BgL_test2452z00_4798)
															{	/* SawBbv/bbv-optim.scm 336 */
																bool_t BgL_tmpz00_4808;

																{
																	BgL_blockz00_bglt BgL_byz00_4810;
																	BgL_blockz00_bglt BgL_bxz00_4809;

																	BgL_bxz00_4809 = BgL_bxz00_102;
																	BgL_byz00_4810 = BgL_byz00_103;
																	BgL_byz00_2687 = BgL_byz00_4810;
																	BgL_bxz00_2686 = BgL_bxz00_4809;
																	goto BgL_zc3z04anonymousza32070ze3z87_2688;
																}
																return BBOOL(BgL_tmpz00_4808);
															}
														else
															{	/* SawBbv/bbv-optim.scm 335 */
																if (
																	(bgl_list_length(
																			(((BgL_blockz00_bglt) COBJECT(
																						((BgL_blockz00_bglt)
																							BgL_byz00_103)))->
																				BgL_succsz00)) ==
																		bgl_list_length((((BgL_blockz00_bglt)
																					COBJECT(((BgL_blockz00_bglt)
																							BgL_bxz00_102)))->BgL_succsz00))))
																	{	/* SawBbv/bbv-optim.scm 338 */
																		obj_t BgL__ortest_1217z00_2658;

																		{	/* SawBbv/bbv-optim.scm 338 */
																			obj_t BgL_arg2047z00_2660;
																			obj_t BgL_arg2049z00_2661;

																			BgL_arg2047z00_2660 =
																				(((BgL_blockz00_bglt) COBJECT(
																						((BgL_blockz00_bglt)
																							BgL_bxz00_102)))->BgL_succsz00);
																			BgL_arg2049z00_2661 =
																				(((BgL_blockz00_bglt)
																					COBJECT(((BgL_blockz00_bglt)
																							BgL_byz00_103)))->BgL_succsz00);
																			{	/* SawBbv/bbv-optim.scm 338 */
																				obj_t
																					BgL_zc3z04anonymousza32052ze3z87_3589;
																				BgL_zc3z04anonymousza32052ze3z87_3589 =
																					MAKE_FX_PROCEDURE
																					(BGl_z62zc3z04anonymousza32052ze3ze5zzsaw_bbvzd2optimzd2,
																					(int) (2L), (int) (1L));
																				PROCEDURE_SET
																					(BgL_zc3z04anonymousza32052ze3z87_3589,
																					(int) (0L), BINT(BgL_depthz00_104));
																				{	/* SawBbv/bbv-optim.scm 338 */
																					obj_t BgL_list2050z00_2662;

																					{	/* SawBbv/bbv-optim.scm 338 */
																						obj_t BgL_arg2051z00_2663;

																						BgL_arg2051z00_2663 =
																							MAKE_YOUNG_PAIR
																							(BgL_arg2049z00_2661, BNIL);
																						BgL_list2050z00_2662 =
																							MAKE_YOUNG_PAIR
																							(BgL_arg2047z00_2660,
																							BgL_arg2051z00_2663);
																					}
																					BgL__ortest_1217z00_2658 =
																						BGl_everyz00zz__r4_pairs_and_lists_6_3z00
																						(BgL_zc3z04anonymousza32052ze3z87_3589,
																						BgL_list2050z00_2662);
																		}}}
																		if (CBOOL(BgL__ortest_1217z00_2658))
																			{	/* SawBbv/bbv-optim.scm 338 */
																				return BgL__ortest_1217z00_2658;
																			}
																		else
																			{	/* SawBbv/bbv-optim.scm 339 */
																				bool_t BgL_tmpz00_4835;

																				{
																					BgL_blockz00_bglt BgL_byz00_4837;
																					BgL_blockz00_bglt BgL_bxz00_4836;

																					BgL_bxz00_4836 = BgL_bxz00_102;
																					BgL_byz00_4837 = BgL_byz00_103;
																					BgL_byz00_2687 = BgL_byz00_4837;
																					BgL_bxz00_2686 = BgL_bxz00_4836;
																					goto
																						BgL_zc3z04anonymousza32070ze3z87_2688;
																				}
																				return BBOOL(BgL_tmpz00_4835);
																			}
																	}
																else
																	{	/* SawBbv/bbv-optim.scm 341 */
																		bool_t BgL_tmpz00_4839;

																		{
																			BgL_blockz00_bglt BgL_byz00_4841;
																			BgL_blockz00_bglt BgL_bxz00_4840;

																			BgL_bxz00_4840 = BgL_bxz00_102;
																			BgL_byz00_4841 = BgL_byz00_103;
																			BgL_byz00_2687 = BgL_byz00_4841;
																			BgL_bxz00_2686 = BgL_bxz00_4840;
																			goto
																				BgL_zc3z04anonymousza32070ze3z87_2688;
																		}
																		return BBOOL(BgL_tmpz00_4839);
																	}
															}
													}
											}
									}
								else
									{	/* SawBbv/bbv-optim.scm 330 */
										bool_t BgL_tmpz00_4843;

										{
											BgL_blockz00_bglt BgL_byz00_4845;
											BgL_blockz00_bglt BgL_bxz00_4844;

											BgL_bxz00_4844 = BgL_bxz00_102;
											BgL_byz00_4845 = BgL_byz00_103;
											BgL_byz00_2687 = BgL_byz00_4845;
											BgL_bxz00_2686 = BgL_bxz00_4844;
											goto BgL_zc3z04anonymousza32070ze3z87_2688;
										}
										return BBOOL(BgL_tmpz00_4843);
									}
							}
					}
			}
		}

	}



/* &<@anonymous:2052> */
	obj_t BGl_z62zc3z04anonymousza32052ze3ze5zzsaw_bbvzd2optimzd2(obj_t
		BgL_envz00_3590, obj_t BgL_xz00_3592, obj_t BgL_yz00_3593)
	{
		{	/* SawBbv/bbv-optim.scm 338 */
			{	/* SawBbv/bbv-optim.scm 338 */
				long BgL_depthz00_3591;

				BgL_depthz00_3591 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_3590, (int) (0L)));
				{	/* SawBbv/bbv-optim.scm 338 */
					long BgL_arg2053z00_3645;

					BgL_arg2053z00_3645 = (BgL_depthz00_3591 + 1L);
					return
						BGl_coalescezf3zf3zzsaw_bbvzd2optimzd2(
						((BgL_blockz00_bglt) BgL_xz00_3592),
						((BgL_blockz00_bglt) BgL_yz00_3593), BgL_arg2053z00_3645);
				}
			}
		}

	}



/* goto-block? */
	bool_t BGl_gotozd2blockzf3z21zzsaw_bbvzd2optimzd2(obj_t BgL_bz00_108)
	{
		{	/* SawBbv/bbv-optim.scm 388 */
			{	/* SawBbv/bbv-optim.scm 392 */
				bool_t BgL_test2456z00_4854;

				if (NULLP(
						(((BgL_blockz00_bglt) COBJECT(
									((BgL_blockz00_bglt) BgL_bz00_108)))->BgL_succsz00)))
					{	/* SawBbv/bbv-optim.scm 392 */
						BgL_test2456z00_4854 = ((bool_t) 0);
					}
				else
					{	/* SawBbv/bbv-optim.scm 392 */
						obj_t BgL_tmpz00_4859;

						{	/* SawBbv/bbv-optim.scm 392 */
							obj_t BgL_pairz00_3471;

							BgL_pairz00_3471 =
								(((BgL_blockz00_bglt) COBJECT(
										((BgL_blockz00_bglt) BgL_bz00_108)))->BgL_succsz00);
							BgL_tmpz00_4859 = CDR(BgL_pairz00_3471);
						}
						BgL_test2456z00_4854 = NULLP(BgL_tmpz00_4859);
					}
				if (BgL_test2456z00_4854)
					{
						obj_t BgL_firstz00_2770;

						{	/* SawBbv/bbv-optim.scm 394 */
							obj_t BgL_arg2135z00_2769;

							BgL_arg2135z00_2769 =
								(((BgL_blockz00_bglt) COBJECT(
										((BgL_blockz00_bglt) BgL_bz00_108)))->BgL_firstz00);
							BgL_firstz00_2770 = BgL_arg2135z00_2769;
						BgL_zc3z04anonymousza32136ze3z87_2771:
							if (NULLP(BgL_firstz00_2770))
								{	/* SawBbv/bbv-optim.scm 396 */
									return ((bool_t) 0);
								}
							else
								{	/* SawBbv/bbv-optim.scm 398 */
									bool_t BgL_test2459z00_4868;

									{	/* SawBbv/bbv-optim.scm 398 */
										obj_t BgL_arg2150z00_2787;

										BgL_arg2150z00_2787 = CAR(((obj_t) BgL_firstz00_2770));
										BgL_test2459z00_4868 =
											BGl_rtl_inszd2gozf3z21zzsaw_bbvzd2typeszd2(
											((BgL_rtl_insz00_bglt) BgL_arg2150z00_2787));
									}
									if (BgL_test2459z00_4868)
										{	/* SawBbv/bbv-optim.scm 398 */
											if (NULLP(CDR(((obj_t) BgL_firstz00_2770))))
												{	/* SawBbv/bbv-optim.scm 402 */
													obj_t BgL_tmpz00_4877;

													{	/* SawBbv/bbv-optim.scm 402 */
														obj_t BgL_pairz00_3475;

														BgL_pairz00_3475 =
															(((BgL_blockz00_bglt) COBJECT(
																	((BgL_blockz00_bglt) BgL_bz00_108)))->
															BgL_succsz00);
														BgL_tmpz00_4877 = CAR(BgL_pairz00_3475);
													}
													return
														(
														((obj_t)
															(((BgL_rtl_goz00_bglt) COBJECT(
																		((BgL_rtl_goz00_bglt)
																			(((BgL_rtl_insz00_bglt) COBJECT(
																						((BgL_rtl_insz00_bglt)
																							CAR(
																								((obj_t)
																									BgL_firstz00_2770)))))->
																				BgL_funz00))))->BgL_toz00)) ==
														BgL_tmpz00_4877);
												}
											else
												{	/* SawBbv/bbv-optim.scm 399 */
													return ((bool_t) 0);
												}
										}
									else
										{	/* SawBbv/bbv-optim.scm 403 */
											bool_t BgL_test2461z00_4889;

											{	/* SawBbv/bbv-optim.scm 403 */
												obj_t BgL_arg2149z00_2786;

												BgL_arg2149z00_2786 = CAR(((obj_t) BgL_firstz00_2770));
												BgL_test2461z00_4889 =
													BGl_rtl_inszd2nopzf3z21zzsaw_bbvzd2typeszd2(
													((BgL_rtl_insz00_bglt) BgL_arg2149z00_2786));
											}
											if (BgL_test2461z00_4889)
												{	/* SawBbv/bbv-optim.scm 404 */
													obj_t BgL_arg2148z00_2785;

													BgL_arg2148z00_2785 =
														CDR(((obj_t) BgL_firstz00_2770));
													{
														obj_t BgL_firstz00_4896;

														BgL_firstz00_4896 = BgL_arg2148z00_2785;
														BgL_firstz00_2770 = BgL_firstz00_4896;
														goto BgL_zc3z04anonymousza32136ze3z87_2771;
													}
												}
											else
												{	/* SawBbv/bbv-optim.scm 403 */
													return ((bool_t) 0);
												}
										}
								}
						}
					}
				else
					{	/* SawBbv/bbv-optim.scm 392 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* goto-target */
	obj_t BGl_gotozd2targetzd2zzsaw_bbvzd2optimzd2(obj_t BgL_bz00_109)
	{
		{	/* SawBbv/bbv-optim.scm 411 */
		BGl_gotozd2targetzd2zzsaw_bbvzd2optimzd2:
			{	/* SawBbv/bbv-optim.scm 412 */
				obj_t BgL_tz00_2793;

				{	/* SawBbv/bbv-optim.scm 412 */
					obj_t BgL_pairz00_3479;

					BgL_pairz00_3479 =
						(((BgL_blockz00_bglt) COBJECT(
								((BgL_blockz00_bglt) BgL_bz00_109)))->BgL_succsz00);
					BgL_tz00_2793 = CAR(BgL_pairz00_3479);
				}
				if (BGl_gotozd2blockzf3z21zzsaw_bbvzd2optimzd2(BgL_tz00_2793))
					{
						obj_t BgL_bz00_4902;

						BgL_bz00_4902 = BgL_tz00_2793;
						BgL_bz00_109 = BgL_bz00_4902;
						goto BGl_gotozd2targetzd2zzsaw_bbvzd2optimzd2;
					}
				else
					{	/* SawBbv/bbv-optim.scm 413 */
						return BgL_tz00_2793;
					}
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzsaw_bbvzd2optimzd2(void)
	{
		{	/* SawBbv/bbv-optim.scm 15 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzsaw_bbvzd2optimzd2(void)
	{
		{	/* SawBbv/bbv-optim.scm 15 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzsaw_bbvzd2optimzd2(void)
	{
		{	/* SawBbv/bbv-optim.scm 15 */
			return BUNSPEC;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzsaw_bbvzd2optimzd2(void)
	{
		{	/* SawBbv/bbv-optim.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(54713316L,
				BSTRING_TO_STRING(BGl_string2310z00zzsaw_bbvzd2optimzd2));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(161876678L,
				BSTRING_TO_STRING(BGl_string2310z00zzsaw_bbvzd2optimzd2));
			BGl_modulezd2initializa7ationz75zzast_varz00(90839984L,
				BSTRING_TO_STRING(BGl_string2310z00zzsaw_bbvzd2optimzd2));
			BGl_modulezd2initializa7ationz75zzast_nodez00(469732712L,
				BSTRING_TO_STRING(BGl_string2310z00zzsaw_bbvzd2optimzd2));
			BGl_modulezd2initializa7ationz75zztype_typez00(515343395L,
				BSTRING_TO_STRING(BGl_string2310z00zzsaw_bbvzd2optimzd2));
			BGl_modulezd2initializa7ationz75zztype_cachez00(489890788L,
				BSTRING_TO_STRING(BGl_string2310z00zzsaw_bbvzd2optimzd2));
			BGl_modulezd2initializa7ationz75zztools_shapez00(365925558L,
				BSTRING_TO_STRING(BGl_string2310z00zzsaw_bbvzd2optimzd2));
			BGl_modulezd2initializa7ationz75zztools_speekz00(61247943L,
				BSTRING_TO_STRING(BGl_string2310z00zzsaw_bbvzd2optimzd2));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(216206620L,
				BSTRING_TO_STRING(BGl_string2310z00zzsaw_bbvzd2optimzd2));
			BGl_modulezd2initializa7ationz75zzsaw_libz00(57049157L,
				BSTRING_TO_STRING(BGl_string2310z00zzsaw_bbvzd2optimzd2));
			BGl_modulezd2initializa7ationz75zzsaw_defsz00(404844772L,
				BSTRING_TO_STRING(BGl_string2310z00zzsaw_bbvzd2optimzd2));
			BGl_modulezd2initializa7ationz75zzsaw_regsetz00(358079690L,
				BSTRING_TO_STRING(BGl_string2310z00zzsaw_bbvzd2optimzd2));
			BGl_modulezd2initializa7ationz75zzsaw_regutilsz00(237915200L,
				BSTRING_TO_STRING(BGl_string2310z00zzsaw_bbvzd2optimzd2));
			BGl_modulezd2initializa7ationz75zzsaw_bbvzd2configzd2(288263219L,
				BSTRING_TO_STRING(BGl_string2310z00zzsaw_bbvzd2optimzd2));
			BGl_modulezd2initializa7ationz75zzsaw_bbvzd2typeszd2(425659118L,
				BSTRING_TO_STRING(BGl_string2310z00zzsaw_bbvzd2optimzd2));
			BGl_modulezd2initializa7ationz75zzsaw_bbvzd2specializa7ez75(506937389L,
				BSTRING_TO_STRING(BGl_string2310z00zzsaw_bbvzd2optimzd2));
			BGl_modulezd2initializa7ationz75zzsaw_bbvzd2cachezd2(242097300L,
				BSTRING_TO_STRING(BGl_string2310z00zzsaw_bbvzd2optimzd2));
			BGl_modulezd2initializa7ationz75zzsaw_bbvzd2utilszd2(221709922L,
				BSTRING_TO_STRING(BGl_string2310z00zzsaw_bbvzd2optimzd2));
			BGl_modulezd2initializa7ationz75zzsaw_bbvzd2mergezd2(376575453L,
				BSTRING_TO_STRING(BGl_string2310z00zzsaw_bbvzd2optimzd2));
			BGl_modulezd2initializa7ationz75zzsaw_bbvzd2livenesszd2(156090797L,
				BSTRING_TO_STRING(BGl_string2310z00zzsaw_bbvzd2optimzd2));
			return
				BGl_modulezd2initializa7ationz75zzsaw_bbvzd2debugzd2(120981929L,
				BSTRING_TO_STRING(BGl_string2310z00zzsaw_bbvzd2optimzd2));
		}

	}

#ifdef __cplusplus
}
#endif
