/*===========================================================================*/
/*   (SawBbv/bbv-utils.scm)                                                  */
/*   Bigloo (4.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Jan 27 07:45:49 AM CET 2025     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.6a/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.6a/lib/bigloo/4.6a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -stdc -indent SawBbv/bbv-utils.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL_BgL_SAW_BBVzd2UTILSzd2_TYPE_DEFINITIONS
#define BGL_BgL_SAW_BBVzd2UTILSzd2_TYPE_DEFINITIONS

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_nullz00;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_rtl_regz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_varz00;
		obj_t BgL_onexprzf3zf3;
		obj_t BgL_namez00;
		obj_t BgL_keyz00;
		obj_t BgL_debugnamez00;
		obj_t BgL_hardwarez00;
	}                 *BgL_rtl_regz00_bglt;

	typedef struct BgL_rtl_funz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                 *BgL_rtl_funz00_bglt;

	typedef struct BgL_rtl_switchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_patternsz00;
		obj_t BgL_labelsz00;
	}                    *BgL_rtl_switchz00_bglt;

	typedef struct BgL_rtl_ifeqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_blockz00_bgl *BgL_thenz00;
	}                  *BgL_rtl_ifeqz00_bglt;

	typedef struct BgL_rtl_ifnez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_blockz00_bgl *BgL_thenz00;
	}                  *BgL_rtl_ifnez00_bglt;

	typedef struct BgL_rtl_goz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_blockz00_bgl *BgL_toz00;
	}                *BgL_rtl_goz00_bglt;

	typedef struct BgL_rtl_insz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_z52spillz52;
		obj_t BgL_destz00;
		struct BgL_rtl_funz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}                 *BgL_rtl_insz00_bglt;

	typedef struct BgL_blockz00_bgl
	{
		header_t header;
		obj_t widening;
		int BgL_labelz00;
		obj_t BgL_predsz00;
		obj_t BgL_succsz00;
		obj_t BgL_firstz00;
	}               *BgL_blockz00_bglt;

	typedef struct BgL_rtl_regzf2razf2_bgl
	{
		int BgL_numz00;
		obj_t BgL_colorz00;
		obj_t BgL_coalescez00;
		int BgL_occurrencesz00;
		obj_t BgL_interferez00;
		obj_t BgL_interfere2z00;
	}                      *BgL_rtl_regzf2razf2_bglt;

	typedef struct BgL_regsetz00_bgl
	{
		header_t header;
		obj_t widening;
		int BgL_lengthz00;
		int BgL_msiza7eza7;
		obj_t BgL_regvz00;
		obj_t BgL_reglz00;
		obj_t BgL_stringz00;
	}                *BgL_regsetz00_bglt;

	typedef struct BgL_rtl_inszf2bbvzf2_bgl
	{
		obj_t BgL_defz00;
		obj_t BgL_outz00;
		obj_t BgL_inz00;
		struct BgL_bbvzd2ctxzd2_bgl *BgL_ctxz00;
		obj_t BgL_z52hashz52;
	}                       *BgL_rtl_inszf2bbvzf2_bglt;

	typedef struct BgL_blockvz00_bgl
	{
		obj_t BgL_versionsz00;
		obj_t BgL_genericz00;
		long BgL_z52markz52;
		obj_t BgL_mergez00;
	}                *BgL_blockvz00_bglt;

	typedef struct BgL_blocksz00_bgl
	{
		long BgL_z52markz52;
		obj_t BgL_z52hashz52;
		obj_t BgL_z52blacklistz52;
		struct BgL_bbvzd2ctxzd2_bgl *BgL_ctxz00;
		struct BgL_blockz00_bgl *BgL_parentz00;
		long BgL_gccntz00;
		long BgL_gcmarkz00;
		obj_t BgL_mblockz00;
		obj_t BgL_creatorz00;
		obj_t BgL_mergesz00;
		bool_t BgL_asleepz00;
	}                *BgL_blocksz00_bglt;

	typedef struct BgL_bbvzd2ctxzd2_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_idz00;
		obj_t BgL_entriesz00;
	}                   *BgL_bbvzd2ctxzd2_bglt;

	typedef struct BgL_bbvzd2ctxentryzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_rtl_regz00_bgl *BgL_regz00;
		obj_t BgL_typesz00;
		bool_t BgL_polarityz00;
		long BgL_countz00;
		obj_t BgL_valuez00;
		obj_t BgL_aliasesz00;
		obj_t BgL_initvalz00;
	}                        *BgL_bbvzd2ctxentryzd2_bglt;

	typedef struct BgL_bbvzd2rangezd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_loz00;
		obj_t BgL_upz00;
	}                     *BgL_bbvzd2rangezd2_bglt;


#endif													// BGL_BgL_SAW_BBVzd2UTILSzd2_TYPE_DEFINITIONS
#endif													// BGL_MODULE_TYPE_DEFINITIONS

	static obj_t
		BGl_z62rtl_regzf2razd2occurrenceszd2setz12z82zzsaw_bbvzd2utilszd2(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62rtl_regzf2razd2onexprzf3zb1zzsaw_bbvzd2utilszd2(obj_t,
		obj_t);
	static obj_t BGl_z62rtl_regzf2razd2varzd2setz12z82zzsaw_bbvzd2utilszd2(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_bbvzd2ctxentryzd2zzsaw_bbvzd2typeszd2;
	extern obj_t BGl_bbvzd2ctxzd2getz00zzsaw_bbvzd2typeszd2(BgL_bbvzd2ctxzd2_bglt,
		BgL_rtl_regz00_bglt);
	BGL_IMPORT obj_t BGl_classzd2nilzd2initz12z12zz__objectz00(obj_t);
	static BgL_bbvzd2ctxzd2_bglt
		BGl_z62bbvzd2ctxzd2filterzd2livezd2inzd2regszb0zzsaw_bbvzd2utilszd2(obj_t,
		obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzsaw_bbvzd2utilszd2 = BUNSPEC;
	extern obj_t BGl_bbvzd2rangezd2zzsaw_bbvzd2rangezd2;
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2coalescez20zzsaw_bbvzd2utilszd2(BgL_rtl_regz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2keyz20zzsaw_bbvzd2utilszd2(BgL_rtl_regz00_bglt);
	extern bool_t
		BGl_rtl_inszd2ifeqzf3z21zzsaw_bbvzd2typeszd2(BgL_rtl_insz00_bglt);
	extern obj_t BGl_za2pairzd2nilza2zd2zztype_cachez00;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	static obj_t BGl_z62regsetzd2stringzd2setz12z70zzsaw_bbvzd2utilszd2(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_bbvzd2gczd2redirectz12z12zzsaw_bbvzd2gczd2(BgL_blockz00_bglt,
		BgL_blockz00_bglt);
	BGL_EXPORTED_DECL BgL_regsetz00_bglt
		BGl_makezd2regsetzd2zzsaw_bbvzd2utilszd2(int, int, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2coalescezd2setz12ze0zzsaw_bbvzd2utilszd2
		(BgL_rtl_regz00_bglt, obj_t);
	BGL_EXPORTED_DECL BgL_rtl_regz00_bglt
		BGl_makezd2rtl_regzf2raz20zzsaw_bbvzd2utilszd2(BgL_typez00_bglt, obj_t,
		obj_t, obj_t, obj_t, obj_t, int, obj_t, obj_t, int, obj_t, obj_t);
	static BgL_rtl_regz00_bglt
		BGl_z62makezd2rtl_regzf2raz42zzsaw_bbvzd2utilszd2(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_toplevelzd2initzd2zzsaw_bbvzd2utilszd2(void);
	BGL_EXPORTED_DECL int
		BGl_rtl_regzf2razd2occurrencesz20zzsaw_bbvzd2utilszd2(BgL_rtl_regz00_bglt);
	static obj_t BGl_z62regsetzd2lengthzb0zzsaw_bbvzd2utilszd2(obj_t, obj_t);
	static obj_t BGl_z62regsetzd2reglzb0zzsaw_bbvzd2utilszd2(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_formatz00zz__r4_output_6_10_3z00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32015ze3ze5zzsaw_bbvzd2utilszd2(obj_t,
		obj_t);
	static obj_t BGl_z62regsetzd2regvzb0zzsaw_bbvzd2utilszd2(obj_t, obj_t);
	extern obj_t
		BGl_rtl_inszd2switchzf3z21zzsaw_bbvzd2typeszd2(BgL_rtl_insz00_bglt);
	static obj_t BGl_genericzd2initzd2zzsaw_bbvzd2utilszd2(void);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2namez20zzsaw_bbvzd2utilszd2(BgL_rtl_regz00_bglt);
	static obj_t BGl_z62rtl_regzf2razd2namez42zzsaw_bbvzd2utilszd2(obj_t, obj_t);
	static BgL_rtl_regz00_bglt
		BGl_z62rtl_regzf2razd2nilz42zzsaw_bbvzd2utilszd2(obj_t);
	BGL_IMPORT obj_t BGl_filterzd2mapzd2zz__r4_control_features_6_9z00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2interfere2z20zzsaw_bbvzd2utilszd2(BgL_rtl_regz00_bglt);
	static obj_t BGl_objectzd2initzd2zzsaw_bbvzd2utilszd2(void);
	static obj_t BGl_z62zc3z04anonymousza32025ze3ze5zzsaw_bbvzd2utilszd2(obj_t,
		obj_t);
	static obj_t BGl_z62zc3zd3tyz72zzsaw_bbvzd2utilszd2(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2hardwarez20zzsaw_bbvzd2utilszd2(BgL_rtl_regz00_bglt);
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	static obj_t BGl_z62zc3z04anonymousza31990ze3ze5zzsaw_bbvzd2utilszd2(obj_t,
		obj_t);
	BGL_IMPORT obj_t bgl_reverse_bang(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2varzd2setz12ze0zzsaw_bbvzd2utilszd2(BgL_rtl_regz00_bglt,
		obj_t);
	extern obj_t BGl_za2longza2z00zztype_cachez00;
	extern bool_t
		BGl_rtl_inszd2ifnezf3z21zzsaw_bbvzd2typeszd2(BgL_rtl_insz00_bglt);
	extern obj_t BGl_regsetz00zzsaw_regsetz00;
	extern obj_t BGl_rtl_regz00zzsaw_defsz00;
	static BgL_bbvzd2ctxzd2_bglt
		BGl_z62bbvzd2ctxzd2extendzd2livezd2outzd2regszb0zzsaw_bbvzd2utilszd2(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_za2brealza2z00zztype_cachez00;
	BGL_EXPORTED_DECL obj_t BGl_zc3zd3tyz10zzsaw_bbvzd2utilszd2(obj_t, obj_t);
	static obj_t BGl_z62regsetzf3z91zzsaw_bbvzd2utilszd2(obj_t, obj_t);
	static obj_t BGl_z62blockzd2ze3blockzd2listz81zzsaw_bbvzd2utilszd2(obj_t,
		obj_t, obj_t);
	static obj_t BGl__replacezd2blockz12zc0zzsaw_bbvzd2utilszd2(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	extern obj_t BGl_za2bbvzd2debugza2zd2zzsaw_bbvzd2configzd2;
	extern obj_t BGl_bbvzd2gczd2connectz12z12zzsaw_bbvzd2gczd2(BgL_blockz00_bglt,
		BgL_blockz00_bglt);
	extern obj_t BGl_assertzd2blockzd2zzsaw_bbvzd2debugzd2(BgL_blockz00_bglt,
		obj_t);
	static obj_t BGl_z62listzd2replacezb0zzsaw_bbvzd2utilszd2(obj_t, obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62rtl_regzf2razd2interfere2z42zzsaw_bbvzd2utilszd2(obj_t,
		obj_t);
	static obj_t BGl_appendzd221011zd2zzsaw_bbvzd2utilszd2(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzsaw_bbvzd2utilszd2(void);
	static obj_t BGl_bbsetzd2conszd2zzsaw_bbvzd2utilszd2(BgL_blockz00_bglt,
		obj_t);
	static obj_t
		BGl_z62rtl_regzf2razd2onexprzf3zd2setz12z71zzsaw_bbvzd2utilszd2(obj_t,
		obj_t, obj_t);
	static BgL_regsetz00_bglt BGl_z62makezd2regsetzb0zzsaw_bbvzd2utilszd2(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_rtl_regzf2razd2typez20zzsaw_bbvzd2utilszd2(BgL_rtl_regz00_bglt);
	BGL_EXPORTED_DECL BgL_rtl_regz00_bglt
		BGl_rtl_regzf2razd2nilz20zzsaw_bbvzd2utilszd2(void);
	static BgL_typez00_bglt
		BGl_z62rtl_regzf2razd2typez42zzsaw_bbvzd2utilszd2(obj_t, obj_t);
	extern obj_t BGl_za2realza2z00zztype_cachez00;
	extern obj_t
		BGl_blockzd2predszd2updatez12z12zzsaw_bbvzd2typeszd2(BgL_blockz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2onexprzf3zd3zzsaw_bbvzd2utilszd2(BgL_rtl_regz00_bglt);
	extern bool_t BGl_rtl_inszd2gozf3z21zzsaw_bbvzd2typeszd2(BgL_rtl_insz00_bglt);
	static obj_t BGl_z62rtl_regzf2razd2varz42zzsaw_bbvzd2utilszd2(obj_t, obj_t);
	static obj_t BGl_z62regsetzd2stringzb0zzsaw_bbvzd2utilszd2(obj_t, obj_t);
	BGL_EXPORTED_DECL int
		BGl_regsetzd2msiza7ez75zzsaw_bbvzd2utilszd2(BgL_regsetz00_bglt);
	static obj_t BGl_z62rtl_regzf2razd2occurrencesz42zzsaw_bbvzd2utilszd2(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_replacezd2blockz12zc0zzsaw_bbvzd2utilszd2(BgL_blockz00_bglt,
		BgL_blockz00_bglt, obj_t);
	extern obj_t BGl_bbvzd2ctxzd2zzsaw_bbvzd2typeszd2;
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	static obj_t BGl_z62setzd2maxzd2labelz12z70zzsaw_bbvzd2utilszd2(obj_t, obj_t);
	static obj_t BGl_z62regsetzd2lengthzd2setz12z70zzsaw_bbvzd2utilszd2(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL int
		BGl_regsetzd2lengthzd2zzsaw_bbvzd2utilszd2(BgL_regsetz00_bglt);
	static obj_t BGl_z62genlabelz62zzsaw_bbvzd2utilszd2(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_regsetzd2stringzd2setz12z12zzsaw_bbvzd2utilszd2(BgL_regsetz00_bglt,
		obj_t);
	BGL_IMPORT obj_t BGl_classzd2constructorzd2zz__objectz00(obj_t);
	BGL_IMPORT obj_t bgl_remq_bang(obj_t, obj_t);
	extern BgL_bbvzd2ctxzd2_bglt
		BGl_extendzd2ctxz12zc0zzsaw_bbvzd2typeszd2(BgL_bbvzd2ctxzd2_bglt,
		BgL_rtl_regz00_bglt, obj_t, bool_t, obj_t, obj_t);
	extern obj_t BGl_getzd2bbzd2markz00zzsaw_bbvzd2typeszd2(void);
	static obj_t BGl_z62rtl_regzf2razd2numz42zzsaw_bbvzd2utilszd2(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzsaw_bbvzd2utilszd2(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_bbvzd2gczd2(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_bbvzd2debugzd2(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_bbvzd2rangezd2(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_bbvzd2cachezd2(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_bbvzd2specializa7ez75(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_bbvzd2typeszd2(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_bbvzd2configzd2(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_regutilsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_regsetz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_defsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_libz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typeofz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2colorz20zzsaw_bbvzd2utilszd2(BgL_rtl_regz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2varz20zzsaw_bbvzd2utilszd2(BgL_rtl_regz00_bglt);
	BGL_EXPORTED_DECL bool_t BGl_rtl_regzf2razf3z01zzsaw_bbvzd2utilszd2(obj_t);
	BGL_IMPORT obj_t BGl_tprintz00zz__r4_output_6_10_3z00(obj_t, obj_t);
	static obj_t
		BGl_z62rtl_regzf2razd2interferezd2setz12z82zzsaw_bbvzd2utilszd2(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t create_struct(obj_t, int);
	static long BGl_za2labelza2z00zzsaw_bbvzd2utilszd2 = 0L;
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2colorzd2setz12ze0zzsaw_bbvzd2utilszd2
		(BgL_rtl_regz00_bglt, obj_t);
	static obj_t BGl_cnstzd2initzd2zzsaw_bbvzd2utilszd2(void);
	static obj_t BGl_libraryzd2moduleszd2initz00zzsaw_bbvzd2utilszd2(void);
	static bool_t BGl_ctxze3zd3zf3zc3zzsaw_bbvzd2utilszd2(BgL_bbvzd2ctxzd2_bglt,
		BgL_bbvzd2ctxzd2_bglt);
	static obj_t BGl_importedzd2moduleszd2initz00zzsaw_bbvzd2utilszd2(void);
	BGL_EXPORTED_DECL obj_t
		BGl_setzd2maxzd2labelz12z12zzsaw_bbvzd2utilszd2(obj_t);
	static obj_t BGl_gczd2rootszd2initz00zzsaw_bbvzd2utilszd2(void);
	extern obj_t BGl_regsetzd2forzd2eachz00zzsaw_regsetz00(obj_t,
		BgL_regsetz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2occurrenceszd2setz12ze0zzsaw_bbvzd2utilszd2
		(BgL_rtl_regz00_bglt, int);
	static obj_t BGl_makezd2emptyzd2bbsetz00zzsaw_bbvzd2utilszd2(void);
	BGL_EXPORTED_DECL int
		BGl_rtl_regzf2razd2numz20zzsaw_bbvzd2utilszd2(BgL_rtl_regz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2interferezd2setz12ze0zzsaw_bbvzd2utilszd2
		(BgL_rtl_regz00_bglt, obj_t);
	BGL_IMPORT obj_t BGl_filterz12z12zz__r4_control_features_6_9z00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_bbvzd2ctxzd2_bglt
		BGl_bbvzd2ctxzd2filterzd2livezd2inzd2regszd2zzsaw_bbvzd2utilszd2
		(BgL_bbvzd2ctxzd2_bglt, BgL_rtl_insz00_bglt);
	BGL_EXPORTED_DECL bool_t BGl_regsetzf3zf3zzsaw_bbvzd2utilszd2(obj_t);
	static obj_t
		BGl_z62rtl_regzf2razd2colorzd2setz12z82zzsaw_bbvzd2utilszd2(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62rtl_regzf2razd2coalescezd2setz12z82zzsaw_bbvzd2utilszd2(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62rtl_regzf2razd2colorz42zzsaw_bbvzd2utilszd2(obj_t, obj_t);
	static obj_t BGl_z62rtl_regzf2razd2coalescez42zzsaw_bbvzd2utilszd2(obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_bbvzd2ctxzd2_bglt
		BGl_bbvzd2ctxzd2extendzd2livezd2outzd2regszd2zzsaw_bbvzd2utilszd2
		(BgL_bbvzd2ctxzd2_bglt, BgL_rtl_insz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_regsetzd2stringzd2zzsaw_bbvzd2utilszd2(BgL_regsetz00_bglt);
	static obj_t BGl_z62zc3z04anonymousza31905ze3ze5zzsaw_bbvzd2utilszd2(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_genlabelz00zzsaw_bbvzd2utilszd2(void);
	static obj_t BGl_z62rtl_regzf2razd2typezd2setz12z82zzsaw_bbvzd2utilszd2(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_za2bintza2z00zztype_cachez00;
	BGL_EXPORTED_DECL obj_t
		BGl_redirectzd2blockz12zc0zzsaw_bbvzd2utilszd2(BgL_blockz00_bglt,
		BgL_blockz00_bglt, BgL_blockz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2interfere2zd2setz12ze0zzsaw_bbvzd2utilszd2
		(BgL_rtl_regz00_bglt, obj_t);
	static obj_t BGl_z62redirectzd2blockz12za2zzsaw_bbvzd2utilszd2(obj_t, obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2onexprzf3zd2setz12z13zzsaw_bbvzd2utilszd2
		(BgL_rtl_regz00_bglt, obj_t);
	extern obj_t BGl_iszd2subtypezf3z21zztype_typeofz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_regsetz00_bglt
		BGl_regsetzd2nilzd2zzsaw_bbvzd2utilszd2(void);
	BGL_EXPORTED_DECL obj_t BGl_listzd2replacezd2zzsaw_bbvzd2utilszd2(obj_t,
		obj_t, obj_t);
	static obj_t BGl_loopze70ze7zzsaw_bbvzd2utilszd2(obj_t, obj_t, obj_t);
	static obj_t BGl_z62rtl_regzf2razd2interferez42zzsaw_bbvzd2utilszd2(obj_t,
		obj_t);
	static obj_t BGl_z62rtl_regzf2razd2keyz42zzsaw_bbvzd2utilszd2(obj_t, obj_t);
	extern obj_t BGl_rtl_regzf2razf2zzsaw_regsetz00;
	static obj_t BGl_z62rtl_regzf2razf3z63zzsaw_bbvzd2utilszd2(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2typezd2setz12ze0zzsaw_bbvzd2utilszd2(BgL_rtl_regz00_bglt,
		BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_regsetzd2reglzd2zzsaw_bbvzd2utilszd2(BgL_regsetz00_bglt);
	static obj_t BGl_z62regsetzd2msiza7ez17zzsaw_bbvzd2utilszd2(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_blockzd2ze3blockzd2listze3zzsaw_bbvzd2utilszd2(obj_t,
		BgL_blockz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_regsetzd2regvzd2zzsaw_bbvzd2utilszd2(BgL_regsetz00_bglt);
	BGL_IMPORT obj_t
		BGl_deletezd2duplicateszd2zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	static obj_t
		BGl_z62rtl_regzf2razd2interfere2zd2setz12z82zzsaw_bbvzd2utilszd2(obj_t,
		obj_t, obj_t);
	static BgL_regsetz00_bglt BGl_z62regsetzd2nilzb0zzsaw_bbvzd2utilszd2(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2interferez20zzsaw_bbvzd2utilszd2(BgL_rtl_regz00_bglt);
	BGL_IMPORT bool_t BGl_2ze3zd3z30zz__r4_numbers_6_5z00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_regsetzd2lengthzd2setz12z12zzsaw_bbvzd2utilszd2(BgL_regsetz00_bglt,
		int);
	static obj_t BGl_z62rtl_regzf2razd2hardwarez42zzsaw_bbvzd2utilszd2(obj_t,
		obj_t);
	static obj_t __cnst[4];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_zc3zd3tyzd2envzc2zzsaw_bbvzd2utilszd2,
		BgL_bgl_za762za7c3za7d3tyza772za7za72199z00,
		BGl_z62zc3zd3tyz72zzsaw_bbvzd2utilszd2, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2namezd2envzf2zzsaw_bbvzd2utilszd2,
		BgL_bgl_za762rtl_regza7f2raza72200za7,
		BGl_z62rtl_regzf2razd2namez42zzsaw_bbvzd2utilszd2, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_genlabelzd2envzd2zzsaw_bbvzd2utilszd2,
		BgL_bgl_za762genlabelza762za7za72201z00,
		BGl_z62genlabelz62zzsaw_bbvzd2utilszd2, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_replacezd2blockz12zd2envz12zzsaw_bbvzd2utilszd2,
		BgL_bgl__replaceza7d2block2202za7, opt_generic_entry,
		BGl__replacezd2blockz12zc0zzsaw_bbvzd2utilszd2, BFALSE, -1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_regsetzd2nilzd2envz00zzsaw_bbvzd2utilszd2,
		BgL_bgl_za762regsetza7d2nilza72203za7,
		BGl_z62regsetzd2nilzb0zzsaw_bbvzd2utilszd2, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2typezd2setz12zd2envz32zzsaw_bbvzd2utilszd2,
		BgL_bgl_za762rtl_regza7f2raza72204za7,
		BGl_z62rtl_regzf2razd2typezd2setz12z82zzsaw_bbvzd2utilszd2, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_blockzd2ze3blockzd2listzd2envz31zzsaw_bbvzd2utilszd2,
		BgL_bgl_za762blockza7d2za7e3bl2205za7,
		BGl_z62blockzd2ze3blockzd2listz81zzsaw_bbvzd2utilszd2, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2interferezd2envzf2zzsaw_bbvzd2utilszd2,
		BgL_bgl_za762rtl_regza7f2raza72206za7,
		BGl_z62rtl_regzf2razd2interferez42zzsaw_bbvzd2utilszd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_bbvzd2ctxzd2extendzd2livezd2outzd2regszd2envz00zzsaw_bbvzd2utilszd2,
		BgL_bgl_za762bbvza7d2ctxza7d2e2207za7,
		BGl_z62bbvzd2ctxzd2extendzd2livezd2outzd2regszb0zzsaw_bbvzd2utilszd2, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_redirectzd2blockz12zd2envz12zzsaw_bbvzd2utilszd2,
		BgL_bgl_za762redirectza7d2bl2208z00,
		BGl_z62redirectzd2blockz12za2zzsaw_bbvzd2utilszd2, 0L, BUNSPEC, 3);
	      DEFINE_STRING(BGl_string2181z00zzsaw_bbvzd2utilszd2,
		BgL_bgl_string2181za700za7za7s2209za7, "replace-block!.old>", 19);
	      DEFINE_STRING(BGl_string2182z00zzsaw_bbvzd2utilszd2,
		BgL_bgl_string2182za700za7za7s2210za7, "replace-block!.new>", 19);
	      DEFINE_STRING(BGl_string2183z00zzsaw_bbvzd2utilszd2,
		BgL_bgl_string2183za700za7za7s2211za7, " -> ", 4);
	      DEFINE_STRING(BGl_string2184z00zzsaw_bbvzd2utilszd2,
		BgL_bgl_string2184za700za7za7s2212za7, "REPLACE-BLOCK-ERROR! ", 21);
	      DEFINE_STRING(BGl_string2185z00zzsaw_bbvzd2utilszd2,
		BgL_bgl_string2185za700za7za7s2213za7, ":", 1);
	      DEFINE_STRING(BGl_string2186z00zzsaw_bbvzd2utilszd2,
		BgL_bgl_string2186za700za7za7s2214za7, ",", 1);
	      DEFINE_STRING(BGl_string2187z00zzsaw_bbvzd2utilszd2,
		BgL_bgl_string2187za700za7za7s2215za7, "SawBbv/bbv-utils.scm", 20);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2onexprzf3zd2setz12zd2envzc1zzsaw_bbvzd2utilszd2,
		BgL_bgl_za762rtl_regza7f2raza72216za7,
		BGl_z62rtl_regzf2razd2onexprzf3zd2setz12z71zzsaw_bbvzd2utilszd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2188z00zzsaw_bbvzd2utilszd2,
		BgL_bgl_string2188za700za7za7s2217za7, " octx=", 6);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2occurrenceszd2setz12zd2envz32zzsaw_bbvzd2utilszd2,
		BgL_bgl_za762rtl_regza7f2raza72218za7,
		BGl_z62rtl_regzf2razd2occurrenceszd2setz12z82zzsaw_bbvzd2utilszd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2189z00zzsaw_bbvzd2utilszd2,
		BgL_bgl_string2189za700za7za7s2219za7, " nctx=", 6);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2colorzd2envzf2zzsaw_bbvzd2utilszd2,
		BgL_bgl_za762rtl_regza7f2raza72220za7,
		BGl_z62rtl_regzf2razd2colorz42zzsaw_bbvzd2utilszd2, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2190z00zzsaw_bbvzd2utilszd2,
		BgL_bgl_string2190za700za7za7s2221za7, "Wrong block replacement ~a", 26);
	      DEFINE_STRING(BGl_string2191z00zzsaw_bbvzd2utilszd2,
		BgL_bgl_string2191za700za7za7s2222za7, "replace-block!", 14);
	      DEFINE_STRING(BGl_string2192z00zzsaw_bbvzd2utilszd2,
		BgL_bgl_string2192za700za7za7s2223za7, "replace-block!.old<", 19);
	      DEFINE_STRING(BGl_string2193z00zzsaw_bbvzd2utilszd2,
		BgL_bgl_string2193za700za7za7s2224za7, "replace-block!.new<", 19);
	      DEFINE_STRING(BGl_string2194z00zzsaw_bbvzd2utilszd2,
		BgL_bgl_string2194za700za7za7s2225za7, " ", 1);
	      DEFINE_STRING(BGl_string2195z00zzsaw_bbvzd2utilszd2,
		BgL_bgl_string2195za700za7za7s2226za7, "ERROR ctx>=? ", 13);
	      DEFINE_STRING(BGl_string2196z00zzsaw_bbvzd2utilszd2,
		BgL_bgl_string2196za700za7za7s2227za7, "saw_bbv-utils", 13);
	      DEFINE_STRING(BGl_string2197z00zzsaw_bbvzd2utilszd2,
		BgL_bgl_string2197za700za7za7s2228za7, "_ :debug number bbset ", 22);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2interferezd2setz12zd2envz32zzsaw_bbvzd2utilszd2,
		BgL_bgl_za762rtl_regza7f2raza72229za7,
		BGl_z62rtl_regzf2razd2interferezd2setz12z82zzsaw_bbvzd2utilszd2, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_regsetzd2regvzd2envz00zzsaw_bbvzd2utilszd2,
		BgL_bgl_za762regsetza7d2regv2230z00,
		BGl_z62regsetzd2regvzb0zzsaw_bbvzd2utilszd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_setzd2maxzd2labelz12zd2envzc0zzsaw_bbvzd2utilszd2,
		BgL_bgl_za762setza7d2maxza7d2l2231za7,
		BGl_z62setzd2maxzd2labelz12z70zzsaw_bbvzd2utilszd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_regsetzd2lengthzd2setz12zd2envzc0zzsaw_bbvzd2utilszd2,
		BgL_bgl_za762regsetza7d2leng2232z00,
		BGl_z62regsetzd2lengthzd2setz12z70zzsaw_bbvzd2utilszd2, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_regsetzd2msiza7ezd2envza7zzsaw_bbvzd2utilszd2,
		BgL_bgl_za762regsetza7d2msiza72233za7,
		BGl_z62regsetzd2msiza7ez17zzsaw_bbvzd2utilszd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2typezd2envzf2zzsaw_bbvzd2utilszd2,
		BgL_bgl_za762rtl_regza7f2raza72234za7,
		BGl_z62rtl_regzf2razd2typez42zzsaw_bbvzd2utilszd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2varzd2setz12zd2envz32zzsaw_bbvzd2utilszd2,
		BgL_bgl_za762rtl_regza7f2raza72235za7,
		BGl_z62rtl_regzf2razd2varzd2setz12z82zzsaw_bbvzd2utilszd2, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2occurrenceszd2envzf2zzsaw_bbvzd2utilszd2,
		BgL_bgl_za762rtl_regza7f2raza72236za7,
		BGl_z62rtl_regzf2razd2occurrencesz42zzsaw_bbvzd2utilszd2, 0L, BUNSPEC, 1);
	BGL_IMPORT obj_t BGl_eqzf3zd2envz21zz__r4_equivalence_6_2z00;
	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2nilzd2envzf2zzsaw_bbvzd2utilszd2,
		BgL_bgl_za762rtl_regza7f2raza72237za7,
		BGl_z62rtl_regzf2razd2nilz42zzsaw_bbvzd2utilszd2, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_listzd2replacezd2envz00zzsaw_bbvzd2utilszd2,
		BgL_bgl_za762listza7d2replac2238z00,
		BGl_z62listzd2replacezb0zzsaw_bbvzd2utilszd2, 0L, BUNSPEC, 3);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2varzd2envzf2zzsaw_bbvzd2utilszd2,
		BgL_bgl_za762rtl_regza7f2raza72239za7,
		BGl_z62rtl_regzf2razd2varz42zzsaw_bbvzd2utilszd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2numzd2envzf2zzsaw_bbvzd2utilszd2,
		BgL_bgl_za762rtl_regza7f2raza72240za7,
		BGl_z62rtl_regzf2razd2numz42zzsaw_bbvzd2utilszd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_regsetzd2stringzd2setz12zd2envzc0zzsaw_bbvzd2utilszd2,
		BgL_bgl_za762regsetza7d2stri2241z00,
		BGl_z62regsetzd2stringzd2setz12z70zzsaw_bbvzd2utilszd2, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2colorzd2setz12zd2envz32zzsaw_bbvzd2utilszd2,
		BgL_bgl_za762rtl_regza7f2raza72242za7,
		BGl_z62rtl_regzf2razd2colorzd2setz12z82zzsaw_bbvzd2utilszd2, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2onexprzf3zd2envz01zzsaw_bbvzd2utilszd2,
		BgL_bgl_za762rtl_regza7f2raza72243za7,
		BGl_z62rtl_regzf2razd2onexprzf3zb1zzsaw_bbvzd2utilszd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_regsetzd2stringzd2envz00zzsaw_bbvzd2utilszd2,
		BgL_bgl_za762regsetza7d2stri2244z00,
		BGl_z62regsetzd2stringzb0zzsaw_bbvzd2utilszd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2interfere2zd2setz12zd2envz32zzsaw_bbvzd2utilszd2,
		BgL_bgl_za762rtl_regza7f2raza72245za7,
		BGl_z62rtl_regzf2razd2interfere2zd2setz12z82zzsaw_bbvzd2utilszd2, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2rtl_regzf2razd2envzf2zzsaw_bbvzd2utilszd2,
		BgL_bgl_za762makeza7d2rtl_re2246z00,
		BGl_z62makezd2rtl_regzf2raz42zzsaw_bbvzd2utilszd2, 0L, BUNSPEC, 12);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razf3zd2envzd3zzsaw_bbvzd2utilszd2,
		BgL_bgl_za762rtl_regza7f2raza72247za7,
		BGl_z62rtl_regzf2razf3z63zzsaw_bbvzd2utilszd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_regsetzd2lengthzd2envz00zzsaw_bbvzd2utilszd2,
		BgL_bgl_za762regsetza7d2leng2248z00,
		BGl_z62regsetzd2lengthzb0zzsaw_bbvzd2utilszd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2coalescezd2envzf2zzsaw_bbvzd2utilszd2,
		BgL_bgl_za762rtl_regza7f2raza72249za7,
		BGl_z62rtl_regzf2razd2coalescez42zzsaw_bbvzd2utilszd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2interfere2zd2envzf2zzsaw_bbvzd2utilszd2,
		BgL_bgl_za762rtl_regza7f2raza72250za7,
		BGl_z62rtl_regzf2razd2interfere2z42zzsaw_bbvzd2utilszd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2hardwarezd2envzf2zzsaw_bbvzd2utilszd2,
		BgL_bgl_za762rtl_regza7f2raza72251za7,
		BGl_z62rtl_regzf2razd2hardwarez42zzsaw_bbvzd2utilszd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2regsetzd2envz00zzsaw_bbvzd2utilszd2,
		BgL_bgl_za762makeza7d2regset2252z00,
		BGl_z62makezd2regsetzb0zzsaw_bbvzd2utilszd2, 0L, BUNSPEC, 5);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_bbvzd2ctxzd2filterzd2livezd2inzd2regszd2envz00zzsaw_bbvzd2utilszd2,
		BgL_bgl_za762bbvza7d2ctxza7d2f2253za7,
		BGl_z62bbvzd2ctxzd2filterzd2livezd2inzd2regszb0zzsaw_bbvzd2utilszd2, 0L,
		BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_regsetzf3zd2envz21zzsaw_bbvzd2utilszd2,
		BgL_bgl_za762regsetza7f3za791za72254z00,
		BGl_z62regsetzf3z91zzsaw_bbvzd2utilszd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2keyzd2envzf2zzsaw_bbvzd2utilszd2,
		BgL_bgl_za762rtl_regza7f2raza72255za7,
		BGl_z62rtl_regzf2razd2keyz42zzsaw_bbvzd2utilszd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2coalescezd2setz12zd2envz32zzsaw_bbvzd2utilszd2,
		BgL_bgl_za762rtl_regza7f2raza72256za7,
		BGl_z62rtl_regzf2razd2coalescezd2setz12z82zzsaw_bbvzd2utilszd2, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_regsetzd2reglzd2envz00zzsaw_bbvzd2utilszd2,
		BgL_bgl_za762regsetza7d2regl2257z00,
		BGl_z62regsetzd2reglzb0zzsaw_bbvzd2utilszd2, 0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zzsaw_bbvzd2utilszd2));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzsaw_bbvzd2utilszd2(long
		BgL_checksumz00_3864, char *BgL_fromz00_3865)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzsaw_bbvzd2utilszd2))
				{
					BGl_requirezd2initializa7ationz75zzsaw_bbvzd2utilszd2 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzsaw_bbvzd2utilszd2();
					BGl_libraryzd2moduleszd2initz00zzsaw_bbvzd2utilszd2();
					BGl_cnstzd2initzd2zzsaw_bbvzd2utilszd2();
					BGl_importedzd2moduleszd2initz00zzsaw_bbvzd2utilszd2();
					return BGl_toplevelzd2initzd2zzsaw_bbvzd2utilszd2();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzsaw_bbvzd2utilszd2(void)
	{
		{	/* SawBbv/bbv-utils.scm 15 */
			BGl_modulezd2initializa7ationz75zz__objectz00(0L, "saw_bbv-utils");
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(0L,
				"saw_bbv-utils");
			BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(0L,
				"saw_bbv-utils");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(0L,
				"saw_bbv-utils");
			BGl_modulezd2initializa7ationz75zz__readerz00(0L, "saw_bbv-utils");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(0L,
				"saw_bbv-utils");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(0L,
				"saw_bbv-utils");
			BGl_modulezd2initializa7ationz75zz__errorz00(0L, "saw_bbv-utils");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(0L,
				"saw_bbv-utils");
			BGl_modulezd2initializa7ationz75zz__bitz00(0L, "saw_bbv-utils");
			BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(0L,
				"saw_bbv-utils");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(0L,
				"saw_bbv-utils");
			BGl_modulezd2initializa7ationz75zz__structurez00(0L, "saw_bbv-utils");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(0L,
				"saw_bbv-utils");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(0L,
				"saw_bbv-utils");
			BGl_modulezd2initializa7ationz75zz__biglooz00(0L, "saw_bbv-utils");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzsaw_bbvzd2utilszd2(void)
	{
		{	/* SawBbv/bbv-utils.scm 15 */
			{	/* SawBbv/bbv-utils.scm 15 */
				obj_t BgL_cportz00_3700;

				{	/* SawBbv/bbv-utils.scm 15 */
					obj_t BgL_stringz00_3707;

					BgL_stringz00_3707 = BGl_string2197z00zzsaw_bbvzd2utilszd2;
					{	/* SawBbv/bbv-utils.scm 15 */
						obj_t BgL_startz00_3708;

						BgL_startz00_3708 = BINT(0L);
						{	/* SawBbv/bbv-utils.scm 15 */
							obj_t BgL_endz00_3709;

							BgL_endz00_3709 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_3707)));
							{	/* SawBbv/bbv-utils.scm 15 */

								BgL_cportz00_3700 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_3707, BgL_startz00_3708, BgL_endz00_3709);
				}}}}
				{
					long BgL_iz00_3701;

					BgL_iz00_3701 = 3L;
				BgL_loopz00_3702:
					if ((BgL_iz00_3701 == (-1L)))
						{	/* SawBbv/bbv-utils.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* SawBbv/bbv-utils.scm 15 */
							{	/* SawBbv/bbv-utils.scm 15 */
								obj_t BgL_arg2198z00_3703;

								{	/* SawBbv/bbv-utils.scm 15 */

									{	/* SawBbv/bbv-utils.scm 15 */
										obj_t BgL_locationz00_3705;

										BgL_locationz00_3705 = BBOOL(((bool_t) 0));
										{	/* SawBbv/bbv-utils.scm 15 */

											BgL_arg2198z00_3703 =
												BGl_readz00zz__readerz00(BgL_cportz00_3700,
												BgL_locationz00_3705);
										}
									}
								}
								{	/* SawBbv/bbv-utils.scm 15 */
									int BgL_tmpz00_3899;

									BgL_tmpz00_3899 = (int) (BgL_iz00_3701);
									CNST_TABLE_SET(BgL_tmpz00_3899, BgL_arg2198z00_3703);
							}}
							{	/* SawBbv/bbv-utils.scm 15 */
								int BgL_auxz00_3706;

								BgL_auxz00_3706 = (int) ((BgL_iz00_3701 - 1L));
								{
									long BgL_iz00_3904;

									BgL_iz00_3904 = (long) (BgL_auxz00_3706);
									BgL_iz00_3701 = BgL_iz00_3904;
									goto BgL_loopz00_3702;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzsaw_bbvzd2utilszd2(void)
	{
		{	/* SawBbv/bbv-utils.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzsaw_bbvzd2utilszd2(void)
	{
		{	/* SawBbv/bbv-utils.scm 15 */
			return (BGl_za2labelza2z00zzsaw_bbvzd2utilszd2 = 0L, BUNSPEC);
		}

	}



/* append-21011 */
	obj_t BGl_appendzd221011zd2zzsaw_bbvzd2utilszd2(obj_t BgL_l1z00_1,
		obj_t BgL_l2z00_2)
	{
		{
			if (NULLP(BgL_l1z00_1))
				{
					return BgL_l2z00_2;
				}
			else
				{
					obj_t BgL_headz00_2175;

					BgL_headz00_2175 = MAKE_YOUNG_PAIR(BNIL, BgL_l2z00_2);
					{
						obj_t BgL_prevz00_2176;
						obj_t BgL_tailz00_2177;

						BgL_prevz00_2176 = BgL_headz00_2175;
						BgL_tailz00_2177 = BgL_l1z00_1;
					BgL_loopz00_2178:
						if (PAIRP(BgL_tailz00_2177))
							{
								obj_t BgL_newzd2prevzd2_2180;

								BgL_newzd2prevzd2_2180 =
									MAKE_YOUNG_PAIR(CAR(BgL_tailz00_2177), BgL_l2z00_2);
								SET_CDR(BgL_prevz00_2176, BgL_newzd2prevzd2_2180);
								{
									obj_t BgL_tailz00_3916;
									obj_t BgL_prevz00_3915;

									BgL_prevz00_3915 = BgL_newzd2prevzd2_2180;
									BgL_tailz00_3916 = CDR(BgL_tailz00_2177);
									BgL_tailz00_2177 = BgL_tailz00_3916;
									BgL_prevz00_2176 = BgL_prevz00_3915;
									goto BgL_loopz00_2178;
								}
							}
						else
							{
								BNIL;
							}
						return CDR(BgL_headz00_2175);
					}
				}
		}

	}



/* make-rtl_reg/ra */
	BGL_EXPORTED_DEF BgL_rtl_regz00_bglt
		BGl_makezd2rtl_regzf2raz20zzsaw_bbvzd2utilszd2(BgL_typez00_bglt
		BgL_type1179z00_3, obj_t BgL_var1180z00_4, obj_t BgL_onexprzf31181zf3_5,
		obj_t BgL_name1182z00_6, obj_t BgL_key1183z00_7,
		obj_t BgL_hardware1184z00_8, int BgL_num1185z00_9,
		obj_t BgL_color1186z00_10, obj_t BgL_coalesce1187z00_11,
		int BgL_occurrences1188z00_12, obj_t BgL_interfere1189z00_13,
		obj_t BgL_interfere21190z00_14)
	{
		{	/* SawMill/regset.sch 55 */
			{	/* SawMill/regset.sch 55 */
				BgL_rtl_regz00_bglt BgL_new1166z00_3711;

				{	/* SawMill/regset.sch 55 */
					BgL_rtl_regz00_bglt BgL_tmp1164z00_3712;
					BgL_rtl_regzf2razf2_bglt BgL_wide1165z00_3713;

					{
						BgL_rtl_regz00_bglt BgL_auxz00_3919;

						{	/* SawMill/regset.sch 55 */
							BgL_rtl_regz00_bglt BgL_new1163z00_3714;

							BgL_new1163z00_3714 =
								((BgL_rtl_regz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_rtl_regz00_bgl))));
							{	/* SawMill/regset.sch 55 */
								long BgL_arg1543z00_3715;

								BgL_arg1543z00_3715 =
									BGL_CLASS_NUM(BGl_rtl_regz00zzsaw_defsz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1163z00_3714),
									BgL_arg1543z00_3715);
							}
							{	/* SawMill/regset.sch 55 */
								BgL_objectz00_bglt BgL_tmpz00_3924;

								BgL_tmpz00_3924 = ((BgL_objectz00_bglt) BgL_new1163z00_3714);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3924, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1163z00_3714);
							BgL_auxz00_3919 = BgL_new1163z00_3714;
						}
						BgL_tmp1164z00_3712 = ((BgL_rtl_regz00_bglt) BgL_auxz00_3919);
					}
					BgL_wide1165z00_3713 =
						((BgL_rtl_regzf2razf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_regzf2razf2_bgl))));
					{	/* SawMill/regset.sch 55 */
						obj_t BgL_auxz00_3932;
						BgL_objectz00_bglt BgL_tmpz00_3930;

						BgL_auxz00_3932 = ((obj_t) BgL_wide1165z00_3713);
						BgL_tmpz00_3930 = ((BgL_objectz00_bglt) BgL_tmp1164z00_3712);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3930, BgL_auxz00_3932);
					}
					((BgL_objectz00_bglt) BgL_tmp1164z00_3712);
					{	/* SawMill/regset.sch 55 */
						long BgL_arg1535z00_3716;

						BgL_arg1535z00_3716 =
							BGL_CLASS_NUM(BGl_rtl_regzf2razf2zzsaw_regsetz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1164z00_3712), BgL_arg1535z00_3716);
					}
					BgL_new1166z00_3711 = ((BgL_rtl_regz00_bglt) BgL_tmp1164z00_3712);
				}
				((((BgL_rtl_regz00_bglt) COBJECT(
								((BgL_rtl_regz00_bglt) BgL_new1166z00_3711)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1179z00_3), BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(((BgL_rtl_regz00_bglt)
									BgL_new1166z00_3711)))->BgL_varz00) =
					((obj_t) BgL_var1180z00_4), BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(((BgL_rtl_regz00_bglt)
									BgL_new1166z00_3711)))->BgL_onexprzf3zf3) =
					((obj_t) BgL_onexprzf31181zf3_5), BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(((BgL_rtl_regz00_bglt)
									BgL_new1166z00_3711)))->BgL_namez00) =
					((obj_t) BgL_name1182z00_6), BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(((BgL_rtl_regz00_bglt)
									BgL_new1166z00_3711)))->BgL_keyz00) =
					((obj_t) BgL_key1183z00_7), BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(((BgL_rtl_regz00_bglt)
									BgL_new1166z00_3711)))->BgL_debugnamez00) =
					((obj_t) BFALSE), BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(((BgL_rtl_regz00_bglt)
									BgL_new1166z00_3711)))->BgL_hardwarez00) =
					((obj_t) BgL_hardware1184z00_8), BUNSPEC);
				{
					BgL_rtl_regzf2razf2_bglt BgL_auxz00_3954;

					{
						obj_t BgL_auxz00_3955;

						{	/* SawMill/regset.sch 55 */
							BgL_objectz00_bglt BgL_tmpz00_3956;

							BgL_tmpz00_3956 = ((BgL_objectz00_bglt) BgL_new1166z00_3711);
							BgL_auxz00_3955 = BGL_OBJECT_WIDENING(BgL_tmpz00_3956);
						}
						BgL_auxz00_3954 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_3955);
					}
					((((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_3954))->BgL_numz00) =
						((int) BgL_num1185z00_9), BUNSPEC);
				}
				{
					BgL_rtl_regzf2razf2_bglt BgL_auxz00_3961;

					{
						obj_t BgL_auxz00_3962;

						{	/* SawMill/regset.sch 55 */
							BgL_objectz00_bglt BgL_tmpz00_3963;

							BgL_tmpz00_3963 = ((BgL_objectz00_bglt) BgL_new1166z00_3711);
							BgL_auxz00_3962 = BGL_OBJECT_WIDENING(BgL_tmpz00_3963);
						}
						BgL_auxz00_3961 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_3962);
					}
					((((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_3961))->
							BgL_colorz00) = ((obj_t) BgL_color1186z00_10), BUNSPEC);
				}
				{
					BgL_rtl_regzf2razf2_bglt BgL_auxz00_3968;

					{
						obj_t BgL_auxz00_3969;

						{	/* SawMill/regset.sch 55 */
							BgL_objectz00_bglt BgL_tmpz00_3970;

							BgL_tmpz00_3970 = ((BgL_objectz00_bglt) BgL_new1166z00_3711);
							BgL_auxz00_3969 = BGL_OBJECT_WIDENING(BgL_tmpz00_3970);
						}
						BgL_auxz00_3968 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_3969);
					}
					((((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_3968))->
							BgL_coalescez00) = ((obj_t) BgL_coalesce1187z00_11), BUNSPEC);
				}
				{
					BgL_rtl_regzf2razf2_bglt BgL_auxz00_3975;

					{
						obj_t BgL_auxz00_3976;

						{	/* SawMill/regset.sch 55 */
							BgL_objectz00_bglt BgL_tmpz00_3977;

							BgL_tmpz00_3977 = ((BgL_objectz00_bglt) BgL_new1166z00_3711);
							BgL_auxz00_3976 = BGL_OBJECT_WIDENING(BgL_tmpz00_3977);
						}
						BgL_auxz00_3975 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_3976);
					}
					((((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_3975))->
							BgL_occurrencesz00) = ((int) BgL_occurrences1188z00_12), BUNSPEC);
				}
				{
					BgL_rtl_regzf2razf2_bglt BgL_auxz00_3982;

					{
						obj_t BgL_auxz00_3983;

						{	/* SawMill/regset.sch 55 */
							BgL_objectz00_bglt BgL_tmpz00_3984;

							BgL_tmpz00_3984 = ((BgL_objectz00_bglt) BgL_new1166z00_3711);
							BgL_auxz00_3983 = BGL_OBJECT_WIDENING(BgL_tmpz00_3984);
						}
						BgL_auxz00_3982 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_3983);
					}
					((((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_3982))->
							BgL_interferez00) = ((obj_t) BgL_interfere1189z00_13), BUNSPEC);
				}
				{
					BgL_rtl_regzf2razf2_bglt BgL_auxz00_3989;

					{
						obj_t BgL_auxz00_3990;

						{	/* SawMill/regset.sch 55 */
							BgL_objectz00_bglt BgL_tmpz00_3991;

							BgL_tmpz00_3991 = ((BgL_objectz00_bglt) BgL_new1166z00_3711);
							BgL_auxz00_3990 = BGL_OBJECT_WIDENING(BgL_tmpz00_3991);
						}
						BgL_auxz00_3989 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_3990);
					}
					((((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_3989))->
							BgL_interfere2z00) = ((obj_t) BgL_interfere21190z00_14), BUNSPEC);
				}
				return BgL_new1166z00_3711;
			}
		}

	}



/* &make-rtl_reg/ra */
	BgL_rtl_regz00_bglt BGl_z62makezd2rtl_regzf2raz42zzsaw_bbvzd2utilszd2(obj_t
		BgL_envz00_3561, obj_t BgL_type1179z00_3562, obj_t BgL_var1180z00_3563,
		obj_t BgL_onexprzf31181zf3_3564, obj_t BgL_name1182z00_3565,
		obj_t BgL_key1183z00_3566, obj_t BgL_hardware1184z00_3567,
		obj_t BgL_num1185z00_3568, obj_t BgL_color1186z00_3569,
		obj_t BgL_coalesce1187z00_3570, obj_t BgL_occurrences1188z00_3571,
		obj_t BgL_interfere1189z00_3572, obj_t BgL_interfere21190z00_3573)
	{
		{	/* SawMill/regset.sch 55 */
			return
				BGl_makezd2rtl_regzf2raz20zzsaw_bbvzd2utilszd2(
				((BgL_typez00_bglt) BgL_type1179z00_3562), BgL_var1180z00_3563,
				BgL_onexprzf31181zf3_3564, BgL_name1182z00_3565, BgL_key1183z00_3566,
				BgL_hardware1184z00_3567, CINT(BgL_num1185z00_3568),
				BgL_color1186z00_3569, BgL_coalesce1187z00_3570,
				CINT(BgL_occurrences1188z00_3571), BgL_interfere1189z00_3572,
				BgL_interfere21190z00_3573);
		}

	}



/* rtl_reg/ra? */
	BGL_EXPORTED_DEF bool_t BGl_rtl_regzf2razf3z01zzsaw_bbvzd2utilszd2(obj_t
		BgL_objz00_15)
	{
		{	/* SawMill/regset.sch 56 */
			{	/* SawMill/regset.sch 56 */
				obj_t BgL_classz00_3717;

				BgL_classz00_3717 = BGl_rtl_regzf2razf2zzsaw_regsetz00;
				if (BGL_OBJECTP(BgL_objz00_15))
					{	/* SawMill/regset.sch 56 */
						BgL_objectz00_bglt BgL_arg1858z00_3718;

						BgL_arg1858z00_3718 = (BgL_objectz00_bglt) (BgL_objz00_15);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* SawMill/regset.sch 56 */
								long BgL_idxz00_3719;

								BgL_idxz00_3719 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_3718);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_3719 + 2L)) == BgL_classz00_3717);
							}
						else
							{	/* SawMill/regset.sch 56 */
								bool_t BgL_res2175z00_3722;

								{	/* SawMill/regset.sch 56 */
									obj_t BgL_oclassz00_3723;

									{	/* SawMill/regset.sch 56 */
										obj_t BgL_arg1866z00_3724;
										long BgL_arg1867z00_3725;

										BgL_arg1866z00_3724 = (BGl_za2classesza2z00zz__objectz00);
										{	/* SawMill/regset.sch 56 */
											long BgL_arg1869z00_3726;

											BgL_arg1869z00_3726 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_3718);
											BgL_arg1867z00_3725 = (BgL_arg1869z00_3726 - OBJECT_TYPE);
										}
										BgL_oclassz00_3723 =
											VECTOR_REF(BgL_arg1866z00_3724, BgL_arg1867z00_3725);
									}
									{	/* SawMill/regset.sch 56 */
										bool_t BgL__ortest_1115z00_3727;

										BgL__ortest_1115z00_3727 =
											(BgL_classz00_3717 == BgL_oclassz00_3723);
										if (BgL__ortest_1115z00_3727)
											{	/* SawMill/regset.sch 56 */
												BgL_res2175z00_3722 = BgL__ortest_1115z00_3727;
											}
										else
											{	/* SawMill/regset.sch 56 */
												long BgL_odepthz00_3728;

												{	/* SawMill/regset.sch 56 */
													obj_t BgL_arg1855z00_3729;

													BgL_arg1855z00_3729 = (BgL_oclassz00_3723);
													BgL_odepthz00_3728 =
														BGL_CLASS_DEPTH(BgL_arg1855z00_3729);
												}
												if ((2L < BgL_odepthz00_3728))
													{	/* SawMill/regset.sch 56 */
														obj_t BgL_arg1853z00_3730;

														{	/* SawMill/regset.sch 56 */
															obj_t BgL_arg1854z00_3731;

															BgL_arg1854z00_3731 = (BgL_oclassz00_3723);
															BgL_arg1853z00_3730 =
																BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_3731,
																2L);
														}
														BgL_res2175z00_3722 =
															(BgL_arg1853z00_3730 == BgL_classz00_3717);
													}
												else
													{	/* SawMill/regset.sch 56 */
														BgL_res2175z00_3722 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res2175z00_3722;
							}
					}
				else
					{	/* SawMill/regset.sch 56 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &rtl_reg/ra? */
	obj_t BGl_z62rtl_regzf2razf3z63zzsaw_bbvzd2utilszd2(obj_t BgL_envz00_3574,
		obj_t BgL_objz00_3575)
	{
		{	/* SawMill/regset.sch 56 */
			return BBOOL(BGl_rtl_regzf2razf3z01zzsaw_bbvzd2utilszd2(BgL_objz00_3575));
		}

	}



/* rtl_reg/ra-nil */
	BGL_EXPORTED_DEF BgL_rtl_regz00_bglt
		BGl_rtl_regzf2razd2nilz20zzsaw_bbvzd2utilszd2(void)
	{
		{	/* SawMill/regset.sch 57 */
			{	/* SawMill/regset.sch 57 */
				obj_t BgL_classz00_3057;

				BgL_classz00_3057 = BGl_rtl_regzf2razf2zzsaw_regsetz00;
				{	/* SawMill/regset.sch 57 */
					obj_t BgL__ortest_1117z00_3058;

					BgL__ortest_1117z00_3058 = BGL_CLASS_NIL(BgL_classz00_3057);
					if (CBOOL(BgL__ortest_1117z00_3058))
						{	/* SawMill/regset.sch 57 */
							return ((BgL_rtl_regz00_bglt) BgL__ortest_1117z00_3058);
						}
					else
						{	/* SawMill/regset.sch 57 */
							return
								((BgL_rtl_regz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_3057));
						}
				}
			}
		}

	}



/* &rtl_reg/ra-nil */
	BgL_rtl_regz00_bglt BGl_z62rtl_regzf2razd2nilz42zzsaw_bbvzd2utilszd2(obj_t
		BgL_envz00_3576)
	{
		{	/* SawMill/regset.sch 57 */
			return BGl_rtl_regzf2razd2nilz20zzsaw_bbvzd2utilszd2();
		}

	}



/* rtl_reg/ra-interfere2 */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2interfere2z20zzsaw_bbvzd2utilszd2(BgL_rtl_regz00_bglt
		BgL_oz00_16)
	{
		{	/* SawMill/regset.sch 58 */
			{
				BgL_rtl_regzf2razf2_bglt BgL_auxz00_4031;

				{
					obj_t BgL_auxz00_4032;

					{	/* SawMill/regset.sch 58 */
						BgL_objectz00_bglt BgL_tmpz00_4033;

						BgL_tmpz00_4033 = ((BgL_objectz00_bglt) BgL_oz00_16);
						BgL_auxz00_4032 = BGL_OBJECT_WIDENING(BgL_tmpz00_4033);
					}
					BgL_auxz00_4031 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_4032);
				}
				return
					(((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_4031))->
					BgL_interfere2z00);
			}
		}

	}



/* &rtl_reg/ra-interfere2 */
	obj_t BGl_z62rtl_regzf2razd2interfere2z42zzsaw_bbvzd2utilszd2(obj_t
		BgL_envz00_3577, obj_t BgL_oz00_3578)
	{
		{	/* SawMill/regset.sch 58 */
			return
				BGl_rtl_regzf2razd2interfere2z20zzsaw_bbvzd2utilszd2(
				((BgL_rtl_regz00_bglt) BgL_oz00_3578));
		}

	}



/* rtl_reg/ra-interfere2-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2interfere2zd2setz12ze0zzsaw_bbvzd2utilszd2
		(BgL_rtl_regz00_bglt BgL_oz00_17, obj_t BgL_vz00_18)
	{
		{	/* SawMill/regset.sch 59 */
			{
				BgL_rtl_regzf2razf2_bglt BgL_auxz00_4040;

				{
					obj_t BgL_auxz00_4041;

					{	/* SawMill/regset.sch 59 */
						BgL_objectz00_bglt BgL_tmpz00_4042;

						BgL_tmpz00_4042 = ((BgL_objectz00_bglt) BgL_oz00_17);
						BgL_auxz00_4041 = BGL_OBJECT_WIDENING(BgL_tmpz00_4042);
					}
					BgL_auxz00_4040 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_4041);
				}
				return
					((((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_4040))->
						BgL_interfere2z00) = ((obj_t) BgL_vz00_18), BUNSPEC);
			}
		}

	}



/* &rtl_reg/ra-interfere2-set! */
	obj_t BGl_z62rtl_regzf2razd2interfere2zd2setz12z82zzsaw_bbvzd2utilszd2(obj_t
		BgL_envz00_3579, obj_t BgL_oz00_3580, obj_t BgL_vz00_3581)
	{
		{	/* SawMill/regset.sch 59 */
			return
				BGl_rtl_regzf2razd2interfere2zd2setz12ze0zzsaw_bbvzd2utilszd2(
				((BgL_rtl_regz00_bglt) BgL_oz00_3580), BgL_vz00_3581);
		}

	}



/* rtl_reg/ra-interfere */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2interferez20zzsaw_bbvzd2utilszd2(BgL_rtl_regz00_bglt
		BgL_oz00_19)
	{
		{	/* SawMill/regset.sch 60 */
			{
				BgL_rtl_regzf2razf2_bglt BgL_auxz00_4049;

				{
					obj_t BgL_auxz00_4050;

					{	/* SawMill/regset.sch 60 */
						BgL_objectz00_bglt BgL_tmpz00_4051;

						BgL_tmpz00_4051 = ((BgL_objectz00_bglt) BgL_oz00_19);
						BgL_auxz00_4050 = BGL_OBJECT_WIDENING(BgL_tmpz00_4051);
					}
					BgL_auxz00_4049 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_4050);
				}
				return
					(((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_4049))->
					BgL_interferez00);
			}
		}

	}



/* &rtl_reg/ra-interfere */
	obj_t BGl_z62rtl_regzf2razd2interferez42zzsaw_bbvzd2utilszd2(obj_t
		BgL_envz00_3582, obj_t BgL_oz00_3583)
	{
		{	/* SawMill/regset.sch 60 */
			return
				BGl_rtl_regzf2razd2interferez20zzsaw_bbvzd2utilszd2(
				((BgL_rtl_regz00_bglt) BgL_oz00_3583));
		}

	}



/* rtl_reg/ra-interfere-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2interferezd2setz12ze0zzsaw_bbvzd2utilszd2
		(BgL_rtl_regz00_bglt BgL_oz00_20, obj_t BgL_vz00_21)
	{
		{	/* SawMill/regset.sch 61 */
			{
				BgL_rtl_regzf2razf2_bglt BgL_auxz00_4058;

				{
					obj_t BgL_auxz00_4059;

					{	/* SawMill/regset.sch 61 */
						BgL_objectz00_bglt BgL_tmpz00_4060;

						BgL_tmpz00_4060 = ((BgL_objectz00_bglt) BgL_oz00_20);
						BgL_auxz00_4059 = BGL_OBJECT_WIDENING(BgL_tmpz00_4060);
					}
					BgL_auxz00_4058 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_4059);
				}
				return
					((((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_4058))->
						BgL_interferez00) = ((obj_t) BgL_vz00_21), BUNSPEC);
			}
		}

	}



/* &rtl_reg/ra-interfere-set! */
	obj_t BGl_z62rtl_regzf2razd2interferezd2setz12z82zzsaw_bbvzd2utilszd2(obj_t
		BgL_envz00_3584, obj_t BgL_oz00_3585, obj_t BgL_vz00_3586)
	{
		{	/* SawMill/regset.sch 61 */
			return
				BGl_rtl_regzf2razd2interferezd2setz12ze0zzsaw_bbvzd2utilszd2(
				((BgL_rtl_regz00_bglt) BgL_oz00_3585), BgL_vz00_3586);
		}

	}



/* rtl_reg/ra-occurrences */
	BGL_EXPORTED_DEF int
		BGl_rtl_regzf2razd2occurrencesz20zzsaw_bbvzd2utilszd2(BgL_rtl_regz00_bglt
		BgL_oz00_22)
	{
		{	/* SawMill/regset.sch 62 */
			{
				BgL_rtl_regzf2razf2_bglt BgL_auxz00_4067;

				{
					obj_t BgL_auxz00_4068;

					{	/* SawMill/regset.sch 62 */
						BgL_objectz00_bglt BgL_tmpz00_4069;

						BgL_tmpz00_4069 = ((BgL_objectz00_bglt) BgL_oz00_22);
						BgL_auxz00_4068 = BGL_OBJECT_WIDENING(BgL_tmpz00_4069);
					}
					BgL_auxz00_4067 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_4068);
				}
				return
					(((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_4067))->
					BgL_occurrencesz00);
			}
		}

	}



/* &rtl_reg/ra-occurrences */
	obj_t BGl_z62rtl_regzf2razd2occurrencesz42zzsaw_bbvzd2utilszd2(obj_t
		BgL_envz00_3587, obj_t BgL_oz00_3588)
	{
		{	/* SawMill/regset.sch 62 */
			return
				BINT(BGl_rtl_regzf2razd2occurrencesz20zzsaw_bbvzd2utilszd2(
					((BgL_rtl_regz00_bglt) BgL_oz00_3588)));
		}

	}



/* rtl_reg/ra-occurrences-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2occurrenceszd2setz12ze0zzsaw_bbvzd2utilszd2
		(BgL_rtl_regz00_bglt BgL_oz00_23, int BgL_vz00_24)
	{
		{	/* SawMill/regset.sch 63 */
			{
				BgL_rtl_regzf2razf2_bglt BgL_auxz00_4077;

				{
					obj_t BgL_auxz00_4078;

					{	/* SawMill/regset.sch 63 */
						BgL_objectz00_bglt BgL_tmpz00_4079;

						BgL_tmpz00_4079 = ((BgL_objectz00_bglt) BgL_oz00_23);
						BgL_auxz00_4078 = BGL_OBJECT_WIDENING(BgL_tmpz00_4079);
					}
					BgL_auxz00_4077 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_4078);
				}
				return
					((((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_4077))->
						BgL_occurrencesz00) = ((int) BgL_vz00_24), BUNSPEC);
		}}

	}



/* &rtl_reg/ra-occurrences-set! */
	obj_t BGl_z62rtl_regzf2razd2occurrenceszd2setz12z82zzsaw_bbvzd2utilszd2(obj_t
		BgL_envz00_3589, obj_t BgL_oz00_3590, obj_t BgL_vz00_3591)
	{
		{	/* SawMill/regset.sch 63 */
			return
				BGl_rtl_regzf2razd2occurrenceszd2setz12ze0zzsaw_bbvzd2utilszd2(
				((BgL_rtl_regz00_bglt) BgL_oz00_3590), CINT(BgL_vz00_3591));
		}

	}



/* rtl_reg/ra-coalesce */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2coalescez20zzsaw_bbvzd2utilszd2(BgL_rtl_regz00_bglt
		BgL_oz00_25)
	{
		{	/* SawMill/regset.sch 64 */
			{
				BgL_rtl_regzf2razf2_bglt BgL_auxz00_4087;

				{
					obj_t BgL_auxz00_4088;

					{	/* SawMill/regset.sch 64 */
						BgL_objectz00_bglt BgL_tmpz00_4089;

						BgL_tmpz00_4089 = ((BgL_objectz00_bglt) BgL_oz00_25);
						BgL_auxz00_4088 = BGL_OBJECT_WIDENING(BgL_tmpz00_4089);
					}
					BgL_auxz00_4087 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_4088);
				}
				return
					(((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_4087))->
					BgL_coalescez00);
			}
		}

	}



/* &rtl_reg/ra-coalesce */
	obj_t BGl_z62rtl_regzf2razd2coalescez42zzsaw_bbvzd2utilszd2(obj_t
		BgL_envz00_3592, obj_t BgL_oz00_3593)
	{
		{	/* SawMill/regset.sch 64 */
			return
				BGl_rtl_regzf2razd2coalescez20zzsaw_bbvzd2utilszd2(
				((BgL_rtl_regz00_bglt) BgL_oz00_3593));
		}

	}



/* rtl_reg/ra-coalesce-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2coalescezd2setz12ze0zzsaw_bbvzd2utilszd2
		(BgL_rtl_regz00_bglt BgL_oz00_26, obj_t BgL_vz00_27)
	{
		{	/* SawMill/regset.sch 65 */
			{
				BgL_rtl_regzf2razf2_bglt BgL_auxz00_4096;

				{
					obj_t BgL_auxz00_4097;

					{	/* SawMill/regset.sch 65 */
						BgL_objectz00_bglt BgL_tmpz00_4098;

						BgL_tmpz00_4098 = ((BgL_objectz00_bglt) BgL_oz00_26);
						BgL_auxz00_4097 = BGL_OBJECT_WIDENING(BgL_tmpz00_4098);
					}
					BgL_auxz00_4096 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_4097);
				}
				return
					((((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_4096))->
						BgL_coalescez00) = ((obj_t) BgL_vz00_27), BUNSPEC);
			}
		}

	}



/* &rtl_reg/ra-coalesce-set! */
	obj_t BGl_z62rtl_regzf2razd2coalescezd2setz12z82zzsaw_bbvzd2utilszd2(obj_t
		BgL_envz00_3594, obj_t BgL_oz00_3595, obj_t BgL_vz00_3596)
	{
		{	/* SawMill/regset.sch 65 */
			return
				BGl_rtl_regzf2razd2coalescezd2setz12ze0zzsaw_bbvzd2utilszd2(
				((BgL_rtl_regz00_bglt) BgL_oz00_3595), BgL_vz00_3596);
		}

	}



/* rtl_reg/ra-color */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2colorz20zzsaw_bbvzd2utilszd2(BgL_rtl_regz00_bglt
		BgL_oz00_28)
	{
		{	/* SawMill/regset.sch 66 */
			{
				BgL_rtl_regzf2razf2_bglt BgL_auxz00_4105;

				{
					obj_t BgL_auxz00_4106;

					{	/* SawMill/regset.sch 66 */
						BgL_objectz00_bglt BgL_tmpz00_4107;

						BgL_tmpz00_4107 = ((BgL_objectz00_bglt) BgL_oz00_28);
						BgL_auxz00_4106 = BGL_OBJECT_WIDENING(BgL_tmpz00_4107);
					}
					BgL_auxz00_4105 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_4106);
				}
				return
					(((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_4105))->BgL_colorz00);
			}
		}

	}



/* &rtl_reg/ra-color */
	obj_t BGl_z62rtl_regzf2razd2colorz42zzsaw_bbvzd2utilszd2(obj_t
		BgL_envz00_3597, obj_t BgL_oz00_3598)
	{
		{	/* SawMill/regset.sch 66 */
			return
				BGl_rtl_regzf2razd2colorz20zzsaw_bbvzd2utilszd2(
				((BgL_rtl_regz00_bglt) BgL_oz00_3598));
		}

	}



/* rtl_reg/ra-color-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2colorzd2setz12ze0zzsaw_bbvzd2utilszd2(BgL_rtl_regz00_bglt
		BgL_oz00_29, obj_t BgL_vz00_30)
	{
		{	/* SawMill/regset.sch 67 */
			{
				BgL_rtl_regzf2razf2_bglt BgL_auxz00_4114;

				{
					obj_t BgL_auxz00_4115;

					{	/* SawMill/regset.sch 67 */
						BgL_objectz00_bglt BgL_tmpz00_4116;

						BgL_tmpz00_4116 = ((BgL_objectz00_bglt) BgL_oz00_29);
						BgL_auxz00_4115 = BGL_OBJECT_WIDENING(BgL_tmpz00_4116);
					}
					BgL_auxz00_4114 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_4115);
				}
				return
					((((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_4114))->
						BgL_colorz00) = ((obj_t) BgL_vz00_30), BUNSPEC);
			}
		}

	}



/* &rtl_reg/ra-color-set! */
	obj_t BGl_z62rtl_regzf2razd2colorzd2setz12z82zzsaw_bbvzd2utilszd2(obj_t
		BgL_envz00_3599, obj_t BgL_oz00_3600, obj_t BgL_vz00_3601)
	{
		{	/* SawMill/regset.sch 67 */
			return
				BGl_rtl_regzf2razd2colorzd2setz12ze0zzsaw_bbvzd2utilszd2(
				((BgL_rtl_regz00_bglt) BgL_oz00_3600), BgL_vz00_3601);
		}

	}



/* rtl_reg/ra-num */
	BGL_EXPORTED_DEF int
		BGl_rtl_regzf2razd2numz20zzsaw_bbvzd2utilszd2(BgL_rtl_regz00_bglt
		BgL_oz00_31)
	{
		{	/* SawMill/regset.sch 68 */
			{
				BgL_rtl_regzf2razf2_bglt BgL_auxz00_4123;

				{
					obj_t BgL_auxz00_4124;

					{	/* SawMill/regset.sch 68 */
						BgL_objectz00_bglt BgL_tmpz00_4125;

						BgL_tmpz00_4125 = ((BgL_objectz00_bglt) BgL_oz00_31);
						BgL_auxz00_4124 = BGL_OBJECT_WIDENING(BgL_tmpz00_4125);
					}
					BgL_auxz00_4123 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_4124);
				}
				return
					(((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_4123))->BgL_numz00);
			}
		}

	}



/* &rtl_reg/ra-num */
	obj_t BGl_z62rtl_regzf2razd2numz42zzsaw_bbvzd2utilszd2(obj_t BgL_envz00_3602,
		obj_t BgL_oz00_3603)
	{
		{	/* SawMill/regset.sch 68 */
			return
				BINT(BGl_rtl_regzf2razd2numz20zzsaw_bbvzd2utilszd2(
					((BgL_rtl_regz00_bglt) BgL_oz00_3603)));
		}

	}



/* rtl_reg/ra-hardware */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2hardwarez20zzsaw_bbvzd2utilszd2(BgL_rtl_regz00_bglt
		BgL_oz00_34)
	{
		{	/* SawMill/regset.sch 70 */
			return
				(((BgL_rtl_regz00_bglt) COBJECT(
						((BgL_rtl_regz00_bglt) BgL_oz00_34)))->BgL_hardwarez00);
		}

	}



/* &rtl_reg/ra-hardware */
	obj_t BGl_z62rtl_regzf2razd2hardwarez42zzsaw_bbvzd2utilszd2(obj_t
		BgL_envz00_3604, obj_t BgL_oz00_3605)
	{
		{	/* SawMill/regset.sch 70 */
			return
				BGl_rtl_regzf2razd2hardwarez20zzsaw_bbvzd2utilszd2(
				((BgL_rtl_regz00_bglt) BgL_oz00_3605));
		}

	}



/* rtl_reg/ra-key */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2keyz20zzsaw_bbvzd2utilszd2(BgL_rtl_regz00_bglt
		BgL_oz00_37)
	{
		{	/* SawMill/regset.sch 72 */
			return
				(((BgL_rtl_regz00_bglt) COBJECT(
						((BgL_rtl_regz00_bglt) BgL_oz00_37)))->BgL_keyz00);
		}

	}



/* &rtl_reg/ra-key */
	obj_t BGl_z62rtl_regzf2razd2keyz42zzsaw_bbvzd2utilszd2(obj_t BgL_envz00_3606,
		obj_t BgL_oz00_3607)
	{
		{	/* SawMill/regset.sch 72 */
			return
				BGl_rtl_regzf2razd2keyz20zzsaw_bbvzd2utilszd2(
				((BgL_rtl_regz00_bglt) BgL_oz00_3607));
		}

	}



/* rtl_reg/ra-name */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2namez20zzsaw_bbvzd2utilszd2(BgL_rtl_regz00_bglt
		BgL_oz00_40)
	{
		{	/* SawMill/regset.sch 74 */
			return
				(((BgL_rtl_regz00_bglt) COBJECT(
						((BgL_rtl_regz00_bglt) BgL_oz00_40)))->BgL_namez00);
		}

	}



/* &rtl_reg/ra-name */
	obj_t BGl_z62rtl_regzf2razd2namez42zzsaw_bbvzd2utilszd2(obj_t BgL_envz00_3608,
		obj_t BgL_oz00_3609)
	{
		{	/* SawMill/regset.sch 74 */
			return
				BGl_rtl_regzf2razd2namez20zzsaw_bbvzd2utilszd2(
				((BgL_rtl_regz00_bglt) BgL_oz00_3609));
		}

	}



/* rtl_reg/ra-onexpr? */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2onexprzf3zd3zzsaw_bbvzd2utilszd2(BgL_rtl_regz00_bglt
		BgL_oz00_43)
	{
		{	/* SawMill/regset.sch 76 */
			return
				(((BgL_rtl_regz00_bglt) COBJECT(
						((BgL_rtl_regz00_bglt) BgL_oz00_43)))->BgL_onexprzf3zf3);
		}

	}



/* &rtl_reg/ra-onexpr? */
	obj_t BGl_z62rtl_regzf2razd2onexprzf3zb1zzsaw_bbvzd2utilszd2(obj_t
		BgL_envz00_3610, obj_t BgL_oz00_3611)
	{
		{	/* SawMill/regset.sch 76 */
			return
				BGl_rtl_regzf2razd2onexprzf3zd3zzsaw_bbvzd2utilszd2(
				((BgL_rtl_regz00_bglt) BgL_oz00_3611));
		}

	}



/* rtl_reg/ra-onexpr?-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2onexprzf3zd2setz12z13zzsaw_bbvzd2utilszd2
		(BgL_rtl_regz00_bglt BgL_oz00_44, obj_t BgL_vz00_45)
	{
		{	/* SawMill/regset.sch 77 */
			return
				((((BgL_rtl_regz00_bglt) COBJECT(
							((BgL_rtl_regz00_bglt) BgL_oz00_44)))->BgL_onexprzf3zf3) =
				((obj_t) BgL_vz00_45), BUNSPEC);
		}

	}



/* &rtl_reg/ra-onexpr?-set! */
	obj_t BGl_z62rtl_regzf2razd2onexprzf3zd2setz12z71zzsaw_bbvzd2utilszd2(obj_t
		BgL_envz00_3612, obj_t BgL_oz00_3613, obj_t BgL_vz00_3614)
	{
		{	/* SawMill/regset.sch 77 */
			return
				BGl_rtl_regzf2razd2onexprzf3zd2setz12z13zzsaw_bbvzd2utilszd2(
				((BgL_rtl_regz00_bglt) BgL_oz00_3613), BgL_vz00_3614);
		}

	}



/* rtl_reg/ra-var */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2varz20zzsaw_bbvzd2utilszd2(BgL_rtl_regz00_bglt
		BgL_oz00_46)
	{
		{	/* SawMill/regset.sch 78 */
			return
				(((BgL_rtl_regz00_bglt) COBJECT(
						((BgL_rtl_regz00_bglt) BgL_oz00_46)))->BgL_varz00);
		}

	}



/* &rtl_reg/ra-var */
	obj_t BGl_z62rtl_regzf2razd2varz42zzsaw_bbvzd2utilszd2(obj_t BgL_envz00_3615,
		obj_t BgL_oz00_3616)
	{
		{	/* SawMill/regset.sch 78 */
			return
				BGl_rtl_regzf2razd2varz20zzsaw_bbvzd2utilszd2(
				((BgL_rtl_regz00_bglt) BgL_oz00_3616));
		}

	}



/* rtl_reg/ra-var-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2varzd2setz12ze0zzsaw_bbvzd2utilszd2(BgL_rtl_regz00_bglt
		BgL_oz00_47, obj_t BgL_vz00_48)
	{
		{	/* SawMill/regset.sch 79 */
			return
				((((BgL_rtl_regz00_bglt) COBJECT(
							((BgL_rtl_regz00_bglt) BgL_oz00_47)))->BgL_varz00) =
				((obj_t) BgL_vz00_48), BUNSPEC);
		}

	}



/* &rtl_reg/ra-var-set! */
	obj_t BGl_z62rtl_regzf2razd2varzd2setz12z82zzsaw_bbvzd2utilszd2(obj_t
		BgL_envz00_3617, obj_t BgL_oz00_3618, obj_t BgL_vz00_3619)
	{
		{	/* SawMill/regset.sch 79 */
			return
				BGl_rtl_regzf2razd2varzd2setz12ze0zzsaw_bbvzd2utilszd2(
				((BgL_rtl_regz00_bglt) BgL_oz00_3618), BgL_vz00_3619);
		}

	}



/* rtl_reg/ra-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_rtl_regzf2razd2typez20zzsaw_bbvzd2utilszd2(BgL_rtl_regz00_bglt
		BgL_oz00_49)
	{
		{	/* SawMill/regset.sch 80 */
			return
				(((BgL_rtl_regz00_bglt) COBJECT(
						((BgL_rtl_regz00_bglt) BgL_oz00_49)))->BgL_typez00);
		}

	}



/* &rtl_reg/ra-type */
	BgL_typez00_bglt BGl_z62rtl_regzf2razd2typez42zzsaw_bbvzd2utilszd2(obj_t
		BgL_envz00_3620, obj_t BgL_oz00_3621)
	{
		{	/* SawMill/regset.sch 80 */
			return
				BGl_rtl_regzf2razd2typez20zzsaw_bbvzd2utilszd2(
				((BgL_rtl_regz00_bglt) BgL_oz00_3621));
		}

	}



/* rtl_reg/ra-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2typezd2setz12ze0zzsaw_bbvzd2utilszd2(BgL_rtl_regz00_bglt
		BgL_oz00_50, BgL_typez00_bglt BgL_vz00_51)
	{
		{	/* SawMill/regset.sch 81 */
			return
				((((BgL_rtl_regz00_bglt) COBJECT(
							((BgL_rtl_regz00_bglt) BgL_oz00_50)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_51), BUNSPEC);
		}

	}



/* &rtl_reg/ra-type-set! */
	obj_t BGl_z62rtl_regzf2razd2typezd2setz12z82zzsaw_bbvzd2utilszd2(obj_t
		BgL_envz00_3622, obj_t BgL_oz00_3623, obj_t BgL_vz00_3624)
	{
		{	/* SawMill/regset.sch 81 */
			return
				BGl_rtl_regzf2razd2typezd2setz12ze0zzsaw_bbvzd2utilszd2(
				((BgL_rtl_regz00_bglt) BgL_oz00_3623),
				((BgL_typez00_bglt) BgL_vz00_3624));
		}

	}



/* make-regset */
	BGL_EXPORTED_DEF BgL_regsetz00_bglt
		BGl_makezd2regsetzd2zzsaw_bbvzd2utilszd2(int BgL_length1172z00_52,
		int BgL_msiza7e1173za7_53, obj_t BgL_regv1174z00_54,
		obj_t BgL_regl1175z00_55, obj_t BgL_string1176z00_56)
	{
		{	/* SawMill/regset.sch 84 */
			{	/* SawMill/regset.sch 84 */
				BgL_regsetz00_bglt BgL_new1168z00_3732;

				{	/* SawMill/regset.sch 84 */
					BgL_regsetz00_bglt BgL_new1167z00_3733;

					BgL_new1167z00_3733 =
						((BgL_regsetz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_regsetz00_bgl))));
					{	/* SawMill/regset.sch 84 */
						long BgL_arg1545z00_3734;

						BgL_arg1545z00_3734 = BGL_CLASS_NUM(BGl_regsetz00zzsaw_regsetz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1167z00_3733), BgL_arg1545z00_3734);
					}
					BgL_new1168z00_3732 = BgL_new1167z00_3733;
				}
				((((BgL_regsetz00_bglt) COBJECT(BgL_new1168z00_3732))->BgL_lengthz00) =
					((int) BgL_length1172z00_52), BUNSPEC);
				((((BgL_regsetz00_bglt) COBJECT(BgL_new1168z00_3732))->BgL_msiza7eza7) =
					((int) BgL_msiza7e1173za7_53), BUNSPEC);
				((((BgL_regsetz00_bglt) COBJECT(BgL_new1168z00_3732))->BgL_regvz00) =
					((obj_t) BgL_regv1174z00_54), BUNSPEC);
				((((BgL_regsetz00_bglt) COBJECT(BgL_new1168z00_3732))->BgL_reglz00) =
					((obj_t) BgL_regl1175z00_55), BUNSPEC);
				((((BgL_regsetz00_bglt) COBJECT(BgL_new1168z00_3732))->BgL_stringz00) =
					((obj_t) BgL_string1176z00_56), BUNSPEC);
				return BgL_new1168z00_3732;
			}
		}

	}



/* &make-regset */
	BgL_regsetz00_bglt BGl_z62makezd2regsetzb0zzsaw_bbvzd2utilszd2(obj_t
		BgL_envz00_3625, obj_t BgL_length1172z00_3626,
		obj_t BgL_msiza7e1173za7_3627, obj_t BgL_regv1174z00_3628,
		obj_t BgL_regl1175z00_3629, obj_t BgL_string1176z00_3630)
	{
		{	/* SawMill/regset.sch 84 */
			return
				BGl_makezd2regsetzd2zzsaw_bbvzd2utilszd2(CINT(BgL_length1172z00_3626),
				CINT(BgL_msiza7e1173za7_3627), BgL_regv1174z00_3628,
				BgL_regl1175z00_3629, BgL_string1176z00_3630);
		}

	}



/* regset? */
	BGL_EXPORTED_DEF bool_t BGl_regsetzf3zf3zzsaw_bbvzd2utilszd2(obj_t
		BgL_objz00_57)
	{
		{	/* SawMill/regset.sch 85 */
			{	/* SawMill/regset.sch 85 */
				obj_t BgL_classz00_3735;

				BgL_classz00_3735 = BGl_regsetz00zzsaw_regsetz00;
				if (BGL_OBJECTP(BgL_objz00_57))
					{	/* SawMill/regset.sch 85 */
						BgL_objectz00_bglt BgL_arg1858z00_3736;

						BgL_arg1858z00_3736 = (BgL_objectz00_bglt) (BgL_objz00_57);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* SawMill/regset.sch 85 */
								long BgL_idxz00_3737;

								BgL_idxz00_3737 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_3736);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_3737 + 1L)) == BgL_classz00_3735);
							}
						else
							{	/* SawMill/regset.sch 85 */
								bool_t BgL_res2176z00_3740;

								{	/* SawMill/regset.sch 85 */
									obj_t BgL_oclassz00_3741;

									{	/* SawMill/regset.sch 85 */
										obj_t BgL_arg1866z00_3742;
										long BgL_arg1867z00_3743;

										BgL_arg1866z00_3742 = (BGl_za2classesza2z00zz__objectz00);
										{	/* SawMill/regset.sch 85 */
											long BgL_arg1869z00_3744;

											BgL_arg1869z00_3744 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_3736);
											BgL_arg1867z00_3743 = (BgL_arg1869z00_3744 - OBJECT_TYPE);
										}
										BgL_oclassz00_3741 =
											VECTOR_REF(BgL_arg1866z00_3742, BgL_arg1867z00_3743);
									}
									{	/* SawMill/regset.sch 85 */
										bool_t BgL__ortest_1115z00_3745;

										BgL__ortest_1115z00_3745 =
											(BgL_classz00_3735 == BgL_oclassz00_3741);
										if (BgL__ortest_1115z00_3745)
											{	/* SawMill/regset.sch 85 */
												BgL_res2176z00_3740 = BgL__ortest_1115z00_3745;
											}
										else
											{	/* SawMill/regset.sch 85 */
												long BgL_odepthz00_3746;

												{	/* SawMill/regset.sch 85 */
													obj_t BgL_arg1855z00_3747;

													BgL_arg1855z00_3747 = (BgL_oclassz00_3741);
													BgL_odepthz00_3746 =
														BGL_CLASS_DEPTH(BgL_arg1855z00_3747);
												}
												if ((1L < BgL_odepthz00_3746))
													{	/* SawMill/regset.sch 85 */
														obj_t BgL_arg1853z00_3748;

														{	/* SawMill/regset.sch 85 */
															obj_t BgL_arg1854z00_3749;

															BgL_arg1854z00_3749 = (BgL_oclassz00_3741);
															BgL_arg1853z00_3748 =
																BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_3749,
																1L);
														}
														BgL_res2176z00_3740 =
															(BgL_arg1853z00_3748 == BgL_classz00_3735);
													}
												else
													{	/* SawMill/regset.sch 85 */
														BgL_res2176z00_3740 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res2176z00_3740;
							}
					}
				else
					{	/* SawMill/regset.sch 85 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &regset? */
	obj_t BGl_z62regsetzf3z91zzsaw_bbvzd2utilszd2(obj_t BgL_envz00_3631,
		obj_t BgL_objz00_3632)
	{
		{	/* SawMill/regset.sch 85 */
			return BBOOL(BGl_regsetzf3zf3zzsaw_bbvzd2utilszd2(BgL_objz00_3632));
		}

	}



/* regset-nil */
	BGL_EXPORTED_DEF BgL_regsetz00_bglt
		BGl_regsetzd2nilzd2zzsaw_bbvzd2utilszd2(void)
	{
		{	/* SawMill/regset.sch 86 */
			{	/* SawMill/regset.sch 86 */
				obj_t BgL_classz00_3110;

				BgL_classz00_3110 = BGl_regsetz00zzsaw_regsetz00;
				{	/* SawMill/regset.sch 86 */
					obj_t BgL__ortest_1117z00_3111;

					BgL__ortest_1117z00_3111 = BGL_CLASS_NIL(BgL_classz00_3110);
					if (CBOOL(BgL__ortest_1117z00_3111))
						{	/* SawMill/regset.sch 86 */
							return ((BgL_regsetz00_bglt) BgL__ortest_1117z00_3111);
						}
					else
						{	/* SawMill/regset.sch 86 */
							return
								((BgL_regsetz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_3110));
						}
				}
			}
		}

	}



/* &regset-nil */
	BgL_regsetz00_bglt BGl_z62regsetzd2nilzb0zzsaw_bbvzd2utilszd2(obj_t
		BgL_envz00_3633)
	{
		{	/* SawMill/regset.sch 86 */
			return BGl_regsetzd2nilzd2zzsaw_bbvzd2utilszd2();
		}

	}



/* regset-string */
	BGL_EXPORTED_DEF obj_t
		BGl_regsetzd2stringzd2zzsaw_bbvzd2utilszd2(BgL_regsetz00_bglt BgL_oz00_58)
	{
		{	/* SawMill/regset.sch 87 */
			return (((BgL_regsetz00_bglt) COBJECT(BgL_oz00_58))->BgL_stringz00);
		}

	}



/* &regset-string */
	obj_t BGl_z62regsetzd2stringzb0zzsaw_bbvzd2utilszd2(obj_t BgL_envz00_3634,
		obj_t BgL_oz00_3635)
	{
		{	/* SawMill/regset.sch 87 */
			return
				BGl_regsetzd2stringzd2zzsaw_bbvzd2utilszd2(
				((BgL_regsetz00_bglt) BgL_oz00_3635));
		}

	}



/* regset-string-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_regsetzd2stringzd2setz12z12zzsaw_bbvzd2utilszd2(BgL_regsetz00_bglt
		BgL_oz00_59, obj_t BgL_vz00_60)
	{
		{	/* SawMill/regset.sch 88 */
			return
				((((BgL_regsetz00_bglt) COBJECT(BgL_oz00_59))->BgL_stringz00) =
				((obj_t) BgL_vz00_60), BUNSPEC);
		}

	}



/* &regset-string-set! */
	obj_t BGl_z62regsetzd2stringzd2setz12z70zzsaw_bbvzd2utilszd2(obj_t
		BgL_envz00_3636, obj_t BgL_oz00_3637, obj_t BgL_vz00_3638)
	{
		{	/* SawMill/regset.sch 88 */
			return
				BGl_regsetzd2stringzd2setz12z12zzsaw_bbvzd2utilszd2(
				((BgL_regsetz00_bglt) BgL_oz00_3637), BgL_vz00_3638);
		}

	}



/* regset-regl */
	BGL_EXPORTED_DEF obj_t
		BGl_regsetzd2reglzd2zzsaw_bbvzd2utilszd2(BgL_regsetz00_bglt BgL_oz00_61)
	{
		{	/* SawMill/regset.sch 89 */
			return (((BgL_regsetz00_bglt) COBJECT(BgL_oz00_61))->BgL_reglz00);
		}

	}



/* &regset-regl */
	obj_t BGl_z62regsetzd2reglzb0zzsaw_bbvzd2utilszd2(obj_t BgL_envz00_3639,
		obj_t BgL_oz00_3640)
	{
		{	/* SawMill/regset.sch 89 */
			return
				BGl_regsetzd2reglzd2zzsaw_bbvzd2utilszd2(
				((BgL_regsetz00_bglt) BgL_oz00_3640));
		}

	}



/* regset-regv */
	BGL_EXPORTED_DEF obj_t
		BGl_regsetzd2regvzd2zzsaw_bbvzd2utilszd2(BgL_regsetz00_bglt BgL_oz00_64)
	{
		{	/* SawMill/regset.sch 91 */
			return (((BgL_regsetz00_bglt) COBJECT(BgL_oz00_64))->BgL_regvz00);
		}

	}



/* &regset-regv */
	obj_t BGl_z62regsetzd2regvzb0zzsaw_bbvzd2utilszd2(obj_t BgL_envz00_3641,
		obj_t BgL_oz00_3642)
	{
		{	/* SawMill/regset.sch 91 */
			return
				BGl_regsetzd2regvzd2zzsaw_bbvzd2utilszd2(
				((BgL_regsetz00_bglt) BgL_oz00_3642));
		}

	}



/* regset-msize */
	BGL_EXPORTED_DEF int
		BGl_regsetzd2msiza7ez75zzsaw_bbvzd2utilszd2(BgL_regsetz00_bglt BgL_oz00_67)
	{
		{	/* SawMill/regset.sch 93 */
			return (((BgL_regsetz00_bglt) COBJECT(BgL_oz00_67))->BgL_msiza7eza7);
		}

	}



/* &regset-msize */
	obj_t BGl_z62regsetzd2msiza7ez17zzsaw_bbvzd2utilszd2(obj_t BgL_envz00_3643,
		obj_t BgL_oz00_3644)
	{
		{	/* SawMill/regset.sch 93 */
			return
				BINT(BGl_regsetzd2msiza7ez75zzsaw_bbvzd2utilszd2(
					((BgL_regsetz00_bglt) BgL_oz00_3644)));
		}

	}



/* regset-length */
	BGL_EXPORTED_DEF int
		BGl_regsetzd2lengthzd2zzsaw_bbvzd2utilszd2(BgL_regsetz00_bglt BgL_oz00_70)
	{
		{	/* SawMill/regset.sch 95 */
			return (((BgL_regsetz00_bglt) COBJECT(BgL_oz00_70))->BgL_lengthz00);
		}

	}



/* &regset-length */
	obj_t BGl_z62regsetzd2lengthzb0zzsaw_bbvzd2utilszd2(obj_t BgL_envz00_3645,
		obj_t BgL_oz00_3646)
	{
		{	/* SawMill/regset.sch 95 */
			return
				BINT(BGl_regsetzd2lengthzd2zzsaw_bbvzd2utilszd2(
					((BgL_regsetz00_bglt) BgL_oz00_3646)));
		}

	}



/* regset-length-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_regsetzd2lengthzd2setz12z12zzsaw_bbvzd2utilszd2(BgL_regsetz00_bglt
		BgL_oz00_71, int BgL_vz00_72)
	{
		{	/* SawMill/regset.sch 96 */
			return
				((((BgL_regsetz00_bglt) COBJECT(BgL_oz00_71))->BgL_lengthz00) =
				((int) BgL_vz00_72), BUNSPEC);
		}

	}



/* &regset-length-set! */
	obj_t BGl_z62regsetzd2lengthzd2setz12z70zzsaw_bbvzd2utilszd2(obj_t
		BgL_envz00_3647, obj_t BgL_oz00_3648, obj_t BgL_vz00_3649)
	{
		{	/* SawMill/regset.sch 96 */
			return
				BGl_regsetzd2lengthzd2setz12z12zzsaw_bbvzd2utilszd2(
				((BgL_regsetz00_bglt) BgL_oz00_3648), CINT(BgL_vz00_3649));
		}

	}



/* make-empty-bbset */
	obj_t BGl_makezd2emptyzd2bbsetz00zzsaw_bbvzd2utilszd2(void)
	{
		{	/* SawMill/bbset.sch 20 */
			{	/* SawMill/bbset.sch 21 */
				obj_t BgL_arg1578z00_2203;

				BgL_arg1578z00_2203 = BGl_getzd2bbzd2markz00zzsaw_bbvzd2typeszd2();
				{	/* SawMill/bbset.sch 15 */
					obj_t BgL_newz00_3119;

					BgL_newz00_3119 =
						create_struct(((obj_t) CNST_TABLE_REF(0)), (int) (2L));
					{	/* SawMill/bbset.sch 15 */
						int BgL_tmpz00_4242;

						BgL_tmpz00_4242 = (int) (1L);
						STRUCT_SET(BgL_newz00_3119, BgL_tmpz00_4242, BNIL);
					}
					{	/* SawMill/bbset.sch 15 */
						int BgL_tmpz00_4245;

						BgL_tmpz00_4245 = (int) (0L);
						STRUCT_SET(BgL_newz00_3119, BgL_tmpz00_4245, BgL_arg1578z00_2203);
					}
					return BgL_newz00_3119;
				}
			}
		}

	}



/* bbset-cons */
	obj_t BGl_bbsetzd2conszd2zzsaw_bbvzd2utilszd2(BgL_blockz00_bglt BgL_bz00_85,
		obj_t BgL_setz00_86)
	{
		{	/* SawMill/bbset.sch 33 */
			{	/* SawMill/bbset.sch 34 */
				obj_t BgL_mz00_2207;

				BgL_mz00_2207 = STRUCT_REF(BgL_setz00_86, (int) (0L));
				{
					BgL_blocksz00_bglt BgL_auxz00_4250;

					{
						obj_t BgL_auxz00_4251;

						{	/* SawMill/bbset.sch 36 */
							BgL_objectz00_bglt BgL_tmpz00_4252;

							BgL_tmpz00_4252 = ((BgL_objectz00_bglt) BgL_bz00_85);
							BgL_auxz00_4251 = BGL_OBJECT_WIDENING(BgL_tmpz00_4252);
						}
						BgL_auxz00_4250 = ((BgL_blocksz00_bglt) BgL_auxz00_4251);
					}
					((((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_4250))->BgL_z52markz52) =
						((long) (long) CINT(BgL_mz00_2207)), BUNSPEC);
				}
				{	/* SawMill/bbset.sch 37 */
					obj_t BgL_arg1588z00_2209;

					{	/* SawMill/bbset.sch 37 */
						obj_t BgL_arg1590z00_2210;

						BgL_arg1590z00_2210 = STRUCT_REF(BgL_setz00_86, (int) (1L));
						BgL_arg1588z00_2209 =
							MAKE_YOUNG_PAIR(((obj_t) BgL_bz00_85), BgL_arg1590z00_2210);
					}
					{	/* SawMill/bbset.sch 15 */
						int BgL_tmpz00_4262;

						BgL_tmpz00_4262 = (int) (1L);
						STRUCT_SET(BgL_setz00_86, BgL_tmpz00_4262, BgL_arg1588z00_2209);
				}}
				return BgL_setz00_86;
			}
		}

	}



/* <=ty */
	BGL_EXPORTED_DEF obj_t BGl_zc3zd3tyz10zzsaw_bbvzd2utilszd2(obj_t BgL_xz00_91,
		obj_t BgL_yz00_92)
	{
		{	/* SawBbv/bbv-utils.scm 55 */
			if ((BgL_yz00_92 == BGl_za2objza2z00zztype_cachez00))
				{	/* SawBbv/bbv-utils.scm 57 */
					return BTRUE;
				}
			else
				{	/* SawBbv/bbv-utils.scm 57 */
					if ((BgL_xz00_91 == BgL_yz00_92))
						{	/* SawBbv/bbv-utils.scm 58 */
							return BTRUE;
						}
					else
						{	/* SawBbv/bbv-utils.scm 58 */
							if ((BgL_xz00_91 == BGl_za2bintza2z00zztype_cachez00))
								{	/* SawBbv/bbv-utils.scm 59 */
									bool_t BgL__ortest_1172z00_2235;

									BgL__ortest_1172z00_2235 =
										(BgL_yz00_92 == BGl_za2longza2z00zztype_cachez00);
									if (BgL__ortest_1172z00_2235)
										{	/* SawBbv/bbv-utils.scm 59 */
											return BBOOL(BgL__ortest_1172z00_2235);
										}
									else
										{	/* SawBbv/bbv-utils.scm 59 */
											return
												BBOOL((BgL_yz00_92 == ((obj_t) CNST_TABLE_REF(1))));
										}
								}
							else
								{	/* SawBbv/bbv-utils.scm 59 */
									if ((BgL_xz00_91 == BGl_za2longza2z00zztype_cachez00))
										{	/* SawBbv/bbv-utils.scm 60 */
											bool_t BgL__ortest_1173z00_2236;

											BgL__ortest_1173z00_2236 =
												(BgL_yz00_92 == BGl_za2bintza2z00zztype_cachez00);
											if (BgL__ortest_1173z00_2236)
												{	/* SawBbv/bbv-utils.scm 60 */
													return BBOOL(BgL__ortest_1173z00_2236);
												}
											else
												{	/* SawBbv/bbv-utils.scm 60 */
													return
														BBOOL((BgL_yz00_92 == ((obj_t) CNST_TABLE_REF(1))));
												}
										}
									else
										{	/* SawBbv/bbv-utils.scm 60 */
											if ((BgL_xz00_91 == BGl_za2realza2z00zztype_cachez00))
												{	/* SawBbv/bbv-utils.scm 61 */
													bool_t BgL__ortest_1174z00_2237;

													BgL__ortest_1174z00_2237 =
														(BgL_yz00_92 == BGl_za2brealza2z00zztype_cachez00);
													if (BgL__ortest_1174z00_2237)
														{	/* SawBbv/bbv-utils.scm 61 */
															return BBOOL(BgL__ortest_1174z00_2237);
														}
													else
														{	/* SawBbv/bbv-utils.scm 61 */
															return
																BBOOL(
																(BgL_yz00_92 == ((obj_t) CNST_TABLE_REF(1))));
														}
												}
											else
												{	/* SawBbv/bbv-utils.scm 61 */
													if (
														(BgL_xz00_91 == BGl_za2brealza2z00zztype_cachez00))
														{	/* SawBbv/bbv-utils.scm 62 */
															bool_t BgL__ortest_1175z00_2238;

															BgL__ortest_1175z00_2238 =
																(BgL_yz00_92 ==
																BGl_za2realza2z00zztype_cachez00);
															if (BgL__ortest_1175z00_2238)
																{	/* SawBbv/bbv-utils.scm 62 */
																	return BBOOL(BgL__ortest_1175z00_2238);
																}
															else
																{	/* SawBbv/bbv-utils.scm 62 */
																	return
																		BBOOL(
																		(BgL_yz00_92 ==
																			((obj_t) CNST_TABLE_REF(1))));
																}
														}
													else
														{	/* SawBbv/bbv-utils.scm 63 */
															bool_t BgL_test2282z00_4305;

															if ((BgL_xz00_91 == ((obj_t) CNST_TABLE_REF(1))))
																{	/* SawBbv/bbv-utils.scm 63 */
																	BgL_test2282z00_4305 = ((bool_t) 1);
																}
															else
																{	/* SawBbv/bbv-utils.scm 63 */
																	BgL_test2282z00_4305 =
																		(BgL_yz00_92 ==
																		((obj_t) CNST_TABLE_REF(1)));
																}
															if (BgL_test2282z00_4305)
																{	/* SawBbv/bbv-utils.scm 63 */
																	return BFALSE;
																}
															else
																{	/* SawBbv/bbv-utils.scm 63 */
																	if (
																		(BgL_yz00_92 ==
																			BGl_za2pairzd2nilza2zd2zztype_cachez00))
																		{	/* SawBbv/bbv-utils.scm 64 */
																			return BFALSE;
																		}
																	else
																		{	/* SawBbv/bbv-utils.scm 64 */
																			BGL_TAIL return
																				BGl_iszd2subtypezf3z21zztype_typeofz00
																				(BgL_xz00_91, BgL_yz00_92);
																		}
																}
														}
												}
										}
								}
						}
				}
		}

	}



/* &<=ty */
	obj_t BGl_z62zc3zd3tyz72zzsaw_bbvzd2utilszd2(obj_t BgL_envz00_3650,
		obj_t BgL_xz00_3651, obj_t BgL_yz00_3652)
	{
		{	/* SawBbv/bbv-utils.scm 55 */
			return BGl_zc3zd3tyz10zzsaw_bbvzd2utilszd2(BgL_xz00_3651, BgL_yz00_3652);
		}

	}



/* genlabel */
	BGL_EXPORTED_DEF obj_t BGl_genlabelz00zzsaw_bbvzd2utilszd2(void)
	{
		{	/* SawBbv/bbv-utils.scm 71 */
			BGl_za2labelza2z00zzsaw_bbvzd2utilszd2 =
				(1L + BGl_za2labelza2z00zzsaw_bbvzd2utilszd2);
			return BINT(BGl_za2labelza2z00zzsaw_bbvzd2utilszd2);
		}

	}



/* &genlabel */
	obj_t BGl_z62genlabelz62zzsaw_bbvzd2utilszd2(obj_t BgL_envz00_3653)
	{
		{	/* SawBbv/bbv-utils.scm 71 */
			return BGl_genlabelz00zzsaw_bbvzd2utilszd2();
		}

	}



/* set-max-label! */
	BGL_EXPORTED_DEF obj_t BGl_setzd2maxzd2labelz12z12zzsaw_bbvzd2utilszd2(obj_t
		BgL_blocksz00_93)
	{
		{	/* SawBbv/bbv-utils.scm 78 */
			BGl_za2labelza2z00zzsaw_bbvzd2utilszd2 = 0L;
			{
				obj_t BgL_l1466z00_2241;

				{	/* SawBbv/bbv-utils.scm 80 */
					bool_t BgL_tmpz00_4320;

					BgL_l1466z00_2241 = BgL_blocksz00_93;
				BgL_zc3z04anonymousza31644ze3z87_2242:
					if (PAIRP(BgL_l1466z00_2241))
						{	/* SawBbv/bbv-utils.scm 80 */
							{	/* SawBbv/bbv-utils.scm 81 */
								obj_t BgL_bz00_2244;

								BgL_bz00_2244 = CAR(BgL_l1466z00_2241);
								{	/* SawBbv/bbv-utils.scm 82 */
									bool_t BgL_test2286z00_4324;

									{	/* SawBbv/bbv-utils.scm 82 */
										long BgL_n2z00_3134;

										BgL_n2z00_3134 = BGl_za2labelza2z00zzsaw_bbvzd2utilszd2;
										BgL_test2286z00_4324 =
											(
											(long) (
												(((BgL_blockz00_bglt) COBJECT(
															((BgL_blockz00_bglt) BgL_bz00_2244)))->
													BgL_labelz00)) > BgL_n2z00_3134);
									}
									if (BgL_test2286z00_4324)
										{	/* SawBbv/bbv-utils.scm 82 */
											BGl_za2labelza2z00zzsaw_bbvzd2utilszd2 =
												(long) (
												(((BgL_blockz00_bglt) COBJECT(
															((BgL_blockz00_bglt) BgL_bz00_2244)))->
													BgL_labelz00));
										}
									else
										{	/* SawBbv/bbv-utils.scm 82 */
											BFALSE;
										}
								}
							}
							{
								obj_t BgL_l1466z00_4332;

								BgL_l1466z00_4332 = CDR(BgL_l1466z00_2241);
								BgL_l1466z00_2241 = BgL_l1466z00_4332;
								goto BgL_zc3z04anonymousza31644ze3z87_2242;
							}
						}
					else
						{	/* SawBbv/bbv-utils.scm 80 */
							BgL_tmpz00_4320 = ((bool_t) 1);
						}
					return BBOOL(BgL_tmpz00_4320);
				}
			}
		}

	}



/* &set-max-label! */
	obj_t BGl_z62setzd2maxzd2labelz12z70zzsaw_bbvzd2utilszd2(obj_t
		BgL_envz00_3654, obj_t BgL_blocksz00_3655)
	{
		{	/* SawBbv/bbv-utils.scm 78 */
			return
				BGl_setzd2maxzd2labelz12z12zzsaw_bbvzd2utilszd2(BgL_blocksz00_3655);
		}

	}



/* list-replace */
	BGL_EXPORTED_DEF obj_t BGl_listzd2replacezd2zzsaw_bbvzd2utilszd2(obj_t
		BgL_lstz00_94, obj_t BgL_oldz00_95, obj_t BgL_newz00_96)
	{
		{	/* SawBbv/bbv-utils.scm 89 */
			return
				BGl_loopze70ze7zzsaw_bbvzd2utilszd2(BgL_oldz00_95, BgL_newz00_96,
				BgL_lstz00_94);
		}

	}



/* loop~0 */
	obj_t BGl_loopze70ze7zzsaw_bbvzd2utilszd2(obj_t BgL_oldz00_3698,
		obj_t BgL_newz00_3697, obj_t BgL_lz00_2252)
	{
		{	/* SawBbv/bbv-utils.scm 90 */
			if (NULLP(BgL_lz00_2252))
				{	/* SawBbv/bbv-utils.scm 92 */
					return BgL_lz00_2252;
				}
			else
				{	/* SawBbv/bbv-utils.scm 92 */
					if ((CAR(((obj_t) BgL_lz00_2252)) == BgL_oldz00_3698))
						{	/* SawBbv/bbv-utils.scm 93 */
							obj_t BgL_arg1660z00_2257;

							BgL_arg1660z00_2257 = CDR(((obj_t) BgL_lz00_2252));
							return MAKE_YOUNG_PAIR(BgL_newz00_3697, BgL_arg1660z00_2257);
						}
					else
						{	/* SawBbv/bbv-utils.scm 94 */
							obj_t BgL_arg1663z00_2258;
							obj_t BgL_arg1664z00_2259;

							BgL_arg1663z00_2258 = CAR(((obj_t) BgL_lz00_2252));
							{	/* SawBbv/bbv-utils.scm 94 */
								obj_t BgL_arg1673z00_2260;

								BgL_arg1673z00_2260 = CDR(((obj_t) BgL_lz00_2252));
								BgL_arg1664z00_2259 =
									BGl_loopze70ze7zzsaw_bbvzd2utilszd2(BgL_oldz00_3698,
									BgL_newz00_3697, BgL_arg1673z00_2260);
							}
							return MAKE_YOUNG_PAIR(BgL_arg1663z00_2258, BgL_arg1664z00_2259);
						}
				}
		}

	}



/* &list-replace */
	obj_t BGl_z62listzd2replacezb0zzsaw_bbvzd2utilszd2(obj_t BgL_envz00_3656,
		obj_t BgL_lstz00_3657, obj_t BgL_oldz00_3658, obj_t BgL_newz00_3659)
	{
		{	/* SawBbv/bbv-utils.scm 89 */
			return
				BGl_listzd2replacezd2zzsaw_bbvzd2utilszd2(BgL_lstz00_3657,
				BgL_oldz00_3658, BgL_newz00_3659);
		}

	}



/* block->block-list */
	BGL_EXPORTED_DEF obj_t
		BGl_blockzd2ze3blockzd2listze3zzsaw_bbvzd2utilszd2(obj_t BgL_regsz00_97,
		BgL_blockz00_bglt BgL_bz00_98)
	{
		{	/* SawBbv/bbv-utils.scm 99 */
			{	/* SawBbv/bbv-utils.scm 100 */
				obj_t BgL_g1177z00_2263;
				obj_t BgL_g1178z00_2264;

				{	/* SawBbv/bbv-utils.scm 100 */
					obj_t BgL_list1730z00_2288;

					BgL_list1730z00_2288 = MAKE_YOUNG_PAIR(((obj_t) BgL_bz00_98), BNIL);
					BgL_g1177z00_2263 = BgL_list1730z00_2288;
				}
				BgL_g1178z00_2264 = BGl_makezd2emptyzd2bbsetz00zzsaw_bbvzd2utilszd2();
				{
					obj_t BgL_bsz00_2266;
					obj_t BgL_accz00_2267;

					BgL_bsz00_2266 = BgL_g1177z00_2263;
					BgL_accz00_2267 = BgL_g1178z00_2264;
				BgL_zc3z04anonymousza31675ze3z87_2268:
					if (NULLP(BgL_bsz00_2266))
						{	/* SawBbv/bbv-utils.scm 103 */
							return bgl_reverse_bang(STRUCT_REF(BgL_accz00_2267, (int) (1L)));
						}
					else
						{	/* SawBbv/bbv-utils.scm 105 */
							bool_t BgL_test2290z00_4361;

							{	/* SawBbv/bbv-utils.scm 105 */
								BgL_blockz00_bglt BgL_blockz00_3143;

								BgL_blockz00_3143 =
									((BgL_blockz00_bglt) CAR(((obj_t) BgL_bsz00_2266)));
								{	/* SawBbv/bbv-utils.scm 105 */
									obj_t BgL_arg1581z00_3146;
									obj_t BgL_arg1587z00_3147;

									{	/* SawBbv/bbv-utils.scm 105 */
										long BgL_tmpz00_4365;

										{
											BgL_blocksz00_bglt BgL_auxz00_4366;

											{
												obj_t BgL_auxz00_4367;

												{	/* SawBbv/bbv-utils.scm 105 */
													BgL_objectz00_bglt BgL_tmpz00_4368;

													BgL_tmpz00_4368 =
														((BgL_objectz00_bglt) BgL_blockz00_3143);
													BgL_auxz00_4367 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_4368);
												}
												BgL_auxz00_4366 =
													((BgL_blocksz00_bglt) BgL_auxz00_4367);
											}
											BgL_tmpz00_4365 =
												(((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_4366))->
												BgL_z52markz52);
										}
										BgL_arg1581z00_3146 = BINT(BgL_tmpz00_4365);
									}
									BgL_arg1587z00_3147 = STRUCT_REF(BgL_accz00_2267, (int) (0L));
									BgL_test2290z00_4361 =
										(BgL_arg1581z00_3146 == BgL_arg1587z00_3147);
							}}
							if (BgL_test2290z00_4361)
								{	/* SawBbv/bbv-utils.scm 106 */
									obj_t BgL_arg1686z00_2273;

									BgL_arg1686z00_2273 = CDR(((obj_t) BgL_bsz00_2266));
									{
										obj_t BgL_bsz00_4379;

										BgL_bsz00_4379 = BgL_arg1686z00_2273;
										BgL_bsz00_2266 = BgL_bsz00_4379;
										goto BgL_zc3z04anonymousza31675ze3z87_2268;
									}
								}
							else
								{	/* SawBbv/bbv-utils.scm 108 */
									BgL_blockz00_bglt BgL_i1179z00_2274;

									BgL_i1179z00_2274 =
										((BgL_blockz00_bglt) CAR(((obj_t) BgL_bsz00_2266)));
									if (NULLP(
											(((BgL_blockz00_bglt) COBJECT(BgL_i1179z00_2274))->
												BgL_succsz00)))
										{	/* SawBbv/bbv-utils.scm 111 */
											obj_t BgL_arg1695z00_2277;
											obj_t BgL_arg1696z00_2278;

											BgL_arg1695z00_2277 = CDR(((obj_t) BgL_bsz00_2266));
											{	/* SawBbv/bbv-utils.scm 111 */
												obj_t BgL_arg1699z00_2279;

												BgL_arg1699z00_2279 = CAR(((obj_t) BgL_bsz00_2266));
												BgL_arg1696z00_2278 =
													BGl_bbsetzd2conszd2zzsaw_bbvzd2utilszd2(
													((BgL_blockz00_bglt) BgL_arg1699z00_2279),
													BgL_accz00_2267);
											}
											{
												obj_t BgL_accz00_4393;
												obj_t BgL_bsz00_4392;

												BgL_bsz00_4392 = BgL_arg1695z00_2277;
												BgL_accz00_4393 = BgL_arg1696z00_2278;
												BgL_accz00_2267 = BgL_accz00_4393;
												BgL_bsz00_2266 = BgL_bsz00_4392;
												goto BgL_zc3z04anonymousza31675ze3z87_2268;
											}
										}
									else
										{	/* SawBbv/bbv-utils.scm 113 */
											obj_t BgL_arg1703z00_2280;
											obj_t BgL_arg1715z00_2281;

											{	/* SawBbv/bbv-utils.scm 113 */
												obj_t BgL_arg1716z00_2282;
												obj_t BgL_arg1717z00_2283;

												BgL_arg1716z00_2282 =
													(((BgL_blockz00_bglt) COBJECT(BgL_i1179z00_2274))->
													BgL_succsz00);
												BgL_arg1717z00_2283 = CDR(((obj_t) BgL_bsz00_2266));
												BgL_arg1703z00_2280 =
													BGl_appendzd221011zd2zzsaw_bbvzd2utilszd2
													(BgL_arg1716z00_2282, BgL_arg1717z00_2283);
											}
											{	/* SawBbv/bbv-utils.scm 114 */
												obj_t BgL_arg1720z00_2284;

												BgL_arg1720z00_2284 = CAR(((obj_t) BgL_bsz00_2266));
												BgL_arg1715z00_2281 =
													BGl_bbsetzd2conszd2zzsaw_bbvzd2utilszd2(
													((BgL_blockz00_bglt) BgL_arg1720z00_2284),
													BgL_accz00_2267);
											}
											{
												obj_t BgL_accz00_4403;
												obj_t BgL_bsz00_4402;

												BgL_bsz00_4402 = BgL_arg1703z00_2280;
												BgL_accz00_4403 = BgL_arg1715z00_2281;
												BgL_accz00_2267 = BgL_accz00_4403;
												BgL_bsz00_2266 = BgL_bsz00_4402;
												goto BgL_zc3z04anonymousza31675ze3z87_2268;
											}
										}
								}
						}
				}
			}
		}

	}



/* &block->block-list */
	obj_t BGl_z62blockzd2ze3blockzd2listz81zzsaw_bbvzd2utilszd2(obj_t
		BgL_envz00_3660, obj_t BgL_regsz00_3661, obj_t BgL_bz00_3662)
	{
		{	/* SawBbv/bbv-utils.scm 99 */
			return
				BGl_blockzd2ze3blockzd2listze3zzsaw_bbvzd2utilszd2(BgL_regsz00_3661,
				((BgL_blockz00_bglt) BgL_bz00_3662));
		}

	}



/* redirect-block! */
	BGL_EXPORTED_DEF obj_t
		BGl_redirectzd2blockz12zc0zzsaw_bbvzd2utilszd2(BgL_blockz00_bglt
		BgL_bz00_99, BgL_blockz00_bglt BgL_oldz00_100,
		BgL_blockz00_bglt BgL_newz00_101)
	{
		{	/* SawBbv/bbv-utils.scm 119 */
			{
				obj_t BgL_auxz00_4406;

				{	/* SawBbv/bbv-utils.scm 127 */
					obj_t BgL_arg1746z00_2290;

					BgL_arg1746z00_2290 =
						(((BgL_blockz00_bglt) COBJECT(
								((BgL_blockz00_bglt) BgL_bz00_99)))->BgL_succsz00);
					BgL_auxz00_4406 =
						BGl_loopze70ze7zzsaw_bbvzd2utilszd2(
						((obj_t) BgL_oldz00_100),
						((obj_t) BgL_newz00_101), BgL_arg1746z00_2290);
				}
				((((BgL_blockz00_bglt) COBJECT(
								((BgL_blockz00_bglt) BgL_bz00_99)))->BgL_succsz00) =
					((obj_t) BgL_auxz00_4406), BUNSPEC);
			}
			{	/* SawBbv/bbv-utils.scm 129 */
				obj_t BgL_arg1748z00_2292;

				{	/* SawBbv/bbv-utils.scm 129 */
					obj_t BgL_arg1755z00_2293;

					BgL_arg1755z00_2293 =
						(((BgL_blockz00_bglt) COBJECT(
								((BgL_blockz00_bglt) BgL_oldz00_100)))->BgL_predsz00);
					BgL_arg1748z00_2292 =
						bgl_remq_bang(((obj_t) BgL_bz00_99), BgL_arg1755z00_2293);
				}
				BGl_blockzd2predszd2updatez12z12zzsaw_bbvzd2typeszd2(
					((BgL_blockz00_bglt) BgL_oldz00_100), BgL_arg1748z00_2292);
			}
			if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
						((obj_t) BgL_bz00_99),
						(((BgL_blockz00_bglt) COBJECT(
									((BgL_blockz00_bglt) BgL_newz00_101)))->BgL_predsz00))))
				{	/* SawBbv/bbv-utils.scm 131 */
					BFALSE;
				}
			else
				{	/* SawBbv/bbv-utils.scm 132 */
					obj_t BgL_arg1763z00_2297;

					{	/* SawBbv/bbv-utils.scm 132 */
						obj_t BgL_arg1765z00_2298;

						BgL_arg1765z00_2298 =
							(((BgL_blockz00_bglt) COBJECT(
									((BgL_blockz00_bglt) BgL_newz00_101)))->BgL_predsz00);
						BgL_arg1763z00_2297 =
							MAKE_YOUNG_PAIR(((obj_t) BgL_bz00_99), BgL_arg1765z00_2298);
					}
					BGl_blockzd2predszd2updatez12z12zzsaw_bbvzd2typeszd2(
						((BgL_blockz00_bglt) BgL_newz00_101), BgL_arg1763z00_2297);
				}
			{	/* SawBbv/bbv-utils.scm 133 */
				obj_t BgL_g1470z00_2300;

				BgL_g1470z00_2300 =
					(((BgL_blockz00_bglt) COBJECT(
							((BgL_blockz00_bglt) BgL_bz00_99)))->BgL_firstz00);
				{
					obj_t BgL_l1468z00_2302;

					BgL_l1468z00_2302 = BgL_g1470z00_2300;
				BgL_zc3z04anonymousza31769ze3z87_2303:
					if (PAIRP(BgL_l1468z00_2302))
						{	/* SawBbv/bbv-utils.scm 133 */
							{	/* SawBbv/bbv-utils.scm 135 */
								obj_t BgL_insz00_2305;

								BgL_insz00_2305 = CAR(BgL_l1468z00_2302);
								if (BGl_rtl_inszd2ifeqzf3z21zzsaw_bbvzd2typeszd2(
										((BgL_rtl_insz00_bglt) BgL_insz00_2305)))
									{	/* SawBbv/bbv-utils.scm 137 */
										BgL_rtl_ifeqz00_bglt BgL_i1184z00_2308;

										BgL_i1184z00_2308 =
											((BgL_rtl_ifeqz00_bglt)
											(((BgL_rtl_insz00_bglt) COBJECT(
														((BgL_rtl_insz00_bglt) BgL_insz00_2305)))->
												BgL_funz00));
										if ((((obj_t) (((BgL_rtl_ifeqz00_bglt)
															COBJECT(BgL_i1184z00_2308))->BgL_thenz00)) ==
												((obj_t) BgL_oldz00_100)))
											{	/* SawBbv/bbv-utils.scm 138 */
												((((BgL_rtl_ifeqz00_bglt) COBJECT(BgL_i1184z00_2308))->
														BgL_thenz00) =
													((BgL_blockz00_bglt) ((BgL_blockz00_bglt)
															BgL_newz00_101)), BUNSPEC);
											}
										else
											{	/* SawBbv/bbv-utils.scm 138 */
												BFALSE;
											}
									}
								else
									{	/* SawBbv/bbv-utils.scm 135 */
										if (BGl_rtl_inszd2ifnezf3z21zzsaw_bbvzd2typeszd2(
												((BgL_rtl_insz00_bglt) BgL_insz00_2305)))
											{	/* SawBbv/bbv-utils.scm 142 */
												BgL_rtl_ifnez00_bglt BgL_i1186z00_2314;

												BgL_i1186z00_2314 =
													((BgL_rtl_ifnez00_bglt)
													(((BgL_rtl_insz00_bglt) COBJECT(
																((BgL_rtl_insz00_bglt) BgL_insz00_2305)))->
														BgL_funz00));
												if ((((obj_t) (((BgL_rtl_ifnez00_bglt)
																	COBJECT(BgL_i1186z00_2314))->BgL_thenz00)) ==
														((obj_t) BgL_oldz00_100)))
													{	/* SawBbv/bbv-utils.scm 143 */
														((((BgL_rtl_ifnez00_bglt)
																	COBJECT(BgL_i1186z00_2314))->BgL_thenz00) =
															((BgL_blockz00_bglt) ((BgL_blockz00_bglt)
																	BgL_newz00_101)), BUNSPEC);
													}
												else
													{	/* SawBbv/bbv-utils.scm 143 */
														BFALSE;
													}
											}
										else
											{	/* SawBbv/bbv-utils.scm 140 */
												if (BGl_rtl_inszd2gozf3z21zzsaw_bbvzd2typeszd2(
														((BgL_rtl_insz00_bglt) BgL_insz00_2305)))
													{	/* SawBbv/bbv-utils.scm 147 */
														BgL_rtl_goz00_bglt BgL_i1188z00_2320;

														BgL_i1188z00_2320 =
															((BgL_rtl_goz00_bglt)
															(((BgL_rtl_insz00_bglt) COBJECT(
																		((BgL_rtl_insz00_bglt) BgL_insz00_2305)))->
																BgL_funz00));
														if ((((obj_t) (((BgL_rtl_goz00_bglt)
																			COBJECT(BgL_i1188z00_2320))->
																		BgL_toz00)) == ((obj_t) BgL_oldz00_100)))
															{	/* SawBbv/bbv-utils.scm 148 */
																((((BgL_rtl_goz00_bglt)
																			COBJECT(BgL_i1188z00_2320))->BgL_toz00) =
																	((BgL_blockz00_bglt) ((BgL_blockz00_bglt)
																			BgL_newz00_101)), BUNSPEC);
															}
														else
															{	/* SawBbv/bbv-utils.scm 148 */
																BFALSE;
															}
													}
												else
													{	/* SawBbv/bbv-utils.scm 145 */
														if (CBOOL
															(BGl_rtl_inszd2switchzf3z21zzsaw_bbvzd2typeszd2((
																		(BgL_rtl_insz00_bglt) BgL_insz00_2305))))
															{	/* SawBbv/bbv-utils.scm 152 */
																BgL_rtl_switchz00_bglt BgL_i1190z00_2326;

																BgL_i1190z00_2326 =
																	((BgL_rtl_switchz00_bglt)
																	(((BgL_rtl_insz00_bglt) COBJECT(
																				((BgL_rtl_insz00_bglt)
																					BgL_insz00_2305)))->BgL_funz00));
																{
																	obj_t BgL_auxz00_4483;

																	{	/* SawBbv/bbv-utils.scm 153 */
																		obj_t BgL_arg1801z00_2327;

																		BgL_arg1801z00_2327 =
																			(((BgL_rtl_switchz00_bglt)
																				COBJECT(BgL_i1190z00_2326))->
																			BgL_labelsz00);
																		BgL_auxz00_4483 =
																			BGl_loopze70ze7zzsaw_bbvzd2utilszd2((
																				(obj_t) BgL_oldz00_100),
																			((obj_t) BgL_newz00_101),
																			((obj_t) BgL_arg1801z00_2327));
																	}
																	((((BgL_rtl_switchz00_bglt)
																				COBJECT(BgL_i1190z00_2326))->
																			BgL_labelsz00) =
																		((obj_t) BgL_auxz00_4483), BUNSPEC);
																}
															}
														else
															{	/* SawBbv/bbv-utils.scm 150 */
																BFALSE;
															}
													}
											}
									}
							}
							{
								obj_t BgL_l1468z00_4490;

								BgL_l1468z00_4490 = CDR(BgL_l1468z00_2302);
								BgL_l1468z00_2302 = BgL_l1468z00_4490;
								goto BgL_zc3z04anonymousza31769ze3z87_2303;
							}
						}
					else
						{	/* SawBbv/bbv-utils.scm 133 */
							((bool_t) 1);
						}
				}
			}
			return ((obj_t) BgL_bz00_99);
		}

	}



/* &redirect-block! */
	obj_t BGl_z62redirectzd2blockz12za2zzsaw_bbvzd2utilszd2(obj_t BgL_envz00_3663,
		obj_t BgL_bz00_3664, obj_t BgL_oldz00_3665, obj_t BgL_newz00_3666)
	{
		{	/* SawBbv/bbv-utils.scm 119 */
			return
				BGl_redirectzd2blockz12zc0zzsaw_bbvzd2utilszd2(
				((BgL_blockz00_bglt) BgL_bz00_3664),
				((BgL_blockz00_bglt) BgL_oldz00_3665),
				((BgL_blockz00_bglt) BgL_newz00_3666));
		}

	}



/* _replace-block! */
	obj_t BGl__replacezd2blockz12zc0zzsaw_bbvzd2utilszd2(obj_t BgL_env1508z00_106,
		obj_t BgL_opt1507z00_105)
	{
		{	/* SawBbv/bbv-utils.scm 163 */
			{
				obj_t BgL_k1z00_2331;
				long BgL_iz00_2332;

				{	/* SawBbv/bbv-utils.scm 163 */
					obj_t BgL_g1514z00_2334;
					obj_t BgL_g1515z00_2335;

					BgL_g1514z00_2334 = VECTOR_REF(BgL_opt1507z00_105, 0L);
					BgL_g1515z00_2335 = VECTOR_REF(BgL_opt1507z00_105, 1L);
					{	/* SawBbv/bbv-utils.scm 163 */
						obj_t BgL_debugz00_2336;

						BgL_debugz00_2336 = BFALSE;
						{	/* SawBbv/bbv-utils.scm 163 */

							{	/* SawBbv/bbv-utils.scm 163 */
								long BgL_index1513z00_2337;

								BgL_k1z00_2331 = ((obj_t) CNST_TABLE_REF(2));
								BgL_iz00_2332 = 2L;
							BgL_search1510z00_2333:
								if (
									(BgL_iz00_2332 ==
										VECTOR_LENGTH(((obj_t) BgL_opt1507z00_105))))
									{	/* SawBbv/bbv-utils.scm 163 */
										BgL_index1513z00_2337 = (-1L);
									}
								else
									{	/* SawBbv/bbv-utils.scm 163 */
										obj_t BgL_vz00_2343;

										BgL_vz00_2343 =
											VECTOR_REF(BgL_opt1507z00_105, BgL_iz00_2332);
										if ((BgL_vz00_2343 == BgL_k1z00_2331))
											{	/* SawBbv/bbv-utils.scm 163 */
												BgL_index1513z00_2337 = (BgL_iz00_2332 + 1L);
											}
										else
											{
												long BgL_iz00_4507;

												BgL_iz00_4507 = (BgL_iz00_2332 + 2L);
												BgL_iz00_2332 = BgL_iz00_4507;
												goto BgL_search1510z00_2333;
											}
									}
								if ((BgL_index1513z00_2337 >= 0L))
									{	/* SawBbv/bbv-utils.scm 163 */
										BgL_debugz00_2336 =
											VECTOR_REF(BgL_opt1507z00_105, BgL_index1513z00_2337);
									}
								else
									{	/* SawBbv/bbv-utils.scm 163 */
										BFALSE;
									}
							}
							{	/* SawBbv/bbv-utils.scm 163 */
								obj_t BgL_arg1804z00_2339;
								obj_t BgL_arg1810z00_2340;

								BgL_arg1804z00_2339 = VECTOR_REF(BgL_opt1507z00_105, 0L);
								BgL_arg1810z00_2340 = VECTOR_REF(BgL_opt1507z00_105, 1L);
								{	/* SawBbv/bbv-utils.scm 163 */
									obj_t BgL_debugz00_2341;

									BgL_debugz00_2341 = BgL_debugz00_2336;
									return
										BGl_replacezd2blockz12zc0zzsaw_bbvzd2utilszd2(
										((BgL_blockz00_bglt) BgL_arg1804z00_2339),
										((BgL_blockz00_bglt) BgL_arg1810z00_2340),
										BgL_debugz00_2341);
								}
							}
						}
					}
				}
			}
		}

	}



/* replace-block! */
	BGL_EXPORTED_DEF obj_t
		BGl_replacezd2blockz12zc0zzsaw_bbvzd2utilszd2(BgL_blockz00_bglt
		BgL_oldz00_102, BgL_blockz00_bglt BgL_newz00_103, obj_t BgL_debugz00_104)
	{
		{	/* SawBbv/bbv-utils.scm 163 */
			if (CBOOL(BGl_za2bbvzd2debugza2zd2zzsaw_bbvzd2configzd2))
				{	/* SawBbv/bbv-utils.scm 183 */
					BGl_assertzd2blockzd2zzsaw_bbvzd2debugzd2(BgL_oldz00_102,
						BGl_string2181z00zzsaw_bbvzd2utilszd2);
					BGl_assertzd2blockzd2zzsaw_bbvzd2debugzd2(BgL_newz00_103,
						BGl_string2182z00zzsaw_bbvzd2utilszd2);
				}
			else
				{	/* SawBbv/bbv-utils.scm 183 */
					BFALSE;
				}
			if ((((obj_t) BgL_oldz00_102) == ((obj_t) BgL_newz00_103)))
				{	/* SawBbv/bbv-utils.scm 186 */
					return BFALSE;
				}
			else
				{	/* SawBbv/bbv-utils.scm 186 */
					{	/* SawBbv/bbv-utils.scm 188 */
						bool_t BgL_test2306z00_4527;

						if (CBOOL(BgL_debugz00_104))
							{	/* SawBbv/bbv-utils.scm 188 */
								BgL_test2306z00_4527 =
									CBOOL(BGl_za2bbvzd2debugza2zd2zzsaw_bbvzd2configzd2);
							}
						else
							{	/* SawBbv/bbv-utils.scm 188 */
								BgL_test2306z00_4527 = ((bool_t) 0);
							}
						if (BgL_test2306z00_4527)
							{	/* SawBbv/bbv-utils.scm 191 */
								bool_t BgL_test2308z00_4531;

								{	/* SawBbv/bbv-utils.scm 191 */
									BgL_bbvzd2ctxzd2_bglt BgL_arg1898z00_2384;
									BgL_bbvzd2ctxzd2_bglt BgL_arg1899z00_2385;

									{
										BgL_blocksz00_bglt BgL_auxz00_4532;

										{
											obj_t BgL_auxz00_4533;

											{	/* SawBbv/bbv-utils.scm 191 */
												BgL_objectz00_bglt BgL_tmpz00_4534;

												BgL_tmpz00_4534 = ((BgL_objectz00_bglt) BgL_newz00_103);
												BgL_auxz00_4533 = BGL_OBJECT_WIDENING(BgL_tmpz00_4534);
											}
											BgL_auxz00_4532 = ((BgL_blocksz00_bglt) BgL_auxz00_4533);
										}
										BgL_arg1898z00_2384 =
											(((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_4532))->
											BgL_ctxz00);
									}
									{
										BgL_blocksz00_bglt BgL_auxz00_4539;

										{
											obj_t BgL_auxz00_4540;

											{	/* SawBbv/bbv-utils.scm 191 */
												BgL_objectz00_bglt BgL_tmpz00_4541;

												BgL_tmpz00_4541 = ((BgL_objectz00_bglt) BgL_oldz00_102);
												BgL_auxz00_4540 = BGL_OBJECT_WIDENING(BgL_tmpz00_4541);
											}
											BgL_auxz00_4539 = ((BgL_blocksz00_bglt) BgL_auxz00_4540);
										}
										BgL_arg1899z00_2385 =
											(((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_4539))->
											BgL_ctxz00);
									}
									BgL_test2308z00_4531 =
										BGl_ctxze3zd3zf3zc3zzsaw_bbvzd2utilszd2(BgL_arg1898z00_2384,
										BgL_arg1899z00_2385);
								}
								if (BgL_test2308z00_4531)
									{	/* SawBbv/bbv-utils.scm 191 */
										BFALSE;
									}
								else
									{	/* SawBbv/bbv-utils.scm 191 */
										{	/* SawBbv/bbv-utils.scm 192 */
											obj_t BgL_arg1825z00_2351;
											int BgL_arg1829z00_2352;
											int BgL_arg1834z00_2353;

											{	/* SawBbv/bbv-utils.scm 192 */
												obj_t BgL_tmpz00_4547;

												BgL_tmpz00_4547 = BGL_CURRENT_DYNAMIC_ENV();
												BgL_arg1825z00_2351 =
													BGL_ENV_CURRENT_ERROR_PORT(BgL_tmpz00_4547);
											}
											BgL_arg1829z00_2352 =
												(((BgL_blockz00_bglt) COBJECT(
														((BgL_blockz00_bglt) BgL_oldz00_102)))->
												BgL_labelz00);
											BgL_arg1834z00_2353 =
												(((BgL_blockz00_bglt) COBJECT(((BgL_blockz00_bglt)
															BgL_newz00_103)))->BgL_labelz00);
											{	/* SawBbv/bbv-utils.scm 192 */
												obj_t BgL_list1835z00_2354;

												{	/* SawBbv/bbv-utils.scm 192 */
													obj_t BgL_arg1842z00_2355;

													{	/* SawBbv/bbv-utils.scm 192 */
														obj_t BgL_arg1845z00_2356;

														{	/* SawBbv/bbv-utils.scm 192 */
															obj_t BgL_arg1847z00_2357;

															{	/* SawBbv/bbv-utils.scm 192 */
																obj_t BgL_arg1848z00_2358;

																{	/* SawBbv/bbv-utils.scm 192 */
																	obj_t BgL_arg1851z00_2359;

																	{	/* SawBbv/bbv-utils.scm 192 */
																		obj_t BgL_arg1852z00_2360;

																		{	/* SawBbv/bbv-utils.scm 192 */
																			obj_t BgL_arg1856z00_2361;

																			BgL_arg1856z00_2361 =
																				MAKE_YOUNG_PAIR(BINT
																				(BgL_arg1834z00_2353), BNIL);
																			BgL_arg1852z00_2360 =
																				MAKE_YOUNG_PAIR
																				(BGl_string2183z00zzsaw_bbvzd2utilszd2,
																				BgL_arg1856z00_2361);
																		}
																		BgL_arg1851z00_2359 =
																			MAKE_YOUNG_PAIR(BINT(BgL_arg1829z00_2352),
																			BgL_arg1852z00_2360);
																	}
																	BgL_arg1848z00_2358 =
																		MAKE_YOUNG_PAIR
																		(BGl_string2184z00zzsaw_bbvzd2utilszd2,
																		BgL_arg1851z00_2359);
																}
																BgL_arg1847z00_2357 =
																	MAKE_YOUNG_PAIR
																	(BGl_string2185z00zzsaw_bbvzd2utilszd2,
																	BgL_arg1848z00_2358);
															}
															BgL_arg1845z00_2356 =
																MAKE_YOUNG_PAIR(BINT(192L),
																BgL_arg1847z00_2357);
														}
														BgL_arg1842z00_2355 =
															MAKE_YOUNG_PAIR
															(BGl_string2186z00zzsaw_bbvzd2utilszd2,
															BgL_arg1845z00_2356);
													}
													BgL_list1835z00_2354 =
														MAKE_YOUNG_PAIR
														(BGl_string2187z00zzsaw_bbvzd2utilszd2,
														BgL_arg1842z00_2355);
												}
												BGl_tprintz00zz__r4_output_6_10_3z00
													(BgL_arg1825z00_2351, BgL_list1835z00_2354);
										}}
										{	/* SawBbv/bbv-utils.scm 194 */
											obj_t BgL_arg1857z00_2362;
											obj_t BgL_arg1859z00_2363;

											{	/* SawBbv/bbv-utils.scm 194 */
												obj_t BgL_tmpz00_4566;

												BgL_tmpz00_4566 = BGL_CURRENT_DYNAMIC_ENV();
												BgL_arg1857z00_2362 =
													BGL_ENV_CURRENT_ERROR_PORT(BgL_tmpz00_4566);
											}
											{	/* SawBbv/bbv-utils.scm 194 */
												BgL_bbvzd2ctxzd2_bglt BgL_arg1882z00_2370;

												{
													BgL_blocksz00_bglt BgL_auxz00_4569;

													{
														obj_t BgL_auxz00_4570;

														{	/* SawBbv/bbv-utils.scm 194 */
															BgL_objectz00_bglt BgL_tmpz00_4571;

															BgL_tmpz00_4571 =
																((BgL_objectz00_bglt) BgL_oldz00_102);
															BgL_auxz00_4570 =
																BGL_OBJECT_WIDENING(BgL_tmpz00_4571);
														}
														BgL_auxz00_4569 =
															((BgL_blocksz00_bglt) BgL_auxz00_4570);
													}
													BgL_arg1882z00_2370 =
														(((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_4569))->
														BgL_ctxz00);
												}
												BgL_arg1859z00_2363 =
													BGl_shapez00zztools_shapez00(
													((obj_t) BgL_arg1882z00_2370));
											}
											{	/* SawBbv/bbv-utils.scm 194 */
												obj_t BgL_list1860z00_2364;

												{	/* SawBbv/bbv-utils.scm 194 */
													obj_t BgL_arg1865z00_2365;

													{	/* SawBbv/bbv-utils.scm 194 */
														obj_t BgL_arg1872z00_2366;

														{	/* SawBbv/bbv-utils.scm 194 */
															obj_t BgL_arg1873z00_2367;

															{	/* SawBbv/bbv-utils.scm 194 */
																obj_t BgL_arg1876z00_2368;

																{	/* SawBbv/bbv-utils.scm 194 */
																	obj_t BgL_arg1878z00_2369;

																	BgL_arg1878z00_2369 =
																		MAKE_YOUNG_PAIR(BgL_arg1859z00_2363, BNIL);
																	BgL_arg1876z00_2368 =
																		MAKE_YOUNG_PAIR
																		(BGl_string2188z00zzsaw_bbvzd2utilszd2,
																		BgL_arg1878z00_2369);
																}
																BgL_arg1873z00_2367 =
																	MAKE_YOUNG_PAIR
																	(BGl_string2185z00zzsaw_bbvzd2utilszd2,
																	BgL_arg1876z00_2368);
															}
															BgL_arg1872z00_2366 =
																MAKE_YOUNG_PAIR(BINT(194L),
																BgL_arg1873z00_2367);
														}
														BgL_arg1865z00_2365 =
															MAKE_YOUNG_PAIR
															(BGl_string2186z00zzsaw_bbvzd2utilszd2,
															BgL_arg1872z00_2366);
													}
													BgL_list1860z00_2364 =
														MAKE_YOUNG_PAIR
														(BGl_string2187z00zzsaw_bbvzd2utilszd2,
														BgL_arg1865z00_2365);
												}
												BGl_tprintz00zz__r4_output_6_10_3z00
													(BgL_arg1857z00_2362, BgL_list1860z00_2364);
										}}
										{	/* SawBbv/bbv-utils.scm 195 */
											obj_t BgL_arg1884z00_2371;
											obj_t BgL_arg1885z00_2372;

											{	/* SawBbv/bbv-utils.scm 195 */
												obj_t BgL_tmpz00_4586;

												BgL_tmpz00_4586 = BGL_CURRENT_DYNAMIC_ENV();
												BgL_arg1884z00_2371 =
													BGL_ENV_CURRENT_ERROR_PORT(BgL_tmpz00_4586);
											}
											{	/* SawBbv/bbv-utils.scm 195 */
												BgL_bbvzd2ctxzd2_bglt BgL_arg1893z00_2379;

												{
													BgL_blocksz00_bglt BgL_auxz00_4589;

													{
														obj_t BgL_auxz00_4590;

														{	/* SawBbv/bbv-utils.scm 195 */
															BgL_objectz00_bglt BgL_tmpz00_4591;

															BgL_tmpz00_4591 =
																((BgL_objectz00_bglt) BgL_newz00_103);
															BgL_auxz00_4590 =
																BGL_OBJECT_WIDENING(BgL_tmpz00_4591);
														}
														BgL_auxz00_4589 =
															((BgL_blocksz00_bglt) BgL_auxz00_4590);
													}
													BgL_arg1893z00_2379 =
														(((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_4589))->
														BgL_ctxz00);
												}
												BgL_arg1885z00_2372 =
													BGl_shapez00zztools_shapez00(
													((obj_t) BgL_arg1893z00_2379));
											}
											{	/* SawBbv/bbv-utils.scm 195 */
												obj_t BgL_list1886z00_2373;

												{	/* SawBbv/bbv-utils.scm 195 */
													obj_t BgL_arg1887z00_2374;

													{	/* SawBbv/bbv-utils.scm 195 */
														obj_t BgL_arg1889z00_2375;

														{	/* SawBbv/bbv-utils.scm 195 */
															obj_t BgL_arg1890z00_2376;

															{	/* SawBbv/bbv-utils.scm 195 */
																obj_t BgL_arg1891z00_2377;

																{	/* SawBbv/bbv-utils.scm 195 */
																	obj_t BgL_arg1892z00_2378;

																	BgL_arg1892z00_2378 =
																		MAKE_YOUNG_PAIR(BgL_arg1885z00_2372, BNIL);
																	BgL_arg1891z00_2377 =
																		MAKE_YOUNG_PAIR
																		(BGl_string2189z00zzsaw_bbvzd2utilszd2,
																		BgL_arg1892z00_2378);
																}
																BgL_arg1890z00_2376 =
																	MAKE_YOUNG_PAIR
																	(BGl_string2185z00zzsaw_bbvzd2utilszd2,
																	BgL_arg1891z00_2377);
															}
															BgL_arg1889z00_2375 =
																MAKE_YOUNG_PAIR(BINT(195L),
																BgL_arg1890z00_2376);
														}
														BgL_arg1887z00_2374 =
															MAKE_YOUNG_PAIR
															(BGl_string2186z00zzsaw_bbvzd2utilszd2,
															BgL_arg1889z00_2375);
													}
													BgL_list1886z00_2373 =
														MAKE_YOUNG_PAIR
														(BGl_string2187z00zzsaw_bbvzd2utilszd2,
														BgL_arg1887z00_2374);
												}
												BGl_tprintz00zz__r4_output_6_10_3z00
													(BgL_arg1884z00_2371, BgL_list1886z00_2373);
										}}
										{	/* SawBbv/bbv-utils.scm 197 */
											obj_t BgL_arg1894z00_2380;
											int BgL_arg1895z00_2381;

											{	/* SawBbv/bbv-utils.scm 197 */
												int BgL_arg1896z00_2382;

												BgL_arg1896z00_2382 =
													(((BgL_blockz00_bglt) COBJECT(
															((BgL_blockz00_bglt) BgL_oldz00_102)))->
													BgL_labelz00);
												{	/* SawBbv/bbv-utils.scm 197 */
													obj_t BgL_list1897z00_2383;

													BgL_list1897z00_2383 =
														MAKE_YOUNG_PAIR(BINT(BgL_arg1896z00_2382), BNIL);
													BgL_arg1894z00_2380 =
														BGl_formatz00zz__r4_output_6_10_3z00
														(BGl_string2190z00zzsaw_bbvzd2utilszd2,
														BgL_list1897z00_2383);
											}}
											BgL_arg1895z00_2381 =
												(((BgL_blockz00_bglt) COBJECT(
														((BgL_blockz00_bglt) BgL_newz00_103)))->
												BgL_labelz00);
											BGl_errorz00zz__errorz00
												(BGl_string2191z00zzsaw_bbvzd2utilszd2,
												BgL_arg1894z00_2380, BINT(BgL_arg1895z00_2381));
							}}}
						else
							{	/* SawBbv/bbv-utils.scm 188 */
								BFALSE;
							}
					}
					{	/* SawBbv/bbv-utils.scm 201 */
						obj_t BgL_g1474z00_2387;

						BgL_g1474z00_2387 =
							(((BgL_blockz00_bglt) COBJECT(
									((BgL_blockz00_bglt) BgL_oldz00_102)))->BgL_succsz00);
						{
							obj_t BgL_l1472z00_2389;

							BgL_l1472z00_2389 = BgL_g1474z00_2387;
						BgL_zc3z04anonymousza31900ze3z87_2390:
							if (PAIRP(BgL_l1472z00_2389))
								{	/* SawBbv/bbv-utils.scm 201 */
									{	/* SawBbv/bbv-utils.scm 202 */
										obj_t BgL_bz00_2392;

										BgL_bz00_2392 = CAR(BgL_l1472z00_2389);
										{	/* SawBbv/bbv-utils.scm 207 */
											obj_t BgL_arg1902z00_2394;

											{	/* SawBbv/bbv-utils.scm 207 */
												obj_t BgL_arg1904z00_2396;

												BgL_arg1904z00_2396 =
													(((BgL_blockz00_bglt) COBJECT(
															((BgL_blockz00_bglt)
																((BgL_blockz00_bglt) BgL_bz00_2392))))->
													BgL_predsz00);
												{	/* SawBbv/bbv-utils.scm 207 */
													obj_t BgL_zc3z04anonymousza31905ze3z87_3667;

													BgL_zc3z04anonymousza31905ze3z87_3667 =
														MAKE_FX_PROCEDURE
														(BGl_z62zc3z04anonymousza31905ze3ze5zzsaw_bbvzd2utilszd2,
														(int) (1L), (int) (1L));
													PROCEDURE_SET(BgL_zc3z04anonymousza31905ze3z87_3667,
														(int) (0L), ((obj_t) BgL_oldz00_102));
													BgL_arg1902z00_2394 =
														BGl_filterz12z12zz__r4_control_features_6_9z00
														(BgL_zc3z04anonymousza31905ze3z87_3667,
														BgL_arg1904z00_2396);
											}}
											BGl_blockzd2predszd2updatez12z12zzsaw_bbvzd2typeszd2(
												((BgL_blockz00_bglt) BgL_bz00_2392),
												BgL_arg1902z00_2394);
									}}
									{
										obj_t BgL_l1472z00_4632;

										BgL_l1472z00_4632 = CDR(BgL_l1472z00_2389);
										BgL_l1472z00_2389 = BgL_l1472z00_4632;
										goto BgL_zc3z04anonymousza31900ze3z87_2390;
									}
								}
							else
								{	/* SawBbv/bbv-utils.scm 201 */
									((bool_t) 1);
								}
						}
					}
					{	/* SawBbv/bbv-utils.scm 209 */
						obj_t BgL_g1480z00_2402;

						BgL_g1480z00_2402 =
							(((BgL_blockz00_bglt) COBJECT(
									((BgL_blockz00_bglt) BgL_oldz00_102)))->BgL_predsz00);
						{
							obj_t BgL_l1478z00_2404;

							BgL_l1478z00_2404 = BgL_g1480z00_2402;
						BgL_zc3z04anonymousza31907ze3z87_2405:
							if (PAIRP(BgL_l1478z00_2404))
								{	/* SawBbv/bbv-utils.scm 209 */
									{	/* SawBbv/bbv-utils.scm 210 */
										obj_t BgL_bz00_2407;

										BgL_bz00_2407 = CAR(BgL_l1478z00_2404);
										{
											obj_t BgL_auxz00_4639;

											{	/* SawBbv/bbv-utils.scm 211 */
												obj_t BgL_arg1909z00_2409;

												BgL_arg1909z00_2409 =
													(((BgL_blockz00_bglt) COBJECT(
															((BgL_blockz00_bglt)
																((BgL_blockz00_bglt) BgL_bz00_2407))))->
													BgL_succsz00);
												BgL_auxz00_4639 =
													BGl_loopze70ze7zzsaw_bbvzd2utilszd2(((obj_t)
														BgL_oldz00_102), ((obj_t) BgL_newz00_103),
													BgL_arg1909z00_2409);
											}
											((((BgL_blockz00_bglt) COBJECT(
															((BgL_blockz00_bglt)
																((BgL_blockz00_bglt) BgL_bz00_2407))))->
													BgL_succsz00) = ((obj_t) BgL_auxz00_4639), BUNSPEC);
										}
										BGl_bbvzd2gczd2connectz12z12zzsaw_bbvzd2gczd2(
											((BgL_blockz00_bglt) BgL_bz00_2407), BgL_newz00_103);
										{	/* SawBbv/bbv-utils.scm 213 */
											obj_t BgL_g1477z00_2410;

											BgL_g1477z00_2410 =
												(((BgL_blockz00_bglt) COBJECT(
														((BgL_blockz00_bglt)
															((BgL_blockz00_bglt) BgL_bz00_2407))))->
												BgL_firstz00);
											{
												obj_t BgL_l1475z00_2412;

												BgL_l1475z00_2412 = BgL_g1477z00_2410;
											BgL_zc3z04anonymousza31910ze3z87_2413:
												if (PAIRP(BgL_l1475z00_2412))
													{	/* SawBbv/bbv-utils.scm 213 */
														{	/* SawBbv/bbv-utils.scm 215 */
															obj_t BgL_insz00_2415;

															BgL_insz00_2415 = CAR(BgL_l1475z00_2412);
															if (BGl_rtl_inszd2ifeqzf3z21zzsaw_bbvzd2typeszd2(
																	((BgL_rtl_insz00_bglt) BgL_insz00_2415)))
																{	/* SawBbv/bbv-utils.scm 217 */
																	BgL_rtl_ifeqz00_bglt BgL_i1198z00_2418;

																	BgL_i1198z00_2418 =
																		((BgL_rtl_ifeqz00_bglt)
																		(((BgL_rtl_insz00_bglt) COBJECT(
																					((BgL_rtl_insz00_bglt)
																						BgL_insz00_2415)))->BgL_funz00));
																	if ((((obj_t) (((BgL_rtl_ifeqz00_bglt)
																						COBJECT(BgL_i1198z00_2418))->
																					BgL_thenz00)) ==
																			((obj_t) BgL_oldz00_102)))
																		{	/* SawBbv/bbv-utils.scm 218 */
																			((((BgL_rtl_ifeqz00_bglt)
																						COBJECT(BgL_i1198z00_2418))->
																					BgL_thenz00) =
																				((BgL_blockz00_bglt) (
																						(BgL_blockz00_bglt)
																						BgL_newz00_103)), BUNSPEC);
																		}
																	else
																		{	/* SawBbv/bbv-utils.scm 218 */
																			BFALSE;
																		}
																}
															else
																{	/* SawBbv/bbv-utils.scm 215 */
																	if (BGl_rtl_inszd2ifnezf3z21zzsaw_bbvzd2typeszd2(((BgL_rtl_insz00_bglt) BgL_insz00_2415)))
																		{	/* SawBbv/bbv-utils.scm 222 */
																			BgL_rtl_ifnez00_bglt BgL_i1200z00_2424;

																			BgL_i1200z00_2424 =
																				((BgL_rtl_ifnez00_bglt)
																				(((BgL_rtl_insz00_bglt) COBJECT(
																							((BgL_rtl_insz00_bglt)
																								BgL_insz00_2415)))->
																					BgL_funz00));
																			if ((((obj_t) (((BgL_rtl_ifnez00_bglt)
																								COBJECT(BgL_i1200z00_2424))->
																							BgL_thenz00)) ==
																					((obj_t) BgL_oldz00_102)))
																				{	/* SawBbv/bbv-utils.scm 223 */
																					((((BgL_rtl_ifnez00_bglt)
																								COBJECT(BgL_i1200z00_2424))->
																							BgL_thenz00) =
																						((BgL_blockz00_bglt) (
																								(BgL_blockz00_bglt)
																								BgL_newz00_103)), BUNSPEC);
																				}
																			else
																				{	/* SawBbv/bbv-utils.scm 223 */
																					BFALSE;
																				}
																		}
																	else
																		{	/* SawBbv/bbv-utils.scm 220 */
																			if (BGl_rtl_inszd2gozf3z21zzsaw_bbvzd2typeszd2(((BgL_rtl_insz00_bglt) BgL_insz00_2415)))
																				{	/* SawBbv/bbv-utils.scm 227 */
																					BgL_rtl_goz00_bglt BgL_i1202z00_2430;

																					BgL_i1202z00_2430 =
																						((BgL_rtl_goz00_bglt)
																						(((BgL_rtl_insz00_bglt) COBJECT(
																									((BgL_rtl_insz00_bglt)
																										BgL_insz00_2415)))->
																							BgL_funz00));
																					if ((((obj_t) (((BgL_rtl_goz00_bglt)
																										COBJECT
																										(BgL_i1202z00_2430))->
																									BgL_toz00)) ==
																							((obj_t) BgL_oldz00_102)))
																						{	/* SawBbv/bbv-utils.scm 228 */
																							((((BgL_rtl_goz00_bglt)
																										COBJECT
																										(BgL_i1202z00_2430))->
																									BgL_toz00) =
																								((BgL_blockz00_bglt) (
																										(BgL_blockz00_bglt)
																										BgL_newz00_103)), BUNSPEC);
																						}
																					else
																						{	/* SawBbv/bbv-utils.scm 228 */
																							BFALSE;
																						}
																				}
																			else
																				{	/* SawBbv/bbv-utils.scm 225 */
																					if (CBOOL
																						(BGl_rtl_inszd2switchzf3z21zzsaw_bbvzd2typeszd2
																							(((BgL_rtl_insz00_bglt)
																									BgL_insz00_2415))))
																						{	/* SawBbv/bbv-utils.scm 232 */
																							BgL_rtl_switchz00_bglt
																								BgL_i1204z00_2436;
																							BgL_i1204z00_2436 =
																								((BgL_rtl_switchz00_bglt) ((
																										(BgL_rtl_insz00_bglt)
																										COBJECT((
																												(BgL_rtl_insz00_bglt)
																												BgL_insz00_2415)))->
																									BgL_funz00));
																							{
																								obj_t BgL_auxz00_4703;

																								{	/* SawBbv/bbv-utils.scm 233 */
																									obj_t BgL_arg1926z00_2437;

																									BgL_arg1926z00_2437 =
																										(((BgL_rtl_switchz00_bglt)
																											COBJECT
																											(BgL_i1204z00_2436))->
																										BgL_labelsz00);
																									BgL_auxz00_4703 =
																										BGl_loopze70ze7zzsaw_bbvzd2utilszd2
																										(((obj_t) BgL_oldz00_102),
																										((obj_t) BgL_newz00_103),
																										((obj_t)
																											BgL_arg1926z00_2437));
																								}
																								((((BgL_rtl_switchz00_bglt)
																											COBJECT
																											(BgL_i1204z00_2436))->
																										BgL_labelsz00) =
																									((obj_t) BgL_auxz00_4703),
																									BUNSPEC);
																							}
																						}
																					else
																						{	/* SawBbv/bbv-utils.scm 230 */
																							BFALSE;
																						}
																				}
																		}
																}
														}
														{
															obj_t BgL_l1475z00_4710;

															BgL_l1475z00_4710 = CDR(BgL_l1475z00_2412);
															BgL_l1475z00_2412 = BgL_l1475z00_4710;
															goto BgL_zc3z04anonymousza31910ze3z87_2413;
														}
													}
												else
													{	/* SawBbv/bbv-utils.scm 213 */
														((bool_t) 1);
													}
											}
										}
									}
									{
										obj_t BgL_l1478z00_4712;

										BgL_l1478z00_4712 = CDR(BgL_l1478z00_2404);
										BgL_l1478z00_2404 = BgL_l1478z00_4712;
										goto BgL_zc3z04anonymousza31907ze3z87_2405;
									}
								}
							else
								{	/* SawBbv/bbv-utils.scm 209 */
									((bool_t) 1);
								}
						}
					}
					{	/* SawBbv/bbv-utils.scm 238 */
						obj_t BgL_arg1929z00_2443;

						{	/* SawBbv/bbv-utils.scm 238 */
							obj_t BgL_arg1930z00_2444;

							{	/* SawBbv/bbv-utils.scm 238 */
								obj_t BgL_arg1932z00_2445;
								obj_t BgL_arg1933z00_2446;

								BgL_arg1932z00_2445 =
									(((BgL_blockz00_bglt) COBJECT(
											((BgL_blockz00_bglt) BgL_oldz00_102)))->BgL_predsz00);
								BgL_arg1933z00_2446 =
									(((BgL_blockz00_bglt) COBJECT(
											((BgL_blockz00_bglt) BgL_newz00_103)))->BgL_predsz00);
								BgL_arg1930z00_2444 =
									BGl_appendzd221011zd2zzsaw_bbvzd2utilszd2(BgL_arg1932z00_2445,
									BgL_arg1933z00_2446);
							}
							BgL_arg1929z00_2443 =
								BGl_deletezd2duplicateszd2zz__r4_pairs_and_lists_6_3z00
								(BgL_arg1930z00_2444,
								BGl_eqzf3zd2envz21zz__r4_equivalence_6_2z00);
						}
						BGl_blockzd2predszd2updatez12z12zzsaw_bbvzd2typeszd2(
							((BgL_blockz00_bglt) BgL_newz00_103), BgL_arg1929z00_2443);
					}
					{
						BgL_blocksz00_bglt BgL_auxz00_4722;

						{
							obj_t BgL_auxz00_4723;

							{	/* SawBbv/bbv-utils.scm 240 */
								BgL_objectz00_bglt BgL_tmpz00_4724;

								BgL_tmpz00_4724 = ((BgL_objectz00_bglt) BgL_oldz00_102);
								BgL_auxz00_4723 = BGL_OBJECT_WIDENING(BgL_tmpz00_4724);
							}
							BgL_auxz00_4722 = ((BgL_blocksz00_bglt) BgL_auxz00_4723);
						}
						((((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_4722))->BgL_mblockz00) =
							((obj_t) ((obj_t) BgL_newz00_103)), BUNSPEC);
					}
					((((BgL_blockz00_bglt) COBJECT(
									((BgL_blockz00_bglt) BgL_oldz00_102)))->BgL_predsz00) =
						((obj_t) BNIL), BUNSPEC);
					((((BgL_blockz00_bglt) COBJECT(((BgL_blockz00_bglt)
										BgL_oldz00_102)))->BgL_succsz00) = ((obj_t) BNIL), BUNSPEC);
					{
						BgL_blocksz00_bglt BgL_auxz00_4734;

						{
							obj_t BgL_auxz00_4735;

							{	/* SawBbv/bbv-utils.scm 243 */
								BgL_objectz00_bglt BgL_tmpz00_4736;

								BgL_tmpz00_4736 = ((BgL_objectz00_bglt) BgL_oldz00_102);
								BgL_auxz00_4735 = BGL_OBJECT_WIDENING(BgL_tmpz00_4736);
							}
							BgL_auxz00_4734 = ((BgL_blocksz00_bglt) BgL_auxz00_4735);
						}
						((((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_4734))->BgL_gccntz00) =
							((long) 0L), BUNSPEC);
					}
					BGl_bbvzd2gczd2redirectz12z12zzsaw_bbvzd2gczd2(BgL_oldz00_102,
						BgL_newz00_103);
					if (CBOOL(BGl_za2bbvzd2debugza2zd2zzsaw_bbvzd2configzd2))
						{	/* SawBbv/bbv-utils.scm 245 */
							BGl_assertzd2blockzd2zzsaw_bbvzd2debugzd2(BgL_oldz00_102,
								BGl_string2192z00zzsaw_bbvzd2utilszd2);
							BGl_assertzd2blockzd2zzsaw_bbvzd2debugzd2(BgL_newz00_103,
								BGl_string2193z00zzsaw_bbvzd2utilszd2);
						}
					else
						{	/* SawBbv/bbv-utils.scm 245 */
							BFALSE;
						}
					return ((obj_t) BgL_newz00_103);
				}
		}

	}



/* &<@anonymous:1905> */
	obj_t BGl_z62zc3z04anonymousza31905ze3ze5zzsaw_bbvzd2utilszd2(obj_t
		BgL_envz00_3668, obj_t BgL_nz00_3670)
	{
		{	/* SawBbv/bbv-utils.scm 207 */
			{	/* SawBbv/bbv-utils.scm 207 */
				bool_t BgL_tmpz00_4747;

				if (
					(BgL_nz00_3670 ==
						((obj_t)
							((BgL_blockz00_bglt)
								PROCEDURE_REF(BgL_envz00_3668, (int) (0L))))))
					{	/* SawBbv/bbv-utils.scm 207 */
						BgL_tmpz00_4747 = ((bool_t) 0);
					}
				else
					{	/* SawBbv/bbv-utils.scm 207 */
						BgL_tmpz00_4747 = ((bool_t) 1);
					}
				return BBOOL(BgL_tmpz00_4747);
			}
		}

	}



/* ctx>=? */
	bool_t BGl_ctxze3zd3zf3zc3zzsaw_bbvzd2utilszd2(BgL_bbvzd2ctxzd2_bglt
		BgL_xz00_107, BgL_bbvzd2ctxzd2_bglt BgL_yz00_108)
	{
		{	/* SawBbv/bbv-utils.scm 262 */
			{
				obj_t BgL_xz00_2462;
				obj_t BgL_yz00_2463;

				{	/* SawBbv/bbv-utils.scm 291 */
					obj_t BgL_g1489z00_2449;

					BgL_g1489z00_2449 =
						(((BgL_bbvzd2ctxzd2_bglt) COBJECT(BgL_xz00_107))->BgL_entriesz00);
					{
						obj_t BgL_l1487z00_2451;

						BgL_l1487z00_2451 = BgL_g1489z00_2449;
					BgL_zc3z04anonymousza31934ze3z87_2452:
						if (NULLP(BgL_l1487z00_2451))
							{	/* SawBbv/bbv-utils.scm 291 */
								return ((bool_t) 1);
							}
						else
							{	/* SawBbv/bbv-utils.scm 291 */
								bool_t BgL_test2322z00_4758;

								{	/* SawBbv/bbv-utils.scm 292 */
									obj_t BgL_exz00_2457;

									BgL_exz00_2457 = CAR(((obj_t) BgL_l1487z00_2451));
									{	/* SawBbv/bbv-utils.scm 293 */
										obj_t BgL_eyz00_2459;

										{	/* SawBbv/bbv-utils.scm 293 */
											BgL_rtl_regz00_bglt BgL_arg1938z00_2460;

											BgL_arg1938z00_2460 =
												(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(
														((BgL_bbvzd2ctxentryzd2_bglt) BgL_exz00_2457)))->
												BgL_regz00);
											BgL_eyz00_2459 =
												BGl_bbvzd2ctxzd2getz00zzsaw_bbvzd2typeszd2(BgL_yz00_108,
												BgL_arg1938z00_2460);
										}
										BgL_xz00_2462 = BgL_exz00_2457;
										BgL_yz00_2463 = BgL_eyz00_2459;
										{	/* SawBbv/bbv-utils.scm 272 */
											bool_t BgL_test2323z00_4764;

											{	/* SawBbv/bbv-utils.scm 272 */
												obj_t BgL_arg1983z00_2526;

												BgL_arg1983z00_2526 =
													(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(
															((BgL_bbvzd2ctxentryzd2_bglt) BgL_xz00_2462)))->
													BgL_typesz00);
												BgL_test2323z00_4764 =
													CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
													(BGl_za2objza2z00zztype_cachez00,
														BgL_arg1983z00_2526));
											}
											if (BgL_test2323z00_4764)
												{	/* SawBbv/bbv-utils.scm 272 */
													BgL_test2322z00_4758 = ((bool_t) 1);
												}
											else
												{	/* SawBbv/bbv-utils.scm 274 */
													bool_t BgL_test2324z00_4769;

													{	/* SawBbv/bbv-utils.scm 274 */
														obj_t BgL_arg1982z00_2525;

														BgL_arg1982z00_2525 =
															(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(
																	((BgL_bbvzd2ctxentryzd2_bglt)
																		BgL_yz00_2463)))->BgL_typesz00);
														BgL_test2324z00_4769 =
															CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
															(BGl_za2objza2z00zztype_cachez00,
																BgL_arg1982z00_2525));
													}
													if (BgL_test2324z00_4769)
														{	/* SawBbv/bbv-utils.scm 274 */
															BgL_test2322z00_4758 = ((bool_t) 0);
														}
													else
														{	/* SawBbv/bbv-utils.scm 274 */
															if (
																(BBOOL(
																		(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(
																					((BgL_bbvzd2ctxentryzd2_bglt)
																						BgL_xz00_2462)))->
																			BgL_polarityz00)) ==
																	BBOOL((((BgL_bbvzd2ctxentryzd2_bglt)
																				COBJECT(((BgL_bbvzd2ctxentryzd2_bglt)
																						BgL_yz00_2463)))->
																			BgL_polarityz00))))
																{	/* SawBbv/bbv-utils.scm 278 */
																	bool_t BgL_test2326z00_4782;

																	{
																		obj_t BgL_l1481z00_2514;

																		BgL_l1481z00_2514 =
																			(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(
																					((BgL_bbvzd2ctxentryzd2_bglt)
																						BgL_xz00_2462)))->BgL_typesz00);
																	BgL_zc3z04anonymousza31977ze3z87_2515:
																		if (NULLP(BgL_l1481z00_2514))
																			{	/* SawBbv/bbv-utils.scm 278 */
																				BgL_test2326z00_4782 = ((bool_t) 1);
																			}
																		else
																			{	/* SawBbv/bbv-utils.scm 278 */
																				if (CBOOL
																					(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
																						(CAR(((obj_t) BgL_l1481z00_2514)),
																							(((BgL_bbvzd2ctxentryzd2_bglt)
																									COBJECT((
																											(BgL_bbvzd2ctxentryzd2_bglt)
																											BgL_yz00_2463)))->
																								BgL_typesz00))))
																					{
																						obj_t BgL_l1481z00_4792;

																						BgL_l1481z00_4792 =
																							CDR(((obj_t) BgL_l1481z00_2514));
																						BgL_l1481z00_2514 =
																							BgL_l1481z00_4792;
																						goto
																							BgL_zc3z04anonymousza31977ze3z87_2515;
																					}
																				else
																					{	/* SawBbv/bbv-utils.scm 278 */
																						BgL_test2326z00_4782 = ((bool_t) 0);
																					}
																			}
																	}
																	if (BgL_test2326z00_4782)
																		{	/* SawBbv/bbv-utils.scm 280 */
																			bool_t BgL_test2329z00_4797;

																			{	/* SawBbv/bbv-utils.scm 280 */
																				obj_t BgL_arg1976z00_2511;

																				BgL_arg1976z00_2511 =
																					(((BgL_bbvzd2ctxentryzd2_bglt)
																						COBJECT((
																								(BgL_bbvzd2ctxentryzd2_bglt)
																								BgL_xz00_2462)))->BgL_valuez00);
																				{	/* SawBbv/bbv-utils.scm 280 */
																					obj_t BgL_classz00_3185;

																					BgL_classz00_3185 =
																						BGl_bbvzd2rangezd2zzsaw_bbvzd2rangezd2;
																					if (BGL_OBJECTP(BgL_arg1976z00_2511))
																						{	/* SawBbv/bbv-utils.scm 280 */
																							BgL_objectz00_bglt
																								BgL_arg1858z00_3187;
																							BgL_arg1858z00_3187 =
																								(BgL_objectz00_bglt)
																								(BgL_arg1976z00_2511);
																							if (BGL_CONDEXPAND_ISA_ARCH64())
																								{	/* SawBbv/bbv-utils.scm 280 */
																									long BgL_idxz00_3193;

																									BgL_idxz00_3193 =
																										BGL_OBJECT_INHERITANCE_NUM
																										(BgL_arg1858z00_3187);
																									BgL_test2329z00_4797 =
																										(VECTOR_REF
																										(BGl_za2inheritancesza2z00zz__objectz00,
																											(BgL_idxz00_3193 + 1L)) ==
																										BgL_classz00_3185);
																								}
																							else
																								{	/* SawBbv/bbv-utils.scm 280 */
																									bool_t BgL_res2178z00_3218;

																									{	/* SawBbv/bbv-utils.scm 280 */
																										obj_t BgL_oclassz00_3201;

																										{	/* SawBbv/bbv-utils.scm 280 */
																											obj_t BgL_arg1866z00_3209;
																											long BgL_arg1867z00_3210;

																											BgL_arg1866z00_3209 =
																												(BGl_za2classesza2z00zz__objectz00);
																											{	/* SawBbv/bbv-utils.scm 280 */
																												long
																													BgL_arg1869z00_3211;
																												BgL_arg1869z00_3211 =
																													BGL_OBJECT_CLASS_NUM
																													(BgL_arg1858z00_3187);
																												BgL_arg1867z00_3210 =
																													(BgL_arg1869z00_3211 -
																													OBJECT_TYPE);
																											}
																											BgL_oclassz00_3201 =
																												VECTOR_REF
																												(BgL_arg1866z00_3209,
																												BgL_arg1867z00_3210);
																										}
																										{	/* SawBbv/bbv-utils.scm 280 */
																											bool_t
																												BgL__ortest_1115z00_3202;
																											BgL__ortest_1115z00_3202 =
																												(BgL_classz00_3185 ==
																												BgL_oclassz00_3201);
																											if (BgL__ortest_1115z00_3202)
																												{	/* SawBbv/bbv-utils.scm 280 */
																													BgL_res2178z00_3218 =
																														BgL__ortest_1115z00_3202;
																												}
																											else
																												{	/* SawBbv/bbv-utils.scm 280 */
																													long
																														BgL_odepthz00_3203;
																													{	/* SawBbv/bbv-utils.scm 280 */
																														obj_t
																															BgL_arg1855z00_3204;
																														BgL_arg1855z00_3204
																															=
																															(BgL_oclassz00_3201);
																														BgL_odepthz00_3203 =
																															BGL_CLASS_DEPTH
																															(BgL_arg1855z00_3204);
																													}
																													if (
																														(1L <
																															BgL_odepthz00_3203))
																														{	/* SawBbv/bbv-utils.scm 280 */
																															obj_t
																																BgL_arg1853z00_3206;
																															{	/* SawBbv/bbv-utils.scm 280 */
																																obj_t
																																	BgL_arg1854z00_3207;
																																BgL_arg1854z00_3207
																																	=
																																	(BgL_oclassz00_3201);
																																BgL_arg1853z00_3206
																																	=
																																	BGL_CLASS_ANCESTORS_REF
																																	(BgL_arg1854z00_3207,
																																	1L);
																															}
																															BgL_res2178z00_3218
																																=
																																(BgL_arg1853z00_3206
																																==
																																BgL_classz00_3185);
																														}
																													else
																														{	/* SawBbv/bbv-utils.scm 280 */
																															BgL_res2178z00_3218
																																= ((bool_t) 0);
																														}
																												}
																										}
																									}
																									BgL_test2329z00_4797 =
																										BgL_res2178z00_3218;
																								}
																						}
																					else
																						{	/* SawBbv/bbv-utils.scm 280 */
																							BgL_test2329z00_4797 =
																								((bool_t) 0);
																						}
																				}
																			}
																			if (BgL_test2329z00_4797)
																				{	/* SawBbv/bbv-utils.scm 281 */
																					bool_t BgL_test2334z00_4822;

																					{	/* SawBbv/bbv-utils.scm 281 */
																						obj_t BgL_arg1975z00_2510;

																						BgL_arg1975z00_2510 =
																							(((BgL_bbvzd2ctxentryzd2_bglt)
																								COBJECT((
																										(BgL_bbvzd2ctxentryzd2_bglt)
																										BgL_yz00_2463)))->
																							BgL_valuez00);
																						{	/* SawBbv/bbv-utils.scm 281 */
																							obj_t BgL_classz00_3219;

																							BgL_classz00_3219 =
																								BGl_bbvzd2rangezd2zzsaw_bbvzd2rangezd2;
																							if (BGL_OBJECTP
																								(BgL_arg1975z00_2510))
																								{	/* SawBbv/bbv-utils.scm 281 */
																									BgL_objectz00_bglt
																										BgL_arg1858z00_3221;
																									BgL_arg1858z00_3221 =
																										(BgL_objectz00_bglt)
																										(BgL_arg1975z00_2510);
																									if (BGL_CONDEXPAND_ISA_ARCH64
																										())
																										{	/* SawBbv/bbv-utils.scm 281 */
																											long BgL_idxz00_3227;

																											BgL_idxz00_3227 =
																												BGL_OBJECT_INHERITANCE_NUM
																												(BgL_arg1858z00_3221);
																											BgL_test2334z00_4822 =
																												(VECTOR_REF
																												(BGl_za2inheritancesza2z00zz__objectz00,
																													(BgL_idxz00_3227 +
																														1L)) ==
																												BgL_classz00_3219);
																										}
																									else
																										{	/* SawBbv/bbv-utils.scm 281 */
																											bool_t
																												BgL_res2179z00_3252;
																											{	/* SawBbv/bbv-utils.scm 281 */
																												obj_t
																													BgL_oclassz00_3235;
																												{	/* SawBbv/bbv-utils.scm 281 */
																													obj_t
																														BgL_arg1866z00_3243;
																													long
																														BgL_arg1867z00_3244;
																													BgL_arg1866z00_3243 =
																														(BGl_za2classesza2z00zz__objectz00);
																													{	/* SawBbv/bbv-utils.scm 281 */
																														long
																															BgL_arg1869z00_3245;
																														BgL_arg1869z00_3245
																															=
																															BGL_OBJECT_CLASS_NUM
																															(BgL_arg1858z00_3221);
																														BgL_arg1867z00_3244
																															=
																															(BgL_arg1869z00_3245
																															- OBJECT_TYPE);
																													}
																													BgL_oclassz00_3235 =
																														VECTOR_REF
																														(BgL_arg1866z00_3243,
																														BgL_arg1867z00_3244);
																												}
																												{	/* SawBbv/bbv-utils.scm 281 */
																													bool_t
																														BgL__ortest_1115z00_3236;
																													BgL__ortest_1115z00_3236
																														=
																														(BgL_classz00_3219
																														==
																														BgL_oclassz00_3235);
																													if (BgL__ortest_1115z00_3236)
																														{	/* SawBbv/bbv-utils.scm 281 */
																															BgL_res2179z00_3252
																																=
																																BgL__ortest_1115z00_3236;
																														}
																													else
																														{	/* SawBbv/bbv-utils.scm 281 */
																															long
																																BgL_odepthz00_3237;
																															{	/* SawBbv/bbv-utils.scm 281 */
																																obj_t
																																	BgL_arg1855z00_3238;
																																BgL_arg1855z00_3238
																																	=
																																	(BgL_oclassz00_3235);
																																BgL_odepthz00_3237
																																	=
																																	BGL_CLASS_DEPTH
																																	(BgL_arg1855z00_3238);
																															}
																															if (
																																(1L <
																																	BgL_odepthz00_3237))
																																{	/* SawBbv/bbv-utils.scm 281 */
																																	obj_t
																																		BgL_arg1853z00_3240;
																																	{	/* SawBbv/bbv-utils.scm 281 */
																																		obj_t
																																			BgL_arg1854z00_3241;
																																		BgL_arg1854z00_3241
																																			=
																																			(BgL_oclassz00_3235);
																																		BgL_arg1853z00_3240
																																			=
																																			BGL_CLASS_ANCESTORS_REF
																																			(BgL_arg1854z00_3241,
																																			1L);
																																	}
																																	BgL_res2179z00_3252
																																		=
																																		(BgL_arg1853z00_3240
																																		==
																																		BgL_classz00_3219);
																																}
																															else
																																{	/* SawBbv/bbv-utils.scm 281 */
																																	BgL_res2179z00_3252
																																		=
																																		((bool_t)
																																		0);
																																}
																														}
																												}
																											}
																											BgL_test2334z00_4822 =
																												BgL_res2179z00_3252;
																										}
																								}
																							else
																								{	/* SawBbv/bbv-utils.scm 281 */
																									BgL_test2334z00_4822 =
																										((bool_t) 0);
																								}
																						}
																					}
																					if (BgL_test2334z00_4822)
																						{	/* SawBbv/bbv-utils.scm 282 */
																							BgL_bbvzd2rangezd2_bglt
																								BgL_i1208z00_2490;
																							BgL_i1208z00_2490 =
																								((BgL_bbvzd2rangezd2_bglt) ((
																										(BgL_bbvzd2ctxentryzd2_bglt)
																										COBJECT((
																												(BgL_bbvzd2ctxentryzd2_bglt)
																												BgL_xz00_2462)))->
																									BgL_valuez00));
																							{	/* SawBbv/bbv-utils.scm 283 */
																								BgL_bbvzd2rangezd2_bglt
																									BgL_i1209z00_2491;
																								BgL_i1209z00_2491 =
																									((BgL_bbvzd2rangezd2_bglt) ((
																											(BgL_bbvzd2ctxentryzd2_bglt)
																											COBJECT((
																													(BgL_bbvzd2ctxentryzd2_bglt)
																													BgL_yz00_2463)))->
																										BgL_valuez00));
																								{	/* SawBbv/bbv-utils.scm 284 */
																									bool_t BgL_rz00_2492;

																									if (
																										((long) CINT(
																												(((BgL_bbvzd2rangezd2_bglt) COBJECT(BgL_i1208z00_2490))->BgL_loz00)) <= (long) CINT((((BgL_bbvzd2rangezd2_bglt) COBJECT(BgL_i1209z00_2491))->BgL_loz00))))
																										{	/* SawBbv/bbv-utils.scm 284 */
																											obj_t BgL_a1485z00_2505;

																											BgL_a1485z00_2505 =
																												(((BgL_bbvzd2rangezd2_bglt) COBJECT(BgL_i1208z00_2490))->BgL_upz00);
																											{	/* SawBbv/bbv-utils.scm 284 */
																												obj_t BgL_b1486z00_2506;

																												BgL_b1486z00_2506 =
																													(((BgL_bbvzd2rangezd2_bglt) COBJECT(BgL_i1209z00_2491))->BgL_upz00);
																												{	/* SawBbv/bbv-utils.scm 284 */

																													{	/* SawBbv/bbv-utils.scm 284 */
																														bool_t
																															BgL_test2340z00_4861;
																														if (INTEGERP
																															(BgL_a1485z00_2505))
																															{	/* SawBbv/bbv-utils.scm 284 */
																																BgL_test2340z00_4861
																																	=
																																	INTEGERP
																																	(BgL_b1486z00_2506);
																															}
																														else
																															{	/* SawBbv/bbv-utils.scm 284 */
																																BgL_test2340z00_4861
																																	=
																																	((bool_t) 0);
																															}
																														if (BgL_test2340z00_4861)
																															{	/* SawBbv/bbv-utils.scm 284 */
																																BgL_rz00_2492 =
																																	(
																																	(long)
																																	CINT
																																	(BgL_a1485z00_2505)
																																	>=
																																	(long)
																																	CINT
																																	(BgL_b1486z00_2506));
																															}
																														else
																															{	/* SawBbv/bbv-utils.scm 284 */
																																BgL_rz00_2492 =
																																	BGl_2ze3zd3z30zz__r4_numbers_6_5z00
																																	(BgL_a1485z00_2505,
																																	BgL_b1486z00_2506);
																															}
																													}
																												}
																											}
																										}
																									else
																										{	/* SawBbv/bbv-utils.scm 284 */
																											BgL_rz00_2492 =
																												((bool_t) 0);
																										}
																									if (BgL_rz00_2492)
																										{	/* SawBbv/bbv-utils.scm 285 */
																											BFALSE;
																										}
																									else
																										{	/* SawBbv/bbv-utils.scm 286 */
																											obj_t BgL_arg1960z00_2493;
																											obj_t BgL_arg1961z00_2494;
																											obj_t BgL_arg1962z00_2495;

																											{	/* SawBbv/bbv-utils.scm 286 */
																												obj_t BgL_tmpz00_4870;

																												BgL_tmpz00_4870 =
																													BGL_CURRENT_DYNAMIC_ENV
																													();
																												BgL_arg1960z00_2493 =
																													BGL_ENV_CURRENT_ERROR_PORT
																													(BgL_tmpz00_4870);
																											}
																											BgL_arg1961z00_2494 =
																												BGl_shapez00zztools_shapez00
																												(BgL_xz00_2462);
																											BgL_arg1962z00_2495 =
																												BGl_shapez00zztools_shapez00
																												(BgL_yz00_2463);
																											{	/* SawBbv/bbv-utils.scm 286 */
																												obj_t
																													BgL_list1963z00_2496;
																												{	/* SawBbv/bbv-utils.scm 286 */
																													obj_t
																														BgL_arg1965z00_2497;
																													{	/* SawBbv/bbv-utils.scm 286 */
																														obj_t
																															BgL_arg1966z00_2498;
																														{	/* SawBbv/bbv-utils.scm 286 */
																															obj_t
																																BgL_arg1967z00_2499;
																															{	/* SawBbv/bbv-utils.scm 286 */
																																obj_t
																																	BgL_arg1968z00_2500;
																																{	/* SawBbv/bbv-utils.scm 286 */
																																	obj_t
																																		BgL_arg1969z00_2501;
																																	{	/* SawBbv/bbv-utils.scm 286 */
																																		obj_t
																																			BgL_arg1970z00_2502;
																																		{	/* SawBbv/bbv-utils.scm 286 */
																																			obj_t
																																				BgL_arg1971z00_2503;
																																			BgL_arg1971z00_2503
																																				=
																																				MAKE_YOUNG_PAIR
																																				(BgL_arg1962z00_2495,
																																				BNIL);
																																			BgL_arg1970z00_2502
																																				=
																																				MAKE_YOUNG_PAIR
																																				(BGl_string2194z00zzsaw_bbvzd2utilszd2,
																																				BgL_arg1971z00_2503);
																																		}
																																		BgL_arg1969z00_2501
																																			=
																																			MAKE_YOUNG_PAIR
																																			(BgL_arg1961z00_2494,
																																			BgL_arg1970z00_2502);
																																	}
																																	BgL_arg1968z00_2500
																																		=
																																		MAKE_YOUNG_PAIR
																																		(BGl_string2195z00zzsaw_bbvzd2utilszd2,
																																		BgL_arg1969z00_2501);
																																}
																																BgL_arg1967z00_2499
																																	=
																																	MAKE_YOUNG_PAIR
																																	(BGl_string2185z00zzsaw_bbvzd2utilszd2,
																																	BgL_arg1968z00_2500);
																															}
																															BgL_arg1966z00_2498
																																=
																																MAKE_YOUNG_PAIR
																																(BINT(286L),
																																BgL_arg1967z00_2499);
																														}
																														BgL_arg1965z00_2497
																															=
																															MAKE_YOUNG_PAIR
																															(BGl_string2186z00zzsaw_bbvzd2utilszd2,
																															BgL_arg1966z00_2498);
																													}
																													BgL_list1963z00_2496 =
																														MAKE_YOUNG_PAIR
																														(BGl_string2187z00zzsaw_bbvzd2utilszd2,
																														BgL_arg1965z00_2497);
																												}
																												BGl_tprintz00zz__r4_output_6_10_3z00
																													(BgL_arg1960z00_2493,
																													BgL_list1963z00_2496);
																											}
																										}
																									BgL_test2322z00_4758 =
																										BgL_rz00_2492;
																								}
																							}
																						}
																					else
																						{	/* SawBbv/bbv-utils.scm 281 */
																							BgL_test2322z00_4758 =
																								((bool_t) 0);
																						}
																				}
																			else
																				{	/* SawBbv/bbv-utils.scm 280 */
																					BgL_test2322z00_4758 = ((bool_t) 1);
																				}
																		}
																	else
																		{	/* SawBbv/bbv-utils.scm 278 */
																			BgL_test2322z00_4758 = ((bool_t) 0);
																		}
																}
															else
																{	/* SawBbv/bbv-utils.scm 276 */
																	BgL_test2322z00_4758 = ((bool_t) 0);
																}
														}
												}
										}
									}
								}
								if (BgL_test2322z00_4758)
									{	/* SawBbv/bbv-utils.scm 291 */
										obj_t BgL_arg1936z00_2456;

										BgL_arg1936z00_2456 = CDR(((obj_t) BgL_l1487z00_2451));
										{
											obj_t BgL_l1487z00_4887;

											BgL_l1487z00_4887 = BgL_arg1936z00_2456;
											BgL_l1487z00_2451 = BgL_l1487z00_4887;
											goto BgL_zc3z04anonymousza31934ze3z87_2452;
										}
									}
								else
									{	/* SawBbv/bbv-utils.scm 291 */
										return ((bool_t) 0);
									}
							}
					}
				}
			}
		}

	}



/* bbv-ctx-filter-live-in-regs */
	BGL_EXPORTED_DEF BgL_bbvzd2ctxzd2_bglt
		BGl_bbvzd2ctxzd2filterzd2livezd2inzd2regszd2zzsaw_bbvzd2utilszd2
		(BgL_bbvzd2ctxzd2_bglt BgL_ctxz00_109, BgL_rtl_insz00_bglt BgL_insz00_110)
	{
		{	/* SawBbv/bbv-utils.scm 302 */
			{	/* SawBbv/bbv-utils.scm 302 */
				obj_t BgL_filteredz00_3684;

				BgL_filteredz00_3684 = BGL_MAKE_UNSAFE_CELL(BFALSE);
				{
					BgL_bbvzd2ctxzd2_bglt BgL_ctxz00_2536;
					BgL_rtl_insz00_bglt BgL_insz00_2537;

					{	/* SawBbv/bbv-utils.scm 327 */
						obj_t BgL_entriesz00_2530;

						BgL_ctxz00_2536 = BgL_ctxz00_109;
						BgL_insz00_2537 = BgL_insz00_110;
						{	/* SawBbv/bbv-utils.scm 308 */
							obj_t BgL_arg1988z00_2541;

							BgL_arg1988z00_2541 =
								(((BgL_bbvzd2ctxzd2_bglt) COBJECT(BgL_ctxz00_2536))->
								BgL_entriesz00);
							{	/* SawBbv/bbv-utils.scm 309 */
								obj_t BgL_zc3z04anonymousza31990ze3z87_3674;

								BgL_zc3z04anonymousza31990ze3z87_3674 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3z04anonymousza31990ze3ze5zzsaw_bbvzd2utilszd2,
									(int) (1L), (int) (2L));
								PROCEDURE_SET(BgL_zc3z04anonymousza31990ze3z87_3674, (int) (0L),
									((obj_t) BgL_filteredz00_3684));
								PROCEDURE_SET(BgL_zc3z04anonymousza31990ze3z87_3674, (int) (1L),
									((obj_t) BgL_insz00_2537));
								{	/* SawBbv/bbv-utils.scm 308 */
									obj_t BgL_list1989z00_2542;

									BgL_list1989z00_2542 =
										MAKE_YOUNG_PAIR(BgL_arg1988z00_2541, BNIL);
									BgL_entriesz00_2530 =
										BGl_filterzd2mapzd2zz__r4_control_features_6_9z00
										(BgL_zc3z04anonymousza31990ze3z87_3674,
										BgL_list1989z00_2542);
						}}}
						if (CBOOL(BGL_UNSAFE_CELL_REF(BgL_filteredz00_3684)))
							{	/* SawBbv/bbv-utils.scm 329 */
								BgL_bbvzd2ctxzd2_bglt BgL_new1219z00_2532;

								{	/* SawBbv/bbv-utils.scm 329 */
									BgL_bbvzd2ctxzd2_bglt BgL_new1222z00_2534;

									BgL_new1222z00_2534 =
										((BgL_bbvzd2ctxzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
													BgL_bbvzd2ctxzd2_bgl))));
									{	/* SawBbv/bbv-utils.scm 329 */
										long BgL_arg1985z00_2535;

										BgL_arg1985z00_2535 =
											BGL_CLASS_NUM(BGl_bbvzd2ctxzd2zzsaw_bbvzd2typeszd2);
										BGL_OBJECT_CLASS_NUM_SET(
											((BgL_objectz00_bglt) BgL_new1222z00_2534),
											BgL_arg1985z00_2535);
									}
									BgL_new1219z00_2532 = BgL_new1222z00_2534;
								}
								((((BgL_bbvzd2ctxzd2_bglt) COBJECT(BgL_new1219z00_2532))->
										BgL_idz00) =
									((long) (((BgL_bbvzd2ctxzd2_bglt) COBJECT(BgL_ctxz00_109))->
											BgL_idz00)), BUNSPEC);
								((((BgL_bbvzd2ctxzd2_bglt) COBJECT(BgL_new1219z00_2532))->
										BgL_entriesz00) = ((obj_t) BgL_entriesz00_2530), BUNSPEC);
								{	/* SawBbv/bbv-utils.scm 330 */
									obj_t BgL_fun1984z00_2533;

									BgL_fun1984z00_2533 =
										BGl_classzd2constructorzd2zz__objectz00
										(BGl_bbvzd2ctxzd2zzsaw_bbvzd2typeszd2);
									BGL_PROCEDURE_CALL1(BgL_fun1984z00_2533,
										((obj_t) BgL_new1219z00_2532));
								}
								return BgL_new1219z00_2532;
							}
						else
							{	/* SawBbv/bbv-utils.scm 328 */
								return BgL_ctxz00_109;
							}
					}
				}
			}
		}

	}



/* &bbv-ctx-filter-live-in-regs */
	BgL_bbvzd2ctxzd2_bglt
		BGl_z62bbvzd2ctxzd2filterzd2livezd2inzd2regszb0zzsaw_bbvzd2utilszd2(obj_t
		BgL_envz00_3675, obj_t BgL_ctxz00_3676, obj_t BgL_insz00_3677)
	{
		{	/* SawBbv/bbv-utils.scm 302 */
			return
				BGl_bbvzd2ctxzd2filterzd2livezd2inzd2regszd2zzsaw_bbvzd2utilszd2(
				((BgL_bbvzd2ctxzd2_bglt) BgL_ctxz00_3676),
				((BgL_rtl_insz00_bglt) BgL_insz00_3677));
		}

	}



/* &<@anonymous:1990> */
	obj_t BGl_z62zc3z04anonymousza31990ze3ze5zzsaw_bbvzd2utilszd2(obj_t
		BgL_envz00_3678, obj_t BgL_ez00_3681)
	{
		{	/* SawBbv/bbv-utils.scm 308 */
			{	/* SawBbv/bbv-utils.scm 309 */
				obj_t BgL_filteredz00_3679;
				BgL_rtl_insz00_bglt BgL_i1213z00_3680;

				BgL_filteredz00_3679 = PROCEDURE_REF(BgL_envz00_3678, (int) (0L));
				BgL_i1213z00_3680 =
					((BgL_rtl_insz00_bglt) PROCEDURE_REF(BgL_envz00_3678, (int) (1L)));
				{	/* SawBbv/bbv-utils.scm 309 */
					BgL_rtl_regz00_bglt BgL_regz00_3762;

					BgL_regz00_3762 =
						(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(
								((BgL_bbvzd2ctxentryzd2_bglt) BgL_ez00_3681)))->BgL_regz00);
					{	/* SawBbv/bbv-utils.scm 311 */
						bool_t BgL_test2344z00_4925;

						{	/* SawBbv/bbv-utils.scm 311 */
							obj_t BgL_arg2012z00_3763;

							{
								BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_4926;

								{
									obj_t BgL_auxz00_4927;

									{	/* SawBbv/bbv-utils.scm 311 */
										BgL_objectz00_bglt BgL_tmpz00_4928;

										BgL_tmpz00_4928 = ((BgL_objectz00_bglt) BgL_i1213z00_3680);
										BgL_auxz00_4927 = BGL_OBJECT_WIDENING(BgL_tmpz00_4928);
									}
									BgL_auxz00_4926 =
										((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_4927);
								}
								BgL_arg2012z00_3763 =
									(((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_4926))->
									BgL_inz00);
							}
							{	/* SawBbv/bbv-utils.scm 311 */
								long BgL_basez00_3764;
								long BgL_bitz00_3765;

								{	/* SawBbv/bbv-utils.scm 311 */
									int BgL_arg2070z00_3766;

									{
										BgL_rtl_regzf2razf2_bglt BgL_auxz00_4933;

										{
											obj_t BgL_auxz00_4934;

											{	/* SawBbv/bbv-utils.scm 311 */
												BgL_objectz00_bglt BgL_tmpz00_4935;

												BgL_tmpz00_4935 =
													((BgL_objectz00_bglt)
													((BgL_rtl_regz00_bglt) BgL_regz00_3762));
												BgL_auxz00_4934 = BGL_OBJECT_WIDENING(BgL_tmpz00_4935);
											}
											BgL_auxz00_4933 =
												((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_4934);
										}
										BgL_arg2070z00_3766 =
											(((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_4933))->
											BgL_numz00);
									}
									BgL_basez00_3764 = ((long) (BgL_arg2070z00_3766) / 8L);
								}
								{	/* SawBbv/bbv-utils.scm 311 */
									int BgL_arg2071z00_3767;

									{
										BgL_rtl_regzf2razf2_bglt BgL_auxz00_4943;

										{
											obj_t BgL_auxz00_4944;

											{	/* SawBbv/bbv-utils.scm 311 */
												BgL_objectz00_bglt BgL_tmpz00_4945;

												BgL_tmpz00_4945 =
													((BgL_objectz00_bglt)
													((BgL_rtl_regz00_bglt) BgL_regz00_3762));
												BgL_auxz00_4944 = BGL_OBJECT_WIDENING(BgL_tmpz00_4945);
											}
											BgL_auxz00_4943 =
												((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_4944);
										}
										BgL_arg2071z00_3767 =
											(((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_4943))->
											BgL_numz00);
									}
									{	/* SawBbv/bbv-utils.scm 311 */
										long BgL_n1z00_3768;
										long BgL_n2z00_3769;

										BgL_n1z00_3768 = (long) (BgL_arg2071z00_3767);
										BgL_n2z00_3769 = 8L;
										{	/* SawBbv/bbv-utils.scm 311 */
											bool_t BgL_test2345z00_4952;

											{	/* SawBbv/bbv-utils.scm 311 */
												long BgL_arg1375z00_3770;

												BgL_arg1375z00_3770 =
													(((BgL_n1z00_3768) | (BgL_n2z00_3769)) & -2147483648);
												BgL_test2345z00_4952 = (BgL_arg1375z00_3770 == 0L);
											}
											if (BgL_test2345z00_4952)
												{	/* SawBbv/bbv-utils.scm 311 */
													int32_t BgL_arg1372z00_3771;

													{	/* SawBbv/bbv-utils.scm 311 */
														int32_t BgL_arg1373z00_3772;
														int32_t BgL_arg1374z00_3773;

														BgL_arg1373z00_3772 = (int32_t) (BgL_n1z00_3768);
														BgL_arg1374z00_3773 = (int32_t) (BgL_n2z00_3769);
														BgL_arg1372z00_3771 =
															(BgL_arg1373z00_3772 % BgL_arg1374z00_3773);
													}
													{	/* SawBbv/bbv-utils.scm 311 */
														long BgL_arg1477z00_3774;

														BgL_arg1477z00_3774 = (long) (BgL_arg1372z00_3771);
														BgL_bitz00_3765 = (long) (BgL_arg1477z00_3774);
												}}
											else
												{	/* SawBbv/bbv-utils.scm 311 */
													BgL_bitz00_3765 = (BgL_n1z00_3768 % BgL_n2z00_3769);
												}
										}
									}
								}
								if (
									(BgL_basez00_3764 <
										STRING_LENGTH(
											(((BgL_regsetz00_bglt) COBJECT(
														((BgL_regsetz00_bglt) BgL_arg2012z00_3763)))->
												BgL_stringz00))))
									{	/* SawBbv/bbv-utils.scm 311 */
										BgL_test2344z00_4925 =
											(
											((STRING_REF(
														(((BgL_regsetz00_bglt) COBJECT(
																	((BgL_regsetz00_bglt) BgL_arg2012z00_3763)))->
															BgL_stringz00),
														BgL_basez00_3764)) & (1L <<
													(int) (BgL_bitz00_3765))) > 0L);
									}
								else
									{	/* SawBbv/bbv-utils.scm 311 */
										BgL_test2344z00_4925 = ((bool_t) 0);
									}
							}
						}
						if (BgL_test2344z00_4925)
							{	/* SawBbv/bbv-utils.scm 312 */
								bool_t BgL_test2347z00_4974;

								{	/* SawBbv/bbv-utils.scm 312 */
									obj_t BgL_g1493z00_3775;

									BgL_g1493z00_3775 =
										(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(
												((BgL_bbvzd2ctxentryzd2_bglt) BgL_ez00_3681)))->
										BgL_aliasesz00);
									{
										obj_t BgL_l1491z00_3777;

										BgL_l1491z00_3777 = BgL_g1493z00_3775;
									BgL_zc3z04anonymousza32009ze3z87_3776:
										if (NULLP(BgL_l1491z00_3777))
											{	/* SawBbv/bbv-utils.scm 314 */
												BgL_test2347z00_4974 = ((bool_t) 1);
											}
										else
											{	/* SawBbv/bbv-utils.scm 314 */
												bool_t BgL_test2349z00_4979;

												{	/* SawBbv/bbv-utils.scm 313 */
													obj_t BgL_regz00_3778;

													BgL_regz00_3778 = CAR(((obj_t) BgL_l1491z00_3777));
													{	/* SawBbv/bbv-utils.scm 313 */
														obj_t BgL_arg2011z00_3779;

														{
															BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_4982;

															{
																obj_t BgL_auxz00_4983;

																{	/* SawBbv/bbv-utils.scm 313 */
																	BgL_objectz00_bglt BgL_tmpz00_4984;

																	BgL_tmpz00_4984 =
																		((BgL_objectz00_bglt) BgL_i1213z00_3680);
																	BgL_auxz00_4983 =
																		BGL_OBJECT_WIDENING(BgL_tmpz00_4984);
																}
																BgL_auxz00_4982 =
																	((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_4983);
															}
															BgL_arg2011z00_3779 =
																(((BgL_rtl_inszf2bbvzf2_bglt)
																	COBJECT(BgL_auxz00_4982))->BgL_inz00);
														}
														{	/* SawBbv/bbv-utils.scm 313 */
															long BgL_basez00_3780;
															long BgL_bitz00_3781;

															{	/* SawBbv/bbv-utils.scm 313 */
																int BgL_arg2070z00_3782;

																{
																	BgL_rtl_regzf2razf2_bglt BgL_auxz00_4989;

																	{
																		obj_t BgL_auxz00_4990;

																		{	/* SawBbv/bbv-utils.scm 313 */
																			BgL_objectz00_bglt BgL_tmpz00_4991;

																			BgL_tmpz00_4991 =
																				((BgL_objectz00_bglt)
																				((BgL_rtl_regz00_bglt)
																					BgL_regz00_3778));
																			BgL_auxz00_4990 =
																				BGL_OBJECT_WIDENING(BgL_tmpz00_4991);
																		}
																		BgL_auxz00_4989 =
																			((BgL_rtl_regzf2razf2_bglt)
																			BgL_auxz00_4990);
																	}
																	BgL_arg2070z00_3782 =
																		(((BgL_rtl_regzf2razf2_bglt)
																			COBJECT(BgL_auxz00_4989))->BgL_numz00);
																}
																BgL_basez00_3780 =
																	((long) (BgL_arg2070z00_3782) / 8L);
															}
															{	/* SawBbv/bbv-utils.scm 313 */
																int BgL_arg2071z00_3783;

																{
																	BgL_rtl_regzf2razf2_bglt BgL_auxz00_4999;

																	{
																		obj_t BgL_auxz00_5000;

																		{	/* SawBbv/bbv-utils.scm 313 */
																			BgL_objectz00_bglt BgL_tmpz00_5001;

																			BgL_tmpz00_5001 =
																				((BgL_objectz00_bglt)
																				((BgL_rtl_regz00_bglt)
																					BgL_regz00_3778));
																			BgL_auxz00_5000 =
																				BGL_OBJECT_WIDENING(BgL_tmpz00_5001);
																		}
																		BgL_auxz00_4999 =
																			((BgL_rtl_regzf2razf2_bglt)
																			BgL_auxz00_5000);
																	}
																	BgL_arg2071z00_3783 =
																		(((BgL_rtl_regzf2razf2_bglt)
																			COBJECT(BgL_auxz00_4999))->BgL_numz00);
																}
																{	/* SawBbv/bbv-utils.scm 313 */
																	long BgL_n1z00_3784;
																	long BgL_n2z00_3785;

																	BgL_n1z00_3784 = (long) (BgL_arg2071z00_3783);
																	BgL_n2z00_3785 = 8L;
																	{	/* SawBbv/bbv-utils.scm 313 */
																		bool_t BgL_test2350z00_5008;

																		{	/* SawBbv/bbv-utils.scm 313 */
																			long BgL_arg1375z00_3786;

																			BgL_arg1375z00_3786 =
																				(((BgL_n1z00_3784) | (BgL_n2z00_3785)) &
																				-2147483648);
																			BgL_test2350z00_5008 =
																				(BgL_arg1375z00_3786 == 0L);
																		}
																		if (BgL_test2350z00_5008)
																			{	/* SawBbv/bbv-utils.scm 313 */
																				int32_t BgL_arg1372z00_3787;

																				{	/* SawBbv/bbv-utils.scm 313 */
																					int32_t BgL_arg1373z00_3788;
																					int32_t BgL_arg1374z00_3789;

																					BgL_arg1373z00_3788 =
																						(int32_t) (BgL_n1z00_3784);
																					BgL_arg1374z00_3789 =
																						(int32_t) (BgL_n2z00_3785);
																					BgL_arg1372z00_3787 =
																						(BgL_arg1373z00_3788 %
																						BgL_arg1374z00_3789);
																				}
																				{	/* SawBbv/bbv-utils.scm 313 */
																					long BgL_arg1477z00_3790;

																					BgL_arg1477z00_3790 =
																						(long) (BgL_arg1372z00_3787);
																					BgL_bitz00_3781 =
																						(long) (BgL_arg1477z00_3790);
																			}}
																		else
																			{	/* SawBbv/bbv-utils.scm 313 */
																				BgL_bitz00_3781 =
																					(BgL_n1z00_3784 % BgL_n2z00_3785);
																			}
																	}
																}
															}
															if (
																(BgL_basez00_3780 <
																	STRING_LENGTH(
																		(((BgL_regsetz00_bglt) COBJECT(
																					((BgL_regsetz00_bglt)
																						BgL_arg2011z00_3779)))->
																			BgL_stringz00))))
																{	/* SawBbv/bbv-utils.scm 313 */
																	BgL_test2349z00_4979 =
																		(
																		((STRING_REF(
																					(((BgL_regsetz00_bglt) COBJECT(
																								((BgL_regsetz00_bglt)
																									BgL_arg2011z00_3779)))->
																						BgL_stringz00),
																					BgL_basez00_3780)) & (1L <<
																				(int) (BgL_bitz00_3781))) > 0L);
																}
															else
																{	/* SawBbv/bbv-utils.scm 313 */
																	BgL_test2349z00_4979 = ((bool_t) 0);
																}
														}
													}
												}
												if (BgL_test2349z00_4979)
													{	/* SawBbv/bbv-utils.scm 314 */
														obj_t BgL_arg2010z00_3791;

														BgL_arg2010z00_3791 =
															CDR(((obj_t) BgL_l1491z00_3777));
														{
															obj_t BgL_l1491z00_5032;

															BgL_l1491z00_5032 = BgL_arg2010z00_3791;
															BgL_l1491z00_3777 = BgL_l1491z00_5032;
															goto BgL_zc3z04anonymousza32009ze3z87_3776;
														}
													}
												else
													{	/* SawBbv/bbv-utils.scm 314 */
														BgL_test2347z00_4974 = ((bool_t) 0);
													}
											}
									}
								}
								if (BgL_test2347z00_4974)
									{	/* SawBbv/bbv-utils.scm 312 */
										return BgL_ez00_3681;
									}
								else
									{	/* SawBbv/bbv-utils.scm 316 */
										obj_t BgL_aliasesz00_3792;

										{	/* SawBbv/bbv-utils.scm 316 */
											obj_t BgL_hook1499z00_3793;

											BgL_hook1499z00_3793 = MAKE_YOUNG_PAIR(BFALSE, BNIL);
											{	/* SawBbv/bbv-utils.scm 318 */
												obj_t BgL_g1500z00_3794;

												BgL_g1500z00_3794 =
													(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(
															((BgL_bbvzd2ctxentryzd2_bglt) BgL_ez00_3681)))->
													BgL_aliasesz00);
												{
													obj_t BgL_l1496z00_3796;
													obj_t BgL_h1497z00_3797;

													BgL_l1496z00_3796 = BgL_g1500z00_3794;
													BgL_h1497z00_3797 = BgL_hook1499z00_3793;
												BgL_zc3z04anonymousza32001ze3z87_3795:
													if (NULLP(BgL_l1496z00_3796))
														{	/* SawBbv/bbv-utils.scm 318 */
															BgL_aliasesz00_3792 = CDR(BgL_hook1499z00_3793);
														}
													else
														{	/* SawBbv/bbv-utils.scm 318 */
															bool_t BgL_test2353z00_5039;

															{	/* SawBbv/bbv-utils.scm 317 */
																obj_t BgL_regz00_3798;

																BgL_regz00_3798 =
																	CAR(((obj_t) BgL_l1496z00_3796));
																{	/* SawBbv/bbv-utils.scm 317 */
																	obj_t BgL_arg2008z00_3799;

																	{
																		BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_5042;

																		{
																			obj_t BgL_auxz00_5043;

																			{	/* SawBbv/bbv-utils.scm 317 */
																				BgL_objectz00_bglt BgL_tmpz00_5044;

																				BgL_tmpz00_5044 =
																					((BgL_objectz00_bglt)
																					BgL_i1213z00_3680);
																				BgL_auxz00_5043 =
																					BGL_OBJECT_WIDENING(BgL_tmpz00_5044);
																			}
																			BgL_auxz00_5042 =
																				((BgL_rtl_inszf2bbvzf2_bglt)
																				BgL_auxz00_5043);
																		}
																		BgL_arg2008z00_3799 =
																			(((BgL_rtl_inszf2bbvzf2_bglt)
																				COBJECT(BgL_auxz00_5042))->BgL_inz00);
																	}
																	{	/* SawBbv/bbv-utils.scm 317 */
																		long BgL_basez00_3800;
																		long BgL_bitz00_3801;

																		{	/* SawBbv/bbv-utils.scm 317 */
																			int BgL_arg2070z00_3802;

																			{
																				BgL_rtl_regzf2razf2_bglt
																					BgL_auxz00_5049;
																				{
																					obj_t BgL_auxz00_5050;

																					{	/* SawBbv/bbv-utils.scm 317 */
																						BgL_objectz00_bglt BgL_tmpz00_5051;

																						BgL_tmpz00_5051 =
																							((BgL_objectz00_bglt)
																							((BgL_rtl_regz00_bglt)
																								BgL_regz00_3798));
																						BgL_auxz00_5050 =
																							BGL_OBJECT_WIDENING
																							(BgL_tmpz00_5051);
																					}
																					BgL_auxz00_5049 =
																						((BgL_rtl_regzf2razf2_bglt)
																						BgL_auxz00_5050);
																				}
																				BgL_arg2070z00_3802 =
																					(((BgL_rtl_regzf2razf2_bglt)
																						COBJECT(BgL_auxz00_5049))->
																					BgL_numz00);
																			}
																			BgL_basez00_3800 =
																				((long) (BgL_arg2070z00_3802) / 8L);
																		}
																		{	/* SawBbv/bbv-utils.scm 317 */
																			int BgL_arg2071z00_3803;

																			{
																				BgL_rtl_regzf2razf2_bglt
																					BgL_auxz00_5059;
																				{
																					obj_t BgL_auxz00_5060;

																					{	/* SawBbv/bbv-utils.scm 317 */
																						BgL_objectz00_bglt BgL_tmpz00_5061;

																						BgL_tmpz00_5061 =
																							((BgL_objectz00_bglt)
																							((BgL_rtl_regz00_bglt)
																								BgL_regz00_3798));
																						BgL_auxz00_5060 =
																							BGL_OBJECT_WIDENING
																							(BgL_tmpz00_5061);
																					}
																					BgL_auxz00_5059 =
																						((BgL_rtl_regzf2razf2_bglt)
																						BgL_auxz00_5060);
																				}
																				BgL_arg2071z00_3803 =
																					(((BgL_rtl_regzf2razf2_bglt)
																						COBJECT(BgL_auxz00_5059))->
																					BgL_numz00);
																			}
																			{	/* SawBbv/bbv-utils.scm 317 */
																				long BgL_n1z00_3804;
																				long BgL_n2z00_3805;

																				BgL_n1z00_3804 =
																					(long) (BgL_arg2071z00_3803);
																				BgL_n2z00_3805 = 8L;
																				{	/* SawBbv/bbv-utils.scm 317 */
																					bool_t BgL_test2354z00_5068;

																					{	/* SawBbv/bbv-utils.scm 317 */
																						long BgL_arg1375z00_3806;

																						BgL_arg1375z00_3806 =
																							(((BgL_n1z00_3804) |
																								(BgL_n2z00_3805)) &
																							-2147483648);
																						BgL_test2354z00_5068 =
																							(BgL_arg1375z00_3806 == 0L);
																					}
																					if (BgL_test2354z00_5068)
																						{	/* SawBbv/bbv-utils.scm 317 */
																							int32_t BgL_arg1372z00_3807;

																							{	/* SawBbv/bbv-utils.scm 317 */
																								int32_t BgL_arg1373z00_3808;
																								int32_t BgL_arg1374z00_3809;

																								BgL_arg1373z00_3808 =
																									(int32_t) (BgL_n1z00_3804);
																								BgL_arg1374z00_3809 =
																									(int32_t) (BgL_n2z00_3805);
																								BgL_arg1372z00_3807 =
																									(BgL_arg1373z00_3808 %
																									BgL_arg1374z00_3809);
																							}
																							{	/* SawBbv/bbv-utils.scm 317 */
																								long BgL_arg1477z00_3810;

																								BgL_arg1477z00_3810 =
																									(long) (BgL_arg1372z00_3807);
																								BgL_bitz00_3801 =
																									(long) (BgL_arg1477z00_3810);
																						}}
																					else
																						{	/* SawBbv/bbv-utils.scm 317 */
																							BgL_bitz00_3801 =
																								(BgL_n1z00_3804 %
																								BgL_n2z00_3805);
																						}
																				}
																			}
																		}
																		if (
																			(BgL_basez00_3800 <
																				STRING_LENGTH(
																					(((BgL_regsetz00_bglt) COBJECT(
																								((BgL_regsetz00_bglt)
																									BgL_arg2008z00_3799)))->
																						BgL_stringz00))))
																			{	/* SawBbv/bbv-utils.scm 317 */
																				BgL_test2353z00_5039 =
																					(
																					((STRING_REF(
																								(((BgL_regsetz00_bglt) COBJECT(
																											((BgL_regsetz00_bglt)
																												BgL_arg2008z00_3799)))->
																									BgL_stringz00),
																								BgL_basez00_3800)) & (1L <<
																							(int) (BgL_bitz00_3801))) > 0L);
																			}
																		else
																			{	/* SawBbv/bbv-utils.scm 317 */
																				BgL_test2353z00_5039 = ((bool_t) 0);
																			}
																	}
																}
															}
															if (BgL_test2353z00_5039)
																{	/* SawBbv/bbv-utils.scm 318 */
																	obj_t BgL_nh1498z00_3811;

																	{	/* SawBbv/bbv-utils.scm 318 */
																		obj_t BgL_arg2006z00_3812;

																		BgL_arg2006z00_3812 =
																			CAR(((obj_t) BgL_l1496z00_3796));
																		BgL_nh1498z00_3811 =
																			MAKE_YOUNG_PAIR(BgL_arg2006z00_3812,
																			BNIL);
																	}
																	SET_CDR(BgL_h1497z00_3797,
																		BgL_nh1498z00_3811);
																	{	/* SawBbv/bbv-utils.scm 318 */
																		obj_t BgL_arg2005z00_3813;

																		BgL_arg2005z00_3813 =
																			CDR(((obj_t) BgL_l1496z00_3796));
																		{
																			obj_t BgL_h1497z00_5097;
																			obj_t BgL_l1496z00_5096;

																			BgL_l1496z00_5096 = BgL_arg2005z00_3813;
																			BgL_h1497z00_5097 = BgL_nh1498z00_3811;
																			BgL_h1497z00_3797 = BgL_h1497z00_5097;
																			BgL_l1496z00_3796 = BgL_l1496z00_5096;
																			goto
																				BgL_zc3z04anonymousza32001ze3z87_3795;
																		}
																	}
																}
															else
																{	/* SawBbv/bbv-utils.scm 318 */
																	obj_t BgL_arg2007z00_3814;

																	BgL_arg2007z00_3814 =
																		CDR(((obj_t) BgL_l1496z00_3796));
																	{
																		obj_t BgL_l1496z00_5100;

																		BgL_l1496z00_5100 = BgL_arg2007z00_3814;
																		BgL_l1496z00_3796 = BgL_l1496z00_5100;
																		goto BgL_zc3z04anonymousza32001ze3z87_3795;
																	}
																}
														}
												}
											}
										}
										{	/* SawBbv/bbv-utils.scm 319 */
											obj_t BgL_auxz00_3815;

											BgL_auxz00_3815 = BTRUE;
											BGL_UNSAFE_CELL_SET(BgL_filteredz00_3679,
												BgL_auxz00_3815);
										}
										{	/* SawBbv/bbv-utils.scm 320 */
											BgL_bbvzd2ctxentryzd2_bglt BgL_new1214z00_3816;

											{	/* SawBbv/bbv-utils.scm 320 */
												BgL_bbvzd2ctxentryzd2_bglt BgL_new1217z00_3817;

												BgL_new1217z00_3817 =
													((BgL_bbvzd2ctxentryzd2_bglt)
													BOBJECT(GC_MALLOC(sizeof(struct
																BgL_bbvzd2ctxentryzd2_bgl))));
												{	/* SawBbv/bbv-utils.scm 320 */
													long BgL_arg2000z00_3818;

													BgL_arg2000z00_3818 =
														BGL_CLASS_NUM
														(BGl_bbvzd2ctxentryzd2zzsaw_bbvzd2typeszd2);
													BGL_OBJECT_CLASS_NUM_SET(((BgL_objectz00_bglt)
															BgL_new1217z00_3817), BgL_arg2000z00_3818);
												}
												BgL_new1214z00_3816 = BgL_new1217z00_3817;
											}
											((((BgL_bbvzd2ctxentryzd2_bglt)
														COBJECT(BgL_new1214z00_3816))->BgL_regz00) =
												((BgL_rtl_regz00_bglt) (((BgL_bbvzd2ctxentryzd2_bglt)
															COBJECT(((BgL_bbvzd2ctxentryzd2_bglt)
																	BgL_ez00_3681)))->BgL_regz00)), BUNSPEC);
											((((BgL_bbvzd2ctxentryzd2_bglt)
														COBJECT(BgL_new1214z00_3816))->BgL_typesz00) =
												((obj_t) (((BgL_bbvzd2ctxentryzd2_bglt)
															COBJECT(((BgL_bbvzd2ctxentryzd2_bglt)
																	BgL_ez00_3681)))->BgL_typesz00)), BUNSPEC);
											((((BgL_bbvzd2ctxentryzd2_bglt)
														COBJECT(BgL_new1214z00_3816))->BgL_polarityz00) =
												((bool_t) (((BgL_bbvzd2ctxentryzd2_bglt)
															COBJECT(((BgL_bbvzd2ctxentryzd2_bglt)
																	BgL_ez00_3681)))->BgL_polarityz00)), BUNSPEC);
											((((BgL_bbvzd2ctxentryzd2_bglt)
														COBJECT(BgL_new1214z00_3816))->BgL_countz00) =
												((long) (((BgL_bbvzd2ctxentryzd2_bglt)
															COBJECT(((BgL_bbvzd2ctxentryzd2_bglt)
																	BgL_ez00_3681)))->BgL_countz00)), BUNSPEC);
											((((BgL_bbvzd2ctxentryzd2_bglt)
														COBJECT(BgL_new1214z00_3816))->BgL_valuez00) =
												((obj_t) (((BgL_bbvzd2ctxentryzd2_bglt)
															COBJECT(((BgL_bbvzd2ctxentryzd2_bglt)
																	BgL_ez00_3681)))->BgL_valuez00)), BUNSPEC);
											((((BgL_bbvzd2ctxentryzd2_bglt)
														COBJECT(BgL_new1214z00_3816))->BgL_aliasesz00) =
												((obj_t) BgL_aliasesz00_3792), BUNSPEC);
											((((BgL_bbvzd2ctxentryzd2_bglt)
														COBJECT(BgL_new1214z00_3816))->BgL_initvalz00) =
												((obj_t) (((BgL_bbvzd2ctxentryzd2_bglt)
															COBJECT(((BgL_bbvzd2ctxentryzd2_bglt)
																	BgL_ez00_3681)))->BgL_initvalz00)), BUNSPEC);
											return ((obj_t) BgL_new1214z00_3816);
										}
									}
							}
						else
							{	/* SawBbv/bbv-utils.scm 311 */
								{	/* SawBbv/bbv-utils.scm 323 */
									obj_t BgL_auxz00_3819;

									BgL_auxz00_3819 = BTRUE;
									BGL_UNSAFE_CELL_SET(BgL_filteredz00_3679, BgL_auxz00_3819);
								}
								return BFALSE;
							}
					}
				}
			}
		}

	}



/* bbv-ctx-extend-live-out-regs */
	BGL_EXPORTED_DEF BgL_bbvzd2ctxzd2_bglt
		BGl_bbvzd2ctxzd2extendzd2livezd2outzd2regszd2zzsaw_bbvzd2utilszd2
		(BgL_bbvzd2ctxzd2_bglt BgL_ctxz00_111, BgL_rtl_insz00_bglt BgL_insz00_112)
	{
		{	/* SawBbv/bbv-utils.scm 336 */
			{	/* SawBbv/bbv-utils.scm 338 */
				obj_t BgL_entriesz00_2597;

				{	/* SawBbv/bbv-utils.scm 338 */
					obj_t BgL_arg2023z00_2617;

					BgL_arg2023z00_2617 =
						(((BgL_bbvzd2ctxzd2_bglt) COBJECT(BgL_ctxz00_111))->BgL_entriesz00);
					{	/* SawBbv/bbv-utils.scm 339 */
						obj_t BgL_zc3z04anonymousza32025ze3z87_3687;

						BgL_zc3z04anonymousza32025ze3z87_3687 =
							MAKE_FX_PROCEDURE
							(BGl_z62zc3z04anonymousza32025ze3ze5zzsaw_bbvzd2utilszd2,
							(int) (1L), (int) (1L));
						PROCEDURE_SET(BgL_zc3z04anonymousza32025ze3z87_3687, (int) (0L),
							((obj_t) BgL_insz00_112));
						{	/* SawBbv/bbv-utils.scm 338 */
							obj_t BgL_list2024z00_2618;

							BgL_list2024z00_2618 = MAKE_YOUNG_PAIR(BgL_arg2023z00_2617, BNIL);
							BgL_entriesz00_2597 =
								BGl_filterzd2mapzd2zz__r4_control_features_6_9z00
								(BgL_zc3z04anonymousza32025ze3z87_3687, BgL_list2024z00_2618);
				}}}
				{	/* SawBbv/bbv-utils.scm 346 */
					BgL_bbvzd2ctxzd2_bglt BgL_nctxz00_2598;

					{	/* SawBbv/bbv-utils.scm 346 */
						BgL_bbvzd2ctxzd2_bglt BgL_new1230z00_2612;

						{	/* SawBbv/bbv-utils.scm 346 */
							BgL_bbvzd2ctxzd2_bglt BgL_new1233z00_2614;

							BgL_new1233z00_2614 =
								((BgL_bbvzd2ctxzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_bbvzd2ctxzd2_bgl))));
							{	/* SawBbv/bbv-utils.scm 346 */
								long BgL_arg2021z00_2615;

								BgL_arg2021z00_2615 =
									BGL_CLASS_NUM(BGl_bbvzd2ctxzd2zzsaw_bbvzd2typeszd2);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1233z00_2614),
									BgL_arg2021z00_2615);
							}
							BgL_new1230z00_2612 = BgL_new1233z00_2614;
						}
						((((BgL_bbvzd2ctxzd2_bglt) COBJECT(BgL_new1230z00_2612))->
								BgL_idz00) =
							((long) (((BgL_bbvzd2ctxzd2_bglt) COBJECT(BgL_ctxz00_111))->
									BgL_idz00)), BUNSPEC);
						((((BgL_bbvzd2ctxzd2_bglt) COBJECT(BgL_new1230z00_2612))->
								BgL_entriesz00) = ((obj_t) BgL_entriesz00_2597), BUNSPEC);
						{	/* SawBbv/bbv-utils.scm 347 */
							obj_t BgL_fun2020z00_2613;

							BgL_fun2020z00_2613 =
								BGl_classzd2constructorzd2zz__objectz00
								(BGl_bbvzd2ctxzd2zzsaw_bbvzd2typeszd2);
							BGL_PROCEDURE_CALL1(BgL_fun2020z00_2613,
								((obj_t) BgL_new1230z00_2612));
						}
						BgL_nctxz00_2598 = BgL_new1230z00_2612;
					}
					{	/* SawBbv/bbv-utils.scm 348 */
						obj_t BgL_arg2014z00_2600;

						{
							BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_5147;

							{
								obj_t BgL_auxz00_5148;

								{	/* SawBbv/bbv-utils.scm 348 */
									BgL_objectz00_bglt BgL_tmpz00_5149;

									BgL_tmpz00_5149 = ((BgL_objectz00_bglt) BgL_insz00_112);
									BgL_auxz00_5148 = BGL_OBJECT_WIDENING(BgL_tmpz00_5149);
								}
								BgL_auxz00_5147 = ((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_5148);
							}
							BgL_arg2014z00_2600 =
								(((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_5147))->
								BgL_outz00);
						}
						{	/* SawBbv/bbv-utils.scm 350 */
							obj_t BgL_zc3z04anonymousza32015ze3z87_3686;

							BgL_zc3z04anonymousza32015ze3z87_3686 =
								MAKE_FX_PROCEDURE
								(BGl_z62zc3z04anonymousza32015ze3ze5zzsaw_bbvzd2utilszd2,
								(int) (1L), (int) (1L));
							PROCEDURE_SET(BgL_zc3z04anonymousza32015ze3z87_3686, (int) (0L),
								((obj_t) BgL_nctxz00_2598));
							BGl_regsetzd2forzd2eachz00zzsaw_regsetz00
								(BgL_zc3z04anonymousza32015ze3z87_3686,
								((BgL_regsetz00_bglt) BgL_arg2014z00_2600));
					}}
					return BgL_nctxz00_2598;
				}
			}
		}

	}



/* &bbv-ctx-extend-live-out-regs */
	BgL_bbvzd2ctxzd2_bglt
		BGl_z62bbvzd2ctxzd2extendzd2livezd2outzd2regszb0zzsaw_bbvzd2utilszd2(obj_t
		BgL_envz00_3688, obj_t BgL_ctxz00_3689, obj_t BgL_insz00_3690)
	{
		{	/* SawBbv/bbv-utils.scm 336 */
			return
				BGl_bbvzd2ctxzd2extendzd2livezd2outzd2regszd2zzsaw_bbvzd2utilszd2(
				((BgL_bbvzd2ctxzd2_bglt) BgL_ctxz00_3689),
				((BgL_rtl_insz00_bglt) BgL_insz00_3690));
		}

	}



/* &<@anonymous:2015> */
	obj_t BGl_z62zc3z04anonymousza32015ze3ze5zzsaw_bbvzd2utilszd2(obj_t
		BgL_envz00_3691, obj_t BgL_regz00_3693)
	{
		{	/* SawBbv/bbv-utils.scm 348 */
			{	/* SawBbv/bbv-utils.scm 350 */
				BgL_bbvzd2ctxzd2_bglt BgL_nctxz00_3692;

				BgL_nctxz00_3692 =
					((BgL_bbvzd2ctxzd2_bglt) PROCEDURE_REF(BgL_envz00_3691, (int) (0L)));
				if (CBOOL(BGl_bbvzd2ctxzd2getz00zzsaw_bbvzd2typeszd2(BgL_nctxz00_3692,
							((BgL_rtl_regz00_bglt) BgL_regz00_3693))))
					{	/* SawBbv/bbv-utils.scm 350 */
						return BFALSE;
					}
				else
					{	/* SawBbv/bbv-utils.scm 352 */
						obj_t BgL_arg2017z00_3820;

						{	/* SawBbv/bbv-utils.scm 352 */
							BgL_typez00_bglt BgL_arg2018z00_3821;

							BgL_arg2018z00_3821 =
								(((BgL_rtl_regz00_bglt) COBJECT(
										((BgL_rtl_regz00_bglt) BgL_regz00_3693)))->BgL_typez00);
							{	/* SawBbv/bbv-utils.scm 352 */
								obj_t BgL_list2019z00_3822;

								BgL_list2019z00_3822 =
									MAKE_YOUNG_PAIR(((obj_t) BgL_arg2018z00_3821), BNIL);
								BgL_arg2017z00_3820 = BgL_list2019z00_3822;
							}
						}
						{	/* SawBbv/bbv-utils.scm 352 */
							obj_t BgL_valuez00_3823;

							BgL_valuez00_3823 = ((obj_t) CNST_TABLE_REF(3));
							return
								((obj_t)
								BGl_extendzd2ctxz12zc0zzsaw_bbvzd2typeszd2(BgL_nctxz00_3692,
									((BgL_rtl_regz00_bglt) BgL_regz00_3693), BgL_arg2017z00_3820,
									((bool_t) 1), BFALSE, BgL_valuez00_3823));
						}
					}
			}
		}

	}



/* &<@anonymous:2025> */
	obj_t BGl_z62zc3z04anonymousza32025ze3ze5zzsaw_bbvzd2utilszd2(obj_t
		BgL_envz00_3694, obj_t BgL_ez00_3696)
	{
		{	/* SawBbv/bbv-utils.scm 338 */
			{	/* SawBbv/bbv-utils.scm 339 */
				BgL_rtl_insz00_bglt BgL_i1223z00_3695;

				BgL_i1223z00_3695 =
					((BgL_rtl_insz00_bglt) PROCEDURE_REF(BgL_envz00_3694, (int) (0L)));
				{	/* SawBbv/bbv-utils.scm 339 */
					bool_t BgL_test2357z00_5184;

					{	/* SawBbv/bbv-utils.scm 339 */
						BgL_rtl_regz00_bglt BgL_arg2043z00_3824;
						obj_t BgL_arg2044z00_3825;

						BgL_arg2043z00_3824 =
							(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(
									((BgL_bbvzd2ctxentryzd2_bglt) BgL_ez00_3696)))->BgL_regz00);
						{
							BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_5187;

							{
								obj_t BgL_auxz00_5188;

								{	/* SawBbv/bbv-utils.scm 339 */
									BgL_objectz00_bglt BgL_tmpz00_5189;

									BgL_tmpz00_5189 = ((BgL_objectz00_bglt) BgL_i1223z00_3695);
									BgL_auxz00_5188 = BGL_OBJECT_WIDENING(BgL_tmpz00_5189);
								}
								BgL_auxz00_5187 = ((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_5188);
							}
							BgL_arg2044z00_3825 =
								(((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_5187))->
								BgL_outz00);
						}
						{	/* SawBbv/bbv-utils.scm 339 */
							long BgL_basez00_3826;
							long BgL_bitz00_3827;

							{	/* SawBbv/bbv-utils.scm 339 */
								int BgL_arg2070z00_3828;

								{
									BgL_rtl_regzf2razf2_bglt BgL_auxz00_5194;

									{
										obj_t BgL_auxz00_5195;

										{	/* SawBbv/bbv-utils.scm 339 */
											BgL_objectz00_bglt BgL_tmpz00_5196;

											BgL_tmpz00_5196 =
												((BgL_objectz00_bglt)
												((BgL_rtl_regz00_bglt) BgL_arg2043z00_3824));
											BgL_auxz00_5195 = BGL_OBJECT_WIDENING(BgL_tmpz00_5196);
										}
										BgL_auxz00_5194 =
											((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_5195);
									}
									BgL_arg2070z00_3828 =
										(((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_5194))->
										BgL_numz00);
								}
								BgL_basez00_3826 = ((long) (BgL_arg2070z00_3828) / 8L);
							}
							{	/* SawBbv/bbv-utils.scm 339 */
								int BgL_arg2071z00_3829;

								{
									BgL_rtl_regzf2razf2_bglt BgL_auxz00_5204;

									{
										obj_t BgL_auxz00_5205;

										{	/* SawBbv/bbv-utils.scm 339 */
											BgL_objectz00_bglt BgL_tmpz00_5206;

											BgL_tmpz00_5206 =
												((BgL_objectz00_bglt)
												((BgL_rtl_regz00_bglt) BgL_arg2043z00_3824));
											BgL_auxz00_5205 = BGL_OBJECT_WIDENING(BgL_tmpz00_5206);
										}
										BgL_auxz00_5204 =
											((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_5205);
									}
									BgL_arg2071z00_3829 =
										(((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_5204))->
										BgL_numz00);
								}
								{	/* SawBbv/bbv-utils.scm 339 */
									long BgL_n1z00_3830;
									long BgL_n2z00_3831;

									BgL_n1z00_3830 = (long) (BgL_arg2071z00_3829);
									BgL_n2z00_3831 = 8L;
									{	/* SawBbv/bbv-utils.scm 339 */
										bool_t BgL_test2358z00_5213;

										{	/* SawBbv/bbv-utils.scm 339 */
											long BgL_arg1375z00_3832;

											BgL_arg1375z00_3832 =
												(((BgL_n1z00_3830) | (BgL_n2z00_3831)) & -2147483648);
											BgL_test2358z00_5213 = (BgL_arg1375z00_3832 == 0L);
										}
										if (BgL_test2358z00_5213)
											{	/* SawBbv/bbv-utils.scm 339 */
												int32_t BgL_arg1372z00_3833;

												{	/* SawBbv/bbv-utils.scm 339 */
													int32_t BgL_arg1373z00_3834;
													int32_t BgL_arg1374z00_3835;

													BgL_arg1373z00_3834 = (int32_t) (BgL_n1z00_3830);
													BgL_arg1374z00_3835 = (int32_t) (BgL_n2z00_3831);
													BgL_arg1372z00_3833 =
														(BgL_arg1373z00_3834 % BgL_arg1374z00_3835);
												}
												{	/* SawBbv/bbv-utils.scm 339 */
													long BgL_arg1477z00_3836;

													BgL_arg1477z00_3836 = (long) (BgL_arg1372z00_3833);
													BgL_bitz00_3827 = (long) (BgL_arg1477z00_3836);
											}}
										else
											{	/* SawBbv/bbv-utils.scm 339 */
												BgL_bitz00_3827 = (BgL_n1z00_3830 % BgL_n2z00_3831);
											}
									}
								}
							}
							if (
								(BgL_basez00_3826 <
									STRING_LENGTH(
										(((BgL_regsetz00_bglt) COBJECT(
													((BgL_regsetz00_bglt) BgL_arg2044z00_3825)))->
											BgL_stringz00))))
								{	/* SawBbv/bbv-utils.scm 339 */
									BgL_test2357z00_5184 =
										(
										((STRING_REF(
													(((BgL_regsetz00_bglt) COBJECT(
																((BgL_regsetz00_bglt) BgL_arg2044z00_3825)))->
														BgL_stringz00),
													BgL_basez00_3826)) & (1L << (int) (BgL_bitz00_3827)))
										> 0L);
								}
							else
								{	/* SawBbv/bbv-utils.scm 339 */
									BgL_test2357z00_5184 = ((bool_t) 0);
								}
						}
					}
					if (BgL_test2357z00_5184)
						{	/* SawBbv/bbv-utils.scm 339 */
							if (NULLP(
									(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(
												((BgL_bbvzd2ctxentryzd2_bglt) BgL_ez00_3696)))->
										BgL_aliasesz00)))
								{	/* SawBbv/bbv-utils.scm 341 */
									return BgL_ez00_3696;
								}
							else
								{	/* SawBbv/bbv-utils.scm 343 */
									BgL_bbvzd2ctxentryzd2_bglt BgL_new1225z00_3837;

									{	/* SawBbv/bbv-utils.scm 343 */
										BgL_bbvzd2ctxentryzd2_bglt BgL_new1229z00_3838;

										BgL_new1229z00_3838 =
											((BgL_bbvzd2ctxentryzd2_bglt)
											BOBJECT(GC_MALLOC(sizeof(struct
														BgL_bbvzd2ctxentryzd2_bgl))));
										{	/* SawBbv/bbv-utils.scm 343 */
											long BgL_arg2041z00_3839;

											BgL_arg2041z00_3839 =
												BGL_CLASS_NUM
												(BGl_bbvzd2ctxentryzd2zzsaw_bbvzd2typeszd2);
											BGL_OBJECT_CLASS_NUM_SET(((BgL_objectz00_bglt)
													BgL_new1229z00_3838), BgL_arg2041z00_3839);
										}
										BgL_new1225z00_3837 = BgL_new1229z00_3838;
									}
									((((BgL_bbvzd2ctxentryzd2_bglt)
												COBJECT(BgL_new1225z00_3837))->BgL_regz00) =
										((BgL_rtl_regz00_bglt) (((BgL_bbvzd2ctxentryzd2_bglt)
													COBJECT(((BgL_bbvzd2ctxentryzd2_bglt)
															BgL_ez00_3696)))->BgL_regz00)), BUNSPEC);
									((((BgL_bbvzd2ctxentryzd2_bglt)
												COBJECT(BgL_new1225z00_3837))->BgL_typesz00) =
										((obj_t) (((BgL_bbvzd2ctxentryzd2_bglt)
													COBJECT(((BgL_bbvzd2ctxentryzd2_bglt)
															BgL_ez00_3696)))->BgL_typesz00)), BUNSPEC);
									((((BgL_bbvzd2ctxentryzd2_bglt)
												COBJECT(BgL_new1225z00_3837))->BgL_polarityz00) =
										((bool_t) (((BgL_bbvzd2ctxentryzd2_bglt)
													COBJECT(((BgL_bbvzd2ctxentryzd2_bglt)
															BgL_ez00_3696)))->BgL_polarityz00)), BUNSPEC);
									((((BgL_bbvzd2ctxentryzd2_bglt)
												COBJECT(BgL_new1225z00_3837))->BgL_countz00) =
										((long) (((BgL_bbvzd2ctxentryzd2_bglt)
													COBJECT(((BgL_bbvzd2ctxentryzd2_bglt)
															BgL_ez00_3696)))->BgL_countz00)), BUNSPEC);
									((((BgL_bbvzd2ctxentryzd2_bglt)
												COBJECT(BgL_new1225z00_3837))->BgL_valuez00) =
										((obj_t) (((BgL_bbvzd2ctxentryzd2_bglt)
													COBJECT(((BgL_bbvzd2ctxentryzd2_bglt)
															BgL_ez00_3696)))->BgL_valuez00)), BUNSPEC);
									{
										obj_t BgL_auxz00_5258;

										{	/* SawBbv/bbv-utils.scm 344 */
											obj_t BgL_hook1505z00_3840;

											BgL_hook1505z00_3840 = MAKE_YOUNG_PAIR(BFALSE, BNIL);
											{	/* SawBbv/bbv-utils.scm 344 */
												obj_t BgL_g1506z00_3841;

												BgL_g1506z00_3841 =
													(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(
															((BgL_bbvzd2ctxentryzd2_bglt) BgL_ez00_3696)))->
													BgL_aliasesz00);
												{
													obj_t BgL_l1502z00_3843;
													obj_t BgL_h1503z00_3844;

													BgL_l1502z00_3843 = BgL_g1506z00_3841;
													BgL_h1503z00_3844 = BgL_hook1505z00_3840;
												BgL_zc3z04anonymousza32032ze3z87_3842:
													if (NULLP(BgL_l1502z00_3843))
														{	/* SawBbv/bbv-utils.scm 344 */
															BgL_auxz00_5258 = CDR(BgL_hook1505z00_3840);
														}
													else
														{	/* SawBbv/bbv-utils.scm 344 */
															bool_t BgL_test2362z00_5265;

															{	/* SawBbv/bbv-utils.scm 344 */
																obj_t BgL_rz00_3845;

																BgL_rz00_3845 =
																	CAR(((obj_t) BgL_l1502z00_3843));
																{	/* SawBbv/bbv-utils.scm 344 */
																	obj_t BgL_arg2040z00_3846;

																	{
																		BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_5268;

																		{
																			obj_t BgL_auxz00_5269;

																			{	/* SawBbv/bbv-utils.scm 344 */
																				BgL_objectz00_bglt BgL_tmpz00_5270;

																				BgL_tmpz00_5270 =
																					((BgL_objectz00_bglt)
																					BgL_i1223z00_3695);
																				BgL_auxz00_5269 =
																					BGL_OBJECT_WIDENING(BgL_tmpz00_5270);
																			}
																			BgL_auxz00_5268 =
																				((BgL_rtl_inszf2bbvzf2_bglt)
																				BgL_auxz00_5269);
																		}
																		BgL_arg2040z00_3846 =
																			(((BgL_rtl_inszf2bbvzf2_bglt)
																				COBJECT(BgL_auxz00_5268))->BgL_outz00);
																	}
																	{	/* SawBbv/bbv-utils.scm 344 */
																		long BgL_basez00_3847;
																		long BgL_bitz00_3848;

																		{	/* SawBbv/bbv-utils.scm 344 */
																			int BgL_arg2070z00_3849;

																			{
																				BgL_rtl_regzf2razf2_bglt
																					BgL_auxz00_5275;
																				{
																					obj_t BgL_auxz00_5276;

																					{	/* SawBbv/bbv-utils.scm 344 */
																						BgL_objectz00_bglt BgL_tmpz00_5277;

																						BgL_tmpz00_5277 =
																							((BgL_objectz00_bglt)
																							((BgL_rtl_regz00_bglt)
																								BgL_rz00_3845));
																						BgL_auxz00_5276 =
																							BGL_OBJECT_WIDENING
																							(BgL_tmpz00_5277);
																					}
																					BgL_auxz00_5275 =
																						((BgL_rtl_regzf2razf2_bglt)
																						BgL_auxz00_5276);
																				}
																				BgL_arg2070z00_3849 =
																					(((BgL_rtl_regzf2razf2_bglt)
																						COBJECT(BgL_auxz00_5275))->
																					BgL_numz00);
																			}
																			BgL_basez00_3847 =
																				((long) (BgL_arg2070z00_3849) / 8L);
																		}
																		{	/* SawBbv/bbv-utils.scm 344 */
																			int BgL_arg2071z00_3850;

																			{
																				BgL_rtl_regzf2razf2_bglt
																					BgL_auxz00_5285;
																				{
																					obj_t BgL_auxz00_5286;

																					{	/* SawBbv/bbv-utils.scm 344 */
																						BgL_objectz00_bglt BgL_tmpz00_5287;

																						BgL_tmpz00_5287 =
																							((BgL_objectz00_bglt)
																							((BgL_rtl_regz00_bglt)
																								BgL_rz00_3845));
																						BgL_auxz00_5286 =
																							BGL_OBJECT_WIDENING
																							(BgL_tmpz00_5287);
																					}
																					BgL_auxz00_5285 =
																						((BgL_rtl_regzf2razf2_bglt)
																						BgL_auxz00_5286);
																				}
																				BgL_arg2071z00_3850 =
																					(((BgL_rtl_regzf2razf2_bglt)
																						COBJECT(BgL_auxz00_5285))->
																					BgL_numz00);
																			}
																			{	/* SawBbv/bbv-utils.scm 344 */
																				long BgL_n1z00_3851;
																				long BgL_n2z00_3852;

																				BgL_n1z00_3851 =
																					(long) (BgL_arg2071z00_3850);
																				BgL_n2z00_3852 = 8L;
																				{	/* SawBbv/bbv-utils.scm 344 */
																					bool_t BgL_test2363z00_5294;

																					{	/* SawBbv/bbv-utils.scm 344 */
																						long BgL_arg1375z00_3853;

																						BgL_arg1375z00_3853 =
																							(((BgL_n1z00_3851) |
																								(BgL_n2z00_3852)) &
																							-2147483648);
																						BgL_test2363z00_5294 =
																							(BgL_arg1375z00_3853 == 0L);
																					}
																					if (BgL_test2363z00_5294)
																						{	/* SawBbv/bbv-utils.scm 344 */
																							int32_t BgL_arg1372z00_3854;

																							{	/* SawBbv/bbv-utils.scm 344 */
																								int32_t BgL_arg1373z00_3855;
																								int32_t BgL_arg1374z00_3856;

																								{	/* SawBbv/bbv-utils.scm 344 */
																									long BgL_xz00_3857;

																									BgL_xz00_3857 =
																										BgL_n1z00_3851;
																									BgL_arg1373z00_3855 =
																										(int32_t) (BgL_xz00_3857);
																								}
																								{	/* SawBbv/bbv-utils.scm 344 */
																									long BgL_xz00_3858;

																									BgL_xz00_3858 =
																										BgL_n2z00_3852;
																									BgL_arg1374z00_3856 =
																										(int32_t) (BgL_xz00_3858);
																								}
																								BgL_arg1372z00_3854 =
																									(BgL_arg1373z00_3855 %
																									BgL_arg1374z00_3856);
																							}
																							{	/* SawBbv/bbv-utils.scm 344 */
																								long BgL_arg1477z00_3859;

																								BgL_arg1477z00_3859 =
																									(long) (BgL_arg1372z00_3854);
																								BgL_bitz00_3848 =
																									(long) (BgL_arg1477z00_3859);
																						}}
																					else
																						{	/* SawBbv/bbv-utils.scm 344 */
																							BgL_bitz00_3848 =
																								(BgL_n1z00_3851 %
																								BgL_n2z00_3852);
																						}
																				}
																			}
																		}
																		if (
																			(BgL_basez00_3847 <
																				STRING_LENGTH(
																					(((BgL_regsetz00_bglt) COBJECT(
																								((BgL_regsetz00_bglt)
																									BgL_arg2040z00_3846)))->
																						BgL_stringz00))))
																			{	/* SawBbv/bbv-utils.scm 344 */
																				BgL_test2362z00_5265 =
																					(
																					((STRING_REF(
																								(((BgL_regsetz00_bglt) COBJECT(
																											((BgL_regsetz00_bglt)
																												BgL_arg2040z00_3846)))->
																									BgL_stringz00),
																								BgL_basez00_3847)) & (1L <<
																							(int) (BgL_bitz00_3848))) > 0L);
																			}
																		else
																			{	/* SawBbv/bbv-utils.scm 344 */
																				BgL_test2362z00_5265 = ((bool_t) 0);
																			}
																	}
																}
															}
															if (BgL_test2362z00_5265)
																{	/* SawBbv/bbv-utils.scm 344 */
																	obj_t BgL_nh1504z00_3860;

																	{	/* SawBbv/bbv-utils.scm 344 */
																		obj_t BgL_arg2038z00_3861;

																		BgL_arg2038z00_3861 =
																			CAR(((obj_t) BgL_l1502z00_3843));
																		BgL_nh1504z00_3860 =
																			MAKE_YOUNG_PAIR(BgL_arg2038z00_3861,
																			BNIL);
																	}
																	SET_CDR(BgL_h1503z00_3844,
																		BgL_nh1504z00_3860);
																	{	/* SawBbv/bbv-utils.scm 344 */
																		obj_t BgL_arg2036z00_3862;

																		BgL_arg2036z00_3862 =
																			CDR(((obj_t) BgL_l1502z00_3843));
																		{
																			obj_t BgL_h1503z00_5323;
																			obj_t BgL_l1502z00_5322;

																			BgL_l1502z00_5322 = BgL_arg2036z00_3862;
																			BgL_h1503z00_5323 = BgL_nh1504z00_3860;
																			BgL_h1503z00_3844 = BgL_h1503z00_5323;
																			BgL_l1502z00_3843 = BgL_l1502z00_5322;
																			goto
																				BgL_zc3z04anonymousza32032ze3z87_3842;
																		}
																	}
																}
															else
																{	/* SawBbv/bbv-utils.scm 344 */
																	obj_t BgL_arg2039z00_3863;

																	BgL_arg2039z00_3863 =
																		CDR(((obj_t) BgL_l1502z00_3843));
																	{
																		obj_t BgL_l1502z00_5326;

																		BgL_l1502z00_5326 = BgL_arg2039z00_3863;
																		BgL_l1502z00_3843 = BgL_l1502z00_5326;
																		goto BgL_zc3z04anonymousza32032ze3z87_3842;
																	}
																}
														}
												}
											}
										}
										((((BgL_bbvzd2ctxentryzd2_bglt)
													COBJECT(BgL_new1225z00_3837))->BgL_aliasesz00) =
											((obj_t) BgL_auxz00_5258), BUNSPEC);
									}
									((((BgL_bbvzd2ctxentryzd2_bglt)
												COBJECT(BgL_new1225z00_3837))->BgL_initvalz00) =
										((obj_t) (((BgL_bbvzd2ctxentryzd2_bglt)
													COBJECT(((BgL_bbvzd2ctxentryzd2_bglt)
															BgL_ez00_3696)))->BgL_initvalz00)), BUNSPEC);
									return ((obj_t) BgL_new1225z00_3837);
								}
						}
					else
						{	/* SawBbv/bbv-utils.scm 339 */
							return BFALSE;
						}
				}
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzsaw_bbvzd2utilszd2(void)
	{
		{	/* SawBbv/bbv-utils.scm 15 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzsaw_bbvzd2utilszd2(void)
	{
		{	/* SawBbv/bbv-utils.scm 15 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzsaw_bbvzd2utilszd2(void)
	{
		{	/* SawBbv/bbv-utils.scm 15 */
			return BUNSPEC;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzsaw_bbvzd2utilszd2(void)
	{
		{	/* SawBbv/bbv-utils.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(54713316L,
				BSTRING_TO_STRING(BGl_string2196z00zzsaw_bbvzd2utilszd2));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(161876678L,
				BSTRING_TO_STRING(BGl_string2196z00zzsaw_bbvzd2utilszd2));
			BGl_modulezd2initializa7ationz75zzast_varz00(90839984L,
				BSTRING_TO_STRING(BGl_string2196z00zzsaw_bbvzd2utilszd2));
			BGl_modulezd2initializa7ationz75zzast_nodez00(469732712L,
				BSTRING_TO_STRING(BGl_string2196z00zzsaw_bbvzd2utilszd2));
			BGl_modulezd2initializa7ationz75zztype_typez00(515343395L,
				BSTRING_TO_STRING(BGl_string2196z00zzsaw_bbvzd2utilszd2));
			BGl_modulezd2initializa7ationz75zztype_cachez00(489890788L,
				BSTRING_TO_STRING(BGl_string2196z00zzsaw_bbvzd2utilszd2));
			BGl_modulezd2initializa7ationz75zztype_typeofz00(398780265L,
				BSTRING_TO_STRING(BGl_string2196z00zzsaw_bbvzd2utilszd2));
			BGl_modulezd2initializa7ationz75zztools_shapez00(365925558L,
				BSTRING_TO_STRING(BGl_string2196z00zzsaw_bbvzd2utilszd2));
			BGl_modulezd2initializa7ationz75zztools_speekz00(61247943L,
				BSTRING_TO_STRING(BGl_string2196z00zzsaw_bbvzd2utilszd2));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(216206620L,
				BSTRING_TO_STRING(BGl_string2196z00zzsaw_bbvzd2utilszd2));
			BGl_modulezd2initializa7ationz75zzsaw_libz00(57049157L,
				BSTRING_TO_STRING(BGl_string2196z00zzsaw_bbvzd2utilszd2));
			BGl_modulezd2initializa7ationz75zzsaw_defsz00(404844772L,
				BSTRING_TO_STRING(BGl_string2196z00zzsaw_bbvzd2utilszd2));
			BGl_modulezd2initializa7ationz75zzsaw_regsetz00(358079690L,
				BSTRING_TO_STRING(BGl_string2196z00zzsaw_bbvzd2utilszd2));
			BGl_modulezd2initializa7ationz75zzsaw_regutilsz00(237915200L,
				BSTRING_TO_STRING(BGl_string2196z00zzsaw_bbvzd2utilszd2));
			BGl_modulezd2initializa7ationz75zzsaw_bbvzd2configzd2(288263219L,
				BSTRING_TO_STRING(BGl_string2196z00zzsaw_bbvzd2utilszd2));
			BGl_modulezd2initializa7ationz75zzsaw_bbvzd2typeszd2(425659118L,
				BSTRING_TO_STRING(BGl_string2196z00zzsaw_bbvzd2utilszd2));
			BGl_modulezd2initializa7ationz75zzsaw_bbvzd2specializa7ez75(506937389L,
				BSTRING_TO_STRING(BGl_string2196z00zzsaw_bbvzd2utilszd2));
			BGl_modulezd2initializa7ationz75zzsaw_bbvzd2cachezd2(242097300L,
				BSTRING_TO_STRING(BGl_string2196z00zzsaw_bbvzd2utilszd2));
			BGl_modulezd2initializa7ationz75zzsaw_bbvzd2rangezd2(481635416L,
				BSTRING_TO_STRING(BGl_string2196z00zzsaw_bbvzd2utilszd2));
			BGl_modulezd2initializa7ationz75zzsaw_bbvzd2debugzd2(120981929L,
				BSTRING_TO_STRING(BGl_string2196z00zzsaw_bbvzd2utilszd2));
			return
				BGl_modulezd2initializa7ationz75zzsaw_bbvzd2gczd2(137439381L,
				BSTRING_TO_STRING(BGl_string2196z00zzsaw_bbvzd2utilszd2));
		}

	}

#ifdef __cplusplus
}
#endif
