/*===========================================================================*/
/*   (SawBbv/bbv.scm)                                                        */
/*   Bigloo (4.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Jan 27 07:45:49 AM CET 2025     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.6a/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.6a/lib/bigloo/4.6a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -stdc -indent SawBbv/bbv.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL_SAW_BBV_TYPE_DEFINITIONS
#define BGL_SAW_BBV_TYPE_DEFINITIONS

/* object type definitions */
	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_qualifiedzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_nullz00;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_backendz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
		bool_t BgL_boundzd2checkzd2;
		bool_t BgL_typezd2checkzd2;
		bool_t BgL_typedzd2funcallzd2;
		bool_t BgL_strictzd2typezd2castz00;
		bool_t BgL_forcezd2registerzd2gczd2rootszd2;
		bool_t BgL_stringzd2literalzd2supportz00;
		bool_t BgL_boxedzd2fixnumszd2;
		bool_t BgL_typedzd2closureszd2;
	}                 *BgL_backendz00_bglt;

	typedef struct BgL_rtl_regz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_varz00;
		obj_t BgL_onexprzf3zf3;
		obj_t BgL_namez00;
		obj_t BgL_keyz00;
		obj_t BgL_debugnamez00;
		obj_t BgL_hardwarez00;
	}                 *BgL_rtl_regz00_bglt;

	typedef struct BgL_rtl_funz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                 *BgL_rtl_funz00_bglt;

	typedef struct BgL_rtl_ifeqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_blockz00_bgl *BgL_thenz00;
	}                  *BgL_rtl_ifeqz00_bglt;

	typedef struct BgL_rtl_ifnez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_blockz00_bgl *BgL_thenz00;
	}                  *BgL_rtl_ifnez00_bglt;

	typedef struct BgL_rtl_goz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_blockz00_bgl *BgL_toz00;
	}                *BgL_rtl_goz00_bglt;

	typedef struct BgL_rtl_nopz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                 *BgL_rtl_nopz00_bglt;

	typedef struct BgL_rtl_pragmaz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_formatz00;
		obj_t BgL_srfi0z00;
	}                    *BgL_rtl_pragmaz00_bglt;

	typedef struct BgL_rtl_insz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_z52spillz52;
		obj_t BgL_destz00;
		struct BgL_rtl_funz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}                 *BgL_rtl_insz00_bglt;

	typedef struct BgL_blockz00_bgl
	{
		header_t header;
		obj_t widening;
		int BgL_labelz00;
		obj_t BgL_predsz00;
		obj_t BgL_succsz00;
		obj_t BgL_firstz00;
	}               *BgL_blockz00_bglt;

	typedef struct BgL_rtl_regzf2razf2_bgl
	{
		int BgL_numz00;
		obj_t BgL_colorz00;
		obj_t BgL_coalescez00;
		int BgL_occurrencesz00;
		obj_t BgL_interferez00;
		obj_t BgL_interfere2z00;
	}                      *BgL_rtl_regzf2razf2_bglt;

	typedef struct BgL_regsetz00_bgl
	{
		header_t header;
		obj_t widening;
		int BgL_lengthz00;
		int BgL_msiza7eza7;
		obj_t BgL_regvz00;
		obj_t BgL_reglz00;
		obj_t BgL_stringz00;
	}                *BgL_regsetz00_bglt;

	typedef struct BgL_blockvz00_bgl
	{
		obj_t BgL_versionsz00;
		obj_t BgL_genericz00;
		long BgL_z52markz52;
		obj_t BgL_mergez00;
	}                *BgL_blockvz00_bglt;

	typedef struct BgL_blocksz00_bgl
	{
		long BgL_z52markz52;
		obj_t BgL_z52hashz52;
		obj_t BgL_z52blacklistz52;
		struct BgL_bbvzd2ctxzd2_bgl *BgL_ctxz00;
		struct BgL_blockz00_bgl *BgL_parentz00;
		long BgL_gccntz00;
		long BgL_gcmarkz00;
		obj_t BgL_mblockz00;
		obj_t BgL_creatorz00;
		obj_t BgL_mergesz00;
		bool_t BgL_asleepz00;
	}                *BgL_blocksz00_bglt;

	typedef struct BgL_bbvzd2ctxzd2_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_idz00;
		obj_t BgL_entriesz00;
	}                   *BgL_bbvzd2ctxzd2_bglt;


#endif													// BGL_SAW_BBV_TYPE_DEFINITIONS
#endif													// BGL_MODULE_TYPE_DEFINITIONS

	static obj_t BGl_z62rtl_regzf2razd2occurrenceszd2setz12z82zzsaw_bbvz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_rtl_insz00zzsaw_defsz00;
	static obj_t BGl_z62rtl_regzf2razd2onexprzf3zb1zzsaw_bbvz00(obj_t, obj_t);
	static obj_t BGl_z62rtl_regzf2razd2varzd2setz12z82zzsaw_bbvz00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_classzd2nilzd2initz12z12zz__objectz00(obj_t);
	extern obj_t BGl_rtl_pragmaz00zzsaw_defsz00;
	static BgL_rtl_insz00_bglt
		BGl_removezd2inszd2tempsz12ze70zf5zzsaw_bbvz00(BgL_rtl_insz00_bglt);
	static obj_t BGl_requirezd2initializa7ationz75zzsaw_bbvz00 = BUNSPEC;
	extern obj_t BGl_za2bbvzd2logza2zd2zzsaw_bbvzd2configzd2;
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2coalescez20zzsaw_bbvz00(BgL_rtl_regz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2keyz20zzsaw_bbvz00(BgL_rtl_regz00_bglt);
	extern bool_t
		BGl_rtl_inszd2ifeqzf3z21zzsaw_bbvzd2typeszd2(BgL_rtl_insz00_bglt);
	extern obj_t BGl_za2maxzd2blockzd2mergezd2versionsza2zd2zzsaw_bbvzd2configzd2;
	static obj_t BGl_normaliza7ezd2gotoz12z67zzsaw_bbvz00(BgL_blockz00_bglt);
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	extern obj_t BGl_za2bbvzd2optimzd2vlengthza2z00zzsaw_bbvzd2configzd2;
	static obj_t BGl_z62regsetzd2stringzd2setz12z70zzsaw_bbvz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_regsetz00_bglt BGl_makezd2regsetzd2zzsaw_bbvz00(int,
		int, obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31784ze3ze5zzsaw_bbvz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2coalescezd2setz12ze0zzsaw_bbvz00(BgL_rtl_regz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL BgL_rtl_regz00_bglt
		BGl_makezd2rtl_regzf2raz20zzsaw_bbvz00(BgL_typez00_bglt, obj_t, obj_t,
		obj_t, obj_t, obj_t, int, obj_t, obj_t, int, obj_t, obj_t);
	static BgL_rtl_regz00_bglt BGl_z62makezd2rtl_regzf2raz42zzsaw_bbvz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t);
	extern bool_t
		BGl_rtl_inszd2callzf3z21zzsaw_bbvzd2typeszd2(BgL_rtl_insz00_bglt);
	static obj_t BGl_toplevelzd2initzd2zzsaw_bbvz00(void);
	extern obj_t BGl_za2bbvzd2dumpzd2jsonza2z00zzsaw_bbvzd2configzd2;
	BGL_EXPORTED_DECL int
		BGl_rtl_regzf2razd2occurrencesz20zzsaw_bbvz00(BgL_rtl_regz00_bglt);
	static obj_t BGl_z62regsetzd2lengthzb0zzsaw_bbvz00(obj_t, obj_t);
	static BgL_blockz00_bglt BGl_dumpzd2blockszd2zzsaw_bbvz00(long, obj_t,
		BgL_globalz00_bglt, obj_t, obj_t, obj_t, BgL_blockz00_bglt);
	static bool_t BGl_reorderzd2succsz12zc0zzsaw_bbvz00(obj_t);
	static obj_t BGl_z62regsetzd2reglzb0zzsaw_bbvz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_formatz00zz__r4_output_6_10_3z00(obj_t, obj_t);
	static obj_t BGl_z62regsetzd2regvzb0zzsaw_bbvz00(obj_t, obj_t);
	extern obj_t
		BGl_rtl_inszd2switchzf3z21zzsaw_bbvzd2typeszd2(BgL_rtl_insz00_bglt);
	BGL_IMPORT obj_t bgl_reverse(obj_t);
	static obj_t BGl_genericzd2initzd2zzsaw_bbvz00(void);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2namez20zzsaw_bbvz00(BgL_rtl_regz00_bglt);
	static obj_t BGl_z62rtl_regzf2razd2namez42zzsaw_bbvz00(obj_t, obj_t);
	static BgL_rtl_regz00_bglt BGl_z62rtl_regzf2razd2nilz42zzsaw_bbvz00(obj_t);
	extern obj_t
		BGl_simplifyzd2branchz12zc0zzsaw_bbvzd2optimzd2(BgL_globalz00_bglt,
		BgL_blockz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2interfere2z20zzsaw_bbvz00(BgL_rtl_regz00_bglt);
	extern obj_t BGl_removezd2gotoz12zc0zzsaw_bbvzd2optimzd2(BgL_globalz00_bglt,
		BgL_blockz00_bglt);
	static obj_t BGl_objectzd2initzd2zzsaw_bbvz00(void);
	BGL_EXPORTED_DECL obj_t BGl_bbvz00zzsaw_bbvz00(BgL_backendz00_bglt,
		BgL_globalz00_bglt, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2hardwarez20zzsaw_bbvz00(BgL_rtl_regz00_bglt);
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	static obj_t BGl_failz12z12zzsaw_bbvz00(BgL_blockz00_bglt);
	BGL_IMPORT obj_t bgl_reverse_bang(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2varzd2setz12ze0zzsaw_bbvz00(BgL_rtl_regz00_bglt, obj_t);
	extern BgL_blockz00_bglt
		BGl_bbvzd2rootzd2blockz00zzsaw_bbvzd2specializa7ez75(BgL_blockz00_bglt,
		BgL_bbvzd2ctxzd2_bglt);
	BGL_IMPORT obj_t BGl_stringzd2containszd2zz__r4_strings_6_7z00(obj_t, obj_t,
		int);
	extern bool_t
		BGl_rtl_inszd2ifnezf3z21zzsaw_bbvzd2typeszd2(BgL_rtl_insz00_bglt);
	extern obj_t BGl_regsetz00zzsaw_regsetz00;
	extern obj_t BGl_rtl_regz00zzsaw_defsz00;
	static obj_t BGl_z62regsetzf3z91zzsaw_bbvz00(obj_t, obj_t);
	extern bool_t
		BGl_rtl_inszd2errorzf3z21zzsaw_bbvzd2typeszd2(BgL_rtl_insz00_bglt);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	extern obj_t BGl_za2bbvzd2debugza2zd2zzsaw_bbvzd2configzd2;
	extern bool_t
		BGl_rtl_inszd2failzf3z21zzsaw_bbvzd2typeszd2(BgL_rtl_insz00_bglt);
	extern obj_t
		BGl_assertzd2contextz12zc0zzsaw_bbvzd2debugzd2(BgL_blockz00_bglt);
	extern obj_t BGl_assertzd2blockzd2zzsaw_bbvzd2debugzd2(BgL_blockz00_bglt,
		obj_t);
	extern obj_t
		BGl_rtl_callzd2predicatezd2zzsaw_bbvzd2typeszd2(BgL_rtl_insz00_bglt);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62rtl_regzf2razd2interfere2z42zzsaw_bbvz00(obj_t, obj_t);
	static obj_t BGl_appendzd221011zd2zzsaw_bbvz00(obj_t, obj_t);
	extern obj_t BGl_rtl_nopz00zzsaw_defsz00;
	extern obj_t BGl_coalescez12z12zzsaw_bbvzd2optimzd2(BgL_globalz00_bglt,
		BgL_blockz00_bglt);
	static obj_t BGl_methodzd2initzd2zzsaw_bbvz00(void);
	static obj_t BGl_bbsetzd2conszd2zzsaw_bbvz00(BgL_blockz00_bglt, obj_t);
	extern obj_t
		BGl_bbvzd2livenessz12zc0zzsaw_bbvzd2livenesszd2(BgL_backendz00_bglt, obj_t,
		obj_t);
	static obj_t BGl_z62rtl_regzf2razd2onexprzf3zd2setz12z71zzsaw_bbvz00(obj_t,
		obj_t, obj_t);
	static BgL_regsetz00_bglt BGl_z62makezd2regsetzb0zzsaw_bbvz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_rtl_inszd2argsza2z70zzsaw_defsz00(BgL_rtl_insz00_bglt);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_rtl_regzf2razd2typez20zzsaw_bbvz00(BgL_rtl_regz00_bglt);
	BGL_EXPORTED_DECL BgL_rtl_regz00_bglt
		BGl_rtl_regzf2razd2nilz20zzsaw_bbvz00(void);
	static BgL_typez00_bglt BGl_z62rtl_regzf2razd2typez42zzsaw_bbvz00(obj_t,
		obj_t);
	extern obj_t BGl_rtl_goz00zzsaw_defsz00;
	extern obj_t BGl_rtl_ifnez00zzsaw_defsz00;
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2onexprzf3zd3zzsaw_bbvz00(BgL_rtl_regz00_bglt);
	extern bool_t BGl_rtl_inszd2gozf3z21zzsaw_bbvzd2typeszd2(BgL_rtl_insz00_bglt);
	extern obj_t
		BGl_logzd2blockszd2historyz00zzsaw_bbvzd2debugzd2(BgL_globalz00_bglt, obj_t,
		obj_t);
	static obj_t BGl_z62rtl_regzf2razd2varz42zzsaw_bbvz00(obj_t, obj_t);
	static obj_t BGl_z62regsetzd2stringzb0zzsaw_bbvz00(obj_t, obj_t);
	BGL_EXPORTED_DECL int BGl_regsetzd2msiza7ez75zzsaw_bbvz00(BgL_regsetz00_bglt);
	static obj_t BGl_z62rtl_regzf2razd2occurrencesz42zzsaw_bbvz00(obj_t, obj_t);
	extern obj_t BGl_za2compilerzd2debugza2zd2zzengine_paramz00;
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static BgL_blockz00_bglt BGl_gcz12z12zzsaw_bbvz00(BgL_blockz00_bglt);
	extern obj_t BGl_dumpzd2jsonzd2cfgz00zzsaw_bbvzd2debugzd2(BgL_globalz00_bglt,
		obj_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_za2tracezd2levelza2zd2zzengine_paramz00;
	static obj_t BGl_z62regsetzd2lengthzd2setz12z70zzsaw_bbvz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL int BGl_regsetzd2lengthzd2zzsaw_bbvz00(BgL_regsetz00_bglt);
	extern obj_t BGl_za2bbvzd2optimzd2aliasza2z00zzsaw_bbvzd2configzd2;
	extern obj_t BGl_za2sawzd2bbvzf3za2z21zzengine_paramz00;
	BGL_EXPORTED_DECL obj_t
		BGl_regsetzd2stringzd2setz12z12zzsaw_bbvz00(BgL_regsetz00_bglt, obj_t);
	extern obj_t BGl_za2sawzd2bbvzd2functionsza2z00zzengine_paramz00;
	BGL_IMPORT obj_t bgl_remq_bang(obj_t, obj_t);
	extern obj_t BGl_getzd2bbzd2markz00zzsaw_bbvzd2typeszd2(void);
	static obj_t BGl_z62rtl_regzf2razd2numz42zzsaw_bbvz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzsaw_bbvz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_bbvzd2profilezd2(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_bbvzd2debugzd2(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_bbvzd2optimzd2(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_bbvzd2livenesszd2(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_bbvzd2mergezd2(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_bbvzd2utilszd2(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_bbvzd2cachezd2(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_bbvzd2specializa7ez75(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_bbvzd2typeszd2(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_bbvzd2configzd2(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_regutilsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_regsetz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_defsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_libz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	static obj_t BGl_normaliza7ezd2ifeqz12z67zzsaw_bbvz00(BgL_blockz00_bglt);
	static obj_t BGl_markzd2mergez12zc0zzsaw_bbvz00(BgL_blockz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2colorz20zzsaw_bbvz00(BgL_rtl_regz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2varz20zzsaw_bbvz00(BgL_rtl_regz00_bglt);
	extern obj_t BGl_logzd2blockszd2zzsaw_bbvzd2debugzd2(BgL_globalz00_bglt,
		obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_rtl_regzf2razf3z01zzsaw_bbvz00(obj_t);
	static obj_t BGl_z62rtl_regzf2razd2interferezd2setz12z82zzsaw_bbvz00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t create_struct(obj_t, int);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2colorzd2setz12ze0zzsaw_bbvz00(BgL_rtl_regz00_bglt,
		obj_t);
	static obj_t BGl_cnstzd2initzd2zzsaw_bbvz00(void);
	static obj_t BGl_libraryzd2moduleszd2initz00zzsaw_bbvz00(void);
	extern BgL_bbvzd2ctxzd2_bglt
		BGl_paramszd2ze3ctxz31zzsaw_bbvzd2typeszd2(obj_t);
	BGL_IMPORT long bgl_list_length(obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzsaw_bbvz00(void);
	extern obj_t BGl_setzd2maxzd2labelz12z12zzsaw_bbvzd2utilszd2(obj_t);
	extern obj_t BGl_za2bbvzd2dumpzd2cfgza2z00zzsaw_bbvzd2configzd2;
	static obj_t BGl_gczd2rootszd2initz00zzsaw_bbvz00(void);
	extern obj_t BGl_dumpzd2cfgzd2zzsaw_bbvzd2debugzd2(BgL_globalz00_bglt, obj_t,
		obj_t, obj_t);
	static obj_t BGl_normaliza7ezd2movz12z67zzsaw_bbvz00(BgL_blockz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2occurrenceszd2setz12ze0zzsaw_bbvz00(BgL_rtl_regz00_bglt,
		int);
	static obj_t BGl_makezd2emptyzd2bbsetz00zzsaw_bbvz00(void);
	BGL_EXPORTED_DECL int
		BGl_rtl_regzf2razd2numz20zzsaw_bbvz00(BgL_rtl_regz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2interferezd2setz12ze0zzsaw_bbvz00(BgL_rtl_regz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL bool_t BGl_regsetzf3zf3zzsaw_bbvz00(obj_t);
	extern obj_t BGl_za2bbvzd2blockszd2cleanupza2z00zzsaw_bbvzd2configzd2;
	extern obj_t BGl_startzd2bbvzd2cachez12z12zzsaw_bbvzd2cachezd2(void);
	static obj_t BGl_z62rtl_regzf2razd2colorzd2setz12z82zzsaw_bbvz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62rtl_regzf2razd2coalescezd2setz12z82zzsaw_bbvz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62rtl_regzf2razd2colorz42zzsaw_bbvz00(obj_t, obj_t);
	static obj_t BGl_z62rtl_regzf2razd2coalescez42zzsaw_bbvz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_regsetzd2stringzd2zzsaw_bbvz00(BgL_regsetz00_bglt);
	static obj_t BGl_normaliza7ezd2typecheckz12z67zzsaw_bbvz00(BgL_blockz00_bglt);
	static obj_t BGl_z62rtl_regzf2razd2typezd2setz12z82zzsaw_bbvz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_removezd2innerzd2movz12ze70zf5zzsaw_bbvz00(obj_t);
	extern obj_t BGl_removezd2nopz12zc0zzsaw_bbvzd2optimzd2(BgL_globalz00_bglt,
		BgL_blockz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2interfere2zd2setz12ze0zzsaw_bbvz00(BgL_rtl_regz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2onexprzf3zd2setz12z13zzsaw_bbvz00(BgL_rtl_regz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL BgL_regsetz00_bglt BGl_regsetzd2nilzd2zzsaw_bbvz00(void);
	static BgL_blockz00_bglt
		BGl_removezd2tempsz12zc0zzsaw_bbvz00(BgL_blockz00_bglt);
	static obj_t BGl_loopze70ze7zzsaw_bbvz00(obj_t, obj_t);
	static obj_t BGl_z62rtl_regzf2razd2interferez42zzsaw_bbvz00(obj_t, obj_t);
	static obj_t BGl_z62rtl_regzf2razd2keyz42zzsaw_bbvz00(obj_t, obj_t);
	extern obj_t BGl_rtl_regzf2razf2zzsaw_regsetz00;
	BGL_IMPORT obj_t BGl_classzd2superzd2zz__objectz00(obj_t);
	static obj_t BGl_z62rtl_regzf2razf3z63zzsaw_bbvz00(obj_t, obj_t);
	extern bool_t
		BGl_rtl_inszd2movzf3z21zzsaw_bbvzd2typeszd2(BgL_rtl_insz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2typezd2setz12ze0zzsaw_bbvz00(BgL_rtl_regz00_bglt,
		BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t BGl_regsetzd2reglzd2zzsaw_bbvz00(BgL_regsetz00_bglt);
	static obj_t BGl_z62regsetzd2msiza7ez17zzsaw_bbvz00(obj_t, obj_t);
	extern obj_t BGl_blockzd2ze3blockzd2listze3zzsaw_bbvzd2utilszd2(obj_t,
		BgL_blockz00_bglt);
	BGL_EXPORTED_DECL obj_t BGl_regsetzd2regvzd2zzsaw_bbvz00(BgL_regsetz00_bglt);
	BGL_IMPORT obj_t BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(obj_t);
	static obj_t BGl_z62rtl_regzf2razd2interfere2zd2setz12z82zzsaw_bbvz00(obj_t,
		obj_t, obj_t);
	static BgL_regsetz00_bglt BGl_z62regsetzd2nilzb0zzsaw_bbvz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2interferez20zzsaw_bbvz00(BgL_rtl_regz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_regsetzd2lengthzd2setz12z12zzsaw_bbvz00(BgL_regsetz00_bglt, int);
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	static bool_t BGl_sidezd2effectzd2freezf3ze70z14zzsaw_bbvz00(obj_t);
	static obj_t BGl_z62bbvz62zzsaw_bbvz00(obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62rtl_regzf2razd2hardwarez42zzsaw_bbvz00(obj_t, obj_t);
	extern obj_t BGl_profilez12z12zzsaw_bbvzd2profilezd2(BgL_blockz00_bglt);
	static obj_t __cnst[2];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_regzf2razd2namezd2envzf2zzsaw_bbvz00,
		BgL_bgl_za762rtl_regza7f2raza72438za7,
		BGl_z62rtl_regzf2razd2namez42zzsaw_bbvz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_regsetzd2nilzd2envz00zzsaw_bbvz00,
		BgL_bgl_za762regsetza7d2nilza72439za7, BGl_z62regsetzd2nilzb0zzsaw_bbvz00,
		0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2typezd2setz12zd2envz32zzsaw_bbvz00,
		BgL_bgl_za762rtl_regza7f2raza72440za7,
		BGl_z62rtl_regzf2razd2typezd2setz12z82zzsaw_bbvz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2400z00zzsaw_bbvz00,
		BgL_bgl_string2400za700za7za7s2441za7, " (", 2);
	      DEFINE_STRING(BGl_string2401z00zzsaw_bbvz00,
		BgL_bgl_string2401za700za7za7s2442za7, "        bbv ", 12);
	      DEFINE_STRING(BGl_string2402z00zzsaw_bbvz00,
		BgL_bgl_string2402za700za7za7s2443za7, ".plain.cfg", 10);
	      DEFINE_STRING(BGl_string2403z00zzsaw_bbvz00,
		BgL_bgl_string2403za700za7za7s2444za7, ".reorder.cfg", 12);
	      DEFINE_STRING(BGl_string2404z00zzsaw_bbvz00,
		BgL_bgl_string2404za700za7za7s2445za7, ".failure.cfg", 12);
	      DEFINE_STRING(BGl_string2405z00zzsaw_bbvz00,
		BgL_bgl_string2405za700za7za7s2446za7, ".typecheck.cfg", 14);
	      DEFINE_STRING(BGl_string2406z00zzsaw_bbvz00,
		BgL_bgl_string2406za700za7za7s2447za7, ".goto.cfg", 9);
	      DEFINE_STRING(BGl_string2407z00zzsaw_bbvz00,
		BgL_bgl_string2407za700za7za7s2448za7, ".ifeq.cfg", 9);
	      DEFINE_STRING(BGl_string2408z00zzsaw_bbvz00,
		BgL_bgl_string2408za700za7za7s2449za7, ".mov.cfg", 8);
	      DEFINE_STRING(BGl_string2409z00zzsaw_bbvz00,
		BgL_bgl_string2409za700za7za7s2450za7, ".liveness.cfg", 13);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2interferezd2envzf2zzsaw_bbvz00,
		BgL_bgl_za762rtl_regza7f2raza72451za7,
		BGl_z62rtl_regzf2razd2interferez42zzsaw_bbvz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2410z00zzsaw_bbvz00,
		BgL_bgl_string2410za700za7za7s2452za7, "specialize", 10);
	      DEFINE_STRING(BGl_string2411z00zzsaw_bbvz00,
		BgL_bgl_string2411za700za7za7s2453za7, "profile", 7);
	      DEFINE_STRING(BGl_string2412z00zzsaw_bbvz00,
		BgL_bgl_string2412za700za7za7s2454za7, "assert", 6);
	      DEFINE_STRING(BGl_string2413z00zzsaw_bbvz00,
		BgL_bgl_string2413za700za7za7s2455za7, "coalesce", 8);
	      DEFINE_STRING(BGl_string2414z00zzsaw_bbvz00,
		BgL_bgl_string2414za700za7za7s2456za7, "simplify1", 9);
	      DEFINE_STRING(BGl_string2415z00zzsaw_bbvz00,
		BgL_bgl_string2415za700za7za7s2457za7, "goto", 4);
	      DEFINE_STRING(BGl_string2416z00zzsaw_bbvz00,
		BgL_bgl_string2416za700za7za7s2458za7, "nop", 3);
	      DEFINE_STRING(BGl_string2417z00zzsaw_bbvz00,
		BgL_bgl_string2417za700za7za7s2459za7, "simplify2", 9);
	      DEFINE_STRING(BGl_string2418z00zzsaw_bbvz00,
		BgL_bgl_string2418za700za7za7s2460za7, " -> ", 4);
	      DEFINE_STRING(BGl_string2419z00zzsaw_bbvz00,
		BgL_bgl_string2419za700za7za7s2461za7, " ", 1);
	      DEFINE_STRING(BGl_string2420z00zzsaw_bbvz00,
		BgL_bgl_string2420za700za7za7s2462za7, "\n", 1);
	      DEFINE_STRING(BGl_string2421z00zzsaw_bbvz00,
		BgL_bgl_string2421za700za7za7s2463za7, "bbv", 3);
	      DEFINE_STRING(BGl_string2422z00zzsaw_bbvz00,
		BgL_bgl_string2422za700za7za7s2464za7, ".~a.cfg", 7);
	      DEFINE_STRING(BGl_string2423z00zzsaw_bbvz00,
		BgL_bgl_string2423za700za7za7s2465za7, ".~a.json", 8);
	      DEFINE_STRING(BGl_string2424z00zzsaw_bbvz00,
		BgL_bgl_string2424za700za7za7s2466za7, "gc!", 3);
	      DEFINE_STRING(BGl_string2425z00zzsaw_bbvz00,
		BgL_bgl_string2425za700za7za7s2467za7, "gc", 2);
	      DEFINE_STRING(BGl_string2426z00zzsaw_bbvz00,
		BgL_bgl_string2426za700za7za7s2468za7, "normalize-ifeq!", 15);
	      DEFINE_STRING(BGl_string2427z00zzsaw_bbvz00,
		BgL_bgl_string2427za700za7za7s2469za7, "bad block (no instruction)", 26);
	      DEFINE_STRING(BGl_string2428z00zzsaw_bbvz00,
		BgL_bgl_string2428za700za7za7s2470za7, "bad block", 9);
	      DEFINE_STRING(BGl_string2429z00zzsaw_bbvz00,
		BgL_bgl_string2429za700za7za7s2471za7, "exit(0)", 7);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2onexprzf3zd2setz12zd2envzc1zzsaw_bbvz00,
		BgL_bgl_za762rtl_regza7f2raza72472za7,
		BGl_z62rtl_regzf2razd2onexprzf3zd2setz12z71zzsaw_bbvz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2occurrenceszd2setz12zd2envz32zzsaw_bbvz00,
		BgL_bgl_za762rtl_regza7f2raza72473za7,
		BGl_z62rtl_regzf2razd2occurrenceszd2setz12z82zzsaw_bbvz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_regzf2razd2colorzd2envzf2zzsaw_bbvz00,
		BgL_bgl_za762rtl_regza7f2raza72474za7,
		BGl_z62rtl_regzf2razd2colorz42zzsaw_bbvz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2430z00zzsaw_bbvz00,
		BgL_bgl_string2430za700za7za7s2475za7, "saw_bbv", 7);
	      DEFINE_STRING(BGl_string2431z00zzsaw_bbvz00,
		BgL_bgl_string2431za700za7za7s2476za7, "bigloo-c bbset ", 15);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2interferezd2setz12zd2envz32zzsaw_bbvz00,
		BgL_bgl_za762rtl_regza7f2raza72477za7,
		BGl_z62rtl_regzf2razd2interferezd2setz12z82zzsaw_bbvz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_regsetzd2regvzd2envz00zzsaw_bbvz00,
		BgL_bgl_za762regsetza7d2regv2478z00, BGl_z62regsetzd2regvzb0zzsaw_bbvz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_regsetzd2lengthzd2setz12zd2envzc0zzsaw_bbvz00,
		BgL_bgl_za762regsetza7d2leng2479z00,
		BGl_z62regsetzd2lengthzd2setz12z70zzsaw_bbvz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_regsetzd2msiza7ezd2envza7zzsaw_bbvz00,
		BgL_bgl_za762regsetza7d2msiza72480za7,
		BGl_z62regsetzd2msiza7ez17zzsaw_bbvz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_regzf2razd2typezd2envzf2zzsaw_bbvz00,
		BgL_bgl_za762rtl_regza7f2raza72481za7,
		BGl_z62rtl_regzf2razd2typez42zzsaw_bbvz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2varzd2setz12zd2envz32zzsaw_bbvz00,
		BgL_bgl_za762rtl_regza7f2raza72482za7,
		BGl_z62rtl_regzf2razd2varzd2setz12z82zzsaw_bbvz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2395z00zzsaw_bbvz00,
		BgL_bgl_string2395za700za7za7s2483za7, " vlen", 5);
	      DEFINE_STRING(BGl_string2396z00zzsaw_bbvz00,
		BgL_bgl_string2396za700za7za7s2484za7, "", 0);
	      DEFINE_STRING(BGl_string2397z00zzsaw_bbvz00,
		BgL_bgl_string2397za700za7za7s2485za7, " alias", 6);
	      DEFINE_STRING(BGl_string2398z00zzsaw_bbvz00,
		BgL_bgl_string2398za700za7za7s2486za7, " cleanup", 8);
	      DEFINE_STRING(BGl_string2399z00zzsaw_bbvz00,
		BgL_bgl_string2399za700za7za7s2487za7, ")", 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2occurrenceszd2envzf2zzsaw_bbvz00,
		BgL_bgl_za762rtl_regza7f2raza72488za7,
		BGl_z62rtl_regzf2razd2occurrencesz42zzsaw_bbvz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_bbvzd2envzd2zzsaw_bbvz00,
		BgL_bgl_za762bbvza762za7za7saw_b2489z00, BGl_z62bbvz62zzsaw_bbvz00, 0L,
		BUNSPEC, 4);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_regzf2razd2nilzd2envzf2zzsaw_bbvz00,
		BgL_bgl_za762rtl_regza7f2raza72490za7,
		BGl_z62rtl_regzf2razd2nilz42zzsaw_bbvz00, 0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_regzf2razd2varzd2envzf2zzsaw_bbvz00,
		BgL_bgl_za762rtl_regza7f2raza72491za7,
		BGl_z62rtl_regzf2razd2varz42zzsaw_bbvz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_regzf2razd2numzd2envzf2zzsaw_bbvz00,
		BgL_bgl_za762rtl_regza7f2raza72492za7,
		BGl_z62rtl_regzf2razd2numz42zzsaw_bbvz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_regsetzd2stringzd2setz12zd2envzc0zzsaw_bbvz00,
		BgL_bgl_za762regsetza7d2stri2493z00,
		BGl_z62regsetzd2stringzd2setz12z70zzsaw_bbvz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2colorzd2setz12zd2envz32zzsaw_bbvz00,
		BgL_bgl_za762rtl_regza7f2raza72494za7,
		BGl_z62rtl_regzf2razd2colorzd2setz12z82zzsaw_bbvz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2onexprzf3zd2envz01zzsaw_bbvz00,
		BgL_bgl_za762rtl_regza7f2raza72495za7,
		BGl_z62rtl_regzf2razd2onexprzf3zb1zzsaw_bbvz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_regsetzd2stringzd2envz00zzsaw_bbvz00,
		BgL_bgl_za762regsetza7d2stri2496z00, BGl_z62regsetzd2stringzb0zzsaw_bbvz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2interfere2zd2setz12zd2envz32zzsaw_bbvz00,
		BgL_bgl_za762rtl_regza7f2raza72497za7,
		BGl_z62rtl_regzf2razd2interfere2zd2setz12z82zzsaw_bbvz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2rtl_regzf2razd2envzf2zzsaw_bbvz00,
		BgL_bgl_za762makeza7d2rtl_re2498z00,
		BGl_z62makezd2rtl_regzf2raz42zzsaw_bbvz00, 0L, BUNSPEC, 12);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_regzf2razf3zd2envzd3zzsaw_bbvz00,
		BgL_bgl_za762rtl_regza7f2raza72499za7,
		BGl_z62rtl_regzf2razf3z63zzsaw_bbvz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_regsetzd2lengthzd2envz00zzsaw_bbvz00,
		BgL_bgl_za762regsetza7d2leng2500z00, BGl_z62regsetzd2lengthzb0zzsaw_bbvz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2coalescezd2envzf2zzsaw_bbvz00,
		BgL_bgl_za762rtl_regza7f2raza72501za7,
		BGl_z62rtl_regzf2razd2coalescez42zzsaw_bbvz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2interfere2zd2envzf2zzsaw_bbvz00,
		BgL_bgl_za762rtl_regza7f2raza72502za7,
		BGl_z62rtl_regzf2razd2interfere2z42zzsaw_bbvz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2hardwarezd2envzf2zzsaw_bbvz00,
		BgL_bgl_za762rtl_regza7f2raza72503za7,
		BGl_z62rtl_regzf2razd2hardwarez42zzsaw_bbvz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2regsetzd2envz00zzsaw_bbvz00,
		BgL_bgl_za762makeza7d2regset2504z00, BGl_z62makezd2regsetzb0zzsaw_bbvz00,
		0L, BUNSPEC, 5);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_regsetzf3zd2envz21zzsaw_bbvz00,
		BgL_bgl_za762regsetza7f3za791za72505z00, BGl_z62regsetzf3z91zzsaw_bbvz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_regzf2razd2keyzd2envzf2zzsaw_bbvz00,
		BgL_bgl_za762rtl_regza7f2raza72506za7,
		BGl_z62rtl_regzf2razd2keyz42zzsaw_bbvz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2coalescezd2setz12zd2envz32zzsaw_bbvz00,
		BgL_bgl_za762rtl_regza7f2raza72507za7,
		BGl_z62rtl_regzf2razd2coalescezd2setz12z82zzsaw_bbvz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_regsetzd2reglzd2envz00zzsaw_bbvz00,
		BgL_bgl_za762regsetza7d2regl2508z00, BGl_z62regsetzd2reglzb0zzsaw_bbvz00,
		0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		     ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zzsaw_bbvz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzsaw_bbvz00(long
		BgL_checksumz00_4148, char *BgL_fromz00_4149)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzsaw_bbvz00))
				{
					BGl_requirezd2initializa7ationz75zzsaw_bbvz00 = BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzsaw_bbvz00();
					BGl_libraryzd2moduleszd2initz00zzsaw_bbvz00();
					BGl_cnstzd2initzd2zzsaw_bbvz00();
					BGl_importedzd2moduleszd2initz00zzsaw_bbvz00();
					return BGl_toplevelzd2initzd2zzsaw_bbvz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzsaw_bbvz00(void)
	{
		{	/* SawBbv/bbv.scm 15 */
			BGl_modulezd2initializa7ationz75zz__objectz00(0L, "saw_bbv");
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(0L, "saw_bbv");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(0L,
				"saw_bbv");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(0L, "saw_bbv");
			BGl_modulezd2initializa7ationz75zz__readerz00(0L, "saw_bbv");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(0L, "saw_bbv");
			BGl_modulezd2initializa7ationz75zz__errorz00(0L, "saw_bbv");
			BGl_modulezd2initializa7ationz75zz__bexitz00(0L, "saw_bbv");
			BGl_modulezd2initializa7ationz75zz__structurez00(0L, "saw_bbv");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(0L, "saw_bbv");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(0L, "saw_bbv");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(0L,
				"saw_bbv");
			BGl_modulezd2initializa7ationz75zz__biglooz00(0L, "saw_bbv");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzsaw_bbvz00(void)
	{
		{	/* SawBbv/bbv.scm 15 */
			{	/* SawBbv/bbv.scm 15 */
				obj_t BgL_cportz00_4089;

				{	/* SawBbv/bbv.scm 15 */
					obj_t BgL_stringz00_4096;

					BgL_stringz00_4096 = BGl_string2431z00zzsaw_bbvz00;
					{	/* SawBbv/bbv.scm 15 */
						obj_t BgL_startz00_4097;

						BgL_startz00_4097 = BINT(0L);
						{	/* SawBbv/bbv.scm 15 */
							obj_t BgL_endz00_4098;

							BgL_endz00_4098 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_4096)));
							{	/* SawBbv/bbv.scm 15 */

								BgL_cportz00_4089 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_4096, BgL_startz00_4097, BgL_endz00_4098);
				}}}}
				{
					long BgL_iz00_4090;

					BgL_iz00_4090 = 1L;
				BgL_loopz00_4091:
					if ((BgL_iz00_4090 == (-1L)))
						{	/* SawBbv/bbv.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* SawBbv/bbv.scm 15 */
							{	/* SawBbv/bbv.scm 15 */
								obj_t BgL_arg2437z00_4092;

								{	/* SawBbv/bbv.scm 15 */

									{	/* SawBbv/bbv.scm 15 */
										obj_t BgL_locationz00_4094;

										BgL_locationz00_4094 = BBOOL(((bool_t) 0));
										{	/* SawBbv/bbv.scm 15 */

											BgL_arg2437z00_4092 =
												BGl_readz00zz__readerz00(BgL_cportz00_4089,
												BgL_locationz00_4094);
										}
									}
								}
								{	/* SawBbv/bbv.scm 15 */
									int BgL_tmpz00_4180;

									BgL_tmpz00_4180 = (int) (BgL_iz00_4090);
									CNST_TABLE_SET(BgL_tmpz00_4180, BgL_arg2437z00_4092);
							}}
							{	/* SawBbv/bbv.scm 15 */
								int BgL_auxz00_4095;

								BgL_auxz00_4095 = (int) ((BgL_iz00_4090 - 1L));
								{
									long BgL_iz00_4185;

									BgL_iz00_4185 = (long) (BgL_auxz00_4095);
									BgL_iz00_4090 = BgL_iz00_4185;
									goto BgL_loopz00_4091;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzsaw_bbvz00(void)
	{
		{	/* SawBbv/bbv.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzsaw_bbvz00(void)
	{
		{	/* SawBbv/bbv.scm 15 */
			return BUNSPEC;
		}

	}



/* append-21011 */
	obj_t BGl_appendzd221011zd2zzsaw_bbvz00(obj_t BgL_l1z00_1, obj_t BgL_l2z00_2)
	{
		{
			if (NULLP(BgL_l1z00_1))
				{
					return BgL_l2z00_2;
				}
			else
				{
					obj_t BgL_headz00_2169;

					BgL_headz00_2169 = MAKE_YOUNG_PAIR(BNIL, BgL_l2z00_2);
					{
						obj_t BgL_prevz00_2170;
						obj_t BgL_tailz00_2171;

						BgL_prevz00_2170 = BgL_headz00_2169;
						BgL_tailz00_2171 = BgL_l1z00_1;
					BgL_loopz00_2172:
						if (PAIRP(BgL_tailz00_2171))
							{
								obj_t BgL_newzd2prevzd2_2174;

								BgL_newzd2prevzd2_2174 =
									MAKE_YOUNG_PAIR(CAR(BgL_tailz00_2171), BgL_l2z00_2);
								SET_CDR(BgL_prevz00_2170, BgL_newzd2prevzd2_2174);
								{
									obj_t BgL_tailz00_4197;
									obj_t BgL_prevz00_4196;

									BgL_prevz00_4196 = BgL_newzd2prevzd2_2174;
									BgL_tailz00_4197 = CDR(BgL_tailz00_2171);
									BgL_tailz00_2171 = BgL_tailz00_4197;
									BgL_prevz00_2170 = BgL_prevz00_4196;
									goto BgL_loopz00_2172;
								}
							}
						else
							{
								BNIL;
							}
						return CDR(BgL_headz00_2169);
					}
				}
		}

	}



/* make-rtl_reg/ra */
	BGL_EXPORTED_DEF BgL_rtl_regz00_bglt
		BGl_makezd2rtl_regzf2raz20zzsaw_bbvz00(BgL_typez00_bglt BgL_type1179z00_3,
		obj_t BgL_var1180z00_4, obj_t BgL_onexprzf31181zf3_5,
		obj_t BgL_name1182z00_6, obj_t BgL_key1183z00_7,
		obj_t BgL_hardware1184z00_8, int BgL_num1185z00_9,
		obj_t BgL_color1186z00_10, obj_t BgL_coalesce1187z00_11,
		int BgL_occurrences1188z00_12, obj_t BgL_interfere1189z00_13,
		obj_t BgL_interfere21190z00_14)
	{
		{	/* SawMill/regset.sch 55 */
			{	/* SawMill/regset.sch 55 */
				BgL_rtl_regz00_bglt BgL_new1166z00_4100;

				{	/* SawMill/regset.sch 55 */
					BgL_rtl_regz00_bglt BgL_tmp1164z00_4101;
					BgL_rtl_regzf2razf2_bglt BgL_wide1165z00_4102;

					{
						BgL_rtl_regz00_bglt BgL_auxz00_4200;

						{	/* SawMill/regset.sch 55 */
							BgL_rtl_regz00_bglt BgL_new1163z00_4103;

							BgL_new1163z00_4103 =
								((BgL_rtl_regz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_rtl_regz00_bgl))));
							{	/* SawMill/regset.sch 55 */
								long BgL_arg1543z00_4104;

								BgL_arg1543z00_4104 =
									BGL_CLASS_NUM(BGl_rtl_regz00zzsaw_defsz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1163z00_4103),
									BgL_arg1543z00_4104);
							}
							{	/* SawMill/regset.sch 55 */
								BgL_objectz00_bglt BgL_tmpz00_4205;

								BgL_tmpz00_4205 = ((BgL_objectz00_bglt) BgL_new1163z00_4103);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4205, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1163z00_4103);
							BgL_auxz00_4200 = BgL_new1163z00_4103;
						}
						BgL_tmp1164z00_4101 = ((BgL_rtl_regz00_bglt) BgL_auxz00_4200);
					}
					BgL_wide1165z00_4102 =
						((BgL_rtl_regzf2razf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_regzf2razf2_bgl))));
					{	/* SawMill/regset.sch 55 */
						obj_t BgL_auxz00_4213;
						BgL_objectz00_bglt BgL_tmpz00_4211;

						BgL_auxz00_4213 = ((obj_t) BgL_wide1165z00_4102);
						BgL_tmpz00_4211 = ((BgL_objectz00_bglt) BgL_tmp1164z00_4101);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4211, BgL_auxz00_4213);
					}
					((BgL_objectz00_bglt) BgL_tmp1164z00_4101);
					{	/* SawMill/regset.sch 55 */
						long BgL_arg1535z00_4105;

						BgL_arg1535z00_4105 =
							BGL_CLASS_NUM(BGl_rtl_regzf2razf2zzsaw_regsetz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1164z00_4101), BgL_arg1535z00_4105);
					}
					BgL_new1166z00_4100 = ((BgL_rtl_regz00_bglt) BgL_tmp1164z00_4101);
				}
				((((BgL_rtl_regz00_bglt) COBJECT(
								((BgL_rtl_regz00_bglt) BgL_new1166z00_4100)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1179z00_3), BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(((BgL_rtl_regz00_bglt)
									BgL_new1166z00_4100)))->BgL_varz00) =
					((obj_t) BgL_var1180z00_4), BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(((BgL_rtl_regz00_bglt)
									BgL_new1166z00_4100)))->BgL_onexprzf3zf3) =
					((obj_t) BgL_onexprzf31181zf3_5), BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(((BgL_rtl_regz00_bglt)
									BgL_new1166z00_4100)))->BgL_namez00) =
					((obj_t) BgL_name1182z00_6), BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(((BgL_rtl_regz00_bglt)
									BgL_new1166z00_4100)))->BgL_keyz00) =
					((obj_t) BgL_key1183z00_7), BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(((BgL_rtl_regz00_bglt)
									BgL_new1166z00_4100)))->BgL_debugnamez00) =
					((obj_t) BFALSE), BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(((BgL_rtl_regz00_bglt)
									BgL_new1166z00_4100)))->BgL_hardwarez00) =
					((obj_t) BgL_hardware1184z00_8), BUNSPEC);
				{
					BgL_rtl_regzf2razf2_bglt BgL_auxz00_4235;

					{
						obj_t BgL_auxz00_4236;

						{	/* SawMill/regset.sch 55 */
							BgL_objectz00_bglt BgL_tmpz00_4237;

							BgL_tmpz00_4237 = ((BgL_objectz00_bglt) BgL_new1166z00_4100);
							BgL_auxz00_4236 = BGL_OBJECT_WIDENING(BgL_tmpz00_4237);
						}
						BgL_auxz00_4235 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_4236);
					}
					((((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_4235))->BgL_numz00) =
						((int) BgL_num1185z00_9), BUNSPEC);
				}
				{
					BgL_rtl_regzf2razf2_bglt BgL_auxz00_4242;

					{
						obj_t BgL_auxz00_4243;

						{	/* SawMill/regset.sch 55 */
							BgL_objectz00_bglt BgL_tmpz00_4244;

							BgL_tmpz00_4244 = ((BgL_objectz00_bglt) BgL_new1166z00_4100);
							BgL_auxz00_4243 = BGL_OBJECT_WIDENING(BgL_tmpz00_4244);
						}
						BgL_auxz00_4242 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_4243);
					}
					((((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_4242))->
							BgL_colorz00) = ((obj_t) BgL_color1186z00_10), BUNSPEC);
				}
				{
					BgL_rtl_regzf2razf2_bglt BgL_auxz00_4249;

					{
						obj_t BgL_auxz00_4250;

						{	/* SawMill/regset.sch 55 */
							BgL_objectz00_bglt BgL_tmpz00_4251;

							BgL_tmpz00_4251 = ((BgL_objectz00_bglt) BgL_new1166z00_4100);
							BgL_auxz00_4250 = BGL_OBJECT_WIDENING(BgL_tmpz00_4251);
						}
						BgL_auxz00_4249 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_4250);
					}
					((((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_4249))->
							BgL_coalescez00) = ((obj_t) BgL_coalesce1187z00_11), BUNSPEC);
				}
				{
					BgL_rtl_regzf2razf2_bglt BgL_auxz00_4256;

					{
						obj_t BgL_auxz00_4257;

						{	/* SawMill/regset.sch 55 */
							BgL_objectz00_bglt BgL_tmpz00_4258;

							BgL_tmpz00_4258 = ((BgL_objectz00_bglt) BgL_new1166z00_4100);
							BgL_auxz00_4257 = BGL_OBJECT_WIDENING(BgL_tmpz00_4258);
						}
						BgL_auxz00_4256 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_4257);
					}
					((((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_4256))->
							BgL_occurrencesz00) = ((int) BgL_occurrences1188z00_12), BUNSPEC);
				}
				{
					BgL_rtl_regzf2razf2_bglt BgL_auxz00_4263;

					{
						obj_t BgL_auxz00_4264;

						{	/* SawMill/regset.sch 55 */
							BgL_objectz00_bglt BgL_tmpz00_4265;

							BgL_tmpz00_4265 = ((BgL_objectz00_bglt) BgL_new1166z00_4100);
							BgL_auxz00_4264 = BGL_OBJECT_WIDENING(BgL_tmpz00_4265);
						}
						BgL_auxz00_4263 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_4264);
					}
					((((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_4263))->
							BgL_interferez00) = ((obj_t) BgL_interfere1189z00_13), BUNSPEC);
				}
				{
					BgL_rtl_regzf2razf2_bglt BgL_auxz00_4270;

					{
						obj_t BgL_auxz00_4271;

						{	/* SawMill/regset.sch 55 */
							BgL_objectz00_bglt BgL_tmpz00_4272;

							BgL_tmpz00_4272 = ((BgL_objectz00_bglt) BgL_new1166z00_4100);
							BgL_auxz00_4271 = BGL_OBJECT_WIDENING(BgL_tmpz00_4272);
						}
						BgL_auxz00_4270 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_4271);
					}
					((((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_4270))->
							BgL_interfere2z00) = ((obj_t) BgL_interfere21190z00_14), BUNSPEC);
				}
				return BgL_new1166z00_4100;
			}
		}

	}



/* &make-rtl_reg/ra */
	BgL_rtl_regz00_bglt BGl_z62makezd2rtl_regzf2raz42zzsaw_bbvz00(obj_t
		BgL_envz00_3991, obj_t BgL_type1179z00_3992, obj_t BgL_var1180z00_3993,
		obj_t BgL_onexprzf31181zf3_3994, obj_t BgL_name1182z00_3995,
		obj_t BgL_key1183z00_3996, obj_t BgL_hardware1184z00_3997,
		obj_t BgL_num1185z00_3998, obj_t BgL_color1186z00_3999,
		obj_t BgL_coalesce1187z00_4000, obj_t BgL_occurrences1188z00_4001,
		obj_t BgL_interfere1189z00_4002, obj_t BgL_interfere21190z00_4003)
	{
		{	/* SawMill/regset.sch 55 */
			return
				BGl_makezd2rtl_regzf2raz20zzsaw_bbvz00(
				((BgL_typez00_bglt) BgL_type1179z00_3992), BgL_var1180z00_3993,
				BgL_onexprzf31181zf3_3994, BgL_name1182z00_3995, BgL_key1183z00_3996,
				BgL_hardware1184z00_3997, CINT(BgL_num1185z00_3998),
				BgL_color1186z00_3999, BgL_coalesce1187z00_4000,
				CINT(BgL_occurrences1188z00_4001), BgL_interfere1189z00_4002,
				BgL_interfere21190z00_4003);
		}

	}



/* rtl_reg/ra? */
	BGL_EXPORTED_DEF bool_t BGl_rtl_regzf2razf3z01zzsaw_bbvz00(obj_t
		BgL_objz00_15)
	{
		{	/* SawMill/regset.sch 56 */
			{	/* SawMill/regset.sch 56 */
				obj_t BgL_classz00_4106;

				BgL_classz00_4106 = BGl_rtl_regzf2razf2zzsaw_regsetz00;
				if (BGL_OBJECTP(BgL_objz00_15))
					{	/* SawMill/regset.sch 56 */
						BgL_objectz00_bglt BgL_arg1858z00_4107;

						BgL_arg1858z00_4107 = (BgL_objectz00_bglt) (BgL_objz00_15);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* SawMill/regset.sch 56 */
								long BgL_idxz00_4108;

								BgL_idxz00_4108 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_4107);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_4108 + 2L)) == BgL_classz00_4106);
							}
						else
							{	/* SawMill/regset.sch 56 */
								bool_t BgL_res2373z00_4111;

								{	/* SawMill/regset.sch 56 */
									obj_t BgL_oclassz00_4112;

									{	/* SawMill/regset.sch 56 */
										obj_t BgL_arg1866z00_4113;
										long BgL_arg1867z00_4114;

										BgL_arg1866z00_4113 = (BGl_za2classesza2z00zz__objectz00);
										{	/* SawMill/regset.sch 56 */
											long BgL_arg1869z00_4115;

											BgL_arg1869z00_4115 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_4107);
											BgL_arg1867z00_4114 = (BgL_arg1869z00_4115 - OBJECT_TYPE);
										}
										BgL_oclassz00_4112 =
											VECTOR_REF(BgL_arg1866z00_4113, BgL_arg1867z00_4114);
									}
									{	/* SawMill/regset.sch 56 */
										bool_t BgL__ortest_1115z00_4116;

										BgL__ortest_1115z00_4116 =
											(BgL_classz00_4106 == BgL_oclassz00_4112);
										if (BgL__ortest_1115z00_4116)
											{	/* SawMill/regset.sch 56 */
												BgL_res2373z00_4111 = BgL__ortest_1115z00_4116;
											}
										else
											{	/* SawMill/regset.sch 56 */
												long BgL_odepthz00_4117;

												{	/* SawMill/regset.sch 56 */
													obj_t BgL_arg1855z00_4118;

													BgL_arg1855z00_4118 = (BgL_oclassz00_4112);
													BgL_odepthz00_4117 =
														BGL_CLASS_DEPTH(BgL_arg1855z00_4118);
												}
												if ((2L < BgL_odepthz00_4117))
													{	/* SawMill/regset.sch 56 */
														obj_t BgL_arg1853z00_4119;

														{	/* SawMill/regset.sch 56 */
															obj_t BgL_arg1854z00_4120;

															BgL_arg1854z00_4120 = (BgL_oclassz00_4112);
															BgL_arg1853z00_4119 =
																BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_4120,
																2L);
														}
														BgL_res2373z00_4111 =
															(BgL_arg1853z00_4119 == BgL_classz00_4106);
													}
												else
													{	/* SawMill/regset.sch 56 */
														BgL_res2373z00_4111 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res2373z00_4111;
							}
					}
				else
					{	/* SawMill/regset.sch 56 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &rtl_reg/ra? */
	obj_t BGl_z62rtl_regzf2razf3z63zzsaw_bbvz00(obj_t BgL_envz00_4004,
		obj_t BgL_objz00_4005)
	{
		{	/* SawMill/regset.sch 56 */
			return BBOOL(BGl_rtl_regzf2razf3z01zzsaw_bbvz00(BgL_objz00_4005));
		}

	}



/* rtl_reg/ra-nil */
	BGL_EXPORTED_DEF BgL_rtl_regz00_bglt
		BGl_rtl_regzf2razd2nilz20zzsaw_bbvz00(void)
	{
		{	/* SawMill/regset.sch 57 */
			{	/* SawMill/regset.sch 57 */
				obj_t BgL_classz00_3327;

				BgL_classz00_3327 = BGl_rtl_regzf2razf2zzsaw_regsetz00;
				{	/* SawMill/regset.sch 57 */
					obj_t BgL__ortest_1117z00_3328;

					BgL__ortest_1117z00_3328 = BGL_CLASS_NIL(BgL_classz00_3327);
					if (CBOOL(BgL__ortest_1117z00_3328))
						{	/* SawMill/regset.sch 57 */
							return ((BgL_rtl_regz00_bglt) BgL__ortest_1117z00_3328);
						}
					else
						{	/* SawMill/regset.sch 57 */
							return
								((BgL_rtl_regz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_3327));
						}
				}
			}
		}

	}



/* &rtl_reg/ra-nil */
	BgL_rtl_regz00_bglt BGl_z62rtl_regzf2razd2nilz42zzsaw_bbvz00(obj_t
		BgL_envz00_4006)
	{
		{	/* SawMill/regset.sch 57 */
			return BGl_rtl_regzf2razd2nilz20zzsaw_bbvz00();
		}

	}



/* rtl_reg/ra-interfere2 */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2interfere2z20zzsaw_bbvz00(BgL_rtl_regz00_bglt
		BgL_oz00_16)
	{
		{	/* SawMill/regset.sch 58 */
			{
				BgL_rtl_regzf2razf2_bglt BgL_auxz00_4312;

				{
					obj_t BgL_auxz00_4313;

					{	/* SawMill/regset.sch 58 */
						BgL_objectz00_bglt BgL_tmpz00_4314;

						BgL_tmpz00_4314 = ((BgL_objectz00_bglt) BgL_oz00_16);
						BgL_auxz00_4313 = BGL_OBJECT_WIDENING(BgL_tmpz00_4314);
					}
					BgL_auxz00_4312 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_4313);
				}
				return
					(((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_4312))->
					BgL_interfere2z00);
			}
		}

	}



/* &rtl_reg/ra-interfere2 */
	obj_t BGl_z62rtl_regzf2razd2interfere2z42zzsaw_bbvz00(obj_t BgL_envz00_4007,
		obj_t BgL_oz00_4008)
	{
		{	/* SawMill/regset.sch 58 */
			return
				BGl_rtl_regzf2razd2interfere2z20zzsaw_bbvz00(
				((BgL_rtl_regz00_bglt) BgL_oz00_4008));
		}

	}



/* rtl_reg/ra-interfere2-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2interfere2zd2setz12ze0zzsaw_bbvz00(BgL_rtl_regz00_bglt
		BgL_oz00_17, obj_t BgL_vz00_18)
	{
		{	/* SawMill/regset.sch 59 */
			{
				BgL_rtl_regzf2razf2_bglt BgL_auxz00_4321;

				{
					obj_t BgL_auxz00_4322;

					{	/* SawMill/regset.sch 59 */
						BgL_objectz00_bglt BgL_tmpz00_4323;

						BgL_tmpz00_4323 = ((BgL_objectz00_bglt) BgL_oz00_17);
						BgL_auxz00_4322 = BGL_OBJECT_WIDENING(BgL_tmpz00_4323);
					}
					BgL_auxz00_4321 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_4322);
				}
				return
					((((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_4321))->
						BgL_interfere2z00) = ((obj_t) BgL_vz00_18), BUNSPEC);
			}
		}

	}



/* &rtl_reg/ra-interfere2-set! */
	obj_t BGl_z62rtl_regzf2razd2interfere2zd2setz12z82zzsaw_bbvz00(obj_t
		BgL_envz00_4009, obj_t BgL_oz00_4010, obj_t BgL_vz00_4011)
	{
		{	/* SawMill/regset.sch 59 */
			return
				BGl_rtl_regzf2razd2interfere2zd2setz12ze0zzsaw_bbvz00(
				((BgL_rtl_regz00_bglt) BgL_oz00_4010), BgL_vz00_4011);
		}

	}



/* rtl_reg/ra-interfere */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2interferez20zzsaw_bbvz00(BgL_rtl_regz00_bglt BgL_oz00_19)
	{
		{	/* SawMill/regset.sch 60 */
			{
				BgL_rtl_regzf2razf2_bglt BgL_auxz00_4330;

				{
					obj_t BgL_auxz00_4331;

					{	/* SawMill/regset.sch 60 */
						BgL_objectz00_bglt BgL_tmpz00_4332;

						BgL_tmpz00_4332 = ((BgL_objectz00_bglt) BgL_oz00_19);
						BgL_auxz00_4331 = BGL_OBJECT_WIDENING(BgL_tmpz00_4332);
					}
					BgL_auxz00_4330 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_4331);
				}
				return
					(((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_4330))->
					BgL_interferez00);
			}
		}

	}



/* &rtl_reg/ra-interfere */
	obj_t BGl_z62rtl_regzf2razd2interferez42zzsaw_bbvz00(obj_t BgL_envz00_4012,
		obj_t BgL_oz00_4013)
	{
		{	/* SawMill/regset.sch 60 */
			return
				BGl_rtl_regzf2razd2interferez20zzsaw_bbvz00(
				((BgL_rtl_regz00_bglt) BgL_oz00_4013));
		}

	}



/* rtl_reg/ra-interfere-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2interferezd2setz12ze0zzsaw_bbvz00(BgL_rtl_regz00_bglt
		BgL_oz00_20, obj_t BgL_vz00_21)
	{
		{	/* SawMill/regset.sch 61 */
			{
				BgL_rtl_regzf2razf2_bglt BgL_auxz00_4339;

				{
					obj_t BgL_auxz00_4340;

					{	/* SawMill/regset.sch 61 */
						BgL_objectz00_bglt BgL_tmpz00_4341;

						BgL_tmpz00_4341 = ((BgL_objectz00_bglt) BgL_oz00_20);
						BgL_auxz00_4340 = BGL_OBJECT_WIDENING(BgL_tmpz00_4341);
					}
					BgL_auxz00_4339 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_4340);
				}
				return
					((((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_4339))->
						BgL_interferez00) = ((obj_t) BgL_vz00_21), BUNSPEC);
			}
		}

	}



/* &rtl_reg/ra-interfere-set! */
	obj_t BGl_z62rtl_regzf2razd2interferezd2setz12z82zzsaw_bbvz00(obj_t
		BgL_envz00_4014, obj_t BgL_oz00_4015, obj_t BgL_vz00_4016)
	{
		{	/* SawMill/regset.sch 61 */
			return
				BGl_rtl_regzf2razd2interferezd2setz12ze0zzsaw_bbvz00(
				((BgL_rtl_regz00_bglt) BgL_oz00_4015), BgL_vz00_4016);
		}

	}



/* rtl_reg/ra-occurrences */
	BGL_EXPORTED_DEF int
		BGl_rtl_regzf2razd2occurrencesz20zzsaw_bbvz00(BgL_rtl_regz00_bglt
		BgL_oz00_22)
	{
		{	/* SawMill/regset.sch 62 */
			{
				BgL_rtl_regzf2razf2_bglt BgL_auxz00_4348;

				{
					obj_t BgL_auxz00_4349;

					{	/* SawMill/regset.sch 62 */
						BgL_objectz00_bglt BgL_tmpz00_4350;

						BgL_tmpz00_4350 = ((BgL_objectz00_bglt) BgL_oz00_22);
						BgL_auxz00_4349 = BGL_OBJECT_WIDENING(BgL_tmpz00_4350);
					}
					BgL_auxz00_4348 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_4349);
				}
				return
					(((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_4348))->
					BgL_occurrencesz00);
			}
		}

	}



/* &rtl_reg/ra-occurrences */
	obj_t BGl_z62rtl_regzf2razd2occurrencesz42zzsaw_bbvz00(obj_t BgL_envz00_4017,
		obj_t BgL_oz00_4018)
	{
		{	/* SawMill/regset.sch 62 */
			return
				BINT(BGl_rtl_regzf2razd2occurrencesz20zzsaw_bbvz00(
					((BgL_rtl_regz00_bglt) BgL_oz00_4018)));
		}

	}



/* rtl_reg/ra-occurrences-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2occurrenceszd2setz12ze0zzsaw_bbvz00(BgL_rtl_regz00_bglt
		BgL_oz00_23, int BgL_vz00_24)
	{
		{	/* SawMill/regset.sch 63 */
			{
				BgL_rtl_regzf2razf2_bglt BgL_auxz00_4358;

				{
					obj_t BgL_auxz00_4359;

					{	/* SawMill/regset.sch 63 */
						BgL_objectz00_bglt BgL_tmpz00_4360;

						BgL_tmpz00_4360 = ((BgL_objectz00_bglt) BgL_oz00_23);
						BgL_auxz00_4359 = BGL_OBJECT_WIDENING(BgL_tmpz00_4360);
					}
					BgL_auxz00_4358 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_4359);
				}
				return
					((((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_4358))->
						BgL_occurrencesz00) = ((int) BgL_vz00_24), BUNSPEC);
		}}

	}



/* &rtl_reg/ra-occurrences-set! */
	obj_t BGl_z62rtl_regzf2razd2occurrenceszd2setz12z82zzsaw_bbvz00(obj_t
		BgL_envz00_4019, obj_t BgL_oz00_4020, obj_t BgL_vz00_4021)
	{
		{	/* SawMill/regset.sch 63 */
			return
				BGl_rtl_regzf2razd2occurrenceszd2setz12ze0zzsaw_bbvz00(
				((BgL_rtl_regz00_bglt) BgL_oz00_4020), CINT(BgL_vz00_4021));
		}

	}



/* rtl_reg/ra-coalesce */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2coalescez20zzsaw_bbvz00(BgL_rtl_regz00_bglt BgL_oz00_25)
	{
		{	/* SawMill/regset.sch 64 */
			{
				BgL_rtl_regzf2razf2_bglt BgL_auxz00_4368;

				{
					obj_t BgL_auxz00_4369;

					{	/* SawMill/regset.sch 64 */
						BgL_objectz00_bglt BgL_tmpz00_4370;

						BgL_tmpz00_4370 = ((BgL_objectz00_bglt) BgL_oz00_25);
						BgL_auxz00_4369 = BGL_OBJECT_WIDENING(BgL_tmpz00_4370);
					}
					BgL_auxz00_4368 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_4369);
				}
				return
					(((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_4368))->
					BgL_coalescez00);
			}
		}

	}



/* &rtl_reg/ra-coalesce */
	obj_t BGl_z62rtl_regzf2razd2coalescez42zzsaw_bbvz00(obj_t BgL_envz00_4022,
		obj_t BgL_oz00_4023)
	{
		{	/* SawMill/regset.sch 64 */
			return
				BGl_rtl_regzf2razd2coalescez20zzsaw_bbvz00(
				((BgL_rtl_regz00_bglt) BgL_oz00_4023));
		}

	}



/* rtl_reg/ra-coalesce-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2coalescezd2setz12ze0zzsaw_bbvz00(BgL_rtl_regz00_bglt
		BgL_oz00_26, obj_t BgL_vz00_27)
	{
		{	/* SawMill/regset.sch 65 */
			{
				BgL_rtl_regzf2razf2_bglt BgL_auxz00_4377;

				{
					obj_t BgL_auxz00_4378;

					{	/* SawMill/regset.sch 65 */
						BgL_objectz00_bglt BgL_tmpz00_4379;

						BgL_tmpz00_4379 = ((BgL_objectz00_bglt) BgL_oz00_26);
						BgL_auxz00_4378 = BGL_OBJECT_WIDENING(BgL_tmpz00_4379);
					}
					BgL_auxz00_4377 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_4378);
				}
				return
					((((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_4377))->
						BgL_coalescez00) = ((obj_t) BgL_vz00_27), BUNSPEC);
			}
		}

	}



/* &rtl_reg/ra-coalesce-set! */
	obj_t BGl_z62rtl_regzf2razd2coalescezd2setz12z82zzsaw_bbvz00(obj_t
		BgL_envz00_4024, obj_t BgL_oz00_4025, obj_t BgL_vz00_4026)
	{
		{	/* SawMill/regset.sch 65 */
			return
				BGl_rtl_regzf2razd2coalescezd2setz12ze0zzsaw_bbvz00(
				((BgL_rtl_regz00_bglt) BgL_oz00_4025), BgL_vz00_4026);
		}

	}



/* rtl_reg/ra-color */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2colorz20zzsaw_bbvz00(BgL_rtl_regz00_bglt BgL_oz00_28)
	{
		{	/* SawMill/regset.sch 66 */
			{
				BgL_rtl_regzf2razf2_bglt BgL_auxz00_4386;

				{
					obj_t BgL_auxz00_4387;

					{	/* SawMill/regset.sch 66 */
						BgL_objectz00_bglt BgL_tmpz00_4388;

						BgL_tmpz00_4388 = ((BgL_objectz00_bglt) BgL_oz00_28);
						BgL_auxz00_4387 = BGL_OBJECT_WIDENING(BgL_tmpz00_4388);
					}
					BgL_auxz00_4386 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_4387);
				}
				return
					(((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_4386))->BgL_colorz00);
			}
		}

	}



/* &rtl_reg/ra-color */
	obj_t BGl_z62rtl_regzf2razd2colorz42zzsaw_bbvz00(obj_t BgL_envz00_4027,
		obj_t BgL_oz00_4028)
	{
		{	/* SawMill/regset.sch 66 */
			return
				BGl_rtl_regzf2razd2colorz20zzsaw_bbvz00(
				((BgL_rtl_regz00_bglt) BgL_oz00_4028));
		}

	}



/* rtl_reg/ra-color-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2colorzd2setz12ze0zzsaw_bbvz00(BgL_rtl_regz00_bglt
		BgL_oz00_29, obj_t BgL_vz00_30)
	{
		{	/* SawMill/regset.sch 67 */
			{
				BgL_rtl_regzf2razf2_bglt BgL_auxz00_4395;

				{
					obj_t BgL_auxz00_4396;

					{	/* SawMill/regset.sch 67 */
						BgL_objectz00_bglt BgL_tmpz00_4397;

						BgL_tmpz00_4397 = ((BgL_objectz00_bglt) BgL_oz00_29);
						BgL_auxz00_4396 = BGL_OBJECT_WIDENING(BgL_tmpz00_4397);
					}
					BgL_auxz00_4395 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_4396);
				}
				return
					((((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_4395))->
						BgL_colorz00) = ((obj_t) BgL_vz00_30), BUNSPEC);
			}
		}

	}



/* &rtl_reg/ra-color-set! */
	obj_t BGl_z62rtl_regzf2razd2colorzd2setz12z82zzsaw_bbvz00(obj_t
		BgL_envz00_4029, obj_t BgL_oz00_4030, obj_t BgL_vz00_4031)
	{
		{	/* SawMill/regset.sch 67 */
			return
				BGl_rtl_regzf2razd2colorzd2setz12ze0zzsaw_bbvz00(
				((BgL_rtl_regz00_bglt) BgL_oz00_4030), BgL_vz00_4031);
		}

	}



/* rtl_reg/ra-num */
	BGL_EXPORTED_DEF int BGl_rtl_regzf2razd2numz20zzsaw_bbvz00(BgL_rtl_regz00_bglt
		BgL_oz00_31)
	{
		{	/* SawMill/regset.sch 68 */
			{
				BgL_rtl_regzf2razf2_bglt BgL_auxz00_4404;

				{
					obj_t BgL_auxz00_4405;

					{	/* SawMill/regset.sch 68 */
						BgL_objectz00_bglt BgL_tmpz00_4406;

						BgL_tmpz00_4406 = ((BgL_objectz00_bglt) BgL_oz00_31);
						BgL_auxz00_4405 = BGL_OBJECT_WIDENING(BgL_tmpz00_4406);
					}
					BgL_auxz00_4404 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_4405);
				}
				return
					(((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_4404))->BgL_numz00);
			}
		}

	}



/* &rtl_reg/ra-num */
	obj_t BGl_z62rtl_regzf2razd2numz42zzsaw_bbvz00(obj_t BgL_envz00_4032,
		obj_t BgL_oz00_4033)
	{
		{	/* SawMill/regset.sch 68 */
			return
				BINT(BGl_rtl_regzf2razd2numz20zzsaw_bbvz00(
					((BgL_rtl_regz00_bglt) BgL_oz00_4033)));
		}

	}



/* rtl_reg/ra-hardware */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2hardwarez20zzsaw_bbvz00(BgL_rtl_regz00_bglt BgL_oz00_34)
	{
		{	/* SawMill/regset.sch 70 */
			return
				(((BgL_rtl_regz00_bglt) COBJECT(
						((BgL_rtl_regz00_bglt) BgL_oz00_34)))->BgL_hardwarez00);
		}

	}



/* &rtl_reg/ra-hardware */
	obj_t BGl_z62rtl_regzf2razd2hardwarez42zzsaw_bbvz00(obj_t BgL_envz00_4034,
		obj_t BgL_oz00_4035)
	{
		{	/* SawMill/regset.sch 70 */
			return
				BGl_rtl_regzf2razd2hardwarez20zzsaw_bbvz00(
				((BgL_rtl_regz00_bglt) BgL_oz00_4035));
		}

	}



/* rtl_reg/ra-key */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2keyz20zzsaw_bbvz00(BgL_rtl_regz00_bglt BgL_oz00_37)
	{
		{	/* SawMill/regset.sch 72 */
			return
				(((BgL_rtl_regz00_bglt) COBJECT(
						((BgL_rtl_regz00_bglt) BgL_oz00_37)))->BgL_keyz00);
		}

	}



/* &rtl_reg/ra-key */
	obj_t BGl_z62rtl_regzf2razd2keyz42zzsaw_bbvz00(obj_t BgL_envz00_4036,
		obj_t BgL_oz00_4037)
	{
		{	/* SawMill/regset.sch 72 */
			return
				BGl_rtl_regzf2razd2keyz20zzsaw_bbvz00(
				((BgL_rtl_regz00_bglt) BgL_oz00_4037));
		}

	}



/* rtl_reg/ra-name */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2namez20zzsaw_bbvz00(BgL_rtl_regz00_bglt BgL_oz00_40)
	{
		{	/* SawMill/regset.sch 74 */
			return
				(((BgL_rtl_regz00_bglt) COBJECT(
						((BgL_rtl_regz00_bglt) BgL_oz00_40)))->BgL_namez00);
		}

	}



/* &rtl_reg/ra-name */
	obj_t BGl_z62rtl_regzf2razd2namez42zzsaw_bbvz00(obj_t BgL_envz00_4038,
		obj_t BgL_oz00_4039)
	{
		{	/* SawMill/regset.sch 74 */
			return
				BGl_rtl_regzf2razd2namez20zzsaw_bbvz00(
				((BgL_rtl_regz00_bglt) BgL_oz00_4039));
		}

	}



/* rtl_reg/ra-onexpr? */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2onexprzf3zd3zzsaw_bbvz00(BgL_rtl_regz00_bglt BgL_oz00_43)
	{
		{	/* SawMill/regset.sch 76 */
			return
				(((BgL_rtl_regz00_bglt) COBJECT(
						((BgL_rtl_regz00_bglt) BgL_oz00_43)))->BgL_onexprzf3zf3);
		}

	}



/* &rtl_reg/ra-onexpr? */
	obj_t BGl_z62rtl_regzf2razd2onexprzf3zb1zzsaw_bbvz00(obj_t BgL_envz00_4040,
		obj_t BgL_oz00_4041)
	{
		{	/* SawMill/regset.sch 76 */
			return
				BGl_rtl_regzf2razd2onexprzf3zd3zzsaw_bbvz00(
				((BgL_rtl_regz00_bglt) BgL_oz00_4041));
		}

	}



/* rtl_reg/ra-onexpr?-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2onexprzf3zd2setz12z13zzsaw_bbvz00(BgL_rtl_regz00_bglt
		BgL_oz00_44, obj_t BgL_vz00_45)
	{
		{	/* SawMill/regset.sch 77 */
			return
				((((BgL_rtl_regz00_bglt) COBJECT(
							((BgL_rtl_regz00_bglt) BgL_oz00_44)))->BgL_onexprzf3zf3) =
				((obj_t) BgL_vz00_45), BUNSPEC);
		}

	}



/* &rtl_reg/ra-onexpr?-set! */
	obj_t BGl_z62rtl_regzf2razd2onexprzf3zd2setz12z71zzsaw_bbvz00(obj_t
		BgL_envz00_4042, obj_t BgL_oz00_4043, obj_t BgL_vz00_4044)
	{
		{	/* SawMill/regset.sch 77 */
			return
				BGl_rtl_regzf2razd2onexprzf3zd2setz12z13zzsaw_bbvz00(
				((BgL_rtl_regz00_bglt) BgL_oz00_4043), BgL_vz00_4044);
		}

	}



/* rtl_reg/ra-var */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2varz20zzsaw_bbvz00(BgL_rtl_regz00_bglt BgL_oz00_46)
	{
		{	/* SawMill/regset.sch 78 */
			return
				(((BgL_rtl_regz00_bglt) COBJECT(
						((BgL_rtl_regz00_bglt) BgL_oz00_46)))->BgL_varz00);
		}

	}



/* &rtl_reg/ra-var */
	obj_t BGl_z62rtl_regzf2razd2varz42zzsaw_bbvz00(obj_t BgL_envz00_4045,
		obj_t BgL_oz00_4046)
	{
		{	/* SawMill/regset.sch 78 */
			return
				BGl_rtl_regzf2razd2varz20zzsaw_bbvz00(
				((BgL_rtl_regz00_bglt) BgL_oz00_4046));
		}

	}



/* rtl_reg/ra-var-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2varzd2setz12ze0zzsaw_bbvz00(BgL_rtl_regz00_bglt
		BgL_oz00_47, obj_t BgL_vz00_48)
	{
		{	/* SawMill/regset.sch 79 */
			return
				((((BgL_rtl_regz00_bglt) COBJECT(
							((BgL_rtl_regz00_bglt) BgL_oz00_47)))->BgL_varz00) =
				((obj_t) BgL_vz00_48), BUNSPEC);
		}

	}



/* &rtl_reg/ra-var-set! */
	obj_t BGl_z62rtl_regzf2razd2varzd2setz12z82zzsaw_bbvz00(obj_t BgL_envz00_4047,
		obj_t BgL_oz00_4048, obj_t BgL_vz00_4049)
	{
		{	/* SawMill/regset.sch 79 */
			return
				BGl_rtl_regzf2razd2varzd2setz12ze0zzsaw_bbvz00(
				((BgL_rtl_regz00_bglt) BgL_oz00_4048), BgL_vz00_4049);
		}

	}



/* rtl_reg/ra-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_rtl_regzf2razd2typez20zzsaw_bbvz00(BgL_rtl_regz00_bglt BgL_oz00_49)
	{
		{	/* SawMill/regset.sch 80 */
			return
				(((BgL_rtl_regz00_bglt) COBJECT(
						((BgL_rtl_regz00_bglt) BgL_oz00_49)))->BgL_typez00);
		}

	}



/* &rtl_reg/ra-type */
	BgL_typez00_bglt BGl_z62rtl_regzf2razd2typez42zzsaw_bbvz00(obj_t
		BgL_envz00_4050, obj_t BgL_oz00_4051)
	{
		{	/* SawMill/regset.sch 80 */
			return
				BGl_rtl_regzf2razd2typez20zzsaw_bbvz00(
				((BgL_rtl_regz00_bglt) BgL_oz00_4051));
		}

	}



/* rtl_reg/ra-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2typezd2setz12ze0zzsaw_bbvz00(BgL_rtl_regz00_bglt
		BgL_oz00_50, BgL_typez00_bglt BgL_vz00_51)
	{
		{	/* SawMill/regset.sch 81 */
			return
				((((BgL_rtl_regz00_bglt) COBJECT(
							((BgL_rtl_regz00_bglt) BgL_oz00_50)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_51), BUNSPEC);
		}

	}



/* &rtl_reg/ra-type-set! */
	obj_t BGl_z62rtl_regzf2razd2typezd2setz12z82zzsaw_bbvz00(obj_t
		BgL_envz00_4052, obj_t BgL_oz00_4053, obj_t BgL_vz00_4054)
	{
		{	/* SawMill/regset.sch 81 */
			return
				BGl_rtl_regzf2razd2typezd2setz12ze0zzsaw_bbvz00(
				((BgL_rtl_regz00_bglt) BgL_oz00_4053),
				((BgL_typez00_bglt) BgL_vz00_4054));
		}

	}



/* make-regset */
	BGL_EXPORTED_DEF BgL_regsetz00_bglt BGl_makezd2regsetzd2zzsaw_bbvz00(int
		BgL_length1172z00_52, int BgL_msiza7e1173za7_53, obj_t BgL_regv1174z00_54,
		obj_t BgL_regl1175z00_55, obj_t BgL_string1176z00_56)
	{
		{	/* SawMill/regset.sch 84 */
			{	/* SawMill/regset.sch 84 */
				BgL_regsetz00_bglt BgL_new1168z00_4121;

				{	/* SawMill/regset.sch 84 */
					BgL_regsetz00_bglt BgL_new1167z00_4122;

					BgL_new1167z00_4122 =
						((BgL_regsetz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_regsetz00_bgl))));
					{	/* SawMill/regset.sch 84 */
						long BgL_arg1545z00_4123;

						BgL_arg1545z00_4123 = BGL_CLASS_NUM(BGl_regsetz00zzsaw_regsetz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1167z00_4122), BgL_arg1545z00_4123);
					}
					BgL_new1168z00_4121 = BgL_new1167z00_4122;
				}
				((((BgL_regsetz00_bglt) COBJECT(BgL_new1168z00_4121))->BgL_lengthz00) =
					((int) BgL_length1172z00_52), BUNSPEC);
				((((BgL_regsetz00_bglt) COBJECT(BgL_new1168z00_4121))->BgL_msiza7eza7) =
					((int) BgL_msiza7e1173za7_53), BUNSPEC);
				((((BgL_regsetz00_bglt) COBJECT(BgL_new1168z00_4121))->BgL_regvz00) =
					((obj_t) BgL_regv1174z00_54), BUNSPEC);
				((((BgL_regsetz00_bglt) COBJECT(BgL_new1168z00_4121))->BgL_reglz00) =
					((obj_t) BgL_regl1175z00_55), BUNSPEC);
				((((BgL_regsetz00_bglt) COBJECT(BgL_new1168z00_4121))->BgL_stringz00) =
					((obj_t) BgL_string1176z00_56), BUNSPEC);
				return BgL_new1168z00_4121;
			}
		}

	}



/* &make-regset */
	BgL_regsetz00_bglt BGl_z62makezd2regsetzb0zzsaw_bbvz00(obj_t BgL_envz00_4055,
		obj_t BgL_length1172z00_4056, obj_t BgL_msiza7e1173za7_4057,
		obj_t BgL_regv1174z00_4058, obj_t BgL_regl1175z00_4059,
		obj_t BgL_string1176z00_4060)
	{
		{	/* SawMill/regset.sch 84 */
			return
				BGl_makezd2regsetzd2zzsaw_bbvz00(CINT(BgL_length1172z00_4056),
				CINT(BgL_msiza7e1173za7_4057), BgL_regv1174z00_4058,
				BgL_regl1175z00_4059, BgL_string1176z00_4060);
		}

	}



/* regset? */
	BGL_EXPORTED_DEF bool_t BGl_regsetzf3zf3zzsaw_bbvz00(obj_t BgL_objz00_57)
	{
		{	/* SawMill/regset.sch 85 */
			{	/* SawMill/regset.sch 85 */
				obj_t BgL_classz00_4124;

				BgL_classz00_4124 = BGl_regsetz00zzsaw_regsetz00;
				if (BGL_OBJECTP(BgL_objz00_57))
					{	/* SawMill/regset.sch 85 */
						BgL_objectz00_bglt BgL_arg1858z00_4125;

						BgL_arg1858z00_4125 = (BgL_objectz00_bglt) (BgL_objz00_57);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* SawMill/regset.sch 85 */
								long BgL_idxz00_4126;

								BgL_idxz00_4126 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_4125);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_4126 + 1L)) == BgL_classz00_4124);
							}
						else
							{	/* SawMill/regset.sch 85 */
								bool_t BgL_res2374z00_4129;

								{	/* SawMill/regset.sch 85 */
									obj_t BgL_oclassz00_4130;

									{	/* SawMill/regset.sch 85 */
										obj_t BgL_arg1866z00_4131;
										long BgL_arg1867z00_4132;

										BgL_arg1866z00_4131 = (BGl_za2classesza2z00zz__objectz00);
										{	/* SawMill/regset.sch 85 */
											long BgL_arg1869z00_4133;

											BgL_arg1869z00_4133 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_4125);
											BgL_arg1867z00_4132 = (BgL_arg1869z00_4133 - OBJECT_TYPE);
										}
										BgL_oclassz00_4130 =
											VECTOR_REF(BgL_arg1866z00_4131, BgL_arg1867z00_4132);
									}
									{	/* SawMill/regset.sch 85 */
										bool_t BgL__ortest_1115z00_4134;

										BgL__ortest_1115z00_4134 =
											(BgL_classz00_4124 == BgL_oclassz00_4130);
										if (BgL__ortest_1115z00_4134)
											{	/* SawMill/regset.sch 85 */
												BgL_res2374z00_4129 = BgL__ortest_1115z00_4134;
											}
										else
											{	/* SawMill/regset.sch 85 */
												long BgL_odepthz00_4135;

												{	/* SawMill/regset.sch 85 */
													obj_t BgL_arg1855z00_4136;

													BgL_arg1855z00_4136 = (BgL_oclassz00_4130);
													BgL_odepthz00_4135 =
														BGL_CLASS_DEPTH(BgL_arg1855z00_4136);
												}
												if ((1L < BgL_odepthz00_4135))
													{	/* SawMill/regset.sch 85 */
														obj_t BgL_arg1853z00_4137;

														{	/* SawMill/regset.sch 85 */
															obj_t BgL_arg1854z00_4138;

															BgL_arg1854z00_4138 = (BgL_oclassz00_4130);
															BgL_arg1853z00_4137 =
																BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_4138,
																1L);
														}
														BgL_res2374z00_4129 =
															(BgL_arg1853z00_4137 == BgL_classz00_4124);
													}
												else
													{	/* SawMill/regset.sch 85 */
														BgL_res2374z00_4129 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res2374z00_4129;
							}
					}
				else
					{	/* SawMill/regset.sch 85 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &regset? */
	obj_t BGl_z62regsetzf3z91zzsaw_bbvz00(obj_t BgL_envz00_4061,
		obj_t BgL_objz00_4062)
	{
		{	/* SawMill/regset.sch 85 */
			return BBOOL(BGl_regsetzf3zf3zzsaw_bbvz00(BgL_objz00_4062));
		}

	}



/* regset-nil */
	BGL_EXPORTED_DEF BgL_regsetz00_bglt BGl_regsetzd2nilzd2zzsaw_bbvz00(void)
	{
		{	/* SawMill/regset.sch 86 */
			{	/* SawMill/regset.sch 86 */
				obj_t BgL_classz00_3380;

				BgL_classz00_3380 = BGl_regsetz00zzsaw_regsetz00;
				{	/* SawMill/regset.sch 86 */
					obj_t BgL__ortest_1117z00_3381;

					BgL__ortest_1117z00_3381 = BGL_CLASS_NIL(BgL_classz00_3380);
					if (CBOOL(BgL__ortest_1117z00_3381))
						{	/* SawMill/regset.sch 86 */
							return ((BgL_regsetz00_bglt) BgL__ortest_1117z00_3381);
						}
					else
						{	/* SawMill/regset.sch 86 */
							return
								((BgL_regsetz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_3380));
						}
				}
			}
		}

	}



/* &regset-nil */
	BgL_regsetz00_bglt BGl_z62regsetzd2nilzb0zzsaw_bbvz00(obj_t BgL_envz00_4063)
	{
		{	/* SawMill/regset.sch 86 */
			return BGl_regsetzd2nilzd2zzsaw_bbvz00();
		}

	}



/* regset-string */
	BGL_EXPORTED_DEF obj_t BGl_regsetzd2stringzd2zzsaw_bbvz00(BgL_regsetz00_bglt
		BgL_oz00_58)
	{
		{	/* SawMill/regset.sch 87 */
			return (((BgL_regsetz00_bglt) COBJECT(BgL_oz00_58))->BgL_stringz00);
		}

	}



/* &regset-string */
	obj_t BGl_z62regsetzd2stringzb0zzsaw_bbvz00(obj_t BgL_envz00_4064,
		obj_t BgL_oz00_4065)
	{
		{	/* SawMill/regset.sch 87 */
			return
				BGl_regsetzd2stringzd2zzsaw_bbvz00(
				((BgL_regsetz00_bglt) BgL_oz00_4065));
		}

	}



/* regset-string-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_regsetzd2stringzd2setz12z12zzsaw_bbvz00(BgL_regsetz00_bglt BgL_oz00_59,
		obj_t BgL_vz00_60)
	{
		{	/* SawMill/regset.sch 88 */
			return
				((((BgL_regsetz00_bglt) COBJECT(BgL_oz00_59))->BgL_stringz00) =
				((obj_t) BgL_vz00_60), BUNSPEC);
		}

	}



/* &regset-string-set! */
	obj_t BGl_z62regsetzd2stringzd2setz12z70zzsaw_bbvz00(obj_t BgL_envz00_4066,
		obj_t BgL_oz00_4067, obj_t BgL_vz00_4068)
	{
		{	/* SawMill/regset.sch 88 */
			return
				BGl_regsetzd2stringzd2setz12z12zzsaw_bbvz00(
				((BgL_regsetz00_bglt) BgL_oz00_4067), BgL_vz00_4068);
		}

	}



/* regset-regl */
	BGL_EXPORTED_DEF obj_t BGl_regsetzd2reglzd2zzsaw_bbvz00(BgL_regsetz00_bglt
		BgL_oz00_61)
	{
		{	/* SawMill/regset.sch 89 */
			return (((BgL_regsetz00_bglt) COBJECT(BgL_oz00_61))->BgL_reglz00);
		}

	}



/* &regset-regl */
	obj_t BGl_z62regsetzd2reglzb0zzsaw_bbvz00(obj_t BgL_envz00_4069,
		obj_t BgL_oz00_4070)
	{
		{	/* SawMill/regset.sch 89 */
			return
				BGl_regsetzd2reglzd2zzsaw_bbvz00(((BgL_regsetz00_bglt) BgL_oz00_4070));
		}

	}



/* regset-regv */
	BGL_EXPORTED_DEF obj_t BGl_regsetzd2regvzd2zzsaw_bbvz00(BgL_regsetz00_bglt
		BgL_oz00_64)
	{
		{	/* SawMill/regset.sch 91 */
			return (((BgL_regsetz00_bglt) COBJECT(BgL_oz00_64))->BgL_regvz00);
		}

	}



/* &regset-regv */
	obj_t BGl_z62regsetzd2regvzb0zzsaw_bbvz00(obj_t BgL_envz00_4071,
		obj_t BgL_oz00_4072)
	{
		{	/* SawMill/regset.sch 91 */
			return
				BGl_regsetzd2regvzd2zzsaw_bbvz00(((BgL_regsetz00_bglt) BgL_oz00_4072));
		}

	}



/* regset-msize */
	BGL_EXPORTED_DEF int BGl_regsetzd2msiza7ez75zzsaw_bbvz00(BgL_regsetz00_bglt
		BgL_oz00_67)
	{
		{	/* SawMill/regset.sch 93 */
			return (((BgL_regsetz00_bglt) COBJECT(BgL_oz00_67))->BgL_msiza7eza7);
		}

	}



/* &regset-msize */
	obj_t BGl_z62regsetzd2msiza7ez17zzsaw_bbvz00(obj_t BgL_envz00_4073,
		obj_t BgL_oz00_4074)
	{
		{	/* SawMill/regset.sch 93 */
			return
				BINT(BGl_regsetzd2msiza7ez75zzsaw_bbvz00(
					((BgL_regsetz00_bglt) BgL_oz00_4074)));
		}

	}



/* regset-length */
	BGL_EXPORTED_DEF int BGl_regsetzd2lengthzd2zzsaw_bbvz00(BgL_regsetz00_bglt
		BgL_oz00_70)
	{
		{	/* SawMill/regset.sch 95 */
			return (((BgL_regsetz00_bglt) COBJECT(BgL_oz00_70))->BgL_lengthz00);
		}

	}



/* &regset-length */
	obj_t BGl_z62regsetzd2lengthzb0zzsaw_bbvz00(obj_t BgL_envz00_4075,
		obj_t BgL_oz00_4076)
	{
		{	/* SawMill/regset.sch 95 */
			return
				BINT(BGl_regsetzd2lengthzd2zzsaw_bbvz00(
					((BgL_regsetz00_bglt) BgL_oz00_4076)));
		}

	}



/* regset-length-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_regsetzd2lengthzd2setz12z12zzsaw_bbvz00(BgL_regsetz00_bglt BgL_oz00_71,
		int BgL_vz00_72)
	{
		{	/* SawMill/regset.sch 96 */
			return
				((((BgL_regsetz00_bglt) COBJECT(BgL_oz00_71))->BgL_lengthz00) =
				((int) BgL_vz00_72), BUNSPEC);
		}

	}



/* &regset-length-set! */
	obj_t BGl_z62regsetzd2lengthzd2setz12z70zzsaw_bbvz00(obj_t BgL_envz00_4077,
		obj_t BgL_oz00_4078, obj_t BgL_vz00_4079)
	{
		{	/* SawMill/regset.sch 96 */
			return
				BGl_regsetzd2lengthzd2setz12z12zzsaw_bbvz00(
				((BgL_regsetz00_bglt) BgL_oz00_4078), CINT(BgL_vz00_4079));
		}

	}



/* make-empty-bbset */
	obj_t BGl_makezd2emptyzd2bbsetz00zzsaw_bbvz00(void)
	{
		{	/* SawMill/bbset.sch 20 */
			{	/* SawMill/bbset.sch 21 */
				obj_t BgL_arg1578z00_2197;

				BgL_arg1578z00_2197 = BGl_getzd2bbzd2markz00zzsaw_bbvzd2typeszd2();
				{	/* SawMill/bbset.sch 15 */
					obj_t BgL_newz00_3389;

					BgL_newz00_3389 =
						create_struct(((obj_t) CNST_TABLE_REF(0)), (int) (2L));
					{	/* SawMill/bbset.sch 15 */
						int BgL_tmpz00_4523;

						BgL_tmpz00_4523 = (int) (1L);
						STRUCT_SET(BgL_newz00_3389, BgL_tmpz00_4523, BNIL);
					}
					{	/* SawMill/bbset.sch 15 */
						int BgL_tmpz00_4526;

						BgL_tmpz00_4526 = (int) (0L);
						STRUCT_SET(BgL_newz00_3389, BgL_tmpz00_4526, BgL_arg1578z00_2197);
					}
					return BgL_newz00_3389;
				}
			}
		}

	}



/* bbset-cons */
	obj_t BGl_bbsetzd2conszd2zzsaw_bbvz00(BgL_blockz00_bglt BgL_bz00_85,
		obj_t BgL_setz00_86)
	{
		{	/* SawMill/bbset.sch 33 */
			{	/* SawMill/bbset.sch 34 */
				obj_t BgL_mz00_2201;

				BgL_mz00_2201 = STRUCT_REF(BgL_setz00_86, (int) (0L));
				{
					BgL_blocksz00_bglt BgL_auxz00_4531;

					{
						obj_t BgL_auxz00_4532;

						{	/* SawMill/bbset.sch 36 */
							BgL_objectz00_bglt BgL_tmpz00_4533;

							BgL_tmpz00_4533 = ((BgL_objectz00_bglt) BgL_bz00_85);
							BgL_auxz00_4532 = BGL_OBJECT_WIDENING(BgL_tmpz00_4533);
						}
						BgL_auxz00_4531 = ((BgL_blocksz00_bglt) BgL_auxz00_4532);
					}
					((((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_4531))->BgL_z52markz52) =
						((long) (long) CINT(BgL_mz00_2201)), BUNSPEC);
				}
				{	/* SawMill/bbset.sch 37 */
					obj_t BgL_arg1588z00_2203;

					{	/* SawMill/bbset.sch 37 */
						obj_t BgL_arg1590z00_2204;

						BgL_arg1590z00_2204 = STRUCT_REF(BgL_setz00_86, (int) (1L));
						BgL_arg1588z00_2203 =
							MAKE_YOUNG_PAIR(((obj_t) BgL_bz00_85), BgL_arg1590z00_2204);
					}
					{	/* SawMill/bbset.sch 15 */
						int BgL_tmpz00_4543;

						BgL_tmpz00_4543 = (int) (1L);
						STRUCT_SET(BgL_setz00_86, BgL_tmpz00_4543, BgL_arg1588z00_2203);
				}}
				return BgL_setz00_86;
			}
		}

	}



/* bbv */
	BGL_EXPORTED_DEF obj_t BGl_bbvz00zzsaw_bbvz00(BgL_backendz00_bglt
		BgL_backz00_91, BgL_globalz00_bglt BgL_globalz00_92, obj_t BgL_paramsz00_93,
		obj_t BgL_blocksz00_94)
	{
		{	/* SawBbv/bbv.scm 49 */
			{	/* SawBbv/bbv.scm 50 */
				bool_t BgL_test2523z00_4546;

				if (CBOOL(BGl_za2sawzd2bbvzf3za2z21zzengine_paramz00))
					{	/* SawBbv/bbv.scm 51 */
						bool_t BgL_test2525z00_4549;

						if (NULLP(BGl_za2sawzd2bbvzd2functionsza2z00zzengine_paramz00))
							{	/* SawBbv/bbv.scm 51 */
								BgL_test2525z00_4549 = ((bool_t) 1);
							}
						else
							{	/* SawBbv/bbv.scm 52 */
								obj_t BgL_arg1804z00_2322;

								BgL_arg1804z00_2322 =
									(((BgL_variablez00_bglt) COBJECT(
											((BgL_variablez00_bglt) BgL_globalz00_92)))->BgL_idz00);
								BgL_test2525z00_4549 =
									CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
									(BgL_arg1804z00_2322,
										BGl_za2sawzd2bbvzd2functionsza2z00zzengine_paramz00));
							}
						if (BgL_test2525z00_4549)
							{	/* SawBbv/bbv.scm 51 */
								BgL_test2523z00_4546 =
									(
									(long)
									CINT
									(BGl_za2maxzd2blockzd2mergezd2versionsza2zd2zzsaw_bbvzd2configzd2)
									>= 1L);
							}
						else
							{	/* SawBbv/bbv.scm 51 */
								BgL_test2523z00_4546 = ((bool_t) 0);
							}
					}
				else
					{	/* SawBbv/bbv.scm 50 */
						BgL_test2523z00_4546 = ((bool_t) 0);
					}
				if (BgL_test2523z00_4546)
					{	/* SawBbv/bbv.scm 50 */
						BGl_startzd2bbvzd2cachez12z12zzsaw_bbvzd2cachezd2();
						{	/* SawBbv/bbv.scm 56 */
							obj_t BgL_arg1653z00_2235;
							obj_t BgL_arg1655z00_2236;
							obj_t BgL_arg1656z00_2237;
							obj_t BgL_arg1657z00_2238;

							BgL_arg1653z00_2235 =
								(((BgL_variablez00_bglt) COBJECT(
										((BgL_variablez00_bglt) BgL_globalz00_92)))->BgL_idz00);
							if (CBOOL
								(BGl_za2bbvzd2optimzd2vlengthza2z00zzsaw_bbvzd2configzd2))
								{	/* SawBbv/bbv.scm 58 */
									BgL_arg1655z00_2236 = BGl_string2395z00zzsaw_bbvz00;
								}
							else
								{	/* SawBbv/bbv.scm 58 */
									BgL_arg1655z00_2236 = BGl_string2396z00zzsaw_bbvz00;
								}
							if (CBOOL(BGl_za2bbvzd2optimzd2aliasza2z00zzsaw_bbvzd2configzd2))
								{	/* SawBbv/bbv.scm 59 */
									BgL_arg1656z00_2237 = BGl_string2397z00zzsaw_bbvz00;
								}
							else
								{	/* SawBbv/bbv.scm 59 */
									BgL_arg1656z00_2237 = BGl_string2396z00zzsaw_bbvz00;
								}
							if (CBOOL
								(BGl_za2bbvzd2blockszd2cleanupza2z00zzsaw_bbvzd2configzd2))
								{	/* SawBbv/bbv.scm 60 */
									BgL_arg1657z00_2238 = BGl_string2398z00zzsaw_bbvz00;
								}
							else
								{	/* SawBbv/bbv.scm 60 */
									BgL_arg1657z00_2238 = BGl_string2396z00zzsaw_bbvz00;
								}
							{	/* SawBbv/bbv.scm 56 */
								obj_t BgL_list1658z00_2239;

								{	/* SawBbv/bbv.scm 56 */
									obj_t BgL_arg1660z00_2240;

									{	/* SawBbv/bbv.scm 56 */
										obj_t BgL_arg1663z00_2241;

										{	/* SawBbv/bbv.scm 56 */
											obj_t BgL_arg1664z00_2242;

											{	/* SawBbv/bbv.scm 56 */
												obj_t BgL_arg1673z00_2243;

												{	/* SawBbv/bbv.scm 56 */
													obj_t BgL_arg1674z00_2244;

													{	/* SawBbv/bbv.scm 56 */
														obj_t BgL_arg1675z00_2245;

														{	/* SawBbv/bbv.scm 56 */
															obj_t BgL_arg1677z00_2246;

															BgL_arg1677z00_2246 =
																MAKE_YOUNG_PAIR(BGl_string2399z00zzsaw_bbvz00,
																BNIL);
															BgL_arg1675z00_2245 =
																MAKE_YOUNG_PAIR(BgL_arg1657z00_2238,
																BgL_arg1677z00_2246);
														}
														BgL_arg1674z00_2244 =
															MAKE_YOUNG_PAIR(BgL_arg1656z00_2237,
															BgL_arg1675z00_2245);
													}
													BgL_arg1673z00_2243 =
														MAKE_YOUNG_PAIR(BgL_arg1655z00_2236,
														BgL_arg1674z00_2244);
												}
												BgL_arg1664z00_2242 =
													MAKE_YOUNG_PAIR
													(BGl_za2maxzd2blockzd2mergezd2versionsza2zd2zzsaw_bbvzd2configzd2,
													BgL_arg1673z00_2243);
											}
											BgL_arg1663z00_2241 =
												MAKE_YOUNG_PAIR(BGl_string2400z00zzsaw_bbvz00,
												BgL_arg1664z00_2242);
										}
										BgL_arg1660z00_2240 =
											MAKE_YOUNG_PAIR(BgL_arg1653z00_2235, BgL_arg1663z00_2241);
									}
									BgL_list1658z00_2239 =
										MAKE_YOUNG_PAIR(BGl_string2401z00zzsaw_bbvz00,
										BgL_arg1660z00_2240);
								}
								BGl_verbosez00zztools_speekz00(BINT(2L), BgL_list1658z00_2239);
							}
						}
						if (CBOOL(BGl_za2bbvzd2dumpzd2cfgza2z00zzsaw_bbvzd2configzd2))
							{	/* SawBbv/bbv.scm 62 */
								BGl_dumpzd2cfgzd2zzsaw_bbvzd2debugzd2(BgL_globalz00_92,
									BgL_paramsz00_93, BgL_blocksz00_94,
									BGl_string2402z00zzsaw_bbvz00);
							}
						else
							{	/* SawBbv/bbv.scm 62 */
								BFALSE;
							}
						BGl_setzd2maxzd2labelz12z12zzsaw_bbvzd2utilszd2(BgL_blocksz00_94);
						BGl_reorderzd2succsz12zc0zzsaw_bbvz00(BgL_blocksz00_94);
						if (CBOOL(BGl_za2bbvzd2dumpzd2cfgza2z00zzsaw_bbvzd2configzd2))
							{	/* SawBbv/bbv.scm 70 */
								BGl_dumpzd2cfgzd2zzsaw_bbvzd2debugzd2(BgL_globalz00_92,
									BgL_paramsz00_93, BgL_blocksz00_94,
									BGl_string2403z00zzsaw_bbvz00);
							}
						else
							{	/* SawBbv/bbv.scm 70 */
								BFALSE;
							}
						{	/* SawBbv/bbv.scm 73 */
							obj_t BgL_arg1679z00_2247;

							BgL_arg1679z00_2247 = CAR(((obj_t) BgL_blocksz00_94));
							BGl_failz12z12zzsaw_bbvz00(
								((BgL_blockz00_bglt) BgL_arg1679z00_2247));
						}
						if (CBOOL(BGl_za2bbvzd2dumpzd2cfgza2z00zzsaw_bbvzd2configzd2))
							{	/* SawBbv/bbv.scm 74 */
								BGl_dumpzd2cfgzd2zzsaw_bbvzd2debugzd2(BgL_globalz00_92,
									BgL_paramsz00_93, BgL_blocksz00_94,
									BGl_string2404z00zzsaw_bbvz00);
							}
						else
							{	/* SawBbv/bbv.scm 74 */
								BFALSE;
							}
						{	/* SawBbv/bbv.scm 78 */
							obj_t BgL_arg1680z00_2248;

							BgL_arg1680z00_2248 = CAR(((obj_t) BgL_blocksz00_94));
							BGl_normaliza7ezd2typecheckz12z67zzsaw_bbvz00(
								((BgL_blockz00_bglt) BgL_arg1680z00_2248));
						}
						if (CBOOL(BGl_za2bbvzd2dumpzd2cfgza2z00zzsaw_bbvzd2configzd2))
							{	/* SawBbv/bbv.scm 79 */
								BGl_dumpzd2cfgzd2zzsaw_bbvzd2debugzd2(BgL_globalz00_92,
									BgL_paramsz00_93, BgL_blocksz00_94,
									BGl_string2405z00zzsaw_bbvz00);
							}
						else
							{	/* SawBbv/bbv.scm 79 */
								BFALSE;
							}
						{	/* SawBbv/bbv.scm 81 */
							obj_t BgL_blocksz00_2249;

							{	/* SawBbv/bbv.scm 81 */
								BgL_blockz00_bglt BgL_arg1802z00_2318;

								{	/* SawBbv/bbv.scm 81 */
									obj_t BgL_arg1803z00_2319;

									BgL_arg1803z00_2319 = CAR(((obj_t) BgL_blocksz00_94));
									BgL_arg1802z00_2318 =
										BGl_removezd2tempsz12zc0zzsaw_bbvz00(
										((BgL_blockz00_bglt) BgL_arg1803z00_2319));
								}
								BgL_blocksz00_2249 =
									BGl_normaliza7ezd2gotoz12z67zzsaw_bbvz00(BgL_arg1802z00_2318);
							}
							if (CBOOL(BGl_za2bbvzd2dumpzd2cfgza2z00zzsaw_bbvzd2configzd2))
								{	/* SawBbv/bbv.scm 82 */
									BGl_dumpzd2cfgzd2zzsaw_bbvzd2debugzd2(BgL_globalz00_92,
										BgL_paramsz00_93, BgL_blocksz00_2249,
										BGl_string2406z00zzsaw_bbvz00);
								}
							else
								{	/* SawBbv/bbv.scm 82 */
									BFALSE;
								}
							{	/* SawBbv/bbv.scm 84 */
								obj_t BgL_blocksz00_2250;

								{	/* SawBbv/bbv.scm 84 */
									obj_t BgL_arg1801z00_2317;

									BgL_arg1801z00_2317 = CAR(BgL_blocksz00_2249);
									BgL_blocksz00_2250 =
										BGl_normaliza7ezd2ifeqz12z67zzsaw_bbvz00(
										((BgL_blockz00_bglt) BgL_arg1801z00_2317));
								}
								if (CBOOL(BGl_za2bbvzd2dumpzd2cfgza2z00zzsaw_bbvzd2configzd2))
									{	/* SawBbv/bbv.scm 85 */
										BGl_dumpzd2cfgzd2zzsaw_bbvzd2debugzd2(BgL_globalz00_92,
											BgL_paramsz00_93, BgL_blocksz00_2250,
											BGl_string2407z00zzsaw_bbvz00);
									}
								else
									{	/* SawBbv/bbv.scm 85 */
										BFALSE;
									}
								{	/* SawBbv/bbv.scm 87 */
									obj_t BgL_blocksz00_2251;

									{	/* SawBbv/bbv.scm 87 */
										obj_t BgL_arg1800z00_2316;

										BgL_arg1800z00_2316 = CAR(BgL_blocksz00_2250);
										BgL_blocksz00_2251 =
											BGl_normaliza7ezd2movz12z67zzsaw_bbvz00(
											((BgL_blockz00_bglt) BgL_arg1800z00_2316));
									}
									if (CBOOL(BGl_za2bbvzd2dumpzd2cfgza2z00zzsaw_bbvzd2configzd2))
										{	/* SawBbv/bbv.scm 88 */
											BGl_dumpzd2cfgzd2zzsaw_bbvzd2debugzd2(BgL_globalz00_92,
												BgL_paramsz00_93, BgL_blocksz00_2251,
												BGl_string2408z00zzsaw_bbvz00);
										}
									else
										{	/* SawBbv/bbv.scm 88 */
											BFALSE;
										}
									{	/* SawBbv/bbv.scm 90 */
										obj_t BgL_regsz00_2252;

										BgL_regsz00_2252 =
											BGl_bbvzd2livenessz12zc0zzsaw_bbvzd2livenesszd2
											(BgL_backz00_91, BgL_blocksz00_2251, BgL_paramsz00_93);
										{	/* SawBbv/bbv.scm 92 */
											obj_t BgL_arg1686z00_2253;

											BgL_arg1686z00_2253 = CAR(BgL_blocksz00_2251);
											BGl_markzd2mergez12zc0zzsaw_bbvz00(
												((BgL_blockz00_bglt) BgL_arg1686z00_2253));
										}
										if (CBOOL
											(BGl_za2bbvzd2dumpzd2cfgza2z00zzsaw_bbvzd2configzd2))
											{	/* SawBbv/bbv.scm 93 */
												BGl_dumpzd2cfgzd2zzsaw_bbvzd2debugzd2(BgL_globalz00_92,
													BgL_paramsz00_93, BgL_blocksz00_2251,
													BGl_string2409z00zzsaw_bbvz00);
											}
										else
											{	/* SawBbv/bbv.scm 93 */
												BFALSE;
											}
										{	/* SawBbv/bbv.scm 95 */
											obj_t BgL_exitd1172z00_2254;

											BgL_exitd1172z00_2254 = BGL_EXITD_TOP_AS_OBJ();
											{	/* SawBbv/bbv.scm 131 */
												obj_t BgL_zc3z04anonymousza31784ze3z87_4080;

												BgL_zc3z04anonymousza31784ze3z87_4080 =
													MAKE_FX_PROCEDURE
													(BGl_z62zc3z04anonymousza31784ze3ze5zzsaw_bbvz00,
													(int) (0L), (int) (1L));
												PROCEDURE_SET(BgL_zc3z04anonymousza31784ze3z87_4080,
													(int) (0L), BgL_regsz00_2252);
												{	/* SawBbv/bbv.scm 95 */
													obj_t BgL_arg1881z00_3428;

													{	/* SawBbv/bbv.scm 95 */
														obj_t BgL_arg1883z00_3429;

														BgL_arg1883z00_3429 =
															BGL_EXITD_PROTECT(BgL_exitd1172z00_2254);
														BgL_arg1881z00_3428 =
															MAKE_YOUNG_PAIR
															(BgL_zc3z04anonymousza31784ze3z87_4080,
															BgL_arg1883z00_3429);
													}
													BGL_EXITD_PROTECT_SET(BgL_exitd1172z00_2254,
														BgL_arg1881z00_3428);
													BUNSPEC;
												}
												{	/* SawBbv/bbv.scm 96 */
													obj_t BgL_tmp1174z00_2256;

													{	/* SawBbv/bbv.scm 98 */
														BgL_blockz00_bglt BgL_sz00_2258;

														{	/* SawBbv/bbv.scm 99 */
															BgL_blockz00_bglt BgL_arg1776z00_2297;

															{	/* SawBbv/bbv.scm 99 */
																obj_t BgL_arg1782z00_2298;
																BgL_bbvzd2ctxzd2_bglt BgL_arg1783z00_2299;

																BgL_arg1782z00_2298 = CAR(BgL_blocksz00_2251);
																BgL_arg1783z00_2299 =
																	BGl_paramszd2ze3ctxz31zzsaw_bbvzd2typeszd2
																	(BgL_paramsz00_93);
																BgL_arg1776z00_2297 =
																	BGl_bbvzd2rootzd2blockz00zzsaw_bbvzd2specializa7ez75
																	(((BgL_blockz00_bglt) BgL_arg1782z00_2298),
																	BgL_arg1783z00_2299);
															}
															BgL_sz00_2258 =
																BGl_dumpzd2blockszd2zzsaw_bbvz00(1L,
																BGl_string2410z00zzsaw_bbvz00, BgL_globalz00_92,
																BgL_paramsz00_93, BgL_regsz00_2252, BFALSE,
																BgL_arg1776z00_2297);
														}
														{	/* SawBbv/bbv.scm 98 */
															obj_t BgL___az00_2259;

															if (CBOOL
																(BGl_za2bbvzd2logza2zd2zzsaw_bbvzd2configzd2))
																{	/* SawBbv/bbv.scm 101 */
																	BgL___az00_2259 =
																		BGl_logzd2blockszd2zzsaw_bbvzd2debugzd2
																		(BgL_globalz00_92, BgL_paramsz00_93,
																		BgL_blocksz00_2251);
																}
															else
																{	/* SawBbv/bbv.scm 101 */
																	BgL___az00_2259 = BFALSE;
																}
															{	/* SawBbv/bbv.scm 101 */
																obj_t BgL_historyz00_2260;

																if (CBOOL
																	(BGl_za2bbvzd2dumpzd2jsonza2z00zzsaw_bbvzd2configzd2))
																	{	/* SawBbv/bbv.scm 103 */
																		BgL_historyz00_2260 =
																			BGl_logzd2blockszd2historyz00zzsaw_bbvzd2debugzd2
																			(BgL_globalz00_92, BgL_paramsz00_93,
																			BgL_blocksz00_2251);
																	}
																else
																	{	/* SawBbv/bbv.scm 103 */
																		BgL_historyz00_2260 = BFALSE;
																	}
																{	/* SawBbv/bbv.scm 103 */
																	BgL_blockz00_bglt BgL_prz00_2261;

																	{	/* SawBbv/bbv.scm 106 */
																		obj_t BgL_arg1772z00_2296;

																		BgL_arg1772z00_2296 =
																			BGl_profilez12z12zzsaw_bbvzd2profilezd2
																			(BgL_sz00_2258);
																		BgL_prz00_2261 =
																			BGl_dumpzd2blockszd2zzsaw_bbvz00(1L,
																			BGl_string2411z00zzsaw_bbvz00,
																			BgL_globalz00_92, BgL_paramsz00_93,
																			BgL_regsz00_2252, BgL_historyz00_2260,
																			((BgL_blockz00_bglt)
																				BgL_arg1772z00_2296));
																	}
																	{	/* SawBbv/bbv.scm 105 */
																		BgL_blockz00_bglt BgL_asz00_2262;

																		{	/* SawBbv/bbv.scm 108 */
																			obj_t BgL_arg1770z00_2295;

																			BgL_arg1770z00_2295 =
																				BGl_assertzd2contextz12zc0zzsaw_bbvzd2debugzd2
																				(BgL_prz00_2261);
																			BgL_asz00_2262 =
																				BGl_dumpzd2blockszd2zzsaw_bbvz00(1L,
																				BGl_string2412z00zzsaw_bbvz00,
																				BgL_globalz00_92, BgL_paramsz00_93,
																				BgL_regsz00_2252, BgL_historyz00_2260,
																				((BgL_blockz00_bglt)
																					BgL_arg1770z00_2295));
																		}
																		{	/* SawBbv/bbv.scm 107 */
																			obj_t BgL_bz00_2263;

																			{	/* SawBbv/bbv.scm 110 */
																				BgL_blockz00_bglt BgL_arg1724z00_2284;

																				if (CBOOL
																					(BGl_za2bbvzd2blockszd2cleanupza2z00zzsaw_bbvzd2configzd2))
																					{	/* SawBbv/bbv.scm 121 */
																						obj_t BgL_arg1729z00_2285;

																						{	/* SawBbv/bbv.scm 121 */
																							BgL_blockz00_bglt
																								BgL_arg1730z00_2286;
																							{	/* SawBbv/bbv.scm 121 */
																								obj_t BgL_arg1746z00_2287;

																								{	/* SawBbv/bbv.scm 121 */
																									BgL_blockz00_bglt
																										BgL_arg1748z00_2288;
																									{	/* SawBbv/bbv.scm 121 */
																										obj_t BgL_arg1755z00_2289;

																										{	/* SawBbv/bbv.scm 121 */
																											BgL_blockz00_bglt
																												BgL_arg1756z00_2290;
																											{	/* SawBbv/bbv.scm 121 */
																												obj_t
																													BgL_arg1757z00_2291;
																												{	/* SawBbv/bbv.scm 121 */
																													BgL_blockz00_bglt
																														BgL_arg1763z00_2292;
																													{	/* SawBbv/bbv.scm 121 */
																														obj_t
																															BgL_arg1765z00_2293;
																														BgL_arg1765z00_2293
																															=
																															BGl_coalescez12z12zzsaw_bbvzd2optimzd2
																															(BgL_globalz00_92,
																															BGl_gcz12z12zzsaw_bbvz00
																															(BgL_asz00_2262));
																														BgL_arg1763z00_2292
																															=
																															BGl_dumpzd2blockszd2zzsaw_bbvz00
																															(1L,
																															BGl_string2413z00zzsaw_bbvz00,
																															BgL_globalz00_92,
																															BgL_paramsz00_93,
																															BgL_regsz00_2252,
																															BgL_historyz00_2260,
																															((BgL_blockz00_bglt) BgL_arg1765z00_2293));
																													}
																													BgL_arg1757z00_2291 =
																														BGl_simplifyzd2branchz12zc0zzsaw_bbvzd2optimzd2
																														(BgL_globalz00_92,
																														((BgL_blockz00_bglt)
																															BgL_arg1763z00_2292));
																												}
																												BgL_arg1756z00_2290 =
																													BGl_dumpzd2blockszd2zzsaw_bbvz00
																													(1L,
																													BGl_string2414z00zzsaw_bbvz00,
																													BgL_globalz00_92,
																													BgL_paramsz00_93,
																													BgL_regsz00_2252,
																													BgL_historyz00_2260,
																													((BgL_blockz00_bglt)
																														BgL_arg1757z00_2291));
																											}
																											BgL_arg1755z00_2289 =
																												BGl_removezd2gotoz12zc0zzsaw_bbvzd2optimzd2
																												(BgL_globalz00_92,
																												((BgL_blockz00_bglt)
																													BgL_arg1756z00_2290));
																										}
																										BgL_arg1748z00_2288 =
																											BGl_dumpzd2blockszd2zzsaw_bbvz00
																											(1L,
																											BGl_string2415z00zzsaw_bbvz00,
																											BgL_globalz00_92,
																											BgL_paramsz00_93,
																											BgL_regsz00_2252,
																											BgL_historyz00_2260,
																											((BgL_blockz00_bglt)
																												BgL_arg1755z00_2289));
																									}
																									BgL_arg1746z00_2287 =
																										BGl_removezd2nopz12zc0zzsaw_bbvzd2optimzd2
																										(BgL_globalz00_92,
																										((BgL_blockz00_bglt)
																											BgL_arg1748z00_2288));
																								}
																								BgL_arg1730z00_2286 =
																									BGl_dumpzd2blockszd2zzsaw_bbvz00
																									(1L,
																									BGl_string2416z00zzsaw_bbvz00,
																									BgL_globalz00_92,
																									BgL_paramsz00_93,
																									BgL_regsz00_2252,
																									BgL_historyz00_2260,
																									((BgL_blockz00_bglt)
																										BgL_arg1746z00_2287));
																							}
																							BgL_arg1729z00_2285 =
																								BGl_simplifyzd2branchz12zc0zzsaw_bbvzd2optimzd2
																								(BgL_globalz00_92,
																								((BgL_blockz00_bglt)
																									BgL_arg1730z00_2286));
																						}
																						BgL_arg1724z00_2284 =
																							BGl_dumpzd2blockszd2zzsaw_bbvz00
																							(1L,
																							BGl_string2417z00zzsaw_bbvz00,
																							BgL_globalz00_92,
																							BgL_paramsz00_93,
																							BgL_regsz00_2252,
																							BgL_historyz00_2260,
																							((BgL_blockz00_bglt)
																								BgL_arg1729z00_2285));
																					}
																				else
																					{	/* SawBbv/bbv.scm 110 */
																						BgL_arg1724z00_2284 =
																							BgL_asz00_2262;
																					}
																				BgL_bz00_2263 =
																					BGl_blockzd2ze3blockzd2listze3zzsaw_bbvzd2utilszd2
																					(BgL_regsz00_2252,
																					((BgL_blockz00_bglt)
																						BgL_arg1724z00_2284));
																			}
																			{	/* SawBbv/bbv.scm 109 */

																				{	/* SawBbv/bbv.scm 124 */
																					long BgL_arg1691z00_2264;
																					long BgL_arg1692z00_2265;

																					BgL_arg1691z00_2264 =
																						bgl_list_length(BgL_blocksz00_2251);
																					BgL_arg1692z00_2265 =
																						bgl_list_length(BgL_bz00_2263);
																					{	/* SawBbv/bbv.scm 123 */
																						obj_t BgL_list1693z00_2266;

																						{	/* SawBbv/bbv.scm 123 */
																							obj_t BgL_arg1695z00_2267;

																							{	/* SawBbv/bbv.scm 123 */
																								obj_t BgL_arg1696z00_2268;

																								{	/* SawBbv/bbv.scm 123 */
																									obj_t BgL_arg1699z00_2269;

																									BgL_arg1699z00_2269 =
																										MAKE_YOUNG_PAIR(BINT
																										(BgL_arg1692z00_2265),
																										BNIL);
																									BgL_arg1696z00_2268 =
																										MAKE_YOUNG_PAIR
																										(BGl_string2418z00zzsaw_bbvz00,
																										BgL_arg1699z00_2269);
																								}
																								BgL_arg1695z00_2267 =
																									MAKE_YOUNG_PAIR(BINT
																									(BgL_arg1691z00_2264),
																									BgL_arg1696z00_2268);
																							}
																							BgL_list1693z00_2266 =
																								MAKE_YOUNG_PAIR
																								(BGl_string2419z00zzsaw_bbvz00,
																								BgL_arg1695z00_2267);
																						}
																						BGl_verbosez00zztools_speekz00(BINT
																							(3L), BgL_list1693z00_2266);
																				}}
																				{	/* SawBbv/bbv.scm 125 */
																					obj_t BgL_list1700z00_2270;

																					BgL_list1700z00_2270 =
																						MAKE_YOUNG_PAIR
																						(BGl_string2420z00zzsaw_bbvz00,
																						BNIL);
																					BGl_verbosez00zztools_speekz00(BINT
																						(2L), BgL_list1700z00_2270);
																				}
																				BGl_dumpzd2blockszd2zzsaw_bbvz00(1L,
																					BGl_string2421z00zzsaw_bbvz00,
																					BgL_globalz00_92, BgL_paramsz00_93,
																					BgL_regsz00_2252, BgL_historyz00_2260,
																					BgL_sz00_2258);
																				{
																					obj_t BgL_l1484z00_2273;

																					BgL_l1484z00_2273 = BgL_bz00_2263;
																				BgL_zc3z04anonymousza31701ze3z87_2274:
																					if (NULLP(BgL_l1484z00_2273))
																						{	/* SawBbv/bbv.scm 127 */
																							BgL_bz00_2263;
																						}
																					else
																						{	/* SawBbv/bbv.scm 127 */
																							{	/* SawBbv/bbv.scm 127 */
																								obj_t BgL_arg1703z00_2276;

																								{	/* SawBbv/bbv.scm 127 */
																									obj_t BgL_bz00_2277;

																									BgL_bz00_2277 =
																										CAR(
																										((obj_t)
																											BgL_l1484z00_2273));
																									{	/* SawBbv/bbv.scm 127 */
																										long BgL_arg1715z00_2279;

																										{	/* SawBbv/bbv.scm 127 */
																											obj_t BgL_arg1716z00_2280;

																											{	/* SawBbv/bbv.scm 127 */
																												obj_t
																													BgL_arg1717z00_2281;
																												{	/* SawBbv/bbv.scm 127 */
																													obj_t
																														BgL_arg1866z00_3433;
																													long
																														BgL_arg1867z00_3434;
																													BgL_arg1866z00_3433 =
																														(BGl_za2classesza2z00zz__objectz00);
																													{	/* SawBbv/bbv.scm 127 */
																														long
																															BgL_arg1869z00_3435;
																														BgL_arg1869z00_3435
																															=
																															BGL_OBJECT_CLASS_NUM
																															(((BgL_objectz00_bglt) BgL_bz00_2277));
																														BgL_arg1867z00_3434
																															=
																															(BgL_arg1869z00_3435
																															- OBJECT_TYPE);
																													}
																													BgL_arg1717z00_2281 =
																														VECTOR_REF
																														(BgL_arg1866z00_3433,
																														BgL_arg1867z00_3434);
																												}
																												BgL_arg1716z00_2280 =
																													BGl_classzd2superzd2zz__objectz00
																													(BgL_arg1717z00_2281);
																											}
																											{	/* SawBbv/bbv.scm 127 */
																												obj_t BgL_tmpz00_4700;

																												BgL_tmpz00_4700 =
																													((obj_t)
																													BgL_arg1716z00_2280);
																												BgL_arg1715z00_2279 =
																													BGL_CLASS_NUM
																													(BgL_tmpz00_4700);
																										}}
																										BGL_OBJECT_CLASS_NUM_SET(
																											((BgL_objectz00_bglt)
																												BgL_bz00_2277),
																											BgL_arg1715z00_2279);
																									}
																									{	/* SawBbv/bbv.scm 127 */
																										BgL_objectz00_bglt
																											BgL_tmpz00_4705;
																										BgL_tmpz00_4705 =
																											((BgL_objectz00_bglt)
																											BgL_bz00_2277);
																										BGL_OBJECT_WIDENING_SET
																											(BgL_tmpz00_4705, BFALSE);
																									}
																									((BgL_objectz00_bglt)
																										BgL_bz00_2277);
																									BgL_arg1703z00_2276 =
																										BgL_bz00_2277;
																								}
																								{	/* SawBbv/bbv.scm 127 */
																									obj_t BgL_tmpz00_4709;

																									BgL_tmpz00_4709 =
																										((obj_t) BgL_l1484z00_2273);
																									SET_CAR(BgL_tmpz00_4709,
																										BgL_arg1703z00_2276);
																							}}
																							{	/* SawBbv/bbv.scm 127 */
																								obj_t BgL_arg1720z00_2282;

																								BgL_arg1720z00_2282 =
																									CDR(
																									((obj_t) BgL_l1484z00_2273));
																								{
																									obj_t BgL_l1484z00_4714;

																									BgL_l1484z00_4714 =
																										BgL_arg1720z00_2282;
																									BgL_l1484z00_2273 =
																										BgL_l1484z00_4714;
																									goto
																										BgL_zc3z04anonymousza31701ze3z87_2274;
																								}
																							}
																						}
																				}
																				BgL_tmp1174z00_2256 = BgL_bz00_2263;
																			}
																		}
																	}
																}
															}
														}
													}
													{	/* SawBbv/bbv.scm 95 */
														bool_t BgL_test2542z00_4715;

														{	/* SawBbv/bbv.scm 95 */
															obj_t BgL_arg1880z00_3448;

															BgL_arg1880z00_3448 =
																BGL_EXITD_PROTECT(BgL_exitd1172z00_2254);
															BgL_test2542z00_4715 = PAIRP(BgL_arg1880z00_3448);
														}
														if (BgL_test2542z00_4715)
															{	/* SawBbv/bbv.scm 95 */
																obj_t BgL_arg1877z00_3449;

																{	/* SawBbv/bbv.scm 95 */
																	obj_t BgL_arg1879z00_3450;

																	BgL_arg1879z00_3450 =
																		BGL_EXITD_PROTECT(BgL_exitd1172z00_2254);
																	BgL_arg1877z00_3449 =
																		CDR(((obj_t) BgL_arg1879z00_3450));
																}
																BGL_EXITD_PROTECT_SET(BgL_exitd1172z00_2254,
																	BgL_arg1877z00_3449);
																BUNSPEC;
															}
														else
															{	/* SawBbv/bbv.scm 95 */
																BFALSE;
															}
													}
													BGl_z62zc3z04anonymousza31784ze3ze5zzsaw_bbvz00
														(BgL_zc3z04anonymousza31784ze3z87_4080);
													return BgL_tmp1174z00_2256;
												}
											}
										}
									}
								}
							}
						}
					}
				else
					{	/* SawBbv/bbv.scm 50 */
						return BgL_blocksz00_94;
					}
			}
		}

	}



/* &bbv */
	obj_t BGl_z62bbvz62zzsaw_bbvz00(obj_t BgL_envz00_4081, obj_t BgL_backz00_4082,
		obj_t BgL_globalz00_4083, obj_t BgL_paramsz00_4084,
		obj_t BgL_blocksz00_4085)
	{
		{	/* SawBbv/bbv.scm 49 */
			return
				BGl_bbvz00zzsaw_bbvz00(
				((BgL_backendz00_bglt) BgL_backz00_4082),
				((BgL_globalz00_bglt) BgL_globalz00_4083), BgL_paramsz00_4084,
				BgL_blocksz00_4085);
		}

	}



/* &<@anonymous:1784> */
	obj_t BGl_z62zc3z04anonymousza31784ze3ze5zzsaw_bbvz00(obj_t BgL_envz00_4086)
	{
		{	/* SawBbv/bbv.scm 95 */
			{	/* SawBbv/bbv.scm 131 */
				obj_t BgL_regsz00_4087;

				BgL_regsz00_4087 = ((obj_t) PROCEDURE_REF(BgL_envz00_4086, (int) (0L)));
				{	/* SawBbv/bbv.scm 131 */
					bool_t BgL_tmpz00_4729;

					{	/* SawBbv/bbv.scm 131 */
						bool_t BgL_test2543z00_4730;

						if (
							((long) CINT(BGl_za2compilerzd2debugza2zd2zzengine_paramz00) >=
								1L))
							{	/* SawBbv/bbv.scm 131 */
								BgL_test2543z00_4730 = ((bool_t) 1);
							}
						else
							{	/* SawBbv/bbv.scm 131 */
								BgL_test2543z00_4730 =
									(
									(long) CINT(BGl_za2tracezd2levelza2zd2zzengine_paramz00) >=
									1L);
							}
						if (BgL_test2543z00_4730)
							{	/* SawBbv/bbv.scm 131 */
								BgL_tmpz00_4729 = ((bool_t) 0);
							}
						else
							{
								obj_t BgL_l1481z00_4140;

								BgL_l1481z00_4140 = BgL_regsz00_4087;
							BgL_zc3z04anonymousza31788ze3z87_4139:
								if (PAIRP(BgL_l1481z00_4140))
									{	/* SawBbv/bbv.scm 133 */
										{	/* SawBbv/bbv.scm 133 */
											obj_t BgL_rz00_4141;

											BgL_rz00_4141 = CAR(BgL_l1481z00_4140);
											{	/* SawBbv/bbv.scm 133 */
												long BgL_arg1790z00_4142;

												{	/* SawBbv/bbv.scm 133 */
													obj_t BgL_arg1796z00_4143;

													{	/* SawBbv/bbv.scm 133 */
														obj_t BgL_arg1797z00_4144;

														{	/* SawBbv/bbv.scm 133 */
															obj_t BgL_arg1866z00_4145;
															long BgL_arg1867z00_4146;

															BgL_arg1866z00_4145 =
																(BGl_za2classesza2z00zz__objectz00);
															{	/* SawBbv/bbv.scm 133 */
																long BgL_arg1869z00_4147;

																BgL_arg1869z00_4147 =
																	BGL_OBJECT_CLASS_NUM(
																	((BgL_objectz00_bglt) BgL_rz00_4141));
																BgL_arg1867z00_4146 =
																	(BgL_arg1869z00_4147 - OBJECT_TYPE);
															}
															BgL_arg1797z00_4144 =
																VECTOR_REF(BgL_arg1866z00_4145,
																BgL_arg1867z00_4146);
														}
														BgL_arg1796z00_4143 =
															BGl_classzd2superzd2zz__objectz00
															(BgL_arg1797z00_4144);
													}
													{	/* SawBbv/bbv.scm 133 */
														obj_t BgL_tmpz00_4745;

														BgL_tmpz00_4745 = ((obj_t) BgL_arg1796z00_4143);
														BgL_arg1790z00_4142 =
															BGL_CLASS_NUM(BgL_tmpz00_4745);
												}}
												BGL_OBJECT_CLASS_NUM_SET(
													((BgL_objectz00_bglt) BgL_rz00_4141),
													BgL_arg1790z00_4142);
											}
											{	/* SawBbv/bbv.scm 133 */
												BgL_objectz00_bglt BgL_tmpz00_4750;

												BgL_tmpz00_4750 = ((BgL_objectz00_bglt) BgL_rz00_4141);
												BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4750, BFALSE);
											}
											((BgL_objectz00_bglt) BgL_rz00_4141);
											BgL_rz00_4141;
										}
										{
											obj_t BgL_l1481z00_4754;

											BgL_l1481z00_4754 = CDR(BgL_l1481z00_4140);
											BgL_l1481z00_4140 = BgL_l1481z00_4754;
											goto BgL_zc3z04anonymousza31788ze3z87_4139;
										}
									}
								else
									{	/* SawBbv/bbv.scm 133 */
										BgL_tmpz00_4729 = ((bool_t) 1);
									}
							}
					}
					return BBOOL(BgL_tmpz00_4729);
				}
			}
		}

	}



/* dump-blocks */
	BgL_blockz00_bglt BGl_dumpzd2blockszd2zzsaw_bbvz00(long BgL_levelz00_95,
		obj_t BgL_namez00_96, BgL_globalz00_bglt BgL_globalz00_97,
		obj_t BgL_paramsz00_98, obj_t BgL_regsz00_99, obj_t BgL_historyz00_100,
		BgL_blockz00_bglt BgL_bz00_101)
	{
		{	/* SawBbv/bbv.scm 139 */
			{	/* SawBbv/bbv.scm 140 */
				bool_t BgL_test2546z00_4757;

				if (CBOOL(BGl_za2bbvzd2dumpzd2cfgza2z00zzsaw_bbvzd2configzd2))
					{	/* SawBbv/bbv.scm 140 */
						bool_t BgL__ortest_1178z00_2328;

						BgL__ortest_1178z00_2328 =
							(
							(long) CINT(BGl_za2tracezd2levelza2zd2zzengine_paramz00) >=
							BgL_levelz00_95);
						if (BgL__ortest_1178z00_2328)
							{	/* SawBbv/bbv.scm 140 */
								BgL_test2546z00_4757 = BgL__ortest_1178z00_2328;
							}
						else
							{	/* SawBbv/bbv.scm 140 */
								BgL_test2546z00_4757 = (BgL_levelz00_95 == 1L);
							}
					}
				else
					{	/* SawBbv/bbv.scm 140 */
						BgL_test2546z00_4757 = ((bool_t) 0);
					}
				if (BgL_test2546z00_4757)
					{	/* SawBbv/bbv.scm 142 */
						obj_t BgL_arg1810z00_2325;
						obj_t BgL_arg1811z00_2326;

						BgL_arg1810z00_2325 =
							BGl_blockzd2ze3blockzd2listze3zzsaw_bbvzd2utilszd2(BgL_regsz00_99,
							((BgL_blockz00_bglt) BgL_bz00_101));
						{	/* SawBbv/bbv.scm 142 */
							obj_t BgL_list1812z00_2327;

							BgL_list1812z00_2327 = MAKE_YOUNG_PAIR(BgL_namez00_96, BNIL);
							BgL_arg1811z00_2326 =
								BGl_formatz00zz__r4_output_6_10_3z00
								(BGl_string2422z00zzsaw_bbvz00, BgL_list1812z00_2327);
						}
						BGl_dumpzd2cfgzd2zzsaw_bbvzd2debugzd2(BgL_globalz00_97,
							BgL_paramsz00_98, BgL_arg1810z00_2325, BgL_arg1811z00_2326);
					}
				else
					{	/* SawBbv/bbv.scm 140 */
						BFALSE;
					}
			}
			{	/* SawBbv/bbv.scm 143 */
				bool_t BgL_test2549z00_4769;

				if (CBOOL(BGl_za2bbvzd2dumpzd2jsonza2z00zzsaw_bbvzd2configzd2))
					{	/* SawBbv/bbv.scm 143 */
						bool_t BgL__ortest_1179z00_2334;

						BgL__ortest_1179z00_2334 =
							(
							(long) CINT(BGl_za2tracezd2levelza2zd2zzengine_paramz00) >=
							BgL_levelz00_95);
						if (BgL__ortest_1179z00_2334)
							{	/* SawBbv/bbv.scm 143 */
								BgL_test2549z00_4769 = BgL__ortest_1179z00_2334;
							}
						else
							{	/* SawBbv/bbv.scm 143 */
								BgL_test2549z00_4769 = (BgL_levelz00_95 == 1L);
							}
					}
				else
					{	/* SawBbv/bbv.scm 143 */
						BgL_test2549z00_4769 = ((bool_t) 0);
					}
				if (BgL_test2549z00_4769)
					{	/* SawBbv/bbv.scm 145 */
						obj_t BgL_arg1814z00_2331;
						obj_t BgL_arg1818z00_2332;

						BgL_arg1814z00_2331 =
							BGl_blockzd2ze3blockzd2listze3zzsaw_bbvzd2utilszd2(BgL_regsz00_99,
							((BgL_blockz00_bglt) BgL_bz00_101));
						{	/* SawBbv/bbv.scm 145 */
							obj_t BgL_list1819z00_2333;

							BgL_list1819z00_2333 = MAKE_YOUNG_PAIR(BgL_namez00_96, BNIL);
							BgL_arg1818z00_2332 =
								BGl_formatz00zz__r4_output_6_10_3z00
								(BGl_string2423z00zzsaw_bbvz00, BgL_list1819z00_2333);
						}
						BGl_dumpzd2jsonzd2cfgz00zzsaw_bbvzd2debugzd2(BgL_globalz00_97,
							BgL_paramsz00_98, BgL_historyz00_100, BgL_arg1814z00_2331,
							BgL_arg1818z00_2332);
					}
				else
					{	/* SawBbv/bbv.scm 143 */
						BFALSE;
					}
			}
			return BgL_bz00_101;
		}

	}



/* mark-merge! */
	obj_t BGl_markzd2mergez12zc0zzsaw_bbvz00(BgL_blockz00_bglt BgL_blockz00_102)
	{
		{	/* SawBbv/bbv.scm 154 */
			return BGl_loopze70ze7zzsaw_bbvz00(((obj_t) BgL_blockz00_102), BNIL);
		}

	}



/* loop~0 */
	obj_t BGl_loopze70ze7zzsaw_bbvz00(obj_t BgL_blockz00_2337,
		obj_t BgL_stackz00_2338)
	{
		{	/* SawBbv/bbv.scm 156 */
			{	/* SawBbv/bbv.scm 160 */
				bool_t BgL_test2552z00_4783;

				{	/* SawBbv/bbv.scm 160 */
					obj_t BgL_arg1845z00_2356;

					{
						BgL_blockvz00_bglt BgL_auxz00_4784;

						{
							obj_t BgL_auxz00_4785;

							{	/* SawBbv/bbv.scm 160 */
								BgL_objectz00_bglt BgL_tmpz00_4786;

								BgL_tmpz00_4786 =
									((BgL_objectz00_bglt)
									((BgL_blockz00_bglt) BgL_blockz00_2337));
								BgL_auxz00_4785 = BGL_OBJECT_WIDENING(BgL_tmpz00_4786);
							}
							BgL_auxz00_4784 = ((BgL_blockvz00_bglt) BgL_auxz00_4785);
						}
						BgL_arg1845z00_2356 =
							(((BgL_blockvz00_bglt) COBJECT(BgL_auxz00_4784))->BgL_mergez00);
					}
					BgL_test2552z00_4783 = (BgL_arg1845z00_2356 == BUNSPEC);
				}
				if (BgL_test2552z00_4783)
					{	/* SawBbv/bbv.scm 160 */
						if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
								(BgL_blockz00_2337, BgL_stackz00_2338)))
							{
								BgL_blockvz00_bglt BgL_auxz00_4796;

								{
									obj_t BgL_auxz00_4797;

									{	/* SawBbv/bbv.scm 164 */
										BgL_objectz00_bglt BgL_tmpz00_4798;

										BgL_tmpz00_4798 =
											((BgL_objectz00_bglt)
											((BgL_blockz00_bglt) BgL_blockz00_2337));
										BgL_auxz00_4797 = BGL_OBJECT_WIDENING(BgL_tmpz00_4798);
									}
									BgL_auxz00_4796 = ((BgL_blockvz00_bglt) BgL_auxz00_4797);
								}
								return
									((((BgL_blockvz00_bglt) COBJECT(BgL_auxz00_4796))->
										BgL_mergez00) = ((obj_t) BTRUE), BUNSPEC);
							}
						else
							{	/* SawBbv/bbv.scm 166 */
								obj_t BgL_nstackz00_2344;

								BgL_nstackz00_2344 =
									MAKE_YOUNG_PAIR(BgL_blockz00_2337, BgL_stackz00_2338);
								{	/* SawBbv/bbv.scm 167 */
									obj_t BgL_g1488z00_2345;

									BgL_g1488z00_2345 =
										(((BgL_blockz00_bglt) COBJECT(
												((BgL_blockz00_bglt)
													((BgL_blockz00_bglt) BgL_blockz00_2337))))->
										BgL_succsz00);
									{
										obj_t BgL_l1486z00_2347;

										BgL_l1486z00_2347 = BgL_g1488z00_2345;
									BgL_zc3z04anonymousza31825ze3z87_2348:
										if (PAIRP(BgL_l1486z00_2347))
											{	/* SawBbv/bbv.scm 167 */
												BGl_loopze70ze7zzsaw_bbvz00(CAR(BgL_l1486z00_2347),
													BgL_nstackz00_2344);
												{
													obj_t BgL_l1486z00_4812;

													BgL_l1486z00_4812 = CDR(BgL_l1486z00_2347);
													BgL_l1486z00_2347 = BgL_l1486z00_4812;
													goto BgL_zc3z04anonymousza31825ze3z87_2348;
												}
											}
										else
											{	/* SawBbv/bbv.scm 167 */
												((bool_t) 1);
											}
									}
								}
								{	/* SawBbv/bbv.scm 170 */
									bool_t BgL_test2555z00_4814;

									{	/* SawBbv/bbv.scm 170 */
										obj_t BgL_arg1842z00_2355;

										{
											BgL_blockvz00_bglt BgL_auxz00_4815;

											{
												obj_t BgL_auxz00_4816;

												{	/* SawBbv/bbv.scm 170 */
													BgL_objectz00_bglt BgL_tmpz00_4817;

													BgL_tmpz00_4817 =
														((BgL_objectz00_bglt)
														((BgL_blockz00_bglt) BgL_blockz00_2337));
													BgL_auxz00_4816 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_4817);
												}
												BgL_auxz00_4815 =
													((BgL_blockvz00_bglt) BgL_auxz00_4816);
											}
											BgL_arg1842z00_2355 =
												(((BgL_blockvz00_bglt) COBJECT(BgL_auxz00_4815))->
												BgL_mergez00);
										}
										BgL_test2555z00_4814 = (BgL_arg1842z00_2355 == BTRUE);
									}
									if (BgL_test2555z00_4814)
										{	/* SawBbv/bbv.scm 170 */
											return BFALSE;
										}
									else
										{
											BgL_blockvz00_bglt BgL_auxz00_4824;

											{
												obj_t BgL_auxz00_4825;

												{	/* SawBbv/bbv.scm 171 */
													BgL_objectz00_bglt BgL_tmpz00_4826;

													BgL_tmpz00_4826 =
														((BgL_objectz00_bglt)
														((BgL_blockz00_bglt) BgL_blockz00_2337));
													BgL_auxz00_4825 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_4826);
												}
												BgL_auxz00_4824 =
													((BgL_blockvz00_bglt) BgL_auxz00_4825);
											}
											return
												((((BgL_blockvz00_bglt) COBJECT(BgL_auxz00_4824))->
													BgL_mergez00) = ((obj_t) BFALSE), BUNSPEC);
										}
								}
							}
					}
				else
					{	/* SawBbv/bbv.scm 160 */
						return BUNSPEC;
					}
			}
		}

	}



/* reorder-succs! */
	bool_t BGl_reorderzd2succsz12zc0zzsaw_bbvz00(obj_t BgL_blocksz00_103)
	{
		{	/* SawBbv/bbv.scm 176 */
			{	/* SawBbv/bbv.scm 178 */
				bool_t BgL_test2556z00_4832;

				if (NULLP(BgL_blocksz00_103))
					{	/* SawBbv/bbv.scm 178 */
						BgL_test2556z00_4832 = ((bool_t) 0);
					}
				else
					{	/* SawBbv/bbv.scm 178 */
						obj_t BgL_tmpz00_4835;

						BgL_tmpz00_4835 = CDR(BgL_blocksz00_103);
						BgL_test2556z00_4832 = PAIRP(BgL_tmpz00_4835);
					}
				if (BgL_test2556z00_4832)
					{
						obj_t BgL_bsz00_2362;

						BgL_bsz00_2362 = BgL_blocksz00_103;
					BgL_zc3z04anonymousza31850ze3z87_2363:
						{	/* SawBbv/bbv.scm 180 */
							bool_t BgL_test2558z00_4838;

							{	/* SawBbv/bbv.scm 180 */
								obj_t BgL_tmpz00_4839;

								BgL_tmpz00_4839 = CDR(((obj_t) BgL_bsz00_2362));
								BgL_test2558z00_4838 = PAIRP(BgL_tmpz00_4839);
							}
							if (BgL_test2558z00_4838)
								{	/* SawBbv/bbv.scm 181 */
									obj_t BgL_bz00_2366;
									obj_t BgL_nz00_2367;

									BgL_bz00_2366 = CAR(((obj_t) BgL_bsz00_2362));
									{	/* SawBbv/bbv.scm 182 */
										obj_t BgL_pairz00_3470;

										BgL_pairz00_3470 = CDR(((obj_t) BgL_bsz00_2362));
										BgL_nz00_2367 = CAR(BgL_pairz00_3470);
									}
									if (NULLP(
											(((BgL_blockz00_bglt) COBJECT(
														((BgL_blockz00_bglt) BgL_bz00_2366)))->
												BgL_succsz00)))
										{	/* SawBbv/bbv.scm 184 */
											BFALSE;
										}
									else
										{	/* SawBbv/bbv.scm 185 */
											bool_t BgL_test2560z00_4852;

											{	/* SawBbv/bbv.scm 185 */
												bool_t BgL_test2561z00_4853;

												{	/* SawBbv/bbv.scm 185 */
													obj_t BgL_arg1894z00_2388;

													BgL_arg1894z00_2388 =
														CAR(BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(
															(((BgL_blockz00_bglt) COBJECT(
																		((BgL_blockz00_bglt) BgL_bz00_2366)))->
																BgL_firstz00)));
													BgL_test2561z00_4853 =
														BGl_rtl_inszd2gozf3z21zzsaw_bbvzd2typeszd2((
															(BgL_rtl_insz00_bglt) BgL_arg1894z00_2388));
												}
												if (BgL_test2561z00_4853)
													{	/* SawBbv/bbv.scm 185 */
														BgL_test2560z00_4852 = ((bool_t) 1);
													}
												else
													{	/* SawBbv/bbv.scm 186 */
														obj_t BgL_arg1891z00_2385;

														BgL_arg1891z00_2385 =
															CAR
															(BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00((
																	((BgL_blockz00_bglt)
																		COBJECT(((BgL_blockz00_bglt)
																				BgL_bz00_2366)))->BgL_firstz00)));
														BgL_test2560z00_4852 =
															CBOOL
															(BGl_rtl_inszd2switchzf3z21zzsaw_bbvzd2typeszd2((
																	(BgL_rtl_insz00_bglt) BgL_arg1891z00_2385)));
													}
											}
											if (BgL_test2560z00_4852)
												{	/* SawBbv/bbv.scm 185 */
													BFALSE;
												}
											else
												{
													obj_t BgL_auxz00_4867;

													{	/* SawBbv/bbv.scm 187 */
														obj_t BgL_arg1889z00_2382;

														{	/* SawBbv/bbv.scm 187 */
															obj_t BgL_arg1890z00_2383;

															BgL_arg1890z00_2383 =
																(((BgL_blockz00_bglt) COBJECT(
																		((BgL_blockz00_bglt) BgL_bz00_2366)))->
																BgL_succsz00);
															BgL_arg1889z00_2382 =
																bgl_remq_bang(BgL_nz00_2367,
																BgL_arg1890z00_2383);
														}
														BgL_auxz00_4867 =
															MAKE_YOUNG_PAIR(BgL_nz00_2367,
															BgL_arg1889z00_2382);
													}
													((((BgL_blockz00_bglt) COBJECT(
																	((BgL_blockz00_bglt) BgL_bz00_2366)))->
															BgL_succsz00) =
														((obj_t) BgL_auxz00_4867), BUNSPEC);
												}
										}
									{	/* SawBbv/bbv.scm 188 */
										obj_t BgL_arg1898z00_2392;

										BgL_arg1898z00_2392 = CDR(((obj_t) BgL_bsz00_2362));
										{
											obj_t BgL_bsz00_4876;

											BgL_bsz00_4876 = BgL_arg1898z00_2392;
											BgL_bsz00_2362 = BgL_bsz00_4876;
											goto BgL_zc3z04anonymousza31850ze3z87_2363;
										}
									}
								}
							else
								{	/* SawBbv/bbv.scm 180 */
									return ((bool_t) 0);
								}
						}
					}
				else
					{	/* SawBbv/bbv.scm 178 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* gc! */
	BgL_blockz00_bglt BGl_gcz12z12zzsaw_bbvz00(BgL_blockz00_bglt BgL_bz00_104)
	{
		{	/* SawBbv/bbv.scm 197 */
			{
				BgL_blockz00_bglt BgL_bz00_2439;
				obj_t BgL_setmz00_2440;
				BgL_blockz00_bglt BgL_bz00_2417;

				{	/* SawBbv/bbv.scm 231 */
					bool_t BgL_test2562z00_4877;

					if (
						(BGl_za2bbvzd2blockszd2cleanupza2z00zzsaw_bbvzd2configzd2 == BTRUE))
						{	/* SawBbv/bbv.scm 231 */
							BgL_test2562z00_4877 = ((bool_t) 1);
						}
					else
						{	/* SawBbv/bbv.scm 231 */
							if (STRINGP
								(BGl_za2bbvzd2blockszd2cleanupza2z00zzsaw_bbvzd2configzd2))
								{	/* SawBbv/bbv.scm 233 */
									obj_t BgL__ortest_1191z00_2410;

									{	/* SawBbv/bbv.scm 233 */
										obj_t BgL_g1922z00_2414;

										BgL_g1922z00_2414 =
											BGl_za2bbvzd2blockszd2cleanupza2z00zzsaw_bbvzd2configzd2;
										{	/* SawBbv/bbv.scm 233 */

											BgL__ortest_1191z00_2410 =
												BGl_stringzd2containszd2zz__r4_strings_6_7z00
												(BgL_g1922z00_2414, BGl_string2413z00zzsaw_bbvz00,
												(int) (0L));
									}}
									if (CBOOL(BgL__ortest_1191z00_2410))
										{	/* SawBbv/bbv.scm 233 */
											BgL_test2562z00_4877 = CBOOL(BgL__ortest_1191z00_2410);
										}
									else
										{	/* SawBbv/bbv.scm 234 */
											obj_t BgL_g1922z00_2411;

											BgL_g1922z00_2411 =
												BGl_za2bbvzd2blockszd2cleanupza2z00zzsaw_bbvzd2configzd2;
											{	/* SawBbv/bbv.scm 234 */

												BgL_test2562z00_4877 =
													CBOOL(BGl_stringzd2containszd2zz__r4_strings_6_7z00
													(BgL_g1922z00_2411, BGl_string2425z00zzsaw_bbvz00,
														(int) (0L)));
								}}}
							else
								{	/* SawBbv/bbv.scm 232 */
									BgL_test2562z00_4877 = ((bool_t) 0);
								}
						}
					if (BgL_test2562z00_4877)
						{	/* SawBbv/bbv.scm 231 */
							BgL_bz00_2439 = BgL_bz00_104;
							BgL_bz00_2417 = BgL_bz00_104;
							{	/* SawBbv/bbv.scm 200 */
								obj_t BgL_g1183z00_2419;
								obj_t BgL_g1184z00_2420;

								{	/* SawBbv/bbv.scm 200 */
									obj_t BgL_list1917z00_2438;

									BgL_list1917z00_2438 =
										MAKE_YOUNG_PAIR(((obj_t) BgL_bz00_2417), BNIL);
									BgL_g1183z00_2419 = BgL_list1917z00_2438;
								}
								BgL_g1184z00_2420 = BGl_makezd2emptyzd2bbsetz00zzsaw_bbvz00();
								{
									obj_t BgL_bsz00_2422;
									obj_t BgL_setz00_2423;

									BgL_bsz00_2422 = BgL_g1183z00_2419;
									BgL_setz00_2423 = BgL_g1184z00_2420;
								BgL_zc3z04anonymousza31904ze3z87_2424:
									if (NULLP(BgL_bsz00_2422))
										{	/* SawBbv/bbv.scm 203 */
											BgL_setmz00_2440 = BgL_setz00_2423;
										}
									else
										{	/* SawBbv/bbv.scm 205 */
											bool_t BgL_test2573z00_5009;

											{	/* SawBbv/bbv.scm 205 */
												BgL_blockz00_bglt BgL_blockz00_3476;

												BgL_blockz00_3476 =
													((BgL_blockz00_bglt) CAR(((obj_t) BgL_bsz00_2422)));
												{	/* SawBbv/bbv.scm 205 */
													obj_t BgL_arg1581z00_3479;
													obj_t BgL_arg1587z00_3480;

													{	/* SawBbv/bbv.scm 205 */
														long BgL_tmpz00_5013;

														{
															BgL_blocksz00_bglt BgL_auxz00_5014;

															{
																obj_t BgL_auxz00_5015;

																{	/* SawBbv/bbv.scm 205 */
																	BgL_objectz00_bglt BgL_tmpz00_5016;

																	BgL_tmpz00_5016 =
																		((BgL_objectz00_bglt) BgL_blockz00_3476);
																	BgL_auxz00_5015 =
																		BGL_OBJECT_WIDENING(BgL_tmpz00_5016);
																}
																BgL_auxz00_5014 =
																	((BgL_blocksz00_bglt) BgL_auxz00_5015);
															}
															BgL_tmpz00_5013 =
																(((BgL_blocksz00_bglt)
																	COBJECT(BgL_auxz00_5014))->BgL_z52markz52);
														}
														BgL_arg1581z00_3479 = BINT(BgL_tmpz00_5013);
													}
													BgL_arg1587z00_3480 =
														STRUCT_REF(BgL_setz00_2423, (int) (0L));
													BgL_test2573z00_5009 =
														(BgL_arg1581z00_3479 == BgL_arg1587z00_3480);
											}}
											if (BgL_test2573z00_5009)
												{	/* SawBbv/bbv.scm 206 */
													obj_t BgL_arg1908z00_2428;

													BgL_arg1908z00_2428 = CDR(((obj_t) BgL_bsz00_2422));
													{
														obj_t BgL_bsz00_5027;

														BgL_bsz00_5027 = BgL_arg1908z00_2428;
														BgL_bsz00_2422 = BgL_bsz00_5027;
														goto BgL_zc3z04anonymousza31904ze3z87_2424;
													}
												}
											else
												{	/* SawBbv/bbv.scm 208 */
													BgL_blockz00_bglt BgL_i1185z00_2429;

													BgL_i1185z00_2429 =
														((BgL_blockz00_bglt) CAR(((obj_t) BgL_bsz00_2422)));
													if (CBOOL
														(BGl_za2bbvzd2debugza2zd2zzsaw_bbvzd2configzd2))
														{	/* SawBbv/bbv.scm 210 */
															obj_t BgL_arg1909z00_2430;

															BgL_arg1909z00_2430 =
																CAR(((obj_t) BgL_bsz00_2422));
															BGl_assertzd2blockzd2zzsaw_bbvzd2debugzd2(
																((BgL_blockz00_bglt) BgL_arg1909z00_2430),
																BGl_string2424z00zzsaw_bbvz00);
														}
													else
														{	/* SawBbv/bbv.scm 209 */
															BFALSE;
														}
													{	/* SawBbv/bbv.scm 211 */
														obj_t BgL_arg1910z00_2431;
														obj_t BgL_arg1911z00_2432;

														{	/* SawBbv/bbv.scm 211 */
															obj_t BgL_arg1912z00_2433;
															obj_t BgL_arg1913z00_2434;

															BgL_arg1912z00_2433 =
																(((BgL_blockz00_bglt) COBJECT(
																		((BgL_blockz00_bglt) BgL_i1185z00_2429)))->
																BgL_succsz00);
															BgL_arg1913z00_2434 =
																CDR(((obj_t) BgL_bsz00_2422));
															BgL_arg1910z00_2431 =
																BGl_appendzd221011zd2zzsaw_bbvz00
																(BgL_arg1912z00_2433, BgL_arg1913z00_2434);
														}
														{	/* SawBbv/bbv.scm 212 */
															obj_t BgL_arg1915z00_2435;

															BgL_arg1915z00_2435 =
																CAR(((obj_t) BgL_bsz00_2422));
															BgL_arg1911z00_2432 =
																BGl_bbsetzd2conszd2zzsaw_bbvz00(
																((BgL_blockz00_bglt) BgL_arg1915z00_2435),
																BgL_setz00_2423);
														}
														{
															obj_t BgL_setz00_5047;
															obj_t BgL_bsz00_5046;

															BgL_bsz00_5046 = BgL_arg1910z00_2431;
															BgL_setz00_5047 = BgL_arg1911z00_2432;
															BgL_setz00_2423 = BgL_setz00_5047;
															BgL_bsz00_2422 = BgL_bsz00_5046;
															goto BgL_zc3z04anonymousza31904ze3z87_2424;
														}
													}
												}
										}
								}
							}
							{	/* SawBbv/bbv.scm 215 */
								obj_t BgL_g1186z00_2442;

								{	/* SawBbv/bbv.scm 215 */
									obj_t BgL_list1944z00_2491;

									BgL_list1944z00_2491 =
										MAKE_YOUNG_PAIR(((obj_t) BgL_bz00_2439), BNIL);
									BgL_g1186z00_2442 = BgL_list1944z00_2491;
								}
								{
									obj_t BgL_bsz00_2445;
									obj_t BgL_setz00_2446;

									BgL_bsz00_2445 = BgL_g1186z00_2442;
									BgL_setz00_2446 = BNIL;
								BgL_zc3z04anonymousza31919ze3z87_2447:
									if (NULLP(BgL_bsz00_2445))
										{	/* SawBbv/bbv.scm 218 */
											BgL_setz00_2446;
										}
									else
										{	/* SawBbv/bbv.scm 218 */
											if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(CAR(
															((obj_t) BgL_bsz00_2445)), BgL_setz00_2446)))
												{	/* SawBbv/bbv.scm 221 */
													obj_t BgL_arg1923z00_2451;

													BgL_arg1923z00_2451 = CDR(((obj_t) BgL_bsz00_2445));
													{
														obj_t BgL_bsz00_4901;

														BgL_bsz00_4901 = BgL_arg1923z00_2451;
														BgL_bsz00_2445 = BgL_bsz00_4901;
														goto BgL_zc3z04anonymousza31919ze3z87_2447;
													}
												}
											else
												{	/* SawBbv/bbv.scm 223 */
													BgL_blockz00_bglt BgL_i1188z00_2452;

													BgL_i1188z00_2452 =
														((BgL_blockz00_bglt) CAR(((obj_t) BgL_bsz00_2445)));
													{
														obj_t BgL_auxz00_4905;

														{	/* SawBbv/bbv.scm 224 */
															obj_t BgL_hook1493z00_2453;

															BgL_hook1493z00_2453 =
																MAKE_YOUNG_PAIR(BFALSE, BNIL);
															{	/* SawBbv/bbv.scm 224 */
																obj_t BgL_g1494z00_2454;

																BgL_g1494z00_2454 =
																	(((BgL_blockz00_bglt) COBJECT(
																			((BgL_blockz00_bglt)
																				BgL_i1188z00_2452)))->BgL_predsz00);
																{
																	obj_t BgL_l1490z00_2456;
																	obj_t BgL_h1491z00_2457;

																	BgL_l1490z00_2456 = BgL_g1494z00_2454;
																	BgL_h1491z00_2457 = BgL_hook1493z00_2453;
																BgL_zc3z04anonymousza31924ze3z87_2458:
																	if (NULLP(BgL_l1490z00_2456))
																		{	/* SawBbv/bbv.scm 224 */
																			BgL_auxz00_4905 =
																				CDR(BgL_hook1493z00_2453);
																		}
																	else
																		{	/* SawBbv/bbv.scm 224 */
																			bool_t BgL_test2569z00_4913;

																			{	/* SawBbv/bbv.scm 224 */
																				BgL_blockz00_bglt BgL_blockz00_3494;

																				BgL_blockz00_3494 =
																					((BgL_blockz00_bglt)
																					CAR(((obj_t) BgL_l1490z00_2456)));
																				{	/* SawBbv/bbv.scm 224 */
																					obj_t BgL_arg1581z00_3497;
																					obj_t BgL_arg1587z00_3498;

																					{	/* SawBbv/bbv.scm 224 */
																						long BgL_tmpz00_4917;

																						{
																							BgL_blocksz00_bglt
																								BgL_auxz00_4918;
																							{
																								obj_t BgL_auxz00_4919;

																								{	/* SawBbv/bbv.scm 224 */
																									BgL_objectz00_bglt
																										BgL_tmpz00_4920;
																									BgL_tmpz00_4920 =
																										((BgL_objectz00_bglt)
																										BgL_blockz00_3494);
																									BgL_auxz00_4919 =
																										BGL_OBJECT_WIDENING
																										(BgL_tmpz00_4920);
																								}
																								BgL_auxz00_4918 =
																									((BgL_blocksz00_bglt)
																									BgL_auxz00_4919);
																							}
																							BgL_tmpz00_4917 =
																								(((BgL_blocksz00_bglt)
																									COBJECT(BgL_auxz00_4918))->
																								BgL_z52markz52);
																						}
																						BgL_arg1581z00_3497 =
																							BINT(BgL_tmpz00_4917);
																					}
																					BgL_arg1587z00_3498 =
																						STRUCT_REF(BgL_setmz00_2440,
																						(int) (0L));
																					BgL_test2569z00_4913 =
																						(BgL_arg1581z00_3497 ==
																						BgL_arg1587z00_3498);
																			}}
																			if (BgL_test2569z00_4913)
																				{	/* SawBbv/bbv.scm 224 */
																					obj_t BgL_nh1492z00_2462;

																					{	/* SawBbv/bbv.scm 224 */
																						obj_t BgL_arg1928z00_2464;

																						BgL_arg1928z00_2464 =
																							CAR(((obj_t) BgL_l1490z00_2456));
																						BgL_nh1492z00_2462 =
																							MAKE_YOUNG_PAIR
																							(BgL_arg1928z00_2464, BNIL);
																					}
																					SET_CDR(BgL_h1491z00_2457,
																						BgL_nh1492z00_2462);
																					{	/* SawBbv/bbv.scm 224 */
																						obj_t BgL_arg1927z00_2463;

																						BgL_arg1927z00_2463 =
																							CDR(((obj_t) BgL_l1490z00_2456));
																						{
																							obj_t BgL_h1491z00_4936;
																							obj_t BgL_l1490z00_4935;

																							BgL_l1490z00_4935 =
																								BgL_arg1927z00_2463;
																							BgL_h1491z00_4936 =
																								BgL_nh1492z00_2462;
																							BgL_h1491z00_2457 =
																								BgL_h1491z00_4936;
																							BgL_l1490z00_2456 =
																								BgL_l1490z00_4935;
																							goto
																								BgL_zc3z04anonymousza31924ze3z87_2458;
																						}
																					}
																				}
																			else
																				{	/* SawBbv/bbv.scm 224 */
																					obj_t BgL_arg1929z00_2465;

																					BgL_arg1929z00_2465 =
																						CDR(((obj_t) BgL_l1490z00_2456));
																					{
																						obj_t BgL_l1490z00_4939;

																						BgL_l1490z00_4939 =
																							BgL_arg1929z00_2465;
																						BgL_l1490z00_2456 =
																							BgL_l1490z00_4939;
																						goto
																							BgL_zc3z04anonymousza31924ze3z87_2458;
																					}
																				}
																		}
																}
															}
														}
														((((BgL_blockz00_bglt) COBJECT(
																		((BgL_blockz00_bglt) BgL_i1188z00_2452)))->
																BgL_predsz00) =
															((obj_t) BgL_auxz00_4905), BUNSPEC);
													}
													{	/* SawBbv/bbv.scm 225 */
														BgL_blockz00_bglt BgL_i1189z00_2468;

														{
															BgL_blocksz00_bglt BgL_auxz00_4941;

															{
																obj_t BgL_auxz00_4942;

																{	/* SawBbv/bbv.scm 226 */
																	BgL_objectz00_bglt BgL_tmpz00_4943;

																	BgL_tmpz00_4943 =
																		((BgL_objectz00_bglt) BgL_i1188z00_2452);
																	BgL_auxz00_4942 =
																		BGL_OBJECT_WIDENING(BgL_tmpz00_4943);
																}
																BgL_auxz00_4941 =
																	((BgL_blocksz00_bglt) BgL_auxz00_4942);
															}
															BgL_i1189z00_2468 =
																(((BgL_blocksz00_bglt)
																	COBJECT(BgL_auxz00_4941))->BgL_parentz00);
														}
														{
															obj_t BgL_auxz00_4954;
															BgL_blockvz00_bglt BgL_auxz00_4948;

															{	/* SawBbv/bbv.scm 227 */
																obj_t BgL_hook1499z00_2469;

																BgL_hook1499z00_2469 =
																	MAKE_YOUNG_PAIR(BFALSE, BNIL);
																{	/* SawBbv/bbv.scm 227 */
																	obj_t BgL_g1500z00_2470;

																	{
																		BgL_blockvz00_bglt BgL_auxz00_4956;

																		{
																			obj_t BgL_auxz00_4957;

																			{	/* SawBbv/bbv.scm 227 */
																				BgL_objectz00_bglt BgL_tmpz00_4958;

																				BgL_tmpz00_4958 =
																					((BgL_objectz00_bglt)
																					BgL_i1189z00_2468);
																				BgL_auxz00_4957 =
																					BGL_OBJECT_WIDENING(BgL_tmpz00_4958);
																			}
																			BgL_auxz00_4956 =
																				((BgL_blockvz00_bglt) BgL_auxz00_4957);
																		}
																		BgL_g1500z00_2470 =
																			(((BgL_blockvz00_bglt)
																				COBJECT(BgL_auxz00_4956))->
																			BgL_versionsz00);
																	}
																	{
																		obj_t BgL_l1496z00_2472;
																		obj_t BgL_h1497z00_2473;

																		BgL_l1496z00_2472 = BgL_g1500z00_2470;
																		BgL_h1497z00_2473 = BgL_hook1499z00_2469;
																	BgL_zc3z04anonymousza31930ze3z87_2474:
																		if (NULLP(BgL_l1496z00_2472))
																			{	/* SawBbv/bbv.scm 227 */
																				BgL_auxz00_4954 =
																					CDR(BgL_hook1499z00_2469);
																			}
																		else
																			{	/* SawBbv/bbv.scm 227 */
																				bool_t BgL_test2571z00_4966;

																				{	/* SawBbv/bbv.scm 227 */
																					BgL_blockz00_bglt BgL_blockz00_3510;

																					BgL_blockz00_3510 =
																						((BgL_blockz00_bglt)
																						CAR(((obj_t) BgL_l1496z00_2472)));
																					{	/* SawBbv/bbv.scm 227 */
																						obj_t BgL_arg1581z00_3513;
																						obj_t BgL_arg1587z00_3514;

																						{	/* SawBbv/bbv.scm 227 */
																							long BgL_tmpz00_4970;

																							{
																								BgL_blocksz00_bglt
																									BgL_auxz00_4971;
																								{
																									obj_t BgL_auxz00_4972;

																									{	/* SawBbv/bbv.scm 227 */
																										BgL_objectz00_bglt
																											BgL_tmpz00_4973;
																										BgL_tmpz00_4973 =
																											((BgL_objectz00_bglt)
																											BgL_blockz00_3510);
																										BgL_auxz00_4972 =
																											BGL_OBJECT_WIDENING
																											(BgL_tmpz00_4973);
																									}
																									BgL_auxz00_4971 =
																										((BgL_blocksz00_bglt)
																										BgL_auxz00_4972);
																								}
																								BgL_tmpz00_4970 =
																									(((BgL_blocksz00_bglt)
																										COBJECT(BgL_auxz00_4971))->
																									BgL_z52markz52);
																							}
																							BgL_arg1581z00_3513 =
																								BINT(BgL_tmpz00_4970);
																						}
																						BgL_arg1587z00_3514 =
																							STRUCT_REF(BgL_setmz00_2440,
																							(int) (0L));
																						BgL_test2571z00_4966 =
																							(BgL_arg1581z00_3513 ==
																							BgL_arg1587z00_3514);
																				}}
																				if (BgL_test2571z00_4966)
																					{	/* SawBbv/bbv.scm 227 */
																						obj_t BgL_nh1498z00_2478;

																						{	/* SawBbv/bbv.scm 227 */
																							obj_t BgL_arg1934z00_2480;

																							BgL_arg1934z00_2480 =
																								CAR(
																								((obj_t) BgL_l1496z00_2472));
																							BgL_nh1498z00_2478 =
																								MAKE_YOUNG_PAIR
																								(BgL_arg1934z00_2480, BNIL);
																						}
																						SET_CDR(BgL_h1497z00_2473,
																							BgL_nh1498z00_2478);
																						{	/* SawBbv/bbv.scm 227 */
																							obj_t BgL_arg1933z00_2479;

																							BgL_arg1933z00_2479 =
																								CDR(
																								((obj_t) BgL_l1496z00_2472));
																							{
																								obj_t BgL_h1497z00_4989;
																								obj_t BgL_l1496z00_4988;

																								BgL_l1496z00_4988 =
																									BgL_arg1933z00_2479;
																								BgL_h1497z00_4989 =
																									BgL_nh1498z00_2478;
																								BgL_h1497z00_2473 =
																									BgL_h1497z00_4989;
																								BgL_l1496z00_2472 =
																									BgL_l1496z00_4988;
																								goto
																									BgL_zc3z04anonymousza31930ze3z87_2474;
																							}
																						}
																					}
																				else
																					{	/* SawBbv/bbv.scm 227 */
																						obj_t BgL_arg1935z00_2481;

																						BgL_arg1935z00_2481 =
																							CDR(((obj_t) BgL_l1496z00_2472));
																						{
																							obj_t BgL_l1496z00_4992;

																							BgL_l1496z00_4992 =
																								BgL_arg1935z00_2481;
																							BgL_l1496z00_2472 =
																								BgL_l1496z00_4992;
																							goto
																								BgL_zc3z04anonymousza31930ze3z87_2474;
																						}
																					}
																			}
																	}
																}
															}
															{
																obj_t BgL_auxz00_4949;

																{	/* SawBbv/bbv.scm 226 */
																	BgL_objectz00_bglt BgL_tmpz00_4950;

																	BgL_tmpz00_4950 =
																		((BgL_objectz00_bglt) BgL_i1189z00_2468);
																	BgL_auxz00_4949 =
																		BGL_OBJECT_WIDENING(BgL_tmpz00_4950);
																}
																BgL_auxz00_4948 =
																	((BgL_blockvz00_bglt) BgL_auxz00_4949);
															}
															((((BgL_blockvz00_bglt)
																		COBJECT(BgL_auxz00_4948))->
																	BgL_versionsz00) =
																((obj_t) BgL_auxz00_4954), BUNSPEC);
														}
													}
													{	/* SawBbv/bbv.scm 228 */
														obj_t BgL_arg1936z00_2484;
														obj_t BgL_arg1938z00_2485;

														{	/* SawBbv/bbv.scm 228 */
															obj_t BgL_arg1939z00_2486;
															obj_t BgL_arg1940z00_2487;

															BgL_arg1939z00_2486 =
																(((BgL_blockz00_bglt) COBJECT(
																		((BgL_blockz00_bglt) BgL_i1188z00_2452)))->
																BgL_succsz00);
															BgL_arg1940z00_2487 =
																CDR(((obj_t) BgL_bsz00_2445));
															BgL_arg1936z00_2484 =
																BGl_appendzd221011zd2zzsaw_bbvz00
																(BgL_arg1939z00_2486, BgL_arg1940z00_2487);
														}
														{	/* SawBbv/bbv.scm 229 */
															obj_t BgL_arg1942z00_2488;

															BgL_arg1942z00_2488 =
																CAR(((obj_t) BgL_bsz00_2445));
															BgL_arg1938z00_2485 =
																MAKE_YOUNG_PAIR(BgL_arg1942z00_2488,
																BgL_setz00_2446);
														}
														{
															obj_t BgL_setz00_5003;
															obj_t BgL_bsz00_5002;

															BgL_bsz00_5002 = BgL_arg1936z00_2484;
															BgL_setz00_5003 = BgL_arg1938z00_2485;
															BgL_setz00_2446 = BgL_setz00_5003;
															BgL_bsz00_2445 = BgL_bsz00_5002;
															goto BgL_zc3z04anonymousza31919ze3z87_2447;
														}
													}
												}
										}
								}
							}
						}
					else
						{	/* SawBbv/bbv.scm 231 */
							BFALSE;
						}
				}
				return BgL_bz00_104;
			}
		}

	}



/* normalize-ifeq! */
	obj_t BGl_normaliza7ezd2ifeqz12z67zzsaw_bbvz00(BgL_blockz00_bglt BgL_bz00_105)
	{
		{	/* SawBbv/bbv.scm 244 */
			{
				BgL_blockz00_bglt BgL_bz00_2542;

				{	/* SawBbv/bbv.scm 292 */
					obj_t BgL_g1208z00_2496;

					{	/* SawBbv/bbv.scm 292 */
						obj_t BgL_list1962z00_2515;

						BgL_list1962z00_2515 =
							MAKE_YOUNG_PAIR(((obj_t) BgL_bz00_105), BNIL);
						BgL_g1208z00_2496 = BgL_list1962z00_2515;
					}
					{
						obj_t BgL_bsz00_2499;
						obj_t BgL_accz00_2500;

						BgL_bsz00_2499 = BgL_g1208z00_2496;
						BgL_accz00_2500 = BNIL;
					BgL_zc3z04anonymousza31945ze3z87_2501:
						if (NULLP(BgL_bsz00_2499))
							{	/* SawBbv/bbv.scm 295 */
								return bgl_reverse(BgL_accz00_2500);
							}
						else
							{	/* SawBbv/bbv.scm 295 */
								if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(CAR(
												((obj_t) BgL_bsz00_2499)), BgL_accz00_2500)))
									{	/* SawBbv/bbv.scm 298 */
										obj_t BgL_arg1950z00_2505;

										BgL_arg1950z00_2505 = CDR(((obj_t) BgL_bsz00_2499));
										{
											obj_t BgL_bsz00_5060;

											BgL_bsz00_5060 = BgL_arg1950z00_2505;
											BgL_bsz00_2499 = BgL_bsz00_5060;
											goto BgL_zc3z04anonymousza31945ze3z87_2501;
										}
									}
								else
									{	/* SawBbv/bbv.scm 297 */
										{	/* SawBbv/bbv.scm 300 */
											obj_t BgL_arg1953z00_2506;

											BgL_arg1953z00_2506 = CAR(((obj_t) BgL_bsz00_2499));
											BgL_bz00_2542 = ((BgL_blockz00_bglt) BgL_arg1953z00_2506);
											if (NULLP(
													(((BgL_blockz00_bglt) COBJECT(BgL_bz00_2542))->
														BgL_succsz00)))
												{	/* SawBbv/bbv.scm 255 */
													BFALSE;
												}
											else
												{
													obj_t BgL_insz00_2549;

													BgL_insz00_2549 =
														(((BgL_blockz00_bglt) COBJECT(BgL_bz00_2542))->
														BgL_firstz00);
												BgL_zc3z04anonymousza31989ze3z87_2550:
													if (NULLP(BgL_insz00_2549))
														{	/* SawBbv/bbv.scm 259 */
															if (NULLP(
																	(((BgL_blockz00_bglt)
																			COBJECT(BgL_bz00_2542))->BgL_firstz00)))
																{	/* SawBbv/bbv.scm 262 */
																	obj_t BgL_arg1994z00_2554;

																	BgL_arg1994z00_2554 =
																		BGl_shapez00zztools_shapez00(
																		((obj_t) BgL_bz00_2542));
																	BGl_errorz00zz__errorz00
																		(BGl_string2426z00zzsaw_bbvz00,
																		BGl_string2427z00zzsaw_bbvz00,
																		BgL_arg1994z00_2554);
																}
															else
																{	/* SawBbv/bbv.scm 260 */
																	BFALSE;
																}
														}
													else
														{	/* SawBbv/bbv.scm 263 */
															bool_t BgL_test2580z00_5074;

															{	/* SawBbv/bbv.scm 263 */
																obj_t BgL_arg2041z00_2611;

																BgL_arg2041z00_2611 =
																	CAR(((obj_t) BgL_insz00_2549));
																BgL_test2580z00_5074 =
																	BGl_rtl_inszd2ifnezf3z21zzsaw_bbvzd2typeszd2(
																	((BgL_rtl_insz00_bglt) BgL_arg2041z00_2611));
															}
															if (BgL_test2580z00_5074)
																{	/* SawBbv/bbv.scm 264 */
																	bool_t BgL_test2581z00_5079;

																	if (NULLP(CDR(
																				(((BgL_blockz00_bglt)
																						COBJECT(BgL_bz00_2542))->
																					BgL_succsz00))))
																		{	/* SawBbv/bbv.scm 264 */
																			obj_t BgL_arg2008z00_2570;

																			BgL_arg2008z00_2570 =
																				CAR(((obj_t) BgL_insz00_2549));
																			BgL_test2581z00_5079 =
																				BGl_sidezd2effectzd2freezf3ze70z14zzsaw_bbvz00
																				(BgL_arg2008z00_2570);
																		}
																	else
																		{	/* SawBbv/bbv.scm 264 */
																			BgL_test2581z00_5079 = ((bool_t) 0);
																		}
																	if (BgL_test2581z00_5079)
																		{	/* SawBbv/bbv.scm 265 */
																			BgL_rtl_insz00_bglt BgL_i1196z00_2565;

																			BgL_i1196z00_2565 =
																				((BgL_rtl_insz00_bglt)
																				CAR(((obj_t) BgL_insz00_2549)));
																			{
																				BgL_rtl_funz00_bglt BgL_auxz00_5090;

																				{	/* SawBbv/bbv.scm 266 */
																					BgL_rtl_nopz00_bglt
																						BgL_new1198z00_2566;
																					{	/* SawBbv/bbv.scm 266 */
																						BgL_rtl_nopz00_bglt
																							BgL_new1197z00_2567;
																						BgL_new1197z00_2567 =
																							((BgL_rtl_nopz00_bglt)
																							BOBJECT(GC_MALLOC(sizeof(struct
																										BgL_rtl_nopz00_bgl))));
																						{	/* SawBbv/bbv.scm 266 */
																							long BgL_arg2007z00_2568;

																							{	/* SawBbv/bbv.scm 266 */
																								obj_t BgL_classz00_3601;

																								BgL_classz00_3601 =
																									BGl_rtl_nopz00zzsaw_defsz00;
																								BgL_arg2007z00_2568 =
																									BGL_CLASS_NUM
																									(BgL_classz00_3601);
																							}
																							BGL_OBJECT_CLASS_NUM_SET(
																								((BgL_objectz00_bglt)
																									BgL_new1197z00_2567),
																								BgL_arg2007z00_2568);
																						}
																						BgL_new1198z00_2566 =
																							BgL_new1197z00_2567;
																					}
																					((((BgL_rtl_funz00_bglt) COBJECT(
																									((BgL_rtl_funz00_bglt)
																										BgL_new1198z00_2566)))->
																							BgL_locz00) =
																						((obj_t) BFALSE), BUNSPEC);
																					BgL_auxz00_5090 =
																						((BgL_rtl_funz00_bglt)
																						BgL_new1198z00_2566);
																				}
																				((((BgL_rtl_insz00_bglt)
																							COBJECT(BgL_i1196z00_2565))->
																						BgL_funz00) =
																					((BgL_rtl_funz00_bglt)
																						BgL_auxz00_5090), BUNSPEC);
																			}
																			((((BgL_rtl_insz00_bglt)
																						COBJECT(BgL_i1196z00_2565))->
																					BgL_argsz00) =
																				((obj_t) BNIL), BUNSPEC);
																		}
																	else
																		{	/* SawBbv/bbv.scm 264 */
																			BUNSPEC;
																		}
																}
															else
																{	/* SawBbv/bbv.scm 269 */
																	bool_t BgL_test2583z00_5100;

																	{	/* SawBbv/bbv.scm 269 */
																		obj_t BgL_arg2040z00_2610;

																		BgL_arg2040z00_2610 =
																			CAR(((obj_t) BgL_insz00_2549));
																		BgL_test2583z00_5100 =
																			BGl_rtl_inszd2ifeqzf3z21zzsaw_bbvzd2typeszd2
																			(((BgL_rtl_insz00_bglt)
																				BgL_arg2040z00_2610));
																	}
																	if (BgL_test2583z00_5100)
																		{	/* SawBbv/bbv.scm 271 */
																			BgL_rtl_insz00_bglt BgL_i1199z00_2575;

																			BgL_i1199z00_2575 =
																				((BgL_rtl_insz00_bglt)
																				CAR(((obj_t) BgL_insz00_2549)));
																			{	/* SawBbv/bbv.scm 273 */
																				bool_t BgL_test2584z00_5108;

																				if (NULLP(CDR(
																							((obj_t) BgL_insz00_2549))))
																					{	/* SawBbv/bbv.scm 273 */
																						BgL_test2584z00_5108 = ((bool_t) 1);
																					}
																				else
																					{	/* SawBbv/bbv.scm 273 */
																						bool_t BgL_test2586z00_5113;

																						{	/* SawBbv/bbv.scm 273 */
																							obj_t BgL_arg2036z00_2607;

																							{	/* SawBbv/bbv.scm 273 */
																								obj_t BgL_pairz00_3610;

																								BgL_pairz00_3610 =
																									CDR(
																									((obj_t) BgL_insz00_2549));
																								BgL_arg2036z00_2607 =
																									CAR(BgL_pairz00_3610);
																							}
																							BgL_test2586z00_5113 =
																								BGl_rtl_inszd2gozf3z21zzsaw_bbvzd2typeszd2
																								(((BgL_rtl_insz00_bglt)
																									BgL_arg2036z00_2607));
																						}
																						if (BgL_test2586z00_5113)
																							{	/* SawBbv/bbv.scm 273 */
																								BgL_test2584z00_5108 =
																									((bool_t) 0);
																							}
																						else
																							{	/* SawBbv/bbv.scm 273 */
																								BgL_test2584z00_5108 =
																									((bool_t) 1);
																							}
																					}
																				if (BgL_test2584z00_5108)
																					{	/* SawBbv/bbv.scm 274 */
																						obj_t BgL_arg2021z00_2583;

																						BgL_arg2021z00_2583 =
																							BGl_shapez00zztools_shapez00(
																							((obj_t) BgL_bz00_2542));
																						BGl_errorz00zz__errorz00
																							(BGl_string2426z00zzsaw_bbvz00,
																							BGl_string2428z00zzsaw_bbvz00,
																							BgL_arg2021z00_2583);
																					}
																				else
																					{	/* SawBbv/bbv.scm 275 */
																						bool_t BgL_test2587z00_5122;

																						if (NULLP(CDR(
																									(((BgL_blockz00_bglt)
																											COBJECT(BgL_bz00_2542))->
																										BgL_succsz00))))
																							{	/* SawBbv/bbv.scm 275 */
																								obj_t BgL_arg2033z00_2602;

																								BgL_arg2033z00_2602 =
																									CAR(
																									((obj_t) BgL_insz00_2549));
																								BgL_test2587z00_5122 =
																									BGl_sidezd2effectzd2freezf3ze70z14zzsaw_bbvz00
																									(BgL_arg2033z00_2602);
																							}
																						else
																							{	/* SawBbv/bbv.scm 275 */
																								BgL_test2587z00_5122 =
																									((bool_t) 0);
																							}
																						if (BgL_test2587z00_5122)
																							{	/* SawBbv/bbv.scm 275 */
																								{
																									BgL_rtl_funz00_bglt
																										BgL_auxz00_5130;
																									{	/* SawBbv/bbv.scm 276 */
																										BgL_rtl_nopz00_bglt
																											BgL_new1201z00_2591;
																										{	/* SawBbv/bbv.scm 276 */
																											BgL_rtl_nopz00_bglt
																												BgL_new1200z00_2592;
																											BgL_new1200z00_2592 =
																												((BgL_rtl_nopz00_bglt)
																												BOBJECT(GC_MALLOC(sizeof
																														(struct
																															BgL_rtl_nopz00_bgl))));
																											{	/* SawBbv/bbv.scm 276 */
																												long
																													BgL_arg2030z00_2593;
																												{	/* SawBbv/bbv.scm 276 */
																													obj_t
																														BgL_classz00_3613;
																													BgL_classz00_3613 =
																														BGl_rtl_nopz00zzsaw_defsz00;
																													BgL_arg2030z00_2593 =
																														BGL_CLASS_NUM
																														(BgL_classz00_3613);
																												}
																												BGL_OBJECT_CLASS_NUM_SET
																													(((BgL_objectz00_bglt)
																														BgL_new1200z00_2592),
																													BgL_arg2030z00_2593);
																											}
																											BgL_new1201z00_2591 =
																												BgL_new1200z00_2592;
																										}
																										((((BgL_rtl_funz00_bglt)
																													COBJECT((
																															(BgL_rtl_funz00_bglt)
																															BgL_new1201z00_2591)))->
																												BgL_locz00) =
																											((obj_t) BFALSE),
																											BUNSPEC);
																										BgL_auxz00_5130 =
																											((BgL_rtl_funz00_bglt)
																											BgL_new1201z00_2591);
																									}
																									((((BgL_rtl_insz00_bglt)
																												COBJECT
																												(BgL_i1199z00_2575))->
																											BgL_funz00) =
																										((BgL_rtl_funz00_bglt)
																											BgL_auxz00_5130),
																										BUNSPEC);
																								}
																								((((BgL_rtl_insz00_bglt)
																											COBJECT
																											(BgL_i1199z00_2575))->
																										BgL_argsz00) =
																									((obj_t) BNIL), BUNSPEC);
																							}
																						else
																							{	/* SawBbv/bbv.scm 279 */
																								BgL_rtl_ifeqz00_bglt
																									BgL_i1202z00_2594;
																								BgL_i1202z00_2594 =
																									((BgL_rtl_ifeqz00_bglt) ((
																											(BgL_rtl_insz00_bglt)
																											COBJECT
																											(BgL_i1199z00_2575))->
																										BgL_funz00));
																								{	/* SawBbv/bbv.scm 280 */
																									BgL_rtl_insz00_bglt
																										BgL_i1203z00_2595;
																									{	/* SawBbv/bbv.scm 280 */
																										obj_t BgL_pairz00_3619;

																										BgL_pairz00_3619 =
																											CDR(
																											((obj_t)
																												BgL_insz00_2549));
																										BgL_i1203z00_2595 =
																											((BgL_rtl_insz00_bglt)
																											CAR(BgL_pairz00_3619));
																									}
																									{	/* SawBbv/bbv.scm 281 */
																										BgL_rtl_goz00_bglt
																											BgL_i1204z00_2596;
																										BgL_i1204z00_2596 =
																											((BgL_rtl_goz00_bglt) ((
																													(BgL_rtl_insz00_bglt)
																													COBJECT
																													(BgL_i1203z00_2595))->
																												BgL_funz00));
																										{
																											BgL_rtl_funz00_bglt
																												BgL_auxz00_5148;
																											{	/* SawBbv/bbv.scm 283 */
																												BgL_rtl_ifnez00_bglt
																													BgL_new1206z00_2597;
																												{	/* SawBbv/bbv.scm 285 */
																													BgL_rtl_ifnez00_bglt
																														BgL_new1205z00_2598;
																													BgL_new1205z00_2598 =
																														(
																														(BgL_rtl_ifnez00_bglt)
																														BOBJECT(GC_MALLOC
																															(sizeof(struct
																																	BgL_rtl_ifnez00_bgl))));
																													{	/* SawBbv/bbv.scm 285 */
																														long
																															BgL_arg2031z00_2599;
																														{	/* SawBbv/bbv.scm 285 */
																															obj_t
																																BgL_classz00_3620;
																															BgL_classz00_3620
																																=
																																BGl_rtl_ifnez00zzsaw_defsz00;
																															BgL_arg2031z00_2599
																																=
																																BGL_CLASS_NUM
																																(BgL_classz00_3620);
																														}
																														BGL_OBJECT_CLASS_NUM_SET
																															(((BgL_objectz00_bglt) BgL_new1205z00_2598), BgL_arg2031z00_2599);
																													}
																													BgL_new1206z00_2597 =
																														BgL_new1205z00_2598;
																												}
																												((((BgL_rtl_funz00_bglt)
																															COBJECT((
																																	(BgL_rtl_funz00_bglt)
																																	BgL_new1206z00_2597)))->
																														BgL_locz00) =
																													((obj_t) ((
																																(BgL_rtl_funz00_bglt)
																																COBJECT((
																																		(BgL_rtl_funz00_bglt)
																																		BgL_i1202z00_2594)))->
																															BgL_locz00)),
																													BUNSPEC);
																												((((BgL_rtl_ifnez00_bglt) COBJECT(BgL_new1206z00_2597))->BgL_thenz00) = ((BgL_blockz00_bglt) (((BgL_rtl_goz00_bglt) COBJECT(BgL_i1204z00_2596))->BgL_toz00)), BUNSPEC);
																												BgL_auxz00_5148 =
																													((BgL_rtl_funz00_bglt)
																													BgL_new1206z00_2597);
																											}
																											((((BgL_rtl_insz00_bglt)
																														COBJECT
																														(BgL_i1199z00_2575))->
																													BgL_funz00) =
																												((BgL_rtl_funz00_bglt)
																													BgL_auxz00_5148),
																												BUNSPEC);
																										}
																										((((BgL_rtl_goz00_bglt)
																													COBJECT
																													(BgL_i1204z00_2596))->
																												BgL_toz00) =
																											((BgL_blockz00_bglt) ((
																														(BgL_rtl_ifeqz00_bglt)
																														COBJECT
																														(BgL_i1202z00_2594))->
																													BgL_thenz00)),
																											BUNSPEC);
																										{
																											obj_t BgL_auxz00_5163;

																											{	/* SawBbv/bbv.scm 287 */
																												obj_t
																													BgL_arg2032z00_2600;
																												BgL_arg2032z00_2600 =
																													(((BgL_blockz00_bglt)
																														COBJECT
																														(BgL_bz00_2542))->
																													BgL_succsz00);
																												BgL_auxz00_5163 =
																													bgl_reverse_bang
																													(BgL_arg2032z00_2600);
																											}
																											((((BgL_blockz00_bglt)
																														COBJECT
																														(BgL_bz00_2542))->
																													BgL_succsz00) =
																												((obj_t)
																													BgL_auxz00_5163),
																												BUNSPEC);
																		}}}}}}}
																	else
																		{	/* SawBbv/bbv.scm 289 */
																			obj_t BgL_arg2039z00_2609;

																			BgL_arg2039z00_2609 =
																				CDR(((obj_t) BgL_insz00_2549));
																			{
																				obj_t BgL_insz00_5169;

																				BgL_insz00_5169 = BgL_arg2039z00_2609;
																				BgL_insz00_2549 = BgL_insz00_5169;
																				goto
																					BgL_zc3z04anonymousza31989ze3z87_2550;
																			}
																		}
																}
														}
												}
										}
										{	/* SawBbv/bbv.scm 301 */
											BgL_blockz00_bglt BgL_i1210z00_2507;

											BgL_i1210z00_2507 =
												((BgL_blockz00_bglt) CAR(((obj_t) BgL_bsz00_2499)));
											{	/* SawBbv/bbv.scm 302 */
												obj_t BgL_arg1954z00_2508;
												obj_t BgL_arg1955z00_2509;

												{	/* SawBbv/bbv.scm 302 */
													obj_t BgL_arg1956z00_2510;
													obj_t BgL_arg1957z00_2511;

													BgL_arg1956z00_2510 =
														(((BgL_blockz00_bglt) COBJECT(BgL_i1210z00_2507))->
														BgL_succsz00);
													BgL_arg1957z00_2511 = CDR(((obj_t) BgL_bsz00_2499));
													BgL_arg1954z00_2508 =
														BGl_appendzd221011zd2zzsaw_bbvz00
														(BgL_arg1956z00_2510, BgL_arg1957z00_2511);
												}
												{	/* SawBbv/bbv.scm 302 */
													obj_t BgL_arg1960z00_2512;

													BgL_arg1960z00_2512 = CAR(((obj_t) BgL_bsz00_2499));
													BgL_arg1955z00_2509 =
														MAKE_YOUNG_PAIR(BgL_arg1960z00_2512,
														BgL_accz00_2500);
												}
												{
													obj_t BgL_accz00_5183;
													obj_t BgL_bsz00_5182;

													BgL_bsz00_5182 = BgL_arg1954z00_2508;
													BgL_accz00_5183 = BgL_arg1955z00_2509;
													BgL_accz00_2500 = BgL_accz00_5183;
													BgL_bsz00_2499 = BgL_bsz00_5182;
													goto BgL_zc3z04anonymousza31945ze3z87_2501;
												}
											}
										}
									}
							}
					}
				}
			}
		}

	}



/* side-effect-free?~0 */
	bool_t BGl_sidezd2effectzd2freezf3ze70z14zzsaw_bbvz00(obj_t BgL_insz00_2516)
	{
		{	/* SawBbv/bbv.scm 251 */
			{	/* SawBbv/bbv.scm 248 */
				bool_t BgL_test2589z00_5184;

				{	/* SawBbv/bbv.scm 248 */
					bool_t BgL_test2590z00_5185;

					{	/* SawBbv/bbv.scm 248 */
						obj_t BgL_arg1983z00_2540;

						{	/* SawBbv/bbv.scm 248 */
							obj_t BgL_pairz00_3524;

							BgL_pairz00_3524 =
								(((BgL_rtl_insz00_bglt) COBJECT(
										((BgL_rtl_insz00_bglt) BgL_insz00_2516)))->BgL_argsz00);
							BgL_arg1983z00_2540 = CAR(BgL_pairz00_3524);
						}
						{	/* SawBbv/bbv.scm 248 */
							obj_t BgL_classz00_3525;

							BgL_classz00_3525 = BGl_rtl_insz00zzsaw_defsz00;
							if (BGL_OBJECTP(BgL_arg1983z00_2540))
								{	/* SawBbv/bbv.scm 248 */
									BgL_objectz00_bglt BgL_arg1858z00_3527;

									BgL_arg1858z00_3527 =
										(BgL_objectz00_bglt) (BgL_arg1983z00_2540);
									if (BGL_CONDEXPAND_ISA_ARCH64())
										{	/* SawBbv/bbv.scm 248 */
											long BgL_idxz00_3533;

											BgL_idxz00_3533 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_3527);
											BgL_test2590z00_5185 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_3533 + 1L)) == BgL_classz00_3525);
										}
									else
										{	/* SawBbv/bbv.scm 248 */
											bool_t BgL_res2377z00_3558;

											{	/* SawBbv/bbv.scm 248 */
												obj_t BgL_oclassz00_3541;

												{	/* SawBbv/bbv.scm 248 */
													obj_t BgL_arg1866z00_3549;
													long BgL_arg1867z00_3550;

													BgL_arg1866z00_3549 =
														(BGl_za2classesza2z00zz__objectz00);
													{	/* SawBbv/bbv.scm 248 */
														long BgL_arg1869z00_3551;

														BgL_arg1869z00_3551 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_3527);
														BgL_arg1867z00_3550 =
															(BgL_arg1869z00_3551 - OBJECT_TYPE);
													}
													BgL_oclassz00_3541 =
														VECTOR_REF(BgL_arg1866z00_3549,
														BgL_arg1867z00_3550);
												}
												{	/* SawBbv/bbv.scm 248 */
													bool_t BgL__ortest_1115z00_3542;

													BgL__ortest_1115z00_3542 =
														(BgL_classz00_3525 == BgL_oclassz00_3541);
													if (BgL__ortest_1115z00_3542)
														{	/* SawBbv/bbv.scm 248 */
															BgL_res2377z00_3558 = BgL__ortest_1115z00_3542;
														}
													else
														{	/* SawBbv/bbv.scm 248 */
															long BgL_odepthz00_3543;

															{	/* SawBbv/bbv.scm 248 */
																obj_t BgL_arg1855z00_3544;

																BgL_arg1855z00_3544 = (BgL_oclassz00_3541);
																BgL_odepthz00_3543 =
																	BGL_CLASS_DEPTH(BgL_arg1855z00_3544);
															}
															if ((1L < BgL_odepthz00_3543))
																{	/* SawBbv/bbv.scm 248 */
																	obj_t BgL_arg1853z00_3546;

																	{	/* SawBbv/bbv.scm 248 */
																		obj_t BgL_arg1854z00_3547;

																		BgL_arg1854z00_3547 = (BgL_oclassz00_3541);
																		BgL_arg1853z00_3546 =
																			BGL_CLASS_ANCESTORS_REF
																			(BgL_arg1854z00_3547, 1L);
																	}
																	BgL_res2377z00_3558 =
																		(BgL_arg1853z00_3546 == BgL_classz00_3525);
																}
															else
																{	/* SawBbv/bbv.scm 248 */
																	BgL_res2377z00_3558 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_test2590z00_5185 = BgL_res2377z00_3558;
										}
								}
							else
								{	/* SawBbv/bbv.scm 248 */
									BgL_test2590z00_5185 = ((bool_t) 0);
								}
						}
					}
					if (BgL_test2590z00_5185)
						{	/* SawBbv/bbv.scm 248 */
							obj_t BgL_arg1981z00_2538;

							{	/* SawBbv/bbv.scm 248 */
								obj_t BgL_pairz00_3559;

								BgL_pairz00_3559 =
									(((BgL_rtl_insz00_bglt) COBJECT(
											((BgL_rtl_insz00_bglt) BgL_insz00_2516)))->BgL_argsz00);
								BgL_arg1981z00_2538 = CAR(BgL_pairz00_3559);
							}
							BgL_test2589z00_5184 =
								BGl_rtl_inszd2callzf3z21zzsaw_bbvzd2typeszd2(
								((BgL_rtl_insz00_bglt) BgL_arg1981z00_2538));
						}
					else
						{	/* SawBbv/bbv.scm 248 */
							BgL_test2589z00_5184 = ((bool_t) 0);
						}
				}
				if (BgL_test2589z00_5184)
					{	/* SawBbv/bbv.scm 249 */
						bool_t BgL_test2595z00_5216;

						{	/* SawBbv/bbv.scm 249 */
							obj_t BgL_arg1979z00_2535;

							{	/* SawBbv/bbv.scm 249 */
								obj_t BgL_pairz00_3560;

								BgL_pairz00_3560 =
									(((BgL_rtl_insz00_bglt) COBJECT(
											((BgL_rtl_insz00_bglt) BgL_insz00_2516)))->BgL_argsz00);
								BgL_arg1979z00_2535 = CAR(BgL_pairz00_3560);
							}
							BgL_test2595z00_5216 =
								CBOOL(BGl_rtl_callzd2predicatezd2zzsaw_bbvzd2typeszd2(
									((BgL_rtl_insz00_bglt) BgL_arg1979z00_2535)));
						}
						if (BgL_test2595z00_5216)
							{	/* SawBbv/bbv.scm 250 */
								obj_t BgL_argsz00_2530;

								BgL_argsz00_2530 =
									BGl_rtl_inszd2argsza2z70zzsaw_defsz00(
									((BgL_rtl_insz00_bglt) BgL_insz00_2516));
								if (NULLP(BgL_argsz00_2530))
									{	/* SawBbv/bbv.scm 251 */
										return ((bool_t) 0);
									}
								else
									{	/* SawBbv/bbv.scm 251 */
										if (NULLP(CDR(BgL_argsz00_2530)))
											{	/* SawBbv/bbv.scm 251 */
												obj_t BgL_arg1976z00_2533;

												BgL_arg1976z00_2533 = CAR(BgL_argsz00_2530);
												{	/* SawBbv/bbv.scm 251 */
													obj_t BgL_classz00_3563;

													BgL_classz00_3563 = BGl_rtl_regz00zzsaw_defsz00;
													if (BGL_OBJECTP(BgL_arg1976z00_2533))
														{	/* SawBbv/bbv.scm 251 */
															BgL_objectz00_bglt BgL_arg1858z00_3565;

															BgL_arg1858z00_3565 =
																(BgL_objectz00_bglt) (BgL_arg1976z00_2533);
															if (BGL_CONDEXPAND_ISA_ARCH64())
																{	/* SawBbv/bbv.scm 251 */
																	long BgL_idxz00_3571;

																	BgL_idxz00_3571 =
																		BGL_OBJECT_INHERITANCE_NUM
																		(BgL_arg1858z00_3565);
																	return (VECTOR_REF
																		(BGl_za2inheritancesza2z00zz__objectz00,
																			(BgL_idxz00_3571 + 1L)) ==
																		BgL_classz00_3563);
																}
															else
																{	/* SawBbv/bbv.scm 251 */
																	bool_t BgL_res2378z00_3596;

																	{	/* SawBbv/bbv.scm 251 */
																		obj_t BgL_oclassz00_3579;

																		{	/* SawBbv/bbv.scm 251 */
																			obj_t BgL_arg1866z00_3587;
																			long BgL_arg1867z00_3588;

																			BgL_arg1866z00_3587 =
																				(BGl_za2classesza2z00zz__objectz00);
																			{	/* SawBbv/bbv.scm 251 */
																				long BgL_arg1869z00_3589;

																				BgL_arg1869z00_3589 =
																					BGL_OBJECT_CLASS_NUM
																					(BgL_arg1858z00_3565);
																				BgL_arg1867z00_3588 =
																					(BgL_arg1869z00_3589 - OBJECT_TYPE);
																			}
																			BgL_oclassz00_3579 =
																				VECTOR_REF(BgL_arg1866z00_3587,
																				BgL_arg1867z00_3588);
																		}
																		{	/* SawBbv/bbv.scm 251 */
																			bool_t BgL__ortest_1115z00_3580;

																			BgL__ortest_1115z00_3580 =
																				(BgL_classz00_3563 ==
																				BgL_oclassz00_3579);
																			if (BgL__ortest_1115z00_3580)
																				{	/* SawBbv/bbv.scm 251 */
																					BgL_res2378z00_3596 =
																						BgL__ortest_1115z00_3580;
																				}
																			else
																				{	/* SawBbv/bbv.scm 251 */
																					long BgL_odepthz00_3581;

																					{	/* SawBbv/bbv.scm 251 */
																						obj_t BgL_arg1855z00_3582;

																						BgL_arg1855z00_3582 =
																							(BgL_oclassz00_3579);
																						BgL_odepthz00_3581 =
																							BGL_CLASS_DEPTH
																							(BgL_arg1855z00_3582);
																					}
																					if ((1L < BgL_odepthz00_3581))
																						{	/* SawBbv/bbv.scm 251 */
																							obj_t BgL_arg1853z00_3584;

																							{	/* SawBbv/bbv.scm 251 */
																								obj_t BgL_arg1854z00_3585;

																								BgL_arg1854z00_3585 =
																									(BgL_oclassz00_3579);
																								BgL_arg1853z00_3584 =
																									BGL_CLASS_ANCESTORS_REF
																									(BgL_arg1854z00_3585, 1L);
																							}
																							BgL_res2378z00_3596 =
																								(BgL_arg1853z00_3584 ==
																								BgL_classz00_3563);
																						}
																					else
																						{	/* SawBbv/bbv.scm 251 */
																							BgL_res2378z00_3596 =
																								((bool_t) 0);
																						}
																				}
																		}
																	}
																	return BgL_res2378z00_3596;
																}
														}
													else
														{	/* SawBbv/bbv.scm 251 */
															return ((bool_t) 0);
														}
												}
											}
										else
											{	/* SawBbv/bbv.scm 251 */
												return ((bool_t) 0);
											}
									}
							}
						else
							{	/* SawBbv/bbv.scm 249 */
								return ((bool_t) 0);
							}
					}
				else
					{	/* SawBbv/bbv.scm 248 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* normalize-mov! */
	obj_t BGl_normaliza7ezd2movz12z67zzsaw_bbvz00(BgL_blockz00_bglt BgL_bz00_106)
	{
		{	/* SawBbv/bbv.scm 312 */
			{
				BgL_rtl_insz00_bglt BgL_iz00_2656;
				BgL_blockz00_bglt BgL_bz00_2675;

				{	/* SawBbv/bbv.scm 342 */
					obj_t BgL_g1217z00_2619;

					{	/* SawBbv/bbv.scm 342 */
						obj_t BgL_list2056z00_2638;

						BgL_list2056z00_2638 =
							MAKE_YOUNG_PAIR(((obj_t) BgL_bz00_106), BNIL);
						BgL_g1217z00_2619 = BgL_list2056z00_2638;
					}
					{
						obj_t BgL_bsz00_2622;
						obj_t BgL_accz00_2623;

						BgL_bsz00_2622 = BgL_g1217z00_2619;
						BgL_accz00_2623 = BNIL;
					BgL_zc3z04anonymousza32043ze3z87_2624:
						if (NULLP(BgL_bsz00_2622))
							{	/* SawBbv/bbv.scm 345 */
								return bgl_reverse(BgL_accz00_2623);
							}
						else
							{	/* SawBbv/bbv.scm 345 */
								if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(CAR(
												((obj_t) BgL_bsz00_2622)), BgL_accz00_2623)))
									{	/* SawBbv/bbv.scm 348 */
										obj_t BgL_arg2047z00_2628;

										BgL_arg2047z00_2628 = CDR(((obj_t) BgL_bsz00_2622));
										{
											obj_t BgL_bsz00_5265;

											BgL_bsz00_5265 = BgL_arg2047z00_2628;
											BgL_bsz00_2622 = BgL_bsz00_5265;
											goto BgL_zc3z04anonymousza32043ze3z87_2624;
										}
									}
								else
									{	/* SawBbv/bbv.scm 347 */
										{	/* SawBbv/bbv.scm 350 */
											obj_t BgL_arg2049z00_2629;

											BgL_arg2049z00_2629 = CAR(((obj_t) BgL_bsz00_2622));
											BgL_bz00_2675 = ((BgL_blockz00_bglt) BgL_arg2049z00_2629);
											{
												obj_t BgL_auxz00_5268;

												{	/* SawBbv/bbv.scm 339 */
													obj_t BgL_l01509z00_2678;

													BgL_l01509z00_2678 =
														(((BgL_blockz00_bglt) COBJECT(BgL_bz00_2675))->
														BgL_firstz00);
													{
														obj_t BgL_l1508z00_2680;

														BgL_l1508z00_2680 = BgL_l01509z00_2678;
													BgL_zc3z04anonymousza32078ze3z87_2681:
														if (NULLP(BgL_l1508z00_2680))
															{	/* SawBbv/bbv.scm 339 */
																BgL_auxz00_5268 = BgL_l01509z00_2678;
															}
														else
															{	/* SawBbv/bbv.scm 339 */
																{	/* SawBbv/bbv.scm 339 */
																	BgL_rtl_insz00_bglt BgL_arg2080z00_2683;

																	{	/* SawBbv/bbv.scm 339 */
																		obj_t BgL_arg2081z00_2684;

																		BgL_arg2081z00_2684 =
																			CAR(((obj_t) BgL_l1508z00_2680));
																		BgL_iz00_2656 =
																			((BgL_rtl_insz00_bglt)
																			BgL_arg2081z00_2684);
																		if (BGl_rtl_inszd2movzf3z21zzsaw_bbvzd2typeszd2(BgL_iz00_2656))
																			{	/* SawBbv/bbv.scm 327 */
																				obj_t BgL_niz00_2660;

																				BgL_niz00_2660 =
																					BGl_removezd2innerzd2movz12ze70zf5zzsaw_bbvz00
																					(CAR((((BgL_rtl_insz00_bglt)
																								COBJECT(BgL_iz00_2656))->
																							BgL_argsz00)));
																				{	/* SawBbv/bbv.scm 328 */
																					bool_t BgL_test2606z00_5279;

																					{	/* SawBbv/bbv.scm 328 */
																						obj_t BgL_classz00_3670;

																						BgL_classz00_3670 =
																							BGl_rtl_insz00zzsaw_defsz00;
																						if (BGL_OBJECTP(BgL_niz00_2660))
																							{	/* SawBbv/bbv.scm 328 */
																								BgL_objectz00_bglt
																									BgL_arg1858z00_3672;
																								BgL_arg1858z00_3672 =
																									(BgL_objectz00_bglt)
																									(BgL_niz00_2660);
																								if (BGL_CONDEXPAND_ISA_ARCH64())
																									{	/* SawBbv/bbv.scm 328 */
																										long BgL_idxz00_3678;

																										BgL_idxz00_3678 =
																											BGL_OBJECT_INHERITANCE_NUM
																											(BgL_arg1858z00_3672);
																										BgL_test2606z00_5279 =
																											(VECTOR_REF
																											(BGl_za2inheritancesza2z00zz__objectz00,
																												(BgL_idxz00_3678 +
																													1L)) ==
																											BgL_classz00_3670);
																									}
																								else
																									{	/* SawBbv/bbv.scm 328 */
																										bool_t BgL_res2381z00_3703;

																										{	/* SawBbv/bbv.scm 328 */
																											obj_t BgL_oclassz00_3686;

																											{	/* SawBbv/bbv.scm 328 */
																												obj_t
																													BgL_arg1866z00_3694;
																												long
																													BgL_arg1867z00_3695;
																												BgL_arg1866z00_3694 =
																													(BGl_za2classesza2z00zz__objectz00);
																												{	/* SawBbv/bbv.scm 328 */
																													long
																														BgL_arg1869z00_3696;
																													BgL_arg1869z00_3696 =
																														BGL_OBJECT_CLASS_NUM
																														(BgL_arg1858z00_3672);
																													BgL_arg1867z00_3695 =
																														(BgL_arg1869z00_3696
																														- OBJECT_TYPE);
																												}
																												BgL_oclassz00_3686 =
																													VECTOR_REF
																													(BgL_arg1866z00_3694,
																													BgL_arg1867z00_3695);
																											}
																											{	/* SawBbv/bbv.scm 328 */
																												bool_t
																													BgL__ortest_1115z00_3687;
																												BgL__ortest_1115z00_3687
																													=
																													(BgL_classz00_3670 ==
																													BgL_oclassz00_3686);
																												if (BgL__ortest_1115z00_3687)
																													{	/* SawBbv/bbv.scm 328 */
																														BgL_res2381z00_3703
																															=
																															BgL__ortest_1115z00_3687;
																													}
																												else
																													{	/* SawBbv/bbv.scm 328 */
																														long
																															BgL_odepthz00_3688;
																														{	/* SawBbv/bbv.scm 328 */
																															obj_t
																																BgL_arg1855z00_3689;
																															BgL_arg1855z00_3689
																																=
																																(BgL_oclassz00_3686);
																															BgL_odepthz00_3688
																																=
																																BGL_CLASS_DEPTH
																																(BgL_arg1855z00_3689);
																														}
																														if (
																															(1L <
																																BgL_odepthz00_3688))
																															{	/* SawBbv/bbv.scm 328 */
																																obj_t
																																	BgL_arg1853z00_3691;
																																{	/* SawBbv/bbv.scm 328 */
																																	obj_t
																																		BgL_arg1854z00_3692;
																																	BgL_arg1854z00_3692
																																		=
																																		(BgL_oclassz00_3686);
																																	BgL_arg1853z00_3691
																																		=
																																		BGL_CLASS_ANCESTORS_REF
																																		(BgL_arg1854z00_3692,
																																		1L);
																																}
																																BgL_res2381z00_3703
																																	=
																																	(BgL_arg1853z00_3691
																																	==
																																	BgL_classz00_3670);
																															}
																														else
																															{	/* SawBbv/bbv.scm 328 */
																																BgL_res2381z00_3703
																																	=
																																	((bool_t) 0);
																															}
																													}
																											}
																										}
																										BgL_test2606z00_5279 =
																											BgL_res2381z00_3703;
																									}
																							}
																						else
																							{	/* SawBbv/bbv.scm 328 */
																								BgL_test2606z00_5279 =
																									((bool_t) 0);
																							}
																					}
																					if (BgL_test2606z00_5279)
																						{	/* SawBbv/bbv.scm 328 */
																							((((BgL_rtl_insz00_bglt)
																										COBJECT(BgL_iz00_2656))->
																									BgL_funz00) =
																								((BgL_rtl_funz00_bglt) ((
																											(BgL_rtl_insz00_bglt)
																											COBJECT((
																													(BgL_rtl_insz00_bglt)
																													BgL_niz00_2660)))->
																										BgL_funz00)), BUNSPEC);
																							((((BgL_rtl_insz00_bglt)
																										COBJECT(BgL_iz00_2656))->
																									BgL_argsz00) =
																								((obj_t) (((BgL_rtl_insz00_bglt)
																											COBJECT((
																													(BgL_rtl_insz00_bglt)
																													BgL_niz00_2660)))->
																										BgL_argsz00)), BUNSPEC);
																						}
																					else
																						{	/* SawBbv/bbv.scm 328 */
																							BFALSE;
																						}
																				}
																				BgL_arg2080z00_2683 = BgL_iz00_2656;
																			}
																		else
																			{	/* SawBbv/bbv.scm 325 */
																				{
																					obj_t BgL_auxz00_5308;

																					{	/* SawBbv/bbv.scm 334 */
																						obj_t BgL_l01506z00_2666;

																						BgL_l01506z00_2666 =
																							(((BgL_rtl_insz00_bglt)
																								COBJECT(BgL_iz00_2656))->
																							BgL_argsz00);
																						{
																							obj_t BgL_l1505z00_2668;

																							BgL_l1505z00_2668 =
																								BgL_l01506z00_2666;
																						BgL_zc3z04anonymousza32072ze3z87_2669:
																							if (NULLP
																								(BgL_l1505z00_2668))
																								{	/* SawBbv/bbv.scm 334 */
																									BgL_auxz00_5308 =
																										BgL_l01506z00_2666;
																								}
																							else
																								{	/* SawBbv/bbv.scm 334 */
																									{	/* SawBbv/bbv.scm 334 */
																										obj_t BgL_arg2074z00_2671;

																										{	/* SawBbv/bbv.scm 334 */
																											obj_t BgL_arg2075z00_2672;

																											BgL_arg2075z00_2672 =
																												CAR(
																												((obj_t)
																													BgL_l1505z00_2668));
																											BgL_arg2074z00_2671 =
																												BGl_removezd2innerzd2movz12ze70zf5zzsaw_bbvz00
																												(BgL_arg2075z00_2672);
																										}
																										{	/* SawBbv/bbv.scm 334 */
																											obj_t BgL_tmpz00_5315;

																											BgL_tmpz00_5315 =
																												((obj_t)
																												BgL_l1505z00_2668);
																											SET_CAR(BgL_tmpz00_5315,
																												BgL_arg2074z00_2671);
																										}
																									}
																									{	/* SawBbv/bbv.scm 334 */
																										obj_t BgL_arg2076z00_2673;

																										BgL_arg2076z00_2673 =
																											CDR(
																											((obj_t)
																												BgL_l1505z00_2668));
																										{
																											obj_t BgL_l1505z00_5320;

																											BgL_l1505z00_5320 =
																												BgL_arg2076z00_2673;
																											BgL_l1505z00_2668 =
																												BgL_l1505z00_5320;
																											goto
																												BgL_zc3z04anonymousza32072ze3z87_2669;
																										}
																									}
																								}
																						}
																					}
																					((((BgL_rtl_insz00_bglt)
																								COBJECT(BgL_iz00_2656))->
																							BgL_argsz00) =
																						((obj_t) BgL_auxz00_5308), BUNSPEC);
																				}
																				BgL_arg2080z00_2683 = BgL_iz00_2656;
																			}
																	}
																	{	/* SawBbv/bbv.scm 339 */
																		obj_t BgL_auxz00_5325;
																		obj_t BgL_tmpz00_5323;

																		BgL_auxz00_5325 =
																			((obj_t) BgL_arg2080z00_2683);
																		BgL_tmpz00_5323 =
																			((obj_t) BgL_l1508z00_2680);
																		SET_CAR(BgL_tmpz00_5323, BgL_auxz00_5325);
																	}
																}
																{	/* SawBbv/bbv.scm 339 */
																	obj_t BgL_arg2082z00_2685;

																	BgL_arg2082z00_2685 =
																		CDR(((obj_t) BgL_l1508z00_2680));
																	{
																		obj_t BgL_l1508z00_5330;

																		BgL_l1508z00_5330 = BgL_arg2082z00_2685;
																		BgL_l1508z00_2680 = BgL_l1508z00_5330;
																		goto BgL_zc3z04anonymousza32078ze3z87_2681;
																	}
																}
															}
													}
												}
												((((BgL_blockz00_bglt) COBJECT(BgL_bz00_2675))->
														BgL_firstz00) = ((obj_t) BgL_auxz00_5268), BUNSPEC);
											}
										}
										{	/* SawBbv/bbv.scm 351 */
											BgL_blockz00_bglt BgL_i1219z00_2630;

											BgL_i1219z00_2630 =
												((BgL_blockz00_bglt) CAR(((obj_t) BgL_bsz00_2622)));
											{	/* SawBbv/bbv.scm 352 */
												obj_t BgL_arg2050z00_2631;
												obj_t BgL_arg2051z00_2632;

												{	/* SawBbv/bbv.scm 352 */
													obj_t BgL_arg2052z00_2633;
													obj_t BgL_arg2053z00_2634;

													BgL_arg2052z00_2633 =
														(((BgL_blockz00_bglt) COBJECT(BgL_i1219z00_2630))->
														BgL_succsz00);
													BgL_arg2053z00_2634 = CDR(((obj_t) BgL_bsz00_2622));
													BgL_arg2050z00_2631 =
														BGl_appendzd221011zd2zzsaw_bbvz00
														(BgL_arg2052z00_2633, BgL_arg2053z00_2634);
												}
												{	/* SawBbv/bbv.scm 352 */
													obj_t BgL_arg2054z00_2635;

													BgL_arg2054z00_2635 = CAR(((obj_t) BgL_bsz00_2622));
													BgL_arg2051z00_2632 =
														MAKE_YOUNG_PAIR(BgL_arg2054z00_2635,
														BgL_accz00_2623);
												}
												{
													obj_t BgL_accz00_5344;
													obj_t BgL_bsz00_5343;

													BgL_bsz00_5343 = BgL_arg2050z00_2631;
													BgL_accz00_5344 = BgL_arg2051z00_2632;
													BgL_accz00_2623 = BgL_accz00_5344;
													BgL_bsz00_2622 = BgL_bsz00_5343;
													goto BgL_zc3z04anonymousza32043ze3z87_2624;
												}
											}
										}
									}
							}
					}
				}
			}
		}

	}



/* remove-inner-mov!~0 */
	obj_t BGl_removezd2innerzd2movz12ze70zf5zzsaw_bbvz00(obj_t BgL_oz00_2639)
	{
		{	/* SawBbv/bbv.scm 322 */
		BGl_removezd2innerzd2movz12ze70zf5zzsaw_bbvz00:
			{	/* SawBbv/bbv.scm 315 */
				bool_t BgL_test2612z00_5345;

				{	/* SawBbv/bbv.scm 315 */
					obj_t BgL_classz00_3631;

					BgL_classz00_3631 = BGl_rtl_insz00zzsaw_defsz00;
					if (BGL_OBJECTP(BgL_oz00_2639))
						{	/* SawBbv/bbv.scm 315 */
							BgL_objectz00_bglt BgL_arg1858z00_3633;

							BgL_arg1858z00_3633 = (BgL_objectz00_bglt) (BgL_oz00_2639);
							if (BGL_CONDEXPAND_ISA_ARCH64())
								{	/* SawBbv/bbv.scm 315 */
									long BgL_idxz00_3639;

									BgL_idxz00_3639 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_3633);
									BgL_test2612z00_5345 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_3639 + 1L)) == BgL_classz00_3631);
								}
							else
								{	/* SawBbv/bbv.scm 315 */
									bool_t BgL_res2380z00_3664;

									{	/* SawBbv/bbv.scm 315 */
										obj_t BgL_oclassz00_3647;

										{	/* SawBbv/bbv.scm 315 */
											obj_t BgL_arg1866z00_3655;
											long BgL_arg1867z00_3656;

											BgL_arg1866z00_3655 = (BGl_za2classesza2z00zz__objectz00);
											{	/* SawBbv/bbv.scm 315 */
												long BgL_arg1869z00_3657;

												BgL_arg1869z00_3657 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_3633);
												BgL_arg1867z00_3656 =
													(BgL_arg1869z00_3657 - OBJECT_TYPE);
											}
											BgL_oclassz00_3647 =
												VECTOR_REF(BgL_arg1866z00_3655, BgL_arg1867z00_3656);
										}
										{	/* SawBbv/bbv.scm 315 */
											bool_t BgL__ortest_1115z00_3648;

											BgL__ortest_1115z00_3648 =
												(BgL_classz00_3631 == BgL_oclassz00_3647);
											if (BgL__ortest_1115z00_3648)
												{	/* SawBbv/bbv.scm 315 */
													BgL_res2380z00_3664 = BgL__ortest_1115z00_3648;
												}
											else
												{	/* SawBbv/bbv.scm 315 */
													long BgL_odepthz00_3649;

													{	/* SawBbv/bbv.scm 315 */
														obj_t BgL_arg1855z00_3650;

														BgL_arg1855z00_3650 = (BgL_oclassz00_3647);
														BgL_odepthz00_3649 =
															BGL_CLASS_DEPTH(BgL_arg1855z00_3650);
													}
													if ((1L < BgL_odepthz00_3649))
														{	/* SawBbv/bbv.scm 315 */
															obj_t BgL_arg1853z00_3652;

															{	/* SawBbv/bbv.scm 315 */
																obj_t BgL_arg1854z00_3653;

																BgL_arg1854z00_3653 = (BgL_oclassz00_3647);
																BgL_arg1853z00_3652 =
																	BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_3653,
																	1L);
															}
															BgL_res2380z00_3664 =
																(BgL_arg1853z00_3652 == BgL_classz00_3631);
														}
													else
														{	/* SawBbv/bbv.scm 315 */
															BgL_res2380z00_3664 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_test2612z00_5345 = BgL_res2380z00_3664;
								}
						}
					else
						{	/* SawBbv/bbv.scm 315 */
							BgL_test2612z00_5345 = ((bool_t) 0);
						}
				}
				if (BgL_test2612z00_5345)
					{	/* SawBbv/bbv.scm 315 */
						if (BGl_rtl_inszd2movzf3z21zzsaw_bbvzd2typeszd2(
								((BgL_rtl_insz00_bglt) BgL_oz00_2639)))
							{	/* SawBbv/bbv.scm 318 */
								obj_t BgL_arg2060z00_2644;

								{	/* SawBbv/bbv.scm 318 */
									obj_t BgL_pairz00_3665;

									BgL_pairz00_3665 =
										(((BgL_rtl_insz00_bglt) COBJECT(
												((BgL_rtl_insz00_bglt) BgL_oz00_2639)))->BgL_argsz00);
									BgL_arg2060z00_2644 = CAR(BgL_pairz00_3665);
								}
								{
									obj_t BgL_oz00_5374;

									BgL_oz00_5374 = BgL_arg2060z00_2644;
									BgL_oz00_2639 = BgL_oz00_5374;
									goto BGl_removezd2innerzd2movz12ze70zf5zzsaw_bbvz00;
								}
							}
						else
							{	/* SawBbv/bbv.scm 316 */
								{
									obj_t BgL_auxz00_5375;

									{	/* SawBbv/bbv.scm 320 */
										obj_t BgL_l01503z00_2647;

										BgL_l01503z00_2647 =
											(((BgL_rtl_insz00_bglt) COBJECT(
													((BgL_rtl_insz00_bglt) BgL_oz00_2639)))->BgL_argsz00);
										{
											obj_t BgL_l1502z00_2649;

											BgL_l1502z00_2649 = BgL_l01503z00_2647;
										BgL_zc3z04anonymousza32062ze3z87_2650:
											if (NULLP(BgL_l1502z00_2649))
												{	/* SawBbv/bbv.scm 320 */
													BgL_auxz00_5375 = BgL_l01503z00_2647;
												}
											else
												{	/* SawBbv/bbv.scm 320 */
													{	/* SawBbv/bbv.scm 320 */
														obj_t BgL_arg2064z00_2652;

														{	/* SawBbv/bbv.scm 320 */
															obj_t BgL_arg2065z00_2653;

															BgL_arg2065z00_2653 =
																CAR(((obj_t) BgL_l1502z00_2649));
															BgL_arg2064z00_2652 =
																BGl_removezd2innerzd2movz12ze70zf5zzsaw_bbvz00
																(BgL_arg2065z00_2653);
														}
														{	/* SawBbv/bbv.scm 320 */
															obj_t BgL_tmpz00_5384;

															BgL_tmpz00_5384 = ((obj_t) BgL_l1502z00_2649);
															SET_CAR(BgL_tmpz00_5384, BgL_arg2064z00_2652);
														}
													}
													{	/* SawBbv/bbv.scm 320 */
														obj_t BgL_arg2066z00_2654;

														BgL_arg2066z00_2654 =
															CDR(((obj_t) BgL_l1502z00_2649));
														{
															obj_t BgL_l1502z00_5389;

															BgL_l1502z00_5389 = BgL_arg2066z00_2654;
															BgL_l1502z00_2649 = BgL_l1502z00_5389;
															goto BgL_zc3z04anonymousza32062ze3z87_2650;
														}
													}
												}
										}
									}
									((((BgL_rtl_insz00_bglt) COBJECT(
													((BgL_rtl_insz00_bglt) BgL_oz00_2639)))->
											BgL_argsz00) = ((obj_t) BgL_auxz00_5375), BUNSPEC);
								}
								return BgL_oz00_2639;
							}
					}
				else
					{	/* SawBbv/bbv.scm 315 */
						return BgL_oz00_2639;
					}
			}
		}

	}



/* fail! */
	obj_t BGl_failz12z12zzsaw_bbvz00(BgL_blockz00_bglt BgL_bz00_107)
	{
		{	/* SawBbv/bbv.scm 360 */
			{
				BgL_blockz00_bglt BgL_bz00_2711;

				{	/* SawBbv/bbv.scm 378 */
					obj_t BgL_g1225z00_2691;

					{	/* SawBbv/bbv.scm 378 */
						obj_t BgL_list2095z00_2710;

						BgL_list2095z00_2710 =
							MAKE_YOUNG_PAIR(((obj_t) BgL_bz00_107), BNIL);
						BgL_g1225z00_2691 = BgL_list2095z00_2710;
					}
					{
						obj_t BgL_bsz00_2694;
						obj_t BgL_accz00_2695;

						BgL_bsz00_2694 = BgL_g1225z00_2691;
						BgL_accz00_2695 = BNIL;
					BgL_zc3z04anonymousza32083ze3z87_2696:
						if (NULLP(BgL_bsz00_2694))
							{	/* SawBbv/bbv.scm 381 */
								return bgl_reverse(BgL_accz00_2695);
							}
						else
							{	/* SawBbv/bbv.scm 381 */
								if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(CAR(
												((obj_t) BgL_bsz00_2694)), BgL_accz00_2695)))
									{	/* SawBbv/bbv.scm 384 */
										obj_t BgL_arg2087z00_2700;

										BgL_arg2087z00_2700 = CDR(((obj_t) BgL_bsz00_2694));
										{
											obj_t BgL_bsz00_5403;

											BgL_bsz00_5403 = BgL_arg2087z00_2700;
											BgL_bsz00_2694 = BgL_bsz00_5403;
											goto BgL_zc3z04anonymousza32083ze3z87_2696;
										}
									}
								else
									{	/* SawBbv/bbv.scm 383 */
										{	/* SawBbv/bbv.scm 386 */
											obj_t BgL_arg2088z00_2701;

											BgL_arg2088z00_2701 = CAR(((obj_t) BgL_bsz00_2694));
											BgL_bz00_2711 = ((BgL_blockz00_bglt) BgL_arg2088z00_2701);
											{	/* SawBbv/bbv.scm 364 */
												bool_t BgL_test2621z00_5406;

												if (NULLP(
														(((BgL_blockz00_bglt) COBJECT(BgL_bz00_2711))->
															BgL_succsz00)))
													{	/* SawBbv/bbv.scm 364 */
														BgL_test2621z00_5406 = ((bool_t) 0);
													}
												else
													{	/* SawBbv/bbv.scm 364 */
														obj_t BgL_arg2114z00_2739;

														BgL_arg2114z00_2739 =
															CAR(
															(((BgL_blockz00_bglt) COBJECT(BgL_bz00_2711))->
																BgL_firstz00));
														BgL_test2621z00_5406 =
															BGl_rtl_inszd2errorzf3z21zzsaw_bbvzd2typeszd2((
																(BgL_rtl_insz00_bglt) BgL_arg2114z00_2739));
													}
												if (BgL_test2621z00_5406)
													{	/* SawBbv/bbv.scm 365 */
														obj_t BgL_lpz00_2720;

														BgL_lpz00_2720 =
															BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(
															(((BgL_blockz00_bglt) COBJECT(BgL_bz00_2711))->
																BgL_firstz00));
														{	/* SawBbv/bbv.scm 365 */
															obj_t BgL_lastz00_2721;

															BgL_lastz00_2721 = CAR(BgL_lpz00_2720);
															{	/* SawBbv/bbv.scm 366 */

																{	/* SawBbv/bbv.scm 367 */
																	BgL_rtl_insz00_bglt BgL_failz00_2722;

																	{	/* SawBbv/bbv.scm 367 */
																		BgL_rtl_insz00_bglt BgL_new1222z00_2731;

																		{	/* SawBbv/bbv.scm 367 */
																			BgL_rtl_insz00_bglt BgL_new1221z00_2735;

																			BgL_new1221z00_2735 =
																				((BgL_rtl_insz00_bglt)
																				BOBJECT(GC_MALLOC(sizeof(struct
																							BgL_rtl_insz00_bgl))));
																			{	/* SawBbv/bbv.scm 367 */
																				long BgL_arg2112z00_2736;

																				BgL_arg2112z00_2736 =
																					BGL_CLASS_NUM
																					(BGl_rtl_insz00zzsaw_defsz00);
																				BGL_OBJECT_CLASS_NUM_SET((
																						(BgL_objectz00_bglt)
																						BgL_new1221z00_2735),
																					BgL_arg2112z00_2736);
																			}
																			{	/* SawBbv/bbv.scm 367 */
																				BgL_objectz00_bglt BgL_tmpz00_5421;

																				BgL_tmpz00_5421 =
																					((BgL_objectz00_bglt)
																					BgL_new1221z00_2735);
																				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5421,
																					BFALSE);
																			}
																			((BgL_objectz00_bglt)
																				BgL_new1221z00_2735);
																			BgL_new1222z00_2731 = BgL_new1221z00_2735;
																		}
																		((((BgL_rtl_insz00_bglt)
																					COBJECT(BgL_new1222z00_2731))->
																				BgL_locz00) =
																			((obj_t) BFALSE), BUNSPEC);
																		((((BgL_rtl_insz00_bglt)
																					COBJECT(BgL_new1222z00_2731))->
																				BgL_z52spillz52) =
																			((obj_t) BNIL), BUNSPEC);
																		((((BgL_rtl_insz00_bglt)
																					COBJECT(BgL_new1222z00_2731))->
																				BgL_destz00) =
																			((obj_t) BFALSE), BUNSPEC);
																		{
																			BgL_rtl_funz00_bglt BgL_auxz00_5428;

																			{	/* SawBbv/bbv.scm 369 */
																				BgL_rtl_pragmaz00_bglt
																					BgL_new1224z00_2732;
																				{	/* SawBbv/bbv.scm 371 */
																					BgL_rtl_pragmaz00_bglt
																						BgL_new1223z00_2733;
																					BgL_new1223z00_2733 =
																						((BgL_rtl_pragmaz00_bglt)
																						BOBJECT(GC_MALLOC(sizeof(struct
																									BgL_rtl_pragmaz00_bgl))));
																					{	/* SawBbv/bbv.scm 371 */
																						long BgL_arg2111z00_2734;

																						{	/* SawBbv/bbv.scm 371 */
																							obj_t BgL_classz00_3723;

																							BgL_classz00_3723 =
																								BGl_rtl_pragmaz00zzsaw_defsz00;
																							BgL_arg2111z00_2734 =
																								BGL_CLASS_NUM
																								(BgL_classz00_3723);
																						}
																						BGL_OBJECT_CLASS_NUM_SET(
																							((BgL_objectz00_bglt)
																								BgL_new1223z00_2733),
																							BgL_arg2111z00_2734);
																					}
																					BgL_new1224z00_2732 =
																						BgL_new1223z00_2733;
																				}
																				((((BgL_rtl_funz00_bglt) COBJECT(
																								((BgL_rtl_funz00_bglt)
																									BgL_new1224z00_2732)))->
																						BgL_locz00) =
																					((obj_t) (((BgL_rtl_insz00_bglt)
																								COBJECT(((BgL_rtl_insz00_bglt)
																										BgL_lastz00_2721)))->
																							BgL_locz00)), BUNSPEC);
																				((((BgL_rtl_pragmaz00_bglt)
																							COBJECT(BgL_new1224z00_2732))->
																						BgL_formatz00) =
																					((obj_t)
																						BGl_string2429z00zzsaw_bbvz00),
																					BUNSPEC);
																				((((BgL_rtl_pragmaz00_bglt)
																							COBJECT(BgL_new1224z00_2732))->
																						BgL_srfi0z00) =
																					((obj_t) ((obj_t) CNST_TABLE_REF(1))),
																					BUNSPEC);
																				BgL_auxz00_5428 =
																					((BgL_rtl_funz00_bglt)
																					BgL_new1224z00_2732);
																			}
																			((((BgL_rtl_insz00_bglt)
																						COBJECT(BgL_new1222z00_2731))->
																					BgL_funz00) =
																				((BgL_rtl_funz00_bglt) BgL_auxz00_5428),
																				BUNSPEC);
																		}
																		((((BgL_rtl_insz00_bglt)
																					COBJECT(BgL_new1222z00_2731))->
																				BgL_argsz00) = ((obj_t) BNIL), BUNSPEC);
																		BgL_failz00_2722 = BgL_new1222z00_2731;
																	}
																	if (NULLP(CDR(
																				(((BgL_blockz00_bglt)
																						COBJECT(BgL_bz00_2711))->
																					BgL_succsz00))))
																		{	/* SawBbv/bbv.scm 374 */
																			((((BgL_blockz00_bglt)
																						COBJECT(BgL_bz00_2711))->
																					BgL_succsz00) =
																				((obj_t) BNIL), BUNSPEC);
																		}
																	else
																		{	/* SawBbv/bbv.scm 374 */
																			BFALSE;
																		}
																	{	/* SawBbv/bbv.scm 376 */
																		obj_t BgL_arg2108z00_2728;
																		obj_t BgL_arg2109z00_2729;

																		BgL_arg2108z00_2728 =
																			(((BgL_blockz00_bglt)
																				COBJECT(BgL_bz00_2711))->BgL_firstz00);
																		{	/* SawBbv/bbv.scm 376 */
																			obj_t BgL_list2110z00_2730;

																			BgL_list2110z00_2730 =
																				MAKE_YOUNG_PAIR(
																				((obj_t) BgL_failz00_2722), BNIL);
																			BgL_arg2109z00_2729 =
																				BgL_list2110z00_2730;
																		}
																		{	/* SawBbv/bbv.scm 376 */
																			obj_t BgL_tmpz00_5452;

																			BgL_tmpz00_5452 =
																				((obj_t) BgL_arg2108z00_2728);
																			SET_CDR(BgL_tmpz00_5452,
																				BgL_arg2109z00_2729);
																		}
																	}
																}
															}
														}
													}
												else
													{	/* SawBbv/bbv.scm 364 */
														BFALSE;
													}
											}
										}
										{	/* SawBbv/bbv.scm 387 */
											BgL_blockz00_bglt BgL_i1228z00_2702;

											BgL_i1228z00_2702 =
												((BgL_blockz00_bglt) CAR(((obj_t) BgL_bsz00_2694)));
											{	/* SawBbv/bbv.scm 388 */
												obj_t BgL_arg2089z00_2703;
												obj_t BgL_arg2090z00_2704;

												{	/* SawBbv/bbv.scm 388 */
													obj_t BgL_arg2091z00_2705;
													obj_t BgL_arg2092z00_2706;

													BgL_arg2091z00_2705 =
														(((BgL_blockz00_bglt) COBJECT(BgL_i1228z00_2702))->
														BgL_succsz00);
													BgL_arg2092z00_2706 = CDR(((obj_t) BgL_bsz00_2694));
													BgL_arg2089z00_2703 =
														BGl_appendzd221011zd2zzsaw_bbvz00
														(BgL_arg2091z00_2705, BgL_arg2092z00_2706);
												}
												{	/* SawBbv/bbv.scm 388 */
													obj_t BgL_arg2093z00_2707;

													BgL_arg2093z00_2707 = CAR(((obj_t) BgL_bsz00_2694));
													BgL_arg2090z00_2704 =
														MAKE_YOUNG_PAIR(BgL_arg2093z00_2707,
														BgL_accz00_2695);
												}
												{
													obj_t BgL_accz00_5467;
													obj_t BgL_bsz00_5466;

													BgL_bsz00_5466 = BgL_arg2089z00_2703;
													BgL_accz00_5467 = BgL_arg2090z00_2704;
													BgL_accz00_2695 = BgL_accz00_5467;
													BgL_bsz00_2694 = BgL_bsz00_5466;
													goto BgL_zc3z04anonymousza32083ze3z87_2696;
												}
											}
										}
									}
							}
					}
				}
			}
		}

	}



/* normalize-typecheck! */
	obj_t BGl_normaliza7ezd2typecheckz12z67zzsaw_bbvz00(BgL_blockz00_bglt
		BgL_bz00_108)
	{
		{	/* SawBbv/bbv.scm 396 */
			{
				BgL_blockz00_bglt BgL_bz00_2813;
				BgL_rtl_insz00_bglt BgL_iz00_2807;
				BgL_rtl_insz00_bglt BgL_iz00_2766;

				{	/* SawBbv/bbv.scm 429 */
					obj_t BgL_g1235z00_2746;

					{	/* SawBbv/bbv.scm 429 */
						obj_t BgL_list2129z00_2765;

						BgL_list2129z00_2765 =
							MAKE_YOUNG_PAIR(((obj_t) BgL_bz00_108), BNIL);
						BgL_g1235z00_2746 = BgL_list2129z00_2765;
					}
					{
						obj_t BgL_bsz00_2749;
						obj_t BgL_accz00_2750;

						BgL_bsz00_2749 = BgL_g1235z00_2746;
						BgL_accz00_2750 = BNIL;
					BgL_zc3z04anonymousza32117ze3z87_2751:
						if (NULLP(BgL_bsz00_2749))
							{	/* SawBbv/bbv.scm 432 */
								return bgl_reverse(BgL_accz00_2750);
							}
						else
							{	/* SawBbv/bbv.scm 432 */
								if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(CAR(
												((obj_t) BgL_bsz00_2749)), BgL_accz00_2750)))
									{	/* SawBbv/bbv.scm 435 */
										obj_t BgL_arg2121z00_2755;

										BgL_arg2121z00_2755 = CDR(((obj_t) BgL_bsz00_2749));
										{
											obj_t BgL_bsz00_5480;

											BgL_bsz00_5480 = BgL_arg2121z00_2755;
											BgL_bsz00_2749 = BgL_bsz00_5480;
											goto BgL_zc3z04anonymousza32117ze3z87_2751;
										}
									}
								else
									{	/* SawBbv/bbv.scm 434 */
										{	/* SawBbv/bbv.scm 437 */
											obj_t BgL_arg2122z00_2756;

											BgL_arg2122z00_2756 = CAR(((obj_t) BgL_bsz00_2749));
											BgL_bz00_2813 = ((BgL_blockz00_bglt) BgL_arg2122z00_2756);
											{	/* SawBbv/bbv.scm 427 */
												obj_t BgL_g1512z00_2816;

												BgL_g1512z00_2816 =
													(((BgL_blockz00_bglt) COBJECT(BgL_bz00_2813))->
													BgL_firstz00);
												{
													obj_t BgL_l1510z00_2818;

													BgL_l1510z00_2818 = BgL_g1512z00_2816;
												BgL_zc3z04anonymousza32164ze3z87_2819:
													if (PAIRP(BgL_l1510z00_2818))
														{	/* SawBbv/bbv.scm 427 */
															{	/* SawBbv/bbv.scm 427 */
																obj_t BgL_arg2166z00_2821;

																BgL_arg2166z00_2821 = CAR(BgL_l1510z00_2818);
																BgL_iz00_2807 =
																	((BgL_rtl_insz00_bglt) BgL_arg2166z00_2821);
																{	/* SawBbv/bbv.scm 418 */
																	obj_t BgL_callz00_2809;

																	BgL_iz00_2766 = BgL_iz00_2807;
																	if (BGl_rtl_inszd2ifnezf3z21zzsaw_bbvzd2typeszd2(BgL_iz00_2766))
																		{	/* SawBbv/bbv.scm 401 */
																			bool_t BgL_test2628z00_5489;

																			{	/* SawBbv/bbv.scm 401 */
																				bool_t BgL_test2629z00_5490;

																				{	/* SawBbv/bbv.scm 401 */
																					obj_t BgL_arg2159z00_2805;

																					BgL_arg2159z00_2805 =
																						CAR(
																						(((BgL_rtl_insz00_bglt)
																								COBJECT(BgL_iz00_2766))->
																							BgL_argsz00));
																					{	/* SawBbv/bbv.scm 401 */
																						obj_t BgL_classz00_3738;

																						BgL_classz00_3738 =
																							BGl_rtl_insz00zzsaw_defsz00;
																						if (BGL_OBJECTP
																							(BgL_arg2159z00_2805))
																							{	/* SawBbv/bbv.scm 401 */
																								BgL_objectz00_bglt
																									BgL_arg1858z00_3740;
																								BgL_arg1858z00_3740 =
																									(BgL_objectz00_bglt)
																									(BgL_arg2159z00_2805);
																								if (BGL_CONDEXPAND_ISA_ARCH64())
																									{	/* SawBbv/bbv.scm 401 */
																										long BgL_idxz00_3746;

																										BgL_idxz00_3746 =
																											BGL_OBJECT_INHERITANCE_NUM
																											(BgL_arg1858z00_3740);
																										BgL_test2629z00_5490 =
																											(VECTOR_REF
																											(BGl_za2inheritancesza2z00zz__objectz00,
																												(BgL_idxz00_3746 +
																													1L)) ==
																											BgL_classz00_3738);
																									}
																								else
																									{	/* SawBbv/bbv.scm 401 */
																										bool_t BgL_res2385z00_3771;

																										{	/* SawBbv/bbv.scm 401 */
																											obj_t BgL_oclassz00_3754;

																											{	/* SawBbv/bbv.scm 401 */
																												obj_t
																													BgL_arg1866z00_3762;
																												long
																													BgL_arg1867z00_3763;
																												BgL_arg1866z00_3762 =
																													(BGl_za2classesza2z00zz__objectz00);
																												{	/* SawBbv/bbv.scm 401 */
																													long
																														BgL_arg1869z00_3764;
																													BgL_arg1869z00_3764 =
																														BGL_OBJECT_CLASS_NUM
																														(BgL_arg1858z00_3740);
																													BgL_arg1867z00_3763 =
																														(BgL_arg1869z00_3764
																														- OBJECT_TYPE);
																												}
																												BgL_oclassz00_3754 =
																													VECTOR_REF
																													(BgL_arg1866z00_3762,
																													BgL_arg1867z00_3763);
																											}
																											{	/* SawBbv/bbv.scm 401 */
																												bool_t
																													BgL__ortest_1115z00_3755;
																												BgL__ortest_1115z00_3755
																													=
																													(BgL_classz00_3738 ==
																													BgL_oclassz00_3754);
																												if (BgL__ortest_1115z00_3755)
																													{	/* SawBbv/bbv.scm 401 */
																														BgL_res2385z00_3771
																															=
																															BgL__ortest_1115z00_3755;
																													}
																												else
																													{	/* SawBbv/bbv.scm 401 */
																														long
																															BgL_odepthz00_3756;
																														{	/* SawBbv/bbv.scm 401 */
																															obj_t
																																BgL_arg1855z00_3757;
																															BgL_arg1855z00_3757
																																=
																																(BgL_oclassz00_3754);
																															BgL_odepthz00_3756
																																=
																																BGL_CLASS_DEPTH
																																(BgL_arg1855z00_3757);
																														}
																														if (
																															(1L <
																																BgL_odepthz00_3756))
																															{	/* SawBbv/bbv.scm 401 */
																																obj_t
																																	BgL_arg1853z00_3759;
																																{	/* SawBbv/bbv.scm 401 */
																																	obj_t
																																		BgL_arg1854z00_3760;
																																	BgL_arg1854z00_3760
																																		=
																																		(BgL_oclassz00_3754);
																																	BgL_arg1853z00_3759
																																		=
																																		BGL_CLASS_ANCESTORS_REF
																																		(BgL_arg1854z00_3760,
																																		1L);
																																}
																																BgL_res2385z00_3771
																																	=
																																	(BgL_arg1853z00_3759
																																	==
																																	BgL_classz00_3738);
																															}
																														else
																															{	/* SawBbv/bbv.scm 401 */
																																BgL_res2385z00_3771
																																	=
																																	((bool_t) 0);
																															}
																													}
																											}
																										}
																										BgL_test2629z00_5490 =
																											BgL_res2385z00_3771;
																									}
																							}
																						else
																							{	/* SawBbv/bbv.scm 401 */
																								BgL_test2629z00_5490 =
																									((bool_t) 0);
																							}
																					}
																				}
																				if (BgL_test2629z00_5490)
																					{	/* SawBbv/bbv.scm 401 */
																						obj_t BgL_arg2156z00_2803;

																						BgL_arg2156z00_2803 =
																							CAR(
																							(((BgL_rtl_insz00_bglt)
																									COBJECT(BgL_iz00_2766))->
																								BgL_argsz00));
																						BgL_test2628z00_5489 =
																							BGl_rtl_inszd2movzf3z21zzsaw_bbvzd2typeszd2
																							(((BgL_rtl_insz00_bglt)
																								BgL_arg2156z00_2803));
																					}
																				else
																					{	/* SawBbv/bbv.scm 401 */
																						BgL_test2628z00_5489 = ((bool_t) 0);
																					}
																			}
																			if (BgL_test2628z00_5489)
																				{	/* SawBbv/bbv.scm 402 */
																					obj_t BgL_g1230z00_2778;

																					BgL_g1230z00_2778 =
																						CAR(
																						(((BgL_rtl_insz00_bglt)
																								COBJECT(BgL_iz00_2766))->
																							BgL_argsz00));
																					{
																						obj_t BgL_jz00_2780;

																						BgL_jz00_2780 = BgL_g1230z00_2778;
																					BgL_zc3z04anonymousza32140ze3z87_2781:
																						{	/* SawBbv/bbv.scm 404 */
																							bool_t BgL_test2634z00_5521;

																							{	/* SawBbv/bbv.scm 404 */
																								obj_t BgL_classz00_3774;

																								BgL_classz00_3774 =
																									BGl_rtl_insz00zzsaw_defsz00;
																								if (BGL_OBJECTP(BgL_jz00_2780))
																									{	/* SawBbv/bbv.scm 404 */
																										BgL_objectz00_bglt
																											BgL_arg1858z00_3776;
																										BgL_arg1858z00_3776 =
																											(BgL_objectz00_bglt)
																											(BgL_jz00_2780);
																										if (BGL_CONDEXPAND_ISA_ARCH64())
																											{	/* SawBbv/bbv.scm 404 */
																												long BgL_idxz00_3782;

																												BgL_idxz00_3782 =
																													BGL_OBJECT_INHERITANCE_NUM
																													(BgL_arg1858z00_3776);
																												BgL_test2634z00_5521 =
																													(VECTOR_REF
																													(BGl_za2inheritancesza2z00zz__objectz00,
																														(BgL_idxz00_3782 +
																															1L)) ==
																													BgL_classz00_3774);
																											}
																										else
																											{	/* SawBbv/bbv.scm 404 */
																												bool_t
																													BgL_res2386z00_3807;
																												{	/* SawBbv/bbv.scm 404 */
																													obj_t
																														BgL_oclassz00_3790;
																													{	/* SawBbv/bbv.scm 404 */
																														obj_t
																															BgL_arg1866z00_3798;
																														long
																															BgL_arg1867z00_3799;
																														BgL_arg1866z00_3798
																															=
																															(BGl_za2classesza2z00zz__objectz00);
																														{	/* SawBbv/bbv.scm 404 */
																															long
																																BgL_arg1869z00_3800;
																															BgL_arg1869z00_3800
																																=
																																BGL_OBJECT_CLASS_NUM
																																(BgL_arg1858z00_3776);
																															BgL_arg1867z00_3799
																																=
																																(BgL_arg1869z00_3800
																																- OBJECT_TYPE);
																														}
																														BgL_oclassz00_3790 =
																															VECTOR_REF
																															(BgL_arg1866z00_3798,
																															BgL_arg1867z00_3799);
																													}
																													{	/* SawBbv/bbv.scm 404 */
																														bool_t
																															BgL__ortest_1115z00_3791;
																														BgL__ortest_1115z00_3791
																															=
																															(BgL_classz00_3774
																															==
																															BgL_oclassz00_3790);
																														if (BgL__ortest_1115z00_3791)
																															{	/* SawBbv/bbv.scm 404 */
																																BgL_res2386z00_3807
																																	=
																																	BgL__ortest_1115z00_3791;
																															}
																														else
																															{	/* SawBbv/bbv.scm 404 */
																																long
																																	BgL_odepthz00_3792;
																																{	/* SawBbv/bbv.scm 404 */
																																	obj_t
																																		BgL_arg1855z00_3793;
																																	BgL_arg1855z00_3793
																																		=
																																		(BgL_oclassz00_3790);
																																	BgL_odepthz00_3792
																																		=
																																		BGL_CLASS_DEPTH
																																		(BgL_arg1855z00_3793);
																																}
																																if (
																																	(1L <
																																		BgL_odepthz00_3792))
																																	{	/* SawBbv/bbv.scm 404 */
																																		obj_t
																																			BgL_arg1853z00_3795;
																																		{	/* SawBbv/bbv.scm 404 */
																																			obj_t
																																				BgL_arg1854z00_3796;
																																			BgL_arg1854z00_3796
																																				=
																																				(BgL_oclassz00_3790);
																																			BgL_arg1853z00_3795
																																				=
																																				BGL_CLASS_ANCESTORS_REF
																																				(BgL_arg1854z00_3796,
																																				1L);
																																		}
																																		BgL_res2386z00_3807
																																			=
																																			(BgL_arg1853z00_3795
																																			==
																																			BgL_classz00_3774);
																																	}
																																else
																																	{	/* SawBbv/bbv.scm 404 */
																																		BgL_res2386z00_3807
																																			=
																																			((bool_t)
																																			0);
																																	}
																															}
																													}
																												}
																												BgL_test2634z00_5521 =
																													BgL_res2386z00_3807;
																											}
																									}
																								else
																									{	/* SawBbv/bbv.scm 404 */
																										BgL_test2634z00_5521 =
																											((bool_t) 0);
																									}
																							}
																							if (BgL_test2634z00_5521)
																								{	/* SawBbv/bbv.scm 404 */
																									if (BGl_rtl_inszd2movzf3z21zzsaw_bbvzd2typeszd2(((BgL_rtl_insz00_bglt) BgL_jz00_2780)))
																										{	/* SawBbv/bbv.scm 408 */
																											obj_t BgL_arg2143z00_2785;

																											{	/* SawBbv/bbv.scm 408 */
																												obj_t BgL_pairz00_3808;

																												BgL_pairz00_3808 =
																													(((BgL_rtl_insz00_bglt) COBJECT(((BgL_rtl_insz00_bglt) BgL_jz00_2780)))->BgL_argsz00);
																												BgL_arg2143z00_2785 =
																													CAR(BgL_pairz00_3808);
																											}
																											{
																												obj_t BgL_jz00_5550;

																												BgL_jz00_5550 =
																													BgL_arg2143z00_2785;
																												BgL_jz00_2780 =
																													BgL_jz00_5550;
																												goto
																													BgL_zc3z04anonymousza32140ze3z87_2781;
																											}
																										}
																									else
																										{	/* SawBbv/bbv.scm 406 */
																											if (BGl_rtl_inszd2callzf3z21zzsaw_bbvzd2typeszd2(((BgL_rtl_insz00_bglt) BgL_jz00_2780)))
																												{	/* SawBbv/bbv.scm 409 */
																													if (CBOOL
																														(BGl_rtl_callzd2predicatezd2zzsaw_bbvzd2typeszd2
																															(((BgL_rtl_insz00_bglt) BgL_jz00_2780))))
																														{	/* SawBbv/bbv.scm 411 */
																															obj_t
																																BgL_argsz00_2789;
																															BgL_argsz00_2789 =
																																BGl_rtl_inszd2argsza2z70zzsaw_defsz00
																																(BgL_iz00_2766);
																															{	/* SawBbv/bbv.scm 412 */
																																bool_t
																																	BgL_test2642z00_5559;
																																if (NULLP
																																	(BgL_argsz00_2789))
																																	{	/* SawBbv/bbv.scm 412 */
																																		BgL_test2642z00_5559
																																			=
																																			((bool_t)
																																			0);
																																	}
																																else
																																	{	/* SawBbv/bbv.scm 412 */
																																		if (NULLP
																																			(CDR
																																				(BgL_argsz00_2789)))
																																			{	/* SawBbv/bbv.scm 412 */
																																				obj_t
																																					BgL_arg2153z00_2798;
																																				BgL_arg2153z00_2798
																																					=
																																					CAR
																																					(BgL_argsz00_2789);
																																				{	/* SawBbv/bbv.scm 412 */
																																					obj_t
																																						BgL_classz00_3811;
																																					BgL_classz00_3811
																																						=
																																						BGl_rtl_regz00zzsaw_defsz00;
																																					if (BGL_OBJECTP(BgL_arg2153z00_2798))
																																						{	/* SawBbv/bbv.scm 412 */
																																							BgL_objectz00_bglt
																																								BgL_arg1858z00_3813;
																																							BgL_arg1858z00_3813
																																								=
																																								(BgL_objectz00_bglt)
																																								(BgL_arg2153z00_2798);
																																							if (BGL_CONDEXPAND_ISA_ARCH64())
																																								{	/* SawBbv/bbv.scm 412 */
																																									long
																																										BgL_idxz00_3819;
																																									BgL_idxz00_3819
																																										=
																																										BGL_OBJECT_INHERITANCE_NUM
																																										(BgL_arg1858z00_3813);
																																									BgL_test2642z00_5559
																																										=
																																										(VECTOR_REF
																																										(BGl_za2inheritancesza2z00zz__objectz00,
																																											(BgL_idxz00_3819
																																												+
																																												1L))
																																										==
																																										BgL_classz00_3811);
																																								}
																																							else
																																								{	/* SawBbv/bbv.scm 412 */
																																									bool_t
																																										BgL_res2387z00_3844;
																																									{	/* SawBbv/bbv.scm 412 */
																																										obj_t
																																											BgL_oclassz00_3827;
																																										{	/* SawBbv/bbv.scm 412 */
																																											obj_t
																																												BgL_arg1866z00_3835;
																																											long
																																												BgL_arg1867z00_3836;
																																											BgL_arg1866z00_3835
																																												=
																																												(BGl_za2classesza2z00zz__objectz00);
																																											{	/* SawBbv/bbv.scm 412 */
																																												long
																																													BgL_arg1869z00_3837;
																																												BgL_arg1869z00_3837
																																													=
																																													BGL_OBJECT_CLASS_NUM
																																													(BgL_arg1858z00_3813);
																																												BgL_arg1867z00_3836
																																													=
																																													(BgL_arg1869z00_3837
																																													-
																																													OBJECT_TYPE);
																																											}
																																											BgL_oclassz00_3827
																																												=
																																												VECTOR_REF
																																												(BgL_arg1866z00_3835,
																																												BgL_arg1867z00_3836);
																																										}
																																										{	/* SawBbv/bbv.scm 412 */
																																											bool_t
																																												BgL__ortest_1115z00_3828;
																																											BgL__ortest_1115z00_3828
																																												=
																																												(BgL_classz00_3811
																																												==
																																												BgL_oclassz00_3827);
																																											if (BgL__ortest_1115z00_3828)
																																												{	/* SawBbv/bbv.scm 412 */
																																													BgL_res2387z00_3844
																																														=
																																														BgL__ortest_1115z00_3828;
																																												}
																																											else
																																												{	/* SawBbv/bbv.scm 412 */
																																													long
																																														BgL_odepthz00_3829;
																																													{	/* SawBbv/bbv.scm 412 */
																																														obj_t
																																															BgL_arg1855z00_3830;
																																														BgL_arg1855z00_3830
																																															=
																																															(BgL_oclassz00_3827);
																																														BgL_odepthz00_3829
																																															=
																																															BGL_CLASS_DEPTH
																																															(BgL_arg1855z00_3830);
																																													}
																																													if ((1L < BgL_odepthz00_3829))
																																														{	/* SawBbv/bbv.scm 412 */
																																															obj_t
																																																BgL_arg1853z00_3832;
																																															{	/* SawBbv/bbv.scm 412 */
																																																obj_t
																																																	BgL_arg1854z00_3833;
																																																BgL_arg1854z00_3833
																																																	=
																																																	(BgL_oclassz00_3827);
																																																BgL_arg1853z00_3832
																																																	=
																																																	BGL_CLASS_ANCESTORS_REF
																																																	(BgL_arg1854z00_3833,
																																																	1L);
																																															}
																																															BgL_res2387z00_3844
																																																=
																																																(BgL_arg1853z00_3832
																																																==
																																																BgL_classz00_3811);
																																														}
																																													else
																																														{	/* SawBbv/bbv.scm 412 */
																																															BgL_res2387z00_3844
																																																=
																																																(
																																																(bool_t)
																																																0);
																																														}
																																												}
																																										}
																																									}
																																									BgL_test2642z00_5559
																																										=
																																										BgL_res2387z00_3844;
																																								}
																																						}
																																					else
																																						{	/* SawBbv/bbv.scm 412 */
																																							BgL_test2642z00_5559
																																								=
																																								(
																																								(bool_t)
																																								0);
																																						}
																																				}
																																			}
																																		else
																																			{	/* SawBbv/bbv.scm 412 */
																																				BgL_test2642z00_5559
																																					=
																																					(
																																					(bool_t)
																																					0);
																																			}
																																	}
																																if (BgL_test2642z00_5559)
																																	{	/* SawBbv/bbv.scm 412 */
																																		BgL_callz00_2809
																																			=
																																			BgL_jz00_2780;
																																	}
																																else
																																	{	/* SawBbv/bbv.scm 412 */
																																		BgL_callz00_2809
																																			= BFALSE;
																																	}
																															}
																														}
																													else
																														{	/* SawBbv/bbv.scm 410 */
																															BgL_callz00_2809 =
																																BFALSE;
																														}
																												}
																											else
																												{	/* SawBbv/bbv.scm 409 */
																													BgL_callz00_2809 =
																														BFALSE;
																												}
																										}
																								}
																							else
																								{	/* SawBbv/bbv.scm 404 */
																									BgL_callz00_2809 = BFALSE;
																								}
																						}
																					}
																				}
																			else
																				{	/* SawBbv/bbv.scm 401 */
																					BgL_callz00_2809 = BFALSE;
																				}
																		}
																	else
																		{	/* SawBbv/bbv.scm 399 */
																			BgL_callz00_2809 = BFALSE;
																		}
																	if (CBOOL(BgL_callz00_2809))
																		{	/* SawBbv/bbv.scm 419 */
																			((((BgL_rtl_insz00_bglt) COBJECT(
																							((BgL_rtl_insz00_bglt)
																								BgL_callz00_2809)))->
																					BgL_destz00) =
																				((obj_t) (((BgL_rtl_insz00_bglt)
																							COBJECT(BgL_iz00_2807))->
																						BgL_destz00)), BUNSPEC);
																			{	/* SawBbv/bbv.scm 423 */
																				obj_t BgL_arg2162z00_2812;

																				BgL_arg2162z00_2812 =
																					(((BgL_rtl_insz00_bglt)
																						COBJECT(BgL_iz00_2807))->
																					BgL_argsz00);
																				{	/* SawBbv/bbv.scm 423 */
																					obj_t BgL_tmpz00_5594;

																					BgL_tmpz00_5594 =
																						((obj_t) BgL_arg2162z00_2812);
																					SET_CAR(BgL_tmpz00_5594,
																						BgL_callz00_2809);
																				}
																			}
																		}
																	else
																		{	/* SawBbv/bbv.scm 419 */
																			BFALSE;
																		}
																}
															}
															{
																obj_t BgL_l1510z00_5598;

																BgL_l1510z00_5598 = CDR(BgL_l1510z00_2818);
																BgL_l1510z00_2818 = BgL_l1510z00_5598;
																goto BgL_zc3z04anonymousza32164ze3z87_2819;
															}
														}
													else
														{	/* SawBbv/bbv.scm 427 */
															((bool_t) 1);
														}
												}
											}
										}
										{	/* SawBbv/bbv.scm 438 */
											BgL_blockz00_bglt BgL_i1237z00_2757;

											BgL_i1237z00_2757 =
												((BgL_blockz00_bglt) CAR(((obj_t) BgL_bsz00_2749)));
											{	/* SawBbv/bbv.scm 439 */
												obj_t BgL_arg2123z00_2758;
												obj_t BgL_arg2124z00_2759;

												{	/* SawBbv/bbv.scm 439 */
													obj_t BgL_arg2125z00_2760;
													obj_t BgL_arg2126z00_2761;

													BgL_arg2125z00_2760 =
														(((BgL_blockz00_bglt) COBJECT(BgL_i1237z00_2757))->
														BgL_succsz00);
													BgL_arg2126z00_2761 = CDR(((obj_t) BgL_bsz00_2749));
													BgL_arg2123z00_2758 =
														BGl_appendzd221011zd2zzsaw_bbvz00
														(BgL_arg2125z00_2760, BgL_arg2126z00_2761);
												}
												{	/* SawBbv/bbv.scm 439 */
													obj_t BgL_arg2127z00_2762;

													BgL_arg2127z00_2762 = CAR(((obj_t) BgL_bsz00_2749));
													BgL_arg2124z00_2759 =
														MAKE_YOUNG_PAIR(BgL_arg2127z00_2762,
														BgL_accz00_2750);
												}
												{
													obj_t BgL_accz00_5612;
													obj_t BgL_bsz00_5611;

													BgL_bsz00_5611 = BgL_arg2123z00_2758;
													BgL_accz00_5612 = BgL_arg2124z00_2759;
													BgL_accz00_2750 = BgL_accz00_5612;
													BgL_bsz00_2749 = BgL_bsz00_5611;
													goto BgL_zc3z04anonymousza32117ze3z87_2751;
												}
											}
										}
									}
							}
					}
				}
			}
		}

	}



/* normalize-goto! */
	obj_t BGl_normaliza7ezd2gotoz12z67zzsaw_bbvz00(BgL_blockz00_bglt BgL_bz00_109)
	{
		{	/* SawBbv/bbv.scm 449 */
			{
				BgL_blockz00_bglt BgL_bz00_2848;

				{	/* SawBbv/bbv.scm 465 */
					obj_t BgL_g1243z00_2828;

					{	/* SawBbv/bbv.scm 465 */
						obj_t BgL_list2180z00_2847;

						BgL_list2180z00_2847 =
							MAKE_YOUNG_PAIR(((obj_t) BgL_bz00_109), BNIL);
						BgL_g1243z00_2828 = BgL_list2180z00_2847;
					}
					{
						obj_t BgL_bsz00_2831;
						obj_t BgL_accz00_2832;

						BgL_bsz00_2831 = BgL_g1243z00_2828;
						BgL_accz00_2832 = BNIL;
					BgL_zc3z04anonymousza32168ze3z87_2833:
						if (NULLP(BgL_bsz00_2831))
							{	/* SawBbv/bbv.scm 468 */
								return bgl_reverse(BgL_accz00_2832);
							}
						else
							{	/* SawBbv/bbv.scm 468 */
								if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(CAR(
												((obj_t) BgL_bsz00_2831)), BgL_accz00_2832)))
									{	/* SawBbv/bbv.scm 471 */
										obj_t BgL_arg2172z00_2837;

										BgL_arg2172z00_2837 = CDR(((obj_t) BgL_bsz00_2831));
										{
											obj_t BgL_bsz00_5625;

											BgL_bsz00_5625 = BgL_arg2172z00_2837;
											BgL_bsz00_2831 = BgL_bsz00_5625;
											goto BgL_zc3z04anonymousza32168ze3z87_2833;
										}
									}
								else
									{	/* SawBbv/bbv.scm 470 */
										{	/* SawBbv/bbv.scm 473 */
											obj_t BgL_arg2173z00_2838;

											BgL_arg2173z00_2838 = CAR(((obj_t) BgL_bsz00_2831));
											BgL_bz00_2848 = ((BgL_blockz00_bglt) BgL_arg2173z00_2838);
											if (NULLP(
													(((BgL_blockz00_bglt) COBJECT(BgL_bz00_2848))->
														BgL_succsz00)))
												{	/* SawBbv/bbv.scm 453 */
													BFALSE;
												}
											else
												{	/* SawBbv/bbv.scm 454 */
													obj_t BgL_lpz00_2853;

													BgL_lpz00_2853 =
														BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(
														(((BgL_blockz00_bglt) COBJECT(BgL_bz00_2848))->
															BgL_firstz00));
													{	/* SawBbv/bbv.scm 454 */
														obj_t BgL_lastz00_2854;

														BgL_lastz00_2854 = CAR(BgL_lpz00_2853);
														{	/* SawBbv/bbv.scm 455 */

															{	/* SawBbv/bbv.scm 456 */
																bool_t BgL_test2653z00_5634;

																if (BGl_rtl_inszd2gozf3z21zzsaw_bbvzd2typeszd2(
																		((BgL_rtl_insz00_bglt) BgL_lastz00_2854)))
																	{	/* SawBbv/bbv.scm 456 */
																		BgL_test2653z00_5634 = ((bool_t) 1);
																	}
																else
																	{	/* SawBbv/bbv.scm 456 */
																		BgL_test2653z00_5634 =
																			BGl_rtl_inszd2failzf3z21zzsaw_bbvzd2typeszd2
																			(((BgL_rtl_insz00_bglt)
																				BgL_lastz00_2854));
																	}
																if (BgL_test2653z00_5634)
																	{	/* SawBbv/bbv.scm 456 */
																		BFALSE;
																	}
																else
																	{	/* SawBbv/bbv.scm 457 */
																		BgL_rtl_insz00_bglt BgL_goz00_2857;

																		{	/* SawBbv/bbv.scm 457 */
																			BgL_rtl_insz00_bglt BgL_new1240z00_2860;

																			{	/* SawBbv/bbv.scm 457 */
																				BgL_rtl_insz00_bglt BgL_new1239z00_2865;

																				BgL_new1239z00_2865 =
																					((BgL_rtl_insz00_bglt)
																					BOBJECT(GC_MALLOC(sizeof(struct
																								BgL_rtl_insz00_bgl))));
																				{	/* SawBbv/bbv.scm 457 */
																					long BgL_arg2190z00_2866;

																					BgL_arg2190z00_2866 =
																						BGL_CLASS_NUM
																						(BGl_rtl_insz00zzsaw_defsz00);
																					BGL_OBJECT_CLASS_NUM_SET((
																							(BgL_objectz00_bglt)
																							BgL_new1239z00_2865),
																						BgL_arg2190z00_2866);
																				}
																				{	/* SawBbv/bbv.scm 457 */
																					BgL_objectz00_bglt BgL_tmpz00_5644;

																					BgL_tmpz00_5644 =
																						((BgL_objectz00_bglt)
																						BgL_new1239z00_2865);
																					BGL_OBJECT_WIDENING_SET
																						(BgL_tmpz00_5644, BFALSE);
																				}
																				((BgL_objectz00_bglt)
																					BgL_new1239z00_2865);
																				BgL_new1240z00_2860 =
																					BgL_new1239z00_2865;
																			}
																			((((BgL_rtl_insz00_bglt)
																						COBJECT(BgL_new1240z00_2860))->
																					BgL_locz00) =
																				((obj_t) BFALSE), BUNSPEC);
																			((((BgL_rtl_insz00_bglt)
																						COBJECT(BgL_new1240z00_2860))->
																					BgL_z52spillz52) =
																				((obj_t) BNIL), BUNSPEC);
																			((((BgL_rtl_insz00_bglt)
																						COBJECT(BgL_new1240z00_2860))->
																					BgL_destz00) =
																				((obj_t) BFALSE), BUNSPEC);
																			{
																				BgL_rtl_funz00_bglt BgL_auxz00_5651;

																				{	/* SawBbv/bbv.scm 459 */
																					BgL_rtl_goz00_bglt
																						BgL_new1242z00_2861;
																					{	/* SawBbv/bbv.scm 460 */
																						BgL_rtl_goz00_bglt
																							BgL_new1241z00_2863;
																						BgL_new1241z00_2863 =
																							((BgL_rtl_goz00_bglt)
																							BOBJECT(GC_MALLOC(sizeof(struct
																										BgL_rtl_goz00_bgl))));
																						{	/* SawBbv/bbv.scm 460 */
																							long BgL_arg2189z00_2864;

																							{	/* SawBbv/bbv.scm 460 */
																								obj_t BgL_classz00_3860;

																								BgL_classz00_3860 =
																									BGl_rtl_goz00zzsaw_defsz00;
																								BgL_arg2189z00_2864 =
																									BGL_CLASS_NUM
																									(BgL_classz00_3860);
																							}
																							BGL_OBJECT_CLASS_NUM_SET(
																								((BgL_objectz00_bglt)
																									BgL_new1241z00_2863),
																								BgL_arg2189z00_2864);
																						}
																						BgL_new1242z00_2861 =
																							BgL_new1241z00_2863;
																					}
																					((((BgL_rtl_funz00_bglt) COBJECT(
																									((BgL_rtl_funz00_bglt)
																										BgL_new1242z00_2861)))->
																							BgL_locz00) =
																						((obj_t) (((BgL_rtl_insz00_bglt)
																									COBJECT(((BgL_rtl_insz00_bglt)
																											BgL_lastz00_2854)))->
																								BgL_locz00)), BUNSPEC);
																					{
																						BgL_blockz00_bglt BgL_auxz00_5660;

																						{	/* SawBbv/bbv.scm 461 */
																							obj_t BgL_pairz00_3864;

																							BgL_pairz00_3864 =
																								(((BgL_blockz00_bglt)
																									COBJECT(BgL_bz00_2848))->
																								BgL_succsz00);
																							BgL_auxz00_5660 =
																								((BgL_blockz00_bglt)
																								CAR(BgL_pairz00_3864));
																						}
																						((((BgL_rtl_goz00_bglt)
																									COBJECT
																									(BgL_new1242z00_2861))->
																								BgL_toz00) =
																							((BgL_blockz00_bglt)
																								BgL_auxz00_5660), BUNSPEC);
																					}
																					BgL_auxz00_5651 =
																						((BgL_rtl_funz00_bglt)
																						BgL_new1242z00_2861);
																				}
																				((((BgL_rtl_insz00_bglt)
																							COBJECT(BgL_new1240z00_2860))->
																						BgL_funz00) =
																					((BgL_rtl_funz00_bglt)
																						BgL_auxz00_5651), BUNSPEC);
																			}
																			((((BgL_rtl_insz00_bglt)
																						COBJECT(BgL_new1240z00_2860))->
																					BgL_argsz00) =
																				((obj_t) BNIL), BUNSPEC);
																			BgL_goz00_2857 = BgL_new1240z00_2860;
																		}
																		{	/* SawBbv/bbv.scm 463 */
																			obj_t BgL_arg2186z00_2858;

																			{	/* SawBbv/bbv.scm 463 */
																				obj_t BgL_list2187z00_2859;

																				BgL_list2187z00_2859 =
																					MAKE_YOUNG_PAIR(
																					((obj_t) BgL_goz00_2857), BNIL);
																				BgL_arg2186z00_2858 =
																					BgL_list2187z00_2859;
																			}
																			SET_CDR(BgL_lpz00_2853,
																				BgL_arg2186z00_2858);
										}}}}}}}
										{	/* SawBbv/bbv.scm 474 */
											BgL_blockz00_bglt BgL_i1245z00_2839;

											BgL_i1245z00_2839 =
												((BgL_blockz00_bglt) CAR(((obj_t) BgL_bsz00_2831)));
											{	/* SawBbv/bbv.scm 475 */
												obj_t BgL_arg2174z00_2840;
												obj_t BgL_arg2175z00_2841;

												{	/* SawBbv/bbv.scm 475 */
													obj_t BgL_arg2176z00_2842;
													obj_t BgL_arg2177z00_2843;

													BgL_arg2176z00_2842 =
														(((BgL_blockz00_bglt) COBJECT(BgL_i1245z00_2839))->
														BgL_succsz00);
													BgL_arg2177z00_2843 = CDR(((obj_t) BgL_bsz00_2831));
													BgL_arg2174z00_2840 =
														BGl_appendzd221011zd2zzsaw_bbvz00
														(BgL_arg2176z00_2842, BgL_arg2177z00_2843);
												}
												{	/* SawBbv/bbv.scm 475 */
													obj_t BgL_arg2178z00_2844;

													BgL_arg2178z00_2844 = CAR(((obj_t) BgL_bsz00_2831));
													BgL_arg2175z00_2841 =
														MAKE_YOUNG_PAIR(BgL_arg2178z00_2844,
														BgL_accz00_2832);
												}
												{
													obj_t BgL_accz00_5683;
													obj_t BgL_bsz00_5682;

													BgL_bsz00_5682 = BgL_arg2174z00_2840;
													BgL_accz00_5683 = BgL_arg2175z00_2841;
													BgL_accz00_2832 = BgL_accz00_5683;
													BgL_bsz00_2831 = BgL_bsz00_5682;
													goto BgL_zc3z04anonymousza32168ze3z87_2833;
												}
											}
										}
									}
							}
					}
				}
			}
		}

	}



/* remove-temps! */
	BgL_blockz00_bglt BGl_removezd2tempsz12zc0zzsaw_bbvz00(BgL_blockz00_bglt
		BgL_bz00_110)
	{
		{	/* SawBbv/bbv.scm 480 */
			{
				BgL_blockz00_bglt BgL_bz00_2914;

				{	/* SawBbv/bbv.scm 503 */
					obj_t BgL_g1250z00_2873;

					{	/* SawBbv/bbv.scm 503 */
						obj_t BgL_list2206z00_2892;

						BgL_list2206z00_2892 =
							MAKE_YOUNG_PAIR(((obj_t) BgL_bz00_110), BNIL);
						BgL_g1250z00_2873 = BgL_list2206z00_2892;
					}
					{
						obj_t BgL_bsz00_2876;
						obj_t BgL_accz00_2877;

						BgL_bsz00_2876 = BgL_g1250z00_2873;
						BgL_accz00_2877 = BNIL;
					BgL_zc3z04anonymousza32193ze3z87_2878:
						if (NULLP(BgL_bsz00_2876))
							{	/* SawBbv/bbv.scm 506 */
								return BgL_bz00_110;
							}
						else
							{	/* SawBbv/bbv.scm 506 */
								if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(CAR(
												((obj_t) BgL_bsz00_2876)), BgL_accz00_2877)))
									{	/* SawBbv/bbv.scm 509 */
										obj_t BgL_arg2197z00_2882;

										BgL_arg2197z00_2882 = CDR(((obj_t) BgL_bsz00_2876));
										{
											obj_t BgL_bsz00_5695;

											BgL_bsz00_5695 = BgL_arg2197z00_2882;
											BgL_bsz00_2876 = BgL_bsz00_5695;
											goto BgL_zc3z04anonymousza32193ze3z87_2878;
										}
									}
								else
									{	/* SawBbv/bbv.scm 511 */
										BgL_blockz00_bglt BgL_i1252z00_2883;

										BgL_i1252z00_2883 =
											((BgL_blockz00_bglt) CAR(((obj_t) BgL_bsz00_2876)));
										{	/* SawBbv/bbv.scm 512 */
											obj_t BgL_arg2198z00_2884;

											BgL_arg2198z00_2884 = CAR(((obj_t) BgL_bsz00_2876));
											BgL_bz00_2914 = ((BgL_blockz00_bglt) BgL_arg2198z00_2884);
											{
												obj_t BgL_auxz00_5701;

												{	/* SawBbv/bbv.scm 501 */
													obj_t BgL_l01515z00_2917;

													BgL_l01515z00_2917 =
														(((BgL_blockz00_bglt) COBJECT(BgL_bz00_2914))->
														BgL_firstz00);
													{
														obj_t BgL_l1514z00_2919;

														BgL_l1514z00_2919 = BgL_l01515z00_2917;
													BgL_zc3z04anonymousza32219ze3z87_2920:
														if (NULLP(BgL_l1514z00_2919))
															{	/* SawBbv/bbv.scm 501 */
																BgL_auxz00_5701 = BgL_l01515z00_2917;
															}
														else
															{	/* SawBbv/bbv.scm 501 */
																{	/* SawBbv/bbv.scm 501 */
																	BgL_rtl_insz00_bglt BgL_arg2221z00_2922;

																	{	/* SawBbv/bbv.scm 501 */
																		obj_t BgL_arg2222z00_2923;

																		BgL_arg2222z00_2923 =
																			CAR(((obj_t) BgL_l1514z00_2919));
																		BgL_arg2221z00_2922 =
																			BGl_removezd2inszd2tempsz12ze70zf5zzsaw_bbvz00
																			(((BgL_rtl_insz00_bglt)
																				BgL_arg2222z00_2923));
																	}
																	{	/* SawBbv/bbv.scm 501 */
																		obj_t BgL_auxz00_5711;
																		obj_t BgL_tmpz00_5709;

																		BgL_auxz00_5711 =
																			((obj_t) BgL_arg2221z00_2922);
																		BgL_tmpz00_5709 =
																			((obj_t) BgL_l1514z00_2919);
																		SET_CAR(BgL_tmpz00_5709, BgL_auxz00_5711);
																	}
																}
																{	/* SawBbv/bbv.scm 501 */
																	obj_t BgL_arg2223z00_2924;

																	BgL_arg2223z00_2924 =
																		CDR(((obj_t) BgL_l1514z00_2919));
																	{
																		obj_t BgL_l1514z00_5716;

																		BgL_l1514z00_5716 = BgL_arg2223z00_2924;
																		BgL_l1514z00_2919 = BgL_l1514z00_5716;
																		goto BgL_zc3z04anonymousza32219ze3z87_2920;
																	}
																}
															}
													}
												}
												((((BgL_blockz00_bglt) COBJECT(BgL_bz00_2914))->
														BgL_firstz00) = ((obj_t) BgL_auxz00_5701), BUNSPEC);
											}
										}
										{	/* SawBbv/bbv.scm 513 */
											obj_t BgL_arg2200z00_2885;
											obj_t BgL_arg2201z00_2886;

											{	/* SawBbv/bbv.scm 513 */
												obj_t BgL_arg2202z00_2887;
												obj_t BgL_arg2203z00_2888;

												BgL_arg2202z00_2887 =
													(((BgL_blockz00_bglt) COBJECT(BgL_i1252z00_2883))->
													BgL_succsz00);
												BgL_arg2203z00_2888 = CDR(((obj_t) BgL_bsz00_2876));
												BgL_arg2200z00_2885 =
													BGl_appendzd221011zd2zzsaw_bbvz00(BgL_arg2202z00_2887,
													BgL_arg2203z00_2888);
											}
											{	/* SawBbv/bbv.scm 513 */
												obj_t BgL_arg2204z00_2889;

												BgL_arg2204z00_2889 = CAR(((obj_t) BgL_bsz00_2876));
												BgL_arg2201z00_2886 =
													MAKE_YOUNG_PAIR(BgL_arg2204z00_2889, BgL_accz00_2877);
											}
											{
												obj_t BgL_accz00_5727;
												obj_t BgL_bsz00_5726;

												BgL_bsz00_5726 = BgL_arg2200z00_2885;
												BgL_accz00_5727 = BgL_arg2201z00_2886;
												BgL_accz00_2877 = BgL_accz00_5727;
												BgL_bsz00_2876 = BgL_bsz00_5726;
												goto BgL_zc3z04anonymousza32193ze3z87_2878;
											}
										}
									}
							}
					}
				}
			}
		}

	}



/* remove-ins-temps!~0 */
	BgL_rtl_insz00_bglt
		BGl_removezd2inszd2tempsz12ze70zf5zzsaw_bbvz00(BgL_rtl_insz00_bglt
		BgL_insz00_2893)
	{
		{	/* SawBbv/bbv.scm 497 */
			{
				obj_t BgL_argsz00_2898;

				BgL_argsz00_2898 =
					(((BgL_rtl_insz00_bglt) COBJECT(BgL_insz00_2893))->BgL_argsz00);
			BgL_zc3z04anonymousza32209ze3z87_2899:
				if (NULLP(BgL_argsz00_2898))
					{	/* SawBbv/bbv.scm 485 */
						return BgL_insz00_2893;
					}
				else
					{	/* SawBbv/bbv.scm 487 */
						obj_t BgL_g1247z00_2901;

						BgL_g1247z00_2901 = CAR(((obj_t) BgL_argsz00_2898));
						{
							obj_t BgL_argz00_2903;

							BgL_argz00_2903 = BgL_g1247z00_2901;
						BgL_zc3z04anonymousza32211ze3z87_2904:
							{	/* SawBbv/bbv.scm 488 */
								bool_t BgL_test2659z00_5732;

								{	/* SawBbv/bbv.scm 488 */
									obj_t BgL_classz00_3875;

									BgL_classz00_3875 = BGl_rtl_insz00zzsaw_defsz00;
									if (BGL_OBJECTP(BgL_argz00_2903))
										{	/* SawBbv/bbv.scm 488 */
											BgL_objectz00_bglt BgL_arg1858z00_3877;

											BgL_arg1858z00_3877 =
												(BgL_objectz00_bglt) (BgL_argz00_2903);
											if (BGL_CONDEXPAND_ISA_ARCH64())
												{	/* SawBbv/bbv.scm 488 */
													long BgL_idxz00_3883;

													BgL_idxz00_3883 =
														BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_3877);
													BgL_test2659z00_5732 =
														(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
															(BgL_idxz00_3883 + 1L)) == BgL_classz00_3875);
												}
											else
												{	/* SawBbv/bbv.scm 488 */
													bool_t BgL_res2391z00_3908;

													{	/* SawBbv/bbv.scm 488 */
														obj_t BgL_oclassz00_3891;

														{	/* SawBbv/bbv.scm 488 */
															obj_t BgL_arg1866z00_3899;
															long BgL_arg1867z00_3900;

															BgL_arg1866z00_3899 =
																(BGl_za2classesza2z00zz__objectz00);
															{	/* SawBbv/bbv.scm 488 */
																long BgL_arg1869z00_3901;

																BgL_arg1869z00_3901 =
																	BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_3877);
																BgL_arg1867z00_3900 =
																	(BgL_arg1869z00_3901 - OBJECT_TYPE);
															}
															BgL_oclassz00_3891 =
																VECTOR_REF(BgL_arg1866z00_3899,
																BgL_arg1867z00_3900);
														}
														{	/* SawBbv/bbv.scm 488 */
															bool_t BgL__ortest_1115z00_3892;

															BgL__ortest_1115z00_3892 =
																(BgL_classz00_3875 == BgL_oclassz00_3891);
															if (BgL__ortest_1115z00_3892)
																{	/* SawBbv/bbv.scm 488 */
																	BgL_res2391z00_3908 =
																		BgL__ortest_1115z00_3892;
																}
															else
																{	/* SawBbv/bbv.scm 488 */
																	long BgL_odepthz00_3893;

																	{	/* SawBbv/bbv.scm 488 */
																		obj_t BgL_arg1855z00_3894;

																		BgL_arg1855z00_3894 = (BgL_oclassz00_3891);
																		BgL_odepthz00_3893 =
																			BGL_CLASS_DEPTH(BgL_arg1855z00_3894);
																	}
																	if ((1L < BgL_odepthz00_3893))
																		{	/* SawBbv/bbv.scm 488 */
																			obj_t BgL_arg1853z00_3896;

																			{	/* SawBbv/bbv.scm 488 */
																				obj_t BgL_arg1854z00_3897;

																				BgL_arg1854z00_3897 =
																					(BgL_oclassz00_3891);
																				BgL_arg1853z00_3896 =
																					BGL_CLASS_ANCESTORS_REF
																					(BgL_arg1854z00_3897, 1L);
																			}
																			BgL_res2391z00_3908 =
																				(BgL_arg1853z00_3896 ==
																				BgL_classz00_3875);
																		}
																	else
																		{	/* SawBbv/bbv.scm 488 */
																			BgL_res2391z00_3908 = ((bool_t) 0);
																		}
																}
														}
													}
													BgL_test2659z00_5732 = BgL_res2391z00_3908;
												}
										}
									else
										{	/* SawBbv/bbv.scm 488 */
											BgL_test2659z00_5732 = ((bool_t) 0);
										}
								}
								if (BgL_test2659z00_5732)
									{	/* SawBbv/bbv.scm 488 */
										if (BGl_rtl_inszd2movzf3z21zzsaw_bbvzd2typeszd2(
												((BgL_rtl_insz00_bglt) BgL_argz00_2903)))
											{	/* SawBbv/bbv.scm 491 */
												obj_t BgL_arg2214z00_2908;

												{	/* SawBbv/bbv.scm 491 */
													obj_t BgL_pairz00_3909;

													BgL_pairz00_3909 =
														(((BgL_rtl_insz00_bglt) COBJECT(
																((BgL_rtl_insz00_bglt) BgL_argz00_2903)))->
														BgL_argsz00);
													BgL_arg2214z00_2908 = CAR(BgL_pairz00_3909);
												}
												{
													obj_t BgL_argz00_5761;

													BgL_argz00_5761 = BgL_arg2214z00_2908;
													BgL_argz00_2903 = BgL_argz00_5761;
													goto BgL_zc3z04anonymousza32211ze3z87_2904;
												}
											}
										else
											{	/* SawBbv/bbv.scm 489 */
												BGl_removezd2inszd2tempsz12ze70zf5zzsaw_bbvz00(
													((BgL_rtl_insz00_bglt) BgL_argz00_2903));
												{	/* SawBbv/bbv.scm 494 */
													obj_t BgL_arg2216z00_2910;

													BgL_arg2216z00_2910 = CDR(((obj_t) BgL_argsz00_2898));
													{
														obj_t BgL_argsz00_5766;

														BgL_argsz00_5766 = BgL_arg2216z00_2910;
														BgL_argsz00_2898 = BgL_argsz00_5766;
														goto BgL_zc3z04anonymousza32209ze3z87_2899;
													}
												}
											}
									}
								else
									{	/* SawBbv/bbv.scm 488 */
										{	/* SawBbv/bbv.scm 496 */
											obj_t BgL_tmpz00_5767;

											BgL_tmpz00_5767 = ((obj_t) BgL_argsz00_2898);
											SET_CAR(BgL_tmpz00_5767, BgL_argz00_2903);
										}
										{	/* SawBbv/bbv.scm 497 */
											obj_t BgL_arg2217z00_2911;

											BgL_arg2217z00_2911 = CDR(((obj_t) BgL_argsz00_2898));
											{
												obj_t BgL_argsz00_5772;

												BgL_argsz00_5772 = BgL_arg2217z00_2911;
												BgL_argsz00_2898 = BgL_argsz00_5772;
												goto BgL_zc3z04anonymousza32209ze3z87_2899;
											}
										}
									}
							}
						}
					}
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzsaw_bbvz00(void)
	{
		{	/* SawBbv/bbv.scm 15 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzsaw_bbvz00(void)
	{
		{	/* SawBbv/bbv.scm 15 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzsaw_bbvz00(void)
	{
		{	/* SawBbv/bbv.scm 15 */
			return BUNSPEC;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzsaw_bbvz00(void)
	{
		{	/* SawBbv/bbv.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(54713316L,
				BSTRING_TO_STRING(BGl_string2430z00zzsaw_bbvz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(161876678L,
				BSTRING_TO_STRING(BGl_string2430z00zzsaw_bbvz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(90839984L,
				BSTRING_TO_STRING(BGl_string2430z00zzsaw_bbvz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(469732712L,
				BSTRING_TO_STRING(BGl_string2430z00zzsaw_bbvz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(515343395L,
				BSTRING_TO_STRING(BGl_string2430z00zzsaw_bbvz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(489890788L,
				BSTRING_TO_STRING(BGl_string2430z00zzsaw_bbvz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(365925558L,
				BSTRING_TO_STRING(BGl_string2430z00zzsaw_bbvz00));
			BGl_modulezd2initializa7ationz75zztools_speekz00(61247943L,
				BSTRING_TO_STRING(BGl_string2430z00zzsaw_bbvz00));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(216206620L,
				BSTRING_TO_STRING(BGl_string2430z00zzsaw_bbvz00));
			BGl_modulezd2initializa7ationz75zzsaw_libz00(57049157L,
				BSTRING_TO_STRING(BGl_string2430z00zzsaw_bbvz00));
			BGl_modulezd2initializa7ationz75zzsaw_defsz00(404844772L,
				BSTRING_TO_STRING(BGl_string2430z00zzsaw_bbvz00));
			BGl_modulezd2initializa7ationz75zzsaw_regsetz00(358079690L,
				BSTRING_TO_STRING(BGl_string2430z00zzsaw_bbvz00));
			BGl_modulezd2initializa7ationz75zzsaw_regutilsz00(237915200L,
				BSTRING_TO_STRING(BGl_string2430z00zzsaw_bbvz00));
			BGl_modulezd2initializa7ationz75zzsaw_bbvzd2configzd2(288263219L,
				BSTRING_TO_STRING(BGl_string2430z00zzsaw_bbvz00));
			BGl_modulezd2initializa7ationz75zzsaw_bbvzd2typeszd2(425659118L,
				BSTRING_TO_STRING(BGl_string2430z00zzsaw_bbvz00));
			BGl_modulezd2initializa7ationz75zzsaw_bbvzd2specializa7ez75(506937389L,
				BSTRING_TO_STRING(BGl_string2430z00zzsaw_bbvz00));
			BGl_modulezd2initializa7ationz75zzsaw_bbvzd2cachezd2(242097300L,
				BSTRING_TO_STRING(BGl_string2430z00zzsaw_bbvz00));
			BGl_modulezd2initializa7ationz75zzsaw_bbvzd2utilszd2(221709922L,
				BSTRING_TO_STRING(BGl_string2430z00zzsaw_bbvz00));
			BGl_modulezd2initializa7ationz75zzsaw_bbvzd2mergezd2(376575453L,
				BSTRING_TO_STRING(BGl_string2430z00zzsaw_bbvz00));
			BGl_modulezd2initializa7ationz75zzsaw_bbvzd2livenesszd2(156090797L,
				BSTRING_TO_STRING(BGl_string2430z00zzsaw_bbvz00));
			BGl_modulezd2initializa7ationz75zzsaw_bbvzd2optimzd2(154965736L,
				BSTRING_TO_STRING(BGl_string2430z00zzsaw_bbvz00));
			BGl_modulezd2initializa7ationz75zzsaw_bbvzd2debugzd2(120981929L,
				BSTRING_TO_STRING(BGl_string2430z00zzsaw_bbvz00));
			return
				BGl_modulezd2initializa7ationz75zzsaw_bbvzd2profilezd2(288620400L,
				BSTRING_TO_STRING(BGl_string2430z00zzsaw_bbvz00));
		}

	}

#ifdef __cplusplus
}
#endif
