/*===========================================================================*/
/*   (SawJvm/funcall.scm)                                                    */
/*   Bigloo (4.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Jan 27 07:45:49 AM CET 2025     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.6a/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.6a/lib/bigloo/4.6a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -stdc -indent SawJvm/funcall.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL_SAW_JVM_FUNCALL_TYPE_DEFINITIONS
#define BGL_SAW_JVM_FUNCALL_TYPE_DEFINITIONS

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_nullz00;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_qualifiedzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_backendz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
		bool_t BgL_boundzd2checkzd2;
		bool_t BgL_typezd2checkzd2;
		bool_t BgL_typedzd2funcallzd2;
		bool_t BgL_strictzd2typezd2castz00;
		bool_t BgL_forcezd2registerzd2gczd2rootszd2;
		bool_t BgL_stringzd2literalzd2supportz00;
		bool_t BgL_boxedzd2fixnumszd2;
		bool_t BgL_typedzd2closureszd2;
	}                 *BgL_backendz00_bglt;

	typedef struct BgL_jvmz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
		bool_t BgL_boundzd2checkzd2;
		bool_t BgL_typezd2checkzd2;
		bool_t BgL_typedzd2funcallzd2;
		bool_t BgL_strictzd2typezd2castz00;
		bool_t BgL_forcezd2registerzd2gczd2rootszd2;
		bool_t BgL_stringzd2literalzd2supportz00;
		bool_t BgL_boxedzd2fixnumszd2;
		bool_t BgL_typedzd2closureszd2;
		obj_t BgL_qnamez00;
		obj_t BgL_classesz00;
		obj_t BgL_currentzd2classzd2;
		obj_t BgL_declarationsz00;
		obj_t BgL_fieldsz00;
		obj_t BgL_methodsz00;
		obj_t BgL_currentzd2methodzd2;
		obj_t BgL_codez00;
		obj_t BgL_lightzd2funcallszd2;
		obj_t BgL_inlinez00;
	}             *BgL_jvmz00_bglt;

	typedef struct BgL_rtl_lightfuncallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		obj_t BgL_funsz00;
		obj_t BgL_rettypez00;
	}                          *BgL_rtl_lightfuncallz00_bglt;

	typedef struct BgL_indexedz00_bgl
	{
		int BgL_indexz00;
	}                 *BgL_indexedz00_bglt;


#endif													// BGL_SAW_JVM_FUNCALL_TYPE_DEFINITIONS
#endif													// BGL_MODULE_TYPE_DEFINITIONS

	static obj_t BGl_z62indexedzd2evalzf3z43zzsaw_jvm_funcallz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_indexedzd2removablezd2setz12z12zzsaw_jvm_funcallz00(BgL_globalz00_bglt,
		obj_t);
	static obj_t BGl_z62indexedzd2initzb0zzsaw_jvm_funcallz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_classzd2nilzd2initz12z12zz__objectz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_indexedzd2importzd2zzsaw_jvm_funcallz00(BgL_globalz00_bglt);
	BGL_EXPORTED_DECL BgL_globalz00_bglt
		BGl_indexedzd2nilzd2zzsaw_jvm_funcallz00(void);
	static obj_t BGl_requirezd2initializa7ationz75zzsaw_jvm_funcallz00 = BUNSPEC;
	static obj_t
		BGl_z62indexedzd2qualifiedzd2typezd2namezb0zzsaw_jvm_funcallz00(obj_t,
		obj_t);
	static obj_t BGl_compilezd2dispatchzd2zzsaw_jvm_funcallz00(BgL_jvmz00_bglt,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_indexedzd2fastzd2alphaz00zzsaw_jvm_funcallz00(BgL_globalz00_bglt);
	static obj_t BGl_getzd2labsze70z35zzsaw_jvm_funcallz00(long, obj_t, obj_t);
	static obj_t BGl_getzd2labsze71z35zzsaw_jvm_funcallz00(long, obj_t, obj_t);
	static obj_t BGl_getzd2labsze72z35zzsaw_jvm_funcallz00(long, obj_t);
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	extern obj_t BGl_pushzd2stringzd2zzsaw_jvm_outz00(BgL_jvmz00_bglt, obj_t);
	extern obj_t BGl_closezd2methodzd2zzsaw_jvm_outz00(BgL_jvmz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_indexedzd2aliaszd2zzsaw_jvm_funcallz00(BgL_globalz00_bglt);
	extern obj_t BGl_sfunz00zzast_varz00;
	BGL_EXPORTED_DECL obj_t
		BGl_indexedzd2pragmazd2setz12z12zzsaw_jvm_funcallz00(BgL_globalz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL int
		BGl_indexedzd2indexzd2zzsaw_jvm_funcallz00(BgL_globalz00_bglt);
	static obj_t BGl_xx_globalzd2arityze70z35zzsaw_jvm_funcallz00(BgL_jvmz00_bglt,
		obj_t);
	static obj_t BGl_z62indexedzd2evaluablezf3z43zzsaw_jvm_funcallz00(obj_t,
		obj_t);
	static obj_t BGl_z62indexedzd2indexzd2setz12z70zzsaw_jvm_funcallz00(obj_t,
		obj_t, obj_t);
	static bool_t BGl_keyzd2optzf3z21zzsaw_jvm_funcallz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_indexedzd2evalzf3zd2setz12ze1zzsaw_jvm_funcallz00(BgL_globalz00_bglt,
		bool_t);
	static BgL_valuez00_bglt BGl_z62indexedzd2valuezb0zzsaw_jvm_funcallz00(obj_t,
		obj_t);
	static obj_t BGl_z62indexedzd2removablezb0zzsaw_jvm_funcallz00(obj_t, obj_t);
	static obj_t BGl_z62indexedzd2userzf3z43zzsaw_jvm_funcallz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_indexedzd2qualifiedzd2typezd2namezd2setz12z12zzsaw_jvm_funcallz00
		(BgL_globalz00_bglt, obj_t);
	static obj_t BGl_genericzd2initzd2zzsaw_jvm_funcallz00(void);
	BGL_IMPORT obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
	static obj_t BGl_compilezd2forzd2applyz00zzsaw_jvm_funcallz00(obj_t, obj_t,
		obj_t);
	static BgL_globalz00_bglt BGl_z62makezd2indexedzb0zzsaw_jvm_funcallz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t,
		bool_t, bool_t, obj_t, obj_t, obj_t);
	static obj_t BGl_objectzd2initzd2zzsaw_jvm_funcallz00(void);
	static obj_t BGl_z62zc3z04anonymousza31949ze3ze5zzsaw_jvm_funcallz00(obj_t,
		obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_indexedzd2accesszd2setz12z12zzsaw_jvm_funcallz00(BgL_globalz00_bglt,
		obj_t);
	BGL_IMPORT obj_t BGl_2zb2zb2zz__r4_numbers_6_5z00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_2zd2zd2zz__r4_numbers_6_5z00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_indexedzd2namezd2setz12z12zzsaw_jvm_funcallz00(BgL_globalz00_bglt,
		obj_t);
	static obj_t
		BGl_z62indexedzd2occurrencewzd2setz12z70zzsaw_jvm_funcallz00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT bool_t BGl_2zd3zd3zz__r4_numbers_6_5z00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	BGL_IMPORT obj_t bgl_reverse_bang(obj_t);
	extern obj_t BGl_typez00zztype_typez00;
	extern obj_t BGl_compilezd2typezd2zzsaw_jvm_outz00(BgL_jvmz00_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_compilezd2applyzd2zzsaw_jvm_funcallz00(BgL_jvmz00_bglt,
		obj_t);
	BGL_IMPORT obj_t bgl_bignum_add(obj_t, obj_t);
	static BgL_globalz00_bglt BGl_z62indexedzd2nilzb0zzsaw_jvm_funcallz00(obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t
		BGl_z62indexedzd2evaluablezf3zd2setz12z83zzsaw_jvm_funcallz00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t bstring_to_symbol(obj_t);
	static obj_t BGl_z62modulezd2funcallzf2applyz42zzsaw_jvm_funcallz00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzsaw_jvm_funcallz00(void);
	static obj_t BGl_z62indexedzd2valuezd2setz12z70zzsaw_jvm_funcallz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62indexedzd2removablezd2setz12z70zzsaw_jvm_funcallz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_funcalliz00zzsaw_jvm_funcallz00(BgL_jvmz00_bglt, long,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_indexedzd2namezd2zzsaw_jvm_funcallz00(BgL_globalz00_bglt);
	static obj_t BGl_z62indexedzd2modulezd2setz12z70zzsaw_jvm_funcallz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_indexedzd2evalzf3z21zzsaw_jvm_funcallz00(BgL_globalz00_bglt);
	static obj_t
		BGl_z62indexedzd2qualifiedzd2typezd2namezd2setz12z70zzsaw_jvm_funcallz00
		(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2funcallzf2applyz20zzsaw_jvm_funcallz00(BgL_jvmz00_bglt);
	static obj_t BGl_z62zc3z04anonymousza32127ze3ze5zzsaw_jvm_funcallz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_indexedzd2aliaszd2setz12z12zzsaw_jvm_funcallz00(BgL_globalz00_bglt,
		obj_t);
	static obj_t BGl_z62indexedzd2occurrencezb0zzsaw_jvm_funcallz00(obj_t, obj_t);
	extern obj_t BGl_labelz00zzsaw_jvm_outz00(BgL_jvmz00_bglt, obj_t);
	BGL_IMPORT obj_t bgl_bignum_sub(obj_t, obj_t);
	static bool_t
		BGl_iszd2lightzd2procedurezf3zf3zzsaw_jvm_funcallz00(BgL_jvmz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_indexedzd2initzd2setz12z12zzsaw_jvm_funcallz00(BgL_globalz00_bglt,
		obj_t);
	BGL_IMPORT obj_t string_append(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_forzd2eachzd2zz__r4_control_features_6_9z00(obj_t,
		obj_t);
	BGL_IMPORT obj_t bgl_long_to_bignum(long);
	static obj_t BGl_funcallzd2lightzd2zzsaw_jvm_funcallz00(BgL_jvmz00_bglt,
		obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_zd2zd2zz__r4_numbers_6_5z00(obj_t, obj_t);
	static obj_t
		BGl_z62indexedzd2fastzd2alphazd2setz12za2zzsaw_jvm_funcallz00(obj_t, obj_t,
		obj_t);
	extern BgL_globalz00_bglt
		BGl_globalzd2entryzd2zzbackend_cplibz00(BgL_globalz00_bglt);
	static obj_t
		BGl_z62indexedzd2occurrencezd2setz12z70zzsaw_jvm_funcallz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_callzd2globalzd2zzsaw_jvm_outz00(BgL_jvmz00_bglt,
		BgL_globalz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_indexedzd2idzd2zzsaw_jvm_funcallz00(BgL_globalz00_bglt);
	extern bool_t BGl_globalzd2optionalzf3z21zzast_varz00(obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62indexedzd2pragmazb0zzsaw_jvm_funcallz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32073ze3ze5zzsaw_jvm_funcallz00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62indexedzd2accesszb0zzsaw_jvm_funcallz00(obj_t, obj_t);
	static obj_t BGl_z62indexedzf3z91zzsaw_jvm_funcallz00(obj_t, obj_t);
	static obj_t BGl_z62indexedzd2userzf3zd2setz12z83zzsaw_jvm_funcallz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	static bool_t BGl_neededzf3ze70z14zzsaw_jvm_funcallz00(long, BgL_jvmz00_bglt,
		obj_t);
	static obj_t BGl_z62indexedzd2idzb0zzsaw_jvm_funcallz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_indexedzd2occurrencewzd2setz12z12zzsaw_jvm_funcallz00
		(BgL_globalz00_bglt, long);
	BGL_EXPORTED_DECL BgL_valuez00_bglt
		BGl_indexedzd2valuezd2zzsaw_jvm_funcallz00(BgL_globalz00_bglt);
	BGL_EXPORTED_DECL bool_t
		BGl_indexedzd2userzf3z21zzsaw_jvm_funcallz00(BgL_globalz00_bglt);
	extern obj_t BGl_declarezd2globalzd2zzsaw_jvm_outz00(BgL_jvmz00_bglt,
		BgL_globalz00_bglt);
	static obj_t BGl_nameze70ze7zzsaw_jvm_funcallz00(long);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_indexedzd2typezd2zzsaw_jvm_funcallz00(BgL_globalz00_bglt);
	BGL_EXPORTED_DEF obj_t BGl_indexedz00zzsaw_jvm_funcallz00 = BUNSPEC;
	extern bool_t BGl_globalzd2keyzf3z21zzast_varz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_indexedzd2typezd2setz12z12zzsaw_jvm_funcallz00(BgL_globalz00_bglt,
		BgL_typez00_bglt);
	static BgL_globalz00_bglt BGl_z62lambda2122z62zzsaw_jvm_funcallz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static BgL_globalz00_bglt BGl_z62lambda2125z62zzsaw_jvm_funcallz00(obj_t,
		obj_t);
	static BgL_globalz00_bglt BGl_z62lambda2128z62zzsaw_jvm_funcallz00(obj_t,
		obj_t);
	static obj_t BGl_z62indexedzd2occurrencewzb0zzsaw_jvm_funcallz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzsaw_jvm_funcallz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_jvm_outz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_proceduresz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_defsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_cplibz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_libz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_jvm_classz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_bvmz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_slotsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bignumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_EXPORTED_DECL bool_t
		BGl_indexedzd2evaluablezf3z21zzsaw_jvm_funcallz00(BgL_globalz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_indexedzd2indexzd2setz12z12zzsaw_jvm_funcallz00(BgL_globalz00_bglt,
		int);
	BGL_EXPORTED_DECL obj_t
		BGl_indexedzd2initzd2zzsaw_jvm_funcallz00(BgL_globalz00_bglt);
	BGL_IMPORT obj_t BGl_sortz00zz__r4_vectors_6_8z00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31801ze3ze5zzsaw_jvm_funcallz00(obj_t,
		obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_indexedzd2modulezd2setz12z12zzsaw_jvm_funcallz00(BgL_globalz00_bglt,
		obj_t);
	static obj_t BGl_z62indexedzd2namezd2setz12z70zzsaw_jvm_funcallz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_indexedzd2srczd2setz12z12zzsaw_jvm_funcallz00(BgL_globalz00_bglt,
		obj_t);
	static obj_t BGl_z62lambda2135z62zzsaw_jvm_funcallz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2136z62zzsaw_jvm_funcallz00(obj_t, obj_t, obj_t);
	static obj_t BGl_compilezd2funizd2zzsaw_jvm_funcallz00(BgL_jvmz00_bglt, long,
		obj_t, obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(long,
		long);
	static obj_t BGl_z62indexedzd2fastzd2alphaz62zzsaw_jvm_funcallz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_indexedzd2srczd2zzsaw_jvm_funcallz00(BgL_globalz00_bglt);
	static obj_t BGl_Lze70ze7zzsaw_jvm_funcallz00(long);
	extern obj_t BGl_codez12z12zzsaw_jvm_outz00(BgL_jvmz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_indexedzd2pragmazd2zzsaw_jvm_funcallz00(BgL_globalz00_bglt);
	extern obj_t BGl_localz00zzast_varz00;
	static obj_t BGl_cnstzd2initzd2zzsaw_jvm_funcallz00(void);
	static obj_t BGl_libraryzd2moduleszd2initz00zzsaw_jvm_funcallz00(void);
	BGL_EXPORTED_DECL obj_t
		BGl_indexedzd2accesszd2zzsaw_jvm_funcallz00(BgL_globalz00_bglt);
	extern obj_t BGl_globalzd2arityzd2zzbackend_cplibz00(BgL_globalz00_bglt);
	BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t,
		long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzsaw_jvm_funcallz00(void);
	static obj_t BGl_gczd2rootszd2initz00zzsaw_jvm_funcallz00(void);
	static obj_t BGl_z62indexedzd2importzd2setz12z70zzsaw_jvm_funcallz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62indexedzd2evalzf3zd2setz12z83zzsaw_jvm_funcallz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62indexedzd2aliaszb0zzsaw_jvm_funcallz00(obj_t, obj_t);
	static obj_t BGl_z62indexedzd2indexzb0zzsaw_jvm_funcallz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_globalz00_bglt
		BGl_makezd2indexedzd2zzsaw_jvm_funcallz00(obj_t, obj_t, BgL_typez00_bglt,
		BgL_valuez00_bglt, obj_t, obj_t, obj_t, long, long, bool_t, obj_t, obj_t,
		bool_t, bool_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, int);
	static obj_t BGl_z62indexedzd2modulezb0zzsaw_jvm_funcallz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_indexedzd2valuezd2setz12z12zzsaw_jvm_funcallz00(BgL_globalz00_bglt,
		BgL_valuez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_indexedzd2removablezd2zzsaw_jvm_funcallz00(BgL_globalz00_bglt);
	static obj_t BGl_z62indexedzd2namezb0zzsaw_jvm_funcallz00(obj_t, obj_t);
	static obj_t BGl_z62indexedzd2srczd2setz12z70zzsaw_jvm_funcallz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_indexedzd2evaluablezf3zd2setz12ze1zzsaw_jvm_funcallz00
		(BgL_globalz00_bglt, bool_t);
	static obj_t BGl_getzd2typeze70z35zzsaw_jvm_funcallz00(obj_t);
	extern obj_t BGl_valuez00zzast_varz00;
	BGL_EXPORTED_DECL obj_t
		BGl_indexedzd2qualifiedzd2typezd2namezd2zzsaw_jvm_funcallz00
		(BgL_globalz00_bglt);
	BGL_EXPORTED_DECL bool_t BGl_indexedzf3zf3zzsaw_jvm_funcallz00(obj_t);
	static obj_t BGl_z62indexedzd2initzd2setz12z70zzsaw_jvm_funcallz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL long
		BGl_indexedzd2occurrencewzd2zzsaw_jvm_funcallz00(BgL_globalz00_bglt);
	BGL_IMPORT obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
	BGL_EXPORTED_DECL long
		BGl_indexedzd2occurrencezd2zzsaw_jvm_funcallz00(BgL_globalz00_bglt);
	static obj_t BGl_z62indexedzd2libraryzd2setz12z70zzsaw_jvm_funcallz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_openzd2libzd2methodz00zzsaw_jvm_outz00(BgL_jvmz00_bglt,
		obj_t);
	static obj_t BGl_z62indexedzd2importzb0zzsaw_jvm_funcallz00(obj_t, obj_t);
	extern obj_t BGl_declarezd2localszd2zzsaw_jvm_outz00(BgL_jvmz00_bglt, obj_t,
		obj_t);
	static obj_t BGl_z62indexedzd2pragmazd2setz12z70zzsaw_jvm_funcallz00(obj_t,
		obj_t, obj_t);
	static bool_t
		BGl_funcallzd2lightzd2switchz00zzsaw_jvm_funcallz00(BgL_jvmz00_bglt, obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_getzd2procedureszd2zzsaw_proceduresz00(obj_t);
	extern bool_t BGl_bigloozd2typezf3z21zztype_typez00(BgL_typez00_bglt);
	BGL_IMPORT bool_t BGl_2zc3zd3z10zz__r4_numbers_6_5z00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_classzd2superzd2zz__objectz00(obj_t);
	static obj_t BGl_z62indexedzd2srczb0zzsaw_jvm_funcallz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_indexedzd2libraryzd2setz12z12zzsaw_jvm_funcallz00(BgL_globalz00_bglt,
		obj_t);
	extern obj_t BGl_declarezd2methodzd2zzsaw_jvm_outz00(BgL_jvmz00_bglt, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62modulezd2lightzd2funcallz62zzsaw_jvm_funcallz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_indexedzd2libraryzd2zzsaw_jvm_funcallz00(BgL_globalz00_bglt);
	static obj_t BGl_z62indexedzd2libraryzb0zzsaw_jvm_funcallz00(obj_t, obj_t);
	static obj_t BGl_compilezd2forzd2funcalliz00zzsaw_jvm_funcallz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_indexedzd2userzf3zd2setz12ze1zzsaw_jvm_funcallz00(BgL_globalz00_bglt,
		bool_t);
	BGL_EXPORTED_DECL obj_t
		BGl_indexedzd2fastzd2alphazd2setz12zc0zzsaw_jvm_funcallz00
		(BgL_globalz00_bglt, obj_t);
	BGL_IMPORT bool_t BGl_2ze3zd3z30zz__r4_numbers_6_5z00(obj_t, obj_t);
	static obj_t BGl_z62indexedzd2typezd2setz12z70zzsaw_jvm_funcallz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_globalz00zzast_varz00;
	BGL_EXPORTED_DECL obj_t
		BGl_indexedzd2occurrencezd2setz12z12zzsaw_jvm_funcallz00(BgL_globalz00_bglt,
		long);
	BGL_EXPORTED_DECL obj_t
		BGl_indexedzd2modulezd2zzsaw_jvm_funcallz00(BgL_globalz00_bglt);
	static obj_t BGl_z62indexedzd2aliaszd2setz12z70zzsaw_jvm_funcallz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2lightzd2funcallz00zzsaw_jvm_funcallz00(BgL_jvmz00_bglt);
	static obj_t BGl_z62indexedzd2accesszd2setz12z70zzsaw_jvm_funcallz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_indexedzd2importzd2setz12z12zzsaw_jvm_funcallz00(BgL_globalz00_bglt,
		obj_t);
	static BgL_typez00_bglt BGl_z62indexedzd2typezb0zzsaw_jvm_funcallz00(obj_t,
		obj_t);
	static obj_t __cnst[55];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_indexedzd2userzf3zd2envzf3zzsaw_jvm_funcallz00,
		BgL_bgl_za762indexedza7d2use2278z00,
		BGl_z62indexedzd2userzf3z43zzsaw_jvm_funcallz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_indexedzd2evalzf3zd2setz12zd2envz33zzsaw_jvm_funcallz00,
		BgL_bgl_za762indexedza7d2eva2279z00,
		BGl_z62indexedzd2evalzf3zd2setz12z83zzsaw_jvm_funcallz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_indexedzd2fastzd2alphazd2setz12zd2envz12zzsaw_jvm_funcallz00,
		BgL_bgl_za762indexedza7d2fas2280z00,
		BGl_z62indexedzd2fastzd2alphazd2setz12za2zzsaw_jvm_funcallz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_indexedzd2occurrencezd2setz12zd2envzc0zzsaw_jvm_funcallz00,
		BgL_bgl_za762indexedza7d2occ2281z00,
		BGl_z62indexedzd2occurrencezd2setz12z70zzsaw_jvm_funcallz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_indexedzd2aliaszd2envz00zzsaw_jvm_funcallz00,
		BgL_bgl_za762indexedza7d2ali2282z00,
		BGl_z62indexedzd2aliaszb0zzsaw_jvm_funcallz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_indexedzd2pragmazd2setz12zd2envzc0zzsaw_jvm_funcallz00,
		BgL_bgl_za762indexedza7d2pra2283z00,
		BGl_z62indexedzd2pragmazd2setz12z70zzsaw_jvm_funcallz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_indexedzd2importzd2envz00zzsaw_jvm_funcallz00,
		BgL_bgl_za762indexedza7d2imp2284z00,
		BGl_z62indexedzd2importzb0zzsaw_jvm_funcallz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_indexedzd2removablezd2envz00zzsaw_jvm_funcallz00,
		BgL_bgl_za762indexedza7d2rem2285z00,
		BGl_z62indexedzd2removablezb0zzsaw_jvm_funcallz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_indexedzd2nilzd2envz00zzsaw_jvm_funcallz00,
		BgL_bgl_za762indexedza7d2nil2286z00,
		BGl_z62indexedzd2nilzb0zzsaw_jvm_funcallz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string2261z00zzsaw_jvm_funcallz00,
		BgL_bgl_string2261za700za7za7s2287za7, "unknown type", 12);
	      DEFINE_STRING(BGl_string2262z00zzsaw_jvm_funcallz00,
		BgL_bgl_string2262za700za7za7s2288za7, "funcall light", 13);
	      DEFINE_STRING(BGl_string2263z00zzsaw_jvm_funcallz00,
		BgL_bgl_string2263za700za7za7s2289za7, "internal error", 14);
	      DEFINE_STRING(BGl_string2264z00zzsaw_jvm_funcallz00,
		BgL_bgl_string2264za700za7za7s2290za7, "L", 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_indexedzd2namezd2envz00zzsaw_jvm_funcallz00,
		BgL_bgl_za762indexedza7d2nam2291z00,
		BGl_z62indexedzd2namezb0zzsaw_jvm_funcallz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2265z00zzsaw_jvm_funcallz00,
		BgL_bgl_string2265za700za7za7s2292za7, "funcall", 7);
	      DEFINE_STRING(BGl_string2266z00zzsaw_jvm_funcallz00,
		BgL_bgl_string2266za700za7za7s2293za7, "p", 1);
	      DEFINE_STRING(BGl_string2267z00zzsaw_jvm_funcallz00,
		BgL_bgl_string2267za700za7za7s2294za7, "make_vector", 11);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2indexedzd2envz00zzsaw_jvm_funcallz00,
		BgL_bgl_za762makeza7d2indexe2295z00,
		BGl_z62makezd2indexedzb0zzsaw_jvm_funcallz00, 0L, BUNSPEC, 21);
	      DEFINE_STRING(BGl_string2274z00zzsaw_jvm_funcallz00,
		BgL_bgl_string2274za700za7za7s2296za7, "", 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2268z00zzsaw_jvm_funcallz00,
		BgL_bgl_za762lambda2136za7622297z00,
		BGl_z62lambda2136z62zzsaw_jvm_funcallz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2275z00zzsaw_jvm_funcallz00,
		BgL_bgl_string2275za700za7za7s2298za7, "saw_jvm_funcall", 15);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2269z00zzsaw_jvm_funcallz00,
		BgL_bgl_za762lambda2135za7622299z00,
		BGl_z62lambda2135z62zzsaw_jvm_funcallz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2276z00zzsaw_jvm_funcallz00,
		BgL_bgl_string2276za700za7za7s2300za7,
		"_ saw_jvm_funcall indexed index (invokestatic list_to_vector) (astore l) (dup) (getfield cdr) (getfield car) (checkcast pair) (invokespecial papply) (aload l) (this l) apply #z1 (getstatic *nil*) invokestatic putstatic getstatic (pop) (invokestatic cons) invokespecial #z-1 (aload this) this light checkcast dload fload lload iload (athrow) (invokestatic fail) tableswitch err (areturn) (dreturn) double (freturn) float (lreturn) long (ireturn) int short char byte boolean (return) void compile-bad-type (getfield procindex) aload (private static) me ",
		551);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_indexedzd2libraryzd2envz00zzsaw_jvm_funcallz00,
		BgL_bgl_za762indexedza7d2lib2301z00,
		BGl_z62indexedzd2libraryzb0zzsaw_jvm_funcallz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2270z00zzsaw_jvm_funcallz00,
		BgL_bgl_za762lambda2128za7622302z00,
		BGl_z62lambda2128z62zzsaw_jvm_funcallz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2271z00zzsaw_jvm_funcallz00,
		BgL_bgl_za762za7c3za704anonymo2303za7,
		BGl_z62zc3z04anonymousza32127ze3ze5zzsaw_jvm_funcallz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2272z00zzsaw_jvm_funcallz00,
		BgL_bgl_za762lambda2125za7622304z00,
		BGl_z62lambda2125z62zzsaw_jvm_funcallz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2273z00zzsaw_jvm_funcallz00,
		BgL_bgl_za762lambda2122za7622305z00,
		BGl_z62lambda2122z62zzsaw_jvm_funcallz00, 0L, BUNSPEC, 21);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_indexedzd2qualifiedzd2typezd2namezd2setz12zd2envzc0zzsaw_jvm_funcallz00,
		BgL_bgl_za762indexedza7d2qua2306z00,
		BGl_z62indexedzd2qualifiedzd2typezd2namezd2setz12z70zzsaw_jvm_funcallz00,
		0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_indexedzd2evaluablezf3zd2envzf3zzsaw_jvm_funcallz00,
		BgL_bgl_za762indexedza7d2eva2307z00,
		BGl_z62indexedzd2evaluablezf3z43zzsaw_jvm_funcallz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_indexedzd2importzd2setz12zd2envzc0zzsaw_jvm_funcallz00,
		BgL_bgl_za762indexedza7d2imp2308z00,
		BGl_z62indexedzd2importzd2setz12z70zzsaw_jvm_funcallz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_indexedzd2namezd2setz12zd2envzc0zzsaw_jvm_funcallz00,
		BgL_bgl_za762indexedza7d2nam2309z00,
		BGl_z62indexedzd2namezd2setz12z70zzsaw_jvm_funcallz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_indexedzd2modulezd2setz12zd2envzc0zzsaw_jvm_funcallz00,
		BgL_bgl_za762indexedza7d2mod2310z00,
		BGl_z62indexedzd2modulezd2setz12z70zzsaw_jvm_funcallz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_indexedzd2srczd2envz00zzsaw_jvm_funcallz00,
		BgL_bgl_za762indexedza7d2src2311z00,
		BGl_z62indexedzd2srczb0zzsaw_jvm_funcallz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_indexedzd2valuezd2setz12zd2envzc0zzsaw_jvm_funcallz00,
		BgL_bgl_za762indexedza7d2val2312z00,
		BGl_z62indexedzd2valuezd2setz12z70zzsaw_jvm_funcallz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_indexedzd2pragmazd2envz00zzsaw_jvm_funcallz00,
		BgL_bgl_za762indexedza7d2pra2313z00,
		BGl_z62indexedzd2pragmazb0zzsaw_jvm_funcallz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_indexedzd2modulezd2envz00zzsaw_jvm_funcallz00,
		BgL_bgl_za762indexedza7d2mod2314z00,
		BGl_z62indexedzd2modulezb0zzsaw_jvm_funcallz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_indexedzd2accesszd2setz12zd2envzc0zzsaw_jvm_funcallz00,
		BgL_bgl_za762indexedza7d2acc2315z00,
		BGl_z62indexedzd2accesszd2setz12z70zzsaw_jvm_funcallz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_indexedzd2libraryzd2setz12zd2envzc0zzsaw_jvm_funcallz00,
		BgL_bgl_za762indexedza7d2lib2316z00,
		BGl_z62indexedzd2libraryzd2setz12z70zzsaw_jvm_funcallz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_indexedzd2occurrencewzd2setz12zd2envzc0zzsaw_jvm_funcallz00,
		BgL_bgl_za762indexedza7d2occ2317z00,
		BGl_z62indexedzd2occurrencewzd2setz12z70zzsaw_jvm_funcallz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_indexedzd2typezd2envz00zzsaw_jvm_funcallz00,
		BgL_bgl_za762indexedza7d2typ2318z00,
		BGl_z62indexedzd2typezb0zzsaw_jvm_funcallz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_indexedzd2occurrencewzd2envz00zzsaw_jvm_funcallz00,
		BgL_bgl_za762indexedza7d2occ2319z00,
		BGl_z62indexedzd2occurrencewzb0zzsaw_jvm_funcallz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_modulezd2lightzd2funcallzd2envzd2zzsaw_jvm_funcallz00,
		BgL_bgl_za762moduleza7d2ligh2320z00,
		BGl_z62modulezd2lightzd2funcallz62zzsaw_jvm_funcallz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_indexedzd2indexzd2setz12zd2envzc0zzsaw_jvm_funcallz00,
		BgL_bgl_za762indexedza7d2ind2321z00,
		BGl_z62indexedzd2indexzd2setz12z70zzsaw_jvm_funcallz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_indexedzd2srczd2setz12zd2envzc0zzsaw_jvm_funcallz00,
		BgL_bgl_za762indexedza7d2src2322z00,
		BGl_z62indexedzd2srczd2setz12z70zzsaw_jvm_funcallz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_indexedzd2aliaszd2setz12zd2envzc0zzsaw_jvm_funcallz00,
		BgL_bgl_za762indexedza7d2ali2323z00,
		BGl_z62indexedzd2aliaszd2setz12z70zzsaw_jvm_funcallz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_indexedzd2removablezd2setz12zd2envzc0zzsaw_jvm_funcallz00,
		BgL_bgl_za762indexedza7d2rem2324z00,
		BGl_z62indexedzd2removablezd2setz12z70zzsaw_jvm_funcallz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_indexedzd2qualifiedzd2typezd2namezd2envz00zzsaw_jvm_funcallz00,
		BgL_bgl_za762indexedza7d2qua2325z00,
		BGl_z62indexedzd2qualifiedzd2typezd2namezb0zzsaw_jvm_funcallz00, 0L,
		BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_indexedzd2accesszd2envz00zzsaw_jvm_funcallz00,
		BgL_bgl_za762indexedza7d2acc2326z00,
		BGl_z62indexedzd2accesszb0zzsaw_jvm_funcallz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_indexedzd2userzf3zd2setz12zd2envz33zzsaw_jvm_funcallz00,
		BgL_bgl_za762indexedza7d2use2327z00,
		BGl_z62indexedzd2userzf3zd2setz12z83zzsaw_jvm_funcallz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_indexedzd2occurrencezd2envz00zzsaw_jvm_funcallz00,
		BgL_bgl_za762indexedza7d2occ2328z00,
		BGl_z62indexedzd2occurrencezb0zzsaw_jvm_funcallz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_indexedzd2evaluablezf3zd2setz12zd2envz33zzsaw_jvm_funcallz00,
		BgL_bgl_za762indexedza7d2eva2329z00,
		BGl_z62indexedzd2evaluablezf3zd2setz12z83zzsaw_jvm_funcallz00, 0L, BUNSPEC,
		2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_indexedzf3zd2envz21zzsaw_jvm_funcallz00,
		BgL_bgl_za762indexedza7f3za7912330za7,
		BGl_z62indexedzf3z91zzsaw_jvm_funcallz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_indexedzd2typezd2setz12zd2envzc0zzsaw_jvm_funcallz00,
		BgL_bgl_za762indexedza7d2typ2331z00,
		BGl_z62indexedzd2typezd2setz12z70zzsaw_jvm_funcallz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_indexedzd2idzd2envz00zzsaw_jvm_funcallz00,
		BgL_bgl_za762indexedza7d2idza72332za7,
		BGl_z62indexedzd2idzb0zzsaw_jvm_funcallz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_indexedzd2initzd2envz00zzsaw_jvm_funcallz00,
		BgL_bgl_za762indexedza7d2ini2333z00,
		BGl_z62indexedzd2initzb0zzsaw_jvm_funcallz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_indexedzd2indexzd2envz00zzsaw_jvm_funcallz00,
		BgL_bgl_za762indexedza7d2ind2334z00,
		BGl_z62indexedzd2indexzb0zzsaw_jvm_funcallz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_indexedzd2valuezd2envz00zzsaw_jvm_funcallz00,
		BgL_bgl_za762indexedza7d2val2335z00,
		BGl_z62indexedzd2valuezb0zzsaw_jvm_funcallz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_indexedzd2initzd2setz12zd2envzc0zzsaw_jvm_funcallz00,
		BgL_bgl_za762indexedza7d2ini2336z00,
		BGl_z62indexedzd2initzd2setz12z70zzsaw_jvm_funcallz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_indexedzd2fastzd2alphazd2envzd2zzsaw_jvm_funcallz00,
		BgL_bgl_za762indexedza7d2fas2337z00,
		BGl_z62indexedzd2fastzd2alphaz62zzsaw_jvm_funcallz00, 0L, BUNSPEC, 1);
	BGL_IMPORT obj_t BGl_zc3zd2envz11zz__r4_numbers_6_5z00;
	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_indexedzd2evalzf3zd2envzf3zzsaw_jvm_funcallz00,
		BgL_bgl_za762indexedza7d2eva2338z00,
		BGl_z62indexedzd2evalzf3z43zzsaw_jvm_funcallz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_modulezd2funcallzf2applyzd2envzf2zzsaw_jvm_funcallz00,
		BgL_bgl_za762moduleza7d2func2339z00,
		BGl_z62modulezd2funcallzf2applyz42zzsaw_jvm_funcallz00, 0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zzsaw_jvm_funcallz00));
		     ADD_ROOT((void *) (&BGl_indexedz00zzsaw_jvm_funcallz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzsaw_jvm_funcallz00(long
		BgL_checksumz00_4571, char *BgL_fromz00_4572)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzsaw_jvm_funcallz00))
				{
					BGl_requirezd2initializa7ationz75zzsaw_jvm_funcallz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzsaw_jvm_funcallz00();
					BGl_libraryzd2moduleszd2initz00zzsaw_jvm_funcallz00();
					BGl_cnstzd2initzd2zzsaw_jvm_funcallz00();
					BGl_importedzd2moduleszd2initz00zzsaw_jvm_funcallz00();
					BGl_objectzd2initzd2zzsaw_jvm_funcallz00();
					return BGl_methodzd2initzd2zzsaw_jvm_funcallz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzsaw_jvm_funcallz00(void)
	{
		{	/* SawJvm/funcall.scm 1 */
			BGl_modulezd2initializa7ationz75zz__objectz00(0L, "saw_jvm_funcall");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(0L,
				"saw_jvm_funcall");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(0L,
				"saw_jvm_funcall");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(0L,
				"saw_jvm_funcall");
			BGl_modulezd2initializa7ationz75zz__readerz00(0L, "saw_jvm_funcall");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(0L,
				"saw_jvm_funcall");
			BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(0L,
				"saw_jvm_funcall");
			BGl_modulezd2initializa7ationz75zz__errorz00(0L, "saw_jvm_funcall");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(0L,
				"saw_jvm_funcall");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(0L,
				"saw_jvm_funcall");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(0L,
				"saw_jvm_funcall");
			BGl_modulezd2initializa7ationz75zz__bignumz00(0L, "saw_jvm_funcall");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(0L,
				"saw_jvm_funcall");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzsaw_jvm_funcallz00(void)
	{
		{	/* SawJvm/funcall.scm 1 */
			{	/* SawJvm/funcall.scm 1 */
				obj_t BgL_cportz00_4475;

				{	/* SawJvm/funcall.scm 1 */
					obj_t BgL_stringz00_4482;

					BgL_stringz00_4482 = BGl_string2276z00zzsaw_jvm_funcallz00;
					{	/* SawJvm/funcall.scm 1 */
						obj_t BgL_startz00_4483;

						BgL_startz00_4483 = BINT(0L);
						{	/* SawJvm/funcall.scm 1 */
							obj_t BgL_endz00_4484;

							BgL_endz00_4484 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_4482)));
							{	/* SawJvm/funcall.scm 1 */

								BgL_cportz00_4475 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_4482, BgL_startz00_4483, BgL_endz00_4484);
				}}}}
				{
					long BgL_iz00_4476;

					BgL_iz00_4476 = 54L;
				BgL_loopz00_4477:
					if ((BgL_iz00_4476 == (-1L)))
						{	/* SawJvm/funcall.scm 1 */
							return BUNSPEC;
						}
					else
						{	/* SawJvm/funcall.scm 1 */
							{	/* SawJvm/funcall.scm 1 */
								obj_t BgL_arg2277z00_4478;

								{	/* SawJvm/funcall.scm 1 */

									{	/* SawJvm/funcall.scm 1 */
										obj_t BgL_locationz00_4480;

										BgL_locationz00_4480 = BBOOL(((bool_t) 0));
										{	/* SawJvm/funcall.scm 1 */

											BgL_arg2277z00_4478 =
												BGl_readz00zz__readerz00(BgL_cportz00_4475,
												BgL_locationz00_4480);
										}
									}
								}
								{	/* SawJvm/funcall.scm 1 */
									int BgL_tmpz00_4604;

									BgL_tmpz00_4604 = (int) (BgL_iz00_4476);
									CNST_TABLE_SET(BgL_tmpz00_4604, BgL_arg2277z00_4478);
							}}
							{	/* SawJvm/funcall.scm 1 */
								int BgL_auxz00_4481;

								BgL_auxz00_4481 = (int) ((BgL_iz00_4476 - 1L));
								{
									long BgL_iz00_4609;

									BgL_iz00_4609 = (long) (BgL_auxz00_4481);
									BgL_iz00_4476 = BgL_iz00_4609;
									goto BgL_loopz00_4477;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzsaw_jvm_funcallz00(void)
	{
		{	/* SawJvm/funcall.scm 1 */
			return bgl_gc_roots_register();
		}

	}



/* make-indexed */
	BGL_EXPORTED_DEF BgL_globalz00_bglt
		BGl_makezd2indexedzd2zzsaw_jvm_funcallz00(obj_t BgL_id1184z00_3,
		obj_t BgL_name1185z00_4, BgL_typez00_bglt BgL_type1186z00_5,
		BgL_valuez00_bglt BgL_value1187z00_6, obj_t BgL_access1188z00_7,
		obj_t BgL_fastzd2alpha1189zd2_8, obj_t BgL_removable1190z00_9,
		long BgL_occurrence1191z00_10, long BgL_occurrencew1192z00_11,
		bool_t BgL_userzf31193zf3_12, obj_t BgL_module1194z00_13,
		obj_t BgL_import1195z00_14, bool_t BgL_evaluablezf31196zf3_15,
		bool_t BgL_evalzf31197zf3_16, obj_t BgL_library1198z00_17,
		obj_t BgL_pragma1199z00_18, obj_t BgL_src1200z00_19,
		obj_t BgL_qualifiedzd2typezd2name1201z00_20, obj_t BgL_init1202z00_21,
		obj_t BgL_alias1203z00_22, int BgL_index1204z00_23)
	{
		{	/* SawJvm/funcall.sch 62 */
			{	/* SawJvm/funcall.sch 62 */
				BgL_globalz00_bglt BgL_new1186z00_4486;

				{	/* SawJvm/funcall.sch 62 */
					BgL_globalz00_bglt BgL_tmp1183z00_4487;
					BgL_indexedz00_bglt BgL_wide1184z00_4488;

					{
						BgL_globalz00_bglt BgL_auxz00_4612;

						{	/* SawJvm/funcall.sch 62 */
							BgL_globalz00_bglt BgL_new1182z00_4489;

							BgL_new1182z00_4489 =
								((BgL_globalz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_globalz00_bgl))));
							{	/* SawJvm/funcall.sch 62 */
								long BgL_arg1673z00_4490;

								BgL_arg1673z00_4490 = BGL_CLASS_NUM(BGl_globalz00zzast_varz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1182z00_4489),
									BgL_arg1673z00_4490);
							}
							{	/* SawJvm/funcall.sch 62 */
								BgL_objectz00_bglt BgL_tmpz00_4617;

								BgL_tmpz00_4617 = ((BgL_objectz00_bglt) BgL_new1182z00_4489);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4617, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1182z00_4489);
							BgL_auxz00_4612 = BgL_new1182z00_4489;
						}
						BgL_tmp1183z00_4487 = ((BgL_globalz00_bglt) BgL_auxz00_4612);
					}
					BgL_wide1184z00_4488 =
						((BgL_indexedz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_indexedz00_bgl))));
					{	/* SawJvm/funcall.sch 62 */
						obj_t BgL_auxz00_4625;
						BgL_objectz00_bglt BgL_tmpz00_4623;

						BgL_auxz00_4625 = ((obj_t) BgL_wide1184z00_4488);
						BgL_tmpz00_4623 = ((BgL_objectz00_bglt) BgL_tmp1183z00_4487);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4623, BgL_auxz00_4625);
					}
					((BgL_objectz00_bglt) BgL_tmp1183z00_4487);
					{	/* SawJvm/funcall.sch 62 */
						long BgL_arg1664z00_4491;

						BgL_arg1664z00_4491 =
							BGL_CLASS_NUM(BGl_indexedz00zzsaw_jvm_funcallz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1183z00_4487), BgL_arg1664z00_4491);
					}
					BgL_new1186z00_4486 = ((BgL_globalz00_bglt) BgL_tmp1183z00_4487);
				}
				((((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt) BgL_new1186z00_4486)))->BgL_idz00) =
					((obj_t) BgL_id1184z00_3), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1186z00_4486)))->BgL_namez00) =
					((obj_t) BgL_name1185z00_4), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1186z00_4486)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1186z00_5), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1186z00_4486)))->BgL_valuez00) =
					((BgL_valuez00_bglt) BgL_value1187z00_6), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1186z00_4486)))->BgL_accessz00) =
					((obj_t) BgL_access1188z00_7), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1186z00_4486)))->BgL_fastzd2alphazd2) =
					((obj_t) BgL_fastzd2alpha1189zd2_8), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1186z00_4486)))->BgL_removablez00) =
					((obj_t) BgL_removable1190z00_9), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1186z00_4486)))->BgL_occurrencez00) =
					((long) BgL_occurrence1191z00_10), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1186z00_4486)))->BgL_occurrencewz00) =
					((long) BgL_occurrencew1192z00_11), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1186z00_4486)))->BgL_userzf3zf3) =
					((bool_t) BgL_userzf31193zf3_12), BUNSPEC);
				((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
									BgL_new1186z00_4486)))->BgL_modulez00) =
					((obj_t) BgL_module1194z00_13), BUNSPEC);
				((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
									BgL_new1186z00_4486)))->BgL_importz00) =
					((obj_t) BgL_import1195z00_14), BUNSPEC);
				((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
									BgL_new1186z00_4486)))->BgL_evaluablezf3zf3) =
					((bool_t) BgL_evaluablezf31196zf3_15), BUNSPEC);
				((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
									BgL_new1186z00_4486)))->BgL_evalzf3zf3) =
					((bool_t) BgL_evalzf31197zf3_16), BUNSPEC);
				((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
									BgL_new1186z00_4486)))->BgL_libraryz00) =
					((obj_t) BgL_library1198z00_17), BUNSPEC);
				((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
									BgL_new1186z00_4486)))->BgL_pragmaz00) =
					((obj_t) BgL_pragma1199z00_18), BUNSPEC);
				((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
									BgL_new1186z00_4486)))->BgL_srcz00) =
					((obj_t) BgL_src1200z00_19), BUNSPEC);
				((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
									BgL_new1186z00_4486)))->BgL_qualifiedzd2typezd2namez00) =
					((obj_t) BgL_qualifiedzd2typezd2name1201z00_20), BUNSPEC);
				((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
									BgL_new1186z00_4486)))->BgL_initz00) =
					((obj_t) BgL_init1202z00_21), BUNSPEC);
				((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
									BgL_new1186z00_4486)))->BgL_aliasz00) =
					((obj_t) BgL_alias1203z00_22), BUNSPEC);
				{
					BgL_indexedz00_bglt BgL_auxz00_4673;

					{
						obj_t BgL_auxz00_4674;

						{	/* SawJvm/funcall.sch 62 */
							BgL_objectz00_bglt BgL_tmpz00_4675;

							BgL_tmpz00_4675 = ((BgL_objectz00_bglt) BgL_new1186z00_4486);
							BgL_auxz00_4674 = BGL_OBJECT_WIDENING(BgL_tmpz00_4675);
						}
						BgL_auxz00_4673 = ((BgL_indexedz00_bglt) BgL_auxz00_4674);
					}
					((((BgL_indexedz00_bglt) COBJECT(BgL_auxz00_4673))->BgL_indexz00) =
						((int) BgL_index1204z00_23), BUNSPEC);
				}
				return BgL_new1186z00_4486;
			}
		}

	}



/* &make-indexed */
	BgL_globalz00_bglt BGl_z62makezd2indexedzb0zzsaw_jvm_funcallz00(obj_t
		BgL_envz00_4278, obj_t BgL_id1184z00_4279, obj_t BgL_name1185z00_4280,
		obj_t BgL_type1186z00_4281, obj_t BgL_value1187z00_4282,
		obj_t BgL_access1188z00_4283, obj_t BgL_fastzd2alpha1189zd2_4284,
		obj_t BgL_removable1190z00_4285, obj_t BgL_occurrence1191z00_4286,
		obj_t BgL_occurrencew1192z00_4287, obj_t BgL_userzf31193zf3_4288,
		obj_t BgL_module1194z00_4289, obj_t BgL_import1195z00_4290,
		obj_t BgL_evaluablezf31196zf3_4291, obj_t BgL_evalzf31197zf3_4292,
		obj_t BgL_library1198z00_4293, obj_t BgL_pragma1199z00_4294,
		obj_t BgL_src1200z00_4295, obj_t BgL_qualifiedzd2typezd2name1201z00_4296,
		obj_t BgL_init1202z00_4297, obj_t BgL_alias1203z00_4298,
		obj_t BgL_index1204z00_4299)
	{
		{	/* SawJvm/funcall.sch 62 */
			return
				BGl_makezd2indexedzd2zzsaw_jvm_funcallz00(BgL_id1184z00_4279,
				BgL_name1185z00_4280, ((BgL_typez00_bglt) BgL_type1186z00_4281),
				((BgL_valuez00_bglt) BgL_value1187z00_4282), BgL_access1188z00_4283,
				BgL_fastzd2alpha1189zd2_4284, BgL_removable1190z00_4285,
				(long) CINT(BgL_occurrence1191z00_4286),
				(long) CINT(BgL_occurrencew1192z00_4287),
				CBOOL(BgL_userzf31193zf3_4288), BgL_module1194z00_4289,
				BgL_import1195z00_4290, CBOOL(BgL_evaluablezf31196zf3_4291),
				CBOOL(BgL_evalzf31197zf3_4292), BgL_library1198z00_4293,
				BgL_pragma1199z00_4294, BgL_src1200z00_4295,
				BgL_qualifiedzd2typezd2name1201z00_4296, BgL_init1202z00_4297,
				BgL_alias1203z00_4298, CINT(BgL_index1204z00_4299));
		}

	}



/* indexed? */
	BGL_EXPORTED_DEF bool_t BGl_indexedzf3zf3zzsaw_jvm_funcallz00(obj_t
		BgL_objz00_24)
	{
		{	/* SawJvm/funcall.sch 63 */
			{	/* SawJvm/funcall.sch 63 */
				obj_t BgL_classz00_4492;

				BgL_classz00_4492 = BGl_indexedz00zzsaw_jvm_funcallz00;
				if (BGL_OBJECTP(BgL_objz00_24))
					{	/* SawJvm/funcall.sch 63 */
						BgL_objectz00_bglt BgL_arg1858z00_4493;

						BgL_arg1858z00_4493 = (BgL_objectz00_bglt) (BgL_objz00_24);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* SawJvm/funcall.sch 63 */
								long BgL_idxz00_4494;

								BgL_idxz00_4494 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_4493);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_4494 + 3L)) == BgL_classz00_4492);
							}
						else
							{	/* SawJvm/funcall.sch 63 */
								bool_t BgL_res2249z00_4497;

								{	/* SawJvm/funcall.sch 63 */
									obj_t BgL_oclassz00_4498;

									{	/* SawJvm/funcall.sch 63 */
										obj_t BgL_arg1866z00_4499;
										long BgL_arg1867z00_4500;

										BgL_arg1866z00_4499 = (BGl_za2classesza2z00zz__objectz00);
										{	/* SawJvm/funcall.sch 63 */
											long BgL_arg1869z00_4501;

											BgL_arg1869z00_4501 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_4493);
											BgL_arg1867z00_4500 = (BgL_arg1869z00_4501 - OBJECT_TYPE);
										}
										BgL_oclassz00_4498 =
											VECTOR_REF(BgL_arg1866z00_4499, BgL_arg1867z00_4500);
									}
									{	/* SawJvm/funcall.sch 63 */
										bool_t BgL__ortest_1115z00_4502;

										BgL__ortest_1115z00_4502 =
											(BgL_classz00_4492 == BgL_oclassz00_4498);
										if (BgL__ortest_1115z00_4502)
											{	/* SawJvm/funcall.sch 63 */
												BgL_res2249z00_4497 = BgL__ortest_1115z00_4502;
											}
										else
											{	/* SawJvm/funcall.sch 63 */
												long BgL_odepthz00_4503;

												{	/* SawJvm/funcall.sch 63 */
													obj_t BgL_arg1855z00_4504;

													BgL_arg1855z00_4504 = (BgL_oclassz00_4498);
													BgL_odepthz00_4503 =
														BGL_CLASS_DEPTH(BgL_arg1855z00_4504);
												}
												if ((3L < BgL_odepthz00_4503))
													{	/* SawJvm/funcall.sch 63 */
														obj_t BgL_arg1853z00_4505;

														{	/* SawJvm/funcall.sch 63 */
															obj_t BgL_arg1854z00_4506;

															BgL_arg1854z00_4506 = (BgL_oclassz00_4498);
															BgL_arg1853z00_4505 =
																BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_4506,
																3L);
														}
														BgL_res2249z00_4497 =
															(BgL_arg1853z00_4505 == BgL_classz00_4492);
													}
												else
													{	/* SawJvm/funcall.sch 63 */
														BgL_res2249z00_4497 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res2249z00_4497;
							}
					}
				else
					{	/* SawJvm/funcall.sch 63 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &indexed? */
	obj_t BGl_z62indexedzf3z91zzsaw_jvm_funcallz00(obj_t BgL_envz00_4300,
		obj_t BgL_objz00_4301)
	{
		{	/* SawJvm/funcall.sch 63 */
			return BBOOL(BGl_indexedzf3zf3zzsaw_jvm_funcallz00(BgL_objz00_4301));
		}

	}



/* indexed-nil */
	BGL_EXPORTED_DEF BgL_globalz00_bglt
		BGl_indexedzd2nilzd2zzsaw_jvm_funcallz00(void)
	{
		{	/* SawJvm/funcall.sch 64 */
			{	/* SawJvm/funcall.sch 64 */
				obj_t BgL_classz00_3736;

				BgL_classz00_3736 = BGl_indexedz00zzsaw_jvm_funcallz00;
				{	/* SawJvm/funcall.sch 64 */
					obj_t BgL__ortest_1117z00_3737;

					BgL__ortest_1117z00_3737 = BGL_CLASS_NIL(BgL_classz00_3736);
					if (CBOOL(BgL__ortest_1117z00_3737))
						{	/* SawJvm/funcall.sch 64 */
							return ((BgL_globalz00_bglt) BgL__ortest_1117z00_3737);
						}
					else
						{	/* SawJvm/funcall.sch 64 */
							return
								((BgL_globalz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_3736));
						}
				}
			}
		}

	}



/* &indexed-nil */
	BgL_globalz00_bglt BGl_z62indexedzd2nilzb0zzsaw_jvm_funcallz00(obj_t
		BgL_envz00_4302)
	{
		{	/* SawJvm/funcall.sch 64 */
			return BGl_indexedzd2nilzd2zzsaw_jvm_funcallz00();
		}

	}



/* indexed-index */
	BGL_EXPORTED_DEF int
		BGl_indexedzd2indexzd2zzsaw_jvm_funcallz00(BgL_globalz00_bglt BgL_oz00_25)
	{
		{	/* SawJvm/funcall.sch 65 */
			{
				BgL_indexedz00_bglt BgL_auxz00_4720;

				{
					obj_t BgL_auxz00_4721;

					{	/* SawJvm/funcall.sch 65 */
						BgL_objectz00_bglt BgL_tmpz00_4722;

						BgL_tmpz00_4722 = ((BgL_objectz00_bglt) BgL_oz00_25);
						BgL_auxz00_4721 = BGL_OBJECT_WIDENING(BgL_tmpz00_4722);
					}
					BgL_auxz00_4720 = ((BgL_indexedz00_bglt) BgL_auxz00_4721);
				}
				return (((BgL_indexedz00_bglt) COBJECT(BgL_auxz00_4720))->BgL_indexz00);
			}
		}

	}



/* &indexed-index */
	obj_t BGl_z62indexedzd2indexzb0zzsaw_jvm_funcallz00(obj_t BgL_envz00_4303,
		obj_t BgL_oz00_4304)
	{
		{	/* SawJvm/funcall.sch 65 */
			return
				BINT(BGl_indexedzd2indexzd2zzsaw_jvm_funcallz00(
					((BgL_globalz00_bglt) BgL_oz00_4304)));
		}

	}



/* indexed-index-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_indexedzd2indexzd2setz12z12zzsaw_jvm_funcallz00(BgL_globalz00_bglt
		BgL_oz00_26, int BgL_vz00_27)
	{
		{	/* SawJvm/funcall.sch 66 */
			{
				BgL_indexedz00_bglt BgL_auxz00_4730;

				{
					obj_t BgL_auxz00_4731;

					{	/* SawJvm/funcall.sch 66 */
						BgL_objectz00_bglt BgL_tmpz00_4732;

						BgL_tmpz00_4732 = ((BgL_objectz00_bglt) BgL_oz00_26);
						BgL_auxz00_4731 = BGL_OBJECT_WIDENING(BgL_tmpz00_4732);
					}
					BgL_auxz00_4730 = ((BgL_indexedz00_bglt) BgL_auxz00_4731);
				}
				return
					((((BgL_indexedz00_bglt) COBJECT(BgL_auxz00_4730))->BgL_indexz00) =
					((int) BgL_vz00_27), BUNSPEC);
		}}

	}



/* &indexed-index-set! */
	obj_t BGl_z62indexedzd2indexzd2setz12z70zzsaw_jvm_funcallz00(obj_t
		BgL_envz00_4305, obj_t BgL_oz00_4306, obj_t BgL_vz00_4307)
	{
		{	/* SawJvm/funcall.sch 66 */
			return
				BGl_indexedzd2indexzd2setz12z12zzsaw_jvm_funcallz00(
				((BgL_globalz00_bglt) BgL_oz00_4306), CINT(BgL_vz00_4307));
		}

	}



/* indexed-alias */
	BGL_EXPORTED_DEF obj_t
		BGl_indexedzd2aliaszd2zzsaw_jvm_funcallz00(BgL_globalz00_bglt BgL_oz00_28)
	{
		{	/* SawJvm/funcall.sch 67 */
			return
				(((BgL_globalz00_bglt) COBJECT(
						((BgL_globalz00_bglt) BgL_oz00_28)))->BgL_aliasz00);
		}

	}



/* &indexed-alias */
	obj_t BGl_z62indexedzd2aliaszb0zzsaw_jvm_funcallz00(obj_t BgL_envz00_4308,
		obj_t BgL_oz00_4309)
	{
		{	/* SawJvm/funcall.sch 67 */
			return
				BGl_indexedzd2aliaszd2zzsaw_jvm_funcallz00(
				((BgL_globalz00_bglt) BgL_oz00_4309));
		}

	}



/* indexed-alias-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_indexedzd2aliaszd2setz12z12zzsaw_jvm_funcallz00(BgL_globalz00_bglt
		BgL_oz00_29, obj_t BgL_vz00_30)
	{
		{	/* SawJvm/funcall.sch 68 */
			return
				((((BgL_globalz00_bglt) COBJECT(
							((BgL_globalz00_bglt) BgL_oz00_29)))->BgL_aliasz00) =
				((obj_t) BgL_vz00_30), BUNSPEC);
		}

	}



/* &indexed-alias-set! */
	obj_t BGl_z62indexedzd2aliaszd2setz12z70zzsaw_jvm_funcallz00(obj_t
		BgL_envz00_4310, obj_t BgL_oz00_4311, obj_t BgL_vz00_4312)
	{
		{	/* SawJvm/funcall.sch 68 */
			return
				BGl_indexedzd2aliaszd2setz12z12zzsaw_jvm_funcallz00(
				((BgL_globalz00_bglt) BgL_oz00_4311), BgL_vz00_4312);
		}

	}



/* indexed-init */
	BGL_EXPORTED_DEF obj_t
		BGl_indexedzd2initzd2zzsaw_jvm_funcallz00(BgL_globalz00_bglt BgL_oz00_31)
	{
		{	/* SawJvm/funcall.sch 69 */
			return
				(((BgL_globalz00_bglt) COBJECT(
						((BgL_globalz00_bglt) BgL_oz00_31)))->BgL_initz00);
		}

	}



/* &indexed-init */
	obj_t BGl_z62indexedzd2initzb0zzsaw_jvm_funcallz00(obj_t BgL_envz00_4313,
		obj_t BgL_oz00_4314)
	{
		{	/* SawJvm/funcall.sch 69 */
			return
				BGl_indexedzd2initzd2zzsaw_jvm_funcallz00(
				((BgL_globalz00_bglt) BgL_oz00_4314));
		}

	}



/* indexed-init-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_indexedzd2initzd2setz12z12zzsaw_jvm_funcallz00(BgL_globalz00_bglt
		BgL_oz00_32, obj_t BgL_vz00_33)
	{
		{	/* SawJvm/funcall.sch 70 */
			return
				((((BgL_globalz00_bglt) COBJECT(
							((BgL_globalz00_bglt) BgL_oz00_32)))->BgL_initz00) =
				((obj_t) BgL_vz00_33), BUNSPEC);
		}

	}



/* &indexed-init-set! */
	obj_t BGl_z62indexedzd2initzd2setz12z70zzsaw_jvm_funcallz00(obj_t
		BgL_envz00_4315, obj_t BgL_oz00_4316, obj_t BgL_vz00_4317)
	{
		{	/* SawJvm/funcall.sch 70 */
			return
				BGl_indexedzd2initzd2setz12z12zzsaw_jvm_funcallz00(
				((BgL_globalz00_bglt) BgL_oz00_4316), BgL_vz00_4317);
		}

	}



/* indexed-qualified-type-name */
	BGL_EXPORTED_DEF obj_t
		BGl_indexedzd2qualifiedzd2typezd2namezd2zzsaw_jvm_funcallz00
		(BgL_globalz00_bglt BgL_oz00_34)
	{
		{	/* SawJvm/funcall.sch 71 */
			return
				(((BgL_globalz00_bglt) COBJECT(
						((BgL_globalz00_bglt) BgL_oz00_34)))->
				BgL_qualifiedzd2typezd2namez00);
		}

	}



/* &indexed-qualified-type-name */
	obj_t BGl_z62indexedzd2qualifiedzd2typezd2namezb0zzsaw_jvm_funcallz00(obj_t
		BgL_envz00_4318, obj_t BgL_oz00_4319)
	{
		{	/* SawJvm/funcall.sch 71 */
			return
				BGl_indexedzd2qualifiedzd2typezd2namezd2zzsaw_jvm_funcallz00(
				((BgL_globalz00_bglt) BgL_oz00_4319));
		}

	}



/* indexed-qualified-type-name-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_indexedzd2qualifiedzd2typezd2namezd2setz12z12zzsaw_jvm_funcallz00
		(BgL_globalz00_bglt BgL_oz00_35, obj_t BgL_vz00_36)
	{
		{	/* SawJvm/funcall.sch 72 */
			return
				((((BgL_globalz00_bglt) COBJECT(
							((BgL_globalz00_bglt) BgL_oz00_35)))->
					BgL_qualifiedzd2typezd2namez00) = ((obj_t) BgL_vz00_36), BUNSPEC);
		}

	}



/* &indexed-qualified-type-name-set! */
	obj_t
		BGl_z62indexedzd2qualifiedzd2typezd2namezd2setz12z70zzsaw_jvm_funcallz00
		(obj_t BgL_envz00_4320, obj_t BgL_oz00_4321, obj_t BgL_vz00_4322)
	{
		{	/* SawJvm/funcall.sch 72 */
			return
				BGl_indexedzd2qualifiedzd2typezd2namezd2setz12z12zzsaw_jvm_funcallz00(
				((BgL_globalz00_bglt) BgL_oz00_4321), BgL_vz00_4322);
		}

	}



/* indexed-src */
	BGL_EXPORTED_DEF obj_t
		BGl_indexedzd2srczd2zzsaw_jvm_funcallz00(BgL_globalz00_bglt BgL_oz00_37)
	{
		{	/* SawJvm/funcall.sch 73 */
			return
				(((BgL_globalz00_bglt) COBJECT(
						((BgL_globalz00_bglt) BgL_oz00_37)))->BgL_srcz00);
		}

	}



/* &indexed-src */
	obj_t BGl_z62indexedzd2srczb0zzsaw_jvm_funcallz00(obj_t BgL_envz00_4323,
		obj_t BgL_oz00_4324)
	{
		{	/* SawJvm/funcall.sch 73 */
			return
				BGl_indexedzd2srczd2zzsaw_jvm_funcallz00(
				((BgL_globalz00_bglt) BgL_oz00_4324));
		}

	}



/* indexed-src-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_indexedzd2srczd2setz12z12zzsaw_jvm_funcallz00(BgL_globalz00_bglt
		BgL_oz00_38, obj_t BgL_vz00_39)
	{
		{	/* SawJvm/funcall.sch 74 */
			return
				((((BgL_globalz00_bglt) COBJECT(
							((BgL_globalz00_bglt) BgL_oz00_38)))->BgL_srcz00) =
				((obj_t) BgL_vz00_39), BUNSPEC);
		}

	}



/* &indexed-src-set! */
	obj_t BGl_z62indexedzd2srczd2setz12z70zzsaw_jvm_funcallz00(obj_t
		BgL_envz00_4325, obj_t BgL_oz00_4326, obj_t BgL_vz00_4327)
	{
		{	/* SawJvm/funcall.sch 74 */
			return
				BGl_indexedzd2srczd2setz12z12zzsaw_jvm_funcallz00(
				((BgL_globalz00_bglt) BgL_oz00_4326), BgL_vz00_4327);
		}

	}



/* indexed-pragma */
	BGL_EXPORTED_DEF obj_t
		BGl_indexedzd2pragmazd2zzsaw_jvm_funcallz00(BgL_globalz00_bglt BgL_oz00_40)
	{
		{	/* SawJvm/funcall.sch 75 */
			return
				(((BgL_globalz00_bglt) COBJECT(
						((BgL_globalz00_bglt) BgL_oz00_40)))->BgL_pragmaz00);
		}

	}



/* &indexed-pragma */
	obj_t BGl_z62indexedzd2pragmazb0zzsaw_jvm_funcallz00(obj_t BgL_envz00_4328,
		obj_t BgL_oz00_4329)
	{
		{	/* SawJvm/funcall.sch 75 */
			return
				BGl_indexedzd2pragmazd2zzsaw_jvm_funcallz00(
				((BgL_globalz00_bglt) BgL_oz00_4329));
		}

	}



/* indexed-pragma-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_indexedzd2pragmazd2setz12z12zzsaw_jvm_funcallz00(BgL_globalz00_bglt
		BgL_oz00_41, obj_t BgL_vz00_42)
	{
		{	/* SawJvm/funcall.sch 76 */
			return
				((((BgL_globalz00_bglt) COBJECT(
							((BgL_globalz00_bglt) BgL_oz00_41)))->BgL_pragmaz00) =
				((obj_t) BgL_vz00_42), BUNSPEC);
		}

	}



/* &indexed-pragma-set! */
	obj_t BGl_z62indexedzd2pragmazd2setz12z70zzsaw_jvm_funcallz00(obj_t
		BgL_envz00_4330, obj_t BgL_oz00_4331, obj_t BgL_vz00_4332)
	{
		{	/* SawJvm/funcall.sch 76 */
			return
				BGl_indexedzd2pragmazd2setz12z12zzsaw_jvm_funcallz00(
				((BgL_globalz00_bglt) BgL_oz00_4331), BgL_vz00_4332);
		}

	}



/* indexed-library */
	BGL_EXPORTED_DEF obj_t
		BGl_indexedzd2libraryzd2zzsaw_jvm_funcallz00(BgL_globalz00_bglt BgL_oz00_43)
	{
		{	/* SawJvm/funcall.sch 77 */
			return
				(((BgL_globalz00_bglt) COBJECT(
						((BgL_globalz00_bglt) BgL_oz00_43)))->BgL_libraryz00);
		}

	}



/* &indexed-library */
	obj_t BGl_z62indexedzd2libraryzb0zzsaw_jvm_funcallz00(obj_t BgL_envz00_4333,
		obj_t BgL_oz00_4334)
	{
		{	/* SawJvm/funcall.sch 77 */
			return
				BGl_indexedzd2libraryzd2zzsaw_jvm_funcallz00(
				((BgL_globalz00_bglt) BgL_oz00_4334));
		}

	}



/* indexed-library-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_indexedzd2libraryzd2setz12z12zzsaw_jvm_funcallz00(BgL_globalz00_bglt
		BgL_oz00_44, obj_t BgL_vz00_45)
	{
		{	/* SawJvm/funcall.sch 78 */
			return
				((((BgL_globalz00_bglt) COBJECT(
							((BgL_globalz00_bglt) BgL_oz00_44)))->BgL_libraryz00) =
				((obj_t) BgL_vz00_45), BUNSPEC);
		}

	}



/* &indexed-library-set! */
	obj_t BGl_z62indexedzd2libraryzd2setz12z70zzsaw_jvm_funcallz00(obj_t
		BgL_envz00_4335, obj_t BgL_oz00_4336, obj_t BgL_vz00_4337)
	{
		{	/* SawJvm/funcall.sch 78 */
			return
				BGl_indexedzd2libraryzd2setz12z12zzsaw_jvm_funcallz00(
				((BgL_globalz00_bglt) BgL_oz00_4336), BgL_vz00_4337);
		}

	}



/* indexed-eval? */
	BGL_EXPORTED_DEF bool_t
		BGl_indexedzd2evalzf3z21zzsaw_jvm_funcallz00(BgL_globalz00_bglt BgL_oz00_46)
	{
		{	/* SawJvm/funcall.sch 79 */
			return
				(((BgL_globalz00_bglt) COBJECT(
						((BgL_globalz00_bglt) BgL_oz00_46)))->BgL_evalzf3zf3);
		}

	}



/* &indexed-eval? */
	obj_t BGl_z62indexedzd2evalzf3z43zzsaw_jvm_funcallz00(obj_t BgL_envz00_4338,
		obj_t BgL_oz00_4339)
	{
		{	/* SawJvm/funcall.sch 79 */
			return
				BBOOL(BGl_indexedzd2evalzf3z21zzsaw_jvm_funcallz00(
					((BgL_globalz00_bglt) BgL_oz00_4339)));
		}

	}



/* indexed-eval?-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_indexedzd2evalzf3zd2setz12ze1zzsaw_jvm_funcallz00(BgL_globalz00_bglt
		BgL_oz00_47, bool_t BgL_vz00_48)
	{
		{	/* SawJvm/funcall.sch 80 */
			return
				((((BgL_globalz00_bglt) COBJECT(
							((BgL_globalz00_bglt) BgL_oz00_47)))->BgL_evalzf3zf3) =
				((bool_t) BgL_vz00_48), BUNSPEC);
		}

	}



/* &indexed-eval?-set! */
	obj_t BGl_z62indexedzd2evalzf3zd2setz12z83zzsaw_jvm_funcallz00(obj_t
		BgL_envz00_4340, obj_t BgL_oz00_4341, obj_t BgL_vz00_4342)
	{
		{	/* SawJvm/funcall.sch 80 */
			return
				BGl_indexedzd2evalzf3zd2setz12ze1zzsaw_jvm_funcallz00(
				((BgL_globalz00_bglt) BgL_oz00_4341), CBOOL(BgL_vz00_4342));
		}

	}



/* indexed-evaluable? */
	BGL_EXPORTED_DEF bool_t
		BGl_indexedzd2evaluablezf3z21zzsaw_jvm_funcallz00(BgL_globalz00_bglt
		BgL_oz00_49)
	{
		{	/* SawJvm/funcall.sch 81 */
			return
				(((BgL_globalz00_bglt) COBJECT(
						((BgL_globalz00_bglt) BgL_oz00_49)))->BgL_evaluablezf3zf3);
		}

	}



/* &indexed-evaluable? */
	obj_t BGl_z62indexedzd2evaluablezf3z43zzsaw_jvm_funcallz00(obj_t
		BgL_envz00_4343, obj_t BgL_oz00_4344)
	{
		{	/* SawJvm/funcall.sch 81 */
			return
				BBOOL(BGl_indexedzd2evaluablezf3z21zzsaw_jvm_funcallz00(
					((BgL_globalz00_bglt) BgL_oz00_4344)));
		}

	}



/* indexed-evaluable?-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_indexedzd2evaluablezf3zd2setz12ze1zzsaw_jvm_funcallz00
		(BgL_globalz00_bglt BgL_oz00_50, bool_t BgL_vz00_51)
	{
		{	/* SawJvm/funcall.sch 82 */
			return
				((((BgL_globalz00_bglt) COBJECT(
							((BgL_globalz00_bglt) BgL_oz00_50)))->BgL_evaluablezf3zf3) =
				((bool_t) BgL_vz00_51), BUNSPEC);
		}

	}



/* &indexed-evaluable?-set! */
	obj_t BGl_z62indexedzd2evaluablezf3zd2setz12z83zzsaw_jvm_funcallz00(obj_t
		BgL_envz00_4345, obj_t BgL_oz00_4346, obj_t BgL_vz00_4347)
	{
		{	/* SawJvm/funcall.sch 82 */
			return
				BGl_indexedzd2evaluablezf3zd2setz12ze1zzsaw_jvm_funcallz00(
				((BgL_globalz00_bglt) BgL_oz00_4346), CBOOL(BgL_vz00_4347));
		}

	}



/* indexed-import */
	BGL_EXPORTED_DEF obj_t
		BGl_indexedzd2importzd2zzsaw_jvm_funcallz00(BgL_globalz00_bglt BgL_oz00_52)
	{
		{	/* SawJvm/funcall.sch 83 */
			return
				(((BgL_globalz00_bglt) COBJECT(
						((BgL_globalz00_bglt) BgL_oz00_52)))->BgL_importz00);
		}

	}



/* &indexed-import */
	obj_t BGl_z62indexedzd2importzb0zzsaw_jvm_funcallz00(obj_t BgL_envz00_4348,
		obj_t BgL_oz00_4349)
	{
		{	/* SawJvm/funcall.sch 83 */
			return
				BGl_indexedzd2importzd2zzsaw_jvm_funcallz00(
				((BgL_globalz00_bglt) BgL_oz00_4349));
		}

	}



/* indexed-import-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_indexedzd2importzd2setz12z12zzsaw_jvm_funcallz00(BgL_globalz00_bglt
		BgL_oz00_53, obj_t BgL_vz00_54)
	{
		{	/* SawJvm/funcall.sch 84 */
			return
				((((BgL_globalz00_bglt) COBJECT(
							((BgL_globalz00_bglt) BgL_oz00_53)))->BgL_importz00) =
				((obj_t) BgL_vz00_54), BUNSPEC);
		}

	}



/* &indexed-import-set! */
	obj_t BGl_z62indexedzd2importzd2setz12z70zzsaw_jvm_funcallz00(obj_t
		BgL_envz00_4350, obj_t BgL_oz00_4351, obj_t BgL_vz00_4352)
	{
		{	/* SawJvm/funcall.sch 84 */
			return
				BGl_indexedzd2importzd2setz12z12zzsaw_jvm_funcallz00(
				((BgL_globalz00_bglt) BgL_oz00_4351), BgL_vz00_4352);
		}

	}



/* indexed-module */
	BGL_EXPORTED_DEF obj_t
		BGl_indexedzd2modulezd2zzsaw_jvm_funcallz00(BgL_globalz00_bglt BgL_oz00_55)
	{
		{	/* SawJvm/funcall.sch 85 */
			return
				(((BgL_globalz00_bglt) COBJECT(
						((BgL_globalz00_bglt) BgL_oz00_55)))->BgL_modulez00);
		}

	}



/* &indexed-module */
	obj_t BGl_z62indexedzd2modulezb0zzsaw_jvm_funcallz00(obj_t BgL_envz00_4353,
		obj_t BgL_oz00_4354)
	{
		{	/* SawJvm/funcall.sch 85 */
			return
				BGl_indexedzd2modulezd2zzsaw_jvm_funcallz00(
				((BgL_globalz00_bglt) BgL_oz00_4354));
		}

	}



/* indexed-module-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_indexedzd2modulezd2setz12z12zzsaw_jvm_funcallz00(BgL_globalz00_bglt
		BgL_oz00_56, obj_t BgL_vz00_57)
	{
		{	/* SawJvm/funcall.sch 86 */
			return
				((((BgL_globalz00_bglt) COBJECT(
							((BgL_globalz00_bglt) BgL_oz00_56)))->BgL_modulez00) =
				((obj_t) BgL_vz00_57), BUNSPEC);
		}

	}



/* &indexed-module-set! */
	obj_t BGl_z62indexedzd2modulezd2setz12z70zzsaw_jvm_funcallz00(obj_t
		BgL_envz00_4355, obj_t BgL_oz00_4356, obj_t BgL_vz00_4357)
	{
		{	/* SawJvm/funcall.sch 86 */
			return
				BGl_indexedzd2modulezd2setz12z12zzsaw_jvm_funcallz00(
				((BgL_globalz00_bglt) BgL_oz00_4356), BgL_vz00_4357);
		}

	}



/* indexed-user? */
	BGL_EXPORTED_DEF bool_t
		BGl_indexedzd2userzf3z21zzsaw_jvm_funcallz00(BgL_globalz00_bglt BgL_oz00_58)
	{
		{	/* SawJvm/funcall.sch 87 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_58)))->BgL_userzf3zf3);
		}

	}



/* &indexed-user? */
	obj_t BGl_z62indexedzd2userzf3z43zzsaw_jvm_funcallz00(obj_t BgL_envz00_4358,
		obj_t BgL_oz00_4359)
	{
		{	/* SawJvm/funcall.sch 87 */
			return
				BBOOL(BGl_indexedzd2userzf3z21zzsaw_jvm_funcallz00(
					((BgL_globalz00_bglt) BgL_oz00_4359)));
		}

	}



/* indexed-user?-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_indexedzd2userzf3zd2setz12ze1zzsaw_jvm_funcallz00(BgL_globalz00_bglt
		BgL_oz00_59, bool_t BgL_vz00_60)
	{
		{	/* SawJvm/funcall.sch 88 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_59)))->BgL_userzf3zf3) =
				((bool_t) BgL_vz00_60), BUNSPEC);
		}

	}



/* &indexed-user?-set! */
	obj_t BGl_z62indexedzd2userzf3zd2setz12z83zzsaw_jvm_funcallz00(obj_t
		BgL_envz00_4360, obj_t BgL_oz00_4361, obj_t BgL_vz00_4362)
	{
		{	/* SawJvm/funcall.sch 88 */
			return
				BGl_indexedzd2userzf3zd2setz12ze1zzsaw_jvm_funcallz00(
				((BgL_globalz00_bglt) BgL_oz00_4361), CBOOL(BgL_vz00_4362));
		}

	}



/* indexed-occurrencew */
	BGL_EXPORTED_DEF long
		BGl_indexedzd2occurrencewzd2zzsaw_jvm_funcallz00(BgL_globalz00_bglt
		BgL_oz00_61)
	{
		{	/* SawJvm/funcall.sch 89 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_61)))->BgL_occurrencewz00);
		}

	}



/* &indexed-occurrencew */
	obj_t BGl_z62indexedzd2occurrencewzb0zzsaw_jvm_funcallz00(obj_t
		BgL_envz00_4363, obj_t BgL_oz00_4364)
	{
		{	/* SawJvm/funcall.sch 89 */
			return
				BINT(BGl_indexedzd2occurrencewzd2zzsaw_jvm_funcallz00(
					((BgL_globalz00_bglt) BgL_oz00_4364)));
		}

	}



/* indexed-occurrencew-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_indexedzd2occurrencewzd2setz12z12zzsaw_jvm_funcallz00(BgL_globalz00_bglt
		BgL_oz00_62, long BgL_vz00_63)
	{
		{	/* SawJvm/funcall.sch 90 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_62)))->BgL_occurrencewz00) =
				((long) BgL_vz00_63), BUNSPEC);
		}

	}



/* &indexed-occurrencew-set! */
	obj_t BGl_z62indexedzd2occurrencewzd2setz12z70zzsaw_jvm_funcallz00(obj_t
		BgL_envz00_4365, obj_t BgL_oz00_4366, obj_t BgL_vz00_4367)
	{
		{	/* SawJvm/funcall.sch 90 */
			return
				BGl_indexedzd2occurrencewzd2setz12z12zzsaw_jvm_funcallz00(
				((BgL_globalz00_bglt) BgL_oz00_4366), (long) CINT(BgL_vz00_4367));
		}

	}



/* indexed-occurrence */
	BGL_EXPORTED_DEF long
		BGl_indexedzd2occurrencezd2zzsaw_jvm_funcallz00(BgL_globalz00_bglt
		BgL_oz00_64)
	{
		{	/* SawJvm/funcall.sch 91 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_64)))->BgL_occurrencez00);
		}

	}



/* &indexed-occurrence */
	obj_t BGl_z62indexedzd2occurrencezb0zzsaw_jvm_funcallz00(obj_t
		BgL_envz00_4368, obj_t BgL_oz00_4369)
	{
		{	/* SawJvm/funcall.sch 91 */
			return
				BINT(BGl_indexedzd2occurrencezd2zzsaw_jvm_funcallz00(
					((BgL_globalz00_bglt) BgL_oz00_4369)));
		}

	}



/* indexed-occurrence-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_indexedzd2occurrencezd2setz12z12zzsaw_jvm_funcallz00(BgL_globalz00_bglt
		BgL_oz00_65, long BgL_vz00_66)
	{
		{	/* SawJvm/funcall.sch 92 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_65)))->BgL_occurrencez00) =
				((long) BgL_vz00_66), BUNSPEC);
		}

	}



/* &indexed-occurrence-set! */
	obj_t BGl_z62indexedzd2occurrencezd2setz12z70zzsaw_jvm_funcallz00(obj_t
		BgL_envz00_4370, obj_t BgL_oz00_4371, obj_t BgL_vz00_4372)
	{
		{	/* SawJvm/funcall.sch 92 */
			return
				BGl_indexedzd2occurrencezd2setz12z12zzsaw_jvm_funcallz00(
				((BgL_globalz00_bglt) BgL_oz00_4371), (long) CINT(BgL_vz00_4372));
		}

	}



/* indexed-removable */
	BGL_EXPORTED_DEF obj_t
		BGl_indexedzd2removablezd2zzsaw_jvm_funcallz00(BgL_globalz00_bglt
		BgL_oz00_67)
	{
		{	/* SawJvm/funcall.sch 93 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_67)))->BgL_removablez00);
		}

	}



/* &indexed-removable */
	obj_t BGl_z62indexedzd2removablezb0zzsaw_jvm_funcallz00(obj_t BgL_envz00_4373,
		obj_t BgL_oz00_4374)
	{
		{	/* SawJvm/funcall.sch 93 */
			return
				BGl_indexedzd2removablezd2zzsaw_jvm_funcallz00(
				((BgL_globalz00_bglt) BgL_oz00_4374));
		}

	}



/* indexed-removable-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_indexedzd2removablezd2setz12z12zzsaw_jvm_funcallz00(BgL_globalz00_bglt
		BgL_oz00_68, obj_t BgL_vz00_69)
	{
		{	/* SawJvm/funcall.sch 94 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_68)))->BgL_removablez00) =
				((obj_t) BgL_vz00_69), BUNSPEC);
		}

	}



/* &indexed-removable-set! */
	obj_t BGl_z62indexedzd2removablezd2setz12z70zzsaw_jvm_funcallz00(obj_t
		BgL_envz00_4375, obj_t BgL_oz00_4376, obj_t BgL_vz00_4377)
	{
		{	/* SawJvm/funcall.sch 94 */
			return
				BGl_indexedzd2removablezd2setz12z12zzsaw_jvm_funcallz00(
				((BgL_globalz00_bglt) BgL_oz00_4376), BgL_vz00_4377);
		}

	}



/* indexed-fast-alpha */
	BGL_EXPORTED_DEF obj_t
		BGl_indexedzd2fastzd2alphaz00zzsaw_jvm_funcallz00(BgL_globalz00_bglt
		BgL_oz00_70)
	{
		{	/* SawJvm/funcall.sch 95 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_70)))->BgL_fastzd2alphazd2);
		}

	}



/* &indexed-fast-alpha */
	obj_t BGl_z62indexedzd2fastzd2alphaz62zzsaw_jvm_funcallz00(obj_t
		BgL_envz00_4378, obj_t BgL_oz00_4379)
	{
		{	/* SawJvm/funcall.sch 95 */
			return
				BGl_indexedzd2fastzd2alphaz00zzsaw_jvm_funcallz00(
				((BgL_globalz00_bglt) BgL_oz00_4379));
		}

	}



/* indexed-fast-alpha-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_indexedzd2fastzd2alphazd2setz12zc0zzsaw_jvm_funcallz00
		(BgL_globalz00_bglt BgL_oz00_71, obj_t BgL_vz00_72)
	{
		{	/* SawJvm/funcall.sch 96 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_71)))->BgL_fastzd2alphazd2) =
				((obj_t) BgL_vz00_72), BUNSPEC);
		}

	}



/* &indexed-fast-alpha-set! */
	obj_t BGl_z62indexedzd2fastzd2alphazd2setz12za2zzsaw_jvm_funcallz00(obj_t
		BgL_envz00_4380, obj_t BgL_oz00_4381, obj_t BgL_vz00_4382)
	{
		{	/* SawJvm/funcall.sch 96 */
			return
				BGl_indexedzd2fastzd2alphazd2setz12zc0zzsaw_jvm_funcallz00(
				((BgL_globalz00_bglt) BgL_oz00_4381), BgL_vz00_4382);
		}

	}



/* indexed-access */
	BGL_EXPORTED_DEF obj_t
		BGl_indexedzd2accesszd2zzsaw_jvm_funcallz00(BgL_globalz00_bglt BgL_oz00_73)
	{
		{	/* SawJvm/funcall.sch 97 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_73)))->BgL_accessz00);
		}

	}



/* &indexed-access */
	obj_t BGl_z62indexedzd2accesszb0zzsaw_jvm_funcallz00(obj_t BgL_envz00_4383,
		obj_t BgL_oz00_4384)
	{
		{	/* SawJvm/funcall.sch 97 */
			return
				BGl_indexedzd2accesszd2zzsaw_jvm_funcallz00(
				((BgL_globalz00_bglt) BgL_oz00_4384));
		}

	}



/* indexed-access-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_indexedzd2accesszd2setz12z12zzsaw_jvm_funcallz00(BgL_globalz00_bglt
		BgL_oz00_74, obj_t BgL_vz00_75)
	{
		{	/* SawJvm/funcall.sch 98 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_74)))->BgL_accessz00) =
				((obj_t) BgL_vz00_75), BUNSPEC);
		}

	}



/* &indexed-access-set! */
	obj_t BGl_z62indexedzd2accesszd2setz12z70zzsaw_jvm_funcallz00(obj_t
		BgL_envz00_4385, obj_t BgL_oz00_4386, obj_t BgL_vz00_4387)
	{
		{	/* SawJvm/funcall.sch 98 */
			return
				BGl_indexedzd2accesszd2setz12z12zzsaw_jvm_funcallz00(
				((BgL_globalz00_bglt) BgL_oz00_4386), BgL_vz00_4387);
		}

	}



/* indexed-value */
	BGL_EXPORTED_DEF BgL_valuez00_bglt
		BGl_indexedzd2valuezd2zzsaw_jvm_funcallz00(BgL_globalz00_bglt BgL_oz00_76)
	{
		{	/* SawJvm/funcall.sch 99 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_76)))->BgL_valuez00);
		}

	}



/* &indexed-value */
	BgL_valuez00_bglt BGl_z62indexedzd2valuezb0zzsaw_jvm_funcallz00(obj_t
		BgL_envz00_4388, obj_t BgL_oz00_4389)
	{
		{	/* SawJvm/funcall.sch 99 */
			return
				BGl_indexedzd2valuezd2zzsaw_jvm_funcallz00(
				((BgL_globalz00_bglt) BgL_oz00_4389));
		}

	}



/* indexed-value-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_indexedzd2valuezd2setz12z12zzsaw_jvm_funcallz00(BgL_globalz00_bglt
		BgL_oz00_77, BgL_valuez00_bglt BgL_vz00_78)
	{
		{	/* SawJvm/funcall.sch 100 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_77)))->BgL_valuez00) =
				((BgL_valuez00_bglt) BgL_vz00_78), BUNSPEC);
		}

	}



/* &indexed-value-set! */
	obj_t BGl_z62indexedzd2valuezd2setz12z70zzsaw_jvm_funcallz00(obj_t
		BgL_envz00_4390, obj_t BgL_oz00_4391, obj_t BgL_vz00_4392)
	{
		{	/* SawJvm/funcall.sch 100 */
			return
				BGl_indexedzd2valuezd2setz12z12zzsaw_jvm_funcallz00(
				((BgL_globalz00_bglt) BgL_oz00_4391),
				((BgL_valuez00_bglt) BgL_vz00_4392));
		}

	}



/* indexed-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_indexedzd2typezd2zzsaw_jvm_funcallz00(BgL_globalz00_bglt BgL_oz00_79)
	{
		{	/* SawJvm/funcall.sch 101 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_79)))->BgL_typez00);
		}

	}



/* &indexed-type */
	BgL_typez00_bglt BGl_z62indexedzd2typezb0zzsaw_jvm_funcallz00(obj_t
		BgL_envz00_4393, obj_t BgL_oz00_4394)
	{
		{	/* SawJvm/funcall.sch 101 */
			return
				BGl_indexedzd2typezd2zzsaw_jvm_funcallz00(
				((BgL_globalz00_bglt) BgL_oz00_4394));
		}

	}



/* indexed-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_indexedzd2typezd2setz12z12zzsaw_jvm_funcallz00(BgL_globalz00_bglt
		BgL_oz00_80, BgL_typez00_bglt BgL_vz00_81)
	{
		{	/* SawJvm/funcall.sch 102 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_80)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_81), BUNSPEC);
		}

	}



/* &indexed-type-set! */
	obj_t BGl_z62indexedzd2typezd2setz12z70zzsaw_jvm_funcallz00(obj_t
		BgL_envz00_4395, obj_t BgL_oz00_4396, obj_t BgL_vz00_4397)
	{
		{	/* SawJvm/funcall.sch 102 */
			return
				BGl_indexedzd2typezd2setz12z12zzsaw_jvm_funcallz00(
				((BgL_globalz00_bglt) BgL_oz00_4396),
				((BgL_typez00_bglt) BgL_vz00_4397));
		}

	}



/* indexed-name */
	BGL_EXPORTED_DEF obj_t
		BGl_indexedzd2namezd2zzsaw_jvm_funcallz00(BgL_globalz00_bglt BgL_oz00_82)
	{
		{	/* SawJvm/funcall.sch 103 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_82)))->BgL_namez00);
		}

	}



/* &indexed-name */
	obj_t BGl_z62indexedzd2namezb0zzsaw_jvm_funcallz00(obj_t BgL_envz00_4398,
		obj_t BgL_oz00_4399)
	{
		{	/* SawJvm/funcall.sch 103 */
			return
				BGl_indexedzd2namezd2zzsaw_jvm_funcallz00(
				((BgL_globalz00_bglt) BgL_oz00_4399));
		}

	}



/* indexed-name-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_indexedzd2namezd2setz12z12zzsaw_jvm_funcallz00(BgL_globalz00_bglt
		BgL_oz00_83, obj_t BgL_vz00_84)
	{
		{	/* SawJvm/funcall.sch 104 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_83)))->BgL_namez00) =
				((obj_t) BgL_vz00_84), BUNSPEC);
		}

	}



/* &indexed-name-set! */
	obj_t BGl_z62indexedzd2namezd2setz12z70zzsaw_jvm_funcallz00(obj_t
		BgL_envz00_4400, obj_t BgL_oz00_4401, obj_t BgL_vz00_4402)
	{
		{	/* SawJvm/funcall.sch 104 */
			return
				BGl_indexedzd2namezd2setz12z12zzsaw_jvm_funcallz00(
				((BgL_globalz00_bglt) BgL_oz00_4401), BgL_vz00_4402);
		}

	}



/* indexed-id */
	BGL_EXPORTED_DEF obj_t
		BGl_indexedzd2idzd2zzsaw_jvm_funcallz00(BgL_globalz00_bglt BgL_oz00_85)
	{
		{	/* SawJvm/funcall.sch 105 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_85)))->BgL_idz00);
		}

	}



/* &indexed-id */
	obj_t BGl_z62indexedzd2idzb0zzsaw_jvm_funcallz00(obj_t BgL_envz00_4403,
		obj_t BgL_oz00_4404)
	{
		{	/* SawJvm/funcall.sch 105 */
			return
				BGl_indexedzd2idzd2zzsaw_jvm_funcallz00(
				((BgL_globalz00_bglt) BgL_oz00_4404));
		}

	}



/* key-opt? */
	bool_t BGl_keyzd2optzf3z21zzsaw_jvm_funcallz00(obj_t BgL_vz00_88)
	{
		{	/* SawJvm/funcall.scm 22 */
			{	/* SawJvm/funcall.scm 23 */
				BgL_globalz00_bglt BgL_vz00_2530;

				BgL_vz00_2530 =
					BGl_globalzd2entryzd2zzbackend_cplibz00(
					((BgL_globalz00_bglt) BgL_vz00_88));
				{	/* SawJvm/funcall.scm 24 */
					BgL_valuez00_bglt BgL_valz00_2531;

					BgL_valz00_2531 =
						(((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt) BgL_vz00_2530)))->BgL_valuez00);
					{	/* SawJvm/funcall.scm 25 */
						bool_t BgL_test2347z00_4912;

						{	/* SawJvm/funcall.scm 25 */
							obj_t BgL_classz00_3741;

							BgL_classz00_3741 = BGl_sfunz00zzast_varz00;
							{	/* SawJvm/funcall.scm 25 */
								BgL_objectz00_bglt BgL_arg1858z00_3743;

								{	/* SawJvm/funcall.scm 25 */
									obj_t BgL_tmpz00_4913;

									BgL_tmpz00_4913 =
										((obj_t) ((BgL_objectz00_bglt) BgL_valz00_2531));
									BgL_arg1858z00_3743 = (BgL_objectz00_bglt) (BgL_tmpz00_4913);
								}
								if (BGL_CONDEXPAND_ISA_ARCH64())
									{	/* SawJvm/funcall.scm 25 */
										long BgL_idxz00_3749;

										BgL_idxz00_3749 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_3743);
										BgL_test2347z00_4912 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_3749 + 3L)) == BgL_classz00_3741);
									}
								else
									{	/* SawJvm/funcall.scm 25 */
										bool_t BgL_res2250z00_3774;

										{	/* SawJvm/funcall.scm 25 */
											obj_t BgL_oclassz00_3757;

											{	/* SawJvm/funcall.scm 25 */
												obj_t BgL_arg1866z00_3765;
												long BgL_arg1867z00_3766;

												BgL_arg1866z00_3765 =
													(BGl_za2classesza2z00zz__objectz00);
												{	/* SawJvm/funcall.scm 25 */
													long BgL_arg1869z00_3767;

													BgL_arg1869z00_3767 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_3743);
													BgL_arg1867z00_3766 =
														(BgL_arg1869z00_3767 - OBJECT_TYPE);
												}
												BgL_oclassz00_3757 =
													VECTOR_REF(BgL_arg1866z00_3765, BgL_arg1867z00_3766);
											}
											{	/* SawJvm/funcall.scm 25 */
												bool_t BgL__ortest_1115z00_3758;

												BgL__ortest_1115z00_3758 =
													(BgL_classz00_3741 == BgL_oclassz00_3757);
												if (BgL__ortest_1115z00_3758)
													{	/* SawJvm/funcall.scm 25 */
														BgL_res2250z00_3774 = BgL__ortest_1115z00_3758;
													}
												else
													{	/* SawJvm/funcall.scm 25 */
														long BgL_odepthz00_3759;

														{	/* SawJvm/funcall.scm 25 */
															obj_t BgL_arg1855z00_3760;

															BgL_arg1855z00_3760 = (BgL_oclassz00_3757);
															BgL_odepthz00_3759 =
																BGL_CLASS_DEPTH(BgL_arg1855z00_3760);
														}
														if ((3L < BgL_odepthz00_3759))
															{	/* SawJvm/funcall.scm 25 */
																obj_t BgL_arg1853z00_3762;

																{	/* SawJvm/funcall.scm 25 */
																	obj_t BgL_arg1854z00_3763;

																	BgL_arg1854z00_3763 = (BgL_oclassz00_3757);
																	BgL_arg1853z00_3762 =
																		BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_3763,
																		3L);
																}
																BgL_res2250z00_3774 =
																	(BgL_arg1853z00_3762 == BgL_classz00_3741);
															}
														else
															{	/* SawJvm/funcall.scm 25 */
																BgL_res2250z00_3774 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_test2347z00_4912 = BgL_res2250z00_3774;
									}
							}
						}
						if (BgL_test2347z00_4912)
							{	/* SawJvm/funcall.scm 26 */
								obj_t BgL_cloz00_2533;

								BgL_cloz00_2533 =
									(((BgL_sfunz00_bglt) COBJECT(
											((BgL_sfunz00_bglt) BgL_valz00_2531)))->
									BgL_thezd2closurezd2globalz00);
								{	/* SawJvm/funcall.scm 27 */
									bool_t BgL_oz00_2534;
									bool_t BgL_kz00_2535;

									BgL_oz00_2534 =
										BGl_globalzd2optionalzf3z21zzast_varz00(BgL_cloz00_2533);
									BgL_kz00_2535 =
										BGl_globalzd2keyzf3z21zzast_varz00(BgL_cloz00_2533);
									if (BgL_oz00_2534)
										{	/* SawJvm/funcall.scm 28 */
											return BgL_oz00_2534;
										}
									else
										{	/* SawJvm/funcall.scm 28 */
											return BgL_kz00_2535;
										}
								}
							}
						else
							{	/* SawJvm/funcall.scm 25 */
								return ((bool_t) 0);
							}
					}
				}
			}
		}

	}



/* module-light-funcall */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2lightzd2funcallz00zzsaw_jvm_funcallz00(BgL_jvmz00_bglt
		BgL_mez00_89)
	{
		{	/* SawJvm/funcall.scm 32 */
			{	/* SawJvm/funcall.scm 34 */
				obj_t BgL_g1583z00_2538;

				BgL_g1583z00_2538 =
					(((BgL_jvmz00_bglt) COBJECT(BgL_mez00_89))->BgL_lightzd2funcallszd2);
				{
					obj_t BgL_l1581z00_2540;

					{	/* SawJvm/funcall.scm 34 */
						bool_t BgL_tmpz00_4942;

						BgL_l1581z00_2540 = BgL_g1583z00_2538;
					BgL_zc3z04anonymousza31675ze3z87_2541:
						if (PAIRP(BgL_l1581z00_2540))
							{	/* SawJvm/funcall.scm 34 */
								{	/* SawJvm/funcall.scm 35 */
									obj_t BgL_insz00_2543;

									BgL_insz00_2543 = CAR(BgL_l1581z00_2540);
									{	/* SawJvm/funcall.scm 36 */
										obj_t BgL_arg1677z00_2545;
										obj_t BgL_arg1679z00_2546;
										obj_t BgL_arg1680z00_2547;

										BgL_arg1677z00_2545 =
											(((BgL_rtl_lightfuncallz00_bglt) COBJECT(
													((BgL_rtl_lightfuncallz00_bglt) BgL_insz00_2543)))->
											BgL_namez00);
										BgL_arg1679z00_2546 =
											(((BgL_rtl_lightfuncallz00_bglt)
												COBJECT(((BgL_rtl_lightfuncallz00_bglt)
														BgL_insz00_2543)))->BgL_funsz00);
										BgL_arg1680z00_2547 =
											(((BgL_rtl_lightfuncallz00_bglt)
												COBJECT(((BgL_rtl_lightfuncallz00_bglt)
														BgL_insz00_2543)))->BgL_rettypez00);
										BGl_funcallzd2lightzd2zzsaw_jvm_funcallz00(BgL_mez00_89,
											BgL_arg1677z00_2545, BgL_arg1679z00_2546,
											BgL_arg1680z00_2547);
									}
								}
								{
									obj_t BgL_l1581z00_4953;

									BgL_l1581z00_4953 = CDR(BgL_l1581z00_2540);
									BgL_l1581z00_2540 = BgL_l1581z00_4953;
									goto BgL_zc3z04anonymousza31675ze3z87_2541;
								}
							}
						else
							{	/* SawJvm/funcall.scm 34 */
								BgL_tmpz00_4942 = ((bool_t) 1);
							}
						return BBOOL(BgL_tmpz00_4942);
					}
				}
			}
		}

	}



/* &module-light-funcall */
	obj_t BGl_z62modulezd2lightzd2funcallz62zzsaw_jvm_funcallz00(obj_t
		BgL_envz00_4405, obj_t BgL_mez00_4406)
	{
		{	/* SawJvm/funcall.scm 32 */
			return
				BGl_modulezd2lightzd2funcallz00zzsaw_jvm_funcallz00(
				((BgL_jvmz00_bglt) BgL_mez00_4406));
		}

	}



/* funcall-light */
	obj_t BGl_funcallzd2lightzd2zzsaw_jvm_funcallz00(BgL_jvmz00_bglt BgL_mez00_90,
		obj_t BgL_namez00_91, obj_t BgL_funsz00_92, obj_t BgL_rettypez00_93)
	{
		{	/* SawJvm/funcall.scm 39 */
			{
				obj_t BgL_tz00_2580;
				BgL_variablez00_bglt BgL_gz00_2619;

				{	/* SawJvm/funcall.scm 70 */
					obj_t BgL_fz00_2557;

					BgL_fz00_2557 = CAR(((obj_t) BgL_funsz00_92));
					{	/* SawJvm/funcall.scm 70 */
						BgL_variablez00_bglt BgL_gz00_2558;

						BgL_gz00_2558 =
							(((BgL_varz00_bglt) COBJECT(
									((BgL_varz00_bglt) BgL_fz00_2557)))->BgL_variablez00);
						{	/* SawJvm/funcall.scm 71 */
							obj_t BgL_trz00_2559;

							BgL_trz00_2559 =
								BGl_compilezd2typezd2zzsaw_jvm_outz00(BgL_mez00_90,
								((BgL_typez00_bglt) BgL_rettypez00_93));
							{	/* SawJvm/funcall.scm 72 */
								obj_t BgL_talz00_2560;

								BgL_gz00_2619 = BgL_gz00_2558;
								{	/* SawJvm/funcall.scm 66 */
									obj_t BgL_argsz00_2621;

									BgL_argsz00_2621 =
										(((BgL_sfunz00_bglt) COBJECT(
												((BgL_sfunz00_bglt)
													(((BgL_variablez00_bglt) COBJECT(
																((BgL_variablez00_bglt)
																	((BgL_globalz00_bglt) BgL_gz00_2619))))->
														BgL_valuez00))))->BgL_argsz00);
									{	/* SawJvm/funcall.scm 67 */
										obj_t BgL_arg1748z00_2622;
										obj_t BgL_arg1755z00_2623;

										{	/* SawJvm/funcall.scm 67 */
											obj_t BgL_arg1756z00_2624;

											BgL_arg1756z00_2624 = CAR(((obj_t) BgL_argsz00_2621));
											{	/* SawJvm/funcall.scm 52 */
												obj_t BgL_arg1715z00_3856;

												BgL_arg1715z00_3856 =
													BGl_getzd2typeze70z35zzsaw_jvm_funcallz00
													(BgL_arg1756z00_2624);
												BgL_arg1748z00_2622 =
													BGl_compilezd2typezd2zzsaw_jvm_outz00(BgL_mez00_90,
													((BgL_typez00_bglt) BgL_arg1715z00_3856));
											}
										}
										{	/* SawJvm/funcall.scm 68 */
											obj_t BgL_l1584z00_2625;

											BgL_l1584z00_2625 = CDR(((obj_t) BgL_argsz00_2621));
											if (NULLP(BgL_l1584z00_2625))
												{	/* SawJvm/funcall.scm 68 */
													BgL_arg1755z00_2623 = BNIL;
												}
											else
												{	/* SawJvm/funcall.scm 68 */
													obj_t BgL_head1586z00_2627;

													BgL_head1586z00_2627 = MAKE_YOUNG_PAIR(BNIL, BNIL);
													{
														obj_t BgL_l1584z00_2629;
														obj_t BgL_tail1587z00_2630;

														BgL_l1584z00_2629 = BgL_l1584z00_2625;
														BgL_tail1587z00_2630 = BgL_head1586z00_2627;
													BgL_zc3z04anonymousza31759ze3z87_2631:
														if (NULLP(BgL_l1584z00_2629))
															{	/* SawJvm/funcall.scm 68 */
																BgL_arg1755z00_2623 = CDR(BgL_head1586z00_2627);
															}
														else
															{	/* SawJvm/funcall.scm 68 */
																obj_t BgL_newtail1588z00_2633;

																{	/* SawJvm/funcall.scm 68 */
																	obj_t BgL_arg1765z00_2635;

																	{	/* SawJvm/funcall.scm 68 */
																		obj_t BgL_az00_2636;

																		BgL_az00_2636 =
																			CAR(((obj_t) BgL_l1584z00_2629));
																		{	/* SawJvm/funcall.scm 54 */
																			obj_t BgL_arg1717z00_3861;

																			BgL_tz00_2580 =
																				BGl_getzd2typeze70z35zzsaw_jvm_funcallz00
																				(BgL_az00_2636);
																			if (BGl_bigloozd2typezf3z21zztype_typez00(
																					((BgL_typez00_bglt) BgL_tz00_2580)))
																				{	/* SawJvm/funcall.scm 41 */
																					BgL_arg1717z00_3861 =
																						BGl_za2objza2z00zztype_cachez00;
																				}
																			else
																				{	/* SawJvm/funcall.scm 41 */
																					BgL_arg1717z00_3861 = BgL_tz00_2580;
																				}
																			BgL_arg1765z00_2635 =
																				BGl_compilezd2typezd2zzsaw_jvm_outz00
																				(BgL_mez00_90,
																				((BgL_typez00_bglt)
																					BgL_arg1717z00_3861));
																		}
																	}
																	BgL_newtail1588z00_2633 =
																		MAKE_YOUNG_PAIR(BgL_arg1765z00_2635, BNIL);
																}
																SET_CDR(BgL_tail1587z00_2630,
																	BgL_newtail1588z00_2633);
																{	/* SawJvm/funcall.scm 68 */
																	obj_t BgL_arg1763z00_2634;

																	BgL_arg1763z00_2634 =
																		CDR(((obj_t) BgL_l1584z00_2629));
																	{
																		obj_t BgL_tail1587z00_4995;
																		obj_t BgL_l1584z00_4994;

																		BgL_l1584z00_4994 = BgL_arg1763z00_2634;
																		BgL_tail1587z00_4995 =
																			BgL_newtail1588z00_2633;
																		BgL_tail1587z00_2630 = BgL_tail1587z00_4995;
																		BgL_l1584z00_2629 = BgL_l1584z00_4994;
																		goto BgL_zc3z04anonymousza31759ze3z87_2631;
																	}
																}
															}
													}
												}
										}
										BgL_talz00_2560 =
											MAKE_YOUNG_PAIR(BgL_arg1748z00_2622, BgL_arg1755z00_2623);
									}
								}
								{	/* SawJvm/funcall.scm 73 */
									obj_t BgL_pz00_2561;

									{	/* SawJvm/funcall.scm 74 */
										obj_t BgL_head1591z00_2568;

										BgL_head1591z00_2568 = MAKE_YOUNG_PAIR(BNIL, BNIL);
										{
											obj_t BgL_l1589z00_2570;
											obj_t BgL_tail1592z00_2571;

											BgL_l1589z00_2570 = BgL_talz00_2560;
											BgL_tail1592z00_2571 = BgL_head1591z00_2568;
										BgL_zc3z04anonymousza31697ze3z87_2572:
											if (NULLP(BgL_l1589z00_2570))
												{	/* SawJvm/funcall.scm 74 */
													BgL_pz00_2561 = CDR(BgL_head1591z00_2568);
												}
											else
												{	/* SawJvm/funcall.scm 74 */
													obj_t BgL_newtail1593z00_2574;

													{	/* SawJvm/funcall.scm 74 */
														obj_t BgL_arg1703z00_2576;

														{	/* SawJvm/funcall.scm 74 */

															{	/* SawJvm/funcall.scm 74 */

																BgL_arg1703z00_2576 =
																	BGl_gensymz00zz__r4_symbols_6_4z00(BFALSE);
															}
														}
														BgL_newtail1593z00_2574 =
															MAKE_YOUNG_PAIR(BgL_arg1703z00_2576, BNIL);
													}
													SET_CDR(BgL_tail1592z00_2571,
														BgL_newtail1593z00_2574);
													{	/* SawJvm/funcall.scm 74 */
														obj_t BgL_arg1699z00_2575;

														BgL_arg1699z00_2575 =
															CDR(((obj_t) BgL_l1589z00_2570));
														{
															obj_t BgL_tail1592z00_5007;
															obj_t BgL_l1589z00_5006;

															BgL_l1589z00_5006 = BgL_arg1699z00_2575;
															BgL_tail1592z00_5007 = BgL_newtail1593z00_2574;
															BgL_tail1592z00_2571 = BgL_tail1592z00_5007;
															BgL_l1589z00_2570 = BgL_l1589z00_5006;
															goto BgL_zc3z04anonymousza31697ze3z87_2572;
														}
													}
												}
										}
									}
									{	/* SawJvm/funcall.scm 74 */

										{	/* SawJvm/funcall.scm 76 */
											obj_t BgL_arg1691z00_2562;

											{	/* SawJvm/funcall.scm 76 */
												obj_t BgL_arg1486z00_3872;

												BgL_arg1486z00_3872 = SYMBOL_TO_STRING(BgL_namez00_91);
												BgL_arg1691z00_2562 =
													BGl_stringzd2copyzd2zz__r4_strings_6_7z00
													(BgL_arg1486z00_3872);
											}
											BGl_declarezd2methodzd2zzsaw_jvm_outz00(BgL_mez00_90,
												BgL_namez00_91, ((obj_t) CNST_TABLE_REF(0)),
												((obj_t) CNST_TABLE_REF(1)), BgL_trz00_2559,
												BgL_arg1691z00_2562, BgL_talz00_2560);
										}
										BGl_openzd2libzd2methodz00zzsaw_jvm_outz00(BgL_mez00_90,
											BgL_namez00_91);
										BGl_declarezd2localszd2zzsaw_jvm_outz00(BgL_mez00_90,
											BgL_pz00_2561, BNIL);
										{	/* SawJvm/funcall.scm 80 */
											obj_t BgL_arg1692z00_2563;

											{	/* SawJvm/funcall.scm 80 */
												obj_t BgL_arg1693z00_2564;

												{	/* SawJvm/funcall.scm 80 */
													obj_t BgL_arg1695z00_2565;

													BgL_arg1695z00_2565 = CAR(((obj_t) BgL_pz00_2561));
													BgL_arg1693z00_2564 =
														MAKE_YOUNG_PAIR(BgL_arg1695z00_2565, BNIL);
												}
												BgL_arg1692z00_2563 =
													MAKE_YOUNG_PAIR(
													((obj_t) CNST_TABLE_REF(2)), BgL_arg1693z00_2564);
											}
											BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_90,
												BgL_arg1692z00_2563);
										}
										BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_90,
											((obj_t) CNST_TABLE_REF(3)));
										BGl_funcallzd2lightzd2switchz00zzsaw_jvm_funcallz00
											(BgL_mez00_90, BgL_funsz00_92, BgL_trz00_2559,
											BgL_pz00_2561, BgL_talz00_2560);
										return BGl_closezd2methodzd2zzsaw_jvm_outz00(BgL_mez00_90);
									}
								}
							}
						}
					}
				}
			}
		}

	}



/* get-type~0 */
	obj_t BGl_getzd2typeze70z35zzsaw_jvm_funcallz00(obj_t BgL_tz00_2583)
	{
		{	/* SawJvm/funcall.scm 50 */
			{	/* SawJvm/funcall.scm 46 */
				bool_t BgL_test2357z00_5029;

				{	/* SawJvm/funcall.scm 46 */
					obj_t BgL_classz00_3779;

					BgL_classz00_3779 = BGl_localz00zzast_varz00;
					if (BGL_OBJECTP(BgL_tz00_2583))
						{	/* SawJvm/funcall.scm 46 */
							BgL_objectz00_bglt BgL_arg1858z00_3781;

							BgL_arg1858z00_3781 = (BgL_objectz00_bglt) (BgL_tz00_2583);
							if (BGL_CONDEXPAND_ISA_ARCH64())
								{	/* SawJvm/funcall.scm 46 */
									long BgL_idxz00_3787;

									BgL_idxz00_3787 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_3781);
									BgL_test2357z00_5029 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_3787 + 2L)) == BgL_classz00_3779);
								}
							else
								{	/* SawJvm/funcall.scm 46 */
									bool_t BgL_res2251z00_3812;

									{	/* SawJvm/funcall.scm 46 */
										obj_t BgL_oclassz00_3795;

										{	/* SawJvm/funcall.scm 46 */
											obj_t BgL_arg1866z00_3803;
											long BgL_arg1867z00_3804;

											BgL_arg1866z00_3803 = (BGl_za2classesza2z00zz__objectz00);
											{	/* SawJvm/funcall.scm 46 */
												long BgL_arg1869z00_3805;

												BgL_arg1869z00_3805 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_3781);
												BgL_arg1867z00_3804 =
													(BgL_arg1869z00_3805 - OBJECT_TYPE);
											}
											BgL_oclassz00_3795 =
												VECTOR_REF(BgL_arg1866z00_3803, BgL_arg1867z00_3804);
										}
										{	/* SawJvm/funcall.scm 46 */
											bool_t BgL__ortest_1115z00_3796;

											BgL__ortest_1115z00_3796 =
												(BgL_classz00_3779 == BgL_oclassz00_3795);
											if (BgL__ortest_1115z00_3796)
												{	/* SawJvm/funcall.scm 46 */
													BgL_res2251z00_3812 = BgL__ortest_1115z00_3796;
												}
											else
												{	/* SawJvm/funcall.scm 46 */
													long BgL_odepthz00_3797;

													{	/* SawJvm/funcall.scm 46 */
														obj_t BgL_arg1855z00_3798;

														BgL_arg1855z00_3798 = (BgL_oclassz00_3795);
														BgL_odepthz00_3797 =
															BGL_CLASS_DEPTH(BgL_arg1855z00_3798);
													}
													if ((2L < BgL_odepthz00_3797))
														{	/* SawJvm/funcall.scm 46 */
															obj_t BgL_arg1853z00_3800;

															{	/* SawJvm/funcall.scm 46 */
																obj_t BgL_arg1854z00_3801;

																BgL_arg1854z00_3801 = (BgL_oclassz00_3795);
																BgL_arg1853z00_3800 =
																	BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_3801,
																	2L);
															}
															BgL_res2251z00_3812 =
																(BgL_arg1853z00_3800 == BgL_classz00_3779);
														}
													else
														{	/* SawJvm/funcall.scm 46 */
															BgL_res2251z00_3812 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_test2357z00_5029 = BgL_res2251z00_3812;
								}
						}
					else
						{	/* SawJvm/funcall.scm 46 */
							BgL_test2357z00_5029 = ((bool_t) 0);
						}
				}
				if (BgL_test2357z00_5029)
					{	/* SawJvm/funcall.scm 46 */
						return
							((obj_t)
							(((BgL_variablez00_bglt) COBJECT(
										((BgL_variablez00_bglt)
											((BgL_localz00_bglt) BgL_tz00_2583))))->BgL_typez00));
					}
				else
					{	/* SawJvm/funcall.scm 48 */
						bool_t BgL_test2362z00_5056;

						{	/* SawJvm/funcall.scm 48 */
							obj_t BgL_classz00_3814;

							BgL_classz00_3814 = BGl_typez00zztype_typez00;
							if (BGL_OBJECTP(BgL_tz00_2583))
								{	/* SawJvm/funcall.scm 48 */
									BgL_objectz00_bglt BgL_arg1858z00_3816;

									BgL_arg1858z00_3816 = (BgL_objectz00_bglt) (BgL_tz00_2583);
									if (BGL_CONDEXPAND_ISA_ARCH64())
										{	/* SawJvm/funcall.scm 48 */
											long BgL_idxz00_3822;

											BgL_idxz00_3822 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_3816);
											BgL_test2362z00_5056 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_3822 + 1L)) == BgL_classz00_3814);
										}
									else
										{	/* SawJvm/funcall.scm 48 */
											bool_t BgL_res2252z00_3847;

											{	/* SawJvm/funcall.scm 48 */
												obj_t BgL_oclassz00_3830;

												{	/* SawJvm/funcall.scm 48 */
													obj_t BgL_arg1866z00_3838;
													long BgL_arg1867z00_3839;

													BgL_arg1866z00_3838 =
														(BGl_za2classesza2z00zz__objectz00);
													{	/* SawJvm/funcall.scm 48 */
														long BgL_arg1869z00_3840;

														BgL_arg1869z00_3840 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_3816);
														BgL_arg1867z00_3839 =
															(BgL_arg1869z00_3840 - OBJECT_TYPE);
													}
													BgL_oclassz00_3830 =
														VECTOR_REF(BgL_arg1866z00_3838,
														BgL_arg1867z00_3839);
												}
												{	/* SawJvm/funcall.scm 48 */
													bool_t BgL__ortest_1115z00_3831;

													BgL__ortest_1115z00_3831 =
														(BgL_classz00_3814 == BgL_oclassz00_3830);
													if (BgL__ortest_1115z00_3831)
														{	/* SawJvm/funcall.scm 48 */
															BgL_res2252z00_3847 = BgL__ortest_1115z00_3831;
														}
													else
														{	/* SawJvm/funcall.scm 48 */
															long BgL_odepthz00_3832;

															{	/* SawJvm/funcall.scm 48 */
																obj_t BgL_arg1855z00_3833;

																BgL_arg1855z00_3833 = (BgL_oclassz00_3830);
																BgL_odepthz00_3832 =
																	BGL_CLASS_DEPTH(BgL_arg1855z00_3833);
															}
															if ((1L < BgL_odepthz00_3832))
																{	/* SawJvm/funcall.scm 48 */
																	obj_t BgL_arg1853z00_3835;

																	{	/* SawJvm/funcall.scm 48 */
																		obj_t BgL_arg1854z00_3836;

																		BgL_arg1854z00_3836 = (BgL_oclassz00_3830);
																		BgL_arg1853z00_3835 =
																			BGL_CLASS_ANCESTORS_REF
																			(BgL_arg1854z00_3836, 1L);
																	}
																	BgL_res2252z00_3847 =
																		(BgL_arg1853z00_3835 == BgL_classz00_3814);
																}
															else
																{	/* SawJvm/funcall.scm 48 */
																	BgL_res2252z00_3847 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_test2362z00_5056 = BgL_res2252z00_3847;
										}
								}
							else
								{	/* SawJvm/funcall.scm 48 */
									BgL_test2362z00_5056 = ((bool_t) 0);
								}
						}
						if (BgL_test2362z00_5056)
							{	/* SawJvm/funcall.scm 48 */
								return BgL_tz00_2583;
							}
						else
							{	/* SawJvm/funcall.scm 48 */
								return
									BGl_errorz00zz__errorz00(
									((obj_t)
										CNST_TABLE_REF(4)), BGl_string2261z00zzsaw_jvm_funcallz00,
									BgL_tz00_2583);
							}
					}
			}
		}

	}



/* funcall-light-switch */
	bool_t BGl_funcallzd2lightzd2switchz00zzsaw_jvm_funcallz00(BgL_jvmz00_bglt
		BgL_mez00_94, obj_t BgL_funsz00_95, obj_t BgL_trz00_96, obj_t BgL_pz00_97,
		obj_t BgL_talz00_98)
	{
		{	/* SawJvm/funcall.scm 85 */
			{
				obj_t BgL_tz00_2690;
				obj_t BgL_lz00_2707;

				{	/* SawJvm/funcall.scm 113 */
					obj_t BgL_thisz00_2651;

					BgL_thisz00_2651 = CAR(((obj_t) BgL_pz00_97));
					{	/* SawJvm/funcall.scm 113 */
						obj_t BgL_iza2za2_2652;

						BgL_lz00_2707 = BgL_funsz00_95;
						if (NULLP(BgL_funsz00_95))
							{	/* SawJvm/funcall.scm 96 */
								BgL_iza2za2_2652 = BNIL;
							}
						else
							{	/* SawJvm/funcall.scm 96 */
								obj_t BgL_head1596z00_2711;

								BgL_head1596z00_2711 = MAKE_YOUNG_PAIR(BNIL, BNIL);
								{
									obj_t BgL_l1594z00_2713;
									obj_t BgL_tail1597z00_2714;

									BgL_l1594z00_2713 = BgL_funsz00_95;
									BgL_tail1597z00_2714 = BgL_head1596z00_2711;
								BgL_zc3z04anonymousza31833ze3z87_2715:
									if (NULLP(BgL_l1594z00_2713))
										{	/* SawJvm/funcall.scm 96 */
											BgL_iza2za2_2652 = CDR(BgL_head1596z00_2711);
										}
									else
										{	/* SawJvm/funcall.scm 96 */
											obj_t BgL_newtail1598z00_2717;

											{	/* SawJvm/funcall.scm 96 */
												int BgL_arg1845z00_2719;

												{	/* SawJvm/funcall.scm 96 */
													BgL_globalz00_bglt BgL_oz00_3881;

													BgL_oz00_3881 =
														((BgL_globalz00_bglt)
														(((BgL_varz00_bglt) COBJECT(
																	((BgL_varz00_bglt)
																		CAR(
																			((obj_t) BgL_l1594z00_2713)))))->
															BgL_variablez00));
													{
														BgL_indexedz00_bglt BgL_auxz00_5095;

														{
															obj_t BgL_auxz00_5096;

															{	/* SawJvm/funcall.scm 96 */
																BgL_objectz00_bglt BgL_tmpz00_5097;

																BgL_tmpz00_5097 =
																	((BgL_objectz00_bglt) BgL_oz00_3881);
																BgL_auxz00_5096 =
																	BGL_OBJECT_WIDENING(BgL_tmpz00_5097);
															}
															BgL_auxz00_5095 =
																((BgL_indexedz00_bglt) BgL_auxz00_5096);
														}
														BgL_arg1845z00_2719 =
															(((BgL_indexedz00_bglt)
																COBJECT(BgL_auxz00_5095))->BgL_indexz00);
												}}
												BgL_newtail1598z00_2717 =
													MAKE_YOUNG_PAIR(BINT(BgL_arg1845z00_2719), BNIL);
											}
											SET_CDR(BgL_tail1597z00_2714, BgL_newtail1598z00_2717);
											{	/* SawJvm/funcall.scm 96 */
												obj_t BgL_arg1842z00_2718;

												BgL_arg1842z00_2718 = CDR(((obj_t) BgL_l1594z00_2713));
												{
													obj_t BgL_tail1597z00_5108;
													obj_t BgL_l1594z00_5107;

													BgL_l1594z00_5107 = BgL_arg1842z00_2718;
													BgL_tail1597z00_5108 = BgL_newtail1598z00_2717;
													BgL_tail1597z00_2714 = BgL_tail1597z00_5108;
													BgL_l1594z00_2713 = BgL_l1594z00_5107;
													goto BgL_zc3z04anonymousza31833ze3z87_2715;
												}
											}
										}
								}
							}
						{	/* SawJvm/funcall.scm 114 */
							obj_t BgL_labsz00_2653;

							BgL_labsz00_2653 =
								BGl_getzd2labsze72z35zzsaw_jvm_funcallz00(0L,
								BGl_sortz00zz__r4_vectors_6_8z00(BgL_iza2za2_2652,
									BGl_zc3zd2envz11zz__r4_numbers_6_5z00));
							{	/* SawJvm/funcall.scm 115 */

								{	/* SawJvm/funcall.scm 118 */
									obj_t BgL_arg1770z00_2654;

									{	/* SawJvm/funcall.scm 118 */
										obj_t BgL_arg1772z00_2655;

										{	/* SawJvm/funcall.scm 118 */
											obj_t BgL_arg1776z00_2656;

											BgL_arg1776z00_2656 =
												MAKE_YOUNG_PAIR(BINT(0L), BgL_labsz00_2653);
											BgL_arg1772z00_2655 =
												MAKE_YOUNG_PAIR(
												((obj_t) CNST_TABLE_REF(20)), BgL_arg1776z00_2656);
										}
										BgL_arg1770z00_2654 =
											MAKE_YOUNG_PAIR(
											((obj_t) CNST_TABLE_REF(21)), BgL_arg1772z00_2655);
									}
									BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_94,
										BgL_arg1770z00_2654);
								}
								BGl_labelz00zzsaw_jvm_outz00(BgL_mez00_94,
									((obj_t) CNST_TABLE_REF(20)));
								BGl_pushzd2stringzd2zzsaw_jvm_outz00(BgL_mez00_94,
									BGl_string2262z00zzsaw_jvm_funcallz00);
								BGl_pushzd2stringzd2zzsaw_jvm_outz00(BgL_mez00_94,
									BGl_string2263z00zzsaw_jvm_funcallz00);
								{	/* SawJvm/funcall.scm 122 */
									obj_t BgL_arg1782z00_2657;

									{	/* SawJvm/funcall.scm 122 */
										obj_t BgL_arg1783z00_2658;

										BgL_arg1783z00_2658 =
											MAKE_YOUNG_PAIR(BgL_thisz00_2651, BNIL);
										BgL_arg1782z00_2657 =
											MAKE_YOUNG_PAIR(
											((obj_t) CNST_TABLE_REF(2)), BgL_arg1783z00_2658);
									}
									BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_94,
										BgL_arg1782z00_2657);
								}
								BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_94,
									((obj_t) CNST_TABLE_REF(22)));
								BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_94,
									((obj_t) CNST_TABLE_REF(23)));
								{
									obj_t BgL_l1599z00_2660;

									BgL_l1599z00_2660 = BgL_funsz00_95;
								BgL_zc3z04anonymousza31784ze3z87_2661:
									if (PAIRP(BgL_l1599z00_2660))
										{	/* SawJvm/funcall.scm 125 */
											{	/* SawJvm/funcall.scm 126 */
												obj_t BgL_fz00_2663;

												BgL_fz00_2663 = CAR(BgL_l1599z00_2660);
												{	/* SawJvm/funcall.scm 126 */
													BgL_variablez00_bglt BgL_gz00_2664;

													BgL_gz00_2664 =
														(((BgL_varz00_bglt) COBJECT(
																((BgL_varz00_bglt) BgL_fz00_2663)))->
														BgL_variablez00);
													{	/* SawJvm/funcall.scm 127 */
														obj_t BgL_arg1789z00_2665;

														{	/* SawJvm/funcall.scm 127 */
															int BgL_arg1790z00_2666;

															{
																BgL_indexedz00_bglt BgL_auxz00_5141;

																{
																	obj_t BgL_auxz00_5142;

																	{	/* SawJvm/funcall.scm 127 */
																		BgL_objectz00_bglt BgL_tmpz00_5143;

																		BgL_tmpz00_5143 =
																			((BgL_objectz00_bglt)
																			((BgL_globalz00_bglt) BgL_gz00_2664));
																		BgL_auxz00_5142 =
																			BGL_OBJECT_WIDENING(BgL_tmpz00_5143);
																	}
																	BgL_auxz00_5141 =
																		((BgL_indexedz00_bglt) BgL_auxz00_5142);
																}
																BgL_arg1790z00_2666 =
																	(((BgL_indexedz00_bglt)
																		COBJECT(BgL_auxz00_5141))->BgL_indexz00);
															}
															BgL_arg1789z00_2665 =
																BGl_Lze70ze7zzsaw_jvm_funcallz00(
																(long) (BgL_arg1790z00_2666));
														}
														BGl_labelz00zzsaw_jvm_outz00(BgL_mez00_94,
															BgL_arg1789z00_2665);
													}
													{	/* SawJvm/funcall.scm 128 */
														obj_t BgL_arg1797z00_2668;

														BgL_arg1797z00_2668 =
															(((BgL_sfunz00_bglt) COBJECT(
																	((BgL_sfunz00_bglt)
																		(((BgL_variablez00_bglt) COBJECT(
																					((BgL_variablez00_bglt)
																						((BgL_globalz00_bglt)
																							BgL_gz00_2664))))->
																			BgL_valuez00))))->BgL_argsz00);
														{	/* SawJvm/funcall.scm 129 */
															obj_t BgL_zc3z04anonymousza31801ze3z87_4407;

															BgL_zc3z04anonymousza31801ze3z87_4407 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3z04anonymousza31801ze3ze5zzsaw_jvm_funcallz00,
																(int) (3L), (int) (1L));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza31801ze3z87_4407,
																(int) (0L), ((obj_t) BgL_mez00_94));
															{	/* SawJvm/funcall.scm 128 */
																obj_t BgL_list1798z00_2669;

																{	/* SawJvm/funcall.scm 128 */
																	obj_t BgL_arg1799z00_2670;

																	{	/* SawJvm/funcall.scm 128 */
																		obj_t BgL_arg1800z00_2671;

																		BgL_arg1800z00_2671 =
																			MAKE_YOUNG_PAIR(BgL_arg1797z00_2668,
																			BNIL);
																		BgL_arg1799z00_2670 =
																			MAKE_YOUNG_PAIR(BgL_pz00_97,
																			BgL_arg1800z00_2671);
																	}
																	BgL_list1798z00_2669 =
																		MAKE_YOUNG_PAIR(BgL_talz00_98,
																		BgL_arg1799z00_2670);
																}
																BGl_forzd2eachzd2zz__r4_control_features_6_9z00
																	(BgL_zc3z04anonymousza31801ze3z87_4407,
																	BgL_list1798z00_2669);
													}}}
													{	/* SawJvm/funcall.scm 134 */
														BgL_globalz00_bglt BgL_arg1818z00_2686;

														BgL_arg1818z00_2686 =
															BGl_globalzd2entryzd2zzbackend_cplibz00(
															((BgL_globalz00_bglt) BgL_gz00_2664));
														BGl_callzd2globalzd2zzsaw_jvm_outz00(BgL_mez00_94,
															BgL_arg1818z00_2686);
													}
													BgL_tz00_2690 = BgL_trz00_96;
													{	/* SawJvm/funcall.scm 88 */
														obj_t BgL_arg1825z00_2692;

														if ((BgL_tz00_2690 == ((obj_t) CNST_TABLE_REF(5))))
															{	/* SawJvm/funcall.scm 88 */
																BgL_arg1825z00_2692 =
																	((obj_t) CNST_TABLE_REF(6));
															}
														else
															{	/* SawJvm/funcall.scm 88 */
																bool_t BgL_test2371z00_5176;

																{	/* SawJvm/funcall.scm 88 */
																	bool_t BgL__ortest_1194z00_2703;

																	BgL__ortest_1194z00_2703 =
																		(BgL_tz00_2690 ==
																		((obj_t) CNST_TABLE_REF(7)));
																	if (BgL__ortest_1194z00_2703)
																		{	/* SawJvm/funcall.scm 88 */
																			BgL_test2371z00_5176 =
																				BgL__ortest_1194z00_2703;
																		}
																	else
																		{	/* SawJvm/funcall.scm 88 */
																			bool_t BgL__ortest_1195z00_2704;

																			BgL__ortest_1195z00_2704 =
																				(BgL_tz00_2690 ==
																				((obj_t) CNST_TABLE_REF(8)));
																			if (BgL__ortest_1195z00_2704)
																				{	/* SawJvm/funcall.scm 88 */
																					BgL_test2371z00_5176 =
																						BgL__ortest_1195z00_2704;
																				}
																			else
																				{	/* SawJvm/funcall.scm 88 */
																					bool_t BgL__ortest_1196z00_2705;

																					BgL__ortest_1196z00_2705 =
																						(BgL_tz00_2690 ==
																						((obj_t) CNST_TABLE_REF(9)));
																					if (BgL__ortest_1196z00_2705)
																						{	/* SawJvm/funcall.scm 88 */
																							BgL_test2371z00_5176 =
																								BgL__ortest_1196z00_2705;
																						}
																					else
																						{	/* SawJvm/funcall.scm 88 */
																							bool_t BgL__ortest_1197z00_2706;

																							BgL__ortest_1197z00_2706 =
																								(BgL_tz00_2690 ==
																								((obj_t) CNST_TABLE_REF(10)));
																							if (BgL__ortest_1197z00_2706)
																								{	/* SawJvm/funcall.scm 88 */
																									BgL_test2371z00_5176 =
																										BgL__ortest_1197z00_2706;
																								}
																							else
																								{	/* SawJvm/funcall.scm 88 */
																									BgL_test2371z00_5176 =
																										(BgL_tz00_2690 ==
																										((obj_t)
																											CNST_TABLE_REF(11)));
																								}
																						}
																				}
																		}
																}
																if (BgL_test2371z00_5176)
																	{	/* SawJvm/funcall.scm 88 */
																		BgL_arg1825z00_2692 =
																			((obj_t) CNST_TABLE_REF(12));
																	}
																else
																	{	/* SawJvm/funcall.scm 88 */
																		if (
																			(BgL_tz00_2690 ==
																				((obj_t) CNST_TABLE_REF(13))))
																			{	/* SawJvm/funcall.scm 88 */
																				BgL_arg1825z00_2692 =
																					((obj_t) CNST_TABLE_REF(14));
																			}
																		else
																			{	/* SawJvm/funcall.scm 88 */
																				if (
																					(BgL_tz00_2690 ==
																						((obj_t) CNST_TABLE_REF(15))))
																					{	/* SawJvm/funcall.scm 88 */
																						BgL_arg1825z00_2692 =
																							((obj_t) CNST_TABLE_REF(16));
																					}
																				else
																					{	/* SawJvm/funcall.scm 88 */
																						if (
																							(BgL_tz00_2690 ==
																								((obj_t) CNST_TABLE_REF(17))))
																							{	/* SawJvm/funcall.scm 88 */
																								BgL_arg1825z00_2692 =
																									((obj_t) CNST_TABLE_REF(18));
																							}
																						else
																							{	/* SawJvm/funcall.scm 88 */
																								BgL_arg1825z00_2692 =
																									((obj_t) CNST_TABLE_REF(19));
																							}
																					}
																			}
																	}
															}
														BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_94,
															BgL_arg1825z00_2692);
													}
												}
											}
											{
												obj_t BgL_l1599z00_5219;

												BgL_l1599z00_5219 = CDR(BgL_l1599z00_2660);
												BgL_l1599z00_2660 = BgL_l1599z00_5219;
												goto BgL_zc3z04anonymousza31784ze3z87_2661;
											}
										}
									else
										{	/* SawJvm/funcall.scm 125 */
											return ((bool_t) 1);
										}
								}
							}
						}
					}
				}
			}
		}

	}



/* get-labs~2 */
	obj_t BGl_getzd2labsze72z35zzsaw_jvm_funcallz00(long BgL_iz00_2729,
		obj_t BgL_lz00_2730)
	{
		{	/* SawJvm/funcall.scm 103 */
			if (NULLP(BgL_lz00_2730))
				{	/* SawJvm/funcall.scm 100 */
					return BNIL;
				}
			else
				{	/* SawJvm/funcall.scm 100 */
					if ((BgL_iz00_2729 == (long) CINT(CAR(((obj_t) BgL_lz00_2730)))))
						{	/* SawJvm/funcall.scm 102 */
							obj_t BgL_arg1859z00_2735;
							obj_t BgL_arg1865z00_2736;

							BgL_arg1859z00_2735 =
								BGl_Lze70ze7zzsaw_jvm_funcallz00(BgL_iz00_2729);
							{	/* SawJvm/funcall.scm 102 */
								long BgL_arg1872z00_2737;
								obj_t BgL_arg1873z00_2738;

								BgL_arg1872z00_2737 = (BgL_iz00_2729 + 1L);
								BgL_arg1873z00_2738 = CDR(((obj_t) BgL_lz00_2730));
								BgL_arg1865z00_2736 =
									BGl_getzd2labsze72z35zzsaw_jvm_funcallz00(BgL_arg1872z00_2737,
									BgL_arg1873z00_2738);
							}
							return MAKE_YOUNG_PAIR(BgL_arg1859z00_2735, BgL_arg1865z00_2736);
						}
					else
						{	/* SawJvm/funcall.scm 103 */
							obj_t BgL_arg1876z00_2739;

							BgL_arg1876z00_2739 =
								BGl_getzd2labsze72z35zzsaw_jvm_funcallz00(
								(BgL_iz00_2729 + 1L), BgL_lz00_2730);
							return
								MAKE_YOUNG_PAIR(
								((obj_t) CNST_TABLE_REF(20)), BgL_arg1876z00_2739);
						}
				}
		}

	}



/* L~0 */
	obj_t BGl_Lze70ze7zzsaw_jvm_funcallz00(long BgL_nz00_2723)
	{
		{	/* SawJvm/funcall.scm 97 */
			{	/* SawJvm/funcall.scm 97 */
				obj_t BgL_arg1851z00_2725;

				{	/* SawJvm/funcall.scm 97 */
					obj_t BgL_arg1852z00_2726;

					{	/* SawJvm/funcall.scm 97 */

						BgL_arg1852z00_2726 =
							BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00
							(BgL_nz00_2723, 10L);
					}
					BgL_arg1851z00_2725 =
						string_append(BGl_string2264z00zzsaw_jvm_funcallz00,
						BgL_arg1852z00_2726);
				}
				return bstring_to_symbol(BgL_arg1851z00_2725);
			}
		}

	}



/* &<@anonymous:1801> */
	obj_t BGl_z62zc3z04anonymousza31801ze3ze5zzsaw_jvm_funcallz00(obj_t
		BgL_envz00_4408, obj_t BgL_tz00_4410, obj_t BgL_vz00_4411,
		obj_t BgL_az00_4412)
	{
		{	/* SawJvm/funcall.scm 128 */
			{	/* SawJvm/funcall.scm 129 */
				BgL_jvmz00_bglt BgL_mez00_4409;

				BgL_mez00_4409 =
					((BgL_jvmz00_bglt) PROCEDURE_REF(BgL_envz00_4408, (int) (0L)));
				{
					obj_t BgL_tz00_4508;
					obj_t BgL_vz00_4509;

					{	/* SawJvm/funcall.scm 129 */
						obj_t BgL_taz00_4517;

						{	/* SawJvm/funcall.scm 129 */
							bool_t BgL_test2381z00_5245;

							{	/* SawJvm/funcall.scm 129 */
								obj_t BgL_classz00_4518;

								BgL_classz00_4518 = BGl_localz00zzast_varz00;
								if (BGL_OBJECTP(BgL_az00_4412))
									{	/* SawJvm/funcall.scm 129 */
										BgL_objectz00_bglt BgL_arg1858z00_4519;

										BgL_arg1858z00_4519 = (BgL_objectz00_bglt) (BgL_az00_4412);
										if (BGL_CONDEXPAND_ISA_ARCH64())
											{	/* SawJvm/funcall.scm 129 */
												long BgL_idxz00_4520;

												BgL_idxz00_4520 =
													BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_4519);
												BgL_test2381z00_5245 =
													(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
														(BgL_idxz00_4520 + 2L)) == BgL_classz00_4518);
											}
										else
											{	/* SawJvm/funcall.scm 129 */
												bool_t BgL_res2253z00_4523;

												{	/* SawJvm/funcall.scm 129 */
													obj_t BgL_oclassz00_4524;

													{	/* SawJvm/funcall.scm 129 */
														obj_t BgL_arg1866z00_4525;
														long BgL_arg1867z00_4526;

														BgL_arg1866z00_4525 =
															(BGl_za2classesza2z00zz__objectz00);
														{	/* SawJvm/funcall.scm 129 */
															long BgL_arg1869z00_4527;

															BgL_arg1869z00_4527 =
																BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_4519);
															BgL_arg1867z00_4526 =
																(BgL_arg1869z00_4527 - OBJECT_TYPE);
														}
														BgL_oclassz00_4524 =
															VECTOR_REF(BgL_arg1866z00_4525,
															BgL_arg1867z00_4526);
													}
													{	/* SawJvm/funcall.scm 129 */
														bool_t BgL__ortest_1115z00_4528;

														BgL__ortest_1115z00_4528 =
															(BgL_classz00_4518 == BgL_oclassz00_4524);
														if (BgL__ortest_1115z00_4528)
															{	/* SawJvm/funcall.scm 129 */
																BgL_res2253z00_4523 = BgL__ortest_1115z00_4528;
															}
														else
															{	/* SawJvm/funcall.scm 129 */
																long BgL_odepthz00_4529;

																{	/* SawJvm/funcall.scm 129 */
																	obj_t BgL_arg1855z00_4530;

																	BgL_arg1855z00_4530 = (BgL_oclassz00_4524);
																	BgL_odepthz00_4529 =
																		BGL_CLASS_DEPTH(BgL_arg1855z00_4530);
																}
																if ((2L < BgL_odepthz00_4529))
																	{	/* SawJvm/funcall.scm 129 */
																		obj_t BgL_arg1853z00_4531;

																		{	/* SawJvm/funcall.scm 129 */
																			obj_t BgL_arg1854z00_4532;

																			BgL_arg1854z00_4532 =
																				(BgL_oclassz00_4524);
																			BgL_arg1853z00_4531 =
																				BGL_CLASS_ANCESTORS_REF
																				(BgL_arg1854z00_4532, 2L);
																		}
																		BgL_res2253z00_4523 =
																			(BgL_arg1853z00_4531 ==
																			BgL_classz00_4518);
																	}
																else
																	{	/* SawJvm/funcall.scm 129 */
																		BgL_res2253z00_4523 = ((bool_t) 0);
																	}
															}
													}
												}
												BgL_test2381z00_5245 = BgL_res2253z00_4523;
											}
									}
								else
									{	/* SawJvm/funcall.scm 129 */
										BgL_test2381z00_5245 = ((bool_t) 0);
									}
							}
							if (BgL_test2381z00_5245)
								{	/* SawJvm/funcall.scm 129 */
									BgL_taz00_4517 =
										((obj_t)
										(((BgL_variablez00_bglt) COBJECT(
													((BgL_variablez00_bglt)
														((BgL_localz00_bglt) BgL_az00_4412))))->
											BgL_typez00));
								}
							else
								{	/* SawJvm/funcall.scm 129 */
									BgL_taz00_4517 = BgL_az00_4412;
								}
						}
						BgL_tz00_4508 = BgL_tz00_4410;
						BgL_vz00_4509 = BgL_vz00_4411;
						{	/* SawJvm/funcall.scm 106 */
							obj_t BgL_arg1884z00_4510;

							{	/* SawJvm/funcall.scm 106 */
								obj_t BgL_arg1885z00_4511;
								obj_t BgL_arg1886z00_4512;

								{	/* SawJvm/funcall.scm 106 */
									bool_t BgL_test2386z00_5272;

									{	/* SawJvm/funcall.scm 106 */
										bool_t BgL__ortest_1198z00_4513;

										BgL__ortest_1198z00_4513 =
											(BgL_tz00_4508 == ((obj_t) CNST_TABLE_REF(7)));
										if (BgL__ortest_1198z00_4513)
											{	/* SawJvm/funcall.scm 106 */
												BgL_test2386z00_5272 = BgL__ortest_1198z00_4513;
											}
										else
											{	/* SawJvm/funcall.scm 106 */
												bool_t BgL__ortest_1199z00_4514;

												BgL__ortest_1199z00_4514 =
													(BgL_tz00_4508 == ((obj_t) CNST_TABLE_REF(8)));
												if (BgL__ortest_1199z00_4514)
													{	/* SawJvm/funcall.scm 106 */
														BgL_test2386z00_5272 = BgL__ortest_1199z00_4514;
													}
												else
													{	/* SawJvm/funcall.scm 106 */
														bool_t BgL__ortest_1200z00_4515;

														BgL__ortest_1200z00_4515 =
															(BgL_tz00_4508 == ((obj_t) CNST_TABLE_REF(9)));
														if (BgL__ortest_1200z00_4515)
															{	/* SawJvm/funcall.scm 106 */
																BgL_test2386z00_5272 = BgL__ortest_1200z00_4515;
															}
														else
															{	/* SawJvm/funcall.scm 106 */
																bool_t BgL__ortest_1201z00_4516;

																BgL__ortest_1201z00_4516 =
																	(BgL_tz00_4508 ==
																	((obj_t) CNST_TABLE_REF(10)));
																if (BgL__ortest_1201z00_4516)
																	{	/* SawJvm/funcall.scm 106 */
																		BgL_test2386z00_5272 =
																			BgL__ortest_1201z00_4516;
																	}
																else
																	{	/* SawJvm/funcall.scm 106 */
																		BgL_test2386z00_5272 =
																			(BgL_tz00_4508 ==
																			((obj_t) CNST_TABLE_REF(11)));
																	}
															}
													}
											}
									}
									if (BgL_test2386z00_5272)
										{	/* SawJvm/funcall.scm 106 */
											BgL_arg1885z00_4511 = ((obj_t) CNST_TABLE_REF(24));
										}
									else
										{	/* SawJvm/funcall.scm 106 */
											if ((BgL_tz00_4508 == ((obj_t) CNST_TABLE_REF(13))))
												{	/* SawJvm/funcall.scm 106 */
													BgL_arg1885z00_4511 = ((obj_t) CNST_TABLE_REF(25));
												}
											else
												{	/* SawJvm/funcall.scm 106 */
													if ((BgL_tz00_4508 == ((obj_t) CNST_TABLE_REF(15))))
														{	/* SawJvm/funcall.scm 106 */
															BgL_arg1885z00_4511 =
																((obj_t) CNST_TABLE_REF(26));
														}
													else
														{	/* SawJvm/funcall.scm 106 */
															if (
																(BgL_tz00_4508 == ((obj_t) CNST_TABLE_REF(17))))
																{	/* SawJvm/funcall.scm 106 */
																	BgL_arg1885z00_4511 =
																		((obj_t) CNST_TABLE_REF(27));
																}
															else
																{	/* SawJvm/funcall.scm 106 */
																	BgL_arg1885z00_4511 =
																		((obj_t) CNST_TABLE_REF(2));
																}
														}
												}
										}
								}
								BgL_arg1886z00_4512 = MAKE_YOUNG_PAIR(BgL_vz00_4509, BNIL);
								BgL_arg1884z00_4510 =
									MAKE_YOUNG_PAIR(BgL_arg1885z00_4511, BgL_arg1886z00_4512);
							}
							BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_4409,
								BgL_arg1884z00_4510);
						}
						{	/* SawJvm/funcall.scm 131 */
							bool_t BgL_test2394z00_5317;

							if (BGl_bigloozd2typezf3z21zztype_typez00(
									((BgL_typez00_bglt) BgL_taz00_4517)))
								{	/* SawJvm/funcall.scm 131 */
									if ((BgL_taz00_4517 == BGl_za2objza2z00zztype_cachez00))
										{	/* SawJvm/funcall.scm 131 */
											BgL_test2394z00_5317 = ((bool_t) 0);
										}
									else
										{	/* SawJvm/funcall.scm 131 */
											BgL_test2394z00_5317 = ((bool_t) 1);
										}
								}
							else
								{	/* SawJvm/funcall.scm 131 */
									BgL_test2394z00_5317 = ((bool_t) 0);
								}
							if (BgL_test2394z00_5317)
								{	/* SawJvm/funcall.scm 132 */
									obj_t BgL_arg1804z00_4533;

									{	/* SawJvm/funcall.scm 132 */
										obj_t BgL_arg1810z00_4534;

										{	/* SawJvm/funcall.scm 132 */
											obj_t BgL_arg1811z00_4535;

											BgL_arg1811z00_4535 =
												BGl_compilezd2typezd2zzsaw_jvm_outz00(BgL_mez00_4409,
												((BgL_typez00_bglt) BgL_taz00_4517));
											BgL_arg1810z00_4534 =
												MAKE_YOUNG_PAIR(BgL_arg1811z00_4535, BNIL);
										}
										BgL_arg1804z00_4533 =
											MAKE_YOUNG_PAIR(
											((obj_t) CNST_TABLE_REF(28)), BgL_arg1810z00_4534);
									}
									return
										BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_4409,
										BgL_arg1804z00_4533);
								}
							else
								{	/* SawJvm/funcall.scm 131 */
									return BFALSE;
								}
						}
					}
				}
			}
		}

	}



/* module-funcall/apply */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2funcallzf2applyz20zzsaw_jvm_funcallz00(BgL_jvmz00_bglt
		BgL_mez00_99)
	{
		{	/* SawJvm/funcall.scm 141 */
			{	/* SawJvm/funcall.scm 142 */
				obj_t BgL_pz00_2767;

				{	/* SawJvm/funcall.scm 142 */
					obj_t BgL_arg1897z00_2787;

					{	/* SawJvm/funcall.scm 142 */
						obj_t BgL_arg1898z00_2788;

						BgL_arg1898z00_2788 =
							(((BgL_backendz00_bglt) COBJECT(
									((BgL_backendz00_bglt) BgL_mez00_99)))->BgL_functionsz00);
						BgL_arg1897z00_2787 =
							BGl_getzd2procedureszd2zzsaw_proceduresz00(BgL_arg1898z00_2788);
					}
					BgL_pz00_2767 = bgl_reverse_bang(BgL_arg1897z00_2787);
				}
				{	/* SawJvm/funcall.scm 144 */
					long BgL_nz00_2768;

					BgL_nz00_2768 = 0L;
					{
						obj_t BgL_l1601z00_2770;

						BgL_l1601z00_2770 = BgL_pz00_2767;
					BgL_zc3z04anonymousza31891ze3z87_2771:
						if (PAIRP(BgL_l1601z00_2770))
							{	/* SawJvm/funcall.scm 145 */
								{	/* SawJvm/funcall.scm 146 */
									obj_t BgL_varz00_2773;

									BgL_varz00_2773 = CAR(BgL_l1601z00_2770);
									{	/* SawJvm/funcall.scm 146 */
										BgL_indexedz00_bglt BgL_wide1204z00_2776;

										BgL_wide1204z00_2776 =
											((BgL_indexedz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
														BgL_indexedz00_bgl))));
										{	/* SawJvm/funcall.scm 146 */
											obj_t BgL_auxz00_5342;
											BgL_objectz00_bglt BgL_tmpz00_5338;

											BgL_auxz00_5342 = ((obj_t) BgL_wide1204z00_2776);
											BgL_tmpz00_5338 =
												((BgL_objectz00_bglt)
												((BgL_globalz00_bglt)
													((BgL_globalz00_bglt) BgL_varz00_2773)));
											BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5338, BgL_auxz00_5342);
										}
										((BgL_objectz00_bglt)
											((BgL_globalz00_bglt)
												((BgL_globalz00_bglt) BgL_varz00_2773)));
										{	/* SawJvm/funcall.scm 146 */
											long BgL_arg1893z00_2777;

											BgL_arg1893z00_2777 =
												BGL_CLASS_NUM(BGl_indexedz00zzsaw_jvm_funcallz00);
											BGL_OBJECT_CLASS_NUM_SET(
												((BgL_objectz00_bglt)
													((BgL_globalz00_bglt)
														((BgL_globalz00_bglt) BgL_varz00_2773))),
												BgL_arg1893z00_2777);
										}
										((BgL_globalz00_bglt)
											((BgL_globalz00_bglt)
												((BgL_globalz00_bglt) BgL_varz00_2773)));
									}
									{
										BgL_indexedz00_bglt BgL_auxz00_5356;

										{
											obj_t BgL_auxz00_5357;

											{	/* SawJvm/funcall.scm 146 */
												BgL_objectz00_bglt BgL_tmpz00_5358;

												BgL_tmpz00_5358 =
													((BgL_objectz00_bglt)
													((BgL_globalz00_bglt)
														((BgL_globalz00_bglt) BgL_varz00_2773)));
												BgL_auxz00_5357 = BGL_OBJECT_WIDENING(BgL_tmpz00_5358);
											}
											BgL_auxz00_5356 = ((BgL_indexedz00_bglt) BgL_auxz00_5357);
										}
										((((BgL_indexedz00_bglt) COBJECT(BgL_auxz00_5356))->
												BgL_indexz00) = ((int) (int) (BgL_nz00_2768)), BUNSPEC);
									}
									((BgL_globalz00_bglt) ((BgL_globalz00_bglt) BgL_varz00_2773));
									{	/* SawJvm/funcall.scm 147 */
										BgL_globalz00_bglt BgL_tmp1206z00_2779;

										BgL_tmp1206z00_2779 =
											BGl_globalzd2entryzd2zzbackend_cplibz00(
											((BgL_globalz00_bglt) BgL_varz00_2773));
										{	/* SawJvm/funcall.scm 147 */
											BgL_indexedz00_bglt BgL_wide1208z00_2781;

											BgL_wide1208z00_2781 =
												((BgL_indexedz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
															BgL_indexedz00_bgl))));
											{	/* SawJvm/funcall.scm 147 */
												obj_t BgL_auxz00_5374;
												BgL_objectz00_bglt BgL_tmpz00_5371;

												BgL_auxz00_5374 = ((obj_t) BgL_wide1208z00_2781);
												BgL_tmpz00_5371 =
													((BgL_objectz00_bglt)
													((BgL_globalz00_bglt) BgL_tmp1206z00_2779));
												BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5371,
													BgL_auxz00_5374);
											}
											((BgL_objectz00_bglt)
												((BgL_globalz00_bglt) BgL_tmp1206z00_2779));
											{	/* SawJvm/funcall.scm 147 */
												long BgL_arg1894z00_2782;

												BgL_arg1894z00_2782 =
													BGL_CLASS_NUM(BGl_indexedz00zzsaw_jvm_funcallz00);
												BGL_OBJECT_CLASS_NUM_SET(
													((BgL_objectz00_bglt)
														((BgL_globalz00_bglt) BgL_tmp1206z00_2779)),
													BgL_arg1894z00_2782);
											}
											((BgL_globalz00_bglt)
												((BgL_globalz00_bglt) BgL_tmp1206z00_2779));
										}
										{
											BgL_indexedz00_bglt BgL_auxz00_5385;

											{
												obj_t BgL_auxz00_5386;

												{	/* SawJvm/funcall.scm 147 */
													BgL_objectz00_bglt BgL_tmpz00_5387;

													BgL_tmpz00_5387 =
														((BgL_objectz00_bglt)
														((BgL_globalz00_bglt) BgL_tmp1206z00_2779));
													BgL_auxz00_5386 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_5387);
												}
												BgL_auxz00_5385 =
													((BgL_indexedz00_bglt) BgL_auxz00_5386);
											}
											((((BgL_indexedz00_bglt) COBJECT(BgL_auxz00_5385))->
													BgL_indexz00) =
												((int) (int) (BgL_nz00_2768)), BUNSPEC);
										}
										((BgL_globalz00_bglt) BgL_tmp1206z00_2779);
									}
									BgL_nz00_2768 = (BgL_nz00_2768 + 1L);
								}
								{
									obj_t BgL_l1601z00_5396;

									BgL_l1601z00_5396 = CDR(BgL_l1601z00_2770);
									BgL_l1601z00_2770 = BgL_l1601z00_5396;
									goto BgL_zc3z04anonymousza31891ze3z87_2771;
								}
							}
						else
							{	/* SawJvm/funcall.scm 145 */
								((bool_t) 1);
							}
					}
				}
				if (NULLP(BgL_pz00_2767))
					{	/* SawJvm/funcall.scm 150 */
						return BFALSE;
					}
				else
					{	/* SawJvm/funcall.scm 150 */
						BGl_funcalliz00zzsaw_jvm_funcallz00(BgL_mez00_99, 0L,
							BgL_pz00_2767);
						BGl_funcalliz00zzsaw_jvm_funcallz00(BgL_mez00_99, 1L,
							BgL_pz00_2767);
						BGl_funcalliz00zzsaw_jvm_funcallz00(BgL_mez00_99, 2L,
							BgL_pz00_2767);
						BGl_funcalliz00zzsaw_jvm_funcallz00(BgL_mez00_99, 3L,
							BgL_pz00_2767);
						BGl_funcalliz00zzsaw_jvm_funcallz00(BgL_mez00_99, 4L,
							BgL_pz00_2767);
						return BGl_compilezd2applyzd2zzsaw_jvm_funcallz00(BgL_mez00_99,
							BgL_pz00_2767);
					}
			}
		}

	}



/* &module-funcall/apply */
	obj_t BGl_z62modulezd2funcallzf2applyz42zzsaw_jvm_funcallz00(obj_t
		BgL_envz00_4417, obj_t BgL_mez00_4418)
	{
		{	/* SawJvm/funcall.scm 141 */
			return
				BGl_modulezd2funcallzf2applyz20zzsaw_jvm_funcallz00(
				((BgL_jvmz00_bglt) BgL_mez00_4418));
		}

	}



/* is-light-procedure? */
	bool_t BGl_iszd2lightzd2procedurezf3zf3zzsaw_jvm_funcallz00(BgL_jvmz00_bglt
		BgL_mez00_103, obj_t BgL_gz00_104)
	{
		{	/* SawJvm/funcall.scm 164 */
			{	/* SawJvm/funcall.scm 165 */
				BgL_valuez00_bglt BgL_vz00_2793;

				BgL_vz00_2793 =
					(((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt)
								((BgL_globalz00_bglt) BgL_gz00_104))))->BgL_valuez00);
				{	/* SawJvm/funcall.scm 166 */
					bool_t BgL_test2399z00_5411;

					{	/* SawJvm/funcall.scm 166 */
						obj_t BgL_classz00_3954;

						BgL_classz00_3954 = BGl_sfunz00zzast_varz00;
						{	/* SawJvm/funcall.scm 166 */
							BgL_objectz00_bglt BgL_arg1858z00_3956;

							{	/* SawJvm/funcall.scm 166 */
								obj_t BgL_tmpz00_5412;

								BgL_tmpz00_5412 =
									((obj_t) ((BgL_objectz00_bglt) BgL_vz00_2793));
								BgL_arg1858z00_3956 = (BgL_objectz00_bglt) (BgL_tmpz00_5412);
							}
							if (BGL_CONDEXPAND_ISA_ARCH64())
								{	/* SawJvm/funcall.scm 166 */
									long BgL_idxz00_3962;

									BgL_idxz00_3962 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_3956);
									BgL_test2399z00_5411 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_3962 + 3L)) == BgL_classz00_3954);
								}
							else
								{	/* SawJvm/funcall.scm 166 */
									bool_t BgL_res2254z00_3987;

									{	/* SawJvm/funcall.scm 166 */
										obj_t BgL_oclassz00_3970;

										{	/* SawJvm/funcall.scm 166 */
											obj_t BgL_arg1866z00_3978;
											long BgL_arg1867z00_3979;

											BgL_arg1866z00_3978 = (BGl_za2classesza2z00zz__objectz00);
											{	/* SawJvm/funcall.scm 166 */
												long BgL_arg1869z00_3980;

												BgL_arg1869z00_3980 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_3956);
												BgL_arg1867z00_3979 =
													(BgL_arg1869z00_3980 - OBJECT_TYPE);
											}
											BgL_oclassz00_3970 =
												VECTOR_REF(BgL_arg1866z00_3978, BgL_arg1867z00_3979);
										}
										{	/* SawJvm/funcall.scm 166 */
											bool_t BgL__ortest_1115z00_3971;

											BgL__ortest_1115z00_3971 =
												(BgL_classz00_3954 == BgL_oclassz00_3970);
											if (BgL__ortest_1115z00_3971)
												{	/* SawJvm/funcall.scm 166 */
													BgL_res2254z00_3987 = BgL__ortest_1115z00_3971;
												}
											else
												{	/* SawJvm/funcall.scm 166 */
													long BgL_odepthz00_3972;

													{	/* SawJvm/funcall.scm 166 */
														obj_t BgL_arg1855z00_3973;

														BgL_arg1855z00_3973 = (BgL_oclassz00_3970);
														BgL_odepthz00_3972 =
															BGL_CLASS_DEPTH(BgL_arg1855z00_3973);
													}
													if ((3L < BgL_odepthz00_3972))
														{	/* SawJvm/funcall.scm 166 */
															obj_t BgL_arg1853z00_3975;

															{	/* SawJvm/funcall.scm 166 */
																obj_t BgL_arg1854z00_3976;

																BgL_arg1854z00_3976 = (BgL_oclassz00_3970);
																BgL_arg1853z00_3975 =
																	BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_3976,
																	3L);
															}
															BgL_res2254z00_3987 =
																(BgL_arg1853z00_3975 == BgL_classz00_3954);
														}
													else
														{	/* SawJvm/funcall.scm 166 */
															BgL_res2254z00_3987 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_test2399z00_5411 = BgL_res2254z00_3987;
								}
						}
					}
					if (BgL_test2399z00_5411)
						{	/* SawJvm/funcall.scm 166 */
							return
								(
								(((BgL_sfunz00_bglt) COBJECT(
											((BgL_sfunz00_bglt) BgL_vz00_2793)))->BgL_strengthz00) ==
								((obj_t) CNST_TABLE_REF(29)));
						}
					else
						{	/* SawJvm/funcall.scm 166 */
							return ((bool_t) 0);
						}
				}
			}
		}

	}



/* funcalli */
	obj_t BGl_funcalliz00zzsaw_jvm_funcallz00(BgL_jvmz00_bglt BgL_mez00_105,
		long BgL_iz00_106, obj_t BgL_procsz00_107)
	{
		{	/* SawJvm/funcall.scm 172 */
			{	/* SawJvm/funcall.scm 184 */
				obj_t BgL_needz00_2798;

				if (NULLP(BgL_procsz00_107))
					{	/* SawJvm/funcall.scm 184 */
						BgL_needz00_2798 = BNIL;
					}
				else
					{	/* SawJvm/funcall.scm 184 */
						obj_t BgL_head1606z00_2827;

						{	/* SawJvm/funcall.scm 184 */
							bool_t BgL_arg1918z00_2839;

							{	/* SawJvm/funcall.scm 184 */
								obj_t BgL_arg1919z00_2840;

								BgL_arg1919z00_2840 = CAR(((obj_t) BgL_procsz00_107));
								BgL_arg1918z00_2839 =
									BGl_neededzf3ze70z14zzsaw_jvm_funcallz00(BgL_iz00_106,
									BgL_mez00_105, BgL_arg1919z00_2840);
							}
							BgL_head1606z00_2827 =
								MAKE_YOUNG_PAIR(BBOOL(BgL_arg1918z00_2839), BNIL);
						}
						{	/* SawJvm/funcall.scm 184 */
							obj_t BgL_g1609z00_2828;

							BgL_g1609z00_2828 = CDR(((obj_t) BgL_procsz00_107));
							{
								obj_t BgL_l1604z00_2830;
								obj_t BgL_tail1607z00_2831;

								BgL_l1604z00_2830 = BgL_g1609z00_2828;
								BgL_tail1607z00_2831 = BgL_head1606z00_2827;
							BgL_zc3z04anonymousza31913ze3z87_2832:
								if (NULLP(BgL_l1604z00_2830))
									{	/* SawJvm/funcall.scm 184 */
										BgL_needz00_2798 = BgL_head1606z00_2827;
									}
								else
									{	/* SawJvm/funcall.scm 184 */
										obj_t BgL_newtail1608z00_2834;

										{	/* SawJvm/funcall.scm 184 */
											bool_t BgL_arg1916z00_2836;

											{	/* SawJvm/funcall.scm 184 */
												obj_t BgL_arg1917z00_2837;

												BgL_arg1917z00_2837 = CAR(((obj_t) BgL_l1604z00_2830));
												BgL_arg1916z00_2836 =
													BGl_neededzf3ze70z14zzsaw_jvm_funcallz00(BgL_iz00_106,
													BgL_mez00_105, BgL_arg1917z00_2837);
											}
											BgL_newtail1608z00_2834 =
												MAKE_YOUNG_PAIR(BBOOL(BgL_arg1916z00_2836), BNIL);
										}
										SET_CDR(BgL_tail1607z00_2831, BgL_newtail1608z00_2834);
										{	/* SawJvm/funcall.scm 184 */
											obj_t BgL_arg1915z00_2835;

											BgL_arg1915z00_2835 = CDR(((obj_t) BgL_l1604z00_2830));
											{
												obj_t BgL_tail1607z00_5460;
												obj_t BgL_l1604z00_5459;

												BgL_l1604z00_5459 = BgL_arg1915z00_2835;
												BgL_tail1607z00_5460 = BgL_newtail1608z00_2834;
												BgL_tail1607z00_2831 = BgL_tail1607z00_5460;
												BgL_l1604z00_2830 = BgL_l1604z00_5459;
												goto BgL_zc3z04anonymousza31913ze3z87_2832;
											}
										}
									}
							}
						}
					}
				{	/* SawJvm/funcall.scm 185 */
					bool_t BgL_test2405z00_5461;

					{
						obj_t BgL_l1610z00_2817;

						BgL_l1610z00_2817 = BgL_needz00_2798;
					BgL_zc3z04anonymousza31910ze3z87_2818:
						if (NULLP(BgL_l1610z00_2817))
							{	/* SawJvm/funcall.scm 185 */
								BgL_test2405z00_5461 = ((bool_t) 1);
							}
						else
							{	/* SawJvm/funcall.scm 185 */
								bool_t BgL_test2407z00_5464;

								if (CBOOL(CAR(((obj_t) BgL_l1610z00_2817))))
									{	/* SawJvm/funcall.scm 185 */
										BgL_test2407z00_5464 = ((bool_t) 0);
									}
								else
									{	/* SawJvm/funcall.scm 185 */
										BgL_test2407z00_5464 = ((bool_t) 1);
									}
								if (BgL_test2407z00_5464)
									{
										obj_t BgL_l1610z00_5469;

										BgL_l1610z00_5469 = CDR(((obj_t) BgL_l1610z00_2817));
										BgL_l1610z00_2817 = BgL_l1610z00_5469;
										goto BgL_zc3z04anonymousza31910ze3z87_2818;
									}
								else
									{	/* SawJvm/funcall.scm 185 */
										BgL_test2405z00_5461 = ((bool_t) 0);
									}
							}
					}
					if (BgL_test2405z00_5461)
						{	/* SawJvm/funcall.scm 185 */
							return BFALSE;
						}
					else
						{	/* SawJvm/funcall.scm 186 */
							obj_t BgL_fnamez00_2809;

							{	/* SawJvm/funcall.scm 186 */
								obj_t BgL_arg1909z00_2813;

								{	/* SawJvm/funcall.scm 186 */

									BgL_arg1909z00_2813 =
										BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00
										(BgL_iz00_106, 10L);
								}
								BgL_fnamez00_2809 =
									string_append(BGl_string2265z00zzsaw_jvm_funcallz00,
									BgL_arg1909z00_2813);
							}
							{	/* SawJvm/funcall.scm 186 */
								obj_t BgL_pz00_2810;

								{	/* SawJvm/funcall.scm 187 */
									obj_t BgL_arg1908z00_2812;

									BgL_arg1908z00_2812 =
										BGl_nameze70ze7zzsaw_jvm_funcallz00(BgL_iz00_106);
									BgL_pz00_2810 =
										MAKE_YOUNG_PAIR(
										((obj_t) CNST_TABLE_REF(30)), BgL_arg1908z00_2812);
								}
								{	/* SawJvm/funcall.scm 187 */

									BGl_openzd2libzd2methodz00zzsaw_jvm_outz00(BgL_mez00_105,
										bstring_to_symbol(BgL_fnamez00_2809));
									BGl_declarezd2localszd2zzsaw_jvm_outz00(BgL_mez00_105,
										BgL_pz00_2810, BNIL);
									BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_105,
										((obj_t) CNST_TABLE_REF(31)));
									BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_105,
										((obj_t) CNST_TABLE_REF(3)));
									BGl_compilezd2funizd2zzsaw_jvm_funcallz00(BgL_mez00_105,
										BgL_iz00_106, BgL_needz00_2798, BgL_procsz00_107,
										BgL_fnamez00_2809, BgL_pz00_2810);
									return BGl_closezd2methodzd2zzsaw_jvm_outz00(BgL_mez00_105);
								}
							}
						}
				}
			}
		}

	}



/* needed?~0 */
	bool_t BGl_neededzf3ze70z14zzsaw_jvm_funcallz00(long BgL_iz00_4474,
		BgL_jvmz00_bglt BgL_mez00_4473, obj_t BgL_pz00_2841)
	{
		{	/* SawJvm/funcall.scm 182 */
			{	/* SawJvm/funcall.scm 174 */
				bool_t BgL_test2409z00_5489;

				{	/* SawJvm/funcall.scm 174 */
					BgL_globalz00_bglt BgL_arg1924z00_2852;

					BgL_arg1924z00_2852 =
						BGl_globalzd2entryzd2zzbackend_cplibz00(
						((BgL_globalz00_bglt) BgL_pz00_2841));
					BgL_test2409z00_5489 =
						BGl_iszd2lightzd2procedurezf3zf3zzsaw_jvm_funcallz00(BgL_mez00_4473,
						((obj_t) BgL_arg1924z00_2852));
				}
				if (BgL_test2409z00_5489)
					{	/* SawJvm/funcall.scm 174 */
						return ((bool_t) 0);
					}
				else
					{	/* SawJvm/funcall.scm 175 */
						obj_t BgL_arityz00_2844;

						BgL_arityz00_2844 =
							BGl_globalzd2arityzd2zzbackend_cplibz00(
							((BgL_globalz00_bglt) BgL_pz00_2841));
						if (CBOOL(BgL_arityz00_2844))
							{	/* SawJvm/funcall.scm 177 */
								bool_t BgL__ortest_1211z00_2845;

								if (((long) CINT(BgL_arityz00_2844) >= 0L))
									{	/* SawJvm/funcall.scm 177 */
										if (BGl_keyzd2optzf3z21zzsaw_jvm_funcallz00(BgL_pz00_2841))
											{	/* SawJvm/funcall.scm 178 */
												if (INTEGERP(BgL_arityz00_2844))
													{	/* SawJvm/funcall.scm 179 */
														BgL__ortest_1211z00_2845 =
															((long) CINT(BgL_arityz00_2844) <= BgL_iz00_4474);
													}
												else
													{	/* SawJvm/funcall.scm 179 */
														BgL__ortest_1211z00_2845 =
															BGl_2zc3zd3z10zz__r4_numbers_6_5z00
															(BgL_arityz00_2844, BINT(BgL_iz00_4474));
													}
											}
										else
											{	/* SawJvm/funcall.scm 178 */
												BgL__ortest_1211z00_2845 =
													((long) CINT(BgL_arityz00_2844) == BgL_iz00_4474);
									}}
								else
									{	/* SawJvm/funcall.scm 177 */
										BgL__ortest_1211z00_2845 = ((bool_t) 0);
									}
								if (BgL__ortest_1211z00_2845)
									{	/* SawJvm/funcall.scm 177 */
										return BgL__ortest_1211z00_2845;
									}
								else
									{	/* SawJvm/funcall.scm 177 */
										if (((long) CINT(BgL_arityz00_2844) < 0L))
											{	/* SawJvm/funcall.scm 181 */
												obj_t BgL_b1603z00_2847;

												{	/* SawJvm/funcall.scm 181 */
													obj_t BgL_za72za7_3996;

													BgL_za72za7_3996 = BINT(BgL_iz00_4474);
													{	/* SawJvm/funcall.scm 181 */
														obj_t BgL_tmpz00_3997;

														BgL_tmpz00_3997 = BINT(0L);
														{	/* SawJvm/funcall.scm 181 */
															bool_t BgL_test2416z00_5517;

															{	/* SawJvm/funcall.scm 181 */
																obj_t BgL_tmpz00_5518;

																BgL_tmpz00_5518 = BINT((-1L));
																BgL_test2416z00_5517 =
																	BGL_SUBFX_OV(BgL_tmpz00_5518,
																	BgL_za72za7_3996, BgL_tmpz00_3997);
															}
															if (BgL_test2416z00_5517)
																{	/* SawJvm/funcall.scm 181 */
																	BgL_b1603z00_2847 =
																		bgl_bignum_sub(
																		((obj_t)
																			CNST_TABLE_REF(32)),
																		bgl_long_to_bignum(
																			(long) CINT(BgL_za72za7_3996)));
																}
															else
																{	/* SawJvm/funcall.scm 181 */
																	BgL_b1603z00_2847 = BgL_tmpz00_3997;
																}
														}
													}
												}
												{	/* SawJvm/funcall.scm 181 */
													bool_t BgL_test2417z00_5526;

													if (INTEGERP(BgL_arityz00_2844))
														{	/* SawJvm/funcall.scm 181 */
															BgL_test2417z00_5526 =
																INTEGERP(BgL_b1603z00_2847);
														}
													else
														{	/* SawJvm/funcall.scm 181 */
															BgL_test2417z00_5526 = ((bool_t) 0);
														}
													if (BgL_test2417z00_5526)
														{	/* SawJvm/funcall.scm 181 */
															return
																(
																(long) CINT(BgL_arityz00_2844) >=
																(long) CINT(BgL_b1603z00_2847));
														}
													else
														{	/* SawJvm/funcall.scm 181 */
															return
																BGl_2ze3zd3z30zz__r4_numbers_6_5z00
																(BgL_arityz00_2844, BgL_b1603z00_2847);
														}
												}
											}
										else
											{	/* SawJvm/funcall.scm 181 */
												return ((bool_t) 0);
											}
									}
							}
						else
							{	/* SawJvm/funcall.scm 176 */
								return (BgL_iz00_4474 <= 1L);
							}
					}
			}
		}

	}



/* name~0 */
	obj_t BGl_nameze70ze7zzsaw_jvm_funcallz00(long BgL_nz00_2853)
	{
		{	/* SawJvm/funcall.scm 183 */
			if ((BgL_nz00_2853 == 0L))
				{	/* SawJvm/funcall.scm 183 */
					return BNIL;
				}
			else
				{	/* SawJvm/funcall.scm 183 */
					obj_t BgL_arg1927z00_2856;
					obj_t BgL_arg1928z00_2857;

					{	/* SawJvm/funcall.scm 183 */

						{	/* SawJvm/funcall.scm 183 */

							BgL_arg1927z00_2856 = BGl_gensymz00zz__r4_symbols_6_4z00(BFALSE);
						}
					}
					BgL_arg1928z00_2857 =
						BGl_nameze70ze7zzsaw_jvm_funcallz00((BgL_nz00_2853 - 1L));
					return MAKE_YOUNG_PAIR(BgL_arg1927z00_2856, BgL_arg1928z00_2857);
				}
		}

	}



/* compile-funi */
	obj_t BGl_compilezd2funizd2zzsaw_jvm_funcallz00(BgL_jvmz00_bglt BgL_mez00_108,
		long BgL_iz00_109, obj_t BgL_needz00_110, obj_t BgL_procsz00_111,
		obj_t BgL_fnamez00_112, obj_t BgL_paramsz00_113)
	{
		{	/* SawJvm/funcall.scm 196 */
			{	/* SawJvm/funcall.scm 203 */
				obj_t BgL_labsz00_2864;

				BgL_labsz00_2864 =
					BGl_getzd2labsze71z35zzsaw_jvm_funcallz00(0L, BgL_needz00_110,
					BgL_procsz00_111);
				{	/* SawJvm/funcall.scm 204 */
					obj_t BgL_arg1930z00_2865;

					{	/* SawJvm/funcall.scm 204 */
						obj_t BgL_arg1932z00_2866;

						{	/* SawJvm/funcall.scm 204 */
							obj_t BgL_arg1933z00_2867;

							BgL_arg1933z00_2867 = MAKE_YOUNG_PAIR(BINT(0L), BgL_labsz00_2864);
							BgL_arg1932z00_2866 =
								MAKE_YOUNG_PAIR(
								((obj_t) CNST_TABLE_REF(20)), BgL_arg1933z00_2867);
						}
						BgL_arg1930z00_2865 =
							MAKE_YOUNG_PAIR(
							((obj_t) CNST_TABLE_REF(21)), BgL_arg1932z00_2866);
					}
					BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_108, BgL_arg1930z00_2865);
				}
				BGl_labelz00zzsaw_jvm_outz00(BgL_mez00_108,
					((obj_t) CNST_TABLE_REF(20)));
				{
					obj_t BgL_l1613z00_2869;

					BgL_l1613z00_2869 = BgL_paramsz00_113;
				BgL_zc3z04anonymousza31934ze3z87_2870:
					if (PAIRP(BgL_l1613z00_2869))
						{	/* SawJvm/funcall.scm 206 */
							{	/* SawJvm/funcall.scm 206 */
								obj_t BgL_vz00_2872;

								BgL_vz00_2872 = CAR(BgL_l1613z00_2869);
								{	/* SawJvm/funcall.scm 206 */
									obj_t BgL_arg1936z00_2873;

									{	/* SawJvm/funcall.scm 206 */
										obj_t BgL_arg1938z00_2874;

										BgL_arg1938z00_2874 = MAKE_YOUNG_PAIR(BgL_vz00_2872, BNIL);
										BgL_arg1936z00_2873 =
											MAKE_YOUNG_PAIR(
											((obj_t) CNST_TABLE_REF(2)), BgL_arg1938z00_2874);
									}
									BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_108,
										BgL_arg1936z00_2873);
								}
							}
							{
								obj_t BgL_l1613z00_5562;

								BgL_l1613z00_5562 = CDR(BgL_l1613z00_2869);
								BgL_l1613z00_2869 = BgL_l1613z00_5562;
								goto BgL_zc3z04anonymousza31934ze3z87_2870;
							}
						}
					else
						{	/* SawJvm/funcall.scm 206 */
							((bool_t) 1);
						}
				}
				{	/* SawJvm/funcall.scm 207 */
					obj_t BgL_arg1940z00_2877;

					{	/* SawJvm/funcall.scm 207 */
						obj_t BgL_arg1942z00_2878;

						BgL_arg1942z00_2878 =
							MAKE_YOUNG_PAIR(bstring_to_symbol(string_append
								(BGl_string2266z00zzsaw_jvm_funcallz00, BgL_fnamez00_112)),
							BNIL);
						BgL_arg1940z00_2877 =
							MAKE_YOUNG_PAIR(((obj_t) CNST_TABLE_REF(33)),
							BgL_arg1942z00_2878);
					}
					BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_108, BgL_arg1940z00_2877);
				}
				BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_108,
					((obj_t) CNST_TABLE_REF(19)));
				{	/* SawJvm/funcall.scm 210 */
					obj_t BgL_zc3z04anonymousza31949ze3z87_4419;

					BgL_zc3z04anonymousza31949ze3z87_4419 =
						MAKE_FX_PROCEDURE
						(BGl_z62zc3z04anonymousza31949ze3ze5zzsaw_jvm_funcallz00,
						(int) (3L), (int) (3L));
					PROCEDURE_SET(BgL_zc3z04anonymousza31949ze3z87_4419, (int) (0L),
						((obj_t) BgL_mez00_108));
					PROCEDURE_SET(BgL_zc3z04anonymousza31949ze3z87_4419, (int) (1L),
						BINT(BgL_iz00_109));
					PROCEDURE_SET(BgL_zc3z04anonymousza31949ze3z87_4419, (int) (2L),
						BgL_paramsz00_113);
					{	/* SawJvm/funcall.scm 209 */
						obj_t BgL_list1946z00_2882;

						{	/* SawJvm/funcall.scm 209 */
							obj_t BgL_arg1947z00_2883;

							{	/* SawJvm/funcall.scm 209 */
								obj_t BgL_arg1948z00_2884;

								BgL_arg1948z00_2884 = MAKE_YOUNG_PAIR(BgL_procsz00_111, BNIL);
								BgL_arg1947z00_2883 =
									MAKE_YOUNG_PAIR(BgL_labsz00_2864, BgL_arg1948z00_2884);
							}
							BgL_list1946z00_2882 =
								MAKE_YOUNG_PAIR(BgL_needz00_110, BgL_arg1947z00_2883);
						}
						return
							BGl_forzd2eachzd2zz__r4_control_features_6_9z00
							(BgL_zc3z04anonymousza31949ze3z87_4419, BgL_list1946z00_2882);
					}
				}
			}
		}

	}



/* get-labs~1 */
	obj_t BGl_getzd2labsze71z35zzsaw_jvm_funcallz00(long BgL_iz00_2896,
		obj_t BgL_nsz00_2897, obj_t BgL_psz00_2898)
	{
		{	/* SawJvm/funcall.scm 202 */
			{
				long BgL_nz00_2890;

				if (NULLP(BgL_nsz00_2897))
					{	/* SawJvm/funcall.scm 199 */
						return BNIL;
					}
				else
					{	/* SawJvm/funcall.scm 201 */
						obj_t BgL_arg1957z00_2901;
						obj_t BgL_arg1960z00_2902;

						if (CBOOL(CAR(((obj_t) BgL_nsz00_2897))))
							{	/* SawJvm/funcall.scm 201 */
								BgL_nz00_2890 = BgL_iz00_2896;
								{	/* SawJvm/funcall.scm 197 */
									obj_t BgL_arg1953z00_2892;

									{	/* SawJvm/funcall.scm 197 */
										obj_t BgL_arg1954z00_2893;

										{	/* SawJvm/funcall.scm 197 */

											BgL_arg1954z00_2893 =
												BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00
												(BgL_nz00_2890, 10L);
										}
										BgL_arg1953z00_2892 =
											string_append(BGl_string2264z00zzsaw_jvm_funcallz00,
											BgL_arg1954z00_2893);
									}
									BgL_arg1957z00_2901 = bstring_to_symbol(BgL_arg1953z00_2892);
								}
							}
						else
							{	/* SawJvm/funcall.scm 201 */
								BgL_arg1957z00_2901 = ((obj_t) CNST_TABLE_REF(20));
							}
						{	/* SawJvm/funcall.scm 202 */
							long BgL_arg1962z00_2904;
							obj_t BgL_arg1963z00_2905;
							obj_t BgL_arg1965z00_2906;

							BgL_arg1962z00_2904 = (BgL_iz00_2896 + 1L);
							BgL_arg1963z00_2905 = CDR(((obj_t) BgL_nsz00_2897));
							BgL_arg1965z00_2906 = CDR(((obj_t) BgL_psz00_2898));
							BgL_arg1960z00_2902 =
								BGl_getzd2labsze71z35zzsaw_jvm_funcallz00(BgL_arg1962z00_2904,
								BgL_arg1963z00_2905, BgL_arg1965z00_2906);
						}
						return MAKE_YOUNG_PAIR(BgL_arg1957z00_2901, BgL_arg1960z00_2902);
					}
			}
		}

	}



/* &<@anonymous:1949> */
	obj_t BGl_z62zc3z04anonymousza31949ze3ze5zzsaw_jvm_funcallz00(obj_t
		BgL_envz00_4420, obj_t BgL_nzf3zf3_4424, obj_t BgL_labz00_4425,
		obj_t BgL_pz00_4426)
	{
		{	/* SawJvm/funcall.scm 209 */
			{	/* SawJvm/funcall.scm 210 */
				BgL_jvmz00_bglt BgL_mez00_4421;
				obj_t BgL_iz00_4422;
				obj_t BgL_paramsz00_4423;

				BgL_mez00_4421 =
					((BgL_jvmz00_bglt) PROCEDURE_REF(BgL_envz00_4420, (int) (0L)));
				BgL_iz00_4422 = PROCEDURE_REF(BgL_envz00_4420, (int) (1L));
				BgL_paramsz00_4423 =
					((obj_t) PROCEDURE_REF(BgL_envz00_4420, (int) (2L)));
				if (CBOOL(BgL_nzf3zf3_4424))
					{	/* SawJvm/funcall.scm 210 */
						return
							BGl_compilezd2forzd2funcalliz00zzsaw_jvm_funcallz00(
							((obj_t) BgL_mez00_4421), BgL_iz00_4422, BgL_labz00_4425,
							BgL_pz00_4426, BgL_paramsz00_4423);
					}
				else
					{	/* SawJvm/funcall.scm 210 */
						return BFALSE;
					}
			}
		}

	}



/* compile-for-funcalli */
	obj_t BGl_compilezd2forzd2funcalliz00zzsaw_jvm_funcallz00(obj_t BgL_mez00_114,
		obj_t BgL_iz00_115, obj_t BgL_labz00_116, obj_t BgL_pz00_117,
		obj_t BgL_paramsz00_118)
	{
		{	/* SawJvm/funcall.scm 216 */
			{	/* SawJvm/funcall.scm 217 */
				obj_t BgL_arityz00_2909;

				BgL_arityz00_2909 =
					BGl_globalzd2arityzd2zzbackend_cplibz00(
					((BgL_globalz00_bglt) BgL_pz00_117));
				{	/* SawJvm/funcall.scm 217 */
					BgL_globalz00_bglt BgL_entryz00_2910;

					BgL_entryz00_2910 =
						BGl_globalzd2entryzd2zzbackend_cplibz00(
						((BgL_globalz00_bglt) BgL_pz00_117));
					{	/* SawJvm/funcall.scm 218 */

						{
							obj_t BgL_nz00_3034;
							obj_t BgL_iz00_3028;

							BGl_labelz00zzsaw_jvm_outz00(
								((BgL_jvmz00_bglt) BgL_mez00_114), BgL_labz00_116);
							if ((BgL_arityz00_2909 == BFALSE))
								{	/* SawJvm/funcall.scm 228 */
									{
										obj_t BgL_l1615z00_2914;

										BgL_l1615z00_2914 = BgL_paramsz00_118;
									BgL_zc3z04anonymousza31966ze3z87_2915:
										if (PAIRP(BgL_l1615z00_2914))
											{	/* SawJvm/funcall.scm 229 */
												{	/* SawJvm/funcall.scm 229 */
													obj_t BgL_vz00_2917;

													BgL_vz00_2917 = CAR(BgL_l1615z00_2914);
													{	/* SawJvm/funcall.scm 229 */
														obj_t BgL_arg1968z00_2918;

														{	/* SawJvm/funcall.scm 229 */
															obj_t BgL_arg1969z00_2919;

															BgL_arg1969z00_2919 =
																MAKE_YOUNG_PAIR(BgL_vz00_2917, BNIL);
															BgL_arg1968z00_2918 =
																MAKE_YOUNG_PAIR(
																((obj_t)
																	CNST_TABLE_REF(2)), BgL_arg1969z00_2919);
														}
														BGl_codez12z12zzsaw_jvm_outz00(
															((BgL_jvmz00_bglt) BgL_mez00_114),
															BgL_arg1968z00_2918);
													}
												}
												{
													obj_t BgL_l1615z00_5636;

													BgL_l1615z00_5636 = CDR(BgL_l1615z00_2914);
													BgL_l1615z00_2914 = BgL_l1615z00_5636;
													goto BgL_zc3z04anonymousza31966ze3z87_2915;
												}
											}
										else
											{	/* SawJvm/funcall.scm 229 */
												((bool_t) 1);
											}
									}
									if (((long) CINT(BgL_iz00_115) == 0L))
										{	/* SawJvm/funcall.scm 230 */
											BGl_codez12z12zzsaw_jvm_outz00(
												((BgL_jvmz00_bglt) BgL_mez00_114),
												((obj_t) CNST_TABLE_REF(35)));
											{	/* SawJvm/funcall.scm 232 */
												obj_t BgL_arg1972z00_2923;

												{	/* SawJvm/funcall.scm 232 */
													obj_t BgL_arg1973z00_2924;

													{	/* SawJvm/funcall.scm 232 */
														obj_t BgL_arg1974z00_2925;

														BgL_arg1974z00_2925 =
															BGl_declarezd2globalzd2zzsaw_jvm_outz00(
															((BgL_jvmz00_bglt) BgL_mez00_114),
															((BgL_globalz00_bglt) BgL_pz00_117));
														BgL_arg1973z00_2924 =
															MAKE_YOUNG_PAIR(BgL_arg1974z00_2925, BNIL);
													}
													BgL_arg1972z00_2923 =
														MAKE_YOUNG_PAIR(
														((obj_t) CNST_TABLE_REF(36)), BgL_arg1973z00_2924);
												}
												BGl_codez12z12zzsaw_jvm_outz00(
													((BgL_jvmz00_bglt) BgL_mez00_114),
													BgL_arg1972z00_2923);
										}}
									else
										{	/* SawJvm/funcall.scm 233 */
											obj_t BgL_arg1975z00_2926;

											{	/* SawJvm/funcall.scm 233 */
												obj_t BgL_arg1976z00_2927;

												{	/* SawJvm/funcall.scm 233 */
													obj_t BgL_arg1978z00_2928;

													BgL_arg1978z00_2928 =
														BGl_declarezd2globalzd2zzsaw_jvm_outz00(
														((BgL_jvmz00_bglt) BgL_mez00_114),
														((BgL_globalz00_bglt) BgL_pz00_117));
													BgL_arg1976z00_2927 =
														MAKE_YOUNG_PAIR(BgL_arg1978z00_2928, BNIL);
												}
												BgL_arg1975z00_2926 =
													MAKE_YOUNG_PAIR(
													((obj_t) CNST_TABLE_REF(37)), BgL_arg1976z00_2927);
											}
											BGl_codez12z12zzsaw_jvm_outz00(
												((BgL_jvmz00_bglt) BgL_mez00_114), BgL_arg1975z00_2926);
										}
								}
							else
								{	/* SawJvm/funcall.scm 228 */
									if (((long) CINT(BgL_arityz00_2909) >= 0L))
										{	/* SawJvm/funcall.scm 234 */
											if (BGl_keyzd2optzf3z21zzsaw_jvm_funcallz00(BgL_pz00_117))
												{	/* SawJvm/funcall.scm 235 */
													{
														obj_t BgL_l1617z00_2933;

														BgL_l1617z00_2933 = BgL_paramsz00_118;
													BgL_zc3z04anonymousza31981ze3z87_2934:
														if (PAIRP(BgL_l1617z00_2933))
															{	/* SawJvm/funcall.scm 237 */
																{	/* SawJvm/funcall.scm 237 */
																	obj_t BgL_vz00_2936;

																	BgL_vz00_2936 = CAR(BgL_l1617z00_2933);
																	{	/* SawJvm/funcall.scm 237 */
																		obj_t BgL_arg1983z00_2937;

																		{	/* SawJvm/funcall.scm 237 */
																			obj_t BgL_arg1984z00_2938;

																			BgL_arg1984z00_2938 =
																				MAKE_YOUNG_PAIR(BgL_vz00_2936, BNIL);
																			BgL_arg1983z00_2937 =
																				MAKE_YOUNG_PAIR(
																				((obj_t)
																					CNST_TABLE_REF(2)),
																				BgL_arg1984z00_2938);
																		}
																		BGl_codez12z12zzsaw_jvm_outz00(
																			((BgL_jvmz00_bglt) BgL_mez00_114),
																			BgL_arg1983z00_2937);
																	}
																}
																{
																	obj_t BgL_l1617z00_5677;

																	BgL_l1617z00_5677 = CDR(BgL_l1617z00_2933);
																	BgL_l1617z00_2933 = BgL_l1617z00_5677;
																	goto BgL_zc3z04anonymousza31981ze3z87_2934;
																}
															}
														else
															{	/* SawJvm/funcall.scm 237 */
																((bool_t) 1);
															}
													}
													{	/* SawJvm/funcall.scm 238 */
														obj_t BgL_arg1986z00_2941;

														{	/* SawJvm/funcall.scm 238 */
															obj_t BgL_arg1987z00_2942;

															{	/* SawJvm/funcall.scm 238 */
																obj_t BgL_tmpz00_5679;

																BgL_iz00_3028 = BgL_iz00_115;
																{	/* SawJvm/funcall.scm 220 */
																	obj_t BgL_arg2041z00_3030;

																	{	/* SawJvm/funcall.scm 220 */
																		obj_t BgL_arg2042z00_3031;

																		{	/* SawJvm/funcall.scm 220 */

																			BgL_arg2042z00_3031 =
																				BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00
																				((long) CINT(BgL_iz00_3028), 10L);
																		}
																		BgL_arg2041z00_3030 =
																			string_append
																			(BGl_string2267z00zzsaw_jvm_funcallz00,
																			BgL_arg2042z00_3031);
																	}
																	BgL_tmpz00_5679 =
																		bstring_to_symbol(BgL_arg2041z00_3030);
																}
																BgL_arg1987z00_2942 =
																	MAKE_YOUNG_PAIR(BgL_tmpz00_5679, BNIL);
															}
															BgL_arg1986z00_2941 =
																MAKE_YOUNG_PAIR(
																((obj_t)
																	CNST_TABLE_REF(38)), BgL_arg1987z00_2942);
														}
														BGl_codez12z12zzsaw_jvm_outz00(
															((BgL_jvmz00_bglt) BgL_mez00_114),
															BgL_arg1986z00_2941);
													}
													BGl_callzd2globalzd2zzsaw_jvm_outz00(
														((BgL_jvmz00_bglt) BgL_mez00_114),
														BgL_entryz00_2910);
												}
											else
												{	/* SawJvm/funcall.scm 240 */
													obj_t BgL_argsz00_2944;

													BgL_argsz00_2944 =
														(((BgL_sfunz00_bglt) COBJECT(
																((BgL_sfunz00_bglt)
																	(((BgL_variablez00_bglt) COBJECT(
																				((BgL_variablez00_bglt)
																					BgL_entryz00_2910)))->
																		BgL_valuez00))))->BgL_argsz00);
													{	/* SawJvm/funcall.scm 240 */
														obj_t BgL_typesz00_2945;

														if (NULLP(BgL_argsz00_2944))
															{	/* SawJvm/funcall.scm 241 */
																BgL_typesz00_2945 = BNIL;
															}
														else
															{	/* SawJvm/funcall.scm 241 */
																obj_t BgL_head1621z00_2963;

																{	/* SawJvm/funcall.scm 241 */
																	BgL_typez00_bglt BgL_arg2008z00_2975;

																	BgL_arg2008z00_2975 =
																		(((BgL_variablez00_bglt) COBJECT(
																				((BgL_variablez00_bglt)
																					((BgL_localz00_bglt)
																						CAR(
																							((obj_t) BgL_argsz00_2944))))))->
																		BgL_typez00);
																	BgL_head1621z00_2963 =
																		MAKE_YOUNG_PAIR(((obj_t)
																			BgL_arg2008z00_2975), BNIL);
																}
																{	/* SawJvm/funcall.scm 241 */
																	obj_t BgL_g1624z00_2964;

																	BgL_g1624z00_2964 =
																		CDR(((obj_t) BgL_argsz00_2944));
																	{
																		obj_t BgL_l1619z00_2966;
																		obj_t BgL_tail1622z00_2967;

																		BgL_l1619z00_2966 = BgL_g1624z00_2964;
																		BgL_tail1622z00_2967 = BgL_head1621z00_2963;
																	BgL_zc3z04anonymousza32003ze3z87_2968:
																		if (NULLP(BgL_l1619z00_2966))
																			{	/* SawJvm/funcall.scm 241 */
																				BgL_typesz00_2945 =
																					BgL_head1621z00_2963;
																			}
																		else
																			{	/* SawJvm/funcall.scm 241 */
																				obj_t BgL_newtail1623z00_2970;

																				{	/* SawJvm/funcall.scm 241 */
																					BgL_typez00_bglt BgL_arg2006z00_2972;

																					BgL_arg2006z00_2972 =
																						(((BgL_variablez00_bglt) COBJECT(
																								((BgL_variablez00_bglt)
																									((BgL_localz00_bglt)
																										CAR(
																											((obj_t)
																												BgL_l1619z00_2966))))))->
																						BgL_typez00);
																					BgL_newtail1623z00_2970 =
																						MAKE_YOUNG_PAIR(((obj_t)
																							BgL_arg2006z00_2972), BNIL);
																				}
																				SET_CDR(BgL_tail1622z00_2967,
																					BgL_newtail1623z00_2970);
																				{	/* SawJvm/funcall.scm 241 */
																					obj_t BgL_arg2005z00_2971;

																					BgL_arg2005z00_2971 =
																						CDR(((obj_t) BgL_l1619z00_2966));
																					{
																						obj_t BgL_tail1622z00_5720;
																						obj_t BgL_l1619z00_5719;

																						BgL_l1619z00_5719 =
																							BgL_arg2005z00_2971;
																						BgL_tail1622z00_5720 =
																							BgL_newtail1623z00_2970;
																						BgL_tail1622z00_2967 =
																							BgL_tail1622z00_5720;
																						BgL_l1619z00_2966 =
																							BgL_l1619z00_5719;
																						goto
																							BgL_zc3z04anonymousza32003ze3z87_2968;
																					}
																				}
																			}
																	}
																}
															}
														{	/* SawJvm/funcall.scm 241 */

															{
																obj_t BgL_ll1625z00_2947;
																obj_t BgL_ll1626z00_2948;

																BgL_ll1625z00_2947 = BgL_paramsz00_118;
																BgL_ll1626z00_2948 = BgL_typesz00_2945;
															BgL_zc3z04anonymousza31989ze3z87_2949:
																if (NULLP(BgL_ll1625z00_2947))
																	{	/* SawJvm/funcall.scm 242 */
																		((bool_t) 1);
																	}
																else
																	{	/* SawJvm/funcall.scm 242 */
																		{	/* SawJvm/funcall.scm 243 */
																			obj_t BgL_vz00_2951;
																			obj_t BgL_tz00_2952;

																			BgL_vz00_2951 =
																				CAR(((obj_t) BgL_ll1625z00_2947));
																			BgL_tz00_2952 =
																				CAR(((obj_t) BgL_ll1626z00_2948));
																			{	/* SawJvm/funcall.scm 243 */
																				obj_t BgL_arg1991z00_2953;

																				{	/* SawJvm/funcall.scm 243 */
																					obj_t BgL_arg1994z00_2954;

																					BgL_arg1994z00_2954 =
																						MAKE_YOUNG_PAIR(BgL_vz00_2951,
																						BNIL);
																					BgL_arg1991z00_2953 =
																						MAKE_YOUNG_PAIR(((obj_t)
																							CNST_TABLE_REF(2)),
																						BgL_arg1994z00_2954);
																				}
																				BGl_codez12z12zzsaw_jvm_outz00(
																					((BgL_jvmz00_bglt) BgL_mez00_114),
																					BgL_arg1991z00_2953);
																			}
																			if (
																				(BgL_tz00_2952 ==
																					BGl_za2objza2z00zztype_cachez00))
																				{	/* SawJvm/funcall.scm 244 */
																					BFALSE;
																				}
																			else
																				{	/* SawJvm/funcall.scm 245 */
																					obj_t BgL_arg1995z00_2955;

																					{	/* SawJvm/funcall.scm 245 */
																						obj_t BgL_arg1998z00_2956;

																						{	/* SawJvm/funcall.scm 245 */
																							obj_t BgL_arg1999z00_2957;

																							BgL_arg1999z00_2957 =
																								BGl_compilezd2typezd2zzsaw_jvm_outz00
																								(((BgL_jvmz00_bglt)
																									BgL_mez00_114),
																								((BgL_typez00_bglt)
																									BgL_tz00_2952));
																							BgL_arg1998z00_2956 =
																								MAKE_YOUNG_PAIR
																								(BgL_arg1999z00_2957, BNIL);
																						}
																						BgL_arg1995z00_2955 =
																							MAKE_YOUNG_PAIR(
																							((obj_t)
																								CNST_TABLE_REF(28)),
																							BgL_arg1998z00_2956);
																					}
																					BGl_codez12z12zzsaw_jvm_outz00(
																						((BgL_jvmz00_bglt) BgL_mez00_114),
																						BgL_arg1995z00_2955);
																				}
																		}
																		{	/* SawJvm/funcall.scm 242 */
																			obj_t BgL_arg2000z00_2958;
																			obj_t BgL_arg2001z00_2959;

																			BgL_arg2000z00_2958 =
																				CDR(((obj_t) BgL_ll1625z00_2947));
																			BgL_arg2001z00_2959 =
																				CDR(((obj_t) BgL_ll1626z00_2948));
																			{
																				obj_t BgL_ll1626z00_5749;
																				obj_t BgL_ll1625z00_5748;

																				BgL_ll1625z00_5748 =
																					BgL_arg2000z00_2958;
																				BgL_ll1626z00_5749 =
																					BgL_arg2001z00_2959;
																				BgL_ll1626z00_2948 = BgL_ll1626z00_5749;
																				BgL_ll1625z00_2947 = BgL_ll1625z00_5748;
																				goto
																					BgL_zc3z04anonymousza31989ze3z87_2949;
																			}
																		}
																	}
															}
															BGl_callzd2globalzd2zzsaw_jvm_outz00(
																((BgL_jvmz00_bglt) BgL_mez00_114),
																BgL_entryz00_2910);
														}
													}
												}
										}
									else
										{	/* SawJvm/funcall.scm 234 */
											{	/* SawJvm/funcall.scm 249 */
												obj_t BgL_argsz00_2978;

												BgL_argsz00_2978 =
													(((BgL_sfunz00_bglt) COBJECT(
															((BgL_sfunz00_bglt)
																(((BgL_variablez00_bglt) COBJECT(
																			((BgL_variablez00_bglt)
																				BgL_entryz00_2910)))->BgL_valuez00))))->
													BgL_argsz00);
												{	/* SawJvm/funcall.scm 249 */
													obj_t BgL_typesz00_2979;

													if (NULLP(BgL_argsz00_2978))
														{	/* SawJvm/funcall.scm 250 */
															BgL_typesz00_2979 = BNIL;
														}
													else
														{	/* SawJvm/funcall.scm 250 */
															obj_t BgL_head1630z00_3010;

															{	/* SawJvm/funcall.scm 250 */
																BgL_typez00_bglt BgL_arg2034z00_3022;

																BgL_arg2034z00_3022 =
																	(((BgL_variablez00_bglt) COBJECT(
																			((BgL_variablez00_bglt)
																				((BgL_localz00_bglt)
																					CAR(
																						((obj_t) BgL_argsz00_2978))))))->
																	BgL_typez00);
																BgL_head1630z00_3010 =
																	MAKE_YOUNG_PAIR(((obj_t) BgL_arg2034z00_3022),
																	BNIL);
															}
															{	/* SawJvm/funcall.scm 250 */
																obj_t BgL_g1633z00_3011;

																BgL_g1633z00_3011 =
																	CDR(((obj_t) BgL_argsz00_2978));
																{
																	obj_t BgL_l1628z00_3013;
																	obj_t BgL_tail1631z00_3014;

																	BgL_l1628z00_3013 = BgL_g1633z00_3011;
																	BgL_tail1631z00_3014 = BgL_head1630z00_3010;
																BgL_zc3z04anonymousza32029ze3z87_3015:
																	if (NULLP(BgL_l1628z00_3013))
																		{	/* SawJvm/funcall.scm 250 */
																			BgL_typesz00_2979 = BgL_head1630z00_3010;
																		}
																	else
																		{	/* SawJvm/funcall.scm 250 */
																			obj_t BgL_newtail1632z00_3017;

																			{	/* SawJvm/funcall.scm 250 */
																				BgL_typez00_bglt BgL_arg2032z00_3019;

																				BgL_arg2032z00_3019 =
																					(((BgL_variablez00_bglt) COBJECT(
																							((BgL_variablez00_bglt)
																								((BgL_localz00_bglt)
																									CAR(
																										((obj_t)
																											BgL_l1628z00_3013))))))->
																					BgL_typez00);
																				BgL_newtail1632z00_3017 =
																					MAKE_YOUNG_PAIR(((obj_t)
																						BgL_arg2032z00_3019), BNIL);
																			}
																			SET_CDR(BgL_tail1631z00_3014,
																				BgL_newtail1632z00_3017);
																			{	/* SawJvm/funcall.scm 250 */
																				obj_t BgL_arg2031z00_3018;

																				BgL_arg2031z00_3018 =
																					CDR(((obj_t) BgL_l1628z00_3013));
																				{
																					obj_t BgL_tail1631z00_5780;
																					obj_t BgL_l1628z00_5779;

																					BgL_l1628z00_5779 =
																						BgL_arg2031z00_3018;
																					BgL_tail1631z00_5780 =
																						BgL_newtail1632z00_3017;
																					BgL_tail1631z00_3014 =
																						BgL_tail1631z00_5780;
																					BgL_l1628z00_3013 = BgL_l1628z00_5779;
																					goto
																						BgL_zc3z04anonymousza32029ze3z87_3015;
																				}
																			}
																		}
																}
															}
														}
													{	/* SawJvm/funcall.scm 250 */

														{	/* SawJvm/funcall.scm 251 */
															obj_t BgL_g1214z00_2980;

															BgL_g1214z00_2980 =
																BGl_zd2zd2zz__r4_numbers_6_5z00
																(BgL_arityz00_2909, BNIL);
															{
																obj_t BgL_iz00_2982;
																obj_t BgL_paramsz00_2983;
																obj_t BgL_typesz00_2984;

																BgL_iz00_2982 = BgL_g1214z00_2980;
																BgL_paramsz00_2983 = BgL_paramsz00_118;
																BgL_typesz00_2984 = BgL_typesz00_2979;
															BgL_zc3z04anonymousza32011ze3z87_2985:
																if (((long) CINT(BgL_iz00_2982) == 0L))
																	{
																		obj_t BgL_l1634z00_2988;

																		BgL_l1634z00_2988 = BgL_paramsz00_2983;
																	BgL_zc3z04anonymousza32013ze3z87_2989:
																		if (PAIRP(BgL_l1634z00_2988))
																			{	/* SawJvm/funcall.scm 255 */
																				{	/* SawJvm/funcall.scm 255 */
																					obj_t BgL_vz00_2991;

																					BgL_vz00_2991 =
																						CAR(BgL_l1634z00_2988);
																					{	/* SawJvm/funcall.scm 255 */
																						obj_t BgL_arg2015z00_2992;

																						{	/* SawJvm/funcall.scm 255 */
																							obj_t BgL_arg2016z00_2993;

																							BgL_arg2016z00_2993 =
																								MAKE_YOUNG_PAIR(BgL_vz00_2991,
																								BNIL);
																							BgL_arg2015z00_2992 =
																								MAKE_YOUNG_PAIR(((obj_t)
																									CNST_TABLE_REF(2)),
																								BgL_arg2016z00_2993);
																						}
																						BGl_codez12z12zzsaw_jvm_outz00(
																							((BgL_jvmz00_bglt) BgL_mez00_114),
																							BgL_arg2015z00_2992);
																					}
																				}
																				{
																					obj_t BgL_l1634z00_5794;

																					BgL_l1634z00_5794 =
																						CDR(BgL_l1634z00_2988);
																					BgL_l1634z00_2988 = BgL_l1634z00_5794;
																					goto
																						BgL_zc3z04anonymousza32013ze3z87_2989;
																				}
																			}
																		else
																			{	/* SawJvm/funcall.scm 255 */
																				((bool_t) 1);
																			}
																	}
																else
																	{	/* SawJvm/funcall.scm 256 */
																		obj_t BgL_vz00_2996;
																		obj_t BgL_tz00_2997;

																		BgL_vz00_2996 =
																			CAR(((obj_t) BgL_paramsz00_2983));
																		BgL_tz00_2997 =
																			CAR(((obj_t) BgL_typesz00_2984));
																		{	/* SawJvm/funcall.scm 258 */
																			obj_t BgL_arg2018z00_2998;

																			{	/* SawJvm/funcall.scm 258 */
																				obj_t BgL_arg2019z00_2999;

																				BgL_arg2019z00_2999 =
																					MAKE_YOUNG_PAIR(BgL_vz00_2996, BNIL);
																				BgL_arg2018z00_2998 =
																					MAKE_YOUNG_PAIR(
																					((obj_t)
																						CNST_TABLE_REF(2)),
																					BgL_arg2019z00_2999);
																			}
																			BGl_codez12z12zzsaw_jvm_outz00(
																				((BgL_jvmz00_bglt) BgL_mez00_114),
																				BgL_arg2018z00_2998);
																		}
																		if (
																			(BgL_tz00_2997 ==
																				BGl_za2objza2z00zztype_cachez00))
																			{	/* SawJvm/funcall.scm 259 */
																				BFALSE;
																			}
																		else
																			{	/* SawJvm/funcall.scm 260 */
																				obj_t BgL_arg2021z00_3000;

																				{	/* SawJvm/funcall.scm 260 */
																					obj_t BgL_arg2022z00_3001;

																					{	/* SawJvm/funcall.scm 260 */
																						obj_t BgL_arg2023z00_3002;

																						BgL_arg2023z00_3002 =
																							BGl_compilezd2typezd2zzsaw_jvm_outz00
																							(((BgL_jvmz00_bglt)
																								BgL_mez00_114),
																							((BgL_typez00_bglt)
																								BgL_tz00_2997));
																						BgL_arg2022z00_3001 =
																							MAKE_YOUNG_PAIR
																							(BgL_arg2023z00_3002, BNIL);
																					}
																					BgL_arg2021z00_3000 =
																						MAKE_YOUNG_PAIR(
																						((obj_t)
																							CNST_TABLE_REF(28)),
																						BgL_arg2022z00_3001);
																				}
																				BGl_codez12z12zzsaw_jvm_outz00(
																					((BgL_jvmz00_bglt) BgL_mez00_114),
																					BgL_arg2021z00_3000);
																			}
																		{	/* SawJvm/funcall.scm 261 */
																			long BgL_arg2024z00_3003;
																			obj_t BgL_arg2025z00_3004;
																			obj_t BgL_arg2026z00_3005;

																			BgL_arg2024z00_3003 =
																				((long) CINT(BgL_iz00_2982) - 1L);
																			BgL_arg2025z00_3004 =
																				CDR(((obj_t) BgL_paramsz00_2983));
																			BgL_arg2026z00_3005 =
																				CDR(((obj_t) BgL_typesz00_2984));
																			{
																				obj_t BgL_typesz00_5826;
																				obj_t BgL_paramsz00_5825;
																				obj_t BgL_iz00_5823;

																				BgL_iz00_5823 =
																					BINT(BgL_arg2024z00_3003);
																				BgL_paramsz00_5825 =
																					BgL_arg2025z00_3004;
																				BgL_typesz00_5826 = BgL_arg2026z00_3005;
																				BgL_typesz00_2984 = BgL_typesz00_5826;
																				BgL_paramsz00_2983 = BgL_paramsz00_5825;
																				BgL_iz00_2982 = BgL_iz00_5823;
																				goto
																					BgL_zc3z04anonymousza32011ze3z87_2985;
																			}
																		}
																	}
															}
														}
													}
												}
											}
											BGl_codez12z12zzsaw_jvm_outz00(
												((BgL_jvmz00_bglt) BgL_mez00_114),
												((obj_t) CNST_TABLE_REF(39)));
											{	/* SawJvm/funcall.scm 263 */
												obj_t BgL_arg2038z00_3025;

												{	/* SawJvm/funcall.scm 263 */
													obj_t BgL_b1636z00_3026;

													if (INTEGERP(BgL_arityz00_2909))
														{	/* SawJvm/funcall.scm 263 */
															obj_t BgL_tmpz00_4067;

															BgL_tmpz00_4067 = BINT(0L);
															{	/* SawJvm/funcall.scm 263 */
																bool_t BgL_test2440z00_5834;

																{	/* SawJvm/funcall.scm 263 */
																	obj_t BgL_tmpz00_5835;

																	BgL_tmpz00_5835 = BINT(1L);
																	BgL_test2440z00_5834 =
																		BGL_ADDFX_OV(BgL_tmpz00_5835,
																		BgL_arityz00_2909, BgL_tmpz00_4067);
																}
																if (BgL_test2440z00_5834)
																	{	/* SawJvm/funcall.scm 263 */
																		BgL_b1636z00_3026 =
																			bgl_bignum_add(
																			((obj_t)
																				CNST_TABLE_REF(40)),
																			bgl_long_to_bignum(
																				(long) CINT(BgL_arityz00_2909)));
																	}
																else
																	{	/* SawJvm/funcall.scm 263 */
																		BgL_b1636z00_3026 = BgL_tmpz00_4067;
																	}
															}
														}
													else
														{	/* SawJvm/funcall.scm 263 */
															BgL_b1636z00_3026 =
																BGl_2zb2zb2zz__r4_numbers_6_5z00(BINT(1L),
																BgL_arityz00_2909);
														}
													{	/* SawJvm/funcall.scm 263 */
														bool_t BgL_test2441z00_5845;

														if (INTEGERP(BgL_iz00_115))
															{	/* SawJvm/funcall.scm 263 */
																BgL_test2441z00_5845 =
																	INTEGERP(BgL_b1636z00_3026);
															}
														else
															{	/* SawJvm/funcall.scm 263 */
																BgL_test2441z00_5845 = ((bool_t) 0);
															}
														if (BgL_test2441z00_5845)
															{	/* SawJvm/funcall.scm 263 */
																obj_t BgL_tmpz00_4077;

																BgL_tmpz00_4077 = BINT(0L);
																if (BGL_ADDFX_OV(BgL_iz00_115,
																		BgL_b1636z00_3026, BgL_tmpz00_4077))
																	{	/* SawJvm/funcall.scm 263 */
																		BgL_arg2038z00_3025 =
																			bgl_bignum_add(bgl_long_to_bignum(
																				(long) CINT(BgL_iz00_115)),
																			bgl_long_to_bignum(
																				(long) CINT(BgL_b1636z00_3026)));
																	}
																else
																	{	/* SawJvm/funcall.scm 263 */
																		BgL_arg2038z00_3025 = BgL_tmpz00_4077;
																	}
															}
														else
															{	/* SawJvm/funcall.scm 263 */
																BgL_arg2038z00_3025 =
																	BGl_2zb2zb2zz__r4_numbers_6_5z00(BgL_iz00_115,
																	BgL_b1636z00_3026);
															}
													}
												}
												BgL_nz00_3034 = BgL_arg2038z00_3025;
											BgL_zc3z04anonymousza32043ze3z87_3035:
												{	/* SawJvm/funcall.scm 222 */
													bool_t BgL_test2444z00_5858;

													if (INTEGERP(BgL_nz00_3034))
														{	/* SawJvm/funcall.scm 222 */
															BgL_test2444z00_5858 =
																((long) CINT(BgL_nz00_3034) == 0L);
														}
													else
														{	/* SawJvm/funcall.scm 222 */
															BgL_test2444z00_5858 =
																BGl_2zd3zd3zz__r4_numbers_6_5z00(BgL_nz00_3034,
																BINT(0L));
														}
													if (BgL_test2444z00_5858)
														{	/* SawJvm/funcall.scm 222 */
															BGl_callzd2globalzd2zzsaw_jvm_outz00(
																((BgL_jvmz00_bglt) BgL_mez00_114),
																BgL_entryz00_2910);
														}
													else
														{	/* SawJvm/funcall.scm 222 */
															BGl_codez12z12zzsaw_jvm_outz00(
																((BgL_jvmz00_bglt) BgL_mez00_114),
																((obj_t) CNST_TABLE_REF(34)));
															{	/* SawJvm/funcall.scm 225 */
																long BgL_arg2045z00_3037;

																BgL_arg2045z00_3037 =
																	((long) CINT(BgL_nz00_3034) - 1L);
																{
																	obj_t BgL_nz00_5873;

																	BgL_nz00_5873 = BINT(BgL_arg2045z00_3037);
																	BgL_nz00_3034 = BgL_nz00_5873;
																	goto BgL_zc3z04anonymousza32043ze3z87_3035;
																}
															}
														}
												}
											}
										}
								}
							return
								BGl_codez12z12zzsaw_jvm_outz00(
								((BgL_jvmz00_bglt) BgL_mez00_114),
								((obj_t) CNST_TABLE_REF(19)));
						}
					}
				}
			}
		}

	}



/* compile-apply */
	obj_t BGl_compilezd2applyzd2zzsaw_jvm_funcallz00(BgL_jvmz00_bglt
		BgL_mez00_119, obj_t BgL_procsz00_120)
	{
		{	/* SawJvm/funcall.scm 269 */
			{	/* SawJvm/funcall.scm 274 */
				obj_t BgL_needz00_3041;

				if (NULLP(BgL_procsz00_120))
					{	/* SawJvm/funcall.scm 274 */
						BgL_needz00_3041 = BNIL;
					}
				else
					{	/* SawJvm/funcall.scm 274 */
						obj_t BgL_head1639z00_3063;

						{	/* SawJvm/funcall.scm 274 */
							obj_t BgL_arg2061z00_3075;

							{	/* SawJvm/funcall.scm 274 */
								obj_t BgL_arg2063z00_3076;

								BgL_arg2063z00_3076 = CAR(((obj_t) BgL_procsz00_120));
								BgL_arg2061z00_3075 =
									BGl_xx_globalzd2arityze70z35zzsaw_jvm_funcallz00
									(BgL_mez00_119, BgL_arg2063z00_3076);
							}
							BgL_head1639z00_3063 = MAKE_YOUNG_PAIR(BgL_arg2061z00_3075, BNIL);
						}
						{	/* SawJvm/funcall.scm 274 */
							obj_t BgL_g1642z00_3064;

							BgL_g1642z00_3064 = CDR(((obj_t) BgL_procsz00_120));
							{
								obj_t BgL_l1637z00_3066;
								obj_t BgL_tail1640z00_3067;

								BgL_l1637z00_3066 = BgL_g1642z00_3064;
								BgL_tail1640z00_3067 = BgL_head1639z00_3063;
							BgL_zc3z04anonymousza32055ze3z87_3068:
								if (NULLP(BgL_l1637z00_3066))
									{	/* SawJvm/funcall.scm 274 */
										BgL_needz00_3041 = BgL_head1639z00_3063;
									}
								else
									{	/* SawJvm/funcall.scm 274 */
										obj_t BgL_newtail1641z00_3070;

										{	/* SawJvm/funcall.scm 274 */
											obj_t BgL_arg2059z00_3072;

											{	/* SawJvm/funcall.scm 274 */
												obj_t BgL_arg2060z00_3073;

												BgL_arg2060z00_3073 = CAR(((obj_t) BgL_l1637z00_3066));
												BgL_arg2059z00_3072 =
													BGl_xx_globalzd2arityze70z35zzsaw_jvm_funcallz00
													(BgL_mez00_119, BgL_arg2060z00_3073);
											}
											BgL_newtail1641z00_3070 =
												MAKE_YOUNG_PAIR(BgL_arg2059z00_3072, BNIL);
										}
										SET_CDR(BgL_tail1640z00_3067, BgL_newtail1641z00_3070);
										{	/* SawJvm/funcall.scm 274 */
											obj_t BgL_arg2058z00_3071;

											BgL_arg2058z00_3071 = CDR(((obj_t) BgL_l1637z00_3066));
											{
												obj_t BgL_tail1640z00_5897;
												obj_t BgL_l1637z00_5896;

												BgL_l1637z00_5896 = BgL_arg2058z00_3071;
												BgL_tail1640z00_5897 = BgL_newtail1641z00_3070;
												BgL_tail1640z00_3067 = BgL_tail1640z00_5897;
												BgL_l1637z00_3066 = BgL_l1637z00_5896;
												goto BgL_zc3z04anonymousza32055ze3z87_3068;
											}
										}
									}
							}
						}
					}
				{	/* SawJvm/funcall.scm 275 */
					bool_t BgL_test2448z00_5898;

					{
						obj_t BgL_l1643z00_3053;

						BgL_l1643z00_3053 = BgL_needz00_3041;
					BgL_zc3z04anonymousza32052ze3z87_3054:
						if (NULLP(BgL_l1643z00_3053))
							{	/* SawJvm/funcall.scm 275 */
								BgL_test2448z00_5898 = ((bool_t) 1);
							}
						else
							{	/* SawJvm/funcall.scm 275 */
								bool_t BgL_test2450z00_5901;

								if (CBOOL(CAR(((obj_t) BgL_l1643z00_3053))))
									{	/* SawJvm/funcall.scm 275 */
										BgL_test2450z00_5901 = ((bool_t) 0);
									}
								else
									{	/* SawJvm/funcall.scm 275 */
										BgL_test2450z00_5901 = ((bool_t) 1);
									}
								if (BgL_test2450z00_5901)
									{
										obj_t BgL_l1643z00_5906;

										BgL_l1643z00_5906 = CDR(((obj_t) BgL_l1643z00_3053));
										BgL_l1643z00_3053 = BgL_l1643z00_5906;
										goto BgL_zc3z04anonymousza32052ze3z87_3054;
									}
								else
									{	/* SawJvm/funcall.scm 275 */
										BgL_test2448z00_5898 = ((bool_t) 0);
									}
							}
					}
					if (BgL_test2448z00_5898)
						{	/* SawJvm/funcall.scm 275 */
							return BFALSE;
						}
					else
						{	/* SawJvm/funcall.scm 275 */
							BGl_openzd2libzd2methodz00zzsaw_jvm_outz00(BgL_mez00_119,
								((obj_t) CNST_TABLE_REF(41)));
							BGl_declarezd2localszd2zzsaw_jvm_outz00(BgL_mez00_119,
								((obj_t) CNST_TABLE_REF(42)), BNIL);
							BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_119,
								((obj_t) CNST_TABLE_REF(31)));
							BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_119,
								((obj_t) CNST_TABLE_REF(31)));
							BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_119,
								((obj_t) CNST_TABLE_REF(3)));
							BGl_compilezd2dispatchzd2zzsaw_jvm_funcallz00(BgL_mez00_119,
								BgL_needz00_3041, BgL_procsz00_120);
							return BGl_closezd2methodzd2zzsaw_jvm_outz00(BgL_mez00_119);
						}
				}
			}
		}

	}



/* xx_global-arity~0 */
	obj_t BGl_xx_globalzd2arityze70z35zzsaw_jvm_funcallz00(BgL_jvmz00_bglt
		BgL_mez00_4472, obj_t BgL_pz00_3077)
	{
		{	/* SawJvm/funcall.scm 273 */
			if (BGl_iszd2lightzd2procedurezf3zf3zzsaw_jvm_funcallz00(BgL_mez00_4472,
					BgL_pz00_3077))
				{	/* SawJvm/funcall.scm 271 */
					return BFALSE;
				}
			else
				{	/* SawJvm/funcall.scm 272 */
					bool_t BgL_test2453z00_5928;

					{	/* SawJvm/funcall.scm 272 */
						BgL_globalz00_bglt BgL_arg2065z00_3081;

						BgL_arg2065z00_3081 =
							BGl_globalzd2entryzd2zzbackend_cplibz00(
							((BgL_globalz00_bglt) BgL_pz00_3077));
						BgL_test2453z00_5928 =
							BGl_iszd2lightzd2procedurezf3zf3zzsaw_jvm_funcallz00
							(BgL_mez00_4472, ((obj_t) BgL_arg2065z00_3081));
					}
					if (BgL_test2453z00_5928)
						{	/* SawJvm/funcall.scm 272 */
							return BFALSE;
						}
					else
						{	/* SawJvm/funcall.scm 272 */
							return
								BGl_globalzd2arityzd2zzbackend_cplibz00(
								((BgL_globalz00_bglt) BgL_pz00_3077));
						}
				}
		}

	}



/* compile-dispatch */
	obj_t BGl_compilezd2dispatchzd2zzsaw_jvm_funcallz00(BgL_jvmz00_bglt
		BgL_mez00_121, obj_t BgL_needz00_122, obj_t BgL_procsz00_123)
	{
		{	/* SawJvm/funcall.scm 284 */
			{	/* SawJvm/funcall.scm 291 */
				obj_t BgL_labsz00_3085;

				BgL_labsz00_3085 =
					BGl_getzd2labsze70z35zzsaw_jvm_funcallz00(0L, BgL_needz00_122,
					BgL_procsz00_123);
				{	/* SawJvm/funcall.scm 292 */
					obj_t BgL_arg2066z00_3086;

					{	/* SawJvm/funcall.scm 292 */
						obj_t BgL_arg2067z00_3087;

						{	/* SawJvm/funcall.scm 292 */
							obj_t BgL_arg2068z00_3088;

							BgL_arg2068z00_3088 = MAKE_YOUNG_PAIR(BINT(0L), BgL_labsz00_3085);
							BgL_arg2067z00_3087 =
								MAKE_YOUNG_PAIR(
								((obj_t) CNST_TABLE_REF(20)), BgL_arg2068z00_3088);
						}
						BgL_arg2066z00_3086 =
							MAKE_YOUNG_PAIR(
							((obj_t) CNST_TABLE_REF(21)), BgL_arg2067z00_3087);
					}
					BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_121, BgL_arg2066z00_3086);
				}
				BGl_labelz00zzsaw_jvm_outz00(BgL_mez00_121,
					((obj_t) CNST_TABLE_REF(20)));
				BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_121,
					((obj_t) CNST_TABLE_REF(43)));
				BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_121,
					((obj_t) CNST_TABLE_REF(44)));
				BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_121,
					((obj_t) CNST_TABLE_REF(19)));
				{	/* SawJvm/funcall.scm 297 */
					obj_t BgL_zc3z04anonymousza32073ze3z87_4427;

					BgL_zc3z04anonymousza32073ze3z87_4427 =
						MAKE_FX_PROCEDURE
						(BGl_z62zc3z04anonymousza32073ze3ze5zzsaw_jvm_funcallz00,
						(int) (3L), (int) (1L));
					PROCEDURE_SET(BgL_zc3z04anonymousza32073ze3z87_4427, (int) (0L),
						((obj_t) BgL_mez00_121));
					{	/* SawJvm/funcall.scm 297 */
						obj_t BgL_list2070z00_3090;

						{	/* SawJvm/funcall.scm 297 */
							obj_t BgL_arg2071z00_3091;

							{	/* SawJvm/funcall.scm 297 */
								obj_t BgL_arg2072z00_3092;

								BgL_arg2072z00_3092 = MAKE_YOUNG_PAIR(BgL_procsz00_123, BNIL);
								BgL_arg2071z00_3091 =
									MAKE_YOUNG_PAIR(BgL_labsz00_3085, BgL_arg2072z00_3092);
							}
							BgL_list2070z00_3090 =
								MAKE_YOUNG_PAIR(BgL_needz00_122, BgL_arg2071z00_3091);
						}
						return
							BGl_forzd2eachzd2zz__r4_control_features_6_9z00
							(BgL_zc3z04anonymousza32073ze3z87_4427, BgL_list2070z00_3090);
					}
				}
			}
		}

	}



/* get-labs~0 */
	obj_t BGl_getzd2labsze70z35zzsaw_jvm_funcallz00(long BgL_iz00_3104,
		obj_t BgL_nsz00_3105, obj_t BgL_psz00_3106)
	{
		{	/* SawJvm/funcall.scm 290 */
			{
				long BgL_nz00_3098;

				if (NULLP(BgL_nsz00_3105))
					{	/* SawJvm/funcall.scm 287 */
						return BNIL;
					}
				else
					{	/* SawJvm/funcall.scm 289 */
						obj_t BgL_arg2079z00_3109;
						obj_t BgL_arg2080z00_3110;

						if (CBOOL(CAR(((obj_t) BgL_nsz00_3105))))
							{	/* SawJvm/funcall.scm 289 */
								BgL_nz00_3098 = BgL_iz00_3104;
								{	/* SawJvm/funcall.scm 285 */
									obj_t BgL_arg2075z00_3100;

									{	/* SawJvm/funcall.scm 285 */
										obj_t BgL_arg2076z00_3101;

										{	/* SawJvm/funcall.scm 285 */

											BgL_arg2076z00_3101 =
												BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00
												(BgL_nz00_3098, 10L);
										}
										BgL_arg2075z00_3100 =
											string_append(BGl_string2264z00zzsaw_jvm_funcallz00,
											BgL_arg2076z00_3101);
									}
									BgL_arg2079z00_3109 = bstring_to_symbol(BgL_arg2075z00_3100);
								}
							}
						else
							{	/* SawJvm/funcall.scm 289 */
								BgL_arg2079z00_3109 = ((obj_t) CNST_TABLE_REF(20));
							}
						{	/* SawJvm/funcall.scm 290 */
							long BgL_arg2082z00_3112;
							obj_t BgL_arg2083z00_3113;
							obj_t BgL_arg2084z00_3114;

							BgL_arg2082z00_3112 = (BgL_iz00_3104 + 1L);
							BgL_arg2083z00_3113 = CDR(((obj_t) BgL_nsz00_3105));
							BgL_arg2084z00_3114 = CDR(((obj_t) BgL_psz00_3106));
							BgL_arg2080z00_3110 =
								BGl_getzd2labsze70z35zzsaw_jvm_funcallz00(BgL_arg2082z00_3112,
								BgL_arg2083z00_3113, BgL_arg2084z00_3114);
						}
						return MAKE_YOUNG_PAIR(BgL_arg2079z00_3109, BgL_arg2080z00_3110);
					}
			}
		}

	}



/* &<@anonymous:2073> */
	obj_t BGl_z62zc3z04anonymousza32073ze3ze5zzsaw_jvm_funcallz00(obj_t
		BgL_envz00_4428, obj_t BgL_nzf3zf3_4430, obj_t BgL_labz00_4431,
		obj_t BgL_pz00_4432)
	{
		{	/* SawJvm/funcall.scm 297 */
			{	/* SawJvm/funcall.scm 297 */
				BgL_jvmz00_bglt BgL_mez00_4429;

				BgL_mez00_4429 =
					((BgL_jvmz00_bglt) PROCEDURE_REF(BgL_envz00_4428, (int) (0L)));
				if (CBOOL(BgL_nzf3zf3_4430))
					{	/* SawJvm/funcall.scm 297 */
						return
							BGl_compilezd2forzd2applyz00zzsaw_jvm_funcallz00(
							((obj_t) BgL_mez00_4429), BgL_labz00_4431, BgL_pz00_4432);
					}
				else
					{	/* SawJvm/funcall.scm 297 */
						return BFALSE;
					}
			}
		}

	}



/* compile-for-apply */
	obj_t BGl_compilezd2forzd2applyz00zzsaw_jvm_funcallz00(obj_t BgL_mez00_124,
		obj_t BgL_labz00_125, obj_t BgL_pz00_126)
	{
		{	/* SawJvm/funcall.scm 302 */
			{
				obj_t BgL_mez00_3142;
				obj_t BgL_nz00_3143;
				bool_t BgL_fixedarityzf3zf3_3144;
				obj_t BgL_typesz00_3145;

				{	/* SawJvm/funcall.scm 328 */
					obj_t BgL_arityz00_3118;

					BgL_arityz00_3118 =
						BGl_globalzd2arityzd2zzbackend_cplibz00(
						((BgL_globalz00_bglt) BgL_pz00_126));
					{	/* SawJvm/funcall.scm 328 */
						BgL_globalz00_bglt BgL_entryz00_3119;

						BgL_entryz00_3119 =
							BGl_globalzd2entryzd2zzbackend_cplibz00(
							((BgL_globalz00_bglt) BgL_pz00_126));
						{	/* SawJvm/funcall.scm 329 */
							obj_t BgL_argsz00_3120;

							BgL_argsz00_3120 =
								(((BgL_sfunz00_bglt) COBJECT(
										((BgL_sfunz00_bglt)
											(((BgL_variablez00_bglt) COBJECT(
														((BgL_variablez00_bglt) BgL_entryz00_3119)))->
												BgL_valuez00))))->BgL_argsz00);
							{	/* SawJvm/funcall.scm 330 */
								obj_t BgL_typesz00_3121;

								{	/* SawJvm/funcall.scm 331 */
									obj_t BgL_l1646z00_3125;

									BgL_l1646z00_3125 = CDR(((obj_t) BgL_argsz00_3120));
									if (NULLP(BgL_l1646z00_3125))
										{	/* SawJvm/funcall.scm 331 */
											BgL_typesz00_3121 = BNIL;
										}
									else
										{	/* SawJvm/funcall.scm 331 */
											obj_t BgL_head1648z00_3127;

											{	/* SawJvm/funcall.scm 331 */
												BgL_typez00_bglt BgL_arg2094z00_3139;

												BgL_arg2094z00_3139 =
													(((BgL_variablez00_bglt) COBJECT(
															((BgL_variablez00_bglt)
																((BgL_localz00_bglt)
																	CAR(
																		((obj_t) BgL_l1646z00_3125))))))->
													BgL_typez00);
												BgL_head1648z00_3127 =
													MAKE_YOUNG_PAIR(((obj_t) BgL_arg2094z00_3139), BNIL);
											}
											{	/* SawJvm/funcall.scm 331 */
												obj_t BgL_g1651z00_3128;

												BgL_g1651z00_3128 = CDR(((obj_t) BgL_l1646z00_3125));
												{
													obj_t BgL_l1646z00_3130;
													obj_t BgL_tail1649z00_3131;

													BgL_l1646z00_3130 = BgL_g1651z00_3128;
													BgL_tail1649z00_3131 = BgL_head1648z00_3127;
												BgL_zc3z04anonymousza32089ze3z87_3132:
													if (NULLP(BgL_l1646z00_3130))
														{	/* SawJvm/funcall.scm 331 */
															BgL_typesz00_3121 = BgL_head1648z00_3127;
														}
													else
														{	/* SawJvm/funcall.scm 331 */
															obj_t BgL_newtail1650z00_3134;

															{	/* SawJvm/funcall.scm 331 */
																BgL_typez00_bglt BgL_arg2092z00_3136;

																BgL_arg2092z00_3136 =
																	(((BgL_variablez00_bglt) COBJECT(
																			((BgL_variablez00_bglt)
																				((BgL_localz00_bglt)
																					CAR(
																						((obj_t) BgL_l1646z00_3130))))))->
																	BgL_typez00);
																BgL_newtail1650z00_3134 =
																	MAKE_YOUNG_PAIR(((obj_t) BgL_arg2092z00_3136),
																	BNIL);
															}
															SET_CDR(BgL_tail1649z00_3131,
																BgL_newtail1650z00_3134);
															{	/* SawJvm/funcall.scm 331 */
																obj_t BgL_arg2091z00_3135;

																BgL_arg2091z00_3135 =
																	CDR(((obj_t) BgL_l1646z00_3130));
																{
																	obj_t BgL_tail1649z00_6026;
																	obj_t BgL_l1646z00_6025;

																	BgL_l1646z00_6025 = BgL_arg2091z00_3135;
																	BgL_tail1649z00_6026 =
																		BgL_newtail1650z00_3134;
																	BgL_tail1649z00_3131 = BgL_tail1649z00_6026;
																	BgL_l1646z00_3130 = BgL_l1646z00_6025;
																	goto BgL_zc3z04anonymousza32089ze3z87_3132;
																}
															}
														}
												}
											}
										}
								}
								{	/* SawJvm/funcall.scm 331 */

									BGl_labelz00zzsaw_jvm_outz00(
										((BgL_jvmz00_bglt) BgL_mez00_124), BgL_labz00_125);
									{	/* SawJvm/funcall.scm 333 */
										bool_t BgL_test2459z00_6029;

										if (INTEGERP(BgL_arityz00_3118))
											{	/* SawJvm/funcall.scm 333 */
												BgL_test2459z00_6029 =
													((long) CINT(BgL_arityz00_3118) >= 0L);
											}
										else
											{	/* SawJvm/funcall.scm 333 */
												BgL_test2459z00_6029 =
													BGl_2ze3zd3z30zz__r4_numbers_6_5z00(BgL_arityz00_3118,
													BINT(0L));
											}
										if (BgL_test2459z00_6029)
											{	/* SawJvm/funcall.scm 333 */
												if (BGl_keyzd2optzf3z21zzsaw_jvm_funcallz00
													(BgL_pz00_126))
													{	/* SawJvm/funcall.scm 334 */
														BGl_codez12z12zzsaw_jvm_outz00(
															((BgL_jvmz00_bglt) BgL_mez00_124),
															((obj_t) CNST_TABLE_REF(43)));
														BGl_codez12z12zzsaw_jvm_outz00(
															((BgL_jvmz00_bglt) BgL_mez00_124),
															((obj_t) CNST_TABLE_REF(50)));
													}
												else
													{	/* SawJvm/funcall.scm 334 */
														BgL_mez00_3142 = BgL_mez00_124;
														BgL_nz00_3143 = BgL_arityz00_3118;
														BgL_fixedarityzf3zf3_3144 = ((bool_t) 1);
														BgL_typesz00_3145 = BgL_typesz00_3121;
													BgL_zc3z04anonymousza32097ze3z87_3146:
														if (((long) CINT(BgL_nz00_3143) == 0L))
															{	/* SawJvm/funcall.scm 305 */
																if (BgL_fixedarityzf3zf3_3144)
																	{	/* SawJvm/funcall.scm 306 */
																		BFALSE;
																	}
																else
																	{	/* SawJvm/funcall.scm 306 */
																		BGl_codez12z12zzsaw_jvm_outz00(
																			((BgL_jvmz00_bglt) BgL_mez00_3142),
																			((obj_t) CNST_TABLE_REF(43)));
																	}
															}
														else
															{	/* SawJvm/funcall.scm 305 */
																if (((long) CINT(BgL_nz00_3143) == 1L))
																	{	/* SawJvm/funcall.scm 308 */
																		BGl_codez12z12zzsaw_jvm_outz00(
																			((BgL_jvmz00_bglt) BgL_mez00_3142),
																			((obj_t) CNST_TABLE_REF(43)));
																		BGl_codez12z12zzsaw_jvm_outz00(
																			((BgL_jvmz00_bglt) BgL_mez00_3142),
																			((obj_t) CNST_TABLE_REF(45)));
																		BGl_codez12z12zzsaw_jvm_outz00(
																			((BgL_jvmz00_bglt) BgL_mez00_3142),
																			((obj_t) CNST_TABLE_REF(46)));
																		{	/* SawJvm/funcall.scm 312 */
																			bool_t BgL_test2465z00_6069;

																			{	/* SawJvm/funcall.scm 312 */
																				obj_t BgL_arg2106z00_3155;

																				BgL_arg2106z00_3155 =
																					CAR(((obj_t) BgL_typesz00_3145));
																				BgL_test2465z00_6069 =
																					(BgL_arg2106z00_3155 ==
																					BGl_za2objza2z00zztype_cachez00);
																			}
																			if (BgL_test2465z00_6069)
																				{	/* SawJvm/funcall.scm 312 */
																					BFALSE;
																				}
																			else
																				{	/* SawJvm/funcall.scm 313 */
																					obj_t BgL_arg2102z00_3151;

																					{	/* SawJvm/funcall.scm 313 */
																						obj_t BgL_arg2103z00_3152;

																						{	/* SawJvm/funcall.scm 313 */
																							obj_t BgL_arg2104z00_3153;

																							{	/* SawJvm/funcall.scm 313 */
																								obj_t BgL_arg2105z00_3154;

																								BgL_arg2105z00_3154 =
																									CAR(
																									((obj_t) BgL_typesz00_3145));
																								BgL_arg2104z00_3153 =
																									BGl_compilezd2typezd2zzsaw_jvm_outz00
																									(((BgL_jvmz00_bglt)
																										BgL_mez00_3142),
																									((BgL_typez00_bglt)
																										BgL_arg2105z00_3154));
																							}
																							BgL_arg2103z00_3152 =
																								MAKE_YOUNG_PAIR
																								(BgL_arg2104z00_3153, BNIL);
																						}
																						BgL_arg2102z00_3151 =
																							MAKE_YOUNG_PAIR(
																							((obj_t)
																								CNST_TABLE_REF(28)),
																							BgL_arg2103z00_3152);
																					}
																					BGl_codez12z12zzsaw_jvm_outz00(
																						((BgL_jvmz00_bglt) BgL_mez00_3142),
																						BgL_arg2102z00_3151);
																				}
																		}
																		if (BgL_fixedarityzf3zf3_3144)
																			{	/* SawJvm/funcall.scm 314 */
																				BFALSE;
																			}
																		else
																			{	/* SawJvm/funcall.scm 314 */
																				BGl_codez12z12zzsaw_jvm_outz00(
																					((BgL_jvmz00_bglt) BgL_mez00_3142),
																					((obj_t) CNST_TABLE_REF(43)));
																				BGl_codez12z12zzsaw_jvm_outz00(
																					((BgL_jvmz00_bglt) BgL_mez00_3142),
																					((obj_t) CNST_TABLE_REF(45)));
																				BGl_codez12z12zzsaw_jvm_outz00(
																					((BgL_jvmz00_bglt) BgL_mez00_3142),
																					((obj_t) CNST_TABLE_REF(47)));
																			}
																	}
																else
																	{	/* SawJvm/funcall.scm 308 */
																		BGl_codez12z12zzsaw_jvm_outz00(
																			((BgL_jvmz00_bglt) BgL_mez00_3142),
																			((obj_t) CNST_TABLE_REF(43)));
																		BGl_codez12z12zzsaw_jvm_outz00(
																			((BgL_jvmz00_bglt) BgL_mez00_3142),
																			((obj_t) CNST_TABLE_REF(45)));
																		BGl_codez12z12zzsaw_jvm_outz00(
																			((BgL_jvmz00_bglt) BgL_mez00_3142),
																			((obj_t) CNST_TABLE_REF(48)));
																		BGl_codez12z12zzsaw_jvm_outz00(
																			((BgL_jvmz00_bglt) BgL_mez00_3142),
																			((obj_t) CNST_TABLE_REF(47)));
																		BGl_codez12z12zzsaw_jvm_outz00(
																			((BgL_jvmz00_bglt) BgL_mez00_3142),
																			((obj_t) CNST_TABLE_REF(49)));
																		BGl_codez12z12zzsaw_jvm_outz00(
																			((BgL_jvmz00_bglt) BgL_mez00_3142),
																			((obj_t) CNST_TABLE_REF(46)));
																		{	/* SawJvm/funcall.scm 325 */
																			bool_t BgL_test2467z00_6121;

																			{	/* SawJvm/funcall.scm 325 */
																				obj_t BgL_arg2113z00_3162;

																				BgL_arg2113z00_3162 =
																					CAR(((obj_t) BgL_typesz00_3145));
																				BgL_test2467z00_6121 =
																					(BgL_arg2113z00_3162 ==
																					BGl_za2objza2z00zztype_cachez00);
																			}
																			if (BgL_test2467z00_6121)
																				{	/* SawJvm/funcall.scm 325 */
																					BFALSE;
																				}
																			else
																				{	/* SawJvm/funcall.scm 326 */
																					obj_t BgL_arg2109z00_3158;

																					{	/* SawJvm/funcall.scm 326 */
																						obj_t BgL_arg2110z00_3159;

																						{	/* SawJvm/funcall.scm 326 */
																							obj_t BgL_arg2111z00_3160;

																							{	/* SawJvm/funcall.scm 326 */
																								obj_t BgL_arg2112z00_3161;

																								BgL_arg2112z00_3161 =
																									CAR(
																									((obj_t) BgL_typesz00_3145));
																								BgL_arg2111z00_3160 =
																									BGl_compilezd2typezd2zzsaw_jvm_outz00
																									(((BgL_jvmz00_bglt)
																										BgL_mez00_3142),
																									((BgL_typez00_bglt)
																										BgL_arg2112z00_3161));
																							}
																							BgL_arg2110z00_3159 =
																								MAKE_YOUNG_PAIR
																								(BgL_arg2111z00_3160, BNIL);
																						}
																						BgL_arg2109z00_3158 =
																							MAKE_YOUNG_PAIR(
																							((obj_t)
																								CNST_TABLE_REF(28)),
																							BgL_arg2110z00_3159);
																					}
																					BGl_codez12z12zzsaw_jvm_outz00(
																						((BgL_jvmz00_bglt) BgL_mez00_3142),
																						BgL_arg2109z00_3158);
																				}
																		}
																		{	/* SawJvm/funcall.scm 327 */
																			obj_t BgL_arg2114z00_3163;
																			obj_t BgL_arg2115z00_3164;

																			if (INTEGERP(BgL_nz00_3143))
																				{	/* SawJvm/funcall.scm 327 */
																					obj_t BgL_tmpz00_4105;

																					BgL_tmpz00_4105 = BINT(0L);
																					{	/* SawJvm/funcall.scm 327 */
																						bool_t BgL_test2469z00_6139;

																						{	/* SawJvm/funcall.scm 327 */
																							obj_t BgL_tmpz00_6140;

																							BgL_tmpz00_6140 = BINT(1L);
																							BgL_test2469z00_6139 =
																								BGL_SUBFX_OV(BgL_nz00_3143,
																								BgL_tmpz00_6140,
																								BgL_tmpz00_4105);
																						}
																						if (BgL_test2469z00_6139)
																							{	/* SawJvm/funcall.scm 327 */
																								BgL_arg2114z00_3163 =
																									bgl_bignum_sub
																									(bgl_long_to_bignum((long)
																										CINT(BgL_nz00_3143)),
																									((obj_t) CNST_TABLE_REF(40)));
																							}
																						else
																							{	/* SawJvm/funcall.scm 327 */
																								BgL_arg2114z00_3163 =
																									BgL_tmpz00_4105;
																							}
																					}
																				}
																			else
																				{	/* SawJvm/funcall.scm 327 */
																					BgL_arg2114z00_3163 =
																						BGl_2zd2zd2zz__r4_numbers_6_5z00
																						(BgL_nz00_3143, BINT(1L));
																				}
																			BgL_arg2115z00_3164 =
																				CDR(((obj_t) BgL_typesz00_3145));
																			{
																				obj_t BgL_typesz00_6153;
																				obj_t BgL_nz00_6152;

																				BgL_nz00_6152 = BgL_arg2114z00_3163;
																				BgL_typesz00_6153 = BgL_arg2115z00_3164;
																				BgL_typesz00_3145 = BgL_typesz00_6153;
																				BgL_nz00_3143 = BgL_nz00_6152;
																				goto
																					BgL_zc3z04anonymousza32097ze3z87_3146;
																			}
																		}
																	}
															}
													}
											}
										else
											{	/* SawJvm/funcall.scm 338 */
												obj_t BgL_arg2087z00_3124;

												if (INTEGERP(BgL_arityz00_3118))
													{	/* SawJvm/funcall.scm 338 */
														obj_t BgL_tmpz00_4127;

														BgL_tmpz00_4127 = BINT(0L);
														{	/* SawJvm/funcall.scm 338 */
															bool_t BgL_test2471z00_6157;

															{	/* SawJvm/funcall.scm 338 */
																obj_t BgL_tmpz00_6158;

																BgL_tmpz00_6158 = BINT((-1L));
																BgL_test2471z00_6157 =
																	BGL_SUBFX_OV(BgL_tmpz00_6158,
																	BgL_arityz00_3118, BgL_tmpz00_4127);
															}
															if (BgL_test2471z00_6157)
																{	/* SawJvm/funcall.scm 338 */
																	BgL_arg2087z00_3124 =
																		bgl_bignum_sub(
																		((obj_t)
																			CNST_TABLE_REF(32)),
																		bgl_long_to_bignum(
																			(long) CINT(BgL_arityz00_3118)));
																}
															else
																{	/* SawJvm/funcall.scm 338 */
																	BgL_arg2087z00_3124 = BgL_tmpz00_4127;
																}
														}
													}
												else
													{	/* SawJvm/funcall.scm 338 */
														BgL_arg2087z00_3124 =
															BGl_2zd2zd2zz__r4_numbers_6_5z00(BINT((-1L)),
															BgL_arityz00_3118);
													}
												{
													obj_t BgL_typesz00_6171;
													bool_t BgL_fixedarityzf3zf3_6170;
													obj_t BgL_nz00_6169;
													obj_t BgL_mez00_6168;

													BgL_mez00_6168 = BgL_mez00_124;
													BgL_nz00_6169 = BgL_arg2087z00_3124;
													BgL_fixedarityzf3zf3_6170 = ((bool_t) 0);
													BgL_typesz00_6171 = BgL_typesz00_3121;
													BgL_typesz00_3145 = BgL_typesz00_6171;
													BgL_fixedarityzf3zf3_3144 = BgL_fixedarityzf3zf3_6170;
													BgL_nz00_3143 = BgL_nz00_6169;
													BgL_mez00_3142 = BgL_mez00_6168;
													goto BgL_zc3z04anonymousza32097ze3z87_3146;
												}
											}
									}
									BGl_callzd2globalzd2zzsaw_jvm_outz00(
										((BgL_jvmz00_bglt) BgL_mez00_124), BgL_entryz00_3119);
									return
										BGl_codez12z12zzsaw_jvm_outz00(
										((BgL_jvmz00_bglt) BgL_mez00_124),
										((obj_t) CNST_TABLE_REF(19)));
								}
							}
						}
					}
				}
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzsaw_jvm_funcallz00(void)
	{
		{	/* SawJvm/funcall.scm 1 */
			{	/* SawJvm/funcall.scm 19 */
				obj_t BgL_arg2120z00_3170;
				obj_t BgL_arg2121z00_3171;

				{	/* SawJvm/funcall.scm 19 */
					obj_t BgL_v1652z00_3213;

					BgL_v1652z00_3213 = create_vector(1L);
					{	/* SawJvm/funcall.scm 19 */
						obj_t BgL_arg2132z00_3214;

						BgL_arg2132z00_3214 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(51)), BGl_proc2269z00zzsaw_jvm_funcallz00,
							BGl_proc2268z00zzsaw_jvm_funcallz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, ((obj_t) CNST_TABLE_REF(11)));
						VECTOR_SET(BgL_v1652z00_3213, 0L, BgL_arg2132z00_3214);
					}
					BgL_arg2120z00_3170 = BgL_v1652z00_3213;
				}
				{	/* SawJvm/funcall.scm 19 */
					obj_t BgL_v1653z00_3224;

					BgL_v1653z00_3224 = create_vector(0L);
					BgL_arg2121z00_3171 = BgL_v1653z00_3224;
				}
				return (BGl_indexedz00zzsaw_jvm_funcallz00 =
					BGl_registerzd2classz12zc0zz__objectz00(
						((obj_t)
							CNST_TABLE_REF(52)),
						((obj_t)
							CNST_TABLE_REF(53)), BGl_globalz00zzast_varz00, 1316L,
						BGl_proc2273z00zzsaw_jvm_funcallz00,
						BGl_proc2272z00zzsaw_jvm_funcallz00, BFALSE,
						BGl_proc2271z00zzsaw_jvm_funcallz00,
						BGl_proc2270z00zzsaw_jvm_funcallz00, BgL_arg2120z00_3170,
						BgL_arg2121z00_3171), BUNSPEC);
			}
		}

	}



/* &lambda2128 */
	BgL_globalz00_bglt BGl_z62lambda2128z62zzsaw_jvm_funcallz00(obj_t
		BgL_envz00_4439, obj_t BgL_o1181z00_4440)
	{
		{	/* SawJvm/funcall.scm 19 */
			{	/* SawJvm/funcall.scm 19 */
				long BgL_arg2129z00_4537;

				{	/* SawJvm/funcall.scm 19 */
					obj_t BgL_arg2130z00_4538;

					{	/* SawJvm/funcall.scm 19 */
						obj_t BgL_arg2131z00_4539;

						{	/* SawJvm/funcall.scm 19 */
							obj_t BgL_arg1866z00_4540;
							long BgL_arg1867z00_4541;

							BgL_arg1866z00_4540 = (BGl_za2classesza2z00zz__objectz00);
							{	/* SawJvm/funcall.scm 19 */
								long BgL_arg1869z00_4542;

								BgL_arg1869z00_4542 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_globalz00_bglt) BgL_o1181z00_4440)));
								BgL_arg1867z00_4541 = (BgL_arg1869z00_4542 - OBJECT_TYPE);
							}
							BgL_arg2131z00_4539 =
								VECTOR_REF(BgL_arg1866z00_4540, BgL_arg1867z00_4541);
						}
						BgL_arg2130z00_4538 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg2131z00_4539);
					}
					{	/* SawJvm/funcall.scm 19 */
						obj_t BgL_tmpz00_6198;

						BgL_tmpz00_6198 = ((obj_t) BgL_arg2130z00_4538);
						BgL_arg2129z00_4537 = BGL_CLASS_NUM(BgL_tmpz00_6198);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_globalz00_bglt) BgL_o1181z00_4440)), BgL_arg2129z00_4537);
			}
			{	/* SawJvm/funcall.scm 19 */
				BgL_objectz00_bglt BgL_tmpz00_6204;

				BgL_tmpz00_6204 =
					((BgL_objectz00_bglt) ((BgL_globalz00_bglt) BgL_o1181z00_4440));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6204, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_globalz00_bglt) BgL_o1181z00_4440));
			return ((BgL_globalz00_bglt) ((BgL_globalz00_bglt) BgL_o1181z00_4440));
		}

	}



/* &<@anonymous:2127> */
	obj_t BGl_z62zc3z04anonymousza32127ze3ze5zzsaw_jvm_funcallz00(obj_t
		BgL_envz00_4441, obj_t BgL_new1180z00_4442)
	{
		{	/* SawJvm/funcall.scm 19 */
			{
				BgL_globalz00_bglt BgL_auxz00_6212;

				((((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt)
									((BgL_globalz00_bglt) BgL_new1180z00_4442))))->BgL_idz00) =
					((obj_t) ((obj_t) CNST_TABLE_REF(54))), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_globalz00_bglt)
										BgL_new1180z00_4442))))->BgL_namez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_6221;

					{	/* SawJvm/funcall.scm 19 */
						obj_t BgL_classz00_4544;

						BgL_classz00_4544 = BGl_typez00zztype_typez00;
						{	/* SawJvm/funcall.scm 19 */
							obj_t BgL__ortest_1117z00_4545;

							BgL__ortest_1117z00_4545 = BGL_CLASS_NIL(BgL_classz00_4544);
							if (CBOOL(BgL__ortest_1117z00_4545))
								{	/* SawJvm/funcall.scm 19 */
									BgL_auxz00_6221 =
										((BgL_typez00_bglt) BgL__ortest_1117z00_4545);
								}
							else
								{	/* SawJvm/funcall.scm 19 */
									BgL_auxz00_6221 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4544));
								}
						}
					}
					((((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt)
										((BgL_globalz00_bglt) BgL_new1180z00_4442))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_6221), BUNSPEC);
				}
				{
					BgL_valuez00_bglt BgL_auxz00_6231;

					{	/* SawJvm/funcall.scm 19 */
						obj_t BgL_classz00_4546;

						BgL_classz00_4546 = BGl_valuez00zzast_varz00;
						{	/* SawJvm/funcall.scm 19 */
							obj_t BgL__ortest_1117z00_4547;

							BgL__ortest_1117z00_4547 = BGL_CLASS_NIL(BgL_classz00_4546);
							if (CBOOL(BgL__ortest_1117z00_4547))
								{	/* SawJvm/funcall.scm 19 */
									BgL_auxz00_6231 =
										((BgL_valuez00_bglt) BgL__ortest_1117z00_4547);
								}
							else
								{	/* SawJvm/funcall.scm 19 */
									BgL_auxz00_6231 =
										((BgL_valuez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4546));
								}
						}
					}
					((((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt)
										((BgL_globalz00_bglt) BgL_new1180z00_4442))))->
							BgL_valuez00) = ((BgL_valuez00_bglt) BgL_auxz00_6231), BUNSPEC);
				}
				((((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt)
									((BgL_globalz00_bglt) BgL_new1180z00_4442))))->
						BgL_accessz00) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_globalz00_bglt)
										BgL_new1180z00_4442))))->BgL_fastzd2alphazd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_globalz00_bglt)
										BgL_new1180z00_4442))))->BgL_removablez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_globalz00_bglt)
										BgL_new1180z00_4442))))->BgL_occurrencez00) =
					((long) 0L), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_globalz00_bglt)
										BgL_new1180z00_4442))))->BgL_occurrencewz00) =
					((long) 0L), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_globalz00_bglt)
										BgL_new1180z00_4442))))->BgL_userzf3zf3) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_globalz00_bglt)
							COBJECT(((BgL_globalz00_bglt) ((BgL_globalz00_bglt)
										BgL_new1180z00_4442))))->BgL_modulez00) =
					((obj_t) ((obj_t) CNST_TABLE_REF(54))), BUNSPEC);
				((((BgL_globalz00_bglt)
							COBJECT(((BgL_globalz00_bglt) ((BgL_globalz00_bglt)
										BgL_new1180z00_4442))))->BgL_importz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_globalz00_bglt)
							COBJECT(((BgL_globalz00_bglt) ((BgL_globalz00_bglt)
										BgL_new1180z00_4442))))->BgL_evaluablezf3zf3) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_globalz00_bglt)
							COBJECT(((BgL_globalz00_bglt) ((BgL_globalz00_bglt)
										BgL_new1180z00_4442))))->BgL_evalzf3zf3) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_globalz00_bglt)
							COBJECT(((BgL_globalz00_bglt) ((BgL_globalz00_bglt)
										BgL_new1180z00_4442))))->BgL_libraryz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_globalz00_bglt)
							COBJECT(((BgL_globalz00_bglt) ((BgL_globalz00_bglt)
										BgL_new1180z00_4442))))->BgL_pragmaz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_globalz00_bglt)
							COBJECT(((BgL_globalz00_bglt) ((BgL_globalz00_bglt)
										BgL_new1180z00_4442))))->BgL_srcz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_globalz00_bglt)
							COBJECT(((BgL_globalz00_bglt) ((BgL_globalz00_bglt)
										BgL_new1180z00_4442))))->BgL_qualifiedzd2typezd2namez00) =
					((obj_t) BGl_string2274z00zzsaw_jvm_funcallz00), BUNSPEC);
				((((BgL_globalz00_bglt)
							COBJECT(((BgL_globalz00_bglt) ((BgL_globalz00_bglt)
										BgL_new1180z00_4442))))->BgL_initz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_globalz00_bglt)
							COBJECT(((BgL_globalz00_bglt) ((BgL_globalz00_bglt)
										BgL_new1180z00_4442))))->BgL_aliasz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_indexedz00_bglt BgL_auxz00_6291;

					{
						obj_t BgL_auxz00_6292;

						{	/* SawJvm/funcall.scm 19 */
							BgL_objectz00_bglt BgL_tmpz00_6293;

							BgL_tmpz00_6293 =
								((BgL_objectz00_bglt)
								((BgL_globalz00_bglt) BgL_new1180z00_4442));
							BgL_auxz00_6292 = BGL_OBJECT_WIDENING(BgL_tmpz00_6293);
						}
						BgL_auxz00_6291 = ((BgL_indexedz00_bglt) BgL_auxz00_6292);
					}
					((((BgL_indexedz00_bglt) COBJECT(BgL_auxz00_6291))->BgL_indexz00) =
						((int) (int) (0L)), BUNSPEC);
				}
				BgL_auxz00_6212 = ((BgL_globalz00_bglt) BgL_new1180z00_4442);
				return ((obj_t) BgL_auxz00_6212);
			}
		}

	}



/* &lambda2125 */
	BgL_globalz00_bglt BGl_z62lambda2125z62zzsaw_jvm_funcallz00(obj_t
		BgL_envz00_4443, obj_t BgL_o1177z00_4444)
	{
		{	/* SawJvm/funcall.scm 19 */
			{	/* SawJvm/funcall.scm 19 */
				BgL_indexedz00_bglt BgL_wide1179z00_4549;

				BgL_wide1179z00_4549 =
					((BgL_indexedz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_indexedz00_bgl))));
				{	/* SawJvm/funcall.scm 19 */
					obj_t BgL_auxz00_6307;
					BgL_objectz00_bglt BgL_tmpz00_6303;

					BgL_auxz00_6307 = ((obj_t) BgL_wide1179z00_4549);
					BgL_tmpz00_6303 =
						((BgL_objectz00_bglt)
						((BgL_globalz00_bglt) ((BgL_globalz00_bglt) BgL_o1177z00_4444)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6303, BgL_auxz00_6307);
				}
				((BgL_objectz00_bglt)
					((BgL_globalz00_bglt) ((BgL_globalz00_bglt) BgL_o1177z00_4444)));
				{	/* SawJvm/funcall.scm 19 */
					long BgL_arg2126z00_4550;

					BgL_arg2126z00_4550 =
						BGL_CLASS_NUM(BGl_indexedz00zzsaw_jvm_funcallz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_globalz00_bglt)
								((BgL_globalz00_bglt) BgL_o1177z00_4444))),
						BgL_arg2126z00_4550);
				}
				return
					((BgL_globalz00_bglt)
					((BgL_globalz00_bglt) ((BgL_globalz00_bglt) BgL_o1177z00_4444)));
			}
		}

	}



/* &lambda2122 */
	BgL_globalz00_bglt BGl_z62lambda2122z62zzsaw_jvm_funcallz00(obj_t
		BgL_envz00_4445, obj_t BgL_id1156z00_4446, obj_t BgL_name1157z00_4447,
		obj_t BgL_type1158z00_4448, obj_t BgL_value1159z00_4449,
		obj_t BgL_access1160z00_4450, obj_t BgL_fastzd2alpha1161zd2_4451,
		obj_t BgL_removable1162z00_4452, obj_t BgL_occurrence1163z00_4453,
		obj_t BgL_occurrencew1164z00_4454, obj_t BgL_userzf31165zf3_4455,
		obj_t BgL_module1166z00_4456, obj_t BgL_import1167z00_4457,
		obj_t BgL_evaluablezf31168zf3_4458, obj_t BgL_evalzf31169zf3_4459,
		obj_t BgL_library1170z00_4460, obj_t BgL_pragma1171z00_4461,
		obj_t BgL_src1172z00_4462, obj_t BgL_qualifiedzd2typezd2name1173z00_4463,
		obj_t BgL_init1174z00_4464, obj_t BgL_alias1175z00_4465,
		obj_t BgL_index1176z00_4466)
	{
		{	/* SawJvm/funcall.scm 19 */
			{	/* SawJvm/funcall.scm 19 */
				long BgL_occurrence1163z00_4554;
				long BgL_occurrencew1164z00_4555;
				bool_t BgL_userzf31165zf3_4556;
				bool_t BgL_evaluablezf31168zf3_4558;
				bool_t BgL_evalzf31169zf3_4559;
				int BgL_index1176z00_4561;

				BgL_occurrence1163z00_4554 = (long) CINT(BgL_occurrence1163z00_4453);
				BgL_occurrencew1164z00_4555 = (long) CINT(BgL_occurrencew1164z00_4454);
				BgL_userzf31165zf3_4556 = CBOOL(BgL_userzf31165zf3_4455);
				BgL_evaluablezf31168zf3_4558 = CBOOL(BgL_evaluablezf31168zf3_4458);
				BgL_evalzf31169zf3_4559 = CBOOL(BgL_evalzf31169zf3_4459);
				BgL_index1176z00_4561 = CINT(BgL_index1176z00_4466);
				{	/* SawJvm/funcall.scm 19 */
					BgL_globalz00_bglt BgL_new1220z00_4562;

					{	/* SawJvm/funcall.scm 19 */
						BgL_globalz00_bglt BgL_tmp1218z00_4563;
						BgL_indexedz00_bglt BgL_wide1219z00_4564;

						{
							BgL_globalz00_bglt BgL_auxz00_6327;

							{	/* SawJvm/funcall.scm 19 */
								BgL_globalz00_bglt BgL_new1217z00_4565;

								BgL_new1217z00_4565 =
									((BgL_globalz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_globalz00_bgl))));
								{	/* SawJvm/funcall.scm 19 */
									long BgL_arg2124z00_4566;

									BgL_arg2124z00_4566 =
										BGL_CLASS_NUM(BGl_globalz00zzast_varz00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1217z00_4565),
										BgL_arg2124z00_4566);
								}
								{	/* SawJvm/funcall.scm 19 */
									BgL_objectz00_bglt BgL_tmpz00_6332;

									BgL_tmpz00_6332 = ((BgL_objectz00_bglt) BgL_new1217z00_4565);
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6332, BFALSE);
								}
								((BgL_objectz00_bglt) BgL_new1217z00_4565);
								BgL_auxz00_6327 = BgL_new1217z00_4565;
							}
							BgL_tmp1218z00_4563 = ((BgL_globalz00_bglt) BgL_auxz00_6327);
						}
						BgL_wide1219z00_4564 =
							((BgL_indexedz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_indexedz00_bgl))));
						{	/* SawJvm/funcall.scm 19 */
							obj_t BgL_auxz00_6340;
							BgL_objectz00_bglt BgL_tmpz00_6338;

							BgL_auxz00_6340 = ((obj_t) BgL_wide1219z00_4564);
							BgL_tmpz00_6338 = ((BgL_objectz00_bglt) BgL_tmp1218z00_4563);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6338, BgL_auxz00_6340);
						}
						((BgL_objectz00_bglt) BgL_tmp1218z00_4563);
						{	/* SawJvm/funcall.scm 19 */
							long BgL_arg2123z00_4567;

							BgL_arg2123z00_4567 =
								BGL_CLASS_NUM(BGl_indexedz00zzsaw_jvm_funcallz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_tmp1218z00_4563),
								BgL_arg2123z00_4567);
						}
						BgL_new1220z00_4562 = ((BgL_globalz00_bglt) BgL_tmp1218z00_4563);
					}
					((((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt) BgL_new1220z00_4562)))->BgL_idz00) =
						((obj_t) ((obj_t) BgL_id1156z00_4446)), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1220z00_4562)))->BgL_namez00) =
						((obj_t) BgL_name1157z00_4447), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1220z00_4562)))->BgL_typez00) =
						((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1158z00_4448)),
						BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1220z00_4562)))->BgL_valuez00) =
						((BgL_valuez00_bglt) ((BgL_valuez00_bglt) BgL_value1159z00_4449)),
						BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1220z00_4562)))->BgL_accessz00) =
						((obj_t) BgL_access1160z00_4450), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1220z00_4562)))->BgL_fastzd2alphazd2) =
						((obj_t) BgL_fastzd2alpha1161zd2_4451), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1220z00_4562)))->BgL_removablez00) =
						((obj_t) BgL_removable1162z00_4452), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1220z00_4562)))->BgL_occurrencez00) =
						((long) BgL_occurrence1163z00_4554), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1220z00_4562)))->BgL_occurrencewz00) =
						((long) BgL_occurrencew1164z00_4555), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1220z00_4562)))->BgL_userzf3zf3) =
						((bool_t) BgL_userzf31165zf3_4556), BUNSPEC);
					((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
										BgL_new1220z00_4562)))->BgL_modulez00) =
						((obj_t) ((obj_t) BgL_module1166z00_4456)), BUNSPEC);
					((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
										BgL_new1220z00_4562)))->BgL_importz00) =
						((obj_t) BgL_import1167z00_4457), BUNSPEC);
					((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
										BgL_new1220z00_4562)))->BgL_evaluablezf3zf3) =
						((bool_t) BgL_evaluablezf31168zf3_4558), BUNSPEC);
					((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
										BgL_new1220z00_4562)))->BgL_evalzf3zf3) =
						((bool_t) BgL_evalzf31169zf3_4559), BUNSPEC);
					((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
										BgL_new1220z00_4562)))->BgL_libraryz00) =
						((obj_t) BgL_library1170z00_4460), BUNSPEC);
					((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
										BgL_new1220z00_4562)))->BgL_pragmaz00) =
						((obj_t) BgL_pragma1171z00_4461), BUNSPEC);
					((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
										BgL_new1220z00_4562)))->BgL_srcz00) =
						((obj_t) BgL_src1172z00_4462), BUNSPEC);
					((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
										BgL_new1220z00_4562)))->BgL_qualifiedzd2typezd2namez00) =
						((obj_t) ((obj_t) BgL_qualifiedzd2typezd2name1173z00_4463)),
						BUNSPEC);
					((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
										BgL_new1220z00_4562)))->BgL_initz00) =
						((obj_t) BgL_init1174z00_4464), BUNSPEC);
					((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
										BgL_new1220z00_4562)))->BgL_aliasz00) =
						((obj_t) BgL_alias1175z00_4465), BUNSPEC);
					{
						BgL_indexedz00_bglt BgL_auxz00_6393;

						{
							obj_t BgL_auxz00_6394;

							{	/* SawJvm/funcall.scm 19 */
								BgL_objectz00_bglt BgL_tmpz00_6395;

								BgL_tmpz00_6395 = ((BgL_objectz00_bglt) BgL_new1220z00_4562);
								BgL_auxz00_6394 = BGL_OBJECT_WIDENING(BgL_tmpz00_6395);
							}
							BgL_auxz00_6393 = ((BgL_indexedz00_bglt) BgL_auxz00_6394);
						}
						((((BgL_indexedz00_bglt) COBJECT(BgL_auxz00_6393))->BgL_indexz00) =
							((int) BgL_index1176z00_4561), BUNSPEC);
					}
					return BgL_new1220z00_4562;
				}
			}
		}

	}



/* &lambda2136 */
	obj_t BGl_z62lambda2136z62zzsaw_jvm_funcallz00(obj_t BgL_envz00_4467,
		obj_t BgL_oz00_4468, obj_t BgL_vz00_4469)
	{
		{	/* SawJvm/funcall.scm 19 */
			{	/* SawJvm/funcall.scm 19 */
				int BgL_vz00_4569;

				BgL_vz00_4569 = CINT(BgL_vz00_4469);
				{
					BgL_indexedz00_bglt BgL_auxz00_6401;

					{
						obj_t BgL_auxz00_6402;

						{	/* SawJvm/funcall.scm 19 */
							BgL_objectz00_bglt BgL_tmpz00_6403;

							BgL_tmpz00_6403 =
								((BgL_objectz00_bglt) ((BgL_globalz00_bglt) BgL_oz00_4468));
							BgL_auxz00_6402 = BGL_OBJECT_WIDENING(BgL_tmpz00_6403);
						}
						BgL_auxz00_6401 = ((BgL_indexedz00_bglt) BgL_auxz00_6402);
					}
					return
						((((BgL_indexedz00_bglt) COBJECT(BgL_auxz00_6401))->BgL_indexz00) =
						((int) BgL_vz00_4569), BUNSPEC);
		}}}

	}



/* &lambda2135 */
	obj_t BGl_z62lambda2135z62zzsaw_jvm_funcallz00(obj_t BgL_envz00_4470,
		obj_t BgL_oz00_4471)
	{
		{	/* SawJvm/funcall.scm 19 */
			{	/* SawJvm/funcall.scm 19 */
				int BgL_tmpz00_6409;

				{
					BgL_indexedz00_bglt BgL_auxz00_6410;

					{
						obj_t BgL_auxz00_6411;

						{	/* SawJvm/funcall.scm 19 */
							BgL_objectz00_bglt BgL_tmpz00_6412;

							BgL_tmpz00_6412 =
								((BgL_objectz00_bglt) ((BgL_globalz00_bglt) BgL_oz00_4471));
							BgL_auxz00_6411 = BGL_OBJECT_WIDENING(BgL_tmpz00_6412);
						}
						BgL_auxz00_6410 = ((BgL_indexedz00_bglt) BgL_auxz00_6411);
					}
					BgL_tmpz00_6409 =
						(((BgL_indexedz00_bglt) COBJECT(BgL_auxz00_6410))->BgL_indexz00);
				}
				return BINT(BgL_tmpz00_6409);
			}
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzsaw_jvm_funcallz00(void)
	{
		{	/* SawJvm/funcall.scm 1 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzsaw_jvm_funcallz00(void)
	{
		{	/* SawJvm/funcall.scm 1 */
			return BUNSPEC;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzsaw_jvm_funcallz00(void)
	{
		{	/* SawJvm/funcall.scm 1 */
			BGl_modulezd2initializa7ationz75zztype_typez00(515343395L,
				BSTRING_TO_STRING(BGl_string2275z00zzsaw_jvm_funcallz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(90839984L,
				BSTRING_TO_STRING(BGl_string2275z00zzsaw_jvm_funcallz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(469732712L,
				BSTRING_TO_STRING(BGl_string2275z00zzsaw_jvm_funcallz00));
			BGl_modulezd2initializa7ationz75zzast_envz00(146730773L,
				BSTRING_TO_STRING(BGl_string2275z00zzsaw_jvm_funcallz00));
			BGl_modulezd2initializa7ationz75zztype_envz00(296457443L,
				BSTRING_TO_STRING(BGl_string2275z00zzsaw_jvm_funcallz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(489890788L,
				BSTRING_TO_STRING(BGl_string2275z00zzsaw_jvm_funcallz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(365925558L,
				BSTRING_TO_STRING(BGl_string2275z00zzsaw_jvm_funcallz00));
			BGl_modulezd2initializa7ationz75zzobject_classz00(502007119L,
				BSTRING_TO_STRING(BGl_string2275z00zzsaw_jvm_funcallz00));
			BGl_modulezd2initializa7ationz75zzobject_slotsz00(151271251L,
				BSTRING_TO_STRING(BGl_string2275z00zzsaw_jvm_funcallz00));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(216206620L,
				BSTRING_TO_STRING(BGl_string2275z00zzsaw_jvm_funcallz00));
			BGl_modulezd2initializa7ationz75zzbackend_bvmz00(336068337L,
				BSTRING_TO_STRING(BGl_string2275z00zzsaw_jvm_funcallz00));
			BGl_modulezd2initializa7ationz75zzbackend_jvm_classz00(0L,
				BSTRING_TO_STRING(BGl_string2275z00zzsaw_jvm_funcallz00));
			BGl_modulezd2initializa7ationz75zzbackend_libz00(321177283L,
				BSTRING_TO_STRING(BGl_string2275z00zzsaw_jvm_funcallz00));
			BGl_modulezd2initializa7ationz75zzbackend_cplibz00(395792377L,
				BSTRING_TO_STRING(BGl_string2275z00zzsaw_jvm_funcallz00));
			BGl_modulezd2initializa7ationz75zzsaw_defsz00(404844772L,
				BSTRING_TO_STRING(BGl_string2275z00zzsaw_jvm_funcallz00));
			BGl_modulezd2initializa7ationz75zzsaw_proceduresz00(401547344L,
				BSTRING_TO_STRING(BGl_string2275z00zzsaw_jvm_funcallz00));
			return
				BGl_modulezd2initializa7ationz75zzsaw_jvm_outz00(441641707L,
				BSTRING_TO_STRING(BGl_string2275z00zzsaw_jvm_funcallz00));
		}

	}

#ifdef __cplusplus
}
#endif
